zenon Guida versione 7.50

zenon Guida versione 7.50

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

© 2016 Ing. Punzenberger COPA-DATA Srl


Manuale

Manuale

In questo settore trovate la documentazione relativa al prodotto zenon.

Noch in diesem Kapitel

zenon: famiglia di prodotti

Licenza

Filo conduttore attraverso l'help - Visione generale

Editor

Progettazione efficiente con zenon

Runtime

Attribuzioni

Automatic Line Coloring (ALC) - Topology

Backup progetto

Batch Control

Cambio lingua

Cambio unità di misura

Command Sequencer

Controls

Conversione progetto

Definizione di impianto

Elaborazione stato

Energy Edition

Engineering distribuito

File di configurazione

Funzioni e script

Gestione allarmi

Gestione monitor

Gestione user

Guida runtime

Immagini

Import e Export

Industrial Maintenance Manager (IMM)

Industrial Performance Analyzer

Installazione e update

Interblocchi

Interfaccia SAP

Keyboard

Lista Eventi Cronologica (CEL)

Load Management

Log delle modifiche

Manager di gruppi ricette

Menù

Message Control

Mobile applications for zenon

MS Azure

Multi-Touch

OPC-Server

PLC Diagnosis

Process Gateway

Production and Facility Scheduler (PFS)

Progetto e workspace

Reporting

Rete

Ricette standard

Riferimenti incrociati

Schedulatore

Scripting

Server di archiviazione

Simulazione driver

Simulazione progetto

Stili

Temporizzatori

Tools

Trasporto remoto

Trend esteso

Variabili

Visualizzazione globale

Wizard

Elemento WPF

zenon Logic

zenon Operator

zenon Remote Desktop

zenon Science Package per LEGO MINDSTORMS

zenon Security Guide

zenon Web Server


zenon: famiglia di prodotti

Manuale -> zenon: famiglia di prodotti

Nella sua veste di software di automazione per HMI, SCADA e Reporting, zenon mette a disposizione dei suoi utenti numerose funzionalità integrate per l´Engineering e per il Runtime, indipendentemente dalla piattaforma utilizzata.

Con zenon potete:

  • Creare, distribuire, modificare e eseguire progetti di automazione
  • usare il soft-PLC zenon Logic integrato
  • registrare e analizzare dati provenienti da numerose fonti e da diversi impianti

attention Attenzione

Se nella guida trovate dei riferimenti a zenon in generale, ci si intende di regola riferire al zenon Supervisor e al zenon Operator.

zenon è disponibile anche in due edizioni speciali:

  • Energy Edition:
    per il settore delle industrie di produzione e di distribuzione dell´energia
  • Pharma Edition:
    per l´industria farmaceutica

Queste edizioni sono pensate per rispondere nel miglior modo possibile alle esigenze dei settori cui si rivolgono e contengono elementi speciali, come simboli propri, wizard ecc.

Noch in diesem Kapitel

zenon Supervisor

zenon Operator

zenon Logic

zenon Analyzer


zenon Supervisor

Manuale -> zenon: famiglia di prodotti -> zenon Supervisor

Il zenon Supervisor è uno strumento dalle ampie possibilità che serve a creare ed eseguire progetti di automazione. Esso consiste di Editor e Runtime, consente la rapida realizzazione di reti di automazione - anche connessione web - e può essere utilizzato sotto tutti gli attuali sistemi operativi di Windows.

Per l´uso su sistemi di gestione di macchinari, è disponibile anche una variante dalle funzioni limitate, il zenon Operator.


zenon Operator

Manuale -> zenon: famiglia di prodotti -> zenon Operator

Il zenon Operator è un prodotto conveniente pensato per la gestione dei macchinari. La sua principale modalità di funzionamento corrisponde al zenon Supervisor. Rispetto al zenon Supervisor, però, l´Operator è piùl limitato dal punto di vista funzionale.

L´Operator di zenon consiste di un Editor e di un Runtime e può essere utilizzato su sistemi operativi PC e CE.


zenon Logic

Manuale -> zenon: famiglia di prodotti -> zenon Logic

zenon Logicè un ambiente di programmazione IEC 61131 integrato in zenon. È a disposizione come Editor e Runtime (Soft-SPS) per zenon Supervisor e zenon Operator.


zenon Analyzer

Manuale -> zenon: famiglia di prodotti -> zenon Analyzer

Grazie ad un´analisi che coinvolge diversi sistemi, il zenon Analyzer offre una visuale corrispondete alle esigenze del management e del controlling su tutti i dati online e offline. Questo strumento svolge dei compiti precedentemente separati ed elimina problemi che si verificano per la necessità di sincronizzazione parallela, manutenzione e coordinazione di diversi sistemi IT. Il zenon Analyzer:

  • riassume e analizza dati provenienti da diverse fonti in diversi formati.
  • li mette in relazione reciproca
  • visualizza i risultati che ne derivano nella forma grafica di un rapporto

Mentre si usa il zenon Analyzer, il processo produttivo non viene interrotto. Il zenon Analyzer può essere implementato in un sistema produttivo esistente, senza che sia necessario modificare la configurazione di quest´ultimo. Durante la rilevazione dei dati e la generazione di report, il sistema produttivo continua a funzionare. L´infrastruttura eistente, indipendentemente dal produttore, viene implementata nel reporting tramite zenon Analyzer.

Per accedere alle analisi, è sufficiente solamente un browser standard di Microsoft. Non si deve installare, né modificare, nè effettuare la manutenzione di nessun software. Le analisi possono essere implementate senza ulteriori componenti o Plug-In nell´Intranet di un´azienda. I rapporti standard vengono già forniti con zenon Analyzer. In qualsiasi momento si possono creare, salvare e distribuire delle proprie analisi.

Ulteriori informazioni su zenon Analyzer le trovate nella documentazione specifica concernente il zenon Analyzer, oppure le ottenete rivolgendovi al Vostro sales-partner di COPA-DATA: sales@copadata.com.


Licenza

Manuale -> Licenza

Per poter usare zenon come editor/runtime, il prodotto deve essere provvisto di una licenza. Finché non si dispone di una licenza valida per zenon, esso funziona solo in modalità demo.

Noch in diesem Kapitel

Registrazione licenza per zenon:

Modalità demo

Informazione sulla versione

Scelta della licenza dalla dimensione desiderata

Tipi di licenza

Parametro riga comando per tool di licenza

Registrazione licenza remota

Particolarità concernenti il funzionamento Server-Client.


Registrazione licenza per zenon:

Manuale -> Licenza -> Registrazione licenza per zenon:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per registrare la licenza per zenon:

  1. Aprite Start -> Tutti i programmi -> COPA-DATA-> Licensing

    Oppure:

    Nell´Editor di zenon, aprite File ->Configurazione generale ->Licenza prodotto...
    Oppure:

    Cliccate nello Startup Tool sul pulsante Tools, selezionate Licensing, ,cliccate su Start.

  2. Si apre il dialogo per l´inserimento dei dati licenza.
  3. Selezionate zenon Editor/Runtime
  4. Inserite il numero di serie e quello di attivazione

    Trovate i dati relativi:

    • sul vostro certificato di licenza
    • sull´adesivo di licenza
    • nel file di licenza License.txt

      Percorso Windows 7/8: C:\Users\Public\Documents\zenon_Projects\

    Nota: attenzione alle lettere maiuscole e minuscole quando inserite il numero!

  5. Dopo il riavvio dell´editor/del runtime, usate zenon con la licenza indicata.

Finestra di dialogo di licenza.

Parametri | Descrizione
Editor/Runtime | Attivo: la licenza vale per l´Editor di zenon e/o il Runtime di zenon.
Web Server | Attivo: la licenza vale per il Webserver di zenon.
Numero di serie | Numero di serie della licenza Se si dispone già di una licenza, ne verrà visualizzato qui il numero di serie. Inserite qui il numero di serie attuale.
Numero di attivazione | Numero di attivazione della licenza Se si dispone già di una licenza, ne verrà visualizzato il numero di attivazione
Ok | Riprende i dati e avvia zenon la prossima volta con questa licenza.
Annulla | Rigetta gli inserimenti e usa zenon con la licenza valida finora o senza licenza.
Richiedi Licenza Software | Apre l´assistente per la richiesta di una licenza software.


Modalità demo

Manuale -> Licenza -> Modalità demo

Se l'Editor non è stato registrato, esso funziona in modalità demo. Se il Runtime non è stato registrato, esso funziona in modalità demo.

Modalità demo

Condizioni

Editor:

L´Editor funziona:

  • per le prime 40 volte in cui viene avviato: per 30 minuti
  • dal 41° al 50° start: 20 Minuti
  • a partire dal 51° start: 10 Minuti

Runtime:

Un Runtime non provvisto di licenza funziona per 30 giorni o può essere avviato per 40 volte, a seconda di quale sia il limite che viene raggiunto per primo.

A partire dal 41° start oppure dal 31° giorno, il Runtime funziona solamente per 10 minuti.

Ad ogni start viene visualizzata una segnalazione che indica che il sistema funziona in modalità demo.

Nota: questo comportamento di versioni non provviste di licenza vale anche per il workbench e il Runtime di zenon Logic.


Informazione sulla versione

Manuale -> Licenza -> Informazione sulla versione

Potete verificare quale licenza state usando attualmente e quali moduli sono inclusi in essa nella schermata iniziale, al momento dello start di zenon, oppure cliccando su Informazioni... nel menù Guida:

Parametri | Descrizione
Versione editor | Numero di versione dell´Editor
Numero di serie | Numero di serie della licenza
Numero di attivazione | Numero di attivazione della licenza
Tempo di scadenza (opzionale) | Nel caso di licenza limitata nel tempo, informazione a proposito della data di scadenza della licenza.
Campo con moduli: | Informazione sui moduli per i quali si dispone di una licenza.

Nel menù Guida è possibile, selezionando Informazioni.. aprire una finestra di dialogo dove vengono riportate le informazioni sulla versione di zenon e sulla registrazione licenza.


Scelta della licenza dalla dimensione desiderata

Manuale -> Licenza -> Scelta della licenza dalla dimensione desiderata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le licenze per l'Editor e per il Runtime vengono calcolate in base al numero dei TAG o IOS necessari.

Calcolo sulla base di TAG

1 TAG corrisponde a 1 variabile. Per la determinazione dell'ampiezza della licenza, viene considerata la somma dei TAG dei seguenti driver.

  • driver PLC e driver bus.

Non vengono contate le variabili di:

  • driver interno
  • driver di sistema
  • driver matematico
  • driver di simulazione

Potete ottenere la licenza per TAG per l'Editor e il Runtime secondo i seguenti livelli:

  • 64 TAG
  • 128 TAG
  • 256 TAG
  • 512 TAG
  • 1.024 TAG
  • 2.048 TAG
  • 4.096 TAG
  • 8.192 TAG
  • 16.384 TAG
  • 65536 TAG
  • Illimitati

E' possibile effettuare in ogni momento un update della licenza per avere un numero di TAG maggiore.

Calcolo sulla base di IOS.

Le licenze possono essere concesse anche sulla base IOS. Per la determinazione dell'ampiezza della licenza viene considerata la somma degli IOS dei seguenti driver.

  • driver PLC e driver bus.

Non vengono contate le variabili di:

  • driver Interno
  • driver di sistema
  • driver matematico
  • driver di simulazione

Calcolo

Tipo di dato | Valore bit
1 Bit : | 1 I/OS
1 Byte | 8 I/OS
1 WORD | 16 I/OS
1 DWORD | 16 I/OS
1 Float | 16 I/OS
1 stringa (max. 64 caratteri) | 16 I/OS

Nel caso in cui non doveste trovare il tipo di dato desiderato in questa lista, dipende dal tipo di driver prescelto. Alcuni driver, infatti, adottano una denominazione specifica dei tipi di dato. Informazioni più dettagliate su questo argomento le potete trovare nella documentazione del driver che state usando. Quest'ultima la trovate o nella guida in linea alla voce Driver, o nel file PDF sul nostro supporto di installazione; potete anche scaricare detta documentazione dalla nostra website www.copadata.com.

Example Esempio

96 valori binari e 20 analogici numerici devono essere visualizzati in zenon:

Moltiplicate i 20 valori numerici per 16 e otterrete 320 I/OS. Sommate questi ultimi ai 96 valori binari. Ottenete il risultato 416 I/OS, che è alla base per la scelta della grandezza di licenza.

Visualizzazione in zenon

Nella riga di stato della visualizzazione dettagli delle variabili possono essere lette le seguenti informazioni:

  • Quanti I/OS sono utilizzati attualmente
  • Quanto I/OS hanno una licenza

Un esempio:

  • 3799/550/1: ci sono 3799 inserimenti; grazie ad un'operazione di filtraggio ne vengono visualizzati solo 550; un inserimento è evidenziato.
  • Per il progetto 22730 si dispone di una licenza per un numero illimitato di variabili.

Nota: licenza client.

Potete usare licenze client se:

  • il progetto di partenza è un progetto standalone o un client.
  • il progetto di partenza usa un massimo di 64 TAGS che necessitano di una licenza, se non è un client.
  • tutti i sottoprogetti sono client.


Tipi di licenza

Manuale -> Licenza -> Tipi di licenza

Potete ottenere la licenza per zenon in modi diversi:

  • Licenza software: domanda al momento dello start dell´editor o del runtime un numero di identificazione PC univoco.
    Caratteristiche:
    • La licenza non può essere sottratta.
    • La licenza è legata al computer.
    • Un tipo di licenza pratico soprattutto per i computer portatili.
  • Licenza dongle: cerca al momento dello start dell´editor o del runtime un hardware dongle nelle interfacce parallele o USB.

    Dongle sono a Vostra disposizione come:

    • Workplace dongle
    • Dongle di rete: su un dongle centrale in rete viene accreditato un certo numero di licenze, che possono essere usate nello stesso tempo come licenze concurrent use.

    Caratteristiche dei dongle:

    • Facilità d'uso.
    • La licenza può essere trasmessa da un computer all'altro disconnettendo la componente hardware dongle da un calcolatore e connettendola all'altro o in rete.
    • Non ci sono problemi in caso di una malfunzione del disco fisso.

info Informazioni su

Se non esiste una licenza valida, oppure se sono state assegnate tutte le licenze disponibili in rete, allora l´editor o il runtime si avviano in modalità demo.

Noch in diesem Kapitel

Licenza software

Licenza dongle


Licenza software

Manuale -> Licenza -> Tipi di licenza -> Licenza software

La licenza software assegna ad un computer un´identificazione inequivocabile. Determinate componenti del computer vengono sottoposte ad un controllo. Questa licenza funziona sempre solamente su un determinato calcolatore. Nel caso in cui essa debba essere trasferita ad un altro calcolatore, oppure se vengono modificate troppe componenti del calcolatore provvisto di licenza, essa deve essere emessa di nuovo.

Per ottenere una licenza software:

  1. Selezionate nel menù File: Configurazione generale -> Licenza prodotto...
  2. Si apre il dialogo che serve alla registrazione licenza
  3. Inserite il numero di serie:
  4. Cliccate su Richiedi Licenza Software...
  5. Si apre il dialogo Registrazione licenza.
    Se non lo avete ancora fatto, inserite il numero di serie.
  6. Cliccate su Richiesta licenza per registrazione software
  7. Indicate i vostri dati
  8. Cliccate su Avanti.
  9. Avete due possibilità di inviare la vostra richiesta:
    1. automaticamente
    • cliccate sul pulsante Invia a
    • selezionate l´organizzazione COPA-DATA desiderata
    • cliccando su OK la richiesta di licenza viene inviata dal vostro programma di posta elettronica.
    • servendovi del pulsante Stampa, potete stampare il vostro esemplare, oppure inviarlo ad un apparecchio fax collegato.
    1. manualmente
    • cliccate sul pulsante Termina
    • la richiesta di licenza viene salvata in un file di testo.
    • una finestra di informazione vi fornisce informazioni sul nome ed il luogo in cui è salvato.
    • il file viene aperto automaticamente nell´Editor dei testi
    • inviate il file per E-Mail oppure per fax al vostro fornitore.

Non appena avete ricevuto i vostri dati di licenza, riaprite la finestra di dialogo per la gestione delle licenze ed inserite il numero di attivazione.


Licenza dongle

Manuale -> Licenza -> Tipi di licenza -> Licenza dongle

Con la licenza dongle avviene quanto segue: nel caso di una licenza standalone, un dongle viene connesso direttamente al calcolatore; per licenze di rete, invece, esso viene connesso ad un computer di rete. zenon usa due tipi di sistemi dongle:

  • CodeMeter
    (incluso nel setup)
  • WibuKey
    (software contenuto nel supporto di installazione).

Il software necessario per la licenza CodeMeter viene installato automaticamente insieme a zenon.

WibuKey

L´addizionale software di gestione WibuKey non viene più installato automaticamente con il setup a partire dalla versione 7.50 di zenon.
Questo software, però, continua ad essere parte integrante del pacchetto standard di zenon. Se necessario, installate la versione attuale del software WibuKey dal vostro supporto di installazione zenon:

  • \AdditionalSoftware\WIBU-SYSTEMS WibuKey

Nota: quegli utenti che lavorano già con WibuKey, continuano a ricevere nuove licenze per i loro dongle WibuKey.

Configurazione

Normalmente non sono necessarie delle ulteriori impostazioni se i dongle sono usati localmente. L´uso di dongle di rete può rendere necessarie delle configurazioni individuali. Dovete effettuare queste impostazioni nel relativo software dongle.

Potete trovare i dettagli su questo tema nei capitoli WibuKey e CodeMeter.

Noch in diesem Kapitel

CodeMeter

WibuKey


CodeMeter

Manuale -> Licenza -> Tipi di licenza -> Licenza dongle -> CodeMeter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

CodeMeter può essere utilizzato su postazione singola o in rete. La chiavetta USB CodeMeter deve essere attiva su una porta USB sul computer locale, oppure come server su un computer di rete. Il firmware del dongle deve essere almeno della versione 1.16.

attention Attenzione

Se il dongle viene rimosso mentre sta lavorando, l´editor si chiude. Poi l´editor si apre in modalità demo finché il sistema non riconosce una licenza valida.

Per effettuare la configurazione, avviate l´applicazione di amministrazioneCodeMeter control center facendo uso di: Windows Desktop -> Start -> Tutti i programmi -> CodeMeter -> CodeMeter Control Center.

Il centro di controllo CodeMeter si apre con tre schede:

License: contiene informazioni sui dongle trovati.

Events: Mostra il numero degli stick collegati, degli inserimenti di licenza, dei firm-item trovati e di tutti gli accessi al CodeMeter Runtime-Server. Per protocollare in modo durevole gli inserimenti, attivate nel menò File la voce Logging .

Borrow: configura il prestito di licenze.

Licenza

Parametri | Descrizione
Licenza | Elenca tutti i stick CodeMeter attivi
Nome | Nome individuale dello stick selezionato; può essere assegnato facendo uso del pulsante che si trova a destra.
Serie-Nr._ | Numero di serie dello stick selezionato.
Versione | Versione del firmware dello stick selezionato.
Stato | Stato dello stick CodeMeter selezionato.
Disattivato | Lo stick connesso è disattivato e non può essere usato da nessuna applicazione.
Attivato finché connesso | Lo stick è attivato finché è connesso; dopo la rimozione dal PC viene disattivato automaticamente.
Attivato | Lo stick è completamente attivo e lo rimane anche dopo la sua rimozione. Stato consigliato: assicura che, nel caso di perdita dello stick, delle persone non autorizzate non abbiano la possibilità di accedere a licenze e dati personali (per esempio: CmPasswordManager).
Attualizzazione della licenza | Avvia l´assistente che serve ad aggiungere, modificare e cancellare delle licenze.
Espelli | Rende possibile la rimozione dello stick.
Modifica password | Permette la modifica della password
CodeMeter è avviato/CodeMeter è terminato. | Informazione se il servizio CodeMeter funziona o no. Può essere modificato nel menù Process.
WebAdmin | Avvia il browser web con la superficie di gestione per i dongle di rete. A questo scopo deve essere aperta la porta 22350; per dettagli vedi Amministrazione Rete.

Noch in diesem Kapitel

Aggiorna orario certificato

Gestione di rete

Richiedi licenza

Adatta licenza

Risoluzione dei problemi


Aggiorna orario certificato

Manuale -> Licenza -> Tipi di licenza -> Licenza dongle -> CodeMeter -> Aggiorna orario certificato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete aggiornare l´orario certificato salvato nel dongle facendo uso del server tempo CodeMeter. A questo scopo avete bisogno di un accesso Internet attivo.

Per aggiornare l´orario:

  1. Avviate il CodeMeter WebAdmin
  2. Controllate le Vostre impostazioni di rete.
    1. Le impostazioni proxy in CodeMeter Webadmin sono corrette?
    2. I vostri dati di accesso sono attuali?
  3. Passate al menù Contenuto -> CmStick
  4. Cliccate sul pulsante Aggiorna
  5. Ottenete l´informazione che, in tal modo, tutti gli stick verranno attualizzati.
  6. Cliccate su OK.
  7. Ricevete un´informazione concernente l´update effettuato. Se viene visualizzato un messaggio di errore, controllate soprattutto la correttezza dei vostri dati di accesso.


Gestione di rete

Manuale -> Licenza -> Tipi di licenza -> Licenza dongle -> CodeMeter -> Gestione di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la gestione di rete, avviate l´interfaccia WebAdmin cliccando sul pulsante WebAdmin nel centro di controllo CodeMeter. Informazioni dettagliate sulle singole impostazioni le trovate nella guida CodeMeter WebAdmin. Passate alla guida cliccando sul pulsante Guida in WebAdmin. Le opzioni e le indicazioni più importanti le trovate anche in questo documento:

  • Gestione stick CodeMeter
  • Gestione licenze
  • Salvare i dati licenze
  • Impostazioni rete
  • Impostazioni Proxy

attention Attenzione

Il CodeMeter WebAdmin usa il numero di porta 22350. Tenete presente:

  • Se si usa un altro firewall rispetto a quello integrato nel sistema operativo di Windows, bisogna rendere accessibile questa porta.
  • Se la porta viene modificata, l´interfaccia WebAdmin non può essere più avviata, visto che la porta è una parte dell´indirizzo, per es.: http://localhost:22350/Content.html?BoxSerial=2-1355435

    In questo caso, potete determinare quale porta viene usata attualmente tramite il corrispondente tool freeware o con Windows Bordmitteln, e poi potete inserire quest´ultima nella riga dell´indirizzo del browser al posto di 22350. Ricambiate poi in WebAdmin il numero di porta inserendo 22350.

Noch in diesem Kapitel

CodeMeter Sticks

Licenze

Rete e Proxy


CodeMeter Sticks

CodeMeter Sticks

Il WebAdmin si apre con la schermata Contenuto/CmStick.

Qui selezionate in un menù a tendina il dongle desiderato, vedete i suoi dati e lo stato come configurato nel Centro di controllo.

Parametri | Descrizione
CmStick | Menù a tendina dello stick riconosciuto.
Nome | Mostra il nome assegnato nel centro di controllo.
Hardware | Versione hardware dello stick.
Primo dispositivo | Informazioni dispositivo concernenti lo stick; dimensioni solo nel caso di stick con memoria flash.
Stato | Stato di attivazione come definito nel centro di controllo.
Orario certificato | L´orario certificato salvato nello stick. Viene aggiornato per mezzo del pulsante Update. Nota: per effettuare l´update per mezzo del CodeMeter time server, avete bisogno di un accesso Internet attivo. Assicuratevi che le impostazioni di rete siano corrette, soprattutto per quello che concerne i dati di accesso attuali.
Box tempo | Tempo interno salvato dello stick.
Tempo sistema | Tempo locale del server runtime CodeMeter.
Memoria libera | Memoria disponibile sullo stick. Per deframmentare la memoria, cliccate sul pulsante Deframmentare.


Licenze

Licenze

Gestite le vostre licenze nella scheda Licenze che si trova nel menù Contenuto.

  • Selezionate il dongle desiderato fra quelli del menù a tendina.
  • Sotto il titolo Ing.Punzenberger COPA-DATA GmbH trovate le informazioni per le licenze di questo dongle.

Parametri | Descrizione
Product Code | Valore numerico per il prodotto. Cliccando sulla cifra, accedete ai dettagli.
Nome | Ing. Punzenberger COPA-DATA GmbH
Unità d´uso. | Se è il caso, visualizzazione delle unità d´uso rimanenti.
Data di scadenza | Se è il caso, visualizzazione della data di scadenza. zenon passa in modalità demo a partire da questo momento.
Data di attivazione | Se è il caso, visualizzazione della data di attivazione. zenon funziona in modalità demo prima di questo momento.
Numero delle licenze | Numero complessivo delle licenze
  • Cliccate sulla cifra nella colonna Product Code per avere dei dettagli.

Parametri | Descrizione
Dongle Number | Deve corrispondere al numero del dongle attivo.

Limiti di durata

Un dongle può avere anche un limite di durata:

  • Data di scadenza
  • Periodo d´uso

Data di scadenza

Il dongle viene dotato di una data di scadenza

Nella scheda Licenze che si trova nel menù Contenuto, viene indicata la data di scadenza nella colonna "Data di scadenza", con la data e l´orario in formato UTC.

Periodo d´uso

Il dongle viene dotato di un periodo d´uso. Quest´ultimo inizia a scorrere con il primo uso dell´editor o del runtime di zenon. Per controllare di quale periodo si tratti:

  • Passate alla scheda Licenze nel menù Contenuto
  • Cliccate sull´inserimento sotto Ing. Punzenberger COPA-DATA GmbH sulla cifra che si trova nella colonna Product Code
  • Si apre la finestra Product Item Details
  • Nella cella Periodo d´uso (Usage Period) potete vedere il periodo per cui si dispone di una licenza, e la data d´inizio con orario in formato UTC.


Rete e Proxy

Rete e Proxy

Per assicurare una comunicazione priva di errori con un dongle di rete e l´avvio del WebAdmin, è necessario effettuare delle corrette impostazioni di rete.

Parametri

Descrizione

Indirizzo di rete

Selezione di un indirizzo IP con il quale si deve collegare il server runtime CodeMeter.

Standard: Tutti
il collegamento avviene con il primo runtime server Code-Meter trovato.

La scelta di un indirizzo specifico è necessaria soprattutto se il calcolatore funge da server licenze di rete e dispone di più
schede di rete.

Porta di rete

Porta per la comunicazione CodeMeter nella rete.

Standard: 22350

Il valore può essere adeguato alle esigenze individuali. In questo caso si deve fare in modo che tutti i CodeMeter Runtime-Server usino lo stesso numero di porta.

Raccomandazione: non modificare il numero di porta.

UDP Tempo di risposta

Massimo periodo di tempo per la risposta entro il quale una richiesta UDP deve ricevere una risposta.

Standard: 1000 millisecondi.

Avvia come server

Attivo: Il calcolatore diventa il server di rete CodeMeter e mette a disposizione le sue licenze in rete.

Lista di ricerca server

Qui possono essere definiti determinati server di rete CodeMeter tramite l´inserimento di nomi calcolatori oppure indirizzi IP. Poi il sistema ricerca solamente i server che sono stati definiti nella lista. In tal modo è possibile far pervenire le richieste di client a server di rete CodeMeter definiti.

Nota: se un server CodeMeter si trova in un´altra subnet, usate per la lista di ricerca l´indirizzo IP.

Questa lista di ricerca dovrebbe essere usata solamente se non è possibile trovare lo stick CM in rete.

Impostazioni Proxy

Per l´accesso a servizi di CodeMeter (come il server tempo) in Internet, inserite in questa sede i dati di accesso validi per la vostra impresa.

attention Attenzione

CodeMeter memorizza questi dati di accesso. Se modificate regolarmente la password di accesso, dovete modificarla anche nelle impostazioni Proxy del CodeMeter WebAdmin!


Richiedi licenza

Manuale -> Licenza -> Tipi di licenza -> Licenza dongle -> CodeMeter -> Richiedi licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per richiedere o aggiornare delle licenze per CodeMeter, selezionate nel centro di controllo di CodeMeter, nella scheda Licenze, il pulsante Aggiorna licenza (Update License). Si apre l´assistente per l´update:

Decidete se volete:

  • richiedere una licenza
  • scaricare un update di una licenza
  • creare una ricevuta per COPA-DATA.

Richiesta licenza

Nel caso vogliate richiedere una licenza, potete:

  • estendere una licenza esistente di COPA-DATA
  • creare una nuova licenza di COPA-DATA

  • Per aggiungere una nuova licenza di COPA-DATA:
    • Selezionate Ing. Punzenberger COPA-DATA GmbH
  • Per creare una nuova licenza di COPA-DATA:
    • Inserite il CodeMeter FirmCode che avete ricevuto da COPA-DATA.
  • Selezionate il posto dove salvare la vostra richiesta di licenza.


Adatta licenza

Manuale -> Licenza -> Tipi di licenza -> Licenza dongle -> CodeMeter -> Adatta licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete adeguare in qualsiasi momento la vostra licenza in relazione alla sua ampiezza e al Runtime. Per far ciò:

  1. Ordinate a COPA-DATA il cambiamento desiderato
  2. Riceverete un file *.WibuCmRaU per il vostro dongle
  3. Installatelo:
    1. o con un doppio clic sul file
    2. oppure trascinando il file sul CodeMeter Centro di controllo
  4. Riceverete un messaggio che vi informerà del fatto che avete aggiornato con successo la vostra licenza.

    In caso doveste ricevere un messaggio di errore 229, ciò significa che la licenza sul dongle è già up to date.

Se per la vostra richiesta concernente la licenza dovesse risultare necessario creare un file .WibuCmRaC, oppure scaricare manualmente il file .WibuCmRaU con l´update, seguite le indicazioni che trovate nella sezione Aggiorna manualmente la licenza.

Noch in diesem Kapitel

Richiedere o aggiornare una licenza


Richiedere o aggiornare una licenza

Richiedere o aggiornare una licenza

Per aggiornare manualmente la vostra licenza:

  1. Create un file .WibuCmRaC
  2. Inviatelo a COPA-DATA
  3. Riceverete un file .WibuCmRaU aggiornato.
  4. Copiatelo sul dongle.

Creare un file WibuCmRaC

  1. Assicuratevi che il CodeMeter-Dongle sia collegato al vostro computer
  2. Aprite il centro di controllo CodeMeter, per esempio, tramite Start -> Programmi -> CodeMeter -> CodeMeter Control Center
  3. Nella scheda Licenza cliccate sul pulsante Aggiorna licenza (Update License)
  4. Si apre l´assistente per l´update.
  5. Cliccate su Avanti.

  6. Selezionate Crea richiesta licenza (Create license request) e cliccate su Avanti

  7. Selezionate Estendi licenza esistente (Extend existing license)
  8. Cliccate su Avanti.

  9. Nella seguente finestra di dialogo, cliccate di nuovo su Avanti
  10. Selezionate il luogo di salvataggio desiderato per il file .WibuCmRaC corrispondente
  11. Cliccate su Applica.
  12. Viene generato il file .WibuCmRaC
  13. Inviate il file a sales@copadata.com.

Installare il file WibuCmRaU

Riceverete da COPA-DATA un file *.WibuCmRaU aggiornato.

Installatelo sul dongle cliccandoci sopra due volte.

Alternativa:

  1. Aprite il centro di controllo CodeMeter
  2. Selezionate "Carica update licenza" (install license update).
  3. Seguite le istruzioni dell´assistente di installazione


Risoluzione dei problemi

Manuale -> Licenza -> Tipi di licenza -> Licenza dongle -> CodeMeter -> Risoluzione dei problemi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Errore

Soluzione

zenon funziona solamente in modalità demo.

Controllate

  • le vostre licenze
  • la connessione al dongle di rete
  • se le informazioni sulla licenza (SERIAL7= e ACTIVATIONKEY7=) sono state inserite correttamente nello zenon6.ini. Fate attenzione ai possibili spazi vuoti dietro il numero di serie (SERIAL7=), oppure la key di attivazione (ACTIVATIONKEY7=).
    Percorso per zenon6.ini:
    Windows /7/8: %ProgramData%\COPA-DATA\System

Il dongle non viene trovato.
  • Controllate le impostazioni di rete.
  • Se lo stick si trova in un altro dominio, aggiungetelo alla lista server.
  • Aumentate il tempo di risposta UDP.
  • Se si tratta di una macchina virtuale (VM), configurate lo stick come supporto rimovibile.
    Attenzione: la configurazione come supporto rimovibile può anche avere come conseguenza (a seconda dalla configurazione del calcolatore) che il computer non riesca ad effettuare le operazioni di booting e non si avvii.
  • Configurate lo stick come HID.

Errore 410
(con schede SD)

La connessione a schede SD è instabile.

Usate un lettore di carte esterno.

Orario certificato non può essere aggiornato.

Controllate:

  • Le impostazioni Proxy, soprattutto tutti i dati di accesso e la password.
  • Lista dei server tempo alla voce Impostazioni -> Server time
    per es.: cmtime.codemeter.com, cmtime.codemeter.de, cmtime.codemeter.fr, cmtime.codemeter.us

Messaggio di errore nell´update della licenza:

Errore nell´update di CmSticks x-xxxxxxx:
questo update non può essere più caricato (This update can no longer be read in) Il contenuto di CmSticks è a un nuovo stato, errore 229. (The content of the CmStick has a newer version, error229.)

L´update per questa licenza è stato già trasmesso al dongle. Il dongle è up-to-date.

Il sistema operativo Windows visualizza il messaggio:

Memoria insufficiente

Il dongle viene identificato come memoria locale. In alcuni casi, però, si può verificare che il sistema operativo segnali "Spazio di memoria insufficiente".

Questa segnalazione può essere ignorata.

In alternativa, il dongle può essere anche configurato come supporto removibile. Per i dettagli concernenti la configurazione, vedi il capitolo Configurare il dongle come supporto removibile.

Attenzione: la configurazione come supporto rimovibile può anche avere come conseguenza (a seconda dalla configurazione del calcolatore) che il computer non riesca ad effettuare le operazioni di booting e non si avvi.

Il sistema operativo Windows non mostra più il simbolo del cestino.

Ciò può accadere quando il dongle viene identificato come un´unità fissa locale.

In alternativa, il dongle può essere anche configurato come supporto removibile. Per i dettagli concernenti la configurazione, vedi il capitolo Configurare il dongle come supporto removibile.

Attenzione: la configurazione come supporto rimovibile può anche avere come conseguenza (a seconda dalla configurazione del calcolatore) che il computer non riesca ad effettuare le operazioni di booting e non si avvi.

Noch in diesem Kapitel

Configurare il dongle come HID, dispositivo di archiviazione di massa o supporto rimovibile

Configurare il dongle come dispositivo HID o dispositivo di archiviazione di massa.


Configurare il dongle come HID, dispositivo di archiviazione di massa o supporto rimovibile

Manuale -> Licenza -> Tipi di licenza -> Licenza dongle -> CodeMeter -> Risoluzione dei problemi -> Configurare il dongle come HID, dispositivo di archiviazione di massa o supporto rimovibile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configurare il dongle come HID, dispositivo di archiviazione di massa o supporto rimovibile

La procedura standard è quella di integrare il dongle nel sistema come dispositivo HID. Si consiglia di adottare questa configurazione. Il dongle può essere configurato anche come dispositivo di archiviazione di massa o supporto rimovibile.

Configurazioni

Configurato come:

Descrizione

Limitazioni

Dispositivo HID

Il dongle:

  • Non viene visualizzato nella lista dei dispositivi disponibili.
  • Non occupa nessuna lettera di unità.

Disponibile solamente per dongle CodeMeter senza memoria.

Dispositivo di archiviazione di massa

Il dongle viene visualizzato e gestito come unità locale.

Per la configurazione, vedi capitolo Configurare il dongle come dispositivo HID o dispositivo di archiviazione di massa.

Ciò può avere queste conseguenze:

  • il sistema operativo segnala che esiste troppo poco spazio di memoria per il dongle
  • il simbolo Windows del cestino non viene più visualizzato
  • non viene trovato il dongle in macchine virtuali

Supporto rimovibile

Il dongle viene visualizzato e gestito come supporto rimovibile.

Per la configurazione, vedi il capitolo Configurare il dongle come supporto removibile.

Nel caso di una configurazione come supporto removibile:

  • si può impedire il booting del computer in quei sistemi che consentono il boot tramite un drive USB.
  • il Dongle appare come drive nella taskbar e può essere rimosso (espulso) in qualsiasi momento.


Configurare il dongle come dispositivo HID o dispositivo di archiviazione di massa.

Manuale -> Licenza -> Tipi di licenza -> Licenza dongle -> CodeMeter -> Risoluzione dei problemi -> Configurare il dongle come dispositivo HID o dispositivo di archiviazione di massa.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configurare il dongle come dispositivo HID o dispositivo di archiviazione di massa.

A partire dalla versione 5.0, CodeMeter supporta la classe di periferiche Human Interface Device (HID) dello standard USB. In tal modo, i dongle CodeMeter possono registrarsi nel sistema invece che come memoria di massa (Mass Storage Device), anche come HID (Human Interface Device). Speciali USB Host-Treiber non devono essere installati per configurarli, visto che la funzionalità viene messa a disposizione dal sistema operativo. Il dongle non viene visualizzato nella lista delle unità disponibili e non occupa una lettera di unità. Il supporto HID è disponibile per tutti i dongle CodeMeter senza memoria.

Requisiti:

  • CodeMeter Container con l´identificazione "2-xxxxxxx" o "3-xxxxxxx".
  • Perlomeno CodeMeter Firmware 2.02.
  • CodeMeter Runtime 5.0 e versioni più recenti. Se la versione che avete installato dovesse essere di un numero di serie inferiore, potete scaricare l´attuale Runtime CodeMeter dal Wibu Systems (www.wibu.com).

Da HID a memoria di massa

Per cambiare la comunicazione USB da Human Interface Device (HID) a memoria di massa:

  1. Verificate in CodeMeter WebAdmin lo stato, nella scheda Contenuto(CmContainer.
  2. Non è assegnata nessuna unità.

  3. Aprite la riga di comando CodeMeter cmu: Start -> Programmi -> CodeMeter -> Tools -> CodeMeter Command Prompt.
  4. Inserite i seguenti comandi nella riga di comando:

    C:\Users\fs>cmu32 /s [Boxenmaske-Seriennummer] --set-config-disk MsdCommunication

  5. Lo stato attuale viene visualizzato nella riga di comando nel modo seguente:

    cmu32 - CodeMeter Universal Support Tool.

    Version 5.00 of 2013-Jan-30 (Build 1039) for Win32

    Copyright (C) 2007-2013 by WIBU-SYSTEMS AG. All rights reserved.

    - CmStick/C with Serial Number 2-2251132 and version 2.01

    Versione: 02:01

    Flash Size: no real flash available

    Virtual Drive: No drive assigned (HID)

    Communication: Human Interface Device (HID)

    Please replug your CmDongle to apply the changes.

  6. Rimuovete il Dongle dal calcolatore.
  7. Ricollegate il Dongle al calcolatore.
  8. Nel Centro di controllo CodeMeter, più precisamente nella scheda Eventi verrà visualizzato il passaggio a MSD.

  9. In CodeMeter WebAdmin, nella scheda Contenuto/CmContainer verificate lo stato del drive. È inserito un drive, ma non c`è una memoria flash.

Memoria di massa per HID

Per far passare la comunicazione USB da memoria di massa (Mass Storage Device) a Human Interface Device (HID):

  1. verificate in CodeMeter WebAdmin lo stato, nella scheda Contenuto(CmContainer.
  2. È assegnato un drive, ma non c`è una memoria flash.

  3. Aprite la riga di comando CodeMeter cmu: Start -> Programmi -> CodeMeter -> Tools -> CodeMeter Command Prompt.
  4. Inerite i seguenti comandi nella riga di comando.:

    cmu32 /s [Boxenmaske-Seriennummer] --set-config-disk HidCommunication

  5. Lo stato attuale viene visualizzato nella riga di comando nel modo seguente:

    cmu32 - CodeMeter Universal Support Tool.

    Version 5.00 of 2013-Jan-30 (Build 1039) for Win32

    Copyright (C) 2007-2013 by WIBU-SYSTEMS AG. All rights reserved.

    - CmStick/C with Serial Number 2-2251132 and version 2.01

    Versione: 02:01

    Flash Size: no real flash available

    Virtual Drive: E:

    Configuration: LocalDisk with ActivePartition

    File System: FAT32

    Communication: Mass Storage Device

    Boot-Code: Int18 Boot Code

    Mdfa: 0x539

  6. Rimuovete il dongle dal calcolatore.
  7. Ricollegate il dongle al calcolatore.
  8. Nel centro di controllo CodeMeter, nella scheda Eventi viene visualizzato il cambio a HID.

  9. In CodeMeter WebAdmin, nella scheda Contenuto/CmContainer verificate l´unità. Non ce ne deve essere nessuna.


WibuKey

Manuale -> Licenza -> Tipi di licenza -> Licenza dongle -> WibuKey

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

WibuKey può essere utilizzato su postazione singola o in rete. Il dongle deve essere attivo su una porta USB oppure porta parallela sul computer locale, oppure come server su un computer di rete.

Per controllare le impostazioni dello stick:

  1. Installate il software di gestione WibuKey dal supporto di installazione.
    Percorso di salvataggio:
    \AdditionalSoftware\WIBU-SYSTEMS WibuKey
    Usate questo software per la registrazione licenza con dongle di rete.
  2. Aprite il pannello di controllo:
  3. Aprite l´elemento WibuKey del pannello di controllo.
  4. Selezionate lo stick da controllare sul computer locale o in rete

    Per realizzare una lista dei Server-Wibu-Boxen in rete, cliccate sul pulsante Leggi (Read in)

  5. Controllate se il numero nell´ultima colonna della seconda riga è identico alle cifre iniziali dello stick.

Ulteriori informazioni concernenti il funzionamento in rete le potete trovare nel capitolo Dongle di rete.

Noch in diesem Kapitel

Dongle di rete


Dongle di rete

Manuale -> Licenza -> Tipi di licenza -> Licenza dongle -> WibuKey -> Dongle di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare WibuKey in rete come dongle, server e client devono essere configurati in modo corrispondente:

  • Configurazione Server
  • Configurazione Client

attention Attenzione

WibuKey usa la porta 22347. Questa porta è impostata in modo fisso e non può essere modificata. Tenete presente:

  • Se viene usato un altro firewall rispetto a quello integrato nel sistema operativo di Windows, questa port deve essere reso disponibile, se volete usare WibuKey come dongle di rete.

Noch in diesem Kapitel

Imposta server

Impostare client


Imposta server

Imposta server

Sul server dongle deve essere attivo il server WibuKey. Il server WibuKey può essere configurato o come applicazione (per esempio avviare tramite Autostart), oppure come servizio.

Al momento della installazione del software WibuKey devono essere selezionate le opzioni

32 Bit WkNet/WkLAN server di rete

Installallare come servizio NT con Autostart

im modo tale che il server WibuKey venga installato come servizio (consigliato).

Per avviare il server WibuKey-Server come applicazione, deve essere impostata una connessione con il file WkSvW32.exe in AUTOSTART di Windows.

Dopo la vostra installazione, questo file si trova nella cartella C:/Programme/WIBUKEY/Server/.


Impostare client

Impostare client

Devono essere effettuate per il client alcune impostazioni di rete nel pannello di controllo. Fra i sottosistemi WibuKey si procede alla scelta di quale tipo di acceso di rete viene utilizzato. La registrazione licenza di zenon usa il sottosistema WkLan.

Alla voce Nome server/indirizzo IP viene indicato o il nome del server, il suo indirizzo IP oppure una maschera per l´indirizzo IP. Con "Cerca" la lista viene riempita di tutti i server dongle trovati.

Gli inserimenti vengono esaminati nella successione della lista, e possono essere anche combinati.

Nel caso in cui come primo inserimento ci sia un determinato server, il sistema verifica se su questo computer funziona il servizio server dongle, e se su questo computer c´è un dongle corretto (più veloce!) Nel caso in cui non sia stato trovato nessun dongle, e se come prossimo inserimento c`è una maschera di filtro, vengono esaminati tutti i computer nella rete, il cui indirizzo IP corrisponde alla maschera.

Sulla paginaContenuto dovrebbe (dovrebbero) essere indicato (indicati) il server (o i server) con i dongle trovati:


Parametro riga comando per tool di licenza

Manuale -> Licenza -> Parametro riga comando per tool di licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il tool di licenza può essere gestito tramite la riga comando con i seguenti flag come parametro:

La trasmissione dei parametri avviene mettendo davanti al parametro un '/' oppure un '-'.

Per es.: /silent oppure -silent

Parametri | Descrizione
request | Costringe il programma a non visualizzare il primo dialogo; al suo posto appare subito la finestra di dialogo che richiede la chiave di attivazione (non ha alcuna importanza se è in uso il flag /silent oppure –silent)
sernum:<num> | Costringe il programma a non leggere il Numero di serie dal file zenon6.ini, ma ad usare il <num> trasmesso per la licenza.
actkey:<key> | Costringe il programma a non leggere la Chiave di attivazione dal file zenon6.ini, ma ad usare la<key> trasmessa per la licenza.
silent | Costringe il programma a non visualizzare alcun dialogo. Tuttavia il file License.txt viene scritto.
mailto:<addr> | Funziona solo in combinazione con il flag 'silent' e costringe il programma a mandare la richiesta di licenza per E-Mail all'indirizzo <addr> indicato.


Registrazione licenza remota

Manuale -> Licenza -> Registrazione licenza remota

Per assegnare una licenza ad un calcolatore via collegamento remoto:

  1. selezionate nel menù contestuale del progetto Remote-Transport -> Cambia la password e visualizza la licenza
  2. avviate il Remote-Transport
  3. non appena la connessione è instaurata, appare la licenza del calcolatore remoto

  4. inserite il numero di serie e quello di attivazione del Vostro documento di licenza
  5. confermate l´inserimento cliccando su OK


Particolarità concernenti il funzionamento Server-Client.

Manuale -> Licenza -> Particolarità concernenti il funzionamento Server-Client.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per quanto concerne la licenza di moduli nel funzionamento Server-Client, si fa presente che esistono le seguenti particolarità:

Server di archiviazione

Si distinguono i seguenti casi:

  • licenze per Server e per Client: gli archivi possono essere aperti e ci si può lavorare sul Client.
  • Licenza per il Server, niente licenza per il Client: gli archivi possono essere aperti sul Client, ma non li si può modificare in questa sede.
  • Licenza per il Client e standalone avviato: la finestra archivi può essere aperta, ma non i singoli archivi.

Automatic Line Coloring

Si distinguono i seguenti casi:

  • Licenza per il Server, niente licenza per il Client: la funzionalità ALC è disponibile senza alcun tipo di limitazione.
  • Licenza per il Client e standalone avviato: la funzionalità ALC non è disponibile.

info Informazioni su

Se è disponibile una licenza del Server per la Energy Edition, anche ALC dispone di una licenza.

Batch Control

Il client si va a prendere la licenza dal server e non ha bisogno di una licenza propria. Se il server non dispone di una propria licenza, il client non è in grado di utilizzare il modulo.

Load Management

Si distinguono i seguenti casi:

  • Licenza per il Server, niente licenza per il Client: la funzionalità Load Management è disponibile senza alcun tipo di limitazione.
  • Licenza per il Client e standalone avviato: la funzionalità Load Management non è disponibile.

Message Control

Il client si va a prendere la licenza dal server e non ha bisogno di una licenza propria. Se il server non dispone di una propria licenza, il client non è in grado di utilizzare il modulo.

Everywhere Server by zenon

L´Everywhere Server si va a prendere la licenza dal Runtime. La licenza per l´Everywhere Server viene data dal Runtime. Se il Runtime non dispone di una licenza corrispondente, non si potrà usare l´Everywhere Server .

Per questo motivo può succedere che il Runtime funzioni, ma l´Everywhere Server non può essere avviato per la mancanza delle necessarie autorizzazioni di licenza. In questo caso, vi preghiamo di usare il tool di registrazione licenza per ottenere la licenza di cui avete bisogno.


Filo conduttore attraverso l'help - Visione generale

Manuale -> Filo conduttore attraverso l'help - Visione generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Più potenzialità ha il sistema di controllo, più amplia è la guida corrispondente.

A differenza di tutti gli altri capitoli in cui vengono descritte features e funzionalità, il presente capitolo ha la funzione di facilitarvi l'approccio con la nostra guida online.

Noch in diesem Kapitel

Quale capitolo della guida per iniziare

Aggiornamento online dell´help di zenon

Orientamento all´interno della guida

Funzionalità dell'online-help - Così trovate quello che state cercando


Quale capitolo della guida per iniziare

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Quale capitolo della guida per iniziare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

info Informazioni su

Questo capitolo è pensato per tutti coloro che usano zenon per la prima volta e si trovano confrontati con il seguente problema: qual è la parte della guida che mi potrebbe essere più utile. In questa sede si vuole illustrare quali sono i passi necessari per creare un progetto di base. Le relative informazioni del tutorial, del manuale e dei video sono collegate ai singoli passi mediante link.

Noch in diesem Kapitel

L’Editor

Creazione di un progetto

Immagini e modelli

Driver e variabili

Funzioni

Avvio del Runtime

Ulteriori possibilità


L’Editor

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Quale capitolo della guida per iniziare -> L’Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon:

zenon consta di due parti:

1. Editor
(sistema di gestione): qui si creano i progetti.

2. Il Runtime
: qui si può visualizzare e gestire l'impianto progettato.

Struttura dell'editor:

L'interfaccia utente dell'editor si articola in diversi settori:

Elemento

Contenuto

01 - Barre simboli:

Raccolta delle barre simboli per l´editor e i suoi moduli. Sono a disposizione per:

  • Finestre ancorabili
  • Orientamento
  • Immagini / Simboli
  • Profili editor
  • Elementi
  • Barra menù
  • Production & Facility Scheduler
  • Trasporto remoto
  • Generatore Report
  • File Runtime
  • Livelli di visibilità
  • Macro VBA

02 - Manager di progetto:

Visuale ad albero del manager di progetto

03 - Visualizzazione dettagliata del manager di progetto:

Dettagli concernenti il modulo selezionato nel manager di progetto.

04 - Finestra principale:

Workspace principale; qui vengono visualizzati documenti come immagini o report.

05 - Barra simboli Elementi:

Barra simboli per gli elementi delle immagini - elementi vettoriali e dinamici

06 - Proprietà

Mostra le proprietà dell´oggetto selezionato. A questo scopo avete a disposizione tre modalità, che vengono selezionate nella Barra simboli delle porprietà.

07 - Guida proprietà:

Mostra delle brevi spiegazioni che concernono le proprietà di immagini, variabili, funzioni e altri elementi che vengono parametrizzati.

08 - Finestra di emissione

Visualizzazione di segnalazioni se i progetti sono compilati e salvati nel runtime.

09 - Barra di stato:

Mostra delle informazioni di stato per la disponibilità editor e per immagini.

10 - Barra simboli Proprietà:

Definisce visualizzazione e ordine delle proprietà; mostra la Guida proprietà.

11 - Lista incrociata:

Decidete quale finestra deve essere mostrata:

  • nel menù a tendina alla voce Opzioni

L´ordine della finestra può essereadattata individualmente. La finestra principale è l´unica finestra che non può essere nascosta.

Prossimo passo:

per saperne di più su come creare un progetto, cliccate sul link nel box.

Vedi per ulteriori informazioni

Creazione di un progetto


Creazione di un progetto

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Quale capitolo della guida per iniziare -> Creazione di un progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creazione del workspace:

Il workspace costituisce la base per uno o più progetti.
Come creare un nuovo workspace è illustrato nel Tutorial Basis.

Creazione di un progetto:

Poi si procede alla creazione di un nuovo progettonel workspace. Un progetto è una unità in sé indipendente e funzionante costituita di elementi progettabili (per es. immagini, variabili, funzioni ecc.).
Le informazioni relative alle modalità da seguire per la creazione di un progetto le trovate nel Tutorial Basis.

info Informazioni su

Adesso siete in grado di creare un progetto.

Prossimo passo:

Volete integrare adesso il Vostro progetto con delle immagini? Cliccate sul link nel box.

Vedi per ulteriori informazioni

Immagini e modelli


Immagini e modelli

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Quale capitolo della guida per iniziare -> Immagini e modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creazione di un modello:

I modelli fissano l'area dello schermo nella quale saranno aperte poi le immagini. Ogni immagine fa riferimento ad un modello.
Ulteriori informazioni sulla creazione dei modelli le trovare nel Tutorial Basise nel capitolo modelli.

Creazione di un'immagine:

zenon offre i più diversi tipi di immagini predefiniti, e anche il più semplice "standard" in cui può essere definita liberamente l'area dello schermo. All´adeguamento ottico dell´immagine non è posto quasi nessun limite.
Per poter rappresentare in modo schematico l'impianto sullo schermo, utilizzate semplicemente le possibilità che Vi vengono messe a disposizione con gli elementi d'immagine predefiniti.

Ampliamento dell'immagine mediante gli elementi d'immagine:

zenon offre elementi d'immagine vettoriali e dinamici predefiniti, che possono essere collegati a funzioni e variabili.
Ulteriori informazioni sugli elementi d'immagine li trovate nel Tutorial Basis; le diverse forme degli elementi d'immagine predefiniti sono descritte in modo esaustivo nel capitolo elementi d'immagine.
Un'ulteriore possibilità di risparmio di tempo nella fase di progettazione viene offerta dai nostri simboli predefiniti, che potete vedere nella libreria simboli. Ulteriori informazioni su questo tema le potete trovare nel capitolo Simboli e gruppi di elementi.

info Informazioni su

Adesso siete in grado di creare un nuovo progetto con immagini ed elementi d'immagine.

Prossimo passo:

I Vostri elementi d'immagine devono indicare valori "reali" ed il Vostro impianto deve essere monitorato grazie a zenon? Cliccate sul link nel box.

Vedi per ulteriori informazioni

Driver e variabili


Driver e variabili

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Quale capitolo della guida per iniziare -> Driver e variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Scelta di un driver

Le variabili si basano sul driver relativo; proprio per questo motivo è necessario anzitutto scegliere Driver. Nella fase di progettazione si utilizza nella maggior parte dei casi uno dei driver di simulazione contenuti nel pacchetto standard. Esso può essere poi sostituito con il driver adatto allo specifico PLC. zenon, essendo un sistema aperto e indipendente, supporta più di 250 protocolli di comunicazione e driver. Informazioni dettagliate sui diversi driver le trovate nella documentazione corrispondente. Quest´ultima la trovate nella guida in linea, più precisamente nel capitolo dedicato ai driver.

Creazione di una variabile

Le variabili sono l'interfaccia con i dati di processo e rappresentano determinati valori di misurazione o stati. Allo scopo di richiamare l'attenzione su critici eventi di processo, è possibili associare alle variabili dei valori limite.
Le modalità concrete da seguire nella creazione di una variabili le trovate nel Tutorial Basis. Un'ampia descrizione di variabili, tipi di dato e matrici di reazione si trova nal capitolo Modello di dati di processo e definizione di variabili.

Rappresentazione dei valori nell'elemento d'immagine

Per rappresentare i valori in "entrata", gli elementi d'immagineimpostati possono essere collegati con delle variabili.
Ulteriori informazioni concernenti il collegamento di una variabile con un elemento dinamico le potete trovare nel Tutorial Basis. Il capitolo Elementi d'immagine contiene un link per Elementi dinamici e Elementi vettoriali di zenon.

info Informazioni su

Adesso avete un'idea generale di come possono essere usati le variabili ed i driver.

Prossimo passo

Non volete solamente osservare ma anche gestire? Per poter operare attivamente in zenon, è necessario creare e collegare delle funzioni.

Vedi per ulteriori informazioni

Funzioni


Funzioni

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Quale capitolo della guida per iniziare -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creazione di una funzione:

Le funzioni sono la base che garantisce che, durante il Runtime, sia possibile gestire l'impianto: per es. si può passare da un'immagine all'altra dell'impianto, oppure si possono apportare delle modifiche di valori.
Più funzioni possono essere riassunte e gestite in script. Ulteriori informazioni su questo tema le potete trovare nel capitolo gestione degli script.

Collegamento della funzione con un elemento d'immagine dinamico:

Ulteriori informazioni su questo tema le potete trovare nel capitolo Tutorial Base. Visto che zenon offre una grande quantità di diverse funzioni, quest'ultime sono elencate e descritte brevemente nel capitoloVisione generale funzioni. Nel dialogofunzione nuova, inoltre, trovate una breve spiegazione concernente le singole funzioni.

info Informazioni su

Adesso siete in grado di creare un progetto semplice. Potete creare un'immagine, collegare elementi d'immagine con variabili e funzioni e rappresentare la violazione di valori limite.

Prossimo passo:

E' tempo di vedere che cosa avete progettato? Cliccate sul link nel box.

Vedi per ulteriori informazioni

Avvio del Runtime


Avvio del Runtime

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Quale capitolo della guida per iniziare -> Avvio del Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dall'editor al Runtime

Quello che avete progettato nell'editor, potete adesso vederlo e gestirlo ne Runtime. Adesso ci apprestiamo a lasciare il sistema di gestione (editor) e a passare nel funzionamento online (runtime).
Ulteriori informazioni sull'avvio del runtime le trovare nel Tutorial Basise nel capitolo runtime.

info Informazioni su

Non ci sono più ostacoli alla progettazione e alla visualizzazione e gestione successiva del Vostro progetto.

Più?

Quanto sopra illustrato non voleva essere che una piccola visione d'insieme delle possibilità che Vi vengono offerte da zenon. Volete saperne di più? Volete imparare di più? Cliccate sul link nel box.

Vedi per ulteriori informazioni

Ulteriori possibilità


Ulteriori possibilità

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Quale capitolo della guida per iniziare -> Ulteriori possibilità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Qui troverete una molteplicità di possibilità che potete realizzare usando zenon:

Volete.... | Nessun problema!
Richiamare l'attenzione su eventi di processo critici (violazioni di valori limite)? | Gestione allarmi
Analizzare allarmi | Industrial Performance Analyzer
Protocollare eventi di processo e di sistema? | Lista Eventi Cronologica (CEL)
Protocollare modifiche apportate al progetto? | Log delle modifiche
Salvare e organizzare dati di processo? | Server di archiviazione
Colorare e rendere dinamici conduttori? | Automatic Line Coloring
Creare una gestione utenti conforme alle norme FDA (sistema password)? | Gestione utente
Valutare file log? | Diagnosis Viewer
Rappresentare valori di processo tramite delle curve? | Trend esteso
Gestire i dati di manutenzione dei macchinari? | Industrial Maintenance Manager
Invio messaggi | Message Control
Creare una rete client/server? | Rete
Ambiente di sviluppo | Editor
Importare o esportare parti del progetto? | Importazione - Esportazione
Eseguire delle azioni ad un orario definito? | Production & Facility Scheduler
Creare report? | Generatore Report
Creare una lista per valori limite e comandi? | Ricette
Definire una successione di funzioni? | Gestione script
Richiamare delle funzioni in un momento stabilito? | Temporizzatori
Convertire delle informazioni di testo del runtime da una lingua all'altra? | Cambio lingua
Gestire l'accesso a determinati oggetti di zenondurante il funzionamento online con l'aiuto di variabili? | Interblocchi
Programmare da soli dei processi ciclici? | Process Control Engine
Imparare a conoscere i meccanismi dell'integrazione con zenon Logic? | zenon Logic Workbench
Scambiare dati con il livello ERP? | Interfaccia SAP


Aggiornamento online dell´help di zenon

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Aggiornamento online dell´help di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Documentation-Download Tool gestisce l´aggiornamento della Vostra guida in linea, inclusi Embedded Help, Dialog Help, Tool-Tipps e la documentazione in formato PDF di zenon e zenon Logic.

L´aggiornamento viene effettuato online. È quindi necessario disporre di una connessione Internet.

Contenuti degli update della documentazione:

Il Documentation-Download Tool supporta gli update di:

  • documentazione di zenon e zenon Logic
  • documentazione relativa ai driver
  • Tutorial
  • Glossario

Formati file degli update della documentazione:

Il Documentation-Download Tool supporta gli update di:

  • guida in linea per zenon e zenon Logic (.chm)
  • documentazione di zenon (.pdf)

Nota: questo tool è a disposizione solamente in lingua inglese.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime


Orientamento all´interno della guida

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Orientamento all´interno della guida

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Qui potete trovare una visione riassuntiva dei capitoli del manuale online e, nel contempo, una breve introduzione alla terminologia di zenon. Indicazioni su come effettuare una progettazione efficiente le trovate nella guida relativa a Progettare in modo efficiente con zenon.

Parametri

Descrizione

Gestione allarmi

Eventi di processo critici
La gestione allarmi ha la funzione di evidenziare eventi di processo anomali e di assistere l’utente durante la localizzazione e eliminazione degli stessi.

Log delle modifiche

Documentazione della progettazione, Audit Trail
La storia delle modifiche serve a garantire una documentazione e protocollaggio della progettazione completi e senza lacune di sorta. E’ possibile archiviare le modifiche (p.e. modifiche, cancellazioni, inserimenti) effettuate in un progetto.

Definizione di impianto

Riproduce la struttura o l´impianto e permette di collocare in modo corretto i dettagli del livello inferiore (per es. macchinari, ricette e processi) e di metterli in relazione fra loro. Corrisponde a quanto previsto dalle norme ISA S88 e S95.

Server di archiviazione

Registrazione dei dati di processo
Il modulo dell'archiviazione serve a registrare e a comprimere a più livelli (valore medio, somma, massimo e/o minimo) i dati di processo, e si basa su un editor conforme al sistema, flessibilie e, nel contempo, di facile utilizzo.

Automatic Line Coloring

Colorazione topologica di condutture
La colorazione delle linee automatica serve a rendere dinamiche condutture nella tecnica dei processi (per le sostanza e materiali) e nella distribuzione dell'energia (per l'elettricità).

Batch Control

Il modulo Batch Control offre la possibilità di automatizzare processi produttivi a base lotti.

Gestione user

Sistema di password
zenon prevede un'amministrazione d´utenti sia per l´editor (capitolo “progetto”) che per il funzionamento online (runtime) . Con questo sistema di password, vengono rispettate le direttive imposte da FDA (Food an Drug administration, 21 CFR Part 11).

Immagini

Le componenti principali di un progetto sono le immagini, che forniscono all’utente un'informazione il più possibile completa sugli impianti da gestire.

Lista Eventi Cronologica (CEL)

Diario dell'azienda, Audit Trail
Tutti gli eventi di processo o di sistema e le impostazioni effettuate dell’utente, possono essere protocollate nella lista eventi cronologica.

Controls

Integrazione per i vostri NET user control, ActiveX e elementiWPF. Offre possibilità di accedere all´API di zenon.

Diagnosis Viewer

Reporting Tool
Permtte la lettura di file di Log esistenti di zenon, l'online-logging, il salvataggio della visualizzazione attuale, e la parametrizzazione di Diagnose-Client e Diagnose-Server.

Elementi d’immagine dinamici e Elementi d'immagine vettoriali

Elementi dinamici e vettoriali
zenon offre due tipi di elementi d'immagine: elementi vettoriali e dinamici. Tutti gli elementi possono essere resi dinamici.

Editor

Ambiente di progettazione
Il sistema di controllo di processo distribuito si divide in editor e runtime: l'ambiente di progettazione, l'editor, e la visualizzazione online, il runtime. I progetti vengono realizzati nell'editor, mentre la loro gestione ed osservazione avviene nel Runtime.
Descrizione dettagliata dell'ambiente di progettazione di zenon, l'Editor.

Energy Edition

Un pacchetto munito di speciali funzionalità per la tecnologia del settore elettrico e per la tecnologia dei processi (per es. Automatic Line Coloring).

Trend esteso

Rappresentazione di valori tramite curve
Il trend esteso serve a visualizzare valori online (gestione HD) e valori storici (valori di archivio) di variabili e variabili derivate.

Funzioni

Macro predefinite che possono essere semplicemente usate e parametrizzate dal progettista e che servono ad effettuare delle operazioni in zenon
Gli interventi dell'utente in zenon vengono realizzati mediante delle funzioni di progetto definite dall'utente stesso. Tutte le funzioni utilizzate in un progetto sono basate sulle funzioni di sistema presenti.

HTML

Visualizzazione nella forma di una pagina HTML
L'utilizzo di un’immagine per la visualizzazione di pagine HTML offre tutte le possibilità del Microsoft Internet Explorer.

Importazione - Esportazione

E' possibile esportare parti di un progetto da zenon o importarle in zenon. Il formato del file di esportazione è *.XML.

Industrial Maintenance Manager

Gestione dei dati di manutenzione
L'Industrial Maintenance Manager serve alla cura dei dati relativi ai macchinari e alla manutenzione. E' possibile pianificare e gestire in modo semplice ed efficacie gli intervalli con cui effettuare le operazioni di manutenzione. Si ha sempre una visione generale completa di quali apparecchi, impianti, macchinari ecc. devono essere sottoposti a controllo oggi/questa settimana/il mese prossimo ecc. Viene protocollato, inoltre, quali lavori di manutenzione sono stati effettuati in passato.

Industrial Performance Analyzer

Analisi allarmi
L'Industrial Performance Analyzer serve a localizzare e a ridurre al minimo i punti deboli (tempi di interruzione del funzionamento) di un impianto.

Installazione e update

Informazioni concernenti l´installazione di zenon su diversi sistemi operativi (per es. Windows CE, .. Embedded, ...)

Keyblock Runtime Start

Un programma che avvia il Runtime di zenon e blocca tutti i tasti di sistema Windows.
Gli utenti lavorano nel Runtime di zenon e non hanno accesso al livello del sistema operativo.

Keyboard

Keyboard virtuale
Utilizzando un’immagine del tipo keyboard si può generare una tastiera virtuale, liberamente definibile.

File di configurazione

Informazioni per gli amministratori di sistema che vogliono accedere direttamente ai file-INI.

Load Management

Per l´implementazione di un management del consumo energetico in piccoli e medi produttori di energia, e anche in aziende il cui rifornimento di energia è regolato da contratti speciali.
Questo modulo può essere usato anche per realizzare delle previsioni, nonché al fine di ottimizzare l´uso di energia.

Registrazione licenza

Per poter usare zenon come editor/runtime, il prodotto deve essere provvisto di una licenza.
Finché non si dispone di una licenza valida per zenon, esso funziona solo nella Modalità Demo.

Cambio unità di misura

Permette la conversione e il cambio di unità di base in cosiddette unità di commutazione, per esempio metro in yard o metro in decimetro, centimetro in millimetro.
Per l´unità di conversione possono essere definiti un fattore, un offset e uno spostamento virgola in riferimento all´unità di base corrispondente.

Gestione menù

L´Editor permette la creazione di menù standard-Windows.

Message Control

Invio di messaggi via SMS, Voice Message o E-Mail.
Il compito di questo modulo è l'invio di messaggi destinati a diversi riceventi.

Applicazioni mobili per zenon

Grazie a queste applicazioni, potete visualizzare i vostri progetti realizzati con zenon su dispositivi mobili, tablet e apparecchi Desktop.

Gestione monitor

Sistema multi-monitor
Attraverso la gestione monitor zenon si può definire su ogni PC se il sistema destinatario del progetto deve avere uno o più monitor.

Multi-Touch

Con zenon i touchscreen possono essere gestiti anche tramite gesti multitouch. I gesti multitouch per zoom e scroll possono essere utilizzati su pannelli con funzione touch anche al fine di navigare all´interno dell´immagine globale.

Rete

Modello Client/Server
Lo scada di processo realizza in un ambiente di rete il cosiddetto modello Client/Server, oppure un sistema multi-gerarchico con sotto-stazioni, centrali di campo e centrali.

Blocco note

Emissione di protocolli e file di testo.

OPC-Server

il server OPC mette a disposizione le variabili utilizzate nel progetto a tutti gli "OPC Client Tool" disponibili sul mercato.

Diagnosi PLC

Mediante lo strumento "Diagnosi PLC" possono essere visualizzati direttamente in un'immagine i dettagli del programma di un PLC. A seconda del PLC, sono a disposizione diverse funzionalità. Adesso esiste l'analisi delle successioni di processi a catena di Simatic S7-Graph che serve alla rappresentazione di informazioni concernenti le successioni di processi di PLC S7 e il Monitoring Viewer di zenon Logic che serve alla rappresentazione di tutti i programmi che vengono usati nel runtime di zenon Logic.

Process Gateway

Il Process Gateway di zenOn serve per il collegamento con sistemi di livello superiore. Parti dell'immagine di processo di zenon di altre applicazioni possono essere rese disponibili ed aggiornate.

Production & Facility Scheduler

Orario, orologio di commutazione
Il Production & Facility Scheduler PFS rende possibile l'esecuzione di azioni (per es. modifica del valore impostabile di una variabile, esecuzione di una funzione) collegate ad un determinato intervallo di tempo o ad un modello temporale.

Scripting

zenon offre diverse interfacce (come VBA, VSTA oppure .Net) per l´implementazione di programmi propri o per l´automatizzazione della progettazione:

Conversione progetto

Informazione/i concernenti la compatibilità, incluse istruzioni per una corretta conversione di materiale di versioni di zenon più vecchie.

Backup progetto

Salvataggio e backup di progetti esistenti.
Questi backup possono essere riletti sullo stesso calcolatore o su un altro calcolatore. I backup di progetto possono essere anche versionati.

Progetto di simulazione

Offre la possibilità di passare fra la modalità simulazione e la modalità hardware. Nella modalità simulazione vengono eseguite operazioni di commutazione, vengono generate delle ricette, settati valori limite ecc; tutto ciò avviene senza che queste operazioni vengano inviate al livello del processo (per esempio ad un PLC).

gestione progetto

Informazione sulla creazione di un progetto e sulla gestione di progetto
Salva progetto, rileggi progetto, progetti globali, configurazione, Trasporto Remoto

Modello per i dati di processo e definizione di variabili

Una variabile di processo è l’interfaccia tra la fonte di dati (PLC, bus di campo) e zenon.
Variabili, tipi di dato, driver, matrici di reazione

Lista incrociata

Visione generale del progetto
Mediante la Lista incrociata si può generare una visione generale del progetto in forma di tabella. La Lista incrociata, ad esempio, dà la possibilità di sapere quali variabili sono utilizzate nelle diverse immagini

Trasporto remoto

Il trasporto remoto permette di trasportare i file runtime ad un sistema di destinazione. Ciò garantisce che tutti i file necessari giungano sempre al calcolatore di destinazione.
Sono disponibili anche altre funzionalità (per es. copia incrementale, trasmissione di stato).

Reporting con il Generatore Report e

documentazione, analisi e presentazione dei dati del processo sulla base dei dati online e di archivio attinti da zenon. Il reporting si articola in:

  • Generatore Report
  • Report Viewer

Ricette

Liste di parametri per valori impostabili e comandi
Le ricette servono a definire un insieme globale di liste di parametri per l'impostazione di valori e comandi, eseguibili attraverso una chiamata di funzione nel funzionamento online.

Gruppi di ricette

Oltre alle ricette standard, il manager gruppi ricette offre ulteriori possibilità, come ad es. quella di creazione libera di un Layout, o quella della divisione libera in gruppi.

Runtime

Gestione online, Runtime
Il sistema di controllo si divide in editor e runtime: l'ambiente di progettazione, l'editor, e la visualizzazione online, il runtime. I progetti vengono realizzati nell'editor, mentre la loro gestione ed osservazione avviene nel Runtime.
Possibilità di gestione nel Runtime

Guida runtime

zenon offre la possibilità per i progetti attivi di creare una guida contestuale nel Runtime.

Interfaccia SAP

zenon e SAP comunicano tramite una interfaccia bidirezionale.
Il sistema di controllo invia segnalazioni concernenti qualsiasi tipo di processi all'applicazione SAP (per es. monitoraggio in tempo reale della gestione magazzini).

Sequenze di comando

Nel Runtime, i comandi del modulo Comando possono essere organizzati e visualizzati in sequenze. Possono essere eseguite anche interazioni utenti.

Schedulatore

Esecuzione di azioni in base ad un tempo definito
Lo schedulatore viene caricato, quando il modulo PFS non è provvisto di licenza. La sua funzionalità è analoghe a quella del PFS, ma meno estesa. Lo schedulatore viene utilizzato per l’ esecuzione di particolari azioni in un determinato orario.

Carattere

I tipi di carattere disponibili nel sistema operativo, possono essere utilizzati in zenon.

Gestione script

Successione di funzioni
Più funzioni definite dall’utente possono essere collegate in una sequenza tramite uno script.

Cambio lingua

Questa funzione consente, durante il lavoro online, di visualizzare le informazioni di testo in diverse lingue.

Elaborazione stato

Attributi per variabili
Con la gestione stati è possibile assegnare stati ad ogni variabile. Nel complesso sono definiti 64 bit di stato. I più usati sono spontaneo, disturbato, Valore manuale e Valore di riserva.

Stili

Gli stil consentono di estrarre proprietà grafiche da elementi ad immagine nell´Editor, di amministrarle e di applicarle ad altri elementi.

Gli stili vengono amministrati e gestiti sempre nel progetto globale.

zenon Logic Runtime

Il runtime zenon Logic interpreta il code PLC compilato (PLC-Code) del workbench di zenon Logic. Il Runtime è operativo su calcolatori Windows 7/8 e 7 embedded, nonché su piattaforme Windows CE.

zenon Logic Workbench

zenon Logic è un ambiente di sviluppo per IEC 61131-3. Con l'ambiente di sviluppo di zenon Logic - la cosiddetta Workbench - si possono progettare e programmare PLC nelle cinque lingue definite in IEC 61131-3.

Simulazione driver

Se, al momento della progettazione, non è disponibile il processo di base, quest´ultimo può essere simulato e poi testato.

Tools

Una serie di tool vi aiutano a gestire, analizzare e configurare zenon:

  • Diagnose Viewer: consente la lettura e la configurazione dei file LOG di zenon.
  • Keyblock Runtime Start: avvia il Runtime di zenon e, contemporaneamente, blocca tutti i tasti di sistema di Windows.
  • Aggiornamento online dell´help di zenon consente l´update online della guida in linea di zenon.
  • Project Translation Interface: tool per la traduzione di file di lingua di zenon. Apre o salva file per il zenon Language Translation Wizard. Con esso si possono importare o esportare progetti rispettivamente in o da zenon.
  • Startup Tool: consente di avviare l´Editor e il Runtime con certi parametri, di amministrare differenti versioni di zenon su un computer, di amministrare istanze SQL e di definire lingue per l´Editor e il Runtime.
  • System Information Collector: legge informazioni del sistema e di zenon, le visualizza in una finestra di emissione e le salva in forma di file ZIP.

Per zenon Logic avete a disposizione quanto segue:

  • zenon Logic Runtime Manager: amministra tutti i progetti Runtime di zenon Logic sul vostro computer.
    La documentazione di questo tool è parte di documentazione di zenon Logic.

Variabili

Le variabili, anche quelle di processo o punti di dato, sono l’interfaccia tra la fonte di dati (PLC, bus di campo) e zenon. Rappresentano determinati valori di misurazione o stati sull´hardware, incluse proprietà come scala, valori limite ecc.

Interblocchi

Autorizzazioni di accesso
Gli interblocchi consentono di gestire l’accesso a determinati oggetti di zenondurante il Runtime con il supporto di variabili.

Engineering distribuito

Gestione multiutente, progettazione multiutente
La funzione multi-utente di zenon consente a più utenti di lavorare contemporaneamente ad uno stesso progetto.

Video

File .avi in zenon
Utilizzando un’immagine per la visualizzazione video si possono visualizzare riprese online oppure riprese video salvate (*.avi)

Visualizzazione globale

Effettuare lo scroll in grandi immagini.
Con l'utilizzo di una immagine globale, è possibile effettuare lo scroll con il mouse in immagini standard più grandi della risoluzione dello schermo E' possibile anche effettuare uno zoom e visualizzare o far sparire delle informazioni nell'immagine in dipendenza dal livello di zoom scelto. (Zooming, panning, decluttering).

Wizards

Assistenti, forme di aiuto per la fase di progettazione
Per poter sbrigare in fase di progettazione nel modo più facile e rapido possibile dei compiti ricorrenti, zenon mette a disposizione dei wizards concernenti diversi temi. Gli utenti possono creare da soli dei wizard adibiti allo svolgimento di compiti particolari.

Temporizzatori

Con i temporizzatori vengono definite tutte le chiamate di funzioni, che devono essere eseguite in ciclo o entro un tempo determinato.

zenon Remote Desktop

Con il modulo zenon Remote Desktop viene instaurata una connessione "Remote Desktop" con un un sistema di destinazione remoto per poter gestire semplicemente un calcolatore remoto.
Il desktop viene visualizzato esattamente come sul sistema destinatario.

Il zenon Remote Desktop realizza una connessione di pura osservazione o anche una di gestione.

zenon Science Package

Il zenon Science Package consente la programmazione di LEGO Mindstorms NXT 2.0 / EV 3.0. I programmi vengono creati in zenon Logic ed eseguiti sul LEGO Controller con zenon Logic, un ambiente di programmazione IEC 61131-3 integrata in
zenon.

zenon Web Server e zenon Web Server Pro

Il zenon Web Server porta progetti 1:1 in Internet e in Intranet. Per il trasferimento non è necessario apportare alcune modifiche o adattamenti al progetto. A differenza del Web Server Pro di zenon, il Webserver di zenon offre una pura funzione di osservazione..
Il Web Server Pro di zenon, invece, offre non solo la funzione di osservazione, ma anche una possibilità di intervento e gestione attivi. È possibile accedere direttamente ai processi tramite il WEB.

zenon sotto CE

Il runtime CE di zenon può essere utilizzato su diverse piattaforme Hardware CE. In generale la versione CE di zenon offre la stessa funzionalità di quella della versione di zenon per il PC, con alcune limitazioni che sono da mettere in relazione alle più modeste risorse Hardware.

Attribuzioni

Trasmissione di valori
Il trasferimento (attribuzione) di un valore attuale di una variabile a una seconda variabile all’interno di un driver o da un driver all´altro, viene realizzato tramite attribuzioni.


Funzionalità dell'online-help - Così trovate quello che state cercando

Manuale -> Filo conduttore attraverso l'help - Visione generale -> Funzionalità dell'online-help - Così trovate quello che state cercando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Qualche volta succede che delle informazioni, pur essendo contenute nella guida online, non sono rintracciabili mediante la funzione "cerca".
Proprio per questo motivo, potete trovare qui di seguito dei consigli preziosi che Vi aiuteranno a cercare e soprattutto a trovare quello che state cercando nella nostra guida.

Strategie di ricerca

  • Di Default la guida inizia con un sommario Qui potete trovare l'intera documentazione (manuale online, tutorial, documentazione sui driver) organizzata in una struttura ad albero.
  • Mediante la voce cerca potete iniziare una ricerca inserendo nell'apposito campo una parola o un'espressione.
  • Mediante la voce preferiti potete selezionare dei capitoli dalla consultazione particolarmente frequente. Per far ciò, è sufficiente selezionare il capitolo desiderato nel sommario, oppure trovarlo mediante la funzionalità cerca (è necessario effettuate un doppio clic), e poi spostarlo suFavoriti. Il capitolo selezionato viene visualizzato in questa sede come argomento correntee può venire aggiunto ai Favoriti.

Ricerca di parole o di espressioni:

Parametri | Descrizione
Parola singola | per es. allarme vengono visualizzati i capitolo che contengono la parola "allarme". Anche le eventuali varianti grammaticali della parola vengono tenute in considerazione.
Espressioni | z.B. 'gestione allarmi si effettua una ricerca nella guida volta a ricercare l'espressione "gestione allarmi". Senza l'uso delle virgolette, verrebbero visualizzati i risultati della ricerca relativa alle parole "allarme" E "gestione", cioè i capitoli che contengono entrambe le parole.
Estensioni | Per es. allarme* si ricercano nei diversi capitoli tutte le espressioni in cui allarme è una parte delle stesse. L'asterisco (*) può essere anche posto all'inizio della parola da ricercare (per es. *allarme)
Collegamenti | AND Tutte e due le parole dovrebbero ricorrere nello stesso capitolo. per es. allarme AND CEL Vengono visualizzati i capitoli che contengono entrambe le parole.
 | OR Perlomeno una delle parole deve essere presente nel capitolo per es. allarme OR CEL Vengono visualizzati i capitoli che contengono o la parola "allarme" o la parola "CEL", oppure entrambe le parole.
 | NOT Solo una delle parole è contenuta nel capitolo. per es. allarme NOT CEL Vengono visualizzati i capitoli che contengono la parola "allarme" ma non quella "CEL".
 | NEAR Entrambe le parole sono contenute nel capitolo, una accanto all'altra per es. allarme NEAR CEL Vengono visualizzati i capitoli che contengono entrambe le parole "allarme" e "CEL" ad una distanza massima di otto parole.


Editor

Manuale -> Editor

zenon consiste di due componenti principali, l´editor e il Runtime. I progetti vengono realizzati nell'editor dove ne avviene anche la manutenzione, mentre la loro gestione e osservazione avviene nel runtime. A partire dalla versione zenon 7.10, l ´Editor è disponibile come versione a 32-Bit e a 64-Bit. I progetti possono essere editati alternativamente con entrambe le versioni. I dettagli concernenti la compatibilità con versioni di zenon 7.10 li trovate nel capitolo conversione progetto, nel capitolo Versione a 64-Bit.

Nel capitolo Editorimparerete a conoscere le componenti base dell´editor, Vi saranno fornite delle informazioni relative a come lavorare con il Manager di progetto, Barre dei simboli, Menu e Profili editor. Trovate delle spiegazioni concernenti il menu contestuale degli elementi in un´immagine nel capitolo Immagini.

tutorial Informazioni sulla licenza

L´Editor di zenon funziona solamente in presenza di una licenza valida. La licenza viene calcolata sulla base del numero dei Tags e IOs di cui si ha bisogno. I dettagli sul tema licenze li trovate al capitolo Licenze.

L´Editor è a disposizione come zenon Supervisor e come zenon Operator Le due versioni si differenziano nell´ampienzza delle funzioni disponibili. Per i dettagli vedi Limitazioni per zenon Operator.

Adeguamento all´impostazione del sistema operativo relativa alla grandezza.

Se nel pannello di controllo del sistema operativo si esegue la proprietà Modifica la grandezza di tutti gli elementi, oppure se si seleziona manualmente un livello di scala, accade quanto segue:

  • Il sistema tiene conto del fattore di ingrandimento selezionato nell´Editor di zenon.
  • La grandezza e il posizionamento vengono adeguati.

SQL Server

L´editor di zenon lavora con una banca dati SQL. Questa viene <installata insieme> all´Editor di CD_PRODUCTNAME. Per creare una connessione, l´Editor si collega al server SQL (zenDBSrv.exe) di zenon. Quest´ultimo instaura la connessione con il server SQL.

Funzionamento multi-monitor

Se su un PC sono in funzione più monitor, i dialoghi, le barre dei simboli ecc possono essere spostati su altri monitor. La posizione di questi ultimi viene salvata e conservata al momento del prossimo start.

info Informazioni su

Se, quando l´editor viene riavviato, non è disponibile che il monitor principale, è possibile che degli elementi spostati non siano eventualmente visualizzati nell´area visibile. Per riportare tutti gli elementi sul monitor principale, dovete attivare il Profilo standard. In tal modo, le posizioni vengono riportate ai valori standard.

Noch in diesem Kapitel

Avvia l’editor

Compatibilità:

Superficie

Toolbar

Barra menù

Profili editor

Manager di progetto

Finestra principale

Finestra proprietà

Guida delle proprietà

Finestra di emissione

Riga di stato

Chiudi l'Editor


Avvia l’editor

Manuale -> Editor -> Avvia l’editor

Per avviare l´editor, avete a disposizione diverse opzioni:

  • cliccate sul simbolo zenon sul desktop del Vostro PC.
  • Apertura mediante il menu Windows File -> COPA-DATA -> zenon Editor.
  • Avvio tramite il Startup Tool. Esso consente la gestione di più versioni di zenon e la configurazione dell´editor e del runtime prima dello Start.
  • Per Windows Autostart.
  • Doppio clic su un File-Workspace (.wsp6). In tal modo si apre sempre la versione a 32-Bit dell´Editor di zenon.

Servizio zenAdminSrv

Per avviare l´editor, deve essere avviato il servizio zenAdminSrv . Se il servizio non è disponibile, riceverete il messaggio "L´editor non può essere avviato perché il servizio 'zenAdminSrv' non è raggiungibile!". Attivate il servizio e riavviate l´editor.

Al momento dello start tramite Windows Autostart, zenon cerca di avviare per cinque volte l´editor e poi si ferma emettendo la segnalazione di errore che il servizio non è raggiungibile.


Compatibilità:

Manuale -> Editor -> Compatibilità:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´editor di zenon è completamente compatibile con le versioni di numero inferiore. I progetti che sono stati realizzati usando una di queste versioni, possono essere aperti e modificati in qualsiasi momento.

Al momento di aprire un progetto con un numero di versione inferiore:

  • il progetto viene convertito automaticamente
  • viene creato automaticamente un backup di progetto

Attenzione: i progetti convertiti non possono più essere aperti nell´editor di una versione inferiore. Il backup di progetto generato al momento della conversione, però, può continuare ad essere aperto e modificato.

Compatibilità fra editor e runtime

Con l´editor di zenon, possono essere creati i file runtime per diverse versioni del runtime. La versione del runtime, dunque, non deve necessariamente essere la stessa di quella dell´editor. Questa compabilità verso il basso è particolarmente utile se si intende utilizzare dei sistemi misti. Ad esempio: un progetto viene realizzato con l´editor della versione 6.50, ma può essere avviato anche con il runtime della 6.22.

attention Attenzione

Se in un progetto vengono impostate delle proprietà con un editor di una versione superiore, le quali non sono disponibili con una versione precedente, queste proprietà non sono a disposizione se si lavora con quest´ultima versione. Ciò può avere delle conseguenze indesiderate nel funzionamento runtime.

Crea file runtime

Per creare nell´editor dei file runtime per versioni dal numero di serie inferiore, procedere come segue:

  1. selezionate il progetto nella struttura ad albero.
  2. passate alla proprietà di progetto, in particolare alla sezione Generale
  3. aprite la lista a cascata della proprietà Crea RT file per
  4. selezionate la versione desiderata:
    • Default: I file runtime vengono generati per la versione attuale dell´Editor.
    • 6.20 SP4: i file runtime vengono generati per la versione 06:20 Service Pack 4.
    • 6.21 SP0: i file runtime vengono generati per la versione 06:21 Service Pack 0.
    • 6.21 SP1: i file runtime vengono generati per la versione 06:21 Service Pack 1.
    • 06:22 SP0: i file runtime vengono generati per la versione 06:22 Service Pack 0.
    • 06:22 SP1: i file runtime vengono generati per la versione 06:22 Service Pack 1.
    • 06:50 SP0: i file runtime vengono generati per la versione 06:50 Service Pack 0.
    • 06:51 SP0: i file runtime vengono generati per la versione 6.51 Service Pack 0.
    • 07:00 SP0: i file runtime vengono generati per la versione 07:00 Service Pack 0.

Attenzione: Per garantire la consistenza dei file runtime, bisogna crearli di nuovo dopo ogni modifica di questa proprietà. Anche le configurazioni di tutti i driver vengono convertite. Le impostazioni che non esistono nella versione corrispondente, vengono settate su quelle di default.

XML

I dati esportati in formato XML sono a disposizione anche per l´import in versioni dell´editor con numero di serie più alto.

Eccezione: se dei dati del RGM vengono salvati mediante la funzione di export nel runtime direttamente in formato XML, essi non possono essere importati di nuovo.


Superficie

Manuale -> Editor -> Superficie

L'interfaccia utente dell'editor si articola in diversi settori:

Elemento

Contenuto

01 - Barre simboli:

Raccolta delle barre simboli per l´editor e i suoi moduli. Sono a disposizione per:

  • Finestre ancorabili
  • Orientamento
  • Immagini / Simboli
  • Profili editor
  • Elementi
  • Barra menù
  • Production & Facility Scheduler
  • Trasporto remoto
  • Generatore Report
  • File Runtime
  • Livelli di visibilità
  • Macro VBA

02 - Manager di progetto:

Visuale ad albero del manager di progetto

03 - Visualizzazione dettagliata del manager di progetto:

Dettagli concernenti il modulo selezionato nel manager di progetto.

04 - Finestra principale:

Workspace principale; qui vengono visualizzati documenti come immagini o report.

05 - Barra simboli Elementi:

Barra simboli per gli elementi delle immagini - elementi vettoriali e dinamici

06 - Proprietà

Mostra le proprietà dell´oggetto selezionato. A questo scopo avete a disposizione tre modalità, che vengono selezionate nella Barra simboli delle porprietà.

07 - Guida proprietà:

Mostra delle brevi spiegazioni che concernono le proprietà di immagini, variabili, funzioni e altri elementi che vengono parametrizzati.

08 - Finestra di emissione

Visualizzazione di segnalazioni se i progetti sono compilati e salvati nel runtime.

09 - Barra di stato:

Mostra delle informazioni di stato per la disponibilità editor e per immagini.

10 - Barra simboli Proprietà:

Definisce visualizzazione e ordine delle proprietà; mostra la Guida proprietà.

11 - Lista incrociata:

Decidete quale finestra deve essere mostrata:

  • nel menù a tendina alla voce Opzioni

L´ordine della finestra può essereadattata individualmente. La finestra principale è l´unica finestra che non può essere nascosta.

Noch in diesem Kapitel

Adatta visualizzazione

Posiziona finestre

Modalità schermo intero

Combinazioni di tasti


Adatta visualizzazione

Manuale -> Editor -> Superficie -> Adatta visualizzazione

Tutte le finestre dell´editor possono essere ordinate individualmente sullo schermo. Passate all´impostazione per ordinare le finestre cliccando con il tasto destro del mouse sul bordo della finestra. Le proprie impostazioni possono essere salvate nei Profili editor.

Menù contestuale Finestra

Opzioni

Stato

Funzione

Dinamico

attivo

La finestra selezionata può essere posizionata liberamente sul dektop. Viene visualizzata nella finestra principale. Avete la possibilità di visualizzare più finestre in quella principale e passare dall´una all´altra.

Cliccando due volte sul titolo si passa fra non ancorata e ancoraggio.

inattivo

(default)

La finestra viene ancorata. La proprietà ancoraggio è attiva.

Agganciare

attivo

(default)

Tenendo premuto il tasto sinistro del mouse premuto è possibile spostare a piacere le singole finestre. Durante questo spostamento, un Aiuto di posizionamento indica la posizione in cui è stata inserita la finestra. Al rilascio del tasto del mouse, la finestra viene ancorata e adattata alle altre adiacenti.

Passando da non ancorata e ancoraggio, la finestra viene inserita in corrispondenza dell´ultima posizione nella quale era ancorata.

Cliccando due volte sul titolo si passa fra non ancorata e ancoraggio.

Suggerimento: se volete spostare una finestra, ma non ancorarla, tenete premuto durante lo spostamento il tasto Ctrl. In questo caso non viene visualizzato nessun aiuto per facilitare il posizionamento.

inattivo

Tenendo premuto il tasto sinistro del mouse premuto è possibile spostare a piacere le singole finestre. Quando lasciate il tasto, esse vengono visualizzate nel posto corrispondente in primo piano.

La proprietà non ancorata è attiva.

Inserisci nella finestra principale

attivo

La finestra viene visualizzata in quella principale come tab.

Tutti i tab vengono visualizzati nella finestra principale. Cliccando sul titolo della finestra, passate da un tab all´altro.

Per visualizzare un tab di nuovo in forma di finestra, aprite il menu contestuale cliccando con il tasto destro del mouse sul titolo della finestra e settate la proprietà Apri nella finestra principale a non attiva.

inattivo

(default)

La finestra viene visualizzata in modo normale.

Nascondi automaticamente

attivo

Non appena la finestra perde il focus del mouse, viene posta sullo sfondo. Il titolo della finestra viene visualizzato sul lato sinistro dell´Editor.

Per riportare la finestra in primo piano, spostate il mouse sul titolo della finestra.

inattivo

(default)

La finestra viene visualizzata sempre in primo piano.

Chiudi

La finestra viene chiusa.

Per renderla di nuovo visibile, selezionate nella Barra menu -> Opzioni, la voce -> Nome finestra


Posiziona finestre

Manuale -> Editor -> Superficie -> Posiziona finestre

Posizionamento

Nell´editor di zenon tutte le finestre possono essere disposte a piacere sul desktop facendo uso di:

  • Drag & Drop: le finestre vengono trascinate nella posizione desiderata e vengono posizionate in modo libero (non ancorata), oppure ancorate.
  • Cliccando due volte sul titolo si passa fra non ancorata e ancoraggio.

Aiuti per il posizionamento

Quando si spostano delle finestre all´interno dell´interfaccia dell´editor, il sistema visualizza degli aiuti volti a facilitare il posizionamento. Questi ultimi rappresentano le finestre, o i loro bordi.

Questo elemento rappresenta un´area finestra nell´editor.

Questo elemento rappresenta l´area al bordo dell´editor.

Posiziona finestre

Per posizionare un elemento in modo ancorato:

  1. spostate l´elemento servendovi del mouse fino a raggiungere la posizione desiderata
  2. comparirà sullo schermo l´aiuto di posizionamento
  3. esso rappresenta una finestra e i suoi settori
    1. Centro: finestra intera
    2. In su: metà superiore
    3. In giù: metà inferiore
    4. Destra: metà di destra
    5. Sinistra: metà di sinistra

    o il bordo dell´editor

  4. spostate il mouse verso l´aiuto di posizionamento centrale o quello sul bordo dell´editor e, quando li avete raggiunti, portatevi nell´area desiderata
  5. l´area dell´editor sulla quale l´elemento è posizionato al momento del rilascio del tasto del mouse, viene colorata di blu
  6. spostate il mouse all´interno dell´aiuto di posizionamento finché l´area desiderata non si colora di blu
  7. rilasciate il tasto del mouse e l´elemento verrà posizionato
  8. Se una finestra viene posizionata su una finestra già esistente, entrambe verranno visualizzate nella stessa posizione usando le schede.

Esempi

  1. La finestra Proprietà viene spostata ancorata.
  2. Anche in questo caso compariranno gli aiuti di posizionamento.

  3. L´indicatore del mouse viene portato sulla freccia superiore dell´aiuto di posizionamento centrale.
  4. Il settore di inserimento dell´editor diventa blu.

  5. Quando si rilascia il tasto del mouse, la finestra viene inserita nella posizione evidenziata:

  6. adesso si deve portare il puntatore del mouse sul bordo superiore dell´aiuto di posizionamento.
  7. Il settore di inserimento dell´editor diventa di nuovo blu.

  8. Quando si rilascia il tasto del mouse, la finestra viene inserita nella posizione evidenziata:


Modalità schermo intero

Manuale -> Editor -> Superficie -> Modalità schermo intero

Nell´editor di zenon potete visualizzare la finestra principale nella modalità a schermo intero. Per far ciò:

  • usate la combinazione di tasti Shift+F9
    oppure
  • selezionate nella lista a cascata Finestra, l´inserimento Modalità a schermo intero

La modalità schermo intero esclude tutte le altre finestre e mostra solamente quella principale con tutti i documenti aperti (immagini, rapporti ....) in forma di immagine piena che occupa tutto lo schermo.

La modalità schermo intero può essere terminata tramite:

  • il pulsante visualizzato per chiudere la modalità schermo intero
  • la combinazione tasti Shift +F9

Lavorare nella modalità a schermo intero

Nella modalità a schermo intero viene visualizzato un menu che serve a terminare questa modalità di visualizzazione e ad aprire determinate finestre e barre simboli.

Parametri

Descrizione

Chiudi schermo intero

Chiude lo schermo intero. In alternativa, usate anche la combinazione di tasti Shift+F9, oppure il tasto Esc.

Finestre ancorabili

Lista a cascata che serve ad aprire le finestre:

  • Proprietà
  • Guida delle proprietà

Le finestre vengono aperte la prima volta in una posizione determinata in modo fisso. Poi possono essere posizionate liberamente e vengono aperte in seguito nella modalità a schermo intero in corrispondenza della posizione definita individualmente.

Toolbar

Lista a cascata che serve ad aprire le barre simboli:

  • Immagini
  • Orientamento
  • Livello di visibilità
  • Elementi

Le barre simboli vengono aperte la prima volta in una posizione determinata in modo fisso. Poi possono essere posizionate liberamente e vengono aperte in seguito nella modalità a schermo intero in corrispondenza della posizione definita individualmente.


Combinazioni di tasti

Manuale -> Editor -> Superficie -> Combinazioni di tasti

Generale

Comando | Combinazione tasti
Apri la guida | F1
Avvia / chiudi modalità schermo intero | Shift+F9
Remote: Chiudi modalità schermo intero | Ctrl+Alt+Shift+F
Avvia VSTA Editor | Alt+F10
Avvia l'Editor VBA | Alt+F11
Wizard: Apri selezione | Alt+F12
Apri explorer con focus sulla cartella SQ per il progetto attuale. Corrisponde a: %ProgramData%\COPA-DATA\[SQL-Ordner]\[UID]\FILES | Ctrl+Alt+E
Apri explorer con focus sui file del progetto attuale. Ad esempio: C:\Users\Public\Documents\zenon_Projects\[Project]\INI\[Rechner]\INI | Ctrl+Alt+D
Apri explorer con focus sui file Runtime del progetto attuale. Ad esempio: C:\Users\Public\Documents\zenon_Projects\[Project]\INI | Ctrl+Alt+R
Avvia il Runtime; vengono creati i file Runtime modificati in precedenza. | F5
Crea i file runtime modificati | F7

Profili editor

Comando | Combinazione tasti
Carica profilo editor 1 | Shift+F1
Carica profilo editor 2 | Shift+F2
Carica profilo editor 3 | Shift+F3
Carica profilo editor 4 | Shift+F4
Carica profilo editor 5 | Shift+F5
Carica profilo editor 6 | Shift+F6
Carica profilo editor 7 | Shift+F7
Carica profilo editor 8 | Shift+F8
Salva visuale editor attuale come: |
Profilo editor 1 | Ctrl+Shift+F1
Profilo editor 2 | Ctrl+Shift+F2
Profilo editor 3 | Ctrl+Shift+F3
Profilo editor 4 | Ctrl+Shift+F4
Profilo editor 5 | Ctrl+Shift+F5
Profilo editor 6 | Ctrl+Shift+F6
Profilo editor 7 | Ctrl+Shift+F7
Profilo editor 8 | Ctrl+Shift+F8

Editor grafico

Indicazioni sulle combinazioni di tasti: il segno di più (+) significa che i tasti vanno premuti insieme.
Ad esempio:

Ctrl+A significa: tenere premuto il tasto Ctrl e poi premere il tasto A.

Ctrl++ significa tenere premuto il tasto Ctrl e premere il tasto +.

Generale

Comando | Combinazione tasti
Finestra principale: scorrere contenuti con mano per trascinamento | tenere premuto spazio
Chiudi immagine attuale | Ctrl+F4
Apri proprietà | Alt+Invio

Selezionare

Comando

Combinazione tasti

Seleziona più oggetti

Tenere premuti Shift oppure Ctrl

Deselezionare un elemento in caso di selezione multipla.

Ctrl+Clic del mouse

Scegli: modifica successione. definisce l´elemento nei confronti del quale tutti gli altri si devono orientare.

Tenere premuto Shift al momento di effettuare la selezione.

Seleziona oggetti nascosti
  1. Premere Alt
  2. Cliccare sull´elemento e muoverlo.

Seleziona tutti gli elementi di un´immagine.

Ctrl+A

Selezionare prossimo elemento nella successione della creazione.

Tab

Selezionare elemento precedente nella successione della creazione.

Shift+Tab

Posizionare

Comando | Combinazione tasti
Spostare oggetto selezionato | Tasti freccia
Spostare di 10 pixel per ogni pressione sul tasto con frecce | Shift+Tasto con frecce
Spostare solamente orizzontalmente oppure solo verticalmente | Tenere premuto Shift al momento di effettuare lo spostamento.
Centrare un oggetto selezionato nell´area di lavoro. | H

Azioni

Comando | Combinazione tasti
Salva modifiche. | Ctrl+S
Inserisce elemento proveniente dagli appunti | Ctrl+V Shift+Ins
aggiunge elementi preso dagli appunti nella posizione originale. Originale e copia sono sovrapposti in modo perfetto. | Ctrl+Shift+V
Copia gli elementi selezionati | Ctrl+C Ctrl+Ins
Copia invece che spostare | Tenere premuto Ctrlal momento di effettuare lo spostamento.
Cancella un elemento selezionato | Canc
Taglia un elemento selezionato | Shift + Del Ctrl+X
Annulla modifiche | Ctrl+Z Alt+Backspace
Aggiungi o cancella nodo nell´elemento selezionato. Aggiungi: il cursore del mouse diventa un segno pulsante (+). Cancella: il cursore del mouse diventa un segno pulsante (-). funziona con polilinee, poligoni o elementi condutture. | Ctrl+Shift
Termina disegno di polilinea e poligoni | S
Termina disegno di polilinea e poligoni e cancella l´ultima area parziale disegnata | Esc
Colloca elementi selezionati al livello superiore | +
Colloca elementi selezionati al livello inferiore | -
Porta elementi selezionati in primo piano | Ctrl++
Porta elementi selezionati sullo sfondo | Ctrl+-

Scalare

Comando

Combinazione tasti

Modifica grandezza

Posizionare il cursore del mouse sul punto di aggancio in modo tale che esso prenda la forma di una freccia. Poi, facendo uso dei tasti con le frecce si può procedere a stabilire la posizione con grande precisione tenendo premuto il tasto Shift in passi di 10 pixel.

Nota: se, facendo uso della proprietà Rotazione [°], si è definito un angolo non uguale a 0, non è possibile scalare usando i tasti con le frecce.

Scalare oggetto in riferimento al punto centrale:

Tenere premuto Altal momento di effettuare lo spostamento.

Scalare in modo proporzionale:

Tenere premuto Shift al momento di scalare.

Visualizzazione dettagliata

Comando | Combinazione tasti
Crea nuovo elemento per il modulo relativo | Ins.
Modifica la colonna selezionata | F2
Copiare un elemento della lista selezionato | Ctrl+C
Inserisce un elemento copiato in precedenza | Ctrl+V
Cancellare un elemento della lista selezionato | Canc
Scrollare diversi elementi nella lista verso l'alto | Immagine su
Scrollare diversi elementi nella lista verso il basso | Immagine giù
Navigare nella lista | Tasti con frecce

Runtime

Comando | Combinazione tasti
Sfoglia attraverso la finestra Windows aperta | Alt+Tab
Terminare il runtime | Alt+F4


Toolbar

Manuale -> Editor -> Toolbar

Le barre simboli principali vengono posizionate nell´editor di default sotto la Barra menù. Fatta eccezione per la barra simboli Elementi; essa, infatti, viene visualizzata a destra accanto alla Finestra principale. Se si muove il mouse su un simbolo, viene visualizzata nella barra di stato un´informazione concernente la funzione del simbolo.

Le seguenti barre simboli principali sono disponibili:

  • Finestre ancorabili
  • Orientamento
  • Immagini / Simboli
  • Profili editor
  • Elementi
  • Barra menù
  • Production & Facility Scheduler
  • Trasporto remoto
  • Generatore Report
  • File Runtime
  • Livelli di visibilità
  • Macro VBA

Le seguenti finestre dispongono di una barra simboli propria, che viene visualizzata sul margine superiore della finestra stessa:

  • Dettagli workspace
  • Proprietà

info Informazioni su

I titoli delle barra simboli corrispondono sempre alla lingua attiva nell´editor al momento in cui le barre stesse sono state aperte per la prima volta. Nel caso in cui, per esempio, la barra simboli 'Immagini' sia stata usata per la prima volta in tedesco, conserva il suo nome anche se in seguito nell´editor si passa all´inglese.

Se volete cambiare la lingua dei nomi, dovete anzitutto cancellare tutti i profili editor, avviare l´editor nella lingua desiderata e poi attivare le barre dei simboli.

Non cancellate i profili editor in zenon, ma a livello dei file di sistema. (Dettagli su questo tema li trovate nel capitolo Cancella profili editor.)

Azioni con simboli e barre simboli

Le opzioni per le barre simboli vengono impostate alla voce: Opzioni- > Impostazioni -> Scheda Barra degli strumenti

Azioni per barre simboli:

  • posiziona liberamente sullo schermo
  • Chiudi
  • Apri

Azioni per simboli:

  • Elimina
  • Aggiungi

posiziona barra simboli

  1. Cliccate con il tasto sinistro del mouse in un settore libero della barra simboli.
  2. Trascinate la barra simboli nella posizione desiderata dello schermo.
  3. Un rettangolo sta ad indicare il posto nel quale la barra simboli verrà inserita.
  4. Rilasciate il tasto del mouse per posizionare la barra simboli.

Nota: barre simboli, che contengono liste a cascata, possono essere posizionate solo orizzontalmente.

Chiudi barra simboli

Potete chiudere delle barre simboli o tramite la lista a cascata Opzioni, oppure con la Impostazioni sotto opzioni.

Lista a cascata: il modo più veloce per chiudere una barra simboli.

  1. Cliccate sulla lista a cascata Filtro
  2. navigare per raggiungere la barra simboli
  3. cliccate sull´inserimento relativo alla barra simboli da chiudere

Impostazioni: consente di chiudere diverse barre simboli contemporaneamente

  1. aprite il menù Opzioni -> Impostazioni -> Tab: Barra degli strumenti
  2. Eliminate il segno di spuntatura accanto alla barra simboli desiderata.
  3. confermate la selezione cliccando su OK

Apri barra simboli

Potete aprire delle barre simboli o tramite la lista a cascata Opzioni, oppure con la Impostazioni sotto opzioni.

Lista a cascata: il modo più veloce per aprire una barra simboli.

  1. Cliccate sulla lista a cascata Filtro
  2. navigare per raggiungere la barra simboli
  3. cliccate sull´inserimento relativo alla barra simboli da aprire

Impostazioni: consente di aprire diverse barre simboli contemporaneamente

  1. aprite il menù Opzioni -> Impostazioni -> Tab: Barra degli strumenti
  2. Settate il segno di spuntatura accanto alla barra degli strumenti.
  3. confermate la selezione cliccando su OK

Aggiungi simbolo

  1. aprite il menù Opzioni -> Impostazioni -> Tab: Comandi
  2. Selezionate nella finestra a sinistra una categoria.
  3. Cliccate nella finestra di destra con il tasto sinistro del mouse sul simbolo desiderato.
  4. tenendo premuto il tasto sinistro del mouse, trascinate il simbolo nella posizione desiderata nella barra dei simboli

Cancella simboli

  1. aprite il menu Opzioni -> Impostazioni -> Tab: Barra degli strumenti
  2. vengono attivati tutti i simboli di tutte le barre nell´editor
  3. Cliccate con il tasto sinistro del mouse sul simbolo.
  4. Trascinate il simbolo fuori dalla barra simboli e rilasciate il tasto del mouse.

Noch in diesem Kapitel

Barra simboli Finestra docking

Barra simboli Orientamento

Barra simboli Immagini

Barra simboli Simboli

Barra dei simboli Profili editor

Barra dei simboli Elementi

Barra dei simboli del Production and Facility Scheduler

Barra simboli Trasporto remoto

Barra simboli del Generatore di rapporti

Barra simboli File runtime

Barra simboli Livelli di visibilità

Barra degli strumenti "Lista macro"

Barra dei simboli della sezione lista

Barra dei simboli Proprietà


Barra simboli Finestra docking

Manuale -> Editor -> Toolbar -> Barra simboli Finestra docking

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le seguenti finestre nascoste oppure chiuse possono essere riattivate sempre con la barra simboli per Finestre docking.

Simbolo

(da sinistra a destra)

Funzione

Manager di progetto

Attiva il Manager di progetto.

Finestra di emissione

Attiva la finestra di emissione.

Lista incrociata

Attiva la lista riferimenti incrociati.

Finestra di proprietà

Attiva la finestra di proprietà. .

Guida delle proprietà

Attiva la finestra della guida delle proprietà. .

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.


Barra simboli Orientamento

Manuale -> Editor -> Toolbar -> Barra simboli Orientamento

Nr

Simbolo

Funzione

01

Orienta a sinistra

Orienta tutti gli elementi selezionati al margine sinistro dell´elemento che è stato selezionato per primo.

02

Orienta a destra

Orienta tutti gli elementi selezionati al margine destro dell´elemento che è stato selezionato per primo.

03

Orienta verso l´alto

Orienta tutti gli elementi selezionati al margine superiore dell´elemento che è stato selezionato per primo.

04

Orienta verso il basso

Orienta tutti gli elementi selezionati al margine inferiore dell´elemento che è stato selezionato per primo.

05

Centra orizzontalmente

Orienta l´elemento selezionato al centro orizzontale dell´immagine.

Nel caso in cui siano stati selezionati più elementi, si orientano tutti all´elemento che è stato selezionato per primo.

06

Centra verticalmente

Orienta l´elemento selezionato al centro verticale dell´immagine.

Nel caso in cui siano stati selezionati più elementi, si orientano tutti all´elemento che è stato selezionato per primo.

07

Stessa distanza X

Allinea gli elementi selezionati nella successione della loro selezione lungo l´asse x; i primi due elementi stabiliscono la distanza.

08

Stessa distanza Y

Allinea gli elementi selezionati nella successione della loro selezione lungo l´asse y; i primi due elementi stabiliscono la distanza.

09

Stessa distribuzione X:

Distribuisce tutti gli elementi selezionati lungo l´asse x fra i due elementi che sono stati selezionati per primi. Per questa opzione devono essere selezionati almeno tre elementi.

10

Stessa distribuzione Y:

Distribuisce tutti gli elementi selezionati lungo l´asse y fra i due elementi che sono stati selezionati per primi. Per questa opzione devono essere selezionati almeno tre elementi.

11

Stessa larghezza

Gli elementi selezionati vengono adattati alla larghezza del primo elemento selezionato.

Nota: Un adattamento si verifica sulla base delle coordinate ottiche. Per i dettagli a questo proposito, vedi la spiegazione sotto questa tabella.

12

Stessa altezza

Gli elementi selezionati vengono adattati all´altezza del primo elemento selezionato.

Nota: Un adattamento si verifica sulla base delle coordinate ottiche. Per i dettagli a questo proposito, vedi la spiegazione sotto questa tabella.

13

Stesse dimensioni

Gli elementi selezionati vengono adattati all´altezza e alla larghezza del primo elemento selezionato.

Nota: Un adattamento si verifica sulla base delle coordinate ottiche. Per i dettagli a questo proposito, vedi la spiegazione sotto questa tabella.

14

Porta in primo piano

Porta gli elementi selezionati in primo piano.

15

Sposta avanti

Porta gli elementi selezionati avanti di un livello.

16

Sposta indietro

Porta gli elementi selezionati indietro di un livello.

17

Porta sullo sfondo

Porta gli elementi selezionati sullo sfondo.

18

Rifletti orizz.

Rispecchia l´elemento selezionato su un´asse orizzontale.

19

Rifletti vertic.

Rispecchia l´elemento selezionato su un´asse verticale.

20

Gira di 90°

Gira l´elemento selezionato di 90° in senso antiorario.

21

Crea gruppo elementi

Crea un nuovo gruppo elementi a partire da tutti gli elementi selezionati.

22

Dividi gruppo elementi

Il gruppo elementi viene diviso nei suoi elementi originari; in tal modo esso non esiste più.

23

Modalità singola modifica in gruppo elementi

Consente di modificare i singoli elementi di un gruppo elementi. Il pulsante fa passare tra modalità di editazione oggetti singola e modalità editazione simbolo

24

Inserisci in gruppo di elementi esistente

Apre la lista dei gruppi di elementi per consentire di aggiungere l´elemento in un gruppo.

25

Elimina da gruppo elementi

Elimina l´elemento selezionato dal gruppo elementi attivo.

26

Sostituisci collegamenti

Apre il dialogo per sostituire delle variabili o funzioni collegate con elementi dinamici. Dettagli: vedi capitolo Sostituzione di variabili di processo in elementi dinamici.

27

Trasmetti proprietà

Trasmette le proprietà di un elemento selezionato ad un altro o a più altri.

  • Trasmettere ad un elemento:

    cliccare su un elemento con proprietà originarie -> cliccare sul simbolo Trasmetti proprietà -> cliccare sull´elemento di destinazione: Le proprietà vengono trasmesse.

  • Trasmettere a più elementi:

    selezionare elemento fonte -> selezionare gli elementi di destinazione tenendo premuto il tasto Ctrl (sia l´elemento fonte che quelli di destinazione sono evidenziati; quello fonte è caratterizzato anche dalla presenza di punti di appiglio neri) -> cliccare sul simbolo Trasmetti proprietà. Le proprietà dell´elemento fonte vengono trasmesse agli elementi di destinazione.

Quali proprietà vengono trasmesse, dipende dall´oggetto fonte e da quello di destinazione. Di norma, vengono trasmessi colori, caratteri, allineamento paragrafo e bordi.

Se sono stati selezionati più elementi come fonte, verranno trasmesse le proprietà del primo elemento selezionato.

28

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.

Adattamento stessa larghezza/altezza/dimensione

L´adattamento della dimensione di elementii ruotati e non ruotati fa riferimento alle coordinate ottiche, non a quelle logiche. L´estensione di elementi ruotati viene intesa come superficie del rettangolo, all´interno delle cui linee immaginarie si trova l´elemento ruotato (Bounding Rectangle).

Ad esempio

Due elementi prima dell´adattamento:

Dopo l´adattamento tramite Stessa altezza:


Barra simboli Immagini

Manuale -> Editor -> Toolbar -> Barra simboli Immagini

Per la modifica delle immagini avete a disposizione una barra dei simboli apposita. Essa viene visualizzata di default sotto la barra di menù.

Simbolo

(da sinistra a destra)

Funzione

Salva immagine

Salva l'immagine attiva.

Salva tutto

Salva tutte le immagini modificate.

Taglia

Taglia l'elemento attivo e lo salva negli appunti, anche per più progetti. Disponibile solo se è stato selezionato un elemento.

Copia

Salva una copia dell´immagine attuale negli appunti. Disponibile solo se è stato selezionato un elemento.

Inserisci

Aggiunge un´immagine presa dagli appunti. Disponibile solamente se gli appunti contengono dei dati.

Copia formato

Trasmette le formattazioni dell´elemento appena selezionato al prossimo elemento scelto.

Ridisegna immagine

Attualizza la visualizzazione dello schermo.

Annulla

Permette di annullare fino a 100 azioni. Di default possono essere annullate fino a 10 azioni.

Definisci il numero delle azioni: Opzioni -> Impostazioni -> Impostazioni -> Numero delle azioni annullate. Indicate un numero fra 1 e100.

Modifica

Passa dallo zoom alla modalità modifica.

Zoom

Mette a disposizione due modalità di zoom:

  • Zoom senza livelli:
    Si può inserire nel Combobox un valore qualsiasi compreso fra 15% e 400%, oppure si può scegliere un valore preimpostato.
  • Zoom tool:
    facendo uso dei simboli della lente di ingrandimento (+ e -) è possibile zoomare direttamente nell´immagine servendosi del mouse. Premete il tasto Ctrl e passate da una modalità all´altra. Il livello di zoom definito viene salvato per ogni singola immagine.

Chiudi modalità zoom: cliccate sul simbolo Modifica. nella barra dei simboli Elementi.

Guida

Apre la guida in linea.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.


Barra simboli Simboli

Manuale -> Editor -> Toolbar -> Barra simboli Simboli

La libreria dei simboli vene gestita facendo uso del menù contestuale oppure della barra simboli:

Comandi nel menù contestuale e della barra simboli.

Posizione della barra degli strumenti. | Menù contestuale | Funzione
1 | Nuovo simbolo | Viene impostato un nuovo simbolo.
3 | Apri simbolo | Apre il simbolo nell´editor dei simboli per effettuare delle modifiche.
2 | Nuovo gruppo simboli... | Viene creato un nuovo gruppo simboli che può essere riempito di simboli selezionati della libreria, oppure con simboli crati ad hoc. (Copiare ed inserire) Disponibile solo nella biblioteca di simboli globale.
4 | Inserisci simbolo in immagine come gruppo elementi | Crea un gruppo elementi a partire dal simbolo e lo inserisce in un´immagine (per i dettagli vedi capitolo Gruppi elementi).
5 | Inserisci simbolo in immagine | Inserisce il simbolo nell´immagine (per i dettagli vedi il capitoloSimboli).
non esistente | Elemento collegato | Apre il sottomenù contenente gli elementi collegati e la possibilità di ritornare all´elemento originario.
6 | Torna all'elemento di partenza | Torna indietro all´elemento di partenza (solo barra simboli).
7 | Copia | Copia il simbolo selezionato negli appunti (solo nella visualizzazione gerarchica).
8 | Inserisci | Incolla il simbolo copiato nel gruppo attivo (solo nella visualizzazione gerarchica).
9 | Elimina | Cancella il simbolo selezionato, oppure il gruppo di simboli (solo nella visualizzazione gerarchica). Attenzione: non si può annullare la cancellazione!
10 | Espandi/riduci nodi | Nella visualizzazione gerarchica, permette di ingrandire o ridurre il nodo selezionato o tutti i nodi.
11 | Visualizzazione piatta | Ordina tutti i simboli in una lista piatta. Semplifica la ricerca di un determinato simbolo. Nota: in questo tipo di visualizzazione non possono essere né creati, né eliminati dei simboli; non è possibile neppure copiare oppure aggiungere simboli provenienti dagli appunti.
12 | Visualizzazione gerarchica | Ordina tutti i simboli in modo gerarchico in sottogruppi e mostra le relazioni di dipendenza.
13 | Esporta selezione in XML | Apre il dialogo per l´export in formato XML dei simboli selezionati. (Per i dettagli vedi capitolo Import / Export Simboli
14 | Esporta immagine/simbolo come file grafico... | Esporta l´immagine/il simbolo come file grafico. Il dialogo di selezione file mette a disposizione dell´utente i formati grafici supportati dal sistema. In linea di principio, vengono offerti tutti i Windows Imaging Component (WIC) codec installati sul sistema che supportano Salva. La dimensione del file dipende dall´immagine o dal simbolo da esportare.
15 | Importa XML | Importa simboli da un file XML (vedi capitolo Import/Export Simboli).
16 | Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
17 | Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
18 | Sostituisci testo nella cella selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
19 | Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
20 | Guida | Apre la guida online.


Barra dei simboli Profili editor

Manuale -> Editor -> Toolbar -> Barra dei simboli Profili editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I profili editor possono essere gestiti comodamente facendo uso della barra dei simboli corrispondente.

Simbolo

(da sinistra a destra)

Funzione

Carica profilo standard

Resetta tutte le impostazioni relative a visualizzazione e posizione delle finestre, nonché contenuti e visualizzazione delle barre dei simboli e dello stato di emissione; poi carica il profilo standard di zenon.

Seleziona profilo editor

Selezione di un profilo Editor fra i dieci proposti dalla menù a tendina.

Carica profilo editor selezionato

Carica il profilo selezionato nel settore Seleziona profilo editor.

Salva profilo editor selezionato

Salva le impostazioni finestra attuali nel profilo che è visualizzato nel settore Seleziona profilo editor.

Carica profilo standard

Carica i profili predefiniti di COPA-DATA sui primi tre posti di memoria e li collega ai moduli. Profili eventualmente già esistenti vengono sovrascritti.

Reimposta i filtri

Cancella tutti i collegamenti di profili predefiniti con i moduli.

Salvataggio automatico dei profili editor

Attivo: le modifiche del profilo attuale vengono salvate automaticamente al momento dell´apertura di un altro profilo.

Inattiva: le modifiche non vengono salvate al momento del cambiamento di profilo; quando si richiama un´altra volta il profilo in questione, vengono riproposte le posizioni originali.

Assegna nomi individuali ai profili editor.

Apre un Dialogo in cui possono essere assegnati dei nomi individuali ai profili editor.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.

Nota: È possibile inserire ulteriori opzioni per import ed export usando l´adeguamento dei comandi definito dall´utente per le barre degli strumenti. .


Barra dei simboli Elementi

Manuale -> Editor -> Toolbar -> Barra dei simboli Elementi

Simbolo

Funzione

Modifica

Passa dallo zoom alla modalità modifica.

Ellisse/Cerchio

Con colore della cornice e quello di riempimento; tipo di cornice e modello di riempimento (cerchio).

Curva

Con larghezza, colore e tipo di linea definibili.

Arco di cerchio

Disegna un segmento di cerchio con un angolo di apertura di 180° (modificabile), spessore, colore e tipo della linea definibili.

Linea

Con larghezza, colore e tipo di linea definibili.

Poligono

Con colore della cornice e quello di riempimento; tipo di cornice e modello di riempimento.

Polilinea

Con tipo di linea e colore della linea.

Rettangolo

Con colore della cornice e quello di riempimento; tipo di cornice e modello di riempimento.

Tubatura

Con colore della cornice e quello di riempimento; tipo di cornice e modello di riempimento.

Testo statico

Con colore carattere e selezione del tipo di carattere

Pulsante

Campo di gestione in forma di pulsante.

Elemento Combinato

Visualizza una o più variabili su un unico punto d’ immagine con colori e simboli (sequenza caratteri).

Slider universale

Slider/potenziometro.

Interruttore

Semplice elemento di comando o d´impostazione di valori limite

Combo-/Listbox

Collega i valori di variabili con messaggi di testo.

Elemento di comando

Disponibile solo con licenza per SICAM 230.

Pulsante d'allarme ad immagine

Disponibile solo con licenza per SICAM 230.

Valore numerico

Visualizzazione dei valori in forma numerica.

Bargraf

Rappresentazione del valore su un bargraf.

Strumento analogico

Visualizzazione valori in forma analogica.

Collega testo

Visualizza testi associati a valori limite

Elemento Trend

Visualizzazione semplice con grafica lineare

Elemento WPF

Rappresenta file WPF-XAML validi.

ActiveX Element

Inserire elementi AktiveX

Orologio

Visualizza data ed ora.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.


Barra dei simboli del Production and Facility Scheduler

Manuale -> Editor -> Toolbar -> Barra dei simboli del Production and Facility Scheduler

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modulo Production Facility Scheduler può essere modificato anche mediante una barra di simboli.

Simbolo

(da sinistra a destra)

Funzione

Rinomina

Permette il cambiamento della denominazione di un impianto.

Proprietà

Apre una finestra con le proprietà dell´impianto.

Elimina

Elimina l´impianto selezionato dopo una conferma.

Ordinamento crescente

Ordina la tabella/colonna selezionata in direzione crescente.

Ordinamento decrescente

Ordina la tabella/colonna selezionata in direzione decrescente.

Cambia data

Apre il dialogo che serve ad inserire una data e cambia portandosi a questa data.

Mostra oggi

Passa dalla data indicata alla data attuale.

Visualizzazione giorno

Mostra un giorno nel calendario.

Vista settimanale

Mostra una settimana nel calendario.

Visualizzazione mensile

Mostra un mese nel calendario.

Elemento precedente.

Torna indietro nel calendario di un elemento in corrispondenza della visualizzazione impostata (il che significa di un giorno, di una settimana o di un mese).

Prossimo elemento

Va avanti nel calendario di un elemento in corrispondenza della visualizzazione impostata (il che significa di un giorno, di una settimana o di un mese).

Anteprima punti di commutazione

Apre l´anteprima dei punti di commutazione.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.


Barra simboli Trasporto remoto

Manuale -> Editor -> Toolbar -> Barra simboli Trasporto remoto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un computer di sviluppo può realizzare delle connessioni remote con altri calcolatori. La batta simboli Trasporto remoto mette a disposizione delle funzioni che servono alla trasmissione e alla interrogazione di dati.

Simbolo

(da sinistra a destra)

Funzione

Trasporto Remoto: Impostazioni di collegamento

Apre il dialogo di configurazione del Trasporto Remoto per impostare il sistema di destinazione e la cartella di destinazione.

Trasporto Remoto: Stabilisci collegamento

Instaura una connessione Trasporto Remoto con il sistema remoto.

Remote: Trasporta file Runtime modificati

Trasmette al computer di destinazione tutti i file runtime cambiati a partire dal momento dell´ultima modifica sul computer di sviluppo.

Remote: Importa tutti file Runtime

Rilegge tutti i file Runtime modificabili del sistema remoto (come ricette, oppure gestione user) e li importa nella cartella Runtime locale.

Remote: Imposta progetto di partenza

Setta il progetto attivo come progetto di partenza sul sistema remoto.

Remote: Avvia Runtime

Avvia il Runtime sul sistema remoto.

Remote: Termina Runtime

Termina il Runtime sul sistema remoto.

Remote: Aggiorna progetto

Esegue sul sistema remoto la funzione Aggiorna.

Remote Desktop: Avvia connessione

Avvia un collegamento che serve a consentire la gestione del computer di destinazione via zenon Remote Desktop. Così è possibile una gestione visuale.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.

Ulteriori simboli possono essere aggiunti facendo uso di Opzioni della barra simboli:

Trasporta tutti i file Runtime

Trasmette tutti i file Runtime al sistema di destinazione.

Riavvia il sistema operativo

Riavvia il sistema operativo del computer di destinazione dopo aver effettuato un controllo di sicurezza. Questa opzione non viene supportata con Windows CE.

Rileva lo stato di sistema

Rileva lo stato del sistema del computer di destinazione e scrive i dati nella finestra di emissione. Il sistema rileva quanto segue:

  • Nome Computer
  • Sistema operativo
  • Runtime attivo/non attivo
  • Progetto di partenza
  • Memoria reale
  • Processori
  • Numero di serie remoto
  • Numero di attivazione remoto
  • la versione remota di zenon

Cambia la password e visualizza la licenza

Apre Dialogo per connessione.

Consente:

  • Modifica della password per la connessione
  • Visualizzazione e modifica della licenza del calcolatore di destinazione
  • Configurazione della Crittografia sul calcolatore di destinazione

Nota: tutti i comandi per il trasporto remoto sono a disposizione anche nel Menù contestuale del progetto.


Barra simboli del Generatore di rapporti

Manuale -> Editor -> Toolbar -> Barra simboli del Generatore di rapporti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per il generatore di rapporti avete a disposizione una barra di simboli nell´editor: nel caso in cui non dovesse essere visibile, la si può visualizzare mediante:

  1. aprite il menù Opzioni -> Impostazioni -> Tab: Barra degli strumenti
  2. attivate il checkbox accanto al Generatore di rapporti
  3. confermate la selezione cliccando su OK

Simbolo

(da sinistra a destra)

Funzione

Stampa report

Stampa il rapporto con la stampante impostata come standard.

Anteprima pagina report

Apre il rapporto in un´anteprima. Il rapporto può essere ingrandito oppure ridotto (zoom); lo si può sfogliare e stampare.

Ridisegna Report

Attualizza la visualizzazione.

Ricalcola funzioni

Calcola nuovamente le formule nel report

Assistente alle funzioni

Apre un dialogo che serve di aiuto per la configurazione delle funzioni.

Carattere

Apre un dialogo che serve alla formattazione delle celle con attenzione particolare al tab Carattere.

orientamento testo

Apre un dialogo che serve alla formattazione delle celle con attenzione particolare al tab Orientamento.

Cornice

Apre un dialogo che serve alla formattazione delle celle con attenzione particolare al tab Cornice.

Disegno

Apre un dialogo che serve alla formattazione delle celle con attenzione particolare al tab Disegno.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.


Barra simboli File runtime

Manuale -> Editor -> Toolbar -> Barra simboli File runtime

Per trasferire dei file dall´editor al runtime, oppure viceversa, avete a disposizione una barra di simboli:

Simbolo

(da sinistra a destra)

Funzione

Compila file modificati

Crea file runtime di tutti i file modificati nell´editor. Scegliete nel menù dropdown se i file runtime devono essere generati solo per il progetto attivo, o per tutti i progetti caricati.

Crea tutti i file runtime

Crea file runtime per tutti i file esistenti nell´editor. Scegliete nel menù dropdown se i file runtime devono essere generati solo per il progetto attivo, o per tutti i progetti caricati.

Importa i file runtime

I file modificabili nel runtime (come ricette oppure gestione utenti) vengono riletti dal runtime nell´editor.

Runtime: file modificabili

Apre il Dialogo che serve alla gestione dei file modificabili durante il Runtime.

Avvia Runtime

Avvia il runtime.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.


Barra simboli Livelli di visibilità

Manuale -> Editor -> Toolbar -> Barra simboli Livelli di visibilità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In modo simile a quanto accade nei programmi CAD, si possono definire nell´editor dei livelli di visibilità, che possono essere assegnati poi a singoli elementi. In tal modo è possibile nascondere nel caso di immagini complesse quegli elementi che non sono necessari, che poi, però, possono essere resi di nuovo visibili in qualsiasi momento. Sono a disposizione ben 15 livelli di visibilità. L´attribuzione di un livello viene effettuata nella proprietà Livello di visibilità nel nodoGenerale. L´attivazione o la disattivazione dei singoli livelli avviene facendo uso dei pulsanti della barra simboli Livelli di visibilità:

Simbolo

(da sinistra a destra)

Funzione

Mostra tutti i livelli di visibilità

Visualizza tutti i livelli.

Nascondi tutti i livelli di visibilità

Nasconde tutti i livelli.

Livello di visibilità <Nr>

Mostra o nasconde il livello di visibilità corrispondente.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.

info Informazioni su

I livelli di visibilità valgono solamente per l´Editor e non hanno alcun influsso sul Runtime.

Indicazioni sugli elementi di controllo: gli elementi di controllo vengono visualizzati nel Runtime sempre al primo posto. Ciò vale anche quando essi vengono coperti da altri elementi nell´Editor. In tal modo si vuole garantire che essi siano sempre raggiungibili.


Barra degli strumenti "Lista macro"

Manuale -> Editor -> Toolbar -> Barra degli strumenti "Lista macro"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le macro che sono state realizzate usando VBA, possono essere gestite tramite la barra dei simboli Lista macro.

Simbolo

(da sinistra a destra)

Funzione

Ricarica la lista delle macro VBA./VSTA

Carica tutte le macroPublic Sub Name () contenute in myWorkspace e nei moduli nella lista dropdown della barra simboli.

Cerca macro

Cerca macro tramite il campo di inserimento della combobox, oppure selezione dalla lista a cascata. La lista a cascata viene adattata all´elemento più ampio quando viene aperta.

Macro della lista a cascata

Contiene tutte le macro caricate e ne permette la selezione.

Esegui le macro selezionate.

Esegue la macro selezionata nella lista a cascata (dropdown).

Esegui la macro #<x> assegnata.

Esegue la macro assegnata al simbolo.

Assegna macro

Apre il dialogo che serve all´assegnazione di macro. Con i simboli possono essere collegate da 1 a 5 macro.

VBA

Filtra alla ricerca di macro VBA. Vengono visualizzate solamente macro VBA.

VSTA

Filtra alla ricerca di macro VSTA. Vengono visualizzate solamente macro VSTA.

ALL

Cancella il filtro attualmente in uso e vengono visualizzate tutte le macro.

AZ

Mette le macro in ordine ascendente, da 0 a 9 e dalla A alla Z.

ZA

Mette le macro in ordine discendente, dalla Z alla A e da 9 a 0.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.

info Informazioni su

Nel caso in cui nel dialogo di attribuzione non vengano offerte tutte la macro contenute in myWorkspace, eseguite nella barra dei simboli la funzione Ricarica la lista delle macro VBA.


Barra dei simboli della sezione lista

Manuale -> Editor -> Toolbar -> Barra dei simboli della sezione lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella visualizzazione dettagliata del Manager di progetto vengono visualizzate le barre dei simboli relative al tipo di nodo attivato. Queste ultime corrispondono al contenuto del menù contestuale corrispondente. La guida relativa alle singole barre dei simboli la trovate nel capitolo corrispondente, per esempio: Variabili Visualizzazione dettagliata Barra simboli


Barra dei simboli Proprietà

Manuale -> Editor -> Toolbar -> Barra dei simboli Proprietà

Le proprietà di un oggetto vengono visualizzate e modificate nella finestra delle proprietà. Per organizzare la finestra delle proprietà è a Vostra disposizione una barra degli strumenti:

Simbolo

(da sinistra a destra)

Funzione

Visualizzazione a gruppi

(default)

Tutte le proprietà dell´oggetto selezionato vengono raggruppate secondo un criterio logico e i gruppi vengono ordinati o in ordine alfabetico oppure in modo logico. Attraverso il menù contestuale, possono essere aggiunti o eliminati inserimenti dai Favoriti.

Standard per il manuale: Le indicazioni del manuale sulle proprietà partono sempre dalla visualizzazione a gruppi. I contenuti dei gruppi corrispondono quelli della Visuale a dialogo.

Tutte le proprietà

Tutte le proprietà dell'oggetto selezionato vengono rappresentate in una lista. Attraverso il menù contestuale, possono essere aggiunti o eliminati inserimenti dai Favoriti.

vista a dialogo

Tutte le proprietà vengono riassunte in modo logico come nei Gruppi di rappresentazione e i gruppi sono ordinati secondo la frequenza e la priorità del loro uso. In questa visualizzazione non possono essere definiti dei favoriti.

Mostra/nascondi i favoriti

Mostra o nasconde il nodo Favoriti.nella parte superiore delle visuali Gruppi di rappresentazione oppure Tutte le proprietà. In esso sono raccolte quelle proprietà che vengono utilizzate più frequentemente.

Di default vengono proposti dei favoriti.

Aggiungi o cancella dai favoriti degli inserimenti: Ciò accade mediante il menù contestuale 'Aggiungi ai favoriti', o via Drag&Drop delle proprietà nella lista dei favoriti.

La successione delle proprietà nei favoriti viene definita dal criterio di classificazione prescelto (ordine crescente, decrescente, logico).

Nella Visuale di dialogo non si possono craere dei favoriti.

Mostra/nascondi tutte le proprietà

Mostra o nasconde tutti i nodi nelle visuali Raggruppato e Tutte le proprietà

Ordinamento logico

(default)

Mostra nelle visuali Raggruppatoe Tutte le proprietà le proprietà ordinate in modo logico secondo la frequenza d´uso invece che in ordine alfabetico.

Ordinamento crescente e decrescente

Mostra nelle visuali Raggruppatoe Tutte le proprietà le proprietà ordinate in ordine alfabetico crescente o decrescente.

Apri/chiudi tutti i nodi

Apre o chiude nelle visuali Raggruppato e Tutte le proprietàtutti i nodi.

Eccezione: il nodo delle proprietà attualmente selezionate rimane aperto cliccando su Chiudi tutti i nodi.

Mostra guida delle proprietà

Mostra la guida integrata che concerne le proprietà (guida delle proprietà).

Rendi disponibili proprietà

Simboli: rende disponibile la Proprietà selezionata.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.


Barra menù

Manuale -> Editor -> Barra menù

La barra menù contiene (a seconda del modulo ed elemento selezionati) liste a cascata per i seguenti elementi.

Base

  • File
  • Modifica
  • Immagini
  • Opzioni
  • Finestra
  • Guida

Immagini e simboli

Non appena viene aperta un´immagine, nuovi punti di menù completano la barra:

  • Elementi
  • Elementi di controllo

Se viene attivata la Libreria simboli generale, il punto menù Immagini viene sostituito da Simboli.

Report

Se si apre un Rapporto:

  • il menu Immagini viene sostituito da Report
  • viene inoltre aggiunto il menu Formato
  • i comandi del menù Modifica vengono sostituiti

Noch in diesem Kapitel

File

Modifica

Immagini

Simbolo

Finestra

Guida

Opzioni


File

Manuale -> Editor -> Barra menù -> File

Sono disponibili le seguenti azioni:

Punto di menù

Azione

Progetto

Apre il dialogo che serve a creare un nuovo progetto.

Inserisci progetto esistente

Apre il dialogo che serve ad inserire un progetto esistente nell´editor.

Inserisci progetto 5.50

Apre il dialogo che serve ad inserire un progetto realizzato con l´editor della versione 5.50.

Ripristina backup di progetto

Apre il dialogo che serve a caricare lo stato di un progetto salvato in un backup.

Workspace

Nuovo

Apre il dialogo che serve a creare un nuovo workspace.

Apri

Apre il dialogo che serve a caricare un workspace già esistente.

Salva

Salva l’area di lavoro corrente.

Salva con nome

Salva l'attuale workspace. Potete indicare il nome e il luogo in cui effettuare il salvataggio.

Chiudi

Chiudi l’attuale area di lavoro.

Crea backup

Apre il dialogo che serve a salvare tutti i progetti del workspace attuale. Il backup viene salvato in un file compresso *.wsb.

Ripristina Backup

Apre il dialogo che serve a caricare i progetti salvati in un backup del workspace.

Configurazione generale

Registra prodotto

Aprei il dialogo Registrazione del prodotto che serve all´inserimento del numero di serie e di quello di attivazione, oppure a richiedere una licenza soft.

Standard

Apre il dialogo che serve alla Configurazione delle impostazioni standard per i luoghi in cui salvare i dati e per le stampanti

  • AML
  • CEL
  • Valori
  • Protocolli
  • Hardcopy
  • Blocco note

Pannello di controllo

Apre il pannello di controllo del sistema operativo.

Editor Visual Basic

Apre l’editor di Visual Basic

Nota: questo punto di menù esiste solamente se avete attivato VBA VSTA nel file zenon6.ini. Attivate VBA assicurandovi che nel settore [VBA] sia presente l´inserimento EIN=1.

Wizards

Apre il dialogo che serve alla selezione di un assistente.

Nota: questo punto di menù esiste solamente se avete attivato VBA VSTA nel file zenon6.ini. Attivate VBA assicurandovi che nel settore [VBA] sia presente l´inserimento EIN=1.

Aggiornamento Wizards

Apre il dialogo che serve ad effettuare l´update di un wizard. I dettagli li trovate nel capitolo Wizard, capitolo Update dei wizard.

Nota: questo punto di menù esiste solamente se avete attivato VBA VSTA nel file zenon6.ini. Attivate VBA assicurandovi che nel settore [VBA] sia presente l´inserimento EIN=1.

Workspace esistenti

Lista dei workspace già esistenti. Vengono indicati gli ultimi 5 workspace selezionati. La lista viene attualizzata quando cambia un´area di lavoro, e, al momento della chiusura dell´Editor viene scritta nello zenon6.ini.

Termina

Chiude l´editor di zenon.


Modifica

Manuale -> Editor -> Barra menù -> Modifica

Immagini e simboli

Se si seleziona un´immagine o un simbolo, il menù Modifica mette a disposizione dell´utente delle funzioni speciali.

Sono disponibili le seguenti azioni:

Parametri

Descrizione

Annulla

Annulla l’ultima azione.

Il numero delle azioni che è possibile annullare viene definito alla voce Opzioni -> Impostazioni .

Attenzione: Nell´editor dei modelli non è possibile annullare delle azioni.

Taglia

Taglia l’oggetto selezionato e lo salva negli appunti.

Copia

Taglia l’oggetto selezionato e lo salva negli appunti.

Inserisci

Incolla un oggetto tagliato o copiato negli Appunti. Gli elementi vengono inseriti sempre centrati nella sezione di lavoro. Nel caso ci siano diversi oggetti, la posizione reciproca degli oggetti rimane la stessa.

Inserisci nella stessa posizione

La copia dell´oggetto viene incollata nella stessa posizinoe come nell´originale.

Elimina

Elimina l’oggetto selezionato.

Seleziona tutto

Seleziona tutti gli oggetti nella finestra principale.

Proprietà

Apre la finestra proprietà.

Sostituisci collegamenti

Apre il dialogo per sostituire delle variabili o funzioni collegate con elementi dinamici. Dettagli: vedi capitolo Sostituzione di variabili di processo in elementi dinamici.

Posizione elemento

Modifica la posizione degli elementi selezionati.

Tasto ALT+ clic con il tasto sinistro del mouse seleziona elementi da livelli inferiori.

Primo piano

Porta gli elementi selezionati in primo piano.

Sfondo

Porta gli elementi selezionati sullo sfondo.

In avanti

Porta gli elementi selezionati avanti di un livello.

Indietro

Porta gli elementi selezionati indietro di un livello.

Allinea

Riposiziona gli elementi selezionati.

Sinistra

Gli elementi selezionati vengono allineati a sinistra.

Destra

Gli elementi selezionati vengono allineati a destra.

In su

Gli elementi selezionati vengono allineati in alto.

In giù

Gli elementi selezionati vengono allineati in basso.

Disponi

Riordina elementi. Punto di riferimento è il primo elemento selezionato.

Stessa larghezza

Gli elementi selezionati vengono adattati alla larghezza del primo elemento selezionato.

Nota: nel caso di elementi ruotati, la larghezza si orienta sempre alle coordinate ottiche, non a quelle logiche. Per i dettagli vedi capitolo Barra simboli Orientamento.

Stessa altezza

Gli elementi selezionati vengono adattati all´altezza del primo elemento selezionato.

Nota: nel caso di elementi ruotati, l´altezza si orienta sempre alle coordinate ottiche, non a quelle logiche. Per i dettagli vedi capitolo Barra simboli Orientamento.

Stesse dimensioni

Gli elementi selezionati vengono adattati all´altezza e alla larghezza del primo elemento selezionato.

Nota: nel caso di elementi ruotati, la grandezza si orienta sempre alle coordinate ottiche, non a quelle logiche. Per i dettagli vedi capitolo Barra simboli Orientamento.

Centra orizzontalmente

Gli elementi selezionati vengono allineati orizzontalmente al centro del primo elemento selezionato.

Centra verticalmente

Gli elementi selezionati vengono allineati verticalmente al centro del primo elemento selezionato.

Stessa distanza x

Gli elementi selezionati vengono ordinati in modo tale che la distanza fra di loro sull´asse X sia uguale; i primi due elementi determinano la distanza.

Stessa distanza y

Gli elementi selezionati vengono ordinati in modo tale che la distanza fra di loro sull´asse Y sia uguale; i primi due elementi determinano la distanza.

Stessa distanza x

Distribuisce tutti gli elementi selezionati lungo l´asse x fra i due elementi che sono stati selezionati per primi. Per questa opzione devono essere selezionati almeno tre elementi.

Stessa spaziatura y

Distribuisce tutti gli elementi selezionati lungo l´asse y fra i due elementi che sono stati selezionati per primi. Per questa opzione devono essere selezionati almeno tre elementi.

Rifletti orizz.

Rispecchia l´elemento selezionato su un´asse orizzontale.

Rifletti vertic.

Rispecchia l´elemento selezionato su un´asse verticale.

Gira 90°

Gira l´elemento selezionato di 90° in senso antiorario.

Ordine tastiera sinistra/destra

Mostra un modello con il quale viene stabilita la successione orizzontale nella quale si passa agli elementi ad immagine mediante la funzione Setta focus.

Ordine tastiera su/giù

Mostra un modello con il quale viene stabilita la successione verticale nella quale si passa agli elementi ad immagine mediante la funzione Setta focus.

Simbolo

Crea simbolo

Crea un nuovo simbolo da tutti gli elementi selezionati.

Sciogli

Il simbolo viene diviso nei suoi elementi originari; il simbolo non esiste più.

Modalità di modifica singola simbolo / elemento

Consente di modificare i singoli elementi di un simbolo. Passa tra modalità di editazione oggetti singola e modalità editazione simbolo

Incolla nel simbolo esistente.

Apre la barra dei simboli per aggiungere il simbolo attivo in un simbolo della lista.

Elimina da un simbolo.

Elimina l´elemento selezionato dal simbolo attivo. Poi l´elemento non appartiene più al simbolo.

Converti simbolo in gruppo di elementi

Converte un simbolo in un gruppo di elementi. Il simbolo perde, dunque, il suo collegamento con quello originale nella libreria e può essere modificato solo localmente. Questa conversione non può essere annullata.

Lista Simboli

Apre una lista di tutti i simboli che sono visualizzati nell'immagine attuale. Per ogni simbolo vengono indicate in una lista le sue singole componenti grafiche.

Modifica ordinamento per il focus

Apre la lista dropdown che serve a stabilire la successione orizzontale o verticale per la Gestione tastiera.

Ordinamento sinistra/destra

Stabilisce la successione orizzontale.

Ordinamento alto/basso

Stabilisce la successione verticale.

Reporting

Per i Rapporti, il menù Modifica mette a disposizione i seguenti inserimenti:

Comando

Descrizione

Taglia

Taglia l´area evidenziata e la copia negli appunti.

Copia

Aggiunge il contenuto degli appunti.

Inserisci

Copia l´area evidenziata negli appunti.

Incolla speciale

Mette a disposizione delle opzioni di inserimento estese per operazioni cella:
  • Tutto

Inserisce tutto quanto contenuto negli appunti.
  • Formule

Inserisce solamente formule
  • Valore

Inserisce solamente valori Va perso il riferimento alle formule.
  • Formato

Riprende solamente il formato.

Riempi

Copia il contenuto della prima cella di una selezione e lo trasferisce in tutte le altre celle.

  • in giù

Il riempimento avviene dall´alto in basso.
  • a destra

Il riempimento avviene verso destra.

Elimina

Cancella dalle celle selezionate:
  • Tutto

tutto
  • Contenuto

Solo contenuti.
  • Formato

Solo formati.

Cancella colonna/riga

Cancella le colonne o le righe selezionate.

Inserisci colonna/riga

Inserisce nuove colonne o righe. L´inserimento avviene sopra la riga o a destra della colonna. Viene aggiunto un numero di righe/colonne pari a quello evidenziato nel foglio elettronico.

Cerca/Sostituisci

Apre il Dialogo che serve alla ricerca e sostituzione nel foglio elettronico.


Immagini

Manuale -> Editor -> Barra menù -> Immagini

Sono disponibili le seguenti azioni:

Punto di menù

Azione

Salva immagine

Salva l'immagine attuale.

Salva tutte le immagini

Salva tutte le immagini.

Ridisegna immagine

Attualizza la visualizzazione dello schermo.

Mostra griglia

Visualizza o nasconde la griglia.

Posiziona sulla griglia

Visualizza o nasconde la griglia.

On: Tutti gli oggetti vengono allineati automaticamente alla griglia.

Utilizza ancoraggio tra elementi vicini

Attiva o disattiva i punti di appiglio

Usa: se si avvicina un oggetto al punto di appiglio di un altro oggetti, l´oggetto si aggancia a questo punto di appiglio.

Zoom

Modifica la grandezza della visualizzazione in percentuali definite fra 15 % e 400 %.

Esporta immagine/simbolo come file grafico

Salva l´immagine o il simbolo selezionati in un file grafico.
Si salva quanto segue:

  • Nelle immagini: l´immagine selezionata con tutti gli elementi e simboli.
  • Nell´Editor dei simboli: il simbolo selezionato.

Per effettuare il salvataggio, viene aperto il file manager. In questa sede, selezionate la posizione di salvataggio, il nome e il tipo file.

Inserisci grafica vettoriale

Apre il dialogo che serve ad inserire una grafica vettoriale esterna.

info Informazioni su

Non appena è attivo un elemento ad immagine, viene visualizzato il menu Elementi. Esso mette a disposizione dell´utente tutti gli Elementi vettoriali e gli Elementi dinamici in modo analogo alla barra dei simboli Elementi. Se si selezionano degli speciali Tipi d´immagine, viene visualizzato anche il menù Elementi di controllo. Questo menù mette a disposizione dell´utente quegli elementi di controllo che sono relativi al tipo d´immagine selezionato.


Simbolo

Manuale -> Editor -> Barra menù -> Simbolo

Sono disponibili le seguenti azioni:

Voce di menù

Azione

Salva simbolo

Salva il simbolo attuale.

Salva tutti i simboli

Salva tutti simboli.

Modifica grandezza simbolo / colore di sfondo

Apre il dialogo per la configurazione della grandezza simbolo e del colore di sfondo.

Nota: Le modifiche del colore di sfondo riguardano sempre tutti i simboli nella libreria simboli globale.

Lista Simboli

Apre una lista di tutti i simboli che sono visualizzati nell'immagine attuale. Per ogni simbolo vengono indicate in una lista le sue singole componenti grafiche.

Modalità schermo intero

La modalità schermo intero esclude tutte le altre finestre e mostra solamente quella principale con tutti i documenti aperti (immagini, rapporti ....) in forma di immagine piena che occupa tutto lo schermo.

La modalità schermo intero può essere terminata tramite:

  • il pulsante visualizzato per chiudere la modalità schermo intero
  • la combinazione tasti Shift +F9

Ridisegna simbolo

Attualizza la visualizzazione dello schermo.

Mostra griglia

Visualizza o nasconde la griglia.

Posiziona sulla griglia

Visualizza o nasconde la griglia.

on: Tutti gli oggetti vengono allineati automaticamente alla griglia.

Utilizza ancoraggio tra elementi vicini

Attiva o disattiva i punti di appiglio

Usa: se si avvicina un oggetto al punto di appiglio di un altro oggetti, l´oggetto si aggancia a questo punto di appiglio.

Modifica ordinamento per il focus

Apre la lista dropdown che serve a stabilire la successione orizzontale o verticale per la Gestione tastiera.

Successione per sinistra/destra: Stabilisce la successione orizzontale.

Successione per sopra/sotto: Stabilisce la successione verticale.

Zoom

Modifica la grandezza della visualizzazione in percentuali definite fra 15 % e 400 %.

Esporta immagine/simbolo come file grafico

Salva l´immagine o il simbolo selezionati in un file grafico.
Si salva quanto segue:

  • Nelle immagini: l´immagine selezionata con tutti gli elementi e simboli.
  • Nell´Editor dei simboli: il simbolo selezionato.

Per effettuare il salvataggio, viene aperto il file manager. In questa sede, selezionate la posizione di salvataggio, il nome e il tipo file.

Inserisci grafica vettoriale

Apre il dialogo che serve ad inserire una grafica vettoriale esterna.


Finestra

Manuale -> Editor -> Barra menù -> Finestra

Sono disponibili le seguenti azioni:

Punto di menù

Azione

Modalità schermo intero

La modalità schermo intero esclude tutte le altre finestre e mostra solamente quella principale con tutti i documenti aperti (immagini, rapporti ....) in forma di immagine piena che occupa tutto lo schermo.

La modalità schermo intero può essere terminata tramite:

  • il pulsante visualizzato per chiudere la modalità schermo intero
  • la combinazione tasti Shift +F9

Chiudi

Chiudi la finestra attiva.

Dividi

Suddivide la finestra principale e ordina le finestre attive in modo corrispondente.

Lista delle finestre

Mostra le finestre aperte. Al massimo vengono inserite nella lista 9 finestre.

Finestra

Apre il dialogo che serve a gestire le finestre in quella principale:

  • Attivare
  • salvare (possibile un multiselect)
  • chiudere (possibile un multiselect)

La finestra attiva verrà preselezionata.


Guida

Manuale -> Editor -> Barra menù -> Guida

Sono disponibili le seguenti azioni:

Punto di menù

Azione

Informazioni su

Aprite una finestra con informazioni su zenon:

  • Numero di serie
  • Numero di attivazione
  • TAGs/IOs con licenza
  • moduli con licenza

Potete navigare all´interno della finestra-info servendovi di una barra di scorrimento. Cliccando all´interno della finestra o premendo il tasto Esc si esce dalla finestra-info.

Getting Started

Apre il capitolo Tutorials della guida in linea

Guida

Richiama la guida in linea


Opzioni

Manuale -> Editor -> Barra menù -> Opzioni

Sono disponibili le seguenti azioni:

Punto di menù | Azione
Impostazioni | Apre il dialogo che serve alla configurazione delle Impostazioni generali , Menu, Barra simboli e Comandi.
Editor Gestire profili editor | Apre il Sottomenu che serve alla gestione dei profili editor.
Finestra principale con schede | Mostra o nasconde nella finestra principale la visuale immagine multipla facendo uso di schede.
Riga di stato | Mostra o nasconde la Barra di stato dell´Editor. Essa non è identica alla barra di stato della visualizzazione dettagliata del Manager di progetto.
Manager di progetto | Mostra la finestra Manager di progetto.
Finestra di emissione | Mostra la finestra Finestra di emissione.
Lista incrociata | Mostra la Lista riferimenti incrociati.
Finestra proprietà | Mostra la finestra Finestra proprietà.
Guida delle proprietà | Mostra la finestra con la Guida delle proprietà.
Toolbar | Lista a cascata per visualizzare/escludere le barre simboli.
Update del Runtime Windows CE | Apre il software che serve per l´update di un runtime Windows CE.
Definisci nuovo inserimento menu | Apre il dialogo per implementare programmi esterni come propri inserimenti menu. Suggerimento: nel caso in cui sia già stato impostato un ulteriore inserimento di menù, quest´ultimo viene visualizzato in questa sede. Nuovi e ulteriori inserimenti menu vengono creati alla voce Opzioni -> Impostazioni -> Menu Tools.

Noch in diesem Kapitel

Impostazioni

Menù tools

Schema colori

Comandi

Barre degli strumenti


Impostazioni

Manuale -> Editor -> Barra menù -> Opzioni -> Impostazioni

Nel dialogo Impostazioni potete fissare le impostazioni di base per zenon.

Editor e Runtime

Parametri | Descrizione
Lingua selezionata | Scegliete la lingua per la superficie dell´editor. Per effettuare un cambio di lingua, l´editor deve essere riavviato. La lingua standard dell´editor e l´inglese.
Non inviare rapporto di errore e Microsoft. | Attivo: impedisce in caso di interruzione del funzionamento del programma l´invio di un rapporto di errore a Microsoft.

Opzioni Editor

Parametri | Descrizione
Carica l'ultimo Workspace attivo | Attivo: all´avvio dell´Editor verranno caricate le ultime aree di lavoro attive, visualizzate in una struttura ad albero. (Default). Disattiva: all´avvio dell´editor non viene caricato nessun workspace. Facendo uso del menu contestuale, potete aprire dei progetti e workspace esistenti, oppure ne se può creare degli altri.
Visualizza bordi in Editor per gli elementi dinamici | Attivo: rappresenta gli elementi dinamici nell´Editor con una cornice di posizione.
Filtro nella visualizzazione dettagliata tiene conto della scrittura maiuscole / minuscola. | Attivo: il filtro nella visualizzazione lista distingue fra lettere maiuscole e minuscole. Non attiva: il filtro nella visualizzazione a lista considera allo stesso modo lettere maiuscole e minuscole (Default).
Ordinamento logico dei testi in visualizzazione dettagli | Attivo: i nomi file contenenti numeri vengono ordinati secondo un criterio logico nella visualizzazione lista, per es. 1, 2, 10, 11 Non attiva: nomi file contenenti numeri vengono ordinati secondo un criterio alfabetico nella visualizzazione a lista, per es. 1, 10, 11, 2
Utilizza Assistenti di configurazione | Attivo: quando si creano degli Archivi, Elementi combinati e Slider universale, il sistema offre automaticamente l´aiuto di un assistente. Inattiva: Archivi, Elementi combinati e Slider universale vengono configurati manualmente.
Colore delle colonne filtrate in liste configurabili | Configurazione del colore di sfondo per evidenziare le colonne filtrate in liste configurabili. Cliccando sul campo colore, si apre il dialogo che serve alla selezione di un colore.

Modifica immagine

Parametri | Descrizione
Utilizza accelerazione hardware, se disponibile | Attivo: Viene utilizzata l´accelerazione hardware. Inattiva: Non viene utilizzata l´accelerazione hardware.
Immissione parametri alla creazione | Attivo: se create un elemento dinamico, si aprono automaticamente i box di dialogo per le impostazioni dettagli, come, ad esempio, quello che serve alla selezione delle variabili. Disattiva: l´elemento dinamico viene disegnato, mentre le sue proprietà devono essere definite separatamente.
Visualizza finestra 'Sostituisci collegamenti' all'inserimento del simbolo | Attivo: quando si inserisce un simbolo in un´immagine, si apre il dialogo Sostituisci collegamenti. Disattivata: il dialogo non viene aperto. Dei collegamenti possono essere sostituiti in qualsiasi momento facendo uso del comando Sostituisci collegamenti che potete trovare nel menu contestuale.
Spazio per cambio posizione | Intende evitare uno spostamento involontario di elementi. Prima che un elemento venga effettivamente spostato, esso deve essere mosso perlomeno per uno spazio che corrisponde al numero di pixel indicato.
Dimensione punti di selezione | xx
Azioni annullabili | Permette di annullare fino a 100 azioni. Di default possono essere annullate fino a 10 azioni. Indicate un numero fra 1 e100.

Griglia

Parametri

Descrizione

Mostra griglia

Attivo: Mostra nella finestra principale la griglia definita alla voce Tipo di griglia.
Inattivo: La griglia non è visualizzata.

Posiziona sulla griglia

Attivo: Gli elementi d'immagine vengono sempre allineati secondo la griglia. Questa funzione è indipendente dall’opzione Mostra griglia.

Colore

Definisce il colore della griglia. Per la selezione del colore si utilizzata la tavolozza di Windows.

Rappresentazione

Menù a tendina con il tipo di visualizzazione della griglia:

  • pieno
  • intersezioni

Spazio verticale

Definisce la distanza orizzontale e verticale fra i singoli punti. Questo parametro, dunque, definisce anche il grado di precisione con il quale devono essere rappresentate le dimensioni dell´elemento. Distanza griglia consigliata: 10 pixel orizzontalmente e verticalmente.

Spazio orizzontale

Punti di ancoraggio

Parametri | Descrizione
Utilizza ancoraggio tra elementi vicini | Gli elementi dispongono di punti di appiglio. Se, spostando un oggetto, ci si avvicina al punto di appiglio di un altro, il punto di appiglio dell´oggetto selezionato ci si aggancia e si orienta rispetto ad esso.
Dimensione nell'editor immagine\simbolo | Definisce la grandezza dello spazio di aggancio in pixel (angoli quadrati). Indicate un numero fra 1 e 20.
Dimensione nell'editor modelli | Definisce la grandezza dello spazio di appiglio in pixel (angoli quadrati) per l´orientamento di modelli ad altri modelli, oppure ai margini dello schermo. Indicate un numero fra 1 e 40.


Menù tools

Manuale -> Editor -> Barra menù -> Opzioni -> Menù tools

Nel dialogo Menù Tools potete implementare dei programmi esterni nella struttura di menù dell´editor. I programmi integrati individualmente vengono mostrati alla fine del punto di menù Opzioni .

Contenuti menù

Opzioni | Azione
Contenuti menù | Mostra una lista dei programmi esterni già integrati.
Nuovo | Aggiunge un nuovo inserimento di menù.
Elimina | Elimina un inserimento esistente dal menù.
Su | sposta verso l´alto l´inserimento di menù selezionato nella lista e nel menù.
In giù | sposta verso il basso l´inserimento di menù selezionato nella lista e nel menù.
Testo menù: | nome con il quale viene visualizzato il nuovo menù nelle opzioni.
File | Nome e percorso del programma esterno che deve essere aperto (file *.exe).
Parametri | Ulteriore fattore per l´apertura del programma, per esempio un nome di file.

Example Esempio

Testo menù: Editor testo

File: C:\Windows\notepad.exe

Parametri: C:\test.txt

Apre Notepad e il file test.exe. Se questo file non esiste, il sistema propone di generarlo.


Schema colori

Manuale -> Editor -> Barra menù -> Opzioni -> Schema colori

In questo tab definite lo schema colore per l´editor.

Schema colori per l'editor

Parametri | Descrizione
Schema colori per l'editor | Cliccando sulla lista a cascata, aprite la lista con le possibilità fra cui effettuare la scelta.
Anteprima | Modifica lo schema colore dell´editor. La finestra di dialogo rimane aperta.
Ok | Riprende e accetta le modifiche e chiude il dialogo.
Annulla. | Rifiuta le modifiche e chiude il dialogo.


Comandi

Manuale -> Editor -> Barra menù -> Opzioni -> Comandi

Nel dialogo Comandi definite quali comandi devono essere a disposizione nella barra dei simboli.

Categorie

Opzione | Azione
Categorie | Scelta della categoria che contiene il comando desiderato.

Comandi

Opzione | Azione
Comandi | Lista dei comandi a disposizione.
Descrizione | Testo per tooltip Se si porta il puntatore del mouse su un pulsante, viene visualizzata una breve descrizione della funzione di quest´ultimo sotto forma di tooltip.

Aggiungi simbolo

  1. aprite il menù Opzioni -> Impostazioni -> Tab: Comandi
  2. Selezionate nella finestra a sinistra una categoria.
  3. Cliccate nella finestra di destra con il tasto sinistro del mouse sul simbolo desiderato.
  4. tenendo premuto il tasto sinistro del mouse, trascinate il simbolo nella posizione desiderata nella barra dei simboli

Cancella simboli

  1. aprite il menu Opzioni -> Impostazioni -> Tab: Barra degli strumenti
  2. vengono attivati tutti i simboli di tutte le barre nell´editor
  3. Cliccate con il tasto sinistro del mouse sul simbolo.
  4. Trascinate il simbolo fuori dalla barra simboli e rilasciate il tasto del mouse.

info Informazioni su

Per annullare delle modifiche apportate ad una barra simboli e per ripristinare lo stato di emissione, passate alla scheda Barra simboli. Selezionate la barra dei simboli in questione e cliccate sul pulsante Ripristina, oppure su Ripristina tutto per far sì che tutte le barre dei simboli siano riportate allo stato di emissione.


Barre degli strumenti

Manuale -> Editor -> Barra menù -> Opzioni -> Barre degli strumenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel dialogo Barre simboli potete definire l´aspetto e la visibilità delle barre simboli.

Barre degli strumenti

Opzioni | Azione
Barre degli strumenti | Checkbox attivo: la barra simboli viene visualizzata nell´editor.
Ripristina | Ripristina lo stato di partenza per la barra simboli evidenziata
Ripristina tutti | Ripristina lo stato di partenza per tutte le barre simboli


Profili editor

Manuale -> Editor -> Profili editor

L´editor si apre in un´impostazione standard con finestre predefinite. Potete ordinare e attivare le finestre a piacere. I dettagli relativi li potete trovare nel capitolo Adatta visualizzazione

Nota: I profili Editor funzionano in modo diverso da versione a versione. L´export e l´import fra diverse versioni non è supportato.

Impostazioni individuali

Gestite le Vostre impostazioni individuali nei profili. Li raggiungete tramite

  • la barra dei simboli Profili editor

    (vedi: Gestisci profili editor nella barra dei simboli)

  • il sottopuntoGestisci profili editor nelle Opzioni della barra menu.

    (vedi Gestisci profili editor mediante il menu)

  • Mediante delle combinazioni di tasti

    (vedi Gestisci profili editor con combinazioni di tasti)

Potete attribuire dei profili editor a dei singoli moduli anche tramite menù contestuale (vedi Seleziona profili editor nel menu contestuale) o potete usare dei profili predefiniti.

info Informazioni su

Nel caso di finestre divise (come nel manager di progetto, nella visuale generale e in quella dettagliata), la definizione della larghezza vale per la finestra nel suo complesso. Al momento dell´avvio e della chiusura dell`Editor, il sistema stabilisce la corretta relazione delle dimensioni della finestra stessa.

Se la relazione reciproca degli elementi della finestra viene modificata, un´apertura di un profilo provoca solamente l´impostazione della finestra nel suo complesso in base ai valori definiti. La relazione reciproca fra visuale generale e dettagliata, per esempio, non viene modificata.

Noch in diesem Kapitel

Profili predefiniti

Gestisci profili editor con la barra dei simboli

Gestisci profili editor mediante il menù

Gestisci profili editor con combinazioni di tasti

Seleziona profili editor nel menù contestuale

Elimina profili editor

Denominazione individuale di profili Editor


Profili predefiniti

Manuale -> Editor -> Profili editor -> Profili predefiniti

In zenon sono a Vostra disposizione tre profili predefiniti. Ottimizzate il layout dell´Editor con una risoluzione di 1280 x 1024 per:

  • Visualizzazione liste (variabili, funzioni, ricette, ecc.):
    Profilo 1 spazio di memoria P1.
  • Immagini:
    Profilo 2 spazio di memoria P2.
  • Standard per compiti generali:
    Profilo 3 spazio di memoria P3.

I profili predefiniti devono essere esplicitamente attivati: Essi sovrascrivono i luoghi di salvataggio P1, P2 e P3. Se li si attiva, quando si seleziona un nodo dell´albero di progetto, il sistema applica il profilo ad esso assegnato. Se, invece, si disattiva l´assegnazione automatica dei profili, questo meccanismo automatico non verrà più applicato quando si passa da un nodo all´altro. I luoghi di salvataggio P1, P2 e P3 continuano a contenere i profili corrispondenti. Questi ultimi possono essere assegnati manualmente, oppure possono essere sovrascritti da profili definiti individualmente.

Selezionare profilo predefinito

Potete attivare o disattivare questi profili. A tal scopo usate o i Simboli nella barra dei simboli per i profili editor, oppure:

  1. aprite il menù Opzioni.
  2. cliccate su Gestisci profili editor
    • Carica profilo standard: carica i profili predefiniti sui primi tre posti di memoria e li collega ai moduli. Profili eventualmente già esistenti vengono sovrascritti.
    • Elimina attribuzioni di profili: Cancella tutti i collegamenti di profili predefiniti con i moduli.

Per utilizzare i profili, selezionate in corrispondenza del modulo desiderato nel menù contestuale Profilo editor -> [Numero profilo].

attention Attenzione

Quando si attivano i profili predefiniti, le impostazioni corrispondenti vengono assegnate ai luoghi di salvataggio P1, P2 e P3; questi ultimi, inoltre, vengono rinominati in P1, P2 e P3. Anche impostazioni e denominazioni individuali per tutti gli ulteriori luoghi di salvataggio (da P4 a P10) vanno perse. Il profilo standard viene mantenuto.

Segnalazione di errore al momento dell´apertura di profili predefiniti

Se al momento della selezione di un profilo predefinito ricevete una segnalazione di errore con il rimando a zenAdminSrv, ciò può avere due cause:

  1. Il servizio zenAdminSrv funziona con un numero di versione inferiore a quello dell´editor attuale.
    Soluzione: sincronizzate il servizio.
  2. I profili sono stati rimossi dalla cartella standard:
    Soluzione: copiate il file Predefined Editor Profiles.epf nella cartella C:\ProgramData\COPA-DATA\zenonxxx\EdProfiles (xxx corrisponde alla versione attuale di zenon).

Profili

Profilo 1: Visualizzazione liste

Rappresentazione ottimizzata per la modifica di variabili e visualizzazioni lista.

Profilo 2: Immagini

Rappresentazione ottimizzata per la modifica di immagini.

Profilo 3: Standard

Visuale standard, ottimizzata per moduli che non si basano su liste.


Gestisci profili editor con la barra dei simboli

Manuale -> Editor -> Profili editor -> Gestisci profili editor con la barra dei simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La barra dei simboli per i profili editor viene visualizzata nell´editor al centro della seconda riga di simboli (default). Nel caso in cui sia stata disattivata, cliccate con il tasto destro del mouse accanto alla barra dei simboli e scegliete Profili editor. Riceverete la seguente barra simboli:

Simbolo

(da sinistra a destra)

Funzione

Carica profilo standard

Resetta tutte le impostazioni relative a visualizzazione e posizione delle finestre, nonché contenuti e visualizzazione delle barre dei simboli e dello stato di emissione; poi carica il profilo standard di zenon.

Seleziona profilo editor

Selezione di un profilo Editor fra i dieci proposti dalla menù a tendina.

Carica profilo editor selezionato

Carica il profilo selezionato nel settore Seleziona profilo editor.

Salva profilo editor selezionato

Salva le impostazioni finestra attuali nel profilo che è visualizzato nel settore Seleziona profilo editor.

Carica profilo standard

Carica i profili predefiniti di COPA-DATA sui primi tre posti di memoria e li collega ai moduli. Profili eventualmente già esistenti vengono sovrascritti.

Reimposta i filtri

Cancella tutti i collegamenti di profili predefiniti con i moduli.

Salvataggio automatico dei profili editor

Attivo: le modifiche del profilo attuale vengono salvate automaticamente al momento dell´apertura di un altro profilo.

Inattiva: le modifiche non vengono salvate al momento del cambiamento di profilo; quando si richiama un´altra volta il profilo in questione, vengono riproposte le posizioni originali.

Assegna nomi individuali ai profili editor.

Apre un Dialogo in cui possono essere assegnati dei nomi individuali ai profili editor.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.

Nota: È possibile inserire ulteriori opzioni per import ed export usando l´adeguamento dei comandi definito dall´utente per le barre degli strumenti. . Per esportare o importare dei profili Editor, selezionate l´opzione corrispondente nel Menù principale alla voce Opzioni -> Editor Gestisci profili Editor..


Gestisci profili editor mediante il menù

Manuale -> Editor -> Profili editor -> Gestisci profili editor mediante il menù

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per gestire i vostri profili Editor, selezionate nel menù Opzioni -> Editor Gestisci profili Editor.

Avete le seguenti possibilità:

Opzioni | Funzione
Nomina | Apre un Dialogo in cui possono essere assegnati dei nomi individuali ai profili.
Carica profilo standard | Riporta tutte le impostazioni finestra allo standard di default e carica il profilo standard di zenon.
Carica profilo standard | Carica i profili predefiniti di COPA-DATA sui primi tre posti di memoria e li collega ai moduli. Profili eventualmente già esistenti vengono sovrascritti.
Reimposta i filtri | Cancella tutti i collegamenti di profili predefiniti con i moduli.
Esporta | Apre il Manager file e salva le impostazioni sotto forma di file .zip in un posto che può essere scelto liberamente.
Importare | Apre il Manager file al fine di importare delle impostazioni salvate sotto forma di un file .zip da un luogo qualsiasi nel quale le si era salvate.

Per selezionare dei profili editor individuali o per salvarli, usate le funzioni corrispondenti della Barra simboli o Combinazioni di tasti.


Gestisci profili editor con combinazioni di tasti

Manuale -> Editor -> Profili editor -> Gestisci profili editor con combinazioni di tasti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sono disponibili le seguenti azioni:

Comando | Combinazione tasti
Carica profilo editor 1 | Shift+F1
Carica profilo editor 2 | Shift+F2
Carica profilo editor 3 | Shift+F3
Carica profilo editor 4 | Shift+F4
Carica profilo editor 5 | Shift+F5
Carica profilo editor 6 | Shift+F6
Carica profilo editor 7 | Shift+F7
Carica profilo editor 8 | Shift+F8
Salva visuale editor attuale come: |
Profilo editor 1 | Ctrl+Shift+F1
Profilo editor 2 | Ctrl+Shift+F2
Profilo editor 3 | Ctrl+Shift+F3
Profilo editor 4 | Ctrl+Shift+F4
Profilo editor 5 | Ctrl+Shift+F5
Profilo editor 6 | Ctrl+Shift+F6
Profilo editor 7 | Ctrl+Shift+F7
Profilo editor 8 | Ctrl+Shift+F8


Seleziona profili editor nel menù contestuale

Manuale -> Editor -> Profili editor -> Seleziona profili editor nel menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Manager di progetto, per ogni progetto e ogni suo sottolivello possono essere selezionati e assegnati in modo duraturo dei profili editor facendo uso del menù contestuale: cliccare con il tasto destro del mouse sul ramo -> Profili editor-> Seleziona.

E´possibile eliminare una assegnazione scegliendo il punto 'nessuno' nel menù contestuale.


Elimina profili editor

Manuale -> Editor -> Profili editor -> Elimina profili editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per cancellare i Vostri dati profili:

  1. cancellate l´intera cartella Editor, nel percorso C:\Users\USERNAME\AppData\Local\COPA-DATA\zenon\Editor

    Nota: dovete sostituire lo USERNAME con il nome utente dello user Windows registrato.

  2. cancellate l´inserimento per il profilo nella Windows registry sotto: HKEY_CURRENT_USER\Software\COPA-DATA\Editor\Profiles


Denominazione individuale di profili Editor

Manuale -> Editor -> Profili editor -> Denominazione individuale di profili Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´utente può dare forma e assegnare nomi ai profili Editor. L´assegnazione di un nome avviene direttamente nella Barra simboli, tramite Combinazione di tasti oppure facendo uso di un dialogo.

Per configurare profili individuali:

  1. Impostate l´Editor come desiderate.
  2. Aprite la finestra di dialogo per inserire un nome individuale.
    • barra simboli, simbolo Assegna nome individuale per profili editor oppure
    • Menù-> Opzioni -> Editor Gestisci profili editor -> Nomina

  3. Inserite nel campo il nomi scelto digitandolo dopo la denominazione breve-profilo editor.

attention Attenzione

Quando si attivano i profili predefiniti, le impostazioni corrispondenti vengono assegnate ai luoghi di salvataggio P1, P2 e P3; questi ultimi, inoltre, vengono rinominati in P1, P2 e P3. Anche impostazioni e denominazioni individuali per tutti gli ulteriori luoghi di salvataggio (da P4 a P10) vanno perse. Il profilo standard viene mantenuto.

Facendo uso delle combinazioni di tasti da Shift+F1 a Shift+F8 potete aprire in qualsiasi momento i primi 8 profili nell´Editor. Oppure potete selezionare il profilo editor desiderato facendo uso del simbolo corrispondente nella Barra dei simboli.


Manager di progetto

Manuale -> Editor -> Manager di progetto

Il Manager di progetto si trova di default sul margine sinistro dello schermo, direttamente sotto la barra dei simboli. La visualizzazione può avvenire in due modi:

  • Albero di progetto
  • Topologia di rete

Albero di progetto

La struttura ad albero del progetto contiene:

  • a sinistra, il Workspace con i progetti e la Libreria simboli generale:
    • Nel workspace si trovano tutti i progetti caricati con le loro variabili, funzioni, immagini ecc.
    • La Libreria simboli generale contiene delle grafiche predefinite e offre la possibilità di creare delle nuove grafiche.
  • a destra una visione dettagliata:

    presenta una lista di tutti gli elementi e delle impostazioni per il settore della visione ad albero che è stata selezionata.

Topologia di rete

La visuale Topologia di rete rappresenta topologicamente tutti i progetti nel workspace e permette di controllare tutte le componenti di rete coinvolte, nonché di effettuare un Trasporto Remoto dei file runtime ai computer connessi.

Potete leggere i dettagli su questo argomento nella sezione Rete e in particolare nel capitolo Controlla la validità della Topologia di rete.

Noch in diesem Kapitel

Workspace

Sezione lista del manager di progetto

File

Libreria simboli globale

Dialoghi di selezione


Workspace

Manuale -> Editor -> Manager di progetto -> Workspace

Nell´area di lavoro si amministrano le seguenti componenti di un progetto:

  • Variabili
    • Driver
    • Tipi di dato
    • Matrice di reazione
    • Attribuzioni
    • Allarme
    • Unità di misura
  • Immagini
    • Modelli
    • Carattere
    • Tavolozza colori
    • Libreria simboli
  • Funzioni
    • Script
  • File lingua
  • Server di archiviazione
  • Ricette
    • Ricette standard
    • Manager di gruppi ricette
  • Batch Control
  • Temporizzatori
  • Scripting
    • Process Control Engine
    • Lista Macro
    • VSTA
  • zenon Logic è un ambiente di sviluppo per IEC 61131-3.
  • Production & Facility Scheduler
  • Interblocchi
  • Comandi
  • Load Management
  • Message Control
  • Menù
  • Generatore di rapporti
  • Gestione user
    • Utente
    • Gruppi utenti
  • Interfaccia SAP
  • File: aggiunge file esterni. Essi non vengono modificati con zenon, ma con un programma esterno.
    • Grafica
    • Guida
    • Multimedia
    • Liste
    • Driver
    • Report Viewer
    • Altri
  • Log delle modifiche
  • Definizione di impianto
  • Backup progetto

La disponibilità delle singole componenti può dipendere dalla licenza scelta. Potete verificare per quali moduli possedete la licenza cliccando su Help -> Info su.....

Per eventuali estensioni della Vostra licenza Vi preghiamo di rivolgervi al Vostro distributore, oppure a sales@copadata.com.

info Informazioni su

I singoli elementi del manager di progetto, come variabili e funzioni, possono essere visualizzati in una finestra propria. A questo scopo, cliccate nel menù contestuale su Apri in nuova finestra. In tal modo potete, ad esempio, modificare contemporaneamente variabili e funzioni.

Noch in diesem Kapitel

Visualizzazione dettagli Area di lavoro


Visualizzazione dettagli Area di lavoro

Manuale -> Editor -> Manager di progetto -> Workspace -> Visualizzazione dettagli Area di lavoro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella visualizzazione dettagli dell´area di lavoro si amministrano e gestiscono i progetti. Vengono visualizzati solamente i progetti attualmente caricati, cioè il progetto attivo e tutti quei progetti in cui la proprietà Mantieni progetto in memoria è attiva.

Barra degli strumenti

Simbolo

Descrizione

Progetto nuovo

Apre il dialogo per la creazione di un nuovo progetto.

Inserisci progetto esistente

Apre il dialogo che serve ad inserire un progetto esistente.

Inserisci progetto 5.50

Apre il browser file per consentire di selezionare un progetto della versione 5.50.

Ripristina backup di progetto

Apre il dialogo che serve a ripristinare un backup di progetto

Elimina progetto selezionato

Elimina il progetto selezionato dopo una richiesta di conferma per ragioni di sicurezza. Se vengono selezionati più progetti, verrà cancellato quello selezionato per ultimo.

Workspace

Azioni per l´area di lavoro:

  • Nuovo: Apre la finestra di dialogo per la creazione di una nuova area di lavoro.
  • Apri: Apre la finestra di dialogo che serve ad aprire un workspace già esistente.
  • Salva: Salva l’area di lavoro.
  • Salva con nome: Salva l’area di lavoro con un nuovo nome.
  • Chiudi: Chiudi l’area di lavoro attiva.
  • Crea backup: Apre la finestra di dialogo per la creazione di un nuovo backup di progetto.
  • Ripristina Backup: Apre la finestra di dialogo che serve a ripristinare un backup.

Apri Editor VSTA con WorkspaceAddin

Apre l'Editor VSTA con il zenon WorkspaceAddin.

VBA-Visualizza Editor

Apre l’editor VBA.

Wizards

Apre la finestra di dialogo con i wizard.

Aggiorna Wizard

Apre la finestra di dialogo per l´aggiornamento del wizard.

Rimuovi tutti i filtri

Elimina tutti i filtri settati.

Proprietà

Attiva la finestra di proprietà. .

Guida

Attiva la guida online

Queste azioni sono disponibili anche sotto forma di comando nel menù contestuale del nodo Area di lavoro.


Sezione lista del manager di progetto

Manuale -> Editor -> Manager di progetto -> Sezione lista del manager di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si sceglie un elemento nella visione ad albero del Manager di progetto, la visualizzazione dettagli mostra tutti gli oggetti relativi e le loro proprietà.

Nel caso di una visualizzazione a tabella, potete:

Azione

Modo di procedere:

Seleziona liberamente le colonne:

clic con il tasto destro del mouse sul titolo di una colonna-> Menu contestuale -> Seleziona colonna

Modifica la larghezza di una colonna:

  • muovere il puntatore del mouse sulla linea di separazione nel titolo della colonna finché esso non assume la forma di una croce.
  • tenere premuto il tasto del mouse.
  • Trascinare la colonna finché non avrà la dimensione desiderata.

Ordina colonne:

un clic del mouse sul titolo colonna ordina la lista nel modo opposto all´ordine attuale (crescente/ decrescente).

Formatta colonna

clic con il tasto destro del mouse sul titolo di una colonna-> Menu contestuale -> Formatta colonna

Raggruppa proprietà

clic con il tasto destro del mouse sul titolo di una colonna-> Menù contestuale -> Raggruppa sulla base di questa colonna oppure

clic con il tasto destro del mouse sul titolo di una colonna-> Menù contestuale -> Annulla raggruppamento

Adatta visualizzazione alla larghezza della finestra

clic con il tasto destro del mouse sul titolo di una colonna-> Menù contestuale -> Adatta la grandezza alla larghezza della colonna

Elimina colonna

clic con il tasto destro del mouse sul titolo di una colonna-> Menù contestuale -> Elimina questa colonna

Menù contestuale

Comando | Azione
Crescente | ordina colonna in senso crescente
Decrescente | ordina colonna in senso decrescente
Raggruppa per questa colonna | raggruppa elementi in relazione a questa colonna
Annulla raggruppamento | elimina il raggruppamento esistente
Selezione colonne... | apre il dialogo che serve alla selezione delle colonne che devono essere visualizzate
Formatta colonna | apre il dialogo che serve a formattare la colonna
Aggiusta la dimensione alla larg. Finestra | distribuisce tutte le colonne sull´intera finestra
Elimina questa colonna | elimina la colonna dalla visualizzazione

Riga di stato

Nel caso delle liste, la barra di stato della visualizzazione dettagliata mostra le informazioni sugli elementi esistenti, filtrati e selezionati.

Example Esempio

Visualizzazione della barra di stato. Visualizzazione dettagliata: 39 nel complesso / 30 filtrati / 2 selezionati significa

  • sono disponibili complessivamente 39 elementi
  • 30 vengono visualizzati sulla base delle impostazioni di filtro che sono state adottate.
  • 2 sono stati selezionati

Per le variabili, viene anche visualizzato il numero dei TAG o di IO utilizzati e provvisti di licenza.

per esempio: 32 TAGs utilizzati/TAGs illimitati disponibili.

info Informazioni su

Delle informazioni dettagliate concernenti la modifica e la gestione degli elementi, le trovate nel capitolo Modifica inserimenti e nella descrizione dell´elemento in questione.

Noch in diesem Kapitel

Modifica inserimenti

Barra dei simboli della sezione lista

Navigazione nella sezione lista

Filtra inserimenti lista

Sostituisci testo nella colonna selezionata...

Sostituisci testo in valori limite

Mostra e nascondi colonne

Proprietà colonne


Modifica inserimenti

Manuale -> Editor -> Manager di progetto -> Sezione lista del manager di progetto -> Modifica inserimenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per modificare degli inserimenti, sono a Vostra disposizione diverse possibilità:

percorso

Procedura

Barra dei simboli della sezione lista

  • Selezionate servendovi del tasto sinistro del mouse la cella desiderata.
  • Selezionate nella barra simboli il pulsante Modifica Celle selezionate.

Menù contestuale
  • Cliccate con il tasto destro del mouse nella cella desiderata.
  • Selezionate nel menù contestuale l´inserimento Modifica cella selezionata.

Doppio clic ritardato

  • Evidenziate la cella desiderata cliccando due volte a breve distanza di tempo (cliccare due volte lentamente).

Finestra di proprietà

  • Selezionate l´elemento desiderato.
  • Impostate nella finestra Proprietà l'inserimento desiderato.

Tasto F2

  • Selezionate servendovi del tasto sinistro del mouse la cella desiderata.
  • Premete il tasto F2.

info Informazioni su

Cliccando in una cella, essa viene selezionata nella sua interezza. Riconoscete quali celle avete selezionato grazie al simbolo del binocolo che vedete nel titolo della colonna.

attention Attenzione

Eccezioni

  • Nella visualizzazione dettagliata possono essere modificate solo quelle proprietà che sono modificabili anche nella finestra delle proprietà. Così, per esempio, non si può modificare il nome di una variabile di driver di sistema.
  • La storia delle modifiche non è modificabile a causa di quanto previsto dalle norme FDA.
  • Per quello che concerne i backup di progetto, è modificabile solo il nome del backup.


Barra dei simboli della sezione lista

Manuale -> Editor -> Manager di progetto -> Sezione lista del manager di progetto -> Barra dei simboli della sezione lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al margine superiore della sezione lista, potete usare in una barra simboli tutte le funzioni che potete trovare anche nel menù contestuale. A seconda di cosa avete selezionato nella vista ad albero del progetto (ad esempio: immagini, variabili, simboli ecc.), vengono visualizzati differenti pulsanti nella barra dei simboli.

Quei pulsanti che non è consentito utilizzare, sono disattivati e non reagiscono se ci si clicca sopra.

Barra degli strumenti

Nr | Simbolo | Azione
01 | Nuova Variabile | Apre il dialogo per la creazione di una nuova variabile.
02 | Crea funzione standard | Apre l´assistente per la selezione delle variabili e dei valori impostabili e che crea una funzione adatta. L´azione viene documentata nella finestra di emissione.
03 | Variabili utilizzate | Realizza una analisi di progetto delle variabili selezionate nel progetto attuale e la mostra in forma di Lista risultati in una finestra apposita.
04 | Visualizza variabili non utilizzate | Realizza una analisi di progetto per le variabili non utilizzate nel progetto attuale e la mostra in forma di Lista risultati in una finestra apposita.
05 | Torna all'elemento di partenza | Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza. Nel menu contestuale esistente solamente, se aperto come elemento collegato.
06 | Copia | Copia gli inserimenti selezionati negli appunti
07 | Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
08 | Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
09 | Estendi/riduci | Lista a cascata per estendere tutti nodi o quelli selezionati, oppure per ridurli.
10 | Attiva tutte | Attiva tutti gli elementi non attivi di una variabile struttura.
11 | Attiva | Attiva gli elementi selezionati di una variabile struttura.
12 | Disattiva | Disattiva gli elementi selezionati di una variabile struttura.
13 | Esporta selezione in XML | Esporta gli elementi selezionati in un file XML.
14 | Importa XML | Importa variabili da un file XML.
15 | Importazione - Esportazione | Apre il menù per importare ed esportare progetti Step 7, dBase e CSV.. Nota: Ulteriori informazioni a questo proposito le trovate nella guida relativa a import - export, nel capitolo Import di progetto Step 7.
16 | Filtro esteso | Attiva/disattiva filtro esteso Apre la finestra di dialogo che serve alla selezione dei criteri di filtro.
17 | Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
18 | Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
19 | Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
20 | Sostituisci testo in valore limite | Apre il dialogo che serve alla selezione della Proprietà dinamica. Dopo aver selezionato una proprietà, cliccando su OK si apre il dialogo con cui effettuare la ricerca e la sostituzione.
21 | Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
22 | Guida | Apre la guida online.

Menù contestuale

Punto di menù

Azione

Nuova Variabile

Apre il dialogo per la creazione di una nuova variabile.

Crea funzione standard

Apre l´assistente per la selezione delle variabili e dei valori impostabili e che crea una funzione adatta. L´azione viene documentata nella finestra di emissione.

Elemento collegato

Apre sottomenù con gli elementi collegati.

Variabili utilizzate

Realizza una analisi di progetto delle variabili selezionate nel progetto attuale e la mostra in forma di Lista risultati in una finestra apposita.

Visualizza variabili non utilizzate

Realizza una analisi di progetto per le variabili non utilizzate nel progetto attuale e la mostra in forma di Lista risultati in una finestra apposita.

Copia

Copia gli inserimenti selezionati negli appunti

Inserisci

Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".

Elimina

Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.

Espandi/riduci nodi

Consente di estendere o ridurre tutti i nodi o quelli selezionati nella lista. Scegli:

  • Espandi tutto
  • Riduci tutto
  • Espandi selezione
  • Riduci selezione

Attiva tutte

Attiva tutti gli elementi non attivi di una variabile struttura.

Attiva

Attiva gli elementi selezionati di una variabile struttura.

Disattiva

Disattiva gli elementi selezionati di una variabile struttura.

Esporta selezione in XML

Esporta tutti gli inserimenti selezionati in un file XML.

Importa XML

Importa degli inserimenti da un file XML.

Import/Export esteso

Apre il menù per importare ed esportare progetti Step 7, dBase e CSV..

Nota: Ulteriori informazioni a questo proposito le trovate nella guida relativa a import - export, nel capitolo Import di progetto Step 7.

Filtro esteso

Attiva/disattiva filtro esteso

Apre la finestra di dialogo che serve alla selezione dei criteri di filtro.

Rimuovi tutti i filtri

Elimina tutte le impostazioni di filtro

Modifica celle selezionate

Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.

Sostituisci testo nella colonna selezionata...

Apre il dialogo che serve alla ricerca e alla sostituzione di testi.

Sostituisci testo in valore limite

Apre il dialogo che serve alla selezione della Proprietà dinamica. Dopo aver selezionato una proprietà, cliccando su OK si apre il dialogo con cui effettuare la ricerca e la sostituzione.

Proprietà

Apre la finestra Impostazioni per l´inserimento selezionato.

Guida

Apre la guida online.


Navigazione nella sezione lista

Manuale -> Editor -> Manager di progetto -> Sezione lista del manager di progetto -> Navigazione nella sezione lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per navigare in una lista:

  1. cliccate sulla colonna nella quale deve essere effettuata la ricerca.
  2. Toccate il primo segno per avviare la ricerca. Nel caso non esista nessun inserimento che inizia con questa lettera, la ricerca si interrompe immediatamente.
  3. L´inserimento trovato viene selezionato. Appare un campo di inserimento. Il primo segno del testo di cella è evidenziato.
    Indicazione: Potete indicare in questo campo dei criteri di ricerca, ma non potete moficare il nome dell´elemento.
  4. Indicate ulteriori caratteri per limitare la ricerca. Nel caso in cui non si trovi nessun inserimento adatto, il carattere digitato viene rifiutato e la selezione rimane alla posizione attuale.
  5. Nel caso in cui siano disponibili più inserimenti corrispondenti al criterio di ricerca, potete navigare con i tasti Ctrl+Su oppure Ctrl+ Giù.
  6. Con il tasto BACKSPACE viene cancellato l´ultimo carattere del criterio di ricerca e viene avviata una nuova ricerca sulla base dei segni residui. Con la cancellazione dell´ultimo segno, la ricerca viene conclusa.

Ordinamento

Per ordinare nella visuale a lista, potete selezionare anche più colonne contemporaneamente.

  1. cliccate nell´intestazione della colonna con il primo criterio di ordinamento
  2. tenete premuto il tasto shift e cliccate sul titolo della colonna con il secondo criterio di ordinamento;
  3. In tal modo, potete aggiungere un numero qualsiasi di colonne

    Ad esempio: ordinamento sulla base di blocco dati e offset mostra in primo luogo tutti i blocchi dati e tutti gli indirizzi relativi ordinati in modo corretto.

Suggerimento: cliccando una seconda volta sul titolo della colonna si cambia la successione dell´ordinamento


Filtra inserimenti lista

Manuale -> Editor -> Manager di progetto -> Sezione lista del manager di progetto -> Filtra inserimenti lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Elementi della visualizzazione dettagliata possono essere filtrati e ordinati secondo diversi criteri:

Stile

Procedura

Classificazione in ordine alfabetico

Clic del mouse sul titolo di una colonna: La lista viene ordinata secondo la colonna corrispondente. Un secondo clic con il mouse sul titolo della colonna, inverte l'ordine di ordinamento.

Assegnazione dei criteri di filtro

Direttamente sotto il titolo della colonna si trova un campo per l´impostazione dei criteri di filtro. In questa sede vengono indicati dei criteri.

Poi verrano visualizzati solamente quegli oggetti che corrispondono al criterio di filtro indicato.

Per far sì che vengano visualizzati di nuovo tutti gli oggetti, bisogna eliminare il criterio di filtro.

Cliccando nel settore filtro si apre un menù a tendina che contiene i filtri usati per ultimi di questa colonna.

Filtra secondo i checkbox

Liste con checkbox (per es. templates) possono essere ordinati e filtrati sulla base di checkbox attive e non attive.

Ciò funziona allo stesso modo della classificazione in ordine alfabetico.

Per effettuare il filtraggio trovate in una cella sotto il titolo della colonna una lista dropdown con la selezione di checkbox attive, inattive o tutte.

Caratteri jolly

Per i criteri di filtro sono a disposizione caratteri simbolici:

  • * sostituisce una successione di segni.
    Esempio: *1 filtra cercando gli elementi che finiscono con il segno 1 per esempio Variabile 1.
    Le wildcard possono essere usate solamente come prefisso o suffisso.
  • ? sostituisce un unico segni.
    Esempio: Variabile? filtra tutti gli elementi che iniziano con la successione di caratteri Variabile e che hanno un ulteriore segno, per esempio Variabile1, Variabile 2, Variabile 3 ...

Collegamento logico

Le parole filtro possono essere collegate mediante espressioni logiche, quali, ad esempio, AND e OR. Ciò funziona anche nel caso si utilizzino delle wildcard (*), ma non nel caso di caratteri jolly per singoli segni (?).

Contenuti della cella come criterio di filtro

Le parole o le successioni di segni di un cella della visualizzazione dettagliata possono essere utilizzati come criterio di filtro:

  • Selezionate l´inserimento desiderato.
  • Tenete premuto il tasto ALT e cliccate sulla cella.
  • L´inserimento viene reso disponibile in un campo di editazione.
  • Selezionate una qualsiasi successione di segni facendo uso del mouse.
  • Trascinate la parte selezionata tenendo premuto il tasto sinistro del mouse (Drag&Drop) sulla cella di filtro del capo della colonna.
  • La successione di caratteri scelta viene presa come nuovo testo di filtro.

Effetto del filtro Elementi collegati

Facendo uso dell´opzione Elementi collegati è possibile visualizzare quegli elementi che sono collegati con l´elemento attuale. Se con questa opzione si passa ad un elemento della visualizzazione dettagliate, per esempio ad una variabile, esso viene mostrato indipendentemente dalle impostazioni di filtro attuali. Se non è contenuto nel filtro attuale, viene comunque indicato alla fine della lista e viene selezionato automaticamente.

Modifica proprietà

Dopo aver creato o selezionato un oggetto nella sezione lista o tramite il menù contestuale, i suoi parametri possono essere definiti o modificati nella finestra proprietà.

Sono consentite inoltre selezioni multiple. Nel caso dovessero essere stati selezionati contemporaneamente più oggetti, possono essere modificate nello stesso tempo le loro proprietà.

Inserimenti e modifiche nella finestra delle proprietà valgono per tutti gli oggetti evidenziati. Gli inserimenti validi fino ad allora vengono sovrascritti. Nella finestra proprietà, però, sono a disposizione solo quelle proprietà che valgono per tutti gli inserimenti selezionati.

Filtri estesi per le variabili

Per le variabili è disponibile un dialogo per raffinare i filtri. Passate a questo filtro nel seguente modo:

  • con il simbolo Attiva filtri estesi nella barra dei simboli nella visualizzazione dettagliata oppure
  • con il comando filtri estesi nel menù contestuale

I filtri standard vengono estesi con gli elementi Tipi di dato, Flag di selezione e Filtro stringa (nome variabili, identificazione, matrice di reazione).
  • Esegui filtro: Quando si clicca sul tasto Ins nel campo filtro, il sistema esegue l´operazione di filtro.
  • Cancella filtro: Se volete rimuovere dei filtri, cliccate sul pulsante Cancella tutti i filtri che si trova nella barra degli strumenti, oppure selezionate il comando Cancella tutti i filtri nel menù contestuale.


Sostituisci testo nella colonna selezionata...

Manuale -> Editor -> Manager di progetto -> Sezione lista del manager di progetto -> Sostituisci testo nella colonna selezionata...

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon supporta la funzionalità Cerca/sostituisci per le string (per esempio, nome immagine, nome variabile, identificazione variabile): Potete sostituire dei testi in colonne attive e in valori limite.

attention Attenzione

Si tiene conto solamente dei testi che si trovano in strutture aperte (variabili o tipi di dato). Le strutture chiuse non sono destinazioni per l´editor come destinazioni e, prima di iniziare la ricerca, bisogna estenderla.

Sostituisci testo nella colonna selezionata:

  1. Attivate il dialogo facendo uso del simbolo Sostituisci testo nella colonna selezionata, oppure usando il comando del menu contestuale che ha lo stesso nome.
  2. Definite nel dialogo i parametri per la ricerca e la sostituzione.
  3. Le sostituzioni vengono effettuate nella colonna attiva. Riconoscete qual è la colonna attiva vedendo il simbolo Binocolo accanto al titolo della colonna.

attention Attenzione

Viene usato nella identificazione variabili Cambio immagine (riconoscibile a causa della parola chiave @), al fine di una ricerca e sostituzione corretta deve essere attiva la proprietà di progetto Visualizza parole chiave non tradotte. Per attivarla:

  • navigate nelle proprietà proprietà di progetto e passate al nodo Aspetto grafico
  • attivate la checkbox della proprietà Visualizza parole chiave non tradotte


Sostituisci testo in valori limite

Manuale -> Editor -> Manager di progetto -> Sezione lista del manager di progetto -> Sostituisci testo in valori limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per sostituire testi in valori limite:

  • attivate il dialogo facendo uso del simbolo Sostituisci testi in valori limite, oppure usando il comando del menù contestuale che ha lo stesso nome.
  • Selezionate nella finestra di selezione la proprietà dinamica desiderata.

  • Passate così al dialogo per Sostituisci testo in valori limite.

attention Attenzione

Si tiene conto solamente dei testi che si trovano in strutture aperte (variabili o tipi di dato). Le strutture chiuse non sono destinazioni per l´editor come destinazioni e, prima di iniziare la ricerca, bisogna estenderla.


Mostra e nascondi colonne

Manuale -> Editor -> Manager di progetto -> Sezione lista del manager di progetto -> Mostra e nascondi colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le colonne disponibili nella visualizzazione dettagliata possono essere mostrate e nascoste a piacere e possono essere ordinare in qualsiasi successione vogliate. Per alcune immagini, le seguenti impostazioni possono essere realizzate anche facendo uso di dialoghi di cambio immagine.

Mostra e nascondi colonne

  1. Cliccare con il tasto destro del mouse su un titolo di una colonna
  2. Selezionare nel menù contestuale Selezione colonne

    Si aprirà la finestra di dialogo di configurazione.

  3. Selezionare o deselezionare la colonna desiderata.
    Si possono selezionare più colonne tenendo premuto il tasto Shift oppure Ctrl

    Colonne disponibili realizza una lista di tutte le colonne ancora disponibili. Colonne selezionate mostra tutte le colonne attive.

Finestra di dialogo di configurazione

Nota: Quali colonne sono disponibili dipende dal modulo di cui si configura l´aspetto a Runtime.

Pulsante | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate da quelle disponibili a quelle selezionate. Dopo aver confermato il dialogo cliccando su OK, verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutte -> | Sposta tutte le colonne disponibili nelle colonne selezionate.
<- Cancella | Elimina le colonne evidenziate dalle selezionate e le visualizza nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, esse vengono eliminate dalla visualizzazione dettagliata.
<- Cancella tutte | Cancella tutte le colonne dalla lista delle colonne selezionate.
In su | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
In giù | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Ordina colonne

Le colonne possono essere ordinate a piacimento. Avete due possibilità di far ciò:

  1. nel dialogo Colonne-Proprietà facendo uso del pulsanteVerso l´alto e Verso il basso.
  2. Nella visuale dettagliata del manager di progetto per Drag&Drop usando il mouse:
    • Cliccate con il mouse nel titolo colonna desiderato.
    • Tenete premuto il tasto sinistro del mouse.
    • Trascinate il titolo colonna nella posizione desiderata. Due frecce rosse segnano il posto nel quale viene inserita la colonna.
    • Posizionate la colonna rilasciando il tasto del mouse.


Proprietà colonne

Manuale -> Editor -> Manager di progetto -> Sezione lista del manager di progetto -> Proprietà colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione delle proprietà delle colonne per le liste. Le impostazioni hanno effetto sulla lista corrispondente nell´Editor, oppure (nel caso di configurazione di un cambio immagine) nel Runtime.

Colonne disponibili

Parametri | Descrizione
Colonne disponibili | Lista delle colonne disponibili usando la Selezione colonne. La colonna evidenziata viene configurata tramite le opzioni nella sezione Impostazioni.

Impostazioni

Parametri

Descrizione

Impostazioni

Impostazioni per colonna selezionata.

Descrizione

Titolo della colonna

Il titolo colonna è traducibile online. Per poterlo tradurre, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene via pulsanti di opzione.

Impostazioni possibili:

  • Orientamento a sinistra: nella colonna, il testo si dispone prendendo come riferimento il bordo sinistro.
  • Centrato: nella colonna, il testo si dispone in posizione centrale.
  • Orientato a destra: nella colonna, il testo si dispone prendendo come riferimento il bordo destro.

Disattiva filtro colonne a Runtime

Attivo: Il filtro per questa colonna non può essere modificato durante il Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager Gruppi di Ricette

Colori definiti da utente

Proprietà per l´impostazione dei colori per ogni colonna definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto su Editor e Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per liste configurabili.
  • A Runtime, inoltre, può essere evidenziato il focus in un lista mediante diversi colori di testo e di sfondo. La configurazione di tali colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attivo: Vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando su "Colore", si apre la tavolozza che serve alla selezione di un colore.

Colore di sfondo

Colore per la visualizzazione dello sfondo delle celle. Cliccando su "Colore", si apre la tavolozza che serve alla selezione di un colore.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


File

Manuale -> Editor -> Manager di progetto -> File

Dei file esterni possono essere integrati in un progetto facendo uso del nodo File del Manager di progetto. Per modificare dei file esterni, deve essere disponibile un programma adatto a questo scopo. Ciò significa: potete implementare, per esempio, un video. Per modificarlo, però, dovete disporre del software necessario. zenon amministra solo questi file.

Sono disponibili i seguenti file esterni:

  • Grafica
  • Guida
  • Multimedia
  • Liste
  • Driver
  • Report Viewer
  • Altri

Sottocartella

In corrispondenza del nodo Help, Liste, Multimedia e Altro è possibile impostare delle sottocartelle. A tal scopo, usate il comando Nuova cartella che trovate nel menù contestuale. Con l´aiuto di sottocartelle, potete usare anche su documenti cambi lingua durante il runtime.

attention Attenzione

Le sottocartelle possono essere usate solamente per organizzare il cambio lingua. Tutti gli altri elementi, come grafiche, file multimedia, ecc., debbono essere salvati sempre nel livello superiore della cartella, perché non sono accessibili per zenon se si trovano in sottocartelle.

Menù contestuale

Punto di menù | Azione
Importa file grafico | Apre il Manager file che serve alla selezione di un file.
Importa tabella lingua | Apre il Manager file che serve alla selezione di un file.
Importa file help | Apre il Manager file che serve alla selezione di un file.
Importa file multimediale | Apre il Manager file che serve alla selezione di un file.
Importa file lista | Apre il Manager file che serve alla selezione di un file.
Importa file driver | Apre il Manager file che serve alla selezione di un file.
Importa modello report | Apre il Manager file che serve alla selezione di un file.
Importa altri tipi di file | Apre il Manager file che serve alla selezione di un file.
Help | Attiva la guida online

Noch in diesem Kapitel

Grafica

Guida

Multimedia

Liste

Driver

Report Viewer

Altri


Grafica

Manuale -> Editor -> Manager di progetto -> File -> Grafica

I file grafici per le grafiche di sfondo o gli elementi dinamici. Sono disponibili i seguenti formati:

  • *.bmp
  • *.gif
  • *.jpg
  • *.png
  • *.wmf
  • *.XAML Avvertenza: disponibile solo per elemento WPF! I file XAML dispongono di un´anteprima nella visualizzazione dettagliata!

Menù contestuale

Punto di menù | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Nuova cartella | Aggiunge una nuova sottocartella.
Rinomina cartella | Consente di rinominare delle sottocartelle che sono state create in proprio.
Elimina cartella | Cancella la cartella selezionata, che è stata creata in proprio, dopo la richiesta di conferma.
Profilo editor | Apre il menù a tendina con i Profili editor predefiniti.
Guida | Attiva la guida online

Noch in diesem Kapitel

Grafiche Barra simboli e menù contestuale


Grafiche Barra simboli e menù contestuale

Manuale -> Editor -> Manager di progetto -> File -> Grafica -> Grafiche Barra simboli e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale Grafiche

Punto di menù | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Modifica file esterni | Apre il sistema operativo come programma definito di default per la modifica del file selezionato.
Modifica file esterni con | Apre una lista di programma adatti alla modifica del file selezionato
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Guida

Manuale -> Editor -> Manager di progetto -> File -> Guida

Cartella per file guida per la guida runtime del progetto Questi file vengono salvati in formato *.chm.

Menù contestuale

Punto di menù | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Nuova cartella | Aggiunge una nuova sottocartella.
Rinomina cartella | Consente di rinominare delle sottocartelle che sono state create in proprio.
Elimina cartella | Cancella la cartella selezionata, che è stata creata in proprio, dopo la richiesta di conferma.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online

Noch in diesem Kapitel

Guida Barra simboli e menù contestuale


Guida Barra simboli e menù contestuale

Manuale -> Editor -> Manager di progetto -> File -> Guida -> Guida Barra simboli e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale Guida

Punto di menù | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Modifica file esterni | Apre il sistema operativo come programma definito di default per la modifica del file selezionato.
Modifica file esterni con | Apre una lista di programma adatti alla modifica del file selezionato
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Multimedia

Manuale -> Editor -> Manager di progetto -> File -> Multimedia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

File audio e video possono essere integrati nei seguenti formati:

  • *.avi
  • *.mp3
  • *.mpeg
  • *.wav

Tenete presente il fatto che, per eseguire questi file sul computer runtime, devono essere disponibili i corrispondenti Codecs.

Menù contestuale

Punto di menù | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Nuova cartella | Aggiunge una nuova sottocartella.
Rinomina cartella | Consente di rinominare delle sottocartelle che sono state create in proprio.
Elimina cartella | Cancella la cartella selezionata, che è stata creata in proprio, dopo la richiesta di conferma.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online

Noch in diesem Kapitel

Multimedia Barra simboli e menù contestuale


Multimedia Barra simboli e menù contestuale

Manuale -> Editor -> Manager di progetto -> File -> Multimedia -> Multimedia Barra simboli e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale Multimedia

Punto di menù | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Modifica file esterni | Apre il sistema operativo come programma definito di default per la modifica del file selezionato.
Modifica file esterni con | Apre una lista di programmi adatti alla modifica del file selezionato
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Liste

Manuale -> Editor -> Manager di progetto -> File -> Liste

Testi e formati sono:

  • File di testo per la visualizzazione nel progetto
    Fine file: .txt
  • File di formattazione per la formattazione di stampe
    Fine file: .frm
  • File HTML per la visualizzazione in immagini HTML
    Fine file: .htm oppure .html

Menù contestuale

Punto di menù | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Nuova cartella | Aggiunge una nuova sottocartella.
Rinomina cartella | Consente di rinominare delle sottocartelle che sono state create in proprio.
Elimina cartella | Cancella la cartella selezionata, che è stata creata in proprio, dopo la richiesta di conferma.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online

Noch in diesem Kapitel

Testi e formati Barra simboli e Menù contestuale


Testi e formati Barra simboli e Menù contestuale

Manuale -> Editor -> Manager di progetto -> File -> Liste -> Testi e formati Barra simboli e Menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale Testi e formati

Punto di menù | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Modifica file esterni | Apre il sistema operativo come programma definito di default per la modifica del file selezionato.
Modifica file esterni con | Apre il file selezionato nell´editor standard del formato file, oppure offre una selezione di editor adatti.
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Driver

Manuale -> Editor -> Manager di progetto -> File -> Driver

I file driver possono essere integrati nei seguenti formati:

  • *.cfg
  • *.iso
  • *.tcp
  • *.bur
  • *.fms
  • *.bec
  • *.ovd
  • *.nmp
  • *.ini
  • *.h11
  • *.lst
  • *.dde
  • *.lon
  • *.opc
  • *.ecs

Normalmente, qui ci si può risparmiare l´inserimento. I file vengono automaticamente generati al momento della installazione del driver e salvati in questa sede.

Menù contestuale

Punto di menù | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Nuova cartella | Aggiunge una nuova sottocartella.
Rinomina cartella | Consente di rinominare delle sottocartelle che sono state create in proprio.
Elimina cartella | Cancella la cartella selezionata, che è stata creata in proprio, dopo la richiesta di conferma.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online

Noch in diesem Kapitel

Driver Barra simboli e menù contestuale


Driver Barra simboli e menù contestuale

Manuale -> Editor -> Manager di progetto -> File -> Driver -> Driver Barra simboli e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale driver

Punto di menù | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Modifica file esterni | Apre il sistema operativo come programma definito di default per la modifica del file selezionato.
Modifica file esterni con | Apre una lista di programma adatti alla modifica del file selezionato
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Report Viewer

Manuale -> Editor -> Manager di progetto -> File -> Report Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I modelli di report sono dei file in formato RDL 2.0, che possono essere aperti, visualizzati e modificati in zenon Report Viewer.

Menù contestuale

Punto di menù | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un Report File di definizione.
Nuova cartella | Aggiunge una nuova sottocartella.
Rinomina cartella | Consente di rinominare delle sottocartelle che sono state create in proprio.
Elimina cartella | Cancella la cartella selezionata, che è stata creata in proprio, dopo la richiesta di conferma.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Apre la guida online.

Nota: disponibile solamente se si possiede una licenza per il Generatore di rapporti e il Report Viewer.
Non disponibile se l´opzione Progetto WindowsCE (proprietà di progetto Generale) è attiva.

Noch in diesem Kapitel

Report Viewer; barra dei simboli e menù contestuale


Report Viewer; barra dei simboli e menù contestuale

Manuale -> Editor -> Manager di progetto -> File -> Report Viewer -> Report Viewer; barra dei simboli e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale; Modelli report

Punto di menù | Azione
Report; Nuovo file di definizione | Apre il Dialogo che serve a creare un nuovo file RDL sulla base di dataset già definiti.
Report; apri file di definizione | Apre il programma collegato ai file RDL al fine di modificare un file di definizione esistente. Di default, zenon cerca anzitutto il MS Report Builder, poi il MS Report Designer.
Crea funzione standard | Disponibile solamente nella barra degli strumenti. Crea un cambio ad un´immagine da selezionare del tipo Report Viewer ed inserisce il file RDL selezionato nell´opzione Report-File di definizione.
Torna all'elemento di partenza | Nell´ambito degli elementi collegati, ritorna a quello partendo dal quale si era passati al modello report. Questo comando è presente nel menù contestuale solamente se ci sono degli elementi collegati.
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Importa file di definizione Report esistente | Apre il dialogo che serve ad importare un file di definizione Report già esistente. Questi file devono essere del tipo RDL 2.0.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Guida | Apre la guida online.


Altri

Manuale -> Editor -> Manager di progetto -> File -> Altri

Cartella per salvare qualsiasi tipo di file.

Menù contestuale

Punto di menù | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Nuova cartella | Aggiunge una nuova sottocartella.
Rinomina cartella | Consente di rinominare delle sottocartelle che sono state create in proprio.
Elimina cartella | Cancella la cartella selezionata, che è stata creata in proprio, dopo la richiesta di conferma.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online

Noch in diesem Kapitel

Barra simboli Altro e menù contestuale


Barra simboli Altro e menù contestuale

Manuale -> Editor -> Manager di progetto -> File -> Altri -> Barra simboli Altro e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale Altro

Punto di menù | Azione
Inserisci file | Apre il Manager file che serve alla selezione di un file.
Modifica file esterni | Apre il sistema operativo come programma definito di default per la modifica del file selezionato.
Modifica file esterni con | Apre una lista di programmi adatti alla modifica del file selezionato
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Libreria simboli globale

Manuale -> Editor -> Manager di progetto -> Libreria simboli globale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon offre delle grafiche predefinite. Esse sono salvate nel modulo Libreria simboli generale. Mentre i simboli nella cartella Immagini sono a disposizione solamente per l´immagine attuale, quelli della Libreria simboli generale possono essere utilizzati in ogni progetto.

Possono essere anche impostati dei simboli proprio, o riassunti o collegati. I dettagli relativi li potete trovare nel capitolo Immagini/Simboli.


Dialoghi di selezione

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon ci sono a disposizione dialoghi appositi e liste filtrate per la selezione di determinati elementi. Essi sono gli stessi in tutto il sistema e tengono presenti i progetti attuali e i loro sottoprogetti. Sono a disposizione per:

  • Utente
  • Immagini
  • File
  • Tipi di dato
  • Funzioni
  • Modelli
  • Driver
  • Variabili

Potete leggere le informazioni dettagliate concernenti le visualizzazioni nel capitolo Visualizzazione dettagli del Manager di progetto; trovate delle informazioni concernenti il filtraggio nel sottocapitolo Filtra inserimenti lista.

Trovate delle informazioni dettagliate concernenti i dialoghi di selezione per funzioni e variabili, nonché la sostituzione di funzioni e variabili già selezionate nei sottocapitoli:

  • Funzioni
  • Variabili

Noch in diesem Kapitel

Funzioni Dialogo di selezione

Dialogo selezione variabili

Variabili d'archivio Dialogo di selezione

Modelli

File

Immagini

Immagini filtro

Utente

Driver

Tipi di dato


Funzioni Dialogo di selezione

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Funzioni Dialogo di selezione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al fine di selezionare delle funzioni, viene aperto un dialogo filtrato:

Elemento

Descrizione

Albero di progetto

Definizione del progetto dal quale deve essere selezionata la funzione.

Finestra di selezione

Selezione della funzione.

Nessuna selezione

A seconda dell´elemento:

  • il dialogo viene chiuso;
  • le funzioni già collegate vengono cancellate.

Suggerimento: la grandezza di questo dialogo è modificabile. La grandezza e la posizione del dialogo viene salvata.

Modifica funzioni collegate

  1. manualmente
    • aprite le funzioni nella Visualizzazione dettagli del manager di porgetto.
    • trascinate la funzione desiderata sull´elemento tenendo il tasto sinistro del mouse premuto
    • La funzione esistente viene sostituita dalla nuova.
  2. automatico
    • selezionate nel menù contestuale dell´elemento Sostituisci collegameneti. Dettagli concernenti la procedura da adottare, li trovate nel capitolo Sostituzione di variabili e funzioni negli elementi dinamici.


Dialogo selezione variabili

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Dialogo selezione variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al fine di selezionare delle variabili, viene aperto un dialogo filtrato:
queste variabili possono essere utilizzate in parte anche per diversi progetti. Nel caso in cui decidiate di usarle per più progetti, assicuratevi che i progetti in questione siano disponibili nel Runtime.

Collegamento di una variabile

Gli elementi che possono essere collegati solamente con una singola variabile, aprono il seguente dialogo:

Elemento

Descrizione

Albero di progetto

Selezione del progetto dal quale deve essere selezionata la variabile.

Finestra di selezione

Selezione della variabile che deve essere collegata. Il collegamento può essere realizzato in due modi:

  • cliccando due volte sulla variabile desiderata. In questo caso, il dialogo viene chiuso automaticamente.
  • Con la selezione della variabile desiderata e con la conferma realizzata cliccando su OK.

Nessuna selezione

A seconda dell´elemento:

  • il dialogo viene chiuso;
  • Le variabili già collegate vengono disconnesse (per es. variabili charge collegate nel server archivi).

Nota: la grandezza di questa finestra di dialogo è modificabile. La posizione e la dimensione della finestra di dialogo vengono salvate nell´Editor, nel Runtime e in zenon Web Client in modo indipendente dal progetto.

Trattamento errori

Se la variabile desiderata non viene visualizzata, ciò può dipendere da diverse cause:

  • Avete selezionato un filtro, e la variabile desiderata non corrisponde a questo filtro: Controllate se nella riga di filtro è inserito un filtro. L´informazione sugli elementi filtrati che si trova sotto la finestra di selezione, è un ulteriore supporto che vi aiuta a verificare i filtri impostati.
  • Il dialogo viene aperto filtrato dall´Editor e la variabile non corrisponde a questo filtro. Quest´apertura filtrata si verifica nei casi in cui sono consentiti solo determinati tipi di dato. Per es.: con un elemento dinamico Valore numerico non è consentito collegare nessuna variabile stringa.
  • Avete selezionato il progetto sbagliato nella struttura ad albero.

attention Attenzione

La finestra di dialogo consente generalmente la selezione di più variabili usando le combinazioni tasti abituali in Windows. Nei dialoghi di selezione per solamente una variabile, però, se non può collegare solo una. In caso di selezione multipla, verrà attribuita all´elemento solo la prima variabile selezionata.

Collegamento di più variabili.

Gli elementi che possono essere collegati con più variabili, aprono il seguente dialogo:

Elemento

Descrizione

Albero di progetto

Definizione del progetto dal quale deve essere selezionata la variabile.

Finestra di selezione

Selezione variabili in base a:

  • cliccando due volte, la variabile selezionata viene aggiunta alla lista variabili.
  • Con Drag&Drop, la variabile selezionata può essere trascinata nella lista variabili.
  • Selezionare le variabili desiderate. Con l´aiuto del tasto Ctrl- oppure di quello Shift è possibile selezionare allo stesso tempo più variabili. Cliccando su Aggiungi,le variabili selezionate vengono riprese nella lista variabili.

Lista variabili

Ordina tutte le variabili selezionate in una lista.

Aggiungi

Aggiunge la variabile attualmente selezionata nella finestra di selezione alla lista variabili.

Elimina

Rimuove la variabile selezionata nella lista variabili dalla lista.

Nessuna selezione

A seconda dell´elemento:

  • il dialogo viene chiuso;
  • determinati collegamenti, come variabili charge nell´archiviazione, possono essere sciolte.

Nota: la grandezza di questa finestra di dialogo è modificabile. La posizione e la dimensione della finestra di dialogo vengono salvate nell´Editor, nel Runtime e in zenon Web Client in modo indipendente dal progetto.

Trattamento errori

Se la variabile desiderata non viene visualizzata, ciò può dipendere da diverse cause:

  • Avete selezionato un filtro, e la variabile desiderata non corrisponde a questo filtro: Controllate se nella riga di filtro è inserito un filtro. L´informazione sugli elementi filtrati che si trova sotto la finestra di selezione, è un ulteriore supporto che vi aiuta a verificare i filtri impostati.
  • Il dialogo viene aperto filtrato dall´Editor e la variabile non corrisponde a questo filtro. Quest´apertura filtrata si verifica nei casi in cui sono consentiti solo determinati tipi di dato. Per es.: con un elemento dinamico Valore numerico non è consentito collegare nessuna variabile stringa.
  • Avete selezionato il progetto sbagliato nella struttura ad albero.

Modifica variabile collegata

Selezionate nel menù contestuale dell´elemento Sostituisci collegamenti. Dettagli concernenti la procedura da adottare, li trovate nel capitolo Sostituzione di variabili e funzioni negli elementi dinamici.


Variabili d'archivio Dialogo di selezione

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Variabili d'archivio Dialogo di selezione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il sistema mette a disposizione una finestra di dialogo che serve a selezionare le variabili di un archivio. Questo dialogo offre tutti gli archivi già impostati e configurati fra cui l´utente potrà effettuare la sua scelta.

Nota: queste variabili possono essere utilizzate in parte anche per diversi progetti. Nel caso in cui decidiate di usarle per più progetti, assicuratevi che i progetti in questione siano disponibili nel Runtime.

Collegamento di variabili

Per selezionare delle variabili:

  1. selezionate l´archivio desiderato
  2. aprite la lista archivi ad albero
  3. aprite la lista variabili
  4. selezionate le variabili desiderate

Parametri

Descrizione

Albero di progetto

Selezione del progetto dal quale deve essere selezionata la variabile.

Finestra di selezione

Selezione delle variabili che devono essere collegate. Il collegamento può essere realizzato in due modi:

  • cliccando due volte sulla variabile desiderata.
  • selezionando la variabile desiderata e successivamente cliccando su Inserisci o Sostituisci.

Inserisci

aggiunge le variabili selezionate nella Finestra di selezione alla Lista delle variabili.

Sostituisci

aggiunge la variabile selezionata nella Finestra di selezione alla Lista delle variabili sostituendo la variabile selezionata in questa lista. Se sono state selezionare più variabili nella Finestra di selezione, verrà aggiunta quella che è stata scelta per ultima.

Elimina

Cancella la variabile selezionata dalla Lista delle variabili.

Lista delle variabili

Lista delle variabili selezionate per effettuare il collegamento.

Ok

Accetta le impostazioni e chiude il dialogo.

Elimina

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

Nota: la grandezza di questa finestra di dialogo è modificabile. La posizione e la dimensione della finestra di dialogo vengono salvate nell´Editor, nel Runtime e in zenon Web Client in modo indipendente dal progetto.


Modelli

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo Selezione modelli si può procedere alla selezione di modelli per l´esecuzione di funzioni; essi provengono da:

  • progetto attuale
  • sotto-progetti
  • tutti i progetti del workspace con l´opzione Mantieni progetto in memoria attiva

Parametro | Descrizione
Finestra Albero di progetto | Mostra tutti i progetti del workspace Si può procedere alla scelta di modelli selezionandoli tra quelli del progetto attuale, o fra quelli di tutti i progetti in cui l´opzione Mantieni progetto in memoria sia attiva
Finestra Modelli | Selezione di un modello. Se si selezionano più modelli, per l´esecuzione della funzione viene utilizzato il modello che si trova in cima alla lista.
Nessuna selezione | Elimina la selezione e chiude il dialogo.
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


File

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> File

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel dialogo di selezione file possono essere selezionati in una visualizzazione filtrata i file del progetto attuale o di progetti subordinati:

  • Se non ci sono nel nodo File/Grafici del manager di progetto dei file di cui avete bisogno, li potete aggiungere usando il dialogo di selezione.
  • Per selezionare un file direttamente da una qualsiasi cartella del computer, si deve attivare la proprietà Selezione file diretta.


Immagini

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Immagini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel dialogo di selezione "Immagini" si può procedere alla selezione di immagini per l´esecuzione di funzioni; tali immagini provengono da:

  • progetto attuale
  • sotto-progetti
  • tutti i progetti del workspace con l´opzione Mantieni progetto in memoria attiva

Parametri | Descrizione
Finestra Albero di progetto | Mostra tutti i progetti del workspace Si può procedere alla scelta di immagini selezionandole tra quelle del progetto attuale, o fra quelle di tutti i progetti in cui l´opzione Mantieni progetto in memoria sia attiva
Finestra Immagini | Scelta dell´immagine Se si selezionano più immagini, per l´esecuzione della funzione viene utilizzata l´immagine che si trova in cima alla lista.
Nessuna selezione | Elimina la selezione e chiude il dialogo.
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Immagini filtro

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Immagini filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si passa ad un´immagine con filtro per altre immagini (filtro AML, filtro CEL, filtro tempo), si apre un dialogo che serve a quanto segue:

  • immagine che apre
  • Immagine da attualizzare

Selezione immagine Immagine che apre

Parametri | Descrizione
Finestra Albero di progetto | Mostra il progetto attuale. Si possono selezionare delle immagini fra quelle contenute in questo progetto.
Finestra Immagini | Selezione dell´immagine. Se selezionate più immagini, il cambio porterà all´immagine scelta per prima.
Nessuna selezione | Non ha nessuna funzione per questa selezione d´immagine.
Ok | Riprende le impostazioni e chiude il dialogo.
Elimina | Annulla tutte le modifiche e chiude il dialogo.
Guida | Attiva la guida online

Selezione Immagine Immagine da attualizzare

Parametri

Descrizione

Finestra Albero di progetto

Mostra il progetto attuale.

Si possono selezionare delle immagini fra quelle contenute in questo progetto.

Finestra Immagini

Selezione delle immagini che devono essere aggiornate.

Per il passaggio ad immagini del tipo Filtro AML, Filtro CEL, Filtro tempo e modello di impianto, si possono selezionare anche sub-immagini di Faceplates. Allo scopo di distinguerle in modo chiaro da altre immagini, il sistema mette davanti al nome della sub-immagine quello dell´immagine Faceplate.

È possibile una selezione multipla. Potete aggiungere altre immagini cliccando due volte o facendo uso del pulsante Aggiungi.

Finestra Selezione

Ordina tutte le immagini selezionate.

Aggiungi

Aggiunge gli elementi selezionati alla finestra di selezione.

Elimina

Cancella gli elementi selezionati dalla finestra di selezione.

Nessuna selezione

Rimuove tutte le immagini attualmente collegate.

Ok

Riprende le impostazioni e chiude il dialogo.

Elimina

Annulla tutte le modifiche e chiude il dialogo.

Guida

Attiva la guida online


Utente

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezione di utenti del progetto attivo, di tutti i sottoprogetti e del progetto globale.

Parametri | Descrizione
Lista Workspace | Visualizzazione e selezione dei progetti i cui utenti possono essere selezionati.
Lista Utenti | Visualizzazione degli utenti del progetto selezionato. Si può filtrare questa lista.
Nessuna selezione | Un utente già selezionato viene deselezionato.
Ok | Riprende e accetta le modifiche e chiude il dialogo.
Elimina | Rifiuta le modifiche e chiude il dialogo.
Guida | Apre la guida online


Driver

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel dialogo di selezione driver possono essere selezionati in una visualizzazione filtrata i driver del progetto attuale o di progetti subordinati.


Tipi di dato

Manuale -> Editor -> Manager di progetto -> Dialoghi di selezione -> Tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel dialogo di selezione tipi di dato possono essere selezionati in una visualizzazione filtrata i tipi di dato del progetto attuale o di progetti subordinati.


Finestra principale

Manuale -> Editor -> Finestra principale

Nella finestra principale vengono visualizzati e modificati documenti come immagini, report e così via. La finestra principale è l´unica finestra che non può essere nascosta.

Aprire parallelamente più documenti.

Potete visualizzare nella finestra principale più immagini nello stesso tempo. Le immagini sono raggiungibili mediante le schede che si trovano sul bordo superiore della finestra principale e possono essere ordinate nel punto di menù Finestra. Quando si cambia scheda, il sistema adatta gli elementi nella finestra delle proprietà alla scheda selezionata.

Per chiudere delle immagini aperte, usate la combinazione di tasti Ctrl + F4, il menu contestuale oppure il comando Chiudi > Finestra.

Menù contestuale Documenti

Cliccando con il tasto destro del mouse sul tab di un documento si apre un menu contestuale:

Parametri | Descrizione
Salva | Salva il documento.
Chiudi | Chiude questo documento.
Chiudi tutte | Chiude tutti gli altri documenti.

Posiziona elementi nell´immagine

Attivate gli elementi con un clic sul simbolo nella Barra dei simboli Elementi e trascinateli con il mouse nella finestra principale.

Per muovere l´elemento, avete le seguenti possibilità:

  • Muovere velocemente: cliccare sull´elemento e posizionarlo con il mouse.
  • Posizionare esattamente: cliccare sull´elemento e posizionarlo con i tasti di direzione (con le frecce).
  • Gira: Gira a piacere l´elemento con il "punto di presa" su Punto di riferimento.


Finestra proprietà

Manuale -> Editor -> Finestra proprietà

Nella finestra delle proprietà vengono visualizzati i parametri e le proprietà degli oggetti che sono stati selezionati nella sezione lista del manager di progetto, oppure degli elementi che sono stati selezionati nell'immagine. Nella finestra delle proprietà, inserite i valori e i parametri per oggetti e elemento selezionati oppure modificateli. Quando si cambia scheda nella finestra principale, il sistema adatta alla scheda attiva le proprietà visualizzate nella finestra delle proprietà.

Quelle concernenti il modo di visualizzazione, l'ordinamento ed i favoriti, vengono salvati per il nuovo avvio dell'editor. Modificando delle proprietà di elementi nella finestra delle proprietà, viene selezionata automaticamente l'ultima proprietà modificata nel momento in cui si seleziona un nuovo elemento.

Selezione multipla

Se selezionate parallelamente più oggetti (selezione multipla), tutte le proprietà che sono differenti negli elementi selezionati, vengono rappresentate nella finestra delle proprietà in color arancione, oppure evidenziate in colore rosso. Le proprietà dell´ultimo elemento selezionato vengono visualizzate: Nella visuale Visuale raggruppata e in Tutte le proprietà si può trasmettere la proprietà desiderata a tutti gli oggetti selezionati pigiando il testo Invio. (Ciò non è possibile nella Opzione dialogo.)

Example Esempio

Sono selezionati diversi oggetti caratterizzati da differenti colori di riempimento. L´ultimo elemento selezionato è caratterizzato dal colore di riempimento verde. La proprietà Colore di sfondo verrà visualizzata in verde e il valore #32CD32 è evidenziato in rosso . Cliccando sul campo di inserimento e pigiando il tasto Invio si trasmette la proprietà verde a tutti gli elementi selezionati.

Gestione funzionamento da tastiera

Si può navigare nelle proprietà anche con la tastiera:

Tasto | Funzione
Tab oppure Su | Passa alla proprietà successiva.
Shift+Tab oppure Giù | Passa alla proprietà precedente.
Enter oppure A destra | Apre un nodo.
A sinistra | Salta un nodo.
Pos 1 | Torna al primo nodo
Fine | Torna all´ultimo nodo

Barra degli strumenti

Le proprietà di un oggetto vengono visualizzate e modificate nella finestra delle proprietà. Per organizzare la finestra delle proprietà è a Vostra disposizione una barra degli strumenti:

Simbolo

(da sinistra a destra)

Funzione

Visualizzazione a gruppi

(default)

Tutte le proprietà dell´oggetto selezionato vengono raggruppate secondo un criterio logico e i gruppi vengono ordinati o in ordine alfabetico oppure in modo logico. Attraverso il menù contestuale, possono essere aggiunti o eliminati inserimenti dai Favoriti.

Standard per il manuale: Le indicazioni del manuale sulle proprietà partono sempre dalla visualizzazione a gruppi. I contenuti dei gruppi corrispondono quelli della Visuale a dialogo.

Tutte le proprietà

Tutte le proprietà dell'oggetto selezionato vengono rappresentate in una lista. Attraverso il menù contestuale, possono essere aggiunti o eliminati inserimenti dai Favoriti.

vista a dialogo

Tutte le proprietà vengono riassunte in modo logico come nei Gruppi di rappresentazione e i gruppi sono ordinati secondo la frequenza e la priorità del loro uso. In questa visualizzazione non possono essere definiti dei favoriti.

Mostra/nascondi i favoriti

Mostra o nasconde il nodo Favoriti.nella parte superiore delle visuali Gruppi di rappresentazione oppure Tutte le proprietà. In esso sono raccolte quelle proprietà che vengono utilizzate più frequentemente.

Di default vengono proposti dei favoriti.

Aggiungi o cancella dai favoriti degli inserimenti: Ciò accade mediante il menù contestuale 'Aggiungi ai favoriti', o via Drag&Drop delle proprietà nella lista dei favoriti.

La successione delle proprietà nei favoriti viene definita dal criterio di classificazione prescelto (ordine crescente, decrescente, logico).

Nella Visuale di dialogo non si possono craere dei favoriti.

Mostra/nascondi tutte le proprietà

Mostra o nasconde tutti i nodi nelle visuali Raggruppato e Tutte le proprietà

Ordinamento logico

(default)

Mostra nelle visuali Raggruppatoe Tutte le proprietà le proprietà ordinate in modo logico secondo la frequenza d´uso invece che in ordine alfabetico.

Ordinamento crescente e decrescente

Mostra nelle visuali Raggruppatoe Tutte le proprietà le proprietà ordinate in ordine alfabetico crescente o decrescente.

Apri/chiudi tutti i nodi

Apre o chiude nelle visuali Raggruppato e Tutte le proprietàtutti i nodi.

Eccezione: il nodo delle proprietà attualmente selezionate rimane aperto cliccando su Chiudi tutti i nodi.

Mostra guida delle proprietà

Mostra la guida integrata che concerne le proprietà (guida delle proprietà).

Rendi disponibili proprietà

Simboli: rende disponibile la Proprietà selezionata.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.

Noch in diesem Kapitel

Visualizzazione a gruppi

vista a dialogo

Tutte le proprietà

Preferiti

Ordina proprietà

Proprietà collegate via link


Visualizzazione a gruppi

Manuale -> Editor -> Finestra proprietà -> Visualizzazione a gruppi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La Visualizzazione a gruppi è selezionata di Default. Essa raccoglie in gruppi secondo un criterio logico delle proprietà che hanno tratti comuni.

Tutte le proprietà possono essere visualizzate e escluse facendo uso della barra dei simboli.

info Informazioni su

Le indicazioni del manuale sulle proprietà partono sempre dalla visualizzazione a gruppi. I contenuti dei gruppi corrispondono quelli della Visuale a dialogo.


vista a dialogo

Manuale -> Editor -> Finestra proprietà -> vista a dialogo

La Visualizzazione dialogo riassume le proprietà in gruppi e le presenta sotto forma di dialogo.

Nella Visualizzazione dialogo non possono essere impostati dei favoriti e non possono essere nascoste delle proprietà.


Tutte le proprietà

Manuale -> Editor -> Finestra proprietà -> Tutte le proprietà

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tutte le proprietà vengono presentate dal sistema in una lista organizzata in ordine cronologico.

Tutte le proprietà possono essere visualizzate e escluse facendo uso della barra dei simboli.


Preferiti

Manuale -> Editor -> Finestra proprietà -> Preferiti

Le visuali Raggruppato e Tutte le proprietà dispongono di un nodo Favoriti che si trova nella parte superiore della finestra. Qui vengono visualizzate quelle proprietà che sono utilizzate più frequentemente.

Di default vengono proposti dei favoriti. Per aggiungere dei proprio inserimenti, procedete come segue:

  • cliccate con il tasto destro del mouse sulla proprietà desiderata;
  • selezionate nel menù contestuale < Aggiungi proprietà > ai Favoriti
  • La successione delle proprietà nei favoriti viene definita dal criterio di classificazione prescelto (ordine crescente, decrescente, logico).

Per eliminare degli inserimenti dai favoriti, procedete come segue:

  • cliccate con il tasto destro del mouse sulla proprietà desiderata;
  • selezionate nel menù contestuale <Elimina proprietà > dai Favoriti

I favoriti possono essere mostrati o nascosti facendo uso al pulsante corrispondente che si trova nella barra dei simboli.
Attenzione: Nella Visuale di dialogo non si possono creare dei favoriti.


Ordina proprietà

Manuale -> Editor -> Finestra proprietà -> Ordina proprietà

Il criterio di classificazione viene definito nella barra simboli usando i pulsanti 'ordina in modo logico', 'ordina in modo crescente' e 'ordina in modo decrescente'. Di default le proprietà sono visualizzate nella classificazione logica. C'è la possibilità di ordinarle in modo alfabetico.

Ordinamento logico

Le proprietà vengono ordinate in modo logico secondo il loro uso probabile. Ciò è possibile però solo nella visuale'Raggruppato' e 'Tutte le proprietà'.

Ordina in senso crescente / decrescente

Le proprietà vengono ordinate secondo la successione alfabetica crescente o decrescente. Ciò è possibile per la la visuale Raggruppato, Tutte le proprietà e per i Favoriti.

Chiudi e apri nodo

Nelle visualizzazioni Raggruppato e Tutte le proprietà è possibile chiudere tutti i nodi e riaprirli. Il nodo delle proprietà attuali non viene chiuso se viene selezionato Chiudi tutti i nodi.


Proprietà collegate via link

Manuale -> Editor -> Finestra proprietà -> Proprietà collegate via link

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ad alcune proprietà come variabili o parametri nel Batch Control, si possono collegare valori tramite link. In questo caso il valore cambia sempre se viene modificato quello della proprietà sorgente.

Se un elemento riprende valori da un´altra proprietà, ciò viene segnalato dal sistema mediante una freccia accanto al valore della proprietà.

Interrompi collegamento via link

Per interrompere il collegamento tramite link del valore, procedere come segue:

  1. Cliccate con il tasto destro del mouse sulla proprietà
  2. selezionate nel menù contestuale l´inserimento che elimina il riferimento alla proprietà sorgente (espressione dipendente dalla proprietà)
    Nota: potete anche eliminare il collegamento di tutti i valori ripresi dalla proprietà sorgente.

Il collegamento tramite link viene interrotto anche se sovrascrivete il valore con un altro.

In questo caso, le modifiche del valore sorgente non avranno più effetto su quello scollegato. Il simbolo di link (freccia) non sarà più visualizzato.

Ripristinare collegamento via link

Per collegare di nuovo via link un valore scollegato a quello sorgente, procedete come segue:

  1. Cliccate con il tasto destro del mouse sulla proprietà
  2. selezionate nel menù contestuale l´inserimento che ripristina il riferimento al valore sorgente (l´espressione dipende dalla proprietà).
    Nota: potete anche ripristinare contemporaneamente il collegamento di tutti i valori ripresi dalla proprietà sorgente.

In questo caso, questa proprietà riprende sempre il valore attuale della proprietà sorgente. Il simbolo di link (freccia) verrà visualizzato di nuovo.


Guida delle proprietà

Manuale -> Editor -> Guida delle proprietà

Può essere visualizzata una finestra propria con informazioni su singole proprietà.

Per aprire la guida delle proprietà:

  • selezionate nella barra simboli delle proprietà il simbolo Mostra giuda delle proprietà (sul margine destro)

  • oppure selezionate nel menù Opzioni il comando Guida delle proprietà
  • oppure cliccate con il tasto destro del mouse su una qualsiasi barra titoli e selezionate poi nel menù contestuale il comando Guida delle proprietà

Per chiudere la giuda delle proprietà:

  • cliccate sulla X che si trova sul bordo destro della barra titoli.

Al contrario di quanto accade nella guida in linea che si apre con il tasto F1, in questa forma di help viene descritta solamente la proprietà selezionata. Vi vengono fornite delle brevi indicazioni concernenti la proprietà attualmente selezionata e Vi viene fornito un link per la più esaustiva guida in linea.

La guida delle proprietà può essere, come tutte le altre finestre, posizionata liberamente sullo schermo.

Proprietà collegate via link

Le informazioni sulle proprietà collegate via link le trovate nel capitolo Proprietà collegate via link.


Finestra di emissione

Manuale -> Editor -> Finestra di emissione

La finestra di emissione mostra le informazioni di stato e le segnalazioni di errore al momento dell´avvio dell´editor, nonché al momento della compilazione e trasmissione di un progetto. Le informazioni sono ordinate in diversi tipi:

  • Errore
  • Avvisi
  • Messaggi

Queste informazioni possono essere visualizzate e nascoste a piacere. Le impostazioni che stabiliscono quali informazioni devono essere visualizzate, sono conservate al momento della chiusura dell´editor e valgono anche per la visualizzazione delle nuove informazioni. Tuttavia non va perduta nessuna informazione, visto che le impostazioni hanno effetto solamente sulle modalità di visualizzazione e non sulla raccolta delle informazioni.

Esempio: Nel caso in cui le segnalazioni sono nascoste, non ne viene visualizzata nessuna finché non ne viene ripristinata la visualizzazione. A partire da questo momento, tutte le segnalazioni tornano ad essere visibili. Vengono naturalmente visualizzate anche quelle segnalazioni che sono giunte nel frattempo.

Le informazioni blu non possono essere nascoste, visto che si tratta di segnalazioni che concernono il progetto e che debbono rimanere sempre visibili.

Barra simboli e menù contestuale

Simboli e menù contestuale offrono le stesse opzioni. I simboli significano da sinistra a destra:

simbolo/Inserimento menù contestuale | Descrizione
Visualizza errore | Attivo: Errori vengono visualizzati in color rosso. Inattiva: Errori vengono nascosti. Lo stato selezionato può essere combinato con Avvisi eSegnalazioni e viene salvato al momento della chiusura dell´editor.
Visualizza avvisi | Attivo: Avvisi vengono visualizzati in color arancione. Inattiva: Avvisi vengono nascosti. Lo stato selezionato può essere combinato con Errori eSegnalazioni e viene salvato al momento della chiusura dell´editor.
Visualizza segnalazioni | Attivo: Segnalazioni vengono visualizzati in color nero. Inattiva: Segnalazioni vengono nascoste Lo stato selezionato può essere combinato con Errori eAvvisi e viene salvato al momento della chiusura dell´editor.
Salva | Salva l´intero contenuto della finestra di emissione in un file LOG. Il posto in cui viene salvato il file e il nome dello stesso possono essere scelti liberamente.
Copia | Copia i testi evidenziati della finestra di emissione negli appunti.
Elimina | Cancella il completo contenuto della finestra emissione. Dopo l´esecuzione di questa azione non c´è più la possibilità di recuperare il contenuto cancellato della finestra di emissione.
Trova | Apre il dialogo che serve alla ricerca del testo all´interno della finestra di emissione.
Guida | Apre la pagina della guida in linea.

Example Esempio

Cancellate il contenuto della finestra di emissione facendo uso del simbolo corrispondente oppure del menù contestuale e create poi i file runtime. Otterrete nella finestra di emissione le informazioni corrispondenti. Queste informazioni sono inserite in segnalazioni blu.

  1. Cliccate sul simbolo Segnalazioni: le segnalazioni standard (testo di color nero) vengono nascoste.
  2. Create ancora una volta i file runtime; le segnalazioni continuano a rimanere invisibili.
  3. Nascondete anche la visualizzazione di Errori (rossi) e Avvisi (arancioni).
  4. Le segnalazioni blu, quelle relative al progetto, continuano ad essere visibili.
  5. Create di nuovo file runtime, e riattivate la visualizzazione delle Segnalazioni: Tutte le segnalazioni generate dal momento della cancellazione della finestra di emissione sono di nuovo visibili.


Riga di stato

Manuale -> Editor -> Riga di stato

La barra di stato dell´editor contiene delle informazioni che dipendono dall´oggetto selezionato; queste informazioni sono su:

  • disponibilità dell´editor.
  • Funzione del simbolo sulla quale si trova il puntatore del mouse.
  • Posizione del puntatore del mouse in immagini.
  • Tipo e nome dell´elemento attivo in un´immagine.
  • Punto di partenza (asse x/y), nonché larghezza e altezza dell´elemento attivo in un´immagine.
    Il punto 0/0 dell´asse si trova nell´angolo sinistro in alto.

Nel caso dei report, la barra di stato è senza funzione.


Chiudi l'Editor

Manuale -> Editor -> Chiudi l'Editor

Quando chiudete l´editor, il sistema provvede a controllare (come in caso di chiusura o cambio del posto di lavoro) tutti i progetti per verificare l´esistenza di modifiche. I progetti i cui file runtime non sono stati ancora generati, vengono presentati in un dialogo sotto forma di lista; il sistema propone di generarli.

Parametri | Descrizione
Sì | Vengono generati i file runtime di tutti i progetti nella lista. Poi l´editor viene chiuso.
No | I file runtime non vengono generati. L´editor viene chiuso.
Elimina | I file runtime non vengono generati. L´editor non viene chiuso.


Progettazione efficiente con zenon

Manuale -> Progettazione efficiente con zenon

E´ la prima volta che lavorate con zenon?
Qui troverete informazioni sul modo di usare in modo efficiente zenon. Anche se avete già fatto esperienza con altri sistemi di gestione del processo, vi consigliamo di dare un´occhiata a questo capitolo. Imparerete quali sono i concetti fondamentali alla base di zenon, come funziona il programma; perché e come zenon può facilitare e sveltire il vostro lavoro.

Una visione generale di zenon

zenon consta di editor e runtime.
I progetti vengono creati nell´editor. La gestione e l´osservazione avvengono invece nel runtime. A partire dalla versione 6.20, l´editor e il runtime delle diverse versioni sono compatibili fra di loro. Un progetto creato usando la versione 6.50, ad esempio, funziona anche con il runtime della versione 6.22, e viceversa.

zenon si differenzia da altri sistemi soprattutto per:

  • Semplicità di gestione: per eseguire molte azioni sono sufficienti solo pochi clic del mouse; assistenti e wizard facilitano e sveltiscono il lavoro; siete voi a scegliere se volete lavorare con Drag&Drop, con il mouse o con la tastiera.
  • Pratico orientamento agli oggetti: lavorate costantemente con oggetti e, invece di dover perdere tempo a programmarli, dovete solamente parametrizzarli. Una volta definito un oggetto, lo potete utilizzare anche in più progetti contemporaneamente; approfittate dei vantaggi del meccanismo della trasmissione ereditaria e di velocissime modifiche delle proprietà.
  • Eccellente riutilizzo di elementi e oggetti già configurati: in zenon, molti elementi (da singole variabili a progetti completi) possono essere riutilizzati in modo semplice ed efficace.
  • Rete integrata: progettazione distribuita in rete e ridondanza al 100%, non sono più dei miraggi lontani e possono essere realizzati senza grande sforzo. Per creare delle reti non dovete far altro che attivare il checkbox corrispondente. Con la stessa semplicità potete connettere in rete singoli progetti stand alone in modo da ottenere efficienti sistemi ridondanti.

Suggerimenti e consigli

Molti consigli utili su come sfruttare i vantaggi offerti dal sistema, li trovate nel forum di www.copadata.com. Il modo migliore di imparare ad usare in modo ottimale zenon, è quello di frequentare i training e workshop di COPA-DATA adattati alle vostre priorità e ai vostri progetti. Il nostro distributore è a vostra completa disposizione per fornirvi le informazioni desiderate; oppure scrivete una E-Mail a sales@copadata.com.

Noch in diesem Kapitel

Semplicità di gestione

Orientamento ad oggetti

Riutilizzare elementi

Rete integrata

Consigli e trucchi del mestiere


Semplicità di gestione

Manuale -> Progettazione efficiente con zenon -> Semplicità di gestione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon vi facilita il lavoro di progettazione, mettendovi a disposizione una serie di piccoli meccanismi vantaggiosi e consentendovi, dunque, di incrementare la produttività. Lavorando con zenon, potrete constatare che molti problemi possono essere risolti nel pieno rispetto delle vostre preferenze ed esigenze individuali. Ad esempio:

Preferiti

Potete definire i vostri favoriti nelle proprietà degli oggetti e nel dialogo di selezione delle funzioni, . I preferiti vi vengono sempre offerti dal sistema in cima alle liste delle proprietà; in tal modo, vi consentono un accesso veloce a quelle proprietà di cui avete bisogno in modo particolarmente frequente.

Gestione tastiera generale nell´editor

E´ possibile lavorare nell´editor in modo semplice e confortevole gestendo i simboli ed i menù con il mouse; ma è anche possibile usare solamente la tastiera. Le combinazioni di tasti usuali in Windows, funzionano anche in zenon. Ad esempio:

  • Ctrl+C e Ctrl+V per copia e incolla
  • Ins crea dei nuovi oggetti.
  • Canc elimina gli oggetti selezionati.
  • I tasti Puntatore del mouse servono a navigare all´interno delle diverse visuali.
  • Esc interrompe l´esecuzione di un´azione.
  • Cancellare a ritroso (Backspace) passa nell´albero directory al livello superiore.
  • Ctrl+Z annulla le ultime azioni, fatta eccezione per le operazioni sul database.

Ulteriori informazioni sulla gestione con la tastiera, le trovate nel capitolo Combinazioni tasti.

Drag&Drop:

Nell´editor, avete la possibilità di semplificare i passaggi del vostro lavoro usando il Drag&Drop. Ad esempio:

  • Sostituire la successione delle voci di menù.
  • Collegare caratteri ad elementi dinamici, come slider universale, orologio, elemento combinato ecc.
  • Modificare la successione di elementi di struttura per tipi dato strutturato
  • Modificare la successione all´interno di uno script
  • Copiare oppure spostare delle funzioni usando diversi script
  • Copiare degli script trascinandoli sui nodi principali

Assistenti e wizard intelligenti per eseguire compiti complessi

Gli assistenti e i wizard integrati in zenon vi aiutano a creare velocemente un progetto di base, oppure ad effettuare delle complesse impostazioni in modo mirato. Raccomandiamo soprattutto a chi usa per la prima volta il programma, di servirsi degli assistenti per lo slider universale, l´elemento combinato e l´archiviazione.

Tooltip per elementi e proprietà

Se spostate il puntatore del mouse su un elemento di visualizzazione (per esempio un pulsante con testo), oppure su una proprietà con collegamento (per esempio la funzione collegata ad un pulsante di testo), appare un tooltip. Esso fornisce delle informazioni concernenti gli elementi collegati, come la funzione collegata ed i suoi parametri.

Possibilità di design avanzate

L´editor grafico offre un´ampia scelta di funzioni che vi aiutano a creare facilmente le immagini del vostro impianto; esse vi mettono a disposizione un ampio spettro di possibilità di rappresentazione. Si va dallo zoom continuo, alla possibilità di scalare con il clic del mouse, dall´aggancio a punti d´angolo, alla distribuzione automatica degli elementi sulla base di regole. I dettagli relativi li potete trovare nel capitolo Immagini

Passare a elementi collegati

Con tutti gli elementi grafici, le funzioni, le variabili e anche con altri elementi, avete la possibilità di saltare direttamente agli elementi collegati. Ad esempio: con un semplice clic del mouse passate direttamente da un elemento di visualizzazione alla variabile collegata, dalla variabile direttamente al tipo di dato utilizzato e, da lì, addirittura all´unità usata. Se necessario, potete ripercorrere questi passaggi a ritroso e saltare all´elemento di partenza usando comodamente il mouse.


Orientamento ad oggetti

Manuale -> Progettazione efficiente con zenon -> Orientamento ad oggetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

COPA-DATA vede il tema dell´automazione in primo luogo come un problema di orientamento agli oggetti, e, in secondo luogo, in modo estremamente pragmatico. Questi sono i principi su cui si basa zenon, un programma che, a sua volta, può essere largamente automatizzato. Non avete bisogno di alcuna lingua di programmazione per usare zenon. Non dovete scrivere nessuna riga di codice. Non dovete fare altro che assegnare delle proprietà a degli oggetti, e questo con un semplice clic del mouse. Ciò funziona non solamente per singoli oggetti, ma anche a livello centrale per un intero progetto, e addirittura per più progetti contemporaneamente.

Se però adesso temete di non poter individualizzare zenon e di essere in balia delle proprietà degli oggetti, possiamo tranquillizzarvi: naturalmente potete adattare zenon in modo assolutamente individuale. Proprio per questo avete a disposizione soprattutto VBA oppure l´ambiente di sviluppo VSTA (.NET). Inoltre zenon offre molte interfacce che vi consentono di comunicare con hardware e software, e una SCADA Logic integrata: zenon Logic.

Tre principi fondamentali che vi aiutano a lavorare con zenon

Tre principi fondamentali rendono il lavoro di progettazione con zenon semplice, affidabile e facilitano il lavoro di manutenzione:

  1. Progettare anziché programmare:

    Definire i parametri necessari anziché programmare o modificare script.

  2. Globalmente e centralmente anziché localmente:

    Definire gli oggetti solamente una volta e riutilizzarli continuamente, anche per più progetti, anziché dover scrivere o copiare degli script.

  3. Parametrizzare con orientamento ad oggetti:

    Sfruttare tutti i vantaggi offerti dall´orientamento agli oggetti.

Noch in diesem Kapitel

Progettare anziché programmare

Globalmente e centralmente anziché localmente

Progettazione con orientamento ad oggetti


Progettare anziché programmare

Manuale -> Progettazione efficiente con zenon -> Orientamento ad oggetti -> Progettare anziché programmare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quali sono i vantaggi che comporta parametrizzare i progetti anziché dover fare un complesso lavoro di programmazione?

Potete evitare soprattutto di scrivere delle righe di codice (lavoro sempre soggetto ad errori); guadagnate una maggiore flessibilità, una migliore visione d´insieme; impostate progetti più velocemente e raggiungete un grado molto elevato di riutilizzo. Vogliamo sottolineare soprattutto quattro punti:

  1. Usare dei moduli predefiniti significa guadagnare tempo.
    zenon contiene molti moduli preconfezionati. Invece che programmare degli script, il progettista sceglie il modulo adatto e lo configura, selezionando le proprietà ed i parametri desiderati. Ciò vi consente di creare in breve tempo dei progetti perfettamente funzionanti.
  2. Il prodotto vi viene fornito dal produttore in una versione perfettamente funzionante
    Il progettista può concentrarsi completamente sul suo progetto. Il software viene sviluppato e testato dal produttore; i progettisti non devono scrivere nemmeno una riga di codice. Ne consegue che è facile imparare a lavorare con zenon, anche per quei dipendenti senza esperienza di software-engineering.
  3. Semplice manutenzione e adattamento del progetto
    zenon lavora in modo strettamente orientato agli oggetti. Il principio "progettare anziché programmare" significa : per effettuare delle modifiche e delle verifiche, si deve controllare o cambiare solamente le proprietà dei singoli oggetti, invece che leggere lunghi codici e modificarli. Per quello che concerne la durata di un progetto, ciò garantisce:
    • Visione generale: i progetti sono chiari e comprensibili nella loro struttura anche a distanza di anni e per nuovi dipendenti.
    • Sicurezza: si possono evitare gli script, continua fonte di errori, e il lavoro di programmazione.
    • Guadagno di tempo: progettazione, adattamento e manutenzione possono essere effettuati in tempi molto più brevi.
  4. Semplice adeguamento ai macchinari
    zenon è adattabile in modo veloce e semplice a macchinari nuovi e/o modificati. Le modifiche di progetto richiedono solamente pochi clic del mouse.

Adeguare zenon:

La parametrizzazione previene anche che gli eventuali errori di uno script vengano copiati di continuo. Permette anche di evitare di dover effettuare quelle complicate modifiche in molti script individuali, che sono altrimenti necessarie anche se si vuole effettuare un cambiamento molto piccolo. Il che non significa, però, perdere libertà di azione. Anche zenon vi dà la possibilità di adeguare ed estendere il sistema in modo del tutto individuale.

  • VBA/VSTA:
    Con l´aiuto del linguaggio script Visual Basics for Applications, oppure di. C# und VB.NET, potete eseguire qualsiasi codice anche nel runtime. Potete affrontare e risolvere problemi di automazione, logica o relativi ad interfacce, nonché quelli concernenti l´accesso a banche dati.
  • zenon Logic:
    Questo ambiente di controllo pienamente integrato, vi consente, come SCADA Logic, di usare tutti i linguaggi 5 IEC 61131-3. In tal modo potete sbrigare tutti i calcoli e i compiti di logica.
  • PCE:
    L´integrato Process Control Engine vi consente di realizzare soluzioni di automazione usando VB-Script e Java Script.
  • Controlli ActiveX:
    Potete integrare qualsiasi controllo standard, come Flash Player oppure Acrobat Reader, in zenon. L´interfaccia è aperta e disponibile anche per controlli ActiveX di programmazione propria.
  • Elementi WPF
    Grazie alla diretta integrazione di Windows Presentation Foundation, potete implementare direttamente in immagini zenon degli elementi grafici realizzati in questo nuovo formato grafico, quali, per esempio, un pulsante, uno strumento analogico e molti altri. Questi elementi possono essere collegati liberamente a variabili e funzioni; così potete realizzare qualsiasi effetto grafico vogliate.
  • Interfaccia COM:
    Grazie all´interfaccia COM, completamente aperta, potete accedere dall´esterno a zenon. Per la comunicazione, disponete di un gran numero di linguaggi di programmazione, come, ad esempio, C++, .NET, Delphi ecc.


Globalmente e centralmente anziché localmente

Manuale -> Progettazione efficiente con zenon -> Orientamento ad oggetti -> Globalmente e centralmente anziché localmente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon, le proprietà possono essere definite in diversi modi, a seconda di quale sia la loro funzione:

  • Direttamente sull´oggetto
  • Centralmente
  • Globalmente

Naturalmente, in zenon tutte le impostazioni possono essere effettuate anche sull´oggetto. Ma questa non è sempre la via migliore.

Definire le proprietà centralmente

Spesso è meglio definire le proprietà una volta sola centralmente. In tal modo, i nuovi oggetti hanno sin dall´inizio le proprietà desiderate. Le modifiche sono particolarmente semplici: la proprietà desiderata viene modificata solamente in un posto e tutti gli oggetti interessati riprendono la modifica automaticamente. È sufficiente un solo clic del mouse, anziché scrivere molte righe di codice o cliccare molte volte.

Queste impostazioni centrali sono semplici da trovare in qualsiasi area dell´editor ci si trovi ad operare. Ogni oggetto che riprende delle impostazioni da una sorgente centrale, offre la possibilità di saltare direttamente alla stessa. Non dovete far altro che usare il link e vedete subito come sono collegati gli elementi.

Le proprietà, però, non possono essere definite solamente centralmente per un progetto, ma anche in termini globali, il che significa che valgono per più progetti.

Progettazione globale

zenon vi offre la possibilità di lavorare contemporaneamente a più progetti, dandovi così l´opportunità di risparmiare preziose risorse: ore lavorative. Usare in tutti i progetti gli stessi caratteri, per esempio, è molto semplice. Una volta definite, proprietà, come tipo di carattere e dimensione carattere, sono immediatamente disponibili in tutti i progetti di un workspace. Se avete bisogno di un altro carattere per tutti i progetti, non c´è alcun problema; è una questione di pochi secondi modificarlo nel progetto globale. E se volete usare un altro carattere per un singolo progetto? Allora non dovete far altro che modificarlo centralmente in questo progetto.

info Informazioni su

Vi consigliamo di usare nel progetto globale degli altri intervalli numeri di quelli usati nel progetto locale. Questo perché zenon, nel caso di numeri identici, si dà sempre la precedenza alle impostazioni locale .

E: usate un nome proprio per le liste caratteri che mantenete coerentemente nel progetto locale e nei progetti locali. In tal modo, assicurate che tutti i caratteri vengano trovati anche nel caso di un cambio lingua.

Visione generale delle relazioni di oggetti

Potete procurarvi una visione generale sui vostri progetti e le relazioni di oggetti anche con:

  • La lista incrociata (QVL):
    Essa mostra i riferimenti incrociati sussistenti in un progetto e permette di ricercare con semplicità l´uso di variabili e funzioni.
  • Wizard per documentazione
    Genera automaticamente una completa documentazione di progetto. Quello che deve essere documentato può essere definito in modo esatto per ogni proprietà.


Progettazione con orientamento ad oggetti

Manuale -> Progettazione efficiente con zenon -> Orientamento ad oggetti -> Progettazione con orientamento ad oggetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

'Parametrizzare in modo orientato agli oggetti´ è uno dei capisaldi della filosofia di zenon. Questo principio è fonte di chiara visione d´insieme e rende possibile risparmiare molto tempo nella impostazione e nella gestione di variabili.

Ogni variabile in zenon si basa su due elementi:

  • Driver
  • Tipo di dati

Noch in diesem Kapitel

Driver

Tipi di dato

Consigli per l´indirizzamento e l´import-export


Driver

Manuale -> Progettazione efficiente con zenon -> Orientamento ad oggetti -> Progettazione con orientamento ad oggetti -> Driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I driver non sono connessi direttamente in zenon, ma per mezzo di un tipo di oggetto driver. Esso determina quale area del PLC debba essere contattata .

Tipo di oggetto del driver

Esistono molti diversi tipi di oggetto driver, come, ad esempio, PLC-merker standard, blocco dati, entrate, uscite, contatori, ma anche tipi speciali, come allarmi variabili allarmi e driver.

Il tipo oggetto driver determina:

  • L´area sul PLC.
  • Quale granularità ha il driver in quest´area.
  • Quali tipi di dato possono essere creati in questa area.

Suggerimento: Non ogni tipo di dato può essere creato in ogni area. Selezionate sempre, dunque, al momento di creare una variabile:

  • in primo luogo il driver,
  • poi il tipo di oggetto driver e
  • infine il tipo di dato.

Informazione extra: Granularità

La granularità è importante soprattutto nel caso di PLC ad indirizzamento numerico, come, ad esempio, Siemens S7. Non tutti i PLC hanno le stesse impostazioni e neanche tutte le aree in un PLC hanno le stesse impostazioni.

Per esempio: l´area blocco dati di Siemens S5 è orientata a word, mentre l´area merker è orientata a byte. Il che significa che la più piccola unità che può essere indirizzata è un byte o una word. Se si vuole - ad esempio - scrivere un bit in una tale area, si deve leggere perlomeno un intero byte/word, smascherare il bit corrispondente e modificarlo e riscrivere tutto il byte/word sul PLC.

La stessa informazione è necessaria anche per l´indirizzamento delle aree, denominata offset. Si inizia da zero e si continua a contare in passi byte o word. Se si usa in zenon l´ indirizzamento automatico, questa granularità viene tenuta presente automaticamente. La granularità non dipende dunque dal driver, ma dal tipo di oggetto driver.

Variabili del driver

Le variabili driver vengono offerte da ogni driver e portano molteplici vantaggi nella progettazione. Non comunicano con il PLC, ma leggono un´area di salvataggio interno del driver contenente soprattutto informazioni statistiche. Ma anche delle funzioni speciali possono essere gestite per mezzo di variabili, per esempio numero di telefono per collegamenti modem, oppure comandi per comporre numero e chiudere comunicazione.

Delle informazioni più esatte su questo argomento le trovate nel capitoloVariabili driver.

Sul supporto di installazione di zenon, trovate un file dBase con le più importanti variabili driver. Con esso potete importare queste variabili in ogni driver, anziché doverle creare manualmente.


Tipi di dato

Manuale -> Progettazione efficiente con zenon -> Orientamento ad oggetti -> Progettazione con orientamento ad oggetti -> Tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I tipi di dato sono il cuore del meccanismo di parametrizzazione con riferimento agli oggetti. Visto che nei tipi di oggetto driver‑non si può effettuare nessuna impostazione, essi non sono utilizzabili per questo orientamento agli oggetti. I tipi di dato, invece, offrono molte possibilità.

Distinguiamo tre tipi:

  • Tipi di dato semplice
  • Tipi di dato strutturato
  • Elementi di struttura

Noch in diesem Kapitel

Tipi di dato semplice

Tipi di dato strutturato - elementi di struttura - array di struttura


Tipi di dato semplice

Manuale -> Progettazione efficiente con zenon -> Orientamento ad oggetti -> Progettazione con orientamento ad oggetti -> Tipi di dato -> Tipi di dato semplice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tipi di dato semplice sono sempre tipi di dato IEC, cioè quelli definiti nello standard IEC 61131-3, come BOOL, INT, USINT, UDINT, USINT, STRING, WSTRING ecc; hanno una dimensione predefinita - per esempio:
BOOL: 1 bit
INT: 16 bit signed
UINT: 16 bit unsigned

I tipi di dato in zenon consentono, però, accanto al tipo di dato IEC, l´impostazione di molte più proprietà. Esse hanno le stesse denominazioni di quelle delle variabili:

  • Identificazione
  • Unità
  • Campo valori
  • Valori limiti

Perché questa "partita doppia"?

La ragione è tanto semplice, quanto pratica:
la variabile riprende il calcolo del valore, unità e anche valori limite dal tipo di dato che ne è alla base, come un elemento di visualizzazione riprende il tipo e la dimensione del font dal carattere collegato.

Orientamento ad oggetti

Diversamente da quello che accade per il collegamento di elementi dinamici e caratteri, qui abbiamo a che fare con un approccio orientato agli oggetti: l´oggetto tipo di dato trasmette le sue proprietà alla variabile. La differenza?

Delle proprietà collegate/derivate possono essere separate dalla variabile o sovrascritte. Ciò funziona per ogni singola proprietà, ma anche per tutte le proprietà nel loro complesso. Potete, per esempio, riprendere l´unità dal tipo di dato centralmente, ma potete sovrascrivere l´identificazione, oppure l´indirizzo direttamente sulla variabile. Ciò funziona nel modo seguente:

  • Se modificate nella variabile il valore corrispondente, il collegamento viene eliminato.
    Lo notate anche per il fatto che nella proprietà scompare la spunta.

Servendovi del menù contestuale, potete usare le seguenti funzioni:

  • Prendi proprietà dal tipo di dato:

    Se avete separato un collegamento, potete ristabilirlo.

  • Separa proprietà:

    Potete separare delle singole proprietà senza dover modificare il valore. Se, in un secondo tempo, modificate il valore nel tipo di dato, potete essere sicuri che la variabile non ne viene interessata in alcun modo. A voi spetta decidere se il concetto di trasmissione ereditaria deve essere applicato, oppure no.

Un ulteriore aiuto che il sistema vi mette a disposizione, consiste nella possibilità di riprendere, oppure di separare dal tipo di dato tutte le proprietà con un semplice clic del mouse. In tal modo, potete ripristinare velocemente lo stato originario (tutto derivato), oppure revocarlo. Quali vantaggio comporta tutto ciò in pratica?

Soprattutto un elevato grado di flessibilità: Se avete molte variabili con lo stesso valore limite, per esempio un allarme con il valore 1, allora impostate questo valore direttamente nel tipo di dato. Il testo del valore limite e altri parametri opzionali, poi, li potete fissare separatamente per ogni variabile. Così risparmiate tempo e fatica, perché non dovete creare e monitorare il valore limite per ogni singola variabile. L´efficienza della progettazione, poi, cresce considerevolmente. Il tipo di dato BOOL, creato di default, del resto, ha un valore limite di 0 e di 1!

Se, però, non avete un valore limite per ogni variabile BOOL, non dovete per questo controllare ogni variabile e disattivare di nuovo il valore limite. In questo caso, non dovete far altro che sfruttare un utile meccanismo messo a disposizione da zenon e creare un tipo di dato BOOL extra. Procedete nel modo seguente:

  • Lasciate così com´è il tipo di dato standard.
  • Cliccate su Nuovo tipo di dato.
  • Apparirà una lista con i tipi di dato esistenti.
  • Selezionate Standard-Bool.
  • Indicate un nome, per es. MyBool
  • Tutte le proprietà del nuovo tipo di dato vengono riprese automaticamente dal vecchio.
  • Per MyBool cancellate i valori limite.

Tutte le variabili Bool che non devono avere dei valori limite, le create per questo tipo di dato nuovo MyBool; ed ecco che i valori limite non desiderati spariranno. Quelli, invece, che desiderate siano attivi, continuano a funzionare regolarmente.

Naturalmente, potete creare non solo un proprio tipo di dato Bool, ma anche qualsiasi altro tipo di dato desideriate. Tutte quelle variabili che hanno bisogno in larga misura delle stesse proprietà, riceveranno un tipo di dato proprio. Se volete cambiare una proprietà, fatelo centralmente e tutte le variabili derivate riprenderanno automaticamente la modifica; fatta eccezione per quelle il cui il collegamento è stato separato.


Tipi di dato strutturato - elementi di struttura - array di struttura

Manuale -> Progettazione efficiente con zenon -> Orientamento ad oggetti -> Progettazione con orientamento ad oggetti -> Tipi di dato -> Tipi di dato strutturato - elementi di struttura - array di struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tipo di dato strutturato

Tipi di dato struttura significa un gruppo di tipi di dato che sono definiti esattamente nella loro successione e nel loro ordine. Per esempio, la struttura motore può comporsi degli elementi giri e prestazione.

Una struttura può essere anche di tipo nidificato, con un numero qualsiasi di livelli gerarchici.

Per mezzo di tipi di dato strutturato, si può costruire il variable household in modo tale che corrisponda a quello esistente nella realtà controller o logicamente.

Elemento di struttura

Un tipo di dato struttura è, i realtà, solamente un contenitore, che nasconde il nome per la struttura, ma non porta con sé delle proprietà proprie.

Esse vengono solo con gli elementi di struttura che vengono aggiunti al tipo di dato struttura. Si deve distinguere fra:

  • tipi di dato struttura collegati:

    Relazione con un tipo di dato già esistente. Tutte le proprietà vengono riprese, ad eccezione del nome.

    Vantaggio: se l´elemento struttura ha molte proprietà di un tipo di dato già esistente, queste possono essere riutilizzate. Nel caso delle variabili, naturalmente, si può continuare a modificare delle singole proprietà, oppure le si può separare dal tipo di dato.

  • Tipo di dato struttura proprio separato:

    permette delle impostazioni di indirizzamento individuali. Questo nuovo tipo di dato è valido solamente all´interno di questa struttura.

info Informazioni su

Pratico orientamento agli oggetti: se la struttura cambia in qualsiasi momento, basta modificare il tipo di dato struttura per adattare automaticamente tutte le variabili che si basano su questa struttura.

Modifiche possibili in ogni forma:

  • proprietà semplici come unità di misura nel caso di tipo di dato
  • delle proprietà complesse, come l´aggiunta o la cancellazione di un valore limite.
  • modifica della struttura completa per mezzo, per esempio, della modifica della successione degli elementi oppure l´aggiunta di singoli elementi di struttura nel tipo di dato struttura.

Array di struttura

Se non si tratta di un macchinario, ma di molti, è il momento di usare l´array di struttura.

Ad esempio: 100 pompe anziché una 1 pompa.
In questo caso la variabile di struttura si trasforma semplicemente in un array di struttura. In tal modo, con un solo clic del mouse, 110 variabili diventano 100 variabili di struttura.

Se dobbiamo impostare, per esempio, per ogni pompa 12 variabili singole, abbiamo bisogno complessivamente di 1200 variabili. Il metodo "parametrizzare in modo orientato agli oggetti" permette di far ciò con pochi clic del mouse. Un altro vantaggio è che tutte le variabili sono già impostate in anticipo. Ogni singola variabile porta con sé già tutte le proprietà di cui ha bisogno, come unità, calcolo valore, allarmi, inserimenti CEL ecc.

info Informazioni su

Tipi di dato struttura si prestano anche a facilitare il riutilizzo di variabili.

Noch in diesem Kapitel

Esempio: pompa


Esempio: pompa

Manuale -> Progettazione efficiente con zenon -> Orientamento ad oggetti -> Progettazione con orientamento ad oggetti -> Tipi di dato -> Tipi di dato strutturato - elementi di struttura - array di struttura -> Esempio: pompa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Esempio: pompa

Situazione di partenza

Una pompa consiste di due motori. Ognuno di essi ha alcune variabili, come:

  • Numero di giri attuale
  • Consumo elettricità
  • Energia
  • ecc.

Ogni motore, a sua volta, ha un regolatore motore con le seguenti variabili:

  • Numero di giri attuale
  • Quota P
  • Quota I

Per realizzare quanto sopra, procedete nel modo seguente:

  1. create una struttura Regolatore di rispettivamente un tipo di dato per
    • Numero di giri attuale
    • Quota P
    • Quota I
  2. Create una struttura Motore con rispettivamente un tipo di dato:
    • Numero di giri attuale
    • Consumo elettricità
    • Energia
    • ecc.
  3. Nella struttura Motore riprendete il Regolatore.
  4. Create una struttura pompa e integrateci il motore.

    Visto che abbiamo due motori, riprendete il tipo di dato motore semplicemente due volte nella Vostra struttura Pompa.

  5. Create una variabile che si basa su questo tipo di dato struttura:
    • Crea nuova variabile
    • Scegli tipo di dato struttura Pompa

    I singoli elementi di questa variabile di struttura si chiamano Elementi struttura e possono essere usati in zenon come elementi singoli, come, per esempio, in immagini, allarmi, archivi, ricette ecc.


Consigli per l´indirizzamento e l´import-export

Manuale -> Progettazione efficiente con zenon -> Orientamento ad oggetti -> Progettazione con orientamento ad oggetti -> Consigli per l´indirizzamento e l´import-export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Consigli tratti dall´esperienza pratica:

  • Indirizzamento
  • Esporta/Importa

Indirizzamento:

Nel caso di PLC numerici, potete scegliere se l´indirizzamento deve essere effettuato automaticamente o in modo semi-automatico. Tutte le proprietà descritte in questa sede, sono raggiungibili anche via VBA/VSTA e possono essere usate per la progettazione automatica.

Indirizzamento automatico:

Offset e, se necessario, indirizzo Byte e Bit, vengono calcolati automaticamente sulla base della posizione degli elementi struttura. Se avete impostato nel PLC la stessa struttura di zenon, il tutto corrisponde al100% e non dovete preoccuparvi dell´indirizzamento corretto.

Indirizzamento semi-automatico:

Assegnate dei singoli indirizzi di partenza già nel tipo di dato. Sulla base di questi indirizzi saranno calcolati anche gli altri indirizzi. Potete adattare questi ultimi, naturalmente, se ne avete bisogno. Dettagli concernenti questo tema li trovate in Indirizzamento automatico.

Nel caso di PLC indirizzati simbolicamente, si deve assegnare lo stesso nome in zenon e nel PLC.

Esportazione/Importazione XML

Nel caso di import e export vengono trasmesse anche delle informazioni su tipo di dato, strutture, settori. Potete esportare facilmente tipi di dato struttura e variabili struttura che avete impostato una volta e usarli immutati per mezzo di import in altri progetti , oppure modificarli sulla base delle Vostre esigenze.


Riutilizzare elementi

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento della prima impostazione di un progetto, avete bisogno del tempo necessario per creare le variabili, le funzioni, le immagini ed i loro collegamenti. Questi tempi, però, possono essere ridotti in modo sostanziale quando si tratta di creare dei progetti successivi. In zenon, infatti, avete la possibilità di riprendere e riutilizzare in altri progetti degli elementi già impostati.

Normalmente si ha bisogno in diversi progetti di elementi standard, come, ad es., immagini per lo stato del sistema, oppure immagini dettagliate di componenti hardware di uso comune (pompe, valvole, motori ecc.).

Ci sono diversi modi di riutilizzare elementi già impostati.

Tema | Riutilizzo di
sostituisci variabili e funzioni | Elementi
Simboli | Immagini
Tipo di dato strutturato | Variabili
Matrici di reazione | Variabili
Progetto globale | elementi centrali di un progetto
XML | parti progetto per mezzo di import e export
Wizard | immagini e elementi per mezzo di import o individualizzazione
Riutilizzo progetti | Progetti

info Informazioni su

Per poter riutilizzare in modo efficiente degli elementi, fate in modo che, al momento della creazione delle variabili, funzioni e immagini, esse siano dotate di una denominazione univoca.

Noch in diesem Kapitel

sostituisci variabili e funzioni

Simboli

Tipo di dato strutturato

Matrici di reazione

Progetto globale

XML

Wizard

Riutilizzo progetti


sostituisci variabili e funzioni

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> sostituisci variabili e funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le variabili e le funzioni che vengono salvate in Elementi dinamici, possono essere sostituite in modo automatico. Ciò può accadere in diverse sedi:

  • sostituisci collegamenti nell´immagine:
  • sostituisci collegamenti al momento del cambio immagine:
  • Sostituisci indici
  • Se desiderate avere delle ulteriori informazioni sulla sostituzione di variabili e funzioni, Vi invitiamo a leggere nella sezione concernente le Immagini il capitolo Sostituisci i collegamenti di variabili e funzioni.

Noch in diesem Kapitel

Convenzioni di nomenclatura

Possibilità di sostituzione


Convenzioni di nomenclatura

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> sostituisci variabili e funzioni -> Convenzioni di nomenclatura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter sostituire in modo sicuro variabili ed altri elementi, è importante che la loro denominazione sia sistematica e, per quanto possibile, rispondente a regole chiare ed univoche. In questo modo non vi limitate a rendere più semplice il riutilizzo di questo materiale, ma facilitate anche la manutenzione e il reverse engineering.

Con una denominazione chiara e sistematica supportate diversi sistemi.

Ad esempio: gestione dell´energia.

Germania

  • KKS (Kraftwerk-Kennzeichen-System - Power Plant Classification System), per i dettagli vedi http://de.wikipedia.org/wiki/Kraftwerk-Kennzeichensystem
  • DIN 6779 (Kennzeichnungssystematik für technische Produkte und technische Produktdokumentation - Classification System for Technical Products and Technical Product Documentation), per i dettagli vedi http://de.wikipedia.org/wiki/DIN_6779
  • IDENTIFICAZIONE-IMPIANTO (sistema identificazione di impianto - Equipment Classification Syste), per i dettagli vedi http://de.wikipedia.org/wiki/Anlagenkennzeichnungssystem

internazionali.

  • KKS (Comandi Plant Classification System), per i dettagli vedi http://en.wikipedia.org/wiki/KKS_Power_Plant_Classification_System

Tali norme esistono per ogni settore produttivo. Vi consigliamo di utilizzare le convenzioni di nomenclatura proposte da tali normative.

Esempio: KKS.

In un progetto realizzato per il settore energetico, i nomi assegnati alle variabili dovrebbero seguire le regole della KKS. Una variabile con la denominazione C01_MDY10-QA001_QA07 ha il seguente significato:

  • Wind energy equipment C01 (row C, Nr. 1)
  • Wind turbine control MDY10, Power partQA001,
  • Power protectionQA07


Possibilità di sostituzione

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> sostituisci variabili e funzioni -> Possibilità di sostituzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le sostituzioni possono essere utilizzate in diversi punti di un progetto.

  • sostituisci collegamenti nell´immagine: le immagini vengono copiate e nell´immagine copiata vengono sostituiti i collegamenti.
  • sostituisci collegamenti al momento del cambio immagine: Si utilizza per diverse gestioni una sola immagine, all´apertura della quale il sistema adatta i collegamenti.
  • Sostituisci indice: Sostituzione di variabili in un´immagine di processo mediante il valore di variabili indice.

Noch in diesem Kapitel

sostituisci collegamenti nell´immagine:

sostituisci collegamenti al momento del cambio immagine:

Sostituisci indici


sostituisci collegamenti nell´immagine:

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> sostituisci variabili e funzioni -> Possibilità di sostituzione -> sostituisci collegamenti nell´immagine:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se delle variabili sono collegate ad un´immagine, le si può cambiare semplicemente con delle altre facendo uso di un dialogo di sostituzione. Requisiti:

  • una chiara ed univoca denominazione delle variabili

In tal modo si possono riutilizzare delle immagini già esistenti usando il meccanismo di Copia& Incolla. La sostituzione viene avviata facendo uso del menù contestuale:

  • cliccate con il tasto destro del mouse sull´elemento
  • cliccate su sostituisci collegamento

In tal modo viene aperto il dialogo che serve alla sostituzione.

Esempio

Nel nostro esempio il progetto dispone di una grande quantità di variabili appartenenti a diverse parti dell´impianto. Nell´immagine di processo ci sono:

  • 10 variabili che provengono dalla gestione delle turbine eoliche MDY10, collegate con elementi dinamici.
  • pulsanti con cambio immagine che conducono a diversi settori di MDY10.

Facendo uso di Copia&Incolla, il progettista riutilizza l´immagine per la gestione delle turbine eoliche MDY11 esattamente così com´è, e sostituisce le variabili o le funzioni con quelle corrispondenti del nuovo PLC. Per far ciò:

  1. si deve anzitutto evidenziare gli elementi dinamici su cui sono collegate le variabili e le funzioni.
  2. si apre il dialogo di sostituzione

  3. nel campo Sorgente si inserisce la identificazione impianti *MDY10*
    (i segni di apertura e chiusura * sono Wildcards)
  4. nel campo Destinazione si inserisce MDY11
  5. con il comando Applica si avvia la sostituzione e cliccando su OK si chiude il dialogo.

L´immagine può essere adesso usata per la nuova gestione.


sostituisci collegamenti al momento del cambio immagine:

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> sostituisci variabili e funzioni -> Possibilità di sostituzione -> sostituisci collegamenti al momento del cambio immagine:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo metodo prevede sempre l´utilizzo dell´immagine originale che viene aperta durante il runtime con variabili e funzioni diverse. L´immagine contiene diverse variabili e funzioni come nell´esempio relativo a sostituisci collegamenti nell´immagine". La sostituzione avviene al momento del cambio immagine. Per far ciò:

  1. si progettano più funzioni "cambio immagine" che conducono a questa immagine.
  2. al momento della creazione della funzione, il sistema offre all´utente il Dialogo di sostituzione.
  3. ogni funzione contiene una propria procedura di sostituzione.

Una variante compatibile solo con un cambio immagine: Sostituisci indice per array.


Sostituisci indici

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> sostituisci variabili e funzioni -> Possibilità di sostituzione -> Sostituisci indici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In Arrays potete effettuare tale sostituzione per le variabili tramite variabili indice.

L´immagine viene usata solamente una volta come in sostituisci collegamenti al momento del cambio immagine. Le variabili collegate vengono sostituite al momento del cambio. Il cambio immagine deve essere impostato solamente una volta (a differenza di sostituisci collegamenti nell´immagine) e può essere riutilizzato più volte facendo uso di una variabile indice.

Esempio

Il cambio viene eseguito per portare ad un´immagine di processo che contiene 10 variabili della "gestione turbine eoliche" MDY10. L´obiettivo del progettista è quello di riutilizzare quest´immagine esattamente così com´è, visto che le gestioni delle turbine eoliche MDY11, MDY12 e MDY13 dispongono dello stesso numero di variabili.

Regola di indicizzazione:

  • Sorgente: C01 MDY10 QA001*
  • Destinazione: C01 MDY{X01} QA001

ha il seguente effetto:

  • al momento del cambio turbina, il sistema comunica alla funzione che, al momento del cambio immagine durante il Runtime,essa deve inserire il valore variabile di X01 Indice gestione turbine eoliche nel nome della variabile.

    Esempio: Nel caso in cui questa variabile abbia il valore 12, al momento del cambio immagine, l´immagine di processo viene visualizzata con tutte le variabili della gestione turbine eoliche MDY12.


Simboli

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il potenziale dei simboli per quello che concerne la possibilità del loro riutilizzo è molto grande. I simboli possono essere costruiti in modo complesso e supportano il meccanismo di trasmissione ereditaria. Esso possono essere inseriti in modo scollegato o collegato. Nel caso si opti per il collegamento, è sufficiente modificare un simbolo in una sede per provocare la sincronizzazione di tutte le immagini che lo utilizzano. I simboli possono essere collegati anche ad altri simboli.

Esempio: barra dei pulsanti.

Un simbolo (quadrato vuoto) viene collegato a tutti i pulsanti per servire da base comune.

Le Proprietà rese disponibili consentono di assegnare ad ogni singolo pulsante una veste grafica differente. Se si vuole poi cambiare la forma o il colore dei pulsanti, non bisogna far altro che cambiare il simbolo "pulsante vuoto". Tutti i pulsanti riprenderanno automaticamente la nuova forma e/o colore.

Noch in diesem Kapitel

Proprietà rese disponibili

Sostituzione nel caso dei simboli

Libreria simboli generale


Proprietà rese disponibili

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Simboli -> Proprietà rese disponibili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I simboli trasmettono, per così dire, in via ereditaria le loro proprietà agli oggetti nei quali sono stati collegati. Tuttavia, singole proprietà possono essere escluse dalla trasmissione ereditaria. Ad esempio la grafica visualizzata nel nostro pulsante. Se la trasmissione ereditaria viene esclusa, questa proprietà può essere settata individualmente per ogni oggetto. In questo caso, le modifiche di questo dettaglio nell´elemento di origine non andranno a influenzare gli altri oggetti.

Riutilizzo immagini

La combinazione di simboli e proprietà rese disponibili può essere un´efficacie soluzione per il riutilizzo di immagini di processo.

Esempio

in un progetto c`è un dialogo centrale di parametrizzazione che deve essere utilizzato per diverse parametrizzazioni. Visto che esso viene usato per i più diversi settori, c´è l´esigenza che determinati adattamenti e modifiche (ad esempio colori di sfondo, immagini ....) siano possibili.

Copy and Paste:

  1. creare un´immagine di processo che contiene questo dialogo di parametrizzazione
  2. moltiplicare l´immagine tramite Copy & Paste
  3. la veste grafica delle immagini di processo utilizzate più volte può essere adattata alle esigenze

Ma: in questo caso non è possibile una trasmissione in via ereditaria. Se il progettista vuole effettuare in un secondo momento adattamenti centrali (concernenti la struttura fondamentale del dialogo di parametrizzazione), egli deve poi ripeterle in ogni immagine di processo.

Metodo tramite simbolo con proprietà rese disponibili:

  1. il dialogo di parametrizzazione viene creato tramite un simbolo
  2. gli elementi che devono essere modificati per le diverse posizioni di parametrizzazione, vengono scollegati dal concetto di trasmissione ereditaria facendo uso di proprietà rese disponibili.
  3. nelle immagini corrispondenti il simbolo viene collegato, posizionato e adeguato.

  4. Nel caso in cui il progettista dovesse decidere di modificare l´aspetto generale del dialogo, egli effettua tali modifiche centralmente nel simbolo. Questa modifica, poi, ha effetto su tutte le posizioni in cui il simbolo è collegato.

  5. Tramite le proprietà rese disponibili e una corrispondente sostituzione, il simbolo globale può essere adattato individualmente.

  6. In questo caso, il progettista ha deciso che l´interfaccia grafica gene reale dei dialoghi di parametrizzazione deve essere modificata. Egli effettua questo cambiamento a livello centrale nel simbolo "Parametrizzazione". Le proprietà individuali dei singoli dialoghi di parametrizzazione rimangono immutate; cambiano solamente quelle proprietà che sono contenute nella trasmissione ereditaria.


Sostituzione nel caso dei simboli

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Simboli -> Sostituzione nel caso dei simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La procedura descritta nel capitolo sostituisci variabili e funzioni può essere seguita anche nel caso dei simboli. Anche in questo caso, una denominazione mirata degli oggetti è un presupposto fondamentale.

Nel caso della sostituzione di simboli, si deve distinguere due diversi modi di procedere: Da una libreria (progetto/globale), un elemento

  • può essere aggiunto in un´immagine come gruppo elemento
  • può essere collegato in un´immagine

A seconda della procedura, vengono aperti diversi dialoghi che servono alla sostituzione di variabili/funzioni.

Gruppi elementi

Qui le variabili vengono sostituite direttamente tramite il dialogo di sostituzione. Il dialogo offre anche la possibilità di selezionare le variabili aprendo un altro dialogo apposito. Usare dei simboli in questo modo non è ideale ai fini della riutilizzabilità.

Simboli

In questa procedura si lavora mediante string di sostituzione. Queste string vengono sostituite al momento della compilazione mediante le variabili corrispondenti. Nel dialogo qui aperto non è possibile sostituire delle variabili facendo uso di un apposito dialogo di selezione. Qui il progettista lavora facendo uso di singole string di sostituzione che sono divise l´una dall´altra da un punto e virgola (;).

Il simbolo che si trova dietro questo dialogo di sostituzione può adesso essere riutilizzato nei più diversi settori di impianto. Quest´esempio presuppone che, in ogni settore di impianto, vengano utilizzate variabili e funzioni simili (unica differenza: l´abbreviazione dell´impianto nel nome delle variabili e funzioni stesse), le quali possono essere sostituite in modo veloce e chiaro.

Ulteriori informazioni concernenti la sostituzione dei simboli le trovate anche nel manuale relativo alle Immagini nel capitolo Simboli.


Libreria simboli generale

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Simboli -> Libreria simboli generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I simboli vengono gestiti o nella libreria simboli nel progetto, o nel progetto globale, oppure nella libreria simboli generale. La differenza fondamentale è la seguente:

Libreria simboli

Proprietà

Libreria simboli generale

Simboli sono disponibili in tutti i progetti. Il nodo Libreria simboli generale si trova nel Manager di progetto sotto i progetti attualmente caricati.

Denominazione al momento del collegamento nell´immagine: [Gruppo simboli]/[Nome simbolo]

Regole:

  • Il dialogo di selezione variabili offre tutti i progetti dell´area di lavoro per effettuare il collegamento.
  • Questi simboli vengono salvati nella cartella di programma di zenon e aggiornati al momento dell´avvio dell´Editor. Questi simboli non vengono salvati nel caso di un backup di progetto.
  • Interblocchi e alias per ALC non possono essere progettati.
    Attenzione: Quando si aggiungono dei simboli che contengono interblocchi o alias, queste impostazioni vengono rimosse.

Libreria simboli nel progetto globale

I simboli sono a disposizione di tutti i progetti del workspace.

Denominazione al momento del collegamento nell´immagine: Progetto globale_[Nome simbolo]

Regole:

  • i simboli copiati nella libreria simboli del progetto globale mantengono i loro collegamenti alle variabili senza modifiche.
  • il dialogo di selezione variabili offre tutti i progetti dell´area di lavoro per effettuare il collegamento. Alle variabili collegate viene anteposto il nome del relativo progetto.
  • Il nome di Variabile può essere modificato nella finestra delle proprietà. Si può, ad esempio, cancellare il prefisso contenente il nome del progetto di origine.
  • I simboli vengono salvati ogni qual volta si effettua un backup di progetto.
  • Interblocchi e alias per ALC non possono essere progettati.
    Attenzione: Quando si aggiungono dei simboli che contengono interblocchi o alias, queste impostazioni vengono rimosse.

Libreria simboli nel progetto

Simboli sono disponibili solo nel progetto attuale.

Denominazione al momento del collegamento nell´immagine: [Nome simbolo]

Regole:

  • I simboli vengono salvati nella cartella di progetto. La libreria di simboli del progetto si trova nel progetto attuale nel nodo Immagini e viene salvata in un backup di progetto.
  • Interblocchi e alias per ALC possono essere progettati. Queste proprietà vengono mantenute anche nel caso vengano aggiunti dei simboli.

I simboli possono essere copiati per Drag&Drop:

  • dalla Libreria simboli generale nella Libreria simboli nel progetto globale
  • dalla Libreria simboli nel progetto globale nella Libreria simboli nel progetto o viceversa

Non è possibile copiare direttamente dalla Libreria simboli nella Libreria simboli nel progetto oppure copiare dal progetto o dal progetto globale nella Libreria simboli generale.

Esempio

Un postazione centrale di progettazione appronta una raccolta di simboli che deve essere utilizzata dalle postazioni di progettazione disseminate in tutto il mondo nei loro progetti specifici. Ad esempio, vengono resi disponibili dei simboli complessi che rappresentano importanti parti di immagini di processo. Questa raccolta di simboli si trova in una directory o in un file, per esempio in „Global_Used_Symbols.SYM". Quando si effettuano a livello centrale delle modifiche grafiche a questa raccolta globale di simboli, il file „Global_Used_Symbols.SYM" viene semplicemente inviato a tutte le postazioni di progettazione locali e in quella sede la nuova versione sostituisce la vecchia. L´adattamento individuale può essere effettuato tramite proprietà rese disponibili e sostituzione.

Non è sempre necessario inviare la raccolta di simboli nella sua interezza. Per inviare solamente alcuni simboli selezionati, si può usare anche lo strumento dell´XML-Export/Import.

attention Attenzione

Nel caso si utilizzi la libreria globale dei simboli, deve essere osservata la seguente regola fondamentale: le postazioni di progettazione locali non possono modificare i simboli che fanno parte della raccolta di simboli. Ogni modifica verrebbe infatti sovrascritta al momento del prossimo update.


Tipo di dato strutturato

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Tipo di dato strutturato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le variabili possono essere riutilizzate tramite i tipi di dato struttura. In tal modo è possibile realizzare delle strutture complesse e sfruttare i vantaggi del meccanismo di trasmissione ereditaria.

Esempio

il tipo di dato struttura "motore" è costituito da tre elementi:

  • Stato
  • Numero di giri
  • Temperatura

Questi elementi si differenziano fra loro nel modo di trasmissione ereditaria:

  • "stato" e „numero di giri" derivano dal tipo di dato INT, ma la loro trasmissione ereditaria è stata interrotta dal inserimento in modalità scollegata.
    cioè.: nel caso in cui ci siano dei successivi update che riguardano il tipo di dato INT, essi non hanno alcun effetto sui due elementi sopra citati.
  • "Anche temperatura" proviene dal tipo di dato INT, ma la trasmissione ereditaria è intatta.
    cioè.: eventuali modifiche successive al tipo di dato INT hanno effetto anche su questo elemento.

Se, per esempio, progettate 20 motori dalla struttura identica, potete procedere alla creazione di variabili che si basano sullo stesso tipo di dato "motore". Potete farlo, per esempio, creando un array di questo tipo di dato. L´aspetto grafico verrà realizzato in questo esempio tramite un simbolo.

Se collegate il simbolo ad un´immagine di processo, i caratteri simbolici per variabil del simbolo vengono sostituiti dalle variabili del tipo di dato struttura che è stato impostato. Vi preghiamo di assegnare delle denominazioni chiare ed univoche per evitare l´insorgere di problemi.

Se volete realizzare un´immagine di processo che deve servire da visione generale per tutti i motori in questione, potete moltiplicare il simbolo inserito facendo uso dello strumento Copy&Paste. Non si deve far altro, poi, che sostituire per ogni simbolo la variabile di destinazione con il numero progressivo corrispondente:

Nel caso in cui vogliate aggiungere in seguito dei valori limite per le variabili "numero di giri", potete sfruttare il vantaggio offerto dalla relazione ereditaria esistente fra il tipo di dato da voi impostato e le variabili che ne sono derivate. Per effettuare la modifica, dovete impostare un nuovo valore limite per l´elemento struttura „numero di giri" del tipo di dato „motore" da voi creato. Questa modifica avrà poi effetto su tutti i 20 motori.

Naturalmente il progettista ha la possibilità di eliminare questa relazione ereditaria. Si può anche procedere alla modifica del valore limite „numero di giri" per uno solo dei 20 motori.

Nota: è possibile scollegare dal tipo di dato singole o tutte le proprietà di una variabile.

info Informazioni su

Se volete altri consigli utili per l´uso di strutture di tipi di dato, leggete per cortesia il capitolo Tipi di dato struttura - elementi struttura - array struttura e, nel manuale Variabili, il capitolo Tipi di dato struttura.


Matrici di reazione

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Matrici di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le matrici di reazione fanno sì che l´aspetto delle variabili sia lo stesso in tutto il progetto. Al contrario dei valori limite, le matrici di reazione funzionano ispirandosi al seguente principio: una matrice di reazione viene progettata una volta per tutte e poi assegnata ad un numero qualsiasi di variabili. Tutte le variabili collegate alla stessa matrice di reazione, reagiscono allo stesso modo. Il vantaggio: manutenzione semplice e a livello centrale.


Progetto globale

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Progetto globale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In un progetto globale è possibile fissare degli standard che poi riguardano diversi progetti. In tal modo è possibile definire determinati moduli o elementi validi per tutte le sedi, mentre i progetti locali fissano i parametri individuali.

Nel progetto globale possono essere definiti:

  • Gestione allarmi

    dichiarazione dei gruppi allarmi, classi allarmi e settori allarmi da utilizzare globalmente.

  • Definizione d´impianto:

    Essa può supportare la progettazione centrale, visto che si potrebbe effettuare una divisione in due "impianti". Nel far ciò, si deve definire in modo chiaro quali elementi di progettazione provengono dalla postazione di progettazione centrale e quali da quella locale.

  • Utente:

    nel caso in cui uno standard preveda l´esistenza di determinati utenti validi a livello globale, questi ultimi possono essere fissati tramite il progetto globale.

  • File:

    Mediante uno standard possono essere indicate, ad esempio, delle grafiche che devono essere utilizzate nei progetti creati a livello locale. Queste grafiche possono essere messe a disposizione a livello globale.

  • Modelli:

    determinazione dell´ordine delle immagini di processo e della dimensione dei progetti da sviluppare. È possibile fissare in una direttiva generale, ad esempio, che in un progetto le immagini di nuova creazione possano venire impostate solamente tramite i modelli di un progetto globale. In tal modo si può garantire un´unità grafica globale.

  • Caratteri e tavolozze di colori:

    Per garantire un´uniformità dei testi e dei colori visualizzati, si può procedere a fissare una seria predefinita di caratteri e tavolozze di colori che vanno usati a livello globale.

  • Tabella lingua:

    Se si definisce mediante uno standard una serie di concetti ed espressioni da utilizzare nella progettazione, è possibile fissarli facendo uso delle tabelle lingua definite e, nello stesso tempo, eseguire le traduzioni corrispondenti.

Esempio

una postazione di progettazione centrale definisce, facendo uso di un progetto globale, degli standrd nei settori colori, carateri, modello ecc, validi per tutti i progettisti. Il progetto globale viene distribuito a tutti i team sotto forma di Backup di progetto. I team locali lo importano nel loro workspace. Si deve procedere a definire chiaramente tramite una direttiva generale che le postazioni di progettazione locali non possono effettuare delle modifiche ad un progetto globale, visto che questi eventuali cambiamenti verrebbero sovrascritti nel momento in cui si scaricano gli update provenienti dalla postazione di progettazione centrale.

Esempio Modello di impianti

Un semplice modello di impianti che riguarda solamente una differenziazione fra un gruppo di progettazione centrale e uno locale. In un progetto individualizzato si potrebbe far ricorso a questa differenza solamente visualizzandola nell´editor. In dettaglio la situazione è la seguente: ogni elemento progettato nell´editor viene inviato con una corrispondente assegnazione ad un gruppo impianti.

Le esistenti immagini di processo vengono visualizzate sulla base dell´assegnazione impianti.

In tal modo, una postazione di progettazione locale è in grado di riconoscere quali immagini vengono attualizzate da una postazione centrale tramite il meccanismo dell´import XML. Per il progettista che opera a livello locale è anche chiaro quali immagini non può modificare. E questo perché ogni eventuale modifica delle immagini di competenza globale viene sovrascritta al momento del prossimo update.

Suggerimento: per attualizzare un progetto globale non si deve sempre creare e importare un completo backup di progetto. Delle singole modifiche possono essere attualizzate anche a livello locale facendo uso dello strumento dell´export e import in formato XML.


XML

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il meccanismo di Import e Export tramite interfaccia XML offre numerose possibilità di riutilizzare delle parti di progetti esistenti.

attention Attenzione

Quando si effettua l´import, gli elementi esistenti vengono sostituiti con i nuovi recanti gli stessi nomi.

Dipendenza nel caso di import.

Se si vogliono importare diverse parti di progetto, si avrà anche un numero corrispondentemente alto di file XML di diverso contenuto. Per riprendere in modo corretto tutti i contenuti di file XML, si deve tener conto delle dipendenze esistenti:

Se, ad esempio, si importa un´immagine e le variabile in essa collegate non esistono nel progetto, il collegamento non può essere ripristinato. Per poter impostare in modo corretto tutti i collegamenti può essere necessario effettuare due volte l´import di un´immagine o di variabili.

Esempio per un´immagine XML:

la variante più complessa è quella rappresentata dall´esportazione di un´immagine, visto che il file XML generato in questo caso contiene non solamente l´immagine e gli elementi in essa contenuti, ma anche i modelli, le variabili e le funzioni collegate, in altre parole tutto quello che è visibile nell´immagine o vi è direttamente collegato.

Cliccando su un pulsante, nell´immagine "A" viene eseguita una funzione "B",la quale apre a sua volta l´immagine "A":

  • La funzione „B" necessita dell´immagine "A" per far in modo che quest´ultima sia collegata alla funzione "B".
  • L´immagine "A", a sua volta, necessita della funzione "B" per collegare quest´ultima al pulsante.

È dunque necessario:

  1. anzitutto importare la funzione,
  2. poi l´immagine e dopo
  3. la stessa funzione una seconda volta; in caso contrario la relazione con l´immagine non può essere generata nella funzione.

Armonizzare progetti fra diversi impianti

La funzione XML-Export/Import si presta anche a garantire che i progetti abbiano un aspetto e contenuti unitari nei diversi impianti di una stessa ditta. Se un´impresa decide che determinate parti di progetto devono essere impostate in modo unitario in tutto il mondo, gli elementi in comune vengono:

  1. progettati a livello centrale
  2. esportati sotto forma di file XLM
  3. inviati alle sedi in forma di file XLM
  4. ripresi da ogni team locale facendo uso del meccanismo di XLM import.

In alternativa si può scegliere di effettuare l´export-import servendosi di un wizard.

Visto che, al momento dell´effettuazione dell´import XLM, gli elementi esistenti vengono sovrascritti, è necessario denominare in modo chiaro e univoco gli elementi in comune. Le modifiche di questi elementi effettuate a livello locale verranno sovrascritte in occasione del prossimo update.

Wizard

Una cosa che può essere utile all´utente nell´effettuazione dell´import è un wizard basato sull´API di zenon. Una volta avviato il wizard, l´utente può selezionare gli elementi da importare basandosi sui suggerimenti fornitigli dal wizard stesso. Suggeriamo di impostare una libreria XML che contenga diverse varianti di immagini e funzionalità in file distinti.

Individualizzazione mediante wizard

Facendo uso di un wizard si possono individualizzare anche funzioni standard, disponibili in file XML. Si importa una funzione in formato XML e poi la si adatta alle esigenze peculiari modificandone determinate proprietà che non sono le stesse per ogni oggetto. Se, ad esempio, esiste una funzione di cambio immagine in formato XML, la si può utilizzare più volte adattandone le proprietà a diverse esigenze specifiche.


Wizard

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il riutilizzo di elementi e parti di progetti può essere realizzato e reso più semplice mediante l´uso di wizard. I wizard si prestano soprattutto a realizzare quanto segue:

  • creazione di progetti di base:

    un wizard consente di creare con pochi clic del mouse certe parti standard di un nuovo progetto. Rispetto alla possibilità di scaricare semplicemente un backup di progetto già esistente del progetto di base, questa variante dà maggiore libertà al progettista.

    Ad esempio, un wizard è in grado di generare diversi tipi di progetto in dipendenza del tipo di macchinari.

  • Creazione di progetti di base predefiniti:

    I wizard possono essere utili anche per creare dei determinati settori nello stesso progetto.

    Ad esempio: Creazione del settore del progetto "Motore".
    il wizard imposta gli elementi predefiniti necessari per questo settore. In tal modo, è possibile progettare con pochi clic del mouse le immagini, funzioni, variabili corrispondenti. Oltre al vantaggio rappresentato da tempi di progettazione inferiori, si raggiunge un altro obiettivo, quello di una veste unitaria nell´intero progetto, dato che i wizard vengono utilizzati da una postazione di progettazione centrale e anche da quelle locali.

  • Progettazione tramite banche dati o file predefiniti:

    Anche banche di dati o file predefiniti possono essere un aiuto prezioso per la creazione e per l´ampliamento di progetti. Gli elementi da progettare (nome funzione, tipo funzione, parametro funzione, nome variabile, offset...) vengono descritti in una banca dati o in un file excel. Servendosi di un wizard, queste informazioni vengono lette e si procede a mettere in atto i passi di progettazione necessari in zenon.

Per ulteriori informazioni sui wizard e sulla loro creazione, Vi preghiamo di leggere nella guida in linea il capitolo Wizards.


Riutilizzo progetti

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Riutilizzo progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I progetti possono essere riutilizzati in diversi modi. In questo contesto giocano un ruolo fondamentale dei meccanismi descritti in altri capitolo del riutilizzo.

Backup progetto

Salva con nome

Gestione multi-progetto

Noch in diesem Kapitel

Backup progetto

Salva con nome

Gestione multi-progetto


Backup progetto

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Riutilizzo progetti -> Backup progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Backup di progetto permettono di riutilizzare progetti completi.

Ad esempio, un progetto può essere mandato a tutti i team locali per essere usato da modello. I team locali caricano nel loro sistema il backup e poi procedono ad individualizzare il progetto.

attention Attenzione

Questo metodo non è adatto alla trasmissione di modifiche di progetto, perché tutte i cambi effettuati a livello locale vengono sovrascritti nel momento in cui si scarica l´update.

Per effettuare il monitoraggio generale (vale a dire per più team contemporaneamente) di progetti creati in tal modo, è consigliabile utilizzare il meccanismo XML-Exports/Imports.

Tenete presente che, in caso di import, gli elementi già presenti e recanti lo stesso nome vengono sovrascritti! Quando si configura un progetto, dunque, si deve provvedere a contrassegnare in modo chiaro gli elementi che possono essere sovrascritti durante l´importazione. Per quello che concerne l´identificazione necessaria, essa può essere rappresentata, ad esempio, da una corrispondente aggiunta al nome dell´elemento; oppure si può utilizzare la procedura dei gruppi d´impianto; vedi il capitolo Progetto globale.


Salva con nome

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Riutilizzo progetti -> Salva con nome

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Salva con nome genera nel workspace attivo una copia di un progetto sotto un altro nome e con una nuova GUID.

Esempio

si vuole procedere alla creazione di progetti individuali per diversi tipi di macchinari a partire da un un progetto di base. Per far ciò:

  1. si scarica anzitutto il backup di progetto del progetto di base.
  2. si creano, facendo uso del comando Salva con nome, diversi progetti con nomi differenti (per es Macchina 1, Macchina 2, … ) nel workspace attivo.

In tal modo sia assicura che ogni progetto abbia la stessa situazione di partenza. I progetti, però, non hanno alcun collegamento con il progetto di base. Il che significa che le modifiche apportate a quest´ultimo, non vengono riprese automaticamente nei progetti copiati. I cambi effettuati nel modello di partenza possono essere però ripresi nei progetti individuali mediante il meccanismo di XML Export-/Import.

Tenete presente che, in caso di import, gli elementi già presenti e recanti lo stesso nome vengono sovrascritti! Quando si configura un progetto, dunque, si deve provvedere a contrassegnare in modo chiaro gli elementi che possono essere sovrascritti durante l´importazione. Per quello che concerne l´identificazione necessaria, essa può essere rappresentata, ad esempio, da una corrispondente aggiunta al nome dell´elemento; oppure si può utilizzare la procedura dei gruppi d´impianto; vedi il capitolo Progetto globale.


Gestione multi-progetto

Manuale -> Progettazione efficiente con zenon -> Riutilizzare elementi -> Riutilizzo progetti -> Gestione multi-progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella zenon gestione multi-progetto è possibile raggruppare dei progetti anche in un workspace sotto il "tetto" unico di un progetto d´integrazione. In tal modo, è possibile modificare un progetto centralmente nello stesso momento in cui in un altro progetto vengono effettuati dei cambi a livello locale.

Esempio

in una sede di progettazione centrale deve essere realizzato il meccanismo di riutilizzo del materiale grafico in modo tale che sia poi disponibile un´interfaccia omogenea per tutte le sedi mondiali della ditta. A tal scopo, la progettazione centrale crea un modello di progetto che rappresenta la base grafica per tutti gli altri team di progettazione. Se, però, si effettua una modifica dell´aspetto dell´interfaccia a livello centrale, essa deve essere ripresa in tutte le altre sedi di progettazione. A tal scopo si può usare la gestione multi-progetto: un progetto contiene gli elementi che vengono gestiti centralmente, un altro la progettazione locale.

Procedura:

  1. in primo luogo si manda un progetto di base a tutti i team di progettazione.
  2. Esso viene scaricato nel workspace attivo.
  3. Poi si procede localmente all´impostazione di un secondo progetto che contiene gli specifici adattamenti.
  4. Nel workspace ci sono adesso due progetti: il progetto modello e quello personalizzato.
  5. Il prossimo passo consiste nel conferire un ordine gerarchico ai progetti in questione.
  6. Il progetto modello diviene progetto di integrazione, mentre l´altro diventa sotto-progetto.

info Informazioni su

Questo metodo non è adatto a progetti che sono destinati a sistemi che usano Windows CE. Questo perché Windows CE consente di avviare sempre solo un progetto alla volta.


Rete integrata

Manuale -> Progettazione efficiente con zenon -> Rete integrata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Engineering distribuito in rete e ridondanza al 100%: con zenon non sono più un problema particolare per Voi. Per impostare delle reti non dovete far altro che attivare la checkbox corrispondente nelle proprietà di progetto. E con la stessa facilità realizzate dei sistemi collegati in rete efficientemente e perfettamente ridondanti partendo da singoli progetti stand alone.

Se disponete di una rete Windows TCP/IP, in zenon sono a Vostra disposizione automaticamente delle funzioni di rete da usarecon semplici clic del mouse, come modello Client/Server, oppure sistema multi-gerarchico con sottostazioni, centrale aree e centrali. Voi

  • create dei progetti che sono accessibili contemporaneamente da diversi utenti in rete.
  • Assicurate degli impianti grazie alla ridondanza circolare al 100% messa a disposizione da zenon.
  • Realizzate senza problemi dei sistemi distribuiti.
  • Accedete a stazioni remote.
  • Monitorate e gestite degli impianti via zenon Web Server.
  • Visualizzate i dati di processo di tutte le stazioni in tempo reale.
  • Rendete visibili le azioni effettuate in una postazione su tutte le altre, per esempio, il ripristino di allarmi.
  • Fate in modo che le azioni vengano protocollate e archiviate centralmente.
  • Siete in grado di usare i dati di processo per applicazioni ERP, come SAP.

zenon pensa automaticamente a garantire il necessario sincronismo di tutti i computer coinvolti.


Consigli e trucchi del mestiere

Manuale -> Progettazione efficiente con zenon -> Consigli e trucchi del mestiere

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon vi mette a disposizione molte combinazione di tasti e vie di progettazione abbreviate. Ve ne presentiamo brevemente una selezione.

Consigli e trucchi per

  • l´Editor
  • il Runtime
  • la Fase di test
  • Combinazioni di tasti

Noch in diesem Kapitel

zenon Editor

zenon Runtime

Combinazioni di tasti

Test di progetti


zenon Editor

Manuale -> Progettazione efficiente con zenon -> Consigli e trucchi del mestiere -> zenon Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Consigli per l´Editor di zenon:

Generale

  • Salvare le visualizzazioni dell´Editor: Facendo uso dei Profili Editor, potete salvare la vostra organizzazione individuale delle finestre dell´Editor ed assegnarla ai diversi moduli.
  • Aprire direttamente la cartella per i file Editor: Selezionate ed evidenziate il progetto, e pigiate poi la combinazione tasti Ctrl +Alt+E.
  • Aprire direttamente la cartella per i file Runtime: Selezionate ed evidenziate il progetto, e pigiate poi la combinazione tasti Ctrl +Alt+R.

Editor immagini/Editor simboli

  • Collega elementi:
    Potete collegare funzioni, variabili, caratteri ecc per Drag&Drop con Elemento dinamici.
  • Aggiungere una copia allo stesso posto:
    Usando la combinazione tasti CTRL+Shift+V potete aggiungere degli elementi copiati esattamente nella stessa posizione dell´elemento originale.
  • Disegna un cerchio:
    Per disegnare un cerchio, trascinando l´elemento Ellisse/Cerchio tenete premuto il tasto Shift.
  • Modificare linea simmetricamente:
    Tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  • Scalare:
    Potete scalare più elementi d'immagine contemporaneamente: Per far ciò:
    • Evidenziate tutti gli elementi.
    • Trasformateli in un gruppo elementi.
    • Scalate quest´ultimo come desiderate.
    • I singoli elementi verranno scalati con la stessa dimensione.
    • Scomponete il gruppo in elementi singoli.
  • Modelli per immagini:
    Potete trasformare qualsiasi immagine in un Modello d´immagine.
  • Manipolare le coordinate X/Y di un elemento:

    Potete inserire direttamente in una finestra di dialogo le coordinate X/Y di un elemento o di un angolo di un poligono, oppure potete spostarle facendo uso dei tasti freccia.

    • Inserimento diretto: Quando si clicca due volte sul punto di aggancio di un elemento o un angolo di un poligono, si apre una finestra di dialogo. Potete utilizzare questa finestra di dialogo per inserire direttamente le coordinate X/Y di questo punto.
    • Manipolare usando i tasti freccia: Posizionate il cursore mouse sul punto di aggancio di un elemento o un angolo di un poligono. Adesso potete manipolare direttamente le coordinate X/Y di questo punto usando i tasti freccia.
  • Vai all'elemento collegato:
    Quando si clicca con il tasto destro del mouse su una proprietà nella finestra delle proprietà, si apre un menù contestuale che vi consente di passare direttamente all´elemento collegato.

Cambio lingua

  • Definizione delle unità:
    Settate l´esatta definizione unità come tooltip. Gli operatori sono abituati a far riferimento alle unità di misura usuali nel loro paese. Proprio per questo motivo, l´uso di un tooltip può semplificare in modo considerevole il lavoro di ricerca degli errori, l´ottimizzazione dell´internazionalità e la gestione di quei progetti che devono essere utilizzati al livello internazionale.
    Fate in modo che questo tooltip sia traducibile, usate definizioni internazionali anche nel paese. Naturalmente potete tradurre le unità di misura nella lingua del paese in cui il progetto trova applicazione.
  • Unità di valore come simbolo e non parola:
    Per rappresentare valori, usate i simboli delle corrispondenti unità di misurazione. In tal modo vi risparmierete il lavoro di traduzione.
    Esempio: Indicazione della temperatura: Se usate la parola "grado", dovrete tradurla nelle diverse lingue. Il simbolo °, invece, è internazionale ed uguale in tutte le lingue; lo si può usare in riferimento a gradi Celsius, Fahrenheit e Kelvin.
    Settate dunque nelle proprietà dell´unità di base il simbolo corrispondente.
  • Conversione di valori:
    Aggiungete ad ogni funzione di cambio lingua la corrispondente conversione di valori. In caso contrario può accadere con facilità che ci siano dei malintesi.

L´editor dei simboli:

  • Rilasciare e rendere disponibile una proprietà:
    via Drag&Drop della proprietà nella finestra inferiore dell´Editor dei simboli, potete rilasciare la proprietà stessa. Nel far ciò, dovete sempre cliccare sul nome della proprietà e non sul valore.
  • Modalità di modifica oggetti singola nel caso di simboli:
    Facendo uso della combinazione Alt+Clic su di un elemento, viene attivato l´elemento sottostante.

Variabili e driver

  • Sostituzione:
    Per poter usare nel modo migliore la possibilità di sostituzione:
    • Usate i tipi dato strutturati.
    • Fate attenzione ad assegnare alle vostre variabili dei nomi corti e pregnanti.
    • Tenete presente già al momento dell´assegnazione del nome la possibilità di effettuare una sostituzione. La denominazione dovrebbe essere univoca e facile da sostituire.
    • Progettate anzitutto un´immagine che deve fungere da modello; potrete usare quest´ultimo, dopo averne ultimato la creazione, ogni qual volta vorrete facendo uso della funzione.
  • Creazione automatica di variabili tramite import:
    Molti driver supportano la creazione automatica di variabili con indirizzamento corretto tramite import dal PLC, oppure da un file. Cliccate con il tasto destro del mouse sul driver e selezionate Importa variabili dal driver.


zenon Runtime

Manuale -> Progettazione efficiente con zenon -> Consigli e trucchi del mestiere -> zenon Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Consigli per il Runtime di zenon:

Generale

  • Visualizza nome immagine:
    Cliccate con il tasto destro del mouse su un settore vuoto dell´immagine e tenete premuto il tasto del mouse. Apparirà il nome dell´immagine.
  • Mostra collegamento:
    Cliccate con il tasto destro del mouse su un elemento dinamico e tenete premuto il tasto del mouse. Verranno visualizzate le funzioni e le variabili collegate.
  • Errore di comunicazione:
    Visualizzazione tramite simboli sull´elemento numerico:
    • Rettangolo rosso in alto a sinistra: nessuna comunicazione con il PLC.
    • Rettangolo blu in alto a sinistra: nessuna comunicazione con il server.
  • Valore impostabile:
    Modificare, oltre il valore, anche il comando.

    Nel Runtime è possibile cambiare non solamente il valore di una variabile. Quando si usa la finestra di dialogo standard, si può modificare tramite il menù a tendina Comando anche la funzione da eseguire, ad esempio Spegni valore spontaneo. Per far sì che venga visualizzata la finestra di dialogo standard, nelle proprietà dell´ elemento dinamico deve essere disattivata la proprietà Immagine tipo Keyboard.

  • Settare valore impostabile direttamente senza dialogo:
    Per settare il valore impostabile direttamente, attivate nelle proprietà dell´elemento dinamico, più precisamente nel gruppo Setta valore impostabile, la proprietà Senza dialogo.

    Quest´impostazione può essere effettuata anche presso la funzione Settare valore impostabile attivando l´opzione Direttamente all´Hardware.

Archiviazione:

  • Mostra nome del file ARX nell´immagine:
    Il nome del file ARX può essere visualizzato in una colonna della lista degli archivi nell´immagine post-elaborazione archivio. A tal scopo, nello zenon6.ini, più precisamente nella parte [ARCHEDIT], settate l´inserimentoKURZBEZEICHNUNG=1. La denominazione breve verrà visualizzata nella lista. Essa corrisponde al nome file ARX ed è anche parte di tutti gli archivi in cascata.

Gestione funzionamento da tastiera

  • Uso tastiera:
    Il Runtime può essere anche gestito completamente usando la tastiera. Per i dettagli vedi capitolo Uso tastiera nella parte della guida dedicata al Runtime.
  • Bloccare tasti:
    Le combinazioni tasti di Windows e i tasti di sistema possono essere bloccati. Per i dettagli vedi capitolo Blocca combinazioni tasti nella parte della guida dedicata al Runtime.


Combinazioni di tasti

Manuale -> Progettazione efficiente con zenon -> Consigli e trucchi del mestiere -> Combinazioni di tasti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon potete seguire molte azioni usando combinazioni di tasti.

Generale

Comando | Combinazione tasti
Apri la guida | F1
Avvia / chiudi modalità schermo intero | Shift+F9
Remote: Chiudi modalità schermo intero | Ctrl+Alt+Shift+F
Avvia VSTA Editor | Alt+F10
Avvia l'Editor VBA | Alt+F11
Wizard: Apri selezione | Alt+F12
Apri explorer con focus sulla cartella SQ per il progetto attuale. Corrisponde a: %ProgramData%\COPA-DATA\[SQL-Ordner]\[UID]\FILES | Ctrl+Alt+E
Apri explorer con focus sui file del progetto attuale. Ad esempio: C:\Users\Public\Documents\zenon_Projects\[Project]\INI\[Rechner]\INI | Ctrl+Alt+D
Apri explorer con focus sui file Runtime del progetto attuale. Ad esempio: C:\Users\Public\Documents\zenon_Projects\[Project]\INI | Ctrl+Alt+R
Avvia il Runtime; vengono creati i file Runtime modificati in precedenza. | F5
Crea i file runtime modificati | F7

Profili editor

Comando | Combinazione tasti
Carica profilo editor 1 | Shift+F1
Carica profilo editor 2 | Shift+F2
Carica profilo editor 3 | Shift+F3
Carica profilo editor 4 | Shift+F4
Carica profilo editor 5 | Shift+F5
Carica profilo editor 6 | Shift+F6
Carica profilo editor 7 | Shift+F7
Carica profilo editor 8 | Shift+F8
Salva visuale editor attuale come: |
Profilo editor 1 | Ctrl+Shift+F1
Profilo editor 2 | Ctrl+Shift+F2
Profilo editor 3 | Ctrl+Shift+F3
Profilo editor 4 | Ctrl+Shift+F4
Profilo editor 5 | Ctrl+Shift+F5
Profilo editor 6 | Ctrl+Shift+F6
Profilo editor 7 | Ctrl+Shift+F7
Profilo editor 8 | Ctrl+Shift+F8

Editor grafico

Indicazioni sulle combinazioni di tasti: il segno di più (+) significa che i tasti vanno premuti insieme.
Ad esempio:

Ctrl+A significa: tenere premuto il tasto Ctrl e poi premere il tasto A.

Ctrl++ significa tenere premuto il tasto Ctrl e premere il tasto +.

Generale

Comando | Combinazione tasti
Finestra principale: scorrere contenuti con mano per trascinamento | tenere premuto spazio
Chiudi immagine attuale | Ctrl+F4
Apri proprietà | Alt+Invio

Selezionare

Comando

Combinazione tasti

Seleziona più oggetti

Tenere premuti Shift oppure Ctrl

Deselezionare un elemento in caso di selezione multipla.

Ctrl+Clic del mouse

Scegli: modifica successione. definisce l´elemento nei confronti del quale tutti gli altri si devono orientare.

Tenere premuto Shift al momento di effettuare la selezione.

Seleziona oggetti nascosti
  1. Premere Alt
  2. Cliccare sull´elemento e muoverlo.

Seleziona tutti gli elementi di un´immagine.

Ctrl+A

Selezionare prossimo elemento nella successione della creazione.

Tab

Selezionare elemento precedente nella successione della creazione.

Shift+Tab

Posizionare

Comando | Combinazione tasti
Spostare oggetto selezionato | Tasti freccia
Spostare di 10 pixel per ogni pressione sul tasto con frecce | Shift+Tasto con frecce
Spostare solamente orizzontalmente oppure solo verticalmente | Tenere premuto Shift al momento di effettuare lo spostamento.
Centrare un oggetto selezionato nell´area di lavoro. | H

Azioni

Comando | Combinazione tasti
Salva modifiche. | Ctrl+S
Inserisce elemento proveniente dagli appunti | Ctrl+V Shift+Ins
aggiunge elementi preso dagli appunti nella posizione originale. Originale e copia sono sovrapposti in modo perfetto. | Ctrl+Shift+V
Copia gli elementi selezionati | Ctrl+C Ctrl+Ins
Copia invece che spostare | Tenere premuto Ctrlal momento di effettuare lo spostamento.
Cancella un elemento selezionato | Canc
Taglia un elemento selezionato | Shift + Del Ctrl+X
Annulla modifiche | Ctrl+Z Alt+Backspace
Aggiungi o cancella nodo nell´elemento selezionato. Aggiungi: il cursore del mouse diventa un segno pulsante (+). Cancella: il cursore del mouse diventa un segno pulsante (-). funziona con polilinee, poligoni o elementi condutture. | Ctrl+Shift
Termina disegno di polilinea e poligoni | S
Termina disegno di polilinea e poligoni e cancella l´ultima area parziale disegnata | Esc
Colloca elementi selezionati al livello superiore | +
Colloca elementi selezionati al livello inferiore | -
Porta elementi selezionati in primo piano | Ctrl++
Porta elementi selezionati sullo sfondo | Ctrl+-

Scalare

Comando

Combinazione tasti

Modifica grandezza

Posizionare il cursore del mouse sul punto di aggancio in modo tale che esso prenda la forma di una freccia. Poi, facendo uso dei tasti con le frecce si può procedere a stabilire la posizione con grande precisione tenendo premuto il tasto Shift in passi di 10 pixel.

Nota: se, facendo uso della proprietà Rotazione [°], si è definito un angolo non uguale a 0, non è possibile scalare usando i tasti con le frecce.

Scalare oggetto in riferimento al punto centrale:

Tenere premuto Altal momento di effettuare lo spostamento.

Scalare in modo proporzionale:

Tenere premuto Shift al momento di scalare.

Visualizzazione dettagliata

Comando | Combinazione tasti
Crea nuovo elemento per il modulo relativo | Ins.
Modifica la colonna selezionata | F2
Copiare un elemento della lista selezionato | Ctrl+C
Inserisce un elemento copiato in precedenza | Ctrl+V
Cancellare un elemento della lista selezionato | Canc
Scrollare diversi elementi nella lista verso l'alto | Immagine su
Scrollare diversi elementi nella lista verso il basso | Immagine giù
Navigare nella lista | Tasti con frecce

Runtime

Comando | Combinazione tasti
Sfoglia attraverso la finestra Windows aperta | Alt+Tab
Terminare il runtime | Alt+F4


Test di progetti

Manuale -> Progettazione efficiente con zenon -> Consigli e trucchi del mestiere -> Test di progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Consigli su come testare i progetti:

  • Nome della variabile nell´immagine:
    Per visualizzare un nome variabile nell´immagine, progettate un elemento combinato senza stati e con il testo di default: %n.


Runtime

Manuale -> Runtime

Il Runtime è un software che supporta le possibilità di rappresentazione grafica di progetti HMI/SCADA.

tutorial Informazioni sulla licenza

Per usare il Runtime di zenon si deve disporre di una licenza valida. La licenza viene calcolata sulla base del numero di Tag e IOS utilizzati. I dettagli sul tema licenze li trovate nel capitolo Registrazione licenza.

Esso offre:

  • Visualizzazione processo
  • Archiviazione di dati, come messaggi, segnalazioni e valori di processo.
  • Lista di informazione allarmi integrata,
  • Ricette,
  • Multi-Touch e molto più.

attention Attenzione

Al fine di garantire una visualizzazione ottimale di zenon nel Runtime, si consiglia di adottare per Windows Visualizzazione la impostazione standard (corrisponde 100%). Se si opta per valori maggiori, può succedere che elementi grafici, simboli, testi ecc. non siano visualizzati correttamente.

A partire da zenon 7.10, il Runtime è disponibile nella versione a 32-Bit e in quella a 64-Bit. I progetti possono essere eseguiti con entrambe le versioni. I dettagli concernenti la compatibilità con le versioni di zenon 7.10 li trovate nel capitolo Conversione progetto, nel capitolo Versione a 64-Bit. Il Runtime è disponibile come zenon Supervisor e come zenon Operator per sistemi operativi embedded. Le due versioni si differenziano per l´ampiezza delle funzioni disponibili. Per i dettagli vedi Limitazioni per lo zenon Operator.

Più istanze del Runtime

Su un computer può essere avviata sempre solo un'istanza del Runtime di zenon alla volta. Ciò indipendentemente dal fatto se il Runtime viene avviato come file EXE, come Web Client, oppure come Runtime Control (OCX).

Eccezione: sul Terminal Server o sul Terminal Client può essere avviata un´istanza Runtime pro utente come file EXE, come Web Client, oppure come Runtime Control (OCX). Solo un'istanza all volta può essere eseguita all'interno di un contesto utente.

Noch in diesem Kapitel

Versione a 32 e 64-Bit

Attivazione del Runtime

Disinstallare il Runtime

Runtime per Windows CE

Protocolli supportati

Avvio del Runtime

Avvio del Runtime come servizio

Runtime come ActiveX Control

Gestione durante il runtime

File Runtime

Profilo Runtime

Profili filtro

Trattamento degli orari


Versione a 32 e 64-Bit

Manuale -> Runtime -> Versione a 32 e 64-Bit

Adesso zenon è disponibile per l´Editor e il Runtime come versione a 32-bit e a 64-bit. Un Editor di zenon a 32-bit e a 64-bit e un Runtime di zenon a 32-bit e a 64-bit vengono installati su sistemi operativi a 64-bit. I nomi dei file eseguibili sono identici per 32-bit e 64-bit.

Su sistemi a 64-bit, tutti i servizi disponibili in 64-bit sono registrati e usati nella versione a 64-bit. L´Editor e il Runtime possono essere avviati alternativamente. I progetti possono essere modificati in entrambi gli Editor e possono funzionare in entrambi i Runtime.

Componenti quali, ad esempio, il Runtime di zenon Logic, il Workbench di zenon Logic, driver, Process Gateway e altri tool, vengono sempre usati solamente nella versione a 32-Bit.

Limiti generali

La limitazione fondamentale, per cui solamente DLL a 64-bit possono essere caricati in processi a 64-bit, ha certamente come effetto anche delle limitazioni nell´uso di zenon. Ciò riguarda soprattutto le componenti esterne, che vengono caricate nell´Editor o nel Runtime. La cosa riguarda direttamente i DLL che possono essere caricati via VBA/VSTA code e ActiveX control. Questi DLL devono essere disponibili in versioni a 64-bit per poter essere usati nell´Editor o nel Runtime a 64-bit. Gli ActiveX control messi a disposizione da COPA-DATA sono disponibili in versioni a 32-bit e a 64-bit.

Conversione di progetti zenon 5.50.

Con l´Editor a 64-Bit non si possono convertire progetti creati con zenon 5.50. Questi ultimi devono essere prima convertiti con l`Editor a 32-Bit.

Limiti RGM

La banca dati Access non viene più supportata nel RGM. Per poter usare dei dati MS Access di versioni precedenti in un sistema a 64-Bit, il progetto deve essere anzitutto convertito nell´Editor a 32-Bit. La proprietà DataSource non è più disponibile a partire dalla versione 7.10. Dettagli su questo tema li trovate nel capitolo Converti banca dati di Manager di gruppi ricette.

VBA

Per quello che concerne VBA, si è passati alla versione VBA 7.1. Per questo motivo, VBA è disponibile anche in zenon 64-Bit. Se nel VBA code si accede a Windows API o ad altre funzioni DLL importate, queste aperture devono essere adattate a 64-bit. In generale vale quanto segue: un file VBA creato con una versione a 32-bit non può essere usato senza modifiche‑a una versione a 64-bit di VBA.

Per scrivere un codice compatibile a 32 ed a 64 Bit, ci sono in VBA alcune funzioni define. Ad esempio:

#if Win64 then

Declare PtrSafe Function MyMathFunc Lib "User32" (ByVal N As LongLong) As LongLong

#else

Declare Function MyMathFunc Lib "User32" (ByVal N As Long) As Long

#end if

#if VBA7 then

Declare PtrSafe Sub MessageBeep Lib "User32" (ByVal N AS Long)

#else

Declare Sub MessageBeep Lib "User32" (ByVal N AS Long)

#end if

Potete ottenre alcune indicazioni utili sul porting di VBA 32-bit code a VBA 64-bit da Microsoft:

  • Microsoft Office 2010, notes on porting: http://msdn.microsoft.com/en-us/library/ee691831.aspx
  • 32-Bit e 64-Bit Declares per API-Calls: http://www.jkp-ads.com/articles/apideclarations.asp

Componenti solo a 32 bit

Le seguenti componenti sono disponibili solo nella versione a 32 bit anche sui calcolatori a 64 bit:

  • alcuni programmi, come SIC.exe e DiagViewer.exe
  • Licenza
  • Process Gateway
  • Tool startup
  • Windows CE
  • Driver
  • Workbench e Runtime di zenon Logic


Attivazione del Runtime

Manuale -> Runtime -> Attivazione del Runtime

La procedura da seguire per la prima attivazione del Runtime dipende dal fatto se il vostro dispositivo è del tipo "turn-key" (per così dire "chiavi in mano"), vale a dire con il Runtime già installato, o se si tratta invece di un dispositivo sul quale il Runtime deve essere ancora installato. Se il Runtime è già installato, non si deve far altro che copiare il progetto desiderato sul dispositivo Runtime.

Per fare ciò:

  • Salvate i vostri file di progetto su un supporto dati esterno.
  • Trascinateli via Drag&Drop, oppure copiateli con Copia&Incolla sul vostro apparecchio Runtime.

oppure

  • Prendere il progetto dal server e trasferitelo sul dispositivo Runtime.
  • Create un client usando la topologia di rete.

Nota: ciò è possibile anche usando il Trasporto Remoto.

Se il Runtime non è ancora installato sul dispositivo, lo si dovrà anzitutto installare. Per sapere come si fa, vi preghiamo di leggere le istruzioni contenute nel capitolo zenon Installazione standard..

Dopo aver effettuato l´installazione, avete bisogno di una licenza per poter attivare il Runtime. Le informazioni sulla licenza si trovano su un certificato di licenza fornito con il dispositivo o con il supporto di installazione.

Nota: è possibile che il disco rigido del vostro dispositivo si rompa dopo essere stato usato per anni in un ambiente industriale. Per evitare perdite di dati, può essere una buona idea creare un sistema ridondante, come quello che utilizza un server e un Server-Standby.

Noch in diesem Kapitel

Installazione

Requisiti di sistema e sistemi operativi

Requisiti hardware


Installazione

Manuale -> Runtime -> Attivazione del Runtime -> Installazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per installare il Runtime di zenon, avviate anzitutto il processo di installazione del vostro supporto di installazione zenon.

Questo processo viene avviato automaticamente quando collegate il supporto di installazione zenon e vi guida passo per passo attraverso tutta la procedura di installazione. Un´altra possibilità è quella di avviare l´installazione eseguendo il file START.exe nella Root Directory del vostro supporto di installazione zenon..

info Informazioni su

Potete trovare ulteriori informazioni su questo tema nella guida dedicata a Installazione e update, nel capitolo zenon installazione standard.


Requisiti di sistema e sistemi operativi

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti di sistema e sistemi operativi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete trovare una panoramica dettaglia sui sistemai operativi supportati e su software e hardware necessari nel capitolo Installazione e update.

Noch in diesem Kapitel

Requisiti del sistema in caso di uso di DirectX

Struttura di file

Porte libere

Eccezioni per antivirus

Impostazioni firewall


Requisiti del sistema in caso di uso di DirectX

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti di sistema e sistemi operativi -> Requisiti del sistema in caso di uso di DirectX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si usa DirectX Hardware oppure DirectX Software, devono essere soddisfatti i seguenti requisiti minimi:

Nota: Per i progetti di dimensioni più grandi, oppure in caso che più progetti vengano caricati allo stesso tempo, l´hardware deve avere delle prestazioni corrispondenti al carico cui lo si sottopone. Ciò può far sì che i requisiti minimi richiesti siano superiori.

Parametri

Requisiti minimi

Raccomandato:

CPU:

Single Core con supporto SSE2.

Quad Core o più Cores

Scheda grafica:

(solo DirectX Hardware)

Scheda grafica DirectX 11 Mainstream.

Nota: particolarmente quando si usa una chip grafica integrata, è possibile (a seconda del driver usato) che ci siano dei problemi relativi alla qualità della visualizzazione.

AMD dedicata DirectX 11 oppure scheda grafica nVidia High-End

Memoria grafica:

(solo DirectX Hardware)

1 GB VRAM

Nota: la dimensione di cui si ha effettivamente bisogno dipende dal numero di immagini aperte e degli elementi rappresentati.

2 GB VRAM

Driver scheda grafica:

(solo DirectX Hardware)

Il driver più recente del produttore della scheda grafica.

Sistema operativo:

DirectX Hardware e DirectX Software funzionano solamente su sistemi operativi con supporto di DirectX11.1:

Se il sistema non supporta DirectX 11.1, si passa automaticamente a Windows Basis .

Deve essere installato l´attuale runtime DirectX. Esso viene installato per zenon automaticamente con il setup. Per il Web Client, però, deve essere installato manualmente.

La compatibilità hardware DirectX della scheda grafica e del driver può essere verificata con il tool dei sistemi operativi di Windows dxdiag.exe.
Fino a Windows 7: controllate alla voce Visualizzazione il valore DDI-Version. Il valore 11, per esempio, sta per DirectX 11.
A partire da Windows 8: Nella scheda Display, alla voce Feature Levels vengono elencate tutte le versioni DirectX supportate. DirectX 11, per esempio, viene visualizzato come 11.0.


Struttura di file

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti di sistema e sistemi operativi -> Struttura di file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La struttura di file viene creata o estesa durante l'installazione.

I file di programma di zenon sono copiati in una cartella definita in fase di installazione.

Inoltre, durante l’installazione, il sistema richiede una cartella per i database-SQL del progetto. Sul supporto su cui viene salvato il progetto (SQL, immagini ecc) deve essere riservato abbastanza spazio, visto che vengono salvati in questa sede tutti gli attuali e futuri di dati di progetto.

Cartella | Percorso
Cartella programmi | Sistema a 32-Bit: %Program Files%\COPA-DATA\zenon7xxx Sistema a 64-Bit: %Program Files%\COPA-DATA\zenon7xxx %Program Files (x86)%\COPA-DATA\zenon7xxx
Cartella dei dati programma, per es. simboli globali, modelli di stampa, file di log, ecc., | %ProgramData%\COPA-DATA\zenon7xxx
Cartella database (SQL) | %ProgramData%\COPA-DATA\SQL
Cartella di sistema | %ProgramData%\COPA-DATA\System
Impostazioni Editor e profili | %Users%\UserName\AppData\Local\COPA-DATA\zenon\Editor
Impostazioni Diagnose Viewer | %Users%\UserName\AppData\Local\COPA-DATA\zenon\DiagView

Definizione della cartella Runtime e cartella dati

Cartella Runtime

L'Editor crea i file Runtime nella cartella Runtime;oppure essi vengono trasferiti in questa cartella con il meccanismo del trasporto remoto. Quando create un progetto, dovete indicare la cartella Runtime; la potete poi modificare in un secondo momento nelle proprietà di progetto. Nella trasferimento remoto, la cartella Runtime viene fissata nelle impostazioni del Trasporto Remoto.

Cartella dati

Il Runtime salva tutti i file dati creati nel Runtime (come, per esempio, file di allarme, file di allarme ecc) nella cartella dati. Di default, la cartella dati viene creata come sottocartella della cartella Runtime. Essa riceve automaticamente il nome del computer su cui è eseguito il Runtime. Si può modificare il luogo dove salvare i file nelle proprietà di progetto (Generale/Cartella dati).

Suggerimento: non ponete mai la cartella dati su un supporto rimovibile, come una chiavetta USB oppure una peiferica di rete. Si consiglia di memorizzare i dati localmente e di effettuarne un backup esternamente.

attention Attenzione

Se il percorso indicato non esiste o non è disponibile, dal Runtime non viene più scritto nessun dato. Ciò comporta una perdita completa (100%) dei dati. È possibile continuare a lavorare con il Runtime, ma esso deve essere riavviato non appena il percorso è di nuovo disponibile. Se la cartella è disponibile o meno, lo si può verificare con la variabile del driver di sistema [Risorse di sistema] Cartella Runtime non disponibile .


Porte libere

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti di sistema e sistemi operativi -> Porte libere

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon e zenon Logic hanno bisogno di determinate porte per poter comunicare in rete. Se altri programmi, per esempio Server SQL già installati, occupano queste porte, ciò può creare problemi alla comunicazione di zenon. In zenon molti numeri di porta sono modificabili usando lo Startup Tool, oppure tramite le proprietà nell´Editor.

Per verificare l´assegnazione dei numeri di porta, procedete come segue:

  1. Inserite nella riga di comando netstat -a -n -o.

    In Windows, raggiungete la riga di comando nel modo seguente:

    • Premete i tasti Windows+R
    • Digitate cmd e confermate con OK
    • Si apre una finestra di inserimento DOS
    • Inserite in questa finestra il comando netstat.
  2. Ricevete una lista di tutte le porte TCP/IP e UDP attive.
  3. Controllate le porte in ascolto (stato: ASCOLTO) e verificate se per i numeri di necessari a zenon e zenon Logic l´ID processo (PID) corrisponde ai processi di zenon e zenon Logic.

    Trovate questi PID nella finestra Processi del Windows Task Managers; attivate a questo scopo nel menù Selezionare le colonne della vista, la colonna PID.

  4. Nel caso in cui un altro software dovesse utilizzare queste porte, riconfiguratelo.
    Quali siano le porte usate da zenon e zenon Logic, lo vedete nella tabella Assegnazione porta a zenon e zenon Logic. In questa sede potete anche verificare se in questi programmi i numeri di porta sono adattabili e modificabili.

Assegnazione porta a zenon e zenon Logic

Applicazione

Descrizione

Numeri di porta

Protocollo trasporto

stratonrt[k].exe

Runtime di zenon Logic Comunicazione polling e workbench di zenon Logic .
  • 1200-1210

TCP

stratonrt[k].exe

  • 4500-4510

TCP

stratonrt[k].exe

Ridondanza di zenon Logic.
  • 7000-7010

TCP

stratonrt[k].exe

Runtime di zenon Logic Comunicazione spontanea.
  • 9000-9010

TCP

zennetsrv.exe

Servizio di rete di zenon .
  • 1100-1100

TCP

zensyssrv.exe

Servizio di trasporto di zenon.
  • 1101

TCP

zendbsrv.exe

Servizio database di zenon.
  • 1103

TCP

zenAdminsrv.exe

Servizio di amministrazione di zenon.
  • 50777

TCP

zenLogSrv.exe

Servizio di registrazione di zenon.
  • 50780

TCP

zenvnc.exe

Servizio Desktop remoto di zenon.
  • 5600 (fisso)
  • 5610 (fisso)

TCP

CodeMeter.exe

Servizio dongle Code Meter.
  • 22350 (modificabile; ma non deve essere cambiato).

TCP

WkSvW32.exe

Servizio di rete WibuKey.
  • 22347 (fisso)

TCP

Zenrt32.exe

Message Control con Voice over IP.
  • 5060: SIP
  • 4000: RTP
  • 4001: RTCP (fisso)

SIP e RTP possono essere configurati usando l´Editor. RTCP viene settato automaticamente dal sistema.

UDP


Eccezioni per antivirus

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti di sistema e sistemi operativi -> Eccezioni per antivirus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon necessita di una serie di servizi ed operazioni che possono essere considerati come potenziali minacce da programmi antivirus.

Esempi:

  • Comunicazione con CodeMeter --> USB-Dongle
  • Caricare VBA oppure VSTA Code
  • Implementazione di elementi ActiveX in immagini.
  • Frequente accesso a file, ad esempio per archiviazione, CEL, AML....

Nota: ci sono problemi di compatibilità con il programma antivirus Ahnlabs V3. Se zenon dovesse rifiutarsi di partire e dovesse visualizzare una segnalazione di errore, settare V3 in modalità Game-Mode, oppure disinstallate V3.


Impostazioni firewall

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti di sistema e sistemi operativi -> Impostazioni firewall

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon usa una serie di numeri di porta. Un eventuale firewall deve consentire la comunicazione tramite queste porte. Se necessario, queste ultime devono essere abilitate nel firewall.

Port usate

Per la comunicazione all’interno di zenon vengono utilizzate esclusivamente porte TCP, e non porte UDP. In rete, zenon utilizza le seguenti porte:

Servizi | File | Compito | Porta TCP
Servizio di rete | zenNetSrv.exe | Comunicazione Runtime. | 1100
Servizio di trasporto | zenSysSrv.exe | Trasferimento dati via Trasporto Remoto (Editor). | 1101
zenon Web Server | zenWebSrv.exe | Gateway fra Web Client e Runtime | 1102

I numeri di porta possono essere modificati individualmente mediante la scheda Listening ports dello Startup Tool. Tenete presente che, in questo caso, la modifica va effettuata in tutti i dispositivi interessati.

Inoltre, i servizi di zenon e zenon Analyzer usano una serie di porte:

Applicazione | Porta standard
zenon |
Network Service | 1100
Transport Service | 1101
WEB Service Classic | 1102
DB Service | 1103
SQL Browser Service, (per la progettazione multiutente nell´Editor) | 1434
zenAdminSrv.exe | 50777
Logging Service | 50780
zenVNC.exe | 5600 - 5610
SNMP Trap Service | 50782
zenLicenseSr | 50783
zenLicenseStub | 50789
zenLicenseCenter | 50689
WEB Service Tunneling | 8080
zenon Logic |
Il numero di porta assegnato a zenon Logic o straton dipende dal progetto e dal servizio. Per es.: il primo progetto zenon Logic occupa 1200 e 9000, i secondo progetto 1201 e 9001 ecc | 1200 - 1210 4500 - 4510 7000 - 7010 9000 - 9010
zenon Analyzer |
Administration Service | 50777
Analyzer Connector Service | 50778
Analyzer License Service | 50779
ZAMS | 50781
Driver |
Driver Simulation | 6000 - 6020
Process Gateway OPC Server | 135
Process Gateway SNMP | 161
Process Gateway Modbus | 502
Process Gateway IEC60870-5 104 slave | 2402
Process Gateway DEC | 5555
Process Gateway DNP3 Slave | 20000

Nota: i driver di zenon che comunicano via Ethernet, usano TCP e perciò è possibile che necessitino di autorizzazioni nel firewall, a seconda della porta utilizzata.


Requisiti hardware

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti hardware

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Uno dei requisiti per l´attivazione del Runtime è un Setup eseguito correttamente e portato a termine con successo. Inoltre è indispensabile disporre di una licenza valida.

I requisiti minimi sono elencati nella seguente tabella. Essi si riferiscono all´installazione completa del Runtime. Per gestire progetti di grandi dimensioni, oppure se più progetti sono caricati contemporaneamente, potreste avere bisogno di un hardware più veloce e potente. In questo caso i requisiti minimi saranno maggiori.

Hardware

Requisito minimo

Raccomandato

CPU

Single Core con supporto SSE2.

Quad Core

Memoria RAM

Windows 7/8: da 512 MB.

Nota: i progetti con una grande quantità di dati, i progetti di rete, più progetti paralleli e progetti con modalità ridondante hanno bisogno di più spazio di memoria.

Windows 7/8: 4096 MB

Disco fisso

2 GB di spazio memoria libero per l´installazione del Runtime, più spazio memoria per i progetti.

Attenzione: se salvate dati storici (per esempio dati d'archivio oppure allarmi-/dati CEL), sul disco fisso ci deve essere uno spazio di memoria sufficiente; oppure si deve prevedere in fase di progettazione che i dati storici vengano dislocati oppure cancellati.

Risoluzione dello schermo

VGA con 640 x 480.

Scheda grafica

64 MB di memoria dedicata. Le schede con Shared Memory possono causare la riduzione delle prestazioni. A questo proposito, tenete presente quanto detto nel capitolo Requisiti del sistema nel caso di uso di DirectX.

Periferiche di input

Tastiera e/o mouse. E´possibile anche una gestione touchscreen. Avete a disposizione molti tipi di soft-keyboard personalizzabili da usare con il touchscreeen.

Interfaccia USB

(opzionale)
  • Per l´installazione.
    E´possibile un´installazione anche via rete, oppure mediante altri supporti dati.
  • Per Dongle. Possibile anche dongle di rete.

Connessione di rete (opzionale)

64 kBits/s per progetti Client/Server standard.

100 Mbit/s full duplex per funzionamento ridondante.

100 Mbit/s full duplex per progetti Client/Serverstandard.

Connessione remota (opzionale)

Requisito minimo: Modem dial-up a 9600 bit/s.

1 MBit/s full duplex.

Impiego WAN (opzionale):

Connessione qualsiasi via router, per esempio via ISDN oppure DSL. Per cause tecniche, la trasmissione dati in WAN è più lenta che in una rete locale. Vi invitiamo a tener presente già in fase di progettazione le possibili frequenze di trasmissione dati della tecnica WAN da voi usata.

Message Control (opzionale):

I requisiti richiesti in questo caso li trovate nel capitolo Message Control.

Interfacce (opzionale):

Quali interfacce sono necessarie dipende dalle prestazioni richieste al PLC e/o alla connessione bus, ad esempio: interfacce seriali RS232 oppure RS422/485, ISA/PCI, ecc.

Noch in diesem Kapitel

Percorsi per setup e in funzione

Demo Modus

Runtime sotto Windows Embedded Standard

Runtime per Windows CE


Percorsi per setup e in funzione

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti hardware -> Percorsi per setup e in funzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Percorsi per zenon:

  • Setup
  • Runtime

info Info

Potete visualizzare molti percorsi standard usando il comando set:

  • Aprite la riga di comando (inserite cmd nell´aria di avvio di Windows)
  • Digitate il comando set
  • Cliccando sul pulsante Invio verranno visualizzate le cartelle standard di Windows e zenon

Nota: visto che i percorsi assoluti possono essere diversi a seconda del sistema operativo, in questo capitolo i percorsi sono visualizzati sempre come variabili di ambiente Windows. Per esempio %ProgramData%, invece di C:\ProgramData.

Setup

Al momento dell´effettuazione del setup, il sistema setta i percorsi per software necessari di terzi, nonché la cartella Runtime di zenon.

Il setup richiede diritti di amministratore; ciò vale anche per la modifica dei percorsi di installazione.

Requisiti

I percorsi di installazione di software necessari di produttori terzi corrispondono ai percorsi standard del produttore corrispondente; essi non sono modificabili durante il setup.

Quali ulteriori pacchetti software vengono installati, dipende dal tipo di installazione:

  • Editor di zenon
  • Runtime di zenon
  • Web Client di zenon
  • Runtime di zenon Logic
Requisito: | Editor | Runtime | WEB Client | zenon Logic Runtime
Microsoft .NET Framework 3.5 Sp1 | + | + | - | -
Microsoft .NET Framework 4.0 | + | + | - | -
Microsoft Visual C++ 2005 Redistributables | + | + | - | +
Microsoft Visual C++ 2010 Redistributables | + | + | + | +
Microsoft Visual C++ 2012 Redistributables | + | + | + | +
Microsoft SQL-Server 2012 SP1 Express (a partire da 7.10) | + | - | - | -
VSTA | + | + | - | -
OPC-Core Components (fino a 6.22 SP1) | + | + | - | -
Wibu key Dongle Software 6.0 x86/x64 | + | + | - | -
COPA-DATA Multiple Network Protocol Driver x86/x64 | + | + | - | +
CodeMeter Dongle Software x86/x64 | + | + | - | -
Report Viewer 10.0 (a partire da 7.00) | + | + | + | -
VBA 7.1 | + | + | + | -

zenon Runtime

Per caricare i progetti, il Runtime di zenon usa il percorso settato nello zenon6.ini. Questo percorso può essere settato usando lo Startup Tool , nonché via itrasporto remoto da un Editor di zenon.

Oggetto | Percorso
Progetto | [Benutzerdefinierter Pfad]\[Projekt]\RT
File esterni | [Benutzerdefinierter Pfad]\[Projekt]\RT\FILES\...
Archivi esportati, lista eventi cronologica e lista di informazione allarmi | [Benutzerdefinierter Pfad]\[Projekt]\RT Nota: viene creato al momento del primo export.
File di sistema | Cartella di sistema di Windows.

zenon Logic

I percorsi per zenon Logic vengono impostati in modo analogo a quelli per zenon.


Demo Modus

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti hardware -> Demo Modus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se la licenza del Runtime non è stata registrata in modo corretto, il Runtime stesso potrà essere usato in modalità demo per un periodo di 30 giorni. Una Licenza (Licenza Soft o Dongle) si può ottenere in qualsiasi momento mediante l'inserimento di un numero di serie e di un numero di attivazione valido. La licenza diviene effettiva quando si riavvia zenon.

Nota: A partire dal 41° start oppure dal 31° giorno in modalità demo, il Runtime funziona solamente per 10 minuti. Sotto CE, il Runtime funziona sempre 30 minuti in modalità demo.


Runtime sotto Windows Embedded Standard

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti hardware -> Runtime sotto Windows Embedded Standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I requisiti minimi si riferiscono ad un´installazione del Runtime adattata al sistema operativo Windows Embedded Standard 7 SP1 con aggiornamento piattaforma. Per quello che concerne i progetti di grandi dimensioni, l´hardware deve essere in grado di fornire delle prestazioni adeguate.

Questa tabella contiene solamente i valori che divergono da quelli dell´installazione standard. I parametri restanti corrispondono ai valori descritti nel capitolo Requisiti hardware per il Runtime.

Hardware

Requisiti minimi

Raccomandato:

Memoria RAM
  • 512 MB.

Nota: i progetti con una grande quantità di dati, i progetti di rete, più progetti paralleli e progetti con funzionamento ridondante hanno bisogno di più spazio di memoria.

2048 MB

Supporto di memorizzazione dati
  • 2 GB liberi di spazio di memoria sull´unità C:\ prima dell´installazione di .NET Framework 3.5 e 4.5
    800 MB liberi di spazio di memoria dopo l´installazione di .NET Framework.
  • Più lo spazio di memoria per i progetti, archivi, ecc.

80 GB

Attenzione: se salvate dei dati storici (per esempio dati d'archivio oppure allarmi-/dati CEL), deve essere disponibile sul disco fisso uno spazio di memoria sufficiente; oppure dovete prevedere in fase di progettazione che i dati storici vengano spostati oppure cancellati.


Runtime per Windows CE

Manuale -> Runtime -> Attivazione del Runtime -> Requisiti hardware -> Runtime per Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I requisiti minimi si riferiscono alla installazione completa del Runtime per Windows CE. Per quello che concerne i progetti di grandi dimensioni, l´hardware deve essere in grado di fornire delle prestazioni adeguate.

Hardware | Requisiti minimi | Raccomandato:
CPU | Perlomeno 400 MHz | 1 GHz
Memoria RAM | 64 MB | 1024 MB per Windows CE 6.0.
Supporto di memorizzazione dati | 64 MB spazio libero di memoria. Memoria ritentiva permanentemente impostata in scrittura per dati progetto. | 256 MB di spazio memoria libera o ancora di più.
Connessione di rete | Per Progetti Client/Server standard: 10 Mbit/s full duplex. |
attention Attenzione
A partire dalla versione 7.50, Windows CE non è più supportato. . Viene installata la versione 7.20 di zenon CE. Per usarla, devono essere creati i file Runtime per la versione 7.20.


Disinstallare il Runtime

Manuale -> Runtime -> Disinstallare il Runtime

Per disinstallare il Runtime:

  1. Aprite il pannello di controllo:
  2. Cliccate su Programmi.
  3. Cliccate su Programmi e Funzionalità.
  4. Selezionate nei programmi zenon 7.50.
  5. Cliccate su Disinstallare.
  6. Seguite le istruzioni dell´assistente che vi guida attraverso il processo di disintallazione.


Runtime per Windows CE

Manuale -> Runtime -> Runtime per Windows CE

L´installazione Runtime per Windows CE consiste dei seguenti file:

Nome file | Descrizione
zenonrCE.exe | L'applicazione runtime
Cd_tooCE.dll | Necessario per il Runtime
ZennetsrvCE.dll | Il servizio di rete per Windows CE. Necessario per progetti di rete.
SysSrvCE.exe | Il servizio di trasporto
LogCliLibCE.dll | Il logserver client
zenon6.ini | File di testo con le impostazioni per il Runtime, come, ad es., progetto di start, lingua del Runtime ecc.
UpdateCE.exe | Applicazione necessaria per il CE Update Tool.
RgermaCE.dll | File della lingua tedesco
RengliCE.dll | File della lingua inglese
RfrancCE.dll | File della lingua francese
RitaliCE.dll | File della lingua italiano
RrussiCE.dll | File della lingua russo
RspaniCE.dll | File della lingua spagnolo

Installate il Runtime su un dispositivo CE con il programma "Aggiorna Runtime di Windows CE...", che potete aprire con il menù Opzioni.

attention Attenzione

A partire dalla versione 7.50, Windows CE non è più supportato. . Viene installata la versione 7.20 di zenon CE. Per usarla, devono essere creati i file Runtime per la versione 7.20.

info Info

Per quello che concerne le connessioni a Windows CE 6.0 tramite CX1000, Profibus oppure SYCONuni, vale quanto segue: ci si deve assicurare che il file CDMemDrv.dll sia stato inviato al dispositivo CE. CDMemDrv.dll è un driver di dispositivo Windows CE. La DLL è disponibile per x86 e per ARMV4I.

Ci sono anche molti altri driver per la comunicazione hardware. Se il tipo di processore del dispositivo CE viene riconosciuto dall´Editor, il Trasporto Remoto trasferisce automaticamente con il progetto i driver usati nel progetto stesso al dispositivo CE. Il tipo o la quantità dei file trasferiti è visibile nella finestra di emissione dell'Editor.

Questi file devono essere sempre compatibili con la corrispondente versione CE e con il tipo di processore. Mischiare file di diverse versioni CE o, addirittura, service pack, può causare errori nel funzionamento del sistema o altri effetti indesiderati; perciò non è consentito.

info Info

All'avvio di zenonrce.exe, viene eseguito anche il file syssrvce.exe. In tal modo viene garantito che si deve creare sempre una connessione TCP. Si evitano un grande numero di tempi morti ed è necessario solamente un file per la funzionalità autostar.

Noch in diesem Kapitel

File di sistema

Update del Runtime Windows CE

Installazione manuale e update del Runtime.


File di sistema

Manuale -> Runtime -> Runtime per Windows CE -> File di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il runtime per Windows CE richiede l'esistenza di diversi file di sistema. Se manca uno di questi file, il sistema operativo genera un messaggio di errore durante l´avvio del Runtime, che avverte l'utente che una o più componenti non sono state trovate. I seguenti file di sistema sono assolutamente necessari:

File | Descrizione
mfc90u.dll | Necessario per il runtime Appare un messaggio di errore al momento dell'avvio se questo file non esiste.
msvcr90.dll | Necessario per il runtime Appare una segnalazione di errore al momento dell'avvio se questo file esiste.
atl90.dll | Non è necessario per avviare il Runtime, ma per utilizzare un driver con connessione di rete. o per usare zenon in rete. Se questo file non esiste, il dispositivo non può funzionare da client, oppure non funzionano le connessioni driver TCP/IP.
IMGDECMP.dll | Non è necessario per lo start del Runtime, ma per la visualizzazione di Trasparenza, se Alpha Blending non è integrato nel sistema operativo. Non è possibile un´animazione di file GIF con Windows CE.
VBSCRIPT.dll + JSCRIPT.dll | Non è necessario per l'avvio del Runtime. Questo file è necessario per la PCE (Process Control Engine)

Alcuni di questi file di sistema vengono installati al momento dell´installazione di zenon per CE; possono essere trasferiti al dispositivo CE usando, per esempio, il tool UpdateCE. Tutti questi file di sistema dovrebbero essere integrati già dal produttore di macchinari nell´immagine del sistema operativo del dispositivo CE.

attention Attenzione

Per i produttori di immagini del sistema operativo Windows CE:
le versioni di CE precedenti alla 6.0 hanno bisogno del file toolhelp.dll. Per assicurare che il file sia disponibile sul dispositivo CE e che il Toolhelp sia disponibile inSDK, attivate il seguente inserimento nel Platform Manager :
Core OS -> Display Based Device -> Core OS Services -> Debugging Tools>Toolhelp API. In tal modo, Toolhelp.dll è parte dell´Image.
Consiglio: vi consigliamo di usare sempre il Service Pack più recente di Platform Builder.

Nota: Il file toolhelp.dll non è necessario per Windows CE 6 e non dovrebbe essere utilizzato con CE 6.


Update del Runtime Windows CE

Manuale -> Runtime -> Runtime per Windows CE -> Update del Runtime Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per effettuare un update del Runtime Windows CE:

  • Assicuratevi che il Transport Service di zenon (SysSrvCE.exe) sia eseguito sul dispositivo CE.
  • Assicuratevi di non aver instaurato una connessione remota con il dispositivo per mezzo dell´Editor di zenon.
  • Selezionate nel menù di zenon Opzioni, il comando Aggiorna Runtime di Windows CE
  • Si apre la finestra di dialogo che serve al trasferimento dei file Runtime.
  • Configurate la connessione.
  • Definite i file che volete trasferiti.
  • Selezionate la versione.
  • Avviate l´update.

Nota: se trasferite/installate il Runtime per la prima volta, tenete presente le indicazioni del capitolo Installazione manuale e Runtime-Update .

Configurare la connessione.

Configurate la connessione con il dispositivo Windows CE alla voce Connection.

Parametri | Descrizione
Serial | Impostazione per connessione seriale con il dispositivo Windows CE; deve essere selezionato il numero di porta.
TCP/IP | Impostazioni per connessione TCP/IP con il dispositivo Windows CE.
Adress | Indirizzo IP.
Name | Nome computer.
Syssrvce.exe starts with these settings | Impostazione per lo start di syssrvce.exe.
Serial | Attivo: viene selezionata la connessione seriale; deve essere scelto un numero di porta.
TCP/IP | Attivo: viene selezionata la connessione TCP/IP.
Connection with MS ActiveSync | Impostazioni per la connessione via MS ActiveSync
Use MS ActiveSync for initial transport of syssrvce.exe | Attivo: syssrvce.exe viene trasferito durante il primo transport via MS ActiveSync.
Destination folder | Cartella di destinazione.
Help | Apre la guida online.
Save | Salva tutte le modifiche.
Exit | Chiude il tool di Update CE e dà la possibilità di salvare prima le modifiche non ancora salvate.

Definire i file da trasferire

Parametri | Descrizione
Files to update | File che devono essere trasferiti.
HMI Runtime | Attivo: trasferisce i file di zenon al dispositivo di destinazione. Default: attivo
PLC Runtime | Attivo: trasferisce i file di zenon al dispositivo di destinazione. Default: inattivo
OS system files | Attivo: trasferisce i file necessari del sistema operativo. Default: attivo
Update zenon6.ini | Trasferisce lo zenon6.ini al dispositivo di destinazione. In tal modo vengono modificate anche le informazioni sulla licenza sul dispositivo di destinazione.
Options |
Language | Lingua desiderata sul sistema di destinazione. Default: English
HMI drivers | Selezione dei driver HMI da trasferire.
Available | Lista dei driver disponibili.
Selected | Lista dei driver selezionati.
Add | Aggiunge i driver selezionati alla lista dei driver scelti.
Add all | Aggiunge tutti i driver alla lista dei driver scelti.
Remove | Rimuove i driver selezionati dalla lista dei driver scelti.
Remove all | Rimuove tutti i driver dalla lista dei driver scelti.
Help | Apre la guida online.
Save | Salva tutte le modifiche.
Exit | Chiude il tool di Update CE e dà la possibilità di salvare prima le modifiche non ancora salvate.

Selezionare versione

Selezionate nella scheda Versions la versione adatta, nel caso in cui essa non venga riconosciuta automaticamente.

Parametri | Descrizione
WinCE version | Versione del sistema operativo Windows CE sul dispositivo di destinazione. Cliccando sul pulsante, si apre il menù a tendina che serve alla selezione.
Processor type | Processore del dispositivo.
Source path | Percorso per la cartella che contiene i file. Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare una cartella.
New | Aggiunge un nuovo inserimento vuoto nella lista.
Delete | Cancella l´inserimento selezionato dalla lista.
Test | Controlla le impostazioni.
Help | Apre la guida online.
Save | Salva tutte le modifiche.
Exit | Chiude il tool di Update CE e dà la possibilità di salvare prima le modifiche non ancora salvate.

Avvia update

Per instaurare una connessione:

  • Cliccate nella scheda Update su Start.

  • I dati per il trasferimento vengono verificati e visualizzati in una finestra.
  • Cliccando sul pulsante Next, avviate il trasferimento al dispositivo di destinazione.

Se il trasferimento non può essere avviato per la mancanza di file, sarà visualizzato un messaggio di errore contenente la lista dei file mancanti:

  • Se ricevete il messaggio di errore The current update was not completed, l'update è stato interrotto, oppure eseguito non correttamente.

info Informazioni su

Se volete sostituire zenVNCServer.exe per mezzo di un update, esso viene chiuso, e riavviato dopo l´update. Perché ciò accada, il file zenVNCSrvCE.exe

che si trova in UpdateCE.ini nella sezione [SOURCES_FILES_GENERAL], deve contenere i seguenti inserimenti (esiste di default):

  • zenVNCSrvCE.exe
  • zenVNCCfgCE.exe


Installazione manuale e update del Runtime.

Manuale -> Runtime -> Runtime per Windows CE -> Installazione manuale e update del Runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Installazione e update sono possibili anche senta trasporto remoto e ActiveSync. Dovete anzitutto copiare manualmente i file necessari su una scheda di memoria per il dispositivo CE. E´ dunque necessario che conosciate la versione CE e il tipo di processore del dispositivo CE.

I seguenti file devono essere assolutamente copiati dalla cartella corrispondente per la piattaforma corretta sulla scheda di memoria che è destinata ad essere utilizzata per il dispositivo CE.

  • zenonRCE.exe (Runtime)
  • LogCliLibCE.dll (Diagnose-DLL)
  • zenon6.ini (File di configurazione:)
  • Cd_tooCE.dll (Hilfs-DLL)
  • ZenNetSrvCE.dll ((Rete)
  • CDHelper.dll (Hilfs-DLL)
  • Una delle seguenti DDL linguistiche: RChineCE.dll, RCzechCE.dll, REngliCE.dll, RFrancCE.dll, RGermaCE.dll, RItaliCE.dll, RRussiCE.dll, RSpaniCE.dll (La lingua selezionata è definita nel file zenon6.ini.)
  • syssrvce.exe (servizio di trasporto e Diagnose Server)
  • atl90.dll (File di sistema, possibilmente parte del sistema operativo)
  • mfc90u.dll (File di sistema, possibilmente parte del sistema operativo)
  • msvcr90.dll (File di sistema, possibilmente parte del sistema operativo)

Altri file, come ad esempio i driver oppure il software del desktop remoto (zenVNCCfgCE.exe e zenVNCSrvCE.exe), sono facoltativi.


Protocolli supportati

Manuale -> Runtime -> Protocolli supportati

Il Runtime comunica via driver con tutti i possibili PLC. I driver supportano un grande numero di protocolli.

Driver disponibili:

  • 3964R-RK512 driver (Win, CE)
  • Allen Bradley DF1-driver (Win, CE)
  • Allen-Bradley ODVA driver (Win, CE)
  • Applicom driver (Win)
  • Applicom IO configuration (Win)
  • Archive driver (RAW format) (Win, CE)
  • ARCNET - Driver for ABB (Win)
  • AS-interface (Win)
  • Bachmann M1 driver (Win)
  • Bacnet and DDC4000 driver (Win)
  • BACnet driver Next Generation (Win, CE)
  • Beckhoff BC-BK 9000 (Win, CE)
  • Beckhoff TwinCat ADS driver (Win)
  • Beckhoff TwinCat NG driver (Win, CE)
  • Beckhoff TwinCat TC-ADS driver (Win, CE)
  • Biffi DCM (Win)
  • BR TCP-IP driver (Win)
  • BR Transponder Reader 4102/4150 (Win, CE)
  • BR-PVI based driver (Win, CE)
  • BR-PVI based driver (replaced) (Win, CE)
  • Brodersen IOTOOLS (Win)
  • Buderus32 driver (Win)
  • Codesys Arti NG SoftPLC driver (Win, CE)
  • Codesys Arti SoftPLC driver (Win, CE)
  • Codesys SoftPLC driver (Win)
  • CP001 Gateway driver (Win, CE)
  • CTI driver (Win, CE)
  • Danfoss driver (Win)
  • DataTaker driver (Win, CE)
  • DDE Client driver (Win)
  • DMX 512 driver (Win)
  • DNP3 driver (Win, CE)
  • DNP3 Slave/Outstation (Win)
  • Driver for ABB 07KT94 (Win)
  • Driver for ESA PCI CIB (Win, CE)
  • Driver for Esser BMZ 8000 (Win, CE)
  • Driver for IBH Soft PLC (Win, CE)
  • Driver for internal variables (Win, CE)
  • Driver for Mathematics variable (Win, CE)
  • Driver for Otis controller (Win, CE)
  • Driver for SE-Elektronic (Win)
  • Driver for simulator variables (Win, CE)
  • Driver for Slot PCL SPCx00 (Win)
  • Driver for system variables (Win, CE)
  • Driver for the buttons /Ketop (Win, CE)
  • Driver for VIPA CE touchpanel (Win, CE)
  • Drv for BCI hand-held scanner (Win)
  • Eldatic driver (Win)
  • Elrest CAN Network driver (Win)
  • Energy analysis device UPM 3000 (Win)
  • European Installation Bus (Win)
  • Festo EasyIP Multiprog driver (Win)
  • Festo Serial-CI driver, FST (Win)
  • File driver (Win)
  • FMS with PC card from Siemens (Win)
  • Hekatron driver (Win)
  • Hilscher CIF driver (Win)
  • Hilscher CIF Profibus (Win, CE)
  • Hilscher MPI driver (Win, CE)
  • Hilscher SYCON CifX (Win)
  • Hilscher SYCON configuration (Win, CE)
  • Hilscher SYCON configuration (Win, CE)
  • Hitachi driver (Win, CE)
  • HMI adapter driver (Win, CE)
  • HMS configuration (Win)
  • Hydrometer Driver (Win)
  • i-LON 100 driver (Win)
  • Idec driver (Win)
  • Ident System driver (Win, CE)
  • IEC 60870 - 5 - 103 Driver (Win)
  • IEC 60870-5-101_104 driver (Win, CE)
  • IEC 61400-25-4 Annex C (Win, CE)
  • IEC 61499 driver (Win)
  • IEC 61850 Client (Master) (Win, CE)
  • IEC 61850 driver (Win, CE)
  • IEC 61850 Server (Slave) (Win, CE)
  • IEC-62056-21 Driver (Win)
  • IEC60870-5-101/104 Slave (Win, CE)
  • Interbus S driver (Win)
  • Interbus-S (Win)
  • Internal driver with time stamp (Win, CE)
  • Jetter driver (Win)
  • K-Bus driver for CX1000 (Win, CE)
  • Kemro User ID Driver (Win, CE)
  • Kieback + Peter driver (Win)
  • KOYO Sequence driver (Win, CE)
  • LogiCAD driver (Win)
  • LON driver (Win)
  • LS Industrial Systems-XGT (Win)
  • Matsushita TCP-IP driver (Win)
  • Mininet-Master driver (Win, CE)
  • Mitsubishi - Melsec A-Q driver (Win, CE)
  • Mitsubishi - Melsec FX driver (Win, CE)
  • Modbus Energy driver (Win, CE)
  • MODBUS Master protocol (Win, CE)
  • Modbus RTU and Open Modbus TCP (Win, CE)
  • MODBUS Slave protocol (Win, CE)
  • Modicon TSX Micro driver (Win, CE)
  • Moeller Electric PSUNI driver (Win, CE)
  • OMRON driver (Win, CE)
  • Omron FINS driver (Win, CE)
  • OPC Client V2-0 driver (Win, CE)
  • OPC UA Client driver (Win, CE)
  • OSAI TCP/IP driver (Win, CE)
  • Panasonic serial driver (Win)
  • Passive Modbus RTU driver (Win)
  • PC Adapter - Vipa Green Cable (Win, CE)
  • PCS807 Profibus DP driver (Win, CE)
  • PCS812 S7 connection (Win, CE)
  • PDNet PCI - driver (Win)
  • PICnet driver (Win, CE)
  • PILZ-PSS driver (Win, CE)
  • Profibus DP Master driver (Win)
  • ProfiNet IO RT (Win, CE)
  • Reis Robotics driver (Win)
  • RTK9000 driver (Win)
  • S5 H1 driver (Win)
  • S5 TCP-IP driver (Win)
  • S7 driver for S7-200 (Win, CE)
  • S7 driver Softnet based (Win)
  • S7 MPI for Siemens CE terminals (Win, CE)
  • S7 TCP-IP driver (Win, CE)
  • S7_MPIISA driver (Win)
  • Saia Directly driver (Win, CE)
  • SAIA2ND32 driver (Win)
  • SaNORS - Asfinag SOS-telephones (Win)
  • Schiele S400 driver (Win, CE)
  • Schiele S800 driver (Win, CE)
  • Siclimat X Decos (Win)
  • Siemens S5 PD driver (Win, CE)
  • Siemens Sigmasys driver (Win)
  • SIGMATEK driver (Win)
  • Sigmatek Lasal Driver (Win, CE)
  • Simotion driver (Win)
  • SNMP Driver (Win)
  • SoftNet ProfibusDP (Win)
  • SQL Driver (Win)
  • SST Driver (Win)
  • Standard M-Bus driver (Win, CE)
  • straton driver (Win, CE)
  • straton NG driver (Win, CE)
  • straton to zenon RT connection (Win, CE)
  • Swarco Futurit (Win)
  • System 2000 driver (Win)
  • System 2000 driver with logging (Win)
  • Telco200 driver (Win)
  • Teleperm driver (Win)
  • ThinkIO/IOSystem758 (Win, CE)
  • TI 505 - 545 driver (Win)
  • Trend Driver (Win)
  • Trend NG driver (Win)
  • VDMA-XML driver (Win, CE)
  • VMEBUS driver (Win)
  • Win32 Shared memory (Win)
  • WINAC driver (Win)
  • Write variable values in SQL (Win)


Avvio del Runtime

Manuale -> Runtime -> Avvio del Runtime

Avete diverse possibilità di avviare il Runtime di zenon:

  • Via l´Editor
    • premendo il tasto F5
    • mediante il simbolo Avvia runtime nella barra simboli File runtime
  • mediante lo Startup Tool:
  • mediante il menu di Windows "Start":
  • per Windows Autostart.
  • mediante il servizio zenStartupMgr

Servizio zenAdminSrv

Per avviare il Runtime, deve essere avviato il servizio zenAdminSrv . Se il servizio non è disponibile, riceverete una segnalazione di errore corrispondente.

Nel caso di avvio tramite Windows Autostart, zenon cerca di avviare il Runtime finché il servizio è disponibile, oppure Voi chiudete la segnalazione di errore usando il pulsante Cancel.

Grandezza della finestra principale

La grandezza della finestra Runtime al momento dello start del Runtime viene progettata per il calcolatore locale nell´Editor di zenon.
Per effettuare questa configurazione, procedete come segue:

  1. Selezionate il Workspace nell´Editor di zenon.
  2. Cliccate sulla gruppo di proprietà Dimensione Runtime locale
  3. Indicate i valori per Larghezza finestra Runtime [Pixel].
  4. Indicate i valori per Altezza delle finestre Runtime [Pixel].

Funzione "In primo piano"

Si può aprire il Runtime in background, vale a dire durante il funzionamento di altri programmi, facendo uso della funzione Porta sullo sfondo. Con la funzionePorta in primo piano, il Runtime viene richiamato in primo piano.

info Informazioni su

Con la funzione "Apri il Runtime in primo piano", la finestra Runtime viene definita come finestra principale. In tal modo la Barra stato allarmi verrà coperta. Per riportare la Barra stato allarmi in primo piano, potete:

  • attivare i pulsanti di sistema (disattivare proprietà di progetto Pulsanti di sistema bloccati) e riportare la barra di stato allarmi in primo piano con i tasti Alt+Tab
  • attivare la Windows Taskbar e cliccare sulla finestra Status
  • Riportare il Runtime in background
  • Riavviare il Runtime

Imposta progetto di partenza

Quando avete creato un progetto, potete lanciarlo in diverse maniere.

Nota: condizione necessaria per avviare un progetto è che l' abbiate trasferito al sistema di destinazione; a meno che il calcolatore in cui effettuate la progettazione non sia contemporaneamente anche il sistema di destinazione.

Ci sono diverse possibilità di definire il progetto di partenza nel Runtime:

Usando l´Editor:

  1. Aprite l´Editor di zenon
  2. Selezionate il progetto che volete impostare come progetto di partenza.
  3. Aprite il menù contestuale (clic con il tasto destro del mouse) e cliccate su Imposta come progetto di partenza.

Usando lo Startup Tool:

  1. Aprite anzitutto lo Startup Tool
  2. Cliccate su Item-->Properties...
  3. Nel campo RT-Project selezionate quel progetto che volete impostare come progetto di partenza.

Usando il Trasporto Remoto:

  1. Attivate il progetto nella barra degli strumenti.
  2. Impostate il progetto desiderato come progetto di partenza.

Mediante la topologia di rete:

  1. Aggiungete un calcolatore.
  2. Selezionatelo.
  3. Impostate il progetto desiderato come progetto di partenza.

Noch in diesem Kapitel

Impostare l´autostart del Runtime

Keyblock Runtime Start

Configurare "Avvio ritardo"


Impostare l´autostart del Runtime

Manuale -> Runtime -> Avvio del Runtime -> Impostare l´autostart del Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per impostare l´autostart del Runtime, procedete nel modo seguente:

  1. Nella directory C:\Program Files (x86)\COPA-DATA\zenon 7.50 SP0 selezionate l´applicazione zenonrt.32.exe.
  2. Create un collegamento locale.
  3. Copiatelo nella cartella Autostart del sistema operativo.

Così il Runtime verrà avviato automaticamente quando effettuerete la prossima registrazione nel sistema.


Keyblock Runtime Start

Manuale -> Runtime -> Avvio del Runtime -> Keyblock Runtime Start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Keyblock Runtime Start è un programma con cui il Runtime di zenon viene eseguito come Shell . In questo caso il Runtime di zenon viene avviato, ma vengono bloccati tutti i tasti di sistema di Windows. I tasti di scelta rapida, come ad esempio il tasto Windows oppure la combinazione Ctrl+Alt+Canc, non hanno più alcuna funzione. Gli utenti non possono più accedere al sistema operativo facendo uso di questi tasti, ma possono lavorare solamente nell´interfaccia di zenon.

Il presupposto di ciò è che la proprietà di progetto Titolo Runtime sia settata su Nessun titolo (schermo completo). In questo caso zenon funziona in modalità a schermo intero e il Runtime non può ridotto a icona .

Tenete presente anche le indicazioni in proposito contenute nel capitolo Proteggi file Runtime

Nota: il blocco del tasto Windows può essere aggirato. Bloccate il tasto Windows usando l'inserimento corrispondente nello Startup Tool (scheda "General" delle "Application settings.."; abilitare l'opzione "Disable Windows Key")

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime


Configurare "Avvio ritardo"

Manuale -> Runtime -> Avvio del Runtime -> Configurare "Avvio ritardo"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si usano Dongle per la registrazione licenza, il Codemeter Service deve essere pronto prima che si avvii il Runtime di zenon. Per modificare il tempo di start, potete configurare un ritardo dell'avvio del Runtime di zenon.

Ritardo dello start del Runtime di zenon

Fissate nello zenon6.ini un ritardo di avvio di almeno 30 secondi per zenon.

Per far ciò:

  1. Aprite il file zenon6.ini con un Editor.
  2. Passate al settore [DEFAULT]
  3. Inserite il ritardo desiderato in millisecondi alla voce STARTDELAY= .

Esempio:

[DEFAULT]

STARTDELAY= 30000

info Informazioni su

Trovate lo zenon6.ini nel percorso:

Windows 7/8: %ProgramData%\COPA-DATA\System\


Avvio del Runtime come servizio

Manuale -> Runtime -> Avvio del Runtime come servizio

Il Runtime di zenon può essere avviato automaticamente come servizio mediante il servizio zenStartupMgr.

Attenzione: se si avvia il Runtime con lo zenStartupMgr, non potrà più essere interrotto o riavviato dagli utenti.

Per avviare un Runtime come servizio:

  1. Registrate il file zenStartupMgr.exe come servizio
  2. Configurate le proprietà per la registrazione.
  3. Avviate, se necessario, il Trasporto Remoto con lo zenStartupMgr
  4. Definite nello Startup Tool il Runtime da avviare
  5. Configurate un Avvio ritardo per il Runtime di zenon se usate una registrazione licenza dongle.

Registrare il servizio

Per registrare zenStartupMgr.exe come servizio:

  1. Aprite la riga di comando.
  2. Andate al percorso di salvataggio del file zenStartupMgr.exe
    (Default con 32-Bit OS: %ProgramFiles(x86)%\Common Files\COPA-DATA\zenStartupMgr
    (Default con 64-Bit OS: %ProgramFiles\Common Files\COPA-DATA\zenStartupMgr)
  3. Registrate il file come servizio con il comando zenStartupMgr.exe –service
    Nota: il servizio, se già in esecuzione, viene prima interrotto e poi registrato. Se zenStartupMgr è in esecuzione, viene chiuso.

Configurare un servizio per l´uso di molti driver

A causa della memoria desktop riservata in modo fisso, il sistema operativo Windows consente la creazione di un numero limitato di finestre; tale numero dipende dalla versione e dalla possibile interazione con il desktop.

Versione/azione | Interactive Desktop | Non-Interactive Desktop
Windows 7 32-Bit | 12 MB | 512 KB
Windows 7/Windows Server 2008 R2 64-Bit | 20 MB | 768 KB

Ogni driver di zenon ha bisogno di più finestre. Si può influire sul numero di driver utilizzabili usando l´opzione Consenti al servizio di interagire col desktop delle proprietà del servizio.

  • Inattivo: è possibile avviare un massimo di 20 driver.
  • Attivo: possono essere avviati tanti driver quanti in un Runtime aperto come processo utente.

Per attivare l´opzione Consenti al servizio di interagire col desktop :

  1. Aprite il manager dei servizi di Windows.
  2. Aprite le proprietà del servizio zenStartupMgr.
  3. Passate alla scheda Connessione.

  4. Attivate l´opzione Consenti al servizio di interagire col desktop.
    Per questo servizio dovete impostare il "Tipo di avvio" automatico. Quando il servizio è attivo, l´utente loggato sul calcolatore viene informato se il Runtime di zenon apre come servizio un´ulteriore finestra, per esempio in caso di un nuovo allarme e con la riga di stato attiva.

    Nota Windows 8/Server 2012: perché il servizio possa essere avviato, l'inserimento deve essere correttamente settato nel registro di sistema di Windows.

    1. Andate alla voce HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Windows.
    2. Aprite, oppure create il valore DWORD NoInteractiveServices.
    3. Cambiate il valore decimale settandolo da 1 a 0.
  5. Per evitare che sul desktop vengano visualizzate segnalazioni-Runtime, procedete come segue:
    Disattivate il servizio Rilevamento servizi interattivi.

Accesso interattivo

Se volete che si possa accedere al processo in modo interattivo, dovete procedere come segue:

  1. Attivate nelle proprietà del servizio l´opzione Consenti al servizio di interagire col desktop.
  2. Attivate il servizio Rilevamento servizi interattivi.

Nota: Questa modalità di accesso non è un´alternativa praticabile alla vera e propria gestione del Runtime. I servizi sono pensati come istanze di programma funzionanti sullo sfondo, che non possono essere gestiti usando un´interfaccia. Se si deve agire in modo operativo sul Runtime Server, il Runtime deve essere avviato come applicazione. Se il Runtime deve funzionare sul server come servizio, la gestione operativa del Runtime può essere effettuata da un client di zenon.

Limiti all´accesso interattivo

Se il Runtime di zenon viene avviato come servizio e deve tuttavia disporre di un´interfaccia grafica (GUI), ciò è implementato dal sistema operativo mediante il servizio di sistema Secure Desktop (Rilevamento servizi interattivi).

Per ragioni di sicurezza, l´accesso all´interfaccia Runtime tramite il servizio di sistema Windows è stato soggetto a limitazioni a partire dalla versione Vista/Server 2008. Soprattutto:

  • Il desktop interattivo viene chiuso automaticamente da Windows dopo un minuto di inattività; dopodiché appare la schermata di login Windows.
  • Non è possibile la visualizzazione di effetti DirectX (come ,ad esempio, effetto glow oppure ombre) per gli elementi.
  • Non è possibile un funzionamento a più monitor.

Noch in diesem Kapitel

Configurazione del Runtime di zenon Logic

Configurazione nello Startup Tool

Trasporto remoto

Procedura


Configurazione del Runtime di zenon Logic

Manuale -> Runtime -> Avvio del Runtime come servizio -> Configurazione del Runtime di zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se zenon viene eseguito come servizio, l´interfaccia utente del Runtime integrato di zenon Logic non è disponibile. Per effettuare delle modifiche alla configurazione dello zenon Logic Runtime, si deve avviare il Runtime normalmente.

Ci sono diverse possibilità di configurazione:

1. Ci si può collegare al pannello su cui deve essere eseguito il Runtime via Trasporto Remoto ed inserire in questa sede la licenza per lo stesso Runtime.

2. Configurazione di rete: configurabile anche la crittografia via Trasporto Remoto.

3. Vedi capitolo zenon6.ini, Impostazioni generali [DEFAULT].


Configurazione nello Startup Tool

Manuale -> Runtime -> Avvio del Runtime come servizio -> Configurazione nello Startup Tool

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete definire nello Startup Tool diversi programmi che devono essere avviati dal servizio. Per avviare un Runtime di zenon esistente come servizio:

  1. Aprite lo zenon Startup Tool
  2. Cliccate su Application
  3. Selezionate Options.
  4. Si aprirà la finestra di dialogo con le impostazioni.
  5. Aprite la scheda service startup

  6. Per definire un Runtime, cliccate sul pulsante New.
  7. Si aprirà la finestra di dialogo per selezionare un programma.

  8. Cliccando sul pulsante ... si apre il dialogo di selezione file.
  9. Passate alla cartella di zenon.
  10. Selezionate Zenrt32.exe.
  11. Chiudete la finestra di dialogo e lo Startup Tool.


Trasporto remoto

Manuale -> Runtime -> Avvio del Runtime come servizio -> Trasporto remoto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nelle sue impostazioni standard, il Trasporto Remoto di zenon è eseguito nel contesto dell´utente loggato. In questa configurazione, esso non può né avviare il Runtime come servizio, né ricaricarlo o terminarlo.

Il Trasporto Remoto, dunque, deve essere avviato inseme allo zenStartupMgr. Per fare ciò:

  1. Create un inserimento per lo start dello zenSysSrv nello Startup Tool -> Service startup.
  2. Posizionate quest´inserimento nella finestra prima di quello dello zenrt32.exe.
  3. Disattivate lo zenSysSrv per gli utenti registrati.

Poi il Trasporto Remoto potrà:

  • Trasferire dati al server
  • Ricaricare dati

Se il Runtime è eseguito come servizio, non potrà essere chiuso o riavviato via Trasporto Remoto.

Disattivare il Trasporto Remoto per gli utenti loggati

Se si lancia lo zenSysSrv con lo zenStartupMgr, esso non potrà essere più avviato da utenti registrati. Per evitare che ciò accada, cancellatelo manualmente dalla registry.

zenSysSrv fino a Windows 8:

  1. Aprite la finestra di dialogo Windows che serve all´esecuzione di comandi (tasto Windows + R).
  2. Digitate msconfig.
  3. Si apre la finestra di dialogo di Configurazione di sistema.
  4. Passate alla scheda Avvio.
  5. Disabilitate lo start automatico di zenon disattivando il checkbox davanti a zenSysSrv.exe.
  6. Cliccate su Applica.
  7. Confermate la finestra di dialogo cliccando su OK.
  8. Riavviate il computer.

zenSysSrv a partire da Windows 8:

  1. Aprite la "Gestione attività" (tasto Ctrl+ Shift + Esc).
  2. Passate alla scheda Avvio.
  3. Disabilitate lo start automatico di zenon disattivando il checkbox davamti a zenSysSrv - Transport service.
  4. Cliccate su Disabilita.
  5. Riavviate il computer.

Attenzione: se si registra nuovamente una versione di zenon mediante lo Startup Tool, l´inserimento verrà creato di nuovo e dovrà essere eliminato manualmente.


Procedura

Manuale -> Runtime -> Avvio del Runtime come servizio -> Procedura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si avvia il servizio zenStartupMrg, esso lancia in successione tutti i processi inseriti nello Startup-Tool come processi figli. Quando poi si termina il servizio, esso chiude tutti i processi che aveva avviato nella successione inversa a quella in cui li aveva aperti.

Diritti

Tutti i processi avviati da zenStartupMrg sono eseguiti sotto l´utente sotto cui il servizio viene avviato dal sistema. Di regola si tratta dell' account di sistema locale. Si possono usare solamente quelle risorse a cui questo account può accedere.
Perciò, di regola, non sono raggiungibili:

  • le unità di rete
  • le stampanti di rete
  • le banche dati con l'opzione Usa sicurezza integrata di Windows NT attiva.

Quando si avvia lo zenStartupMgr sotto un utente Windows dedicato, inoltre, non è possibile nessuna interazione con il desktop.
Avviso: la password di un utente dedicato non deve né essere modificata, né scadere. Altrimenti il servizio non si avvierà più.

Secure Desktop

Secure Desktop può essere usato per accedere in modo interattivo ad un processo che dispone di una superficie utente e viene eseguito nel contesto di sistema. A tal scopo:

  • Si deve abilitare nelle proprietà del servizio zenStartupMgr l´opzione Consenti al servizio di interagire col desktop
  • Deve essere avviato il servizio Rilevamento servizi interattivi.

Nota: Questa modalità di accesso non è un´alternativa praticabile alla vera e propria gestione del Runtime. I servizi sono pensati come istanze di programma funzionanti sullo sfondo, che non possono essere gestiti usando un´interfaccia. Se si deve agire in modo operativo sul Runtime Server, il Runtime deve essere avviato come applicazione. Se il Runtime deve funzionare sul server come servizio, la gestione operativa del Runtime può essere effettuata da un client di zenon.

Finestre di messaggio e dialoghi modali vengono soppressi automaticamente se:

  • il Runtime di zenon viene avviato mediante lo zenStartupMgr nel contesto di sistema
    e
  • il Secure Desktop non viene visualizzato.

attention Attenzione

I dialoghi modali non devono mai essere richiamati via VBA o VSTA, perché non esiste alcuna possibilità di chiuderli tramite un´interazione dell´utente.


Runtime come ActiveX Control

Manuale -> Runtime -> Runtime come ActiveX Control

Per HMI di KUKA è disponibile un controllo ActiveX che consente l'esecuzione dell´intero Runtime in un controllo. Così il Runtime può essere implementato in un´altra applicazione come sotto-programma. Il controllo si comporta (con alcune eccezioni) in modo analogo allo zenon Web Client ed è eseguibile anche in un browser.

Nome del controllo: zenRuntimeCtrl.ocx

Differenze rispetto allo zenon Web Server:

  • Può funzionare solamente in un'installazione dello zenon Runtime a 32 bit.
  • Possibili anche server e standalone, non solo client
    Nota: I moduli Sequenze di comando e Batch Control non sono supportati in questo ActiveX Control.
  • Avvia anche driver
  • Solo licenze software.
  • La licenza è letta dallo zenon6.ini; perciò è necessaria una licenza per lo zenon Runtime.
  • Il progetto di partenza viene letto dallo zenon6.ini; OCX-Properties Server, zenon Web Server e progetto non esistono.
  • La comunicazione di rete viene eseguita tramite zenNetSrv.exe, non via zenNetSrv.dll

attention Attenzione

Il Runtime ActiveX Control supporta solo licenze software. Una registrazione licenza via Wibukey o CodeMeter non è possibile.


Gestione durante il runtime

Manuale -> Runtime -> Gestione durante il runtime

Modalità di gestione

Potete lavorare nel Runtime con il mouse, con la tastiera e usando la funzionalità touchscreen. In caso di gestione con il mouse o mediante touch-screeen, potete usare nel vostro progetto soprattutto pulsanti, pulsanti di stato, interruttori e pulsanti invisibili. La possibilità di gestire un oggetto d´immagine con il mouse è segnalata da un cambiamento del simbolo del cursore; quando si sposta il cursore sul pulsante la freccia si trasforma nel simbolo della mano.

info Informazioni su

Il tempo di apertura di immagini nel Runtime dipende dal numero delle variabili collegate. Solo dopo che tutte le variabili sono state registrate con successo, l´immagine diventa gestibile.

Se molte variabili devono essere registrate, il tempo di apertura dell´immagine può essere ritardato. In questo caso, una barra di avanzamento mostra il procedere del processo di caricamento.

Noch in diesem Kapitel

Mouse

Touch

Gestione funzionamento da tastiera

Bloccare le combinazioni di tasti

Stabilire successione all´interno di un modello

Posizionamento e gestione di modelli

Liste configurabili


Mouse

Manuale -> Runtime -> Gestione durante il runtime -> Mouse

Cliccando su un elemento dinamico, si apre (secondo modalità che dipendono dalle impostazioni nell´elemento dinamico) la finestra di dialogo standard per il settaggio del valore impostabile. A seconda del tipo di dato della variabile, si aprono le seguenti finestre di dialogo:

Le operazioni possibili sono:

Parametri | Descrizione
Commuta su valore spontaneo | Visualizzazione del valore spontaneo (valore dal PLC), se prima era visualizzato il valore di riserva o il valore era spento.
Modifica valore spontaneo (default) | Scrive un nuovo valore spontaneo nel PLC
Commutare e modalità Valore spontaneo | Esecuzione contemporanea dei due comandi sopra indicati.
Imposta sul valore di riserva | Visualizzazione del valore di riserva (valore preso dalla definizione della variabile), se prima era visualizzato il valore spontaneo.
Modificare valore di riserva | Setta un nuovo valore di riserva per la variabile
Commutare e modalità Valore di riserva | Esecuzione contemporanea dei due comandi sopra indicati.
Disattivare valore spontaneo | Disattiva il collegamento con il PLC per questo valore settando il bit di stato OFF (Bit 20).
Attivare valore spontaneo | Ripristina il collegamento con il PLC per questo valore resettando il bit OFF.
Imposta lo stato binario | - LOW (0) - HIGH (1)

Le operazioni possibili sono:

Parametri | Descrizione
Commuta su valore spontaneo | Visualizzazione del valore spontaneo (valore dal PLC), se prima era visualizzato il valore di riserva o il valore era spento.
Modifica valore spontaneo (default) | Scrive un nuovo valore spontaneo nel PLC.
Commutare e modalità Valore spontaneo | Esecuzione contemporanea dei due comandi sopra indicati.
Imposta sul valore di riserva | Visualizzazione del valore di riserva (valore preso dalla definizione variabile), se prima era visualizzato il valore spontaneo.
Modificare valore di riserva | Setta un nuovo valore di riserva per la variabile
Commutare e modalità Valore di riserva | Esecuzione contemporanea dei due comandi sopra indicati.
Disattivare valore spontaneo | Disattiva il collegamento con il PLC per questo valore settando il bit di stato OFF (Bit 20).
Attivare valore spontaneo | Ripristina il collegamento con il PLC per questo valore resettando il bit OFF.
Valore | Nuovo valore numerico (entro l´area di misurazione consentita).

Le operazioni possibili sono:

Parametri | Descrizione
Commuta su valore spontaneo | Visualizzazione del valore spontaneo (valore dal PLC), se prima era visualizzato il valore di riserva o il valore era spento.
Modifica valore spontaneo (default) | Scrive un nuovo valore spontaneo nel PLC
Commutare e modalità Valore spontaneo | Esecuzione contemporanea dei due comandi sopra indicati.
Imposta sul valore di riserva | Visualizzazione del valore di riserva (valore preso dalla definizione della variabile), se prima era visualizzato il valore spontaneo.
Modificare valore di riserva | Setta un nuovo valore di riserva per la variabile
Commutare e modalità Valore di riserva | Esecuzione contemporanea dei due comandi sopra indicati.
Disattivare valore spontaneo | Disattiva il collegamento con il PLC per questo valore settando il bit di stato OFF (Bit 20).
Attivare valore spontaneo | Ripristina il collegamento con il PLC per questo valore resettando il bit OFF.
Testo | Testo nuovo

Lazzo

Gli elementi dinamici che sono collegati a una variabile oppure a una funzione, possono essere preselezionati nel Runtime con il lasso e, in tal modo, utilizzati, per eventi VBA.

Selezione mediante lazzo

Per selezionare nel Runtime degli elementi con il lazzo, dovete fare quanto segue:

  • attivare la proprietà Impostazioni Runtime/Selezioni multiple in Runtime (Lazzo) nelle proprietà di progetto.
  • attivare la proprietà Runtime/selezionabile tramite lazzo nelle proprietà dell'elemento dinamico.

Nel Runtime ci sono diversi metodi per selezionare degli elementi:

  • Seleziona elementi: cliccare con il tasto sinistro del mouse in una parte vuota dell´immagine e trascinare il lazzo sugli elementi ad immagine tenendo premuto il tasto del mouse.
  • Estendi selezione: Ctrl+clic del mouse su un elemento per deselezionarlo (se già selezionato) o selezionarne uno in aggiunta a quelli già selezionati.
  • Aggiungi elementi: aprendo il lazzo, tenere premuto il tasto Ctrl: così si aggiungono nuovi elementi a quelli già selezionati.
  • Cancella selezione: aprire il lazzo in uno punto dell' immagine che non contiene alcun elemento.


Touch

Manuale -> Runtime -> Gestione durante il runtime -> Touch

Con zenon si possono usare anche i gesti multitouch per lavorare con i touchscreen che supportano la funzionalità multitouch. Potete avere un esempio di progetto rivolgendovi al vostro consulente zenon.

Per multitouch si consiglia:

  • l´uso di una scheda grafica compatibile con DirectX 11
  • la selezione dell' opzione "DirectX Hardware" nelle impostazioni di progetto ("Aspetto grafico" - "Qualità grafica").

Nota: per i gesti Windows 8, l´interazione tramite multitouch può essere configurata in molte settori usando le proprietà, senza che sia necessario effettuare ulteriori operazioni di programmazione.

Noch in diesem Kapitel

Navigazione con Multi-Touch nell´immagine globale .


Navigazione con Multi-Touch nell´immagine globale .

Manuale -> Runtime -> Gestione durante il runtime -> Touch -> Navigazione con Multi-Touch nell´immagine globale .

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I gesti Multi-Touch per zoom e scrolling possono essere utilizzati su pannelli con funzione touch anche al fine di navigare all´interno dell´immagine globale. A tale scopo è necessaria un´immagine del tipo Supervisione globale. La navigazione può essere implementata con:

  • Gesti touch Windows 7
  • Gesti touch Windows 8

Regole

  • Spostare: Se un´immagine in un container non è una visualizzazione globale, essa riprende le impostazioni dell´immagine faceplate.

Muovere una visualizzazione globale o visualizzazione globale in container di un faceplate.

  • L'immagine è più grande del modello: Il contenuto dell´immagine viene mosso.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: Nessuna reazione.

Visualizzazione globale separato in faceplate.

  • L'immagine è più grande del modello: viene mosso il contenuto dell´immagine.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: Nessuna reazione.

Muovere il modello senza bordo con il mouse, quando l´immagine è una visualizzazione globale ed ha le stesse dimensioni, oppure è più piccola del modello:

  • Con il tasto destro del mouse: Nessuna reazione.
  • Con il tasto sinistro del mouse: il modello viene spostato.

Modificare la grandezza della visualizzazione globale

Si può modificare la grandezza della visualizzazione globale.
Eccezione: Se la visualizzazione globale è un faceplate, la grandezza non può essere modificata.

Clic con il tasto destro del mouse:

  • L'immagine è più grande del modello: Viene mosso il contenuto.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: Nessuna reazione.

Conversione progetto

Valori di Sposta orizzontalmente e Sposta verticalmente in caso di conversione in zenon 7.20 di un progetto realizzato con una versione precedente:

  • L'immagine è più grande del modello: Spostare.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: Nessuna reazione.

Noch in diesem Kapitel

Navigazione sotto Windows 7

Navigazione sotto Windows 8


Navigazione sotto Windows 7

Manuale -> Runtime -> Gestione durante il runtime -> Touch -> Navigazione con Multi-Touch nell´immagine globale . -> Navigazione sotto Windows 7

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter usare gesti Multi-Touch sotto Windows 7 allo scopo di navigare nella Visualizzazione globale, dovete:

  • o essere attivati mediante la proprietà Multi-Touch per Zoom e Scrolling
  • o essere implementati tramite VBA/VSTA

Zoom e scrolling tramite la proprietà Multi-Touch per Zoom e Scrolling

Per utilizzare Multi-Touch senza VBA/VSTA:

  1. Attivate nelle proprietà di progetto, nel nodo Interazione per la proprietà Analisi, Windows 7.
  2. Disattivate nelle proprietà dell´immagine, e in particolare nel nodo Modello la proprietà Ricava dimensioni dal modello
  3. Attivate nelle proprietà dell´immagine, e in particolare nel nodo Interazione la proprietà Multi-Touch per Zoom e Scrolling

In tal modo è possibile effettuare lo scrolling e zoomare nell´immagine usando i gesti Multi-Touch. In questo modo gli eventi VBA/VSTA per zoom e scrolling vengono disattivati.

Zoom e scrolling tramite VBA/VSTA

Per realizzare zoom e scrolling tramite eventi VBA/VSTA, non deve essere attiva la proprietà Multi-Touch per Zoom e Scrolling.

In DynPicturesono a Vostra disposizione:

  • Property

    int ZoomLevel: Indica il livello attuale dello zoom nell´immagine globale (valore valido solamente nel Runtime e solo per un´immagine globale).

  • Stile

    SetZoomAndPos(float ZoomX, float ZoomY, int ZoomLevel, int CursorX, int CursorY, int PosX, int PosY, int PosMode):

    ZoomX -> Nuovo fattore di zoom direzione-X, se non usato, settare a 0

    ZoomY -> Nuovo fattore di zoom direzione-Y, se non usato, settare a 0

    ZoomLevel -> Livello zoom, se non usato, settare a -1

    CursorX -> Posizione cursore X

    CursorY -> Posizione cursore Y

    PosX -> Nuova posizione X (vedi PosMode)

    PosY -> Nuova posizione Y (vedi PosMode))

    PosMode -> Coordinate in Pos

    -1 = PosX, PosY vengono ignorati

    0 = punto centrale, coordinate originali

    1 = punto centrale, coordinate zoomate

    2 = in alto a sinistra , coordinate originali

    3 = in alto a sinistra , coordinate zoomate

    4 = coordinate zoomate del cursore da in alto a sinistra
    La posizione della finestra viene modificata in tal modo che, dopo lo zoom, il puntatore del mouse si trova sempre sullo stesso posto dell´immagine.

Attenzione: ZoomX, ZoomY e ZoomLevel non possono essere mai utilizzati contemporaneamente. O si indica uno ZoomLevel , oppure fattori zoom per gli assi x e y.


Navigazione sotto Windows 8

Manuale -> Runtime -> Gestione durante il runtime -> Touch -> Navigazione con Multi-Touch nell´immagine globale . -> Navigazione sotto Windows 8

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per navigare in una Visualizzazione globale con Multi-Touch sotto Windows 8:

  1. Attivate nelle proprietà di progetto, nel nodo Interazione per la proprietà Analisi, Windows 8.
  2. Per l´immagine, disattivate nel gruppo Modello la proprietà Ricava dimensioni dal modello, e stabilite che la grandezza dell´immagine sia maggiore di quella del modello.
  3. navigate nelle proprietà dell´immagine fino a giungere al gruppo Interazione
  4. Configurate le proprietà Zoomen e Verschieben.

Per il gesto "move" (sposta), potete definire la direzione: orizzontale, verticale o entrambe. Per far ciò usate le proprietà Horizontal verschieben e Vertikal verschieben.


Gestione funzionamento da tastiera

Manuale -> Runtime -> Gestione durante il runtime -> Gestione funzionamento da tastiera

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestione del Runtime può avvenire anche per mezzo della sola tastiera. In questo caso, anzitutto viene posto il focus su un modello; poi si naviga all´interno del modello con i tasti freccia e si inizializza l´azione usando il tasto Enter. La gestione avviene con le seguenti funzioni:

  • Attiva focus sul modello
  • Elimina focus dal modello
  • Imposta focus
  • Focus: esegui funzione elemento

La successione nella quale vengono selezionati gli elementi, è fissata mediante l'attribuzione di numeri di indice agli elementi di un´immagine. La definizione della successione di navigazione può avvenire anche per mezzo di simboli.

La gestione via tastiera può avvenire anche usando combinazioni di tasti che possono essere liberamente destinate dall´utente allo svolgimento di determinate operazioni; un esempio è Ctrl+M. Gli shortcut possono essere assegnati ad ogni elemento di gestione usando la proprietà Combinazione tasti.

Noch in diesem Kapitel

Funzioni


Funzioni

Manuale -> Runtime -> Gestione durante il runtime -> Gestione funzionamento da tastiera -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la progettazione della gestione via tastiera, usate le seguenti funzioni:

Attiva focus sul modello

Questa funzione setta il focus su un modello definito nel caso di una gestione tastiera nel runtime.

Per configurare la funzione:

  1. selezionate nella lista delle funzioni, e più precisamente nel nodo Immagini, la funzione Attiva focus sul modello
  2. si apre il dialogo per selezionare un modello
  3. Selezionate il modello desiderato.
  4. nel caso di un sistema multi-monitor, selezionate il Monitor virtuale per l´apertura del modello

Nel runtime, il modello su cui è stato settato il focus, viene visualizzato con una cornice. La larghezza della linea e il colore della cornice vengono definite nelle proprietà di progetto nel nodo Aspetto grafico/Immagini.

Dialogo Selezione modelli

Nella finestra di dialogo Selezione modelli si può procedere alla selezione di modelli per l´esecuzione di funzioni; essi provengono da:

  • progetto attuale
  • sotto-progetti
  • tutti i progetti del workspace con l´opzione Mantieni progetto in memoria attiva

Parametro | Descrizione
Finestra Albero di progetto | Mostra tutti i progetti del workspace Si può procedere alla scelta di modelli selezionandoli tra quelli del progetto attuale, o fra quelli di tutti i progetti in cui l´opzione Mantieni progetto in memoria sia attiva
Finestra Modelli | Selezione di un modello. Se si selezionano più modelli, per l´esecuzione della funzione viene utilizzato il modello che si trova in cima alla lista.
Nessuna selezione | Elimina la selezione e chiude il dialogo.
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Setta focus sul modello con modello aperto più volte.

Quando un modello viene mostrato più volte sul monitor, ad ogni esecuzione della funzione il focus cambia in direzione contraria alla successione di apertura. Se, per esempio, a modello richiamabile più volte, si aprono le immagini Immagine1, Immagine2 e Immagine3 e poi si setta il focus su questo modello, il focus sarà l´immagine aperta per ultima, cioè Bild3. Quando si richiamerà di nuovo la funzione Setta focus sul modello, il focus si sposterà su Immagine2, e così via.

Imposta focus

Questa funzione setta il focus su un elemento definito nel caso di una gestione tastiera nel runtime e può essere usato per la navigare all´interno di un modello.

Proprietà | Azione
Direzione | Stabilire la direzione di spostamento del focus. Vale la successione definita nell´editor nel menu contestuale, oppure alla voce Modifica/Sposta successione per focus...-
su elemento | Stabilire l’elemento che deve ricevere il focus. Si deve inserire il nome oggetto dell’elemento

Focus: esegui funzione elemento

Questa funzione attiva l´elemento che possiede il focus nel modello desiderato.

Elimina focus dal modello

Questa funzione toglie il focus dal modello attuale durante il runtime. Per continuare la gestione con tastiera, il focus deve essere settato di nuovo su un modello.


Bloccare le combinazioni di tasti

Manuale -> Runtime -> Gestione durante il runtime -> Bloccare le combinazioni di tasti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si possono bloccare le combinazioni di tasti di Windows per il funzionamento online. Il blocco viene configurato nell´Editor. È possibile anche bloccare tutti i tasti di sistema a Runtime.

Bloccare le combinazioni di tasti di Windows

Per bloccare le combinazioni di tasti Windows, andate alla sezione Interazione delle proprietà di progetto e abilitate la proprietà Pulsanti di sistema bloccati.

Vengono bloccate:

Combinazione tasti | Effetto
Alt+Esc | Passa all´applicazione successiva.
Alt+Tab | Consente di passare da un´applicazione aperta all´altra. Direzione: avanti.
Alt+Shift + Tab | Consente di passare da un´applicazione aperta all´altra. Direzione: indietro.
Ctrl+Tab | Consente di passare alla prossima finestra nell´ambito di un´applicazione. Può essere assegnata in modo specifico a seconda dell'applicazione.
Ctrl+Esc | Apre il menù start.
Alt+F4 | Chiude l´applicazione.
Ctrl+F4 | Chiude la finestra nell´ambito di un´applicazione.
Ctrl+Shift+Esc | Avvia il Task-Manager di Windows.
Tasto Windows | Apre il menù start.
Tasto Windows + D | Riduce ad icona o ingrandisce tutte le finestre.
Tasto Windows + E | Apre l'"Esplora file" di Windows.
Tasto Windows + F | Attiva la ricerca.
Tasto Windows + M | Riduce ad icone tutte le finestre esistenti nella barra delle applicazioni.
Tasto Windows + P | Passa alla modalità di visualizzazione delle presentazioni.
Tasto Windows + R | Apre la finestra di dialogo “Esegui.

Vengono bloccate anche tutte le corrispondenti combinazioni con azioni del mouse.

Non vengono bloccate:

Combinazione tasti | Effetto
Ctrl+Alt+Canc | Riavvia il calcolatore.
Tasto Windows + L | Blocca il PC.

Bloccare tutti i pulsanti di sistema

Per bloccare tutti i tasti di sistema nel Runtime:

  • Attivate la proprietà
  • Avviate il Runtime via Keyblock Runtime Start
  • Tenete presente i suggerimenti del capitolo Proteggi file Runtime

attention Attenzione

La proprietà Pulsanti di sistema bloccati non è a disposizione per i progetti CE.


Stabilire successione all´interno di un modello

Manuale -> Runtime -> Gestione durante il runtime -> Stabilire successione all´interno di un modello

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Definite la successione d'attivazione degli elementi di un'immagine al momento della progettazione nell`Editor di zenon:

  1. Aprite l´immagine.
  2. Cliccate con il tasto destro del mouse su un´area vuota.
  3. Selezionate nel menù contestuale che si aprirà Modifica ordinamento per il focus.
  4. Selezionate nella lista a cascata che si aprirà Ordinamento sinistra/destra oppure Ordinamento alto/basso.
  5. Ogni elemento nell´immagine viene contrassegnato con un numero posto nell´angolo in alto a sinistra.
  6. Cliccate sull´elemento al quale volete si passi per primo.
  7. Il numero dell´elemento diventerà 1.
  8. Cliccate su tutti gli altri elementi nella successione che avete deciso di adottare:
    • Cambia il colore di sfondo del numero degli elementi che avere già definito.
    • Gli elementi che non possono essere raggiunti tramite la tastiera nel Runtime (proprietà Focus impostato sull'elemento non attiva), sono contraddistinti da un numero rosso.
    • Se si clicca su di un elemento tenendo premuto il tasto Ctrl, la numerazione inizia con l´indice numerico dell´elemento su cui avete cliccato.

info Informazioni su

Nelle proprietà degli elementi, la posizione viene visualizzata mediante le proprietà Posizione focus sinistra/destra e Posizione Focus sù/giù Queste proprietà hanno il solo scopo di fornire delle informazioni, Non è possibile, infatti, modificare i valori indice della posizione in questa sede.

Simboli

Si può assegnare un indice anche ai simboli. Durante la compilazione dei file Runtime, il simbolo viene scollegato e vengono aggiunti gli elementi esistenti nel simbolo. Nell'eseguire questa operazione, Il sistema tiene conto della successione definita nel simbolo.

Example Esempio

In un'immagine ci sono tre elementi: il valore numerico Z, il pulsante B e il simbolo VS. Il simbolo preso dalla libreria del progetto, contiene 3 valori numerici: Z1, Z2 e Z3.

Se si fissa la successione all´interno dell´immagine nel modo seguente: B - VS - Z,
, la successione nel Runtime sarà la seguente: B - Z1 - Z2 - Z3 - Z.


Posizionamento e gestione di modelli

Manuale -> Runtime -> Gestione durante il runtime -> Posizionamento e gestione di modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I modelli possono essere aperti durante il runtime in una posizione fissa, oppure in una posizione definita in modo relativo. Così, per esempio, è possibile posizionare le immagini keyboard, oppure quelle popup dove si trova il puntatore del mouse, oppure l´elemento che provoca la comparsa di tali immagini. I modelli possono essere aperti durante il runtime:

  • in una posizione assoluta.
  • In relazione alla posizione del mouse.
  • Relativo all'elemento

Sia la posizione assoluta che quella relativa vengono definite nelle proprietà del modello nell´Editor di zenon.

Mantieni posizione alla riapertura

Le finestre riprendono la loro posizione sullo schermo sempre dal modello. Nel caso in cui si progettino delle immagini-popup e nel caso le si sposti durante il funzionamento runtime, al momento della prossima esecuzione della funzione di cambio immagine, l´immagine pop-up viene portata nella posizione progettata. Con l´aiuto della proprietà Mantieni posizione e dimensioni alla riapertura si può stabilire che il modello deve conservare la sua posizione finché è aperto, indipendentemente dai cambi immagine. Se la proprietà è attiva:

  • Se un´immagine viene aperta nel Runtime in un modello manualmente spostato, la posizione e la grandezza di quest´ultimo vengono conservate anche nel caso di un nuovo cambio immagine.
  • Se un´altra immagine viene aperta nello stesso modello, vengono mantenute la posizione e la grandezza di quest´ultimo. Ciò vale anche per l´apertura sostituita.

In tal modo si può usare su ogni client un´altra posizione per il modello, visto che viene sempre salvata la posizione locale.

Posizione assoluta

Il modello viene aperto sempre in corrispondenza di coordinate definite in modo fisso. In concomitanza di tutti i cambi immagine, che vengono effettuati automaticamente dal sistema, come, ad esempio, mediante la gestione tempo o la violazione di valore limite, viene applicata la posizione predefinita sullo schermo.

Posizionamento relativo

Il posizionamento relativo si adatta in modo particolare per l'apertura di popup, di immagini tastiera oppure di immagini comando. Essa è possibile per tutti i cambi immagine, indicazioni di valore impostabile con immagini Keyboard definite liberamente e tutte quelle immagini di comando, che vengono iniziate manualmente dall´utente. Non importa se l'azione viene attivata mediante una funzione di cambio immagine, una funzione "setta valore impostabile" o direttamente attraverso un elemento. Il posizionamento relativo è a Vostra disposizione nei seguenti casi:

  • elementi dinamici, ai quali si può attribuire una funzione.
  • Elementi dinamici mediante i quali si può settare un valore impostabile (pulsanti, elemento combinato).
  • Menù principali e contestuali
  • della funzione specifica per immagini "Esegui funzione" nell´immagine Lista allarmi.

Il posizionamento relativo funziona anche in chiamate funzioni incastrate, cioè quando "Cambio immagine" o "Setta valore impostabile" vengono attivate mediante uno script. Se nel caso del posizionamento relativo un'immagine dovesse andare oltre il bordo dello schermo, essa viene posizionata automaticamente al bordo del monitor. Ciò vale anche nel caso della gestione monitor, cosicché un'immagine non può invadere anche uno schermo vicino.

attention Attenzione

Il posizionamento relativo funziona solo nel caso di un´apertura diretta ad opera dell´utente, ma non nel caso di funzioni automatizzate o nel caso di uso di VBA.

Relativo all'elemento

Posiziona il punto di riferimento del modello relativamente all'elemento da cui è iniziato il cambio immagine (per es. un pulsante oppure un elemento combinato). Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi.

Fissate anzitutto un punto di riferimento per il Vostro modello e poi la posizione desiderata rispetto all´elemento. Sono disponibili le seguenti impostazioni:

Proprietà

Valore

Punto di riferimento elemento verticale
  • In basso
  • In alto

Punto di riferimento Elemento orizzontale
  • sinistra
  • destra

Spostamento verticale in pixel

Indicate lo spostamento desiderato

Spostamento orizzontale in pixel

Indicate lo spostamento desiderato

Posizione alternativa

Impostate in questa sede la posizione alternativa per il punto di riferimento del modello e il punto di riferimento sull'elemento. Per fissare la posizione preferita, dovete procedere allo stesso modo utilizzato per fissare la posizione alternativa. La posizione alternativa viene utilizzata se il modello non viene aperto ella posizione preferita.

Relativo al puntatore

L´immagine viene visualizzata sullo schermo in relazione alla posizione del puntatore del mouse. Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento. Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Fissate il punto di riferimento del modello facendo uso delle due proprietà Punto di riferimento modello verticale e Punto di riferimento modello orizzontale. Il punto di riferimento viene evidenziato mediante un punto rosso sul modello. Sono disponibili le seguenti impostazioni:

Proprietà

Valore

Punto di riferimento modello verticale
  • In sù
  • In basso
  • Centrato

Punto di riferimento Modello orizzontalel
  • sinistra
  • destra
  • Centrato

Example Esempio

Avete a disposizione un pulsante che si trova sul bordo destro dello schermo e perciò posizionate un´immagine popup alla destra di esso.

  • Punto di riferimento Elemento: a destra / centrato
  • Punto di riferimento modello: a sinistra / centrato.

Durante il funzionamento Runtime, l´immagine popup viene aperta a destra del pulsante esattamente al centro. L`immagine popup non andrà a coprire il pulsante.

Usate lo stesso modello anche per un pulsante che si trova sul bordo sinistro dello schermo. La finestra popup non potrebbe più essere aperta in modo completo a destra. Per questo motivo si utilizza una posizione alternativa. A tal scopo fissate il

  • punto di riferimento alternativo per l´elemento: a sinistra / centrato.
  • Fissate il punto di riferimento del modello a a destra/ centrato.

Modifica la grandezza nel Runtime:

La grandezza con la quale un´immagine viene aperta nel Runtime, nonché le modifiche consentite delle sue dimensioni, vengono configurate usando le proprietà del gruppo Posizione.

Proprietà

Descrizione

Larghezza (massima) [Pixel]:

Stabilisce la larghezza massima.

Altezza (massima) [Pixel]:

Stabilisce l´altezza massima.

Limite minimo:

Definisce i limiti minimi. Possibili valori:

  • Senza: Nessun limite.
    Se si seleziona un altro valore, nella finestra del modello il limite selezionato viene visualizzato nel Runtime con un linea tratteggiata.
  • Larghezza: Limite di larghezza.
  • Altezza: Limite di altezza.
  • Relativo: Limitata ad un valore percentuale della grandezza immagine configurata.

Ha effetto solamente su gesti Multi-Touch. I valori corrispondenti vengono definiti facendo uso della proprietà Valore (Minimo).

Default: Senza

Dimensioni d'apertura:

Definisce la dimensione con cui viene aperta nel Runtime un´immagine basata su questo modello:

  • Grandezza modello: Grandezza, come è stata definita in Larghezza (massima) [Pixel] e Altezza (massima) [Pixel].
    Se si seleziona un altro valore, nella finestra del modello la grandezza viene visualizzata nel Runtime con un linea tratteggiata.
  • Larghezza [px]: Larghezza, come è stata definita in Valore (grandezza di apertura). L´altezza viene adattata in maniera corrispondente.
  • Altezza [px]: Altezza, come è stata definita in Valore (grandezza di apertura). La larghezza viene adattata in maniera corrispondente.
  • Relativo [%]: La grandezza definita in Larghezza (massima) [Pixel] e Altezza (massima) [Pixel] viene modificata in base al valore precentuale definito in Valore (grandezza di apertura).

I valori corrispondenti vengono definiti facendo uso della proprietà Valore (grandezza di apertura).

Default: Grandezza modello

Sposta e zooma

Nel Runtime, i modelli possono essere spostati e li si può ingrandire usando lo zoom.

Muovi

Lo spostamento si riferisce sempre ai monitor definiti nella gestione monitor. Questa opzione non viene supportata con Windows CE.

Lo spostamento di modelli nel Runtime può essere limitato a:

  • Cornice modello: Il modello non può essere spostato al di là del bordo del monitor.
  • Dimensione cornice modello: Il modello può essere spostato al di là del bordo del monitor. Tuttavia deve rimanerne una parte sul monitor (Margine minimo del frame) da poter toccare per eseguire ulteriori azioni.

La limitazione diviene attiva solamente se il modello, già al momento della sua apertura, si trova all´interno del confine definito. Se non si limita la possibilità di spostamento di un modello, può avvenire che esso possa essere sposato (per es. con gesti Multi-Touch) al di fuori dell´area visibile.

info Informazioni su

Lo spostamento di modelli è pensato soprattutto per la gestione a schermo intero. L´applicazione Runtime stessa non dovrebbe essere spostata su un altro monitor. Se si sposta il Runtime, infatti, ci possono essere delle limitazioni di mobilità.

Zoom

Le limitazioni valgono anche per lo zoom. Quando, nell´effettuare lo zoom, si raggiunge un limite, il sistema cerca di continuare lo zoom nello spazio libero. Nel far ciò, vengono mantenute le proporzioni fra i lati

Visione generale: spostare e zoomare

Quando li si sposta, oppure li si ingrandisce o rimpicciolisce tramite zoom, i modelli si comportano (a seconda delle impostazioni configurate) come segue:


Liste configurabili

Manuale -> Runtime -> Gestione durante il runtime -> Liste configurabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una serie di liste possono essere configurate in modo individuale nel Runtime:

  • Active Directory:
    • Lista nella finestra Active Directory (man non: albero)
  • AML
  • Filtro AML/Filtro CEL/Filtro tempo:
    • Lotti: Gestione archivio
    • Lotti: Selezione lotti
  • Batch:
    • Lista ricette modello
    • Lista ricette di controllo
  • CEL
  • Lista utenti:
    • Lista utenti
  • Trend esteso
    • Lista curve estesa
  • Message Control:
    • Coda messaggi
  • RGM:
    • Lista ricette e tabella dei valori ricetta (ma non: tabella valori ricette CE).

Fra le azioni possibili per queste liste ci sono:

  • Colorazione di colonne
  • Evidenziazione della posizione con il focus
  • Uso di variabili di responso

Modificare le celle

Avete le seguenti possibilità di modificare le celle delle liste del tipo liste configurabili::

  • Doppio clic sull'inserimento
  • Clic sulla cella, seguito immediatamente da un secondo clic (doppio clic lento).

A seconda del tipo di immagine, ci può essere anche un pulsante per attivare la modifica.

Colorazione delle colonne

Nelle liste configurabili esiste la possibilità di definire separatamente per ogni singola colonna il colore del testo e quello di sfondo. Per far ciò, nella funzione di cambio immagine dell'immagine in questione aprite la scheda Formatta colonne e configurate l'area Colori definiti dall´utente.

Mostra focus

Nell´ambito delle liste configurabili, è possibile segnalare dove si trova il focus mediante l´uso di colori di testo e di sfondo diversi. La cella, colonna o riga su cui si trova il focus, dunque, vengono evidenziate tramite l´uso di un determinato colore. Questi colori devono essere configurati nelle proprietà di progetto Colore di selezione per le liste oggetti, al nodo Aspetto grafico.

Priorità nella colorazione

Quando si usano diversi colori in una lista, valgono le seguenti priorità:

  1. Generale: Colore di selezione per le liste oggetti
  2. RGM: Interrogazione valore di ricetta
  3. RGM: Validazione online
  4. RGM: Interblocco
  5. Lista: Colore colonna

Variabile di responso

Le liste configurabili possono essere collegate ad una variabile di responso del tipo BOOL. Quest'ultima segnala nel Runtime se è stato selezionato qualcosa nel lista.

Per collegare una variabile di responso:

  1. Cliccate all'interno della lista configurabile.
  2. Aprite nelle proprietà il gruppo Variabile di feedback
  3. Nella proprietà Scelta attiva, cliccate sul pulsante .... ....

    Si pare il dialogo per selezionare una variabile BOOL.

  4. Selezionare un modello.
  5. Collegate la variabile ad un elemento che deve mostrare nel Runtime lo stato della variabile.
    Significato dei valori:
    • 0: nessuna selezione nella lista.
      Nota: Quando si chiude un'immagine, la variabile viene settata automaticamente sul valore 0.
    • 1: c'è qualcosa di selezionato nella lista.


File Runtime

Manuale -> Runtime -> File Runtime

Definizione di file Runtime, dati Runtime, cartella Runtime e cartella dati

File Runtime

I file Runtime sono quei file che vengono generati dall´Editor, e vengono letti e interpretati dal Runtime. Alcuni di essi vengono modificati dal Runtime, come ad esempio:

  • Ricette standard,
  • Manager di gruppi ricette, ecc.

I file Runtime vengono salvati nella cartella Runtime. Si definisce quest´ultima nell´Editor, alla voce Generale, nella finestra delle proprietà.

Dati Runtime

Tutti i dati che vengono generati e gestiti nel Runtime, come, ad esempio, quelli di:

  • Lista di informazione allarmi
  • Lista Eventi Cronologica
  • Server di archiviazione ecc.

Ne fanno parte anche quei dati che vengono generati dall´Editor (file Runtime) e possono essere modificati nel Runtime, come, ad esempio, i dati di:

  • Ricette standard,
  • Manager die gruppi ricette,
  • Gestione utenti, ecc.

I dati Runtime vengono salvati nella cartella Runtime. Si definisce quest´ultima nell´Editor, alla voce Generale, nella finestra delle proprietà.

Cartella Runtime

In questa cartella vengono salvati i file Runtime del progetto. Il percorso viene inserito al momento della configurazione del progetto di partenza nello zenon6.ini. La cartella Runtime può essere modificata nelle proprietà di progetto. Nella cartella Runtime si trovano una sottocartella RT, e una sottocartella con il nome del calcolatore. Nella cartella RT si trovano tutti i file Runtime generati dall´Editor. Nella cartella Nome calcolatore si trovano tutti i file dati che vengono impostati nel Runtime.

Nota: Assicuratevi che ci sia abbastanza spazio di memoria per i dati Runtime, visto che ce ne possono essere molti a causa di archiviazione, AML, CEL, ecc.

Cartella dati

Il runtime salva tutti i file dati generati nel runtime (come, per esempio, file di allarme, file di allarme ecc) nella cartella dati. Di default, la cartella dati viene creata come sottocartella della cartella Runtime. Essa riceve automaticamente il nome del computer su cui è eseguito il Runtime. Si può modificare il luogo di salvataggio nelle proprietà di progetto (Generala/Cartella dati).

Suggerimento: non mettete mai la cartella dati su un supporto mobile, come una chiavetta USB. Si consiglia di memorizzare i dati localmente e di effettuarne un backup esternamente.

Noch in diesem Kapitel

Compatibilità file runtime


Compatibilità file runtime

Manuale -> Runtime -> File Runtime -> Compatibilità file runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il runtime zenon funziona in modo tale da garantire la compatibilità con le versioni precedenti. Il runtime può caricare sempre anche dei progetti di versioni precedenti e interpretarli e visualizzarli in modo corrispondente a tali versioni.

I progetti a partire dalla versione 6.20 SP4 possono essere avviati direttamente, anche senza averli prima convertiti. I progetti con un numero di versione inferiore, però, devono essere prima convertiti.

E´possibile anche un funzionamento misto. Ciò significa: con la gestione multiprogetto si può caricare e far funzionare contemporaneamente dei progetti creati con versioni differenti.

Compatibilità online

La compatibilità online del Runtime consente l´interazione di sistemi Runtime (anche via Web Client) nella rete di zenon, anche se la versione del Runtime- Client è di numero superiore a quella del Runtime.Server.

Il runtime attuale può caricare progetti delle seguenti versioni:

  • 6.20 SP4
  • 06:21 SP0
  • 06:21 SP1
  • 06:22 SP0
  • 6.22 SP1
  • 06:50 SP0
  • 6.51 SP0
  • 07:00 SP0
  • 07:10 SP0
  • 07:11 SP0

Nell´ambito della gestione multiprogetto possono essere caricati anche diversi progetti. Ad esempio, il progetto di integrazione della versione 7.11 può essere un sotto-progetto della versione 7.00 e un ulteriore sotto-progetto della versione 6.51. Il funzionamento misto funziona anche in rete. In tal modo si possono avviare con il Webclient di zenon dei progetti creati con versioni differenti.

Nota: A partire dalla versione 7.00 , se nell´Editor si definisce per un progetto una graphics quality diversa da Windows Basis (inclusa l´impostazione corrispondente per Crea file RT per),), il Runtime (fino alla versione zenon 6.51) carica la qualità grafica Windows Enhanced. Se si setta la qualità grafica Windows Basis, essa verrà mantenuta.

Attenzione: server e Server-Standby devono essere sempre della stessa versione.

Nota per il modulo Batch Control: i file Runtime per Batch Control fino alla versione 7.00 SP0 inclusa, non sono compatibili con le versioni successive. A partire dalla versione 7.10, la compatibilità è garantita.

Compatibilità fra editor e runtime

Con l´editor di zenon, possono essere creati i file runtime per diverse versioni del runtime. La versione del runtime, dunque, non deve necessariamente essere la stessa di quella dell´editor. Questa compabilità verso il basso è particolarmente utile se si intende utilizzare dei sistemi misti. Ad esempio: un progetto viene realizzato con l´editor della versione 6.50, ma può essere avviato anche con il runtime della 6.22.

attention Attenzione

Se in un progetto vengono impostate delle proprietà con un editor di una versione superiore, le quali non sono disponibili con una versione precedente, queste proprietà non sono a disposizione se si lavora con quest´ultima versione. Ciò può avere delle conseguenze indesiderate nel funzionamento runtime.

Crea file runtime

Per creare nell´editor dei file runtime per versioni dal numero di serie inferiore, procedere come segue:

  1. selezionate il progetto nella struttura ad albero.
  2. passate alla proprietà di progetto, in particolare alla sezione Generale
  3. aprite la lista a cascata della proprietà Crea RT file per
  4. selezionate la versione desiderata:
    • Default: I file runtime vengono generati per la versione attuale dell´Editor.
    • 6.20 SP4: i file runtime vengono generati per la versione 06:20 Service Pack 4.
    • 6.21 SP0: i file runtime vengono generati per la versione 06:21 Service Pack 0.
    • 6.21 SP1: i file runtime vengono generati per la versione 06:21 Service Pack 1.
    • 06:22 SP0: i file runtime vengono generati per la versione 06:22 Service Pack 0.
    • 06:22 SP1: i file runtime vengono generati per la versione 06:22 Service Pack 1.
    • 06:50 SP0: i file runtime vengono generati per la versione 06:50 Service Pack 0.
    • 06:51 SP0: i file runtime vengono generati per la versione 6.51 Service Pack 0.
    • 07:00 SP0: i file runtime vengono generati per la versione 07:00 Service Pack 0.

Attenzione: Per garantire la consistenza dei file runtime, bisogna crearli di nuovo dopo ogni modifica di questa proprietà. Anche le configurazioni di tutti i driver vengono convertite. Le impostazioni che non esistono nella versione corrispondente, vengono settate su quelle di default.


Profilo Runtime

Manuale -> Runtime -> Profilo Runtime

Un profilo runtime è una rappresentazione momentanea ottica riproducibile di una immagine durante il runtime; il profilo, inoltre, fornisce delle informazioni su:

  • Schema immagine (successione e posizione)
  • Attribuzione monitor
  • Filtro

I profili runtime sono riferiti al progetto e all´utente.

I seguenti tipi di immagine supportano i profili Runtime:

  • Lista di informazioni allarmi
  • Post-elaborazione archivio
  • Lista Eventi Cronologica (CEL)
  • Trend esteso
  • Industrial Maintenance Manager
  • Industrial Performance Analyzer
  • Generatore Report
  • Message-Control
  • Diagnostica variabili

Ogni utente zenon dispone di una propria cartella, in cui può gestire i suoi profili. Gli amministratori possono vedere e modificare i profili di tutti gli utenti e copiarli nell´utente Sistema. Tutti gli utenti possono caricare profili runtime dall´account utente System-. Esso funziona da account di scambio per profili runtime.

Nota: solo gli amministratori possono copiare dei profili nell´account utente System per poi gestirli. Tutti gli altri utenti possono gestire solo i loro proprio profili e caricare quelli dell´utente System .

Profili predefiniti

Accanto ai profili individuali, ci sono due profili runtime predefiniti:

  • DEFAULT: creato dall´utente e selezionato come profilo standard.
  • LAST: viene salvato automaticamente nel percorso dell´utente al momento in cui questi fa il logout.
    Eccezione: Il profilo LAST non viene salvato:
    • per l´utente Sistema
    • in caso di un login temporaneo senza diritti di scrittura

Al momento del loggin, ad ogni utente zenon può essere attribuito un profilo standard:

attention Attenzione

I profili possono essere salvati in modo corretto sul server solo se su quest´ultimo sono presenti tutti i progetti:

  • dai quali vengono aperte delle immagini sul client
  • che aprono delle immagini con una funzione di cambio immagine

Salvare dei profili Runtime che non soddisfano queste condizioni, può portare al verificarsi di errori durante il Runtime.

Noch in diesem Kapitel

Crea e carica il profilo nel runtime.

Progettare una funzione

Attribuire e gestire il profilo

Directory di archiviazione per i profili


Crea e carica il profilo nel runtime.

Manuale -> Runtime -> Profilo Runtime -> Crea e carica il profilo nel runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter creare un profilo nel runtime, deve essere stata progettata una Funzione corrispondente:

  • Salva profilo: salva il profilo attuale nel modo in cui è statao definito nella funzione
  • Gestione profilo:: apre la gestione dei profili che serve a salvare, caricare, attribuire e gestire i profili.

Inoltre è possibile attivare nel runtime dei profili già esistenti:

  • Carica profilo

Quando si carica un profilo, lo stato viene ripristinato come al momento del salvataggio del profilo stesso. Viene ripristinata dunque la struttura dell´immagine, compresi tutti i filtri impostati (come al momento del salvataggio del profilo).

Attenzione: nel caso in cui ci dovessero essere nelle proprietà di un´immagine con Funzione apertura o Funzione chiusura delle funzioni di cambio immagine (Cambio immagine, Cambio immagine con variabile o Immagine indietro ), esse non vengono eseguite! Tutti gli altri tipi di funzione vengono eseguiti di nuovo.

Se nelle due funzioni viene aperto uno script, quest´ultimo viene eseguito per intero. Può dunque succedere che la struttura immagine dopo il caricamento del profilo non corrisponda a quella al momento del salvataggio del profilo stesso.

Una cosa simile avviene con Variabile di immagine attiva: Se nella variabile viene eseguito un valore limite che contiene a sua volta una funzione di cambio immagine, essa viene eseguita e ciò ha eventuali conseguenze non volute sulla visualizzazione.


Progettare una funzione

Manuale -> Runtime -> Profilo Runtime -> Progettare una funzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per caricare, salvare e gestire durante il runtime dei profili, dovete anzitutto progettare nell´Editor una funzione e poi attribuirla ad un pulsante:

  • scegliete "Nuova funzione..."
  • Nella finestra di dialogo che viene visualizzata, passate al nodo Immagini.
  • In esso selezionate Profilo Runtime

  • Si apre la finestra di dialogo per configurare la funzione.

Proprietà | Azione
Apri finestra di dialogo durante il Runtime | Apre nel Runtime la finestra di dialogo per amministrare, creare, salvare e caricare dei profili.
Carica profilo | Carica nel Runtime il profilo definito nel Runtime:
DEFAULT | Carica il profilo DEFAULT. Esso è stato selezionato dall´utente come profilo standard fra quelli disponibili.
LAST | Carica il profilo LAST. Esso è stato scritto automaticamente al momento del logout di un utente nel suo percorso.
Nome definito da utente | Carica il profilo che ha il nome indicato nella finestra di dialogo. Se questo profilo non esiste, si mantiene quello attuale.
Nome da variabile | Carica il profilo il cui nome è stato creato dalla variabile definita.
Salva profilo | Salva il profilo definito nel dialogo.
DEFAULT | Salva il profilo attuale come impostazione di default.
Nome definito da utente | Carica il profilo con il nome indicato nel dialogo.
Nome da variabile | Salva il profilo con il nome che viene creato dalla variabile definita nel dialogo.


Attribuire e gestire il profilo

Manuale -> Runtime -> Profilo Runtime -> Attribuire e gestire il profilo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I profili possono essere attribuiti sia nell´Editor che nel Runtime. Nel Runtime li create e salvate.

Nell’Editor

Nell´Editor vengono assegnati agli utenti dei profili Runtime:

  • Ciò avviene nella finestra di dialogo di creazione di un nuovo utente, usando la proprietà Profilo al login:

  • Oppure usando la proprietà Profilo runtime di un utente:

  • Nel menù a tendina avete a disposizione le seguenti impostazioni
    • Nessuno: non viene assegnato nessun profilo (impostazione standard).
    • DEFAULT: viene assegnato il profilo DEFAULT
    • LAST: viene assegnato il profilo LAST

Nel Runtime

Nel Runtime potete salvare, caricare, assegnare ed amministrare i profili usando la gestione profili. A tal scopo, deve essere progettata la Funzione Profilo Runtime con la proprietà Apri dialogo di gestione nel runtime.

Nota: gli amministratori possono gestire i profili di altri utenti.

Proprietà | Azione
Utente abilitato | L´utente che è attualmente registrato nel sistema.
L´utente i cui profili vengono gestiti. | L´utente i cui profili possono essere visualizzati e gestiti.
Profili | Lista dei profili esistenti.
Nome profilo | Nome del profilo.
Data ultima modifica | Data e ora dell´ultima modifica.
Rinomina | Apre il nome profilo selezionato al fine di rinominare il profilo stesso.
Elimina | Elimina il profilo selezionato dopo una richiesta di conferma per ragioni di sicurezza.
Copia | Copia il profilo selezionato all´utente Sistema. In questa sede si può cambiare anche il nome. Suggerimento: i profili dell´utente Sistema sono a disposizione di tutti gli utenti non loggati
Salva profilo | Apre la finestra di dialogo che serve all´attribuzione di un nome al profilo e salva il profilo con questo nome. Non sono consentiti: Spazi vuoti nonché i segni speciali / | \ : * ? ! " < > $
Carica profilo | Carica il profilo selezionato.
Chiudi | Chiude la finestra di dialogo.

Combinazioni tasti

Tasto | Azione
F5 | Attualizza la lista dei profili. Nel caso di eventi inaspettati nella rete di zenon (interruzione del funzionamento del server o Server-Standby), i contenuti della lista vengono automaticamente attualizzati.
Esc | Chiude la finestra di dialogo.
Invio | Carica il profilo selezionato.
Ins. | Salva lo stato attuale come nuovo profilo.
F2 | Consente di modificare il nome del profilo selezionato.
Canc | Elimina il profilo selezionato dopo un messaggio di conferma.


Directory di archiviazione per i profili

Manuale -> Runtime -> Profilo Runtime -> Directory di archiviazione per i profili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I dati dei profili vengono salvati in modo differente a seconda dell'uso che se ne fa nel Runtime.

Tipo di Runtime | Directory di archiviazione
Server o standalone: | I dati vengono salvati localmente.
Client | I dati sono salvati sul server e vengono richiesti e modificati in modo interattivo.
Standby | I dati sono salvati sul server e vengono richiesti e modificati in modo interattivo, nonché sincronizzati localmente.


Profili filtro

Manuale -> Runtime -> Profili filtro

I profili filtro sono impostazioni di filtro che possono essere salvate e aperte dall'utente nel runtime con riferimento ad una determinata immagine.

Per poter utilizzare i profili filtro, si devono progettare nell´immagine i seguenti elementi di controllo:

Elemento di controllo | Descrizione
Profilo filtro | Gestione profili nel Runtime.
Selezione profilo | Selezione di un profilo salvato nel runtime fra quelli proposti dal menù a tendina.
Salva | Cliccando sul pulsante nel Runtime si salvano le impostazione di filtro come profilo.
Elimina | Cliccando sul pulsante (X) nel Runtime si cancella il profilo selezionato.

In tal modo, potete nel Runtime:

  • salvare filtri
  • usare i filtri salvati
  • cancellare profili filtro
  • I profili filtro possono essere anche esportati e importati con altri elementi di controllo.

Salvare profili filtro

Per creare un profilo filtro:

  1. Definite delle condizioni di filtro durante il Runtime
  2. Assegnate un nome usando la proprietà Profili filtro
  3. Cliccate su Salva

Usare profili filtro

Per usare un profilo filtro:

  1. Selezionate un filtro fra quelli del menù a tendina della proprietà Profili filtro
  2. Il filtro viene applicato immediatamente..

Cancellare profili filtro

Per cancellare un profilo filtro:

  1. Selezionate un filtro fra quelli del menù a tendina della proprietà Profili filtro
  2. Cliccate sul pulsante X
  3. Il profilo viene cancellato
  4. ll filtro cancellato viene applicato finché non ne viene definito o selezionato uno nuovo.

Noch in diesem Kapitel

Esporta e importa profili filtro


Esporta e importa profili filtro

Manuale -> Runtime -> Profili filtro -> Esporta e importa profili filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete trasferire profili filtro ad altri progetti ed altri computer con gli elementi di controllo per import ed export.

Per esportare dei profili:

  1. Create nell´immagine gli elementi di controllo per import e export:
    Elementi di controllo -> Profilo filtro -> Importa o Esporta
  2. Avviate il Runtime.
  3. Aprite anzitutto l´immagine
  4. Create i profili desiderati
  5. Salvateli
  6. Esportate i profili:
    vengono salvati in un file XML e possono essere importati in altri progetti nello stesso tipo di immagine.

Per importare dei profili:

  1. Salvate il file XML con i profili desiderati nel computer che funge da server, nel caso in cui esso sia diverso dal computer da cui si effettua l´export.
  2. Avviate il runtime.
  3. Aprite anzitutto l´immagine
  4. Importate i profili

info Informazioni su

Durante l´import, tutti i profili esistenti vengono cancellati. Il profilo attivo al momento dell´import, però, non viene modificato.

I file XML possono essere importati solamente nel tipo di immagine adatto, cioè in quello con cui sono stati creati. Se si tenta di importare dei profili di un altro tipo di immagine, l´import si blocca e appare un messaggio che fa presente all´utente l´errore commesso.


Trattamento degli orari

Manuale -> Runtime -> Trattamento degli orari

Le indicazioni di tempo in zenon sono: ora locale, orari UTC o periodi di tempo. In linea di principio valgono le seguenti considerazioni:

  • Tutti i tempi "da -a" in filtri come cambio immagine AML o CEL, vengono salvati in UTC.
  • Gli orari (come nei moduli PFS e Load Management) sono indicati nelle rispettive ore locali (Local Time)
  • Periodi di tempo in secondi

Eccezioni:

  • L´IPA scrive i dati storici usando l´ora locale come "datetime" nella banca dati
  • Acquisisci ora dalla variabile oppure Scrivi data/ora nella variabile non salva nessun tempo, ma riprende dal PLC l´ora locale formattata come stringa, oppure scrive questo

UTC

UTC significa Coordinated Universal Time. L´unità di misura del tempo è il secondo SI. UTC è l´unità di riferimento utilizzata internazionalmente per l´indicazione del tempo, si basa su misurazioni condotte da orologi atomici e viene reso noto e messo a disposizione di tutti tramite trasmettitori appositi. A seconda del fuso orario, si deve aggiungere o sottrarre all´UTC un determinato valore. Questo valore può variare di un´ora in corrispondenza del cambio dall´ora solare a quella legale.
Esempi:

Paese | Ora locale
Alaska | UTC -9
Australia, Queensland | UTC +10
Bulgaria | UTC +2
Gran Bretagna | UTC
Corea | UTC +9
Europa centrale (Central European Time) | UTC +1
Europa centrale (Central European Time) Ora legale | UTC +2
Arabia Saudita | UTC +3
USA costa orientale | UTC -5
Emirati Arabi Uniti | UTC +4

Effetti sulle configurazioni

Dalle indicazioni di tempo progettate conseguono diversi orari reali a seconda del luogo di esecuzione del Runtime.

Ad esempio: nell´Editor si imposta localmente per il PFS nel fuso orario UTC +1 il valore ore 14.00 in corrispondenza del quale deve essere eseguita una funzione. Dopo il trasferimento dei file a un Runtime nel fuso orario UTC +10, questa funzione sarà eseguita alle 23 Uhr.

Cambio fuso orario

Se si cambia il fuso orario nel sistema operativo, questa modifica viene ripresa automaticamente in zenon durante il Runtime.

Noch in diesem Kapitel

Cambio all´ora legale


Cambio all´ora legale

Manuale -> Runtime -> Trattamento degli orari -> Cambio all´ora legale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per quello che concerne il passaggio dall´ora solare a quella legale e viceversa, vale quanto segue:

  • Usate il meccanismo Windows di cambio automatico integrato nel vostro calcolatore.
  • Non cambiate mai l´orario manualmente!

    Le modifiche apportate manualmente possono causare problemi riguardanti indicazioni temporali importanti per il funzionamento di zenon, per esempio quando effettuare il salvataggio di dati d´archivio, i temporizzatori ecc.

Il comportamento di Schedulatore e Production & Facility Scheduler in corrispondenza del cambio dell´orario lo configurate al momento dell´impostazione di questi moduli:

  • Cambio dell´orario Schedulatore
  • Cambio dell´orarioProduction & Facility Scheduler


Attribuzioni

Manuale -> Attribuzioni

Le attribuzioni permettono di smistare il valore attuale di una variabile a una seconda variabile all´interno di un driver o fra un driver e l´altro.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

zenon permette di scrivere i valori direttamente dal PLC in una banca dati SQL, o di scrivere modifiche spontanee di valori da un driver su un secondo driver. Si possono definire delle attribuzioni per più progetti contemporaneamente.

Attenzione: Le attribuzioni che valgono per diversi progetti vengono eseguite solo dopo il caricamento di tutti i progetti.

Trasmissione

Un´attribuzione trasmette il valore, lo stato e il timestamp della variabile di origine a quella di destinazione.

Nota: stato e timestamp possono essere elaborati solamente dai seguenti driver:

  • Driver Interno
  • driver SQL
  • driver AK (SICAM 230)

Gli stati Realtime esterno (T_EXTERN), Realtime interno (T_INTERN)e Annuncio ora solare/ora legale (T_CHG_A) non vengono trasmessi. Essi vengono definiti dal timestamp.

La risoluzione dovrebbe trovarsi per entrambe le variabili entro gli stessi limiti (comportamento di sovraffollamento).

Il trasferimento del valore avviene in presenza di una variazione di quest´ultimo: ogni volta che la variabile sorgente subisce una modifica di valore, viene modificato anche il valore della variabile di destinazione. Nel caso in cui il valore della variabile di destinazione dovesse essere modificato indipendentemente dalla variabile sorgente, la variabile di destinazione mantiene il suo valore finché la variabile sorgente subisce nuovamente una modifica.

info Informazioni su

Anche le attribuzioni a variabili interne vengono eseguite solamente sul server.

Menù contestuale - manager di progetto

Punto di menù | Azione
Nuova Attribuzione | Aggiunge una nuova attribuzione nella lista.
Esporta tutte in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa file XML.
Guida | Attiva la guida online

Noch in diesem Kapitel

Progettazione nell'editor

Attribuzioni Visualizzazione dettagli barra simboli e menù contestuale

Variabili trigger e tipo trigger


Progettazione nell'editor

Manuale -> Attribuzioni -> Progettazione nell'editor

Per definire delle attribuzioni:

  1. nel Manager di progetto andate al punto Attribuzioni che troverete nel nodo Variabili
  2. Le attribuzioni già esistenti vengono mostrate nella visualizzazione dettagli.
  3. Selezionate nel menù contestuale oppure nella barra dei simboli l´azione desiderata, per esempio Nuova attribuzione
  4. Nella finestra delle proprietà vengono ora visualizzate le proprietà della nuova attribuzione che potranno anche essere modificate in questa sede.

Un´attribuzione necessita assolutamente di:

  • un nome univoco
  • una variabile sorgente
  • una variabile di destinazione

Quando selezionate le proprietà Variabile sorgente o Variabile di destinazione, si apre la lista variabili corrispondente dalla quale potrete scegliere le variabili desiderate. Ogni variabile di qualsiasi driver è selezionabile come origine. La variabile di destinazione deve avere un´abilitazione lettura/scrittura.

Ogni modifica del valore della variabile sorgente verrà trasferita alla variabile di destinazione dell´attribuzione.

Tramite il menù contestuale della sezione lista del manager di progetto le attribuzioni si possono tagliare, copiare, inserire e eliminare.


Attribuzioni Visualizzazione dettagli barra simboli e menù contestuale

Manuale -> Attribuzioni -> Attribuzioni Visualizzazione dettagli barra simboli e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale

Voce di menù | Azione
Nuova Attribuzione | Aggiunge una nuova attribuzione nella lista.
Taglia | Copia gli inserimenti selezionati negli appunti e li cancella dalla lista.
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Esporta selezione in XML | Esporta tutti gli inserimenti selezionati in un file XML.
Importa XML | Importa degli inserimenti da un file XML.
Elimina filtro | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Variabili trigger e tipo trigger

Manuale -> Attribuzioni -> Variabili trigger e tipo trigger

Per le attribuzioni si possono definire una variabile trigger e un tipo trigger. In tal modo possono essere definite delle attribuzioni gestite dagli eventi. I valori non vengono attribuiti più automaticamente, ma solamente in caso di modifica del valore delle variabili trigger.

Le variabili trigger devono essere variabili binarie. Sono possibili le seguenti configurazioni:

Variabile trigger | Tipo trigger | Risultato
non definito |  | Ogni modifica nella variabile sorgente ha come conseguenza il fatto che il valore sorgente viene attribuito alla variabile di destinazione.
definito | Fronte | L'attribuzione viene eseguita solo nel caso in cui la variabile trigger subisca una modifica di valore da 0 a 1. Solo un fronte positivo della variabile bit fa sì che si verifichi un'attribuzione. L'attribuzione non viene più causata automaticamente dalla modifica di un valore nella variabile sorgente.
definito | Livello | L'attribuzione viene eseguita sempre finché la variabile trigger ha un valore pari a 1. Ogni volta che il valore della variabile sorgente cambia, viene attivata l'attribuzione ed il valore viene scritto nella variabile di destinazione. Questa attribuzione rimane attiva finché il valore della variabile trigger non cambia tornando di nuovo a 0.


Automatic Line Coloring (ALC) - Topology

Manuale -> Automatic Line Coloring (ALC) - Topology

The topological coloring of lines allows easy automatic dynamizing of tubes in technology (for media) as well as in the energy distribution (for electricity). So process controlled coloring of topological nets can easily be realized.

Because the tube structure is designed in the screen with all its technological elements (e.g. tanks and valves, or generators, switches and consumers), it is internally emulated as a model and the media flow is displayed in the Runtime.

In order to allow screen-overlapping models the entire design and configuration is always project-wide. You therefore have one entire topological model per project, which is used for the calculation of the tube statuses and ultimately for the coloring of the tubes.

The whole topology is created automatically from the graphic design. No other engineering actions are necessary.

info Informazioni su

The ALC algorithm only runs through once from a source starting from each switch.

Detail screens

To display individual screens, a partial area can be taken from the topological network and displayed individually by means of alias. A detail screen can be displayed with the data from different equipment parts, for instance outputs or partial networks.

tutorial Informazioni sulla licenza

Must be licensed for Editor and Runtime (single-user, server, standby).

No need to be licensed for Runtime client.

Licensing is carried out using the zenon Energy Edition.

  • ALC: Included in the license for Energy Edition; provides basic properties for line coloring and multiple supply.
  • Topology package: Requires additional licensing on the server (not on the client) and expands ALC by:
    • Secured supply
    • Topological interlockings
    • Transformer and separator topological elements
    • Error detection (version 6.50 and above)

Noch in diesem Kapitel

ALC elements

Configuration

Change ALC source color

Detail screens

Fault locating in electric grids

Impedance-based error detection and calculation of load distribution


ALC elements

Manuale -> Automatic Line Coloring (ALC) - Topology -> ALC elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Automatic Line Coloring (ALC) makes it possible to color lines depending on the process status. The combined element is used as the process element. Automatic line coloring allows easy automatic dynamizing of tubes in technology (for media) as well as in the topological networks (for electricity).

Engineering

For the design two types of screen elements with different functions are distinguished. On the one hand these are procedural elements (source, switch/disconnector, drain, transformer or link) and on the other hand lines.

In doing so, the technical elements have a function and a color (source and transformer). If the procedural elements are active, the connected lines take on the color of these elements at the source and transformer or they take on the color of the element's input line for the switch and the link. If the procedural elements are inactive, the color of the lines is taken from the definition in the editor.

The different functions of the elements are assigned in the properties of the combined element.

Example

A source has a connected line. A switch is connected to the line. And a second line is connected there. If the source is active, the first line is colored with the color of the Automatic Line Coloring defined in the source up to the valve. The other line is not colored before the switch is closed.

Source inactive

Source active

Switch closed

Undefined or invalid

info Informazioni su

If the procedural element status is undefined or malfunction, this is automatically detected. All connected lines and all further elements are displayed in the color of the predefined source undefined' for both states.

Number of closed switches in a series

For the correct functioning of the ALC algorithm, the number of connected switches in a series plays a role.

Recommendation: Arrange a maximum of 256 closed switches in a series between the source and the drain.

Noch in diesem Kapitel

Procedural elements

Lines

Checking the project


Procedural elements

Manuale -> Automatic Line Coloring (ALC) - Topology -> ALC elements -> Procedural elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Procedural elements are created in zenon with a combined Element. Their state determines the coloring of the connected line.

The following settings are available:

Property

Description

Function type

Defines the technological type of the Combined element.

Terminator

For bus bar ends. Blocks the error message "Line only connected on one side" when being compiled in the Editor.

Generator

A generator generally behaves like a source, but it is considered as an independent and not net-synchronous.

No function

The element has no function in the ALC.
Note: The "no function" function type is the default value.

Link

With a link a line can be continued on some other place. If a link is supplied by a line, all other links with the same link number also are supplied by this line. Here it does not matter, whether the links are in the same screen or on different screens in the project. So screen independent lines can be defined. It is possible to have more than two links with the same link number in one project.

Links can be supplied by several lines at the same time or can themselves supply several lines. In principle there is no difference between inputs and outputs. The source information is passed on to all connected lines.
Attention: Two link elements cannot be connected directly to one line. In between, there has to be at least one other procedural element (switch/disconnector or transformer).
A link cannot be switched active or inactive: it always is active.

Source

Passes on its color. If the source is active (value: 1), all connected lines that have Colori da ALC option set in the element properties are allocated the color of the source. The color is defined in the project properties as the source color. (e.g. tanks or generators). A source is a single pole with a static source number assigned to it. The source is switchable over the state of its main variable. Generally, sources are considered as net-synchronous and detachable.

You can find details on the source in the configuration of the sources chapter.

Switch

With this lines can be split. If the switch is closed/active (value: 1), then the connection between the two lines is closed and the line is colored up to the next switch with the defined source color. In this case a switch forwards the source color of the input line to the output line.

If the status of the switch is malfunction, undefined or INVALID, the color of the line turns into the color undefined from the ALC configuration in the project properties. A switch thus delivers source number 0 (undefined) to its output (connection 2) instead of the incoming source number.

Example: see Switch example - colors from ALC section.

Note: If the Inverti Ingresso/Uscita property is active, the input and output of this element are reversed for the ALC.

Valve

A slider (a valve) acts in a similar manner to a switch, but it is used for water and gas lines.

Value of the main variable:

Switch OFF: Value 0 -> Slider closed-> No forwarding

Slider ON: Value 1 -> Slider open completely-> Water flow

Slider DIF: Value 2 -> Slider partially open-> Water flow

Slider STO: Value 3 -> Slider malfunction

Note: If the Inverti Ingresso/Uscita property is active, the input and output of this element are reversed for the ALC.

Drain

This defines the end of the line. The drain does not influence the coloring; it is only used so that the model can be displayed in full. If an external program (e.g. VBA) should access the model, then the drain probably is needed for further calculations, and so has to be inserted.
In Energy projects, the drain is used for representing consumers. These customers are considered for the calculation of the ALC interlockings (command groups) 'Consumer is undersupplied'.

Check valve:

The check valve only forwards information in one direction:

  • Value 0:
    The forwarding is not active (= closed)
  • Value 1 or 2:
    Forwarding is only possible in one direction. In doing so, only forwarding from the input to the output takes place. Forwarding in the opposite direction is not envisaged. This also affects the ground switching.
  • Value 3:
    Forwarding is undefined. This then occurs, for example if the check valve is faulty. In this case the status is only forwarded at the output.

Note: If the Inverti Ingresso/Uscita property is active, the input and output of this element are reversed for the ALC.

The check valve is also taken into account by the topological interlockings.

Transformer

A transformer is a drain and a source at the same time. SO with a transformer the input color (input source) can be transformed to a new output color (transformer source color).
The output line is only switched to active once the transformer has an active input line. However the output line does not get the color of the input line as with a switch, but instead the color of the transformer's own source. So a source has to be defined for each transformer. A transformer cannot be switched active or inactive, it always is active.

Note: If the Inverti Ingresso/Uscita property is active, the input and output of this element are reversed for the ALC.

Reverse-feed-compatible transformer:

To have a transformer capable of reverse feed, you must select, for Sorgente per alimentazione invertita, a different source than UNDEFINED [0]. This means that the transformer behaves the same for both directions - from the input to the output (forward) and also from the output to the input (backward). The only difference is that the Sorgente per alimentazione invertita property and not the Sorgente property is used for further distribution of the source number.

Note: Defective network statuses or missing configurations, such as a feed from the input and output at the same time or a short circuit from input and output are not specially colored. This means that the transformer capable of taking a reverse feed behaves like two transformers switched to run antiparallel that are not capable of taking a reverse feed.

Disconnector

A disconnector generally behaves like a switch. Nevertheless, a disconnector may not be connected in the topological model. A status (on, off, intermediate position, malfunction) is determined via its main variable.

Note: If the Inverti Ingresso/Uscita property is active, the input and output of this element are reversed for the ALC.

Source and link number

Parameters | Description
Source | Here a source is assigned to an element. In this selection box all sources defined in the ALC configuration (in the project properties) are available. All source names are listed. This property is only active if the function type 'source', 'transformer' or 'generator' has been selected. You can find details on the source in the configuration of the sources chapter.
Link number | Only the link number is entered for a link function. All identical link numbers in a project correlate with each other. Detailed description in the function type Link. This property is only active, if the function type link has been selected.

A variable of the IEC type BOOL or integer has to be linked to the element as the main variable, so that the switch can get the status (open, closed, invalid). In the same way, the source gets its status (active/inactive) from the linked main variable.

For the function types source and transformer the defined source number is forwarded to the consumers (drains) over open or closed switches. The statuses and colors of all connected lines are calculated from the superposed sum of the supplying source numbers and procedural elements.

info Informazioni su

Only the first two bits are considered for the switching. The first bit stands for the actual switching. 0 equals off and 1 equals 1.

The second bit is the error bit. There is no error only if it is 0.

States

  • A switch and a source are switched on if the value of the linked variable is 1.
  • A switch is invalid if the value of the linked variable is >1 or has an INVALID status.
    An invalid switch provides the source number 0 (undefined) at its exit (connection 2) instead of the source number entering. In the direction towards the input the switch behaves as normal.

    Note: if the (acknowledgment) variable has the status INVALID, the whole subsequent network is INVALID, because the status of the network is not known. The status INVALID is forwarded (routed) using subsequent closed switches.

attention Attenzione

If in the single status the color and the fill color from the ALC is activated, also the procedural elements are colored by the status of the connected lines in the Runtime.

Noch in diesem Kapitel

Switch example - colors from ALC

Connection points of procedural elements

Switch input/output


Switch example - colors from ALC

Manuale -> Automatic Line Coloring (ALC) - Topology -> ALC elements -> Procedural elements -> Switch example - colors from ALC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Example 1

Combined element with value status 00 and line color from ALC:

  1. Configuration in the Editor:
    • Combined element with value status 00
    • Line color from ALC active

  2. Results in the following in Runtime:
    • Source color: green
    • Color without voltage: white
    • Switch status: off/open (value 0)

Example 2

Combined element with value status 01 and colors from ALC:

  1. Engineering in the Editor
    • Combined element with value status 01
    • Line color from ALC active
    • Fill color from ALC active

  2. Results in the following in Runtime:
    • Source color: green
    • Color without voltage: White
    • Switch status: on/closed (value1)

Example 3

Combined element with value status 00 without colors from ALC:

  1. Configuration in the Editor:
    • Combined element with value status 00
    • Line color from ALC not active

  2. Results in the following in Runtime:
    • Source color: green
    • Color not energized and construction color of the line: White
    • Defined line and fill color of the combined element: black
    • Switch status: off/open (value 0)

Example 4

Combined element with value status 01 without colors from ALC:

  1. Engineering in the Editor
    • Combined element with value status 01
    • Line color from ALC inactive
    • Fill color from ALC inactive

  2. Results in the following in Runtime:
    • Source color = green
    • Color not energized and construction color of the line: White
    • Defined line and fill color of the combined element: black
    • Switch status: on/closed (value1)


Connection points of procedural elements

Manuale -> Automatic Line Coloring (ALC) - Topology -> ALC elements -> Procedural elements -> Connection points of procedural elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When configuring, a line is connected to a procedural element (combined element) by overlapping drawings in the screen at connection points of the combined element. Only one line can be connected to the same connection point at the same time. All lines that start within the area defined, are connected (Topology from the graphic).

attention Attenzione

Use ALC elements only in un-rotated state because:

The calculation for the topological model for the ALC in the Editor is based on the position of the elements in un-rotated state and without considering any dynamics.

Connection points and connection areas

  • The connection area for a connection point is in the middle of each side of the combined element. Each combined element thus has four connection points.
  • The size of a connection area corresponds to 2/3 of the height and width of a combined element, but no more than 20 pixels.
  • Each connection area is centered in the middle of the respective element corner and stretches symmetrically inwards and outwards, to a maximum of 10 respective pixels.

attention Attention

If the combined element is less than 30 pixels, connection areas within an element overlap. Lines that could touch can cause errors (compilation, coloring).

You can see the possible connection points for combined elements smaller and larger than 30 pixels in the illustration.

Colors

  • Blue: Combined element
  • Red: Connection areas

Dimensions:

  • A: height of the Combined element
  • B: width of the Combined element
  • a: Width of the connection area: 2/3 of A, but a maximum of 20 pixels.
  • b: Length of the connection area: 2/3 of B, but a maximum of 20 pixels.

Rules

  • If a line is outside the connection area, no connection is detected and there is thus no coloring of the line. So there will also be no coloring for further lines.
  • With sources, drains and Links, all described connection points can in principle be used.
    Attention: With sources and drains, only one connection point can be used at the same time. If different connection points are used at the same time, undefined states can occur.
    Elements of the type Link can also use several connection points at the same time. The incoming color information is passed on to all lines.
  • With switches/disconnectors/sliders and transformers, the connection 1 (supply) is on the left or on the top and connection 2 (output) is on the right or on the bottom. This sequence can be changed with the Inverti Ingresso/Uscita property.
    Attention: At switches and transformers it has to be cared, that only one input connection and one output connection is used. The simultaneous use of several input or output connection points results in inconsistencies and is therefore not reliable.
  • For all procedural elements the following is true: Only one line can be connected to a connection point. Junctions cannot be realized directly on an element but must be drawn with lines.


Switch input/output

Manuale -> Automatic Line Coloring (ALC) - Topology -> ALC elements -> Procedural elements -> Switch input/output

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If a transformer, a disconnector or a switch is configured, the input and output can be swapped. To do this:

  1. Select either transformer, disconnector or switch as a Tipo funzione
  2. Activate the checkbox Inverti Ingresso/Uscita

The input is then set at the bottom right and the output at the top left.

Overview

Device configuration | Input | Output
normal | Left | Right
normal | top | bottom
swapped | Right | Left
swapped | bottom | top


Lines

Manuale -> Automatic Line Coloring (ALC) - Topology -> ALC elements -> Lines

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lines are represented by vector elements Line, Polylines and Tube.

If the option Color from ALC is activated for a line, the coloring is defined by the ALC configuration. Lines are automatically colored by the system depending on the status of the procedural elements and the ALC settings.

Here the color usually comes from the highest priority source number of the media flowing through the line, or stays "empty/not energized" just as defined in the screen with static or dynamic colors.

You define the display type by means of drop-down lists:

  • Priority for display
  • Display multiple supply
  • Display secured supply

The following options are available in the properties of the lines:

Parameters

Description

Colori da ALC

Activates the automatic line coloring for these vector elements. That means: If the source for the line is active and all switches/valves leading from the source to the line are closed/open, the line is accordingly colored. If the line is fed by a single source, the defined source color is used for coloring the line. The line width is not changed.

Priorità di visualizzazione

Defines if multiple supply, secured supply or both are displayed.
Default: Multiple supply

Secured supply

The element is displayed according to the rules of the secured supply.

A line is then considered to have a secure supply if it is supplied by at least two different switches or transformers with a non-system source. System sources do not contribute to secured supply, but do not exclude it.

Multiple supply

The element is displayed according to the rules of the multiple supply.

A line is considered to have multiple supplies if it is supplied by at least two different sources. In doing do, it does not matter if they are system or user sources and from which side the line is supplied by the sources.

No priority

The coloring rules for multiple supply and for secured supply are applied at the same time if both criteria are met. That means:

If a line

  • has multiple supplies and a secured supply,
  • The priority is set to No priority,
  • The display for multiple supply is set to two sources with highest priority,
  • The display for secured supply is set to double width,

Then the line is twice as wide and displayed as a dashed line in two colors.

Visualizza fornitura multipla

Multiple supply means that a line is supplied by multiple sources at the same time. Here you can define how lines with multiple supply are displayed.

Default: highest priority source

highest priority source

The line gets the color of the source with the highest priority.
Note: Priorities correspond to the sequence chosen in the ALC configuration.

two highest priority sources

Applies for lines fed by two or more different sources. The two sources with the highest priorities define the coloring. The line is displayed with these two colors (dashed). The dash length can be changed using the Lunghezza tratto alim. multipla property.

System sources apply for multiple supplies just as with genuine sources and color lines in two colors it they are configured accordingly.

Alternative color

The color defined in the Colore alternativo property is used.

Lunghezza tratto alim. multipla

Defines the dash length (in pixels) of lines, polylines or tubes for the dashed ALC coloring for two sources with the highest priority for Visualizza fornitura multipla.

  • Minimum: 0 (automatic dash length)
  • Maximum: 32767
  • Default: 0

Colore alternativo

Alternative color for the ALC coloring of lines, polylines or tubes with multiple supplies.

Display secured supply

Secured supply means that a line gets multiple supply from one source (parallel). Here you can define how 'secured supply' is displayed.

A line is always displayed as having a secure supply if it is supplied by at least two switches with a genuine source (not system source).

Default: normal

double width

Relevant for lines fed in parallel by the same source. If this is the case, the line is displayed with double the configured width. (Example: A line with line width 5 pixels is displayed with 10 pixels if secure-fed.)
If this line is fed by two or more different sources (multi-supply), the line width does not change!

The color is always defined by the source with the highest priority!

double brightness

Relevant for lines fed in parallel by the same source. The line is displayed with double the original brightness.
If this line is fed by two or more different sources (multi-supply), the line color does not change!
If this line is multi-fed from one source (secure supply), the line is displayed with double the original brightness.
Formula for the calculation of the double brightness:

  1. The defined RGB color is transformed to the HLS system.
  2. L (luminance = brightness) is recalculated with NewLuminance = 240*3/4 + L/4
  3. The color value is recalculated to the RGB system with the new brightness.

The color is always defined by the source with the highest priority!

normal

The element is displayed in the color of the source and with the configured width.

Utilizza alias

Active: Alias is used.

Alias

Opens the dialog for selecting a model.

info Informazioni su

The source color and the priorities of the sources are defined in the project properties.

User-defined sources must have a higher ID than 9. IDs up to 9 are reserved for system sources.

info Informazioni su

The calculation of the color of a line in the Runtime is done with the following priority list:

  1. Automatic Line Coloring (highest priority, overrules all other settings)
  2. Dynamic colors
  3. Static colors

Noch in diesem Kapitel

Example

Connection points of lines


Example

Manuale -> Automatic Line Coloring (ALC) - Topology -> ALC elements -> Lines -> Example

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the following example Source 0 has the color blue and Source 1 has the color red. And Source 0 is the source with the highest priority.

Source 0

Source 1

This results in the following displays for the different options:

 | Line / Polyline | Pipe
highest priority source |  |
two highest priority sources |  |
double width |  |
double brightness |  |


Connection points of lines

Manuale -> Automatic Line Coloring (ALC) - Topology -> ALC elements -> Lines -> Connection points of lines

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The connection of one line (line, polyline or tube) to another line is done with overlapping drawing in the screen at connection points. The connection points - either connection areas - are at the start and the end of each line and are around 3 pixels large.

Example Esempio

The start point of a line has the coordinates (start point x/start point y): 150/100 pixels.
This results in a connection area (x / y): 147 - 153 / 97 - 103 pixels.

If the line start or end of this line and that of one or more other lines is within this area, the lines are automatically connected without any further engineering. A mere overlapping of the connection areas of the single lines is not sufficient!

In the following illustration the connection area is displayed graphically (the green lines are connected to the black one, the red line not.

info Informazioni su

Any number of lines can be connected in a connection area.

attention Attenzione

If a line is outside the connection area (e.g. the red line in the illustration), no connection is established and there is no coloring of the line. So there will also be no coloring for further lines.

Line crossings can easily be realized, if the ends of the lines are not in the connection area.

attention Attenzione

Use ALC elements only in un-rotated state because:

The calculation for the topological model for the ALC in the Editor is based on the position of the elements in un-rotated state and without considering any dynamics.


Checking the project

Manuale -> Automatic Line Coloring (ALC) - Topology -> ALC elements -> Checking the project

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Engineer the desired procedural elements and lines in one or more screens and save these screens. Then you can check via Create all Runtime files or Create changed Runtime files whether there are any errors or conflicts in the screens. If error or conflicts should exist, corresponding error messages or warnings are displayed in the output window.

info Informazioni su

Double click the corresponding line in the output window. The screen with the erroneous screen element will be opened automatically. If the erroneous screen element is part of a symbol, the corresponding symbol is automatically selected.

The following error message can be displayed.

  • ALC: Screen '%s' - Two Link elements with different Link number are connected to line '%s' . (Double click opens the screen and selects the line.)
  • ALC: Screen '%s' - More than two connection points are used at element '%s'. For each element only one input and one output may be used. (Double click opens the screen and selects the element.)

The following warnings can be displayed.

  • ALC: Screen '%s' - Alias line '%s' is connected to a no-alias line. (Double click opens the screen and selects the line.)
  • ALC: Screen '%s' - Alias element '%s' is connected to a no-alias line. (Double click opens the screen and selects the element)
  • ALC: Screen '%s' - No-alias element '%s' is connected to an alias line. (Double click opens the screen and selects the element)
  • ALC: Screen '%s' - Line '%s' is only connected on one side. (Double click opens the screen and selects the line.)
  • ALC: Screen '%s' - Element '%s' is not connected. (Double click opens the screen and selects the element)
  • ALC: Screen '%s' - Element '%s' is only connected on one side. (Double click opens the screen and selects the element)

In the error messages or warnings the corresponding elements are identified using the element reference. This reference also serves as the link key for ALC aliases.


Configuration

Manuale -> Automatic Line Coloring (ALC) - Topology -> Configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To configure ALC:

  1. In project properties, select Configurazione ALC the property in the Automatic Line Coloring group
  2. Click on the ... button
  3. The dialog for configuration is opened
  4. Configure the desired properties for:
    • Sources
      (note also the principles for Coloring for UNDEFINED.)
    • Interlockings
    • Screen marker

Noch in diesem Kapitel

Configuration of the sources

Configuration of topological interlockings

Configuration of the screen marker


Configuration of the sources

Manuale -> Automatic Line Coloring (ALC) - Topology -> Configuration -> Configuration of the sources

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The sources, e.g. their names and colors (sequence and priority), are configured project-specifically within the project properties under 'ALC configuration'.

Source colors

Parameters | Description
Number | Internal unique consecutive number, so that the source can be identified. This number is given by the system automatically and cannot be changed. Attention: IDs 0 to 9 are reserved for the system sources and must not be used user-specific.
Name | Logical name for the source (e.g.: 'water' or 'grounded'). This name is also used when selecting the source number for Combined elements. You can change the name by clicking it with the left mouse button. With this edit mode is switched on. The changes are accepted with Enter or by selecting another source. Note: The labels are not language switchable.
Line color | Line color of the respective source. This color is used for coloring lines, polylines and as the outside color of tubes.
Dashed | Check box for activation. If active, the line is drawn as dashed. Note: This check box is only active for GROUNDED. This check box is grayed out for all other sources.
New | Adds a new color.
Delete | Deletes the selected color.
Upwards (arrow symbol) | Moves selected source up one position.
Fully upwards (arrow symbol) | Moves selected source to the start of the list.
Downwards (arrow symbol) | Moves selected variable down one position.
Fully downwards (arrow symbol) | Moves selected source to the end of the list.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

The colors can be configured directly by entering the corresponding hexadecimal code or by using a color palette.

For direct input:

  1. Click on the color description with the left mouse button
  2. The field is switched to editing mode
  3. Enter the code
  4. Press the input key or select another source to apply the change

To select via a color palette:

  1. highlight the desired line
  2. click on the ... button behind the color
  3. The color palette is opened.
  4. select the desired color

The hexadecimal code describes the RGB color value and consists of the following. #RRGGBB.

Element | Meaning
# | Identifier to indicate that a hexadecimal color code is used.
RR | 2 digits are the red value of the color in hexadecimal system. 0-255 is 0-FF
GG | 2 digits are the green value of the color in hexadecimal system. 0-255 is 0-FF
BB | 2 digits are the blue value of the color in hexadecimal system. 0-255 is 0-FF

info Informazioni su

The sequence in this list represents the priority of the sources, with the first element having the highest priority.

To change the priorities of the single sources, they can be moved upwards or downwards using the arrow buttons

attention Attenzione

Limitations when deleting the sources and resetting erroneous colorings:

Sources with ID between 0 and 9 are reserved for system sources. They can:

  • Not be deleted:
  • Not be reset as an erroneous color

Deleting sources

In order for sources to be able to be deleted, they must have an ID from 10. Only the source with the highest ID can be deleted.

Resetting erroneous colorings

In order for erroneous colorings to be able to be reset once the cause has been rectified, no system source colors can be used. A color for IDs from 10 must be selected.

Noch in diesem Kapitel

Coloring mode for UNDEFINED


Coloring mode for UNDEFINED

Manuale -> Automatic Line Coloring (ALC) - Topology -> Configuration -> Configuration of the sources -> Coloring mode for UNDEFINED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Coloring in the network can be implemented in two modes with the UNDEFINED status:

  • Standard
  • Input takes priority

This setting is made using the Automatic Line Coloring/Metodo di colorazione project property.

Standard

The graph search starts with a source and goes through the whole network, so that each closed switch (switch variable has the value 1) per direction is only gone through once, so no cycles occur. In doing so, each node visited (=line segment) is colored with the source color. The directly-related lines are marked as a node.

If the search finds a switch that has a switch variable with the following status, the UNDEFINED color is used for coloring from this point onwards:

  • INVALID [values: any desired],
  • is invalid [value: 3]
  • is in intermediate position [value: 2])

The graph search is now continued in the same form. Each switch is gone through just once per direction with the UNDEFINED color. Therefore each switch can be gone through a maximum of four times per source:

  1. with source number in forwards direction,
  2. with source number in backwards direction,
  3. with UNDEFINED in forwards direction,
  4. with UNDEFINED in backwards direction,

Input takes priority

With the Supply takes priority setting, only lines that have a supply from at least one source but not clearly from any one source are colored as UNDEFINED. If a line is supplied with at least one source, it can no longer receive an UNDEFINED color from another source.

This search is a two-stage search:

  • In the first stage, as with Standard, the source color is distributed in the network from each switched source, as long as the next switch is closed. The search is ended if the switch is open or invalid/undefined.
  • In the second stage, the search is started at each invalid/undefined switch that receives a supply from one side and the UNDEFINED color is distributed to the unsupplied side. This search also considers the switches that are invalid/undefined as closed and thus distributes the UNDEFINED color in the network until it meets a clearly open switch. In addition, a search is ended if a line element is reached that is already supplied.


Configuration of topological interlockings

Manuale -> Automatic Line Coloring (ALC) - Topology -> Configuration -> Configuration of topological interlockings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

topological interlockings from the ALC for Command Processing can be configured here.

info Informazioni su

This dialog is only available when both the Energy Edition and the Automatic Line Coloring modules are licensed.

The following conditions are available: The settings made here apply globally, for the whole Topological Model:

Parameters | Description
Voltage towards ground | Interlocking is active if a switch/disconnector is to be closed and a grounded potential is connected to its first connector and its other connector is connected or undefined.
Switching action in an area with an undefined status | Interlocking is active if a switch disconnector is to be closed and both of its connectors are 'undefined' or 'disturbed'.
Disconnector under load | Interlocking is active if certain conditions have been met for switching on or off. Conditions: See "Disconnector under load - interlocking conditions" section.
Device would not be supplied | Interlocking is active, when a consumer, which was supplied before, would be unsupplied after the switching action (by switch or disconnector).
Area with undefined status would increase | Interlocking is active if a switch disconnector is to be closed and one connector is 'undefined' or 'disturbed' and the other not.

If you click in the Status column in one of these interlockings, a drop-down list opens with three choices:

Parameters | Description
do not check | The selected condition is not considered in this project (topological model).
unlockable | The selected condition is considered in this project. If the condition applies, the user can unlock it with the command processing (Command Processing screen). This unlocking action is logged in the Chronological Event List.
not unlockable | The selected condition is considered in this project. The user cannot unlock it.

Exception topological interlocking

The topological interlocking is not carried out if:

  • the variable of a switch has the status Revision
    or
  • the variable is manually corrects or set to Alternate value and with this is set to the same variable value as the initial value; in other words if the switch:
    • Is set to OFF and then it is manually corrected to OFF or replaced.
    • Is set to On and then it is manually corrected to ON or replaced.

Noch in diesem Kapitel

Disconnector under load - interlocking conditions


Disconnector under load - interlocking conditions

Manuale -> Automatic Line Coloring (ALC) - Topology -> Configuration -> Configuration of topological interlockings -> Disconnector under load - interlocking conditions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

For the disconnector under load topological interlocking, a disconnector can be switched if one of the following conditions is met:

When being switched on:

Before being switched:

  • The neighboring line segment receives energy from the same source
  • If the line segment does not receive any voltage, the other line segment is grounded
  • A line segment is not live

When being switched off:

After being switched:

  • Neighboring line segments would not receive energy from the same source
  • If one line segment does not receive any voltage, the other line segment is grounded
  • A line segment would not be live

info Informazioni su

Meaning of "not under load"

The status not under load means:

  • Either:
    All switches and disconnectors connected to the line segment are open.
  • Or:
    All switches and disconnectors connected to the line segment are closed but only connect to a segment that is also not under load.

In addition, all of the following conditions must be met for the status of not under load:

  • All sources and consuming devices connected to the line segment are switched off.
  • No transformer may be connected to the line segment.
  • It must not be a line that is only connected to this disconnector (open line).


Configuration of the screen marker

Manuale -> Automatic Line Coloring (ALC) - Topology -> Configuration -> Configuration of the screen marker

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Here you configure the color table for the color marker for the impedance-based error detection and calculation of load distribution. See also: AddMarker

Parameters | Description
Number | Unique internal serial number for clear assignment. This number is given by the system automatically and cannot be changed.
Line color | Line color of the screen marker.
Filling color | Fill color of the screen marker.
New | Adds a new color.
Delete | Deletes the selected color.

The colors can be configured directly by entering the corresponding hexadecimal code or by using a color palette.

For direct input:

  1. Click on the color description with the left mouse button
  2. The field is switched to editing mode
  3. Enter the code
  4. Press the input key or select another source to apply the change

To select via a color palette:

  1. highlight the desired line
  2. click on the ... button behind the color
  3. The color palette is opened.
  4. select the desired color

The hexadecimal code describes the RGB color value and consists of the following. #RRGGBB.

Element | Meaning
# | Identifier to indicate that a hexadecimal color code is used.
RR | 2 digits are the red value of the color in hexadecimal system. 0-255 is 0-FF
GG | 2 digits are the green value of the color in hexadecimal system. 0-255 is 0-FF
BB | 2 digits are the blue value of the color in hexadecimal system. 0-255 is 0-FF


Change ALC source color

Manuale -> Automatic Line Coloring (ALC) - Topology -> Change ALC source color

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The foreground and background color of an ALC source can be temporarily changed for the coloring in Runtime using the Modifica colore sorgente ALC function. The change remains until Runtime is ended, reloaded or the function is executed again. To create the function:

  • select New Function
  • Navigate to the Screens node
  • select Modifica colore sorgente ALC

  • The dialog to define line colors and fill colors opens
  • define the desired color

Property | Function
Source | Drop-down list to select the source and display the colors currently assigned. These colors cannot be changed here.
New color for source | Click on the color and a dialog opens to select a color.


Detail screens

Manuale -> Automatic Line Coloring (ALC) - Topology -> Detail screens

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To display individual screens, a partial area can be taken from the topological network and displayed individually by means of alias. The screen elements in the detail screen are not included in the topological model, but do however get their ALC colors from the model. They relate to an alias of the screen elements in the overall screen.

attention Attenzione

Aliases are only valid within a project.

This means that for symbols that contain links to aliases:

If the symbol is added to the general symbol library or the library in the global project and edited there, all ALC alias information is lost without notice!

Create alias

Aliases can be created for the elements:

  • Line
  • Polyline
  • Pipe
  • Combined element

attention Attenzione

An ALC alias cannot be created if a period (.) is contained in the name of the selected screen.

Solution: Replace the period in the screen name with a different character, such as an underscore for example (_).

To create a source element as an alias:

  • Activate it in the element's properties Utilizza alias.

    To do this, ALC must be licensed and the Colori da ALC property active.

  • Click on the ... button in the Alias property
  • The dialog to select the element opens.

Parameters

Description

Screen

Click the ... button and a dialog opens to select a screen.

Available ALC elements

Shows the elements that belong to a screen with the element name, type of element and function type. Clicking on an element selects an alias.

Filter

The elements can be sorted according to all columns. When setting a filter, the options offered from all other filters are reduced to values that can be sensibly combined.

  • Name: Input of a standard search term with wild cards (*). The last 12 search terms are offered in the list until the Editor is ended.
  • Element: Select from drop-down list.
  • Function type: Select from drop-down list.

Clicking on ... opens saved search or drop-down list.

If a filter is active, clicking on the X deletes the filter.

Selected alias

Shows the selected element in the field of Available ALC elements.

No selection

Removes selected element.

OK

Saves selection and closes dialog.

Cancel

Discards changes and closes dialog.

Help

Opens online help.

info Informazioni su

When selecting an element for a new alias, only elements and screens from the same project that the alias was defined in can be selected. Elements from subprojects or parallel projects are not available.

Replacing alias names

Aliases can be changed when switching screens with Replace link. A detail screen can therefore be displayed with the data from different equipment parts, for instance lines or partial networks. Alias names are replaced along the lines of variables and functions. It is also possible to replace in elements that are used in symbols. The same dialog as is opened for the target as the Alias property.

Note: Substitution using index variables is not possible.


Fault locating in electric grids

Manuale -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Error detection marks grid parts that are subject to ground faults or short circuits by means of special colors in ALC. Sources for error detection are what are called ground fault or short circuit reporters that are assigned to a circuit breaker. Ground fault and short circuit reporters are always at the output of a circuit breaker element. Error messages are fixed in the screen and must be reset manually.

info Informazioni su

This function is only available when both the "Energy Edition" and the "Automatic Line Coloring" modules are licensed.

Error detection

Error detection runs locally. Each client in the network has its own independent model and can therefore search for ground faults and short circuits in different parts of the network.

Error detection in the electrical network is divided into:

  • Search for ground fault
  • Short circuit search

To configure error detection

  • You require a license for ALC and zenon Energy Edition
  • configure the appropriate screens
  • Configure ALC to the corresponding combined elements (switch, transformer, disconnector, slider)
  • configure the lines so that they are colored by ALC

Special functions are available in Runtime for error detection:

  • Start search for ground fault
  • acknowledge ground fault message
  • Stop search for ground fault
  • Acknowledge short-circuit message

Colorings

Errors can be shown by a special coloring for the lines in ALC. In Runtime, the color assigned by ALC changes automatically as soon as the status of the line changes. The colorings configured can be changed in Runtime via the change ALC source color function.

Messages are processed in the order in which they arrive. In the event of conflicts

  • The colors for displaying errors take priority
  • short circuit messages have priority over ground fault messages

Noch in diesem Kapitel

Search for ground fault

Short circuit search


Search for ground fault

Manuale -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Search for ground fault

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The search for a ground fault serves to highlight the network parts that may have a ground fault by coloring these. The color is taken from the engineering of ALC source colors for the GROUND FAULT source.

The network parts that may have a ground fault are derived from the ground fault reports from ground fault detection devices (ground indicators, protective device that records ground faults). The following is applicable for ground faults:

  • Each device can have one to three ground fault reports.
  • Ground fault reports are handled either by permanent message processing or by wiper message processing.
  • For directional ground fault detection devices, the direction can be lagging or leading in relation to triggering.
    • Leading: First comes the report, then the wiper bit.
    • Lagging: First comes the wiper bit, then the report.

info Informazioni su

A network component that may have a ground fault is then no longer considered to have a ground fault if this has been successfully connected.

Engineering

To configure a search for a ground fault:

  1. assign the combined element that represents the switching element to the Tipo funzione switch
  2. Define the mode of search for ground fault, ground fault display and ground fault detection triggering
  3. Create the functions for start search for ground fault, acknowledge ground fault report and end search for ground fault

info Informazioni su

In order to also be able to limit ground faults in mixed networks, only one area with ground faults is searched per path, starting with a source.

Noch in diesem Kapitel

Mode of the search for ground faults

Ground fault detection type

Ground fault display

Earth fault triggering

Start search for ground fault

Acknowledge ground fault message

Stop search for ground fault


Mode of the search for ground faults

Manuale -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Search for ground fault -> Mode of the search for ground faults

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The short circuit search can either:

  • color the network part potentially subject to a short circuit
    or
  • the whole network where the short circuit is located

The coloring mode is defined via the Modalità ricerca messa a terra property.

To configure the property:

  • navigate to the Automatic Line Coloring node in properties
  • select the desired mode in the Modalità ricerca messa a terra property drop-down list
    • Color grid part: colors only the grid parts that are potentially subject to a short circuit
    • Color whole grid: colors in the whole linked grid where the short circuit is located

This setting can be changed in Runtime via the zenon API object model. In doing so, the short circuit search is recalculated once again.


Ground fault detection type

Manuale -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Search for ground fault -> Ground fault detection type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The direction and type of message processing for the combined element are determined by means of the Tipo setting. For project configuration:

  1. navigate to the Automatic Line Coloring node in the combined element properties
  2. open the node Riconoscimento messa a terra
  3. Select the desired type with direction and type of message processing in the Tipo property
    • Direction:
      indicates if the raising edge of trip alarm or if the raising edge of a direction comes before
    • leading: The current direction status is used for the raising edge of the trip alarm
    • lagging: after a raising edge of the trip alarm, the first raising edge of a direction is waited on; if this does not occur within 2 seconds, the earth fault device is considered non-directional
    • Information processing:
      states which information can be processed
    • none: normal switch; information is not processed
    • Permanent message processing: Newly received messages are considered a new ground fault trip
    • wiper message processing: Messages that are received during a current Search are suppressed

Note: The distinction between permanent message processing and wiper message processing is only how the message is processed, not its type. Wiper message processing thus does not need to relate to a wiper bit.

attention Attenzione

To suppress intermittent ground faults, ground fault messages that occur in intervals of less than 2s are ignored.


Ground fault display

Manuale -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Search for ground fault -> Ground fault display

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The variable linked at Visualizza is an output variable for error detection and displays the recorded status of the ground fault identification device. This is necessary because all messages remain saved internally until they are acknowledged, i.e. they do not necessarily conform to the current status of the message variables.

Each time a recording is made, a set value is sent to this variable. In doing so, the values are as follows:

Value | Meaning
0 | no ground fault
1 | ground fault forwards
2 | Ground fault backwards
3 | non-directional ground fault
4 | Error status - > both directions have activated

info Informazioni su

To reduce problems in network operation, the variable linked here should be a linked variable.


Earth fault triggering

Manuale -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Search for ground fault -> Earth fault triggering

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The alarm to report an earth fault is defined by the Attivazione variable It can contain information on the presence of an earth fault and the direction of the earth fault from the point of view of the earth fault recognition device. In doing so, a distinction is made between:

  • non-directional earth fault alarms
  • Directional earth fault alarms with a trip alarm
  • Directional earth fault alarms with a trip alarm

To configure the variable for the Attivazione:

  1. navigate to the Automatic Line Coloring node in the combined element properties
  2. open the node Riconoscimento messa a terra
    1. for non-directional earth fault alarms

      Click on the ... button in the Attivazione property

      select the variable you wish to import in the dialog that opens

      The properties for the direction remain empty

    2. for directional earth fault alarms with a trip alarm

      link the variable with Attivazione and add the appropriate direction:

      Forwards: link a variable to the Avanti property

      Backwards: link a variable to the Indietro property

    3. for directional earth fault alarms without a trip alarm

      Link the variable with the corresponding direction:

      Forwards: link a variable to the Avanti property

      Backwards: link a variable to the Indietro property

      The Attivazione property remains empty

Note: If you address a directional identification device with Avanti in both directions, this is then considered erroneous and ignored.


Start search for ground fault

Manuale -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Search for ground fault -> Start search for ground fault

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The function Avvia ricerca messa a terra serves to localize a ground fault and has two effects in Runtime:

  1. Fault reports from all ground fault identification devices that were configured with wiper message processing are ignored.
  2. The search algorithm is changed: Switch actions can only reduce the area subject to a ground fault further. Newly received messages do not therefore increase the area potentially subject to a ground fault.

To configure the Avvia ricerca messa a terra function:

  • create a new function
  • navigate to the error detection node in the electrical network
  • Select the Avvia ricerca messa a terra function

  • link the function to a button


Acknowledge ground fault message

Manuale -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Search for ground fault -> Acknowledge ground fault message

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With the Riconosci guasto messa a terra function, an internally recorded ground fault from a ground fault indication device can be acknowledged. In doing so, the internally-latched ground fault status is reset if the status is still pending, or highlighted as acknowledged. A recorded ground fault message is only deleted internally if this has been acknowledged and is no longer pending.

Rules when acknowledging:

  • If a variable that corresponds to a triggering or direction variable of a ground fault recognition device is linked, this special ground fault message is acknowledged.
  • If no variable has been linked, all ground fault messages are acknowledged.
  • Acknowledgment can also take place via the zenon API object model.

To configure the Riconosci guasto messa a terra function:

  • create a new function
  • navigate to the error detection node in the electrical network
  • Select the Riconosci guasto messa a terra function

  • the dialog to select a variable opens
  • link the desired variable to the function
  • link the function to a button


Stop search for ground fault

Manuale -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Search for ground fault -> Stop search for ground fault

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You end the ground fault search with the Termina ricerca messa a terra function in Runtime.

To configure the function:

  • create a new function
  • navigate to the error detection node in the electrical network
  • Select the Termina ricerca messa a terra function

  • link the function to a button


Short circuit search

Manuale -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Short circuit search

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The short circuit search serves to highlight the network parts that potentially have a short circuit by coloring these. The color is taken from the configuration of ALC source colors for the SHORT FAULT source.

The network parts that are potentially subject to short circuits are deduced from short circuit reports. A short circuit identification device (short circuit indicator, protective device) can have one to three short circuit messages. For directional short circuit indication devices, the direction can be lagging or leading in relation to triggering. A network component that potentially has a short circuit is then no longer considered to have a ground fault if this has been successfully connected.

Engineering

To configure the short circuit search:

  1. assign the combined element that represents the switching element to the Tipo funzione switch
  2. Define ground fault display andtriggering of ground fault detection
  3. Set up the function for acknowledgment of ground fault message

Noch in diesem Kapitel

Ground fault detection

Ground fault display

Ground fault detection triggering

Acknowledge short-circuit message


Ground fault detection

Manuale -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Short circuit search -> Ground fault detection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The direction and type of message processing for the combined element are determined by means of the Tipo setting. For project configuration:

  1. navigate to the Automatic Line Coloring node in the combined element properties
  2. open the Rilevazione circuito node
  3. Select the desired type in the Tipo property
    • Direction:
      indicates if the raising edge of trip alarm or if the raising edge of a direction comes before
    • Leading:
      The current direction status is used for the raising edge of the trip alarm
    • lagging:
      after a raising edge of the trip alarm, the first raising edge of a direction is waited on; if this does not occur within 2 seconds, the short circuit device is considered non-directional
    • Information processing:
      states which information can be processed
    • none:
      normal switch; information is not processed
    • Permanent message processing:
      Newly received messages are considered a new ground fault trip


Ground fault display

Manuale -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Short circuit search -> Ground fault display

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The variable linked for Visualizza is an output variable for error detection and displays the recorded status of the ground fault detection device. This is necessary because all messages remain saved internally until they are acknowledged, i.e. they do not necessarily conform to the current status of the message variables.

Each time a recording is made, a set value is sent to this variable. In doing so, the values are as follows:

Value | Meaning
0 | No short circuit
1 | Short circuit forwards
2 | Short circuit backwards
3 | Non-directional short circuit


Ground fault detection triggering

Manuale -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Short circuit search -> Ground fault detection triggering

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The variable for the message from the short circuit identification device is defined by the Attivazione variable It can contain information on the presence of a short circuit and the direction of the short circuit from the point of view of the ground fault recognition device. In doing so, a distinction is made between:

  • non-directional short circuit reporters
  • directional short circuit reporters with a trip alarm
  • directional short circuit alarms with a trip alarm

To configure the variables for:

  1. navigate to the Automatic Line Coloring node in the combined element properties
  2. open the node Rilevazione circuito
    1. for non-directional short circuit detection devices

      Click on the ... button in the Attivazione property

      select the variable you wish to import in the dialog that opens

      The properties for the direction remain empty

    2. for directional short circuit detection devices with a trip alarm

      link the variable with Attivazione and add the appropriate direction:

      Forwards: link a variable to the Avanti property

      Backwards: link a variable to the Indietro property

    3. for directional short circuit detection devices without a trip alarm

      Link the variable with the corresponding direction:

      Forwards: link a variable to the Avanti property

      Backwards: link a variable to the Indietro property

      The Attivazione property remains empty


Acknowledge short-circuit message

Manuale -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Short circuit search -> Acknowledge short-circuit message

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With the Riconoscimento breve messaggio function, an internally recorded short circuit from a short circuit indication device can be acknowledged. In doing so, the internally-latched ground fault status is reset if the status is still pending, or highlighted as acknowledged. A recorded short circuit message is only deleted internally if this has been acknowledged and is no longer pending.

Rules when acknowledging:

  • If a variable that corresponds to a triggering or direction variable of a short circuit recognition device is linked, this special short circuit message is acknowledged.
  • If no variable has been linked, all short circuit messages are acknowledged.
  • Acknowledgment can also take place via the zenon API object model.

To configure the Riconoscimento breve messaggio function:

  • create a new function
  • navigate to the error detection node in the electrical network
  • Select the Riconoscimento breve messaggio function

  • select the variable you wish to import in the dialog that opens
  • link the function to a button


Impedance-based error detection and calculation of load distribution

Manuale -> Automatic Line Coloring (ALC) - Topology -> Impedance-based error detection and calculation of load distribution

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Impedance based error detection and calculation of load distribution expands ALC. Whereas ALC identifies nodes and beams, this model also detects lines and their parameters. The model is not used internally in zenon, but makes properties and methods for external evaluation available.

Properties for ALC and the extended topological model

The ALC elements combined element and line (line, polyline, tube) have special properties for error detection for protection and to calculate the load distribution. These properties are not evaluated in zenon, but are available via the zenon API algorithms to be created by users.

The simple topological model for the coloring was supplements by an expanded topological model that includes all lines as separate beams. The extended topological model is stored as ALC.xml and can be read by external applications this way. ALC.xml contains two sections:

  • GraphElements: contains the extended topological model without aliases
  • GraphAliases: contains only the aliases

Each object has a unique ID, via which it is referenced in the file. The attributes correspond to a subset of the zenon screen elements that have created the elements.

GraphElement

ID | Description
Picture | Screen name
ElementID | Screen element ID
ElementRef | Screen element reference
Type | Screen element -type (see "element")
SourceID | Source number
ReverseSourceID | Source name in reverse direction
Variable | Status variable
VarProtReact | Reactance variable
MaxIType | Type of maximum current
MaxIVal | Maximum current constant value
VarMaxI | Maximum current variable
VarCurI | Instantaneous current variable
VarCalcI | Calculated current variable
VarCurP | Instantaneous power variable
LoadType | Type of load
LoadVal | Load constant value
VarLoad | Load variable
React | Reactance
Resist | Resistance
Length | Line length
Node1IDs | List of all element IDs connected with Node1
Node2IDs | List of all element IDs connected with Node2

GraphAlias

ID | Description
Picture | Screen name
ElementID | Screen element ID
ElementRef | Screen element reference
Type | Screen element -type (see "element")
OrigElemRef | Screen element - reference to the original screen element
OrigGraphElemID | ID of the original elements in "GraphElements"

API

In the object model of the zenon API, the objects ALCGraphElement and ALCGraphAlias are available for the model. These contain the same information as the XML file. These objects can be accessed in the ALC engine via:

  • GraphElemCount()
  • GraphAliasCount()
  • GraphElemItem()
  • GraphAliasItem()

User-specific topological interlockings

If a topological interlocking is checked, the following event is called up at the ALC engine:

  • void CheckInterlocking(IALCEdge* pALCEdge, long nNewState, tpLockResult* LockResult, BSTR* bsText, VARIANT_BOOL* bUnlockable);

The switch/disconnector to be switched and the new status is transferred. The event can fill LockResult, bUnlockable and bsText in order to display a violated interlocking condition. If the event handler returns tpBusy in LockResult, the event handler is queried until it no longer provides tpBusy, however for a maximum of 10 seconds. The interlocking is active after 10 seconds. The interlocking text and unlockability are reported back in bsText and bUnlockable.

Screen marker

Marker elements can be inserted into screen s via the zenon API.

These are added or deleted via the API functions in DynPictures:

  • BSTR AddMarker(BSTR bsScreenName, long nElementID, short nPosition, short nLineColorIndex, short nFillColorIndex);
  • VARIANT_BOOL DelMarker(BSTR bsID);

The GUID of the marker, which is supplied by AddMarker(), identifies the marker uniquely and serves as both the element name (with the prefix "$MARKER_") as well as the key for deletion via DelMarker(). The markers inserted via API are saved in the project according to the screen. Attention: Saving is not remanant, i.e. only until Runtime is restarted.

The markers set there are displayed regardless of the monitor on which the screen is opened. The markers are treated internally as normally operable screen elements. Mouse events are called up for this.

The appearance of the markers is set using the project settings in the Automatic Line Coloring area of the project configuration:

  • Tipo visualizzazione del marker di pagina: Triangle, circle, square, cross
  • Dimensione del marker di pagina: Size in pixels:
  • Spessore linea del marker di pagina: Width in pixels
  • Marker color: is defined via the index in the marker color table, that is located in the properties of the screen elements in the Automatic Line Coloring group


Backup progetto

Manuale -> Backup progetto

Un progetto consiste di editor e file runtime. Il trasferimento di file runtime è possibile, ad esempio, mediante trasporto remoto. Questo capitolo si occupa del backup e del ripristino dei file editor di un progetto.

Il backup del progetto crea un file ZIP con lo stato del progetto salvato. Questo backup può essere riletto sullo stesso calcolatore o su un altro calcolatore. I backup di progetto possono essere anche versionati.

Nel manager di progetto c´èun nodo specifico dal nome "Backup di progetto". Vedi anche capitolo: Editor Manager di progetto. Nel menù contestuale di questa voce si può scegliere fra le opzioni 'Crea backup' e 'Importa backup'.

attention Attenzione

I backup di progetto che sono creati con zenon e Server Express SQL (SQL Server 2005), non possono essere riletti con un server database MSDE (o Server SQL 2000)!

attention Attenzione

I simboli della Libreria simboli generale vengono salvati localmente in un file apposito (*.sym) nella cartella di programma zenon. Questi file devono essere sempre aggiunti manualmente al backup di progetto nel caso di progetti multi-user e di trasmissione di progetti. I simboli della libreria del progetto locale o del progetto globale sono contenuti automaticamente nel corrispondente backup di progetto.

Suggerimento: salvate i simboli sempre localmente.

Menù contestuale - Manager di progetto

Voce di menù | Azione
Crea backup | Apre la finestra di dialogo per la creazione di un backup di progetto.
Importa backup | Apre il manager file al fine di consentire la selezione di un file di backup; questo viene poi importato nella lista.
Profilo editor | Apre il menù a tendina contenente i profili editor predefiniti.
Guida | Apre la guida online.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Noch in diesem Kapitel

Progettazione nell'editor

Versionamento


Progettazione nell'editor

Manuale -> Backup progetto -> Progettazione nell'editor

I backup di progetto vengono creati, gestiti e ripristinati nel nodo Backup di progetto.

Potete:

  • Creare ed esportare backup di progetto
  • Ripristinare backup progetto
  • Salvare il workspace ed effettuare un backup
  • Cancellare progetti

Quando si seleziona il nodo Backup di progetto nel Manager di progetto, il sistema mostra nella visualizzazione dettagli del Manager di progetto tutti file di backup esistenti.

Noch in diesem Kapitel

Backup di progetto Visualizzazione dettagli Barra dei simboli e menu contestuale

Esegui backup progetto ed esporta

Ripristina backup di progetto

Salva il workspace e effettua un backup

Elimina progetto


Backup di progetto Visualizzazione dettagli Barra dei simboli e menu contestuale

Manuale -> Backup progetto -> Progettazione nell'editor -> Backup di progetto Visualizzazione dettagli Barra dei simboli e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu

Punto di menù | Azione
Crea backup | Apre l´assistente per la creazione di un nuovo backup di progetto.
Ripristina Backup | Riporta il progetto allo stato salvato nel file di backup.
Rileggi backup di progetto come nuovo progetto | Crea un nuovo progetto con i dati del file di backup.
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Esporta backup | Apre il dialogo che serve a selezionare una cartella per il file di backup e lo esporta.
Importa backup | Apre il manager file al fine di selezionare un fil di backup; questo viene poi importato nella lista.
Confrontare i backup selezionati nella storia delle modifiche. | Solo attiva con multiselect. Il sistema trova la versione più vecchia e quella più recente. Se ne ricava un filtro tempo con il quale si passa alla storia delle modifiche, in cui vengono visualizzate le differenze fra i backup scelti.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Guida | Apre la guida online.


Esegui backup progetto ed esporta

Manuale -> Backup progetto -> Progettazione nell'editor -> Esegui backup progetto ed esporta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Backup di progetto

Per eseguire un backup di progetto, cliccate con il tasto destro del mouse nel Manager di progetto su Backup di progetto e selezionate la voce Esegui backup .

Si aprirà il dialogo per il backup di progetto:

Parametri | Descrizione
Nome file | Nome del file ZIP per il salvataggio del progetto.
Descrizione | Testo a piacere per il commento
OK | Riprende inserimenti e crea un backup.
Annulla | Termina la creazione di backup.
Guida | Apre la guida online

attention Attenzione

Se il servizio di sistema zenDbSrv.exe funziona solamente con i diritti locali e non con quelli dell’ utente registrato in quel momento, non è possibile un backup su un processore di rete!

zenon salva il backup di progetto in una cartella di banca dati (SQL) propria, predefinita.

%ProgramData%\COPA-DATA\[SQL-Ordner]\UID]\BACKUP

info Informazioni su

Anche nel caso del backup di workspace, per tutti i progetti ivi contenuti viene realizzato un backup. Questi ultimi, tuttavia, non sono contenuti nel nodo backup di progetto e non se ne può effettuare un backup singolarmente.

Esporta progetto

Potete esportare in qualsiasi momento i Vostri backup da zenon (per es. per spedirli, o per trasferirli su un altro computer). Cliccate con il tasto destro del mouse sul backup di progetto desiderato e selezionate Esporta backup nel menu contestuale. Nel dialogo che si aprirà, selezionate la cartella e confermare con OK.

Nel caso in cui il backup di progetto dovesse durare più di 1 secondo, viene visualizzata una barra che mostra lo stato di avanzamento del processo.
Le informazioni relative al backup (per esempio: successo/insuccesso) le trovate nella finestra di emissione.

Tutti i backup relativi ad un progetto li vedete nella sezione lista non appena cliccate nel Manager di progetto su "backup di progetto".

(Vedi anche Manager di progetto, Sezione lista del manager di progetto)


Ripristina backup di progetto

Manuale -> Backup progetto -> Progettazione nell'editor -> Ripristina backup di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I backup di progetto possono essere riletti tramite:

  • il workspace
  • il nodo backup di progetto

attention Attenzione

Per i progetti di zenon realizzati con la versione 6.01 o 6.20, non si può più realizzare direttamente un backup in zenon 7.10 o in versioni successive.

Background: le versioni che si basano su MSDE (SQL Server 2000), non sono compatibili con il server SQL 2012 usato in zenon 7.10.

Soluzione: innanzitutto convertire il progetto in zenon 7.0, e poi in 7.10 o in versioni successive.

Workspace

  1. selezionate nel menù contestuale del workspace il comando Ripristina backup di progetto...
  2. si aprirà la finestra di dialogo che serve alla selezione del backup di progetto.

Parametri

Descrizione

File di Backup

Selezione del file che deve essere riletto.

Un clic sul comando ... apre il dialogo che serve ad effettuare la selezione del file.

Genera un nuovo progetto

Attivo: viene generato un nuovo progetto nella banca dati.

Dettagli backup

Informazioni sul progetto di cui deve essere realizzato un backup:

  • Nome
  • ID progetto
  • Versione Editor
  • Versione di progetto (solo nel caso in cui sia attivo Versionamento )
  • Descrizione

Tutti i dati vengono ripresi dal progetto di cui deve essere effettuato il backup e servono a scopo puramente informativo. Non li potete modificare in questa finestra di dialogo.

Ok

I dati vengono applicati e il progetto selezionato viene riletto.

Annulla

Rigetta tutti i dati e chiude il dialogo.

Guida

Apre la guida online.

Nodo Backup di progetto

  1. passate al nodo Backup di progetto
  2. selezionate il backup desiderato
    Nota: Nel caso in cui il backup desiderato non dovesse esistere, importatelo.
  3. selezionate nel menù contestuale oppure nella barra dei simboli il comando Ripristina backup di progetto
  4. il backup di progetto viene ripristinato dopo che il sistema ha posto una richiesta di conferma e viene attivato automaticamente

attention Attenzione

I progetti

  • che sono stati realizzati utilizzando il Server SQL 2005 Express, non possono più essere utilizzati con il server SQL 2000 (MSDE).
  • che sono stati realizzati utilizzando il SQL Server 2008 R2, non possono più essere utilizzati con il SQL Server 2005 Express .

Importare backup di progetto

Nel nodo Backup di progetto del manager di progetto, si deve selezionate nel menù contestuale la voce Importa backup. Il progetto viene prima importato e solo dopo se ne effettua il backup.

In primo luogo, il sistema controlla automaticamente se il file di backup desiderato del progetto esiste realmente. Se esso non esiste ancora, il file importato viene ripreso nella lista dei backup. Tutti i progetti che sono stati importati, ma per cui non è stato ancora effettuato un backup, vengono aggiunti alla lista dei backup nella Visualizzazione dettagli del manager di progetto.

Lì si trova una lista di tutti i backup che sono stati effettuati per un determinato progetto. Le descrizioni della lista possono essere modificate.

Esporta e importa backup di progetto

Può essere necessario importare od esportare un backup di progetto se i file editor di un progetto debbono essere usati si un altro PC. Nel caso di un export, il file di backup viene copiato dalla cartella %ProgramData%\COPA-DATA\[SQL folder]\Projectname su un altro dispositivo (per es.: su una chiavetta USB). Sia l'import che l'export sono operazioni di copia e non di spostamento.

Cancella backup di progetto

I file di backup vengono cancellati dalla cartella %ProgramData%\COPA-DATA\[SQL folder]\Projectname.

Risoluzione dei problemi

Errore | Soluzione
Backup di progetto non è visualizzato. | Nel nodo Backup di progetto c´è la lista solamente di quei progetti che sono contenuti nella cartella Standard SQL/Backup. I progetti di altri percorsi possono essere importati manualmente.
Il pulsante OK è disattivato nel dialogo di ripristino. | Il file ZIP selezionato contiene dati non validi. È possibile che si sia selezionato un backup di workspace o un altro file ZIP.
Storia dei backup di progetto non è più disponibile. | Il progetto è stato rinominato e perciò la storia non è più disponibile. Il file di backup, però, esiste ancora e può essere importato manualmente, oppure può essere riletto tramite il menù contestuale del workspace.


Salva il workspace e effettua un backup

Manuale -> Backup progetto -> Progettazione nell'editor -> Salva il workspace e effettua un backup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare il backup di un workspace

Selezionate nel menu contestuale del workspace la voce Workspace -> crea backup. I backup dei workspace vengono salvati come file *.wsb. Si può scegliere il nome a piacere.

Nota: con il backup del workspace viene effettuato un backup di tutti i progetti che vi sono contenuti. Questi ultimi, tuttavia, non sono contenuti nel nodo backup di progetto e non se ne può effettuare un backup singolarmente.

Ripristina Backup

Quando il workspace è aperto/chiuso:

Selezionate nel menu contestuale del workspace la voce Workspace/Carica backup. Adesso potete selezionare un backup e stabilire in quale cartella deve essere effettuato il ripristino.


Elimina progetto

Manuale -> Backup progetto -> Progettazione nell'editor -> Elimina progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per cancellare un progetto, selezionate la voce Progetto / Elimina del menu contestuale del progetto stesso.

attention Attenzione

Quando si cancella un progetto, tutte le connessioni alla database aperte vengono interrotte. Questo non accade al momento della effettuazione di un backup di un progetto esistente.


Versionamento

Manuale -> Backup progetto -> Versionamento

I backup di progetto possono essere versionati. Le versioni sono identificate e messe in ordine mediante un numero progressivo e la data/ora della loro creazione.

Per attivare il versionamento:

  1. navigate nelle proprietà proprietà di progetto e passate al nodo Generale
  2. passate al settore Versionamento
  3. attivate la proprietà Attiva versionamento
  4. assegnate nella proprietà Versione generale un numero principale

In tal modo verrà generato ad ogni backup di progetto un numero per la versione di progetto. Questo numero consiste di Versione generale e di un numero dettaglio assegnato internamente, separati da un punto. Questo numero dettaglio vene elevato di una unità ad ogni backup di progetto. La versione di un backup di progetto viene visualizzata in:

  • la visuale dettagliata del nodo Backup di progetto
  • nel dialogo di ripristino di un backup nel workspace

Il numero di Versione progetto viene controllato in caso di trasmissione dei file Runtime per Trasporto Remoto o tramite la topopogia di rete; esso può essere letto via VBA o una variabile del driver di sistema. Se nell´Editor è caricata un´altra versione, il sistema visualizzerà un avvertimento. Nel caso in cui si verifichi un conflitto nel corso della trasmissione dei file Runtime tramite la rete, per tutti i progetti che devono essere trasmessi a questo calcolatore e per cui sussiste tale conflitto, la trasmissione può essere accettata o rifiutata.

Lo stato complessivo del progetto può essere accettato nel backup di progetto anche in forma di export XML.

info Informazioni su

Il versionamento funziona anche nell´engineering distribuito. In tal caso, il project.ini di un backup deve poter essere bloccato sul server per eventuali tentativi di modifica. I file XML vengono salvati solamente in caso di backup locali.

Backup della successione corretta

Nel versionamento può essere assegnato a piacere il Versione generale. Sulla base da questo numero principale, viene calcolato automaticamente il numero dettaglio con ogni nuovo backup a partire da 0. Se si modifica il Versione generale, l´assegnazione del numero dettaglio comincia di nuovo da 0.

Fate attenzione a Versione generale universale e a universale versionamento. Visto che gli utenti possono cambiare liberamente il Versione generale, esiste la possibilità:

  • di una successione casuale

    per es. . 2.1 è seguito da 1.0

  • uso plurimo dello stesso numero

    per es. 1.0, 1.1, 1.2, 1.0

  • disattivare temporanemente il versionamento

    Il che significa: i backup di progetto senza numero di versione vengono mescolati a quelli versionati

Per assicurare una visione chiara della successione dei singoli backup di progetto, il sistema salva nel project.ini anche l´orario in cui il backup in questione è stato salvato.

XML-Export

Se la proprietà Esportazione XML attiva è attiva, nell´ambito del backup di progetto viene impostato un file compresso del nome VERSION.ZIP. Esso contiene i dati XML export di:

  • Variabile
  • Tipi di dato
  • Matrici di reazione
  • Attribuzioni
  • Allarmi
  • Unità di misura
  • Immagini
  • Modelli
  • Lista caratteri
  • Tavolozza colori
  • Libreria simboli - Progetto
  • Funzioni
  • Archiviazione
  • Ricette
  • Manager gruppi di ricette
  • Temporizzatori
  • Macro VBA
  • Interblocchi
  • Comandi
  • EMS
  • Menu
  • Gestione user
  • Gruppi utenti
  • Interfaccia SAP

Il contenuto dei file corrisponde a quello che viene generato nel caso di un export XML manuale

Il contenuto di questi file XML corrisponde a quello che viene generato nel caso di un comune export in forma XML. Nel caso di progetti multiuser, gli export XML vengono generati solamente con backup locali.

Variabile di sistema

Analogamente alla proprietà Versione progetto, esiste anche una variabile di sistema Versione del progetto nel tema Informazioni di sistema.

Noch in diesem Kapitel

Trattamento errori


Trattamento errori

Manuale -> Backup progetto -> Versionamento -> Trattamento errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli errori di versionamento vengono visualizzati e trattati in file Log, nella finestra di emissione e in segnalazioni popup.

Diagnosis Viewer

Inserimenti nei file Log.

Inserimento | Descrizione
Error BackupDatabase: Skip on an Error in BackupXml: [Pfad] | Errore nella creazione di VERSION.ZIP con i file Xml-Export durante il backup di progetto. Il backup è stato realizzato, ma mancano i file Xml.
GetDBBackupStatus: BINARY.ZIP not exists: [Pfad] | Nel corso della lettura del versionamento di un backup di progetto, il file BINARY.ZIP non è stato trovato, il backup è danneggiato.
GetDBBackupStatus: project.ini not exists: [Pfad] | Nel corso della lettura del versionamento di un backup di progetto, il file project.ini non è stato trovato, il backup è danneggiato.

Finestra di emissione

Inserimenti nella finestra di emissione:

Inserimento Output Window

Spiegazione: cosa significa?

La trasmissione del progetto '%s' è stata rifiutata.

Ci sono due possibili cause:

  • Nel corso del controllo di versione si è verificato un conflitto e l´utente ha rifiutato la trasmissione.
  • Nel corso del controllo di versione si è verificato un errore.

Nessun percorso di progetto definito.

Errore nel controllo di versione.

Segnalazioni Popup

Segnalazioni di errore in popup:

Messaggio di errore

Descrizione

La versione %d.%d del progetto sul calcolatore di destinazione non corrisponde: Si deve procedere alla trasmissione nonostante questo?

Nel corso della trasmissione dei file Runtime con il Trasporto Remoto:

per il progetto è stato attivato il versionamento e il numero di versione del progetto nell´Editor non corrisponde a quello contenuto nel project.ini sul calcolatore di destinazione.

Possibili reazioni:

  • Sì:
  • No: nessuna trasmissione

Sul computer %s non corrisponde la versione %d.%d del progetto %s: Si deve procedere alla trasmissione nonostante questo?

Nel corso della trasmissione dei file Runtime con la topologia di rete:

per uno o più progetti è stato attivato il versionamento e il numero di versione di questo progetto nell´Editor non corrisponde a quello contenuto nel project.ini sul calcolatore di destinazione.

Possibili reazioni:

  • Si: Si prosegue la trasmissione
  • No: nessuna trasmissione
  • Sì tutti: si continua la trasmissione di tutti i progetti senza che il sistema ponga per ognuno di essi la domanda se lo si deve trasmettere
  • No tutti: si termina la trasmissione di tutti i progetti senza che il sistema ponga per ognuno di essi la domanda se se ne deve interrompere la trasmissione

Questo dialogo viene riaperto se, nel corso della trasmissione a un altro calcolatore di destinazione, si verifica di nuovo un conflitto di versioni.

Non è possibile salvare il progetto perchè il 'project.ini' è bloccato!

Nel corso della realizzazione di un backup di un progetto multi-user con versionamento, si deve elevare il numero di versione nel project.ini. Ciò non è possibilie perché il project.ini è bloccato per le modifiche.


Batch Control

Manuale -> Batch Control

The module Batch Control offers the possibility to automate batch-orientated manufacturing processes for lot products. The module complies to ANSI/ISA–88.01–1995 also known as ANSI/ISA–S88.

For Batch Control there are two different editors available in the Runtime.

  • Matrix editor: For simple, sequentially or parallel running recipes.
  • PFC editor: For complex recipes with branches.

Depending on the license, either both editors or only the matrix editor is available to you.

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza. Licensing distinguishes after use of:

  • Matrix editor
  • Matrix Editor and PFC Editor

Editor:

For the engineering in the zenon Editor one of the Batch editors must be licensed.

Runtime:

For execution in Runtime, a Batch Editor must be licensed in order to fill the list of recipes. Creating and editing recipes is only possible for the licensed editor.

Network:

In the network the license of the Server counts. Stand-alone licenses of the Clients are ignored in network operation.

attention Attenzione

Notes in the help embedded in the Editor on VBA keywords are not functional in the current version.

Note for change from 7.00 to 7.10 or higher

Before converting a project to a new zenon version all recipes must be completed. Recipes that are running continue to be executed after a restart. The restart only functions within the same zenon version.

Attention: Projects with recipes that were created in zenon 7.10 or higher cannot run in zenon 7.0.

Effects outside Batch Control

When using different versions for Editor and Runtime, problems can occur if the Batch Control module is licensed but Batch Control is not used.

Background: Some files are compiled in Runtime as soon as the module is licensed. A batch project that was compiled with 7.0 cannot be executed in 7.10.

Solutions:

  • Compile the project with an Editor of version 7.10 or higher.
  • Use a Runtime of version 7.0.
  • Use a license that does not include the Batch Control module.

Batch Control and Command Sequencer module

If both the Batch Control module and the Command Sequencer module, which both require a license, are licensed at the same time, selection of the module used is carried out by means of the project setting.

To select the preferred module in Runtime:

  • Click on the node of your project in the Editor.
  • Go to the Impostazioni Runtime project properties group.
  • Select, for Modulo di licenza a Runtime of the Modulo preferito property, command sequence(default) or Batch Control.

The selected model is then available in Runtime for further project configuration.

Noch in diesem Kapitel

Introduction

Terminology

Procedure

Function authorizations

Engineering in the Editor

Conversion

Configure and control in the Runtime

Comportamento in rete

Reporting

Formula editor

XML export: Units, phases and recipes

CEL

Failure handling

Error Handling


Introduction

Manuale -> Batch Control -> Introduction

The module Batch Control consists of three parts:

  1. The engineering environment in the zenon Editor:
    There all units (ISA nomenclature, chapter 4.2.5: units) with their phases (ISA - 5.1.2.4: phases) and reactions are created. The phases must have an equivalent in the control (ISA: equipment control) which is called process action according to ISA.
    Batch Control reflects the physical model in accordance with ISA 4.2 as flat hierarchical level based on units.
    The other levels of the model such as process cell, area, plant, etc. were deliberately forgone. When creating the batch recipes too, only the lowest level (phases) of the ISA structure model 5.1 and operations were implemented. Additional levels such as unit procedures and procedures are not available.
  2. PFC editor and Matrix editor:
    With the help of these editors, master recipes in zenon Runtime (ISA: master recipes) are created. The control recipes that can be executed (ISA: control recipes) are derived from these (see also ISA 5.3.1.). During the process the exact status of the Batch recipe is displayed in the respective editor and you can interfere in the recipe process.
  3. Recipe Execution Engine (REE):
    The REE is directly integrated in the zenon Runtime and executes a Batch recipe automatically in the background. Via commands such as Start, Pause, Stop etc. the user can control the REE. There are three possible modes: Au tomatic, S emi-automatic and M anual.

Special features of module Batch Control:

In contrast to most other zenon modules, a large part of the engineering - the recipe creation - is done in the Runtime and not in the Editor. This entails special features which are dealt with in the respective chapter. So for example changed phases are no longer transferred to an already released master recipe in order to prevent unwanted data changes.

The module is designed in a way which makes it completely independent of the control. This means that the data communication take place via all available zenon drivers with any PLCs or even RTUs. They only execute the process actions. The entire recipe processing is done at the computer in the REE. For changes on the Batch recipe or for new master recipes, no modifications are necessary in the PLC code.

The module follows the strict separation between the procedure of the batch recipe (ISA: Procedural Control Model) and execution of the technological function (ISA: Process Model) as describe in ISA–S88, chapter 5.2.1.

Principle structure of the communication

For the communication with the process standard zenon variables are used. As variable names often have cryptic label, an additional abstraction level was introduced. It contains the tags which are available in two types:

  • Command tags: They are used to transfer set values to the PLC when a phase is executed.
  • Return tags: They are used to return values from the PLC for evaluation.

With both tag types values can be both written (e.g. in reactions) and also read (e.g. in conditions).

Schema:

The PLC communicates with the zenon driver. The driver communicates with the zenon Runtime. The Runtime sends the values to the REE where they are processed. The REE internally works asynchronously to the zenon Runtime in a 100 ms cycle.

Network

Il modulo Batch Control è perfettamente compatibile per un uso in rete nel senso della tecnologia client/server. Ciò significa che le ricette batch possono essere create, duplicate, modificate, cancellate ecc. su un client. La completa gestione delle ricette, però, rimane sempre sul server. D'altro parte, tutto il processo di controllo (le operazioni di avvio, messa in pausa, fine ecc. di una ricetta) può essere gestito da un client. Sono possibili anche cambi di modo e operazioni manuali come salta.

attention Attenzione

Il modulo Batch Control non supporta la ridondanza. Non c'è sincronizzazione sul Server-Standby. Quando il server smette di funzionare, le ricette batch in esecuzione non vengono proseguite senza soluzione di continuità sullo standby.


Terminology

Manuale -> Batch Control -> Terminology

In the zenon module Batch Control the following terms are used:

Term | Definition
Unit | Physically available machine or equipment part with which phases can be carried out. (ISA 88: Unit)
Releasing the unit | Element of module Batch Control which cancels the allocation of a unit in the unit manager. With this the unit can be allocated by another recipe again.
Unit allocation | Element of module Batch Control which causes the allocation of a unit in the unit manager. An allocated unit can only be used by phases with the recipe. With this the unit is locked for phases of other recipes which are executed parallel.
Unit manager | Internal management mechanism which manages the unit allocation for all REE's in the Runtime.
Action | Used in Batch Control: all commands which are used for editing a recipe e.g. insert phase, testing recipes etc.
Begin parallel branch | Element that ensures the separation of the recipe process in two or more branches.
Begin branch | Element that makes it possible to separate a recipe in two or more branches of which only one can be active at a time. Each following branch must start with a transition. The transition defines which branch is executed in the recipe process.
Begin element | Element of module Batch Control with which every recipe begins.
Active element | Position in a recipe in the batch control module where the processing is interrupted in a semi-automatic and manual mode and the active elements are put into a pause status. With the command "next step" the process is resumed from this position.
Batch Control | Tool for creating master recipes and creating and executing control recipes in accordance with ISA-S88.
Batch operation | Automatic and sequential processing of a stack of single operations.
End parallel branch | Element that combines the separation of the recipe process into two or more branches back into one branch.
End branch | Element which brings together a branch started by a begin branch element.
End element | Element of module Batch Control with which every recipe ends.
Phase | Predefined process consisting of input interlocking, command and return tags, a phase done condition, event reactions, etc... (ISA 88: Phase)
Command | Used in Batch Control: a command which intervenes in the recipe process e.g start, stop, mode change etc.
Matrix recipe | Recipe in the Batch Control module which was created with the Matrix editor.
Parallel branch | Area of module Batch Control. A parallel branch starts with a begin parallel branch element and is brought together with an end simultaneous sequence element to one execution branch. Between there are at least two branches which are executed at the same time.
PFC recipe | Recipe in the batch control module, which was created with the PFC Editor
REE - Recipe Execution Engine | Part of module Batch Control for process control of recipes. The engine executes a control recipe and manages the entire process of the recipe.
Recipe | In recipes related data such as machine parameters or format data are summed up. This data can be transferred from the control system to the control and vice versa in one step. We differentiate between standard recipes and RGM recipes. The procedure is defined additionally to data in Batch Control Module in a recipe. It is distinguished between Matrix recipe and PFC Recipe.
Jump target | Element of the batch control module which allows a direct jump to a defined location of a branch.
Control recipe | Part of the batch control module. Contains the process of a production process on basis of the batch process according to standard ISA S88. A control recipe is always derived from a template recipe and can be implemented once only. (ISA 88: Control Recipe)
Operation | Recipes can be divided into individual parts within the batch control module. Operation management takes place via a central library. Instances of operations can be added within the recipe. Tags of the applied phase can be edited, the structure can only be edited in the operation template.
Transition | Element of module Batch Control which contains a condition. The element is used after phases in order to ensure a defined transition from one phase to another.
Connection line | Part of the connector in the Batch Control module: Positions the connection point at the element.
Connection point | Part of the connection element in the Batch Control module. Connects two elements with each other (e.g. phase with phase or phase with line). It changes color when the mouse pointer is on it.
Connection element | A possibility in the Batch Control of connecting elements with one another. It consists of a connection point and a connection line.
Branch | Area of module Batch Control which ensures a separation in two or more branches, of which only one can be active at the recipe process. It is an either/or branch. A branch always starts with the Begin branch and ends with the End branch element.
Master recipe | Part of the batch control module. Contains the process of a production process on basis of the batch process according to standard ISA S88. A recipe consists of the following components: basic functions, transitions, parallel circuits etc (ISA 88: Master recipe). Template recipes serve as templates for control recipes.
Branch | Execution area for the Batch Control Module Basic functions, transitions and transfer targets can be placed on it.


Procedure

Manuale -> Batch Control -> Procedure

The engineering and the use of module Batch Control takes place in three main steps:

  1. Engineering in the zenon Editor
  2. Recipe creation in the Batch editor (PFC or matrix) in the Runtime
  3. Recipe execution in the Runtime

Engineering

The engineer depicts the existing physical world in the Editor. He defines and creates units and assigns phases with tags to them.

Recipe creation

In the Runtime the recipe creator defines the master recipes on base of the presets from the Editor. They define the process. At this only the units, phases and tags defined in the engineering environment can be used.
Exception: If you activate property Modificabile in ricetta master in group Settare valore impostabile in the Editor, you can modify the corresponding tag. This is only possible for command tags.

Recipe execution

The operator executes the recipe in the Runtime. For this he starts a control recipe which is based on the control recipe. Each control recipe can only be started and used once. With this it can be assigned to a lot unambiguously. Recipes run either automatically, semi-automatically or manually.

The operator cannot influence the recipes.
Exception: If the recipe creator activates option Changeable in the control recipe, the operator can edit tags in the Runtime.


Function authorizations

Manuale -> Batch Control -> Function authorizations

For changes in the Editor and in Runtime, the corresponding function authorizations can be issued to users. A warning is displayed if operations are executed for which there are no corresponding rights. Exception: No warning is displayed when editing.

Users can also log in temporarily for the execution of operations for which they have no special authorizations. For details on this, see the Permanent and temporary login section in the User administration manual.

You can find details on the individual authorizations in the User administration chapter, most of all in the Function authorizations section.

Note:

  • These function authorizations are only available if Batch Control is licensed on the computer.
  • Operation instances always use the user rights of the recipe in which they are embedded.


Engineering in the Editor

Manuale -> Batch Control -> Engineering in the Editor

To use module Batch Control in the Runtime, you must do the following in the Editor:

  • create units, phases and reactions
  • create a screen of type Batch Control
  • create a screen switch function for the screen of type Batch Control

Note: In the editor, copying and inserting of elements throughout all levels is possible.

Detail view

In module Batch Control the detail view divided in two:

  • The left part features the unit tree. The entry Unit is the starting point of the tree.
    On the next level the existing units are displayed. The phase belonging to each unit follow. Each phase has the subitem reactions.
  • In the right part a flat list of the units, phases, tags or reactions is displayed depending on what level is chosen on the left side.

Noch in diesem Kapitel

Job variables

Units

Phases

Conditions

Reactions

Parameters

Control strategies

Keyboards

Input lock

Create screen of type Batch Control

Screen switch Batch Control

zenon functions

Replace links


Job variables

Manuale -> Batch Control -> Engineering in the Editor -> Job variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Job variables can be linked in the Editor. Job variables make it possible to assign job IDs to Batch productions. In order to ensure that the variable value is available immediately, the job variable is inserted into the global connection and registered when Runtime is started. The variable is requested again on reloading.

Job variables defined in the Variabile d'ordinamento individuale property can be allocated using a function. Otherwise the global Job ID is used.

Global job variables

To link a global Job ID:

  1. navigate to the Generale/Job ID node in the module
  2. Link a variable in the Job ID property
  3. Select, from the drop-down list of the Acquisisci valore dalla variabile di ordinamento in fase di: property, the type of transfer to Runtime:
    • When creating the control recipe:

      When creating the control recipe, the current value of the variables is transferred into the control recipe. The value is displayed in the control recipe configuration dialog. The value must not be empty, otherwise the recipe cannot be created.

    • When starting the control recipe:

      In Runtime, the content of the variables is written to the recipe when the control recipe is started. The value must not be empty.

    Note about value changes: The value transferred by the variables is always changed into a string, regardless of the type of variables. When changing from real to string, 10 decimal points are taken into account. Zeros at the end are cut off.

  4. You can also define a Variabile d'ordinamento individuale if you wish

In Runtime, the allocated job ID can be displayed in the list of control recipes.

Individual job variable

To link a Variabile d'ordinamento individuale:

  1. navigate to the Generale/Job ID node in the module
  2. Link one or more variables in the Variabile d'ordinamento individuale property
  3. When configuring zenon functions, select the desired variable and the type of allocation


Units

Manuale -> Batch Control -> Engineering in the Editor -> Units

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To create a new unit:

  1. in the project manager go to node Batch Control
  2. in the detail view select Unit
  3. in the context menu select menu item New unit
  4. a new unit is created in the detail view

Noch in diesem Kapitel

Toolbar unit tree

Project tree - Batch Control context menu

Context menu units

Context menu unit X

Detail view units

Detail view unit X

Information in Runtime


Toolbar unit tree

Manuale -> Batch Control -> Engineering in the Editor -> Units -> Toolbar unit tree

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The toolbar corresponds to the complete unit tree. Depending in the selected element symbols are available or deactivated.

Parameters

Description

Rename

Opens the name filed of the selected element for renaming.

Not available for main node Units.

Copy

Copies the selected unit to the clipboard.

Not available for main node Units.

Paste

Pastes a unit that was copied to the clipboard.

Delete

Deletes selected element after confirmation message.

Not available for main node Units.

Expand all

Displays the entire tree structure.

By clicking on the arrow you receive a drop-down list in which you can select one of the following commands:

  • Expand all: expands all nodes
  • Collapse all: collapses all nodes
  • Expand selected: expands all selected nodes
  • Collapse selected: collapses all selected nodes

A click on the button always expands all elements.

Via double click on the superordinate entry elements can also be expanded or collapsed.

Export all units to XML...

Exports all units as an XML file.

Import units from XML...

Imports units from an XML file.

Help

Opens online help.


Project tree - Batch Control context menu

Manuale -> Batch Control -> Engineering in the Editor -> Units -> Project tree - Batch Control context menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Parameters | Description
New unit | Creates a new unit.
Export XML all... | Exports all units as an XML file.
Import XML... | Imports units from an XML file.
Editor profile | Opens the drop-down list with predefined editor profiles.
Help | Opens online help.


Context menu units

Manuale -> Batch Control -> Engineering in the Editor -> Units -> Context menu units

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Right click the main entry Unit in the unit tree to open a context menu:

Menu item | Action
New unit | Creates a new unit.
Replace linking in phases... | Opens the dialog to replace linking for linking in phases.
Replace linking in units... | Opens the dialog to replace linking for linking in units.
Paste | Pastes a unit that was copied to the clipboard.
Export all units to XML... | Exports all units as an XML file.
Import units from XML... | Imports units from an XML file.
Help | Opens online help.


Context menu unit X

Manuale -> Batch Control -> Engineering in the Editor -> Units -> Context menu unit X

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Right click on a created unit in order to open the context menu:

Menu item | Action
New phase | Creates a new phase.
Replace linking in phases... | Opens the dialog to replace linking for linking in phases.
Replace linking in unit... | Opens the dialog to replace linking for linking in the selected unit.
Rename | Allows you to rename the selected unit.
Delete | Deletes the selected unit.
Copy | Copies the selected unit to the clipboard.
Paste | Pastes a unit that was copied to the clipboard.
Export selected XML... | Exports selected unit as an XML file.
Import phases from XML... | Imports phases from an XML file.
Help | Opens online help.


Detail view units

Manuale -> Batch Control -> Engineering in the Editor -> Units -> Detail view units

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu item | Action
New unit | Creates a new unit in the detail view.
Replace linking in phase | Opens the dialog to replace linking for linking in phases.
Replace linking in units | Opens the dialog to replace linking for linking in units.
Copy | Copia gli inserimenti selezionati negli appunti
Paste | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Delete | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Remove all filters | Elimina tutte le impostazioni di filtro
Edit selected cell | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Replace text in selected column... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Export selected XML... | Exports the selected units as an XML file.
Import units from XML... | Imports units from an XML file.
Properties | Apre la finestra Impostazioni per l´inserimento selezionato.
Help | Apre la guida online.


Detail view unit X

Manuale -> Batch Control -> Engineering in the Editor -> Units -> Detail view unit X

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameters | Description
New phase | Creates a new phase in the detail view.
Replace links | Opens the dialog to replace linking for linking in phases.
Copy | Copia gli inserimenti selezionati negli appunti
Paste | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Delete | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Remove all filters | Elimina tutte le impostazioni di filtro
Edit selected cell | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Replace text in selected cell... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Export selected XML... | Exports the selected phases as an XML file.
Import phases from XML... | Imports phases from an XML file.
Properties | Apre la finestra Impostazioni per l´inserimento selezionato.
Help | Apre la guida online.


Information in Runtime

Manuale -> Batch Control -> Engineering in the Editor -> Units -> Information in Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Information on individual units can be called up and displayed using variables. Each element to be allocated initializes the values of the linked variables with 0 or empty text. The information comes from the recipe that allocates the unit when the query takes place. Variables are always only filled in the event of a change.

The variables for the information desired in Runtime is configured in the unit properties in the Informazioni Runtime group for:

  • Ricetta master: Information on ID, name and description of the master recipe, as well as version and initial version.
  • Ricetta di controllo: Information on ID, name, description and job ID of the control recipe.
  • Esecuzione:: Information on the number of active recipes and execution status and mode, numerically and as a text respectively.

    Note: The value for Quantità ricette attive is generally 0 or 1. If a higher number is displayed, then the start of other recipes was forced manually.

  • Funzioni di base: Information on active phases. If the phase is in an operation, the name of the operation is displayed in brackets.
  • Errore: Errors are shown visually in Runtime and saved in logs. A process error in the unit is shown visually this way and the absolute number of historical procedure errors is also displayed. The counter is increased by 1 as soon as a procedure error occurs. If the phase is restarted, the historic error goes from the display; it is no longer signalized visually. The logged information is retained however. The same applies to communication failures: Symbols only display active errors; counters also inform you of historic errors.
  • Informazioni matrice: Display of the active steps in a matrix recipe. It is always the information from the main recipe that is used, even if the object to be triggered is in an operation. All numerical variables whose data type >= 2 byte can be selected.
    PFC recipes always receive empty values or 0.

Execution status and execution mode of values

Values for variables in the Stato di esecuzione (numerico) property:

Status | Return | Remark
Idle | 0 |
Running | 1 |
Executed | 2 | Is never displayed, because a completed recipe does not allocate the unit.
Stopping | 3 |
Stopped | 4 | Is never displayed, because a stopped recipe does not allocate the unit.
Pausing | 5 |
Paused | 6 |
Holding | 7 |
Held | 8 |
Aborting | 9 |
Aborted | 10 | Is never displayed, because an aborted recipe does not allocate the unit.
Restarting | 11 |

Values for variables in the Modalità di esecuzione (numerico) property:

Mode | Return | Remark
Ignore | 0 | No recipe runs
Automatic | 1 |
Semi-automatic | 2 |
Manual | 3 |


Phases

Manuale -> Batch Control -> Engineering in the Editor -> Phases

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The phase is the execution object of a recipe - and therefore its main component. Each phase in module Batch Control must stand facing a Technological function in the control.

Example: You want to heat up a tank. For this you need:

  1. The corresponding equipment: a heating in the tank.
  2. A temperature sensor which measures the actual temperature in the tank. Connect this sensor with a control.
  3. In the control a program which controls the heating until the set temperature is reached.
    This control program is the process action in the PLC. It:
    • has an input tag: a set temperature - which is implemented via a command tag in Batch Control
    • needs an output tag - also a set temperature - which must be reached and which is implemented via a return tag in Batch Control

To inform the control about the progress of the recipe, you need corresponding status information which is transferred to the control. For this you use reactions and conditions for the response.

A phase therefore consists of:

Type | Description
Command TAGs | The set values which should be transferred to the control
Return TAG | The response values which inform the REE about the status of the process action in the control. They can be evaluated in conditions and transitions.
Reactions | REE events can be used on the one hand to inform the process action in the control about the state of the REE and on the other hand to inform the user about errors (e.g. time outs, invalid tag values). time outs, invalid tag values).
Conditions | Are used for the evaluation of the return tags: The state of the process action in the control is evaluated.
Times | Time critical processes can be monitored with this. If the engineered time is exceeded, an event is triggered on which you can react with a reaction.

Engineering

To create a new phase:

  1. select the unit for the phase or first create the desired unit
  2. in the context menu select menu item New phase
  3. a new phase is shown in the detail view
  4. the subitem Reactions is automatically added to the phase

info Informazioni su

If several phases are selected in the Editor at once whose formulas are identical but whose tags are different, this is not displayed by color coding the different values.

Noch in diesem Kapitel

Context menu phase

Detail view phase


Context menu phase

Manuale -> Batch Control -> Engineering in the Editor -> Phases -> Context menu phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Context menu phase X

Right click on a created phase in order to open a context menu for creating the parameters:

Parameters | Description
New initial tag | Creates a new initial tag.
New value tag | Creates a new value tag.
New return tag | Creates a new return tag.
Replace linking in phase | Opens the dialog to replace linking for linking in phases.
Rename | Makes it possible to change the name of the currently selected phase.
Delete | Deletes the currently selected phase after a confirmation message.
Copy | Copies the selected element to the clipboard.
Paste | Pastes an element script that was copied to the clipboard.
Export selected XML | Exports the selected phases as an XML file.
Help | Opens online help.


Detail view phase

Manuale -> Batch Control -> Engineering in the Editor -> Phases -> Detail view phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameters | Description
New initial tag | Creates a new initial tag.
New value tag | Creates a new value tag.
New return tag | Creates a new return tag in the detail view.
Replace links | Opens the dialog to replace links.
Copy | Copia gli inserimenti selezionati negli appunti
Paste | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Delete | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Remove all filters | Elimina tutte le impostazioni di filtro
Edit selected cell | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Replace text in selected column... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Properties | Apre la finestra Impostazioni per l´inserimento selezionato.
Help | Apre la guida online.


Conditions

Manuale -> Batch Control -> Engineering in the Editor -> Conditions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The conditions are used to inform the REE of the status of the technological function in the controller. For evaluating the conditions formulas are used which were created with the formula editor.

Hint: Use a single status tag (return tag) which takes on different values in order to transmit the status of the process action in the control to the phase. You can find an example in chapter Example for status parameter.

Engineering

To create a new condition:

  1. click on the corresponding phase
  2. in the properties select the desired conditions from node Generale or Condizione stato transizione
  3. click in the field for the value or on button ...
  4. the formula editor is started
  5. define the formula for the condition

Note: The counterpart to the conditions are the reactions. With them, the execution status is transferred to the technological functions of the controller.

Transient states

As transitions the following properties are available

  • In pausa
    Within the phase the process stops at:
    • Waiting for Finished
    • Waiting for allocation
    • Waiting for interlocking
    • Waiting for Phase finished
    • Check for parallel execution
  • Fermato
    Within the phase the process stops at:
    • Waiting for Finished
    • Waiting for allocation
    • Waiting for interlocking
    • Waiting for Phase finished
    • Check for parallel execution
  • Stoppato
  • Interrotto
  • Riavviato
    Phase is completely restarted.
  • Condizione di uscita
    If this condition is met, the current execution step is stopped and the phase is exited. You can find details in the Exiting a phase chapter.

Variables

Transition conditions can be linked with a binary variable which defines when the phase changes its status. The status changes is delayed until:

  • the value of the variable is defined
  • the value of the variable is 1
  • the status of the variable is not invalid.

If no variable is defined, the status change is always allowed.

All variables for the status change are requested at the advising of the variables in order to receive a value as soon as possible. The values for a variable which define a status change are read on the change to the transient status. A possible pulse must have value TRUE within the waiting period in order to be recognized.

Note: When closing the Runtime, it is not waited for the variable for the status change from stopping to stopped as at this time all variables are already signed off.

Noch in diesem Kapitel

Waiting periods


Waiting periods

Manuale -> Batch Control -> Engineering in the Editor -> Conditions -> Waiting periods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The recipe creator can define waiting periods. The configuration of waiting periods (time outs) prevents that time-critical processes take too long because of unforeseen events. If the condition is not fulfilled within the defined waiting period, a corresponding event is triggered. With the reactions you can react on the event and influence the recipe process.

For all waiting periods the following is true:

  • If 0d 00:00:00 is defined as waiting period, the event is not triggered.
  • The waiting periods are independent of the recipe status (e.g. Recipe paused) and continue to run even when the Runtime is closed and restarted.
  • If a phase is held and restarted, the waiting periods are also restarted.
  • If a phase is passed through several times, the waiting periods are started again for every pass.
  • Waiting periods themselves do not influence the process. They are simply used to generate an event. The reaction must be defined in the event. After the event is triggered, it is still waited for the fulfillment of the condition.


Reactions

Manuale -> Batch Control -> Engineering in the Editor -> Reactions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Reactions are the most important piece to influence the recipe process and to communicate with the control. Reactions are always based on events. These can be REE events (e.g.: Phase started), as well as general events (e.g. Exit Runtime initiated). With the help of reactions you can e.g. tell the control when a phase has been started or finished in the REE and when all command tags have been written.

Likewise you must transfer the status of the phase to the control with the help of the reactions. Otherwise the control has no information about the process of the recipe.

Example: If you stop the REE or the phase, the event Status change: Stop will be triggered. As reaction you can transfer this status change as set value input to the control. Only then can the control react and stop the process action. You can find an example in chapter Example for status parameter.

Note: The counterpart to the reactions are the conditions. With them the states of the process action in the control is transferred to the REE.

Engineering

With each phase the node Reactions is created automatically. In this node you can created any reactions. To create a new reaction:

  1. click on reactions
  2. in the context menu select menu item New reaction
  3. a new reaction is shown in the detail view
  4. in the detail view click on the entry in column Event
  5. select the desired event from the drop-down list and define the desired reaction type in the property window.

For each reaction type several reactions are possible. They are sorted at the triggering and are executed in accordance to their priority. At this 1 is the highest priority. Reactions of the same type can only be re-sorted using the toolbar or context menu.

Some of the reactions are triggered only once in the process - e.g. time outs. If the phase is restarted, these reactions are also retriggered if necessary.

Reactions can only use tags of their own phase. If reactions are copied from other phases, they try to use tags with the same name of the name phase.

Values of the reactions are logged in the CEL.

Project configuration rules

  • Reactions can appear in each object state.
  • For each reaction type several reactions are possible. They are sorted at the triggering and are executed in accordance to their priority. At this 1 is the highest priority.
  • All variables of all parameters are signed in to the driver for reading. If a value is needed at a reaction but is not yet available or invalid, the alternate value is written. The writing of the value is done without write confirmation.
  • Some of the reactions are triggered only once in the process - e.g. time outs. If the phase is restarted, these reactions are also retriggered if necessary.

Runtime: Users

If zenon functions are executed by a reaction, the reaction is reported as the user System.

Noch in diesem Kapitel

Context menu reactions unit tree

Detail view reactions

Events

Reaction types


Context menu reactions unit tree

Manuale -> Batch Control -> Engineering in the Editor -> Reactions -> Context menu reactions unit tree

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Parameters | Description
New reaction | Creates a new reaction in the detail view.
Replace links | Opens the dialog to replace links.
Paste | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Help | Apre la guida online.


Detail view reactions

Manuale -> Batch Control -> Engineering in the Editor -> Reactions -> Detail view reactions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameters | Description
New reaction | Creates a new reaction in the detail view.
Execution order: Earlier | For reactions of the same type: Moves the reaction forward in the execution order.
Execution order: Later | For reactions of the same type: Moves the reaction backward in the execution order.
Execution order: Change places | Only active if exactly two reactions are chosen. The two selected reactions change their places in the execution order.
Replace links | Opens the dialog to replace links.
Copy | Copia gli inserimenti selezionati negli appunti
Paste | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Delete | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Remove all filters | Elimina tutte le impostazioni di filtro
Edit selected cell | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Replace text in selected column | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Properties | Apre la finestra Impostazioni per l´inserimento selezionato.
Help | Apre la guida online.


Events

Manuale -> Batch Control -> Engineering in the Editor -> Reactions -> Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Each reaction is a reaction to an event. The event is defined in property Evento. For each event several reactions can be defined. The execution order can be defined in the detail view.

When validating the recipe in Runtime, the name of the event is displayed in the event of an error.
Syntax: (event name.x) whereby event name corresponds to the Evento. x is a number that indicates the position in the execution sequence.

From the drop-down list you can select the following events:

Event

Description

Procedure

Events in the procedure.

Phase activated

Is the first event which is triggered.

With this event, you tell the PLC that the phase has been activated in the REE and that the phase is expected to be started soon.

Unit allocation not possible

Is triggered if the unit was not allocated successfully at first try.

Phase started

With this event you tell the PLC that the phase has been started in the REE and that it is likely that the command tags will be written soon.

Other events can be executed before the event if the Consenti esecuzione prima dello Start Event has been activated for the corresponding event. For details, see the Allow execution started before phase started section.

Input interlocking blocked

Is triggered if the input lock has been successfully checked.

Makes only sense if property Interblocco di ingresso was configured.

Input lock checked successfully

Is triggered if the input interlocking was blocked at the first check.

Makes only sense if property Interblocco di ingresso was configured.

Finished writing value tags

Is triggered if all command tags have been written. It cannot be guaranteed however that really all tags arrived at the control. It depends on the communication and the respective driver. It can however be assumed.

Recommendation: Use this event to tell the PLC that the phase has written all command tags and the PLC can start processing the process actions.

Phase done condition completed

Is triggered if the phase is finished. This event is the last reaction of the phase and independent of the reason of the finishing. With this the phase done condition is fulfilled.

This event is also triggered at a restart.

Phase deactivated

Is triggered if the phase was started and now is finished.

Timeout

Timeout events.

Phase started multiple times

A phase can only be active once. If it is activated several time in parallel, this event is triggered.

Waiting period unit allocation exceeded

Is triggered if the waiting duration for the unit allocation runs. Can also occur during Paused and Held.

Waiting period input interlocking exceeded

Is triggered if the waiting duration (time out) for the input interlocking expired.

Makes only sense if a Interblocco di ingresso was defined.

Command parameters without value

Is triggered if the command tag should be toggled and the variable linked to the tag does not have a valid initial value.

Maximum execution period exceeded

Is triggered if the waiting duration (time out) for waiting for the phase done condition (Finished) was exceeded.

Waiting period following condition exceeded

Is triggered if the phase was not finished within the scheduled waiting duration (time out) although the phase done condition was fulfilled.

Linked variable invalid
  • If the value of a variable with status INVALID should be used, this event is created once per invalid variable and phase.
  • If the variable status changed from INVALID to not INVALID and back to INVALID, the reaction is again triggered when the variable is used.
  • If the phase is restarted, the event is triggered again when an invalid variable is used.

At the following activities it is checked for invalid variable:

  • Source variable in reaction
  • Variable for phase done condition
  • Variable for input interlocking
  • Write command tag inversely
  • Variables for status change at transient states allowed
  • Note: In the event of an INVALID, the events are not necessarily processed in the order in which they are received. If an INVALID occurs whilst another event is being processed, this event can overtake the one that is currently being executed.

Status change

Status change events.

If the phase changes its status, the corresponding reaction is activated.

Status change: Running

The phase is executed.

Status change: Pausing

The phase is switched to Paused at the moment.

Status change: Paused

The phase is paused.

Status change: Continue

The phase is resuming after a break.

A status change in the object from Paused to Running triggers the events Resuming and Running.

Status change: Holding

The phase is held at the moment.

Status change: Held

The phase was stopped.

Status change: Restarting

The phase is restarting at the moment.

Status change: Stopping

The phase is stopping at the moment.

Status change: Stopped

The phase was stopped.

Status change: Aborting

The phase is aborted at the moment.

Status change: Aborted

The phase was aborted.

Status change: Executed

The phase is finished.

Escape condition started

Is triggered if the Condizione di uscita for exiting from a phase is started.

Escape condition fulfilled

Is triggered if the Condizione di uscita for exiting from a phase is met.

Mode change

Events in relation to mode change in the REE

Mode change: Automatic

The REE switched to mode Automatical.

Mode change: Semi-automatic

The REE was switched to semi-automatic mode.

Mode change: Manual

The REE switched to mode Manual.

Close and restart Runtime

Events in relation to closing and restarting Runtime.

Exit Runtime initiated

Is triggered if the Runtime is exited. This is an especially critical state for the Batch Control module as the recipe process does not stop in the control immediately. Therefor exiting the Runtime is prevented as long as module Batch Control saved all data. A process image is created which can later be used as starting point.

Likewise it is made sure that the tags of action Write set value safely arrive at the control. Internally the phase is paused only when the writing confirmation from the driver ensued.

For more details about existing the Runtime see chapter: Exit and restart Runtime.

At this event no reaction types of group Influencing the recipe are possible.

Runtime restart

The Runtime was restarted.

Interruptions and errors

Events in relation to interruptions and errors in communication and on the PLC.

Loss of communication

This event reports that communication has been interrupted.

Loss of communication fixed

This event reports that the communication failure has been rectified.

Loss of communication acknowledged

This event reports that a displayed communication failure has been acknowledged.

PLC error

Is triggered if there is a PLC error.

PLC error rectified

Is triggered if a PLC error has been rectified.

PLC error rectified by deactivating the phase

Is triggered if there was a PLC error when a phase was ended. This was changed to rectified when it ended. Does not apply for a restart of the phase.

Events on restart

The reactions phase activated, phase started and phase deactivated are always only executed once. These reactions are not triggered again after the phase has been restarted. The phase starts to run again, however it was not executed in full beforehand.

Along the same lines, the reaction phase deactivated is only triggered once the phase has been ended and not during a restart.

The phase started reaction is triggered if the unit allocation and the parallel execution detection has been executed. If the procedure has not exceeded this detection on restart, the reaction is triggered for the Restart command. If the process is already in an advanced state, the reaction is not carried out again.

Allow execution before "Phase started"

Events can be also be approved before the phase started event. To do this, the Consenti esecuzione prima dello Start Event property must be activated for the corresponding event. This property can only be configured for events that are possible both before and after phase started. The value is automatically set according to type for all other events.

The following events are approved before and after "phase started":

  • Mode change
  • Status change
  • Exit from a phase
  • Exit Runtime initiated
  • Restart Runtime
  • Linked variable invalid
  • Phase deactivated (can occur before if the phase was exited before phase started)
  • Waiting period for subsequent conditions (can occur before if the phase was exited before phase started)
  • Communication failures (however only from the point at which the values for the Errore di comunicazione property are waited for)

The following events are only approved before "phase started":

  • Phase activated
  • Unit allocation
  • Phase started more than once (exclusive execution)

All other events are only approved after the Phase started event.


Reaction types

Manuale -> Batch Control -> Engineering in the Editor -> Reactions -> Reaction types

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the properties of the reactions the reaction types more precisely defined and engineered. In group Reazioni the following reaction types are available:

Reaction type

Description

Impostazione parametri di valore

Influences command and return tag directly. All tag data types can be used.
Attention: The value must be within of the set value limits of the variables which are linked at the tag. If this is not the case, an error message is created during the validation.

Inserimenti nella CEL

Creates entries in the CEL and log files. With this the reaction can be documented and the recipe process can be tracked later. For this property Crea inserimento CEL must be activated. The text for the CEL is defined in property Messaggio di testo CEL.

Funzione

Makes it possible to link any zenon function.

With this you can e.g. call up a pop-up in order to inform the user about a certain status or start a data backup.

Note: In the network the function is always executed at the server.

Assegna parametro

Makes it possible to perform a value assignment from Parametro sorgente to another Parametro di destinazione. You can use both command tags and return tags. The data type of source and target tag must be identical otherwise an error is displayed at the validation of the recipe.

Influenza sulla ricetta

Make it possible to:

  • Change the execution mode
  • Execute commands for the REE
  • execute phase commands

With this you can react on serious events such as Waiting duration exceeded or Linked variable invalid.

Note: Use this reaction type carefully as this reaction type influences the entire recipe process.

For each event you can only once:

  • set the Modalità and
  • write a single Comando

Because e.g. it does not make sense to pause and hold the recipe at the same time with the same event.

You can read more about commands in the commands and actions chapter.


Parameters

Manuale -> Batch Control -> Engineering in the Editor -> Parameters

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

TAGs are the communication interface to the control. With them all values are transferred to the control and also read back. To not have to work with complex and for the user incomprehensible variable names in module Batch Control, the abstract level is used. Each tag consists - for each phase - of a unique name and a description. In this, the engineer can give the recipe creator or user a description of what the tag is used for or which effects it has.

You can add any number of tags to a phase. We distinguish between command tags and return tags. Command parameters are further subdivided into initial parameters and value parameters. Each tag can be switched between command and return tag at any time.

Noch in diesem Kapitel

Detail view tag

Command TAGs

Return TAG

Example for status tag

Duration of execution


Detail view tag

Manuale -> Batch Control -> Engineering in the Editor -> Parameters -> Detail view tag

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toolbar and context menu provide commands to create and administer variables of parameters.

Parameters | Description
New initial tag | Creates a new initial parameter in the detail view.
New value tag | Creates a value parameter in the detail view.
New return tag | Creates a new return tag in the detail view.
Replace links | Opens the dialog to replace links.
Copy | Copia gli inserimenti selezionati negli appunti
Paste | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Delete | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Remove all filters | Elimina tutte le impostazioni di filtro
Edit selected cell | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Replace text in selected column | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Properties | Apre la finestra Impostazioni per l´inserimento selezionato.
Help | Apre la guida online.


Command TAGs

Manuale -> Batch Control -> Engineering in the Editor -> Parameters -> Command TAGs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command parameters transfer information and values to the controller. They can be subdivided into:

  • Initial parameters: Command parameters that are set before the start event. They transfer information that must be stored before setting the input lock in the controller, for example, which control strategy is executed.
  • Value parameter: Command parameters that are sent after input locking when the phase is executed.

Command tags contain the set values which should be transferred to the control. Initial parameters and value parameter are backed up and written to the controller. You can find the exact description in chapter: Process of a phase in detail.

Command tags can also be used in transitions, conditions and reactions. Initial parameters and value parameters can have the same variable linked. This is taken into account when validating for multiple use of a variable.

Command parameters have a number of properties which can be defined via the property window. For this, the following applies:

  • Each tag must be linked with a variable.
  • The data type of the variable must correspond to the data type of the parameter.
  • The set value limits of the parameter must be within the set value limits of the variable.

If this is not the case, error messages are created during the validation.

Hint to property Modificabile in ricetta master: With this you define whether the value of the command TAG may be modified by the creator of the master recipe. If e.g. machine tags should not be changeable in the recipe but defined fixedly, you must deactivate this property.

Engineering

To create a new command tag:

  1. select the desired phase
  2. Select, in the context menu, the command New initial parameter or New value parameter
  3. a new command tag is created in the detail view

Note on compatibility

If Runtime files are created for zenon 7.10 or older versions, then the initial parameters and value parameters are treated the same as command parameters again. Command parameters from zenon 7.10 or earlier are all converted to value parameters.


Return TAG

Manuale -> Batch Control -> Engineering in the Editor -> Parameters -> Return TAG

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The return tags contain the return values with which the process action of the REE communicate its status. Normally the value is set by the control and evaluated by the REE. Return tags can be evaluated in transitions and conditions.

Likewise they can be used in reactions and can also be written there. For this they are listed as target tags at Assegna parametro and Impostazione parametri di valore.

Engineering

To create a new return tag:

  1. select the desired phase for which you want to create a new return tag
  2. in the context menu select menu item New return tag
  3. a new command tag is created in the detail view


Example for status tag

Manuale -> Batch Control -> Engineering in the Editor -> Parameters -> Example for status tag

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To be able to communicate with the control, you normally need two status tags:

  • one in write direction and
  • one in read direction

The variable behind these parameters should have a numeric data type such as USINT or UINT.
We recommend that you execute both parameters as return parameters. This may seem illogic for commands in write direction at first glance but has the following background: At the execution of the phase, all command tags are written. With this they are visible in the list of command tags and can therefore be deleted accidentally. This makes no sense for a command for the control. The goal is not just to communicate a single value to the control as command but to transmit the status of the phase in the recipe.

Especially at the writing of a command tag it makes sense to not simply inform the PLC about the writing but the status when all values have been written and the PLC therefore can start to process the process action.

For this it is best to use the reaction to event Finished writing command tags. At reactions to an event you can also write values to an return tag. Therefore it is better to use return tags for both status tags.

Here is an example about which values the tags can take on:

Status tag in write direction (to the PLC): Commands

Value | Name of the event
0 | not defined
1 | Phase started
2 | Finished writing command tags
3 | Phase finished: Phase done condition fulfilled and Minima durata di esecuzione reached (if engineered)
4 | Phase deactivated
5-9 | Reserve
10 | Status change: Pausing
11 | Status change: Resuming
12 | Status change: Holding
13 | Status change: Restarting
14 | Status change: Stopping
15 | Status change: Aborting
16-19 | Reserve
20 | Mode change: Automatic
21 | Mode change: Semi-automatic
22 | Mode change: Manual
23-29 | Reserve
30 | Exit Runtime initiated
31 | Runtime restart
32 | Unit allocation not possible
33 | Waiting period unit allocation exceeded
34 | Input interlocking blocked
35 | Waiting period input interlocking exceeded
36 | Maximum execution period exceeded
37 | Waiting period following condition exceeded
38 | Phase started multiple times

You can find the exact meaning of the events in the Event type chapter.

For each entry in the table you define a corresponding reaction for writing the status value at the phase.
Hint: Use the same tag label for all phases; e.g. StatusPhase. Then you only have to engineer the reaction at one phase and can then transfer it to all phases via copy & paste. You can of course also copy the tags. Do not forget to correct the variable. They must match the respective phase.

Tag in read direction (from the PLC): Return Values

Value | Description | Linked in property
0 - 1 | Not defined |
2 | Process action finished | Condizione di termine fase
3 - 9 | Reserve |
10 | Process action paused | In pausa
11 | Reserve |
12 | Process action held | Fermato
13 | Process action restarted | Riavviato
14 | Process action stopped | Stoppato
15 | Process action aborted | Interrotto

Link the values with a formula in the respective property.

Hint: You can copy the formula and just change the respective value. If you set this setting at the start of setting the parameters, you can copy the entire phase and with that have these settings for all phases.


Duration of execution

Manuale -> Batch Control -> Engineering in the Editor -> Parameters -> Duration of execution

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The execution duration is controlled via two independent properties. Their values must not complement one another.

Maximum execution duration

The Massima durata di esecuzione refers to Phase deactivated and therefore to the process. It is not connected to the Minimum execution duration.

Minimum execution duration

Property Minima durata di esecuzione defines how long zenon waits after writing the command tag independent of the check of the phase done condition. During the execution the maximum execution duration is checked. An event is triggered if this is exceeded. This can be linked to a reaction. This happens regardless of whether the phase still checks its Condizione di termine fase or only waits for the Minima durata di esecuzione.

The length of the minimum execution duration can exceed the maximum execution duration.

Example

  • There is a phase: Start mixing. The confirmation that the mixer runs must not take longer than 5 seconds before a warning of an error is displayed.
    Engineering: Property Massima durata di esecuzione gets value 5 seconds with corresponding reaction.
  • The mixer however should run 15 minutes before the next phase is executed.
    Engineering: Property Minima durata di esecuzione gets value 15 minutes.

With this the minimum execution duration is 15 minutes and the maximum execution duration 5 seconds.


Control strategies

Manuale -> Batch Control -> Engineering in the Editor -> Control strategies

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Control strategies make it possible to set parameters for different versions of a phase. Only the command parameters allocated to the control strategy are sent for each control strategy.

Configuring control strategies

To use control strategies, these must be activated in the phase. To do this:

  1. Highlight the desired phase
  2. Go to property group Strategia di controllo\
  3. Activate the checkbox in front of the Strategia di controllo attiva property.
  4. Select a parameter in the Parametro di strategia di controllo property. This parameter defines the control strategy that is active in Runtime.
  5. The phase is thus displayed in the Editor with the Control strategies node.
  6. Right click on the node and select the entry New control strategy in the context menu.
  7. A new control strategy is created.
  8. Configure the properties of the control strategy.
    In doing so, please note:
    • Nome and Numero modalità di esecuzione of the control strategy must be unique within the phase.
    • The Nome must not be empty, contain a dot, consist of only spaces and must be within a maximum of 256 characters long.
  9. Add the desired command parameters.

    Note: Clicking on a parameter add its properties.
    Only the following properties in the Settare valore impostabile group can be edited:

    • Valore parametro
    • Valore min.
    • Valore max.
    • Modificabile in ricetta master

    All other properties cannot be edited. To edit these, switch to the parameter list of the phase.

Copying control strategies

Control strategies can be copied using commands in the context menu and the toolbar and inserted into the same or other phases.

If control strategies are copied throughout phases, units or a project, only the parameter linkings that are also to be triggered in the new phase are inserted. In doing so, the conditions are the same as for inserting parameter linking.

Noch in diesem Kapitel

Control strategies node context menu

Context menu selected control strategy

Toolbar and control strategy list context menu

Parameters


Control strategies node context menu

Manuale -> Batch Control -> Engineering in the Editor -> Control strategies -> Control strategies node context menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Right-clicking on the Control strategies node opens a context menu with the following entries:

Parameters | Description
New Control strategy | Creates a new control strategy
Paste control strategy | Pastes a control strategy from the clipboard. Copied control strategies are adapted when pasted into a phase so that Nome and Numero modalità di esecuzione are made unique, if this is not already the case in the phase.
Help | Apre la guida online.


Context menu selected control strategy

Manuale -> Batch Control -> Engineering in the Editor -> Control strategies -> Context menu selected control strategy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Right-clicking on the control strategy opens a context menu with the following entries:

Parameters

Description

Add command parameters

Opens the dialog to select command parameters.

Insert parameter linking

Inserts parameters that have been copied into the control strategy list of a different control strategy to the selected control strategy.

Rename

Highlights the name to be renamed.

Delete

Deletes the selected control strategy after a confirmation message.

Copy

Copies the selected control strategy. This can be pasted using Paste in the context menu of the Control strategies node.

Copied control strategies are adapted when pasted into a phase so that Nome and Numero modalità di esecuzione are made unique, if this is not already the case in the phase.

Help

Apre la guida online.


Toolbar and control strategy list context menu

Manuale -> Batch Control -> Engineering in the Editor -> Control strategies -> Toolbar and control strategy list context menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entries in the control strategy list can be edited using symbols or entries in the context menu.

The following are available in the context menu and the toolbar:

Parameters | Description
Add command parameters | Opens the dialog to select command parameters.
Copy | Copia gli inserimenti selezionati negli appunti
Paste | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Delete | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Remove all filters | Elimina tutte le impostazioni di filtro
Edit selected cell | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Properties | Apre la finestra Impostazioni per l´inserimento selezionato.
Help | Apre la guida online.


Parameters

Manuale -> Batch Control -> Engineering in the Editor -> Control strategies -> Parameters

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Linking parameters

There are different methods available to link parameters to a control strategy:

  • To do this, select the Add command parameter command in the context menu of the control strategy.
  • Select, in the detail view of the control strategies in the toolbar or in the context menu of a parameter, the Add command parameter command.
  • Drag the parameter from the parameter list of the phase by dragging & dropping it onto the control strategy. Only command parameters are linked.

Note: If a parameter is deleted for a phase, the attendant parameter linking is also deleted for all control strategies.

Deleting or restoring linked values

Parameters of the control strategies take on the values of the parameters with which they are linked.
This linking can be deleted by:

  • Overwriting the value
  • Separating the linking via the context menu

The context menu can also be used to restore the link to the source parameter again.

You can read details on linked values in the Linked properties chapter in the Editor manual.

Copying parameters

Existing parameter linking can be copied between control strategies. Copying is possible throughout via phases, units and projects. When inserting parameter linkings, an attempt is made to link the names accordingly. No new parameters are created.

Insertion is possible if there is no parameter with the copied name in the target phase or the corresponding parameter is already part of the control strategy.


Keyboards

Manuale -> Batch Control -> Engineering in the Editor -> Keyboards

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameters can be amended in Runtime. Adapted keyboards are available for this.

Keyboards for Batch Control

You define keyboards for use in the Batch Control module in general in the properties for the module in the Modifica parametro/Tastiere group. Define the desired keyboards for:

  • Parametro binario
  • Parametro numerico
  • Parametro stringa
  • Parametro durata

With the Motivazione richiesta in caso di cambio valori property, you can also stipulate that each value change must have a reason. If this property is active, a dialog to enter the reason is opened before the change is made.

Keyboard for writing set value for parameter

You define keyboards for writing set values for individual parameters in the properties of the respective parameter in the Settare valore impostabile/Tastiere group. To do this:

  1. Navigate to the Settare valore impostabile group in the parameter properties.
  2. Activate, in the Tastiere subgroup, the Utilizza immagine tipo Keyboard property
  3. In the Immagine tipo Keyboard property, define which keyboard screen is to be called up in Runtime

Using a keyboard

Values can be edited in the master recipe and in the control recipe if the recipe status and the parameter settings allow this. The minimum and maximum can only be changed in the master recipe and only for numerical parameters and duration parameters.

The following applies for the use of keyboards Batch Control screens:

  • Only one keyboard can be active at a time. If a new one is called up, the previous one is closed.
  • If the keyboard is active and the mouse is double-clicked with the pointer in a column in which nothing can be changed, nothing happens.
  • The following is applicable to value, minimum and maximum of a parameter:
    • If a parameter itself is linked to a keyboard, this is used.
    • If no keyboard is linked to the parameter, the keyboard that is generally linked to Batch Control in the Modifica parametro group is used.
    • If a keyboard is linked to the parameter, but this is no longer available, the keyboard that is also generally linked to Batch Control in the Modifica parametro group is used.
    • No keyboard is opened if this also does not exist.
  • Keyboards for binary inputs can be provided using the On, Off and Toggle keys.
  • When switching the units of measurement, the min/max values and the unit name are sent to the system variables again.
  • For the Changeable in control recipe property, the keyboard for Parametro binario defined in the Modifica parametro group is searched for. If none is linked, then a search is carried out for a keyboard with the standard name SETBOOLKBD. No keyboard is opened if this also does not exist.
  • Keyboards that are directly linked to the parameter can no longer be changed after a recipe has been approved. If the keyboard linked to the parameter is deleted, only the keyboard defined in the Modifica parametro group can be used.


Input lock

Manuale -> Batch Control -> Engineering in the Editor -> Input lock

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With the help of an input interlocking the phase is only executed in the Runtime when the condition for the input interlocking is fulfilled.

The input interlocking is configured via property Interblocco di ingresso. Via the formula editor the condition is defined which the input interlocking must fulfill. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can also be used. The formula returns TRUE or FALSE as result. The condition can be displayed in the Runtime but cannot be changed there. The waiting period for the input interlocking is configured with the help of property Tempo di attesa per interblocco di ingresso.

If an input interlocking was defined, the phase is executed as soon as the following conditions are fulfilled:

  • the phase is active
  • the unit is allocated
  • the phase is not active twice
  • the phase is not already executed
  • the input interlocking is fulfilled

If no input interlocking is linked, the phase is executed when:

  • the phase becomes active
  • the unit is allocated
  • the phase is not executed twice
  • the needed variables all have a value

info Informazioni su

You can find more information about input interlockings in chapter Processing a phase in detail.


Create screen of type Batch Control

Manuale -> Batch Control -> Engineering in the Editor -> Create screen of type Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Create screen of type Batch Control

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Select Batch Control in the Tipo di immagine property.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Control elements

Control element

Description

Insert template

Inserts control elements for master recipes or control recipes on predefined locations on the screen. These control elements can be supplemented, reduced and positioned newly.

Default (master recipes)

Inserts control elements for master recipes on predefined locations on the screen. These control elements can be supplemented, reduced and positioned newly.

Default (control recipes)

Inserts control elements for control recipes on predefined locations on the screen. These control elements can be supplemented, reduced and positioned newly.

Recipe Editor

Adds the licenses editor for creating master and control recipes.

Recipe control

Control elements for the recipe control.

Execution commands of the recipe

Control elements for recipe commands:

  • Start recipe
  • Recipe pausing
  • Recipe resuming
  • Recipe holding
  • Restart recipe
  • Recipe stopping
  • Recipe aborting

Execution commands of the phases

Control elements for phase commands:

  • Phase pausing
  • Phase resuming
  • Phase holding
  • Restart phase
  • Escape phase

Switch execution mode

Control elements for execution modes:

  • Switch to automatic mode
  • Switch to semi-automatic mode
  • Switch to manual mode

Execution navigation

Control elements for navigation in recipes:

  • Continue recipe only on selected active elements
  • Continue recipe at all execution positions
  • Skip active condition

General

General control elements:

  • Check recipe for errors
  • Edit element
  • Display grid
  • Colors for background and grid

Operation navigation

Control elements for navigation in operations:

  • Change to operation template
  • Switch to main recipe

Master recipes

Control elements for master recipes.

Master recipes list

In this list all master recipes can be displayed. The display can be limited by filters to an individual selection.

The filtering can be preset in the zenon Editor in the screen switch function. Online filtering is also possible. These filters are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

All commands are also possible in the context menu of the list. The commands for list management can be called from the header of the list. The commands for recipe management can be called at editing one or more recipes.

The recipes in the list cannot be edited directly in the list. Renaming, changing the description or changing the recipe status is only possible with the corresponding commands.

Column selection master recipe...

Opens a dialog in order to determine which columns should be displayed.
Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

Format columns master recipe...

Opens a dialog to edit the column settings.
Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

New master recipe...

Opens dialog for creating a new master recipe.

Create new version of master recipe

Creates a new version of the selected master recipe. This must be approved or marked as obsolete.

Rename master recipe

Only active if exactly one master recipe was selected.
The dialog for the input of a unique name and the description is opened.
Recipes can only be renamed if they are in status Editable.
Also use this function in order to change the description of the control recipe.

When renaming a recipe, a CEL entry is created.

Duplicate master recipe

Only active if precisely one recipe was selected.
Creates a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

The copy of the recipe automatically receives status Editable and can be edited further.

When duplicating a recipe, a CEL entry is created.

Delete master recipe

Deletes the selected recipes irrevocably. If the recipe is opened on another computer for editing, it is automatically closed there.

Deleting is only possible if there are no control recipes which are based on the master recipe. First you must delete all control recipes.
Recipes which are currently executed in test mode (master recipe status: Test in execution) cannot be deleted. First they must be finished, stopped or canceled.

If recipes must not be deleted - e.g. in an FDA-regulated environment - it is recommended that this button is not configured or that it is given an appropriate Livello di autorizzazione:.
A CEL entry is created when a recipe is deleted.

Open master recipe

Opens the selected master recipe in the recipe editor if screen element Recipe editor exists in the screen. Each selected master recipe is opened in a separate tab of the recipe editor.

Switch master recipe to edit mode

Changes the master recipe status of the selected recipes to Editable. In this status, recipes can again be edited completely.
Only recipes in Test mode can be set back to Editable.

Switch master recipe to test mode

Changes the master recipe status of the selected recipe to Test mode. Only faultless recipes can be switched to test mode. If error occur during the validation, you must first fix them.

Recipes in the test mode can be executed but no longer reengineered. For details about the states see chapter Recipe types and recipe states.

Release master recipe

Changes the master recipe status of the selected recipes to Released. Only recipes without errors can be released. If error occur during the validation, you must first fix them.
Only recipes in status Test mode and Editable can be released.

Released recipes can no longer be edited. Control recipes can only be created from released recipes.
For details about the states see chapter Recipe types and recipe states.

When releasing a recipe, a CEL entry is created.

Highlight master recipe as outdated

Changes the status of the recipe to outdated. The recipe can no longer be edited or approved. No control recipe can be created on the basis of this recipe.

Display associated control recipes in list

Displays all control recipes that are based on the selected master recipe and that comply with the set filter criteria.

Dynamically update control recipe list.

Deactivates the Display associated control recipes in list button. When selecting a master recipe, all attendant control recipes are displayed automatically.

Filter for displaying the control recipe

Makes it possible to filter control recipes for the following criteria:

  • Currently executed control recipes:
    Displays only control recipes which are currently executed. Only takes effect as soon as you click on Show associated control recipes in list.
  • Prepared control recipes:
    Display only control recipes which are prepared for execution. Only takes effect as soon as you click on Show associated control recipes in list.
  • Completed control recipes:
    Displays only control recipes which have already been executed. Only takes effect as soon as you click on Show associated control recipes in list.
  • Outdated control recipe

Control recipe

Control elements for control recipes.

List control recipes...

In this list all control recipes can be displayed. The display can be limited by filters to an individual selection.

Per default the list is empty. To fill the list, you must:

  • select master recipes
  • Set the currently-executed control recipes,
    prepared control recipes and
    completed control recipes
    filters
  • click button display associated control recipes in list

In addition to the filters mentioned above, you can filter the list itself. The filtering can be preset in the zenon Editor in the screen switch function. Online filtering is also possible. These filters are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

All commands are also possible in the context menu of the list. The commands for list management can be called from the header of the list. The commands for recipe management can be called at editing one or more recipes.
The recipes in the list cannot be edited directly in the list. Renaming, changing the description or starting the recipes is only possible with the corresponding commands.

Column selection control recipe...

Opens a dialog in order to determine which columns should be displayed.
Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

Format columns control recipe...

Opens a dialog to edit the column settings.
Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

New control recipe...

Opens the dialog for entering a unique name and a description for the control recipe. The uniqueness of the name is also checked in the zenon network. The name must only be unique within the master recipes. Control recipes which are based on other master recipes may have the same name. The uniqueness within module Batch Control is achieved by always referencing the master recipe name and the control recipe name.

When creating a control recipe, a CEL entry is created.

Rename control recipe

Only active if exactly one control recipe was selected.
The dialog for the input of a unique name and the description is opened.
Recipes can only be renamed if they are in status Prepared.
Also use this function in order to change the description of the control recipe.

Duplicate control recipe

Only active if precisely one recipe was selected.
Creates a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

The copy of the recipe automatically gets the status Prepared and can therefore be edited and started. The execution status of the duplicate is set to automatic.

When duplicating a recipe, a CEL entry is created.

Delete control recipe

Deletes the selected recipes irrevocably. If the recipe is opened on another computer for editing, it is automatically closed there.

Deleting is only possible if all selected recipes are not executed (control recipe status: In execution). In execution: First they must be finished, stopped or canceled.

If recipes must not be deleted - e.g. in an FDA-regulated environment - it is recommended that this button is not configured or that it is given an appropriate Livello di autorizzazione:.
A CEL entry is created when a recipe is deleted.

Open control recipe

Opens the selected control recipe in the recipe editor if screen element Recipe editor exists in the screen. Each selected control recipe is opened in a separate tab of the recipe editor.

Start control recipe

Starts the selected control recipe in the set execution mode. The recipes are executed invisibly at the Server. It is not necessary that the recipe is opened in the recipe editor.

Parameter lists

List box for the display of parameters.

Two list boxes can be created. These are configured in the screen switching.

XML import/export

Control element for XML import/export.

Export master recipes...

Exports the selected master recipe as an XML file.

Export control recipes...

Exports the selected control recipe as an XML file.

XML Import...

Imports the selected XML file.


Screen switch Batch Control

Manuale -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To use Batch Control in the Runtime, engineer a screen switch function to a screen of type Batch Control:

  1. Select the New function command in the Functions node
  2. select the Screen switching function
  3. select the screen of type Batch Control
  4. the filter dialog is displayed
  5. configure the
    1. Settings for the list of the master recipes/control recipes including prefiltering
    2. Variable allocations
    3. Tag list settings
  6. link the function with a button on the screen in order to switch in the Runtime

Noch in diesem Kapitel

Recipe list settings

Variable assignment

Tag list settings


Recipe list settings

Manuale -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Recipe list settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The settings are configured for:

  • List of master recipes
  • Control Recipes List
  • Prefilter

List of master recipes

Parameters

Description

List of master recipes

Configuration for master recipes.

Prefilter

Select from a drop-down list whether master recipes should be pre-filtered when called up. Possible settings:

  • No prefiltering: Recipes are not pre-filtered.
  • ID from variable: Recipes are filtered according to ID. Filter condition is defined in the Variable property.
  • Name from variable: Recipes are filtered according to recipe name. Filter condition is defined in the Variable property.

Variable

Definition of the variables that provide the values for the prefiltering. Click the button ... and a dialog opens to configure the variables.

Apply column settings from calling screen

Active: The column settings are accepted by the screen that is calling them up in Runtime. The corresponding properties can no longer be configured in the Editor.

List field

Display of the configured columns.

Column selection

Opens the dialog for selecting the columns

Column Format

Opens a dialog to format the columns.

Open found recipes in recipe editor

Active: The recipes found are opened in the recipe editor.

Note: The first 20 recipes found is the maximum that can be opened.

Control Recipes List

Parameters | Description
Control Recipes List | Configuration for control recipes.

Filter control recipe for status

Parameters

Description

Filter control recipe for status

Settings for the filtering of the control recipes according to their status.

Apply filter from calling screen

Active: The filter is accepted from the calling screen.

Use this filter

Selection of criteria for the status of a recipe that is to be called up. Several statuses can be selected by selecting the corresponding checkbox:

  • Prepared
  • Currently executed
  • Executed
  • Outdated

Filling the list of the control recipes at calling the screen

Settings for the filling of the list when called up. Select an option.

  • No filling
  • Apply and use selection of the master recipes from calling screen
  • Use all active master recipes

Prefilter

Select from a drop-down list whether control recipes should be prefiltered when called up. Possible settings:

  • No prefiltering: Recipes are not pre-filtered.
  • ID from variable: Recipes are filtered according to ID. Filter condition is defined in the Variable property.
  • Name from variable: Recipes are filtered according to recipe name. Filter condition is defined in the Variable property.
  • Job ID from variable: Recipes are filtered according to job ID. Filter condition is defined in the Variable property.

Variable

Definition of the variables that provide the values for the prefiltering. Click the button ... and a dialog opens to configure the variables.

Dynamic filling of the control recipe list

Parameters

Description

Dynamic filling of the control recipe list

Settings for dynamic filling of the list.

Selection of the master recipe fills list of control recipes automatically

Active: When switching in Runtime, the list of control recipes always displays the master recipes selected at this point in time.

Apply column settings from calling screen

Active: The column settings are accepted by the screen that is calling them up in Runtime. The corresponding properties can no longer be configured in the Editor.

List field

Display of the configured columns.

Column selection

Opens the dialog for selecting the columns

Column Format

Opens a dialog to format the columns.

Open found recipes in recipe editor

Active: The recipes found are opened in the recipe editor.

Note: The first 20 recipes found is the maximum that can be opened.

Show this dialog in the Runtime

Attivo: Al momento della chiamata della funzione, si apre questo dialogo e l´utente può adattare la configurazione prima dell´esecuzione della funzione.

I dialoghi vengono aperti nel Runtime sul computer attuale. Nel funzionamento di rete, il dialogo viene aperto sul client se la funzione viene richiamata sul client.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Nota: selezione variabile tramite nome o ID: Per la selezione di variabili sulla base di nome o ID, possono essere scelte rispettivamente variabili numeriche e variabili stringa. I tipi di dato vengono convertiti nella forma rispettivamente corretta.

Noch in diesem Kapitel

Column selection

Column Format

Prefilter


Column selection

Manuale -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Recipe list settings -> Column selection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Options

Pulsante | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate da quelle disponibili a quelle selezionate. Dopo aver confermato il dialogo cliccando su OK, verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutte -> | Sposta tutte le colonne disponibili nelle colonne selezionate.
<- Cancella | Elimina le colonne evidenziate dalle selezionate e le visualizza nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, esse vengono eliminate dalla visualizzazione dettagliata.
<- Cancella tutte | Cancella tutte le colonne dalla lista delle colonne selezionate.
In su | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
In giù | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Note: These settings are only used in Runtime for dockable windows if there is no Runtime profile available for the user who is logged in.

Examples of column selection

Column selection for list of the master recipes:

Column selection for list of the control recipes:

Column selection for list of the operations (only available in Runtime):

Column selection for Tag lists


Column Format

Manuale -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Recipe list settings -> Column Format

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this dialog you define the column format:

Configurazione delle proprietà delle colonne per le liste. Le impostazioni hanno effetto sulla lista corrispondente nell´Editor, oppure (nel caso di configurazione di un cambio immagine) nel Runtime.

Colonne disponibili

Parametri | Descrizione
Colonne disponibili | Lista delle colonne disponibili usando la Selezione colonne. La colonna evidenziata viene configurata tramite le opzioni nella sezione Impostazioni.

Impostazioni

Parametri

Descrizione

Impostazioni

Impostazioni per colonna selezionata.

Descrizione

Titolo della colonna

Il titolo colonna è traducibile online. Per poterlo tradurre, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene via pulsanti di opzione.

Impostazioni possibili:

  • Orientamento a sinistra: nella colonna, il testo si dispone prendendo come riferimento il bordo sinistro.
  • Centrato: nella colonna, il testo si dispone in posizione centrale.
  • Orientato a destra: nella colonna, il testo si dispone prendendo come riferimento il bordo destro.

Disattiva filtro colonne a Runtime

Attivo: Il filtro per questa colonna non può essere modificato durante il Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager Gruppi di Ricette

Colori definiti da utente

Proprietà per l´impostazione dei colori per ogni colonna definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto su Editor e Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per liste configurabili.
  • A Runtime, inoltre, può essere evidenziato il focus in un lista mediante diversi colori di testo e di sfondo. La configurazione di tali colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attivo: Vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando su "Colore", si apre la tavolozza che serve alla selezione di un colore.

Colore di sfondo

Colore per la visualizzazione dello sfondo delle celle. Cliccando su "Colore", si apre la tavolozza che serve alla selezione di un colore.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Note: These settings are only used in Runtime for dockable windows if there is no Runtime profile available for the user who is logged in.


Prefilter

Manuale -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Recipe list settings -> Prefilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To eliminate the need for all recipes to always be loaded in the recipe list in Runtime, you can define filters for master recipes and control recipes in the screen switch function. Then, the only recipes that appear in the list of master recipes and the control recipes are those that correspond to the configured filter conditions. If activated, these recipes are also opened in the recipe editor.

If you want it to be impossible for users to remove the filters in the runtime environment:

  1. Deactivate the Show this dialog in Runtime option.
  2. Block the column filter: Open the Column format... dialog and activate the Block column filter in the process screen option. As a result of this, the user cannot modify the filter in Runtime and therefore they do not get the recipes that they cannot modify displayed.

Filtering for master recipes

Configure:

  1. Prefilter

    Stipulate if recipes are to be prefiltered. You can filter according to name or ID. The filter condition is queried in Runtime using a variable.

  2. Column settings
    1. in the screen switch function click on column filters for the List of the master recipes or the List of control recipes
    2. enter the desired filter text; wildcards (*) are allowed
    3. confirm the filter text with Return for it to be applied.
  3. Automatic recipe switching

    Stipulate if the recipes found when switching are also to be opened in the Recipe Editor straight away.

    Note: The first 20 recipes found is the maximum that can be opened automatically.

info Informazioni su

When reloading Runtime, the filter settings of the prefiltering for master recipes are applied again. This also applies if the value of the filter variables changes or new recipes are added to the list that do not correspond to the filter. The list is always recreated exactly after reloading.

Filtering for control recipes

Configure:

  1. Recipe state

    Filter the control recipes according to their status. You can select several states using checkboxes or accept the filter from the calling screen.

  2. Filling the recipe list

    Stipulate if and how the list of control recipes is to be filled when called up.

  3. Prefilter

    Stipulate if recipes are to be prefiltered. You can filter according to ID, name or job ID. The filter condition is queried in Runtime using a variable

  4. Column settings
    1. in the screen switch function click on column filters for the List of the master recipes or the List of control recipes
    2. enter the desired filter text; wildcards (*) are allowed
    3. confirm the filter text with Return for it to be applied.
  5. Automatic recipe switching

    Stipulate if the recipes found when switching are also to be opened in the Recipe Editor straight away.

    Note: The first 20 recipes found is the maximum that can be opened automatically.

info Informazioni su

When reloading Runtime, the filter settings of the prefiltering for control recipes are applied again. Instead, all control recipes that correspond to the current filter in Runtime are displayed (master recipes, status, column filter).


Variable assignment

Manuale -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You link variables to elements in the recipe in this tab. This way you can display the statuses of a phase or an operation in another screen and react to these. The execution status of the recipe and the selected object can be displayed by means of string variables or numerical variables. Numerical variables are suitable, for instance, for linking to a combined element. For details on the status, see the Coding of the execution status section.

To display statuses:

  1. Create a new screen with the desired elements.
  2. Link the elements to variables
  3. Link these variables in the screen switching filter to the corresponding objects

Link variables

To link a variable:

  1. Click on the ... button
  2. The dialog for selecting a variable is opened
  3. Select the desired variable

Display

The following are displayed:

  • For the recipe that is in focus:
    • Name
    • Description
    • Status
    • Execution mode
    • Execution status
    • Recipe type
  • For the object in the recipe that is in focus (phase or operation):
    • Name
    • Description
    • Unit
    • Type
    • Status
    • Internal state
    • Start time
    • Time of the end
    • Execution counter
    • Duration of execution

Parameters

Description

Master recipe

Variable linkings for the master recipe.

Status is displayed if the recipe has the focus or a phase or operation is highlighted.

The following can be linked:

  • Name
  • Version
  • Initial version
  • Description
  • Status (text)
  • Status (numeric)

Control recipe

Variable linkings for the control recipe.

Status is displayed if the recipe has the focus or a phase or operation is highlighted.

The following can be linked:

  • Name
  • Description
  • Status (text)
  • Status (numeric)
  • Job ID (text)

Operation

Variable linkings for the operation.

Status is displayed if the recipe has the focus or a phase or operation is highlighted.

The following can be linked:

  • Name
  • Description

General

Variable linkings for general information.

Status is displayed if the recipe has the focus or a phase or operation is highlighted.

The following can be linked:

  • Execution mode (text)
  • Execution mode (numerical)
  • Execution status (text)
  • Execution status (numerical)
  • Recipe type (text)
  • Recipe type (numeric)

Selected object

Variable linkings for the selected object (phase or operation).

Status is displayed if a phase or an operation in the recipe is highlighted.

The following can be linked:

  • Name
  • Description
  • Unit
  • Type (text)
  • Type (numeric)
  • Control strategy
  • Description of control strategy
  • control strategy number
  • Status (text)
  • Status (numeric)
  • Internal state (text)
  • Internal state (numeric)
  • Start time
  • Time of the end
  • Execution counter
  • Duration of execution

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Note: No information is displayed if several objects are highlighted.

Noch in diesem Kapitel

Coding of the execution status


Coding of the execution status

Manuale -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment -> Coding of the execution status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Execution state

The execution state (both for the recipe and the selected object) is coded with different information:

  • Byte 0: Execution state
  • Byte 1: Status bits for the status
  • Byte 2: Type of object that is part of the status

If no recipe is opened then the string variables are empty and the numerical variables have the value 0.

Byte 0

Execution states.
The values that are possible are determined by the object type.

String | Decimal | Binary
Idle | 1 | 1
Running | 2 | 10
Executed | 3 | 11
Pause (starting from state: running) | 4 | 100
Paused | 5 | 101
Hold (starting from state: running) | 6 | 110
Hold (starting from state: Paused) | 7 | 111
Hold (starting from state: Restart) | 8 | 1000
Held | 9 | 1001
Restarting (starting from state: Held) | 10 | 1010
Stopping (starting from state: running) | 11 | 1011
Stopping (starting from state: Paused) | 12 | 1100
Stopping (starting from state: Held) | 13 | 1101
Stopped | 14 | 1110
Aborting (starting from state: running) | 15 | 1111
Aborting (starting from state: Paused) | 16 | 10000
Aborting (starting from state: Held) | 17 | 10001
Aborted | 18 | 10010

Byte 1

Status bits for the status.
The text is added to the string variable. The corresponding bits are set in the numerical variables

Value for string variable | Value for numeric variable
n elements in different states | 0b00000001
Waiting for n element(s) | 0b00000010

Byte 2

Type of object that is part of the status.
For numerical variables only.

Decimal | Binary | Meaning
1 | 1 | Recipe
2 | 10 | Phase
3 | 11 | Operation object in the recipe

Noch in diesem Kapitel

Master recipe

Control recipe

Operation

General

Selected object


Master recipe

Manuale -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment -> Coding of the execution status -> Master recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Master recipe

Name

Name of the currently-opened master recipe or the master recipe that belongs to the currently-opened control recipe or operation.

Description

Description of the currently-opened master recipe or the master recipe that belongs to the currently-opened control recipe or operation.

Status (text and numeric)

Status of the currently-opened master recipe or the master recipe that belongs to the currently-opened control recipe or operation.

Variable values:

String | Decimal | Binary
No recipe in active view | 0 | 0
Creation (not visible) | 1 | 1
Edit mode | 2 | 10
Released | 3 | 11
Test mode | 4 | 100
Test in execution | 5 | 101
Terminated with error | 6 | 110


Control recipe

Manuale -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment -> Coding of the execution status -> Control recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Control recipe

Name

Name or selection of the control recipe. The recipe must be open and have the focus. Is filled in the control recipe and in the operation instance in the control recipe.

Description

Description of the currently-selected control recipe. The recipe must be open and have the focus. Is filled in the control recipe and in the operation instance in the control recipe.

Status (text and numeric)

Status of the currently-selected control recipe or the recipe must be open and have the focus. Is filled in the control recipe and in the operation instance in the control recipe.

Variable values:

String | Decimal | Binary
no control recipe active | 0 | 0
Creation (not visible) | 1 | 1
Prepared | 2 | 10
Running | 3 | 11
Executed | 4 | 100
Terminated with error | 5 | 101


Operation

Manuale -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment -> Coding of the execution status -> Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Operation

Name

Name of the operation that is currently open. Is filled in the operation template and in the operation instance.

Description

Description of the operation currently open. Is filled in the operation template and in the operation instance.


General

Manuale -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment -> Coding of the execution status -> General

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
General

Execution mode (text and numeric)

Currently-set execution mode for the currently-selected recipe. Is filled for all recipe cycles.

Variable values:

String | Decimal | Binary
Automatic | 1 | 1
Semi-automatic | 2 | 10
Manual | 3 | 11

Execution status (text and numeric)

Status of the recipe

Byte 0

Variable values:

String | Decimal | Binary
Idle | 1 | 1
Running | 2 | 10
Executed | 3 | 11
Pausing (starting from state: running) | 4 | 100
Paused | 5 | 101
Holding (starting from state: running) | 6 | 110
Held | 9 | 1001
Restarting (starting from state: Held) | 10 | 1010
Stopping (starting from state: running) | 11 | 1011
Stopped | 14 | 1110
Aborting (starting from state: running) | 15 | 1111
Aborted | 18 | 10010

Byte 1

Value for string variable | Value for numeric variable
n elements in different states | 0b00000001
Waiting for n element(s) | 0b00000010

Byte 2

Object type. For the numerical value only

Decimal | Binary | Meaning
1 | 1 | Recipe

Recipe type (text and numeric)

Recipe type of the current recipe. Is filled for all recipe cycles.

Variable values:

String | Decimal |  | Binary
Master recipe |  | 1 | 1
Control recipe |  | 2 | 10
Operation template |  | 4 | 100
Operation instance in the master recipe |  | 9 | 1001
Operation instance in the control recipe |  | 10 | 1010


Selected object

Manuale -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment -> Coding of the execution status -> Selected object

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Selected object

The variables for the selected object always contain data if a single phase or a single operation was selected in the currently-selected operation. It is filled for all recipe types. If no object or several objects are selected, then the string variables are empty and the numerical values are 0.

Name

Is filled with the name of the phase or the operation.

Description

Is filled with the description of the phase of the operation.

Unit

Is filled with the name of the unit of the selected phase.

Type (text and numeric)

Variable values:

String | Decimal | Binary
Phase | 3 | 11
Operation | 13 | 1101

Status (text and numeric)

Is filled with the current execution status of the element.

Value for a phase

Byte 0

Variable values:

String | Decimal | Binary
Idle | 1 | 1
Running | 2 | 10
Executed | 3 | 11
Pausing (Starting from state: running) | 4 | 100
Paused | 5 | 101
Holding (Starting from state: running) | 6 | 110
Holding (Starting from state: Paused) | 7 | 111
Holding (Starting from state: Restarting) | 8 | 1000
Held | 9 | 1001
Restarting (Starting from state: Held) | 10 | 1010
Stopping (Starting from state: running) | 11 | 1011
Stopping (Starting from state: Paused) | 12 | 1100
Stopping (Starting from state: Held) | 13 | 1101
Stopped | 14 | 1110
Aborting (Starting from state: running) | 15 | 1111
Aborting (Starting from state: Paused) | 16 | 10000
Aborting (Starting from state: Held) | 17 | 10001
Aborted | 18 | 10010

Byte 1:

Always empty.

Byte 2:

Object type. For the numerical value only

Variable values:

Decimal | Binary | Meaning
2 | 10 | Phase

Value for an operation instance

Byte 0

Variable values:

String |  | Decimal | Binary
Idle | 1 |  | 1
Running | 2 |  | 10
Executed | 3 |  | 11
Pausing (Starting from state: running) | 4 |  | 100
Paused | 5 |  | 101
Holding (Starting from state: running) | 6 |  | 110
Held | 9 |  | 1001
Restarting (Starting from state: Held) | 10 |  | 1010
Stopping (Starting from state: running) | 11 |  | 1011
Stopping (Starting from state: Paused) | 12 |  | 1100
Stopping (Starting from state: Held) | 13 |  | 1101
Stopped | 14 |  | 1110
Aborting (Starting from state: running) | 15 |  | 1111
Aborting (Starting from state: Paused) | 16 |  | 10000
Aborting (Starting from state: Held) | 17 |  | 10001
Aborted | 18 |  | 10010

Byte 1

Value for string variable | Value for numeric variable
n elements in different states | 0b00000001

The bit is always set if there are objects in the operation with a different status to that of the operation. Idle and finished are not included in this.

Byte 2:

Object type. For the numerical value only.

Variable values:

Decimal | Binary | Meaning
3 | 11 | Operation in the recipe.

Internal status (text and numeric)

Is filled with the internal execution status of the element.

Composition of the internal status:

  • Byte 0: Status
  • Byte 1: Status Bits
  • Byte 2: Object type

Value for a phase

Byte 0

Internal status. The text can be different for other objects.

Variable values:

String |  | Decimal | Binary
Idle | 1 |  | 1
Waiting for phase to be ready for starting | 2 |  | 10
Waiting for unit allocation | 3 |  | 11
Waiting for the unit allocation - timeout | 4 |  | 100
Waiting for exclusive execution | 5 |  | 101
Waiting for input interlocking | 6 |  | 110
Waiting for the input interlocking - timeout | 7 |  | 111
Waiting for phase done condition | 8 |  | 1000
Waiting for phase done condition - timeout | 9 |  | 1001
Waiting for phase done condition - error writing value | 10 |  | 1010
Waiting for minimum execution period | 11 |  | 1011
Wait until recipe has status "running" | 12 |  | 1100
Waiting for following conditions | 13 |  | 1101
Waiting for following condition - timeout | 14 |  | 1110

Byte 1

Status. For numerical variables only.

Variable values:

Decimal | Binary | Meaning
00000001 | 1 | There is an execution error.
00001000 | 8 | There is a communication error.
00010000 | 16 | Loss of communication fixed.
01000000 | 64 | Communication reestablished.

With the phase, only one of the bits can be active for the communication error. With an operation a bit is always set if it is relevant to at least one internal phase.

Byte 2

Object type. For the numerical value only.

Variable values:

Decimal | Binary | Meaning
3 | 11 | Operation in the recipe.

Possibilities for phase

Byte 0

All possibilities.

Byte 1

All possibilities.

Byte 2

Value for numeric variable |  | Meaning
Decimal | Binary
2 | 10 | Phase

Possibilities for operation instances

Byte 0

Variable values:

String | Decimal | Binary
Idle | 1 | 1
Execution of the internal objects | 8 | 1000
Waiting for following conditions | 13 | 1101

Byte 1

Always empty.

Byte 2

Variable values:

Decimal | Binary | Meaning
3 | 11 | Operation in the recipe.

Start time

Time at which the execution of the selected object has started.

Time of the end

Time at which the execution of the selected object has finished.

Duration of execution

Time period that has expired during the execution.

Execution counter

Number denoting how often the element was executed


Tag list settings

Manuale -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Tag list settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Two parameter lists with identical options are available. These can be configured and used individually.

The parameter lists are created in the screen and configured in screen switching.

Tag List 1

Parameters

Description

Tag List 1

Display of the configured lists. The columns can:

  • be filtered
  • have their width changed by dragging the column title with the mouse
  • arranged by dragging & dropping with the mouse

Column selection

A dialog for choosing the columns which shall be displayed is opened

Column Format

Opens a dialog to format the columns.

Display command tag

Selection of the command parameters which should be displayed. Possible selection by activating the checkboxes:

  • Changeable in the master recipe:
    Only command parameters for which the changeable in the recipe option has been set in the Editor are displayed.
  • Changeable in the control recipe:
    Only command parameters for which the changeable in the recipe option has been set in the master recipe are displayed.
  • Changeable in the current recipe type:
    Only command parameters that can be changed in the current recipe type are displayed.
  • Cannot be changed in the master recipe:
    Only command parameters for which the Changeable in the recipe option has not been set in the Editor are displayed.
  • Cannot be changed in the control recipe:
    Only command parameters for which the Changeable in the recipe option has not been set in the master recipe are displayed.
  • Cannot be changed in the current recipe type:
    Only command parameters that cannot be changed in the current recipe type are displayed.

As many connections as desired can be configured. Activating all checkboxes leads to all command parameters being displayed.

Display return tags

Active: Return parameters are displayed:

Variable for displaying the number of entries

Displays the maximum number of entries that is possible with the current pre-filtering of the screen filter. It is independent of the filtering in the columns and groupings.

Click on button ... opens the dialog for selecting variables.

Tag List 2

Parameters | Description
Tag List 2 | Parameter list 2 with identical configuration possibilities to Parameter Tag 1.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

The tag lists are recreated in Runtime if:

  • The phase was edited
  • The recipe was saved (even if the client has saved it)

info Informazioni su

Backward compatibility for displaying command parameters:

The option was expanded with version 7.11 and changed from radio buttons to checkboxes. For backward compatibility, this means:

Backward compatible writing is possible if:

Only one checkbox is set for the changeable parameters

or the combination of all checkboxes lets all parameters through

If the combination of the checkboxes results in a setting that was not previously configurable with zenon 7.10 or earlier, no parameters are displayed in the list.


zenon functions

Manuale -> Batch Control -> Engineering in the Editor -> zenon functions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With zenon functions, control commands can be sent to the batch execution and pre-defined control recipes can be created:

  • Execute recipe command or mode switch: sends control commands to batch execution
  • Create control recipe function: creates, in Runtime, a recipe that has been pre-defined in the Editor
  • Export batch recipes: exports recipes as an XML file.
  • Import batch recipes: imports recipes as an XML file.

Noch in diesem Kapitel

Export Batch recipes

Import Batch recipes

Execute recipe command change or mode change

Create control recipe function


Export Batch recipes

Manuale -> Batch Control -> Engineering in the Editor -> zenon functions -> Export Batch recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Recipes can be exported to an XML file with the Esporta ricette Batch function. To create the function:

  1. In the zenon Editor, navigate to the Functions node
  2. Select New function
  3. Go to the Batch Control in the function selections
  4. select Esporta ricette Batch
  5. the dialog for configuring functions is opened

Use recipe filter for

Parameters

Description

Use recipe filter for

Selection of what the recipe filter is applied to:

  • Master recipe
  • Control recipe

The filter is processed from top to bottom For example, version is only applied to the recipes found in the master recipe filter.

Master recipe

Active: It is filtered on Master recipes.

Control recipe

Attivo: viene effettuata un´operazione di filtro sulla base di ricette di controllo.

Nota: Anche le relative ricette master devono essere selezionate. Se non si sceglie nessuna ricetta master per la ricetta di controllo, nel runtime il filtro non potrà trovare le ricette cercate.

Suggerimento: Se la ricetta master non è conosciuta, si consiglia di effettuare un´operazione di filtro su tutte le ricette master con un carattere jolly.

Recipe Filter

Parameters

Description

Recipe Filter

Configuration of the recipe filter

Master recipe

Parametro per la selezione della ricetta di controllo. Selezione dal menù a tendina:

  • Nome con wildcard:
    Nel campo di inserimento si può digitare un nome con carattere jolly. Il sistema filtra sulla base di questo nome.
  • Nome da variabile:
    Il nome della ricetta master viene definito da una variabile nel runtime. Cliccando sul pulsante ... apre il dialogo che serve alla scelta di una variabile.

ID dalla variabile:
L´ID della ricetta master viene definito da una variabile nel runtime. Cliccando sul pulsante ... apre il dialogo che serve alla scelta di una variabile.

Version

Selezione della versione fra quelle contenute nella combobox.

  • Tutte:
    La versione indicata è ignorata e si utilizza ogni versione trovata.
  • Versione prefissata:
    Il sistema effettua un´operazione di filtro per cercare la versione inserita in questo campo.
    Versione più alta possibile: 4294967295
  • Versione da variabile:
    Si cerca la ricetta che era nella variabile collegata al momento dell´esecuzione. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.
  • Solo la versione più vecchia:
    Viene usata solamente la ricetta con il numero di versione più vecchio.

Solo la versione più recente:
Viene usata solamente la ricetta con il numero di versione più recente.

State master recipe

Status of the master recipe. Select from drop-down list.

When selecting master recipes for recipe filters:

  • All
  • Edit mode
  • Released
  • Test mode
  • Test running
  • Terminated with error
  • Outdated

When selecting control recipes for recipe filters:

  • Released or outdated
  • Released
  • Outdated

Apply to found recipes

Definition of which master recipes the filter is applied to. Select from drop-down list:

  • All
  • Only oldest ID
  • Only newest ID

Control recipe

Parametro per la selezione della ricetta di controllo. Selezione dalla lista a cascata:

  • Nome con wildcard
    Nel campo di inserimento si può digitare un nome con carattere jolly. Il sistema filtra sulla base di questo nome.
  • Nome da variabile
    Il nome della ricetta di controllo viene definito da una variabile nel runtime. Cliccando sul pulsante ... apre il dialogo che serve alla scelta di una variabile.
  • ID dalla variabile
    L´ID della ricetta master viene definito da una variabile nel runtime. Cliccando sul pulsante ... si apre il dialogo che serve alla scelta di una variabile.
    Il sistema può trovare esattamente una sola ricetta se il valore della variabile al momento dell´esecuzione è un ID valido di una ricetta di controllo.

ID Task dalla variabile:
Trova ricette di controllo che appartengono alle ricette master già trovate e che dispongono dell´ID task indicato. Si può collegare ogni tipo di variabile. Il valore viene convertito automaticamente in STRING.

State control recipe

Definition of which recipe status the filter is applied to. Select from drop-down list:

  • All
  • Prepared
  • Running
  • Executed
  • Terminated with error
  • Outdated

Apply to found recipes

Definition of which control recipes the filter is applied to. Select from drop-down list:

  • All
  • Only oldest ID
  • Only newest ID

Note: Only the respective IDs are taken into account for master recipes and control recipes. The search for control recipes can find several recipes with this filter. This filter must also be activated for the master recipes for a unique result.

Operation

Parameters for the selection of the operation. Select from drop-down list:

  • Name with wildcards:
    A name with placeholder can be entered into the input field. Filtering according to this name is carried out.
  • Name from variable:
    The name of the operation is defined by a variable in Runtime. Click on button ... opens the dialog for selecting variables.
  • ID from variable:
    The ID of the operation is defined by a variable in Runtime. Click on button ... opens the dialog for selecting variables.
    Precisely one recipe can be found if the variable value at the time of execution is a valid ID of an operation.

Status operation

Definition of which recipe status the filter is applied to. Select from drop-down list:

  • All
  • Edit mode
  • Released
  • Outdated

Apply to found recipes

Definition of which operations the filter is applied to. Select from drop-down list:

  • All
  • Only oldest ID
  • Only newest ID

Output file

Selection of the file name and the save location.

Naming
  • File name: The name of the XML file can be entered manually or when selecting a file from the respective save path.
  • File name from variable: The name of the XML file is taken from the linked variable.
  • Create file name from recipe name: The name of the XML file is made up of the recipe type, recipe name and recipe version.
  • Create file name from recipe ID: The name of the XML file is made up of the recipe type and recipe ID.

Overwrite existing file

Active: If there are naming conflicts, the pre-existing XML file is overwritten with the names.

Note: Files without a path will be created in the export folder

Files without the path stated will be automatically created in the export folder.

Show this dialog in the Runtime

Active: The dialog is shown in Runtime and can be operated.

OK

Accetta le impostazioni e chiude il dialogo.

Cancel

Annulla tutte le modifiche e chiude la finestra di dialogo.

Help

Apre la guida online.


Import Batch recipes

Manuale -> Batch Control -> Engineering in the Editor -> zenon functions -> Import Batch recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Recipes can be imported to an XML file with the Importa ricette Batch function. To create the function:

  1. In the zenon Editor, navigate to the Functions node
  2. Select New function
  3. Go to the Batch Control in the function selections
  4. select Importa ricette Batch
  5. the dialog for configuring functions is opened

import source

Parameters | Description
File name | Imports the XML file with the selected file name.
From variable | Imports the XML file from the linked variable.

Import options

Parameters

Description

Action for name conflicts in master recipes

Selection of a master recipe name that already exists.

Create new recipe

Creates a new recipe with the name.

Overwrite old recipe

Overwrites an existing recipe with the name.

Create new version

Creates a new version of the recipe.

Skip

Skips this step.

Action in the event of naming conflicts in control recipes/operations

Selection when issuing a control recipe or operation that already exists.

Create new recipe

Creates a new recipe with the name.

Overwrite old recipe

Overwrites an existing recipe with the name.

Create new version

Creates a new version of the recipe.

Skip

Skips this step.

Job ID for new control recipes

Job ID for newly-created control recipe

Link individual job variable

Links an individual order variable for each control recipe

Apply value from job variable in the event of

The value from the job variable is taken with

  • Starting control recipe
  • Creating control recipe

Show this dialog in the Runtime

This dialog can also be operated in Runtime.


Execute recipe command change or mode change

Manuale -> Batch Control -> Engineering in the Editor -> zenon functions -> Execute recipe command change or mode change

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You can send control commands to the batch execution with this function. To create the function:

  1. In the zenon Editor, navigate to the Functions node
  2. Select New function
  3. Go to the Batch Control in the function selections
  4. select Comandi ricetta-/esecuzione cambio modalità
  5. the dialog for configuring functions is opened

Action

Parameters

Description

Action

Selection of the action to be executed:

  • Command
  • Mode

Command

Selection of the command to be executed from drop-down list:

  • Ignore
  • Start recipe
  • Recipe pausing
  • Recipe resuming
  • Recipe holding
  • Restart recipe
  • Recipe stopping
  • Recipe aborting

Mode

Selection of the mode to which the recipe is to be switched:

  • Ignore
  • Automatic
  • Semi-automatic
  • Manual

Use recipe filter for

Parameters

Description

Use recipe filter for

Selection of what the recipe filter is applied to:

  • Master recipe
  • Control recipe

The filter is processed from top to bottom For example, version is only applied to the recipes found in the master recipe filter.

Master recipe

Active: It is filtered on Master recipes.

Control recipe

Attivo: viene effettuata un´operazione di filtro sulla base di ricette di controllo.

Nota: Anche le relative ricette master devono essere selezionate. Se non si sceglie nessuna ricetta master per la ricetta di controllo, nel runtime il filtro non potrà trovare le ricette cercate.

Suggerimento: Se la ricetta master non è conosciuta, si consiglia di effettuare un´operazione di filtro su tutte le ricette master con un carattere jolly.

Recipe Filter

Parameters

Description

Recipe Filter

Configuration of the recipe filter

Master recipe

Parametro per la selezione della ricetta di controllo. Selezione dal menù a tendina:

  • Nome con wildcard:
    Nel campo di inserimento si può digitare un nome con carattere jolly. Il sistema filtra sulla base di questo nome.
  • Nome da variabile:
    Il nome della ricetta master viene definito da una variabile nel runtime. Cliccando sul pulsante ... apre il dialogo che serve alla scelta di una variabile.
  • ID dalla variabile:
    L´ID della ricetta master viene definito da una variabile nel runtime. Cliccando sul pulsante ... apre il dialogo che serve alla scelta di una variabile.

Version

Selezione della versione fra quelle contenute nella combobox.

  • Tutte:
    La versione indicata è ignorata e si utilizza ogni versione trovata.
  • Versione prefissata:
    Il sistema effettua un´operazione di filtro per cercare la versione inserita in questo campo.
    Versione più alta possibile: 4294967295
  • Versione da variabile:
    Si cerca la ricetta che era nella variabile collegata al momento dell´esecuzione. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.
  • Solo la versione più vecchia:
    Viene usata solamente la ricetta con il numero di versione più vecchio.
  • Solo la versione più recente:
    Viene usata solamente la ricetta con il numero di versione più recente.

State master recipe

Status of the master recipe. Select from drop-down list.

When selecting master recipes for recipe filters:

  • All
  • Test mode
  • Test running

When selecting control recipes for recipe filters:

  • Released or outdated
  • Released
  • Outdated

Apply to found recipes

Definition of which master recipes the filter is applied to. Select from drop-down list:

  • All
  • Only oldest ID
  • Only newest ID

Control recipe

Parametro per la selezione della ricetta di controllo. Selezione dalla lista a cascata:

  • Nome con wildcard
    Nel campo di inserimento si può digitare un nome con carattere jolly. Il sistema filtra sulla base di questo nome.
  • Nome da variabile
    Il nome della ricetta di controllo viene definito da una variabile nel runtime. Cliccando sul pulsante ... apre il dialogo che serve alla scelta di una variabile.
  • ID dalla variabile
    L´ID della ricetta master viene definito da una variabile nel runtime. Cliccando sul pulsante ... si apre il dialogo che serve alla scelta di una variabile.
    Il sistema può trovare esattamente una sola ricetta se il valore della variabile al momento dell´esecuzione è un ID valido di una ricetta di controllo.
  • ID Task dalla variabile:
    Trova ricette di controllo che appartengono alle ricette master già trovate e che dispongono dell´ID task indicato. Si può collegare ogni tipo di variabile. Il valore viene convertito automaticamente in STRING.

State control recipe

Definition of which recipe status the filter is applied to. Select from drop-down list:

  • All
  • Prepared
  • Running

Apply to found recipes

Definition of which control recipes the filter is applied to. Select from drop-down list:

  • All
  • Only oldest ID
  • Only newest ID

Note: Only the respective IDs are taken into account for master recipes and control recipes. The search for control recipes can find several recipes with this filter. This filter must also be activated for the master recipes for a unique result.

OK

Accetta le impostazioni e chiude il dialogo.

Undo

Annulla tutte le modifiche e chiude la finestra di dialogo.

Help

Apre la guida online.


Create control recipe function

Manuale -> Batch Control -> Engineering in the Editor -> zenon functions -> Create control recipe function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With the help of the function Create control recipe, a pre-defined control recipe can be created in the Editor by means of a button in Runtime. To create the function:

  1. In the zenon Editor, navigate to the Functions node
  2. Select New function
  3. Go to the Batch Control in the function selections
  4. select Produci ricetta di controllo
  5. the dialog for configuring functions is opened

Recipe Filter

Parameters

Description

Recipe Filter

Configuration of the recipe filter

The filter is processed from top to bottom For example, version is only applied to the recipes found in the master recipe filter.

Master recipe

Parametro per la selezione della ricetta di controllo. Selezione dal menù a tendina:

  • Nome con wildcard:
    Nel campo di inserimento si può digitare un nome con carattere jolly. Il sistema filtra sulla base di questo nome.
  • Nome da variabile:
    Il nome della ricetta master viene definito da una variabile nel runtime. Cliccando sul pulsante ... apre il dialogo che serve alla scelta di una variabile.
  • ID dalla variabile:
    L´ID della ricetta master viene definito da una variabile nel runtime. Cliccando sul pulsante ... apre il dialogo che serve alla scelta di una variabile.

Version

Selezione della versione fra quelle contenute nella combobox.

  • Tutte:
    La versione indicata è ignorata e si utilizza ogni versione trovata.
  • Versione prefissata:
    Il sistema effettua un´operazione di filtro per cercare la versione inserita in questo campo.
    Versione più alta possibile: 4294967295
  • Versione da variabile:
    Si cerca la ricetta che era nella variabile collegata al momento dell´esecuzione. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.
  • Solo la versione più vecchia:
    Viene usata solamente la ricetta con il numero di versione più vecchio.
  • Solo la versione più recente:
    Viene usata solamente la ricetta con il numero di versione più recente.

Apply to found recipes

Definition of which recipes the filter is applied to. Selection of ID from drop-down list:

  • All
  • Only oldest ID
  • Only newest ID

Control recipe name

Parameters

Description

Control recipe name

Configuration of the name of the control recipe.

Control recipe name

Selection of the naming from the drop-down list:

  • Automatic name: Name is automatically issued on creation
  • Name from variable: Name is taken from a variable. Click on button ... in order to open the dialog for selecting a variable.
    If there is already a recipe with the name that has been transferred from the variable, no new control recipe is created.

Job ID

Parameters

Description

Job ID

Configuration of the Job ID.

Link individual job variable

Active: A job variable can be linked. The variable must already be configured. Selection of the variable from the drop-down list:

Apply value from job variable

Definition of the time at which the job ID is transferred. During:

  • Starting control recipe
  • Creating control recipe

OK

Accetta le impostazioni e chiude il dialogo.

Cancel

Annulla tutte le modifiche e chiude la finestra di dialogo.

The function is nevertheless created, however without a defined target.

Help

Apre la guida online.

All filters always have an effect on a group of recipes with the same name. Depending on the configuration, more than one recipe can remain left over.
For example: Recipes with the *Test filter are searched for. The result is 5 versions of Test_1 and 3 versions of Test_2. If filtering for the latest version is continued, then two control recipes are created, one each for the recipe with the highest version number per group.

Nota: selezione variabile tramite nome o ID: Per la selezione di variabili sulla base di nome o ID, possono essere scelte rispettivamente variabili numeriche e variabili stringa. I tipi di dato vengono convertiti nella forma rispettivamente corretta.


Replace links

Manuale -> Batch Control -> Engineering in the Editor -> Replace links

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Linking of variables and functions can be replaced automatically in units, phases and reactions. This process corresponds to the process for replacing linking for screen switching and replacing linking in the Editor screen. The replacement can

The following can be replaced:

  • Units: linked variables for Runtime information
  • Reactions: linked functions
  • Parameter: linked variables

To replace elements:

  1. Select the Replace linking command in the context menu or the toolbar
  2. The dialog for the replacement of links opens.

Proprietà | Descrizione
Sorgente | Inserimento del segmento string da cercare. Possono essere usati i caratteri jolly * e ?. I caratteri jolly sono consentiti solamente come prefisso o suffisso, cioè *xxx o xxx*.
Destinazione | Immissione della nuova parte di stringa
Nome | Scambia informazione nel nome delle variabili
Identificazione | cambio dell’ informazione nell’ identificazione.
Rispetta minuscolo/maiuscolo | tiene presente nell´effettuare il cambio della corrispondenza di scrittura maiuscola e minuscola.
Acquisisci | Cambio di stringhe cercate della sorgente con quelle definite nella destinazione.
Funzioni /Variabili | apre la lista di selezione per variabili/funzioni riferita alla riga selezionata nella lista Cliccando su una variabile della lista, si definisce una nuova variabile di destinazione. Alternativa: cliccate due volte sulla variabile di destinazione corrispondente.

Sostituisci

a) sostituzione con selezione manuale

  • selezionate l´elemento della lista che volete sostituire, come sorgente.
  • selezionate un elemento di destinazione facendo uso del pulsante Variabile/Funzione.
  • L´elemento attuale viene sostituito dal nuovo.

b) Sostituzione automatica con regole

  • Definite nel campo di inserimento sorgente i parametri per gli elementi che volete sostituire.
  • Definite facendo uso del campo di inserimento "destinazione" il parametro per la nuova variabile/funzione.
  • Fissate per mezzo di Nome/identificazione ciò che deve essere cambiato.
  • Cliccate su Applica

info Informazioni su

La variabile di destinazione oppure la funzione di destinazione possono trovarsi anche in un progetto diverso rispetto a quello della variabile o funzione sorgente. Ma tutti i progetti interessati debbono essere lanciati e disponibili sullo stesso computer nel runtime.

info Informazioni su

Per la sostituzione si usano gli ID di variabile interna. Ciò significa che, se variabili o funzioni usate vengono rinominate, la sostituzione rimane.

attention Attenzione

Nel sostituire variabili, fate attenzione al tipo e alla risoluzione del segnale. Se sostituite una variabile con una non compatibile per tipo, ciò può provocare degli errori nell´esecuzione. In questo caso il sistema visualizza un messaggio di avviso; ma la sostituzione viene effettuata lo stesso.


Conversion

Manuale -> Batch Control -> Conversion

If the version of zenon is changed, all recipes must be ended before converting the project.

Recipes that are running continue to be executed after a restart. The restart only functions within the same zenon version.


Configure and control in the Runtime

Manuale -> Batch Control -> Configure and control in the Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The entire management, creation and processing of the recipes is done in the Runtime. Editing in the zenon Editor is not possible.

Note: Runtime files up to and including version 7.00 SP0 are not compatible with subsequent versions. Versions from version 7.10 and later are compatible.

Synchronization

When loading, opening, duplicating and approving a recipe or operation, a check is made to see if the configuration of units, phases etc. has been changed in the superordinate instance, such as the Editor. For details, see the Synchronization chapter.

Selection procedure in lists:

  • Ctrl+A: selects all elements
  • Ctrl+mouse click: adds master recipe to the existing selection
  • Key Shift+mouse click: Extends selection from the currently selected master recipe to the clicked master recipe

Saving of recipes when closing Runtime

If Runtime is closed and there are still recipes that have not been saved, you are asked if these recipes are to be saved. In order for this query to not prevent Runtime closing, Runtime is automatically closed after 15 seconds if nothing is entered. Unsaved recipes are then discarded.

Noch in diesem Kapitel

User interface

Commands and actions

Graphical design

Engineering rules for recipes

Status line

Recipe types and recipe states

Control strategies

Master recipes

Validate recipe

Operations

Control recipe

Synchronization

Manage recipes

Recipe Execution Engine (REE)


User interface

Manuale -> Batch Control -> Configure and control in the Runtime -> User interface

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The user interface of the editor in Runtime can be configured with toolbars and dockable windows.

Example: User interface with list of the master recipes, list of the control recipe, list of the operation and PFC editor:

Switching positions

The position in the recipe is adapted depending on the recipe and status of the recipe:

  • When opening a currently-running recipe:

    It is centered on the first active element. The first active element is the one that is at the top. If there are several active elements in the same line, the element that is furthest to the left is selected. Elements with execution positions before or after this are handled the same as the active ones in this case.

  • When a recipe is first opened

    Centering is on the start of the recipe. In a PFC recipe, centering is on the start element. A matrix recipe is opened in such a way that the upper left corner is visible.

Noch in diesem Kapitel

Editor operating elements


Editor operating elements

Manuale -> Batch Control -> Configure and control in the Runtime -> User interface -> Editor operating elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following are available for the editor:

  • Toolbars (can be hidden)
  • Tabs
  • Dockable windows

Toolbars

There are independent toolbars available in the Editor for each type of recipe and the different status. For details, see the Matrix recipe toolbars and Toolbars and PFC recipe context menu chapters. All actions of the individual symbols can also be engineered using their own buttons in the screen. If the toolbars are thus not needed, they can be displayed or hidden using the settings in the zenon Editor.

To show/hide toolbars:

  1. In the zenon Editor, highlight the Recipe editor comment area in the Batch Control screen
  2. go to property group Visualizzazione\Mostra controlli dell'editor
  3. Activate or deactivate the Toolbar checkbox

Noch in diesem Kapitel

Tabs in the Editor

Dockable windows


Tabs in the Editor

Manuale -> Batch Control -> Configure and control in the Runtime -> User interface -> Editor operating elements -> Tabs in the Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If several recipes are open in the editor, these are represented with tabs. Recipes can be displayed and opened in two groups next to each other or underneath each other. To open a recipe in a new group:

  1. Select, in the context menu of the recipe, the horizontal neighboring group or vertical neighboring group command
  2. Select the type of display:
    • Move
    • Open in parallel

The control elements are always only applicable to the active recipe of the active group.

  • The active group is emphasized in color.
  • The active tab is emphasized with bold font. Information on the active tab is shown in the title bar of the editor.
  • Tabs can be moved and arranged by dragging & dropping, including between groups.

Tab context menu

Parameters

Description

Save

Saves changes in the recipe.

Close

Closes the recipe.

Close all others

Closes all other open recipes. Only the recipe in which the context menu was activated remains open.

Group horizontally

Opens the recipe in a new group below the other recipes.

  • Move display: The recipe is moved and the upper group is removed.
  • Move display parallel. The recipe is displayed in parallel in both groups.

Group vertically

Opens the recipe in a new group to the right of the active group.

  • Move display: The recipe is moved and removed from the left group.
  • Move display parallel. The recipe is displayed in parallel in both groups.


Dockable windows

Manuale -> Batch Control -> Configure and control in the Runtime -> User interface -> Editor operating elements -> Dockable windows

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the recipe editor, three windows can be shown, positioned and docked as desired:

  • List of master recipes
  • List of control recipes
  • List of operations

For details on the selection and positioning, see the Selection and positioning chapter.

The settings are saved individually for each computer and user.

Show/hide list

The list of dockable windows can be displayed or hidden by means of settings in the zenon Editor.

To show/hide the list:

  1. In the zenon Editor, highlight the Recipe editor comment area in the Batch Control screen
  2. go to property group Visualizzazione\Mostra controlli dell'editor
  3. Activate or deactivate the Finestre ancorabili checkbox

Examples

Additional list of the operations shown in the Recipe Editor:

Additional list of master recipes, control recipes and operations shown in the Recipe Editor:

Lists of master recipes, control recipes and operations shown in the Recipe Editor:

Noch in diesem Kapitel

Selection and positioning


Selection and positioning

Manuale -> Batch Control -> Configure and control in the Runtime -> User interface -> Editor operating elements -> Dockable windows -> Selection and positioning

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Selection and positioning

To show and dock the window in the Editor:

  • Select the desired window using the drop-down list of the Selection of dockable windows
  • move the window to the desired position
  • Locate this with the positioning aid

The Selection of dockable windows is located at the right edge of the status bar of the Editor. Clicking on the symbol opens the list of dockable windows. Selection is carried out by activating/deactivating the checkboxes.

Aiuti per il posizionamento

Quando si spostano delle finestre all´interno dell´interfaccia dell´editor, il sistema visualizza degli aiuti volti a facilitare il posizionamento. Questi ultimi rappresentano le finestre, o i loro bordi.

Questo elemento rappresenta un´area finestra nell´editor.

Questo elemento rappresenta l´area al bordo dell´editor.

Posiziona finestre

Per posizionare un elemento in modo ancorato:

  1. spostate l´elemento servendovi del mouse fino a raggiungere la posizione desiderata
  2. comparirà sullo schermo l´aiuto di posizionamento
  3. esso rappresenta una finestra e i suoi settori
    1. Centro: finestra intera
    2. In su: metà superiore
    3. In giù: metà inferiore
    4. Destra: metà di destra
    5. Sinistra: metà di sinistra

    o il bordo dell´editor

  4. spostate il mouse verso l´aiuto di posizionamento centrale o quello sul bordo dell´editor e, quando li avete raggiunti, portatevi nell´area desiderata
  5. l´area dell´editor sulla quale l´elemento è posizionato al momento del rilascio del tasto del mouse, viene colorata di blu
  6. spostate il mouse all´interno dell´aiuto di posizionamento finché l´area desiderata non si colora di blu
  7. rilasciate il tasto del mouse e l´elemento verrà posizionato

Se una finestra viene posizionata su una finestra già esistente, entrambe verranno visualizzate nella stessa posizione usando le schede.

Note: You can read more about positioning in the chapter on the zenon Editor in the User interface/Positioning windows section.


Commands and actions

Manuale -> Batch Control -> Configure and control in the Runtime -> Commands and actions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the Runtime the following commands and actions are available:

  • Commands effect the recipe process.
  • Actions make it possible to edit recipes.

Noch in diesem Kapitel

Commands

Actions


Commands

Manuale -> Batch Control -> Configure and control in the Runtime -> Commands and actions -> Commands

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

For a command to be accepted by the phase, the following requirements are necessary:

  • The REE must run.
  • The phase must be active.
  • The phase must be in a state in which the command is allowed.

Via multi-selection the command can be sent to several phases in the same execution cycle.

Note: A distinction is made between recipe commands and phase commands:

  • Recipe commands affect the execution of all phases active in a recipe, as well as the status of the recipe itself.
  • Phase commands are only applied to the selected phase functions (multiple selection is possible).
Command | Description
Start recipe | Starts the recipe process.
Recipe pausing | Pauses the recipe process.
Recipe resuming | Resumes a paused recipe.
Hold recipe | Holds the recipe process.
Restart recipe | Restarts all active elements in the held recipe.
Stop recipe | Stops the recipe.
Recipe aborting | Aborts the recipe.
Phase pausing | Pauses the phase.
Phase resuming | Resumes the paused phase.
Phase holding | Holds phase.
Restart phase | Restarts the held phase.
Switch to automatic mode | Switches the REE to automatic mode.
Switch to semi-automatic mode | Switches the REE to semi-automatic mode.
Switch to manual mode | Switches the REE to manual mode.
Continue recipe only on selected active elements | Continues a recipe at the selected position.
Continue recipe at all execution positions | Continues a recipe on every available position.
Skip active condition | Skips an active condition. Only possible in the manual mode.

Permitted commands

Execution conditions apply to recipe commands and phase commands. For example, the control recipe can no longer be stopped if it has the status of Cancel.

Note: The Reset command is not implemented in zenon Batch Control.

Overview of commands in Batch Control

Note: This overview has been taken from the ANSI/ISA-S88 standard (illustration 18).

Action on Stop command

After a stop command, the phases, transitions and end simultaneous sequence immediately go to stopped status, even if other elements are still waiting for a condition for stopping. Further subsequent commands such as Cancel are ignored. The Stopped status remains displayed.

Action on Stop command

After a stop command, the phases, transitions and end parallel branch immediately go to stopped status, even if other elements are still waiting for a condition for stopping. Further subsequent commands such as Cancel are ignored. The Stopped status remains displayed.


Actions

Manuale -> Batch Control -> Configure and control in the Runtime -> Commands and actions -> Actions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Action | Description
Check recipe for errors | Checks the recipe for errors and displays error messages.
Edit element | Opens the corresponding dialog for editing the selected element.
Graphical design | Opens the dialog to configure background colors, grid, and display of element ID.
Duplicate recipe | Copies the selected recipe and adds it as copy to the list.
Create control recipe | Creates a control recipe on the basis of the approved master recipe.
New master recipe | Opens the dialog for creating a new recipe.
Save master recipe | Saves all changes which were done since the last saving.
Delete | Deletes the selected element.
Exchange phase | Opens the dialog for selecting a phase. The present phase is replaced by the newly selected phase.
Edit mode | Switches the mouse cursor from adding an element to edit mode. The switch back to the edit mode can also be achieved by pressing the Esc key.
Insert phase | Occupies the mouse cursor with a phase. It can be added to any allowed, free location via click.
Insert transition | Occupies the mouse cursor with a transition. It can be added to any allowed, free location via click.
Insert begin simultaneous sequence | Occupies the mouse cursor with a begin parallel branch. It can be added to any allowed, free location via click.
Insert end simultaneous sequence | Occupies the mouse cursor with an end parallel branch. It can be added to any allowed, free location via click.
Insert Begin branch | Occupies the mouse cursor with a begin branch. It can be added to any allowed, free location via click.
Insert End branch | Occupies the mouse cursor with an end branch. It can be added to any allowed, free location via click.
Insert unit allocation | Occupies the mouse cursor with a unit allocation. It can be added to any allowed, free location via click.
Insert jump target | Occupies the mouse cursor with a jump target. It can be added to any allowed, free location via click.
Switch recipe to test mode | Switches recipe to the test mode.
Release recipe | Releases the recipe. With this a control recipe can be created.


Graphical design

Manuale -> Batch Control -> Configure and control in the Runtime -> Graphical design

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Clicking on the symbol for the graphical design in the toolbar opens the dialog for configuring the colors, grid settings and display of the element ID.

Parameters

Description

Background color

Defines the background color of the diagram. Click on the color in order to open the palette for selecting a color.

Display grid
  • Active: Display the grid
  • Inactive: Grid is hidden.

Can only be configured for PFC recipes.

Grid color

Defines the line color of the grid. Click on the color in order to open the palette for selecting a color.

Display element ID

Inactive: No element ID is shown in the recipe.
Note: This setting is recommended for normal operation.

Active: The ID of the elements is displayed in the recipe. The exception is lines. The display is in the upper left-hand corner of the element.
Note: This setting is recommended for troubleshooting.

OK

Applies all settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.


Engineering rules for recipes

Manuale -> Batch Control -> Configure and control in the Runtime -> Engineering rules for recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

At the engineering the rules defined in standard ANSI/ISA-S88 are generally true.

Important principles:

General

  • For all elements all connection points must be connected.
    Exception: Jump targets. Only two of the three input connection points need to be linked there.
  • The begin element is always present only once with PFC recipes and marks the beginning of the process. It is not visible with matrix recipes.
  • The end element is always present only once with PFC recipes and marks the end of the process. It is not visible with matrix recipes.
  • Phases can be inserted anywhere. You can also place several phases in succession.
  • At least one active phase should be present in the recipe.

Transitions

  • Transitions only exist in PFC recipes.
  • Two transitions may not lie one after the other.

Branches

  • Branches only exist in PFC recipes.
  • The first element after a Begin branch must be a transition.
  • The individual branches which start at Begin branch must all end in an End branch never in an End parallel branch. Any element can be placed between begin and end of a branch even parallel branches as long as they are closed before the End branch element. An end branch can be replaced with jump targets at any point, including within a parallel branch.
  • It is not necessary to have an End branch for each Begin branch. You can, for example, have two Begin branch elements ending in one End branch, or the other way round.
  • It is not necessary to have an End branch for a Begin branch. It can simply end in a line. If for example you have a Begin branch element with two paths and one of the paths ends in a jump target, it does not make sense to have an End branch.

Parallel branches

  • Each parallel branch must contain at least one phase.
  • The first element after a Begin parallel branch must not be a transition.
  • The individual branches that start at a Begin parallel branch must all end in one End parallel branch, but must never end in an End branch. You may use any elements between Begin parallel branch and End parallel branch even branches as long as they are closed before the End parallel branch.
  • Not all branches which were started in a Begin parallel branch must end in an End parallel branch. It is enough when all branches converge over an End parallel objects. Equally branches from different Begin parallel branch objects may converge in a single End parallel branch.
  • parallel branches allows embedding of additional parallel branches.
    In doing so: each embedded parallel branch must recombine with the superordinate parallel branch

Lines in the PFC editor

  • Lines may be used as connections between any objects. It is allowed to add any number of lines after another.
  • Lines must not be used to connect two equal connection points.
    For example: The both inputs of two phases must not be connected directly with a line. In the engineering this connection is allowed. It is however displayed in red (error) and in the validation an error message is displayed.

Jump targets

  • Jump targets only exist in PFC recipes.
  • Jump targets correspond to an end branch. They are intended to
    • jump between branches,
    • jump out of branches,
    • engineer loops

    For this, the following applies: A path which ends in a jump target must have started with a Begin branch. Otherwise the end is not reached.

  • Jump targets consist of tree inputs and one output. At least two inputs and the output must always be connected. At this it makes no difference which input connection point is connected.
  • Jump targets can be switched consecutively if at least two input connection points are allocated.
  • Jumps are prohibited:
    • between parallel branches
    • to jump out of a parallel branch
    • to jump in a parallel branch.

Configuration of objects

Reactions

  • Reactions can appear in each object state.
  • For each reaction type several reactions are possible. They are sorted at the triggering and are executed in accordance to their priority. At this 1 is the highest priority.
  • All variables of all parameters are signed in to the driver for reading. If a value is needed at a reaction but is not yet available or invalid, the alternate value is written. The writing of the value is done without write confirmation.
  • Some of the reactions are triggered only once in the process - e.g. time outs. If the phase is restarted, these reactions are also retriggered if necessary.


Status line

Manuale -> Batch Control -> Configure and control in the Runtime -> Status line

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The status line is automatically adapted to each recipe that contains the focus and initialized with its data. The status line the following is displayed:

  • Mode of the recipe
    • Edit mode
    • Manual mode
    • Semi-automatic mode
    • Automatic mode
  • Status of the recipe:
    • Ready for start
    • Error: Currently there is an error in the recipe. The number of errors is also displayed.
    • Historical error: During the execution at least one error occurred. Currently not error exists.
    • No error: Until now the execution runs faultless.
  • Current execution status.
  • Mouse cursor position and changes such as moving the connection line
  • Deleting, adding or selecting of elements
  • Approval of a recipe
  • Finished without errors
  • Zoom level of the current view; this can also be controlled here

The global statuses of the main recipe are also displayed when executing operations.


Recipe types and recipe states

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe types and recipe states

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Batch Control distinguishes between the two following recipe types:

  • PFC recipes: For free, complex processes. These are created with the PFC editor.
  • Matrix recipes: For simple, sequential, parallel processes. They are created with the matrix editor.

The following type of recipes are available:

  • Master recipes:
    Form the basis for the control recipes. The created in status Editable. If they are in status Released, they can no longer be modified.
  • Operations:
    Form a substructure that can be embedded in recipes. This can provide a better overview in complex recipes. Operations are created in a similar manner to matrix recipes or PFC recipes. The operations are created on the basis of templates and as an instance in existing matrix recipes or PFC recipes.
  • Control recipes:
    Are recipes which can be executed once. Each control recipe is based on a master recipe. Control recipes can be modified concerning the process. The process is defined by the master recipe. Changeable are only command tags for which option Changeable in control recipe was activated.

Recipes are created and edited in Runtime. If a screen that contains recipes that have not been saved is closed, the user is asked if the recipes are to be saved. If there is no input from the user within 15 seconds, the unsaved changes are discarded and the screen is closed.

Status for master recipes

Master recipes can have the following states:

  • Editable: In this state everything can be changed. Each new master recipe is created in this status.
  • Test mode: In this status the recipe behaves similar as a control recipe. As them the process cannot be modified. It can be executed and all commands, actions, modes, etc. are available. You can also change all command tags for which option Changeable in recipe was activated.
    Exception: If a phase is active at the moment, changes are not possible. Decisive for this is the status at clicking button OK. If the phase is active, the value changes are not taken over and an error message is displayed.
    In test mode recipes can be executed consecutively several times. This is not the case for control recipes.
    Changes from the Editor are only applied after reloading or after Runtime has been restarted, however only once the recipe has been ended.
  • Released: In this status no changes to the recipe are possible
    Note: Also changes to the phases or to the reactions in the Editor are not transferred to a master recipe. The status at the release are frozen.
    Exception: Changes to variable and function are not considered by these protection mechanisms. This can lead to a master recipe and all control recipes based on it becoming invalid. If e.g. the data type of a variable is changed from Bool to String, the validation function is no longer run through and the recipe can no longer be used as long as the error is not fixed in the Editor. Likewise the units themselves are not protected as they are used recipe-spanning. If a unit name is changed in the Editor, it immediately takes effect after reloading or a Runtime restart on all phases which are based on it.

    To be able to release a master recipe, the recipe must be validated without errors. The validation is done automatically during the release and cannot be avoided. Control recipes can only be created from released recipes.

    If a master recipe with status Release should be modified, you must create a copy of the master recipe via command duplicate. The copy gets status Editable.

Status for control recipes

Control recipes can have the following states:

  • Prepared: A newly created control recipe has this status. In this status, it can be started and command tags, for which option Changeable in control recipe was activated, can be changed.
  • In execution: The control recipe was started and is processed. It remains in this status until it is Completed, Stoppedor Canceled. You can learn the exact state of the recipe from the execution status.
    In this status, command parameters for which the Changeable in control recipe option was activated can be changed.
    Exception: If a phase is active at the moment, changes are not possible. Decisive for this is the status at clicking button OK. If the phase is active, the value changes are not taken over and an error message is displayed.
  • Finished: The recipe reached its final state. It can no longer be restarted and it also cannot be changed. Changes to command tags are not possible. Finished control recipes can be duplicated and deleted.


Control strategies

Manuale -> Batch Control -> Configure and control in the Runtime -> Control strategies

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Control strategies can be selected in Runtime when configuring the phase in the PFC recipe or matrix recipe. They must have already been configured in the Editor.

Control strategies can only be changed:

  • In master recipes
    • In editing mode
    • Test mode
  • In operation templates:
    • In editing mode

The control strategy cannot be changed in operation instances.

Command parameters in the phase

If control strategies are activated for a phase (Strategia di controllo attiva property in the Editor), all command parameters are initially removed when this phase is inserted into a recipe.

If the control strategy is changed in the dialog to edit a phase, then:

  • All parameters currently in this phase are removed
  • The linked parameters in the newly-selected control strategy are inserted

    These parameters are only initialized with the values that the parameter linkings currently have. The existing Runtime configuration of the parameters is lost in the process.

If a control strategy is selected for a phase, then the parameters to write to Numero modalità di esecuzione are inserted in addition to the linked parameters. This parameter gets the parameter number as a numerical value. It is not a recipe parameter. If the same parameter is already linked to the control strategy, the configuration of the linking is ignored!

Synchronization of changes to control strategies and control strategy activation

During synchronization, changes made in the Editor for control strategies are carried over for phases. For details, see the synchronization chapter.

Display of the control strategy

Selected control strategies are displayed:

  • In the tooltip of the phase (no display if no control strategy has been selected)
  • In the phase in the recipe.

    Matrix:

    PFC:

  • In the unit information for the active phases as an appendix
  • In the report for a phase

Control strategies and variables

If a phase is selected in the recipe, the variables for the control strategy are filled.

Parameters

Data Type

Description

Control strategy name

STRING

Displays the Nome of the control strategy that is linked to the selected phase.

Is empty if:

  • No phase is selected
  • The phase does not use any control strategies
  • There is no control strategy currently linked to the phase
  • With multiple selection

Description of control strategy

STRING

Displays the Descrizione of the control strategy that is linked to the selected phase.

Is empty if:

  • No phase is selected
  • The phase does not use any control strategies
  • There is no control strategy currently linked to the phase
  • With multiple selection

control strategy number

LINT

Displays the Numero modalità di esecuzione of the control strategy that is linked to the selected phase.

Is -1 if:

  • No phase is selected
  • The phase does not use any control strategies
  • There is no control strategy currently linked to the phase
  • With multiple selection


Master recipes

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Master recipe are the basis of control recipes. The recipe process is defined and tested with the help of master recipes. After a master recipe is released, its content and structure can no longer be changed.

For the creation of master recipes two editors are available:

  • Matrix editor
  • PFC editor

Depending on the license, either just the matrix editor or both editors are available.

Noch in diesem Kapitel

Create master recipe

Toolbar and context menu for master recipe list view

PFC recipe

Matrix recipe

Master recipe - test mode

Release master recipe

Highlight recipe as outdated

Versioning for master recipes


Create master recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Create master recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A click on the Create master recipe button opens the Master recipe configuration dialog.

Parameters

Description

Matrix recipe

Activate this radio button if you want to create a matrix recipe.

Note: Only possible if the corresponding license is available.

PFC recipe

Activate this radio button if you want to create a PFC recipe.

Note: Only possible if the corresponding license is available.

Name

Unique name for the recipe. The name must not contain a dot (.), a question mark (?), a @ or an asterisk (*).

Maximum length: 256 characters.

Note: When you copy a recipe the existing name is complemented with the prefix "Copy of". If the maximum length is exceeded by this, the name is shortened to the allowed length starting from the last character.

The uniqueness is checked in the entire network. Therefore it can happen that you cannot take over the name as another user on another computer in the zenon network already has used the same name and you do not see the recipe in the list of the master recipes yet.

The recipe names can be changed later but only as long as the recipe is in status Editable.

Description

Optional description for the recipe that is to be created.

You can change the description later, but only as long as the recipe is in editable status. To change the description, select the Rename master recipe symbol.

OK

Applies all settings and created a new recipe.

Cancel

Closes the dialog without creating a recipe.


Toolbar and context menu for master recipe list view

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Toolbar and context menu for master recipe list view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toolbar

Symbol | Description
New master recipe | Opens the dialog for creating a new master recipe.
Open master recipe in Editor | Opens the selected recipe in the recipe editor.
Create new version | Creates a new version of the selected master recipe. This must be approved or marked as obsolete.
Rename master recipe | Opens dialog to rename the selected recipe.
Duplicate master recipe | Creates a copy of the selected recipe and opens the dialog to rename the duplicate.
Delete master recipe | Deletes selected recipes.
Export selected XML | Exports the selected master recipe as an XML file.
Import XML | Imports the selected XML file as a master recipe(s).
Switch master recipe to test mode | Switches selected recipe to test mode after requesting confirmation.
Switch master recipe to edit mode | Switches selected recipe to edit mode after requesting confirmation.
Release master recipe | Approves selected recipe after requesting confirmation.
New control recipe | Opens the dialog for creating a new control recipe.
Include running control recipes in the display | Includes running control recipes in the display.
Include prepared control recipes in the display | Includes prepared control recipes in the display.
Include finished control recipes in the display | Includes finished control recipes in the display.
Include outdated control recipes in the display | Includes outdated control recipes in the display.
Display list of attendant control recipes in control recipe list | Shows all control recipes that belong to approved control recipes.
Column selection | Opens the dialog for selecting the columns which should be displayed.
Column Format | Opens the dialog for configuring the column formats.

Context Menu

Command | Description
New master recipe | Opens the dialog for creating a new master recipe.
Open in Recipe Editor | Opens the selected recipe in the recipe editor.
Rename... | Opens dialog to rename the selected recipe.
Duplicate... | Creates a copy of the selected recipe and opens the dialog to rename the duplicate.
Delete | Deletes selected recipes.
Export selected XML... | Exports the selected master recipe as an XML file.
Import XML... | Imports the selected XML file as a master recipe(s).
Switch to edit mode | Switches selected recipe to edit mode after requesting confirmation.
Switch to test mode | Switches selected recipe to test mode after requesting confirmation.
Release | Approves selected recipe after requesting confirmation.
Highlight as outdated | Marks the selected recipe as outdated.
New control recipe | Opens the dialog for creating a new control recipe.
Display associated control recipes in list | Shows all control recipes that belong to selected approved control recipes.


PFC recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If you selected PFC recipe in the master recipe configuration dialog and exited the dialog with OK, the newly-created recipe opens on a new tab in the PFC editor.

As each recipe needs a begin and an end element, these two elements already exist in the recipe and cannot be deleted from it.

Add the desired phases, transitions, branches, parallel branches and unit allocations to your recipe. Fields which are unsuitable for adding an element turn red when you move the element above it.

Noch in diesem Kapitel

PFC editor

Toolbar and context menu PFC recipe

Begin element

Allocate and configure unit

Add and configure phase

Insert operation

Lines

Transition

Branches

Jump target

End element


PFC editor

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> PFC editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the PFC editor you can create your recipes graphically.

Technical details

  • Sheet size:
    • Default: 11 x 11 cells
    • Minimum: 5 x 5 cells
    • Maximum: 500 x 1000 cells
  • Cell size
    • Default: 155 x 111 pixels
  • Outside edge: 100 pixel
  • Grid: is displayed by default; can also be hidden
  • Scroll bar: Is displayed if the document is larger than the frame.
  • Scrolling with a mouse wheel: up and down or, if you press and hold Shift, left and right.
  • Zooming: Ctrl + mouse wheel
  • Selecting elements: left mouse click
  • Multiple selection: Ctrl + mouse click
  • Move symbol: Click element and move it over the diagram while holding the left mouse button pressed. Content can be dropped to cells with green background. If a cell turns red when you move over it, you cannot drop the content.


Toolbar and context menu PFC recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Toolbar and context menu PFC recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toolbar PFC editor: Edit mode

Parameters

Description

New master recipe...

Opens the dialog for creating a new master recipe.

Save master recipe

Saves the master recipe which is open for editing.

Graphical design

Opens the dialog to configure background colors, grid, and display of element ID.

Delete

Deletes the selected elements from the diagram.

Multiple selection via Ctrl+mouse click.

Check recipe for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

Replace phase/operation

Opens dialog to select a phase or an operation and replaces the existing phase with the newly-selected one or the existing operation with a newly-selected one. Several phases or operations can be selected and replaced together.

Shortcut: Shift+double click

Edit mode

Toggles between insert mode and edit mode.

Insert phase

Adds a phase.

Insert transition

Adds a transition.

Insert begin simultaneous sequence

Adds a begin simultaneous sequence.

Insert end simultaneous sequence

Adds an end simultaneous sequence.

Insert Begin branch

Adds a begin branch.

Insert End branch

Adds an end branch.

Insert unit allocation

Adds a unit allocation.

Insert jump target

Adds a jump target.

Insert operation

Adds an operation.

Switch recipe to test mode

Switches recipe to the test mode. For this the recipe must be without errors.

Release recipe

Releases the recipe. With this a control recipe can be created.

Note: Insertions remain active until you change to the edit mode using the Edit mode symbol, the Esc key or you change to another insert option via a symbol for adding a new element.

Toolbar PFC Recipe Test mode

Parameters | Description
Start recipe | Starts the recipe process.
Recipe pausing | Pauses the recipe.
Recipe resuming | Resumes paused recipe.
Recipe holding | Holds recipe.
Restart recipe | Restarts held recipe.
Recipe stopping | Stops the recipe.
Recipe aborting | Aborts the recipe process.
Phase pausing | Pauses the phase.
Phase resuming | Resumes the process of a paused phase.
Phase holding | Holds phase.
Restart phase | Restarts held phase.
Escape phase | Starts process to exit from the phase.
Check recipe for errors | Starts recipe validation.
Edit element | Opens the corresponding dialog for editing the selected element.
Graphical design | Opens the dialog to configure background colors, grid, and display of element ID.
Switch to automatic mode | Switches process to automatic mode.
Switch to semi-automatic mode | Switches process to semi-automatic mode.
Switch to manual mode | Switches process to manual mode.
Continue recipe only on selected active elements | Continues a recipe at the selected position.
Continue recipe at all execution positions | Continues a recipe on every available position.
Skip active condition | Skips an active condition. Only possible in the manual mode.
Edit mode | Switches from test mode to edit mode.
Release recipe | Releases the recipe. With this a control recipe can be created.

PFC recipe toolbar: approved

Parameters

Description

Check recipe for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

The dialog is opened in write-protected mode, because it is no longer possible to edit approved recipes.

Graphical design

Opens the dialog to configure background colors, grid, and display of element ID.

Duplicate recipe

Only active if precisely one recipe was selected.
Creates a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

Create control recipe

Creates a control recipe on the basis of the approved master recipe.

info Informazioni su

The functions of the individual symbols can also be configured using buttons and thus be made touch-operable. Toolbars can therefore also be hidden.


Begin element

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Begin element

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

First element in the process. It is automatically created in the editor when a recipe is created and it cannot be deleted.


Allocate and configure unit

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Allocate and configure unit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To allocate a unit:

  1. in the toolbar select the symbol for Insert unit allocation
  2. move the mouse to the desired position
  3. place the unit
  4. the unit is added

To configure the unit allocation:

  1. double click the unit
  2. The dialog for configuration is opened

Configuration

In a configuration dialog you can select the units which exist in the batch recipe for the Runtime. It is distinguished between allocation and release. Releases can be set selectively and globally. Units which were selected before and no longer exist in the recipe, are displayed with an appropriate note.

If the dialog is opened in an approved recipe, then it is displayed as "read only". All entries can be viewed but not changed.

Parameters

Description

List units

Displays existing units and their assigned actions.

Action

Assigns an action to the unit selected in the list.

Allocation of the unit.

Allocates the unit.

Release of the unit.

Releases the unit:

  • Release of the last allocation: The last allocation is released.
  • Recipe-spanning release: All allocations in the recipe are released.

OK

Applies settings and closes the dialog.

Cancel

Discards changes and closes dialog.

Allocate and release units

The allocation of a unit by element unit allocation or by a phase is only possible if the unit is not yet allocated or only in the same recipe. Allocation and release of units is always done in a cycle. It is always waited until all units which should be allocated are released. Then all allocations and releases are down at the same time. Phases which are located in front of an element unit allocation remain active until the allocation was successful.

Unit allocations remain in place as long as the phase is active. When the recipe is finished and there are still allocations of elements Unit allocation active, they are released implicitly.

Note: A phase with the paused or held status does not attempt to allocate the unit. This also applies if the phase is switched to paused or held whilst waiting. An attempt to allocate the unit is only made after a restart. But: In manual mode you can force the allocation of a unit by another recipe. The recipe with the first allocation keeps the control and takes priority at the execution. If this recipe withdraws its main allocation, the recipe with the longest active forced allocation takes over the main allocation.

Actions

For each unit which is used in the recipe, you can define an action:

  • no action
  • allocate
  • release

Tooltip

In the tool tip of element Unit allocation all units are displayed which are marked for allocation or release. During the execution the Execution duration is stated and all units for which you must wait are color-coded. You must wait for units if they are allocated in another recipe.


Add and configure phase

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Add and configure phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To add a phase:

  1. in the toolbar select the symbol for Insert phase
  2. move the mouse to the desired position
  3. locate the phase
  4. the dialog for selecting a phase is opened
  5. select the desired phase

To configure a phase:

  1. double click the phase
  2. The dialog for configuration is opened
    (if an element has not yet been assigned a phase, double-clicking opens the dialog to select a phase)

Note: The shift key plus a double click always opens the dialog to select a phase.

Configuration

Parameters | Description
Phase active in this step | Active: Phase is active in this step
Name | Name of the phase. Display only.
Description | Comment about the phase. Display only.
Unit | Unit on which the phase is carried out. Only display.
Control strategy | Selection of a control strategy from a drop-down list. Only available if control strategies have been configured for this phase. Default: no Control strategy linked
Description of control strategy | Description of the selected control strategy. Display of the description entered in the Editor only.
General | Tab for configuration of general properties.
Parameters | Tab for configuration of parameters.
OK | Applies all changes on all tabs and closes the dialog.
Cancel | Discards all changes on all tabs and closes the dialog.

Configuration of the tabs see chapter:

  • General: Display and configuration of the settings for the phase
  • Parameter: Configuration of the tags

The entry of a reason can be requested in order to make changes. To do this, either the Motivazione richiesta in caso di cambio valori property must be activated in the Modifica parametro node for the module in general, or the Motivazione richiesta in caso di cambio valori property in the Generale group for individual functions.

Rules for editing a phase

A phase can be edited:

  • In a master recipe in edit mode: If the user has sufficient rights.
  • In a master recipe in test mode: If the user has sufficient rights and the phase is not active.
  • In a control recipe with prepared status: If the user has sufficient rights and the Changeable in the control recipe option has been activated.
  • In a control recipe with running status: If the user has sufficient rights, the Changeable in the control recipe option has been activated and the phase is not active.

The phase can no longer be edited in pre-configured control recipes and in approved master recipes.

Noch in diesem Kapitel

Selection phase

General

Parameters

Edit tag

Column selection

Column Format


Selection phase

Selection phase

If a phase is added, the dialog for selecting a phase is opened.

Parameters | Description
Project tree | Displays the current project from which the phases can be selected.
List field phases | In the list all phases engineered in the Editor are displayed. The list can be filtered. The filtering is case-sensitive. Placeholders * and ? can be used.
Cursor keys | Move selected phase up or down.
None | Deletes already selected phases from the element.
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

All settings of the dialog are saved user-specifically when the dialog is closed.


General

General

The properties of tab General are set in the Editor with the exception of Changeable in the control recipe. The values can changed in the master recipe. A symbol indicates whether the value in the dialog matches the value in the Editor. For different values you can again apply the value defined in the Editor.

Meaning of the symbols next to the values:

Parameters | Description
 | Value in the dialog and the value in the Editor match.
 | Value in the dialog and the value in the Editor do not match.
 | Only active if the values in the recipe and Editor do not match. Click on button to apply the value from the Editor. It overrides the value in the master recipe.

For information on configuration of the basic data on these tabs, see the Add and configure phases chapter.

Parameters

Description

Waiting period unit allocation

Tempo in giorni, ore, minuti e secondi durante il quale si attende l´allocazione aggregato. Il tempo di attesa può essere modificato nel Runtime finché la ricetta si trova nello stato editabile.

Quando il tempo definito è scaduto, viene inizializzato l´evento Superato tempo di attesa aggregato; l´elemento viene evidenziato nella visualizzazione. Ulteriori azioni devono essere definite dal progettista. Se non si verificano ulteriori azioni, l´attesa continua.

Massimo: 9999T 23:59:59
Default: 0T 00:00:00

Nota: Un aggregato può essere allocato sempre solo da un´unica ricetta con lo stato In esecuzione.

Value is predefined in the Editor and can be changed here as long as the recipe is not released.

Input lock

Definisce la condizione per l´interblocco iniziale. Cliccando sul pulsante ... oppure sull´inserimento, aprite l´Editor delle formule grazie al quale potete definire una condizione.
Se si configura un interblocco di ingresso, la fase verrà eseguita nel Runtime solo quando il presupposto dell´interblocco di ingresso viene soddisfatto. La formula può consistere di uno o più parametri di comando e parametri di ritorno della fase. Valore e stato delle variabili possono essere usati. La formula restituisce TRUE o FALSE come risultato. La condizione può essere visualizzata, ma non modificata nel Runtime.
Il tempo di attesa per l´interblocco di ingresso viene configurato con la proprietà Tempo di attesa per interblocco di ingresso.

Waiting period input interlocking

Intervallo in giorni, ore, minuti e secondi entro il quale la condizione definita nella proprietà Interblocco di ingresso deve restituire il valore TRUE. Il tempo di attesa inizia a decorrere dall´inizio della verifica dell` interblocco di ingresso. Se la condizione non viene soddisfatta entro la scadenza del tempo di attesa, viene inizializzato l´evento Superato tempo di attesa per interblocco di ingresso e si continua ad attendere. Se per l´evento non è stata definita una reazione che determina un altro comportamento del sistema, l´attesa continua finché la condizione non viene soddisfatta.

Se viene impostato 0T 00:00:00 come tempo d´attesa, l´evento non viene inizializzato.

  • Valore minimo: 0T 00:00:00
  • Valore massimo: 9999T 23:59:59
  • Default: 0T 00:00:00

Value is predefined in the Editor and can be changed here as long as the recipe is not released.

Phase done condition

Definisce la condizione per il cambio fase. Cliccando sul pulsante ... oppure sull´inserimento, aprite l´Editor delle formule grazie al quale potete definire una condizione.
La condizione può essere visualizzata, ma non modificata nel Runtime. L´intervallo di tempo durante il quale si attende il soddisfacimento della condizione, viene definito mediante la proprietà Massima durata di esecuzione.

Maximum execution duration

Intervallo in giorni, ore, minuti e secondi in cui la condizione definita nella proprietà Condizione di termine fase deve restituire il valore TRUE. Il tempo di attesa inizia a decorrere dalla scrittura del parametro di comando. Se la condizione non viene soddisfatta entro la scadenza del tempo di attesa, viene inizializzato l´evento Tempo massimo di esecuzione superato e l attesa continua. Se per l´evento non è stata definita una reazione che determina un altro comportamento del sistema, l´attesa continua finché la condizione non viene soddisfatta.

Nota: Il tempo continua a decorrere quando si mette in pausa la ricetta/fase.

Se viene impostato 0T 00:00:00 come tempo d´attesa, l´evento non viene inizializzato.

  • Valore minimo: 0T 00:00:00
  • Valore massimo: 9999T 23:59:59
  • Default: 0T 00:00:00

Value is predefined in the Editor and can be changed here as long as the recipe is not released.

Makes only sense if property Condizione di termine fase was configured.

Read more about execution duration in chapter Execution duration.

Minimum execution duration

Tempo minimo di esecuzione della fase.

  • >0: Intervallo di tempo minimo durante il quale il sistema attende dopo la scrittura del parametro di comando, indipendentemente dal fatto se la condizione di fase completata è soddisfatta o no.
  • 0: Periodo di esecuzione non viene verificato.

Tempo minimo di esecuzione può superare Massima durata di esecuzione. Value is predefined in the Editor and can be changed here as long as the recipe is not released.

Changeable in the control recipe if option Changeable in the control recipe was activated in the master recipe.

Read more about execution duration in chapter Execution duration.

Changeable in the control recipe

Active: Property can be changed in the control recipe.

Waiting period following condition

Intervallo di tempo in giorni, ore, minuti e secondi durante il quale la fase deve essere disattivata. Il tempo di attesa inizia a decorrere dal raggiungimento della condizione di fase completata. Se la condizione non viene soddisfatta entro la scadenza del tempo di attesa, viene inizializzato l´evento Superato tempo di attesa per condizione successiva e si continua ad attendere. Se per l´evento non è stata definita una reazione che determina un altro comportamento del sistema, l´attesa continua finché la condizione non viene soddisfatta.

Se viene impostato 0T 00:00:00 come tempo d´attesa, l´evento non viene inizializzato.

  • Valore minimo: 0T 00:00:00
  • Valore massimo: 9999T 23:59:59
  • Default: 0T 00:00:00

Nota: Se esistono condizioni successive dipende dalla struttura della ricetta. Per questo motivo, è consigliabile che la configurazione di un tempo di attesa avvenga non nell´Editor, ma nel Runtime. Value is predefined in the Editor and can be changed here as long as the recipe is not released.

For more information see chapters Times and Following conditions.

OK

Applies all changes on all tabs and closes the dialog.

Cancel

Discards all changes on all tabs and closes the dialog.


Parameters

Parameters

For information on configuration of the basic data on these tabs, see the Add and configure phases chapter.

Parameters | Description
List tag | Displays the tag configured in the Editor. Tags can be filtered and sorted according to columns. Click on symbol Edit tag, double click the tag, menu item in the context menu or press Return to open the dialog for editing a tag.
OK | Applies all changes on all tabs and closes the dialog.
Cancel | Discards all changes on all tabs and closes the dialog.

Toolbar

Symbol | Meaning
Edit tag | Opens the dialog for editing the tag.
Display all command tags | Toggles between the display of the changeable tags and all tags.
Display return tags | In addition to the command tags also displays the return tags or hides them.
Column selection | Opens the dialog for selecting the columns which should be displayed.
Column Format | Opens dialog to format the columns.


Edit tag

Edit tag

To edit a tag in the Runtime:

  1. in dialog Edit phase select tab Tag
  2. highlight the desired tag
  3. open the dialog for editing the tags via a click on symbol Edit tag, the context menu, a double click on the tag or press Return
  4. the dialog for editing is opened

For each data type an own dialog is opened:

  • Numerical
  • Binary
  • String
  • Time period

The properties are normally configured in the Editor and only displayed in the Runtime. Exceptions are values of the data type. They can be adapted if property Modificabile in ricetta master was activated in the Editor.

Numeric tags

Parameters

Meaning

Parameters

Name of the TAG. Display only.

Description

Free description of the tag. Display only.

Type

Type of the tag: Command or Return. Display only.

Data Type

Data type of the tag. Display only.

Changeable in the control recipe

Active: Value of the property can be changed in the control recipe.

Only available if:

  • the tag is of type command
  • it was configured in the Editor that the tag can be changed in the Batch recipe (property: ). Modificabile in ricetta master).

Minimum

Minimum value for the tag.

Default from the Editor can be changed when property Modificabile in ricetta master was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it. For control strategies, synchronization takes place with the values that were set in the control strategy when linking parameters.

Minimum variable

Allowed minimum value of the variable.

Value

Value of the tag.

Default from the Editor can be changed when property Modificabile in ricetta master was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it. For control strategies, synchronization takes place with the values that were set in the control strategy when linking parameters.

Unit

Unit of the value.

Maximum

Maximum value for the tag. Display only.

Default from the Editor can be changed when property Modificabile in ricetta master was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it. For control strategies, synchronization takes place with the values that were set in the control strategy when linking parameters.

Maximum variable

Allowed minimum value of the variable. Display only.

Variable

Variable which is linked to the tag. Display only.

Data type variable

Data type of the variable. Display only.

Drivers

Driver of the variable. Display only.

Driver name

Description of the driver of the variable. Display only.

Cursor keys

Navigating through the tags.

They are displayed in the order of the list. At this only tags are displayed which are visible with the current filter and grouping.

If changes were done, there is a prompt before you can change to another tag whether the changes should be applied or discarded. If changes should be applied, the input is checked before advancing.

Apply

Applies all changes if the check of the changes was successful. The dialog remains open for further editing.

OK

Applies all changes and closes the dialog if the check of the changes was successful.

Cancel

Discards all changes which have not been taken over yet and closes the dialog.

Binary tag

Parameters

Meaning

Parameters

Name of the TAG. Display only.

Description

Free description of the tag. Display only.

Type

Type of the tag: Command or Return. Display only.

Data Type

Data type of the tag. Display only.

Changeable in the control recipe

Active: Value of the property can be changed in the control recipe.

Only available if:

  • the tag is of type command
  • it was configured in the Editor that the tag can be changed in the Batch recipe (property: ). Modificabile in ricetta master).

Off

Status: Off.

Default from the Editor can be changed when property Modificabile in ricetta master was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it. For control strategies, synchronization takes place with the values that were set in the control strategy when linking parameters.

On

Status: On.

Toggle

Toggles between the states.

Variable

Variable which is linked to the tag. Display only.

Data type variable

Data type of the variable. Display only.

Drivers

Driver of the variable. Display only.

Driver name

Description of the driver of the variable. Display only.

Cursor keys

Navigating through the tags.

They are displayed in the order of the list. At this only tags are displayed which are visible with the current filter and grouping.

If changes were done, there is a prompt before you can change to another tag whether the changes should be applied or discarded. If changes should be applied, the input is checked before advancing.

Apply

Applies all changes if the check of the changes was successful. The dialog remains open for further editing.

OK

Applies all changes and closes the dialog if the check of the changes was successful.

Cancel

Discards all changes which have not been taken over yet and closes the dialog.

String tag

Parameters

Meaning

Parameters

Name of the TAG. Display only.

Description

Free description of the tag. Display only.

Type

Type of the tag: Command or Return. Display only.

Data Type

Data type of the tag. Display only.

Changeable in the control recipe

Active: Value of the property can be changed in the control recipe.

Only available if:

  • the tag is of type command
  • it was configured in the Editor that the tag can be changed in the Batch recipe (property: ). Modificabile in ricetta master).

String

Alphanumeric character string.

Default from the Editor can be changed when property Modificabile in ricetta master was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it. For control strategies, synchronization takes place with the values that were set in the control strategy when linking parameters.

Possible length is limited by the Lunghezza stringa engineered in the variable.

String length

Defines possible length of the string. Display only.

Variable

Variable which is linked to the tag. Display only.

Data type variable

Data type of the variable. Display only.

Drivers

Driver of the variable. Display only.

Driver name

Description of the driver of the variable. Display only.

Cursor keys

Navigating through the tags.

They are displayed in the order of the list. At this only tags are displayed which are visible with the current filter and grouping.

If changes were done, there is a prompt before you can change to another tag whether the changes should be applied or discarded. If changes should be applied, the input is checked before advancing.

Apply

Applies all changes if the check of the changes was successful. The dialog remains open for further editing.

OK

Applies all changes and closes the dialog if the check of the changes was successful.

Cancel

Discards all changes which have not been taken over yet and closes the dialog.

Time period

Parameters

Meaning

Parameters

Name of the TAG. Display only.

Description

Free description of the tag. Display only.

Type

Type of the tag: Command or Return. Display only.

Data Type

Data type of the tag. Display only.

Changeable in the control recipe

Active: Value of the property can be changed in the control recipe.

Only available if:

  • the tag is of type command
  • it was configured in the Editor that the tag can be changed in the Batch recipe (property: ). Modificabile in ricetta master).

Minimum

Minimum value for the tag in format:
d hh:mm:ss

Default from the Editor can be changed when property Modificabile in ricetta master was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it. For control strategies, synchronization takes place with the values that were set in the control strategy when linking parameters.

Minimum variable

Allowed minimum value of the variable.

Duration

Value of the parameter in the format:
T hh:mm:ss.

Default from the Editor can be changed when property Modificabile in ricetta master was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it. For control strategies, synchronization takes place with the values that were set in the control strategy when linking parameters.

Unit

Unit of the value.

Maximum

Maximum value for the tag in format:
d hh:mm:ss.

Default from the Editor can be changed when property Modificabile in ricetta master was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it. For control strategies, synchronization takes place with the values that were set in the control strategy when linking parameters.

Maximum variable

Allowed minimum value of the variable. Display only.

Variable

Variable which is linked to the tag. Display only.

Data type variable

Data type of the variable. Display only.

Drivers

Driver of the variable. Display only.

Driver name

Description of the driver of the variable. Display only.

Cursor keys

Navigating through the tags.

They are displayed in the order of the list. At this only tags are displayed which are visible with the current filter and grouping.

If changes were done, there is a prompt before you can change to another tag whether the changes should be applied or discarded. If changes should be applied, the input is checked before advancing.

Apply

Applies all changes if the check of the changes was successful. The dialog remains open for further editing.

OK

Applies all changes and closes the dialog if the check of the changes was successful.

Cancel

Discards all changes which have not been taken over yet and closes the dialog.


Column selection

Column selection

Pulsante | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate da quelle disponibili a quelle selezionate. Dopo aver confermato il dialogo cliccando su OK, verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutte -> | Sposta tutte le colonne disponibili nelle colonne selezionate.
<- Cancella | Elimina le colonne evidenziate dalle selezionate e le visualizza nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, esse vengono eliminate dalla visualizzazione dettagliata.
<- Cancella tutte | Cancella tutte le colonne dalla lista delle colonne selezionate.
In su | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
In giù | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Column Format

Column Format

Parameters

Description

Available columns

List of the available columns via Column selection. The column selected here is configured using the settings in the Parameters section.

Parameters

Settings for selected column.

Labeling

Name for column title. The column title is online language switchable. To do this, you must enter the @ character in front of the name.

Width

Width of the column in characters.

Alignment

Alignment.

Possible settings:

  • Left-justified: Text is justified on the left edge of the column.
  • Centered: Text is displayed centered in the column.
  • Right-justified: Text is justified on the right edge of the column.

OK

Applies settings and closes the dialog.

Cancel

Discards settings and closes the dialog.


Insert operation

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Insert operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To insert an operation:

  1. in the toolbar select the symbol for Insert operation
  2. move the mouse to the desired position
  3. place the operation
  4. the dialog for selecting a template for the operation is opened
  5. select the desired operation
  6. The operation is inserted


Lines

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Lines

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lines connect elements via free connection points. To connect connection points with each other:

  1. Activate a point with the help of the mouse:
    The connection point turns green. Red means that the connection point is already taken.

  2. Drag a line to another connection point:
    A yellow arrow shows the direction of the line.. Green fields can be crossed. Red fields may not be crossed by the line.

  3. As soon as the yellow tip of the line touches the next connection point, the line is created.

Using trend curves

Lines:

  • are dragged with the mouse
  • can be moved (press and hold key Ctrl)
    At this all existing connections are separated and it is tried to reconnect the line if there are objects with connections points in the right direction at the target.
    If several lines are highlighted, the line, in whose cell the mouse cursor is, is moved.
  • can be deleted by highlighting them an pressing Del
  • are deleted when re-dragging them from beginning to end
  • have a tool tip displaying its ID.

If a line reaches a connection point of an object, the connection point becomes active. If a connection is possible, it turns green otherwise red. Connections connecting two connections points of the same type - two inputs, two outputs, etc. - are not allowed. The line can be added in any case. Not allowed connections are displayed in red and trigger a corresponding error message at testing.

The connection points of the elements are always displayed in the edit mode even if the connection point in question is connected. In status "Release" no connection points are displayed.

Properties connection point:

  • connected: highlighted red; connection is separated when the line is dragged and a new connection point can be chosen
  • open: highlighted green; at dragging a new line is created


Transition

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Transition

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Transitions are used after phases in order to ensure a defined transition from one phase to another. Transitions display their internal status during the process and inform via a tool tip about status and process duration.

For details about transitions see section Engineering in the Editor in chapter Transitions.


Branches

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Branches

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Recipes can branch and run in simultaneous sequences.

Branches and simultaneous sequences consist of:

  • Single or double horizontal lines
  • Connection pieces (consisting of connection line and connection point)

Create a branch

To create a branch:

  1. select the symbol Insert begin branch
  2. put the branch on the desired location
  3. connect the input connection point with a output connection point of the preceding object
  4. connect both output connection points with the desired following objects
  5. close a branch with object Insert end branch

Insert parallel branches

To create a parallel branch:

  1. select the symbol Insert begin parallel branch
  2. put the branch on the desired location
  3. connect the input connection point with a output connection point of the preceding object
  4. connect both output connection points with the desired following objects
  5. close a parallel branch with object Insert end parallel branch

Modify and move

Branches and parallel branches can be moved and changed in size.

Move

To move an object:

  1. click on the object
  2. keep the mouse button pressed
  3. Move the object to the desired position

Change size

In this way object Begin/End branch/parallel branch can be extended and shortened. To change their size:

  1. move the mouse cursor over the object until it turns into a double arrow
  2. press and hold the left mouse button and move the mouse in the desired direction:
    • away from the object to extend it
    • into the object to shorten it
  3. at extending a new connection piece is added;
    • all fields which are concerned by the extension are marked green
    • to add several need connection pieces the process must be repeated
  4. at shortening all corresponding connection pieces are deleted

Noch in diesem Kapitel

Branches

Parallel branches

Split up and combine branches


Branches

Branches

A branch offers the possibility to execute one of several possible ways. For this it is necessary that the first element at the beginning of a branch is a transition. This means that Begin branch can only be followed by a transitions.

Procedure:

  • The path is chosen for which the transition is TRUE first.
  • Then it is waited until all transitions have a value.
  • If several transitions are TRUE at the same time, always the leftmost path for which the transition is TRUE is selected.

For begin and end the following is true: If there is a phase in front of the element and a transition behind, the phase remains active until the transition was completed.

In a branch the objects are processed sequentially. Each branch processes its objects independent of other branches.


Parallel branches

Parallel branches

At the parallel branch an execution path parts into several execution paths which are executed in parallel during the process. For the activation of the different elements within a parallel branch you cannot define a certain order.

In the process the respective intermediate area of the end parallel branch is also colored. The color matches the coloring of the phase.

Phase completed is displayed as active as soon as the first previous element has been completed. This means that a phase is Finished or a transition is passed. Transitions are marked as completed as soon as they are passed. Phases wait at Phase completed until the end parallel branch is completed. Completed means that either the following phase is active or the following transition is inactive.

During the execution the status is color-coded.


Split up and combine branches

Split up and combine branches

For parallel branches the branch splits up a Begin parallel branch and combines the single branches at End parallel branch. The paths of the parallel objects are independent branches. Only at End simultaneous sequence all branches are synchronized.

The possible branches are defined by the engineering. It is evident in Runtime if the separate branches are allocated or unlocked. A branch is active as long as an object on it is active.

The object types Begin branch, End branch and Jump target do not allocate and release branches as these objects are processed in the same branch. Combining branches is not allowed.

End parallel branch

An End parallel branch combines the branches of the connected paths. The object after End simultaneous sequence is activated when all paths reaches End simultaneous sequence with their process.

The left path is ready. Therefore End simultaneous sequence is already active. The transition after End simultaneous sequence is not yet active as the right branch is not yet completed.

When the right branch is also completed:

The transition after End simultaneous sequence is activated. All objects which were active before are still active. Instead of the transition there could also be another End simultaneous sequence.

A little more complex alternative:

The areas highlighted in green are a branch.

Cascaded End simultaneous sequence:

The areas highlighted in green are a branch.


Jump target

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Jump target

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Adds a jump target.

Jump targets make it possible to

  • jump between branches
  • To jump out of branches
  • engineer loops

Jump targets consist of tree inputs and one output. At this the output is always at the bottom and the inputs are located at the top and the sides. You can connect any input connection points. A path which ends in a jump target must have started with a Begin branch. Otherwise the end is not reached. Jump targets are not allowed for parallel branches.

During the editing all connection points are visible. In the checking mode only the connection points which are connected are displayed.


End element

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> End element

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Last element in the process. It is automatically created in the editor when a recipe is created and it cannot be deleted.


Matrix recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If you selected matrix recipe in dialog Configuration master recipe and exited the dialog with OK, the newly created recipe opens on a new tab in the matrix editor.

Noch in diesem Kapitel

Matrix editor

Toolbars matrix recipe

Name steps

Add and configure phase

Insert operation


Matrix editor

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe -> Matrix editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the matrix editor you can create your recipes and operations in a matrix.

Technical details

  • Matrix:
    • Columns contain phases and operations:
      Phases are inserted by clicking on the symbol above the diagonal
      Phases are inserted by clicking on the symbol below the diagonal
    • Lines contain steps with active/inactive phases.
  • Insert column/row
    Clicking on the plus sign inserts a new line or column with a phase or operation into the matrix.
  • Delete column/row Press the Del key to delete the highlighted row or column.
  • Move lines/columns: Lines and columns can be moved via drag & drop with the help of the mouse. Individual labels of steps remain; the step number is adapted automatically.
  • Border cells:
    • Double click on phase: opens the dialog for configuring the phase.
    • Double click on step: opens the dialog for labeling the step.
  • Selection of lines/columns:
    • left mouse click in border cell: selects a line/column.
    • Ctrl+mouse click in border cell: selects additional lines/columns.
  • Cells:
    • left mouse click: selects empty cell.
    • Shift + click: activates/deactivates phase.
    • Ctrl+click: selects several cells.
    • Double click on cell: opens the dialog for configuring the phase.
  • Scroll bar: Is displayed if the document is larger than the frame.
  • Scrolling with a mouse wheel: up and down or, if you press and hold Shift, left and right.


Toolbars matrix recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe -> Toolbars matrix recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toolbars matrix recipe: Edit mode

New master recipe...

Opens the dialog for creating a new master recipe.

Save master recipe

Saves the master recipe which is open for editing.

If another recipe is opened, the current recipe is saved automatically.

Graphical design

Opens the dialog to configure background colors, grid, and display of element ID.

Delete

Deletes the selected elements from the diagram.

Multiple selection via Ctrl+mouse click.

Check recipe for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

Activate selected elements

Activates selected elements.

Deactivate selected elements

Deactivates selected elements.

Move selected columns to the left or move selected steps up

Moves the selected column to the left by one position or moves selected step up by one position.

Move selected columns to the right or move selected steps down

Moves the selected column to the right by one position or moves selected step down by one position.

Switch recipe to test mode

Switches recipe to the test mode. For this the recipe must be without errors.

Release recipe

Releases the recipe. With this a control recipe can be created.

Toolbars matrix recipe: Test mode

Parameters | Description
Start recipe | Starts the recipe process.
Recipe pausing | Pauses the recipe.
Recipe resuming | Resumes paused recipe.
Recipe holding | Holds recipe.
Restart recipe | Restarts held recipe.
Recipe stopping | Stops the recipe.
Recipe aborting | Aborts the recipe process.
Phase pausing | Pauses the phase.
Phase resuming | Resumes the process of a paused phase.
Phase holding | Holds phase.
Restart phase | Restarts held phase.
Escape phase | Starts process to exit from the phase.
Check recipe for errors | Starts recipe validation.
Edit element | Opens the corresponding dialog for editing the selected element.
Graphical design | Opens the dialog to configure background colors, grid, and display of element ID.
Switch to automatic mode | Switches process to automatic mode.
Switch to semi-automatic mode | Switches process to semi-automatic mode.
Switch to manual mode | Switches process to manual mode.
Continue recipe only on selected active elements | Continues a recipe at the selected position.
Continue recipe at all execution positions | Continues a recipe on every available position.
Skip active condition | Skips an active condition. Only possible in the manual mode.
Edit mode | Switches from test mode to edit mode.
Release recipe | Releases the recipe. With this a control recipe can be created.

Matrix recipe toolbar: approved

Parameters

Description

Check recipe for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

Graphical design

Opens the dialog to configure background colors, grid, and display of element ID.

Duplicate recipe

Only active if precisely one recipe was selected.
Creates a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

Create control recipe

Creates a control recipe on the basis of the approved master recipe.

info Informazioni su

The functions of the individual symbols can also be configured using buttons and thus be made touch-operable. Toolbars can therefore also be hidden.


Name steps

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe -> Name steps

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Steps in the matrix editor can be named individually. Double click on the cell to open the dialog for entering an individual name.

The name can have up to 100 characters and is language switchable is preceded by a @.


Add and configure phase

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe -> Add and configure phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To add a phase:

  1. Click on the plus sign above the diagonal in the last column of the matrix
  2. the dialog for selecting a phase is opened
  3. select the desired phase

To configure a phase:

  1. double click the matrix filed with the desired phase
  2. The dialog for configuration is opened

Configuration

Parameters | Description
Phase active in this step | Active: Phase is active in this step
Name | Name of the phase. Display only.
Description | Comment about the phase. Display only.
Unit | Unit on which the phase is carried out. Only display.
Control strategy | Selection of a control strategy from a drop-down list. Only available if control strategies have been configured for this phase. Default: no Control strategy linked
Description of control strategy | Description of the selected control strategy. Display of the description entered in the Editor only.
General | Tab for configuration of general properties.
Parameters | Tab for configuration of parameters.
OK | Applies all changes on all tabs and closes the dialog.
Cancel | Discards all changes on all tabs and closes the dialog.

Configuration of the tabs see section PFC editor/chapter:

  • General: Display and configuration of the settings for the phase
  • Parameter: Configuration of the tags

Rules for editing a phase

A phase can be edited:

  • In a master recipe in edit mode: If the user has sufficient rights.
  • In a master recipe in test mode: If the user has sufficient rights and the phase is not active.
  • In a control recipe with prepared status: If the user has sufficient rights and the Changeable in the control recipe option has been activated.
  • In a control recipe with running status: If the user has sufficient rights, the Changeable in the control recipe option has been activated and the phase is not active.

The phase can no longer be edited in pre-configured control recipes and in approved master recipes.


Insert operation

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe -> Insert operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To insert an operation:

  1. Click on the plus sign below the diagonal in the last column of the matrix
  2. the dialog for selecting a template for operation is opened
  3. Select the desired template
  4. A new operation is inserted


Master recipe - test mode

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Master recipe - test mode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The test mode is used to test master recipes without releasing it and creating control recipes. In addition in the test mode changes in the Editor can be applied directly via reloading the Runtime.
Exception: During the execution of a recipe, the reloading of a recipe is delayed. Not until the recipe is finished, stopped or aborted, the reloading process is executed.

In test mode you cannot can the principle recipe process. You can only change values of the command tags. Changes are directly saved in the master recipe. It is not necessary to save explicitly.

Parameters

Description

Start recipe

Starts the recipe process.

Recipe pausing

Pauses the recipe.

Recipe resuming

Resumes paused recipe.

Recipe holding

Holds recipe.

Restart recipe

Restarts held recipe.

Recipe stopping

Stops the recipe.

Recipe aborting

Aborts the recipe process.

Phase pausing

Pauses the phase.

Phase resuming

Resumes the process of a paused phase.

Phase holding

Holds phase.

Restart phase

Restarts held phase.

Check recipe for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

Graphical design

Opens the dialog to configure background colors, grid, and display of element ID.

Switch to automatic mode

Switches process to automatic mode.

Switch to semi-automatic mode

Switches process to semi-automatic mode.

Switch to manual mode

Switches process to manual mode.

Continue recipe only on selected active elements

Continues a recipe at the selected position.

Continue recipe at all execution positions

Continues a recipe on every available position.

Skip active condition

Skips an active condition.

Only possible in the manual mode.

Switch recipe to edit mode

Switches from test mode to edit mode.

Release recipe

Releases the recipe. With this a control recipe can be created.


Release master recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Release master recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You can release a master recipe by selecting it and clicking button Release master recipe. Several recipes can also be selected and approved together. Approval must be confirmed by means of a dialog.

As soon as a recipe has been approved, the dialog to allocate the unit can no longer be opened. All information about the unit is displayed in the tooltip. Dialogs for transitions and phases can continue to be opened as write-protected.

info Informazioni su

Only master recipes without errors can be released. A released master recipe can no longer be edited.

For each recipe you can create a copy of the released master recipe by clicking on button Duplicate recipe. This copy can then be edited.

Recipes can only be approved if all operations contained therein have also been approved.


Highlight recipe as outdated

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Highlight recipe as outdated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Recipes that are no longer valid but have not been deleted should be marked as outdated. If a recipe is set to this status, it can no longer be edited or approved. No control recipe can be created on the basis of this recipe either. The recipe can however be duplicated and thus be used as the basis for new master recipes.

Only recipes that have the status approved can be marked as outdated. The following applies for attendant control recipes:

  • Control recipes that are currently being executed continue to be executed
  • Control recipes with the prepared status can no longer be executed


Versioning for master recipes

Manuale -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Versioning for master recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Master recipes can also be versioned. In doing so, a copy of an approved or obsolete report is created. This copy is in edit mode and contains a unique version number. The new recipe can be edited, but not renamed. Individual versions, including the source recipe itself, can be deleted.

Creating a version

To use versioning in Runtime:

  1. In the Editor, navigate to the Generale/Versionamento properties group in the Batch Control node.
  2. Activate the Attiva versionamento property.
  3. Versioning is switched on and used in Runtime.

To create a new version of a recipe in Runtime:

  1. Select the desired master recipe.
    Note: The recipe must be approved or obsolete.
  2. Select, in the context menu or on the toolbar, Create new version or click on the corresponding button in the screen.
  3. A new recipe is created.

Rules for versioning

The following applies to versioning:

  • A new version of a recipe contains the same name as the source recipe.
  • New versions of a recipe cannot be renamed. Not even if the version is in editing mode and it is the only remaining version.
  • The description can be changed for each version.
  • Each version contains a unique version number that is issued on a serial basis. Version numbers of deleted recipes remain blocked and are not reissued.
  • The version number of the new recipe and the version number of the source recipe are displayed in their own columns in the list of master recipes.
  • Version numbers are also displayed in the title bar of the recipe editor and in the tab of the recipe as well as in the list of the control recipes and in tooltips.

Only approve one version

It is possible to only allow one version of each master recipe to be approved. To do this, activate the Approva solo una versione property in the Editor. Only one version of each master recipe can be approved in Runtime. If a different version is approved, the one that was approved before must first be deleted or marked as obsolete.


Validate recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Validate recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Recipes can be checked for error during the engineering. To validate a recipe, click on the corresponding symbol in the toolbar of the recipe editor in Runtime (green tick - Check recipe for errors). With this the recipe is checked for functionality according to internal rules. The following is especially checked:

  • Syntax (all lines connected, processable from begin to end, etc.)
  • Variables
  • Datatypes
  • Control Strategy: Linking of control strategies and value of the linked control strategy parameter to limits of the variable

The result of the check is displayed as pop-up in plain text. Found errors are also saved in the log file which can be analyzed with the Diagnosis Viewer.

Rules which must be adhered to during the engineering can be found in chapter Engineering rules for recipes.

attention Attenzione

Operations that are not connected at the time of validation are ignored during validation. Their content and processes are not checked.


Operations

Manuale -> Batch Control -> Configure and control in the Runtime -> Operations

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Operations form a substructure that can be embedded in recipes. This can provide a better overview in complex recipes. Operations are created in a similar manner to matrix recipes or PFC recipes. The operations are created on the basis of templates and as an instance in existing matrix recipes or PFC recipes.

Creating an operation

To create a new operation:

  1. In the Recipe Editor switch the list of operations to visible (activate checkbox)
  2. Select, in the toolbar or context menu of the list, the New operation command
  3. The dialog for configuring an operation is opened

Parameters

Description

Matrix recipe

Activate this radio button if you would like to create an operation on the basis of a matrix recipe.

Note: Only possible if the corresponding license is available.

PFC recipe

Activate this radio button if you would like to create an operation on the basis of a PFC recipe.

Note: Only possible if the corresponding license is available.

Name

Unique name for the operation. The name must not contain a dot (.), a question mark (?), a @ or an asterisk (*).

Maximum length: 256 characters.

Note: When you copy an operation the existing name is complemented with the prefix "Copy of". If the maximum length is exceeded by this, the name is shortened to the allowed length starting from the last character.

The uniqueness is checked in the entire network. Therefore it can happen that you cannot take over the name as another user on another computer in the zenon network already has used the same name and you do not see the recipe in the list of the operations yet.

The recipe names can be changed later but only as long as the recipe has the status editable.

Description

Optional description for the operation which should be created.

The description can be changed later but only as long as the operation has the status editable. To change the description select the symbol Rename operation.

OK

Applies all settings and created a new operation.

Cancel

Closes the dialog without creating an operation.

Configuration in the Recipe Editor is similar to the creation and configuration of PFC recipes and Matrix recipes.

Changes to operations are only visible for the user in the operation instance if the operation instance has been saved.

Opening operations

Existing operations can be opened by:

  • Double-clicking on an operation in the list of the operations
  • The Open in Recipe Editor command in the context menu of an operation
  • Clicking on the Open symbol in the toolbar

Using operations

Operations can be inserted in recipes in the matrix editor or in the PFC editor and used as part of the recipe there.

You insert operations:

  • In the PFC editor using the Insert operation symbol
  • In the matrix recipe using the Add operation symbol

Phases and commands can be executed within operations. The position of the object in the recipe is also given in the CEL when a command is executed.

When inserting an operation into a recipe, the currently-saved version is always inserted. If the operation is open for editing, all unsaved changes are thus also not part of the inserted instance.

Saving operations

Operations are, as instances, always part of the master recipe in which they are integrated. If an operation is saved, the attendant master recipe is also saved automatically.

Tooltip

Operations have a tooltip. The following are displayed as soon as they have been executed once:

  • Execution status:
    Contains current status and original status (status from which the operation comes). The original status is evident from the visual coloring and does not always correspond to the actual last status.
  • Execution counter
  • Error:
    Shows the number of objects that currently have an error status and the number of objects that have had an error status. Each object is always only used for one error.
  • Exit from phase:
    Number of objects that are being exited from or have been exited from
  • Overall duration with time when it was deactivated and deactivated
  • Information about the status of the internal objects: Number of objects with the respective status (except idle)

Noch in diesem Kapitel

Toolbar and context menu operations

Selection of the template for an operation

Status operation

Symbol for execution


Toolbar and context menu operations

Manuale -> Batch Control -> Configure and control in the Runtime -> Operations -> Toolbar and context menu operations

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toolbar list

Parameters | Description
New operation | Creates a new operation.
Open operation in Editor | Opens the selected operation in the recipe editor.
Rename the operation | Opens the dialog to name a recipe.
Duplicate operation | Duplicates the selected operation.
Delete operation | Deletes the selected operation.
Export selected XML | Exports all the selected operation to an XML file.
Import XML | Imports the selected XML file as operation(s).
Release operation | Checks the selected operation and approves it if no errors were found.
Column selection | Opens the dialog to select a column.
Column Format | Opens the dialog to format a column.

Context Menu

Parameters | Description
New operation | Creates a new operation.
Rename | Opens the dialog to name a recipe.
Duplicate | Duplicates the selected operation.
Delete | Deletes the selected operation.
Export selected XML... | Exports all the selected operation to an XML file.
Import XML... | Imports the selected XML file as operation(s).
Open in Editor | Opens the selected operation in the recipe editor.
Release | Checks the selected operation and approves it if no errors were found.

Toolbar PFC editor: Edit mode

Parameters

Description

New operation...

Opens the dialog for creating a new operation.

Save operation

Saves the master recipe which is open for editing.

Graphical design

Opens the dialog to configure background colors, grid, and display of element ID.

Delete

Deletes the selected elements from the diagram.

Multiple selection via Ctrl+mouse click.

Check operation for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

Phase

Opens dialog for selecting a phase and replaces the existing phase by the newly selected phase. Several phases can be selected and replaced together

Shortcut: Shift+double click

Edit mode

Toggles between insert mode and edit mode.

Insert phase

Adds a phase.

Insert transition

Adds a transition.

Insert begin simultaneous sequence

Adds a begin simultaneous sequence.

Insert end simultaneous sequence

Adds an end simultaneous sequence.

Insert Begin branch

Adds a begin branch.

Insert End branch

Adds an end branch.

Insert unit allocation

Adds a unit allocation.

Insert jump target

Adds a jump target.

Release operation

Releases the recipe. With this a control recipe can be created.

Note: Insertions remain active until you change to the edit mode using the Edit mode symbol, the Esc key or you change to another insert option via a symbol for adding a new element.

PFC recipe toolbar: approved

Parameters

Description

Check operation for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

The dialog is opened in write-protected mode, because it is no longer possible to edit approved recipes.

Graphical design

Opens the dialog to configure background colors, grid, and display of element ID.

Duplicate operation

Only active if precisely one recipe was selected.
Creates a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.


Selection of the template for an operation

Manuale -> Batch Control -> Configure and control in the Runtime -> Operations -> Selection of the template for an operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Operations can be inserted into recipes as an instance. When inserting an operation into a matrix recipe or a PFC recipe, the dialog to select a template for an operation is opened. This contains all previously-configured operations:

Parameters

Description

List workspace

In the standard dialog to display the projects present in the workspace. No function in Batch Control, because operations can always be selected from the respective active project.

Hint: Drag this area down to the minimum size. It is then only displayed as minimized* in the future.

Operation list

Contains all operations that have been created. Any desired operations (matrix or PFC) can be selected for both editors (matrix and PFC).

Entries can:

  • be sorted by clicking on the column title; another click inverts the sorting
  • be filtered into filter rows by alphanumeric entries (wildcards can be used)

Cursor keys

Move the selection:

  • Up
  • Down

Status line

Display:

  • Number of entries
  • Number of filtered entries displayed
  • Number of selected entries

No selection

Cancels existing selection for existing operation and closes the dialog.

OK

Accepts selection, closes dialog and inserts operation.

Cancel

Discards selection and closes dialog without selecting or amending a template.

*workspace minimized:


Status operation

Manuale -> Batch Control -> Configure and control in the Runtime -> Operations -> Status operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The status shown for an operation always represents the status of the object with the highest priority in the operation.

The following applies to the colored identification:

  • Non-transient status: the whole operation is colored
  • Transient status: Original status and target status are displayed
  • Holding as original status: Running (green) is always displayed

Priority

Priority of the objects in an operation, starting with the highest priority:

  1. ABORTING
  2. ABORTED
  3. STOPPING
  4. STOPPED
  5. RESTARTING
  6. HOLDING
  7. HELD
  8. PAUSING
  9. PAUSED
  10. RUNNING
  11. COMPLETE
  12. IDLE


Symbol for execution

Manuale -> Batch Control -> Configure and control in the Runtime -> Operations -> Symbol for execution

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The symbols correspond to the symbols generally used the REE. Operations are symbolized in the REE by triangles in the left and right corner.

Symbol

Description

Tooltip

No symbol

Idle:

No object is active in the operation.

Idle

In execution:

A symbol is always displayed whilst an operation is running.

If objects are still running in the operation, the progress symbol is shown.

Execution of the internal objects.

Phase finished:

If objects are already active after the operation, the symbol for following condition is displayed.

Waiting for Following conditions.

If an object has a different status within the operation, then a symbol is also displayed on the right.

There is a different status if an object has an empty status within the operation that does not correspond to the status of the operation and is not idle or complete.


Control recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Control recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Control recipes control the progress of a recipe in the Runtime.

Noch in diesem Kapitel

Create control recipe

Toolbar and context menu for control recipe list view

Control recipe edit mode toolbar

Execute control recipe


Create control recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Control recipe -> Create control recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You can create control recipes only based on released master recipes. Select the released master recipe in the list of the master recipes, which should serve as basis for your control recipe and click on button New control recipe....

Parameters

Description

Matrix recipe

Active: A matrix control recipe is created.

Display only.

PFC recipe

Active: A PFC control recipe is created.

Display only.

Job ID

The job ID provided by the job variables.

Name

Unique name for the control recipe. The name must not contain a dot (.), a question mark (?), a @ or an asterisk (*).

The uniqueness is checked in the entire network. Therefore it can happen that a name is not accepted as another user already used the same name on another computer in the zenon network at the same time.

You can change the name afterwards as long as the recipe has status Prepared.

Description

Optional description of the recipe.

OK

Applies configuration and closes the dialog.

Cancel

Discards entries and closes the dialog.

If the control recipe was created using the symbol in the toolbar, then it is automatically opened in a new tab in the recipe editor provided this has been configured in the screen. If the control recipe has been created using the context menu, it is not opened in the recipe editor.

The newly created recipe is also displayed in the list of control recipes even if it does not match the set filter criteria.


Toolbar and context menu for control recipe list view

Manuale -> Batch Control -> Configure and control in the Runtime -> Control recipe -> Toolbar and context menu for control recipe list view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toolbar

Symbol | Description
Open control recipe in Editor | Opens the selected recipe in the recipe editor.
Rename control recipe | Opens dialog to rename the selected recipe.
Duplicate control recipe | Creates a copy of the selected recipe and opens the dialog to rename the duplicate.
Delete control recipe | Deletes selected recipes.
Export selected XML | Exports the selected control recipe as an XML file.
Import XML | Imports the selected XML file as operation(s).
Start control recipe | Starts selected control recipe.
Column selection | Opens the dialog for selecting the columns which should be displayed.
Column Format | Opens the dialog for configuring the column formats.

Context Menu

Command | Description
Open in Recipe Editor | Opens the selected recipe in the Editor.
Rename | Opens dialog to rename the selected recipe.
Duplicate | Creates a copy of the selected recipe and opens the dialog to rename the duplicate.
Delete | Deletes selected recipes.
Export selected XML... | Exports the selected control recipe as an XML file.
Import XML... | Imports the selected XML file as operation(s).
Starting | Starts selected control recipe.


Control recipe edit mode toolbar

Manuale -> Batch Control -> Configure and control in the Runtime -> Control recipe -> Control recipe edit mode toolbar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameters

Type

Description

Start recipe

Command

Starts the recipe process.

Recipe pausing

Command

Pauses the recipe.

Recipe resuming

Command

Resumes paused recipe.

Recipe holding

Command

Holds recipe.

Restart recipe

Command

Restarts held recipe.

Recipe stopping

Command

Stops the recipe.

Recipe aborting

Command

Aborts the recipe process.

Phase pausing

Command

Pauses the phase.

Phase resuming

Command

Resumes the process of a paused phase.

Phase holding

Command

Holds phase.

Restart phase

Command

Restarts held phase.

Escape phase

Command

Starts process to exit from the phase.

Check recipe for errors.

Action

Starts recipe validation.

Edit element

Action

Opens the corresponding dialog for editing the selected element.

Graphical design

Action

Opens the dialog to configure background colors, grid, and display of element ID.

Switch to automatic mode

Command

Switches process to automatic mode.

Switch to semi-automatic mode

Command

Switches process to semi-automatic mode.

Switch to manual mode

Command

Switches process to manual mode.

Continue recipe only on selected active elements

Command

Continues a recipe at the selected position.

Continue recipe at all execution positions

Command

Continues a recipe on every available position.

Skip active condition

Command

Skips an active condition.

Only possible in the manual mode.

Duplicate recipe

Action

Only active if precisely one recipe was selected.
Creates a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

The copy of the recipe automatically gets the status Prepared and can therefore be edited and started. The execution status of the duplicate is set to automatic.

When duplicating a recipe, a CEL entry is created.


Execute control recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Control recipe -> Execute control recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Control recipes can be started:

  • after selecting a control recipe in the list of the control recipes:
    • via click on button Start control recipe
    • via click on menu item Start in the context menu
  • via click on symbol Start control recipe in the toolbar if the control recipe is opened

PFC control recipe:

Matrix control recipe:

Change values

If in the master recipe property Changeable in the control recipe was activated, certain values can be adapted in the control recipe as long as the phase is not active yet. In this case a button for synchronization is displayed next to the value. A click on this button take over the defined value from the master recipe.

No more values can be changed in control recipes that have already been executed.

Meaning of the symbols next to the values:

Symbol | Description
 | Value in the control recipe and in the master recipe match.
 | Value in the control recipe and in the master recipe are different.
 | Click on button to apply the value from the master recipe. It overrides the value in the control recipe. Only active if the values in the control recipe and the master recipe do not match.

Tooltip

A tool tip informs you about the current and historical events of an element.

The following is displayed:

  • Element name
  • General information about status and number of executions.
    Note: The counter becomes active if the phase is reactivated, including if the status is restarting, but the restart condition has not yet been run through.
  • Error
  • Total duration including times in status Paused.
  • Timing


Synchronization

Manuale -> Batch Control -> Configure and control in the Runtime -> Synchronization

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Checking for changes in the Editor

When loading, opening, duplicating or approving a recipe, a check is made to see if the configuration of the unit, phase, etc. was changed in the Editor. If a change is detected, it is taken over in the object to which the function concerned is assigned. Settings that were overwritten in Runtime are retained. When the recipe was changed, it is shown via an asterisk (*).

At reloading the recipe is also checked.

info Informazioni su

Only recipes in edit mode or test mode are updated. Recipes in test mode that are currently running are only updated after execution has ended.

If a changed recipe should be release which was not yet saved, a prompt is displayed with the following possibilities:

  • to approve the current recipe
  • to approve the saved recipe
  • cancel the release process

attention Attenzione

Changes to phases in the Editor are taken over without warning message when the recipe is releases in the Runtime. For all data which are not overwritten in the Runtime, the Editor is the leading system.

Synchronization of phases

Editing of phases and their parameters is possible at four consecutive levels:

  • in the zenon Editor
  • In the template of the operation
  • in the master recipe
  • in the control recipe

When instancing, the data form the level above is always used. Synchronization and comparison in the editing dialogs also always relates to the previous level.

Origin of data for comparison or synchronization:

Position of phase | Phase that provides comparison data
in the zenon Editor | No data to compare.
in the master recipe | Phase configured in the zenon Editor.
in the control recipe | The phase from the master recipe.
In the template of the operation | Phase configured in the zenon Editor.
In the instance of the operation in the master recipe | The phase from the template of the operation.
In the instance of the operation in the control recipe | The phase from the instance of the operation in the master recipe.

You can find information on the origin of the comparison data in the tooltips of the control elements for synchronization.

Recipes and operations

The following is always the case when synchronizing operations:

  • Master recipes are always synchronized with the editor data
  • Then the instances of operations are synchronized with the data from their templates

Synchronization is carried out if:

  • A recipe is opened,
  • loaded,
  • An operation template is saved and a recipe is opened that has an instance of this template

Values in phases and parameters correspond to the values in the templates as standard and can be overwritten locally.

Changes to control strategies and control strategy activation

The following applies for control strategies during synchronization:

  • When synchronizing recipes, phases with active control strategies are updated with the amended information (name change, new tags added, etc.).
  • If control strategies were activated for a phase in the Editor, the phase in Runtime is set to the status where no control strategy is active. It contains only return parameters.
  • If control strategies are deactivated for a phase in the Editor, the phase contains the complete current configuration of the phase after synchronization. With this switch, all changes that have been made to the phase in the recipe are discarded.


Manage recipes

Manuale -> Batch Control -> Configure and control in the Runtime -> Manage recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The entire recipe management is done in the Runtime with the help of one or several screens of type Batch Control. Due to suitable filter settings you can achieve already filtered views for master recipes or control recipes.

In the screen different control elements (buttons, lists, editors) are available for different tasks. The screen is separated in three main areas which can be used and engineered in part completely independent of each other:

  • Area master recipes: Consists of a list and buttons for managing. The area can be used completely independently.
  • Area control recipe: Consists of a list and buttons for managing. The area can be used only together with the list of the master recipes as a master recipe must be selected first before the appertaining control recipes are displayed in the list.
  • Recipe editors: Depending on the set recipe type the PFC editor or the matrix editor is used. The recipe editor needs either List master recipe or both lists for a recipe to be opened in it.

Noch in diesem Kapitel

Manage master recipes

Manage control recipes

Import recipes

Saving on the hard disk and backup scenarios


Manage master recipes

Manuale -> Batch Control -> Configure and control in the Runtime -> Manage recipes -> Manage master recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

List and list formating

List/action

Description

Master recipes list

In this list all master recipes can be displayed. The display can be limited by filters to an individual selection.

The filtering can be preset in the zenon Editor in the screen switch function. Online filtering is also possible. These filters are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

All commands are also possible in the context menu of the list. The commands for list management can be called from the header of the list. The commands for recipe management can be called at editing one or more recipes.

The recipes in the list cannot be edited directly in the list. Renaming, changing the description or changing the recipe status is only possible with the corresponding commands.

Hint for ideal configuration of the list:

The list can be designed diversely concerning content and look:

  • Content: The displayed columns can be selected, the column format (column width, alignment, label) can be changed and you can define filters. These settings can be edited in Editor and Runtime.
  • Look: At the settings of the list in the Editor you can find diverse setting possibilities in areas Visualizzazione, Barra di scorrimento and Riempimento. With these properties you can even design the list ready for touch operation.

Actions for list management

Action | Description
Column selection master recipe... | Opens a dialog in order to determine which columns should be displayed. Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.
Format columns master recipe... | Opens a dialog to edit the column settings. Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

Actions for recipe management

Action

Description

New master recipe...

Creates a new and completely empty master recipe in status Editable. The dialog for entering a unique name and a free description is displayed. The uniqueness of a name is also checked in the zenon network.
Depending on the licensing, there may also be the possibility to select the recipe type: Matrix recipe or PFC recipe. If only one of these recipe types is licensed, the licensed recipe type is fixedly set. The selected recipe type cannot be changed afterwards.

When creating a master recipe, a CEL entry is created.

Create new version

Master recipes can also be versioned. In doing so, a copy of an approved or obsolete report is created. This copy is in edit mode and contains a unique version number. The new recipe can be edited, but not renamed. Individual versions, including the source recipe itself, can be deleted.

Duplicate master recipe

Only active if precisely one recipe was selected.
Creates a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.
The copy of the recipe automatically receives status Editable and can be edited further.

When duplicating a recipe, a CEL entry is created.

Delete master recipe

Deletes the selected recipes irrevocably. If the recipe is opened on another computer for editing, it is automatically closed there.
Deleting is only possible if there are no control recipes which are based on the master recipe. First you must delete all control recipes.
Recipes which are currently executed in test mode (master recipe status: Test in execution) cannot be deleted. First they must be finished, stopped or canceled.

If recipes must not be deleted - e.g. in an FDA-regulated environment - it is recommended that this button is not configured or that it is given an appropriate Livello di autorizzazione:.
A CEL entry is created when a recipe is deleted.

Export selected XML

Exports the selected master recipe as an XML file.

Import XML

Imports the selected XML file as a master recipe.

Rename master recipe

Only active if exactly one master recipe was selected.
The dialog for the input of a unique name and the description is opened.
Recipes can only be renamed if they are in status Editable.
Also use this function in order to change the description of the control recipe.

When renaming a recipe, a CEL entry is created.

Open master recipe

Opens the selected master recipe in the recipe editor if screen element Recipe editor exists in the screen. Each selected master recipe is opened in a separate tab of the recipe editor.

Release master recipe

Changes the master recipe status of the selected recipes to Released. Only recipes without errors can be released. If error occur during the validation, you must first fix them.
Only recipes in status Test mode and Editable can be released.

Released recipes can no longer be edited. Control recipes can only be created from released recipes.
For details about the states see chapter Recipe types and recipe states.

When releasing a recipe, a CEL entry is created.

Test master recipe

Changes the master recipe status of the selected recipe to Test mode. Only faultless recipes can be switched to test mode. If error occur during the validation, you must first fix them.

Recipes in the test mode can be executed but no longer reengineered. For details about the states see chapter Recipe types and recipe states.

Edit master recipe

Changes the master recipe status of the selected recipes to Editable. In this status, recipes can again be edited completely.
Only recipes in Test mode can be set back to Editable.

Highlight master recipe as outdated

Changes the status of the recipe to outdated. The recipe can no longer be edited or approved. No control recipe can be created on the basis of this recipe.

New control recipe...

Opens the dialog for entering a unique name and a description for the control recipe. The uniqueness of the name is also checked in the zenon network. The name must only be unique within the master recipes. Control recipes which are based on other master recipes may have the same name. The uniqueness within module Batch Control is achieved by always referencing the master recipe name and the control recipe name.

When creating a control recipe, a CEL entry is created.

Actions for filling the control recipe list

As each control recipe can be executed only once, we assume that there are very many control recipes. As during the loading of the list of the control recipes each control recipe is opened on the hard disk, it makes sense to not display all control recipes. Therefore control recipes cannot be opened automatically. They must be called up manually and via filters:

  1. Provide the fitting filter options.
  2. Select the desired master recipes.
  3. Click on button Display associated control recipes in list.
  4. All control elements complying with the filters and the selection are displayed in the list of the control recipes.
Action/filter | Description
currently executed control recipes | Opens only control recipes that are currently being executed. Control recipe status: Running
prepared control recipes | Opens only control recipes which are prepared for execution. Control recipe status: Prepared
finished control recipes | Opens only control recipes which have already been executed. Control recipe status: Executed
Display associated control recipes in list | Displays all control recipes that are based on the selected master recipe and that comply with the set filter criteria.


Manage control recipes

Manuale -> Batch Control -> Configure and control in the Runtime -> Manage recipes -> Manage control recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

List and list formating

List/action

Description

Control recipe list

In this list all control recipes can be displayed. The display can be limited by filters to an individual selection.

Per default the list is empty. To fill the list, you must:

  • select master recipes
  • Set the currently-executed control recipes,
    prepared control recipes and
    completed control recipes
    filters
  • click button display associated control recipes in list

In addition to the filters mentioned above, you can filter the list itself. The filtering can be preset in the zenon Editor in the screen switch function. Online filtering is also possible. These filters are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

All commands are also possible in the context menu of the list. The commands for list management can be called from the header of the list. The commands for recipe management can be called at editing one or more recipes.
The recipes in the list cannot be edited directly in the list. Renaming, changing the description or starting the recipes is only possible with the corresponding commands.

Hint for ideal configuration of the list

The list can be designed diversely concerning content and look:

  • Content: The displayed columns can be selected, the column format (column width, alignment, label) can be changed and you can define filters. These settings can be edited in Editor and Runtime.
  • Look: At the settings of the list in the Editor you can find diverse setting possibilities in areas Visualizzazione, Barra di scorrimento and Riempimento. With these properties you can even design the list ready for touch operation.

Actions for list management

Action | Description
Column selection master recipe... | Opens a dialog in order to determine which columns should be displayed. Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.
Format columns master recipe... | Opens a dialog to edit the column settings. Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

Actions for recipe management

Action

Description

Duplicate control recipe

Only active if precisely one recipe was selected.
Creates a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

The copy of the recipe automatically gets the status Prepared and can therefore be edited and started. The execution status of the duplicate is set to automatic.

When duplicating a recipe, a CEL entry is created.

Delete control recipe

Deletes the selected recipes irrevocably. If the recipe is opened on another computer for editing, it is automatically closed there.
Deleting is only possible if all selected recipes are not executed (control recipe status: In execution). In execution: First they must be finished, stopped or canceled.

If recipes must not be deleted - e.g. in an FDA-regulated environment - it is recommended that this button is not configured or that it is given an appropriate Livello di autorizzazione:.
A CEL entry is created when a recipe is deleted.

Rename control recipe

Only active if exactly one control recipe was selected.
The dialog for the input of a unique name and the description is opened.
Recipes can only be renamed if they are in status Prepared.
Also use this function in order to change the description of the control recipe.

Open control recipe

Opens the selected control recipe in the recipe editor if screen element Recipe editor exists in the screen. Each selected control recipe is opened in a separate tab of the recipe editor.

Start control recipe

Starts the selected control recipe in the set execution mode. The recipes are executed invisibly at the Server. It is not necessary that the recipe is opened in the recipe editor.


Import recipes

Manuale -> Batch Control -> Configure and control in the Runtime -> Manage recipes -> Import recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When importing a recipe from an XML file, the following dialog is displayed in the event of naming conflicts:

Select how you want to proceed in the dialog:

Parameters | Description
Master recipe name/control recipe/operation | Name of the recipe that is already in use.
Create a new recipe | Creates a new recipe with the name and increments the number at the end of the name.
Overwrite the existing recipe | Overwrites the existing recipe with the name.
Create a new recipe version | Creates a new version of the recipe with the name. Note: Only active if Versioning active has been selected in the Editor
Apply this action to all conflicts | The selected option is applied to all pending conflicts. The number of conflicts is shown in brackets.
Number of recipes to be imported from the XML file | Number of recipes that are to be imported in the selected XML file.
Skip | Skips the importation of the currently-displayed recipe.
OK | Accepts the selection and shows the options for the next naming conflict or closes the dialog.
Cancel | Cancels the action and closes the dialog.

If there is a naming conflict there may, under certain circumstances, regardless of the status of the recipe that already exists, not be all important options available:

Recipe type

Status of the existing recipe.

Possible options

Master recipe

Edit mode
  • Create a new recipe
  • Overwrite the existing recipe
  • Create a new recipe version

Released
  • Create a new recipe
  • Create a new recipe version

Outdated
  • Create a new recipe
  • Create a new recipe version

Control recipe

Prepared
  • Create a new recipe
  • Overwrite the existing recipe

Running
  • Create a new recipe

Executed
  • Create a new recipe

Operation

Edit mode
  • Create a new recipe
  • Overwrite the existing recipe

Released
  • Create a new recipe

Note: Control recipes cannot be imported to existing master recipes if the version number of the master recipe is different. The attendant master recipe from the control recipe to be imported must have the same version number as the existing master recipe.


Saving on the hard disk and backup scenarios

Manuale -> Batch Control -> Configure and control in the Runtime -> Manage recipes -> Saving on the hard disk and backup scenarios

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Master recipes

Each master recipe has a unique ID under which it is saved on the hard disk with file extension .MR; e.g. 9.MR
Each recipe conforms to one file. The ID of the recipe can be read from the list of the master recipes. For this column Master recipe ID must be visible.
The folder for the master recipes is a sub folder of Cartella Runtime: \RT\FILES\zenon\system\BatchRecipes

For the recipe management file Recipe.unique is responsible which is located in the same folder. It makes sure that the recipe names are unique.

Note: If you delete a recipe manually via the file explorer and therefore outside of the Runtime and the module Batch Control, you must delete file Recipe.unique for its content to be correct again. For example if you delete a control recipe manually, you cannot delete the respective master recipe in module Batch Control as the control recipe still exists according to module Batch Control. Only after a reinitialization of file Recipe.unique can the master recipe also be deleted.

Backing up master recipes

The .MR files - and with this all master recipes - can be backed up at any time. For example you can use function File operations.

Restoring master recipes

The restoring should only be done if absolutely necessary as more current data is overwritten. Proceed as follows:

  1. Exit the Runtime.
  2. Save all existing master recipes.
  3. Rename file Recipe.unique or delete it. It automatically re-created at the Runtime start from the .MR files.
  4. Restore the .MR files from an earlier backup.
  5. Restart the Runtime.

Control recipe

Each control recipe has a unique ID under which it is saved on the hard disk with file extension .CR; e.g. 9.CR
Each recipe conforms to one file. The ID of the recipe can be read from the list of the control recipes. The Control recipe ID column must be visible to do this. Control recipes are always based on a master recipe and are therefore always assigned to it. The ID number circles are therefore only unique with regard to the underlying master recipe.
Example: The master recipe with ID 9 has the control recipes with IDs 1 and 2. The master recipe with ID 10 also has the control recipes with IDs 1 and 2.

Therefore each master recipe has a sub folder in which the control recipes are saved. The name of the folder is always: <Master recipe ID>.crd. In our example there is the folder 9.crd with files 1.CR and 2.CR and the folder 10.crd with files 1.CR and 2.CR.

The folder for the command recipes are sub folder of Cartella Runtime: \RT\FILES\zenon\system\BatchRecipes\. In this folder the individual control recipe folders have been created. In each control recipe folder there is the file Recipe.unique. It makes sure that the recipe names are unique.

Backing up and restoring control recipes

Proceed in the same was as for the master recipes only that you now need to backup all .CR files and the appertaining folder structure. At restoring you must delete all Recipe.unique files. They are also restored automatically.


Recipe Execution Engine (REE)

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The REE (Recipe Execution Engine) executes recipes in the Runtime. You can start any number of recipes.

Noch in diesem Kapitel

Symbols and Color

Create recipe image

Behavior of elements in Runtime

Mode and mode change

The execution status

Step-by-step execution of a recipe and jumps in the recipe

Process of a phase in detail

Escape phase

Restart phase

Secure writing of the command parameters

Exit and restart Runtime


Symbols and Color

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Symbols and Color

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The states during the process of a phase are displayed with the help of different symbols. Some symbols are also used for transitions and end parallel branch.

Symbols for the inner status:

Symbol | Meaning
 | Phase starts.
 | Waiting for communication with the controller
 | Waiting for unit allocation. The unit of the phase is already being used in another recipe.
 | Waiting for unit allocation expired.
 | Waiting for exclusive execution. Another instance of the phase is active in the same recipe.
 | Writing of the initial tags.
 | Writing of the initial tags failed.
 | Checking the input interlocking.
 | Waiting for input lock expired.
 | Writing the value tags.
 | Writing the value tags has expired.
 | Waiting for minimum execution period.
 | Phase: Waiting for phase done condition. Transition: Waiting for transition condition. End parallel branch: Wait until execution is finished in all branches.
 | Maximum waiting period expired.
 | Waiting for following condition.
 | Waiting time for following condition expired.
 | After the Restart command when waiting for the restart condition.
 | After the Escape phase command when waiting for the escape condition.

Symbols for errors:

The symbols in the bottom left corner of the phase provide information on the error status of the phase. They can occur ion any desired combination with the symbols for the inner status.

Symbol | Meaning
 | There is a communication error.
 | Communication error rectified, wait for acknowledgment of the communication error.
 | Communication error rectified (and acknowledged if required)
 | PLC error.
 | PLC error rectified.

Symbols for "Escape phase":

The symbols in the bottom right corner of the phase provide information on the status when escaping from the phase.

Symbol | Meaning
 | Waiting for escape condition.
 | Escape condition met.

If an error occurs during a phase, the phase is marked as faulty until it is restarted.

Status

The execution status of phases, transitions and end simultaneous sequence is signaled in color:

Status

Color

Idle:

White

In execution:

green

Finished:

blue

Stopping:

Two colors:

  • yellow
  • Original color

Stopped:

yellow

Pausing:

Two colors:

  • orange
  • Original color

Paused:

orange

Holding:

Two colors:

  • gray
  • Original color

Held:

gray

Aborting:

Two colors:

  • red
  • Original color

Aborted:

red

Restarting:

Two colors:

  • green
  • Original color

Force:

(phases or transitions only)

Violet border

Timeout:

red border

Action on Stop command

After a stop command, the phases, transitions and end parallel branch immediately go to stopped status, even if other elements are still waiting for a condition for stopping. Further subsequent commands such as Cancel are ignored. The Stopped status remains displayed.


Create recipe image

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Create recipe image

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

During batch operation, all recipes that are currently being executed can be saved with all recipe data in a recipe image (Image) . Saving is possible as follows:

  • When Runtime is closed: a recipe image of the recipe that is running is created automatically.
  • Cyclical: in a freely-definable time period between 30 and 4294967295 seconds, an optional recipe image is written
  • When activating a phase: if a phase is activated, an optional recipe image is written

These methods can also be combined as desired. It can thus be ensured that Batch operation can also be continued correctly at any time in the event of errors.

Ending the recipe image in Runtime

If the Trigger end of Runtime event is triggered, the ending of Runtime is prevented until the Batch Control module has backed up all data. A process screen is created that represents the initial status for the restart. Likewise, it is ensured that the parameters of the Write set value action arrive at the control unit securely. Internally the phase is paused only when the writing confirmation from the driver ensued. This recipe image contains the images of the REEs, the order of the allocations and all reactions that are needed when restarting. Find out more information in the chapter Exit and restart Runtime.

Cyclic writing of a recipe image

A recipe image can also be written cyclically during Runtime. As soon as Attivazione scrittura ciclica is activated, a recipe image is created in the given cycle.

To activate cyclical writing:

  1. Go, in the properties of the Batch Control module, to the Immagine ricetta group.
  2. Activate the property Attivazione scrittura ciclica
  3. In the Frequenza d'interrogazione [s] property, create the time period for the writing of the recipe image; the minimum time period is 30 seconds
    Note: If the cycle time is changed and reloaded, then the next time to which an image is written is recalculated.

With cyclical writing, the last two image files are always retained. Older ones are deleted. Writing is a two-stage process:

  1. The recipe image is written to the TemporaryImg.REE file.
  2. If this was successful, the next version number is issued and the temporary file is renamed to the new version.

With cyclically-created images, all recipes that are currently running are saved in the recipe image. This ensures that the recipe is appropriate to the execution status on restarting. To do this, the recipe from the recipe image overwrites the recipe in Runtime when restarting. It is only possible to restart if the recipe in question still exists and is still in an execution status. The recipe is not restarted if the recipe has already ended after the recipe image has been created.

Recipe image when activating a phase

A recipe image can also be created when activating a phase. To create a recipe image each time a phase is activated:

  1. Go, in the properties of the Batch Control module, to the Immagine ricetta group.
  2. Activate the property Scrivi immagine di ricetta all'attivazione di una fase.

A recipe image is written in Runtime each time a phase is activated.

Saving and restoring

REE images are stored in the project folder with the following naming convention: Batch[Version-Hex].REE

With the file extension .REE, image files are read in when Runtime is started and the most recent version is identified. The most recent version is the recipe image to be loaded and remains as a file after restarting. All other files with the extension .REE are deleted.


Behavior of elements in Runtime

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Behavior of elements in Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The basic principle is: Phases and all elements that follow them (transition, end simultaneous sequence, start simultaneous sequence, allocation) remain active until the next phase becomes active. (Exception: a manual skip is carried out.)

Phases

All phases paused

In manual mode, it is possible to assign all phases the status paused.
For example: The branch continues to be gone through before the end simultaneous sequence after the end of this. The active element is thus after the end simultaneous sequence and before the next phase. All phases before the end simultaneous sequence have the status paused. These phases are now only set to hold and then to restart. The other phases remain paused. If the restarted phase is ended, there is only one active element. If this is activated with the next step, then no active element is present any more. The end simultaneous sequence element remains paused however and does not switch through.

Solution: Continuation of the paused phases.

Pause and Resume

The following applies to pausing and resuming:

  • Pausing and resuming with active element: A paused phase that is active for an active element is not continued.
  • Switching from manual mode to automatic: All phases that are active for an active element are resumed.
  • If a phase is paused in manual mode and the REE is switched to automatic, the phase remains paused. Global continuation would also not put this phase back to the status of continue, because the phase was paused in manual mode.
    • A Pause phase command, followed by a global pause and a global resumption, sets phases that were paused using the Pause phase command to the status resume.
    • Phases that were paused in manual mode can be set to the status of resume with the Resume phase command.
  • The recipe status changes to running after global pausing and resumption. However phases with active elements remain paused and the active element remains unchanged.
  • The recipe status remains as running after local pausing and resumption. The recipe is resumed at the active elements. This also applies if the active element has been moved.

Branches

The following applies in branchings:

  • As long as the left transition does not have a value, the right transition is ignored.
  • If the transition condition is met for both transitions, the left branch is selected.

Stopping elements

If an end simultaneous sequence is stopped, it becomes inactive immediately and does not react to any more REE commands such as cancel. Therefore is also does not change to the status aborted after a cancel command. The same applies to transitions. In contrast, phases may wait after stopping for further conditions to be met.

Transitions

  • A transition before an end parallel branch remains active, including the phase before the transition after it has been run through, if the transition is active after the end parallel branch but has not yet been run through.
  • In branches, impulses for a transition are ignored for as long as the transition to the left of the transition concerned does not have a valid value.
  • Transitions are deactivated with hold and restart. The active element is activated again in manual or semi-automatic mode.


Mode and mode change

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Mode and mode change

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The REE can run in three modes:

  • Automatic: The recipe runs entirely automatically.
  • Semi-automatic: The recipe is executed manually. Conditions cannot be jumped.
  • Manual: Each step in the recipe or operation is executed manually; conditions that are being waited for can be skipped.

To execute a recipe manually or semi-automatically, the operation types Step-by-step execution of the recipe and Jump can be used.

When switching to automatic mode, all execution positions are removed. Global commands are only executed in branches that have no execution positions.

info Informazioni su

To react on serious events, you can change the mode during the running process via reaction type influencing the recipe.


The execution status

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> The execution status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following states are possible:

Status

Description

Idle

The REE is in idle state.

Running

When starting a control recipe, it changes to the status running.

Executed

As soon as the execution is finished, the recipe changes to status Finished. In this status execution is not possible.

Pausing

The recipe changes to status Paused.

Paused

Within the phase the process stops at:

  • Waiting for Finished
  • Waiting for Allocation
  • Waiting for Interlocking condition
  • Waiting for Phase finished
  • Check for parallel execution

Holding

The object changes to Held and does not carry out any allocations anymore. When restarted, the object is restarted and changes to running.

Held

Within the phase the process stops at:

  • Waiting for Finished
  • Waiting for Allocation
  • Waiting for Interlocking condition
  • Waiting for Phase finished
  • Check for parallel execution

Restarting

Phase is restarting.

Restarted

Phase is completely restarted.

Stopping

Stops the process and changes to Stopped.

Stopped

The object was stopped.

Aborting

Aborts the process and changes to Aborted.

Aborted

Recipe process was aborted.

If a recipe cannot be restarted in the image at the restart, its status automatically changes to Aborted.

Prepared

Prepared for execution.

Active element and jump targets

Status

Description

Continue

If an object is paused and an active element is located after it, continue has the same effect as Next step. This also includes jumps.

At a phase command the command only effects a jump in the same branch.

Held

Removed

  • With phase: execution positions in the branches
  • With global: all execution positions

Break

Has now effects for jump targets. Already defined targets remain.

Others

Always causes the deletion of the jumps.

For a phase command only the jump in the area of the phase is deleted.


Step-by-step execution of a recipe and jumps in the recipe

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Step-by-step execution of a recipe and jumps in the recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Step-by-step execution of a recipe

A recipe can be executed step-by-step if:

  • The recipe is in either semi-automatic or manual mode
    and
  • The status of the recipe is running.

For the step-by-step execution the execution is held as soon as an element is finished with its execution. The holding is done via command Pause to the concerned execution path. As soon as all active elements in this path have reached the status of paused, the active element is marked by a red arrow. Operations are treated like all other objects of a recipe.

The execution is resumed with:

  • a selective step: selection of the corresponding arrow (green)
  • a global step: all positions with arrows for possible resuming are started

Communication error with step-by-step execution

If an communication error occurs with a phase whilst this is waiting for an active element, the active element is no longer displayed until the problem is rectified. However, if in the meantime, the execution is switched to automatic mode, then the phase is no longer paused and must be continued. This also applies if a switch to manual or semi-automatic mode is made again.

Commands

Global commands

For global commands all execution positions are deleted as the execution cannot be resumed from there.

Exceptions: Pause and Resume. The execution positions remain as they are.

Phase commands

  • Hold for a phase: The active element is deleted from the execution path of the phase.
  • Resume: If there is an active element, a selective next step is executed in this execution path.

Special cases:

Phase command hold and restart in a parallel branch for active End parallel branch

If you hold in this example (images from left to right) a parallel branch and restart it, then you will reach after a step-by-step execution the already paused end parallel branch. To resume the execution from here, the left phase must receive command Resume.

Only one path in a parallel branch with an active phase before step-by-step execution

If, in a parallel branch with a phase before, only one path is executed completely and waiting is taking place in one of the other parallel branchEs (phase before is running), no active element is displayed in the parallel branch. To get them in the other path, the phase must be paused with a phase command. After that it is possible to execute the path completely.

However, if the parallel branch with the active element continues to be executed, the phase before the parallel branch is deactivated. The left path thus remains paused and without an active element. As there is not active phase, the execution can only be resumed with a global Pause and Resume.

Jump

Jump means to move from one position to another, distant position during execution in order to continue the execution there.

To jump:

  1. Select an active element with the mouse cursor
  2. move it to one of the offered targets
  3. execute the next step

All active elements in front of the source pointer are deactivated and the object after the target is activated.

If a jump is registered for which source and target are analogously the same (jumps over lines, jump targets or end branch objects), this jump is ignored and a simple step is executed.

Jumping in simultaneous sequences

If, in parallel sequences, a jump is made in first parallel branch via the phase, then the first phase before the parallel branch is deactivated. Therefore no phase is active. Phases cannot be skipped if this means that no phase would be active in the recipe. The following behavior when skipping leads to an error:

  • Recipe with simultaneous sequence

  • A global step activates the phase before begin parallel sequence.

  • After the next step, the active element is before the phase in the simultaneous sequence.

  • The active element is moved behind this phase.

    Rule when jumping: Objects before a begin parallel sequence become inactive as soon as objects become active after this.
    Thus the first phase becomes inactive when jumping. The skipped phase in the parallel branch never became active, nor did the following phases.
    Thus no phase is still active in the recipe:


Process of a phase in detail

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Process of a phase in detail

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A phase is always processed sequentially after the same pattern. To break down the exact process, you also need a following condition. For this display we use a transition as following condition. We give the phase the name Phase 1. You can find additional special process behavior with following condition in chapter Following condition.

Phase | Transition | Event
Phase is activated |  | Phase activated
All variables of the phase are registered at the drivers. |  |
Unit allocation is started and waiting period unit allocation is started. |  | If the unit allocation was not successful in the first try: Unit allocation not possible
Optional: Unit allocation possible within the waiting period. |  | Waiting period unit allocation exceeded
Check is started whether phase isn't already executed. This can happen if the phase is already active in a parallel branch or if the unit allocation was skipped manually and the phase is already executed in another recipe. |  | Phase started multiple times
Start phase |  | Phase started
Check of the input interlocking is started and Waiting period input interlocking is started. |  | If the checking of the input interlocking was not successful in the first try: Input interlocking blocked
Optional: Condition of the input interlocking not TRUE within the waiting period. |  | Waiting period input interlocking exceeded
Writing the command tag |  | When all command tags were written: Finished writing command tags
Checking of the phase-done condition is started and time for Minimum execution duration and Maximum execution duration is started. |  |
Optional: Phase-don condition fulfilled but Minimum execution duration not reached. |  |
Optional: Condition of the Phase-done condition not TRUE within the Maximum execution duration. |  | Maximum execution period exceeded
Optional: Waiting for restart of the whole execution. If the execution is still restarting (for other phases in the recipe the restart condition is not yet fulfilled), it is waited here. This guarantees that the following element is activated after the recipe changes to running. |  |
Phase-done condition is TRUE and minimum execution duration is reached or exceeded. Waiting period following condition is started. | Transition is activated | Phase finished
 | All variables of the transition are registered at the drivers. | Waiting period following condition exceeded
Optional: Following condition not within waiting period TRUE | The transition condition is checked. |
The next phase is activated. The following condition can be composed from several objects (e.g. transition + unit allocation). No till the next phase is reached (or the end of the recipe), the following condition counts as fulfilled. |  |
Phase is informed that the following condition is fulfilled. | Transition condition is TRUE. | Phase deactivated
All events of the phase are deactivated. |  |
All variables of the phase are signed off from the drivers. | All variables of the transitions are signed off from the drivers. |
The phase is deactivated. | The transition is deactivated. |

Rule for values of transitions

If a transition has the value TRUE for the phase-done condition during the waiting period, it is marked as finished. If its value should later change to FALSE, the execution of the recipe is not influenced.

Global pausing and continuation if there is a communication error

If a phase is paused and there is a communication error, this cannot be simply continued. Phase commands are prevented, recipe commands are circumvented. If the recipe is paused, a Continue recipe recipe command can be sent. As a result of this, the recipe changes to the status running, but the execution path of the phase concerned remains unaffected.

Noch in diesem Kapitel

Following condition


Following condition

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Process of a phase in detail -> Following condition

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A phase is active as long as the following condition is fulfilled. Only once the following condition is fulfilled is the phase is deactivated. The phase completed event is triggered and the phase is deactivated. Before it is deactivated, the event reactions are executed. Se also Process of a phase in detail

The following condition can be very different. Here some examples:

  • Phase 1 followed by a phase 2:
    As soon as the phase done condition (and optional the Minimum execution duration) is fulfilled for phase 1, phase 1 is completed and phase 2 is activated.
  • Phase 1 followed by a transition:
    Only when the transition condition is fulfilled, phase 1 is completed.
  • Phase 1 and phase 2 parallel followed by an end simultaneous sequence:
    Only once the phase done condition (and optionally the minimum execution duration) is fulfilled for both phases are both phases completed.
  • Phase 1 and phase 2 parallel followed by an end parallel branch followed by a transition:
    Only when the transition condition is fulfilled, both phases are completed.


Escape phase

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Escape phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

It is possible to exit a phase during execution. Execution is then continued after the phase without having to run through the outstanding steps of the phase. It is only possible to exit a phase in manual mode. In the Editor, it is also possible to configure a condition in the Condizione stato transizione/Condizione di uscita property.

It is also possible to exit if the phase is in this status:

  • Running
  • Pausing
  • Paused
  • Holding
  • Held
  • Restarting

If the exit command has been reached, the current execution step is canceled and checking of the Condizione di uscita starts immediately. If the condition exiting is met, all necessary steps are instigated so that the object changes back to the status of running:

  • Restarting: The normal procedure is continued from the Wait until the recipe has the status "running". That means: All steps between instigating the exit and Wait until the recipe has the status "running" are not executed.
  • Running: The normal procedure continues to be executed after the phase or the phase waits for the pause condition to be met.

No more transient conditions are checked from the start of the check for the exit of a phase. Only after a switch to stopping or aborting is the checking of Condizione di uscita interrupted.

Behavior when exiting from the phase depending on the execution status:

  • Exit from the phase from holding or from held:
    A restart is only carried out internally when switching back to running. The execution data is retained with the object. This also applies if a restart is carried out during the checking Condizione di uscita.
  • Exit from the phase if the recipe status is not running or restarting:
    If there is a different recipe status, once the condition has been met, waiting continues until the recipe status changes to running or restarting. This also makes it possible to exit with a different recipe status.
    For example: The recipe has the status held. The exit action is carried out for a phase. Then the end of the exit is only reached if the user executes a global restart command. This also makes it possible to exit if the recipe has the status held, without using the normal mechanism for a restart.

info Informazioni su

If an error occurs with communication to the PLC, the check of the exit conditions is postponed until the error has been rectified.

Suppression of reactions when exiting

Most events for the status change and mode change are suppressed whilst a phase is exited. The checking of the Condizione di uscita has priority and the status change is also carried out without the condition being checked. Exceptions to this are stopping and aborting, as well as End Runtime triggered and Runtime restart, because these have a higher priority than Exit without phase. These events are triggered, as well as the event for Linked variable invalid.


Restart phase

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Restart phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Phases can be restarted. In doing so, all connected active objects are deactivated, including connected simultaneous sequences. A phase always carries out a series of event for activation activation, start and finished, regardless of the number of restarts. Events that have already been carried out are skipped on restarting. Transient conditions are only checked after the start event.

Deactivation

At the restart of a phase, all active objects are deactivated in principle, however only if they are linked. Isolated active objects are not deactivated.

Sequence of deactivation

The deactivation starts from the object which has been active the longest. After the restart this object is also going to be activated. If this object is deactivated, it also deactivates all branches to which it can establish a connection via an active object.

Isolated branch

A branch is isolated if it is not connected to another branch via an active object. The deactivation only takes place between connected branches. As long as an object does not have status Completed, there is not active connection to the following object.

Restart of selected phases

One or more phases can be selected and restarted. For the selection of several phases, they must be in separate branches.

The oldest object is restarted in the selected branch. With this all active objects in the connected branches are deactivated.

Global restart

The global restart carries out a restart for all phases. The restart is done for the oldest active object and with this all connected, active objects are deactivated. All remaining active objects are in an isolated branch. Here also the oldest object is restarted until all active objects were dealt with.


Secure writing of the command parameters

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Secure writing of the command parameters

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The command parameters (initial parameters and value parameters) are written to the PLC securely. The waiting time can be configured in the Editor.

Procedure

The following applies when writing command parameters:

  1. Waiting occurs until all parameters to be written as inverted have a value
    • If this is not possible within the configured waiting period, 3 attempts are made.
    • If there are still parameters with no value, no parameter is written, not even those with a value.
  2. Command parameters are written.
  3. The actual values are compared to the written values.
    • After a positive write confirmation, waiting occurs until the variables to which they were written can be read again. All written values must be active at the same time. If the waiting period has expired, writing starts again. There is a maximum of 3 repetitions.
  4. If all attempts have been unsuccessful, the Command parameter without value event is triggered.
  5. If secure writing is unsuccessful, a communication failure event is triggered. That means:
    • The error must be acknowledged.
    • The phase must be put back to the status "running".
    • Writing is restarted once continued.
    • The execution of the function is restarted in the event of a restart.
  6. The procedure can be paused, held etc. using commands whilst secure writing is being carried out. If the phase has the status paused and it is then continued, the writing is also restarted. In doing so, the values to be inverted are recalculated for a command parameter to be toggled.
  7. Writing of the command parameters can also be skipped.
  8. If Runtime is ended whilst writing the command parameters, these are rewritten when Runtime is started. Parameters to be toggled are recalculated.

Duration, start time and end time of the writing are displayed in the tooltip of the phase.

Configuring the waiting period

To configure the waiting period for secure writing:

  1. Navigate to the Generale/Scrittura sicura group in the properties of the Batch Control module.
  2. Enter the desired waiting period in the Timeout per la scrittura sicura property

info Informazioni su

The waiting period includes all waiting processes in the whole write process:

  • Waiting for values for all parameters to be written
  • Waiting for confirmation of the written parameters
  • Waiting for reading of the variables

If the standard value of 20 seconds is used, all wait processes within 20 seconds must be concluded positively. If the waiting period has expired without a positive result, writing is started over.


Exit and restart Runtime

Manuale -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Exit and restart Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Actions on restarting

Actions can be predefined for restarting Runtime after closing. These can be defined for:

  • Restart dopo termine regolare del RT
  • Riavvio dopo errore di sistema

One of the following actions can be selected for each of the two properties:

  • Hold recipe: The complete recipe is held after restarting.
  • Recipe pausing: The complete recipe is paused after restarting.
  • Retain recipe status: After restarting, the recipe is set to the same status as before closing.

Status change

After restarting, an attempt is made to execute the configured status change. To do this, the corresponding command must also be executable. The status Restarting for recipes and phases is handled in the same way as in execution. That means:

  • Paused is set for: In execution, pausing and restarting.
  • Held is set for: In execution, pausing, paused, holding and restarting.

Transient conditions are not checked and events are not set. Therefore the status in the recipe can be brought in line with the status of the equipment, without sending events to the equipment for the status change.

Information in recipes and unit

When restarting after Runtime has been restarted, the respective status is stored with the information in the recipes. For example: Paused after normal shutdown or Held after incorrect shutdown.

The execution status is also displayed in the unit information. The execution status (numerical and text) in the unit information contains a number and text that corresponds to that of the variables in the screen. Including information on whether triggered by a restart, information on objects with a different status and objects that delay a status change.
Caution: The content of these variables is not compatible between zenon 7.10 and 7.11.

Image file

At closing the Runtime an image file of the running recipe is created. It contains the images of the REEs, the order of the allocation and all reactions which are needed for the restart.

Allocations

After the restart the allocations match the state before the finishing. It is saved who allocated a unit and who forced an allocation in which order. If a recipe cannot be restarted (e.g. because of failed validation), the allocations for this recipe are removed.

Reactions

Reactions which were triggered by the process are also incorporated in the image if they are active. They are then executed after the REE is restarted. This guarantees that the reaction is always executed as a whole either before the image file is created or after the restart.

The Exit Runtime reaction is always executed and can never be incorporated in the image.

Synchronous writing

The REE manages the confirmation for all variables whose write set value should be executed synchronously. The time out for this is defined by the time within which the Runtime must be closed. For each write acknowledgment the time out is restarted. A time out is written in the log file.

Variables which don't access a driver are always written without an acknowledgment even if an acknowledgment is requested. Internal drivers do not support acknowledgments.

Allocate tag

As during the start of the Runtime all drivers are also started, it is possible that they do not provide valid values if they are needed at the restart. During the restart it is not waited for the value update. This does not ensure that the value is written as expected. If no value is available, the alternate value is used.

There is a wait for the values of internal drivers if they are available within 2 cycles.

Checking for a communication error

A check is also made for communication errors when restarted if this has been configured.


Comportamento in rete

Manuale -> Batch Control -> Comportamento in rete

Il modulo Batch Control è perfettamente compatibile per un uso in rete nel senso della tecnologia client/server. Ciò significa che le ricette batch possono essere create, duplicate, modificate, cancellate ecc. su un client. La completa gestione delle ricette, però, rimane sempre sul server. D'altro parte, tutto il processo di controllo (le operazioni di avvio, messa in pausa, fine ecc. di una ricetta) può essere gestito da un client. Sono possibili anche cambi di modo e operazioni manuali come salta.

attention Attenzione

Il modulo Batch Control non supporta la ridondanza. Non c'è sincronizzazione sul Server-Standby. Quando il server smette di funzionare, le ricette batch in esecuzione non vengono proseguite senza soluzione di continuità sullo standby.

Quando si usa il modulo Batch Control in rete, vale quanto segue:

Assegnazione

  • L'assegnazione forzata può avvenire sia dal server che dal client.

Funzioni

Le funzioni vengono eseguite sempre sul server.

Fasi

  • Modifica di fasi in ricette master:
    • Modalità di modifica: le modifiche vengono eseguite localmente sul client.
      Se, durante la modifica, la ricetta viene salvata su un altro computer in rete, la configurazione attuale va persa. In questo caso verrà visualizzato un messaggio corrispondente e la finestra di dialogo di modifica verrà chiusa. I nuovi dati saranno visualizzati dal server.
    • Modalità test: le modifiche vengono eseguite sul server.
  • Ricetta di controllo: le modifiche vengono eseguite sul server.
  • Se una ricetta viene salvata in rete, tutti i client che la usano vengono aggiornati.
  • Se una ricetta viene aperta su un client, viene visualizzata sempre la versione attuale del server, anche se lì non è stata ancora salvata.
  • Se una ricetta viene cancellata su un computer, viene visualizzato un messaggio su tutti i computer che hanno aperto questa ricetta; questo messaggio informa che la ricetta è stata cancellata.

Modalità

  • Il cambio della modalità (automatica, semi-automatica, manuale) può essere eseguito dal server e dal client.
  • Jumps e avanzamenti step by step in una ricetta possono essere eseguiti sia dal server che dal client

Ricette

  • Le ricette possono essere avviate e gestite dallo zenon server o dai zenon client.
  • Se in una ricetta vengono modificati i parametri mentre la ricetta stessa viene salvata su un altro zenon client, la modifica verrà rifiutata e non eseguita.
  • Una ricetta master può essere modificata sullo zenon client mentre sullo zenon server passa in modalità test e viene inviata allo zenon client. In questo caso vengono applicate le modifiche salvate per ultime. Questo significa: se lo zenon client salva per ultimo, la ricetta passa di nuovo alla modalità di modifica. Se è lo zenon server a salvare per ultimo, la modifica eseguita dallo zenon client viene rifiutata e la ricetta si trova in modalità test.
  • Se si verifica un errore di comunicazione durante la cancellazione di una ricetta o di un modello ricetta parziale, la cancellazione verrà rifiutata e verrà visualizzato un messaggio di errore corrispondente.

Web Client

Con un Web Client standard:

  • Le impostazioni per griglia e colori possono essere modificate.
  • Non si possono creare o modificare ricette.
  • La dimensione dell'area di modifica non può essere cambiata.
  • Nella barra degli strumenti vengono disattivati tutti i simboli non consentiti; non sarà dunque possibile selezionare gli oggetti corrispondenti.

Queste limitazioni non valgono per il Web Client PRO.

Noch in diesem Kapitel

Redundancy


Redundancy

Manuale -> Batch Control -> Comportamento in rete -> Redundancy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Batch Control does not support redundancy. In networks that have been set up as redundant, this means:

  • If the server fails, the recipe is in an undefined status.
    It is not passed on to the standby server.
  • On the standby server, once it has stepped up to become the server:
    • Master recipes can be switched back to edit mode and deleted.
      These changes are carried over to the server once it is working again.
    • Control recipes cannot be edited or executed.
  • Starting, pausing or other commands are not possible on the Standby Server.
  • If the recipe is not edited in the Standby Server, it runs normally again as soon as the server is online again.


Reporting

Manuale -> Batch Control -> Reporting

Reports for configuration of the recipes can be created with the Report Viewer integrated into zenon.

When switching to a Report Viewer screen:

  • it is possible to filter for recipes
  • Datasets for Batch Control reports can be created:
    • Master recipe
    • Control recipe
    • Recipe screens
    • Matrix cells
    • PFC structure
    • Phases
    • Parameters
    • Transitions
    • Unit allocations
    • Operation instance

Noch in diesem Kapitel

Filtro ricette Batch Control


Filtro ricette Batch Control

Manuale -> Batch Control -> Reporting -> Filtro ricette Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per il caso del passaggio ad un´immagine del tipo report viewer, si può settare un filtro per le ricette del modulo BatchControl. Per effettuare un´operazione di filtro sulla base di ricette:

  1. aprite al momento del cambio immagine la scheda definizione report
  2. navigate fino a Filtro
  3. cliccate nella scheda Filtro specifico per modulo su Batch Control: Filtro di ricetta
  4. si apre il dialogo per configurare il filtro

Applica filtro ricette a

Parametri

Descrizione

Applica filtro ricette a

Selezione del tipo di ricetta a cui deve essere applicato il filtro:

  • ricetta master
  • Ricetta di controllo

ricetta master

Attivo: viene effettuata un´operazione di filtro sulla base di ricette master.

Ricetta di controllo

Attivo: viene effettuata un´operazione di filtro sulla base di ricette di controllo.

Nota: Anche le relative ricette master devono essere selezionate. Se non si sceglie nessuna ricetta master per la ricetta di controllo, nel runtime il filtro non potrà trovare le ricette cercate.

Suggerimento: Se la ricetta master non è conosciuta, si consiglia di effettuare un´operazione di filtro su tutte le ricette master con un carattere jolly.

Impostazioni filtro ricetta

Parametri

Descrizione

Impostazioni filtro ricetta

Opzioni per il filtro ricette

Selezione della lista ricette dall'immagine di controllo Batch richiamata

Attivo: durante il Runtime, viene usata la prima ricetta selezionata dell´immagine Batch, da cui viene aperta l´immagine report viewer. Impostazioni individuali in questa finestra di dialogo non sono disponibili.

Inattivo: le impostazioni di filtro vengono modificate individualmente facendo uso di questa finestra di dialogo.

ricetta master

Parametro per la selezione della ricetta di controllo. Selezione dal menù a tendina:

  • Nome con wildcard:
    Nel campo di inserimento si può digitare un nome con carattere jolly. Il sistema filtra sulla base di questo nome.
  • Nome da variabile:
    Il nome della ricetta master viene definito da una variabile nel runtime. Cliccando sul pulsante ... apre il dialogo che serve alla scelta di una variabile.
  • ID dalla variabile:
    L´ID della ricetta master viene definito da una variabile nel runtime. Cliccando sul pulsante ... apre il dialogo che serve alla scelta di una variabile.

Versione

Selezione della versione fra quelle contenute nella combobox.

  • Tutte:
    La versione indicata è ignorata e si utilizza ogni versione trovata.
  • Versione prefissata:
    Il sistema effettua un´operazione di filtro per cercare la versione inserita in questo campo.
    Versione più alta possibile: 4294967295
  • Versione da variabile:
    Si cerca la ricetta che era nella variabile collegata al momento dell´esecuzione. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.
  • Solo la versione più vecchia:
    Viene usata solamente la ricetta con il numero di versione più vecchio.

Solo la versione più recente:
Viene usata solamente la ricetta con il numero di versione più recente.

Stato ricetta master

Stato della ricetta. Selezione dalla lista a cascata:

  • Rilasciata o obsoleta
  • Rilascia
  • Imposta come obsoleta

Filtra risultati per

definite quale ID fra quelli disponibili nella lista a cascata deve essere selezionato quando si filtra sulla base di nomi.

  • Solo ID più vecchi
  • Solo ID più recenti

Visto che si può usare un report solamente per una ricetta, non è possibile effettuare un filtro per "tutte le ricette".

Ricetta di controllo

Parametro per la selezione della ricetta di controllo. Selezione dalla lista a cascata:

  • Nome con wildcard
    Nel campo di inserimento si può digitare un nome con carattere jolly. Il sistema filtra sulla base di questo nome.
  • Nome da variabile
    Il nome della ricetta di controllo viene definito da una variabile nel runtime. Cliccando sul pulsante ... apre il dialogo che serve alla scelta di una variabile.
  • ID dalla variabile
    L´ID della ricetta master viene definito da una variabile nel runtime. Cliccando sul pulsante ... si apre il dialogo che serve alla scelta di una variabile.
    Il sistema può trovare esattamente una sola ricetta se il valore della variabile al momento dell´esecuzione è un ID valido di una ricetta di controllo.
  • ID Task dalla variabile:
    Trova ricette di controllo che appartengono alle ricette master già trovate e che dispongono dell´ID task indicato. Si può collegare ogni tipo di variabile. Il valore viene convertito automaticamente in STRING.
    Nota: se la variabile non contiene nessun valore, nessun report verrà inviato al Report Viewer.

Stato ricetta di controllo

Selezione dello stato ricetta fra quelli della lista a cascata:

  • Espandi
  • preparata
  • In esecuzione
  • Completata
  • Terminato con errore
  • Imposta come obsoleta

Filtra risultati per

definite quale ID fra quelli disponibili nella lista a cascata deve essere selezionato quando si filtra sulla base di nomi o job ID.

  • Solo ID più vecchi
  • Solo ID più recenti

Ok

Riprende tutte le modifiche, crea filtri e chiude il dialogo.

Elimina

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.

Nota: selezione variabile tramite nome o ID: Per la selezione di variabili sulla base di nome o ID, possono essere scelte rispettivamente variabili numeriche e variabili stringa. I tipi di dato vengono convertiti nella forma rispettivamente corretta.


Formula editor

Manuale -> Batch Control -> Formula editor

The formula editor is automatically opened if you need to enter or edit a formula. Above all:

Editor:

  • Phases
  • Interlocking conditions
  • all conditions for transitions
  • Phase done condition

Runtime:

  • Phase done condition and interlocking when editing a phase
  • Editing transitions

Note: If the phase referenced in the formula is removed and a new phase is added, the operands are reassigned in the case of operands. To do this, the same phase must be reinserted. Parameters from a different phase are not automatically linked.

Enter formula

The following input is accepted:

  • Constant as decimal number
  • Hexadecimal number if it is preceded by an x
  • Dot as decimal separator; the following is true:
    • Comma is automatically converted into a dot: 23,000 to 23.000
    • Decimal places which are only zeros are removed: 23.000 to 23

Parameters

Description

TAG list

List of the tags which can be used for the formula.

Each entry contains of:

  • a basis node for the label
  • a value
  • a status
  • the bits for value and status

A symbol at the first node displays whether it is a command or return tag.

The short indentifier at the beginning of the name is used for the formula.

Add

Opens the dialog for adding a parameter. For this, the following applies:

  • The following can be added: numeric and binary tags and tags for time duration. Values for duration are converted to seconds
  • For conditions of the phase only the tags created for it can be added.
  • Tags can be added multiple times.

Replace

Makes it possible to replace a tag. Clicking on the button opens the dialog to add a parameter.

  • Selection of a new parameter replaces the highlighted parameter.
  • Clicking on the no selection button deletes the highlighted parameter from the list.

The short identifier remains the same at replacing.

Remove

Removes the highlighted tag. For a tag to be deleted:

  • the formula must be correct
  • the selected tag must not be used in the formula

Logical operators

Via the buttons for operators, operators are added to the formula.

AND

logical 'AND'

OR

logical 'OR'

XOR

logical 'EXCLUSIVE OR'

NOT

Negation

Syntax

The operator buttons add the string shown on them to the formula.

(

Open parenthesis

)

Close parenthesis

Bit by bit and relational operators

&

And

|

Or

>

greater than

>=

greater or equal

<

less than

<=

Less than or equal

=

equal

<>

less or greater

Condition

Configuration and display of the formula.

Copy

Copies the whole formula:

  • All configured tags from the tag tree
  • Formula from the field

Paste

Pastes a formula from the clipboard. At this all already configured elements are deleted and replaced by the copied formula.

When copying formulas between phases, it is tried to resolve the operands via their names. For tags which are not found invalid entries are created in the operands list. Their point of use in the formula remain the same.

OK

Applies formula and closes the dialog.

For this the formula must be correct.

Cancel

Discards all changes and closes the dialog.

info Informazioni su

You can link up to 99 tags in a formula. X01 to X99. The length of the formula must not exceed 4096 characters.

The meaning of the bits:

Parameters | Description
value bits | 32 value bits (from 0 -31) are available. They describe the tag value bit by bit. For binary tags only bit 0 is of importance, for SINT and USINT only the bits from 0 - 7, etc.
State bits | Here you find the most commonly used status bits. You find the exact definition and use of the status bits in the Status Bits List.
value and status | In the formulas, all values (value bits and status bits) are treated as binary values and can be logically linked with AND, OR, etc. The total value and overall status are an exception to this. In order to get a Boolean result this total value has to be ORed with a constant bitwise. For this, we use the operator &. For the result 0 (false) of this logical ORing we get the binary value 0 (false), otherwise 1 (true). Example: see chapter Example bit by bit ORing

info Info

The status bits NORM and N_NORM are only available in the formula editor and cannot be engineered via the status.

info Informazioni su

Formulas with binary X values and bitwise linking can be used with a maximum of 2 binary values. If more values are required, the linking must be carried out without binary X values.

Example:

X01.Value & X02.Value -> works

X01.Value & X02.Value & X03.Value -> does not work

But:

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> works

Noch in diesem Kapitel

Adding parameters

List of status bits

Logical operators

Bit formulas

Comparison operators

Examples for formulas


Adding parameters

Manuale -> Batch Control -> Formula editor -> Adding parameters

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Clicking on the Add button in the formula editor opens the dialog to select parameters that are to be used for a formula.

Parameters | Description
Project list | Display of the active project. Only parameters that have been created in the active project for the phase to be configured can be selected.
TAG list | List of the parameters available for the selected phase. Multiple selection is possible. Apply by selecting and clicking on the OK button or by double clicking on a parameter.
None | Deletes parameters already set. Only effective for replacement of parameters. If a parameter is highlighted in the formula editor and this dialog is opened by clicking on the Replace button, then clicking on the No selection button deletes the parameter from the list in the formula editor. The short identifier remains the same at replacing.
OK | Inserts selected parameters into the parameter list of the formula and closes the dialog.
Cancel | Discards selection and closes dialog.
Help | Opens online help.


List of status bits

Manuale -> Batch Control -> Formula editor -> List of status bits

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Bit number | Short term | Long name | zenon Logic label
0 | M1 | User status 1; for Command Processing: Action type "Block"; Service Tracking of the IEC 850 driver | _VSB_ST_M1
1 | M2 | User status 2 | _VSB_ST_M2
2 | M3 | User status 3 | _VSB_ST_M3
3 | M4 | User status 4 | _VSB_ST_M4
4 | M5 | User status 5 | _VSB_ST_M5
5 | M6 | User status 6 | _VSB_ST_M6
6 | M7 | User status 7 | _VSB_ST_M7
7 | M8 | User status 8 | _VSB_ST_M8
8 | NET_SEL | Select in the network | _VSB_SELEC
9 | REVISION | Revision | _VSB_REV
10 | PROGRESS | In operation | _VSB_DIREC
11 | TIMEOUT | Runtime exceedance | _VSB_RTE
12 | MAN_VAL | Manual value | _VSB_MVALUE
13 | M14 | User status 14 | _VSB_ST_14
14 | M15 | User status 15 | _VSB_ST_15
15 | M16 | User status 16 | _VSB_ST_16
16 | GI | General query | _VSB_GR
17 | SPONT | Spontaneous | _VSB_SPONT
18 | INVALID | Invalid | _VSB_I_BIT
19 | T_CHG_A | Daylight saving time/winter time announcement | _VSB_SUWI
20 | OFF | Switched off | _VSB_N_UPD
21 | T_EXTERN | Real time external | _VSB_RT_E
22 | T_INTERN | Realtime internal | _VSB_RT_I
23 | N_SORTAB | Not sortable | _VSB_NSORT
24 | FM_TR | Error message transformer value | _VSB_DM_TR
25 | RM_TR | Working message transformer value | _VSB_RM_TR
26 | INFO | Information for the variable | _VSB_INFO
27 | ALT_VAL | Alternate value If no value was transferred, the defined alternate value is used otherwise the last valid value is used. | _VSB_AVALUE
28 | RES28 | Reserved for internal use (alarm flashing) | _VSB_RES28
29 | N_UPDATE | Not updated | _VSB_ACTUAL
30 | T_STD | Standard time | _VSB_WINTER
31 | RES31 | Reserved for internal use (alarm flashing) | _VSB_RES31
32 | COT0 | Cause of transmission bit 1 | _VSB_TCB0
33 | COT1 | Cause of transmission bit 2 | _VSB_TCB1
34 | COT2 | Cause of transmission bit 3 | _VSB_TCB2
35 | COT3 | Cause of transmission bit 4 | _VSB_TCB3
36 | COT4 | Cause of transmission bit 5 | _VSB_TCB4
37 | COT5 | Cause of transmission bit 6 | _VSB_TCB5
38 | N_CONF | Negative confirmation of command by device (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test bit (IEC870 [T]) | _VSB_T_BIT
40 | WR_ACK | Writing acknowledged | _VSB_WR_ACK
41 | WR_SUC | Writing successful | _VSB_WR_SUC
42 | NORM | Normal status | _VSB_NORM
43 | N_NORM | Deviation normal status | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Time invalid | not defined
50 | CB_TRIP | Breaker tripping detected | not defined
51 | CB_TR_I | Breaker tripping detection inactive | not defined
52 | OR_DRV | Value out of Range | not defined
53 | RES53 | reserved | not defined
54 | RES54 | reserved | not defined
55 | RES55 | reserved | not defined
56 | RES56 | reserved | not defined
57 | RES57 | reserved | not defined
58 | RES58 | reserved | not defined
59 | RES59 | reserved | not defined
60 | RES60 | reserved | not defined
61 | RES61 | reserved | not defined
62 | RES62 | reserved | not defined
63 | RES63 | reserved | not defined

info Informazioni su

In formulas all status bits are available. For other use the availability can be reduced.

You can read details on status processing in the Status processing chapter.


Logical operators

Manuale -> Batch Control -> Formula editor -> Logical operators

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Logical links: Variables will only be checked for the logical value '0'; if the value does not equal '0', it will be considered as '1'.

In contrast to bit formulas, the technical range can be modified by a stretch factor -> (not equal '0' or '1').

Operator | Meaning
AND | logical 'AND'
NOT | Negation
OR | logical 'OR'
XOR | logical 'EXCLUSIVE OR'

The operators have the following priority in the formula calculation:

Priority | Operator
1 | & (operator for bit formulas)
2 | NOT
3 | AND
4 | XOR/OR

info Info

Up to 99 variables can be linked in one formula. X01 to X99.

info Info

The status bits NORM and N_NORM are only available in the formula editor and cannot be engineered via the status.


Bit formulas

Manuale -> Batch Control -> Formula editor -> Bit formulas

Bit formulas only have a logical high or low state. In contrast to logical formulas, the raw value is already predefined (0,1).

Operator | Description
& | AND
| | OR

Noch in diesem Kapitel

Example: ORing bitwise


Example: ORing bitwise

Manuale -> Batch Control -> Formula editor -> Bit formulas -> Example: ORing bitwise

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You want to find out if one of the user status bits 1-8 (M1 ... M8) of the variable X01 is set.

Usual formula:

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8
This query can be made much easier by the logical ORing of the overall status.

Logical ORing:

X01.Status & 0xFF

The constant can be entered in hexadecimals, as described above:

0xFF corresponds to decimal 256; these are the first eight status bits (binary 11111111). If one of these bit is set to 1, the result of this bitwise ORing is 1 (true), otherwise it is 0 (false).

If, for example, all user status bits except the user status bit M7 should be queried, the binary statement for this would be: 10111111. Bit 7 is not of interest and is thus set to 0. This corresponds to 0xBF in hexadecimal. The expression for the formula is then: X01.Status & 0xBF.

Instead of ORing bitwise with a constant, the value can also be directly compared to a decimal number. If the comparison is wrong, the binary value is 0 (false) otherwise it is 1 (true).

Example:

You want to find out if the value is equal to the constant 202: The formula is:

X01.value = 202

If the value is equal to the constant 202, the result of the comparison is 1 (true) otherwise it is 0 (false).

Note: The bitwise ORing works with the OR character (|) in a similar manner to this example.


Comparison operators

Manuale -> Batch Control -> Formula editor -> Comparison operators

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Comparison operators are for the direct comparison of two numeric values. The result of this comparison is a binary value. "0“ if the condition is not fulfilled and „1“ if the condition is fulfilled.

Operator | Description
< | less
> | greater
<= | Less than or equal
>= | greater or equal
= | Equal
<> | unequal

To the left and to the right of the comparison operator, there has to be a (total) value or a (total) status, single bits cannot be used with these comparison operators.

There can also be a constant to the right of the comparison operator.
These constants are entered as hexadecimal values or decimal values in the combined element. Hexadecimal figures are automatically converted to decimal values by clicking on OK (for example, 0x64 is in decimal figures 100).

Example Esempio

X01.value >= X02.value
The result is 1, if the value of X01 is higher than or equal to the value of X02

X01.value = 0x64
The result is 1, if the value of X01 is exactly equal to the numeric value 100 (= hex 0x64)

(X01.value = 0x64) OR (X01.value = 0x65)
The result is 1, if the value of X01 is exactly equal to the numeric value 100 or 101 (= hex 0x64 and hex 0x65)


Examples for formulas

Manuale -> Batch Control -> Formula editor -> Examples for formulas

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Simple logical AND linking between two bit values

Example Example

Formula: X01.03 AND X02.03

This formula has the status TRUE, if both bit 3 of variable 1 and bit 3 of variable 2 both have the value 1.

comparison of an analogue value or status of a variable

Example Example

(X01.Value> X02.Value)

Compare analog values with each other on a logical basis

Example Example

(X01.Value> X02.Value) AND (X01.Value = X02.Value)

Compare with value bits and status bits

Example Example

(X01.Value> X02.Value) AND (X01.Value = X02.Value) OR (X01.03 = X02.03)

Compare a value with a decimal or hexadecimal value

Example Example

Formula: (X01.Value = 111)

Formula: (X01.Value = 0x6F)

If a hexadecimal values is used, this is later transferred to decimal by clicking on OK. If a decimal value is entered and confirmed, the value continues to be displayed as a decimal value after reopening.

info Info

It is not possible to use a comma or a period when entering values.


XML export: Units, phases and recipes

Manuale -> Batch Control -> XML export: Units, phases and recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Batch Control module allows the export of units, phases and recipes into XML files. The structure of these files is described in the following chapters.

Noch in diesem Kapitel

General recipe properties in the XML file

Matrix properties in the XML file

PFC properties in the XML file

Parameter properties


General recipe properties in the XML file

Manuale -> Batch Control -> XML export: Units, phases and recipes -> General recipe properties in the XML file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Properties of master recipes

Properties of master recipes are also contained in exported control recipes.

node

Property

Description

Possible value

Recipes

  • MasterRecipe
  • ControlRecipe
  • OperationTemplate

MrId

ID of the corresponding master recipe.

MrName

Name of the corresponding master recipe.

MrDescription

Description of the corresponding master recipe.

MrVersion

Version of the corresponding master recipe.

MrSourceVersion

Original version of the master recipe.

MrStatus

Status of the corresponding master recipe.
  • 1: Edit mode
  • 2: Released
  • 3: Test mode
  • 4: Test in execution
  • 8: Outdated

RecipeType

Type of the recipe.
  • Matrix
  • Pfc

ApprovalTime

Time stamp of the corresponding master recipe.

ApprovalUserName

Name of the user who approved the recipe.

ApprovalUserID

ID of the user who approved the recipe.

OutdatedTime

Outdated time for the recipe.

OutdatedUserName

Name of the user who set the recipe to obsolete.

OutdatedUserID

ID of the user who set the recipe to obsolete.

Structure

Nodes for the structure of the recipe.

Properties of control recipes

CrId

ID of the control recipe.

CrName

Name of the control recipe.

CrDescription

Description of the control recipe.

CrStatus

Status of the control recipe.
  • 2: Prepared
  • 3: Running
  • 4: Executed
  • 7: Outdated

CrJobID

Job ID of the control recipe

CrJobIDVar

Variable for the job number.

CreationTime

Time stamp of the creation of the control recipe.

CreationUserName

Name of the user who created the recipe.

CreationUserID

ID of the user who created the recipe.

StartingTime

Time stamp of the start of the control recipe.

StartingUserName

Name of the user who started the control recipe.

StartingUserID

ID of the user who started the control recipe.

Properties of operations

OpId

ID of the Operation template.

OpName

Name of the Operation template.

OpDescription

Description of the operation template.

OpType

Type of operation
  • Matrix
  • Pfc

OpStatus

Status of the operation template.
  • 1: Edit mode
  • 2: Released

ApprovalTime

Time stamp of the approval of the operation template.

ApprovalUserName

Name of the user who approved the operation template.

ApprovalUserID

ID of the user who approved the operation template.

Structure

Nodes for the structure of the recipe.


Matrix properties in the XML file

Manuale -> Batch Control -> XML export: Units, phases and recipes -> Matrix properties in the XML file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Matrix structure

node

Property

Description

Possible value

Structure

Column

Column number in the matrix recipe.
  • Type 1: Phase
  • Type 2: Operation

ObjectName

Name of the linked phase or the linked operation.

StepInfo

Step number in the matrix recipe.

StepDescr

Description of the step in the matrix recipe.

Matrix cell properties

node

Property

Description

Possible value

Cell

  • Type 1: Phase
  • Type 2: Operation

CellActive

TRUE if the matrix cell is active at this point.

  • TRUE: Matrix cell active
  • FALSE: Matrix cell inactive

ChartId

ID of the matrix cell

Phase

Properties node for the phase of a matrix cell. You can find details in the General properties chapter.

ControlStrategy

Properties node for the control strategy used for a phase in a matrix cell. You can find details in the General properties chapter.


PFC properties in the XML file

Manuale -> Batch Control -> XML export: Units, phases and recipes -> PFC properties in the XML file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Structure of the PFC recipe

node | Property | Description | Possible value
Structure |  |  |
 | LastObjId | Last-used ID of the PFC recipe. |
 | ColCount | Number of columns in the PFC recipe. |
 | RowCount | Number of rows in the PFC recipe. |
 | CenterColOffset | Start coordinates of the column. |
 | CenterRowOffset | Start coordinates of the row. |

Element properties

node

Property

Description

Possible value

Chart object

Element for the PFC recipe.
  • TYPE: 1=start element
  • TYPE: 2=end element
  • TYPE: 3=phase
  • TYPE: 4=transition
  • TYPE: 5=start branch
  • TYPE: 6=end branch
  • TYPE: 7=start parallel branch
  • TYPE: 8=end parallel branch
  • TYPE: 9=unit allocation
  • TYPE: 10=operation
  • TYPE: 11=line
  • TYPE: 12=jump target

Begin element

node | Property | Description | Possible value
ChartObject |  | Element for the PFC recipe. | TYPE: 1
 | ChartId | ID of the element in the PFC recipe. |
 | ChartRow | Row coordinates of the element. |
 | ChartCol | Column coordinates of the element. |

End element

node | Property | Description | Possible value
ChartObject |  | Element for the PFC recipe. | TYPE: 2
 | ChartId | ID of the element in the PFC recipe. |
 | ChartRow | Row coordinates of the element. |
 | ChartCol | Column coordinates of the element. |

Phase

node | Property | Description | Possible value
ChartObject |  |  | TYPE: 3
 | ChartId | ID of the element in the PFC recipe. |
 | ChartRow | Row coordinates of the element. |
 | ChartCol | Column coordinates of the element. |
 | Unit | Unit name of the linked phase. |
 | Phase | Properties node for the phase of a PFC element. |

Transition

node | Property | Description | Possible value
ChartObject |  |  | TYPE: 4
 | ChartId | ID of the element in the PFC recipe. |
 | ChartRow | Row coordinates of the element. |
 | ChartCol | Column coordinates of the element. |
Condition |  | Condition for the selected transitions. |
 | Expression | The conditions are used to inform the REE of the status of the technological function in the controller. |
OperandTag |  | Addressing of the tag conditions. |
 | PhaseChartId | ID of the phase in the condition. |
 | TagAddressing | Tag of the phase. |

Initial branch

node

Property

Description

Possible value

ChartObject

TYPE: 5

ChartId

ID of the element in the PFC recipe.

ChartRow

Row coordinates of the element.

ChartCol

Column coordinates of the element.

Cell

Number of branches from left to right.

Connector

Linking points of the branches.
  • TRUE: Branch downwards.
  • FALSE: No sequence selection.

ArrayOffset

Initial cell of the branch.

End branch

node

Property

Description

Possible value

ChartObject

TYPE: 6

ChartId

ID of the element in the PFC recipe.

ChartRow

Row coordinates of the element.

ChartCol

Column coordinates of the element.

Cell

Number of branches from left to right.

Connector

Linking points of the branches.
  • TRUE: Branch downwards.
  • FALSE: No sequence selection.

ArrayOffset

End cell of the branch.

Begin parallel branch

node

Property

Description

Possible value

ChartObject

TYPE: 7

ChartId

ID of the element in the PFC recipe.

ChartRow

Row coordinates of the element.

ChartCol

Column coordinates of the element.

Cell

Number of branches from left to right.

Connector

Linking points of the branches.
  • TRUE: Branch downwards.
  • FALSE: No sequence selection.

ArrayOffset

Initial cell of the branch.

End parallel branch

node

Property

Description

Possible value

ChartObject

TYPE: 8

ChartId

ID of the element in the PFC recipe.

ChartRow

Row coordinates of the element.

ChartCol

Column coordinates of the element.

Cell

Number of branches from left to right.

Connector

Linking points of the branches.
  • TRUE: Branch downwards.
  • FALSE: No sequence selection.

ArrayOffset

End cell of the branch.

Unit allocation

node

Property

Description

Possible value

ChartObject

TYPE: 9

ChartId

ID of the element in the PFC recipe.

ChartRow

Row coordinates of the element.

ChartCol

Column coordinates of the element.

Allocations

Name of the unit allocation.
  • Allocations
  • Deallocations

Unit

Name of the allocated unit.

Global

Options for the clearing of the unit.
  • FALSE=clearing the last allocation
  • TRUE=recipe-wide clearing

Operation

node

Property

Description

Possible value

ChartObject

TYPE: 10

ChartId

ID of the element in the PFC recipe.

ChartRow

Row coordinates of the element.

ChartCol

Column coordinates of the element.

Operation

Operation

OpId

ID of the operation

OpName

Name of the operation.

OpType

Type of the operation.

OpDescription

Description of the operation.

OpStatus

Status of the operation

ApprovalTime

Time stamp for approved recipes.

ApprovalName

Name of the approved recipe.

ApprovalUserId

ID of the user who approved the recipe.

Structure

Structure of the recipe.
  • PFC_Structure
  • Matrix_Structure

Line

node

Property

Description

Possible value

ChartObject

TYPE: 11

ChartId

ID of the line.

ChartRow

Row coordinates for the starting point of the line.

ChartCol

Column coordinates for the starting point of the line.

FirstCol

Column coordinates of the cell where the line starts.

FirstRow

Row coordinates of the cell where the line starts.

SecondCol

Column coordinates of the cell where the line ends.

SecondRow

Row coordinates of the cell where the line ends.

LineSegments

Column, row, type coordinates of the cells, separated by # where the complete line runs.
  • 0: Straight line from top to bottom
  • 1: 90° from the top to the right
  • 2: 90° from the top to the left
  • 3: Straight line from left to right
  • 4: 90° from the right to the bottom
  • 5: 90° from the left to the bottom

Jump target

node | Property | Description | Possible value
ChartObject |  |  | TYPE: 12
 | ChartId | ID of the jump target. |
 | ChartCol | Column coordinates for the starting point of the jump target. |
 | ChartRow | Row coordinates for the starting point of the jump target. |


Parameter properties

Manuale -> Batch Control -> XML export: Units, phases and recipes -> Parameter properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Phases

node

Property

Description

Possible value

Phase

General properties of the phase.

PhaseName

Name of the phase.

PhaseDescr

Freely definable string for detailed description of the phase.

TOAllocation

Time period, in days, hours, minutes and seconds, that is waited until the unit is allocated.

TOInterlocking

Time period in days, hours, minutes and seconds in which the condition defined in the input lock property must return the value TRUE.

MinExecTime

Minimum execution duration of the phase.

ExplanationMinExecTimeNeeded

Reason for minimum execution duration change necessary

TRUE: When entering value changes for this phase in Runtime, a reason for the change must be entered by the user.

FALSE: No reason necessary.

MaxExecTime

Time period in days, hours, minutes and seconds in which the condition defined in the phase done condition property must return the value TRUE.

TOFollowingCond

Time period in days, hours, minutes and seconds in which the phase must be deactivated.

MinExecTimeCrModifiable

Minimum execution duration of the phase in the control recipe can be modified.

  • TRUE: Minimum execution duration of the phase in the control recipe can be modified.
  • FALSE: Minimum execution duration of the phase in the control recipe cannot be modified.

RtLocalFlags

Flags whose properties are no longer linked to the Editor configuration. They are not overwritten when reloading.

These properties are a bit-coded DWORD in that each bit stands for a property. In a 0-based index, the coding is as follows:

  • Timeout phase done condition: Bit 0 (decimal 1)
  • Timeout input lock: Bit 1 (decimal 2)
  • Timeout subsequent condition: Bit 2 (decimal 4)
  • Timeout unit allocation: Bit 3 (decimal 8)
  • Minimum execution duration: Bit 7 (decimal 128)

CSActive

Active control strategies
  • TRUE: Active control strategies
  • FALSE: Control strategies inactive

CSTag

control strategy tag

CondInterlocking

Node for the condition of the input lock.

CondDone

Node for phase done condition.

CondEscaping

Node for the condition of leaving the phase.

CondPausing

Node for the change from pausing to paused.

CondHolding

Node for the change from holding to held.

CondStopping

Node for the change from stopping to stopped.

CondAborting

Node for the change from aborting to aborted.

CondRestarting

Node for the condition for the change from starting to running.

CondFailure

Node for the condition to recognize a communicaiton fault.

CondConnReconnect

Node for the condition to acknowledge a communication fault.

CondPlcError

Node for the condition for PLC error.

Parameters

node

Property

Description

Possible value

Day

TagName

Name of the TAG.

TagDescr

Description of the tag.

TagType

Tag type
  • 0: Value parameter
  • 1: Return TAG
  • 2: Initial parameters

DataType

Data Type
  • 0: Bool
  • 1: String
  • 2: Numeric
  • 3: Time period

Variable

Variable which is linked to the tag.

VariableDataType

Data type of the variable.

VariableDriver

Name of the EXE file of the driver of the variable.

VariableDriverDescr

Name of the driver of the variable.

TagValue VariantType

Value of the tag.

ValueMin VariantType

Minimum value of the tag.

ValueMax VariantType

Maximum value of the tag.

VariableMin

Minimum value of the variable.

VariableMax

Maximum value of the variable.

MeasUnit

Unit of the variable.

MaxStringLength

String length as engineered at the variable.

EditableInRecipe

Can be changed in the master recipe
  • TRUE: Tag values can be changed in the master recipe.
  • FALSE: Tag values cannot be changed in the master recipe.

ExplanationNeeded

Reason for value change necessary
  • TRUE: When entering value changes for these parameters in Runtime, a reason for the change must be entered by the user.
  • FALSE: Reason not required.

TagModified

Tag value changed.
  • TRUE: Tag value changed
  • FALSE: Tag value not changed.

EditableInCr

Tag value can be changed in control recipe
  • TRUE: Tag value can be changed in the control recipe.
  • FALSE: Tag value cannot be changed in the control recipe.

UseKeyboard

Use screen Keyboard
  • TRUE: Keyboard screen is used for this parameter.
  • FALSE: Keyboard screen is not used for this parameter.

KeyboardPictureName

Name of the selected keyboard screen. Only available if the keyboard screen property has been activated.

Reactions

node

Property

Description

Possible value

Reaction

Contains general properties for reactions.

EventType

Selection of the event type when the reaction is to be executed. For each event several reactions can be defined.
  • 0: Exit Runtime initiated
  • 1: Input interlocking blocked
  • 2: Waiting period input interlocking exceeded
  • 3: Phase activated
  • 4: Maximum execution period exceeded
  • 5: Phase deactivated
  • 6: Waiting period following condition exceeded
  • 7: Linked variable interrupted
  • 8: Status change: Continue
  • 9: Status change: Running
  • 10: Status change: Pausing
  • 11: Status change: Paused
  • 12: Status change: Executed
  • 13: Status change: Restarting
  • 14: Status change: Holding
  • 15: Status change: Held
  • 16: Status change: Stopping
  • 17: Status change: Stopped
  • 18: Status change: Aborting
  • 19: Status change: Aborted
  • 20: Mode change: Automatic
  • 21: Mode change: Semi-automatic
  • 22: Mode change: Manual
  • 28: Waiting period unit allocation exceeded
  • 29: Phase started multiple times
  • 30: Unit allocation not possible
  • 31: Finished writing value tags
  • 32: Phase done condition completed
  • 33: Command tag without value
  • 34: Runtime restart
  • 35: Escape condition started
  • 36: Escape condition fulfilled
  • 37: Loss of communication
  • 38: Loss of communication fixed
  • 39: Loss of communication acknowledged
  • 40: Phase started
  • 41: PLC error
  • 42: PLC error rectified
  • 43: PLC error rectified by deactivating the phase
  • 44: Input lock checked successfully

ReactionDescr

Description per reaction.

ReactionPrio

Displays the execution order when several reactions were defined for the same event. The order is defined by the position in the list and is only displayed here.

ModeCommand

This reaction can be controlled in the Runtime of the execution mode as a reaction to the event.
  • 0: Ignore
  • 1: Automatic
  • 2: Semi-automatic
  • 3: Manual

StateCommand

Recipe or phase command which is executed in the Runtime at the occurrence of the event.
  • 0: Ignore
  • 2: Pause recipe
  • 3: Recipe resuming
  • 4: Hold recipe
  • 5: Restart recipe
  • 6: Stop recipe
  • 7: Recipe aborting
  • 8: Phase pausing
  • 9: Phase holding
  • 10: Restart phase
  • 11: Phase resuming

Function

Function that is to be carried out.

CelEnabled

Create CEL entry

TRUE: The text defined in the CEL message text property is entered in the Chronological Event List, CEL.

FALSE: No entry in the CEL.

CelMsg

CEL message text. Only available if CEL entry property is active.

CelGroup

Allocation of a pre-existing alarm/event group to CEL messages for the selected event.

CelClass

Allocation of a pre-existing alarm/event class to CEL messages for the selected event.

SourceTag

Tag whose value is written to the tag selected in the destination tag property.

DestinationTag

Tag to which the value of the tag defined in source tag property is transferred.

SetTag

Tag on which the defined set value should be written as reaction of the event.

SetValueNum

Set value for numeric parameter.

SetValueStr

Set value for string tag.

SetValueBool

Set value for a binary tag.
  • 0: Off
  • 1: On
  • 4: Toggle

SetValueDuration

Set value in days, hours, minutes and seconds for duration tags. The time span is written as value in seconds on the variable linked at the tag.

ExecuteBeforeStartEvent

Allow execution before start event.

TRUE: The event can be executed before the Phase started event.

FALSE: The event can only be started if the Phase started event has been executed.

Control strategies

node | Property | Description | Possible value
ControlStrategy |  | Contains properties for the configuration of the control strategies. |
 | CSName | Name of the control strategy. |
 | CSDescription | Description of the control strategy. |
 | ActiveCSNumber | Unique number of the control strategy for identification within this phase. |
 | CSTag | Node for the definition of a parameter linked for this control strategy. |

Control strategies

node | Property | Description | Possible value
ConfiguredControlStrategy |  | Contains properties for the configured control strategy in the recipe. |
 | CSName | Name of the control strategy. |
 | CSDescription | Description of the control strategy. |
 | ActiveCSNumber | Unique number of the control strategy for identification within this phase. |


CEL

Manuale -> Batch Control -> CEL

Messages, information and errors for recipes, units, commands, reactions, events etc. are saved and displayed in the Chronological Event List ( CEL).

Groups and classes

CEL information can be allocated to groups and classes. These correspond to the alarm/event groups and alarm/event classes created in the project. The respective group or class is also entered in the CEL and can be used for filtering and grouping.

Groups and classes are allocated for actions for:

  • Recipes
  • Commands
  • Value changes
  • Jumping, forcing and step-by-step execution

Recipes

The set group or class is entered into the CEL for the following recipe actions:

  • Master recipes list
    • New
    • Create new version
    • Delete
    • Duplicate
    • Rename
    • Release
    • Highlight as outdated
    • New control recipe
  • Control recipe list
    • Rename
    • Duplicate
    • Delete
  • Operation list
    • New
    • Rename
    • Duplicate
    • Delete
    • Release

Commands

The set group or class is entered for all recipe commands, phase commands, mode switches and restart messages.

Value changes

The set group or class is entered in the event of value changes to parameters in master recipes in test mode and for control recipes.

Jumping, forcing and step-by-step execution

The set group or class is entered for all manual steps, when jumping steps and when executing steps.

Allocation

Groups and classes are allocated

  • In general: in the properties of the Batch Control node in the Gruppi/Classi eventi CEL group
  • Reactions: in the properties of the event of a reaction in the Reazioni/Inserimenti nella CEL group


Failure handling

Manuale -> Batch Control -> Failure handling

If communication failures or PLC errors occur, these can be detected in Runtime using a formula configured in the editor. In the event of a communication error, the phase concerned is paused or held (depending on configuration).

Noch in diesem Kapitel

communication errors

PLC error


communication errors

Manuale -> Batch Control -> Failure handling -> communication errors

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Detection of problems can be specially configured for each phase, because phases can also run on different PLCs. The reaction to a communication error is defined globally for all phases. In addition, a reaction to the communication error event can be configured.

To configure the detection of communication errors:

  1. highlight the desired phase
  2. Click, in the Errore property group, on the Errore di comunicazione property
  3. In the formula editor that opens, define the condition for detecting communication errors
  4. click on property Ripristino perdita di comunicazione
  5. Define the condition to detect the reestablishment of communication
  6. Navigate to the properties for the Batch Control module
  7. In the Generale/Errore di comunicazione group, open the Azione con perdita di comunicazione property
  8. Select the desired reaction to a communication error from the drop-down list
    • Phase holding
    • Phase pausing

Checking in Runtime

When starting a phase or when restarting Runtime, 60 seconds is waited for values for the formula to check communication. If no values are received within this waiting time, a communication error is assumed.

Another check for communication errors is made if the phase is in a new step.

When restarting Runtime, the waiting for values can be in many steps, because the communication is started again in the middle of the process. A check for communication failures is also made at areas where a check for faults is made.

Reestablishment

Checking the formula for reestablishing communication

A loss of communication to the PLC is determined if the value of the formula for the Errore di comunicazione property is TRUE. Waiting is carried out until communication has been reestablished, i.e. the value of the formula is FALSE. After this, waiting is continued until the value of the formula for the Ripristino perdita di comunicazione property is TRUE or empty. The execution of the object can be continued from this time only.

In the time between the loss of communication and reestablishment of communication:

  • No phase commands can be sent to the phase concerned
  • If the status is changed directly, transient conditions are not checked
  • No reactions are triggered for a status change
  • the procedure path of the phase concerned remains the same when a continue or restart global command is executed
  • The subsequent execution positions are offset until the communication to the phase has been reestablished

Skipping the reestablishment of communication

In the event of a communication error, this can be skipped both whilst the error is active and whilst communication is being reestablished. In both cases, the communication is considered reestablished. All reactions to the skipped steps are triggered. The skipping is displayed in the tooltip.

If a communication error has been skipped, then a new one cannot occur until the value of the formula for the Errore di comunicazione property has not changed to FALSE.

Counter for the recipe and operation for reestablished communication

In the status line of the recipe editor, there is information about errors in the recipe available above the symbol of the error display and its tooltip. Only the information with the highest priority is shown. Active errors and historical errors are not shown at the same time.

Prioritization and coding of the error display in the tooltip:

Priority | Color | Description
1 | red | Currently x errors active.
2 | red | Currently x communication errors not yet acknowledged.
3 | yellow | Errors were present.
4 | green | faultless

Note: "Currently x errors active" counts both procedure errors and communication errors.


PLC error

Manuale -> Batch Control -> Failure handling -> PLC error

The detection of PLC errors can be configured for each phase.

To configure the detection of PLC errors in Runtime:

  1. Configure a variable that reports the PLC error in zenon
  2. Highlight the desired phase in the Editor in the Batch Control module.
  3. Click, in the Errore property group, on the Errore PLC property
  4. In the formula editor that opens, define the condition for detecting PLC errors using the configured variables.
    Note: The formula can be displayed in the report.

To display the number of active and rectified PLC errors in a screen:

  1. Select the unit for whose phases PLC error detection has been configured.
  2. Go to the property group Informazioni Runtime/Errore.
  3. Configure the variables for the properties.
    • Numero di errori PLC in attesa
    • Numero di errori PLC risolti
  4. Configure the evaluation and display of variables in Runtime.

Checking in Runtime

If a formula is linked for PLC errors, this is checked whilst the phase is active. Checking starts once communication with the PLC has been established and lasts until the phase has been deactivated. The connection is considered established if all values for the formula for detecting communication problems have been received.

If a communication error occurs, the PLC error is not checked as long as the communication error has not been acknowledged. Once it has been acknowledged, checking continues with the currently-pending value.

PLC errors and the rectification of these are displayed with their own symbol in the phase or in the operation and each displayed with an entry in the tooltip.

If there is a PLC error when a phase is ended, this is amended to rectified. In contrast to a normal deactivation of a PLC error, a separate event is sent: PLC error rectified by deactivation of the phase. This only applies for the actual closing, but not for a restart. When restarting, no new event is sent for PLC errors that continue to be active.


Error Handling

Manuale -> Batch Control -> Error Handling

Warnings and error messages are written in log files and can be analyzed with the Diagnosis Viewer. For this you must activate module Batch Control in the filter settings.

System driver variable

Batch Control provides the system driver SYSDRV with information via system driver variables. For information about their messages see manual SYSDRV in chapter Topic - Batch Control.

Reconstruction of index files

If the index file is not read when Runtime is started or it does not exist, it is reconstructed upon starting. During this time, requests from clients that need an ID or are processing an ID cannot be processed. Modifications are rejected, queries are answered after the index has been created.


Cambio lingua

Manuale -> Cambio lingua

Nell'impostazione di progetti internazionali è essenziale la funzionalità multilingua. Ad esempio:

  • Esecuzione di un progetto in diverse lingue.
  • Sistemi centralizzati, ai quali ci si collega da diverse nazioni.
  • Impianti decentralizzati, visibili a livello globale.
  • Gestione multilingua di un impianto.

La funzione di cambio lingua consente, durante il lavoro online, di modificare le informazioni impostate sotto forma di testo in diverse lingue. Per rendere possibile la progettazione, nella visualizzazione dettagli del nodo File lingua viene impostata una Tabella lingua con i file lingua necessari.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Menù contestuale - manager di progetto

Punto di menù | Azione
Nuovo file lingua... | Apre il dialogo che serve a creare un nuovo file lingua.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online

Noch in diesem Kapitel

Testi suscettibili di cambio lingua

Cambio lingua Visualizzazione dettagli barra simboli e menu contestuale

Parole chiave

Tabella lingua

Modificare esternamente un file di lingua

Font - Caratteri

Parole chiave predefinite – Testi di sistema in CEL

Percorsi per cambio lingua dell´help Runtime

Formattazione delle traduzioni

Funzioni di cambio lingua


Testi suscettibili di cambio lingua

Manuale -> Cambio lingua -> Testi suscettibili di cambio lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il cambio lingua può essere utilizzato nei seguenti casi:

  • per i testi visualizzati nel Runtime:
    p.e. testi di valori limite, caratteristiche di variabili.
  • Caratteri:
    p.e. Arial Unicode
  • Testi in AML, CEL e IPA
    Testi di stato e messaggi di sistema nella Lista allarmi - e Lista eventi cronologica, nonché nell´Industrial Performance Analyzer
  • Gruppi allarmi/eventi, classi allarmi:
    Nomi di gruppi e classi.
  • Dialoghi Runtime:
    p.e. Finestra standard di Login, dialogo filtro degli allarmi.
  • Guida Runtime:
    Si può effettuare il cambio di lingua per tutta la Guida runtime (Operazioni di preparazione di una guida intercambiabile).
  • Percorso liste:
    Cambiamento di testi per un'immagine del tipo Lista , oppure pagine HTML per il tipo immagine HTML.
  • Percorso file multimedia:
    cambio percorsi per grafiche, guida, multimedia, testi e formati, nonché Report Viewer.
  • S7-Graph Sequenze concatenate
    Cambio di elementi dinamici e statici.

Sono intercambiabili:

Parametri | Descrizione
Elementi grafici | Testo
 | Collegamento di testo:
 | Pulsante testo
 | Multibin
 | Elemento combinato
 | Slider universale
 | Combo List Box
Variabili | Identificazione (il nome della variabile non è intercambiabile)
 | Unità
 | Testo valore limite Il testo dinamico di valore limite consente di inserie valori attuali di variabili nel testo di valore limite in un´altra variabile. Un testo fisso può essere collegato mediante un indice con parole chiave appartenenti ad una tabella lingua. Vedi i dettagli: Testo dinamico di valore limite e Uso di parole chiave in liste di testi nella guida delle Variabili.
Immagini | Nome Immagine
Ricette standard | Nome ricetta
Menù | Menù
Generatore Report | Testo standard
IPA | Testi
Gestione allarmi / Lista eventi cronologica | Titolo liste (titolo colonne) Gruppi allarmi/eventi, classi allarmi/eventi Nome
Post-elaborazione archivio: | Titolo liste (descrizione colonne)
Runtime | Dialoghi nel runtime
Matrici di reazione | Testo valore limite
Tooltips | In ogni caso in cui sono stati definiti dei Testi di firma per elementi dinamici.
Testi di firma | Dappertutto dopo possono essere utilizzati testi di firma.

Non sono intercambiabili:

Tipo | Descrizione
Variabili | Nome variabile (l'identificazione variabile non è soggetta a cambio di lingua), valore di riserva per tipo String.
Funzioni | Nomi funzioni
Carattere | Nome
Modelli | Nome
Driver | Denominazione (nel caso della Selezione driverè impostabile)
Tipi di dato | Nome
Matrici di reazione | Nome
Attribuzioni | Nome
Script | Nome
Archivio | Nome
Temporizzatori | Nome
Process Control Engine | Nome task
Interblocchi | Nome
Menù | Nome


Cambio lingua Visualizzazione dettagli barra simboli e menu contestuale

Manuale -> Cambio lingua -> Cambio lingua Visualizzazione dettagli barra simboli e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Punto di menù

Azione

Nuovo file lingua

Aggiunge un nuovo file lingua vuoto alla lista.

Crea funzionalità standard

Crea una funzione Cambio lingua e apre il Dialogo che serve ad effettuare la configurazione.

Salva

Salva un file lingua.

Copia file

Copia i file selezionati negli appunti

Copia chiavi

Copia le chiavi selezionate negli appunti.

Inserisci

Aggiunge contenuto degli appunti (file oppure chiavi) nella tabella lingua. Il file aggiunto viene visualizzato solo dopo l´aggiornamento della visuale Editor.

Elimina file

Cancella il file di lingua selezionato dalla tabella lingua.

Elimina chiave

Cancella la chiave selezionata dalla tabella lingua.

Torna all'elemento di partenza

Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza.
Nel menu contestuale esistente solamente, se aperto come elemento collegato.

Esporta file

Esporta il file di lingua selezionato in formato TXT.

Importa file

Importa il file in formato TXT.

Import/Export esteso

Apre il menù per importare ed esportare progetti Step 7, dBase e CSV..

Nota: Ulteriori informazioni a questo proposito le trovate nella guida relativa a import - export, nel capitolo Import di progetto Step 7.

Trova

Apre il Dialogo che serve alla ricerca di inserimenti nel file di lingua attivo.

Sostituisci

Apre il Dialogo per cercare e sostituire inserimenti nella tabella lingua attiva.

Carattere per il file di lingua selezionato

Apre il dialogo per la selezione del Carattere:

  • Scegli: si apre il dialogo per selezionare un carattere
  • Carattere Standard: si usa il carattere standard

Tabella lingua per l'Editor

Apre lista a cascata per la selezione del file lingua per l´Editor.

Rimuovi tutti i filtri

Elimina tutti i testi filtro dalle colonne.

Tabella caratteri

Apre la tabella caratteri di Windows.

Aggiorna versione locale

Disponibile solamente con l´engineering distribuito.

Sincronizza la copia locale del file di lingua con la banca dati del server e la attualizza.

Consenti modifiche

Disponibile solamente con l´engineering distribuito.

Blocca il file di lingua per proteggerlo da tentativi di modifica da parte di altri utenti.

Accetta modifiche

Disponibile solamente con l´engineering distribuito.

Trasmette delle modifiche locali alla banca dati del server e rilascia il file di lingua per altri utenti.

Cancella modifiche

Disponibile solamente con l´engineering distribuito.

Rifiuta tutte le modifiche locali e rilascia il file di lingua per altri utenti.

Guida

Apre la guida online.

info Informazioni su

Le operazioni esporta, copia, cerca e sostituisci file si riferiscono al file di lingua attivo. Attivo significa:

quando si clicca all´interno della tabella, viene settato su "attivo" il file nella cui colonna si è cliccato. Il nome del file attivo viene visualizzato nella finestra delle proprietà e nel titolo della colonna che contiene il file appare il simbolo canocchiale.


Parole chiave

Manuale -> Cambio lingua -> Parole chiave

Definire parole chiave

Le parole chiave sono caratterizzate dalla presenza del segno @.

A questo proposito vale quanto segue:

@Testo

Tutto il testo viene tradotto

Testo@

Il testo non viene tradotto.

@Testo@

Viene tradotto il testo compreso tra le ‘@’

Questo significa: Viene tradotto il testo solo dopo un numero dispari di @ (si inizia a contare dall’inizio del testo).

Ad esempio @user@Doe

  • user viene tradotto
  • Doe no

Il testo tra il primo e il secondo @ viene tradotto, quello tra il secondo e il terzo @ no!

Concatenare

Sono possibili concatenazioni di elementi di testo che devono essere tradotti o no:

@L’utente@ Roberto @ ha effettuato il logout.

@Testo1@ Testo2 @Testo3

  • Testo1: viene tradotto
  • Testo 2: non viene tradotto
  • Testo 3: viene tradotto

Visualizzare parole chiave nel runtime

Se ad una parole chiave è assegnata una traduzione, nel runtime vengono visualizzati i testi tradotti.

Nel caso in cui non siano associate traduzioni, a runtime non viene visualizzato nessun testo.

I testi non ancora tradotti possono essere visualizzati come parola chiave. A tale scopo:

  1. navigate nelle proprietà di progetto e passate a Aspetto grafico -> Runtime generale
  2. attivate la proprietà Visualizza parole chiave non tradotte
  3. i testi non tradotti saranno poi visualizzati nel Runtime tramite @Parola chiave


Tabella lingua

Manuale -> Cambio lingua -> Tabella lingua

Per progettare un cambio lingua, si deve anzitutto creare nel Manager di progetto una Tabella lingua. File di testo sono alla base della Tabella Lingua.

A questo proposito vale quanto segue:

  • La tabella contiene sempre una colonna Parola chiave.
  • La colonna ZENONSTR.TXT viene inserita automaticamente. Non può essere cancellata, ma estesa. All’avvio del Runtime viene caricato automaticamente questo file.
  • Ad ogni lingua viene assegnata una colonna propria nella tabelle lingua.
  • Per ogni lingua viene creato un File di lingua proprio. In questo file viene salvata la parola chiave con la traduzione. Parola chiave e traduzione sono separate da un segno Pipe |.
  • Se si inserisce una parola chiave in una tabella lingua, tutte le colonne di questa riga vengono riempite automaticamente con la parola chiave. Questa parola chiave viene poi sostituita dalla traduzione nella lingua corrispondente.
  • Se non è disponibile nessuna traduzione, il sistema visualizza nel Runtime la parola chiave.

Noch in diesem Kapitel

Crea nuovo file lingua

Visualizzazione e handling

Parole chiave nella tabella lingua


Crea nuovo file lingua

Manuale -> Cambio lingua -> Tabella lingua -> Crea nuovo file lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un nuovo file lingua:

  1. aprite il menù contestuale dell´inserimento File di lingua nel Manager di progetto
  2. selezionate l´inserimento Nuovo.
  3. si apre il dialogo che serve alla creazione di un nuovo file di lingua

  4. assegnate un nome che potete definire liberamente

    Nota: Non sono consentiti caratteri speciali; l´estensione file *.txt viene settata automaticamente

  5. confermate cliccando sul pulsante OK
  6. il nuovo file viene inserito nella tabella lingua nella colonna all´estrema destra

Con la creazione di un nuovo file di lingua vengono create nella Cartella per file esterni binari delle sottocartelle lingua con il nome del file di nuova creazione; queste sottocartelle sono per:

  • Grafica
  • Guida
  • Multimedia
  • Liste
  • Report Viewer


Visualizzazione e handling

Manuale -> Cambio lingua -> Tabella lingua -> Visualizzazione e handling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Visualizzazione a più righe

Testi chiave e traduzioni possono essere visualizzati a più righe.

Per definire individualmente l´altezza delle righe:

  1. portate il puntatore del mouse sulla testa della riga, a sinistra della colonna Parola chiave
  2. navigate verso la linea di separazione delle righe finché il puntatore non assume l´aspetto di una croce
  3. trascinate la riga tenendo premuto il tasto sinistro del mouse finché non raggiunge l´altezza desiderata

Per adattare l´altezza riga automaticamente

  1. portate il puntatore del mouse sulla testa della riga, a sinistra della colonna Parola chiave
  2. navigate verso la linea di separazione delle righe finché il puntatore non assume l´aspetto di una croce
  3. cliccate due volte sulla linea di separazione
  4. l´altezza riga verrà adattata automaticamente al contenuto, i testi verranno interrotti sulla base della larghezza della colonna

Nota: le altezze riga impostate non vengono salvate quando si lascia la lista.

Trova e sostituisci

E' possibile nella Tabella lingua cercare determinati testi o frammenti di testo. A questo scopo possono essere utilizzate delle espressioni regolari (regular expressions). Le corrispondenze trovate possono anche essere contemporaneamente sostituite. Trova e sostituisci vale sempre solamente per la colonna nella quale si trova il cursore.

Per cercare e sostituire:

  1. attivate la colonna desiderata
  2. cliccate una volta con il tasto destro del mouse
  3. selezionate nel menù contestuale Cerca o Sostituisci.

Ricerca incrementale

  1. Se si preme un qualsiasi testo alfanumerico nella lista, verrà avviata una ricerca incrementale:
  2. viene selezionata la prossima riga della colonna attiva, il cui testo corrisponde al criterio di ricerca.
  3. La ricerca si riferisce sempre al primo carattere della riga. Ad esempio:

    r trova la riga che inizia con rosso, ma non quella che inizia con verde

Ordina

Per ordinare la tabella:

  1. cliccate sull´intestazione della colonna che deve essere ordinata
  2. la colonna verrà ordinata; la direzione (ascendente/discendente) verrà indicata da una freccia sopra la didascalia della colonna
  3. se si clicca un´altra volta sull´intestazione della colonna, cambia la direzione in cui si ordina la colonna

Filtrare

Si può filtrare questa lista. A tal scopo, si deve inserire il testo filtro nell´intestazione della colonna nella quale si vuole effettuare l´operazione di filtro Tutte le righe che non corrispondono al criterio di filtro, verranno eliminate dalla lista. Si possono utilizzare nel testo filtro delle Wildcard „*" (più caratteri) e „?" (singolo carattere). Si possono combinare diversi filtri.

Per resettare il filtro, cancellate il testo filtro dall´intestazione della colonna, oppure usate il comando Rimuovi tutti i filtri del menù contestuale.

Copiare ed inserire

Usando il comando del menù contestuale Copia file si può copiare il file attivo negli appunti. Per inserire un file che si trova negli appunti, selezionate nel menù contestuale il comando Inserisci.

Quando si inserisce un file, il sistema differenzia fra il proprio progetto e un progetto estraneo:

  • quando l´inserimento avviene nel proprio progetto, viene inserito un nuovo file con il nome „KOPIE n VON XXX.TXT":
    • n = numero della copia
    • XXX = nome del file copiato
  • Quando l´inserimento avviene in un altro progetto, il sistema controlla se esiste già un file lingua che ha lo stesso nome.
    • In quest´ultimo caso il sistema richiederà se il file deve essere sovrascritto o meno.
    • Se il file lingua non esiste ancora, esso verrà inserito nel progetto con il nome del file copiato.

Nota: i testi chiave possono essere copiati e inseriti anche ricorrendo alle combinazioni di tasti Ctrl+C e Ctrl+V. Ciò, tuttavia, non è possibile per i file di lingua.

Rinomina

Il nome del file attivo viene visualizzato nella finestra delle proprietà come proprietà Nome file. Qui si può cambiare il nome del file di lingua (colonna). Quando si rinomina un file di lingua, vengono rinominate anche le relative sottocartelle nelle cartelle di file binario (vedi anche capitolo Crea nuovo file di lingua).

Sfruttare la tabella lingue nell´Editor

La parole chiave possono essere già tradotte e utilizzate durante la progettazione nell’Editor. Così potete - senza che sia necessario avviare il Runtime - controllare, per esempio, se le lunghezze dei campi di testo sono sufficienti per tutte le lingue.

Per usare un file di lingua nell´Editor:

  1. Selezionate nel menù contestuale l´inserimento Tabella lingua per l'Editor.
  2. selezionate nel sottomenù il file desiderato
  3. il file di lingua attivo nell´Editor viene indicato per mezzo di caratteri di colore verde nel titolo della colonna.

Carattere

Nella Tabella Lingua, anche i Font sono intercambiabili tramite menù contestuale. .

Nel Progetto globale possono essere impostate delle liste caratteri globali. Gli inserimenti presenti in quella sede sono a disposizione in tutti i progetti del workspace.

info Informazioni su

Se il font non è rappresentato in modo corretto nella visualizzazione lista, si deve provvedere ad attivare il tipo di carattere Arial Unicode nel pannello di controllo.

Noch in diesem Kapitel

Trova

Sostituisci


Trova

Manuale -> Cambio lingua -> Tabella lingua -> Visualizzazione e handling -> Trova

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per cercare nell´ambito della tabella lingua, cliccate con il tasto destro del mouse nella colonna desiderata e selezionate nel menù contestuale il comando Cerca.

Parametri

Descrizione

Cerca per

Inserimento della chiave di ricerca.

Parola completa
  • Attivo: Il sistema trova solamente la chiave di ricerca indicata nel campo di inserimento.
  • Inattiva: Il sistema trova anche delle espressioni che contengono la chiave di ricerca.
    Per esempio: con "text" si trova anche "Textur"

Caratteri maiuscoli/minuscoli:
  • Attivo: Si differenzia fra scrittura in lettere maiuscole e minuscole.
    Esempio: con "Text" si trova solamente "Text" ma non "text".
  • Inattiva: L´uso di lettere maiuscole o minuscole non ha alcuna influenza sui risultati della ricerca.

Cerca in

Definisce la direzione della ricerca

In su

Attivo: La ricerca parte dalla cellula evidenziata e procede verso l´alto.

In giù

Attivo: La ricerca parte dalla cellula evidenziata e procede verso il basso.

Trova successivo

Cerca e trova la prossima corrispondenza di testo.

Elimina

Termina ricerca


Sostituisci

Manuale -> Cambio lingua -> Tabella lingua -> Visualizzazione e handling -> Sostituisci

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per cercare e sostituire nell´ambito della tabella lingua, cliccate con il tasto destro del mouse nella colonna desiderata e selezionate nel menù contestuale il comando Sostituisci.

Parametri

Descrizione

Cerca per

Inserimento della chiave di ricerca.

Sostituito con

Inserimento del criterio che deve sostituire la chiave di ricerca.

Parola completa
  • Attivo: Il sistema trova solamente la chiave di ricerca indicata nel campo di inserimento.
  • Inattiva: Il sistema trova anche delle espressioni che contengono la chiave di ricerca.
    Per esempio: con "text" si trova anche "Textur"

Caratteri maiuscoli/minuscoli:
  • Attivo: Si differenzia fra scrittura in lettere maiuscole e minuscole.
    Esempio: con "Text" si trova solamente "Text" ma non "text".
  • Inattiva: L´uso di lettere maiuscole o minuscole non ha alcuna influenza sui risultati della ricerca.

Trova successivo

Cerca e trova la prossima corrispondenza di testo.

Sostituisci

La corrispondenza di testo trovata viene sostituita.

Sostituisci tutti

Tutte le corrispondenze trovate nella colonna attiva vengono sostituite automaticamente.

Elimina

Termina ricerca


Parole chiave nella tabella lingua

Manuale -> Cambio lingua -> Tabella lingua -> Parole chiave nella tabella lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le parole chiave per i testi suscettibili di cambio lingua, vengono caratterizzati in zenon dalla presenza del segno @. Le parole chiave vengono inserite nella tabella lingua senza il segno @. Eventuali segni @ vengono eliminati automaticamente.

Al momento dell´inserimento di una voce nella Tabella Lingua vale quanto segue:

  • pro @ vengono formati pacchetti.
  • essi devono essere inseriti uno per uno nella tabella lingua.

    Esempio: il testo suscettibile di cambio lingua "@Der Benutzer@ Doe @wird ausgeloggt." ha due inserimenti nella tabella lingua:

    • riga 1: L´utente
    • riga 2: viene disattivato
  • dopo un import, ogni file di lingua riceve in un primo momento solamente le parole chiave che aveva prima dell´import stesso
  • non appena si verifica una modifica nella tabella lingua (per es. inserimeno di una nuova parola chiave), tutte le parole chiave di tutti i file di lingua vengono sincronizzate
    • ogni file di lingua conterrà poi tutte le parole chiave
  • tutte le nuove parole chiave inserite nella tabella vengono sempre scritte subito in tutti i file di lingua esistenti

attention Attenzione

L´import può portare all´introduzione di nuove parole chiavi per cui non esistono traduzioni nei file lingua esistenti. In questo caso le parole chiave verranno visualizzate nel Runtime.

Inserisci nuove chiavi

Le nuove chiavi vengono inserite nell´ultima riga (vuota). Quando si inserisce un nuovo testo chiave, tutte le traduzioni delle righe vengono riempite con il nuovo testo.

Se si preme il tasto Ins, accade quanto segue:

  1. indipendentemente dalla posizione del cursore nella lista, viene selezionata l´ultima riga
  2. viene aperta la cella per la parola chiave per consentirne la modifica

Modifica chiavi e traduzioni

La modifica di celle della lista avviene cliccando su una cella in una riga selezionata. Se si preme il tasto F2, nella colonna attiva viene editata la riga con il focus.

Cancella chiavi e traduzioni

Si possono cancellare delle singole traduzioni, oppure delle intere chiavi con tutte le traduzioni.

Per cancellare una parola chiave con tutte le traduzioni:

  1. selezionate la riga
  2. premete il tasto Canc , oppure selezionate nel menù contestuale il comando Elimina chiave
  3. la parola chiave viene cancellata con tutte le traduzioni senza che il sistema ponga una richiesta di conferma.
  4. possono essere selezionate e cancellate contemporaneamente diverse righe (tasto Ctrl+clic; Shift+clic)

Per cancellare delle traduzioni:

  1. selezionate la riga
  2. la colonna Parola chiave non deve essere attiva
  3. tenete premuto il tasto shift (maiuscolo) e premete il tasto Canc
  4. la traduzione della colonna attiva verrà cancellata

Copiare ed inserire

Per copiare delle parole chiave:

  1. selezionate le righe desiderate (possibile selezione multipla).
  2. premete la combinazione di tasti Ctrl+C , oppure selezionate nel menù contestuale il comando Copia chiave
  3. le parole chiave verranno copiate negli appunti

Per inserire delle parole chiave:

  1. cliccate all´interno della tabella lingua
  2. premete la combinazione di tasti Ctrl+V , oppure selezionate nel menù contestuale il comando Inserisci
  3. le parole chiave e traduzioni vengono riprese dagli appunti e inserite nella lista
  4. se nella lista c´è già una chiave copiata, ne viene creata una nuova Copia n di XXX
    • n = numero della copia
    • XXX = nome della chiave copiata


Modificare esternamente un file di lingua

Manuale -> Cambio lingua -> Modificare esternamente un file di lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I file di lingua possono essere modificati anche esternamente. A tal fine li si deve anzitutto esportare. L´export può avvenire nei modi seguenti:

  • File TXT: modifica con l´Editor dei testi
  • File CSV: modifica con Microsoft Excel

Per modificare un file di lingua:

  1. esportate il file desiderato
  2. effettuate le modifiche, a seconda del tipo di export, con
    • Editor dei testi oppure
    • Microsoft Excel
  3. reimportate il file nell´Editor

attention Attenzione

Nel caso di modifiche effettuate esternamente, bisogna tenere presente quanto segue:

  • quando lo si importa, il nuovo file non viene semplicemente tradotto, ma associato a quello esistente attualmente nel progetto. Vedi i dettagli: Esporta e importa file di lingua
  • Le modifiche riguardano sempre solamente la parola chiave e la lingua selezionata. Tutte le altre lingue rimangono immutate, oppure vuote.

Noch in diesem Kapitel

Esporta e importa file di lingua

Modifica in file testo

Modifica in MS Excel


Esporta e importa file di lingua

Manuale -> Cambio lingua -> Modificare esternamente un file di lingua -> Esporta e importa file di lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esportazione

Per esportare un file di lingua:

  1. cliccate nella colonna desiderata (per export TXT)
  2. aprite il menù contestuale cliccando con il tasto destro del mouse
  3. selezionate il tipo di export desiderato:
    • Esporta file: esporta la tabella in formato TXT
      Questa forma si presta soprattutto ad inoltrare un file di lingua ad altri utenti e ad importarlo in altri progetti. Riguarda sempre solo il file di lingua selezionato.
    • Import/export esteso -> esporta tutte le tabelle esistenti nel formato CSVS
      i presta soprattutto alla modifica esterna. Riguarda sempre tutti i file di lingua in una tabella lingua.
  4. si apre il dialogo per selezionare il posto in cui salvare il file e per scegliere un nome file
  5. salvate il file di esportazione
  6. un messaggio avverte che l´export è stato eseguito con successo e offre la possibilità di aprire la cartella di export
    • Cliccando sul pulsante Sì si apre la cartella di export e si chiude il dialogo
    • Se si clicca sul pulsante No, si chiude il dialogo

Importa

Per importare un file di lingua:

  1. cliccate all´interno della tabella lingua
  2. aprite il menù contestuale cliccando con il tasto destro del mouse
  3. selezionate il tipo di import desiderato:
    • Importa file: Importa un file in formato TXT
    • Import/export esteso -> Importa file CSV: Importa un file in formato CSV
  4. si apre il dialogo per selezionare il file
  5. se si clicca su OK, il file viene importato

attention Attenzione

L´import può portare all´introduzione di nuove parole chiavi per cui non esistono traduzioni nei file lingua esistenti. In questo caso le parole chiave verranno visualizzate nel Runtime.

Import di TXT

Per poterne effettuare l´import, i file di testo devono corrispondere al formato della tabella lingua: Testo chiave + | + Traduzione

Quando lo si importa, il nuovo file non viene semplicemente tradotto, ma associato a quello esistente attualmente nel progetto:

  • Se nel file di importazione ci sono delle informazioni che esistono anche nel progetto, le informazioni del file di importazione sovrascrivono quelle del progetto.
  • Gli inserimenti che sono presenti solamente nel progetto, non vengono modificati.
  • Gli inserimenti presenti solamente nel file di importazione, verranno inseriti.
  • Se non esiste ancora un file di lingua del file di importazione nel progetto, viene creato un nuovo file con il nuovo nome.

Import di CSV

Per poterne effettuare l´import, i file CSV devono corrispondere al formato della tabella lingua.

  • Bisogna usare solamente dei separatori di colonna consentiti:
    • Pipe (|)
    • punto e virgola (;)
    • TAB (->)

    Se si usano anche degli altri caratteri come separatori di colonne, apparirà un messaggio di errore.

  • La prima riga deve contenere una lista dei file; all´inizio si deve trovare un place holder per la colonna Testo chiave.
  • I file devono avere la desinenza .csv. In caso contrario apparirà una segnalazione di errore.
  • Nelle altre righe ci sono il rispettivo testo chiave e i testi da tradurre divisi dal separatore colonne. Il testo chiave deve essere sempre nella prima colonna.
  • Se non esiste ancora un file di lingua indicato in un titolo colonna, viene creato un nuovo file con il nuovo nome.
  • I file esistenti vengono associati in modo analogo a quanto avviene nel caso di import da un file di testo.

Example Esempio

Struttura File CSV:

Schlüsselwort|ZENONSTR.TXT|FRENCH.TXT|ENGLISH.TXT|GERMAN.TXT

A1004|A1004|F1004|E1004|D1004

A14|A14|F14|E14|D14

A25|A25|F25|E25|D25


Modifica in file testo

Manuale -> Cambio lingua -> Modificare esternamente un file di lingua -> Modifica in file testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Modifica in un file testo

Per i file lingua vale quanto segue:

  • i contenuti vengono inseriti come testo in ordine cronologico.
  • Il separatore fra parola chiave e concetto tradotto è un | (Pipe).
  • Viene tradotto solamente il concetto dopo il segno Pipe.

Example Esempio

|

uno|one

due|two

tre|three


Modifica in MS Excel

Manuale -> Cambio lingua -> Modificare esternamente un file di lingua -> Modifica in MS Excel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile anche l’elaborazione tramite MS Excel. Per elaborare un file lingua mediante MS Excel:

  1. esportate il file lingua in un file CSV con la desinenza .csv
  2. aprite il file con MS Excel (doppio clic sul file)
  3. il file di esportazione viene importato automaticamente in Excel
  4. i dati verrano visualizzati nel modo seguente:
    • Colonna A: Parola chiave
    • altre colonne: traduzioni; una traduzione a colonna
    • viene visualizzato un separatore
  5. modificate i testi a piacimento
  6. salvate il file nel formato CSV.

Per usare in zenon i file lingua modificati, importate il file CSV in zenon.


Font - Caratteri

Manuale -> Cambio lingua -> Font - Caratteri

Nel quadro del cambio lingua può essere necessario usare diversi caratteri di scrittura, come, ad esempio, unicode per i caratteri delle lingue asiatiche.

Definizione tramite liste caratteri

Definite i caratteri e le liste caratteri nel nodo Immagini/Caratteri. Le liste caratteri impostate in questa sede possono essere selezionate nella funzione Cambio lingua.

Nota: i dettagli concernenti i caratteri e le liste li trovate nel capitolo Caratteri nella guida Immagini.

Assegna direttamente tipo di lingua a file lingua

I tipi di carattere possono essere assegnati al file lingua anche direttamente. Ma ciò definisce solamente la rappresentazione ottica nel file lingua. La visualizzazione dei testi tradotti nell´editor e nel runtime non ne è condizionata; essa viene fissata mediante Liste caratteri.

Per assegnate direttamente un tipo di carattere al file lingua:

  1. selezionate una colonna del file lingua.
  2. selezionate nel menù contestuale Carattere per file lingua/scelta selezionato
  3. si apre il dialogo standard Windows che serve alla selezione di un carattere
  4. selezionate il carattere desiderato.

    Nota: ulteriori impostazioni del dialogo standard, come colore del carattere, non hanno alcun effetto sulla visualizzazione in zenon

info Informazioni su

Tipi caratteri e file lingua possono essere usati e visualizzati già nell´editor. A questo scopo selezionate nel menù contestuale:

  • del file lingua: File lingua per l´editor -> seleziona file desiderato
  • della lista carattere: Lista carattere per l´editor -> seleziona lista desiderata

attention Attenzione

Nell´elemento vettoriale Testo statico i caratteri possono essere inseriti anche in modalità scollegata. Esse non sono modificabili mediante il file lingua.


Parole chiave predefinite – Testi di sistema in CEL

Manuale -> Cambio lingua -> Parole chiave predefinite – Testi di sistema in CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per tutti i testi, che normalmente vengono visualizzati a Runtime, ci sono delle parole chiave predefinite.

Raccomandazione: Per la progettazione, usate System Text Wizard.

Attenzione: eventuali modifiche vengono sovrascritte nel caso si effettui un update di zenon. Vi consigliamo di salvare i file modificati e di copiarli dopo l'update nella nuova versione.

La lingua runtime impostata deve essere l´inglese, per assicurare che il cambio lingua funzioni per i dialoghi o con le parole chiave predefinite per la CEL; questo perché le parole chiave sono definite in inglese.

I testi che vengono utilizzati nei titoli delle colonne della Lista eventi cronologica e della Gestione allarmi, possono essere configurati tramite le proprietà di progetto. Il dialogo viene aperto attraverso: Lista eventi cronologica (CEL) -> Impostazioni colonna CEL o Lista di informazione allarmi -> Impostazione colonna AML, oppure nella rispettiva funzione Cambio immagine.

Il procedimento è analogo a quello per i testi. Un carattere anteposto @ all’inizio della descrizione consente il Cambio Lingua.


Percorsi per cambio lingua dell´help Runtime

Manuale -> Cambio lingua -> Percorsi per cambio lingua dell´help Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si crea un file lingua, per i file necessari del cambio lingua vengono creati automaticamente gli inserimento necessari nelle sottocartelle.

  • Grafica
  • Guida
  • Multimedia
  • Liste
  • Report Viewer

Nella configurazione della funzione cambio lingua è possibile scegliere la cartella corrispondente:

attention Attenzione

I file devono essere salvati in cartelle differenti e devono avere lo stesso nome per le diverse lingue.

Un percorso è già dato di default nell’editor. All’avvio della “Funzione di cambio lingua”, viene modificato il percorso. Esiste la possibilità di creare delle cartelle individuali nella struttura ad albero del progetto, al di sotto del nodo File .

info Informazioni su

È possibile creare diversi livelli di sottocartella nel nodo File. Nella funzione Cambio lingua, però, possono essere selezionate solamente quelle cartelle che si trovano nel primo livello.

Se il cambio di lingua non viene effettuato, le cartelle standard valgono da percorsi di default.

attention Attenzione

Di regola, il cambio lingua non è possibile nel runtime per quello che concerne l´help HMTL dei sistemi operativi Microsoft. Un help che preveda la possibilità del cambio lingua, deve essere progettato mediante una Immagine HTML.

Eccezione: Help sotto Windows CE.


Formattazione delle traduzioni

Manuale -> Cambio lingua -> Formattazione delle traduzioni

Per esportare testi da tradurre:

esportate la tabella lingua in CSV

fate tradurre i testi

importate il file CSV modificato

tenete presente che, nel caso di engineering distribuito, deve essere attivo il comando Consentire i cambiamenti per i file lingua, in modo tale che sia possibile effettuare delle modifiche.

attention Attenzione

Nei progetti multiuser, i testi chiave e le loro traduzioni possono essere modificati solo se per i file sono consentiti dei cambiamenti. I testi da tradurre di quei file per cui non sono permesse modifiche, non possono essere selezionati ed elaborati.

I testi chiave possono essere modificati solamente se per tutti i file sono consentiti dei cambiamenti. Quando si inseriscono delle nuove chiavi, esse vengono riportate solamente in quei file per i quali sono consentite le modifiche.


Funzioni di cambio lingua

Manuale -> Cambio lingua -> Funzioni di cambio lingua

Con questa funzione, è possibile cambiare la lingua di alcune informazioni di testo, per esempio, per i pulsanti, durante il runtime. Al momento di creare un nuovo file di lingua, viene impostata automaticamente una sottocartella nella cartella relativa per grafica, guida, multimedia, testi e formati, nonché Report Viewer. Essa riceve lo stesso nome del nuovo file di lingua. I file corrispondenti vengono depositati in questa cartella. La sottocartella attiva può essere cambiata con la funzione Cambio lingua. Se nella sottocartella non c´é un file con il nome indicato, il sistema cerca di caricare il file dalla cartella superiore non dipendente dalla lingua.

Per configurare la funzione:

  1. scegliete Nuova funzione.
  2. navigate per raggiungere il nodo Applicazione
  3. selezionate Cambio lingua
  4. configurate nel dialogo che si aprirà il Cambio lingua.

Parametri | Descrizione
File lingua | Apre il Manager file che serve alla selezione di un file lingua.
Lista caratteri | Lista a cascata con la lista dei caratteri disponibili nell´editor.
Cambio cartelle | Contiene i percorsi per i file necessari.
Grafica | Lista a cascata per sottocartelle dipendenti dalla lungua per grafiche.
Guida | Lista a cascata con sottocartelle dipendenti dalla lingua per file CHM della guida Runtime.
Multimedia | Lista a cascata per sottocartelle dipendenti dalla lingua per file multimedia.
Liste | Lista a cascata con sottocartelle lingua per testi e formati
File definizione Report | Lista a cascata per sottocartelle dipendenti dalla lingua per Report Viewer.
Ok | Riprende la configurazione, crea funzione e chiude il dialogo.
Elimina | Rifiuta le impostazioni, chiude il dialogo e crea una funzione senza destinazione.
Guida | Apre la guida online


Cambio unità di misura

Manuale -> Cambio unità di misura

Il cambio unità di misura permette la conversione e il cambio di unità di base in cosiddette unità di commutazione, per esempio metro in yard o metro in decimetro, centimetro in millimetro. Un´unità base contiene il valore di partenza per una conversione. L´unità di conversione contiene il valore calcolato in relazione all´unità di base. Entrambe dispongono di una denominazione di unità di misura. Per l´unità di conversione possono essere definiti Fattore, un Offset e una Posizione della virgola decimale in riferimento all´unità di base corrispondente.

Al momento di definire i parametri di una variabile, si può selezionare un´unità di base. Mediante la funzione Cambio unità di misura si può passare durante il runtime da un´unità all´altra.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Menù contestuale - manager di progetto

Punto di menù | Azione
Nuova unità di base | Crea una nuova unità base.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa delle unità di misura da un file XML.
Guida | Apre la guida online.

info Informazioni su

Il cambio dell´unità di misura non deve essere usato in concomitanza con la funzione report variablerw. Tale funzione, infatti, rende disponibile un cambio di unità per progetti più vecchi. Se un´unità di una variabile definita nel cambio unità di misura viene modificata facendo uso di questa funzione report, deve essere effettuata di nuovo la configurazione nel cambio di unità di misura.

Noch in diesem Kapitel

Unità di misura Visualizzazione dettagli barra simboli e menù contestuale

Progettare unità di misura

Attribuzione a una variabile dell´unità base

Funzione Cambio unità di misura

Runtime


Unità di misura Visualizzazione dettagli barra simboli e menù contestuale

Manuale -> Cambio unità di misura -> Unità di misura Visualizzazione dettagli barra simboli e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale Unità di misura Visualizzazione dettagli

Punto di menù | Azione
Nuova unità di base | Crea una nuova unità base.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa delle unità di misura da un file XML.
Guida | Attiva la guida online

Menù contestuale e barra simboli Unità base/Unità convertita

Punto di menù | Azione
Nuova unità di base | Crea una nuova unità base.
Nuova unità di conversione | Imposta una nuova unità di conversione per l´unità base sovraordinata.
Elementi collegati: Torna all'elemento di partenza | Lista a cascata con link che riconduce all´elemento dal quale si è giunti all´unità. Esiste solamente se l´unità è collegata con un altro elemento.
Rinomina | Permette il cambiamento della denominazione dell´unità di misura. Attenzione: quando se ne cambia la denominazione, tutte le unità di misura che sono già connesse a variabili, o che vengono utilizzate in funzioni, devono essere adeguate manualmente nelle corrispondenti variabili oppure nella relativa funzione. Vedi anche: Attribuzione a una variabile di un´unità base Funzione "cambio unità di misura".
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa delle unità di misura da un file XML.
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selezionati.
Guida | Attiva la guida online


Progettare unità di misura

Manuale -> Cambio unità di misura -> Progettare unità di misura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la conversione, dovete creare una unità di base e un´unità di conversione, nonché i parametri per il calcolo. La conversione viene effettuata secondo la formula y=kx+d (Austria) oppure y=mx+b Germania). Ogni unità di base può essere assegnata a una Variabile come unità di misura.

Per creare un´unità di base, seguite la seguente procedura:

  • selezionate nel manager di progetto il nodo Unità di misura.
  • Cliccate poi con il tasto destro del mouse su Unità di misura.
  • Selezionate nel menù contestuale il comando Nuova unità di base.
  • Viene generato un nuovo inserimento nella lista.
  • Assegnate una denominazione all´unità di misura.
  • Impostate un´unità di conversione.

Per creare un´unità di conversione, seguite la seguente procedura:

  • cliccate con il tasto destro del mouse su Unità di base.
  • Selezionate nel menù contestuale il comando Nuova unità di conversione.
  • Viene generato un nuovo inserimento nella lista.
  • Assegnate una denominazione all´unità di misura.
  • impostate un Fattore per la conversione
  • stabilite un valore Posizione della virgola decimale per
  • stabilite un valore Offset per


Attribuzione a una variabile dell´unità base

Manuale -> Cambio unità di misura -> Attribuzione a una variabile dell´unità base

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le unità di base vengono assegnate a una variabile nella proprietà Unità di misura (nodo Generale).

In questa sede potete scegliere una denominazione a piacere per le unità. Se volete utilizzare la conversione dell´unità durante il runtime, selezionate in primo luogo una unità base definita scegliendola fra quelle del menù a tendina.

Suggerimento: Quando assegnate una denominazione a piacere, Vi consigliamo di impostare subito dopo nel nodo Unità di misura L´unità base con lo stesso nome.

Per far in modo che venga effettivamente eseguito il calcolo di conversione durante il runtime, dovete impostare una Funzione "Conversione unità di misura" .

attention Attenzione

Se poi si decide di modificare l´unità di misura in un secondo momento, il cambiamento della denominazione non viene effettuato automaticamente per le variabili già connesse.

Per cambiare la denominazione di unità di misura già connesse, procedete nel modo seguente:

  • selezionate la visualizzazione dettagli del manager di progetto
  • poi selezionate la colonna "unità di misura", oppure aggiungetela alla visualizzazione nel caso in cui essa non venga ancora visualizzata.
  • Selezionate poi nel menù contestuale il comando "Sostituisci testo nella colonna selezionata".
  • Nel dialogo che si aprirà, poi, cercate il vecchio nome e sostituitelo con il nuovo.


Funzione Cambio unità di misura

Manuale -> Cambio unità di misura -> Funzione Cambio unità di misura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter passare da un´unità di misura all´altra durante il runtime, dovete creare una funzione Cambio unità di misura:

  • selezionate nel manager di progetto il nodo Funzione.
  • Selezionate nel menu contestuale il comando Nuova funzione.
  • Navigare per raggiungere la variabile.
  • Selezionate la funzione Cambio unità di misura.

    Nota: l´esecuzione della funzione Cambio unità di misura determina anche un refresk del rapporto, nel caso in cui questo venga visualizzato in quel momento.

  • Si apre il dialogo che serve a fissare i parametri della funzione Cambio unità di misura:

Proprietà | Descrizione
Cambio unità di misura | Dialogo che serve alla attribuzione di unità di calcolo a unità di base.
Unità di base | Lista delle unità basi impostate.
Sostituisci in | lista a cascata che serve alla selezione dell´unità di calcolo. Si può scegliere un´unità di calcolo progettata, oppure l´unità di base. Unità di calcolo progettata: si passa a questa durante il runtime. <Unità di base>: L´unità di base rimane attiva durante il runtime.

info Informazioni su

Nel´export XML di questa funzione, non viene esportata anche l´unità di misura. Essa deve essere esportata separatamente.

attention Attenzione

Se un´unità di misura viene rinominata in seguito, questo cambio di nome dell´unità base viene tenuto presente automaticamente nelle funzioni. Le unità di calcolo devono essere modificate manualmente.


Runtime

Manuale -> Cambio unità di misura -> Runtime

Nel runtime ogni valore delle variabili viene convertito in occasione di ogni inserimento e emissione da unità di segnale a unità di area di misurazione; il tutto affianca la conversione usata di default.

  • Emissione Mediante la Funzione Cambio unità di misura viene attivata un´unità di conversione per una variabile. Il valore in unità di area di misurazione viene convertito con l´offset dentro impostato e il fattore. Per la trasformazione del valore in una stringa viene corretto in modo corrispondente il numero impostato sulla variabile delle cifre decimali.
  • inserimento La conversione avviene, analogamente alla emissione, nella direzione opposta.

Limitazioni:

  • Effettuando un´operazione di export, vengono esportate le unità interessate dal cambio.
  • I valori che sono salvati come stringa, non vengono convertiti ancora una volta per l´emissione. Questi valori rimangono nell´unità di misura che era attiva al momento della crezione della stringa. In particolare ciò interessa tutti i valori che vengono inseriti nel testo di un inserimento della CEL, come "Valore impostabile da VECCHIO a NUOVO" ecc.
  • Contatore ore di funzionamento e contatore cicli di funzionamento nell´Industrial Maintenance Manager vengono visualizzati sempre in unità base.
  • Le prestazioni nella immagine EMS vengono visualizzate sempre in unità base.

VBA

L´accesso a valori via VBA avviene sempre in unità base. Per esempio: la Variable.Value non fornisce nessun valore convertito, perché non si tratta di una emissione di valore. Per poter utilizzare il cambio unità anche tramite VBA, sono state implementate altre 4 nuove funzioni aVariable.:

Keyword | Descrizione
SecondaryUnitName | fornisce il nome dell´unità di conversione impostata.
SecondaryUnitDigits | fornisce le cifre decimali dell´unità di conversione impostata.
CalcSecondaryUnitValue | converte il valore della Unità base nel valore della Unità di conversione.
CalcPrimaryUnitValue | converte il valore della Unità di conversione nel valore della Unità di base.


Command Sequencer

Manuale -> Command Sequencer

The Command Sequencer module allows commands from the Command Processing module to be compiled into processes in zenon, to visualize these and to execute user interactions if required.

Noch in diesem Kapitel

Introduction

Terminology

Procedure

Licensing

Engineering in the Editor

System driver variables for the Command Sequencer module

Project backup for command sequences

Function authorizations

Command sequences in Runtime

Command sequences and simulation mode

Command sequences in the zenon network

Command sequences for zenon Web Server.

Structure of the XML file for command sequences


Introduction

Manuale -> Command Sequencer -> Introduction

The module Command Sequencer consists of three parts:

  1. The engineering environment in the zenon Editor:
    Here, the data for command sequences is applied from the configuration in the Command Processing module.
  2. The Command Sequencer Editor in zenon Runtime:
    With this Editor, the command sequences are created in zenon Runtime. The configured command processing is the basis for command sequences. During the process, the respective status of the command processing is displayed in the Command sequencer Editor and you can make changes to the command sequence process.

Particular aspects of the Command Sequencer module

In contrast to most other zenon modules, a large part of the project configuration, namely the creation of a command sequence, is done in Runtime and not in the zenon Editor. This entails special features which are dealt with in the respective chapter.

The module is designed in a way which makes it completely independent of the control. This means that the data communication take place via all available zenon energy drivers with any PLCs or even IED. They only execute the process actions. The complete editing of a command sequence is carried out in the computer in the Command Sequences Editor. No modification to the PLC code is necessary when a change is made to a command sequence.

Principle structure of the communication

  • Command variable:
    The command variable is the variable that is linked during project configuration in the Command Processing module for the respective command action.
    With this variable, set values are transferred to the PLC when a step is executed.
  • Response variable:
    This variable is used to read back values from the PLC for evaluations.

Schema

The PLC communicates with the zenon Energy driver, which in turn communicates with the command processing in zenon Runtime. The command processing sends the values back to the command sequence editor, where they are processed. Whilst executing a command sequence, the command sequence editor works synchronously to zenon Runtime in a cycle of 100 ms.

Noch in diesem Kapitel

Command Processing - supported action types

Variables for command sequences

Display of the action name in Runtime:


Command Processing - supported action types

Manuale -> Command Sequencer -> Introduction -> Command Processing - supported action types

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to be able to use configuration of the Command Processing in the Command Sequencer module, at least one action must be configured in the Command Processing module.

The following action types of command processing are supported in the Command Sequencer module:

  • Command
  • Forced command
  • Direct set value input
    • The set value configured in the command input can be transferred to the Command Sequencer module.
  • Direct status input
  • Replace
  • Revision
  • Direct correction
  • Block
  • Release
  • Check response value
  • Lock

info Informazioni su

You can find further information in the Energy Edition manual in the Action types chapter.


Variables for command sequences

Manuale -> Command Sequencer -> Introduction -> Variables for command sequences

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When compiling the command processing, the data model for command sequences is also created.

This is created as follows:

  • An item of switchgear is created for each response variable, which gets the variable name or variable identification of the response variable as a name.
    This created switching device is assigned the response variable. Return TAG is used as a type. Data type is: Numerical.
    The naming of the switching device can be configured in the Sequenze di comando project property in the Nome visualizzato nella griglia di sequenza comandi property.
  • A step is created for each action that is configured in the Command Processing module and for which a response variable is available. The step is given the name of the action that is displayed in the command processing tree.
  • The response variable is linked to each step created as a parameter. These parameters are, for example, significant when creating transitions.

Display name in the command sequence grid

The text display of a variable in Runtime is configured in the Sequenze di comando project property group in the Nome visualizzato nella griglia di sequenza comandi property.

Depending on the configuration, the variable is displayed in the Command sequence grid accordingly when shown in Runtime.

Possible display names:

  • Variable name
  • Variable identification
  • symbolic address

Validation:

A check is carried out when compiling the Runtime files in the zenon Editor.

In doing so, a check is made to see if the naming of the created switching device is unique. If this is not unique, an error message is issued in the output window of the Editor. No objects that are available for the command sequences are created for the response variable.

Error messages:

'<VariablenameX>' variable ignored for the command sequence data model, because the '<VariablennameY>' variable has already created an entry '<Naming in Command Sequences>'! Possible cause: not a unique ID or symbolic address.

A check is also carried out to see whether the variable can provide an invalid object name for the command sequence object.
'<Variablename>' variable ignored for the command sequence data model because this gives and invalid '<command sequence object name' object name! Possible Reason: empty Identification or empty symbolic Address.

Noch in diesem Kapitel

Examples of views: Display name in the command sequence grid


Examples of views: Display name in the command sequence grid

Manuale -> Command Sequencer -> Introduction -> Variables for command sequences -> Examples of views: Display name in the command sequence grid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Examples of views for possible configurations of the variable names.

Display name in the command sequence grid

Variable name

Variable identification

symbolic address


Display of the action name in Runtime:

Manuale -> Command Sequencer -> Introduction -> Display of the action name in Runtime:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The text display of a Command Processing action in the Runtime is configured in the project property group Comannd Sequencer in the Nome attività nella griglia sequenze di comando property.

Depending on the configuration, the step is displayed in the command sequence grid accordingly when shown in Runtime.

Possible display names:

  • Standard text
    Format: Action name: RV[DIR]
  • Action name
    Name of the command processing action as configured in the Nome comando command processing property.

Validation:

A check is carried out when compiling the Runtime files in the zenon Editor.

In doing so, a check is made to see if the naming of the action created is unique. If this is not unique and there are two actions with the same name, an error message is given in the output window of the Editor:

The step '%s' for the switchgear '%s' will be ignored for the command sequence model because the action name is not unique.

attention Attenzione

This error message means that the second step with the same name is not available in Runtime for the command sequences.


Terminology

Manuale -> Command Sequencer -> Terminology

The following terms are used in the zenon Command Sequencer module:

Parameters

Description

Switchgear

Physically available element, for example: Switch or disconnector.

Command Sequencer Editor

Part of the Command Sequencer module to control the process of command processing. The Command sequence editor carries out a command sequence in test mode. The complete process of the command sequence can be configured in the command sequence and the command sequences can be administered in the editing mode.

Command sequence

Command processing steps are compiled and saved in command sequences. These steps are then transferred to the controller by the control system.

Begin parallel branch

Element that ensures the breakdown of the command sequence process into two or more branches.

Transition

Element of the Command Sequencer module that contains a condition. The element is used after a step to ensure a defined transition from one step to the next.

Step

Execution of an action from the command processing, such as: Switching command: OFF.

End parallel branch

Element that combines the separation of the command sequence process into two or more branches back into one branch.

Branch

Area of the Command Sequencer module that allows separation into two or more branches, of which only one branch can be active during the process. It is an either/or branch. A branch always starts with the Begin branch and ends with the End branch element.

Assignment of switching device

Element of the Command Sequencer module that instigates the assignment of a switching device in Runtime:

  • With this element, several (or all) response variables can be reserved (assigned) in advance. The NET_SEL status bit is set for this reservation.
  • Unlocking is also carried out using a switchgear assignment element.
  • After the command sequence process, all NET_SEL status bits are automatically deleted again.

You can find further information on the status bit in the Status processing manual in the Select in the network (NET_SEL) section.

Branch

An execution area in the Command Sequencer module. Steps, transitions and jump targets can be placed on it.

End of element

Element of the Command Sequencer module with which each command sequence is forced to end.

Jump target

Element of the Command Sequencer module that allows a direct jump to a defined location of a branch.

Teaching cursor

Command sequence grid

Project simulation

Simulation mode:

Simulation image


Procedure

Manuale -> Command Sequencer -> Procedure

Configuration and use of the Command Sequencer module takes place in three main steps:

  1. Configuration of the command processing in the zenon Editor.
  2. Creation of the command sequences in the command sequence editor in Runtime.
  3. Execution of the command sequence in Runtime.

Creation of a command sequence

The user creates a command sequence in zenon Runtime. The selectable steps that correspond to the actions of command processing serve as a basis for this configuration. To do this, the command sequence in Runtime must be in edit mode.

Execution of a command sequence

The user executes the command sequence in Runtime. To do this, they first change the command sequence mode to test mode. The command sequence is then started.

The user can no longer alter command sequences in execution mode. The command sequence must be switched to edit mode again in order to edit it.


Licensing

Manuale -> Command Sequencer -> Licensing

The Command Sequencer module offers you the possibility to create, execute and configure processes of the module Command Processing in a graphic flow chart.

The module can only be licensed in addition to the Energy Edition.

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.

If both the Batch Control module and the Command Sequencer module, which both require a license, are licensed at the same time, selection of the module used is carried out by means of the project setting.

To select the preferred module in Runtime:

  • Click on the node of your project in the Editor.
  • Go to the Impostazioni Runtime project properties group.
  • Select, for Modulo di licenza a Runtime of the Modulo preferito property, command sequence(default) or Batch Control.

The selected model is then available in Runtime for further project configuration.

Project simulation

The Project Simulation module, which requires a license, is included with the Command Sequencer module.


Engineering in the Editor

Manuale -> Command Sequencer -> Engineering in the Editor

To be able to use the Command Sequencer module in Runtime, you must first do the following in the zenon Editor:

  • Configure command processing.
  • Configure variables.
  • Create a command sequence screen
  • In the command sequence screen, add the command sequence editor control element.
  • Create a screen switch function for the command sequence screen

If the configuration in zenon Editor changes, this is applied by compiling the Runtime files and reloading them in zenon in the Command Sequencer module.

Noch in diesem Kapitel

Create a command sequence screen

zenon functions

Command sequence screen switching

Command input actions in the Command Sequencer module


Create a command sequence screen

Manuale -> Command Sequencer -> Engineering in the Editor -> Create a command sequence screen

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Create a command sequence screen

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Select Command Sequencer in the Tipo di immagine property.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.


zenon functions

Manuale -> Command Sequencer -> Engineering in the Editor -> zenon functions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following functions are available for the Command Sequencer module:

  • Execute command sequence or mode change:
    sends control commands to Command Sequencer execution
  • Export comannd sequence:
    exports command sequences as an XML file. Content of the XML files can be filtered.
  • Import command sequences
    This function imports command sequences from a XML file.
  • Teach command sequences
    Starts or stops teaching mode.

Noch in diesem Kapitel

Execute command sequence or mode change

Export command sequences

Import command sequences

Teach command sequences


Execute command sequence or mode change

Manuale -> Command Sequencer -> Engineering in the Editor -> zenon functions -> Execute command sequence or mode change

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You can send control commands to the Command Sequencer execution with this function.

To create the function:

  1. In the zenon Editor, navigate to the Functions node
  2. Select New function
  3. Go to the Command Sequencer in the function selections
  4. select Esegui comando sequenza comandi/cambio modalità.
  5. the dialog for configuring functions is opened

Action

Parameters

Description

Action

Selection of the action to be executed:

  • Command
  • Mode

Command

Selection of the command to be executed from drop-down list:

  • Ignore
    Does not execute a command sequence command (Start or Cancel).
    Note: If automatic or semi-automatic is configured under mode, only one mode switch is executed.
  • Start command sequence
    Starts identified command sequence(s)
  • Cancel command sequence
    Cancels identified command sequence(s)

Mode

Selection of the mode in which the command sequence is to be executed: Selection of the mode from a drop-down list:

  • Ignore
    The command sequence(s) identified by the function is executed in the existing mode of the command sequence.
  • Automatic
    The command sequence(s) identified by the function is executed in Automatic mode.
  • Semi-automatic
    The command sequence(s) identified by the function is executed in Semi-automatic mode.

Command sequences filter

Parameters

Description

Command sequences filter

Configuration of the command sequence filter. This determines the command sequences on which the function is to be applied.

Name is case sensitive

When filtering for command sequence commands, capital letters and small letters in the command sequence name are taken into account.

Default: Inactive

Command sequence

Parameters for the selection of the command sequence. Select from drop-down list:

  • Name with wildcards:
    A name with placeholder can be entered into the input field. Filtering is carried out according to this name.
    Wildcards are:
    *: any desired number of any characters * can be entered at the start, at the end or and the start and end in the input field.
    Note: The input field is only active with this option.
  • Name from variable:
    The name of the command sequence is taken from a variable in Runtime.
    Click on button ... opens the dialog for selecting variables.
  • ID from variable:
    The ID of the command sequence is taken on by the ID from a variable.
    Click on the ... button opens the dialog for selecting variables.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.
info Informazioni su
You can find detailed information for the configuration of the function in the configuration of the command sequence filter chapter.

Error dialog

If, for Command and Mode, the Ignore property is configured for each, the function will not have an effect in Runtime. An error message is shown in this case.


Export command sequences

Manuale -> Command Sequencer -> Engineering in the Editor -> zenon functions -> Export command sequences

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You export configured command sequences to an XML file using this function. The content of the export can be filtered.

To create the function:

  1. In the zenon Editor, navigate to the Functions node.
  2. Select New function.
  3. Go to the Command Sequencer in the function selections.
  4. Select Esporta sequenze di comando
  5. The dialog for configuring functions is opened.

Command sequences filter

Parameters

Description

Command sequence name is case sensitive

When selecting the command sequences to be exported, the capitalization of the command sequence name is taken into account.

Command sequence
  • Name with wildcards
    Selection of the command sequences to be exported with the command sequence names. Entry of the search term in the input field.
    The following are wildcards:
    *: any desired number of any characters * can be entered at the start, at the end or and the start and end in the input field.
    Note: The input field is only active with this option.
  • Name from variable
    The name of the command sequences to be exported are taken from a variable in Runtime.
    Click on ... to open the dialog to select a variable.
  • ID from variable
    The ID of the command sequences to be exported are taken by the ID from a variable.
    Click on ... to open the dialog to select a variable.

Status command sequence

Selection of the status of the command sequences to be exported:

  • All
    All command sequences are exported.
  • Edit mode
    Only command sequences that are currently in edit mode are exported.
  • Execution mode
    Only command sequences that are currently in execution mode are exported.

Output file

Parameters

Description

Naming

Drop-down list to select how the output file is named:

  • File name:
    Name of the target file can be freely defined. Input of the file name in the input field
  • File name from variable:
    Name of target file is taken from a configured variable.
    Click on ... to open the dialog to select a variable.
  • File name from command sequence name
    Name of the target file is named the same as the command sequence name to be exported
  • File name from command sequence ID
    File is named with the command sequence ID.

Overwrite existing file

Defines behavior if there is already an export file. If the checkbox is activated, the existing file is automatically overwritten (without another request for confirmation).

Default: active

Show this dialog in the Runtime

Attivo: Nel Runtime viene aperta questa finestra di dialogo prima dell´esecuzione della funzione.

Default: Inactive

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Error dialog

A warning dialog appears in the event of an incorrect configuration of the export function:

  • The search value for command sequence is empty:
    No command sequence for export could be found. Check the project configuration in the command sequence filter area.
  • The value for the naming of the target file is empty:
    No command sequence for export could be found. Check the project configuration in the output file area.

Note: The screenshot shows both possible causes of errors. Only one of the errors given can be displayed depending on the error.

Parameters | Description
Yes | The dialog of the function is closed. The dialog to configure the function is also closed.
No | The warning dialog is closed. The dialog to configure the function remains open for configuration of the function again.
info Informazioni su
You can get further information on the structure of the XML file in the Structure of the XML file for command sequences chapter.


Import command sequences

Manuale -> Command Sequencer -> Engineering in the Editor -> zenon functions -> Import command sequences

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You import command sequences from an XML file using the function.

To create the function:

  1. In the zenon Editor, navigate to the Functions node.
  2. Select New function.
  3. Go to the Command Sequencer in the function selections.
  4. Select Importa sequenze di comando.
  5. The dialog for configuring functions is opened.

info Informazioni su

Existing command sequences are only overwritten on import if they are in the Command Sequences Editor.

More precise information on import can also be visualized using the two system driver variables [command sequences] import event numerical and -[command sequences] import event string.

import source

Selection of the import source for the import of a command sequence:

  • File name
  • From variable
Parameters | Description
File name | Selection of the XML import file. Clicking on ... opens the dialog to select the file.
From variable | The name of the import file is taken from the selected variable. Click on ... to open the dialog to select the variable.

Import options

Parameters

Description

Action for name conflicts in command sequences

Behavior in the event of naming conflicts:

  • Create new command sequence
    A new command sequence is created.
    Naming of the new command sequence:
    [command sequence name from XML file] + [serial number].
  • Overwrite old command sequence
    Existing command sequence is overwritten/replaced with content from XML import.
  • Skip
    No import is carried out for command sequences that already exist.

Show this dialog in the Runtime

Active: This dialog is opened in Runtime before the function is executed.

Default: Inactive

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Error dialog

A warning dialog appears in the event of an incorrect configuration of the import function:

  • The search value for file name of the data source is empty:
    No command sequence for import could be found. Check the project configuration in the command sequence filter area.

Parameters | Description
Yes | The dialog of the function is closed. The dialog to configure the function is also closed.
No | The warning dialog is closed. The dialog to configure the function remains open for configuration of the function again.
info Informazioni su
You can get further information on the structure of the XML file in the Structure of the XML file for command sequences chapter.


Teach command sequences

Manuale -> Command Sequencer -> Engineering in the Editor -> zenon functions -> Teach command sequences

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Start or stop the teaching process in Runtime using this button.
This function is particularly suitable for starting teaching in Runtime in a process screen, without having to switch to the command sequence editor.

To create the function:

  1. In the zenon Editor, navigate to the Functions node.
  2. Select New function.
  3. Go to the Command Sequencer in the function selections.
  4. Select Teaching sequenza comandi
  5. The dialog for configuring functions is opened.

Parameters | Description
Start teaching | Starts a new teaching process. In doing so, a new command sequence with a standard name is created. The teaching cursor is initially positioned in this command sequence in the command sequence grid under the start element. Note: Runtime must be in simulation mode for this! You can find further information in the Teaching chapter.
Stop teaching | Ends teaching.
Show this dialog in the Runtime | Active: This dialog is opened in Runtime before the function is executed. Start teaching or Stop teaching can be selected in Runtime. Default: Inactive

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Command sequence screen switching

Manuale -> Command Sequencer -> Engineering in the Editor -> Command sequence screen switching

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To use command sequences in Runtime, configure a screen switch function to a command sequence screen:

  1. Select the New function command in the Functions node.
  2. select the Screen switching function.
  3. select the Command Sequencer screen

Link the function with a button on the screen in order to be able to switch in Runtime.

info Informazioni su

The configuration of the Command processing module serves as a basis for operation in the Command Sequencer screen.


Command input actions in the Command Sequencer module

Manuale -> Command Sequencer -> Engineering in the Editor -> Command input actions in the Command Sequencer module

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this chapter, you are provided with additional information on the behavior of configured commands in the Command Sequencer module.

Noch in diesem Kapitel

Behavior of "Check response value" action type

Setpoint input command input action

Skip action for identical set value and actual value


Behavior of "Check response value" action type

Manuale -> Command Sequencer -> Engineering in the Editor -> Command input actions in the Command Sequencer module -> Behavior of "Check response value" action type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The "Check response value" action type is used in the command sequences in particular to check the value of the response variable.

To be able to use the "Check response value" action type in the Command Sequencer module, this action type must be configured as an action in a command group in the Command Processing module in the zenon Editor.

attention Attenzione

This action type is not used in principle in the command processing. It was specially conceived for use in the Command Sequencer module.

For command processing, it is possible to configure this query using action buttons and to receive responses in Runtime.

The Check response value action type is to check variables for the status ON or OFF.

Whilst the Check response value action is executed, the standard key Cancel is unlocked in the Command Processing screen.

In doing so - depending on the setting of the runtime monitoring - there is a wait until the value of the response variable corresponds to the value of the checking direction - switching direction action property. If the checking value is EIN, this is the value 1; it is the value 0 for OFF.

If no runtime monitoring has been configured (runtime monitoring= "none"), the set waiting time (~24 hours) is the maximum time that is waited. Otherwise the action is ended and the TIMEOUT status bit is set for the response variable.

If, after execution of the action in the command processing screen, the other actions are not available, this is for the following reasons:

  • The timeout for runtime monitoring has not yet expired.
  • The response variable does not yet have the expected value (the value change has not yet been received).
  • The action has not yet been canceled with the Cancel button.

info Informazioni su

The Check response value action only serves to read the value of the response variable without executing an activity.

The action is intended for use in the Command Sequencer module.

If the response variable already has the value of the switching direction, the execution of the action is recognized as completed. The other buttons in the command processing screen are thus immediately available.

Note: If the response variable is set to OFF or Revision , the response value can nevertheless be checked.


Setpoint input command input action

Manuale -> Command Sequencer -> Engineering in the Editor -> Command input actions in the Command Sequencer module -> Setpoint input command input action

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If a setpoint input command is configured in the Command input module, a a set value of the command input can also be transferred in the command input as well as the Command Sequencer module.

Write set value with input

Procedure for a setpoint entry with manual entry of value in the Command Sequencer module:

  • When processing a command sequence, the command window is opened during the Write set value with input step: The value of the command variables element is available and filled with the current value. The Execute button is active. Action buttons are not active.
  • The scroll bar is available and filled with the current value.
  • The value is accepted after clicking on Execute.
  • The execution of the switching sequences is continued with the new value.

Write setpoint value with given value

This value is configured in the Command Input module in the Impostazioni azioni property with the Imposta valore property. If a value is to be proposed in Runtime, the Stato-Feedback/Direzione Switch property in the zenon Editor must be configured with the DIR for the command. In this case, a value is prescribed in the Editor in the Imposta valore property.

Two-stage execution

  • The value is written after being confirmed with two-stage execution.
  • The old value is still visible in the grayed-out input field whilst there is a wait for the confirmation or unlocking.

info Informazioni su

Write set value with entry of the value is only possible from zenon 7.50.

info Informazioni su

You can find further information in the Energy Editionmanual, in the Command input and Write set value action chapters.


Skip action for identical set value and actual value

Manuale -> Command Sequencer -> Engineering in the Editor -> Command input actions in the Command Sequencer module -> Skip action for identical set value and actual value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If the Ignora operazione per valori identici da impostare e attuali property in the zenon Editor has been activated, the values of the response variable are checked with the setpoint input during the process of the command sequence in Runtime.

The step is skipped if both values are identical. This is also shown accordingly in the tooltip of the step (= skip).


System driver variables for the Command Sequencer module

Manuale -> Command Sequencer -> System driver variables for the Command Sequencer module

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Su questo tema sono a Vostra disposizione le seguenti variabili di sistema:

Note: This group is only visible with a valid license for the Command sequences module.

Name

Data Type

Comment

[Command Sequencer] Number of pending user interactions

DINT

Number of command sequences with pending user interaction that are currently running.

If the operation has been executed or the command sequence has been completed, the numeric value is reduced by 1.

If several steps are waiting for an operation in a command sequence, the numeric variable is incremented for each step.

[Command Sequencer] Number of running command sequences

DINT

Number of command sequences currently running.

The system variable is updated both at the start and end of a command sequence.

[Command Sequencer] Export result numeric

DINT

Result of the XML export:

  • -1:
    is being executed
  • 0:
    Initialization value read successfully
  • from 1:
    Number of errors that occurred

[Command Sequencer] Export result string

STRING

Result of the XML export as a text.

  • No errors occurred.
  • XML export error: The export file [save location]\[File Name] already exists and must not be overwritten.
    Note: Only occurs if the Overwrite existing file property is not active in the export dialog and there is already a file with the same name in the export folder.

[Command Sequencer] Export result XML

STRING

Detailed content of the XML export.

This variable visualizes the content of the XML export.
The following are displayed:

  • Name
  • Version
  • Type
  • ID

Note: If the content exceeds the maximum length of the system driver variable, the result is shortened.

[Command Sequencer] Import result numeric

DINT

Result of the XML import:

  • -1:
    is being executed
  • 0:
    Initialization value read successfully
  • from 1:
    Number of errors that occurred

[Command Sequencer] Import result string

STRING

Result of the XML import as a text:

  • The command sequence was not found. The command sequence therefore cannot be imported.
  • The command sequence could not be overwritten due to an incorrect status.
  • The command sequence cannot be imported as a new version. The versioning is not active.
  • The command sequence could not be imported. It does not match the selected type.
  • The command sequence could not be imported because the name is not permissible.

[Command Sequencer] Import result XML

STRING

Detailed content of the XML import.

This variable visualizes the content of the XML export.
The following are displayed:

  • Name
  • Version
  • Type
  • ID

Note: If the content exceeds the maximum length of the system driver variable, the result is shortened.

[Command Sequencer] Name of the active teached command sequence

STRING

Name of the command sequence that is currently being taught. The command sequence names are used once the teaching process has been started.

If a teaching process has been completed, the value of this variable switches to empty.

[Command Sequencer] Names of the running command sequences

STRING

Names of the command sequences currently running:
With several command sequences, the command sequence names are separated by a semicolon (;).

[Command Sequencer] Names of command sequences with pending user interaction

STRING

Names of command sequences running with user interactions pending.

If several steps are waiting for an operation in a command sequence, the command sequence name is only entered once and is retained until all steps have been executed.

With several command sequences, the command sequence names are separated by a semicolon (;).

[Command Sequencer] Teaching status

DINT

Status for the teaching process. Shows whether teaching is currently active or not active.

  • 0 - Teaching is not active.
  • 1 - Teaching cursor waits for positioning
    (this status is active until the teaching cursor in the command sequences editor has been placed)
  • 2 - Teaching is active.

This variable has the value 2 in the event of an ongoing teaching process.

If a teaching process has been completed, the value of this variable switches to 0.

info Informazioni su

If a computer in redundancy operation upgrades to become the server, it sets the value of the system driver variables to 0 (numerical variables) or empty string (string variables).

info Informazioni su

You can find out further information in the system driver manual.


Project backup for command sequences

Manuale -> Command Sequencer -> Project backup for command sequences

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A project backup in the zenon Editor does not take into account the command sequences configured in Runtime.

Back up the corresponding Runtime files manually.

Back up the command sequence Runtime files

To back up the Runtime files of configured command sequences:

  1. Switch to the folder of the Runtime files.
    C:\Users\Public\Documents\zenon_Projects\[Workspacename]\[Projectname]

    Note: This folder is only available if the project has been compiled at least once in zenon .
    Tip: Highlight the desired project in the zenon Editor and press the keyboard shortcut Ctrl + Alt + R to go directly to the Runtime folder.
  2. Copy the Sequences folder.
  3. Add the Sequences folder to the Runtime folder of the project backup again.
    Note: Runtime should be closed during the copy process or restarted again after copying.


Function authorizations

Manuale -> Command Sequencer -> Function authorizations

From zenon version 7.50, function authorizations are also supported by the Command Sequencer module.

They are configured in the User administration module. In doing so, a distinction is made between Editor authorizations and Runtime authorizations.
There are separate Runtime function authorizations available for the Command Sequencer module:

  • Function authorizations for XML import and export
  • Function authorizations to control the process of a command sequence

info Informazioni su

You can find further information on the configuration of function authorizations in the User administration manual.

You can find the special function authorizations for the Command Sequencer module in the Runtime function authorizations chapter.

attention Attenzione

Configurations of the Command Sequencer module always have priority over configured function authorizations for the Command Sequencer module during execution.

This ensures that there is no blockade during the course of a command sequence.


Command sequences in Runtime

Manuale -> Command Sequencer -> Command sequences in Runtime

All administration, creation and processing of command sequences is carried out in Runtime. Editing in the zenon Editor is not possible.

Saving of command sequences when closing Runtime

If Runtime is closed and there are still command sequences that have not been saved, you are asked if these command sequences are to be saved. In order for this query to not prevent Runtime closing, Runtime is automatically closed after 15 seconds if nothing is entered. Unsaved command sequences are then discarded.

  • Clicking on the Yes button saves all changes for all command sequences open in the command sequences Editor. Runtime is then closed.
  • Clicking on the No button closes Runtime without saving changes to the command sequences.

Noch in diesem Kapitel

Command Sequencer Editor

Create command sequence

Tooltips

Execution status

Symbols and Color

Validate command sequence

Teaching

Configuration rules for command sequences

CEL entries


Command Sequencer Editor

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The command sequence editor is the graphical user interface for the configuration of command sequences in Runtime.

The following are available for the command sequence editor:

  • Toolbars
    The design of the toolbars depends on the command sequence editor mode.
  • Tabs
  • Command sequence grid
    project configuration area
  • Dockable windows

Parameters

Description

Header of the editor

Information about:

  • Current command sequence
  • Mode

command sequence editor menu bar

Menu bar with symbols to configure a command sequence.

Tabs with opened command sequences

Select the open command sequences by clicking on the respective tab.

In execution mode, the color of the tab corresponds to the color of the execution status of the command sequence.

Command sequence grid

Diagram of the project configuration.

Configuration by dragging & dropping the elements from the menu bar.

Hint: To enlarge or reduce the grid, position the mouse pointer at the edge and drag it in the desired direction with the mouse button held down.

Mode display

Status display of the selected mode:

  • Edit mode:
    • Symbol for editing mode (pencil)
    • Size of the Command sequence grid
    • Number of configured elements
  • Execution mode:
    • Symbol for execution mode:
      - Automatic
      - Manual
    • Symbol for the status
      (green thumb: ready to start)
    • Execution step:
      - in execution
      - completed

Cursor position

Shows line and column of the selected choice in the command sequence grid.

Zoom bar

Setting of the zoom factor for the command sequence grid with slider.

+

Enlarges the zoom factor by 25% per click.

-

Reduces the zoom factor by 25% per click.

Selection of the dockable windows

Opens drop-down list to select the dockable windows:

  • List of command sequences

Selected dockable windows are shown or hidden.

Noch in diesem Kapitel

Context menu - tabs with opened command sequences

Dockable windows - list of command sequences

Command sequence grid

Modes

Toolbar - Command Sequence Editor (edit mode)

Toolbar - Command sequence editor (execution mode)


Context menu - tabs with opened command sequences

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Context menu - tabs with opened command sequences

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If several command sequences are open in the command sequence editor, these are represented with tabs. The tabs represent the command sequences that are open in the command sequences editor. The configuration of the command sequence in the command sequence grid is shown by clicking on a tab.

Tab context menu

Parameters

Description

Save

Saves the current command sequence

Close

Closes the current command sequence

Close all others

Closes all open tabs/command sequences with the exception of the one that is currently selected.

Group horizontally

Shows all open tabs in a new view.
The view opens in a new window under the current view:

  • Move view
    Opens tab in a new window.
  • Open view at the same time
    Opens selected tab in a new window and leaves it in the tab list.

Group vertically

Shows all open tabs in a new view.
The view opens in a new window next to the current view:

  • Move view
    Opens tab in a new window.
  • Open view at the same time
    Opens selected tab in a new window and leaves it in the tab list.

Command sequences can be displayed and opened in two groups next to each other or underneath each other. To open a command sequence in a new group:

  1. Select, in the context menu of the command sequence, the Group horizontally or Group vertically command
  • Select the type of display:
    • Move display
    • Move display parallelly

The control elements are always only applicable to the active command sequence of the active group.

  • The active group is emphasized in color.
  • The active tab is emphasized with bold font. Information on the active tab is shown in the title bar of the editor.
  • Tabs can be moved and arranged by dragging & dropping, including between groups.
    Hint: Use this possibility of moving to return to the view with one group when two groups are open.


Dockable windows - list of command sequences

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Dockable windows - list of command sequences

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The list of command sequences lists all configured command sequences. Command sequences that have already been configured are edited and administered in the list of command sequences and new command sequences are created.

List of command sequences - overview:

The following is possible in the list of command sequences:

  • New command sequences can be created.
  • Command sequences that have already been configured in the command sequence editor are loaded for further editing.
  • Command sequences are renamed.
  • Command sequences are duplicated.
  • Command sequences are deleted.
  • Command sequences are switched to execution mode.
  • Command sequences are switched to edit mode.
  • Columns are selected and formatted.

The columns of the list for command sequences can be sorted and filtered. The columns can be moved by means of drag&drop. Columns can be shown and hidden with the context menu (right mouse click).

Noch in diesem Kapitel

Selection and positioning

Toolbar - list of command sequences

Toolbar - list of command sequences


Selection and positioning

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Dockable windows - list of command sequences -> Selection and positioning

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Aiuti per il posizionamento

Quando si spostano delle finestre all´interno dell´interfaccia dell´editor, il sistema visualizza degli aiuti volti a facilitare il posizionamento. Questi ultimi rappresentano le finestre, o i loro bordi.

Questo elemento rappresenta un´area finestra nell´editor.

Questo elemento rappresenta l´area al bordo dell´editor.

Posiziona finestre

Per posizionare un elemento in modo ancorato:

  1. spostate l´elemento servendovi del mouse fino a raggiungere la posizione desiderata
  2. comparirà sullo schermo l´aiuto di posizionamento
  3. esso rappresenta una finestra e i suoi settori
    1. Centro: finestra intera
    2. In su: metà superiore
    3. In giù: metà inferiore
    4. Destra: metà di destra
    5. Sinistra: metà di sinistra

    o il bordo dell´editor

  4. spostate il mouse verso l´aiuto di posizionamento centrale o quello sul bordo dell´editor e, quando li avete raggiunti, portatevi nell´area desiderata
  5. l´area dell´editor sulla quale l´elemento è posizionato al momento del rilascio del tasto del mouse, viene colorata di blu
  6. spostate il mouse all´interno dell´aiuto di posizionamento finché l´area desiderata non si colora di blu
  7. rilasciate il tasto del mouse e l´elemento verrà posizionato

Se una finestra viene posizionata su una finestra già esistente, entrambe verranno visualizzate nella stessa posizione usando le schede.


Toolbar - list of command sequences

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Dockable windows - list of command sequences -> Toolbar - list of command sequences

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameters

Description

New command sequence

Creates new empty command sequence.

Open command sequence in Editor

Opens the selected command sequence in the command sequence editor.

Note: Not active if no command sequence is selected.

Rename command sequence

Opens dialog to create a new command sequence or rename a command sequence.

Note: Not active if no command sequence is selected.

Note: Not active if the selected command sequence is in execution mode.

Duplicate command sequence

Duplicates selected command sequence and opens dialog to create a new command sequence.

Note: Not active if no command sequence is selected.

Note: duplicated command sequence is automatically created in edit mode. When duplicating command sequences, the existing name is supplemented with the prefix "Copy of". If the maximum length is exceeded by this, the name is shortened to the allowed length starting from the last character.

Delete command sequence

Deletes selected command sequence(s). Multiple selection is possible.

A command sequence that is executed cannot be deleted. An information dialog opens in this case.

Note: Not active if no command sequence is selected.

Note: Before final deletion, an dialog appears requesting confirmation of whether the selected command sequence(s) are really to be deleted for good.

Export selected XML

Exports selected command sequences as an XML file. Multiple selection is possible.

Note: Not active if no command sequence is selected.

You can find further information in the Export command sequence(s) as XML file chapter.

Import XML

Imports command sequence(s) from an XML file.

You can find further information about this in the Import command sequence(s) from XML file chapter.

Note: not active if the user does not have the corresponding function authorization.

The Command Sequences function authorization: Import command sequences is applicable for both XML import and for the import of simulation images.

Import command sequence from simulation image

Imports command sequence from existing simulation images.

You can find further information on this in the import command sequence(s) from simulation image chapter.

Note: not active if the project is running in simulation mode or if the user does not have the corresponding function authorization.

The Command Sequences function authorization: Import command sequences is applicable for both XML import and for the import of simulation images.

Switch command sequence to execution mode

Switches selected command sequence(s) to execution mode.
A validation of the configured command sequence is carried out automatically. Execution mode only starts if the command sequence has been configured without errors.

Otherwise a notice dialog appears informing you that the command sequence is invalid. The command sequence cannot be started.

Note: Not active if no command sequence is selected.

Switch command sequence to edit mode.

Switches a command sequence that is currently running in execution mode back into edit mode in order to make changes.

Note: Not active if no command sequence is selected.

Column selection

Opens a dialog to select columns that are to be displayed.

Column formats

Opens dialog for the configuration of text and background colors for the display of columns in the list view.

Noch in diesem Kapitel

Column selection

Column Format

Exporting the command sequence(s) as an XML file

Import command sequence(s) from an XML file

Import command sequence(s) from simulation image


Column selection

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Dockable windows - list of command sequences -> Toolbar - list of command sequences -> Column selection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Column selection

Pulsante | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate da quelle disponibili a quelle selezionate. Dopo aver confermato il dialogo cliccando su OK, verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutte -> | Sposta tutte le colonne disponibili nelle colonne selezionate.
<- Cancella | Elimina le colonne evidenziate dalle selezionate e le visualizza nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, esse vengono eliminate dalla visualizzazione dettagliata.
<- Cancella tutte | Cancella tutte le colonne dalla lista delle colonne selezionate.
In su | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
In giù | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Column Format

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Dockable windows - list of command sequences -> Toolbar - list of command sequences -> Column Format

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Column Format

Parameters

Description

Available columns

List of the available columns via Column selection. The column selected here is configured using the settings in the Parameters section.

Parameters

Settings for selected column.

Labeling

Name for column title. The column title is online language switchable. To do this, you must enter the @ character in front of the name.

Width

Width of the column in characters.

Alignment

Alignment.

Possible settings:

  • Left-justified: Text is justified on the left edge of the column.
  • Centered: Text is displayed centered in the column.
  • Right-justified: Text is justified on the right edge of the column.

OK

Applies settings and closes the dialog.

Cancel

Discards settings and closes the dialog.


Exporting the command sequence(s) as an XML file

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Dockable windows - list of command sequences -> Toolbar - list of command sequences -> Exporting the command sequence(s) as an XML file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Exporting the command sequence(s) as an XML file

You export selected command sequences as an XML file with the Export selected XML button. To do this, select the desired command sequences from the list of configured command sequences (multiple selection is possible). With multiple selection, only one XML file is saved for all selected command sequences.

Note dialog: Export command sequence

Before export, a check is carried out to see if there are unsaved changes in a command sequence configuration.

Tipp Suggerimento

Command sequences with unsaved changes are visualized in the tab of the command sequence editor with a * before the command sequence name.

Parameters | Description
[Name of the command sequence] | Name of the command sequence that still has unsaved changes. It is always only the current command sequence name that is displayed. After clicking on the Yes or No button, the next command sequence with unsaved changes is displayed.
Yes | The current command sequence is saved before the save process. The save dialog is then opened.
No | Exports the displayed command sequence with the last-saved project configuration status. The save dialog is opened directly.
Yes, all | All open command sequences with unsaved changes are saved before the save process. The save dialog is then opened. Note: not active if only one command sequence was selected for export.
No, all | Exports all selected command sequences with the last-saved project configuration status. The save dialog is opened directly. Note: not active if only one command sequence was selected for export.
info Informazioni su
You can get further information on the structure of the XML file in the Structure of the XML file for command sequences chapter.


Import command sequence(s) from an XML file

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Dockable windows - list of command sequences -> Toolbar - list of command sequences -> Import command sequence(s) from an XML file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Import command sequence(s) from an XML file

The Import XML button opens the dialog to import command sequences from an XML file in the list of command sequences.

Once the corresponding XML file has been selected, the import checks whether already-configured command sequences conflict with the command sequences of the XML file. In this case, the Import options dialog opens.

info Informazioni su

Existing command sequences are only overwritten on import if they are in the Command Sequences Editor.

Parameters

Description

[Name of the command sequence]

Name of the command sequence to be imported, which is already present in the List of command sequences.

The first command sequence name is shown. After clicking on the Skip or OK button, the next command sequence is displayed with a naming conflict.

[Action in the event of naming conflicts]

Selection of the action for the import of a command sequence in the event of already-configured command sequences in the Runtime project configuration having the same name:

  • Create a new command sequence
    Creates a new command sequence in the Runtime configuration for the command sequence of the XML file.
    This imported command sequence is added when a new serial number is given:
    [command sequence name] [serial number]
  • Overwrite the existing command sequence
    Overwrites the existing command sequence in Runtime with the content of the XML file.
    Note: Grayed out if the file to be overwritten in the command sequence editor is in execution mode.

Default: create a new command sequence

Carry out this action for all further conflicts (number of conflicts)

Carries out the import for all subsequent command sequences with naming conflicts with the action selected in [action in the event of naming conflicts].

The number in quotes states how many naming conflicts occur in the current import.
There is no step-by-step display of the command sequences.

Default: Inactive

Number of command sequences to be imported from the XML file:

Total number of command sequences for the import.
Note: The number gives the total number of command sequences in the XML file, not just the number of conflicts.

Skip

Skips the import for the displayed command sequence.

Switches to the next command sequence with conflicts in the event of several naming conflicts.
Note: If the Execute this action for all further conflicts property has been activated, no command sequences with naming conflicts are exported.

OK

Carries out the import for the displayed command sequence with the action selected with [action in the event of naming conflicts].

Switches to the next command sequence with conflicts in the event of several naming conflicts.
Note: If the Execute this action for all further conflicts property has been activated, no command sequences with naming conflicts are exported.

Cancel

Cancels the import for all subsequent command sequences and closes the dialog.

info Informazioni su

You can get further information on the structure of the XML file in the Structure of the XML file for command sequences chapter.


Import command sequence(s) from simulation image

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Dockable windows - list of command sequences -> Toolbar - list of command sequences -> Import command sequence(s) from simulation image

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Import command sequence(s) from simulation image

In this dialog, you arrange configured command sequences from one or more simulation images for import into zenon Runtime.

Parameters

Description

Project simulation

List of all existing project simulation images.

Only one simulation image can be selected at a time.

Command sequences in project simulation

List of all configured command sequences from the selected project simulation.

Multiple selection is possible.

Existing command sequences

Pre-existing command sequences in the zenon project that is currently running.

Add

Adds selected command sequences from the Command sequences in project simulation list to the List of command sequences to be applied.

Only active if at least one command sequence from a simulation image has been selected.

Overwrite

Adds a command sequence from the Command sequences in project simulation list to the List of command sequences to be applied. This command sequence overwrites the existing command sequence in the command sequences editor in Runtime!

This button is only active if just one command sequence has been selected and the selected command sequence is already in the existing command sequences list. The command sequence is thus already present in the command sequences editor and is overwritten.

With multiple selection of command sequences from a project simulation, the button is then grayed out if the selection contains a command sequence that is not yet present in the list of existing command sequences. A new command sequence is created when transferring to Runtime. This new project configuration is given a serial number in the naming.

List of the command sequences to be transferred.

Assigned command sequences that are applied in the current Runtime environment.

  • Simulation image:
    Name of the simulation image from which the command sequence comes.
  • Command sequence name:
    Name of the command sequence as saved in the simulation image.
  • Conflict handling:
    The type of conflict handling depends on how the respective command sequence is transferred to the list. Depending on the button used (Add or Overwrite), the conflict handling is prescribed and cannot be changed.

Note: List can be sorted and filtered.

Remove

Removes highlighted command sequence from the List of command sequences to be applied.

Multiple selection is possible. A new assignment from Command sequences in project simulation is possible.

OK

Closes the dialog and applies project configurations from the list of command sequences to be applied in the command sequence editor.

Cancel

Annulla tutte le modifiche e chiude la finestra di dialogo.

If the Command Sequencer module is operated in the zenon network, the following rules are applicable:

  • If the dialog is called up, the project simulation list is filled with the simulation images from the server.
    If a server is lost, the dialog with an empty project simulation list is called up.
  • The command sequences in project simulation list is also filled with data from the server on the client. The list is empty if the server is lost.


Toolbar - list of command sequences

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Dockable windows - list of command sequences -> Toolbar - list of command sequences

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameters

Description

New command sequence

Creates an empty command sequence and opens the dialog to create a new command sequence.

Open in command sequence editor

Opens the selected command sequence in the command sequence editor.

Note: Not active if no command sequence is selected.

Rename

Opens dialog to create a new command sequence or rename a command sequence.

Note: Not active if no command sequence is selected.

Note: Not active if the selected command sequence is in execution mode.

Duplicate

Duplicates selected command sequence and opens dialog to create a new command sequence.

Note: Not active if no command sequence is selected.

Note: duplicated command sequence is automatically created in edit mode. When duplicating command sequences, the existing name is supplemented with the prefix "Copy of". If the maximum length is exceeded by this, the name is shortened to the allowed length starting from the last character.

Delete

Deletes selected command sequence(s). Multiple selection is possible.

Note: Not active if no command sequence is selected.

Note: Before final deletion, an additional dialog appears requesting confirmation of whether the selected command sequence(s) are really to be deleted for good.

Export selected XML...

Exports selected command sequences as an XML file.

Note: Not active if no command sequence is selected.

XML import...

Imports command sequence(s) from an XML file.

Import from project simulation...

Imports command sequence from existing simulation images.

You can find further information on this in the import command sequence(s) from simulation image chapter.

Note: not active if the project is currently running in simulation mode or if the user does not have the corresponding function authorization.

Switch to execution mode

Switches selected command sequence(s) to execution mode.
A validation of the configured command sequence is carried out automatically. Execution mode only starts if the command sequence has been configured without errors.

Otherwise a notice dialog appears informing you that the command sequence is invalid. The command sequence cannot be started.

Note: Not active if no command sequence is selected.

Switch to edit mode

Switches a command sequence that is currently running in execution mode back into edit mode in order to make changes.

Note: Not active if no command sequence is selected.


Command sequence grid

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Command sequence grid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Command sequence grid is the workspace in the command sequence editor. Command sequences can be created with a graphical user interface here.

The diagram is divided into grids, with each grid offering room for one element.

Technical details

  • Sheet size:
    • Default: 11 x 11 cells
    • Minimum: 5 x 5 cells
    • Maximum: 500 x 1000 cells
  • Cell size
    • Default: 155 x 111 pixels
  • Outside edge: 100 pixel
  • Grid: is displayed by default; can also be hidden
  • Scroll bar: Is displayed if the document is larger than the frame.
  • Scrolling with a mouse wheel: up and down or, if you press and hold Shift, left and right.
  • Zooming: Ctrl + mouse wheel
  • Selecting elements: left mouse click
  • Multiple selection: Ctrl + mouse click
  • Move symbol: Click element and move it over the diagram while holding the left mouse button pressed. Content can be dropped to cells with green background. If a cell turns red when you move over it, you cannot drop the content.

Amend size of the grid

The size of the grid can be amended. To amend the size of the grid:

  • Move the mouse pointer to the upper, lower or right-hand edge of the grid.
    The mouse pointer changes at the edges: <=>
  • Hold down the right mouse button and move the edges:
    The dimensions of the grid are reduced or enlarged.

Please keep in mind:

  • The minimum size of the grid is 5 x 5 cells.
  • A reduction can only be carried out to a maximum of the column or line in which an element has been placed.
    This guarantees that no existing project configuration is lost.
  • The size of the grid is automatically enlarged during the teaching process if necessary.
  • The number of new cells in the footer is visualized in the footer during the enlargement process:

Noch in diesem Kapitel

Command sequence grid footer

Footer symbols


Command sequence grid footer

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Command sequence grid -> Command sequence grid footer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The footer of the command sequence grid visualizes information for the configuration of the selected command sequence. The elements available are different depending on the mode.

Editing mode view

Footer of the command sequence grid in edit mode and if teaching mode has been activated:

Execution mode view

Footer of the command sequence grid in execution mode:

Parameters

Description

Command sequence mode

Display of the active mode:

  • Edit mode
    (symbol: pencil)
    Only available in edit mode.
  • Teaching mode
    (symbol: red square)
    Only available in simulation mode.
  • Execution mode:
    • Automatic mode
      (symbol: computer terminal)
    • Semi-automatic mode
      (symbol: computer terminal with hand symbol)

You can find a graphic overview with examples of the icons in the Symbols of the footers chapter.

Command sequence status of project configuration

Status of command sequence:

  • Ready to start
    (symbol: green hand with thumb up)
  • Warning
    (symbol: red hexagonal warning symbol with exclamation mark)

Process status

Graphic visualization for error-free and executable command sequence.

  • Completed
    (symbol: green tick)
  • Canceled
    (symbol: red X)
  • In progress
    (symbol: green triangle)
  • Idling
    (symbol: red minus sign)
  • Paused
    (symbol: two red Is)

Note: Only visible in execution mode.
You can find a graphic overview with examples of the icons in the Symbols of the footers chapter.

Size of the element and number of elements

Additional information on the command sequence grid:

  • Total size of the working area of the command sequence grid.
    [number of horizontal cells] x [number of vertical cells]
  • Total number of positioned elements
    Note: Lines are not counted as an element.

Status of ongoing command sequence

Visualizes the current status of the command sequence in progress

  • Running
  • Paused
  • Aborted

Note: Only visible in execution mode.

Current cursor position

Current position of the mouse pointer in the command sequence grid.

[cell position of horizontal cells] x [cell position of vertical cells]

Teaching position

Current position of the teaching cursor in the command sequence grid.

Note: only visible if teaching is in progress.

Number of selected elements

Visualization of the elements selected in the command sequence grid:

n elements selected

Note: Only visible in editing and teaching mode.

Zoom level set

Drop-down list to select the zoom level for the display of the command sequence grid. Select the desired level in percent from a drop-down list.

Default: 100 %

Slider for zoom

Selection of zoom level for the display of the command sequence grid.

The zoom level can be selected ether with the slider or with the - and + buttons.

The zoom levels are identical to the drop-down list of Set zoom level.

Selection of the dockable windows

Drop-down list for List of command sequences.

Selection of whether the window shows the List of command sequences or is hidden.

If the list of command sequences is already shown, this is visualized in the drop-down list with a tick.


Footer symbols

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Command sequence grid -> Footer symbols

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The footer of the command sequences grid uses the following symbols for visualization:

Aborted

Executed

Ready for start

In execution

Automatic mode

Edit mode

Semi-automatic mode

Idle

Paused/pause

Teaching

Warning


Modes

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Modes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The command sequence editor has several modes:

  • Edit mode
    Command sequences are configured and edited in this mode
  • Execution mode
    Mode for execution of the configured command sequences.
    The execution mode has two modes:
    • Automatic mode
    • Semi-automatic mode

Noch in diesem Kapitel

Command sequence - execution mode

Automatic mode

Semi-automatic mode


Command sequence - execution mode

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Modes -> Command sequence - execution mode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The command sequence editor executes command sequences in Runtime. You can start any number of command sequences. The execution mode is for testing a command sequence but also to execute this. In addition in the execution mode changes in the Editor can be applied directly via reloading the Runtime.

Exception: If a command sequence is currently being executed, the reloading of this command sequence is delayed. The reloading process is only carried once the command sequence has finished, been stopped or been canceled.

The following modes are available for execution in execution mode:

  • Automatic mode
    The configured command sequence is executed in automatic mode. The command sequence is only stopped in the event of pending user interaction.
  • Semi-automatic mode
    There is a pause after each step in semi-automatic mode. A jump to the next step is only made after a corresponding click Configuration can thus be tested step by step.

info Informazioni su

The fundamental command sequence process cannot be changed in execution mode. You can only change values of the command tags.


Automatic mode

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Modes -> Automatic mode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A configured command sequence runs in automatic mode. This mode is also used to visualize and control a configuration in Runtime.

If user interaction is necessary, the configured command processing screen is called up. The command sequence continues after an entry is made in the command processing.


Semi-automatic mode

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Modes -> Semi-automatic mode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configured command sequence is executed in automatic mode. The command sequence is only stopped in the event of pending user interaction.

Only after corresponding user interaction on the Continue command sequence at all execution positions button or Only continue command sequence at corresponding execution positions does the next step become active. This mode is thus suitable for stepping through a command sequence step by step.


Toolbar - Command Sequence Editor (edit mode)

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command Sequence Editor (edit mode)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In edit mode of the command sequence editor, you can easily configure a command sequence in Runtime directly by means of drag&drop.

Parameters

Description

New command sequence

Creates new command sequence.

Save command sequence

Saves configured command sequence

Graphical design

Calls up dialog to select the graphical design.

The following can be selected:

  • Background color
  • Grid On/Off
  • Grid color
  • Display element ID

Delete

Deletes selected element

Note: only active if an element was selected in the command sequence grid.

Check command sequence for errors

Checks configuration of a command sequence for logical correctness and consistency.

The result is displayed in a dialog.

  • No errors during this command sequence.
  • Checking the command sequence resulted in the following warnings/errors:
    {error details}

Edit element

Calls up a dialog to change the element property for switchgear assignment and transition.

Note: not available for step.

Replace step

Opens the dialog to select a command processing action. As a result of this, already-configured steps can be assigned new actions.

Note: only active if an element was selected in the command sequence grid.

Edit mode

Switches the mouse cursor from adding an element to edit mode. The switch back to the edit mode can also be achieved by pressing the Esc key.

Add step

Occupies the mouse pointer with a step. It can be added to any allowed, free location via click.

Opens the dialog to select a command processing action.

Insert transition

Occupies the mouse pointer with a transition. It can be added to any allowed, free location via click.

Insert begin simultaneous sequence

Occupies the mouse cursor with a begin parallel branch. It can be added to any allowed, free location via click.

Insert end simultaneous sequence

Occupies the mouse cursor with an end parallel branch. It can be added to any allowed, free location via click.

Insert Begin branch

Occupies the mouse cursor with a begin branch. It can be added to any allowed, free location via click.

Insert End branch

Occupies the mouse cursor with an end branch. It can be added to any allowed, free location via click.

Insert switchgear allocation

Occupies the mouse pointer with a switchgear allocation. It can be added to any allowed, free location via click.

Insert jump target

Occupies the mouse cursor with a jump target. It can be added to any allowed, free location via click.

Start teaching

Starts teaching mode for the currently-selected command sequences.

Not active if:

  • Teaching mode is currently running for another command sequence.
  • Project is not running in simulation mode.

Stop teaching

Ends teaching mode.

Not active if teaching mode is active.

Switch command sequence to execution mode

Switches command sequence to execution mode.

Noch in diesem Kapitel

Graphical design

Elements

Formula editor


Graphical design

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command Sequence Editor (edit mode) -> Graphical design

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Clicking on the symbol for the graphical design in the toolbar opens the dialog for configuring the colors, grid settings and display of the element ID.

Parameters

Description

Background color

Defines the background color of the command sequence grid. Click on the color in order to open the palette for selecting a color.

Display grid
  • Active: Display the grid
  • Inactive: Grid is hidden.

Grid color

Defines the line color of the grid. Click on the color in order to open the palette for selecting a color.

Display element ID

Shows or hides the element ID. This setting is to be made for each command sequence.

Inactive: No element ID is shown in the command sequence.
Note: This setting is recommended for normal operation.

Active: The ID of the elements is displayed in the command sequence. The exception is lines. The display is in the upper left-hand corner of the element.

Hint: This setting is recommended for troubleshooting.

OK

Applies all settings and closes the dialog.

Cancel

Discards all changes and closes the dialog.

Examples

Display IDs of the elements active

Display IDs of the elements inactive


Elements

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command Sequence Editor (edit mode) -> Elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following elements can be used for the configuration of a command sequence in the command sequence editor:

  • Step
  • Transition
  • Parallel branch
  • Branch
  • Switchgear allocation
  • Jump target
  • Lines
  • Teaching cursor

Start and end element

Each command sequence must have a start and end element.

These two elements are automatically created when a command sequence is created and cannot be deleted from the project configuration. Even if you have configured the complete project configuration and deleted it, the start element and the end element are not affected by this deletion.

Configuration of an element:

  • Set the command sequence editor to edit mode.
  • Select an element in the command sequence editor with a mouse click.
  • Position this element in the command sequence grid by means of drag&drop.
    Note: You can position the element several times.
  • Clicking on the Esc button deactivates the drag&drop functionality.

Noch in diesem Kapitel

Step

Transitions - conditions

Parallel branches

Branch

Modify parallel branches and branches

Switchgear allocation

Jump target

Teaching cursor

Lines


Step

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command Sequence Editor (edit mode) -> Elements -> Step

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Step

A step is always linked to a configured action of command processing in the Command Sequencer module. The actions are configured in the zenon Editor in the Command Processing module.

After positioning of a step in the command sequence grid, the Action selection dialog opens automatically. In this dialog, you select an action from the list of all actions of all command groups configured in the zenon Editor.

Action selection

Select an action and confirm the selection with OK. The command processing action is assigned to the step as a result.

Note: The OK button is active if no action has been selected. Only the linking of an action is permitted for a step.

info Informazioni su

You can find further information on configuration of the command processing in the Energy Edition manual in the Command processing chapter.


Transitions - conditions

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command Sequence Editor (edit mode) -> Elements -> Transitions - conditions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Transitions - conditions

Transitions are used after steps in order to ensure a defined transition from one step to the next. Transitions display their internal status during the process and inform via a tool tip about status and process duration.

After positioning a transition in the command sequence grid, the Condition dialog opens automatically.

Select a response variable from the list of parameters. You get this list if you click on the Add button.

This list contains the response variables of all steps that have already been inserted into the command sequence grid.

info Informazioni su

You can find further information on conditions in the Formula editor chapter in this manual.


Parallel branches

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command Sequence Editor (edit mode) -> Elements -> Parallel branches

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Parallel branches

At the parallel branch an execution path parts into several execution paths which are executed in parallel during the process. For the activation of the different elements within a parallel branch you cannot define a certain order.

The project configuration always consists of a Begin parallel branch and an End parallel branch.

Begin parallel branch

End parallel branch

In the process the respective intermediate area of the end parallel branch is also colored. The color corresponds to the coloring of the command sequence.

A parallel branch is ended if the process has been completed in all execution paths. Completed means that either the following step is active or the following transition is inactive.

Insert parallel branches

To create a parallel branch:

  1. select the symbol Insert begin parallel branch
  2. put the branch on the desired location
  3. connect the input connection point with a output connection point of the preceding object
  4. connect both output connection points with the desired following objects
  5. close a parallel branch with object Insert end parallel branch


Branch

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command Sequence Editor (edit mode) -> Elements -> Branch

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Branch

A branch offers the possibility to execute one of several possible paths. To do this, it is necessary that the first element at the start of a procedure path is a transition.

Note: A Begin branch can only be have a transition as a subsequent object.

Begin branch

End branch

Procedure:

  • The procedure path for which the first transition is TRUE is chosen.
  • Then it is waited until all transitions have a value.
  • If several transitions are TRUE at the same time, always the leftmost path for which the transition is TRUE is selected.

For begin and end the following is true: If there is a step in front of the element and a transition behind, the step remains active until the transition has been completed.

The objects are processed sequentially in a path. Each path processes its objects regardless of other paths.

Command sequences can select sequences and run in parallel branches.

branches and parallel branches consist of:

  • Single or double horizontal lines
  • Connection pieces (consisting of connection line and connection point)

Create a branch

To create a branch:

  1. Select the Insert begin branch symbol
  2. Position the branch at the desired location.
  3. Connect the input connection point to an output connection point of the preceding object.
  4. Connect both output connection points with the desired following objects.
  5. Close a branch with the Insert end branch object


Modify parallel branches and branches

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command Sequence Editor (edit mode) -> Elements -> Modify parallel branches and branches

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Modify parallel branches and branches

Modify and move

Branches and parallel branches can be moved and changed in size.

Move

To move an object:

  1. click on the object.
  2. Hold down the mouse button.
  3. Move the object to the desired position.

Change size

In this way object Begin/End branch/parallel branch can be extended and shortened. To change their size:

  1. Move the mouse pointer over the object until it turns into a double arrow.
  2. Hold down the left mouse button and move it in the desired direction:
    • Away from the object to extend it.
    • Into the object to shorten it.
    • The line to continue the command sequence remains unchanged each time.
  3. at extending a new connection piece is added;
    • All fields in which lengthening is possible are colored green.
    • The process must be repeated to add several new connection pieces.
  4. All corresponding connection pieces are deleted during shortening.


Switchgear allocation

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command Sequence Editor (edit mode) -> Elements -> Switchgear allocation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Switchgear allocation

Each item of switchgear is represented by its response variable.

The switchgear allocation element of the module allocates one or more switching devices in Runtime:

  • With this element, several (or all) response variables can be reserved (assigned) in advance. The NET_SEL status bit is set for this reservation.
  • Unlocking is also carried out using a switchgear assignment element.

After the command sequence process, all NET_SEL status bits are automatically deleted again.

List of switchgear

Lists all available switchgear, its assignment and unlocking type. The list can be sorted - multiple selection is possible.

Parameters

Description

Switchgear

Switchgear according to configuration of the command processing in the zenon Editor.

Allocation

Yes, if Switchgear allocation is active.
Empty if Release is active.

Release

Yes, if Switchgear release is active. In addition, the extent of the release is shown as text:

  • selective
  • global

Empty if allocation is active.

Action

Parameters | Description
Switchgear allocation | If activated, the element is allocated to selected switchgear.
Switchgear release | If active, the element releases the selected switchgear.
Clearing the last allocation | If active, only the switchgear that was allocated in the last allocation is released. Only active if release for the switchgear is active.
Global command sequence release | If active, the switchgear that is allocated in the current allocation is released. Only active if release for the switchgear is active. Note: Allocated switchgear is automatically released again if the command sequence has been completed successfully or canceled.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.


Jump target

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command Sequence Editor (edit mode) -> Elements -> Jump target

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Jump target

The jump target element allows a direct jump to a defined point of a branch.

Jump targets make it possible to

  • To jump between procedure paths
  • To jump out of branches
  • engineer loops

Jump targets consist of tree inputs and one output. At this the output is always at the bottom and the inputs are located at the top and the sides. You can connect any input connection points. A path which ends in a jump target must have started with a Begin branch. Otherwise the end is not reached.

During the editing all connection points are visible. In the checking mode only the connection points which are connected are displayed.

attention Attenzione

Jump targets are not allowed for parallel branches.


Teaching cursor

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command Sequence Editor (edit mode) -> Elements -> Teaching cursor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Teaching cursor

The teaching cursor element visualizes each position in the command sequences grid, according to which the recorded element is placed during the teaching process.

The teaching cursor is not directly available to select as an element. It is provided by activating the teaching mode automatically.

Note: The teaching process is not started without the teaching cursor being positioned.
If the recording is ended by clicking on the Stop teaching button, the teaching cursor is also hidden again.

Positioning

To position the teaching cursor in the command sequence grid:

  1. Click (with simulation mode active) the Start Teaching button.
  2. The teaching cursor is displayed and can be positioned in the command sequence grid.

New positioning

The teaching cursor can be repositioned during an ongoing teaching process.

In the command sequence grid, move the teaching cursor with drag&drop and place the teaching cursor at the desired position in the grid. The steps applied from teaching are inserted into this new cursor position.

This repositioning can be repeated several times. As a result, different branches of a parallel branch can be configured with the teaching process.


Lines

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command Sequence Editor (edit mode) -> Elements -> Lines

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Lines

Lines connect elements via free connection points. To connect connection points with each other:

  1. Activate a point with the help of the mouse:
    The connection point turns green. Red means that the connection point is already taken.

  2. Drag a line to another connection point:
    A yellow arrow shows the direction of the line.. Green fields can be crossed. Red fields may not be crossed by the line.

  3. As soon as the yellow tip of the line touches the next connection point, the line is created.

Using trend curves

Lines:

  • Are dragged with the mouse.
  • Can be moved (press and hold Ctrl key)
    In doing so, all existing connections are separated and an attempt is made to reconnect the line if there are objects with connection points in the right direction at the target.
    If several lines are highlighted, the line that has a cell with mouse cursor in it is moved.
  • Can be deleted by highlighting them and pressing the Del key.
  • Are deleted when re-dragging them from the start to end.
  • have a tool tip displaying its ID.

If a line reaches a connection point of an object, the connection point becomes active. If a connection is possible, it turns green otherwise red. Connections connecting two connections points of the same type - two inputs, two outputs, etc. - are not allowed. The line can be added in any case. Not allowed connections are displayed in red and trigger a corresponding error message at testing.

The connection points of the elements are always displayed in the edit mode even if the connection point in question is connected. In status "Release" no connection points are displayed.

Properties connection point:

  • connected: highlighted red; connection is separated when the line is dragged and a new connection point can be chosen
  • open: highlighted green; at dragging a new line is created

Lines connect elements

  • Lines can be used as connections between all elements. It is allowed to add any number of lines after another.
  • Lines must not be used to connect two equal connection points.
    For example: Both inputs of two steps must not be connected directly with a line. In the engineering this connection is allowed. It is however displayed in red (error) and in the validation an error message is displayed.


Formula editor

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command Sequence Editor (edit mode) -> Formula editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The formula editor is automatically opened if you need to enter or edit a formula. Above all:

Runtime:

  • Editing transitions.

Note: If the step referenced in the formula is removed and a new step is added, the operands are reassigned in the case of operands. To do this, the same step must be reinserted. Parameters from a different phase are not automatically linked.

Enter formula

The following input is accepted:

  • Constant as decimal number
  • Hexadecimal number if it is preceded by an x
  • Dot as decimal separator; the following is true:
    • Comma is automatically converted into a dot: 23,000 to 23.000
    • Decimal places which are only zeros are removed: 23.000 to 23

Parameters

Description

TAG list

List of the tags which can be used for the formula.

Each entry contains of:

  • a basis node for the label
  • a value
  • a status
  • the bits for value and status

A symbol at the first node displays whether it is a command or return tag.

The short indentifier at the beginning of the name is used for the formula.

Add

Opens the dialog for adding a parameter. For this, the following applies:

  • The following can be added: numeric and binary tags and tags for time duration. Values for duration are converted to seconds
  • For conditions of a step, only the properties that were created for it can be used.
  • Tags can be added multiple times.

Replace

Makes it possible to replace a tag. Clicking on the button opens the dialog to add a parameter.

  • Selection of a new parameter replaces the highlighted parameter.
  • Clicking on the no selection button deletes the highlighted parameter from the list.

The short identifier remains the same at replacing.

Remove

Removes the highlighted tag. For a tag to be deleted:

  • the formula must be correct
  • the selected tag must not be used in the formula

Logical operators

Via the buttons for operators, operators are added to the formula.

AND

logical 'AND'

OR

logical 'OR'

XOR

logical 'EXCLUSIVE OR'

NOT

Negation

Syntax

The operator buttons add the string shown on them to the formula.

(

Open parenthesis

)

Close parenthesis

Bit by bit and relational operators

&

And

|

Or

>

greater than

>=

greater or equal

<

less than

<=

Less than or equal

=

equal

<>

less or greater

Condition

Configuration and display of the formula.

Copy

Copies the whole formula:

  • All configured tags from the tag tree
  • Formula from the field

Paste

Pastes a formula from the clipboard. At this all already configured elements are deleted and replaced by the copied formula.

When copying formulas between steps, an attempt is made to resolve the operands via their names. For tags which are not found invalid entries are created in the operands list. Their point of use in the formula remain the same.

OK

Applies formula and closes the dialog.

For this the formula must be correct.

Cancel

Discards all changes and closes the dialog.

info Informazioni su

You can link up to 99 tags in a formula. X01 to X99. The length of the formula must not exceed 4096 characters.

The meaning of the bits:

Parameters | Description
value bits | 32 value bits (from 0 -31) are available. They describe the tag value bit by bit. For binary tags only bit 0 is of importance, for SINT and USINT only the bits from 0 - 7, etc.
State bits | Here you find the most commonly used status bits. You find the exact definition and use of the status bits in the Status Bits List.
value and status | In the formulas, all values (value bits and status bits) are treated as binary values and can be logically linked with AND, OR, etc. The total value and overall status are an exception to this. In order to get a Boolean result this total value has to be ORed with a constant bitwise. For this, we use the operator &. For the result 0 (false) of this logical ORing we get the binary value 0 (false), otherwise 1 (true). Example: see chapter Example bit by bit ORing

info Info

The status bits NORM and N_NORM are only available in the formula editor and cannot be engineered via the status.

info Informazioni su

Formulas with binary X values and bitwise linking can be used with a maximum of 2 binary values. If more values are required, the linking must be carried out without binary X values.

Example:

X01.Value & X02.Value -> works

X01.Value & X02.Value & X03.Value -> does not work

But:

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> works

Noch in diesem Kapitel

Adding parameters

List of status bits

Logical operators

Bit formulas

Comparison operators

Examples for formulas


Adding parameters

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command Sequence Editor (edit mode) -> Formula editor -> Adding parameters

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Adding parameters

Clicking on the Add button in the formula editor opens the dialog to select parameters that are to be used for a formula.

Parameters | Description
Project list | Display of the active project. Only parameters that have been created in the active project for the step to be configured can be selected.
Parameter List | List of the parameters available for the selected step. Multiple selection is possible. Apply by selecting and clicking on the OK button or by double clicking on a parameter.
None | Deletes parameters already set. Only effective for replacement of parameters. If a parameter is highlighted in the formula editor and this dialog is opened by clicking on the Replace button, then clicking on the No selection button deletes the parameter from the list in the formula editor. The short identifier remains the same at replacing.
OK | Inserts selected parameters into the parameter list of the formula and closes the dialog.
Cancel | Discards selection and closes dialog.
Help | Opens online help.


List of status bits

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command Sequence Editor (edit mode) -> Formula editor -> List of status bits

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
List of status bits
Bit number | Short term | Long name | zenon Logic label
0 | M1 | User status 1; for Command Processing: Action type "Block"; Service Tracking of the IEC 850 driver | _VSB_ST_M1
1 | M2 | User status 2 | _VSB_ST_M2
2 | M3 | User status 3 | _VSB_ST_M3
3 | M4 | User status 4 | _VSB_ST_M4
4 | M5 | User status 5 | _VSB_ST_M5
5 | M6 | User status 6 | _VSB_ST_M6
6 | M7 | User status 7 | _VSB_ST_M7
7 | M8 | User status 8 | _VSB_ST_M8
8 | NET_SEL | Select in the network | _VSB_SELEC
9 | REVISION | Revision | _VSB_REV
10 | PROGRESS | In operation | _VSB_DIREC
11 | TIMEOUT | Runtime exceedance | _VSB_RTE
12 | MAN_VAL | Manual value | _VSB_MVALUE
13 | M14 | User status 14 | _VSB_ST_14
14 | M15 | User status 15 | _VSB_ST_15
15 | M16 | User status 16 | _VSB_ST_16
16 | GI | General query | _VSB_GR
17 | SPONT | Spontaneous | _VSB_SPONT
18 | INVALID | Invalid | _VSB_I_BIT
19 | T_CHG_A | Daylight saving time/winter time announcement | _VSB_SUWI
20 | OFF | Switched off | _VSB_N_UPD
21 | T_EXTERN | Real time external | _VSB_RT_E
22 | T_INTERN | Realtime internal | _VSB_RT_I
23 | N_SORTAB | Not sortable | _VSB_NSORT
24 | FM_TR | Error message transformer value | _VSB_DM_TR
25 | RM_TR | Working message transformer value | _VSB_RM_TR
26 | INFO | Information for the variable | _VSB_INFO
27 | ALT_VAL | Alternate value If no value was transferred, the defined alternate value is used otherwise the last valid value is used. | _VSB_AVALUE
28 | RES28 | Reserved for internal use (alarm flashing) | _VSB_RES28
29 | N_UPDATE | Not updated | _VSB_ACTUAL
30 | T_STD | Standard time | _VSB_WINTER
31 | RES31 | Reserved for internal use (alarm flashing) | _VSB_RES31
32 | COT0 | Cause of transmission bit 1 | _VSB_TCB0
33 | COT1 | Cause of transmission bit 2 | _VSB_TCB1
34 | COT2 | Cause of transmission bit 3 | _VSB_TCB2
35 | COT3 | Cause of transmission bit 4 | _VSB_TCB3
36 | COT4 | Cause of transmission bit 5 | _VSB_TCB4
37 | COT5 | Cause of transmission bit 6 | _VSB_TCB5
38 | N_CONF | Negative confirmation of command by device (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test bit (IEC870 [T]) | _VSB_T_BIT
40 | WR_ACK | Writing acknowledged | _VSB_WR_ACK
41 | WR_SUC | Writing successful | _VSB_WR_SUC
42 | NORM | Normal status | _VSB_NORM
43 | N_NORM | Deviation normal status | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Time invalid | not defined
50 | CB_TRIP | Breaker tripping detected | not defined
51 | CB_TR_I | Breaker tripping detection inactive | not defined
52 | OR_DRV | Value out of Range | not defined
53 | RES53 | reserved | not defined
54 | RES54 | reserved | not defined
55 | RES55 | reserved | not defined
56 | RES56 | reserved | not defined
57 | RES57 | reserved | not defined
58 | RES58 | reserved | not defined
59 | RES59 | reserved | not defined
60 | RES60 | reserved | not defined
61 | RES61 | reserved | not defined
62 | RES62 | reserved | not defined
63 | RES63 | reserved | not defined

info Informazioni su

In formulas all status bits are available. For other use the availability can be reduced.

You can read details on status processing in the Status processing chapter.


Logical operators

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command Sequence Editor (edit mode) -> Formula editor -> Logical operators

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Logical operators

Logical links: Variables will only be checked for the logical value '0'; if the value does not equal '0', it will be considered as '1'.

In contrast to bit formulas, the technical range can be modified by a stretch factor -> (not equal '0' or '1').

Operator | Meaning
AND | logical 'AND'
NOT | Negation
OR | logical 'OR'
XOR | logical 'EXCLUSIVE OR'

The operators have the following priority in the formula calculation:

Priority | Operator
1 | & (operator for bit formulas)
2 | NOT
3 | AND
4 | XOR/OR

info Info

Up to 99 variables can be linked in one formula. X01 to X99.

info Info

The status bits NORM and N_NORM are only available in the formula editor and cannot be engineered via the status.


Bit formulas

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command Sequence Editor (edit mode) -> Formula editor -> Bit formulas

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Bit formulas

Bit formulas only have a logical high or low state. In contrast to logical formulas, the raw value is already predefined (0,1).

Operator | Description
& | AND
| | OR

Noch in diesem Kapitel

Example: ORing bitwise


Example: ORing bitwise

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command Sequence Editor (edit mode) -> Formula editor -> Bit formulas -> Example: ORing bitwise

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Example: ORing bitwise

You want to find out if one of the user status bits 1-8 (M1 ... M8) of the variable X01 is set.

Usual formula:

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8
This query can be made much easier by the logical ORing of the overall status.

Logical ORing:

X01.Status & 0xFF

The constant can be entered in hexadecimals, as described above:

0xFF corresponds to decimal 256; these are the first eight status bits (binary 11111111). If one of these bit is set to 1, the result of this bitwise ORing is 1 (true), otherwise it is 0 (false).

If, for example, all user status bits except the user status bit M7 should be queried, the binary statement for this would be: 10111111. Bit 7 is not of interest and is thus set to 0. This corresponds to 0xBF in hexadecimal. The expression for the formula is then: X01.Status & 0xBF.

Instead of ORing bitwise with a constant, the value can also be directly compared to a decimal number. If the comparison is wrong, the binary value is 0 (false) otherwise it is 1 (true).

Example:

You want to find out if the value is equal to the constant 202: The formula is:

X01.value = 202

If the value is equal to the constant 202, the result of the comparison is 1 (true) otherwise it is 0 (false).

Note: The bitwise ORing works with the OR character (|) in a similar manner to this example.


Comparison operators

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command Sequence Editor (edit mode) -> Formula editor -> Comparison operators

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Comparison operators

Comparison operators are for the direct comparison of two numeric values. The result of this comparison is a binary value. "0“ if the condition is not fulfilled and „1“ if the condition is fulfilled.

Operator | Description
< | less
> | greater
<= | Less than or equal
>= | greater or equal
= | Equal
<> | unequal

To the left and to the right of the comparison operator, there has to be a (total) value or a (total) status, single bits cannot be used with these comparison operators.

There can also be a constant to the right of the comparison operator.
These constants are entered as hexadecimal values or decimal values in the combined element. Hexadecimal figures are automatically converted to decimal values by clicking on OK (for example, 0x64 is in decimal figures 100).

Example Esempio

X01.value >= X02.value
The result is 1, if the value of X01 is higher than or equal to the value of X02

X01.value = 0x64
The result is 1, if the value of X01 is exactly equal to the numeric value 100 (= hex 0x64)

(X01.value = 0x64) OR (X01.value = 0x65)
The result is 1, if the value of X01 is exactly equal to the numeric value 100 or 101 (= hex 0x64 and hex 0x65)


Examples for formulas

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command Sequence Editor (edit mode) -> Formula editor -> Examples for formulas

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Examples for formulas

Simple logical AND linking between two bit values

Example Example

Formula: X01.03 AND X02.03

This formula has the status TRUE, if both bit 3 of variable 1 and bit 3 of variable 2 both have the value 1.

comparison of an analogue value or status of a variable

Example Example

(X01.Value> X02.Value)

Compare analog values with each other on a logical basis

Example Example

(X01.Value> X02.Value) AND (X01.Value = X02.Value)

Compare with value bits and status bits

Example Example

(X01.Value> X02.Value) AND (X01.Value = X02.Value) OR (X01.03 = X02.03)

Compare a value with a decimal or hexadecimal value

Example Example

Formula: (X01.Value = 111)

Formula: (X01.Value = 0x6F)

If a hexadecimal values is used, this is later transferred to decimal by clicking on OK. If a decimal value is entered and confirmed, the value continues to be displayed as a decimal value after reopening.

info Info

It is not possible to use a comma or a period when entering values.


Toolbar - Command sequence editor (execution mode)

Manuale -> Command Sequencer -> Command sequences in Runtime -> Command Sequencer Editor -> Toolbar - Command sequence editor (execution mode)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameters

Description

Start command sequence

Starts command sequence

Note: not available during redundancy switching.

Pause command sequence

Stops current command sequence and pauses it.

Continue command sequence

Continues paused command sequence.
Only active if the command sequence was previously paused with Pause command sequence.

Abort command sequence

Aborts the command sequence that is running.

User interactions

Switches to the command processing screen. To do this, a step must be active in the command sequence. This step must be selected by clicking on the mouse.

The screen that was linked in the command processing action is called up. If no screen is linked in the command processing action, the linked screen of the command processing group is used.

Note: Only active is the action is being executed and a user interaction is expected, for example with a two-step action or an active interlocking.

Check command sequence for errors

Checks configured command sequence for logical consistency and possible errors.

The result is displayed in a dialog.

  • No errors during this command sequence.
  • Checking the command sequence resulted in the following warnings/errors:
    {error details}

Edit element

Calls up a dialog with the element properties for switchgear allocation and transition.

No changes can be made in execution mode. Switch the editor to edit mode in order to make changes.

Note: not available for step.

Graphical design

Calls up dialog to select the graphical design.

The following can be selected:

  • Background color
  • Grid On/Off
  • Grid color
  • Display element ID

Switch to automatic mode

Switches execution of the switching step to automatic mode.

Switch to semi-automatic mode

Switches execution of the switching step to semi-automatic mode.

Continue command sequence at selected execution position only

Continues a command sequence from the selected element only.

Note: only available in semi-automatic mode.

Continue command sequence at all execution positions

Continues a command sequence at all positions available - regardless of the respective position of the mouse pointer.

Note: only available in semi-automatic mode.

Switch command sequence to edit mode.

Switches to edit mode - command sequences can be edited and repositioned.


Create command sequence

Manuale -> Command Sequencer -> Command sequences in Runtime -> Create command sequence

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command sequences are named and renamed in the Command sequence configuration dialog. A descriptive text can also be configured.

You create a new command sequence in the list of command sequences.

Parameters | Description
Name | Name of the new command sequence. The name must not contain a question mark (?), a semicolon, an @ or an asterisk (*). Maximum length: 256 characters. Note: When duplicating command sequences, the existing name is supplemented with the prefix "Copy of". If the maximum length is exceeded by this, the name is shortened to the allowed length starting from the last character.
Description | (Optional) text for the description of a command sequence. You can change the description afterwards. To change the description, select the Rename command sequence symbol.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.


Tooltips

Manuale -> Command Sequencer -> Command sequences in Runtime -> Tooltips

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tool tips in the command sequence editor visualize the respective status of a step and provide further information via the respective status.

Display of the tool tip:

To have a tool tip displayed, go to the respective step in the command sequence grid. The tool tip appears automatically when the mouse is positioned over the step.

Structure:

The tool tip consists of:

  • Command processing command (command processing group action)
    • Internal ID
    • Allocated switchgear
  • General
    • Step status
    • Internal state
    • Number of executions
  • Overall duration
    (duration)
    • Date and time stamp for start and end
  • Chronological sequence in detail
    (overall duration)
    • Switchgear allocation
      Date and time stamp for start and end
    • Duration of execution
      Date and time stamp for start and end
    • Wait for subsequent condition
      Date and time stamp for start and end


Execution status

Manuale -> Command Sequencer -> Command sequences in Runtime -> Execution status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following states are possible:

Status

Description

Idle

The command sequence is in idle state.

Running

When starting a command sequence, it changes to running status.

Skipped

A step was skipped due to the project configuration.

Executed

As soon as the execution is finished, the command sequences switches to Finished status. In this status execution is not possible.

Pausing

The command sequence switches to paused status.

Paused

Within the command sequence, the process stops at:

  • Waiting for Finished
  • Waiting for Allocation
  • Waiting for Interlocking condition
  • Waiting for Phase finished
  • Check for parallel execution

Aborting

Aborts the process and changes to Aborted.

Aborted

Command sequence process was aborted.

If a command sequence cannot be restarted in the image on restarting, its status automatically changes to aborted.

Newly-occurred interlocking

Command sequence is stopped. Aborting the command sequence is now possible.

This status occurs in the following scenario:

  • An interlocking condition (one-step or two-step) waits for confirmation.
  • Whilst a confirmation is waited for, the active interlocking has changed again.

Active element and jump targets

Status | Description
Continue | If an object is paused and an active element is located after it, continue has the same effect as Next step. This also includes jumps. For a step command, the command only affects the jump in the same branch.
Break | Has now effects for jump targets. Already defined targets remain.
Others | Always causes the deletion of the jumps. For a step command, only the jump in the area of the command sequence is deleted.


Symbols and Color

Manuale -> Command Sequencer -> Command sequences in Runtime -> Symbols and Color

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The states during the process of a command sequence are displayed using different symbols. Some symbols are also used for transitions and end parallel branch.

Symbols and what they mean:

Symbol

Meaning

Command sequence starts

The connection is established.

Wait for switchgear allocation. The switchgear of the step is already used in a different command sequence or is already assigned the NET_SEL status bit.

  • During the execution of a step and the waiting for Reaction finished.
  • With transitions: Whilst running and waiting for transition condition.
  • With end parallel branch: Waiting for all branches combined.

Step has finished

  • With transitions: Waiting for transition condition met.
  • With end parallel branch: Waiting for all parallel branches finished and waiting for following condition.

Values are written.

User interaction required.
Calls up configured command processing screen.

Command sequence is in semi-automatic mode and waits for the next step.
To do this, click on the "Continue command sequence at all execution positions" button. It calls up the command processing screen.

Multiple executions.

Occurs with an attempt to execute the exact same of steps at the same time.

If an error occurs during a step, the step is marked as faulty until it is restarted.

If a command sequence is paused, the current status is shown as a symbol.

Status

The execution status of steps, transitions and End parallel branch is visualized in color:

Status

Color

Idle:

White

In execution:

green

Skipped:

petrol

Finished:

blue

Pausing:

Two colors:

  • orange
  • Original color

Paused:

orange

Aborting:

Two colors:

  • red
  • Original color

Aborted:

red

Restarting:

Two colors:

  • green
  • Original color

Timeout:

red border

Newly-occurred interlocking

red border

Action on Stop command

After a Stop command, the steps, transitions and end parallel branch immediately go to Stopped status, even if other elements are still waiting for a condition for stopping. Further subsequent commands such as Cancel are ignored. The Stopped status remains displayed.


Validate command sequence

Manuale -> Command Sequencer -> Command sequences in Runtime -> Validate command sequence

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command sequences can be checked for errors during configuration.

  • Validation is only possible in edit mode.
  • Validation takes place automatically when switching from edit mode to execution mode.

To validate a command sequence, click on the corresponding symbol in the toolbar of the command sequence editor in Runtime (green tick - Check command sequence for errors). The recipe thus is checked for functionality according to internal rules; the following in particular is checked:

  • Syntax (all lines connected, processable from begin to end, etc.)
  • Variables
  • Datatypes

The result of the check is displayed as a dialog in plain text. Found errors are also saved in the log file which can be analyzed with the Diagnosis Viewer.

Rules that must be adhered to during configuration can be found in the Project configuration rules for recipes chapter.

attention Attenzione

Command sequences that are not connected at the time of validation are ignored during validation. Their content and processes are not checked.

Dialog: Validation OK

Dialog: Validation with errors

If errors occur during checking, they are displayed in this dialog.

This error information includes:

  • Error number
  • Element ID
  • Position in the command sequence grid
  • Error text


Teaching

Manuale -> Command Sequencer -> Command sequences in Runtime -> Teaching

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configured command processes can be recorded in the zenon Runtime simulation with the help of teaching. As a result of this process, corresponding command sequences are configured in the simulation image in Runtime during the teaching process.

The command sequence configuration created this way can still be changed manually and imported in real time by importing the simulation image created as a result.

All steps are carried out in zenon Runtime. Additional configuration in for teaching in the zenon Editor is not necessary.

Noch in diesem Kapitel

Teaching process

Dialog when teaching is canceled

Engineering


Teaching process

Manuale -> Command Sequencer -> Command sequences in Runtime -> Teaching -> Teaching process

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command actions are processed in a project simulation during an active teaching process and applied in the command sequence selected for teaching. The command action is incorporated as a step element in the command sequence grid. Elements can also be inserted manually in the command sequence grid during teaching. The teaching process is not interrupted as a result.

In order to be able to execute command actions from different process images, the teaching process also remains active when the command sequences editor is closed.

During this process, it is possible to switch between command images and desired zenon screens in Runtime. It is thus also possible to apply command actions from different zenon screens in the command sequence. A requirement for this is that there is at least one command action included in the respective zenon screen.

Teaching is always carried out in the project simulation. As a result, it is ensured that ongoing real-time operation is not affected or that damage is caused by incorrect project configurations. The command sequence can also be edited and changed after the teaching process. An element can still be added manually and processes can be rearranged.

For a command sequence, the teaching process can be repeatedly started and stopped in the simulated Runtime environment.

The command sequences edited in this way can then be imported into the list of command sequences in real-time operation with the Import command sequence from simulation image button.

Teaching in the command sequence grid

The teaching cursor can be positioned in any free cell in the command sequence grid by means of drag&drop. Repositioning of the teaching cursor is possible at any time. For example, for parallel branches, the individual branches can be taught consecutively.

During the teaching process, for each command action executed, the corresponding step is inserted into the cell of the command sequence grid on which the teaching cursor is currently located. Once a step has been inserted, the teaching cursor is moved down one cell.

If the new teaching cursor position is already occupied by an existing command sequence project configuration, all elements below this in the grid are moved down one line. If existing lines are separated as a result, these are automatically connected again. As a result, it is ensured that a valid command sequence that already exists remains free of errors through the teaching process.

Expansion of the grid is possible up to a total of 1,000 lines. The teaching is canceled after this limit has been reached. The user is informed of this with a dialog.


Dialog when teaching is canceled

Manuale -> Command Sequencer -> Command sequences in Runtime -> Teaching -> Dialog when teaching is canceled

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Certain events in zenon Runtime lead to an ongoing teaching process being canceled. This cancellation of the teaching process is visualized with warning dialogs. In addition, CEL entries and LOG entries are created for the respective events.

The teaching process is canceled:

  • When the project simulation is stopped in Runtime.
  • When the Stop teaching button is clicked on.
  • When the mode of the taught command sequence is switched from edit mode into execution mode.
  • During an XML export of the taught command sequence.
    Note: Caution, no warning dialog appears here. The teaching is stopped automatically. The previously-taught elements are retained however.
  • With XML import, if the taught command sequence is already present in the XML import file and Overwrite existing command sequence is selected for the import options. The previously-taught elements are lost!
  • In the event of changes to the taught command sequence:
    • Save
    • Delete
    • Rename

In doing so, no distinction is made on how the command sequence is changes: for example, by means of keyboard shortcut, clicking on a corresponding symbol, selection from a context menu, etc.

Dialogs during teaching

When the teaching process is canceled, the user is notified of this with warning dialogs. Different dialogs are shown depending on the cause of cancellation.

Closing zenon Runtime

If Runtime is closed during an active teaching process, the user is notified of this with a dialog:

Parameters | Description
Yes | The changes are saved in the current command sequence to be taught. Runtime is closed.
No | The Runtime will be closed. The new elements of the command sequence are not saved.

If no button is clicked on, Runtime is automatically closed once 15 seconds have elapsed. The current command sequence is not saved.

No available line in the command sequence grid

The command sequence grid is expanded by one line during the teaching process if necessary. If the maximum number of 1,000 lines has been reached, the teaching process is canceled and the following dialog is displayed:

Parameters | Description
Yes | Ends the active teaching process and saves the project configuration of the command sequence.
No | Ends the active teaching process. Caution: All new elements since the last save are lost.

Renaming the command sequence

If a command sequence is renamed during an active teaching process, the teaching is canceled. The following dialog appears:

Parameters | Description
Yes | Ends the active teaching process. The command sequence is saved with the current content for the command sequence. A new teaching process is possible.
No | The command sequence is not renamed. The current teaching process is continued. Changes that have previously been made are not saved.

Deleting the command sequence

If a command sequence is deleted during an active teaching process, the following dialog is displayed before deletion:

Parameters | Description
[Name of the command sequence] | Name of the command sequence that is to be deleted. It is always only the current command sequence name that is displayed. The next command sequence to be deleted is shown after the Yes or No button is clicked on.
Yes | Ends the active teaching process. The command sequence is saved with the current content. A new teaching process is possible.
No | The command sequence is not renamed. The current teaching process is continued. Changes that have previously been made are not saved.
Yes, all | Deletes all selected command sequences without requesting confirmation. Note: Not active if only one command sequence has been selected for deletion.
No, all | Does not delete any of the selected command sequences. The teaching process for the command sequence to be taught continues to be active. Note: Not active if only one command sequence has been selected for deletion.


Engineering

Manuale -> Command Sequencer -> Command sequences in Runtime -> Teaching -> Engineering

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to be able to use teaching in zenon Runtime, process screens with a corresponding (command input) configuration in the zenon Editor are required.

In addition, carry out the following steps:

Engineering in the Editor

  • Create a screen of type Command Sequencer
  • Insert the Command sequence editor control element template into the screen.
  • Create a screen switching function for the configured screen.
  • Create an activate/deactivate project simulation function.
  • Link the created functions in the project.

Runtime

  1. Start the zenon Runtime.
  2. Start the project simulation.
  3. Change to the Command Sequencer screen
    1. Create a new command sequence or select an existing command sequence for editing.
    2. Click on the Start teaching button in the command sequence editor.
    3. Position the teaching cursor element in the command sequence grid.
  4. Switch to any desired process screen.
  5. Carry out the command actions.
    The corresponding step to the command sequence is added in the command sequence grid. This also happens if the command sequence image is not displayed in Runtime.
  6. If necessary, edit the command sequence configuration. To do this, switch to the command sequencer screen:
    1. Taught steps can be repositioned in the command sequence grid by means of drag&drop.
    2. The teaching cursor can be repositioned in the command sequence grid for another teaching process by means of drag&drop.
    3. To do this, continue the teaching process with step 4.
  7. End the teaching process by clicking on the Stop teaching button.
  8. Correct the end element at the end of the command sequence configuration.
    Note: An empty line always remains before the end element by ending the teaching process.
    Move the end element up one position or drag a line through the empty cell that has been created in order to complete the command sequence configuration correctly.
  9. Check your command sequence configuration by clicking on the Check command sequence for errors button.
  10. End the Runtime simulation.
  11. Switch to the command sequence editor
  12. In the List of command sequences window, click on the Import command sequence from simulation image symbol.
  13. Select, in the import options dialog, the desired command sequence and accept this by clicking on the OK button in the list of command sequences.


Configuration rules for command sequences

Manuale -> Command Sequencer -> Command sequences in Runtime -> Configuration rules for command sequences

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following important principles are applicable for configuration:

General

  • For all elements all connection points must be connected.
    Exception: Jump targets. Only two of the three input connection points need to be linked there.
  • The begin element is always present only once with a command sequence and marks the beginning of the process.
    Note: The begin element cannot be deleted.
  • The end element is always present only once with a command sequence and marks the end of the process.
    Note: The end element cannot be deleted.
  • Steps can be inserted anywhere. Several steps can also be placed in succession.
  • There should be at least one active step in a command sequence.

Transitions

  • Two transitions may not lie one after the other.

Branches

  • The first element after a Begin branch must be a transition.
  • The individual branches which start at Begin branch must all end in an End branch never in an End parallel branch. Any element can be placed between begin and end of a branch even parallel branches as long as they are closed before the End branch element. An end branch can be replaced with jump targets at any point, including within a parallel branch.
  • It is not necessary to have an End branch for each Begin branch. You can, for example, have two Begin branch elements ending in one End branch, or the other way round.
  • It is not necessary to have an End branch for a Begin branch. It can simply end in a line. If for example you have a Begin branch element with two paths and one of the paths ends in a jump target, it does not make sense to have an End branch.

Parallel branches

  • Each parallel branch must contain at least one step.
  • The first element after a Begin parallel branch must not be a transition.
  • The individual branches that start at a Begin parallel branch must all end in one End parallel branch, but must never end in an End branch. You may use any elements between Begin parallel branch and End parallel branch even branches as long as they are closed before the End parallel branch.
  • Not all branches which were started in a Begin parallel branch must end in an End parallel branch. It is enough when all branches converge over an End parallel objects. Equally branches from different Begin parallel branch objects may converge in a single End parallel branch.
  • parallel branches allows embedding of additional parallel branches.
    In doing so: each embedded parallel branch must recombine with the superordinate parallel branch

Lines in the command sequence grid

  • Lines may be used as connections between any objects. It is allowed to add any number of lines after another.
  • Lines must not be used to connect two equal connection points.
    For example: Both inputs of two steps must not be connected directly with a line. In the engineering this connection is allowed. It is however displayed in red (error) and in the validation an error message is displayed.

Jump targets

  • Jump targets correspond to an end branch. They are intended to
    • jump between branches,
    • jump out of branches,
    • engineer loops

    For this, the following applies: A path which ends in a jump target must have started with a Begin branch. Otherwise the end is not reached.

  • Jump targets consist of tree inputs and one output. At least two inputs and the output must always be connected. At this it makes no difference which input connection point is connected.
  • Jump targets can be switched consecutively if at least two input connection points are allocated.
  • Jumps are prohibited:
    • between parallel branches
    • to jump out of a parallel branch
    • to jump in a parallel branch.


CEL entries

Manuale -> Command Sequencer -> Command sequences in Runtime -> CEL entries

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Processes in zenon Runtime are supported and visualized by entries in the Chronological Event List.

The following entries are written to the CEL:

  • Command sequence created:
    Command sequence [command sequence name] created
  • Command sequence duplicated:
    Command sequence duplicated. New: [command sequence name] source: [command sequence name]
  • Command sequence renamed:
    Command sequence renamed. New: [command sequence name] old: [command sequence name]
  • Command sequence completed:
    Command sequence [command sequence name] completed
  • Command sequence canceled:
    Command sequence [command sequence name] canceled
  • Manual script executed:
    Manual script executed. Command sequence [command sequence name]; previous element ID: [Element ID] (column [column number in the command sequence grid] – line [line number in the command sequence grid])
  • Manual jump carried out:
    Manual jump carried out. Command sequence [command sequence name]; start: Subsequent element ID: [Element ID] (column [column number in the command sequence grid] – line [line number in the command sequence grid]) – target: Previous element ID: [Element ID] (column [column number in the command sequence grid] – line [line number in the command sequence grid])
  • Skip step:
    The action [step name] was skipped.

info Informazioni su

You can find further information on CEL in the Chronological Event List manual.


Command sequences and simulation mode

Manuale -> Command Sequencer -> Command sequences and simulation mode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Import command sequence(s) from simulation image

Creating a simulation image


Import command sequence(s) from simulation image

Manuale -> Command Sequencer -> Command sequences and simulation mode -> Import command sequence(s) from simulation image

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this dialog, you arrange configured command sequences from one or more simulation images for import into zenon Runtime.

Parameters

Description

Project simulation

List of all existing project simulation images.

Only one simulation image can be selected at a time.

Command sequences in project simulation

List of all configured command sequences from the selected project simulation.

Multiple selection is possible.

Existing command sequences

Pre-existing command sequences in the zenon project that is currently running.

Add

Adds selected command sequences from the Command sequences in project simulation list to the List of command sequences to be applied.

Only active if at least one command sequence from a simulation image has been selected.

Overwrite

Adds a command sequence from the Command sequences in project simulation list to the List of command sequences to be applied. This command sequence overwrites the existing command sequence in the command sequences editor in Runtime!

This button is only active if just one command sequence has been selected and the selected command sequence is already in the existing command sequences list. The command sequence is thus already present in the command sequences editor and is overwritten.

With multiple selection of command sequences from a project simulation, the button is then grayed out if the selection contains a command sequence that is not yet present in the list of existing command sequences. A new command sequence is created when transferring to Runtime. This new project configuration is given a serial number in the naming.

List of the command sequences to be transferred.

Assigned command sequences that are applied in the current Runtime environment.

  • Simulation image:
    Name of the simulation image from which the command sequence comes.
  • Command sequence name:
    Name of the command sequence as saved in the simulation image.
  • Conflict handling:
    The type of conflict handling depends on how the respective command sequence is transferred to the list. Depending on the button used (Add or Overwrite), the conflict handling is prescribed and cannot be changed.

Note: List can be sorted and filtered.

Remove

Removes highlighted command sequence from the List of command sequences to be applied.

Multiple selection is possible. A new assignment from Command sequences in project simulation is possible.

OK

Closes the dialog and applies project configurations from the list of command sequences to be applied in the command sequence editor.

Cancel

Annulla tutte le modifiche e chiude la finestra di dialogo.

If the Command Sequencer module is operated in the zenon network, the following rules are applicable:

  • If the dialog is called up, the project simulation list is filled with the simulation images from the server.
    If a server is lost, the dialog with an empty project simulation list is called up.
  • The command sequences in project simulation list is also filled with data from the server on the client. The list is empty if the server is lost.


Creating a simulation image

Manuale -> Command Sequencer -> Command sequences and simulation mode -> Creating a simulation image

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to be able to create a simulation image in zenon Runtime, carry out the following steps in the zenon Editor:

  1. Create a new function:

    In the tool bar or in the context menu of the Functions node, select the New function command.
    The dialog to select a function is opened.

  2. Select, in the dialog from the Applications group, the Activate/deactivate project simulation function.
    The dialog to configure the project simulation is opened.
  3. Name the function.
  4. Link the function to a button.

Operation in Runtime

If the dialog is not offered in Runtime, please note that each restart of a simulation overwrites the previous simulation image!

info Informazioni su

You can find more information in the project simulation manual.

The current status is read with the system driver variable [system information] Runtime status (simulation)


Command sequences in the zenon network

Manuale -> Command Sequencer -> Command sequences in the zenon network

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Command Sequencer module is also available in the zenon network. Command sequences are always executed on the Server in the process. Each client can execute and administer command sequences.

If a computer works as a Client in the network, all changes to the command sequence(s) are transferred to/from the Primary Server. If there is a Standby Server in the current network topology, all command sequences are synchronized by the Primary Server. The Standby Server synchronizes itself automatically.

Display of dialogs

If a command sequence is started by means of a function or button in the command sequence editor, dialogs are always called up on the computer on which the command sequence was started.

These are:

  • Command input screens
  • Error message

Redundancy

The Command Sequencer module supports, from zenon version 7.50, the redundant zenon network.

The following redundancy types are supported:

  • Rated network
  • Non-dominant network
  • Dominant network

zenon network

You can find further information on the configuration of redundancy in the Network manual.

  • Types of redundancy
    • Redundancy in a rated network
    • Redundancy in a non-dominant network
  • Authorization in the network
  • Functions in the network

Noch in diesem Kapitel

Particular aspects for the command processing screen

Simulation images in network projects

Behavior in the zenon network


Particular aspects for the command processing screen

Manuale -> Command Sequencer -> Command sequences in the zenon network -> Particular aspects for the command processing screen

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If user interaction has been configured in the command processing, the following is applicable:

  • the command processing screen is automatically called up on the computer on which the command sequence was started.
  • On all other computers, the command processing screen can be called up by clicking on the User interaction button.
  • When executing a two-step step, a command processing screen is called up once there are no more active interlockings. The command processing screen is either that of an action or - if no screen has been configured there - the command processing screen of the command group.


Simulation images in network projects

Manuale -> Command Sequencer -> Command sequences in the zenon network -> Simulation images in network projects

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If the Command Sequencer module is operated in the zenon network, the following rules are applicable:

  • If the dialog is called up, the project simulation list is filled with the simulation images from the server.
    If a server is lost, the dialog with an empty project simulation list is called up.
  • The command sequences in project simulation list is also filled with data from the server on the client. The list is empty if the server is lost.


Behavior in the zenon network

Manuale -> Command Sequencer -> Command sequences in the zenon network -> Behavior in the zenon network

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modulo Sequenze di comando funziona in rete secondo il seguente principio:

  • Le sequenze di comando possono essere configurate sia sul client, che sul Server o sul Server-Standby.
  • Le sequenze di comando configurate vengono gestite sul Server primario e inoltrate ai client.
  • Le sequenze di comando possono essere amministrate sia sul client, che sul Server.
  • Le sequenze di comando vengono eseguite sul Server primario.
  • Quando si verifica un cambio di ridondanza, le sequenze di comando in esecuzione vengono terminate.
    Possono essere riavviate manualmente sul Server primario.

Cambio di ruoli fra Server 1 e Server 2

  • Il cambio di ridondanza viene ritardato finché tutte le sequenze di comando attive non sono state portate a termine.
  • Durante un cambio di ridondanza viene bloccato lo start di sequenze di comando. I pulsanti sul client sono visualizzati in grigio (disabilitati).
    • Questo cambio di ridondanza può essere progettato un una rete ponderata.
    • In una rete dominante oppure in una rete non dominante, il cambio di ridondanza viene eseguito quando il Server primario smette di funzionare.
  • E' possibile riavviare l'esecuzione di sequenze di comando solo dopo che il cambio è stato portato a termine, oppure se il cambio stesso è stato cancellato.
    In questo caso viene scritto un inserimento nella CEL.
  • Messaggi CEL vengono scritti per gli eventi seguenti:
    • Start di una sequenza di comando è bloccato sul server.
    • Se una sequenza di comando deve essere avviata in una rete dominante sul Server 2 .
    • La sequenza di comando non può essere avviata a causa di un cambio di ridondanza in corso
    • Nota: non viene creato un messaggio CEL, invece, se viene avviata una sequenza di comando errata.

Inserimento nei LOG.

Inserimento | Level | Descrizione
The sequence (mrid:<id1>, crid:<id2>)<name> could not be started, because a redundancy switch is pending. | ERRORS | La sequenza di comando non può essere avviata a causa di un cambio di ridondanza in corso.

Eccezione: due server nella rete.

Se, quando si ha un cambio di Server primario, ci sono ancora sequenze di comando in esecuzione sul "nuovo" Server-Standby, queste vengono interrotte sullo Standby. Questo può accadere solo se i due server (per es. a causa di un errore di rete) non erano più collegati, e adesso sono di nuovo connessi. In questo caso, la modifica alla sequenza di comando non verrà applicata sul server primario.

Questo significa che, se c'è una connessione e sequenze di comando nel frattempo cancellate sullo Standby sono state già aperte sul server primario, queste verranno considerate come ancora in esecuzione. Potranno essere riavviate solo dopo essere state terminate sul Server 1 e sul Server 2.

Nessuna connessione fra server e standby

Se si apre l'immagine delle sequenze di comando sul client quando né Server 1 né Server 2 sono raggiungibili, l'Editor delle sequenze di comando non è disponibile sul client. Viene visualizzato vuoto. Nel Runtime di zenon verrà visualizzato, invece dell'immagine, un messaggio di errore.

Finestra di dialogo di errore

Se una sequenza di comando non può essere avviata, viene visualizzata la seguente finestra di dialogo di errore.


Command sequences for zenon Web Server.

Manuale -> Command Sequencer -> Command sequences for zenon Web Server.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With a standard web client:

  • The settings for grid and color can be changed
  • No command sequences can be created or edited
  • The size of the editing area cannot be changed
  • In the toolbar, all symbols that are not permitted are deactivated;
    it is not possible to select the corresponding objects.

Web client PRO is not affected by these restrictions.


Structure of the XML file for command sequences

Manuale -> Command Sequencer -> Structure of the XML file for command sequences

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Please keep in mind:

  • Changes to the XML file are for experts only and are not generally recommended.
  • An invalid XML file can lead to problems during XML import. The import can fail as a result.
  • Due to the fact that both the Command Sequencer module and the Batch Control module use a joint XML structure, content and illustrations are the same as the terminology of the Batch Control module. If these entries are missing in the XML file, the content is also invalid for command sequences.

info Informazioni su

This documentation of the XML file describes the elements "from top to bottom" according to how they occur in the file. Substructures contained therein are each described in detail in their own areas.

Main nodes

The first level of the XML structure:

Parameters | Description
xml | XML declaration with XML version and character coding: version="1.0" encoding="utf-16"
Subject | General subject of the XML file

Subject

The Subject node contains general information on the XML file.

Parameters | Description
ShortName | (prescribed value) zenOn(R) exported project
MainVersion | Version of zenon from which the XML export was carried out. (prescribed value) 7500
Apartment | Please note the detailed description for the content of this node.

Apartment

The Apartment node represents content for exported command sequence project configurations.

Parameters | Description
ShortName | (prescribed value) zenOn(R) command sequencer
Version | Version of zenon from which the XML export was carried out. (prescribed value) 7500
CommandSequence | Node for project configuration content of a command sequence. Each individual exported command sequence configuration is represented with its own CommandSequence node.

CommandSequence

The node contains general information on the configuration of a command sequence.

Parameters

Description

MrId

ID of the command sequence. This ID must be unique for each command sequence and must not be issued twice.

MrName

Name of the command sequence.

Corresponds to the Name input field in the Command sequence configuration dialog.

MrDescription

Description of the command sequence.
Corresponds to the Description input field in the Command sequence configuration dialog.

MrVersion

Version of command sequence.
1

(prescribed value)
Default setting that cannot be changed.

MrSourceVersion

Original version of the command sequence.

0

(prescribed value)

Default setting that cannot be changed.

MrStatus

Status/mode of the command sequence.

  • 0
    Not used
  • 1
    Edit mode
  • 2
    Not used
  • 3
    Execution mode

RecipeType

Type of command sequence.

Pfc

(prescribed value)

Default setting that cannot be changed.

ApprovalTime

Time stamp for approved command sequences.

No entry
Is not used for the Command Sequencer module.

ApprovalUserName

Name of the user who approved the command sequence.

No entry
Is not used for the Command Sequencer module.

ApprovalUserID

ID of the user who approved the command sequence.

No entry
Is not used for the Command Sequencer module.

OutdatedTime

Obsolete time for the command sequence.

No entry
Is not used for the Command Sequencer module.

OutdatedUserName

Name of the user who set the command sequence to obsolete.

No entry
Is not used for the Command Sequencer module.

OutdatedUserID

ID of the user who set the command sequence to obsolete.

No entry
Is not used for the Command Sequencer module.

Structure

Please note the detailed description for the content of this node.

Structure node

Each configured command sequence is represented in the XML file with the Structure_[serial number] node.

Parameters | Description
NODE | Given text: zenOn(R) embedded object
LastObjId | Last-used ID of the command sequence.
ColCount | Total number of columns in the command sequence grid.
RowCount | Total number of rows in the command sequence grid.
CenterColOffset | Start coordinates of the cell with the first element of a command sequence configuration in the command sequence grid. 0 (prescribed value)
CenterRowOffset | Start coordinates of the row with the first element of a command sequence configuration in the command sequence grid. 0 (prescribed value)
ChartObject | Please note the detailed description for the content of this node.

ChartObject node

Each individual element of the command sequence grid is represented in the XML file with the ChartObject_[serial number] node.

The respective XML elements differ depending on the element.

Parameters

Description

NODE

Given text:
zenOn(R) embedded object

Type

Type of element.

  • 1
    Start element
  • 2
    End element
  • 3
    Step
  • 4
    Transition
  • 5
    Begin branch
  • 6
    End branch
  • 7
    Begin parallel branch
  • 8
    End parallel branch
  • 9
    Switchgear allocation
  • 10
    Not used for command sequences
  • 11
    Line
  • 12
    Jump target


Controls

Manuale -> Controls

In zenon possono essere implementati dei Control propri. A tal scopo sono a disposizione:

  • .NET User Controls (sul tema implementazione in zenon, vedi anche .NET Controls nella parte della guida concernente le Immagini.)
  • ActiveX (sul tema implementazione in zenon vedi anche ActiveX nella parte della guida concernente le Immagini.)
  • WPF

info Informazioni su

Delle informazioni sull´uso delle interfacce di programmazione di zenon (PCE, VBA, VSTA) le trovate nella parte della guida Interfacce di programmazione.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

attention Attenzione

Tenete presente che errori in applicazioni come ActiveX, PCE, VBA, VSTA, WPF e applicazioni esterne che accedono a zenon via API, possono condizionare anche la stabilità del Runtime.

Noch in diesem Kapitel

Generale

ActiveX

.NET User Controls

Elemento WPF


Generale

Manuale -> Controls -> Generale

Control per zenon possono essere realizzati mediante ActiveX, .NET e WPF. Tramite VBA/VSTA si può accedere alla zenon API.

Noch in diesem Kapitel

Accesso a API zenon

Metodi


Accesso a API zenon

Manuale -> Controls -> Generale -> Accesso a API zenon

Sotto zenon un ActiveX Control può essere esteso con delle funzioni specifiche, per poter accedere a API zenon.

Accesso a API zenon

  • selezionate nelle Project References con Add References... la zenon-RT libreria oggetti
  • inserite le funzioni estese nel codice classe del control.

Funzioni estese ActiveX zenon

// Viene aperto al momento dell´avvio del Control nel runtime di zenon.

public bool zenonInit(zenon.Element dispElement)…

// Viene aperto al momento della distruzione del Control nel runtime di zenon.

public bool zenonExit()…

// Supporta il Control Variablenverknüpfungen (collegamentivariabili).

public short CanUseVariables()…

// Tipi di dato supportati da Com Control.

public short VariableTypes()…

// Numero massimo delle variabili che possono essere collegate con il Control.

public short MaxVariables()…

Esempio

Il COM Object di una variabile di zenon viene salvato temporaneamente in un Member per potervi poi accedere nel Paint Event del Control:

zenon.Variable m_cVal = null;

public bool zenonInit(zenon.Element dispElement)

{

if (dispElement.CountVariable > 0) {

try {

m_cVal = dispElement.ItemVariable(0);

if (m_cVal != null) {

object obRead = m_cVal.get_Value((object)-1);

UserText = obRead.ToString();

}

}catch { }

}

return true;

}

public bool zenonExit()

{

try {

if (m_cVal != null) {

System.Runtime.InteropServices.Marshal.FinalReleaseComObject(m_cVal);

m_cVal = null;

}

}

catch { }

return true;

}

public short CanUseVariables()

{

return 1; // le variabili sono supportate

}

public short VariableTypes()

{

return short.MaxValue; // tutti i tipi di dato vengono supportati

}

public short MaxVariables()

{

return 1; // al massimo una variabile deve essere collegata con il Control

}

private void SamplesControl_Paint(object sender, PaintEventArgs e)

{

// zenon Variables has changed

try {

if (m_cVal != null) {

object obRead = m_cVal.get_Value((object)-1);

UserText = obRead.ToString();

}

} catch { }

}


Metodi

Manuale -> Controls -> Generale -> Metodi

ActiveX Control e .NET-Control che usano variabili di zenon, necessitano di determinati metodi.

Noch in diesem Kapitel

CanUseVariables

MaxVariables

VariableTypes

zenonExit

zenonExitEd

zenonInit

zenonInitEd


CanUseVariables

Manuale -> Controls -> Generale -> Metodi -> CanUseVariables

Prototipo: short CanUseVariables();

Questo metodo fornisce come risultato 1 oppure 0

Valore | Descrizione
1: | Il Control può usare delle variabili di zenon. È possibile indicare per l´elemento dinamico (tramite il pulsante Variabile) solamente delle varibili di zenon dei tipi indicati tramite il metodo VariableTypes e nella quantità indicata nel metodo MaxVariables.
0: | Il Control non può usare variabili di zenon oppure non possiede questo metodo. Possono essere indicate variabili di tutti i tipi senza limite di numero. Esse possoo essere usate nel runtime, ma solo tramite VBA.


MaxVariables

Manuale -> Controls -> Generale -> Metodi -> MaxVariables

Prototipo: short MaxVariables();

In questa sede si stabilisce il numero delle variabili che possono essere selezionate dalla lista di variabili.

Se il risultato è 1, nella lista variabili viene disattivata la possibilità di multiselect. Il sistema emette un avvertimento nel caso in cui si tenti di selezionare più variabili contemporaneamente.


VariableTypes

Manuale -> Controls -> Generale -> Metodi -> VariableTypes

Prototipo: short VariableTypes();

Il valore restituito da questo metodo viene usato come maschera per i tipi di dato utilizzabili nella lista delle variabili. Il valore è una connessione AND dei seguenti valori (definiti in zenon32/dy_type.h):

Valore 1 | Valore 2 | Corrispondenza
WORD | 0x0001 | Posizione 0
BYTE | 0x0002 | Posizione 1
BIT | 0x0004 | Posizione 2
DWORT | 0x0008 | Posizione 3
FLOAT | 0x0010 | Posizione 4
DFLOAT | 0x0020 | Posizione 5
STRING | 0x0040 | Posizione 6
EIN_AUSGABE | 0x8000 | Posizione 15


zenonExit

Manuale -> Controls -> Generale -> Metodi -> zenonExit

Prototipo: boolean zenonExit();

Questo metodo viene chiamato in causa dal runtime di zenon al momento della chiusura dell´ActiveX Control.

In questo caso dovrebbero essere resi disponibili tutti i Dispatch Pointer su variabili.


zenonExitEd

Manuale -> Controls -> Generale -> Metodi -> zenonExitEd

Corrisponde a zenonExit e viene eseguito nell´editor al momento della chiusura dell´ActiveX.

In tal modo è possibile reagire anche nell´editor a modifiche nell´ActiveX, o a cambiamenti di valore.

Informazioni: è disponibile attualmente solo per ActiveX.


zenonInit

Manuale -> Controls -> Generale -> Metodi -> zenonInit

Prototipo: boolean zenonInit(IDispatch*dispElement);

Con l'aiuto di questo metodo, viene consegnato (nel runtime) all'ActiveX Control una lancetta sulla Dispatch Interface dell'elemento dinamico. Grazie a questa lancetta si può passare alle variabili di zenon collegate all´elemento dinamico.

La successione delle variabili consegnate la definite nella Configurazione dell´elemento ActiveX con i pulsanti In giù oppure In sù.
Il dialogo Immissione elemento si apre quando cliccate due volte sull'elemento ActiveX, oppure se selezionate nelle proprietà dell´elemento al nodo Visualizzazione la proprietà Impostazioni ActiveX.


zenonInitEd

Manuale -> Controls -> Generale -> Metodi -> zenonInitEd

Corrisponde a zenonInit e viene eseguito nell´editor al momento dell´apertura dell´ActiveX (due clic sull´ActiveX).

Informazioni: è disponibile attualmente solo per ActiveX.


ActiveX

Manuale -> Controls -> ActiveX

Con ActiveX si può estendere la funzionalità del Runtime e dell´Editor di zenon.

In questa guida trovate quanto segue:

  • Sviluppare elementi Active X
  • Esempio LatchedSwitch (C++)
  • Esempio CD_SliderCtrl (C++)
  • Esempio .NET Control come ActiveX (C#)

Le informazioni sull´elemento dinamico ActiveX le trovate in questa guida nella parte dedicata alle Immagini e in particolare nel capitolo ActiveX .

ActiveX per Windows CE

Se un ActiveX Control deve funzionare sotto Windows CE, il modello apartmentdeve essere settato su Threading. Se è settato su Free, il Control non funzionerà nel Runtime di zenon.

Noch in diesem Kapitel

Sviluppare elementi Active X

Esempio LatchedSwitch (C++)

Esempio CD_SliderCtrl (C++)

Esempio .NET Control come ActiveX (C#)


Sviluppare elementi Active X

Manuale -> Controls -> ActiveX -> Sviluppare elementi Active X

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´elemento dinamico ActiveX in zenon può trasferire delle variabili all´ActiveX Control senza che sia necessario usare la via più lunga attraverso VBA per gestire il Control.

Il Control può definire autonomamente quante variabili di zenon possono essere utilizzate e di che tipo esse possono essere. Inoltre le proprietà del Control possono essere definite tramite l´elemento dinamico.

A tal scopo, l´interfaccia (Dispatch-Interface) del Control deve supportare una serie di determinati metodi.

Noch in diesem Kapitel

Metodi


Metodi

Manuale -> Controls -> ActiveX -> Sviluppare elementi Active X -> Metodi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ogni ActiveX-Control che può usare delle variabili di zenon deve contenere i seguenti metodi.

  • CanUseVariables
  • MaxVariables
  • VariableTypes
  • zenonExit
  • zenonExitEd
  • zenonInit
  • zenonInitEd

Non ha alcuna importanza quale Dispatch ID hanno i metodi nell´interfaccia. All´apertura dei metodi, in zenon viene tratto dall´interfaccia l´ID corretto.

Noch in diesem Kapitel

CanUseVariables

MaxVariables

VariableTypes

zenonExit

zenonExitEd

zenonInit

zenonInitEd


CanUseVariables

Manuale -> Controls -> ActiveX -> Sviluppare elementi Active X -> Metodi -> CanUseVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prototipo: short CanUseVariables();

Questo metodo fornisce come risultato 1 oppure 0

Valore | Descrizione
1: | Il Control può usare delle variabili di zenon. È possibile indicare per l´elemento dinamico (tramite il pulsante Variabile) solamente delle varibili di zenon dei tipi indicati tramite il metodo VariableTypes e nella quantità indicata nel metodo MaxVariables.
0: | Il Control non può usare variabili di zenon oppure non possiede questo metodo. Possono essere indicate variabili di tutti i tipi senza limite di numero. Esse possoo essere usate nel runtime, ma solo tramite VBA.


MaxVariables

Manuale -> Controls -> ActiveX -> Sviluppare elementi Active X -> Metodi -> MaxVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prototipo: short MaxVariables();

In questa sede si stabilisce il numero delle variabili che possono essere selezionate dalla lista di variabili.

Se il risultato è 1, nella lista variabili viene disattivata la possibilità di multiselect. Il sistema emette un avvertimento nel caso in cui si tenti di selezionare più variabili contemporaneamente.


VariableTypes

Manuale -> Controls -> ActiveX -> Sviluppare elementi Active X -> Metodi -> VariableTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prototipo: short VariableTypes();

Il valore restituito da questo metodo viene usato come maschera per i tipi di dato utilizzabili nella lista delle variabili. Il valore è una connessione AND dei seguenti valori (definiti in zenon32/dy_type.h):

Valore 1 | Valore 2 | Corrispondenza
WORD | 0x0001 | Posizione 0
BYTE | 0x0002 | Posizione 1
BIT | 0x0004 | Posizione 2
DWORT | 0x0008 | Posizione 3
FLOAT | 0x0010 | Posizione 4
DFLOAT | 0x0020 | Posizione 5
STRING | 0x0040 | Posizione 6
EIN_AUSGABE | 0x8000 | Posizione 15


zenonExit

Manuale -> Controls -> ActiveX -> Sviluppare elementi Active X -> Metodi -> zenonExit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prototipo: boolean zenonExit();

Questo metodo viene chiamato in causa dal runtime di zenon al momento della chiusura dell´ActiveX Control.

In questo caso dovrebbero essere resi disponibili tutti i Dispatch Pointer su variabili.


zenonExitEd

Manuale -> Controls -> ActiveX -> Sviluppare elementi Active X -> Metodi -> zenonExitEd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Corrisponde a zenonExit e viene eseguito nell´editor al momento della chiusura dell´ActiveX.

In tal modo è possibile reagire anche nell´editor a modifiche nell´ActiveX, o a cambiamenti di valore.

Informazioni: è disponibile attualmente solo per ActiveX.


zenonInit

Manuale -> Controls -> ActiveX -> Sviluppare elementi Active X -> Metodi -> zenonInit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prototipo: boolean zenonInit(IDispatch*dispElement);

Con l'aiuto di questo metodo, viene consegnato (nel runtime) all'ActiveX Control una lancetta sulla Dispatch Interface dell'elemento dinamico. Grazie a questa lancetta si può passare alle variabili di zenon collegate all´elemento dinamico.

La successione delle variabili consegnate la definite nella Configurazione dell´elemento ActiveX con i pulsanti In giù oppure In sù.
Il dialogo Immissione elemento si apre quando cliccate due volte sull'elemento ActiveX, oppure se selezionate nelle proprietà dell´elemento al nodo Visualizzazione la proprietà Impostazioni ActiveX.


zenonInitEd

Manuale -> Controls -> ActiveX -> Sviluppare elementi Active X -> Metodi -> zenonInitEd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Corrisponde a zenonInit e viene eseguito nell´editor al momento dell´apertura dell´ActiveX (due clic sull´ActiveX).

Informazioni: è disponibile attualmente solo per ActiveX.


Esempio LatchedSwitch (C++)

Manuale -> Controls -> ActiveX -> Esempio LatchedSwitch (C++)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Di seguito verrà descritto a titolo di esempio un ActiveX Control che realizza un interruttore bloccabile tramite due variabili Bit. La prima variabile rappresenta l´interruttore, la seconda il blocco. La variabile dell´interruttore può essere modificata tramite l´ActiveX Control solo nel caso in cui il valore della variabile di blocco sia pari a 0.

Lo stato dell´elemento viene visualizzato tramite 4 Bitmaps che possono essere selezionati nell´editor di zenon facendo uso del dialogo properties del Control.

Noch in diesem Kapitel

Interfaccia

Control

Metodi

Gestione e visualizzazione

L´interfaccia di zenon


Interfaccia

Manuale -> Controls -> ActiveX -> Esempio LatchedSwitch (C++) -> Interfaccia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Control LatchedSwitch possiede la seguente Dispatch Interface:

[ uuid(EB207159-D7C9-11D3-B019-080009FBEAA2),
helpstring(Dispatch interface for LatchedSwitch Control), hidden ]
dispinterface _DLatchedSwitch

{
properties:
// NOTE - ClassWizard will maintain method information here.
// Use extreme caution when editing this section.
//{{AFX_ODL_PROP(CLatchedSwitchCtrl)
[id(1)] boolean SollwertDirekt;
[id(2)] IPictureDisp* SwitchOn; // container for the bitmaps
[id(3)] IPictureDisp* SwitchOff;
[id(4)] IPictureDisp* LatchedOn;
[id(5)] IPictureDisp* LatchedOff;
//}}AFX_ODL_PROP

methods:
// NOTE - ClassWizard will maintain method information here.
// Use extreme caution when editing this section.
//{{AFX_ODL_METHOD(CLatchedSwitchCtrl)
//}}AFX_ODL_METHOD
[id(6)] short CanUseVariables();
[id(7)] short VariableTypes();
[id(8)] short MaxVariables();
[id(9)] boolean zenonInit(IDispatch* dispElement);
[id(10)] boolean zenonExit();
[id(DISPID_ABOUTBOX)] void AboutBox();

};

Le Properties da SwitchOn a LatchedOff accettano i Bitmaps per visualizzare i 4 stati del Control. Gli stessi Bitmaps vengono depositati negli oggetti della classe CPictureHolder. Attraverso la proprietà Valore impostabile diretto si stabilisce se l´inserimento dei valori impostabili è possibile tramite l´uso di un dialogo, oppure direttamente cliccando sul Control.


Control

Manuale -> Controls -> ActiveX -> Esempio LatchedSwitch (C++) -> Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´implementazione del Control avviene tramite la classe CLatchedSwitchCtrl. Questa classe possiede come Member gli oggettiCPictureHolder per l´accettazione dei Bitmaps. Inoltre sono compresi anche tre DispatchDriver per l´elemento dinamico e le variabili:

class CLatchedSwitchCtrl : public COleControl

{

DECLARE_DYNCREATE(CLatchedSwitchCtrl)

// Constructor

public:

CLatchedSwitchCtrl();

// Overrides

// ClassWizard generated virtual function overrides

//{{AFX_VIRTUAL(CLatchedSwitchCtrl)

public:

virtual void OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);

virtual void DoPropExchange(CPropExchange* pPX);

virtual void OnResetState();

virtual DWORD GetControlFlags();

//}}AFX_VIRTUAL

// Implementation

protected:

~CLatchedSwitchCtrl();

DECLARE_OLECREATE_EX(CLatchedSwitchCtrl) // Class factory and guid

DECLARE_OLETYPELIB(CLatchedSwitchCtrl) // GetTypeInfo

DECLARE_PROPPAGEIDS(CLatchedSwitchCtrl) // Property page IDs

DECLARE_OLECTLTYPE(CLatchedSwitchCtrl) // Type name and misc status

// Message maps

//{{AFX_MSG(CLatchedSwitchCtrl)

afx_msg void OnLButtonDown(UINT nFlags, CPoint point);

//}}AFX_MSG

DECLARE_MESSAGE_MAP()

// Dispatch maps

//{{AFX_DISPATCH(CLatchedSwitchCtrl)

BOOL m_sollwertDirekt;

afx_msg void OnSollwertDirektChanged();

afx_msg LPPICTUREDISP GetSwitchOn();

afx_msg void SetSwitchOn(LPPICTUREDISP newValue);

afx_msg LPPICTUREDISP GetSwitchOff();

afx_msg void SetSwitchOff(LPPICTUREDISP newValue);

afx_msg LPPICTUREDISP GetLatchedOn();

afx_msg void SetLatchedOn(LPPICTUREDISP newValue);

afx_msg LPPICTUREDISP GetLatchedOff();

afx_msg void SetLatchedOff(LPPICTUREDISP newValue);

afx_msg short CanUseVariables();

afx_msg short VariableTypes();

afx_msg short MaxVariables();

afx_msg BOOL zenonInit(LPDISPATCH dispElement);

afx_msg BOOL zenonExit();

//}}AFX_DISPATCH

CPictureHolder m_SwitchOn;

CPictureHolder m_SwitchOff;

CPictureHolder m_LatchedOn;

CPictureHolder m_LatchedOff;

DECLARE_DISPATCH_MAP()

afx_msg void AboutBox();

// Event maps

//{{AFX_EVENT(CLatchedSwitchCtrl)

//}}AFX_EVENT

DECLARE_EVENT_MAP()

double VariantToDouble(const VARIANT FAR *v);

void VariantToCString(CString *c,const VARIANT FAR *v);

BOOL IsVariantString(const VARIANT FAR *v);

BOOL IsVariantValue(const VARIANT FAR *v);

// Dispatch and event IDs

public:

CString szVariable[2];

IElement m_dElement;

IVariable m_dLatchVar, m_dSwitchVar;

enum {

//{{AFX_DISP_ID(CLatchedSwitchCtrl)

dispidSollwertDirekt = 1L,

dispidSwitchOn = 2L,

dispidSwitchOff = 3L,

dispidLatchedOn = 4L,

dispidLatchedOff = 5L,

dispidCanUseVariables = 6L,

dispidVariableTypes = 7L,

dispidMaxVariables = 8L,

dispidZenOnInit = 9L,

dispidZenOnExit = 10L,

//}}AFX_DISP_ID

};

};


Metodi

Manuale -> Controls -> ActiveX -> Esempio LatchedSwitch (C++) -> Metodi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vengono usati i seguenti metodi:

  • CanUseVariables
  • VariableTypes
  • MaxVariables
  • zenonInit
  • zenonExit

Noch in diesem Kapitel

CanUseVariables

VariableTypes

MaxVariables

zenonInit

zenonExit


CanUseVariables

Manuale -> Controls -> ActiveX -> Esempio LatchedSwitch (C++) -> Metodi -> CanUseVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo metodo fornisce 1 come risultato; possono essere dunque utilizzate delle variabili di zenon.

short CLatchedSwitchCtrl::CanUseVariables()

{

return 1;

}


VariableTypes

Manuale -> Controls -> ActiveX -> Esempio LatchedSwitch (C++) -> Metodi -> VariableTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Control può lavorare solamente con variabili Bit, perciò viene restituito 0x0004.

short CLatchedSwitchCtrl::VariableTypes()

{

return 0x0004; // Solo variabili Bit

}


MaxVariables

Manuale -> Controls -> ActiveX -> Esempio LatchedSwitch (C++) -> Metodi -> MaxVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Possono essere usate due variabili, perciò risulta 2.

short CLatchedSwitchCtrl::MaxVariables()

{

return 2; // 2 Variablen

}


zenonInit

Manuale -> Controls -> ActiveX -> Esempio LatchedSwitch (C++) -> Metodi -> zenonInit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo metodo il sistema si va a prendere mediante il Dispatchpointer dell´elemento dinamico i Dispatchdriver delle variabili. Tramite questo Pointer il sistema va a prendere e setta i valori delle variabili con un clic e disegnando il control.

BOOL CLatchedSwitchCtrl::zenonInit(LPDISPATCH dispElement)

{

m_dElement = IElement(dispElement);

Element.m_lpDispatch->AddRef();

if (m_dElement.GetCountVariable() >= 2)

{

short iIndex = 0;

m_dSwitchVar = IVariable(m_dElement.ItemVariable(COleVariant(iIndex)));

m_dLatchVar = IVariable(m_dElement.ItemVariable(COleVariant(++iIndex)));

}

return TRUE;

}

info Informazioni su

Element.m_lpDispatch->AddRef();

Gli oggetti non utilizzati non vengono eliminati automaticamente dalla memoria. Questo deve essere fatto esplicitamente in fase di programmazione. Il programmatore decide se un oggetto (sulla base di un contatore di riferimenti) può essere rimosso.

COM usa i metodi IUnknow AddRef e Release per gestire il numero di riferimenti di interfacce ad un oggetto.

Le regole generali per la chiamata di questi metodi sono:

  • AddRef deve essere invocato sull'interfaccia se il client riceve il puntatore all´interfaccia.
  • Il metodo Release deve essere invocato se il client termina di usare il puntatore all´interfaccia.

Con una semplice implementazione, una variabile contatore nell´oggetto viene incrementata ad ogni chiamata del metodo AddRef . Ogni chiamata del metodo Release, decrementa di 1 il contatore dell´oggetto. Se questo contatore ha raggiunto lo 0, l'interfaccia può essere cancellata dalla memoria.

Si può implementare un contatore dei riferimenti anche in modo tale che venga contato ogni riferimento all'oggetto (e non all'interfaccia individuale).

In questo caso, ogni delegato AddRef e ogni delegato Release invocano un'implementazione centralizzata all'oggetto. Un Release, di conseguenza, sblocca interamente l´oggetto quando il contatore dei riferimenti ha raggiunto lo zero.


zenonExit

Manuale -> Controls -> ActiveX -> Esempio LatchedSwitch (C++) -> Metodi -> zenonExit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo metodo rende di nuovo disponibili i Dispatchdriver.

BOOL CLatchedSwitchCtrl::zenonExit()

{

m_dElement.ReleaseDispatch();

m_dSwitchVar.ReleaseDispatch();

m_dLatchVar.ReleaseDispatch();

return TRUE;

}


Gestione e visualizzazione

Manuale -> Controls -> ActiveX -> Esempio LatchedSwitch (C++) -> Gestione e visualizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Imposta valore

Disegno


Imposta valore

Manuale -> Controls -> ActiveX -> Esempio LatchedSwitch (C++) -> Gestione e visualizzazione -> Imposta valore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un valore impostabile viene settato cliccando una volta sul Control con il tasto sinistro del mouse.

Nel caso in cui m_iSollwertDirekt sia pari a 0, si apre un dialogo per la selezione del valore impostabile; altrimenti viene invertito il valore attuale della variabile di conversione.

Se il valore della variabile di blocco è 1, viene eseguito solamente un MessageBeep; non può essere settato nessun valore impostabile tramite il Control.

void CLatchedSwitchCtrl::OnLButtonDown(UINT nFlags, CPoint point)

{

CRect rcBounds;

GetWindowRect(&rcBounds);

COleVariant coleValue((BYTE)TRUE);

BOOL bLatch = (BOOL)VariantToDouble((LPVARIANT)&m_dLatchVar.GetValue());

BOOL bSwitch = (BOOL)VariantToDouble((LPVARIANT)&m_dSwitchVar.GetValue());

if (bLatch) // Bloccato!!!

MessageBeep(MB_ICONEXCLAMATION);

else

{

if (m_sollwertDirekt)

{

bSwitch = !bSwitch;

}

else

{

CSollwertDlg dlg;

dlg.m_iSollwert = bSwitch ? 1 : 0;

if (dlg.DoModal() == IDOK)

{

if (dlg.m_iSollwert == 2) // Toggle

bSwitch = !bSwitch;

else

bSwitch = (BOOL)dlg.m_iSollwert;

}

}

coleValue = (double)bSwitch;

m_dSwitchVar.SetValue(coleValue);

}

COleControl::OnLButtonDown(nFlags, point);

}


Disegno

Manuale -> Controls -> ActiveX -> Esempio LatchedSwitch (C++) -> Gestione e visualizzazione -> Disegno

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento del disegno del Control il sistema va a prendersi i valori della variabili tramite il Dispatchdriver di queste ultime; in corrispondenza di ciò viene disegnato una delle 4 grafiche indicate. Quando cambia il valore di una variabile, il Control viene attualizzato facendo uso della routine OnDraw.

void CLatchedSwitchCtrl::OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid)

{

CRect rcBitmap = rcBounds;

rcBitmap.NormalizeRect();

if (!m_dElement)

{

m_SwitchOn.Render(pdc, &rcBounds, &rcBounds);

return;

}

BOOL bVal1 = 0, bVal2 = 0;

VARIANT vRes;

if (m_dSwitchVar) // Variabili disponibili ?

{

vRes = m_dSwitchVar.GetValue();

bVal1 = (BOOL)VariantToDouble(&vRes);

}

if (m_dSwitchVar) // Variabile disponibile?

{

vRes = m_dLatchVar.GetValue();

bVal2 = (BOOL)VariantToDouble(&vRes);

}

if (bVal1 && bVal2)

m_SwitchOn.Render(pdc, rcBitmap, rcBitmap);

else if (!bVal1 && bVal2)

m_SwitchOff.Render(pdc, rcBitmap, rcBitmap);

else if (bVal1 && !bVal2)

m_LatchedOn.Render(pdc, rcBitmap, rcBitmap);

else

m_LatchedOff.Render(pdc, rcBitmap, rcBitmap);

}


L´interfaccia di zenon

Manuale -> Controls -> ActiveX -> Esempio LatchedSwitch (C++) -> L´interfaccia di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter utilizzare il Dispatch Interface di zenon al fine di settare i valori impostabili, bisogna anzitutto impostare per le variabili e l´elemento delle classi che sono derivate da COleDispatchDriver. Il modo più semplice per impostare queste classi è farlo tramite il Class Wizard dell´ambiente di sviluppo (pulsante Add Class, selezione di From a type library, scegliere zenrt32.tlb).

Nel caso del nostro Control, esse sono le classi IElement e IVariable. Esse sono definite in zenrt32.h e zenrt32.cpp.


Esempio CD_SliderCtrl (C++)

Manuale -> Controls -> ActiveX -> Esempio CD_SliderCtrl (C++)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il seguente esempio descrive un ActiveX Control che è uguale al Windows SliderCtrl. Questa componente può essere collegata ad una variabile di zenon. L´utente può modificare il valore impostabile di una variabile tramite lo slider. Nel caso in cui la variabile sia modificata tramite un altro elemento dinamico, viene attualizzato lo slider.

Noch in diesem Kapitel

Interfaccia

Control

Metodi

Gestione e visualizzazione

L´interfaccia di zenon


Interfaccia

Manuale -> Controls -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Interfaccia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Control CD_SliderCtrl possiede la seguente Dispatch Interface:

[ uuid(5CD1B01D-015E-11D4-A1DF-080009FD837F),

helpstring(Dispatch interface for CD_SliderCtrl Control), hidden

]

dispinterface _DCD_SliderCtrl

{

properties: //*** Proprietà del Control

[id(1)] short TickRaster;

[id(2)] boolean ShowVertical;

[id(3)] short LineSize;

methods: //*** Metodi del Control (per zenon-ActiveX)

[id(4)] boolean zenonInit(IDispatch* pElementInterface);

[id(5)] boolean zenonExit();

[id(6)] short VariableTypes();

[id(7)] short CanUseVariables();

[id(8)] short MaxVariables();

[id(DISPID_ABOUTBOX)] void AboutBox();

};


Control

Manuale -> Controls -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´implementazione del Control avviene tramite la classe CD_SliderCtrlCtrl. Questa classe possiede come member un CSliderCtrl comune per Windows, con cui il Control viene editato in una sottoclasse. Le interfaccia IVariable e IElement contengono interfaccia di zenon che si è dovuto integrare. Esse sono derivate da COleDispatchDriver.

class CCD_SliderCtrlCtrl : public COleControl

{

DECLARE_DYNCREATE(CCD_SliderCtrlCtrl)

private: //*** Member-Variablen

BOOL m_bInitialized;

BOOL m_bShowVertical;

BOOL m_bTicksBoth;

long m_nRangeStart;

long m_nRangeEnd;

long m_nTickOrientation;

IVariable m_interfaceVariable;

IElement m_interfaceElement;

CSliderCtrl m_wndSliderCtrl;

public:

CCD_SliderCtrlCtrl();

//{{AFX_VIRTUAL(CCD_SliderCtrlCtrl)

public:

virtual void OnDraw (CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);

virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

virtual void DoPropExchange (CPropExchange* pPX);

virtual void OnResetState ();

//}}AFX_VIRTUAL

protected:

~CCD_SliderCtrlCtrl();

//*** Metodo per la conversione di Variant

double VariantToDouble(const VARIANT FAR *vValue);

DECLARE_OLECREATE_EX(CCD_SliderCtrlCtrl) // Class factory and guid

DECLARE_OLETYPELIB (CCD_SliderCtrlCtrl) // GetTypeInfo

DECLARE_PROPPAGEIDS (CCD_SliderCtrlCtrl) // Property page IDs

DECLARE_OLECTLTYPE (CCD_SliderCtrlCtrl) // Type name and misc status

//*** Metodi per la funzionalità di SliderCtrl

BOOL IsSubclassedControl ();

LRESULT OnOcmCommand (WPARAM wParam, LPARAM lParam);

//{{AFX_MSG(CCD_SliderCtrlCtrl)

afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);

afx_msg void HScroll(UINT nSBCode, UINT nPos);

afx_msg void VScroll(UINT nSBCode, UINT nPos);

afx_msg void OnLButtonDown(UINT nFlags, CPoint point);

afx_msg void OnLButtonUp(UINT nFlags, CPoint point);

//}}AFX_MSG

DECLARE_MESSAGE_MAP()

//{{AFX_DISPATCH(CCD_SliderCtrlCtrl)

afx_msg BOOL GetTickOnBothSides();

afx_msg void SetTickOnBothSides (short nNewValue);

afx_msg BOOL GetShowVertical();

afx_msg void SetShowVertical(BOOL bNewValue);

afx_msg short GetTickOrientation();

afx_msg void SetTickOrientation (short nNewValue);

afx_msg BOOL zenonInit(LPDISPATCH pElementInterface);

afx_msg BOOL zenonExit();

afx_msg short VariableTypes();

afx_msg short CanUseVariables();

afx_msg short MaxVariables();

//}}AFX_DISPATCH

DECLARE_DISPATCH_MAP()

afx_msg void AboutBox();

//{{AFX_EVENT(CCD_SliderCtrlCtrl)

//}}AFX_EVENT

DECLARE_EVENT_MAP()

public:

enum {

//{{AFX_DISP_ID(CCD_SliderCtrlCtrl)

dispidShowVertical = 1L,

dispidTicksOnBothSides = 2L,

dispidTickOrientation = 3L,

dispidZenOnInit = 4L,

dispidZenOnExit = 5L,

dispidVariableTypes = 6L,

dispidCanUseVariables = 7L,

dispidMaxVariables = 8L,

//}}AFX_DISP_ID

};

};


Metodi

Manuale -> Controls -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Metodi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vengono usati i seguenti metodi:

  • CanUseVariables
  • VariableTypes
  • MaxVariables
  • zenonInit
  • zenonExit

Noch in diesem Kapitel

CanUseVariables

VariableTypes

MaxVariables

zenonInit

zenonExit


CanUseVariables

Manuale -> Controls -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Metodi -> CanUseVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo metodo fornisce 1 come risultato; possono essere dunque utilizzate delle variabili di zenon.

short CCD_SliderCtrlCtrl::CanUseVariables()

{

return 1;

}


VariableTypes

Manuale -> Controls -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Metodi -> VariableTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Control può lavorare con parola, byte, parola doppia e variabili float. Una lista dei possibili tipi di dato la trovate nella descrizione generale di questo metodo.

short CCD_SliderCtrlCtrl::VariableTypes()

{

return 0x0001 | // Wort

0x0002 | // Byte

0x0008 | // D-Wort

0x0010 | // Float

0x0020; // D-Float

}


MaxVariables

Manuale -> Controls -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Metodi -> MaxVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questo Control può essere collegata solo una variabile.

short CCD_SliderCtrlCtrl::MaxVariables()

{

return 1; // 1 Variablen

}


zenonInit

Manuale -> Controls -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Metodi -> zenonInit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il parametro dispElement contiene l´interfaccia per l´elemento dinamico. Tramite questo elemento viene determinata la variabile collegata di zenon. Se questa è valida, viene settato il settore di SliderCtrls. Inoltre vengono settate le impostazioni per la visualizzazione (numero dei ticks, ...). Se non è collegata nessuna variabile, viene fissato un settore di funzionamento da 0 a 0. In tal modo, SliderCtrl non può essere modificato. Tramite la variabile m_bInitialized si stabilisce che i valori impostabili da adesso possono essere settati.

BOOL CCD_SliderCtrlCtrl::zenonInit(LPDISPATCH dispElement)

{

//*** Stabilisci la variabile tramite l´elemento zenon

m_interfaceElement = IElement(pElementInterface);

if (m_interfaceElement.GetCountVariable() > 0) {

short nIndex = 0;

m_interfaceVariable = IVariable

(m_interfaceElement.ItemVariable(COleVariant(nIndex)));

}

//*** Inizializza il settore dello Slider-Ctrl

if (m_interfaceVariable) {

//*** Stabilisci settore di funzionamento

m_nRangeStart = (long) VariantToDouble(&m_interfaceVariable.GetRangeMin());

m_nRangeEnd = (long) VariantToDouble(&m_interfaceVariable.GetRangeMax());

m_wndSliderCtrl.SetRange(m_nRangeStart,m_nRangeEnd,TRUE);

//*** Stabilisci tick secondari

m_wndSliderCtrl.SetTicFreq(m_nTickCount);

m_wndSliderCtrl.SetPageSize(m_nTickCount);

m_wndSliderCtrl.SetLineSize(m_nLineSize);

} else {

m_wndSliderCtrl.SetRange(0,0,TRUE);

return FALSE;

}

m_bInitialized = TRUE;

return TRUE;

}


zenonExit

Manuale -> Controls -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Metodi -> zenonExit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo metodo vengono di nuovo rese disponibili le interfacce di zenon.

BOOL CCD_SliderCtrlCtrl::zenonExit()

{

m_interfaceElement.ReleaseDispatch();

m_interfaceVariable.ReleaseDispatch();

return TRUE;

}


Gestione e visualizzazione

Manuale -> Controls -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Gestione e visualizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Disegno

Imposta valore


Disegno

Manuale -> Controls -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Gestione e visualizzazione -> Disegno

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tramite DoSuperclassPaint viene disegnato lo SliderCtrl (visto che si tratta di gesubclassed Control). Se al momento del disegno lo slider viene spostato, la variabile m_bInitialized assume il valore FALSE. In tal modo ci si assicura che il valore possa essere modificato. Generalmente il valore della variabile viene determinato ed esso viene rappresentato mediante il metodo SetPos dello SliderCtrl.

void CCD_SliderCtrlCtrl::OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid)

{

//*** Attualizza la visualizzazione

DoSuperclassPaint(pdc, rcBounds);

if (m_interfaceVariable && m_bInitialized) {

COleVariant cValue(m_interfaceVariable.GetValue());

int nValue = (int) VariantToDouble(&cValue.Detach());

m_wndSliderCtrl.SetPos(nValue);

}

}


Imposta valore

Manuale -> Controls -> ActiveX -> Esempio CD_SliderCtrl (C++) -> Gestione e visualizzazione -> Imposta valore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel metodo LButtonDown la variabile m_bInitialized viene settata a FALSE e nel LButtonUp viene riportata a TRUE. In tal modo ci si assicura che il valore possa essere modificato. Altrimenti si dovrebbe aprire la OnDraw e si dovrebbe visualizzare il valore originario.

void CCD_SliderCtrlCtrl::OnLButtonDown(UINT nFlags, CPoint point)

{

m_bInitialized = FALSE;

COleControl::OnLButtonDown(nFlags, point);

}

void CCD_SliderCtrlCtrl::OnLButtonUp(UINT nFlags, CPoint point)

{

m_bInitialized = TRUE;

COleControl::OnLButtonUp(nFlags, point);

}

Un´impostazione valore viene eseguita da una modifica dello slider. Nei metodi HScroll oppure VScroll viene settato il valore impostabile (a seconda che si tratti di uno slider orizzontale oppure verticale).

void CCD_SliderCtrlCtrl::HScroll(UINT nSBCode, UINT nPos)

{

switch (nSBCode) {

case TB_LINEUP:

case TB_PAGEUP:

case TB_LINEDOWN:

case TB_PAGEDOWN:

case TB_THUMBTRACK:

case TB_THUMBPOSITION:{

//*** settare valore impostabile senza dialogo ?

int nValue = m_wndSliderCtrl.GetPos();

COleVariant cValue((short) nValue,VT_I2);

m_interfaceVariable.SetValue(cValue);

}

}

}


L´interfaccia di zenon

Manuale -> Controls -> ActiveX -> Esempio CD_SliderCtrl (C++) -> L´interfaccia di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter utilizzare il Dispatch Interface di zenon al fine di settare i valori impostabili, bisogna anzitutto impostare per le variabili e l´elemento delle classi che sono derivate da COleDispatchDriver. Il modo più semplice per impostare queste classi è farlo tramite il Class Wizard dell´ambiente di sviluppo (pulsante Add Class, selezione di From a type library, scegliere zenrt32.tlb).

Nel caso del nostro Control, esse sono le classi IElement e IVariable. Esse sono definite in zenrt32.h e zenrt32.cpp.


Esempio .NET Control come ActiveX (C#)

Manuale -> Controls -> ActiveX -> Esempio .NET Control come ActiveX (C#)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il seguente esempio descrive un .NET Control che viene eseguito come ActiveX Control in zenon.

La creazione e integrazione avviene in quattro passi:

  1. creare Windows Form Control
  2. trasformare .NET User Control in Dual Control
  3. lavorare nell´Editor tramite VBA con ActiveX
  4. Collegare variabili di zenon con il .NET User Control

info Informazioni su

Gli screenshot per questo tema sono disponibili solo in lingua inglese.

Noch in diesem Kapitel

creare Windows Form Control

trasformare .NET User Control in Dual Control

lavorare nell´Editor tramite VBA con ActiveX

Collegare variabili di zenon con il .NET User Control


creare Windows Form Control

Manuale -> Controls -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> creare Windows Form Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un Windows Form Control:

  1. Avviate il Visual Studio 2008 e create un nuovo progetto Windows Form Control Library:

  2. Rinominate il Control di default dandogli il nome desiderato.
    Nel nostro esempio: SampesControl.cs.

  3. Aprite il Control Designer e aggiungete i Control desiderati, nel nostro caso una casella di testo (Text-box):

  4. I Control dispongono normalmente di proprietà. Aprite il Code Designer facendo uso di View Code e aggiungete le desiderate properties disponibili esternamente.
    Nel nostro esempio: La property visibile esternamente„UserText" con get e accesso set che contiene il testo della casella testo:

  5. compilate il progetto.

    Il Windows Forms Control può essere adesso usato in altri progetti Windows Forms.

    Importante: il Control deve essere inserito manualmente nel Control Toolbox facendo uso di Choose Items.


trasformare .NET User Control in Dual Control

Manuale -> Controls -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> trasformare .NET User Control in Dual Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per trasformare .NET in un Dual Control, si deve anzitutto procedere ad attivare l´interfaccia COM per ActiveX.

  1. Aprite il progetto e attivate alla voce Build-impostazioni la proprietà Register for COM interop:

  2. Aprite il file AssemblyInfo.cs e
    • settate l´attributo ComVisible su true
    • aggiungete l´attributo ClassInterface

    [assembly: ComVisible(true)]

    [assembly: ClassInterface(ClassInterfaceType.AutoDual)]

  3. Aprite il Codedesigner tramite View Code e aggiungete gli attributi ActiveX e gli inserimenti using necessari. Create un nuovo GUID per l´attributo GUID servendovi del menu Tools/Create GUID:

  4. Per fare in modo che il Control sia selezionabile anche come Control superfici ActiveX, si devono ancora aggiungere nella classe control le seguenti funzioni:
    • RegisterClass
    • UnregisterClass

    Poi il controlo può essere registrato nella Registry.

  5. Ricompilate il progetto.

    Il Windows Form Control è adesso utilizzabile anche con ActiveX ed è stato registrato automaticamente con il Rebuild. Un ulteriore file Typelib zenOnDotNetControl.tlb è stato creato nel percorso output.

  6. Per usare il control su un altro calcolatore:
    1. copiate il file DLL e il file TBL sul calcolatore di destinazione
    2. registrate il file tramite la riga comandi con:
      %windir%\Microsoft.NET\Framework\v2.0.50727\regasm.exe zenOnDotNetControl.dll /tlb:zenOnDotNetControl.tlb
  7. Aggiungete l´esteso Windows Form Control come ActiveX Control nell´Editor in zenon:


lavorare nell´Editor tramite VBA con ActiveX

Manuale -> Controls -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> lavorare nell´Editor tramite VBA con ActiveX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter accedere nell´Editor zenon alle proprietà del Control:

  1. create nell´Editor di zenon, per la precisione nel nodo Interfacce di programmazione/Macro-VBA una nuova macro Init con la denominazione Init_ActiveX.

    Con questa macro è poi possibile accedere a tutte le properties esterne mediante obElem.AktiveX….

  2. Assegnate questa macro all´ActiveX Control facendo uso della proprietà Macro VBA/Init dell´elemento ActiveX.

Esempio Macro Init

Public Sub Init_ActiveX(obElem As Element)

obElem.AktiveX.Usertext = "Setta la stringa sul Control"

End Sub


Collegare variabili di zenon con il .NET User Control

Manuale -> Controls -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sotto zenon avete la possibilità di estendere un ActiveX Control integrandolo con delle funzioni specifiche, per poter accedere a API zenon.

Metodi necessari

  • public bool zenOnInit (Viene aperto al momento dell´inizializzazione del Control nel Runtime di zenon.)
  • public bool zenOnInitED (Viene usato nell´Editor.)
  • public bool zenOnExit() (Viene aperto al momento della distruzione del Control nel Runtime di zenon.)
  • public bool zenOnExitED() (Viene usato nell´Editor.)
  • public short CanUseVariables() (Supporta il collegamento di variabili.)
  • public short VariableTypes() (Tipi di dato supportati da Control)
  • public MaxVariables() (Numero massimo delle variabili che possono essere collegate con il Control..)

Aggiungi referenze

  1. In Microsoft Visual Studio selezionate alla voce Add References la biblioteca oggetti-Runtime di zenon, per poter accedere nel Control a zenon API.

  2. Aggiungete le funzioni estese nel class-code del control per accedere all´intera zenon API.

    Nel nostro esempio, il COM Object di una variabile di zenon viene salvato temporaneamente in Member un per potervi poi accedere nel Paint Event del Control:

Noch in diesem Kapitel

public bool zenOnInit(zenOn.Element dispElement)

public bool zenOnInitED(zenOn.Element dispElement)

public bool zenOnExit()

public bool zenOnExitED()

public short CanUseVariables()

public short VariableTypes()

public MaxVariables()


public bool zenOnInit(zenOn.Element dispElement)

Manuale -> Controls -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnInit(zenOn.Element dispElement)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l'aiuto di questo metodo, viene consegnato (nel runtime) all'ActiveX Control una lancetta sulla Dispatch Interface dell'elemento dinamico. Grazie a questa lancetta si può passare alle variabili di zenon collegate all´elemento dinamico.

La successine delle variabili può essere impostata nel dialogo "Immissione elemento" con il pulsante in basso o in alto. Il dialogo Introduzione elemento si apre se:

  • cliccate due volte sull´elemento ActiveX
  • oppure se selezionate Proprietà nel menu contestuale, oppure
  • selezionate nella finestra delle proprietà nel nodo Visualizzazione la proprietà Impostazioni ActiveX


public bool zenOnInitED(zenOn.Element dispElement)

Manuale -> Controls -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnInitED(zenOn.Element dispElement)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Corrisponde a public bool zenOnInit e viene eseguito al momento dell´apertura dell´ActiveX nell´Editor (doppio clic su ActiveX)


public bool zenOnExit()

Manuale -> Controls -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnExit()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo metodo viene chiamato in causa dal runtime di zenon al momento della chiusura dell´ActiveX Control. In questo caso dovrebbero essere resi disponibili tutti i Dispatch Pointer su variabili.


public bool zenOnExitED()

Manuale -> Controls -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnExitED()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Corrisponde a public bool zenOnExit() e viene eseguito nell´editor al momento della chiusura dell´ActiveX. In tal modo si può reagire anche nell´Editor a modifiche, come, ad esempio, cambio di valori.


public short CanUseVariables()

Manuale -> Controls -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public short CanUseVariables()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo metodo fornisce come risultato 1 se il Control può usare delle variabili di zenon e 0 0 in caso contrario

  • 1: È possibile indicare per l´elemento dinamico (tramite il pulsante Variabili) solamente delle varibili di zenon dei tipi indicati tramite il metodo VariableTypes e nella quantità indicata nel metodo MaxVariables.
  • 0: Nel caso in cui CanUseVariables dia 0, oppure nel caso in cui il Control non possieda tale metodo, possono essere indicate variabili di ogni tipo e senza limitazioni di numero. Esse possoo essere usate nel runtime, ma solo tramite VBA.


public short VariableTypes()

Manuale -> Controls -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public short VariableTypes()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il valore restituito da questo metodo viene usato come maschera per i tipi di dato utilizzabili nella lista delle variabili. Il valore è una connessione AND dei seguenti valori (definiti in zenon32/dy_type.h):

Parametri | Valore | Descrizione
WORD | 0x0001 | corrisponde a posizione 0
BYTE | 0x0002 | corrisponde a posizione 1
BIT | 0x0004 | corrisponde a posizione 2
DWORD | 0x0008 | corrisponde a posizione 3
FLOAT | 0x0010 | corrisponde a posizione 4
DFLOAT | 0x0020 | corrisponde a posizione 5
STRING | 0x0040 | corrisponde a posizione 6
IN_OUTPUT | 0x8000 | corrisponde a posizione 15


public MaxVariables()

Manuale -> Controls -> ActiveX -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public MaxVariables()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa sede si stabilisce il numero delle variabili che possono essere selezionate dalla lista di variabili.

1: nella lista variabili viene disattivata la possibilità di multiselect. Il sistema emette un avvertimento nel caso in cui si tenti di selezionare più variabili contemporaneamente.


.NET User Controls

Manuale -> Controls -> .NET User Controls

Con i .NET Control si può estendere la funzionalità del Runtime e dell´Editor di zenon.

In questa guida trovate quanto segue:

  • Differenze fra Control Container e ActiveX
  • Esempio di .NET Control Container
  • Esempio .NET Control come ActiveX (C#)

Le informazioni concernenti l´uso di .NET Controls in ActiveX le trovate nella guida Immagini nel capitolo .NET Controls.

Noch in diesem Kapitel

Differenze nell´uso di .NET Control in Control Container e ActiveX

Esempio di .NET Control Container

Esempio .NET Control come ActiveX (C#)


Differenze nell´uso di .NET Control in Control Container e ActiveX

Manuale -> Controls -> .NET User Controls -> Differenze nell´uso di .NET Control in Control Container e ActiveX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un .Net User Control può:

  • essere implementato tramite CD_DotNetControlContainer Control direttamente nell´elemento ActiveX di zenon
  • essere usato come ActiveX Control ed essere implementato direttamente nell´elemento ActiveX di zenon

Le differenze fra Container Control e ActiveX Control sono soprattutto:

CD_DotNetControlContainer Control

ActiveX Control

  • Non deve essere registrato sul calcolatore.
  • Deve essere registrato come ActiveX sul calcolatore (regsvr32).
  • Se ci sono delle modifiche nel Control, il DLL deve essere cambiato.
  • Se ci sono delle modifiche nel Control, il TLB deve essere nuovamente registrato.
  • Accesso tramite VBA e VSTA possibile solamente tramite metodi CD_DotNetControlContainer.
  • Accesso tramite VBA e VSTA molto semplice.


Esempio di .NET Control Container

Manuale -> Controls -> .NET User Controls -> Esempio di .NET Control Container

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo tutorial si descrive come creare in Visual Studio 2010 un semplice .NET User Control (linguaggio di programmazione C#) e come implementarlo poi con l´aiuto di zenon CD_DotNetControlContainer Control come ActiveX in un elemento Active X di zenon.

Noch in diesem Kapitel

Generale

Creare .Net User Control

aggiungeremo CD_DotNetControlContainer e .NET User Control

Accesso all´User Control tramite VSTA oppure VBA


Generale

Manuale -> Controls -> .NET User Controls -> Esempio di .NET Control Container -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il CD_DotNetControlContainer serve da wrapper fra un User Control e l´elemento ActiveX di zenon. Tutti i metodi usati nel seguente esempio, nonché tutti i Public Methods e Properties vengono trasmessi tramite il CD_DotNetControlContainer dall´User Control all´ActiveX e possono essere usati da zenon, anche in VBA e VSTA.

Se nell´User Control si referenzia alla Programming Interface di zenon, si può accedere direttamente agli oggetti di zenon.

Nel seguente esempio faremo quanto segue:

  • imposteremo un .NET User Control
  • aggiungeremo CD_DotNetControlContainer e .NET User Control
  • consentiremo l´accesso all´User Control tramite VSTA (VBA)

Percorso per DLL nell´Editor e nel Runtime

Il percorso per .Net DLL selezionato nell´Editor, viene utilizzato anche nel Runtime. Esso viene settato in modo assoluto e non deve essere più modificato.

Vi preghiamo di assicurarvi che venga utilizzato lo stesso percorso nell´Editor e nel Runtime di tutti i calcolatori che fanno parte della rete di zenon.
Suggerimento: Selezionate un percorso assoluto, ad esempio: C:\Controls. Inserite il percorso nel Remote-Transport e nel.NET Control Container. Sincronizzate questo percorso in modo che sia lo stesso su tutti i calcolatori usando il Remote-Transport.

Noch in diesem Kapitel

public bool zenOnInit(zenOn.Element dispElement)

public bool zenOnExit()

public short CanUseVariables()

public short VariableTypes()

public MaxVariables()


public bool zenOnInit(zenOn.Element dispElement)

Manuale -> Controls -> .NET User Controls -> Esempio di .NET Control Container -> Generale -> public bool zenOnInit(zenOn.Element dispElement)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l'aiuto di questo metodo, viene consegnato (nel runtime) all'ActiveX Control una lancetta sulla Dispatch Interface dell'elemento dinamico. Grazie a questa lancetta si può passare alle variabili di zenon collegate all´elemento dinamico.

La successine delle variabili può essere impostata nel dialogo "Immissione elemento" con il pulsante in basso o in alto. Il dialogo Introduzione elemento si apre se:

  • cliccate due volte sull´elemento ActiveX
  • oppure se selezionate Proprietà nel menu contestuale, oppure
  • selezionate nella finestra delle proprietà nel nodo Visualizzazione la proprietà Impostazioni ActiveX


public bool zenOnExit()

Manuale -> Controls -> .NET User Controls -> Esempio di .NET Control Container -> Generale -> public bool zenOnExit()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo metodo viene chiamato in causa dal runtime di zenon al momento della chiusura dell´ActiveX Control. In questo caso dovrebbero essere resi disponibili tutti i Dispatch Pointer su variabili.


public short CanUseVariables()

Manuale -> Controls -> .NET User Controls -> Esempio di .NET Control Container -> Generale -> public short CanUseVariables()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo metodo fornisce come risultato 1 se il Control può usare delle variabili di zenon e 0 0 in caso contrario

  • 1: È possibile indicare per l´elemento dinamico (tramite il pulsante Variabili) solamente delle varibili di zenon dei tipi indicati tramite il metodo VariableTypes e nella quantità indicata nel metodo MaxVariables.
  • 0: Nel caso in cui CanUseVariables dia 0, oppure nel caso in cui il Control non possieda tale metodo, possono essere indicate variabili di ogni tipo e senza limitazioni di numero. Esse possoo essere usate nel runtime, ma solo tramite VBA.


public short VariableTypes()

Manuale -> Controls -> .NET User Controls -> Esempio di .NET Control Container -> Generale -> public short VariableTypes()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il valore restituito da questo metodo viene usato come maschera per i tipi di dato utilizzabili nella lista delle variabili. Il valore è una connessione AND dei seguenti valori (definiti in zenon32/dy_type.h):

Parametri | Valore | Descrizione
WORD | 0x0001 | corrisponde a posizione 0
BYTE | 0x0002 | corrisponde a posizione 1
BIT | 0x0004 | corrisponde a posizione 2
DWORD | 0x0008 | corrisponde a posizione 3
FLOAT | 0x0010 | corrisponde a posizione 4
DFLOAT | 0x0020 | corrisponde a posizione 5
STRING | 0x0040 | corrisponde a posizione 6
IN_OUTPUT | 0x8000 | corrisponde a posizione 15


public MaxVariables()

Manuale -> Controls -> .NET User Controls -> Esempio di .NET Control Container -> Generale -> public MaxVariables()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa sede si stabilisce il numero delle variabili che possono essere selezionate dalla lista di variabili.

1: nella lista variabili viene disattivata la possibilità di multiselect. Il sistema emette un avvertimento nel caso in cui si tenti di selezionare più variabili contemporaneamente.


Creare .Net User Control

Manuale -> Controls -> .NET User Controls -> Esempio di .NET Control Container -> Creare .Net User Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´User Control è un semplice control che consente di settare un nuovo valore tramite un campo di inserimento (Textbox). Dopo che si è premuto il pulsante, il valore viene scritto sulla variabile desiderata di zenon.

Un´altra funzione ha il compito di riconoscere se si è verificato un cambio nel valore della variabile in zenon e di visualizzare il nuovo valore nel Control.

info Informazioni su

Gli screenshot per questo tema sono disponibili solo in lingua inglese.

Fasi della procedura

  1. In primo luogo procedete alla creazione di un nuovo progetto in VS; a tal scopo usate il tipo di progetto „Windows Forms Control Library"

    Importante: impostate Framework a 3.5!

  2. Poi cambiate il nome del CS „UserControl" in „zenon_CD_DotNetControlContainer.cs" . I file Designer.cs e .resx verranno rinominati automaticamente.

  3. Prossimo passo: create l´User Control. A tal scopo avete bisogno di due textbox per inserimento ed emissione, nonché di un pulsante per settare un nuovo valore sulla variabile di zenon.
    Nominate:
    • la prima textbox „txtGetZenonVariable"
    • la seconda textbox „txtSetZenonVariable"
    • il pulsante „btnSetZenonVariable"

  4. Per poter accedere agli oggetti di zenon, avete bisogno di una referenza alla Programming Interface di zenon. Per fare ciò:
    • cliccate sul nodo „References" in Solution Explorer
    • aprite il menu contestuale
    • selezionate Add References…
    • andate alla voce COM
    • selezionate la zenon programming interface library

    A questo punto dovrebbe apparire la referenza „zenOn" nella lista delle referenze.

  5. Il prossimo passo consisterà nell´impostare nel programmcode di zenon_CD_DotNetControlContainer.cs una variale globale del tipo zenon.Variable:

  6. Questa variabile viene inizializzata tramite il public methode zenOnInit:

    e viene resa di nuovo disponibile attraverso il public methode zenOnExit:

    Nei seguenti metodi si stabilisce se le variabili e i tipi di dato di zenon possono essere usati e quante variabili possono essere consegnate:

  7. Il prossimo passo consiste nello stabilire nel Click-Event del pulsante btnSetZenonVariable che, cliccando sul pulsante stesso, il valore viene scritto nella textbox txtSetZenonVariable sul valore della variabile zenon e poi il contenuto della textbox viene cancellato.

  8. Per poter reagire alla modifica del valore della variabile, avete bisogno del Paint-Event del Control. Viene eseguito anche un trigger per il Paint-Event se cambia il valore della variabile zenon inizializzata e perciò non può essere usato per l´aggiornamento dei valori. Visto che le variabili che sono referenziate nell´elemento ActiveX zenon, sono automaticamenre advised, si può in generale rinunciare al container zenon.OnlineVariable nel Control.

Una visione insieme del codice

Qui ancora una volta l´intero codice in una visione d´insieme:

using System;

using System.Collections.Generic;

using System.ComponentModel;

using System.Drawing;

using System.Data;

using System.Linq;

using System.Text;

using System.Windows.Forms;

using zenOn;

namespace zenon_CD_DotNetControlContainer

{

public partial class zenon_CD_DotNetControlContainer : UserControl

{

//This will be needed to get the zenon Variable Container

zenOn.Variable m_cVal = null;

public zenon_CD_DotNetControlContainer()

{

InitializeComponent();

}

/// <summary>

/// This public Method will be called by the initialization of the control during

/// the zenon Runtime.

/// </summary>

/// <param name="dispElement"></param>

/// <returns></returns>

public bool zenOnInit(zenOn.Element dispElement)

{

//Check if zenon Variables are added to the

//Control

if (dispElement.CountVariable > 0)

{

try

{

//Take the first zenon Variable and added

//to the global Variable

m_cVal = dispElement.ItemVariable(0);

}

catch { }

}

return true;

}

// <summary>

/// This public Method will be called by the release of the control during

/// the zenon Runtime.

/// </summary>

/// <returns></returns>

public bool zenOnExit()

{

try

{

if (m_cVal != null)

{

//Release the zenon Variable (Com-Object)

System.Runtime.InteropServices.Marshal.FinalReleaseComObject(m_cVal);

m_cVal = null;

}

}

catch { }

return true;

}

/// <summary>

/// This public Method is needed to link zenon Variables

/// to the control.

/// </summary>

/// <returns></returns>

public short CanUseVariables()

{

return 1; // Only this Variable is supported

}

/// <summary>

/// This public Method returns the Type of

/// supported zenon Variables

/// </summary>

/// <returns></returns>

public short VariableTypes()

{

return short.MaxValue; // all Data Types supported

}

/// <summary>

/// This public Method returns the number of

/// supported zenon Variables

/// </summary>

/// <returns></returns>

public short MaxVariables()

{

return 1; // Only 1 Variable should linked to the Control

}

/// <summary>

/// This will be triggert by clicking the Button. The new Value will

/// be set to the zenon Variable

/// </summary>

/// <param name="sender"></param>

/// <param name="e"></param>

private void btnSetZenonVariable_Click(object sender, EventArgs e)

{

//Set Value from TextBox to the zenon Variable

m_cVal.set_Value(0,txtSetZenonVariable.Text.ToString());

this.txtSetZenonVariable.Text = string.Empty;

}

/// <summary>

/// This will be triggert by painting the User Control or the Value of the Variable changed.

/// After the value of the Variable changed the Control will be new painted and the new Value

/// will be set to the Textbox.

/// </summary>

/// <param name="sender"></param>

/// <param name="e"></param>

private void zenon_CD_DotNetControlContainer_Paint(object sender, PaintEventArgs e)

{

if (m_cVal != null)

{

this.txtGetZenonVariable.Text = m_cVal.get_Value(0).ToString();

return;

}

else

{

this.txtGetZenonVariable.Text = "Variable Value";

return;

}

}

}

}

Crea release

Infine creare un Release per poter collegare la DLL completa in zenon e/o nel CD_DotNetControlContainer.

A tal scopo si deve assolutamente passare nei settings da Debug a Release.


aggiungeremo CD_DotNetControlContainer e .NET User Control

Manuale -> Controls -> .NET User Controls -> Esempio di .NET Control Container -> aggiungeremo CD_DotNetControlContainer e .NET User Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per preparare il progetto zenon e aggiungere il CD_DotNetControlContainer e il .NET User Control, realizzate i passi seguenti:

  1. Impostate una variabile interne del tipo Stringa e settatela sulla lunghezza stringa di 30.

  2. Aggiungete nel nodo di progetto di zenon dal nome Projekt/Dateien/Sonstige il DLL del .NET User Control impostato.

    Il DLL si trova nella cartella Visual Studio Project alla voce bin\Release\zenon_CD_DotNetControlContainer.dll.

  3. Selezionate nel progetto l´elemento ActiveX e trascinatelo nell´immagine zenon.
    • Si apre il dialogo Configurazione.
    • Selezionate il CD_DotNetControlContainer.Container Control.

  4. Per inserire in modo scollegato il .NET User Control nel CD_DotNetControlContainer Control:
    • Cliccate sul pulsante Proprietà.
    • Viene aperto un nuovo dialogo

    • Cliccando sul pulsante Load selezionate il percorso della cartella di progetto, per esempio: C:\ProgramData\COPA-DATA\SQL\9888419d-251e-4595-b396-9be42367997c\FILES\zenon\custom\additional\zenon_CD_DotNetControlContainer.dll

    Aggiungendo il DLL nella cartella additional, il Control viene spedito automaticamente ad un altro calcolatore al momento di copiare o caricare i file Runtime. Per questa ragione, il collegamento non va perduto.

    Adesso dovrebbe essere visualizzato il .NET User Control.

    Confermate il dialogo cliccando su OK.

  5. L´ultimo passaggio consiste nel collegare una variabile con il Control facendo uso del pulsante Variabili.

    La variabile selezionata viene collegata automaticamente mediante il metodo public zenonInit con la variabile definita globalmente (.NET UserControl). Il collegamento con il Control diviene però effettivo solamente dopo l´avvio del Runtime.

    Poi dovete procedere a collegare la variabile interna con un elemento di testo.

  6. Dopo l´avvio del Runtime, il Control è, in un primo momento, ancora vuoto.

    Se viene scritto un valore nella seconda box di testo e poi confermato mediante il pulsante Set zenon Variable, il valore viene scritto sulla variabile di zenon. (L´evento btnSetZenonVariable_Click viene eseguito.)

    Esso viene visualizzato anche nell´elemento di testo di zenon.

    Se il valore viene modificato direttamente nell´elemento di testo di zenon,

    esso verrà scritto tramite il Paint Event del .NET Control nella prima box di testo.


Accesso all´User Control tramite VSTA oppure VBA

Manuale -> Controls -> .NET User Controls -> Esempio di .NET Control Container -> Accesso all´User Control tramite VSTA oppure VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo esempio si mostra l´accesso via VSTA. La procedura è la stessa con VBA.

  1. Estendete il Control con un Label (label) e denominatelo lblzenon>nfo. In questo Label deve essere visualizzato il valore di un´altra variabile di zenon. Il nuovo valore deve essere settato tramite una macro VSTA.

  2. Estendete il Code della Property (Information) e aggiungete le proprietà get e set alla Property. Esse permettono di leggere e scrivere il testo del Label.

  3. Create un nuovo release per il nostro User Control e copiatelo nella cartella additional del progetto di zenon.
    Non dimenticate: chiudete prima l´Editor di zenon!
    Cancellate il vecchio DLL e riavviate l`Editor di zenon. Se il DDL si dovesse ancora trovare nella cartella, cancellatelo una seconda volta. Adesso potete importare il DLL modificato. Il CD_DotNetContainerControl e l´ActiveX vengono aggiornati automaticamente.
  4. Cliccate nell´Editor di zenon su ActiveX e aprite la finestra delle proprietà.

    Potete vedere adesso la nuova proprietà Information nella finestra di selezione del Control e potete anche settare un valore.

    Questo valore viene settato anche nel Control („myInformation")

  5. Per poter lavorare con il CD_DotNetControlContainer in VSTA oppure VBA, avete bisogno anzitutto della referenza al Control. Dopo che si è aperto VSTA per il progetto (ProjectAddin), la referenza di CD_DotNetControlContainer deve essere aggiunta.

    Inoltre deve essere aggiunto anche l´Assembly System.Windows.Forms.

  6. Con il seguente Code può essere settato nuovamente il valore per la proprietà del Control Information:

  7. Alla fine:
    • create una funzione di zenon Esegui macro VSTA
    • Collegate la funzione ad un pulsante

    Durante il Runtime, si cambia il Label cliccando sul pulsante myInformation su New Information.

    Se si clicca di nuovo sullo stesso pulsante si torna alla situazione precedente.


Esempio .NET Control come ActiveX (C#)

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il seguente esempio descrive un .NET Control che viene eseguito come ActiveX Control in zenon.

La creazione e integrazione avviene in quattro passi:

  1. creare Windows Form Control
  2. trasformare .NET User Control in Dual Control
  3. lavorare nell´Editor tramite VBA con ActiveX
  4. Collegare variabili di zenon con il .NET User Control

info Informazioni su

Gli screenshot per questo tema sono disponibili solo in lingua inglese.

Noch in diesem Kapitel

creare Windows Form Control

trasformare .NET User Control in Dual Control

lavorare nell´Editor tramite VBA con ActiveX

Collegare variabili di zenon con il .NET User Control


creare Windows Form Control

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> creare Windows Form Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un Windows Form Control:

  1. Avviate il Visual Studio 2008 e create un nuovo progetto Windows Form Control Library:

  2. Rinominate il Control di default dandogli il nome desiderato.
    Nel nostro esempio: SampesControl.cs.

  3. Aprite il Control Designer e aggiungete i Control desiderati, nel nostro caso una casella di testo (Text-box):

  4. I Control dispongono normalmente di proprietà. Aprite il Code Designer facendo uso di View Code e aggiungete le desiderate properties disponibili esternamente.
    Nel nostro esempio: La property visibile esternamente„UserText" con get e accesso set che contiene il testo della casella testo:

  5. compilate il progetto.

    Il Windows Forms Control può essere adesso usato in altri progetti Windows Forms.

    Importante: il Control deve essere inserito manualmente nel Control Toolbox facendo uso di Choose Items.


trasformare .NET User Control in Dual Control

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> trasformare .NET User Control in Dual Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per trasformare .NET in un Dual Control, si deve anzitutto procedere ad attivare l´interfaccia COM per ActiveX.

  1. Aprite il progetto e attivate alla voce Build-impostazioni la proprietà Register for COM interop:

  2. Aprite il file AssemblyInfo.cs e
    • settate l´attributo ComVisible su true
    • aggiungete l´attributo ClassInterface

    [assembly: ComVisible(true)]

    [assembly: ClassInterface(ClassInterfaceType.AutoDual)]

  3. Aprite il Codedesigner tramite View Code e aggiungete gli attributi ActiveX e gli inserimenti using necessari. Create un nuovo GUID per l´attributo GUID servendovi del menu Tools/Create GUID:

  4. Per fare in modo che il Control sia selezionabile anche come Control superfici ActiveX, si devono ancora aggiungere nella classe control le seguenti funzioni:
    • RegisterClass
    • UnregisterClass

    Poi il controlo può essere registrato nella Registry.

  5. Ricompilate il progetto.

    Il Windows Form Control è adesso utilizzabile anche con ActiveX ed è stato registrato automaticamente con il Rebuild. Un ulteriore file Typelib zenOnDotNetControl.tlb è stato creato nel percorso output.

  6. Per usare il control su un altro calcolatore:
    1. copiate il file DLL e il file TBL sul calcolatore di destinazione
    2. registrate il file tramite la riga comandi con:
      %windir%\Microsoft.NET\Framework\v2.0.50727\regasm.exe zenOnDotNetControl.dll /tlb:zenOnDotNetControl.tlb
  7. Aggiungete l´esteso Windows Form Control come ActiveX Control nell´Editor in zenon:


lavorare nell´Editor tramite VBA con ActiveX

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> lavorare nell´Editor tramite VBA con ActiveX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter accedere nell´Editor zenon alle proprietà del Control:

  1. create nell´Editor di zenon, per la precisione nel nodo Interfacce di programmazione/Macro-VBA una nuova macro Init con la denominazione Init_ActiveX.

    Con questa macro è poi possibile accedere a tutte le properties esterne mediante obElem.AktiveX….

  2. Assegnate questa macro all´ActiveX Control facendo uso della proprietà Macro VBA/Init dell´elemento ActiveX.

Esempio Macro Init

Public Sub Init_ActiveX(obElem As Element)

obElem.AktiveX.Usertext = "Setta la stringa sul Control"

End Sub


Collegare variabili di zenon con il .NET User Control

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sotto zenon avete la possibilità di estendere un ActiveX Control integrandolo con delle funzioni specifiche, per poter accedere a API zenon.

Metodi necessari

  • public bool zenOnInit (Viene aperto al momento dell´inizializzazione del Control nel Runtime di zenon.)
  • public bool zenOnInitED (Viene usato nell´Editor.)
  • public bool zenOnExit() (Viene aperto al momento della distruzione del Control nel Runtime di zenon.)
  • public bool zenOnExitED() (Viene usato nell´Editor.)
  • public short CanUseVariables() (Supporta il collegamento di variabili.)
  • public short VariableTypes() (Tipi di dato supportati da Control)
  • public MaxVariables() (Numero massimo delle variabili che possono essere collegate con il Control..)

Aggiungi referenze

  1. In Microsoft Visual Studio selezionate alla voce Add References la biblioteca oggetti-Runtime di zenon, per poter accedere nel Control a zenon API.

  2. Aggiungete le funzioni estese nel class-code del control per accedere all´intera zenon API.

    Nel nostro esempio, il COM Object di una variabile di zenon viene salvato temporaneamente in Member un per potervi poi accedere nel Paint Event del Control:

Noch in diesem Kapitel

public bool zenOnInit(zenOn.Element dispElement)

public bool zenOnInitED(zenOn.Element dispElement)

public bool zenOnExit()

public bool zenOnExitED()

public short CanUseVariables()

public short VariableTypes()

public MaxVariables()


public bool zenOnInit(zenOn.Element dispElement)

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnInit(zenOn.Element dispElement)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l'aiuto di questo metodo, viene consegnato (nel runtime) all'ActiveX Control una lancetta sulla Dispatch Interface dell'elemento dinamico. Grazie a questa lancetta si può passare alle variabili di zenon collegate all´elemento dinamico.

La successine delle variabili può essere impostata nel dialogo "Immissione elemento" con il pulsante in basso o in alto. Il dialogo Introduzione elemento si apre se:

  • cliccate due volte sull´elemento ActiveX
  • oppure se selezionate Proprietà nel menu contestuale, oppure
  • selezionate nella finestra delle proprietà nel nodo Visualizzazione la proprietà Impostazioni ActiveX


public bool zenOnInitED(zenOn.Element dispElement)

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnInitED(zenOn.Element dispElement)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Corrisponde a public bool zenOnInit e viene eseguito al momento dell´apertura dell´ActiveX nell´Editor (doppio clic su ActiveX)


public bool zenOnExit()

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnExit()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo metodo viene chiamato in causa dal runtime di zenon al momento della chiusura dell´ActiveX Control. In questo caso dovrebbero essere resi disponibili tutti i Dispatch Pointer su variabili.


public bool zenOnExitED()

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public bool zenOnExitED()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Corrisponde a public bool zenOnExit() e viene eseguito nell´editor al momento della chiusura dell´ActiveX. In tal modo si può reagire anche nell´Editor a modifiche, come, ad esempio, cambio di valori.


public short CanUseVariables()

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public short CanUseVariables()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo metodo fornisce come risultato 1 se il Control può usare delle variabili di zenon e 0 0 in caso contrario

  • 1: È possibile indicare per l´elemento dinamico (tramite il pulsante Variabili) solamente delle varibili di zenon dei tipi indicati tramite il metodo VariableTypes e nella quantità indicata nel metodo MaxVariables.
  • 0: Nel caso in cui CanUseVariables dia 0, oppure nel caso in cui il Control non possieda tale metodo, possono essere indicate variabili di ogni tipo e senza limitazioni di numero. Esse possoo essere usate nel runtime, ma solo tramite VBA.


public short VariableTypes()

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public short VariableTypes()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il valore restituito da questo metodo viene usato come maschera per i tipi di dato utilizzabili nella lista delle variabili. Il valore è una connessione AND dei seguenti valori (definiti in zenon32/dy_type.h):

Parametri | Valore | Descrizione
WORD | 0x0001 | corrisponde a posizione 0
BYTE | 0x0002 | corrisponde a posizione 1
BIT | 0x0004 | corrisponde a posizione 2
DWORD | 0x0008 | corrisponde a posizione 3
FLOAT | 0x0010 | corrisponde a posizione 4
DFLOAT | 0x0020 | corrisponde a posizione 5
STRING | 0x0040 | corrisponde a posizione 6
IN_OUTPUT | 0x8000 | corrisponde a posizione 15


public MaxVariables()

Manuale -> Controls -> .NET User Controls -> Esempio .NET Control come ActiveX (C#) -> Collegare variabili di zenon con il .NET User Control -> public MaxVariables()

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa sede si stabilisce il numero delle variabili che possono essere selezionate dalla lista di variabili.

1: nella lista variabili viene disattivata la possibilità di multiselect. Il sistema emette un avvertimento nel caso in cui si tenti di selezionare più variabili contemporaneamente.


Elemento WPF

Manuale -> Controls -> Elemento WPF

Con l´elemento dinamico WPF possono essere implementati e visualizzati file WPF/XAML validi in zenon.

info Informazioni su

Tutti nomi di marchi e prodotti contenuti in questa documentazione sono marchi o marchi registrati del relativo proprietario.

Noch in diesem Kapitel

Basi:

Linee guida per i designer

Linee guida per progettisti.

Engineering in zenon


Basi:

Manuale -> Controls -> Elemento WPF -> Basi:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

XAML

XAML significa Extensible Application Markup Language e si pronuncia ['zæ:m?l]. Questo linguaggio di markup basato su XML sviluppato da Microsoft definisce elementi grafici, animazioni, trasformazioni, rappresentazione di sfumature di colore ecc., in interfacce utenti Silverlight e WPF. L´uso di XAML permette di separare in modo rigoroso design e programmazione. Il designer prepara, ad esempio, l´interfaccia grafica e crea delle animazioni base che vengono poi riprese dallo sviluppatore/progettista che crea logica dell´applicazione.

WPF

WPF significa Windows Presentation Foundation, e definisce un framework grafico che è una parte di Windows .NET Framework.

  • WPF mette a disposizione del programmatore un modello ampio.
  • XAML descrive, basandosi su XML, la gerarchia delle interfacce come linguaggio markup.
    A seconda della struttura del file XAML si ha la possibilità di collegare proprietà, eventi e trasformazioni degli elementi WPF a variabili e funzioni di zenon.
  • Il framework unisce le diverse aree di una presentazione, come l’interfaccia utente, disegni, grafiche, audio, video, documenti e tipografia.

Per l´esecuzione in zenon si ha bisogno di Microsoft .NET Framework Version 3.5, oppure di una versione ancora più recente.

Noch in diesem Kapitel

WPF nella visualizzazione di processo

Assembly referenziati

Workflow


WPF nella visualizzazione di processo

Manuale -> Controls -> Elemento WPF -> Basi: -> WPF nella visualizzazione di processo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

XAML rende possibili diverse opzioni grafiche per zenon, Elementi di visualizzazione ed elementi dinamici possono essere creati ed adattati nella loro forma grafica, indipendentemente dalla progettazione. Per esempio, prima un designer crea delle illustrazioni complesse, che poi vengono importate in forma di file XAML in zenon e collegate alla logica desiderata. Ci sono molte possibilità di applicazione concreta:

Elementi dinamici in analog-look.

Le grafiche non devono più essere disegnate in zenon, ma possono essere importate direttamente sotto forma di file XAML. Ciò permette l´uso di elementi illustrati in modo complesso nella visualizzazione di processo. Riflessi, ombreggiature, effetti 3D ecc, ad esempio, vengono supportati come grafica. Gli elementi, adattati al settore industriale in questione, permettono all´operatore una gestione intuitiva, analoga alla gestione tramite i comandi sul macchinario.

Illustrazioni complesse per una gestione intuitiva

L´implementazione di elementi di visualizzazione basati su XAML migliora la veste grafica dei vostri progetti e permette una visualizzazione di processo più semplice e chiara. Gli elementi, ottimizzati in fatto di usabilità, facilitano la gestione. La visualizzazione chiara dei dati semplifica la comprensione di contenuti complessi. La possibilità flessibile di modifica ed adeguamento dei singoli elementi aumenta il comfort della gestione. Perciò è possibile per il progettista determinare in piena autonomia valori, scale e unità.

Chiara presentazione dei dati e riepiloghi

Elementi di visualizzazione riassuntiva permettono una rappresentazione chiara dei dati di processo più rilevanti, in modo tale che l´operatore che gestisce l´impianto sia sempre informato su quanto sta accadendo nel processo. Analisi grafiche, visualizzazione valori e slider possono essere raggruppati in un solo elemento, consentendo così una gestione veloce e semplice.

Visualizzazione di processo specifica per i diversi settori industriali

Elementi, come termometro, scale o bargraf, sono gli elementi base della visualizzazione di un processo. Usando XAML, è possibile adeguare l´aspetto grafico di questi elementi alle diverse esigenze dei differenti settori industriali. In tal modo, nella visualizzazione del processo sul terminale, gli operatori ritrovano quegli elementi cui sono abituati e che conoscono già per via del loro lavoro con i macchinari.

Adattamento a Corporate Design

Le illustrazioni grafiche possono essere adeguate alle indicazioni stilistiche delle diverse imprese, permettendo così di raggiungere un aspetto omogeneo nella visualizzazione di tutto il processo produttivo. Si possono usare come base gli elementi di controllo standard di zenon, che potranno poi essere modificati adeguando colori, caratteri, stile delle illustrazioni a quelli tipici e caratteristici per una determinata impresa.


Assembly referenziati

Manuale -> Controls -> Elemento WPF -> Basi: -> Assembly referenziati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´elemento WPF non si possono rappresentare solamente oggetti standard (rettangoli, grafiche, ecc.), o effetti (sfumature di colore, animazioni, ecc.), ma anche controlli utente personalizzati (con logica nel code behind), che vengono referenziati come assembly.

Per esempio, si può creare un controllo utente che ha l´aspetto di un tachimetro e offre delle proprietà speciali e degli effetti ottici; per esempio, la proprietà "Value", che fa sì che la lancetta del tachimetro si muova e/o indichi il valore.

Il workflow per raggiungere questo obiettivo:

  • L´aspetto di un user control viene disegnato con gli oggetti standard messi a disposizione da WPF.
  • Le proprietà e le interazioni vengono programmate.
  • Il pacchetto completo viene compilato ed è disponibile come .NET Assembly.

Questo assembly può essere usato per progetti WPF. Per far ciò, deve essere referenziato (collegato) nell´Editor WPF (per es: Microsoft Expression Blend). Per far ciò, selezionate l´assembly nel dialogo di selezione file in zenon:

A partire da questo momento, gli user control WPF dell´assembly possono essere selezionati nel toolbox alla voce Custom UserControls e possono essere usati nel progetto WPF.

A tal proposito, vedi anche il capitolo: Linee guida per progettisti.

Usare assembly referenziati in zenon

Per usare un assembly in zenon, esso deve essere disponibile in forma di file.
File collection del formato .cdwpf gestiscono ciò autonomamente, il che significa che non c´è bisogno di altri passi di configurazione. Per i file del formato .xaml, invece, si deve aggiungere gli assembly alla cartella File:

  • Cliccate nella struttura ad albero su File.
  • Selezionate Altro.
  • Selezionate nel menù contestuale Aggiungi file....
  • Si apre il dialogo per la selezione file.
  • Aggiungete l´assembly desiderato.

Quando un file WPF viene visualizzato nell´elemento WPF (editor e runtime), gli assembly vengono caricati da questa cartella. In tal modo si garantisce che, quando vengono trasmessi i file runtime per mezzo di Trasporto Remoto, tutti gli assembly referenziati siano esistenti sul computer di destinazione.

Una file collection (.cdwpf) e un file XAML con lo stesso nome possono esistere in parallelo. Tutti gli assembly (*.dll) di tutte le file collection e della cartella Altri vengono copiati nella cartella di lavoro. Nel caso esistano diversi assembly con lo stesso nome, viene usato quello che ha il numero di versione file più alto.

attention Attenzione

Gli assembly vengono rimossi dopo il caricamento solo quando l´applicazione viene chiusa. Ciò significa:

Se un file WPF viene visualizzato con un assembly referenziato in zenon, questo assembly viene caricato e si trova nella memoria fino alla chiusura di zenon, anche se l´immagine è stata chiusa. Se volete eliminare un assembly dalla cartella File/Altri, prima di tutto bisogna riavviare l´editor in modo tale che l´assembly venga rimosso.

Gestione multi-progetto

Nella gestione multi-progetto, deve essere usato lo stesso assembly in tutti i progetti. Se in un progetto un assembly viene sostituito da un´altra versione, la sostituzione deve essere effettuata anche in tutti gli altri progetti che sono caricati nell´Editor o nel Runtime.


Workflow

Manuale -> Controls -> Elemento WPF -> Basi: -> Workflow

La tecnologia WPF/XAML rende possibili nuovi workflow nella visualizzazione di processo. La separazione fra design e funzionalità consente di realizzare una chiara divisione dei compiti fra progettista e designer; il lavoro di quest´ultimo è facilitato dalla possibilità di utilizzare design già esistenti, che non devono essere più modificati dal progettista.

Al workflow per la creazione di elementi WPF in zenon partecipano le seguenti persone:

  • Designer
    • illustra elementi
    • si occupa dell´aspetto grafico per MS Expression Design
  • Operatore MS Expression Blend
    • anima gli elementi
    • crea variabili per l´animazione degli elementi WPF in zenon, ai quali può accedere il progettista.
  • Progettista
    • implementa gli elementi in zenon
    • imposta logica e funzionalità

Distinguiamo fra:

  • workflow con Microsoft Expression Blend
  • workflow con Adobe Illustrator

Noch in diesem Kapitel

Workflow con Microsoft Expression Blend

Workflow con Adobe Illustrator


Workflow con Microsoft Expression Blend

Manuale -> Controls -> Elemento WPF -> Basi: -> Workflow -> Workflow con Microsoft Expression Blend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si usa Microsoft Expression Blend, la creazione di un elemento WPF avviene in quattro passaggi:

  1. Illustrazione dell´elemento in MS Expression Blend
  2. Aprire l´elemento in MS Expression Design ed esportarlo come WPF
  3. Animazione in MS Expression Blend
  4. Integrazione in zenon

Un esempio di creazione di un elemento WPF con Microsoft Expression Blend lo trovate nel capitolo Creare un pulsante come file XAML usando Microsoft Expression Blend.


Workflow con Adobe Illustrator

Manuale -> Controls -> Elemento WPF -> Basi: -> Workflow -> Workflow con Adobe Illustrator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con Adobe Illustrator abbiamo il seguente workflow:

  1. Illustrazione degli elementi in Adobe Illustrator
  2. Import di file .ai ed elaborazione in MS Expression Design
  3. Export WPF da MS Expression Design
  4. Animazione in MS Expression Blend
  5. Integrazione in zenon

Un esempio di questa procedura lo trovate nel capitolo Workflow con Adobe Illustrator.


Linee guida per i designer

Manuale -> Controls -> Elemento WPF -> Linee guida per i designer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo capitolo fornisce delle informazioni concernenti il modo corretto di creare file WPF in Microsoft Expression Blend e Adobe Illustrator. Le esercitazioni per la Creazione di un elemento pulsante e di un elemento bargraf mostrano il modo in cui, in pochi passaggi, si possono creare dei file WPF completamente funzionanti per zenon partendo da grafiche già esistenti.

Tale scopo si raggiunge usando i seguenti strumenti:

  • Adobe Illustrator CS3 (AI)
  • Microsoft Expression Design 4 (ED)
  • Microsoft Expression Blend 4 (EB)
  • zenon

info Informazioni su

Se si vogliono usare in WPF degli oggetti referenziati (assembly), si devono tener presenti le indicazioni contenute nel capitolo Oggetti referenziati.

Noch in diesem Kapitel

Workflow con Microsoft Expression Blend

Workflow con Adobe Illustrator


Workflow con Microsoft Expression Blend

Manuale -> Controls -> Elemento WPF -> Linee guida per i designer -> Workflow con Microsoft Expression Blend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con Microsoft Expression Blend, un elemento WPF viene:

  • illustrato
  • convertito in formato WPF usando MS Expression Design
  • animato

L´esempio seguente mostra l´illustrazione e la conversione di un elemento pulsante in un file XAML.

Nota: una versione di prova di "Microsoft Expression Blend" può essere scaricata dalla Website di Microsoft.

Noch in diesem Kapitel

Creare un pulsante come file XAML con Microsoft Expression Blend


Creare un pulsante come file XAML con Microsoft Expression Blend

Manuale -> Controls -> Elemento WPF -> Linee guida per i designer -> Workflow con Microsoft Expression Blend -> Creare un pulsante come file XAML con Microsoft Expression Blend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare un pulsante

  1. Avviate Expression Blend
  2. Selezionate l´opzione New Project

  3. Selezionate come tipo di progetto WPF
  4. Assegnate un percorso a vostra scelta e un nome (per es. MyBlendProject)

    Potete ignorare le impostazioni Language e Version, visto che non deve essere programmata nessuna funzionalità.

  5. Dopo aver chiuso il dialogo cliccando su OK, Microsoft Blend crea un nuovo progetto con le impostazioni selezionate. Expression Blend aggiunge un file XAML vuoto, che contiene già un riferimento di classe.
  6. Cancellate il file appartenente a quello XAML facendo uso del menù contestuale.
  7. Rinominate il file XAML cambiandone il nome da MainControl.xaml a MyButton.xaml.
  8. La dimensione development del file è settata di default su 640 volte 480 pixel e dovrà essere ancora modificata:
    1. Passate alla visuale XAML
    2. Correggete la dimensione portandola a 100 volte 100 pixel.
    3. Cancellate il riferimento di classe x:Class="MyBlendProject.MyButton".

  9. Passate alla visuale Design.

  10. Aggiungete un pulsante usando la barra dei simboli.
  11. Definite le proprietà.
    • Width: 50
    • Height: 50
    • Margins: 25

    Così il pulsante si troverà al centro del control.

  12. Salvate le modifiche e aprite il file in Internet Explorer a fini per controllarlo. Vedrete che il pulsante viene visualizzato nella dimensioni di 50 x 50 pixel.

Rendere il pulsante scalabile

Se implementate questo file in zenon così com´è adesso, il pulsante avrà sempre esattamente la dimensione pari a 50 x 50 pixel. Visto però che il pulsante deve essere usato come bottone scalabile, passate di nuovo a Expression Blend:

  1. Selezionate il pulsante nella visione ad albero.
  2. Selezionate nel menù contestuale del bottone la voce Group Into->Viewbox
  3. Il pulsante viene inserito in un Viewbox.
  4. Definite le proprietà del Viewbox
    • Width: Auto
    • Height: Auto
  5. Salvate il file.

  6. Se adesso aprite il file in Internet Explorer, il pulsante viene automaticamente scalato in caso di cambio delle dimensioni della finestra IE. Questo file si adatterebbe automaticamente anche in zenon ad un eventuale cambio delle dimensioni dell´elemento WPF.

Modifica nome

Prima di poter implementare il file in zenon, dovete dare un nome all´elemento WPF. Di default, gli elementi WPF non hanno un nome in Expression Blend e sono distinti da parentesi quadre e dal loro tipo. L´attribuzione di content zenon a content WPF avviene tramite il nome degli elementi WPF:

  • Nella struttura ad albero, modificate il nome:
    • del pulsante nominandolo MyButton
    • del ViewBox nominandolo MyViewBox

Questo pulsante può essere adesso integrato come file XAML in zenon.


Workflow con Adobe Illustrator

Manuale -> Controls -> Elemento WPF -> Linee guida per i designer -> Workflow con Adobe Illustrator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si usa Adobe Illustrator, un elemento WPF viene:

  • illustrato in Adobe Illustrator
  • convertito in un WPF in MS Expression Design
  • animato in MS Expression Blend

L´esempio seguente mostra l´illustrazione e la conversione di un elemento bargraf in un file XAML.

Noch in diesem Kapitel

Illustrazione bargraf

Export WPF

Animazione in blend


Illustrazione bargraf

Manuale -> Controls -> Elemento WPF -> Linee guida per i designer -> Workflow con Adobe Illustrator -> Illustrazione bargraf

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un bargraf viene creato in Adobe Illustrator.

  1. AI: elemento di partenza bargraf

    Illustrato in Adobe Illustrator CS3.

  2. AI: visualizzazione percorso bargraf in Adobe Illustrator

    • Tutti gli effetti devono essere convertiti (Object -> Convert appearance)
    • Tutte le linee vengono trasformate in percorsi (Object -> Path -> Contour line)
    • Non usare nessun filtro come ombreggiatura, sfocatura, ecc.

Note concernenti la compatibilità

Le illustrazioni che vengono realizzate con Adobe Illustrator, si prestano in linea di principio ad un export WPF. Tuttavia, non tutti gli effetti possibili in Illustrator possono essere convertiti in modo adeguato in Expression Design/Blend. Tenete presente:

Effetto

Descrizione

Maschere di ritaglio

Le maschere di ritaglio create in Adobe Illustrator non vengono interpretate correttamente da Expression Design. Per lo più, esse vengono visualizzate in Blend come delle superfici di color nero.

Vi consigliamo di creare le illustrazioni senza maschere di ritaglio.

Filtri e effetti

Non ogni filtro di Adobe Illustrator viene ripreso in Expression Design in modo esattamente corrispondente. I filtri di sfocatura gaussiana, effetti per il design degli angoli di Illustrator, per esempio, non funzionano in Expression Design.

Soluzione:

  • facendo uso del comando Oggetto -> Trasforma aspetto in Adobe Illustrator, potete trasformare la maggior parte degli effetti in modo tale da renderli leggibili per Expression Design.
  • Gli effetti per gli angoli di Adobe Illustrator vengono interpretati correttamente da MS se vengono trasformati in percorsi in Adobe Illustrator.

Campi di testo

Per poter collegare campi di testo a codice, essi devono essere creati separatamente in Expression Blend. Labels" sono necessari per testi dinamici; per le informazioni statiche, invece, sono sufficienti semplici „Campi testo".

MS Design non prevede la possibilità di creare label di testo. Dovete crearli direttamente in MS Blend.

Trasparenze e trasparenze di gruppo

Ci possono essere delle difficoltà in Adobe Illustrator per la corretta interpretazione di impostazioni di trasparenza, in particolare di quelle concernenti le trasparenze di gruppo.

MS Expression Blend e MS Expression Design, però, offrono la possibilità di creare nuove impostazioni di trasparenza.

Moltiplica livelli

Queste Impostazioni livello in Adobe Illustrator non vengono riprodotte sempre correttamente in MS Expression Blend.

C´è però la possibilità di impostare direttamente in Expression Design "Moltiplica livelli".

Strumenti analogici e posizioni standard

Per preparare le grafiche all´animazione nel modo migliore, lancetta e indicatore devono essere sempre nella posizione di partenza, per lo più leore 0 o 12:00.

In questo modo, i parametri di posizione per rotazioni ecc, vengono indicati in Blend correttamente e l´animazione può avvenire senza la necessità di una conversione dei dati concernenti la posizione.


Export WPF

Manuale -> Controls -> Elemento WPF -> Linee guida per i designer -> Workflow con Adobe Illustrator -> Export WPF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per realizzare l´animazione in Microsoft Expression Blend c´è bisogno di file WPF. Consigliamo l´uso di Microsoft Expression Design per realizzare questo export, dato che esso fornisce buoni risultati e che la maggior parte degli effetti Illustrator vengono interpretati correttamente.

Nota: in Internet c`è un plug-in gratuito per l´export diretto di file WPF da Adobe Illustrator. Questo plug-in offre la possibilità di effettuare un export veloce e non complicato da Illustrator; per l´applicazione attuale, però, non è molto adatto visto che comporta delle perdite di qualità grafica. Sono possibili anche delle divergenze di colore rispetto al documento originario.

File nel formato .ai possono essere importati regolarmente in Expression Design. I percorsi sono mantenuti in questo processo.
Attenzione alcuni comuni effetti Illustrator, però, non possono essere rappresentati correttamente da Expression Design (vedi capitolo Illustrazione).

Esportiamo in 5 passaggi l´elemento bargraf già creato:

  1. ED: Import
    • Importate in Microsoft Expression Design il file Illustrator preparato usando File -> Importa
  2. ED: Ottimizzazione

    • Se il file originario non viene correttamente visualizzato in MS Expression Design, esso può essere modificato e ottimizzato in questa sede.
  3. ED: Seleziona

    • Evidenziate con la freccia Selezione diretta in MS Expression Design l´elemento per l´export WPF, in questo caso l´intero orologio.
  4. ED: Avvia Export

    • Avviate l´export mediante File -> Esporta
    • Si apre il dialogo per la configurazione delle impostazioni di export.
  5. ED: Impostazioni di esportazione

    • Effettuate le seguenti impostazioni di esportazione:
    1. Formato: XAML Silverlight 4 / WPF Canvas

      Assegna sempre un nome agli oggetti: Attivate l´opzione con simbolo di spuntatura.

      Piazzate gli oggetti raggruppati in un XAML layout container: Attivate l´opzione con simbolo di spuntatura.

    2. Testo: Blocco di testo modificabile
    3. Effetti linea: Rasterizza tutto.

Il file esportato ha la desinenza.xaml. Nel successivo passaggio, esso viene preparato e animato in MS Expression Blend.


Animazione in blend

Manuale -> Controls -> Elemento WPF -> Linee guida per i designer -> Workflow con Adobe Illustrator -> Animazione in blend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con MS Expression Blend:

  • vengono animati i file XAML di MS Expression Design.
  • vengono create variabili per la gestione degli effetti che possono essere indirizzati da zenon,

In 13 passaggi giungiamo dallo statico XAML all´elemento animato, che può essere integrato in zenon:

  1. EB: Crea progetto

    1. Aprite Microsoft Expression Blend.
    2. Create un nuovo progetto.
    3. Selezionate come Tipo di progetto WPF-> WPF- Control Library
    4. Assegnate un nome (nella nostra esercitazione: My_Project)
    5. Selezionate un luogo dove salvare il progetto.
    6. Selezionate un linguaggio (nella nostra esercitazione: C#)
    7. Selezionate la Framework Version 3.5.
  2. EB: Cancella MainControl.xaml.cs

    1. Passate a MainControl.xaml.cs.
    2. Cancellate questo file usando il comando Cancella del menù contestuale.
  3. EB: apri file XAML esportati
    1. Aprite il menù contestuale per My_Project (con il tasto destro del mouse).
    2. Selezionate Aggiungi elemento esistente…
    3. Selezionate il file XAML esportato da Microsoft Expression Design per aprirlo in Microsoft Expression Blend.
  4. EB: Apri MainControl.xaml

    1. Aprite il MainControl.xaml generato automaticamente.
    2. Navigate nel settore Oggetti e assi tempo e passate alla voce UserControl.
  5. EB: Adatta XAML-Code

    1. Cliccate con il tasto destro del mouse su UserControl
    2. Selezionate nel menù contestuale visualizza XAML
    3. Cancellate nel XAML-Code le righe 7 e 9:

      x:Class="Mein_Projekt.MainControl"

      d:DesignWidth="640" d:DesignHeight="480"

  6. EB: Controlla XAML-Code

    • Adesso il XAML Code dovrebbe avere il seguente aspetto:

    <UserControl

    xmlns=http://schemas.microsoft.com/winfx/2006/xaml/presentation
    xmlns:x=http://schemas.microsoft.com/winfx/2006/xaml
    xmlns:d=http://schemas.microsoft.com/expression/blend/2008
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"

    mc:Ignorable="d"
    x:Name="UserControl">

    <Grid x:Name="LayoutRoot"/>

    </UserControl>

  7. EB: Copia elementi

    1. Aprite il file XAML importato da Expression Design.
    2. Evidenziate tutti gli elementi.
    3. Selezionate nel menù contestuale Copia.
    4. Tornate al file XAML generato automaticamente.
  8. EB: Inserisci elementi

    1. Cliccate con il tasto destro del mouse su Layout Root.
    2. Selezionate Aggiungi.
  9. EB: Adatta tipo layout

    1. Cliccate con il tasto destro del mouse su LayoutRoot -> Modifica tipo di layout -> Viewbox
    2. Adesso la struttura dovrebbe avere il seguente aspetto: UserControl -> LayoutRoot -> Grid -> Elementi
    3. Assegnate un nome a LayoutRoot e Grid cliccando due volte sul nome
  10. EB: Testi e formati

    • Testi dinamici e statici vengono contrassegnati con campi di testo.
    • Valori (numeri) vengono emessi con Labels
  11. EB: Inserisci label

    • Label sostituiscono i numeri che devono essere collegati in seguito per mezzo di variabili Int (deve essere eseguito per tutti gli elementi-numeri)
  12. EB: Setta proprietà

    • Per visualizzare il 100%, settate la proprietà MaxHeight dell´elemento visualizzazione bargraf sul valore 341 (l´altezza massima dell´elemento indicatore corrisponde a 340).
  13. EB: prepara per uso in zenon

    1. Cancellate tutte le denominazioni (si possono assegnare nomi solamente agli elementi che devono essere indirizzati tramite zenon).
    2. Salvate il file XAML con un nome qualsiasi.
    3. Implementate il file XAML in zenon

Consiglio per effettuare un controllo: se il file XAML viene visualizzato in Microsoft Internet Explorer senza problemi e si adegua alla grandezza della finestra di Internet Explorer, verrà usato correttamente anche in zenon.


Linee guida per progettisti.

Manuale -> Controls -> Elemento WPF -> Linee guida per progettisti.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo capitolo si occupa della creazione di un semplice user control WPF con funzionalità code-behind mediante Microsoft Visual Studio, e del debugging di questo user control nel Runtime.

A tal scopo, si usano i seguenti strumenti:

  • Microsoft Visual Studio 2015.
  • zenon.

info Informazioni su

Si consiglia di usare una versione di Microsoft Visual Studio a partire da quella 2012, a causa della migliore integrazione di XAML Designer.

Noch in diesem Kapitel

Creazione di un semplice user control WPF con funzionalità code-behind.

Debug del WPF User Control nel Runtime

Scambio di dati fra zenon e controlli utenti WPF

Accedere al modello ad oggetti zenon (Runtime) da un controllo utente WPF.


Creazione di un semplice user control WPF con funzionalità code-behind.

Manuale -> Controls -> Elemento WPF -> Linee guida per progettisti. -> Creazione di un semplice user control WPF con funzionalità code-behind.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo capitolo si descrive la creazione e l´implementazione di un semplice user control WPF. Visto intendiamo descrivere solo il meccanismo/procedimento di base d´integrazione in zenon, la funzionalità dell´user control creato si limiterà all´addizione di due valori. Al fine di fornire un esempio semplice e chiaro, si è rinunciato volutamente ad un´esposizione della gestione degli errori estesa; né questo esempio pretende di fornire un quadro esplicativo completo ed esaustivo dell´argomento.

Creare WPF User Control

  1. Create in Visual Studio una nuova Solution, ed in essa un progetto WPF User Control Library.

    In questo esempio, si è optato per .NET Framework Version 4. Si può scegliere anche un´altra versione che deve essere installata sul sistema di destinazione sul quale sarà poi avviato il Runtime.

    Informazioni: Se il relativo modello di progetto non è contenuto nella lista dei modelli disponibili, lo si può aggiungere usando "Cerca" (campo situato in alto a destra della finestra di dialogo).

    Nel nostro esempio, il progetto riceve il nome WPFUserControlLibrary.

  2. Create 3 caselle di testo ed un pulsante nel file UserControl1.xaml:

  3. Aggiungete il seguente codice nell´evento click del pulsante:

Adesso disponete dell´user control, che fornisce la funzionalità desiderata. Visto, però, che zenon può rappresentare solamente quei file XAML che non rimandano ad un file code-behind, si ha bisogno di un ulteriore file XAML che referenzi la libreria (assembly) appena creata.

Creazione del file XAML (senza code-behind) per zenon

Per creare il file necessario in zenon, procedete come segue:

  1. Create anzitutto un altro progetto, ancora una volta del tipo WPF User Control Library.
  2. Nel nostro esempio, esso viene nominato WPFUserControlNoCodeBehind.
  3. Aggiungete in questi nuovo progetto una referenza al progetto appena creato.

  4. Il file XAML (UserControl1.xaml) ha il seguente aspetto:

  5. Visto che tutti i contenuti necessari sono inclusi nella DLL creato in precedenza e che non è consentito usare nessun file code-behind, cancellate le seguenti righe:

    x:Class="WPFUserControlNoCodeBehind.UserControl1"

    xmlns:local="clr-namespace:WPFUserControlNoCodeBehind"

  6. Cancellate anche (per l´impostazione della dimensione del Designer) le seguenti righe:

    mc:Ignorable="d"

    d:DesignHeight="300" d:DesignWidth="300"

  7. Cancellate il file code-behind (UserControl1.xaml.cs) in questo progetto.
  8. Trascinate l´user control creato in precedenza (dal progetto WPFUserControlLibrary) sulla casella degli strumenti nel XAML-Designer.
  9. Assegnate un nome alla Grid, nonché all´user control.

    Attenzione: se non si assegna nessun nome in questa sede, questi elementi non compariranno nella finestra di dialogo Collegamento dell´Editor di zenon; di conseguenza essi non potranno essere dinamizzati.

  10. Il file XAML dovrebbe avere il seguente aspetto:

Il prossimo passaggio illustra come implementare la DLL, nonché il file XAML in zenon.

Passaggi in zenon

  1. Aprite l´Editor di zenon
  2. Passate al nodo File -> Grafiche.
  3. Selezionate nel menù contestuale Aggiungi file...

  4. Scegliete il file XAML nel luogo di salvataggio (UserControl1.xaml dal progetto WPFUserControlNoCodeBehind) e aggiungetelo:

  5. Aggiungete la DLL con la funzionalità per il file XAML.

    A tale scopo:

    1. Selezionate nel menù contestuale del nodo File -> Altri Aggiungi file....
    2. Selezionate il file WPFUserControlLibrary.dll (dal percorso di output) del primo progetto (WPFUserControlLibrary).

  6. Create un´immagine di zenon.
  7. Aggiungete un elemento WPF e selezionate il file XAML precedentemente implementato.

    Adesso dovreste vedere quanto segue nell´Editor di zenon:

  8. Avviate il Runtime di zenon per testare il control anche lì.

info Informazioni su

Il file XAML e gli assembly referenziati possono essere salvati anche insieme come file *.cdwpf. Così dovrà essere importato solo un file nell´Editor (alla voce File -> Grafiche). Ulteriori informazioni su questo argomento le trovate nel capitolo File CDWPF (file collection).

Suggerimento: Quando si sviluppa un controllo utente WPF, nella maggior parte dei casi è più pratico aggiungere separatamente il file XAML e la/le DLL referenziato/i. . Ciò semplifica lo scambio della DDL e il debugging. Ulteriori informazioni su questo argomento le trovate nel capitolo Debug del WPF User Control nel Runtime.

attention Attenzione

Gli assembly vengono rimossi dopo il caricamento solo quando l´applicazione viene chiusa. Ciò significa:

Se un file WPF viene visualizzato con un assembly referenziato in zenon, questo assembly viene caricato e si trova nella memoria fino alla chiusura di zenon, anche se l´immagine è stata chiusa. Se volete eliminare un assembly dalla cartella File/Altri, prima di tutto bisogna riavviare l´editor in modo tale che l´assembly venga rimosso.

Ulteriori esempi li trovate nel capitolo Esempi: Integrazione di WPF in zenon.


Debug del WPF User Control nel Runtime

Manuale -> Controls -> Elemento WPF -> Linee guida per progettisti. -> Debug del WPF User Control nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per effettuare il debug del WPF User Control nel Runtime, procedete nel modo seguente:

In questo esempio si usa il control descritto nel capitolo Creazione di un semplice user control WPF con funzionalità code-behind.

Debug via Attach to Process (Connetti a processo)

  1. Assicuratevi che il Runtime zenon sia avviato e che sia aperta un´immagine con l´user control WPF.

    Assicuratevi poi che la DLL usato corrisponda alla Build attuale (versione) del progetto dello User Control (WPFUserControlLibrary).

  2. Settate poi nel progetto Visual Studio un punto di interruzione nell´Evento click del pulsante.

  3. Selezionate in Visual Studio, al punto Debug , la voce di menù Attach to Process.
  4. Selezionate il processo Runtime zenon.

  5. Selezionate alla voce Attach to o Automatico , oppure la versione .NET Framework corrispondente (v4.x in questo caso)

  6. Cliccate su Attach.
  7. Attivate adesso il punto di interruzione inserendo nel Runtime di zenon valori nel WPF Control e cliccando sul pulsante.

Debug via Start External Program (Avvia programma esterno)

  1. Assicuratevi che il Runtime di zenon sia terminato.
  2. Assicuratevi che il progetto contente l´user control WPF sia settato come progetto di partenza nell`Editor di zenon.
  3. Assicuratevi che il progetto dell´User Control (WPFUserControlLibrary) sia settato come progetto di partenza in Visual Studio.

  4. Nelle proprietà di progetto del progetto Visual Studio selezionate sotto Debug, alla voceStart action: Start external program
  5. Per Start external program selezionate il percorso dell´applicazione zenon Runtime.
  6. Sotto Working Directory, selezionate la cartella \wpfcache dei file Runtime (...\PROJECTNAME\RT\FILES\zenon\custom\wpfcache)

    Suggerimento: Avendo selezionato il progetto nell´Editor di zenon, pigiate la combinazione di tasti CTRL+ALT+R per saltare direttamente al root path del file Runtime.

  7. Nelle proprietà di progetto, alla voce Build indicate anche come Output path la cartella \wpfache dei file Runtime.

  8. Realizzate il progetto in Visual Studio.
  9. Avviate il debug in Visual Studio con Start.

  10. A questo punto verrà avviato automaticamente il Runtime di zenon.
  11. Attivate il punto di interruzione inserendo nel Runtime di zenon valori nel WPF Control e cliccando sul pulsante.

info Informazioni su

Al momento dell´avvio del Runtime di zenon, gli assembly referenziati in WPF User Controls (DLL) della cartella \FILES\zenon\custom\additional, oppure gli assembly dei file CDWPF vengono copiati nella cartella \FILES\zenon\custom\wpfcache. Se la versione file del DDL esistente nella cartella \wpfache è la stessa, o più recente di quella del "file originale", esso non viene sostituito!

Per il debug, dunque, è sufficiente sostituire solamente il file direttamente nella cartella \wpfache.

Per la fornitura, si deve assicurare che la versione attuale della DLL sia effettivamente presente nella cartella \additonal, o nel file CDWPF!

Attenzione: se si aggiorna solamente il DDL nella cartella \additional, oppure in CDWPF, ma non si aumenta il numero di versione, si deve prima cancellare manualmente la DLL nella cartella \wpcache, visto che, in caso contrario, non verrebbe aggiornato (a causa del meccanismo descritto in precedenza).

attention Attenzione

Gli assembly vengono rimossi dopo il caricamento solo quando l´applicazione viene chiusa. Ciò significa:

Se un file WPF viene visualizzato con un assembly referenziato in zenon, questo assembly viene caricato e si trova nella memoria fino alla chiusura di zenon, anche se l´immagine è stata chiusa. Se volete eliminare un assembly dalla cartella File/Altri, prima di tutto bisogna riavviare l´editor in modo tale che l´assembly venga rimosso.


Scambio di dati fra zenon e controlli utenti WPF

Manuale -> Controls -> Elemento WPF -> Linee guida per progettisti. -> Scambio di dati fra zenon e controlli utenti WPF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono diverse possibilità di effettuare lo scambio di dati fra zenon e i controlli utenti WPF.

  • Scambio di dati via Dependency Properties
  • Scambio di dati via VSTA

Noch in diesem Kapitel

Scambio di dati via Dependency Properties

Scambio di dati via VSTA


Scambio di dati via Dependency Properties

Manuale -> Controls -> Elemento WPF -> Linee guida per progettisti. -> Scambio di dati fra zenon e controlli utenti WPF -> Scambio di dati via Dependency Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modo più elegante e più sicuro di scambiare dati fra zenon e controlli utenti WPF di creazione propria, è quello di usare le Dependency Properties.

Da base serve il progetto WPF User Control (WPFUserControlLibrary) creato nel capitolo Creazione di un semplice user control WPF con funzionalità code-behind.

Anche in questo capitolo ci concentreremo solamente sulla tematica di fondo (in questo caso, le Fall Dependency Properties e lo scambio di dati fra il controllo utente e zenon). Non descriveremo specifiche funzionalità di WPF, come Databinding (Associazione dati) ecc., né tratteremo in modo esplicito la problematica della risoluzione dei problemi.

Estensioni nel codice

  1. Create l´evento TextChanged per l´elemento textBoxA nel file UserControl1.xaml

    TextChanged="textBoxA_TextChanged"

  2. Inserite le seguenti righe di codice nella classe UserControl1 del file code-behind (UserControl1.xaml.cs).

/// <summary>

/// Gets or sets the ValueA.

/// </summary>

public double ValueA

{

get

{

return (double)GetValue(ValueADependencyProperty);

}

set

{

SetValue(ValueADependencyProperty, value);

}

}

/// <summary>

/// Dependency property for ValueA

/// </summary>

public static readonly DependencyProperty ValueADependencyProperty =

DependencyProperty.Register("ValueA", typeof(double),

typeof(UserControl1), new FrameworkPropertyMetadata(0.0, new PropertyChangedCallback(OnValueADependencyPropertyChanged)));

/// <summary>

/// Called when [value a dependency property changed].

/// </summary>

/// <param name="source">The source.</param>

/// <param name="e">The <see cref="DependencyPropertyChangedEventArgs"/> instance containing the event data.</param>

private static void OnValueADependencyPropertyChanged(DependencyObject source, DependencyPropertyChangedEventArgs e)

{

UserControl1 control = source as UserControl1;

if (control != null)

{

try

{

control.ValueA = (double)e.NewValue;

control.textBoxA.Text = control.ValueA.ToString();

}

catch (Exception)

{}

}

}

/// <summary>

/// Handles the TextChanged event of the textBoxA control.

/// </summary>

/// <param name="sender">The source of the event.</param>

/// <param name="e">The <see cref="TextChangedEventArgs"/> instance containing the event data.</param>

private void textBoxA_TextChanged(object sender, TextChangedEventArgs e)

{

try

{

ValueA = Convert.ToDouble(textBoxA.Text);

}

catch (Exception)

{}

}

Poi create la soluzione.

info Informazioni su

In questo esempio si usa una proprietà numerica (double). Si possono anche usare altri tipi di dato semplice (come bool, string, int, ecc.).

Collegamento in zenon

  1. Aggiornate l´user control WPF (DLL) nell´Editor di zenon.

    A tal scopo, procedete come descritto nel capitolo Creazione di un semplice user control WPF con funzionalità code-behind; tenete presente che esiste la possibilità che l´Editor di zenon debba essere riavviato nel caso in cui precedentemente sia stata caricata dall´Editor un´altra versione dell´assembly (DLL).

  2. Create una variabile numerica in zenon. Collegatela ad un elemento di testo dinamico: Piazzate quest´ultimo nell´immagine accanto all´elemento WPF con il vostro User Control.
  3. Aprite l´immagine contenente l´elemento WPF e selezionate presso quest´ultimo, alla voce WPF links: Configuration

  4. Espandete il nodo nel tree in alto a sinistra e selezionate AdditionControl

  5. Scegliete la riga conValueA (è il nome della proprietà creata in precedenza nel code), e selezionate alla voce Type of link: Variable

    Suggerimento: attribuite alle proprietà un prefisso, in modo da poterle trovare con facilità, per esempio: _ValueA

  6. Nella colonna, alla voce Linkage, selezionate la variabile creata precedentemente in zenon.

  7. Confermate il dialogo cliccando su OK e compilate i file Runtime.
  8. Avviate il Runtime per testare il controllo utente WPF.

  9. Se cambia il valore nel controllo utente, cambia automaticamente anche quello in zenon e viceversa.
  10. Naturalmente, potete effettuare il debug del controllo utente come descritto nel capitolo Debug del controllo utente WPF nel Runtime, e potete anche creare delle ulteriori Dependency Properties.

info Informazioni su

Per accedere (automaticamente) al momento dell´inizializzazione (per es. all´apertura del controllo utente) ai valori delle Dependency Properties, si può usare l´evento UserControl_Loaded .


Scambio di dati via VSTA

Manuale -> Controls -> Elemento WPF -> Linee guida per progettisti. -> Scambio di dati fra zenon e controlli utenti WPF -> Scambio di dati via VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Via VSTA si possono anche scambiare dati fra zenon e i controllo utenti WPF.

Folgende Methoden der API werden dazu verwendet:

  • get_WPFProperty (lettura di valori)
  • set_WPFProperty (scrittura di valori)

.

L´esempio qui addotto si basa su quello illustrato nel capitolo Scambio di dati via Dependency Properties.

Creazione di una macro VSTA per lo scambio di dati fra zenon e il controllo utente WPF.

  1. Create la seguente macro nel ProjectAddin del progetto zenon.

    Tenete presente quanto segue:

    • "Screen" è il nome dell´immagine zenon in cui si trova l´elemento WPF.
    • "WPF_Element" è il nome dell´elemento WPF che contiene il controllo utente WPF.
    • "AdditionControl" è il nome del controllo utente WPF stesso (definito nel file (UserControl1.xaml).
    • "ValueA" è il nome dell´User Control Properties.
  2. Create una funzione "Esegui macro VSTA" e collegatela ad un pulsante nell´immagine in cui si trova anche l´elemento WPF.
  3. Avviate il Runtime per testare le modifiche.

    Quando viene eseguita la macro, il valore viene letto dal controllo, raddoppiato e riscritto.

info Informazioni su

Le proprietà User Control usate in questo metodo per lo scambio dei dati non devono essere eseguite necessariamente come Dependency Properties, come illustrato in questo esempio. Si possono usare anche "Standard" Properties; a questo proposito, vedi il capitolo Accesso via VSTA "Variable Link".


Accedere al modello ad oggetti zenon (Runtime) da un controllo utente WPF.

Manuale -> Controls -> Elemento WPF -> Linee guida per progettisti. -> Accedere al modello ad oggetti zenon (Runtime) da un controllo utente WPF.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per accedere al modello ad oggetti zenon a partire da un controllo utente WPF ci sono diverse possibilità. Esse verranno illustrate nei capitoli seguenti.

Noch in diesem Kapitel

Accesso via VSTA "Variable Link"

Accesso via Marshalling


Accesso via VSTA "Variable Link"

Manuale -> Controls -> Elemento WPF -> Linee guida per progettisti. -> Accedere al modello ad oggetti zenon (Runtime) da un controllo utente WPF. -> Accesso via VSTA "Variable Link"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per accedere all´interfaccia Runtime COM di zenon via "Variable Link", procedete come segue. Da base serve l´esempio Creazione di un semplice controllo utente WPF con funzionalità code-behind.

info Informazioni su

Il seguente code intende mostrare in modo esemplare come possa essere realizzato l´accesso COM al Runtime di zenon; ci si è limiti alla funzionalità di base. Non si è affrontato il tema della risoluzione dei problemi.

Adeguamenti e modifiche necessarie nel controllo utente WPF.

È necessario effettuare i seguenti passaggi nel progetto WPF User Control (WPFUserControlLibrary).

In primo luogo, si deve implementare un riferimento all´interfaccia COM di zenon.

Poi si deve inserire nella classe UserControl1 il seguente code:

//The zenon Project

zenOn.Project zenonProject = null;

/// <summary>

/// Property for the Variable link via VSTA

/// </summary>

public object zenonVariableLink

{

get { return null; }

set

{

if (value != null && zenonProject == null)

{

zenOn.Variable zenonVariable;

try

{

zenonVariable = (zenOn.Variable)value;

}

catch (Exception)

{

return;

}

if ((zenonVariable!= null) && (!string.IsNullOrEmpty(zenonVariable.Name)))

{

zenonProject = zenonVariable.Parent.Parent;

}

}

}

}

/// <summary>

/// Trigger used to notify the control from VSTA to release the COM resources

/// </summary>

public object zenonReleaseTrigger

{

get { return null; }

set

{

if ((bool)value && zenonProject != null)

{

try

{

Marshal.FinalReleaseComObject(zenonProject);

}

catch (Exception)

{

return;

}

zenonProject = null;

GC.Collect();

GC.WaitForPendingFinalizers();

GC.Collect();

}

}

}

Alle proprietà zenonVariableLink (per l´inizializzazione dell´oggetto COM ) e zenonReleaseTrigger (per il rilascio dell´oggetto COM) si accede dopo da VSTA (scrittura).

Per testare l´accesso COM velocemente ed in modo molto semplice, si può aggiungere nell´evento click del pulsane esistente del controllo utente la seguente riga di codice.

private void buttonAdd_Click(object sender, RoutedEventArgs e)

{

if (zenonProject != null)

{

MessageBox.Show(zenonProject.Name);

}

return;

...

info Informazioni su

In questo esempio si usa una variabile del tipo zenOn.Project. Naturalmente si possono usare anche altri oggetti, eventi ecc. del modello ad oggetti zenon.

Necessari adeguamenti e modifiche nel zenon Project/VSTA Code

Nel code VSTA si devono effettuare i seguenti passaggi:

Creazione di una macro VSTA per l´inizializzazione

/// <summary>

/// Macro for API initialization in the WPF User Control

/// </summary>

public void MacroWPFInit()

{

zenOn.IDynPicture myWPFScreen = this.DynPictures().Item("Screen");

zenOn.IElement myWPFElement = myWPFScreen.Elements().Item("WPF_Element");

myWPFElement.set_WPFProperty("AdditionControl", "zenonVariableLink", this.Variables().Item(0));

}

Creazione di una macro VSTA per il rilascio

/// <summary>

/// Macro for API release in the WPF User Control

/// </summary>

public void MacroWPFRelease()

{

zenOn.IDynPicture myWPFScreen = this.DynPictures().Item("Screen");

zenOn.IElement myWPFElement = myWPFScreen.Elements().Item("WPF_Element");

myWPFElement.set_WPFProperty("AdditionControl", "zenonReleaseTrigger", true);

}

Create due funzioni "esegui macro VSTA", che vengono collegate a pulsanti che si trovano nella stessa immagine dell´elemento WPF.

Avviate adesso il Runtime per testare la funzionalità.

  • Eseguite la macro di inizializzazione.
  • Premete il pulsante del controllo utente WPF User Control; appare un MessageBox contenente il nome del progetto.

  • Eseguite la macro di rilascio.

Per effettuare il debug del controllo utente, potete procedere come descritto nel capitolo Debug del controllo utente WPF nel Runtime.

Tipp Suggerimento

Ai fini di una chiara dimostrazione, l´inizializzazione ed il rilascio dell´oggetto COM avviene nel presente esempio semplicemente via funzioni macro VSTA. A seconda dell´impiego concreto, gli eventi in VSTA possono rivelarsi più idonei.

Ad esempio, il code per l´inizializzazione può essere eseguito nell´evento _Open dell´immagine con l´elemento WPF, e il code per il rilascio nell´evento _Close.

Il meccanismo qui descritto viene usato anche nel capitolo Visualizzazione di elementi WPF nel Web Client di zenon.

attention Attenzione

Se oggetti COM vengono usati in controlli utente WPF, essi devono essere sempre rilasciati in modo esplicito prima della distruzione de controllo utente WPF (prima della chiusura dell´immagine, del termine del Runtime e della ricarica).


Accesso via Marshalling

Manuale -> Controls -> Elemento WPF -> Linee guida per progettisti. -> Accedere al modello ad oggetti zenon (Runtime) da un controllo utente WPF. -> Accesso via Marshalling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per accedere all´interfaccia Runtime COM di zenon via Marshalling, procedete come segue. Da base serve l´esempio Creazione di un semplice controllo utente WPF con funzionalità code-behind.

info Informazioni su

Il seguente code intende mostrare in modo esemplare come possa essere realizzato l´accesso COM al Runtime di zenon; ci si è limiti alla funzionalità di base. Non si è affrontato il tema della risoluzione dei problemi.

Adeguamenti e modifiche necessarie nel controllo utente WPF.

È necessario effettuare i seguenti passaggi nel progetto WPF User Control (WPFUserControlLibrary).

In primo luogo, si deve implementare un riferimento all´interfaccia COM di zenon.

Poi si deve inserire nella classe UserControl1 il seguente code:

//The zenon Project

zenOn.Project zenonProject = null;

Inoltre, il costruttore del controllo utente deve essere esteso con l´aggiunta delle righe sottostanti (per l´inizializzazione dell´oggetto COM):

/// <summary>

/// Constructor for UserControl1, initialize COM Object

/// </summary>

public UserControl1()

{

InitializeComponent();

try

{

zenonProject = ((zenOn.Application)Marshal.GetActiveObject("zenOn.Application")).Projects().Item("TESTPROJECT");

}

catch (Exception)

{

}

}

L´oggetto COM deve essere rilasciato nell´evento UserControl_Unloaded:

/// <summary>

/// Release COM Object

/// </summary>

private void UserControl_Unloaded(object sender, RoutedEventArgs e)

{

try

{

if (zenonProject != null)

{

Marshal.FinalReleaseComObject(zenonProject);

zenonProject = null;

}

}

catch (Exception)

{

}

}

Per testare l´accesso COM velocemente ed in modo molto semplice, si può aggiungere nell´evento click del pulsante esistente del controllo utente la seguente riga di codice.

private void buttonAdd_Click(object sender, RoutedEventArgs e)

{

if (zenonProject != null)

{

MessageBox.Show(zenonProject.Name);

}

return;

...

Compilate adesso la soluzione e aggiornate il controllo utente WPF nel progetto di zenon.

Avviate il Runtime per testare il controllo utente.

Per effettuare il debug del controllo utente, potete procedere come descritto nel capitolo Debug del controllo utente WPF nel Runtime.

info Informazioni su

In questo esempio si usa una variabile del tipo zenOn.Project. Naturalmente si possono usare anche altri oggetti, eventi ecc. del modello ad oggetti zenon.

attention Attenzione

Se oggetti COM vengono usati in controlli utente WPF, essi devono essere sempre rilasciati in modo esplicito prima della distruzione de controllo utente WPF (prima della chiusura dell´immagine, del termine del Runtime e della ricarica).

info Informazioni su

Nel Web Client di zenon non è possibile un accesso via Marshalling. Se è necessario qui un accesso all´interfaccia COM, si deve seguire il metodo descritto nel capitolo die Accesso via VSTA "Variable Link".


Engineering in zenon

Manuale -> Controls -> Elemento WPF -> Engineering in zenon

Per poter usare User Control WPF in zenon, la versione 3.5 (o una ancora più recente, a seconda della versione .NET Framework usata nell´user control) deve essere installata sia sul computer su cui è eseguito l´Editor, che su quello in cui è eseguito il Runtime.

Condizioni per visualizzazione WPF in zenon

Al momento, la dinamicizzazione è disponibile per i tipi di dato semplici (tipi di dato numerici, nonché stringa). Array e strutture non possono essere dinamizzate.

Perciò in zenon possono essere utilizzate le seguenti funzioni WPF:

  • Proprietà dell´elemento che corrispondono a tipi di dato semplici come String, Int, Double, Bool ecc.
  • Proprietà dell´elemento del tipo "Object", che possono essere settate con tipi di dato semplici.
  • Eventi dell´elemento possono essere usati con funzioni; i parametri degli eventi, però, non sono disponibili/analizzabili in zenon.
  • Trasformazione dell´elemento per la quale esista un RenderTransform per l´elemento nel file XAML.

    Attenzione: se il content si trova al di là dell´area dell´elemento WPF durante la trasformazione, esso non verrà non disegnato.

Indicazioni sull´ombra: Per gli elementi WPF non è possibile visualizzare un´ombra in zenon.

attention Attenzione

Se vengono generati i file runtime di un progetto per una versione precedente a quella 6.50, gli elementi WPF esistenti non vengono implementati nelle immagini runtime.

Noch in diesem Kapitel

CDWPF-file (file collection)

Crea elemento WPF

Configurazione del collegamento

Validità di file XAML

Elementi predefiniti

Visualizzazione di elementi WPF nel Web Client di zenon

Esempi: Integrazione di WPF in zenon

Gestione errori


CDWPF-file (file collection)

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> CDWPF-file (file collection)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un file CDWPF (con il suffisso *.cdwpf) è un file ZIP rinominato che contiene le seguenti componenti:

  • File XAML (per referenziare l´User Control Assembly)
  • File DLL (il vero e proprio WPF User Control, facoltativo)
  • Grafica di anteprima (per anteprima, facoltativa).

Regole per l´uso di file collection:

  • I file (XAML, DLL, grafica di anteprima) possono trovarsi direttamente nel file CDWPF, oppure in una cartella comune.
  • Il nome del file collection deve corrispondere a quello del file XAML.
  • Può essere contenuto solamente un file XAML.
  • La grafica di anteprima dovrebbe essere piccola e non più alta di 64 pixel.
    Nome dell´anteprima file: preview.png oppure il nome del file XAML con la desinenza png.
  • Si possono usare quante assembly si voglia. La distinzione avviene sulla base della versione della versione file.
  • File collection non devono necessariamente contenere un assembly.
  • Vengono analizzate tutte le sottocartelle; si tiene conto solamente dei file dei tipi *.dll, *.xaml, o *.png.
  • Se un file collection (*.cdwpf) viene sostituito da un file di una differente versione, devono essere adeguati tutti i file CDWPF corrispondenti, in tutti i simboli ed immagini in tutti i progetti.


Crea elemento WPF

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Crea elemento WPF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un elemento WPF:

  1. Selezionate nella barra dei simboli degli elementi il simbolo Elemento WPF, oppure scegliete l´inserimento corrispondente nel menù Elementi
  2. Selezionate nella finestra principale il punto start
  3. Delineate l´elemento trascinando il mouse.
  4. Selezionate nelle proprietà del gruppo Visualizzazione quella File XAML.
  5. Si apre la finestra dialogo di selezione file.
  6. Selezionate il file desiderato.
    Sono validi i file del formato:
    • *.xaml: Extensible Application Markup Language
    • *.cdwpf: WPF file collection, mostra anche anteprima.

    (Il file deve essere già esistere nel manager di progetto alla voce File/Grafiche oppure essere creato nella finestra di dialogo.)

  7. Configurate i collegamenti.

info Informazioni su

Se volete usare in WPF degli oggetti referenziati (assembly), tenete presente le indicazioni contenute nel capitolo Assembly referenziati.


Configurazione del collegamento

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Configurazione del collegamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare un elemento WPF

  1. Selezionate nelle proprietà del gruppo Collegamenti WPF quella Configurazione.
  2. Si apre un dialogo con tre schede; esso contiene un´anteprima del file XAML, nonché degli elementi presenti nel file.

Configurazione della finestra di dialogo

Parametri

Descrizione

Elementi esistenti

Mostra in una struttura ad albero i detti elementi del file. L´elemento selezionato può essere collegato a dati di processo.

L´attribuzione di WPF a dati di processo avviene sulla base del nome elemento. Per questo motivo, gli elementi vengono visualizzati solamente se essi ed i relativi elementi sovraordinati posseggono un nome. Le attribuzioni vengono configurate e visualizzate nelle schede Proprietà, Eventi e Trasformazione.

Suggerimento: se gli elementi corrispondenti non vengono visualizzati, controllate nel file XAML se esso ha una nome (per es.: <Grid Name="GridName">).

Anteprima

Nell´anteprima, l´elemento selezionato lampeggia.

Proprietà

Configurazione e visualizzazione delle proprietà (variabili, autorizzazioni, interblocchi, valori collegati).

Eventi

Configurazione e visualizzazione degli eventi (funzioni).

Trasformazione

Configurazione e visualizzazione delle trasformazioni.

Nome

Nome della proprietà.

Collegamento

Selezione del collegamento.

Tipo di collegamento

Tipo di collegamento (variabile, autorizzazione, funzione)

Info WPF

Mostra l´attuale valore nel WPF-Content per le proprietà. Per l´utente è direttamente visibile di quale tipo di proprietà si tratta (booleana, stringa, ecc).

Collegato

Indica se una proprietà viene utilizzata al momento.

Di default non contenuto nella visualizzazione; ma può essere selezionato tramite il Menù contestuale-> Selezione colonne.

info Informazioni su

Nel dialogo di configurazione possono essere visualizzati solamente oggetti logici. Gli oggetti visivi non vengono visualizzati. Ulteriori informazioni su come si fa a dinamizzare oggetti visuali, le potete leggere nella sezione Attribuzione di oggetto zenon a WPF Content.

Modifica collegamenti

Tutti i collegamenti configurati possono essere modificati usando le proprietà dell´elemento. A tal scopo, cliccate sull´elemento e aprite il gruppo delle proprietà Collegamenti WPF Qui potete continuare a configurare i collegamenti senza dover aprire la finestra di dialogo.

Limitazioni:

  • Il tipo di collegamento non può essere modificato in questa sede.
  • Nuovi collegamenti possono essere creati solo tramite il dialogo di configurazione.
  • Aggiunta di un elemento WPF in un simbolo: I collegamenti WPF non possono essere esportati.

Noch in diesem Kapitel

Proprietà

Eventi

Trasformazione


Proprietà

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Configurazione del collegamento -> Proprietà

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le proprietà permettono il collegamento di:

  • Variabili
  • Valori
  • Autorizzazioni e interblocchi

Parametri |  | Descrizione
Nome | Nome della proprietà.
Collegamento | Variabile, autorizzazione operativa collegata, o valore collegato. Se si clicca su questa colonna, si apre il dialogo di selezione corrispondente a quanto indicato nella colonnaTipo di collegamento.
Tipo di collegamento | Selezione di un collegamento.
Info WPF | Mostra l´attuale valore nel WPF-Content per le proprietà. Per l´utente è direttamente visibile di quale tipo di proprietà si tratta (booleana, stringa, ecc).
Collegato | Indica se una proprietà viene utilizzata al momento. Di default non contenuto nella visualizzazione, può essere selezionata tramite il Menù contestuale-> Selezione colonne.

Crea collegamento

Per creare un collegamento:

  1. Evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. Cliccate nella cella Tipo di collegamento
  3. Selezionate il collegamento desiderato fra quelli proposti dal menù a tendina.

    Sono a disposizione:

    • <non collegato> (elimina un collegamento esistente)
    • Autorizzazioni utente/Interblocco
    • Valore costante
    • Variabile
  4. Cliccate nella cella Collegamento
  5. Si apre a finestra di dialogo per la configurazione del collegamento desiderato.

info Informazioni su

Le proprietà di WPF e di zenon possono essere differenti. Se si collega, ad esempio, la proprietà Visibilità, sono a disposizione in .NET tre valori:

0 - visibile

1 - invisibile

2- compressa

Questi valori devono essere rappresentati mediante la variabile di zenon collegata.

Noch in diesem Kapitel

Collegamento variabile

Collega valori

Collega autorizzazione o interblocco


Collegamento variabile

Collegamento variabile

Per collegare una variabile ad una proprietà WPF:

  1. Evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. Cliccate nella cella Tipo di collegamento
  3. Selezionate dal menù a tendina Variabile
  4. Cliccate nella cella Collegamento
  5. Si apre la finestra di dialogo per la configurazione della variabile.

Questa finestra di dialogo vale anche per la scelta di variabili per trasformazioni. La configurazione permette anche la conversione di unità zenon in unità WPF.

Parametri

Descrizione

Variabile collegata

Selezione della variabile da collegare. Un clic sul comando ... apre il dialogo che serve alla selezione.

Intervallo valore dell'elemento WPF

Dati per la conversione dei valori variabile in valori WPF.

Conversione intervallo valore

Attivo: La conversione unità WPF è attiva.

Effetto durante il Runtime: il valore attuale di zenon (inclusa unità zenon) viene convertito per mezzo valore normato minimo e massimo nell´area WPF.

Ad esempio: Il valore di una variabile varia da 100 a 200. Con le variabili, l´area normata è impostata fra 100 e 200. L´obiettivo è quello di rappresentare queste modifiche di valore mediante un misuratore WPF. Per far ciò:

  • Alla voce Transformation, si collega la proprietà RotateTransform.Angle alla variabile
  • Si attiva l´opzione Adjust value
  • Si configura un´area valori WPF da 0 a 360

Adesso, in corrispondenza di un valore di - per esempio - 150, il misuratore verrà ruotato di 180 gradi.

Minimo

definisce il valore WPF minimo.

Massimo

definisce il valore WPF massimo.

Ok

Applica le impostazioni e chiude il dialogo.

Elimina

Rigetta le impostazioni e chiude il dialogo.

Guida

Apre la guida online


Collega valori

Collega valori

Valori collegati possono essere o una String, oppure un valore numerico del tipo Double. Quando si apre l´immagine, viene settato il valore scelto nel WPF content, dopo che quest´ultimo è stato caricato.

Per collegare una valore ad una proprietà WPF:

  1. Evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. Cliccate nella cella Tipo di collegamento
  3. Selezionate nel menù a tendina l´opzione Collegamenti valori
  4. Cliccate nella cella Collegamento
  5. Si apre la finestra di dialogo per la configurazione del collegamento valori.

Parametri

Descrizione

Valore collegato:

Inserimento di un valore numerico o di un valore stringa.

Utilizza Stringa

Attivo: un valore stringa viene usato al posto di un valore numerico.

I valori stringa sono convertibili per quello che concerne la lingua. Nel runtime, il testo viene tradotto al momento dell´apertura dell´immagine e salvato in WPF content. Se si effettua un cambio lingua mentre l´immagine è aperta, il valore stringa viene tradotto di nuovo e salvato.

Valore stringa/numerico

A seconda della scelta effettuata per la proprietà Utilizza Stringa, viene inserito in questo campo un valore numerico o stringa. Per i valori numerici, può essere inoltre selezionata un´unità di misura.

Unità:

Selezione di un´unità di misura del menù a tendina. Essa deve essere stata definita in precedenza nel Cambio unità di misura.

L´unità di misura viene assegnata al valore numerico. Se nel runtime viene eseguito un cambio unità, il valore viene convertito nella nuova unità di misura e salvato nel content WPF.

Ok

Applica le impostazioni e chiude il dialogo.

Elimina

Rigetta le impostazioni e chiude il dialogo.

Guida

Attiva la guida online


Collega autorizzazione o interblocco

Collega autorizzazione o interblocco

Le autorizzazioni non possono essere assegnate per tutto l´elemento WPF. All´elemento viene assegnato un livello utente. Le autorizzazioni vengono concesse nell´ambito del livello utente per singoli control. Se un´autorizzazione è attiva, viene scritto il valore 1 sulla proprietà nell´elemento.

Per collegare un´autorizzazione o un interblocco ad una proprietà WPF:

  1. Evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. Cliccate nella cella Tipo di collegamento
  3. Selezionate nel menù a tendina Autorizzazione/Interblocco
  4. Cliccate nella cella Collegamento
  5. Si apre la finestra di dialogo per la configurazione dell´autorizzazione.

Parametri | Descrizione
Collega autorizzazione/interblocco | Definizione dell´autorizzazione
Stato collegato | Selezione di un´autorizzazione che viene collegata ad un control WPF fra quelle del menù a tendina. Ad esempio: la visibilità e la gestione di un pulsante WPF può dipendere dallo stato dell´utente.

Autorizzazione | Descrizione
Livelli di autorizzazione disponibili | Se l´utente possiede dei diritti sufficienti per usare l´elemento WPF, viene scritto il valore 1 sulla proprietà.
Nessuna autorizzazione | Se l´utente non possiede diritti sufficienti per usare l´elemento WPF, viene scritto il valore 1 sulla proprietà.
Non bloccato | Se l´elemento non viene bloccato da un interblocco, viene scritto il valore 1 sulla proprietà.
Bloccato | Se l´elemento viene bloccato da un interblocco, viene scritto il valore 1 sulla proprietà.
Accessibile | Se esiste l´autorizzazione e l´elemento non è bloccato, viene scritto il valore 1 sulla proprietà.
Non operabili | Se manca l´autorizzazione o se l´elemento è bloccato, viene scritto il valore 1 sulla proprietà.


Eventi

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Configurazione del collegamento -> Eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli eventi permettono di collegare delle funzioni di zenon ad un elemento WPF.

Parametri |  | Descrizione
Nome | Nome della proprietà.
Collegamento | Funzione collegata. Cliccando nella cella, aprite il dialogo di configurazione .
Tipo di collegamento | Selezione di un collegamento. Cliccando nella cella, aprite il dialogo di selezione.
Info WPF | Mostra l´attuale valore nel WPF-Content per le proprietà. Per l´utente è direttamente visibile di quale tipo di proprietà si tratta (booleana, stringa, ecc).
Collegato | Indica se una proprietà viene utilizzata al momento. Di default non contenuto nella visualizzazione, può essere selezionato tramite il Menù contestuale-> Selezione colonne.

Collega funzioni

Per creare un collegamento:

  1. Evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. Cliccate nella cella Tipo di collegamento
  3. Selezionate dal menù a tendina Funzione
  4. Cliccate nella cella Collegamento
  5. Si apre il dialogo per la configurazione della funzione

Parametri |  | Descrizione
Funzione collegata | Selezione della funzione da collegare. Cliccate sul pulsante ... e si apre la finestra di dialogo per la selezione della funzione.
Ok | Applica la selezione e chiude il dialogo.
Elimina | Rigetta le modifiche e chiude il dialogo.
Guida | Apre la guida online


Trasformazione

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Configurazione del collegamento -> Trasformazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´elemento WPF non supporta alcuna funzionalità di rotazione. Se, per esempio, l´elemento WPF si trova in un simbolo, e quest´ultimo viene ruotato, l´ elemento WPF non partecipa alla rotazione. Proprio per questo motivo, per WPF è stato introdotto un meccanismo proprio, detto trasformazione, che consente la rotazione oppure una trasformazione degli elementi. Queste trasformazioni vengono configurate nella scheda Trasformazione.

Attenzione: se il content si trova al di là dell´area dell´elemento WPF, questa parte del content va persa, oppure non viene disegnata.

Parametri

Descrizione

Nome

Nome della proprietà.

Collegamento

Selezione delle variabili collegate.

Le trasformazioni vengono visualizzate in XAML come oggetti di trasformazione con proprietà proprie. Se un elemento supporta una trasformazione, le possibili proprietà degli oggetti di trasformazione vengono rappresentate nella visualizzazione elenco. (Ulteriori informazioni in merito: integra pulsante come WPF-XAML in zenon.

Se la variabile collegata viene settata, ad esempio, sul valore 10, questo valore viene scritto sulla destinazione WPF e l´elemento WPF viene ruotato di 10°.

Tipo di collegamento

Selezione del tipo di collegamento trasformazione.

Info WPF

Mostra l´attuale valore nel WPF-Content per le proprietà. Per l´utente è direttamente visibile di quale tipo di proprietà si tratta (boleana, string, ecc).

Collegato

Indica se una proprietà viene utilizzata al momento.

Di default non contenuto nella visualizzazione, può essere selezionato tramite il Menù contestuale-> Selezione colonne.

Collega trasformazione

Per collegare una trasformazione ad una proprietà WPF:

  1. Evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. Cliccate nella cella Tipo di collegamento
  3. Selezionate dal menù a tendina trasformazione
  4. Cliccate nella cella Collegamento
  5. Si apre il dialogo per la configurazione della variabile

La configurazione permette anche la conversione di unità zenon in unità WPF.

Parametri

Descrizione

Variabile collegata

Selezione della variabile da collegare. Un clic sul comando ... apre il dialogo che serve alla selezione.

Intervallo valore dell'elemento WPF

Dati per la conversione dei valori variabile in valori WPF.

Conversione intervallo valore

Attivo: La conversione unità WPF è attiva.

Effetto durante il Runtime: il valore attuale di zenon (inclusa unità zenon) viene convertito per mezzo valore normato minimo e massimo nell´area WPF.

Ad esempio: Il valore di una variabile varia da 100 a 200. Con le variabili, l´area normata è impostata fra 100 e 200. L´obiettivo è quello di rappresentare queste modifiche di valore mediante un misuratore WPF. Per far ciò:

  • Alla voce Transformation, si collega la proprietà RotateTransform.Angle alla variabile
  • Si attiva l´opzione Adjust value
  • Si configura un´area valori WPF da 0 a 360

Adesso, in corrispondenza di un valore di - per esempio - 150, il misuratore verrà ruotato di 180 gradi.

Minimo

definisce il valore WPF minimo.

Massimo

definisce il valore WPF massimo.

Ok

Applica le impostazioni e chiude il dialogo.

Elimina

Rigetta le impostazioni e chiude il dialogo.

Guida

Apre la guida online


Validità di file XAML

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Validità di file XAML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La validità di file XAML è legata ad alcuni presupposti:

  • Spazio dei nomi corretto
  • Nessun riferimento class
  • Scalabilità

Spazio dei nomi corretto

L´elemento WPF può visualizzare esclusivamente WPF-Content, il che significa:

Solamente i file XAML con uno spazio dei nomi WPF corretto, possono essere visualizzati nell´elemento WPF. I file che usano uno spazio dei nomi Silverlight, non possono essere caricati o visualizzati in modo corretto. Nella maggior parte dei casi è però sufficiente sostituire lo spazio dei nomi Silverlight con quello WPF.

WPF-Namespaces:

xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"

xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"

Nessun uso di riferimento class

Visto che i file XAML vengono caricati in modo dinamico, non è possibile usare quei file XAML che contengono dei riferimenti di classe (chiave, „Class" im Header). La funzionalità che è stata programmata in un file C# proprio, non può essere usata.

Per usare User Control di WPF con code behind, si deve procedere come descritto nel capitolo Creazione di un semplice user control WPF con funzionalità code-behind.

Scalabilità

Se il contenuto di un elemento WPF deve essere adeguato alla grandezza dell´elemento WPF, i control dell´elemento WPF devono essere interlacciati in un control che offra questa funzionalità, ad esempio, una ViewBox. Inoltre bisogna far in modo che, per questi elementi, altezza e larghezza vengano configurati su automatico.

Controllo di un file XAML per verificarne la correttezza.

Per controllare se un file XAML ha il formato corretto:

  • Aprite il file XAML in Internet-Explorer.
    • Se lo si può aprire senza ulteriori plug-ins (Java o simili), si può presumere che questo file possa essere caricato o visualizzato anche da zenon con un elevato grado di sicurezza.
    • Se emergono problemi al momento di caricare il file, essi vengono visualizzati in Internet-Explorer; si può facilmente vedere in quale riga si sono verificati i problemi.

Anche la scala può essere testata in questo modo: Se il file è stato creato in modo corretto, il contenuto si adeguerà alla grandezza della finestra di Internet Explorer.

Messaggio di errore

Se si usa in zenon un file non valido, al momento del caricamento del file stesso nell´elemento WPF viene visualizzata una segnalazione di errore nella finestra di emissione.

Ad esempio:

„Errore nel caricamento di xaml-Datei:C:\ProgramData\COPA-DATA\SQL\781b1352-59d0-437e-a173-08563c3142e9\FILES\zenon\custom\media\UserControl1.xaml

Non è possibile trovare l´attributo "Class" nel XML-Namespace "http://schemas.microsoft.com/winfx/2006/xaml". Riga 7 Posizione 2."


Elementi predefiniti

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

C´è una serie di elementi WPF forniti con zenon. Altri possono essere scaricati dal web shop.

Tutti gli elementi WPF hanno delle proprietà che determinano l´aspetto grafico dell´elemento in questione. (Dependency Properties). Settando i valori con un file XAML, oppure collegando la proprietà via zenon, si può modificare l´aspetto direttamente nel Runtime. Le tabelle nella descrizione dei singoli elementi contengono le relative Dependency Properties, , in dipendenza del control.

Elementi disponibili:

  • Orologio analogico
  • Bargraf verticale
  • Comtrade-Viewer
  • Diagramma - Energy class
  • Indicatore di progresso
  • Diagramma di Pareto
  • Diagramma di Sankey
  • Visuale rotonda
  • Indicatore della temperatura
  • Slider universale
  • Grafico a cascata

Sostituisci Assembly con nuova versione

Per ogni progetto, si può usare sia nell´Editor che nel Runtime di zenon solamente un assembly per un elemento WPF. Se in un progetto esistono due versioni di un assembly, verrà usato il file caricato per primo. Il sistema provvederà a chiedere all´utente quale versione deve essere utilizzata. Se si decide di continuare ad usare la versione utilizzata fino a quel momento, non sono necessarie ulteriori azioni. Se si sceglie una versione più recente, però, dovranno essere adattati tutti i file CDWPF corrispondenti in tutti i simboli e immagini in tutti i progetti.

Indicazioni concernenti la gestione multi-progetto: Se in un progetto un Assembly viene sostituito da una versione più recente, essa deve essere sostituita in tutti gli altri progetti che sono caricati nell´Editor o nel Runtime.

Noch in diesem Kapitel

Orologio analogico - AnalogClockControl

Bargraf verticale - VerticalBargraphControl

Barra stato di avanzamento - ProgressBarControl

COMTRADE-Viewer

Diagramma - Energy class

Diagramma di Pareto

Visualizzazione circolare - CircularGaugeControl

Diagramma di Sankey

Indicazione della temperatura - TemperatureIndicatorControl

Slider universale - UniversalReglerControl

Diagramma a cascata


Orologio analogico - AnalogClockControl

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Orologio analogico - AnalogClockControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Property

Funzione

Valore

ElementStyle

Forma/tipo dell´elemento.

Enum:

  • SmallNumbers
  • BigNumbers
  • No

ElementBackgroundBrush

Colore dello sfondo dell´elemento.

Brush

ElementGlasReflection

Attivazione dell´effetto glas reflection sull´elemento.

Visibility

Offset

Valore in ore (h) che rappresenta la differenza di tempo rispetto all´orologio di sistema.

Int16

OriginText

Testo visualizzato nell´orologio (per es. indicazione del luogo).

String


Bargraf verticale - VerticalBargraphControl

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Bargraf verticale - VerticalBargraphControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Property | Funzione | Valore
CurrentValue | Valore attuale che deve essere visualizzato. | Double
MinValue | Valore minimo della scala. | Double
MaxValue | Valore massimo della scala. | Double
MajorTicksCount | Numero delle suddivisioni principali della scala. | Integer
MinorTicksCount | Numero delle suddivisioni secondarie della scala. | Integer
MajorTickColor | Colore delle suddivisioni principali della scala. | Color
MinorTickColor | Colore delle suddivisioni secondarie della scala. | Color
ElementBorderBrush | Colore della cornice dell´elemento. | Brush
ElementBackgroundBrush | Colore dello sfondo dell´elemento. | Brush
ElementGlasReflection | Attivazione dell´effetto glas reflection sull´elemento. | Visibility
ElementFontFamily | Carattere dell´elemento. | Font
ScaleFontSize | Dimensione carattere della scala. | Double
ScaleFontColor | Colore carattere della scala. | Color
IndicatorBrush | Colore di riempimento del bargraf. | Brush
BargraphSeparation | Numero dei trattini di separazione del bargraf. | Integer
BargraphSeparationColor | Colore delle suddivisione della scala. | Color


Barra stato di avanzamento - ProgressBarControl

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Barra stato di avanzamento - ProgressBarControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Property | Funzione | Valore
CurrentValue | Valore attuale che deve essere visualizzato. | Double
MinValue | Il valore minimo del campo valori. | Double
MaxValue | Il valore massimo del campo valori. | Double
ProgressbarDivisionCount | Numero delle suddivisioni della barra stato di avanzamento (Boxed). | Integer
VisibilityText | Visibilità della visualizzazione valore. | Boolean
TextSize | Dimensione carattere della visualizzazione valore. | Double
TextColor | Colore della visualizzazione valore. | Color
ProgressBarBoxedColor | Colore della cornice della barra stato di avanzamento (Boxed). | Color
ProgressBarMarginDistance | Distanza del Progressbar-Box dal bordo dell´elemento (sinistra, sopra destra, sotto). | Double
ProgressBarInactiveBrush | Colore indicatore non attivo. | Brush
ProgressBarActiveBrush | Colore indicatore attivo. | Brush
ProgressBarPadding | Distanza della barra di stato avanzamento dal Progressbar-Box (sinistra, sopra destra, sotto). | Double
ElementBorderBrush | Colore della cornice dell´elemento. | Brush
ElementBackgroundBrush | Colore dello sfondo dell´elemento. | Brush


COMTRADE-Viewer

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> COMTRADE-Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il COMTRADE-Viewer L´elemento COMTRADE-Viewer WPF è a disposizione dei partner di COPA-DATA che lo possono ottenere tramite il Partner Portal.

Serve all´analisi grafica dei dati relativi a guasti ed eventi contenuti in un file COMTRADE.

info Informazioni su

Il controllo supporta i file conformi alla norma IEEE C37.111 (IEEE Standard Common Format for Transient Data Exchange (COMTRADE) for Power Systems). Possono essere visualizzati file in formato ASCII o binario conformi all´edizione 1999 o 2013.

I file più vecchi, o quelli non provvisti di un´identificazione relativa all´anno, non sono supportati. Nel caso si rilevino file del genere, il sistema lo fa presente all´utente mediante un´apposita finestra visualizzata nel runtime.

Possibilità del controllo COMTRADE-Viewer WPF nel runtime di zenon:

  • Selezione di un file in formato COMTRADE.
  • Export degli oggetti selezionati in un file CSV.
  • Visualizzazione del file COMTRADE selezionato.
    Nota: Nell´editor di zenon si può stabilire quali colori devono essere usati per la visualizzazione.
    • Corrente (rappresentazione in forma di onda sinusoidale)
    • Tensione (rappresentazione in forma di onda sinusoidale)
    • Segnali digitali (rappresentazione in forma di digrammi a barre binari)
    • Visualizzazione di valori in corrispondenza di una determinata posizione del cursore.
    • Se si seleziona un elemento che non rappresenta né la corrente, né la tensione (ad es.: la frequenza), esso viene visualizzato in entrambe le aree analogiche (corrente e tensione).
  • Navigazione:
    • Zoom avanti e zoom indietro con la rotella del mouse e con gesti multi-touch.
    • Ingrandimento di un´area.
      Selezione di quest´area con un clic del mouse.
    • Spostamento dell´area visualizzata usando il tasto destro del mouse, barra di scorrimento o gesti multi-touch.

Tipp Suggerimento

Per trasportare dei file COMTRADE su un computer su cui è attivo il Runtime di zenon, potete anche usare il trasferimento file del driver IEC 61850, oppure il FTP function block di zenon Logic .

Ulteriori informazioni su questo tema le trovate nella documentazione relativa al driver IEC 61850, oppure in quella di zenon Logic.

Licenza

Il COMTRADE-Viewer può essere configurato solamente in un Editor di zenon, provvisto di una licenza valida per la Energy Edition. Se non si dispone di una licenza valida, il WPF viene visualizzato nell´Editor in color grigio (disabilitato). Anche per la visualizzazione nel Runtime è necessario disporre di una licenza valida per la Energy Edition.

Noch in diesem Kapitel

Visuale durante il Runtime

Visuale Runtime - Pagina di configurazione

Visuale Runtime - Visualizzazione di dati COMTRADE

Proprietà configurabili del controllo - Visualizzazione colori


Visuale durante il Runtime

Visuale durante il Runtime

L´elemento WPF COMTRADE offre due visuali nel Runtime:

  • Visuale di configurazione
    • Selezione di un file COMTRADE di configurazione.
    • Selezione degli elementi che devono essere visualizzati.
  • Visuale grafici
    • Zoom avanti e zoom indietro.
    • Visualizzazione di valori in corrispondenza di una determinata posizione del cursore.
    • Export degli elementi selezionati in un file CSV.

info Informazioni su

Il passaggio da una visuale all´altra è integrato nell´elemento WPF. Non è dunque necessario progettare una funzione di cambio immagine.


Visuale Runtime - Pagina di configurazione

Visuale Runtime - Pagina di configurazione

Quando si apre nel Runtime un´immagine in cui è stato configurato un elemento WPF COMTRADE-Viewer, la relativa pagina di configurazione apparirà vuota.

Nota: Ciò vale anche quando, nel Runtime di zenon,si passa da un´altra a questa immagine con la funzione di cambio immagine.

Configurazione del Comtrade Viewer

Il comando COMTRADE Viewer Configuration posto lateralmente in alto, consente il passaggio dalla visuale configurazione a quella grafici e viceversa.

Seleziona file

Il pulsante Open... apre la finestra di dialogo che serve a selezionare un file.

Il sistema realizza una preselezione per la visualizzazione nella finestra di dialogo di selezione file:

  • Esso trova le coppie di file *.cfg- e *.dat.
    Nota: I file opzionali del tipo*.hdr oppure *.inf non vengono presi in considerazione.
  • Vengono visualizzati solamente i corrispondenti file *.dat.
  • Cliccando sul file desiderato e sul pulsante OK, vengono caricati tutti i file attinenti (*.dat, *.cfg).
  • Si può caricare solo un file.
  • Caricato il file, il suo contenuto viene visualizzato nelle due colonne Analog Channels e Digital Channels.
    Le denominazioni e le unità degli elementi hanno origine nella configurazione COMTRADE e non possono essere modificate.

Analog Channels

Parametri | Descrizione
[Liste der verfügbaren Kanäle] | Selezione degli elementi che devono essere visualizzati. Una selezione multipla è possibile cliccando sull´inserimento desiderato della lista. Gli elementi selezionati sono visualizzati su uno sfondo colorato. Con un altro clic del mouse si annulla la selezione dell´inserimento della lista.
Select All | Seleziona tutti gli elementi della lista.
Deselect All | Disattiva la selezione esistente di elementi.

Digital Channels

Parametri | Descrizione
[Liste der verfügbaren Kanäle] | Selezione degli elementi che devono essere visualizzati. Una selezione multipla è possibile cliccando sull´inserimento desiderato della lista. Gli elementi selezionati sono visualizzati su uno sfondo colorato. Con un altro clic del mouse si annulla la selezione dell´inserimento della lista.
Select All | Seleziona tutti gli elementi della lista.
Deselect All | Disattiva la selezione esistente di elementi.

Mostra la selezione

Per far sì che la vostra selezione venga adesso visualizzata nella vista grafici, cliccate sul pulsante Apply.

Nota: Cliccando sul comando di switch COMTRADE Viewer Configuration posto lateralmente in alto, si passa solamente da una visuale all´altra. Non si tiene conto nel processo di una modifica nella selezione dei canali.


Visuale Runtime - Visualizzazione di dati COMTRADE

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> COMTRADE-Viewer -> Visuale Runtime - Visualizzazione di dati COMTRADE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Visuale Runtime - Visualizzazione di dati COMTRADE

I canali selezionati sono visualizzati nel vista grafici dell´elemento WPF COMTRADE-Viewer. I colori da utilizzare possono essere configurati nell`Editor di zenon.

Export dei dati selezionati

I canali analogici e digitali selezionati possono essere esportati in un file CSV usando il pulsante CSV-Export.

Visuale grafici

La visuale grafici del COMTRADE-Viewers è divisa in tre sezioni:

  • Intensità di corrente
    Sezione in alto.
  • Tensione
    Sezione centrale.
  • Canali digitali
    Sezione in basso.

Denominazione assi

  • Asse orizzontale
    L´asse orizzontale rappresenta l´intero periodo di tempo, così come registrato nel file COMTRADE (*.dat).
    La scala di questo asse tempo dipende dal fattore di ingrandimento. Tanto maggiore è l´ingrandimento scelto, tanto più dettagliata sarà anche la rappresentazione temporale delle informazioni.
  • Asse verticale
    L´asse verticale rappresenta i valori.
    • La scala di questo asse dipende dal fattore di ingrandimento. Tanto maggiore è l´ingrandimento scelto, tanto più dettagliata sarà anche la rappresentazione dei valori.
    • La denominazione dei canali analogici viene visualizzata verticalmente accanto ai valori e corrisponde all´unità di misura definita nel file COMTRADE (*.cfg).
    • I canali digitali vengono visualizzati nella successione definita nel file COMTRADE (*.cfg).
      Il Channel identifier del file COMTRADE serve da identificazione.

Legenda

La legenda colori dei grafici appare sopra ai grafici stessi.

  • La denominazione dei canali digitali corrisponde a quella definita nel file COMTRADE (*.cfg).
  • I colori di ogni canale sono assegnati automaticamente con la tavolozza dei colori configurata.
  • Il tempo è visualizzato in un barra che si trova al di sotto del grafico. Il tempo iniziale viene visualizzato in forma di testo.

Navigazione e zoom

La navigazione (scrolling e zoom) è applicata sempre a tutte e tre le sezioni della rappresentazione grafica.

  • Usando la barra di scorrimento, potete spostare la visualizzazione scorrendo sulla linea orizzontale che rappresenta il tempo.
  • Zoom avanti e zoom indietro.
    • Usando la rotella del mouse, potete ingrandire o ridurre la visualizzazione con lo zoom nel punto in cui si trova attualmente il cursore.
    • Se si vuole visualizzare un´area particolare, la si seleziona tenendo premuto il tasto sinistro del mouse.
      Nota: La visualizzazione dei valori è sempre adeguata all´area che è stata selezionata via drag and drop. Ciò può avere come conseguenza l´appiattimento della curva nella visuale grafica ingrandita.
    • Con un doppio clic sulla barra di scorrimento si resetta l´ingrandimento al fattore iniziale.

Analisi

Gli esatti valori corrispondenti alla posizione attuale del cursore mouse appaiono in forma di blocchi di valore. Un cursore di tipo cross hair offre un ulteriore supporto ottico alla precisa determinazione del punto di lettura dei valori.


Proprietà configurabili del controllo - Visualizzazione colori

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> COMTRADE-Viewer -> Proprietà configurabili del controllo - Visualizzazione colori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Proprietà configurabili del controllo - Visualizzazione colori

Progettazione nell'editor

L´elemento chiamato COMTRADE.CDWPF può essere configurato e collocato in ogni tipo di immagine di zenon.
La progettazione della Larghezza [Pixel] e della Altezza [Pixel] dell´elemento dipende dalle proporzioni. Ciò impedisce che la visualizzazione del COMTRADE-Viewer venga distorta nel Runtime.

Nota: Quando configurate il progetto, assicuratevi che ci si spazio sufficiente a garantire una visione chiara.

Adattamenti grafici

Il design grafico lo configurate nelle proprietà dell´elemento WPF.
Ulteriori informazioni a questo proposito le trovate nel capitolo Configurazione del collegamento di questa guida.

Possibili valori del colore:

  • Valori colore esadecimali
    #RRGGBB
    Esempio - Valori colore: #000000 = nero, #FFFFFF = bianco, #FF0000 = rosso
  • Valori colore per nome
    Riferimento: https://msdn.microsoft.com/en-us/library/system.drawing.color.aspx

Tipp Suggerimento

Le proprietà per l´elemento WPF COMTRADE-Viewer hanno la lettera iniziale "z". Usate il filtro nomi per assicurare una rappresentazione chiara quando configurate il collegamento.

Pagina di configurazione

Testo e colore di sfondo della pagina di configurazione.

Parametri | Descrizione | Valore
zConfiguratinPageTextColor | Colore del testo della pagina di configurazione. | String
zConfigurationPageBackgroundColor | Colore di sfondo della pagina di configurazione. | String

Pulsanti

Colore del testo e colore di sfondo dei pulsanti.

Parametri | Descrizione | Valore
zButtonTextColor | Colore del testo dei pulsanti. | String
zButtonBackgroundColor | Colore di sfondo dei pulsanti. | String

Chart

Colore del testo delle scritte dell´asse o legenda e colore di sfondo.

Parametri | Descrizione | Valore
zChartTextColor | Colore del testo delle scritte dell´asse. | String
zChartBackgroundColor | Colore di sfondo delle scritte dell´asse. | String

Label

Colore del testo e dello sfondo della visualizzazione dei valori in corrispondenza della posizione selezionata del cursore.

Parametri | Descrizione | Valore
zChartLabelTextColor | Colore del testo della visualizzazione del valore. | String
zChartLabelBackgroundColor | Colore di sfondo della visualizzazione del valore. | String

Chart

Tavolozza di colori della visuale grafici e della corrispondente legenda.

Parametri | Descrizione | Valore
zChartPalette | Tavolozza dei colori per grafici e legenda. Riferimento a nomi tavolozze dei colori (vedi visione generale). Default: se non è stata configurata nessuna tavolozza dei colori, si usa quella del sistema operativo del computer. | String

Possibili tavolozze dei colori - Visione generale


Diagramma - Energy class

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Diagramma - Energy class

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il diagramma Energy class, L´elemento COMTRADE-Viewer WPF è a disposizione dei partner di COPA-DATA che lo possono ottenere tramite il Partner Portal.

Si deve usare una matrice di reazione per modellare un diagramma energy class. Questa matrice di reazione deve essere collegata a quella variabile il cui valore è previsto per la visualizzazione e la distribuzione in classi di energia. Il nome della variabile deve essere trasferito alla proprietà "zVariableName".

Matrice di reazione per il diagramma Energy class.

La matrice di reazione collegata deve corrispondere al seguente schema:

  • Il primo stato deve essere un´area, oppure una definizione "meno di".
  • Poi si possono definire quante aree si vuole.
  • L´ultimo stato deve essere un´area, oppure una definizione "maggiore di".

Per la progettazione vale quanto segue:

  1. Se il primo stato è un´area e il valore della variabile è compreso in quest´area, ciò nonostante nel diagramma viene visualizzato il primo stato. Lo stesso vale, viceversa, per l´ultimo stato.
  2. I colori usati dal diagramma WPF per le classi sono i colori di valore limite definiti nella matrice di reazione.
  3. Le lettere usate per le classi sono in ordine alfabetico partendo dalla "A".
Property | Descrizione | Valore
zenonFontID | ID di un font dalla prima lista caratteri (la dimensione carattere non viene presa in considerazione). | Integer
zenonNumberOfDecimalPlaces | Numero delle cifre decimali visualizzate. | Integer
zenonVariableName | Nome della variabile da visualizzare. | String

Nota: Per la visualizzazione del diagramma Energy class nel Web Client di zenon è necessario effettuare ulteriori passaggi di programmazione in VSTA. I dettagli relativi li trovate nel capitolo Visualizzazione di elementi WPF nel Web Client di zenon.


Diagramma di Pareto

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Diagramma di Pareto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il diagramma di Pareto, L´elemento COMTRADE-Viewer WPF è a disposizione dei partner di COPA-DATA che lo possono ottenere tramite il Partner Portal.

Qui di seguito forniamo un esempio di un diagramma di Pareto nel Runtime:

Le seguenti impostazioni possono essere effettuate nella finestra di configurazione WPF sottoCOPADATA-ELEMENT:

Property | Funzione | Valore
zenonBarColor1 | Colore della 1° barra | Color (String)
zenonBarColor2 | Colore della 2° barra | Color (String)
zenonBarColor3 | Colore della 3° barra | Color (String)
zenonBarColor4 | Colore della 4° barra | Color (String)
zenonBarColor5 | Colore della 5° barra | Color (String)
zenonBarColor6 | Colore della 6° barra | Color (String)
zenonBarColor7 | Colore della 7° barra | Color (String)
zenonBarColor8 | Colore della 8° barra | Color (String)
zenonBarColor9 | Colore della 9° barra | Color (String)
zenonBarColor10 | Colore della 10° barra | Color (String)
zenonColorPercentageLine | Colore della percentage line (relative sumfrequency). | Color (String)
zenonLineVisibility | Visibilità della percentage line (relative sumfrequency). | Boolean
zenonVariable1_Label | Iscrizione della 1° barra | String
zenonVariable1_Value | Valore della 1° barra | Double
zenonVariable2_Label | Iscrizione della 2° barra | String
zenonVariable2_Value | Valore della 2° barra | Double
zenonVariable3_Label | Iscrizione della 3° barra | String
zenonVariable3_Value | Valore della 3° barra | Double
zenonVariable4_Label | Iscrizione della 4° barra | String
zenonVariable4_Value | Valore della 4° barra | Double
zenonVariable5_Label | Iscrizione della 5° barra | String
zenonVariable5_Value | Valore della 5° barra | Double
zenonVariable6_Label | Iscrizione della 6° barra | String
zenonVariable6_Value | Valore della 6° barra | Double
zenonVariable7_Label | Iscrizione della 7° barra | String
zenonVariable7_Value | Valore della 7° barra | Double
zenonVariable8_Label | Iscrizione della 8° barra | String
zenonVariable8_Value | Valore della 8° barra | Double
zenonVariable9_Label | Iscrizione della 9° barra | String
zenonVariable9_Value | Valore della 9° barra | Double
zenonVariable10_Label | Iscrizione della 10° barra | String
zenonVariable10_Value | Valore della 10° barra | Double

I seguenti eventi possono essere usati e collegati a funzioni di zenon:

Event | Funzione | Valore
zenonBar1Click | Funzione che viene eseguita quando si clicca sulla 1° barra. | Funzione
zenonBar2Click | Funzione che viene eseguita quando si clicca sulla 2° barra. | Funzione
zenonBar3Click | Funzione che viene eseguita quando si clicca sulla 3° barra. | Funzione
zenonBar4Click | Funzione che viene eseguita quando si clicca sulla 4° barra. | Funzione
zenonBar5Click | Funzione che viene eseguita quando si clicca sulla 5° barra. | Funzione
zenonBar6Click | Funzione che viene eseguita quando si clicca sulla 6° barra. | Funzione
zenonBar7Click | Funzione che viene eseguita quando si clicca sulla 7° barra. | Funzione
zenonBar8Click | Funzione che viene eseguita quando si clicca sulla 8° barra. | Funzione
zenonBar9Click | Funzione che viene eseguita quando si clicca sulla 9° barra. | Funzione
zenonBar10Click | Funzione che viene eseguita quando si clicca sulla 10° barra. | Funzione


Visualizzazione circolare - CircularGaugeControl

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Visualizzazione circolare - CircularGaugeControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Property

Funzione

Valore

CurrentValue

Valore attuale che deve essere visualizzato.

Double

IsReversed

Orientamento scale, in senso orario o antiorario.

Boolean

ElementFontFamily

Carattere dell´elemento.

Font

MinValue

Valore minimo della scala.

Double

MaxValue

Valore massimo della scala.

Double

ScaleRadius

Radio della scala.

Double

ScaleStartAngle

Angolo in corrispondenza del quale inizia la scala.

Double

ScaleLabelRotationMode

Orientamento del titolo della scala.

Enum:

  • None
  • Automatic
  • SurroundIn
  • SurroundOut

ScaleSweepAngle

Area angolo che definisce la dimensione della scala.

Double

ScaleLabelFontSize

Dimensione carattere della denominazione della scala.

Double

ScaleLabelColor

Colore del carattere della denominazione della scala.

Color

ScaleLabelRadius

Radio secondo il quale è orientata la denominazione della scala.

Double

ScaleValuePrecision

Esattezza della denominazione della scala.

Integer

PointerStyle

Forma del pointer che indica il valore.

Enum:

  • Arrow
  • Rectangle
  • TriangleCap
  • Pentagon
  • Triangle

MajorTickColor

Colore delle suddivisioni principali della scala.

Color

MinorTickColor

Colore delle suddivisioni secondarie della scala.

Color

MajorTickSize

Dimensione delle suddivisioni principali della scala.

Size

MinorTickSize

Dimensione delle suddivisioni secondarie della scala.

Size

MajorTicksCount

Numero delle suddivisioni principali della scala.

Integer

MajorTicksShape

Forma/tipo delle suddivisioni principali della scala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksShape

Forma/tipo delle suddivisioni secondarie della scala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksCount

Numero delle suddivisioni secondarie della scala.

Integer

PointerSize

Dimensione del pointer.

Size

PointerCapRadius

Dimensione del punto di fissaggio del pointer.

Double

PointerBorderBrush

Colore della cornice del pointer

Brush

PointerCapStyle

Forma/tipo del punto di fissaggio del pointer.

Enum:

  • BackCap
  • FrontCap
  • Screw

PointerCapBorderBrush

Colore del punto di fissaggio del pointer.

Brush

PointerBrush

Colore del´indicatore.

Brush

GaugeBorderBrush

Colore della cornice dell´elemento.

Brush

GaugeBackgroundBrush

Colore dello sfondo dell´elemento.

Brush

PointerCapColorBrush

Colore del punto di fissaggio del pointer.

Brush

GaugeMiddlePlate

Raggio della placca intermedia dell’elemento di sfondo

Double

PointerOffset

Offset del pointer (spostamento).

Double

RangeRadius

Raggio dell’area totale di visualizzazione.

Double

RangeThickness

Spessore dell’area totale di visualizzazione.

Double

RangeStartValue

Valore iniziale dell’area totale di visualizzazione.

Double

Range1EndValue

Valore finale della 1° area e valore di start della 2° area.

Double

Range2EndValue

Valore finale della 2° area e valore di start della 3° area.

Double

Range3EndValue

Valore finale della 3° area e valore di start della 4° area.

Double

Range4EndValue

Valore finale della 4° area e valore di start della 5° area.

Double

Range5EndValue

Valore finale della 5° area e valore di start della 6° area.

Double

Range6EndValue

Valore finale della 6° area.

Double

Range1ColorBrush

Colore della 1° area.

Brush

Range2ColorBrush

Colore della 2° area.

Brush

Range3ColorBrush

Colore della 3° area.

Brush

Range4ColorBrush

Colore della 4° area.

Brush

Range5ColorBrush

Colore della 5° area.

Brush

Range6ColorBrush

Colore della 6° area.

Brush

ScaleOuterBorderBrush

Colore del bordo della scala.

Brush

ScaleBackgroundBrush

Colore dello sfondo della scala.

Brush

ValueTextFrameStyle

Forma/tipo della visualizzazione valore.

Enum:

  • LargeFrame
  • SmallFrame
  • None

ValueTextContent

Contenuto della visualizzazione valore.

Enum:

  • Testo
  • TextValue
  • Value

ValueTextSize

Dimensione carattere della visualizzazione valore.

Double

ValueTextColor

Colore carattere della visualizzazione valore.

Color

IsGlasReflection

Attivazione dell´effetto glas reflection sull´elemento.

Boolean

GaugeOffsett

Abbassamento del punto di rotazione di tutto l´elemento.

Double


Diagramma di Sankey

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Diagramma di Sankey

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il diagramma di Sankey, L´elemento COMTRADE-Viewer WPF è a disposizione dei partner di COPA-DATA che lo possono ottenere tramite il Partner Portal.

Per modellare un diagramma di Sankey, si deve usare il Sankey Wizard. Questo wizard genera un file XML,che poi viene analizzato dall´elemento WPF. A tal scopo, si deve dotare la proprietà zSankeyName del nome del file XML. Il file XML deve trovarsi nella cartella Altro di un progetto nel workspace. Il file viene salvato dal wizard in questa cartella.

Qui di seguito forniamo un esempio di un diagramma di Sankey nel Runtime:

Le seguenti impostazioni possono essere effettuate nella finestra di configurazione WPF sottoCOPADATA-ELEMENT:

Property | Funzione | Valore
FontSize | Grandezza carattere di testi. | Integer
zBackgroundColor | Colore di sfondo del diagramma. | Color (String)
zFontColor | Colore dei testi. | Color (String)
zFontFamily | Tipo di carattere di tutti i testi. | Font (String)
zLossDetectionActive | Automatica individuazione di perdite attivata/disattivata Se true, le perdite sono rappresentate automaticamente ad un punto nodale come flussi. | Boolean
zNoDataText | Testo che viene visualizzato se non ci sono valori da rappresentare e zPrevireActive è false. | String
zNoValidXMLText | Testo che viene visualizzato se non è stato trovato nessun file XML valido con il nome inserito e zPreviewActive è false. | String
zNumberOfDecimalPlaces | Indica quante cifre decimali vengono visualizzate. | Integer
zPreviewActive | Visualizzazione di un´anteprima attivata/disattivata. L´anteprima viene visualizzata se Non ci sono dati da visualizzare (il diagramma modellato viene riempito usando valori di default), oppure Il file XML non è stato trovato, oppure esso non contiene una definizione valida (viene visualizzato un esempio di diagramma di Sankey). | Boolean
zRefreshRate | Refreshrate del diagramma in ms. | Integer
zSankeyName | Nome del file XML con la modellazione del diagramma. | String
zShowRelativeValues | Visualizzazione dei valori in assoluti false oppure relativi true. | Boolean

Nota: Per la visualizzazione del diagramma di Sankey nel Web Client di zenon è necessario effettuare ulteriori passaggi di programmazione in VSTA. I dettagli relativi li trovate nel capitolo Visualizzazione di elementi WPF nel Web Client di zenon.


Indicazione della temperatura - TemperatureIndicatorControl

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Indicazione della temperatura - TemperatureIndicatorControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Property

Funzione

Valore

CurrentValue

Valore attuale che deve essere visualizzato.

Double

MinValue

Valore minimo della scala.

Double

MaxValue

Valore massimo della scala.

Double

MajorTicksCount

Numero delle suddivisioni principali della scala.

Integer

MinorTicksCount

Numero delle suddivisioni secondarie della scala.

Integer

TickNegativColor

Colore della suddivisione principale negativa (che passa gradualmente a TickPositivColor).

Color

TickPositivColor

Colore della suddivisione principale positiva (che passa gradualmente a TickNegativColor).

Color

MinorTickColor

Colore delle d secondarie.

Color

ElementBorderBrush

Colore della cornice dell´elemento.

Brush

ElementBackgroundBrush

Colore dello sfondo dell´elemento.

Brush

ElementGlasReflection

Attivazione dell´effetto glas reflection sull´elemento.

Visibility

ElementFontFamily

Carattere dell´elemento.

Font

IndicatorColor

Colore di riempimento dell´indicatore.

Color

IndicatorBorderColor

Colore della cornice dell´indicatore.

Color

MajorTickSize

Dimensione delle suddivisioni principali della scala.

Size

MinorTickSize

Dimensione delle suddivisioni secondarie della scala.

Size

ScaleLetteringDistance

Distanza della didascalia della scala (verticale); bisogna scrivere una didascalia per ogni x suddivisione principale.

Integer

IndicatorScaleDistance

Distanza fra indicatore e scala (orizzontale).

Double

ScaleFontSize

Dimensione carattere della scala.

Double

ScaleFontColor

Colore carattere della scala.

Color

Unit

Unità.

String

ElementStyle

Forma/tipo dell´elemento.

Enum:

  • SmallFrame
  • Unit
  • None


Slider universale - UniversalReglerControl

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Slider universale - UniversalReglerControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Property

Funzione

Valore

CurrentValue

Valore attuale che deve essere visualizzato.

Double

ElementFontFamily

Carattere dell´elemento.

Font

MinValue

Valore minimo della scala.

Double

MaxValue

Valore massimo della scala.

Double

Radius

Double

ScaleRadius

Radio della scala.

Double

ScaleStartAngle

Angolo in corrispondenza del quale inizia la scala.

Double

ScaleLabelRotationMode

Orientamento del titolo della scala.

Enum:

  • None
  • Automatic
  • SurroundIn
  • SurroundOut

ScaleSweepAngle

Area angolo che definisce la dimensione della scala.

Double

ScaleLabelFontSize

Dimensione carattere della denominazione della scala.

Double

ScaleLabelColor

Colore del carattere della denominazione della scala.

Color

ScaleLabelRadius

Radio secondo il quale è orientata la denominazione della scala.

Double

ScaleValuePrecision

Esattezza della denominazione della scala.

Integer

ElementStyle

Tipo di visualizzazione dell´elemento:

Enum:

  • Knob
  • Plate
  • None

MajorTickColor

Colore delle suddivisioni principali della scala.

Color

MinorTickColor

Colore delle suddivisioni secondarie della scala.

Color

MajorTickSize

Dimensione delle suddivisioni principali della scala.

Size

MinorTickSize

Dimensione delle suddivisioni secondarie della scala.

Size

MajorTicksCount

Numero delle suddivisioni principali della scala.

Integer

MajorTicksShape

Forma/tipo delle suddivisioni principali della scala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksShape

Forma/tipo delle suddivisioni secondarie della scala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksCount

Numero delle suddivisioni secondarie della scala.

Integer

BackgroundBorderBrush

Colore della cornice dell´elemento.

Brush

BackgroundBrush

Colore dello sfondo dell´elemento.

Brush

PointerCapColorBrush

Colore del punto di fissaggio del pointer.

Brush

GaugeMiddlePlate

Raggio della placca intermedia dell’elemento di sfondo

Double

ValueFontSize

Dimensione carattere della visualizzazione valore.

Double

ValueFontColor

Colore carattere della visualizzazione valore.

Color

IsGlasReflection

Attivazione dell´effetto glas reflection sull´elemento.

Boolean

KnobBrush

Colore del bottone.

Brush

IndicatorBrush

Colore dell´indicatore.

Brush

IndicatorBackgroundBrush

Colore di sfondo dell´indicatore non attivo.

Brush

KnobSize

Diametro del bottone.

Double

KnobIndicatorSize

Dimensione indicatore del bottone.

Size

ElementSize

Grandezza dell´elemento.

Size

VisibilityKnob

Attivazione del bottone.

Boolean

ValuePosition

Posizione della visualizzazione valore.

Double

ValueVisibility

Attivazione della visualizzazione valore.

Boolean


Diagramma a cascata

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Diagramma a cascata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Grafico a cascata, L´elemento COMTRADE-Viewer WPF è a disposizione dei partner di COPA-DATA che lo possono ottenere tramite il Partner Portal.

Per la modellazione di un grafico a cascata si deve usare il Meaning and Waterfall Chart Wizard. Con esso, si può modellare un grafico a cascata. L´informazione viene salvata direttamente nelle variabili interessate, più precisamente nella proprietà Analyzer --> Parameter for waterfall diagram.

Qui di seguito forniamo un esempio di un grafico a cascata nel Runtime:

Nota: questo screenshot è a disposizione solamente in lingua inglese.

Le seguenti impostazioni possono essere effettuate nella finestra di configurazione WPF alla voce COPADATA-ELEMENT:

Property | Funzione | Valore
zenonRefreshRate | Tempo intercorrente fra le attualizzazioni del diagramma in ms. | Integer
zenonWaterfallIdentifier | Nome del grafico a cascata. | String
zenonZSystemModel | Gruppo di impianti delle variabili usate. | String

Nota: Per la visualizzazione del grafico a cascata nel Web Client di zenon è necessario effettuare ulteriori passaggi di programmazione in VSTA. I dettagli relativi li trovate nel capitolo Visualizzazione di elementi WPF nel Web Client di zenon.


Visualizzazione di elementi WPF nel Web Client di zenon

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Visualizzazione di elementi WPF nel Web Client di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter usare gli elementi WPF predefiniti "Diagramma Energy class", "Diagramma di Sankey" e "Grafico a cascata" anche per la visualizzazione in un Web Client di zenon, è necessario effettuare adeguamenti e modifiche nel progetto:

  • Progettazione nell´Editor di zenon:
  • Modifica XAML-Code

Noch in diesem Kapitel

Progettazione nell´Editor di zenon:

VSTA code (complesso)

VSTA code (semplificato)


Progettazione nell´Editor di zenon:

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Visualizzazione di elementi WPF nel Web Client di zenon -> Progettazione nell´Editor di zenon:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eseguite nell´Editor di zenon le seguenti operazioni di configurazione per poter visualizzare determinati elementi WPF anche nel Web Client di zenon:

Posizionare WPF nell´immagine di zenon:

  • Posizionate l´elemento WPF in un´immagine di zenon.
  • Dategli un nome univoco nella proprietà Nome elemento.
    Trovate questa proprietà nel gruppo Generale.
    Nota: un messaggio di avviso appare se il nome di un elemento è stato già assegnato in un´altra immagine.
  • Usate il nome elemento assegnato qui nel code VSTA.


VSTA code (complesso)

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Visualizzazione di elementi WPF nel Web Client di zenon -> VSTA code (complesso)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inserire il codice di programmazione per la visualizzazione di elementi WPF nel Web Client di zenon, eseguite i seguenti passi:

  1. Passate nell´Editor di zenon al nodo Scripting.
  2. Scegliete il nodo VSTA, e selezionate con un clic con il tasto destro del mouse la voce del menù contestuale Apri Editor VSTA con ProjectAddin ...
  3. Si apre la finestra di dialogo per creare un progetto VSTA.
  4. Selezionate nella finestra di dialogo Crea nuovo progetto VSTA la voce C#.
  5. Create (copiate) il codice sottostante.
  6. Inserite il nome dell´elemento WPF nel codice.

Nota: aprendo l´Editor di VSTA, verificate se contenuti del codice seguente sono già presenti nella configurazione di progetto. Per ottenere la visualizzazione dell´elemento WPF nel Web Client, confrontate il codice esistente ed effettuate le aggiunte necessarie. Vi preghiamo di tenere presenti i commenti relativi nel codice del modello.

VSTA Code

//As member:

zenOn.IDynPictures zScreens = null;

string[] WPFElements ={"WPF_Control", "WPFWebclient_1", "WPFWebclient_2" }; //Nomi degli elementi ad immagine WPF che compaiono nel progetto zenon e necessitano accesso all´API (tanti/ tanto pochi si vuole)

//Aggiungete le seguenti tre righe di codice nella funzione project archive:

void ThisProject_Active()

{

zScreens = this.DynPictures();

zScreens.Open += new zenOn.DDynPicturesEvents_OpenEventHandler(zScreens_Open);

zScreens.Close += new zenOn.DDynPicturesEvents_CloseEventHandler(zScreens_Close);

}

//Aggiungete le seguenti due righe di codice nella funzione project inactive:

void ThisProject_Inactive()

{

zScreens.Open -= new zenOn.DDynPicturesEvents_OpenEventHandler(zScreens_Open);

zScreens.Close -= new zenOn.DDynPicturesEvents_CloseEventHandler(zScreens_Close);

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

//Aggiungete due nuovi gestori eventi:

void zScreens_Open(zenOn.IDynPicture obDynPicture)

{

foreach (string element in WPFElements)

{

if (obDynPicture.Elements().Item(element) != null)

{

obDynPicture.Elements().Item(element).set_WPFProperty("ELEMENT", "zenonVariableLink", this.Variables().Item(0));

}

}

}

void zScreens_Close(zenOn.IDynPicture obDynPicture)

{

foreach (string element in WPFElements)

{

if (obDynPicture.Elements().Item(element) != null)

{

zenOn.IElement zWPFElement= obDynPicture.Elements().Item(element);

zWPFElement.set_WPFProperty("ELEMENT", "zenonTrigger", true);

zWPFElement = null;

}

}

}


VSTA code (semplificato)

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Visualizzazione di elementi WPF nel Web Client di zenon -> VSTA code (semplificato)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si usa solamente un elemento WPF in un´immagine di zenon, si può usare anche il seguente codice, più semplice. A tal scopo, si devono inserire i nomi dell´elemento WPF e dell´immagine in cui esso viene usato. Si raccomanda l´uso di questo codice quando, per ogni progetto, si intende usare solamente uno degli elementi WPF predefiniti.

VSTA Code:

zenOn.IDynPicture zScreen = null;

string wpfElement = "WPF_Control"; //Nome dell´elemento WPF nell´immagine.

string wpfPicture = "@Details_Overview_Online"; //Nome dell´immagine di zenon

//Aggiungere nella funzione project active:

void ThisProject_Active()

{

zScreen = this.DynPictures().Item(wpfPicture);

zScreen.Open += new zenOn.OpenEventHandler(zScreen_Open);

zScreen.Close += new zenOn.CloseEventHandler(zScreen_Close);

}

//Aggiungere nella funzione project inactive:

void ThisProject_Inactive()

{

zScreen.Open -= new zenOn.OpenEventHandler(zScreen_Open);

zScreen.Close -= new zenOn.CloseEventHandler(zScreen_Close);

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void zScreen_Open()

{

if (zScreen.Elements().Item(wpfElement) != null)

{

zScreen.Elements().Item(wpfElement).set_WPFProperty("ELEMENT", "zenonVariableLink", this.Variables().Item(0));

}

}

void zScreen_Close()

{

if (zScreen.Elements().Item(wpfElement) != null)

{

zenOn.IElement zWPFElement = zScreen.Elements().Item(wpfElement);

zWPFElement.set_WPFProperty("ELEMENT", "zenonTrigger", true);

zWPFElement = null;

}

}


Esempi: Integrazione di WPF in zenon

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Esempi: Integrazione di WPF in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Come vengono creati i file XAML e integrati in zenon come elementi WPF, lo potete vedere nei seguenti esempi:

  • Integra pulsante come WPF-XAML in zenon
  • Integra bargraf come WPF-XAML in zenon
  • Integrare DataGrid Control in zenon

Noch in diesem Kapitel

Integra bargraf come WPF-XAML in zenon

Integra pulsante come WPF-XAML in zenon

Integrare un controllo DataGrid in zenon


Integra bargraf come WPF-XAML in zenon

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Esempi: Integrazione di WPF in zenon -> Integra bargraf come WPF-XAML in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Struttura dell´esempio:

  • Creazione di una bargraf in Adobe Illustrator e trasformazione in WPF
  • integra in zenon
  • Collegamento con variabile
  • adatta l´elemento bargraf-WPF

crea bargraf

Create in primo luogo un bargraf come descritto nel capitolo Workflow con Adobe Illustrator. Per usare il file XAML in zenon, aggiungetelo nella visione ad albero del progetto nella cartella File/grafiche .

Integra bargraf

Nota: per la descrizione seguente viene usato un progetto di zenon con i seguenti contenuti:

  • un´immagine vuota come immagine di partenza
  • 4 variabili del driver interno per
    • scala 0
    • scala media
    • scala alta
    • valore attuale
  • una variabile del driver matematico per la visualizzazione del valore attuale 255)

Per integrare il bargraf:

  1. aprite anzitutto l´immagine vuota
  2. piazzate un elemento WPF nell´immagine
  3. selezionate nella finestra delle proprietà File XAML
  4. selezionate il file XAML desiderato (per esempio bargraph_vertical.xaml) e chiudete il dialogo

Adatta bargraf

Prima della configurazione, la scala del file XAML viene adattata, se necessario.

A tale scopo:

  • impostate una nuova variabile matematica che calcola il nuovo valore in riferimento alla scala, per esempio:
  • Variabile: 0-1000
  • variabile matematica {valore creato in xaml}*Variabile/1000

    Poi viene configurato il file XAML.

Configura bargraf

  1. cliccate sull´elemento WPF e selezionate la proprietà Configurazione
  2. Il dialogo di configurazione mostra un´anteprima del file XAML selezionato
  3. selezionate il valore minimo, quello medio e quello massimo e collegate la variabile corrispondente nella proprietà Content

  4. selezionate lo Slider e collegate la proprietà Value con la variabile matematica (nel nostro esempio: calculation)
  5. Controllate la progettazione nel runtime:


Integra pulsante come WPF-XAML in zenon

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Esempi: Integrazione di WPF in zenon -> Integra pulsante come WPF-XAML in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Struttura dell´esempio:

  • Creazione di un pulsante in Microsoft Expression Blend
  • integra in zenon
  • Collegamento di una variabile o con una funzione.
  • Adattamento del pulsante alla grandezza dell´elemento.
  • Crea un pulsante

Create in primo luogo un pulsante come descritto nel capitolo Crea pulsante come file XAML con Microsoft Expression Blend. Per usare il file XAML in zenon, aggiungetelo nella visione ad albero del progetto nella cartella File/grafiche .

Integra pulsante

Nota: per la descrizione seguente viene usato un progetto di zenon con i seguenti contenuti:

  • un´immagine vuota come immagine di partenza
  • una variabile interna int del tipo Int
  • una funzione Funktion_0 del tipo setta valore impostabile con:
    • Attiva opzione Direttamente su Hardware
    • Valore impostabile settato a 45

Per integrare il pulsante:

  1. aprite anzitutto l´immagine vuota
  2. piazzate un elemento WPF nell´immagine
  3. selezionate nella finestra delle proprietà File XAML
  4. selezionate il file XAML (per es.: MyButton.xaml) e chiudete il dialogo
  5. selezionate la proprietà Configurazione

Configura pulsante

Il dialogo di configurazione mostra un´anteprima del file XAML selezionato. Nella struttura ad albero c´è una lista di tutti gli elementi nominati nel file XAML_:

  1. selezionate il pulsante WPF, che si trova inLayoutRoot->MyViewBox->MyButton
  2. Cercate nella scheda Proprietà l´inserimentoContent; esso contiene il testo del pulsante.
  3. cliccate nella colonna Tipo di collegamento
  4. Selezionate nella lista a cascata l´inserimento Variabile.
  5. cliccate nella colonna Collegamento
  6. Si apre il dialogo di selezione variabili.
  7. selezionate la variabile int, per collegarla alla proprietà Content.

Eventi

Per assegnare anche eventi:

  1. Selezionate la scheda Eventi.

  2. Cercate l´inserimento Click; questo evento viene avviato dall´elemento WPF non appena si clicca sul pulsante.
  3. cliccate nella colonna Tipo di collegamento
  4. Selezionate nella lista a cascata l´inserimento Funzione.
  5. cliccate nella colonna Collegamento
  6. Si apre il Dialogo di selezione funzioni.
  7. selezionate Funktion_0
  8. Confermate la modifica effettuata con OK.
  9. Aggiungete nell´immagine ancora un Elemento Valore numerico
  10. collegate anche questo Valore numerico alla variabile int.
  11. poi compilate i file runtime e avviate il runtime.

Nel runtime viene visualizzato l´elemento WPF; il testo del pulsante è 0. Non appena cliccate sul pulsante, viene avviato l´evento Clicke la funzione Setta valore impostabile viene eseguita. Il valore 45 viene settato direttamente sull´hardware e sia il Valore numerico, che il Pulsante indicano il valore 45 .

Settate per mezzo dell´elemento Valore numerico un valore impostabile di 30; in tal modo questo valore verrà ripreso anche dall´elemento WPF.

Autorizzazione

In modo analogo di quanto accade con un Valore numerico, un elemento WPF può essere bloccato (simbolo del lucchetto) oppure reso disponibile a seconda dell´autorizzazione di gestione. Settate a 1 il livello autorizzazione dell´elemento WPF e impostate un utente Test con lvello di autorizzazione 1. Poi impostate le funzioni Login con dialogo e Logout . Collegate queste due funzioni con 2 nuovi pulsanti con testo nell´immagine.

Nel dialogo di configurazione dell´elemento WPF, selezionate il pulsante WPF MyButton e scegliete il tab Proprietà

  1. Selezionate l´elemento IsEnabled
  2. cliccate nella colonna Tipo di collegamento
  3. Selezionate nella lista a cascata l´inserimento Autorizzazione di gestione/Blocco.
  4. cliccate nella colonna Collegamento
  5. Selezionate nella lista a cascata l´opzione Autorizzazione di gestione esistente.

  6. Chiudete il dialogo cliccando su OK.

Compilate i file runtime e fate attenzione a selezionare anche le Autorizzazioni di gestione per trasmissione. Dopo l´avvio del runtime, il pulsante WPF dell´immagine viene visualizzato come non attivo ed è inutilizzabile. Se effettuate il Login con l´utente Test, il pulsante viene attivato e può essere utilizzato. Non appena effettuate il Logout, il pulsante viene bloccato.

Trasformazione

Per poter usare delle trasformazioni, dovete adattare il file XAML.

  1. Passate al programma Expression Blend
  2. Selezionate MyButton, in modo tale che le proprietà del pulsante siano visibili nella finestra delle proprietà.

  3. Selezionate alla voce Transform di RenderTransform l´opzione Apply relative transform

    In tal modo, viene aggiunto un blocco al file XAML; esso salva durante il runtime le impostazioni per la trasformazione.

  4. Salvate il file e sostituite nel progetto zenon la vecchia versione con questo nuovo file.
  5. aprite di nuovo il dialogo di configurazione dell´ elemento WPF:
    1. Selezionate il pulsante MyButton.
    2. Passate alla scheda Trasformazioni

    1. Selezionate l´elemento RotateTransform.Angle
    2. cliccate nella colonna Tipo di collegamento
    3. Selezionate nella lista a cascata l´inserimento Trasformazioni.
    4. cliccate nella colonna Collegamento
    5. Si apre il dialogo di selezione variabili.
    6. selezionate la variabile int, per collegarla alla proprietà RotateTransform.Angle.

Poi compilate i file runtime e avviate il runtime. Effettuate il Login come utente Test e cliccate sul pulsante. Il pulsante riceve il valore 45 e l`elemento WPF ruota di 45°.


Integrare un controllo DataGrid in zenon

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Esempi: Integrazione di WPF in zenon -> Integrare un controllo DataGrid in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un controllo DataGrid per zenon avete bisogno di:

  • Visual Studio (in questo esempio Visual Studio 2015)

Creare un controllo utente WPF

  1. In Visual Studio create una nuova Solution e, al suo interno, un progetto WPF User Control Library in .NET Framework 4, o in una versione più recente.

    Informazioni: se il relativo modello di progetto non è contenuto nella lista dei quelli disponibili, lo si può aggiungere usando "Cerca" (campo situato in alto a destra della finestra di dialogo).

    Nel nostro esempio, il progetto riceve il nome DataGridControlLibrary.

  2. Create una nuova connessione dati nel Server Explorer,

    Nel nostro esempio usiamo la banca dati Northwind, messa a disposizione da Microsoft gratuitamente come esempio di database.

    Per creare la connessione database:

    1. Cliccate con il tasto destro del mouse su Data Connections.
    2. Selezionate Add connection….
    3. Scegliete Microsoft SQL Server (SQLClient) come Data source.
    4. Selezionate il corrispondente nome server e database.

    Dopo aver aggiunto una connessione, la finestra del Server Explorer dovrebbe avere più o meno il seguente aspetto:

    Il prossimo passo consiste nella creazione di un nuovo DataSet.

Creazione di un DataSet.

  1. Cliccate con il tasto destro del mouse sul progetto.
  2. Selezionate nel menù contestuale Add – New Item….
  3. Create un nuovo DataSet con il nome DataSet1.
  4. Cliccate due volte sul DataSet per aprirlo nella finestra di progettazione.
  5. Trascinate le tabelle che vi servono (in questo esempioCustomers e Orders) nella finestra di progettazione DataSet.

Il prossimo passo consiste nella modifica del file XAML.

Configurazione del file XAML

  1. Nel caso in cui non dovesse ancora esserci, aggiungete nel file XAML il Namespace come riferimento alla classe:

  2. Definite le risorse e il DataGrid, che deve essere usato in WPF:

    <UserControl.Resources>

    <local:DataSet1 x:Key="DataSet1"/>

    <CollectionViewSource x:Key="CustomersViewSource" Source="{Binding Path=Customers, Source={StaticResource DataSet1}}"/>

    </UserControl.Resources>

    <Grid DataContext="{StaticResource CustomersViewSource}">

    <DataGrid Name="DataGrid1" DisplayMemberPath="CompanyName" ItemsSource="{Binding}" SelectedValuePath="CustomerID" HorizontalAlignment="Stretch" VerticalAlignment="Stretch"/>

    </Grid>

  3. Aprite il file code-behind (UserControl1.xaml.cs) e aggiungete nel costruttore le seguenti righe:

    public UserControl1()

    {

    InitializeComponent();

    DataSet1 ds = ((DataSet1)(FindResource("DataSet1")));

    DataSet1TableAdapters.CustomersTableAdapter ta = new DataSet1TableAdapters.CustomersTableAdapter();

    ta.Fill(ds.Customers);

    CollectionViewSource CustomersViewSource = ((CollectionViewSource)(this.FindResource("CustomersViewSource")));

    CustomersViewSource.View.MoveCurrentToFirst();

    }

    Nel far ciò, avviene quanto segue:

    • Si ottiene il DataSet.
    • Si crea un nuovo TableAdapter.
    • Si riempe il Dataset.
    • Si rendono disponibili queste informazioni DataGrid Control

Adesso si può compilare la soluzione.

Build

Compilate adesso la soluzione. Adesso viene creato il corrispondente file DLL (DataGridControlLibrary.dll) nella cartella di output del progetto.

Adesso disponete della DLL che offre la funzionalità necessaria.

Tuttavia zenon può visualizzare solamente file XAML che non possono essere collegati al file code-behind; proprio per questo si ha bisogno di un ulteriore file XAML che referenzi il DDL appena creato.

A tale scopo:

  1. Create anzitutto un altro progetto, ancora una volta del tipo WPF User Control Library.
  2. Nel nostro esempio, esso viene nominato DataGridControl.
  3. Aggiungete in questo nuovo progetto una referenza al progetto appena creato.

  4. Il file XAML (UserControl1.xaml) ha il seguente aspetto:

  5. Visto che tutti i contenuti necessari sono presenti nella DLL creata in precedenza e che non si ha bisogno di un code-behind, cancellate:

    x:Class="DataGridControl.UserControl1"

    xmlns:local="clr-namespace:DataGridControl"

  6. Cancellate anche (per il posizionamento) le seguenti righe:

    mc:Ignorable="d"

    d:DesignHeight="300" d:DesignWidth="300"

  7. Cancellate il file code-behind (UserControl1.xaml.cs) in questo progetto.
  8. Definite quello che deve essere visualizzato nel file XAML.

    Per far ciò, modificate il file XAML nel modo seguente:

    <UserControl xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"

    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"

    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"

    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"

    xmlns:dataGridLibrary="clr-namespace:DataGridControlLibrary;assembly=DataGridControlLibrary">

    <Grid x:Name="Grid1">

    <dataGridLibrary:UserControl1 Name="DataGridControl" HorizontalAlignment="Left" VerticalAlignment="Top"/>

    </Grid>

    </UserControl>

    La riga xmlns:dataGridLibrary="clr-namespace:DataGridControlLibrary;assembly=DataGridControlLibrary" definisce lo spazio nome dataGridLibrary e stabilisce che esso deve usare l´assembly precedentemente creato.

  9. Assegnate un nome al Grid.
  10. Aggiungete il Control dataGridLibrary:UserControl1 della nostra libreria e assegnate un nome, perché zenon può modificare solamente quegli oggetti che hanno un nome.
  11. Compilate adesso la soluzione.

Il prossimo passaggio illustra come implementare la DLL, nonché il file XAML in zenon.

Passi in zenon

  1. Aprite l´Editor di zenon
  2. Passate al nodo File -> Grafiche.
  3. Selezionate nel menù contestuale Aggiungi file...

  4. Scegliete il file XAML nel luogo di salvataggio (UserControl1.xaml dal progetto DataGridControl) e aggiungetelo:

  5. Aggiungete il DLL con la funzionalità per il file XAML.

    A tale scopo:

    1. Selezionate nel menù contestuale del nodo File -> Altri Aggiungi file....
    2. Selezionate il file DataGridControlLibrary.dll del primo progetto (DataGridControlLibrary).

  6. Impostate un´immagine di zenon.
  7. Aggiungete un elemento WPF e selezionate il file XAML precedentemente implementato.

    Adesso dovreste vedere quanto segue nell´Editor di zenon:

  8. Avviate il Runtime di zenon per testare il control anche lì.

attention Attenzione

Gli assembly vengono rimossi dopo il caricamento solo quando l´applicazione viene chiusa. Ciò significa:

Se un file WPF viene visualizzato con un assembly referenziato in zenon, questo assembly viene caricato e si trova nella memoria fino alla chiusura di zenon, anche se l´immagine è stata chiusa. Se volete eliminare un assembly dalla cartella File/Altri, prima di tutto bisogna riavviare l´editor in modo tale che l´assembly venga rimosso.


Gestione errori

Manuale -> Controls -> Elemento WPF -> Engineering in zenon -> Gestione errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimenti nei file LOG.

Inserimento | Level | Significato
Xaml file found in %s with different name, using default! | Avviso | Il nome del file collection e quello del file XAML in esso contenuto non corrispondono. Per evitare dei conflitti interni, nella cartella viene usato il file con il nome del file collection e la desinenza .xaml.
no preview image found in %s | Avviso | Il file collection non contiene una grafica anteprima valida (preview.png oppure [Nome del file XAML].png). Perciò non può essere visualizzata nessuna anteprima.
Xaml file in %s not found or not unique! | Errore | Il file collection non contiene nessun file XAML, oppure più file con la desinenza .xaml; non può essere usato.
Could not remove old assembly %s | Avviso | Nella cartella di lavoro si trova un assembly che deve essere sostituito con una nuova versione, ma non può essere cancellato.
Could not copy new assembly %s | Errore | Per un assembly nella cartella di lavoro è disponibile una nuova versione, che però non può essere copiata nella cartella stessa. Possibile causa: per es. il vecchio Assembly è ancora caricato. La vecchia versione continua ad essere usata, la nuova non può essere utilizzata.
file exception in %s | Errore | Si è verificato un errore file nel momento di accedere al file collection.
Generic exception in %s | Errore | Si è verificato un errore generale al momento di accedere al file collection.


Conversione progetto

Manuale -> Conversione progetto

Se si usano le nuove versioni di zenon, i progetti che sono stati realizzati con le precedenti, devono essere anzitutto convertiti nella nuova versione. Se nell´effettuare la conversione ci sono da tener presenti determinate proprietà oppure modifiche, esse verranno descritte nelle indicazioni che forniremo in questa guida sulla conversione.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Conversione in caso di update e downgrade

Se effettuate un update per passare ad una versione più recente di zenon, i progetti vengono convertiti automaticamente nella nuova versione al momento in cui vengono aperti. Da questo momento, il progetto non può più essere modificato usando le versioni dell´editor precedenti. Il sistema, però, provvede anche a creare un backup del progetto convertito nella sua versione originale.

Non è possibile una conversione di un progetto che è stato realizzato usando una versione superiore in una versione precedente (Downgrade).

Compatibilità con le versioni precedenti

A partire dalla versione 6.21, i progetti sono compatibili verso il basso per il runtime. Il che significa, che essi possono essere modificati anche con l´editor di una versione con un numero superiore. La compatibilità verso il basso del runtime è particolarmente utile quando si intende usare diverse versioni, come, ad esempio: un progetto che è stato realizzato usando la versione 6.50 può essere usato anche su un runtime che funziona ancora sotto 6.22.

attention Attenzione

Se in un progetto vengono impostate delle proprietà con un editor di una versione superiore, le quali non sono disponibili con una versione precedente, si possono verificare dei problemi indesiderati durante il funzionamento runtime.

Noch in diesem Kapitel

Procedura consigliata per convertire i file Runtime

Conversione di progetti multiutente nel caso di diverse versioni della banca dati SQL

Conversione dalla versione 2.20 a quella 3.04

Conversione dalla versione 3.04, 3.50 a quella 3.52

Conversione dalla versione 3.52 a quella 5.11

Conversione della versione 3.52 a 5.x o a 6.x

Conversione dalla versione 5.11 a quella 5.50

Conversione dalla versione 5.50 a quella 6.01

Conversione dalla versione 5.50 a S7 dBase Export

Conversione dalla versione 6.01 a quella 6.20

Conversione dalla versione 5.50 alla versione > 6.22SP1

Conversione dalla versione X alla versione 06:21

Conversione dalla versione X alla versione 06:22

Conversione dalla versione X alla versione 6.50

Conversione dalla versione X alla versione 06:51

Conversione dalla versione X alla versione 07:00

Conversione dalla versione X alla versione 07:10

Conversione dalla versione X alla versione 07:11

Conversione dalla versione X alla versione 07:20

Conversione dalla versione X alla versione 07:50


Procedura consigliata per convertire i file Runtime

Manuale -> Conversione progetto -> Procedura consigliata per convertire i file Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando effettuate una conversione di progetto fate attenzione che vengano convertiti correttamente anche i file modificabili durante il Runtime.

Per convertire i file modificabili durante il Runtime:

  1. importate i file dal Runtime nella versione originaria dell´Editor.
  2. Eseguite l´update per la nuova versione.
  3. nell´ambito delle proprietà di progetto, passate alla sezione Generale
  4. Cliccate sulla proprietà RT dati modificabili
  5. Si apre il dialogo delle impostazioni dei file modificabili durante il Runtime.

  6. Disattivate tutte le checkbox della colonna Non rigenerare e trasmettere
  7. Compilate il progetto (Creare tutti i file Runtime)
  8. Modificate le checkbox nella proprietàRT dati modificabili riportandole allo stato prima della conversione.


Conversione di progetti multiutente nel caso di diverse versioni della banca dati SQL

Manuale -> Conversione progetto -> Conversione di progetti multiutente nel caso di diverse versioni della banca dati SQL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si convertono progetti multiutente in una versione di zenon che utilizza una versione più recente del server SQL, si deve tener presente quanto segue. .

Attenzione: I progetti multiutente possono essere convertiti solo se non è in fase di modifica nessun elemento. Tutti i dipendenti, perciò, devono anzitutto accettare le loro modifiche. Nel caso in cui ciò non dovesse essere possibile per qualsiasi ragione, anzitutto deve essere effettuato un backup di progetto sul server SQL di progetto e anche di questo deve essere realizzato un backup. Tutte le informazioni In modifica vengono cancellate.

attention Attenzione

Tutte le modifiche degli stati locali del progetto vanno persi.

La conversione può essere eseguita solamente su quel computer sul quale si trova la banca dati centrale del progetto. Se essa si trova su un computer sul quale non è installato nessun Editor (Standalone, Server banca dati), si deve anzitutto installare su questo computer l'Editor della vecchia versione. Solo dopo si può effettuare la conversione su questo computer.

Istruzioni: update a nuova versione con nuova banca dati.

Partiamo dal presupposto che la vecchia banca dati non viene più utilizzata. In questo caso accade quanto segue:

  • si tiene conto dei file runtime modificabili
  • vengono eliminati client multi-utente dal backup di progetto.

Compiti nella versione di zenon precedente all´ultima

I seguenti passaggi vengono eseguiti su tutti i calcolatori client di progetti multiutente:

  1. eseguite su tutti i client per tutti gli oggetti con lo stato Consenti modifiche, o Conferma modifiche. oppure Annullare i cambiamenti . Nessun oggetto deve avere lo stato rendere possibili le modifiche.
  2. Cancellate la relativa copia locale di progetto nell´Editor.

I seguenti passi vengono eseguiti sul calcolatore con la banca dati per i progetti multiutente:

  1. Opzionale: importate tutte le modifiche che sono state effettuate nel Runtime:
    1. Per tutti i moduli: settate lo stato rendere possibili le modifiche.
    2. Passate alle proprietà di progetto Generale -> RT dati modificabili e settate tutti i Checkbox per Non decompilare su inattivo.
    3. effettuate un backup di tutti i file del Runtime via Trasporto Remoto nell´Editor.
    4. settate di nuovo i Checkbox in RT dati modificabili sullo stato desiderato.
    5. Per tutti i moduli: settate lo stato Confermare modifiche
    6. Ripetete questi passaggi per tutti i progetti.
  2. Selezionate nel menù contestuale del workspace il comando Inserisci progetto esistente
  3. Passate al progetti, aprite il sottonodo Copie di progetto locali connesse.
  4. Eseguite il seguente passaggio per tutti calcolatori che compaiono nella lista, fatta eccezione per quello che funge da server banca dati.
    • Cliccate con il tasto destro del mouse sul calcolatore collegato e selezionate Chiudi connessione.
  5. Ripetete i passaggi da 2 a 4 per tutti i progetti.
  6. Create un backup per il workspace e per ogni progetto.

Compiti nella nuova versione di zenon

I seguenti passi vengono eseguiti sul calcolatore con la banca dati per i progetti multiutente:

  1. installate il nuovo Editor.
  2. Riavviate il computer.
    Nota: a partire da questo momento non viene più utilizzata la vecchia banca dati.
  3. Rileggete il backup del workspace:
    1. selezionate la stessa cartella nella quale si trovava l´area di lavoro della vecchia versione.
    2. Selezionate Sì per sovrascrivere l´area di lavoro esistente.
    3. Selezionate SÍ per convertire tutti i progetti.
  4. Assicuratevi che la port 1433 non sia bloccata da un firewall, oppure aggiungete il browser SQL alle eccezioni alle regole riguardanti il firewall.
  5. Assicuratevi che il nuovo server SQL consenta le connessioni remote.
    A tal scopo, collegatevi al SQL Server Management Studio e verificate le impostazioni nella sezione Connections.

I seguenti passaggi vengono eseguiti su tutti i calcolatori client di progetti multiutente:

  1. installate il nuovo Editor.
  2. Riavviate il computer.
  3. Aprite l´area di lavoro esistente.
    Nella finestra di emissione verranno visualizzate delle segnalazioni di errore.
  4. Selezionate nel menù contestuale del workspace il comando Inserisci progetto esistente
  5. Inserite il nome del calcolatore con la banca dati per i progetti multiutente.
  6. Selezionate "Aggiorna".
  7. Selezionate il progetto che deve essere inserito.
    1. Iniziate dal progetto globale.
    2. Inserite poi, se esistente, il progetto di integrazione.
    3. Inserite poi tutti gli altri progetti desiderati.

I progetti dovrebbero adesso trovarsi nell´area di lavoro ed essere aggiornati.


Conversione dalla versione 2.20 a quella 3.04

Manuale -> Conversione progetto -> Conversione dalla versione 2.20 a quella 3.04

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Ristrutturazione della banca dati


Ristrutturazione della banca dati

Manuale -> Conversione progetto -> Conversione dalla versione 2.20 a quella 3.04 -> Ristrutturazione della banca dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  1. Create una directory temporanea e di un a sottocartella. Nome della sottocartella: XX. Ad esempio: C:/TEMP/XX; C:/TEMP indica il percorso della banca dati originaria e C:/TEMP/XX quello della banca dati ristrutturata. Non dimenticate di effettuare il backup della vostra banca dati originaria.
  2. Copiate la banca dati originaria, REV.BAT e DATAMGR.RDL in C:/TEMP
  3. Copiate i nuovi file DBD (della nuova banca dati) e il file DBAREORG.EXE nella cartella XX.
  4. Impostate i percorsi per la directory nella quale si trovano DBREV.EXE e INITDB.EXE, oppure copiate questi file sia in C:/TEMP, che in C:/TEMP/XX. Verificate se questi due programmi possono essere avviati nella finestra DOS senza indicazione di percorso.
  5. Assicuratevi che ci sia abbastanza spazio nell'area di memoria di DOS (minimo 500 K).
  6. Apertura del file Batch REV.BAT nella finestra DOS.

    Contenuto

    del *.taf

    del *.log

    cd xx

    del *.taf

    del *.log

    initdb datamgr

    cd..

    dbrev -r -v -q -s datamgr.rdl datamgr xx/datamgr
  7. Avviate DBAREORG.EXE nella directory zenon di Windows (Esegui file).
  8. Impostazione del percorso nel quale si trova la banca dati (XX) mediante CONVERT 2xx -> 3xx e IMPOSTAZIONIPERCORSO.
  9. Avviare la ristrutturazione mediante CONVERT 2xx -> 3xx e KONVERTIERE.
  10. La ristrutturazione è conclusa. La nuova banca dati si trova nel percorso XX. Se ci sono, cancellate i file TAF dal percorso XX. La banca dati originale si trova ancora nel percorso TEMP.
  11. Nel caso in cui la ristrutturazione non sia riuscita al primo tentativo, bisogna ritentare a partire dal punto 1, visto che altrimenti la banca dati ristrutturata dovrebbe essere convertita un'altra volta.

Risultato della ristrutturazione: | sono state convertite tutte le immagini.
 | sono state convertite tutte le variabili.
 | sono state convertite tutte le funzioni, ma bisogna collegarle di nuovo. Eccezione: la funzione diretta immagine non deve più essere ricollegata.
 | viene creato un file Log (DBAREORG.LOG) (nella cartella da cui è stato avviato DBAREORG.EXE). Qui potete trovare informazioni sulle funzioni non collegate..

Noch in diesem Kapitel

Ristrutturazione della banca dati nel caso di una modifica delle strutture.


Ristrutturazione della banca dati nel caso di una modifica delle strutture.

Manuale -> Conversione progetto -> Conversione dalla versione 2.20 a quella 3.04 -> Ristrutturazione della banca dati -> Ristrutturazione della banca dati nel caso di una modifica delle strutture.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  1. Create di un sottocartella temporanea. Nome della sottocartella: XX
  2. Copiate i nuovi file DBD nel percorso XX.
  3. Eseguite il file Batch REV.BAT:

    Contenuto

    del *.taf

    del *.log

    cd xx

    del *.taf

    del *.log

    initdb datamgr

    cd..

    dbrev -r -v -q datamgr xx/datamgr


Conversione dalla versione 3.04, 3.50 a quella 3.52

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Sistema operativo

Export AML / CEL

Archivi AML / CEL

Funzionamento di rete

Archivi

Layer

Curve

Compatibilità con le versioni precedenti

Database (banca dati)

Documentazione (Interrogazione QRF)

Formati tempo americani

Stampante allarmi

Simboli

Funzione di zoom

Backup progetto

Filtro per la finestra di sistema

Variabile export

Collega elementi di testo


Sistema operativo

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Sistema operativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La versione 3.52 funziona solamente sotto Windows NT 4.0 e WIN 95.


Export AML / CEL

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Export AML / CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il nome di export di inserimenti AML/CEL è cambiato. Adesso è Ajjmmdd.TXT oppure Cjjmmdd.TXT. Per l'export non c'è una funzione, che, ad esempio, può essere aperta tramite i temporizzatori. Decadono le vecchie impostazioni.


Archivi AML / CEL

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Archivi AML / CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In linea di principio vengono scritti adesso archivi per AML e CEL. Questi archivi giornalieri non hanno un limite di file. Perciò è possibile che si debba progettare una funzione di cancellazione. In tal modo assicurate che non venga riempita con gli archivi tutta la capacità memoria del disco fisso (vedi funzioni operazioni dati). Al momento di leggere gli archivi, la memoria disponibile viene delimitata tramite il seguente inserimento zenon6.ini.

[ARCHIV]

...

MEMORIA=1000 (default=1000, corrisponde a 1MB)


Funzionamento di rete

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Funzionamento di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I driver devono essere modificati a locale. Nel capitolo [Comandi] del zenon6.ini bisogna cancellare l'inserimento Treiber=.


Archivi

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Archivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli archivi vengono salvati adesso in una sottodirectory del percorso di progetto. I file ARV esistenti vengono spostati quando si ravvia il sistema.


Layer

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Layer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Non viene supportato nessun layer nell´import DXF. I layer vengono adesso chiamati simboli.


Curve

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Curve

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le curve sono state sostituite da segmenti di curve. Le curve esistenti vengono mantenute fino alla modifica.


Compatibilità con le versioni precedenti

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Compatibilità con le versioni precedenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La versione 3.52 non è compatibile verso il basso. (Riguarda, per esempio, zenon.ini, simboli e gestione delle funzioni)


Database (banca dati)

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Database (banca dati)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Viene fornito un nuovo file di struttura per la banca dati. (DATAMGR.DBD,20.11.1996,14.759 Byte)

Si ha bisogno di questo file per gli archivi di charge e lo si deve copiare nella cartella di progetto.

Eliminare i file *.TAF e *.LOG nella cartella di progetto.


Documentazione (Interrogazione QRF)

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Documentazione (Interrogazione QRF)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nei file QRF sono state modificate le interrogazioni per VARIABLE e testo lungo.

  • field VARIABLE = dwkanalNr translate using 1 display as left (30);
  • field LANGTEXT = dwkanalNr translate using 6 display as left (39);


Formati tempo americani

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Formati tempo americani

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Non viene supportato AM/AP come formato di tempo.


Stampante allarmi

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Stampante allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In caso di mancato funzionamento della stampante allarmi, si passa automaticamente alla stampata standard di Windows. Nel caso in cui si voglia una stampa, si deve cancellare nell'Editor la visualizzazione della stampante allarmi.


Simboli

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo una nuova scala e prima del loro salvataggio nella libreria, i simboli devono essere sciolti e riordinati. Le bitmap nei simboli debbono essere salvate separatamente. I file di simboli vengono depositati nel percorso ../zenon.


Funzione di zoom

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Funzione di zoom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione di zoom può essere usata per controllare e per modificare elementi.


Backup progetto

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Backup progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una banca dati consiste adesso dei file:

*.VBF

*.IDX

*.DAT

*.BIN

*.DBD

*.INI

*.MDB

*.MIB (per NWM III)

*.NWM (per NWM III)

*.EMS (per 230 EMS)

Per salvare gli archivi (*.ARV,*.CEL,*.AML) si deve tenere presente il sottopercorso corrispondente.

attention Attenzione

Il file ALARM.BIN nel percorso archivi salva l'ultimo stato della AML al momento della chiusura del Runtime e non ne dovrebbe essere effettuato un backup.


Filtro per la finestra di sistema

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Filtro per la finestra di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Consigliamo di controllare i filtri per la finestra di sistema in riferimento alla nuova funzionalità (per es, schedulatore, accessi archivi per AML/CEL).


Variabile export

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Variabile export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l'uso del file di esportazione sotto DBASE, Foxpro, deve essere limitata la larghezza massima delle colonne per il nome della variabile e testo lungo di 128 al massimo di 100 caratteri.

A questo scopo è necessario settare il seguente inserimento zenon6.ini.

[EXPORT]

MAX_LAENGE= z. B. 40


Collega elementi di testo

Manuale -> Conversione progetto -> Conversione dalla versione 3.04, 3.50 a quella 3.52 -> Collega elementi di testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Adesso i testi non sono più centrati nei progetti vecchi, ma con orientamento a sinistra. E' possibile modificare ciò facendo uso della parametrizzazione dell'elemento. Nel caso in cui nei progetti esistenti si renda necessario un adattamento di ampie dimensioni, procedete come segue:

  1. inserire zenon6.ini [Editor] Konvert=1
  2. Aprite nell'Editor alla voce 'apri immagine', settate 'elementi di testo vecchi' e aprire e salvare l'immagine corrispondente. Ripetete l'operazione per ogni immagine in questione.
  3. cancellare zenon6.ini [Editor] Konvert=1.


Conversione dalla versione 3.52 a quella 5.11

Manuale -> Conversione progetto -> Conversione dalla versione 3.52 a quella 5.11

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Lavori che vengono eseguiti nella versione 3.52.

Lavori che vengono eseguiti nella versione 05:11.


Lavori che vengono eseguiti nella versione 3.52.

Manuale -> Conversione progetto -> Conversione dalla versione 3.52 a quella 5.11 -> Lavori che vengono eseguiti nella versione 3.52.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Lavoro di preparazione

Caratteri girati

Nome immagine con segni speciali


Lavoro di preparazione

Manuale -> Conversione progetto -> Conversione dalla versione 3.52 a quella 5.11 -> Lavori che vengono eseguiti nella versione 3.52. -> Lavoro di preparazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per sicurezza dovreste effettuare un backup del progetto nella vecchia versione.

La banca dati del progetto dovrebbe essere controllata con il tool DBCHECK fornito con la versione 3.52. Nel caso in cui nel corso di questo controllo dovessero verificarsi degli errori, potete ripararli con il tool DBFIX fornito con la versione 3.52.


Caratteri girati

Manuale -> Conversione progetto -> Conversione dalla versione 3.52 a quella 5.11 -> Lavori che vengono eseguiti nella versione 3.52. -> Caratteri girati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I caratteri girati si comportano (per quello che concerne il posizionamento) nella versione 3.52 in modo diverso dalla versione 5.50 e devono essere modificati.

Per ottenere una visualizzazione compatibile con la versione 3.52, si deve effettuare il seguente inserimento nel project.ini.

[Version]

TEXT352=1


Nome immagine con segni speciali

Manuale -> Conversione progetto -> Conversione dalla versione 3.52 a quella 5.11 -> Lavori che vengono eseguiti nella versione 3.52. -> Nome immagine con segni speciali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nomi immagini non possono contenere nessun segno speciale, come / / : * ? <> | Ä Ö Ü; questo perché le immagini vengono salvate come file. Il sistema operativo Windows non permette di utilizzare tali segni speciali.

Nel caso in cui, però, dei nomi immagine già esistenti dovessero contenere tali segni, i nomi debbono essere modificati nella versione precedente, per esempio, nella 3.52, prima di poter essere ripresi nella versione 5.x.

attention Attenzione

Anche tutte le funzioni che contengono dei nomi immagine non validi, devono essere modificate.

Nel caso in cui questa modifica non venga effettuata, le immagini in questione non vengono convertite e, di conseguenza, non sono a disposizione nella versione 5.x.

attention Attenzione

Se in un progetto 3.5x mancando dei modelli, oppure ci sono delle attribuzioni vuote, appare all'avvio del Runtime 5.11 la seguente segnalazione di errore: si è cercato di accedere ad un file dietro la fine file e il Runtime si interrompe.

Perciò è necessario controllare se nei vecchi progetti 3.5x ci siano dei modelli mancanti, oppure delle attribuzioni vuote, prima di passare alla conversione.


Lavori che vengono eseguiti nella versione 05:11.

Manuale -> Conversione progetto -> Conversione dalla versione 3.52 a quella 5.11 -> Lavori che vengono eseguiti nella versione 05:11.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La versione 5.11 di zenon deve essere installata.

Noch in diesem Kapitel

Licenza


Licenza

Manuale -> Conversione progetto -> Conversione dalla versione 3.52 a quella 5.11 -> Lavori che vengono eseguiti nella versione 05:11. -> Licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I numeri licenza della versione 5.x non sono più compatibili con quelli delle versioni precedenti. Per gli updates devono essere ordinati nuovi numeri di licenza i quali devono essere poi inseriti nell'Editor. Le licenze per tutte le versioni fino alla 3.52 non sono interessate da quanto prima detto, visto che i nuovi numeri di serie vengono salvati sotto nuovi inserimenti nel zenon.ini. zenon.ini:

[DEFAULT]

SERIAL5=xxx

ACTIVATIONKEY5=xxx

Nelle Start-ICON non deve essere più indicato un nome di login.

Un progetto esistente deve essere integrato in un nuovo workspace.

Il driver di simulazione lavora adesso con lo stesso modello driver di tutti gli altri driver. Alla voce driver/configurazione si deve scegliere l'hardware.

Dopo che il progetto 3.52 è stato letto e le immagini sono state convertite, si deve procedere a selezionare il giusto profilo del monitor e ad avviare di nuovo l'Editor.

In zenon.ini c'è un inserimento che definisce la dimensione del buffer del driver. Di norma vale per il valore il numero delle variabile per 10.

[RT]

DRIVER_QUE =50000

Nel caso in cui questo valore dovesse essere troppo piccolo, si verificano dei problemi di attualizzazione nella visualizzazione.

Si consiglia di allarmare un Überlauf. A tal scopo è a disposizione una variabile del driver di sistema: Project info/Driver queue.


Conversione della versione 3.52 a 5.x o a 6.x

Manuale -> Conversione progetto -> Conversione della versione 3.52 a 5.x o a 6.x

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Conversione dell´elemento dinamico Interruttore


Conversione dell´elemento dinamico Interruttore

Manuale -> Conversione progetto -> Conversione della versione 3.52 a 5.x o a 6.x -> Conversione dell´elemento dinamico Interruttore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli interruttori impostati in un progetto realizzato con la versione 3.52 devono essere convertitit via XML export per poter essere utilizzati in una versione più recente di zenon.

Procedura nella nuova versione di zenon:

  1. menu contestuale Immagini -> Esporta tutti in XML
  2. Esporta immagini in nuovo file
  3. menu contestuale Immagini -> Importa file XML
  4. seleziona e importa file esportato


Conversione dalla versione 5.11 a quella 5.50

Manuale -> Conversione progetto -> Conversione dalla versione 5.11 a quella 5.50

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Lavori che vengono eseguiti nella versione 05:11.

Lavori che vengono eseguiti nella versione 05:50.


Lavori che vengono eseguiti nella versione 05:11.

Manuale -> Conversione progetto -> Conversione dalla versione 5.11 a quella 5.50 -> Lavori che vengono eseguiti nella versione 05:11.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si consiglia di effettuare un backup dello stato attuale prima della conversione. Devono essere salvati i dati di progetto, nonché i file Runtime modificabili.

La banca dati di progetto dovrebbe essere controllata, e, se necessario, riparata. Delle informazioni ulteriori sull'argomento si trovano sul supporto di installazione alla voce Software/TOOLS/DB_TOOLS/DB_DOKU.DOC.


Lavori che vengono eseguiti nella versione 05:50.

Manuale -> Conversione progetto -> Conversione dalla versione 5.11 a quella 5.50 -> Lavori che vengono eseguiti nella versione 05:50.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La versione 05:50 di zenon deve essere installata.

Dopo l'avvio dell'Editor può essere aperto il vecchio workspace. Poi avviene un'automatica conversione di tutti i progetti.

Dopo che sono stati generati i file Runtime, quest'ultimo può essere avviato.


Conversione dalla versione 5.50 a quella 6.01

Manuale -> Conversione progetto -> Conversione dalla versione 5.50 a quella 6.01

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

attention Attenzione

Le parole chiave non tradotte presenti nella tabella lingua vengono cancellate al momento della conversione.

Noch in diesem Kapitel

Lavori che vengono eseguiti nella versione 05:50.

Lavori che vengono eseguiti nella versione 06:01.


Lavori che vengono eseguiti nella versione 05:50.

Manuale -> Conversione progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 05:50.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prima di effettuare la conversione, si deve realizzare prima di tutto un backup dei dati sul computer di progettazione. Solo dopo si può dare avvio alla conversione.

Nella finestra delle proprietà del progetto trovate alla voce 'Generale' il dialogo 'file RT modificabili'. In questa sede potete fissare quali dati debbono essere modificati. Ulteriori informazioni su questo tema le trovate alla voce File RT modificabili.

Noch in diesem Kapitel

Nome funzione

Progetti

I dati di progettazione modificabili nel Runtime (utente, ricette ecc.)

Dati

Profili

Driver 3S Arti (da SP2)


Nome funzione

Manuale -> Conversione progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 05:50. -> Nome funzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si deve fare attenzione che non ci siano nomi funzioni doppi nel progetto. Visto che nella versione 5.50 non devono essere indicati necessariamente dei nomi funzione, zenon non effettua un controllo volto a verificare la univocità. Ciò non è necessario neppure per la versione 5.50. Nella versione 6.x, tuttavia, le funzioni vengono identificate in base al loro nome.


Progetti

Manuale -> Conversione progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 05:50. -> Progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prima di aprire un progetto 5.50 nell´editor della versione 6 esso deve prima essere convertito. (File – inserire progetto 5.50 ...) Proseguendo in questa maniera il vecchio progetto rimane intatto e ne viene creata una copia nel server SQL. Vi preghiamo di tenere presente che diversi file e percorsi esterni non vengono accettati nella nuova struttura dell'Editor e del Runtime Dovere modificare manualmente questi file/percorsi, oppure inserirli manualmente nei progetti (nella struttura ad albero del progetto, alla voce File).

Ciò riguarda, ad esempio: sottocartelle definite dall'utente nel percorso di progetto, percorsi lista estesi, banche dati, percorsi di export ecc.


I dati di progettazione modificabili nel Runtime (utente, ricette ecc.)

Manuale -> Conversione progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 05:50. -> I dati di progettazione modificabili nel Runtime (utente, ricette ecc.)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

devono essere soggetti a backup nell'Editor prima della conversione in modo tale che non vada perduta nessuna modifica realizzata nel Runtime.


Dati

Manuale -> Conversione progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 05:50. -> Dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I file generati dal Runtime, come ad esempio, file AML, CEL, dati HD, file Bin ess, sono compatibili. Essi debbono essere copiati manualmente nelle directory corrispondenti del Runtime della versione 6. Vi preghiamo di fare attenzione che i file vengono convertiti al primo avvio del Runtime. In caso di grandi quantità di dati, dovete tenere conto che la conversione durerà del tempo.


Profili

Manuale -> Conversione progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 05:50. -> Profili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I profili per Allarmi, Trend esteso ecc. vengono salvati nella versione 5.50 nel file con il nome del progetto e la formula finale zrt. (Es. per il progetto Misurazione il file si chiama Messung.zrt. Dovete cambiare il nome di questo file dopo la conversione del progetto in project.zrt. In seguito dovete salvare il file nello stesso percorso nella Runtime directory nella quale si trova anche il project.ini.


Driver 3S Arti (da SP2)

Manuale -> Conversione progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 05:50. -> Driver 3S Arti (da SP2)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per quello che concerne il driver 3S Arti, il nome del file di attribuzione delle variabili è cambiato. Proprio per questo motivo, il file deve essere rinominato prima che si proceda al ricavo via browser di nuove variabili dal PLC. Informazioni più dettagliate sull'argomento le trovate nella documentazione concernente i driver.


Lavori che vengono eseguiti nella versione 06:01.

Manuale -> Conversione progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 06:01.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La versione 06:01 di zenon deve essere installata.

Noch in diesem Kapitel

Licenza

Gestione utenti/sistema di password

Impostazioni di configurazione

Driver di simulazione:

Funzioni immagine


Licenza

Manuale -> Conversione progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 06:01. -> Licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I numeri licenza della versione 6.x non sono più compatibili con quelli delle versioni precedenti. Per gli updates devono essere ordinati nuovi numeri di licenza i quali devono essere poi inseriti nell'Editor. Le licenze per tutte le versioni fino alla 5.x non sono interessate da quanto prima detto, visto che i nuovi numeri di serie vengono salvati sotto nuovi inserimenti nel zenon6.ini invece che nello zenon.ini.


Gestione utenti/sistema di password

Manuale -> Conversione progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 06:01. -> Gestione utenti/sistema di password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella gestione utenti della versione 6.x c'è la nuova proprietà di Administrator. Da adesso in poi, solo gli amministratori possono modificare dati utenti nel Runtime. Visto che non esisteva ancora questa proprietà nelle versioni passate, essa rimane di Default non attiva per gli utenti esistenti. Nel caso in cui si voglia che deglu utenti possano modificare nel runtime dei dati utente, nella versione 6.x ciò deve essere configurato in un secondo momento!


Impostazioni di configurazione

Manuale -> Conversione progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 06:01. -> Impostazioni di configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sia tutte le proprietà dei progetti che le impostazioni sotto opzioni/impostazioni, inoltre, devono esser controllate.

Dopo che zenon.ini è stato sostituito da zenon6.ini, anche eventuali modifiche manuali (ad esempio per l'archiviazione l'inserimento SPEICHER=) nello zenon.ini devono essere copiate manualmente nello zenon6.ini.


Driver di simulazione:

Manuale -> Conversione progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 06:01. -> Driver di simulazione:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Visto che anche le impostazioni attuali del driver di simulazione sono salvate nel zenon.ini, adesso vengono usate quelle dello zenon6.ini per il comportamento Runtime. In questa sede, però, si trovano dopo la nuova installazione ancora le impostazioni di default. Si dovrebbe modificare questa situazione dopo la installazione a partire dal vecchio zenon.ini.

Dopo che sono stati generati i file Runtime, quest'ultimo può essere avviato.


Funzioni immagine

Manuale -> Conversione progetto -> Conversione dalla versione 5.50 a quella 6.01 -> Lavori che vengono eseguiti nella versione 06:01. -> Funzioni immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella versione 5.50 (e nelle precedenti) potevano essere collegati alle immagini solo script (ma non funzioni), che venivano eseguiti automaticamente all'apertura oppure alla chiusura dell'immagine.

Nella versione 6.01 (e nelle successive) è possibile collegare solo delle funzioni ad immagini; perciò vanno perduti i collegamenti con gli script. Le funzioni desiderate devono essere dunque collegate di nuovo con le immagini corrispondenti.


Conversione dalla versione 5.50 a S7 dBase Export

Manuale -> Conversione progetto -> Conversione dalla versione 5.50 a S7 dBase Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´effettuare la conversione di un progetto realizzato con la versione 5.50 si può verificare un errore. Tipica segnalazione di errore:
"Errore driver 'SIMUL32 - SIMULATORTREIBER' Variabile 'Sub_VISU_E1_IGEF' Tipo per oggetto primitivo '34' Tipo di dato 8 non definito. "

Causa:

Le variabili sono state impostate

  • su un driver S7
  • esportate come dBase
  • e poi reimportate sul driver di simulazione

Soluzione

  • esportare le variabili con zenon 5.50 come dBase
  • controllare nel file dBase tipo di oggetto del driver e tipo dato e poi adattare il driver in modo corrispondente


Conversione dalla versione 6.01 a quella 6.20

Manuale -> Conversione progetto -> Conversione dalla versione 6.01 a quella 6.20

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progetti della versione 6.01 devono essere convertiti quando sono caricati per la prima volta nell´editor attuale. Viene generato automaticamente un backup del progetto nel percorso /SQL/Backup.

attention Attenzione

Le parole chiave non tradotte presenti nella tabella lingua vengono cancellate al momento della conversione.

Noch in diesem Kapitel

File d'archivio

Esportazione archivio nella banca dati SQL


File d'archivio

Manuale -> Conversione progetto -> Conversione dalla versione 6.01 a quella 6.20 -> File d'archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6.20 SP0, i file d'archivio vengono salvati in formato ARX; prima veniva utilizzato quello ARV. Quando si converte un progetto, il sistema verifica al momento dello start del Runtime se ci sono dei file d'archivio in formato ARV nella cartella Runtime. Dopo la conferma della conversione, i file vengono modificati nel formato ARX. Questa conversione è effettuata per tutti i progetti prima dell’avvio del progetto. Nel corso del processo di conversione, vengono cancellati i file ARV. Per l´esportazione in SQL, devono essere aggiunte alla tabella delle ulteriori colonne.

Raccomandazione: Salvate i file ARV prima di effettuare la conversione.


Esportazione archivio nella banca dati SQL

Manuale -> Conversione progetto -> Conversione dalla versione 6.01 a quella 6.20 -> Esportazione archivio nella banca dati SQL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La tabella della banca dati <Nome progetto>_<Nome breve> ha ricevuto due ulteriori colonne:

  • GUID: char 36. prende il progetto-GUID da un altro progetto. E' "NULL" se la variabile proviene dallo stesso progetto.
  • STRVALUE: varchar. Assume i valori archiviati string. Per un valore numerico questo campo è “ZERO”
    La grandezza del campo dati varchar dipende dalla variabile string da archiviare più lunga. La lunghezza della variabile string viene definita nelle proprietà delle variabili.

La tabella della banca dati <Nome progetto>_VARIABLES è stata ampliata mediante l'aggiunta di un'ulteriore colonna:

  • GUID: char 36. prende il progetto-GUID da un altro progetto. E' "NULL" se la variabile proviene dallo stesso progetto.

Le nuove colonne devono essere inserite manualmente nella banca dati SQL, oppure provvede l'editor ad aggiungerle. Nell'editor bisogna passare per ogni archivio interessato alla scheda Salva . Qui si deve aprire la stringa di collegamento con la banca dati e confermare il dialogo. Alla chiusura del dialogo, le modifiche sono eseguite automaticamente nella banca dati.

attention Attenzione

Se non rendete effettive queste modifiche, non viene trasferito nessun dato di archivio nella banca dati SQL!


Conversione dalla versione 5.50 alla versione > 6.22SP1

Manuale -> Conversione progetto -> Conversione dalla versione 5.50 alla versione > 6.22SP1

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´effettuare la conversione di un progetto della versione 5.50 in una versione successiva, tenete presente:

Generale

  • Settare valore impostabile e Elemento combinato

    Dopo la conversione, la proprietà Setta valore impostabile è attiva in tutti gli elementi combinati. Visto che questa proprietà non esiste nella versione 5.50, la si deve disattivare manualmente in ogni elemento combinato dopo aver effettuato la conversione.

  • Copia progetti:

    Quando si copiano progetti nella versione 5.50, lo stesso GUID è nel file project.ini. Il primo progetto qui è stato sovrascritto nella conversione.

    Soluzione: Cancellate l´inserimento INI prima della conversione. In tal modo viene assegnato un numero GUID al momento della conversione.

  • Rendere invisibili i file grafici:

    Un file grafico deve essere invisibile in un elemento combinato in un determinato stato; in questa caso, nella versione 5.50 non veniva semplicemente selezionato in questo stato nessun file grafico. Dopo la conversione, nell´elemento combinato viene visualizzato un rettangolo, perché la proprietà Trasparente non è stata attivata.

    Soluzione: attivate la proprietà Trasparente per il file grafico. In tal modo ottenete la stessa funzionalità.

  • Nomi per immagini:

    Sono consentiti: cifre, lettere e i seguenti caratteri speciali: $, -, @, _, {}, ~, !, ()
    le dieresi e tutti gli altri caratteri speciali nel nome dell´immagine devono essere eliminati prima di effettuare la conversione.

Gruppi ricette e Windows CE

Quando si converte un progetto realizzato con la versione 5.50 con la proprietà Progetto WindowsCE attiva in una versione dal numero di serie superiore a 6.22.SP1, i gruppi ricette non vengono convertiti nella versione superiore.

Background: se la proprietà Progetto WindowsCE è attiva, il tipo di salvataggio viene settato su binary prima che la banca dati del manager gruppi ricette venga convertito. Per questo motivo, nella nuova versione non possono più essere impostati dei nuovi gruppi ricette.

Soluzione: disattivate la proprietà Progetto WindowsCE prima di effettuare la conversione.

A tal scopo, potete procedere come segue:

  • potete aprire il progetto nell´Editor della versione 5.50 e disattivare la proprietà
    oppure
  • potete modificare nel file INI del progetto l´inserimento corrispondente. Per far ciò:
    • aprite il project.ini del progetto
    • navigate fino alla sezione [RT]
    • settate l´inserimento WIN_CE=0


Conversione dalla versione X alla versione 06:21

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 06:21

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

zenon Webclient File CAB non più disponibile


zenon Webclient File CAB non più disponibile

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 06:21 -> zenon Webclient File CAB non più disponibile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´installazione automatica del zenon Web Client per mezzo del file CAB non è più possibile a causa delle restrizioni di sicurezza previste da Windows.


Conversione dalla versione X alla versione 06:22

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 06:22

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Autorizzazioni funzioni nel caso di ripristino allarmi

Report Generator Funzione fixed

VBA - Accesso diretto alle variabili per Request non è più possibile.

RGM - banca dati modificata

Modello - Lunghezza massima del nome


Autorizzazioni funzioni nel caso di ripristino allarmi

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 06:22 -> Autorizzazioni funzioni nel caso di ripristino allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6.22 di zenon le autorizzazioni per il ripristino di allarmi esistenti fino ad ora nelle proprietà del progetto alla voce "Autorizzazioni funzioni" sono state sostituite da 3 nuove. Per questo motivo la vecchia autorizzazione "Ripristina allarme" non ha più validità.

Nella conversione di progetti esistenti, le nuove autorizzazioni funzioni vengono sovrapposte a quelle vecchie. Il che significa che, se prima era necessario avere il livello 15 per la funzione "ripristina allarme", questo livello è necessario anche per le 3 nuove funzioni.

Per garantire la compatibilità dell'editor con le versioni precedenti può essere eventualmente necessario che si trasmetta il gruppo autorizzazione dalle nuove tre funzioni alla vecchia funzione. Per far ciò si usa il gruppo di autorizzazione più alto. Il che significa che, se le funzioni "Ripristina allarme mediante la barra degli allarmi" ha il livello di autorizzazione 5 e "Ripristina allarme attraverso le immagini" il livello di autorizzazione 2 e "Ripristina allarmi attraverso la funzione" il livello di autorizzazione 12, la funzione "Ripristino allarmi" riceve il livello di autorizzazione 12 per versioni precedenti.

info Informazioni su

Indicazione concernente la compatibilità online nel runtime: Se un progetto di una versione di zenon di numero inferiore a 6.22 viene avviato con la versione attuale del programma, il sistema offre la possibilità di impostare le tre nuove funzioni. In base al meccanismo che abbiamo descritto sopra, viene adottato solo il gruppo di autorizzazioni più alto. Il vecchio progetto non può utilizzare la nuova funzionalità.


Report Generator Funzione fixed

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 06:22 -> Report Generator Funzione fixed

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nelle versioni fino alla 5.50, la funzione fixed() dispone anche dell´argument no_seps. L´argument è opzionale e gestisce la visualizzazione di segni di separazione delle migliaia.

Questo argument non ha più alcun effetto sulla rappresentazione perché i segni di separazione di migliaia in zenon non vengono più utlizzati.


VBA - Accesso diretto alle variabili per Request non è più possibile.

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 06:22 -> VBA - Accesso diretto alle variabili per Request non è più possibile.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

VBA mette a disposizione dei nostri clienti uno strumento potente per la gestione della progettazione. La pratica ha messo in evidenza il fatto che, nel caso di una accesso alla variabili tramite VBA, si sono verificate spesso delle confusioni nell'uso dei metodi „Advise" tramite un Online Container e „Request" con apertura diretta. Troppe Request possono rallentare in modo consistente la comunicazione.

Per questo abbiamo deciso di esaudire il desiderio di molti clienti e di chiudere questa fonte di errori. Le variabili adesso sono dunque accessibili per VBA solo tramite „Advise".

Per i progetti esistenti ciò ha come conseguenza delle incompatibilità. La cosa Vi tange nel caso in cui vogliate accedere a delle variabili via VBA per „Request". In questo caso dovete modificare questi progetti. Dopo l'adattamento, però, potete approfittare di una comunicazione molto efficiente nel progetto.

Nuovo:

Un accesso di lettura delle variabili con VBA è possibile adesso solo nel caso in cui la variabile sia registrata nel driver (advised) e abbia anche un valore, cioè è IsOnline() true. Delle interrogazioni puramente spontanee (Requests) non sono più possibili.

Le seguenti funzioni sull'oggetto "Variabile" determinano un errore se non si verifica quanto segue:

  • Value
  • StatusValue
  • StatusExtValue
  • StatusString
  • LastUpdateTime
  • LastUpdateTimeMilliSeconds

Ciò significa che progetti esistenti non funzionano più nel Runtime dopo la coversione, visto che le funzioni citate non funzionano.

Possibilità di soluzione:

  • Definite per tutte le variabili interessate un Online Container.
    Vantaggio: Si accede alle variabili solo nel caso in cui esse siano veramente necessarie.
    Svantaggio: molto lavoro di programmazione
  • Impostate nelle proprietà delle variabili nel gruppo "Impostazioni ulteriori" l'opzione "DDE attivo" per tutte le variabili interessate.
    Vantaggio: facilità di realizzazione.
    Svantaggio: il driver richiede continuamente tutte le variabili.

attention Attenzione

Compatibilità limitata!

Controllate assolutamente dopo la conversone del progetto nella versione attuale tutte le macro VBA Runtime, se c'è un accesso diretto alle variabili. Se dovesse essere così, dovete prendere le misure sopra descritte!


RGM - banca dati modificata

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 06:22 -> RGM - banca dati modificata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella versione 6.22 SP1 il formato della banca dati usata per il riversamento dati è stato modificato. Ciò significa che la banca dati viene automaticamente modificata nell'Editor al momento della conversione del progetto.

Se volete modificare dei dati del Manager gruppi ricette nel funzionamento Runtime, dovete procedere nel modo seguente.

  1. avviate l'Editor della versione di partenza prima di convertire il progetto.
  2. Assicurate nelle proprietà di progetto RT dati modificabili che dei dati del Manager gruppi ricette possa essere effettuato un backup e che essi possano essere decompilati.
  3. Se fate funzionare il Runtime su un sistema remoto: create una connessione con il sistema remoto ed effettuate un backup dei dati Runtime. La funzionalità la trovate nella Barra simboli del Trasporto Remoto.
  4. Effettuate un backup dei dati Runtime nell'Editor. A questo scopo utilizzate il comando Importa file Runtime della barra dei simboli File Runtime.
  5. Chiudete il vecchio Editor e avviate il nuovo. Adesso potete convertire senza pericolo il progetto nella nuova versione. Tutti i dati saranno a disposizione nella nuova versione.

attention Attenzione

Le banche dati vecchie del Manager gruppi ricette di versioni più piccole di 6.22 SP1 non possono essere più letti nel runtime 6.22 SP1 (e in quelli delle versioni con numero più alto)! Se i dati non sono stati convertiti tramite l'Editor nel modo descritto prima, perdete tutte le modifiche delle ricette o dei gruppo di ricetta che avete effettuato nel Runtime.

Windows CE

Se un progetto viene convertito con l´opzione Progetto WindowsCE attiva, i dati vengono salvati in zenon 6.22 automaticamente in modo binario. La conseguenza di ciò è che, quando si apre il RGM, si ha l´impressione che tutte le ricette siano sparite.


Modello - Lunghezza massima del nome

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 06:22 -> Modello - Lunghezza massima del nome

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nomi di modelli possono avere al massimo 29 caratteri. In una versione precedente era possibile che tali nome potessero avere anche 30 caratteri. Prima di convertire un progetto, tutti i nomi di modelli con 30 caratteri, devono essere ridotti a 29.


Conversione dalla versione X alla versione 6.50

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 6.50

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progetti realizzati con versioni precedenti vengono convertiti automaticamente quando sono caricati per la prima volte nell´editor attuale. Viene generato automaticamente un backup del progetto nel percorso /SQL/Backup.

attention Attenzione

effettuate un backup prima della conversione dei dati modificabili nel runtime! Altrimenti vanno persi!

Noch in diesem Kapitel

zenon Logic

Impostazioni grafiche estese per AML e CEL

Bit di stato - nuova denominazione breve

Strutture per UDFB in zenon Logic

VSTA e VBA - Denominazione di oggetti


zenon Logic

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 6.50 -> zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´effettuare la conversione di progetti zenon Logic si deve tener conto di quanto segue:

attention Attenzione

Per zenon Logic vale quanto segue:

  • Tutti i progetti devono essere ricompilati nel workbench dopo la conversione, in modo tale che siano poi in grado di funzionare nel runtime di zenon Logic.
  • I progetti di una versione precedente che non sono stati convertiti nella versione 6.50. non possono funzionare nel runtime di quest´ultima versione.


Impostazioni grafiche estese per AML e CEL

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 6.50 -> Impostazioni grafiche estese per AML e CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6.50, l´elemento di controllo Lista informazioni allarmi nell´immmagine corrispondente (AML) e l´elemento di controllo Lista eventi nell´immagine Lista eventi cronologici (CEL) dispongono della proprietà Funzionalità grafiche avanzate.

Essa attiva l´uso e l´adattamento delle barre di scorrimento orizzontali e verticali, dell´intestazione e della griglia per l´elemento di controllo mediante le impostazioni corrispondenti nel gruppo Intestazione e griglia.

Se dei progetti realizzati con versioni precedenti vengono convertiti nella 6.5x, manca la proprietà Funzionalità grafiche avanzate. Per accedere alla proprietà, l´elemento di controllo Lista informazioni allarmi o Lista eventi deve essere cancellato dall´immagine e impostato di nuovo.


Bit di stato - nuova denominazione breve

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 6.50 -> Bit di stato - nuova denominazione breve

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6.20 esistevano diverse abbreviazioni per bit di stato nelle differenti lingue. Con la versione 6.50 di zenon, sono state introdotte delle abbreviazioni comuni a tutte le lingue. Per garantire la compatibilità con le versioni precedenti, le nuove abbreviazioni possono essere tradotte nelle vecchie nel project.ini. In questo capitolo trovate:

  1. una lista delle nuove abbreviazioni, incluso confronto con le vecchie.
  2. una lista delle abbreviazioni con le denominazioni complete.
  3. un´introduzione per riattivare vecchie abbreviazioni nel project.ini.

1. Stato Abbreviazione nuova

Bit Nr. | Da 6.50 tutti | Fino a 6.50 tedesco | Fino a 6.50 inglese | Fino a 6.50 francese | Fino a 6.50 italiano | Fino a 6.50 spagnolo | Fino a 6.50 russo
0 | M1 | ST_M1 | ST_M1 | ST_M1 | ST_M1 | ST_M1 | ST_M1
1 | M2 | ST_M2 | ST_M2 | ST_M2 | ST_M2 | ST_M2 | ST_M2
2 | M3 | ST_M3 | ST_M3 | ST_M3 | ST_M3 | ST_M3 | ST_M3
3 | M4 | ST_M4 | ST_M4 | ST_M4 | ST_M4 | ST_M4 | ST_M4
4 | M5 | ST_M5 | ST_M5 | ST_M5 | ST_M5 | ST_M5 | ST_M5
5 | M6 | ST_M6 | ST_M6 | ST_M6 | ST_M6 | ST_M6 | ST_M6
6 | M7 | ST_M7 | ST_M7 | ST_M7 | ST_M7 | ST_M7 | ST_M7
7 | M8 | ST_M8 | ST_M8 | ST_M8 | ST_M8 | ST_M8 | ST_M8
8 | NET_SEL | SELEC | SELEC | SELEC | SELEC | SELEC | ?????
9 | REVISION | REV | REV | REV | REV | REV | ???
10* | PROGRESS | LAUF | DIREC | DIREC | RUN | LAUF | ???
11 | TIMEOUT | LZÜ | RTE | DRT | RTE | LZÜ | ???
12 | MAN_VAL | HWERT | MVALUE | VAL_M | V_MAN | VWERT | ?????
13 | M14 | ST_14 | ST_14 | ST_14 | ST_14 | ST_14 | ST_14
14 | M15 | ST_15 | ST_15 | ST_15 | ST_15 | ST_15 | ST_15
15 | M16 | ST_16 | ST_16 | ST_16 | ST_16 | ST_16 | ST_16
16 | GI | GA | GI | RG | IG | CG | ??
17 | SPONT | SPONT | SPONT | SPONT | SPONT | SPONT | SPONT
18 | INVALID | I-BIT | I-BIT | I-BIT | NV-BIT | I-BIT | I-Bit
19 | T_CHG_A | SO/WI | SU/WI | ET/HI | ES/IN | VE/IN | ??/??
20 | OFF | N_AKT | N_UPD | N_RAF | N_UPD | N_AKT | N_AKT
21 | T_EXTERN | EZ_E | RT_E | HR_E | RT_E | EZ_E | EZ_E
22 | T_INTERN | EZ_I | RT_I | HR_E | RT_I | EZ_E | EZ_E
23 | N_SORTAB | NSORT | NSORT | NTRI | NORD | NSORT | ??????
24 | FM_TR | SM_TR | DM_TR | MD_TR | SM_TR | SM_TR | SM_TR
25 | RM_TR | LM_TR | RM_TR | MM_TR | RM_TR | LM_TR | ??_??
26 | INFO | INFO | INFO | INFO | INFO | INFO | INFO
27 | ALT_VAL | EWERT | AVALUE | VALR | RVAL | EWERT | ?????
28 | RES28 | RES13 | RES13 | RES13 | RES13 | RES13 | RES13
29 | N_UPDATE | !AKTUAL | !AKTUAL | !AKTUAL | !ATTUALE | !ACTUAL | !?????????
30 | T_STD | WINTER | WINTER | HIVER | INVERNO | INVIERNO | ????
31 | RES31 | RES16 | RES16 | RES16 | RES16 | RES16 | RES16
32 | COT0 | UEK0 | TCB0 | CTB0 | CTB0 | TCB0 | ???0
33 | COT1 | UEK1 | TCB1 | CTB1 | CTB1 | TCB1 | ???1
34 | COT2 | UEK2 | TCB2 | CTB2 | CTB2 | TCB2 | ???2
35 | COT3 | UEK3 | TCB3 | CTB3 | CTB3 | TCB3 | ???3
36 | COT4 | UEK4 | TCB4 | CTB4 | CTB4 | TCB4 | ???4
37 | COT5 | UEK5 | TCB5 | CTB5 | CTB5 | TCB5 | ???5
38 | N_CONF | PN_BIT | PN_BIT | PN_BIT | PN_BIT | PN_BIT | PN_BIT
39 | TEST | T_BIT | T_BIT | T_BIT | T_BIT | T_BIT | T_BIT
40 | WR_ACK | WR-ACK | WR-ACK | ECR-ACK | WR-ACK | WR-ACK | WR-ACK
41 | WR_SUC | WR-SUC | WR-SUC | ECR-OK | WR-SUC | WR-SUC | WR-SUC
42 | NORM | NORM | NORM | NORM | NORM | NORM | ????
43 | N_NORM | ABNORM | DEVNORM | DEVNORM | Fuori norma | DEVNORM | ???????
44 | BL_870 | BL_BIT | BL_BIT | BL_BIT | BL_BIT | BL_BIT | BL_BIT
45 | SB_870 | SB_BIT | SB_BIT | SB_BIT | SB_BIT | SB_BIT | SB_BIT
46 | NT_870 | NT_BIT | NT_BIT | NT_BIT | NT_BIT | NT_BIT | NT_BIT
47 | OV_870 | OV_BIT | OV_BIT | OV_BIT | OV_BIT | OV_BIT | OV_BIT
48 | SE_870 | SE_BIT | SE_BIT | SE_BIT | SE_BIT | SE_BIT | SE_BIT
49 | T_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL
50 | RES50 | RES50 | RES50 | RES50 | RES50 | RES50 | RES50
51 | RES51 | RES51 | RES51 | RES51 | RES51 | RES51 | RES51
52 | RES52 | RES52 | RES52 | RES52 | RES52 | RES52 | RES52
53 | RES53 | RES53 | RES53 | RES53 | RES53 | RES53 | RES53
54 | RES54 | RES54 | RES54 | RES54 | RES54 | RES54 | RES54
55 | RES55 | RES55 | RES55 | RES55 | RES55 | RES55 | RES55
56 | RES56 | RES56 | RES56 | RES56 | RES56 | RES56 | RES56
57 | RES57 | RES57 | RES57 | RES57 | RES57 | RES57 | RES57
58 | RES58 | RES58 | RES58 | RES58 | RES58 | RES58 | RES58
59 | RES59 | RES59 | RES59 | RES59 | RES59 | RES59 | RES59
60 | RES60 | RES60 | RES60 | RES60 | RES60 | RES60 | RES60
61 | RES61 | RES61 | RES61 | RES61 | RES61 | RES61 | RES61
62 | RES62 | RES62 | RES62 | RES62 | RES62 | RES62 | RES62
63 | RES63 | RES63 | RES63 | RES63 | RES63 | RES63 | RES63

* Indicazione: nella versione 6-50 lo stato no. 10 è stato rinominato in D_DIREC e dalla versione 6.51 è stato modificato in PROGRESS.

2. Abbreviazione - Denominazione completa

A partire dalla versione 6.50, le abbreviazioni sono uguali in tutte le lingue. Le denominazioni complete continuano a essere dipendenti dalla lingua:

Bit number | Short term | Long name | zenon Logic label
0 | M1 | User status 1; for Command Processing: Action type "Block"; Service Tracking of the IEC 850 driver | _VSB_ST_M1
1 | M2 | User status 2 | _VSB_ST_M2
2 | M3 | User status 3 | _VSB_ST_M3
3 | M4 | User status 4 | _VSB_ST_M4
4 | M5 | User status 5 | _VSB_ST_M5
5 | M6 | User status 6 | _VSB_ST_M6
6 | M7 | User status 7 | _VSB_ST_M7
7 | M8 | User status 8 | _VSB_ST_M8
8 | NET_SEL | Select in the network | _VSB_SELEC
9 | REVISION | Revision | _VSB_REV
10 | PROGRESS | In operation | _VSB_DIREC
11 | TIMEOUT | Runtime exceedance | _VSB_RTE
12 | MAN_VAL | Manual value | _VSB_MVALUE
13 | M14 | User status 14 | _VSB_ST_14
14 | M15 | User status 15 | _VSB_ST_15
15 | M16 | User status 16 | _VSB_ST_16
16 | GI | General query | _VSB_GR
17 | SPONT | Spontaneous | _VSB_SPONT
18 | INVALID | Invalid | _VSB_I_BIT
19 | T_CHG_A | Daylight saving time/winter time announcement | _VSB_SUWI
20 | OFF | Switched off | _VSB_N_UPD
21 | T_EXTERN | Real time external | _VSB_RT_E
22 | T_INTERN | Realtime internal | _VSB_RT_I
23 | N_SORTAB | Not sortable | _VSB_NSORT
24 | FM_TR | Error message transformer value | _VSB_DM_TR
25 | RM_TR | Working message transformer value | _VSB_RM_TR
26 | INFO | Information for the variable | _VSB_INFO
27 | ALT_VAL | Alternate value If no value was transferred, the defined alternate value is used otherwise the last valid value is used. | _VSB_AVALUE
28 | RES28 | Reserved for internal use (alarm flashing) | _VSB_RES28
29 | N_UPDATE | Not updated | _VSB_ACTUAL
30 | T_STD | Standard time | _VSB_WINTER
31 | RES31 | Reserved for internal use (alarm flashing) | _VSB_RES31
32 | COT0 | Cause of transmission bit 1 | _VSB_TCB0
33 | COT1 | Cause of transmission bit 2 | _VSB_TCB1
34 | COT2 | Cause of transmission bit 3 | _VSB_TCB2
35 | COT3 | Cause of transmission bit 4 | _VSB_TCB3
36 | COT4 | Cause of transmission bit 5 | _VSB_TCB4
37 | COT5 | Cause of transmission bit 6 | _VSB_TCB5
38 | N_CONF | Negative confirmation of command by device (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test bit (IEC870 [T]) | _VSB_T_BIT
40 | WR_ACK | Writing acknowledged | _VSB_WR_ACK
41 | WR_SUC | Writing successful | _VSB_WR_SUC
42 | NORM | Normal status | _VSB_NORM
43 | N_NORM | Deviation normal status | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Time invalid | not defined
50 | CB_TRIP | Breaker tripping detected | not defined
51 | CB_TR_I | Breaker tripping detection inactive | not defined
52 | OR_DRV | Value out of Range | not defined
53 | RES53 | reserved | not defined
54 | RES54 | reserved | not defined
55 | RES55 | reserved | not defined
56 | RES56 | reserved | not defined
57 | RES57 | reserved | not defined
58 | RES58 | reserved | not defined
59 | RES59 | reserved | not defined
60 | RES60 | reserved | not defined
61 | RES61 | reserved | not defined
62 | RES62 | reserved | not defined
63 | RES63 | reserved | not defined

info Informazioni su

In formulas all status bits are available. For other use the availability can be reduced.

3. Attivazione dell´abbreviazione

Se desiderate usare l´abbreviazione, come prima della versione 6.50, in modo dipendente dalla lingua, potete farlo mediante un inserimento nel project.ini. Le abbreviazioni sostituite valgono per:

  • VBA
  • Manager Gruppi di Ricette
  • Dialoghi dell´elemento combinato
  • Dialoghi della matrice di reazione

Nota: Le abbreviazioni devono essere inserite in lettere maiuscole, non devono avere spazi vuoti e possono contenere al massimo 7 caratteri.

Così aprite il project.ini

  1. Selezionate il progetto nel manager di progetto.
  2. Premete la combinazione di tasti Ctrl+Alt+E
  3. Nel Windows Explorer si apre la cartella SQL di zenon

    C:\ProgramData\COPA-DATA\[SQL-Ordner]\[UID]\FILES

  4. Passate a \zenon\system\
  5. Aprite il file project.ini con un editor testi.

Attribuzione di nuove abbreviazioni a quelle dipendenti dalla lingua

Copiate dalla seguente tabella l´inserimento della lingua desiderata da [STATUS] fino a STATUS63=RES63 incluso, e aggiungetelo nel project.ini.

Deutsch (Tedesco) | Inglese | Francese
[STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=LAUF STATUS11=LZÜ STATUS12=HWERT STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=GA STATUS17=SPONT STATUS18=I-BIT STATUS19=SO/WI STATUS20=N_AKT STATUS21=EZ_E STATUS22=EZ_I STATUS23=NSORT STATUS24=SM_TR STATUS25=LM_TR STATUS26=INFO STATUS27=EWERT STATUS28=RES13 STATUS29=!AKTUAL STATUS30=WINTER STATUS31=RES16 STATUS32=UEK0 STATUS33=UEK1 STATUS34=UEK2 STATUS35=UEK3 STATUS36=UEK4 STATUS37=UEK5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=ABNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=DIREC STATUS11=RTE STATUS12=MVALUE STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=GI STATUS17=SPONT STATUS18=I-BIT STATUS19=SU/WI STATUS20=N_UPD STATUS21=RT_E STATUS22=RT_I STATUS23=NSORT STATUS24=DM_TR STATUS25=RM_TR STATUS26=INFO STATUS27=AVALUE STATUS28=RES13 STATUS29=!AKTUAL STATUS30=WINTER STATUS31=RES16 STATUS32=TCB0 STATUS33=TCB1 STATUS34=TCB2 STATUS35=TCB3 STATUS36=TCB4 STATUS37=TCB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=DEVNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=DIREC STATUS11=DRT STATUS12=VAL_M STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=RG STATUS17=SPONT STATUS18=I-BIT STATUS19=ET/HI STATUS20=N_RAF STATUS21=HR_E STATUS22=HR_E STATUS23=NTRI STATUS24=MD_TR STATUS25=MM_TR STATUS26=INFO STATUS27=VALR STATUS28=RES13 STATUS29=!AKTUAL STATUS30=HIVER STATUS31=RES16 STATUS32=CTB0 STATUS33=CTB1 STATUS34=CTB2 STATUS35=CTB3 STATUS36=CTB4 STATUS37=CTB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=ECR-ACK STATUS41=ECR-OK STATUS42=NORM STATUS43=DEVNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63

Italiano | spagnolo | Russo
[STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=RUN STATUS11=RTE STATUS12=V_MAN STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=IG STATUS17=SPONT STATUS18=NV-BIT STATUS19=ES/IN STATUS20=N_UPD STATUS21=RT_E STATUS22=RT_I STATUS23=NORD STATUS24=SM_TR STATUS25=RM_TR STATUS26=INFO STATUS27=RVAL STATUS28=RES13 STATUS29=!ATTUALE STATUS30=INVERNO STATUS31=RES16 STATUS32=CTB0 STATUS33=CTB1 STATUS34=CTB2 STATUS35=CTB3 STATUS36=CTB4 STATUS37=CTB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=Fuori norma STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=LAUF STATUS11=LZÜ STATUS12=VWERT STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=CG STATUS17=SPONT STATUS18=I-BIT STATUS19=VE/IN STATUS20=N_AKT STATUS21=EZ_E STATUS22=EZ_E STATUS23=NSORT STATUS24=SM_TR STATUS25=LM_TR STATUS26=INFO STATUS27=EWERT STATUS28=RES13 STATUS29=!ACTUAL STATUS30=INVIERNO STATUS31=RES16 STATUS32=TCB0 STATUS33=TCB1 STATUS34=TCB2 STATUS35=TCB3 STATUS36=TCB4 STATUS37=TCB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=DEVNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=????? STATUS9=??? STATUS10=??? STATUS11=??? STATUS12=????? STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=?? STATUS17=SPONT STATUS18=I-Bit STATUS19=??/?? STATUS20=N_AKT STATUS21=EZ_E STATUS22=EZ_E STATUS23=?????? STATUS24=SM_TR STATUS25=??_?? STATUS26=INFO STATUS27=????? STATUS28=RES13 STATUS29=!????????? STATUS30=???? STATUS31=RES16 STATUS32=???0 STATUS33=???1 STATUS34=???2 STATUS35=???3 STATUS36=???4 STATUS37=???5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=???? STATUS43=??????? STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63


Strutture per UDFB in zenon Logic

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 6.50 -> Strutture per UDFB in zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6.50, in zenon non sono più disponibili i tipi di dato UDFB di zenon Logic. Per mantenere la compatibilità con la versione 6.22, li potete impostare in zenon con un prefisso di progetto: PROJEKTNAME/UDFBName". A tal scopo, il K5DBXS.ini deve essere completato con l´aggiunta di un inserimento:

  1. aprite il K5DBXS.ini
  2. navigate fino alla sezione [XS]
  3. digitate l´inserimento UseUDFBPrefix=1

Se avete delle domande concernenti l´adattamento di UDFB invisibili, rivolgetevi per cortesia a support@copadata.com oppure alla hotline indicata nel Vostro contratto di support.


VSTA e VBA - Denominazione di oggetti

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 6.50 -> VSTA e VBA - Denominazione di oggetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A causa di limitazioni nella denominazione di oggetti in VSTA, sono state realizzate alcune modifiche del modello ogetto. Queste modifiche hanno effetto sul codice VBA, visto che quest´ultimo continua ad accedere al vecchio nome e, per questo, non funziona più.

Sono state effettuate le seguenti modifiche:

  • IDriver
    • Name -> Identification:

      Il Property Name non ha il nome, ma l´identificazione fornita dal driver. E´ stata rinominata usando il termine Identification.

    • Driver -> Name:

      Driver è incompatibile con VSTA, visto che questa property fornisce il nome del driver. Si è cambiato il nome adottando Name.

  • IApplication
    • Close -> Methode: Close / Event: OnClose:

      IApplication ha sia un Methode che un event con nome Close. Questo è incompatibile con VSTA. Event è stato rinominato in OnClose.

  • IZenWorkspace
    • Startup -> OnWorkspaceStartup
    • Exit -> OnWorkspaceExit

      Visto che questi due nomi vengono usati per VSTA.intern Events, sono stati cambiati OnWorkspaceStartup e OnWorkspaceExit.

attention Attenzione

Controllate il codice VBA per controllare i nomi modificati e adattatelo in modo corrispondenti ai nuovi modelli.


Conversione dalla versione X alla versione 06:51

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 06:51

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progetti realizzati con versioni precedenti vengono convertiti automaticamente quando sono caricati per la prima volte nell´editor attuale. Viene generato automaticamente un backup del progetto nel percorso /SQL/Backup.

attention Attenzione

Misure da prendere prima della conversione:

effettuate un backup prima della conversione dei dati modificabili nel runtime! Altrimenti vanno persi!

Noch in diesem Kapitel

Calcolo larghezza colonne

Impostazioni per la banca dati SQL

Trend esteso Asse XY

GUID nel caso di conversione di progetti della versione 5.50

Pulsanti su cui cliccare Elemento combinato

Menu contestuali Comando

Turni da registrare in PFS

Converti colori simboli della libreria simboli generale da tavolozza a colore assoluto

Wizard - VBA/VSTA Properties rimosse

Carattere # non permesso nel nome oggetto


Calcolo larghezza colonne

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 06:51 -> Calcolo larghezza colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6.51, per il calcolo della larghezza colonne (per es. nella Lista informazioni allarmi o nella CEL) si usa la larghezza media del carattere selezionato. Prima si usava un valore di default. Ciò può avere l´effetto che, dopo la conversione, le colonne vengano visualizzate con un´altra larghezza.


Impostazioni per la banca dati SQL

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 06:51 -> Impostazioni per la banca dati SQL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6.51, nel Startup Tool può essere definita l´istanza SQL e la password viene salvata in forma cifrata.

A tal scopo è stato modificato il Dialogo per l´impostazione delle proprietà della banca dati. I nuovi inserimenti sono di livello prioritario rispetto a quelli già esistenti. La visualizzazione dei dialoghi viene adattata automaticamente alla versione scelta (prima di 6.51, a partire da 6.51).

Nuovi inserimenti

A partire dalla versione 6.51, il zenondb.ini contiene nuovi inserimenti :

CONNECTION_SQL2005]

USER=zenOnSrv

PW=0x9C 0x94 0xC6 0x50 0x15 0x80 0x79 0x06 0x32 0xED 0x4E 0xE1 0x15 0xDD 0x7C 0x90

SQLINSTANCE=RECHNERNAME\ZENON_DEV

Essi sostituiscono l´inserimento:

[CONFIG]

PROVIDER_SQL2005

Nel caso in cui i nuovi inserimenti non dovessero esserci o dovessero essere vuoti, si continua ad usare questo inserimento.

Compatibilità:

Finché non viene modificata alcuna proprietà, gli inserimenti esistenti rimangono validi. Se, per una versione a partire dalla 6.51, viene modificato un inserimento, però, valgono i nuovi inserimenti. In questo caso, le versioni più vecchie devono essere riviste separatamente! Le impostazioni per le versioni precendenti alla 6.51, le trovate nel capitolo Database prima della versione 6.51.

Attenzione: Visto che la cifratura della user-password avviene nel nuovo dialogo mediante lo Startup Tool, a partire dalla versione 6.51 tutte le impostazioni devono essere effettuate per forza tramite lo Startup Tool.


Trend esteso Asse XY

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 06:51 -> Trend esteso Asse XY

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per salvaguardare le prestazioni, a partire dalla versione 6.51 i dati archivio per l´asse X non vengono più caricati automaticamente nel diagramma Trend esteso. Per visualizzare nonostante questo l´asse x nel diagramma:

  • aggiungete la variabile selezionata come variabile per l´asse X anche come curva nel diagramma
  • disattivate la visualizzazione per questa curva


GUID nel caso di conversione di progetti della versione 5.50

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 06:51 -> GUID nel caso di conversione di progetti della versione 5.50

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso di conversione di progetti realizzati con la versione 5.50 bisogna tener conto del fatto che, quando si converte più di un progetto, si deve creare per ognuno un proprio GUID.

Causa

Nel project.ini della versione 5.50 c`è un inserimento GUID che contiene Project-GUID. Se si converte un progetto nella versione 6.x, viene usato questo GUID.

In zenon 5.50 era possibile copiare delle cartelle a livello file, aprire poi il progetto nell´Editor e rinominarlo. Questa copia di progetto conteneva ancora il GUID originale nel file INI, il che non costituiva un problema per la versione 5.50.

Se vengono convertiti solamente due progetti del genere nella versione 6.x, la conversione del secondo progetto verrà interrotta con la segnalazione che il GUID è già esistente.

Soluzione

Per la conversione di diverse copie di progetto realizzate con la versione 5.50 ci sono tre possibilità:

  1. Salva con nome
    • Convertire il progetto A
    • nella versione 6.x eseguire il comando "Salva progetto con nome"
    • verrà generato un nuovo GUID
    • cancellare il progetto originale
    • convertire il progetto B

    Attenzione: questo metodo non è adatto ai progetti globali.

  2. Backup progetto
    • Convertire il progetto A
    • Effettuare un backup di progetto nella versione 6.x
    • cancellare il progetto originale
    • Ricreare il backup mediante il comando "Ripristina backup di progetto" e attivare la proprietà "Genera un nuovo progetto".

    Nota: questo metodo è adatto anche ai progetti globali.

  3. modificare project.ini
    • aprire project.ini della versione 5.50. In questa versione il "project.ini" si chiama Projektname.ini
    • cancellare l´inserimento con il GUID
    • Convertire
    • verrà generato un nuovo GUID

    Nota: se si riapre questo progetto con la versione 5.50, viene generato un nuovo GUID che sarà inserito nel file INI.


Pulsanti su cui cliccare Elemento combinato

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 06:51 -> Pulsanti su cui cliccare Elemento combinato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6.51, è possibile creare nell´elemento combinato per l´opzione Simbolo dalla libreria dei pulsanti su cui poter cliccare; questi pulsantoi possono assumere la forma da Voi desiderata.

Nel caso dei progetti realizzati per le versioni precedenti, la proprietà Forma del simbolo corrispondente all'area sensibile (nodo Visualizzazioneviene considerata non attiva.


Menu contestuali Comando

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 06:51 -> Menu contestuali Comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nelle versioni precedenti alla 6.51, il testo era ignorato con i punti di menù automatici. Nel caso della conversione di progetti che sono stati realizzati usando versioni precedenti alla 6.51, prima del testo progettato vengono inserite automaticamente le Macro $ALL$$NOTE$. In tal modo, queste voci di menù si comportano esattamente come accadeva finora.


Turni da registrare in PFS

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 06:51 -> Turni da registrare in PFS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella registrazione di Turni nel Production & Facility Scheduler, nella versione 6.50 il nome tabella per la registrazione era denominato in modo fisso con PFSSHIFTHISTORY.

A partire dalla versione 6.51, invece, esso segue il modello seguente: ProjectGUID_TURNO_GUID del Gruppo di impianti
Per esempio: 292af0ac-d33d-4123-8484-e359cd0a6ae3_SHIFT_989ef705-d6a6-4b81-9eb5-f76483ecaac1.


Converti colori simboli della libreria simboli generale da tavolozza a colore assoluto

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 06:51 -> Converti colori simboli della libreria simboli generale da tavolozza a colore assoluto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si usano le Tavolozze, viene salvato solamente l´indice della tavolozza. Il colore effettivo viene assegnato nel Runtime.

Problema

se nelle versioni prima della zenon 6.51 i colori per i simboli della Libreria simboli generale vengono definiti tramite colori di tavolozze (funzione simile alle tavolozze di colore a partire dalla versione 6.51) e i colori di un simbolo nella versione 6.51 vengono cambiati, quando si riavvia l´Editor tutte i colori dei simboli definiti dall´utente vengono adattati alla modifica. Questa azione è corretta dal punto di vista della compatibilità. Tuttavia si può aver bisogno anche di colori assoluti.

Soluzione

se la libreria dei simboli viene salavata di nuovo in zenon 6.51, gli indici delle tavolozze vengono sostituiti da colori assoluti.

Procedura:

  1. attivate e aprite il progetto con il colore tavolozza corretto in zenon 6.51.
  2. Inserite nella libreria simboli generale un nuovo simbolo.
  3. Salvate la libreria simboli generale. Essa viene salvata nel nuovo formato.
  4. Aprite l`Editor e riavviatelo.
  5. Denominate il simbolo di nuova creazione e salvatelo.
  6. Nella libreria simboli globale, i colori tavolozza vengono sostituiti da colori assoluti.


Wizard - VBA/VSTA Properties rimosse

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 06:51 -> Wizard - VBA/VSTA Properties rimosse

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´effettuazione dell´operazione di filtro per un cambio ad un´immagine del tipo Trend esteso sono state eliminate le seguenti properties dinamiche, perché non avevano alcuna funzione:

  • PictFilter[0].Curve["0 "].VarInfo.Channel
  • nonché ArvName, Titolo, Group e Amplitude dello stesso oggetto

Se doveste usare queste properties in un wizard, le dovete rimuovere.


Carattere # non permesso nel nome oggetto

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 06:51 -> Carattere # non permesso nel nome oggetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6.51, il carattere # non è più permesso per nomi oggetti, come variabili e funzioni. Non è più possibile digitare questo carattere nell'interfaccia.

Background: un # nel nome può portare al verificarsi di problemi, per esempio, in fase di import.


Conversione dalla versione X alla versione 07:00

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:00

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Attenzione Progetti realizzati con versioni precedenti vengono convertiti automaticamente quando sono caricati per la prima volte nell´editor attuale. Viene generato automaticamente un backup del progetto nel percorso /SQL/Backup. A partire dalla versione 7.00, il nome dei backup generati automaticamente contiene il server SQL usato, per es.:
before converted to 7.00 SP0 (sql server 2008 r2).zip

Attenzione

Misure da prendere prima della conversione:

effettuate un backup prima della conversione dei dati modificabili nel runtime! Altrimenti vanno persi!

Nota: non è consentito l´uso di caratteri speciali come ß-/\ nel nome di un progetto di zenon. Sono consentiti: cifre, lettere e il carattere speciale trattino basso (_). Ulteriori informazioni su questo tema le trovate nella guida relativa a Gestione progetto e area di lavoro, nel capitolo Crea nuovo progetto.

Noch in diesem Kapitel

Gestione user con Active Directory

Installazione parallela della versione 7.x e della versione 6.51

Server diagnosi con nuovo servizio

Combo-/Listbox dinamica

IPv6

Licenza

Message Control

RGM - Comportamento errato nel caso di cambio immagine

Leggi ricetta RGM - nuove condizioni

Driver Allan Bradley RS-Linx

Cambio server SQL


Gestione user con Active Directory

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:00 -> Gestione user con Active Directory

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7.00 SP0 Active Directory è disponibile solamente per la gestione user nel Runtime di zenon. Per l´Editor di zenon ciò significa quanto segue:

  • gli utenti AD non vengono usati per l´Editor.
  • Gli utenti AD non vengono più validati nell´Editor.
  • Non è più possibile effettuare una registrazione nell´Editor mediante AD.

Attenzione: se avete realizzato in un progetto la registrazione nell´Editor di zenon via Active Directory, prima della conversione del progetto stesso si deve procedere a impostare un utente zenon dotato di tutti i diritti necessari.


Installazione parallela della versione 7.x e della versione 6.51

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:00 -> Installazione parallela della versione 7.x e della versione 6.51

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si installa una versione 7.x su un sistema su cui si trova già zenon 6.51, si deve, dopo l´installazione, installare di nuovo Multiple Network Protocol Driver dopo un Reboot.

Per far ciò:

  1. riavviate il sistema
  2. aprite sul supporto di installazione il percorso AdditionalSoftware\COPA-DATA Multiple Network Protocol Driver x64
  3. eseguite il file setup64.exe (setup32.exe su sistemi a 32 Bit) del percorso AdditionalSoftware\COPA-DATA Multiple Network Protocol Driver x86)

In tal modo, il driver viene installato nuovamente e collegato in modo corretto alla scheda di rete.


Server diagnosi con nuovo servizio

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:00 -> Server diagnosi con nuovo servizio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la versione 7.00 SP0 di zenon il Sistema di diagnosi viene modificato. A partire da questa versione, tutti i compiti di Logging vengono svolti tramite il servizio zenLogSrv. Da questo momento, il servizio zenSysServ è responsabile solamente per attività di trasporto remoto. Il numero massimo dei moduli pro Diagnose Client è stato elevato da 32 a 64.

Ciò significa:

  • i sistemi di diagnosi delle versioni fino alla 6.51 sono compatibili e quelli a partire dalla versione 7.00 sono compatibili.
  • Ma i meccanismi di diagnosi di zenon 6.51 SP0 e di zenon 7.00 SP0 non sono compatibili.
Compatibilità: | Server di diagnosi 6.51 SP0 e precedenti | Server di diagnosi 7.00 SP0 e seguenti
Client di diagnosi 6.51 SP0 e precedenti | compatibili | incompatibili
Diagnose Viewer 6.51 SP0 e precedenti | compatibili | incompatibili
Client di diagnosi 7.00 SP0 e seguenti | incompatibili | compatibili
Diagnose Viewer 7.00 SP0 e seguenti | incompatibili | compatibili

Con il Diagnose Viewer Version 7.00 SP0 e versioni successive, i file Log creati da un Server di diagnosi della versione 6.51 SP0 (o versione precedente) possono essere aperti. La cosa non funziona nel senso contrario!


Combo-/Listbox dinamica

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:00 -> Combo-/Listbox dinamica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7, le Combo-/Listbox possono essere create anche in modo dinamico. Facendo uso della proprietà Inserimento da variabile string si stabilisce se gli inserimenti della box vengono fissati nell´Editor, oppure vengono creati tramite una variabile stringa collegata.

Convertendo dei progetti di una versione di zenon 7, le nuove proprietà vengono dotate di valori validi:

  • Combo-/Listbox statiche (proprietà Inserimento da variabile string disattivata)
  • nessuna variabile di visibilità (proprietà Variabile vuota)

Se i file vengono creati o salvati per una versione precedente, le proprietà per le Combo-/Listbox dinamiche non vengono caricate per garantire la compatibilità con versioni più vecchie.


IPv6

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:00 -> IPv6

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7 di zenon, IPv6 può essere usato in rete.

info Informazioni su

Grazie ad IPv6, un numero maggiore di utenti e dispositivi possono comunicare via Internet usando numeri più grandi per creare indirizzi IP. Con IPv4, ogni indirizzo IP è lungo 32 bit, il che significa che è possibile creare un massimo di 4,3 miliardi di indirizzi IP univoci. Esempio di indirizzo IPv4:

172.16.254.1

Adesso un confronto: gli indirizzi IPv6 sono lunghi 128 bit, il che rende possibile creare circa 340 sestilioni ((3,4e+38) di indirizzi IP univoci. Esempio di indirizzo IPv6:

2001:db8:ffff:1:201:02ff:fe03:0405

IPv6 offre anche altri vantaggi per quello che concerne la comunicazione di rete. Nella maggior parte dei casi, i computer e i programmi riconoscono automaticamente le reti compatibili con IPv6 e ne sfruttano i vantaggi senza che l´utente debba fare nulla. IPv6, inoltre, elimina anche quei problemi che possono insorgere in rete a causa delle limitate possibilità di IPv4 in fatto di creazione di indirizzi univoci. Esempio: IPv6 riduce la necessità di ricorrere alla cosiddetta traduzione degli indirizzi di rete (network address translations o NAT), un servizio che consente a diversi client di usare un comune indirizzo IP, che però non funziona sempre in modo affidabile.

La rete di zenon consente l´uso a scelta di IPv6 o IPv4. Non è possibile un funzionamento duale. L´impostazione viene effettuata tramite:

  • Network configuration in Startup Tool
    oppure
  • nello zenon6.ini

Attenzione: IPv6 funziona solamente a partire dalla versione 7.
Se l´opzione è attiva, nessuna versione precedente alla 7 può essere avviata. Ciò riguarda particolarmente zenAdminSrv, zenSysSrv, zenLogSrv e zenDBSrv.

Le seguenti componenti non sono interessate dall´impostazione; esse usano sempre IPv4:

  • Comunicazione driver con i PLC
  • Comunicazione via protocollo nel Process Gateway-Plugins
  • Comunicazione Workbench e Runtime in zenon Logic

Diagnosis Viewer

Il server di diagnosi funziona anche con client di diagnosi che vengono raggiunti tramite indirizzi IPv6. A tal scopo si è provveduto ad adattare il formato dei file Log. Il Diagnose Viewer legge solamente il nuovo formato dei file Log. Se si aprono dei file di versioni più vecchie di zenon (o viceversa), l´indirizzo IP del client di diagnosi non viene visualizzato in modo corretto.


Licenza

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:00 -> Licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7.00, la licenza viene modificata. Per convertire delle versioni di zenon nella 7.00, si deve acquisire anzitutto una licenza per la versione 7.00 e inserire poi il nuovo Numero di attivazione. Il numero di serie rimane lo stesso.

Gli inserimenti nello zenon6.ini sono i seguenti:

[DEFAULT]

SERIAL7=

ACTIVATIONKEY7=


Message Control

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:00 -> Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella versione 7.00 SP0 di zenon il modulo Message Control presenta delle differenze sostanziali dalle versioni precedenti sia per quello che riguarda la configurazione che per quello che riguarda la tecnica d´invio.

Di seguito un elenco delle modifiche tecniche di rilievo:

  • non viene più utilizzato un server COM
  • non viene più utilizzata la componente aggiuntiva della ditta DerDack
  • la ZenMsgQueue viene sostituita da un´immagine specifica di tipo Message Control
  • la configurazione avviene nelle proprietà Message-Control del workspace (invio) e nelle proprietà Proprietà specifiche di progetto per il modulo Message Control nel progetto (legata al progetto)
  • non c´è più una lista dettagli
  • sono stati eliminati il modello turni e la funzionalità calendario
  • non sono più presenti "Runtime modificabili"
  • l´invio di E-Mail è possibile sia tramite Outlook che con un server SMTP; quest´ultimo tipo di invio consente l´invio di allegati
  • la configurazione dei tipi di invio non viene più salvata nel file messag32.ini, ma nel file zenon6.ini
  • Analisi dei testi di valore limite: finora l´analisi di testi composti nel modulo Message Control era differente da quella di testi di valore limite standard. A partire dalla versione 7.00 tali differenze non esistono più. @StringTabelle+%var1

I dettagli riguardanti la configurazione si trovano nel capitolo Configurare il Message Control.

attention Attenzione

Solo i progetti realizzati con le versioni a partire dalla 5.50 SP7 possono essere convertiti nella versione 7.

Conversione

A causa delle sostanziali modifiche apportate al software non è possibile garantire una compatibilità al 100% quando si converte un progetto nella nuova versione. Questo vale anche per la compilazione di file RT per versioni precedenti. Quando si effettua una conversione, tenere presente soprattutto quanto segue:

  • Utente:
    • Esiste un utente con lo stesso nome (nome di battesimo e cognome): viene usato questo utente e le informazioni vengono completate.
    • Non esiste nessun utente corrispondente: il sistema imposta un nuovo utente, il collegamento con la persona di riserva e con il gruppo utenti viene eliminato. L´utente viene inserito nel gruppo esistente o in quello creato al momento della conversione.
  • Gruppi utenti:
    • Esiste un gruppo con lo stesso nome: viene usato questo gruppo e vengono completate le informazioni .
    • Non esiste un gruppo utenti corrispondente: viene impostato un nuovo gruppo utenti.
  • Funzioni

    La funzione Esegui Database destinatari è stata eliminata:
    questa funzione non può più essere creata con l´Editor. Non viene però cancellata quando si effettua una conversione. La sua esecuzione a Runtime non ha alcun effetto e genera un inserimento nei LOG.

  • Paging:
    Il paging non è più disponibile come forma di invio. Alle funzioni esistenti per cui è prevista la modalità di invio Paging il sistema assegna al momento della conversione il tipo di invio GSM. Un messaggio che informa di questa modifica, verrà visualizzato nella finestra di emissione. Dopo la conversione, le impostazioni della funzione dovranno essere verificate.
  • RT file modificabili:
    Dato che la gestione utenti è stata modificata, non sono più necessari i RT file modificabili per il Message Control. Nella versione 7 non è prevista nemmeno la possibilità di importare vecchi dati Runtime. Se è necessario avere i file Runtime di un progetto realizzato con una versione precedente alla 7, li si deve prima importare in un Editor precedente alla versione 7 di zenon; solo poi li si potrà convertire.
  • Turni e calendario:
    La funzionalità per turni e calendario è stata eliminata. Alle funzioni esistenti con tipo di destinazione Paging il sistema assegna al momento della conversione il tipo Gruppo. Tuttavia non viene collegato nessun gruppo. Un messaggio che informa di questa modifica, apparirà nella finestra di emissione. Dopo la conversione, le impostazioni della funzione dovranno essere verificate.
  • SMS-Gateway:
    Visto che la semplice interfaccia non offre alcuna possibilità tecnica di poter ordinare i messaggi in modo univoco, a partire dalla versione 7 viene supportata solamente l´interfaccia estesa. Effettuando la conversione, ci si deve assicurare che anche il server SMS della ditta Dialogs venga configurato in modo corrispondente. In caso contrario non sarà possibile inviare messaggi.


RGM - Comportamento errato nel caso di cambio immagine

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:00 -> RGM - Comportamento errato nel caso di cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si seleziona erroneamente una ricetta per il cambio immagine del RGM, perché:

  • ricetta non esistente nel Runtime
  • nessuna selezione effettuata
  • ricetta non contenuta nel Filtro

allora cambia il comportamento della lista a cascata Ricette nel Runtime:

  • nelle versioni fino alla 6.51 SP0, la prima ricetta veniva offerta nella lista
  • a partire dalla versione 7.00 SP0, la selezione rimane vuota.


Leggi ricetta RGM - nuove condizioni

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:00 -> Leggi ricetta RGM - nuove condizioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7.00 SP0, il sistema controlla al momento della lettura di valori variabili in ricette:

  • se i valori delle Proprietà Valore minimo e Valore massimo sono rispettati
  • quale stato ha la variabile

Se i valori sono superati verso l´alto o verso il basso, oppure se lo stato della variabile è INVALID, i valori non vengono più scritti nella ricetta e salvati.

Il sistema procede a analizzare ulteriori Variabili di sistema. Possibili valori di variabili a partire dalla versione 7.00:

  • 0: viene settato prima della lettura e cambia solo quando il procedimento di lettura è completato.
  • 1: Lettura portata a termine con successo.
  • 2: Durante la lettura si è verificato un errore non meglio definito.
  • 3: Perlomeno una variabile ha lo stato INVALID durante la lettura.
  • 4: Perlomeno un valore è al di là dei limiti massimo e minimo.
  • 5: Durante la lettura si è presentato un timeout (30000 + 100*VarCount in [ms]).


Driver Allan Bradley RS-Linx

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:00 -> Driver Allan Bradley RS-Linx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il driver supporta a partire dalla versione 7.00 SP0 Unsolicited Messages. In tal modo cambia anche la configurazione del driver. Essa viene effettuata adesso nelle tab:

  • Generale: Immutato
    Indicazione: se si usa Unsolicited Messages, si dovrebbe disattivare Update tempo globale
  • Configurazione: il numero KT usato finora viene sostituito dalla denominazione del driver RS-LINX.
  • Configurazione Unsolicited Messages: Nuovo. Impostazioni per Unsolicited Messages.

attention Attenzione

Si deve adattare la configurazione driver nei progetti già esistenti.


Cambio server SQL

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:00 -> Cambio server SQL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con zenon 7.00 SP0 viene installato il Microsoft SQL Server 2008 R2 Express e usato per i progetti realizzati con zenon. A partire dalla versione 7.00, l´Editor di zenon si connette di default solamente con SQL Server 2008 R2. I progetti le cui banche dati si trovano in un´altra istanza SQL (per es. ZENON_DEV bei SQL Server 2005), non possono essere più aperti.

L´istanza server SQL a cui si connette zenDBSrv, può essere modificata tramite loStartup Tool. Lo Startup Tool provvede ad effettuare nello zenDB.ini gli inserimenti necessari per la versione di zenon in questione:

  • prima di 6.00: nessuna banca dati
  • Da 6.00 a 6.20: inserimenti per SQL Server 2000 (MSDE)
  • Da 6.21 a 6.51: inserimenti per SQL Server 2005 Express Edition
    Nel caso della versione 6.51, la password viene inserita in forma ciftata.
  • Versione 7.00 e successive: inserimenti per SQL Server 2008 R2 Express Edition con password cifrata.

Un funzionamente misto dell´istanza SQL Server 2005 „ZENON_DEV" e di quella SQL Server 2008 R2 „ZENON_2008R2" non è possibile.

attention Attenzione

I progetti realizzati con versioni precedenti di zenon devono essere necessariamente esportati e poi riletti nella versione 7:00 di zenon.

Suggerimento: se non è stato effettuato un export e non è più disponibile la versione in questione, il trasferimento può essere realizzato manualmente:

  • copiate tutta la cartella, inclusa GUID, e salvatela in un altro posto
  • create manualmente la connessione con la banca dati

Conversione progetto

Per la conversione di progetti realizzati con versioni precedenti alla 7:00, consigliamo di applicare la seguente procedura:

  1. creare dei backup di progetto nella versione di partenza
  2. esportare i backup sul disco fisso
  3. zenon Editor 7.00 Editor.
  4. Creare un nuovo workspace.
  5. Rileggere i backup nel nuovo workspace.

I backup di progetto possono essere riletti anche nello stesso workspace dell´Editor della versione 7:00. Visto che la GUID rimane inalterata nell´operazione di rilettura, il workspace può essere aperto nella versione 7.00 di zenon e anche nelle versioni comprese fra 6.21 e 6.51.

info Informazioni su

Anche se hanno lo stesso nome e la stessa GUID, i progetti della versione 7.00 di zenon sono indipendenti da quelli delle versioni 6.21/ 6.51.di zenon a causa della diversa istanza Server SQL. I backup della versione 7.00 zenon non compaiono nell´Editor delle versioni 6.21 / 6.51. Per questa ragione Vi consigliamo di salvarli in un nuovo workspace.


Conversione dalla versione X alla versione 07:10

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:10

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nota: non è consentito l´uso di caratteri speciali come ß-/\ nel nome di un progetto di zenon. Sono consentiti: cifre, lettere e il carattere speciale trattino basso (_). Ulteriori informazioni su questo tema le trovate nella guida relativa a Gestione progetto e area di lavoro, nel capitolo Crea nuovo progetto.

Noch in diesem Kapitel

Versione a 32 e 64-Bit

Installazione

Batch Control

Conversione di progetti 6.01 o 6.20

Converti banca dati del Manager di gruppi ricette

SQL Server 2012

Report Viewer

Direct Daw eliminato da VBA

WPF

Filtro tempo


Versione a 32 e 64-Bit

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:10 -> Versione a 32 e 64-Bit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Adesso zenon è disponibile per l´Editor e il Runtime come versione a 32-bit e a 64-bit. Un Editor di zenon a 32-bit e a 64-bit e un Runtime di zenon a 32-bit e a 64-bit vengono installati su sistemi operativi a 64-bit. I nomi dei file eseguibili sono identici per 32-bit e 64-bit.

Su sistemi a 64-bit, tutti i servizi disponibili in 64-bit sono registrati e usati nella versione a 64-bit. L´Editor e il Runtime possono essere avviati alternativamente. I progetti possono essere modificati in entrambi gli Editor e possono funzionare in entrambi i Runtime.

Componenti quali, ad esempio, il Runtime di zenon Logic, il Workbench di zenon Logic, driver, Process Gateway e altri tool, vengono sempre usati solamente nella versione a 32-Bit.

Limiti generali

La limitazione fondamentale, per cui solamente DLL a 64-bit possono essere caricati in processi a 64-bit, ha certamente come effetto anche delle limitazioni nell´uso di zenon. Ciò riguarda soprattutto le componenti esterne, che vengono caricate nell´Editor o nel Runtime. La cosa riguarda direttamente i DLL che possono essere caricati via VBA/VSTA code e ActiveX control. Questi DLL devono essere disponibili in versioni a 64-bit per poter essere usati nell´Editor o nel Runtime a 64-bit. Gli ActiveX control messi a disposizione da COPA-DATA sono disponibili in versioni a 32-bit e a 64-bit.

Conversione di progetti zenon 5.50.

Con l´Editor a 64-Bit non si possono convertire progetti creati con zenon 5.50. Questi ultimi devono essere prima convertiti con l`Editor a 32-Bit.

Limiti RGM

La banca dati Access non viene più supportata nel RGM. Per poter usare dei dati MS Access di versioni precedenti in un sistema a 64-Bit, il progetto deve essere anzitutto convertito nell´Editor a 32-Bit. La proprietà DataSource non è più disponibile a partire dalla versione 7.10. Dettagli su questo tema li trovate nel capitolo Converti banca dati di Manager di gruppi ricette.

VBA

Per quello che concerne VBA, si è passati alla versione VBA 7.1. Per questo motivo, VBA è disponibile anche in zenon 64-Bit. Se nel VBA code si accede a Windows API o ad altre funzioni DLL importate, queste aperture devono essere adattate a 64-bit. In generale vale quanto segue: un file VBA creato con una versione a 32-bit non può essere usato senza modifiche‑a una versione a 64-bit di VBA.

Per scrivere un codice compatibile a 32 ed a 64 Bit, ci sono in VBA alcune funzioni define. Ad esempio:

#if Win64 then

Declare PtrSafe Function MyMathFunc Lib "User32" (ByVal N As LongLong) As LongLong

#else

Declare Function MyMathFunc Lib "User32" (ByVal N As Long) As Long

#end if

#if VBA7 then

Declare PtrSafe Sub MessageBeep Lib "User32" (ByVal N AS Long)

#else

Declare Sub MessageBeep Lib "User32" (ByVal N AS Long)

#end if

Potete ottenre alcune indicazioni utili sul porting di VBA 32-bit code a VBA 64-bit da Microsoft:

  • Microsoft Office 2010, notes on porting: http://msdn.microsoft.com/en-us/library/ee691831.aspx
  • 32-Bit e 64-Bit Declares per API-Calls: http://www.jkp-ads.com/articles/apideclarations.asp

Componenti solo a 32 bit

Le seguenti componenti sono disponibili solo nella versione a 32 bit anche sui calcolatori a 64 bit:

  • alcuni programmi, come SIC.exe e DiagViewer.exe
  • Licenza
  • Process Gateway
  • Tool startup
  • Windows CE
  • Driver
  • Workbench e Runtime di zenon Logic


Installazione

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:10 -> Installazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon 7.10 non può essere installato su sistemi su quali è già installato Microsoft SQL Server Data Engine (MSDE). Ciò riguarda tutti i sistemi su cui sono installati zenon 6.20 oppure una versione precedente.


Batch Control

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:10 -> Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prima di convertire un progetto in una nuova versione di zenon, tutte le ricette devono essere terminate. Una volta che c´è stato il restart, le ricette attive non vengono più eseguite. Il restart funziona solamente all´interno della stessa versione di zenon.


Conversione di progetti 6.01 o 6.20

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:10 -> Conversione di progetti 6.01 o 6.20

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per i progetti di zenon realizzati con la versione 6.01 o 6.20, non si può più realizzare direttamente un backup in zenon 7.10 o in versioni successive.

Background: le versioni che si basano su MSDE (SQL Server 2000), non sono compatibili con il server SQL 2012 usato in zenon 7.10.

Soluzione: innanzitutto convertire il progetto in zenon 7.0, e poi in 7.10 o in versioni successive.


Converti banca dati del Manager di gruppi ricette

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:10 -> Converti banca dati del Manager di gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7.10, nel Manager di gruppi ricette non viene più supportata la banca dati MS Access. Quando si apre un progetto esistente, il filing passa automaticamente a Dati binari. Verrà generato un backup di progetto. Esso vi consente di aprire di nuovo il progetto anche con la versione con cui è stato realizzato.

Conversione con Editor a 64-Bit

L´Editor a 64-Bit non può accedere alla banca dati MS Access. Per convertire quest´ultima, aprite anzitutto il progetto nell´Editor a 32-Bit. Qui avete a disposizione un meccanismo che con l´impostazione RGM DataSource: MS AccessDB, trasferisce automaticamente i dati a file binari. La proprietà DataSource non è più disponibile a partire dalla versione 7.10. Se il data storage è stata già settato su file binari, i dati del database sono rigettati. A questo proposito vale quanto segue:

  • La copia dei dati della banca dati Access nel data storage binario, avviene solamente nelle conversione nell`Editor a 32-bit. I dati del database Access sono sempre rigettati con una versione a 64-bit.
  • Quando si converte sotto 64-bit, il sistema verifica se il data storage del RGM è settato su MS Access. In questo caso, un´informazione corrispondente con notificazione di conversione è visualizzata nell´Editor a 32-bit.
  • Se, quando si copia nell´Editor a 32-bit, si constata che alla destinazione (file binari) i dati sono stato già configurati, il sistema chiede all´utente quali dati devono essere conservati (MS Access o binari). Dati MS Access e binari non possono essere combinati.

Dopo la conversione, potete aprire e modificare il progetto anche con l´Editor a 64-bit.

Se volete convertire il progetto ancora una volta, usate il backup creato automaticamente durante la conversione.

Adattamento di nomi gruppo ricette e nomi ricette per 32-Bit zenon

I nomi gruppo ricette e i nomi ricetta che contengono caratteri non consentiti per "dati binari", vengono modificati automaticamente al momento della conversione di un progetto nella versione a 32-Bit di zenon 7.1x. Gli elementi rinominati vengono visualizzati nella finestra di emissione. Dopo aver effettuato la conversione, quindi, Vi invitiamo a controllare se nella finestra di emissione ci sono delle segnalazioni di avvenute modifiche di nomi!

Attenzione: quando gruppi ricetta o ricette vengono rinominati, si deve procedere a controllare e modificare manualmente i seguenti elementi del progetto:

  • tutte le funzioni RGM
  • le variabili che possono contenere nomi gruppo ricette o nomi ricette
  • codice VBA che può contenere nomi gruppo ricette o nomi ricette


SQL Server 2012

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:10 -> SQL Server 2012

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il server SQL viene utilizzato nella versione 2012 Express Edition con zenon. Le impostazioni vengono fissate con lo Startup Tool.

Gli inserimenti corretti per lo zenDB.ini li trovate nel capitolo zenDB.ini.

attention Attenzione

I progetti di altre versioni non possono essere aperti direttamente in zenon 7.10. Dei progetti che devono essere modificati in zenon 7.10, si deve realizzare anzitutto un backup nella versione con cui sono stati creati. Il backup può poi essere convertito in zenon 7.10.

Se si installano parallelamente diverse versioni, i differenti server SQL devono avere differenti.percorsi.


Report Viewer

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:10 -> Report Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Intervalli di tempo

A partire dalla versione 7.10 , il Report Viewer può usare diversi intervalli di tempo. Per ragioni concernenti la compatibilità all'indietro, vengono usati i primi due filtri tempo configurati della lista.

Datasets

I data set per AM, CEL, ARCHIVI e ONLINE sono stati ampliati con l´inserimento RESSOURCESLABEL.


Direct Daw eliminato da VBA

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:10 -> Direct Daw eliminato da VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tutte le classi, metodi e eventi che erano usati per la scrittura diretta in immagini di zenon via la API (VBA/VSTA) di zenon, sono stati eliminati per motivi di performance. Ciò riguarda:

  • classe Draw
  • metodo DrawAPI
  • evento Draw


WPF

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:10 -> WPF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´elemento WPF CircularGauge è stato ampliato da 3 a 6 aree di visualizzazione. La compatibilità all'indietro non è garantita.

Nota: se sono disponibili in un progetto due versioni di file collettivo, il sistema chiede all´utente quale versione deve essere usata. Se si decide di continuare ad usare la versione utilizzata fino a quel momento, non sono necessarie ulteriori azioni. Se si sceglie una versione più recente, però, dovranno essere adattati tutti i file CDWPF corrispondenti in tutti i simboli e immagini in tutti i progetti.


Filtro tempo

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:10 -> Filtro tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configurazione e la visualizzazione dei filtro tempo, nonché i risultati di filtro sono stati modificati, ottimizzati e armonizzati.

La combinazione della nuova opzione Modifica intervallo di tempo e del nuovo comportamento filtro, può far sì che i risultati di filtro a partire dalla versione 7.10 siano diversi da quelli delle versioni precedenti.


Conversione dalla versione X alla versione 07:11

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:11

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nota: non è consentito l´uso di caratteri speciali come ß-/\ nel nome di un progetto di zenon. Sono consentiti: cifre, lettere e il carattere speciale trattino basso (_). Ulteriori informazioni su questo tema le trovate nella guida relativa a Gestione progetto e area di lavoro, nel capitolo Crea nuovo progetto.

Noch in diesem Kapitel

API - Modifica del tipo di dato

Batch Control

Comandi

IMM Nomi tabelle

Modifica variabili via API

Filtro Lotto

Rete

OPC UA Server: capacità multiprogetto

Funzioni VBA per lista modelli modificate


API - Modifica del tipo di dato

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:11 -> API - Modifica del tipo di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel CreateArrayVarEx Methode per l´oggetto Variables, è stato modificato il tipo di dato per lAdrMode da int a zenOn.tpAdrMode.

Il codice esistente deve essere cambiato in modo corrispondente.

Fino alla versione 7.10 di zenon inclusa:

public virtual zenOn.IVariable CreateArrayVarEx(string strName, object lpDriver, zenOn.tpKanaltypes kTypes, object lpVarType, int lLBound, int lDimension1, int lDimension2, int Dimension3, int lAdrMode, bool bStartAtNewOffset)

Da zenon 7.11

public virtual zenOn.IVariable CreateArrayVarEx(string strName, object lpDriver, zenOn.tpKanaltypes kTypes, object lpVarType, int lLBound, int lDimension1, int lDimension2, int Dimension3, zenOn.tpAdrMode lAdrMode, bool bStartAtNewOffset)


Batch Control

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:11 -> Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Visualizza parametro di comando

Con la versione 7.11, nel cambio immagine nella scheda Impostazioni lista parametri sono state estese le opzioni per Visualizza parametro di comando; esse sono state inoltre convertite da pulsanti di opzione a Checkbox combinabili a piacere.

Dal punto di vista della retrocompatibilità, ciò significa che una scrittura retrocompatibile è possibile solo se:

  • è settato solo un Checkbox per i parametri modificabili
  • oppure la combinazione di tutti i Checkbox ammette tutti i parametri

Se la combinazione dei Checkbox ha come risultato un´impostazione che non era configurabile con zenon 7.10 oppure con una versione precedente, non verrà visualizzato nessun parametro nella lista.

Riavvio del Runtime

Dopo un restart del Runtime, viene depositato nelle ricette lo stato relativo con l´informazione. Lo stato di esecuzione viene visualizzato nelle informazioni unità. Lo stato di esecuzione (numerico e testo) nelle informazioni unità contiene un numero e un testo che corrispondono a quelli della variabile nell´immagine. Incluse informazioni, se causato da riavvio, informazioni sugli oggetti in stato divergente, informazioni che rimandano un cambio di stato.
Attenzione: il contenuto di questa variabile non è compatibile fra le versioni zenon 7.10 e 7.11.

File RDL

Il default.rdl di zenon 7.10 può presentare degli errori di configurazione. Se vengono usati file RDL basati su default.rdl per il Batch Control in zenon 7.11, ciò può portare al verificarsi di errori nell´output. Se desiderate usare i corrispondenti file RDL sotto zenon 7.11, effettuate le seguenti modifiche prima dell´uso:

  • Data set per BatchOperationInstances
    • Il campo OpertionType deve essere rinominato in OperationType.
  • BatchMasterRecipes e BatchControlRecipes:
    • Il campo MrVersionSource deve essere rinominato in MrSourceVersion.
    • Integrate il campo dati MrVersion con il tipo di dato Integer
  • BatchPhases1

    Aggiungete i seguenti campi dati:

    • CondPlcError (tipo di dato: Stringa)
    • CSName (tipo di dato: Stringa)
    • CSDescription (tipo di dato: Stringa)
    • CSTag (tipo di dato: Stringa)
    • ActiveCSNumber (tipo di dato: Integer)


Comandi

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:11 -> Comandi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel processo di creazione dei file Runtime - via Crea tutti i file runtime - vengono escluse tramite filtraggio tutte le azioni di comando del tipo Comando automatico/remoto e Comando forzato.

Queste azioni sono disponibili in zenon solamente a partire dalla versione 7.11. La validazione della compilazione Editor controlla se per una variabile (o variabili nel caso di uso di wildcard) sono stati progettati due volte lo stesso comando, o la stessa direzione di commutazione. In questo caso, apparirà nella Finestra di emissione una segnalazione di errore.

info Informazioni su

Le azioni di comando Comando automatico/remoto e Comando forzato non sono disponibili in versioni del Runtime precedenti alla versione in 7.11.


IMM Nomi tabelle

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:11 -> IMM Nomi tabelle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I nomi tabella vengono adesso assegnati in modo fisso nell´IMM:

  • Tabella dispositivi: Devices
  • Tabella per elaborazione manutenzione: MaintenanceWorks
  • Tabella per lo storico: MaintenanceHistory
  • Tabella per i documenti: Documents

Queste tabelle hanno di default dei nomi fissi.

Nella conversione di progetti, nomi tabella divergenti vengono mantenuti. I nuovi progetti usano i nomi tabella assegnati in modo fisso.


Modifica variabili via API

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:11 -> Modifica variabili via API

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´Object Model di zenon, il Variables object è stato esteso con l´aggiunta delle funzioni ModifyVariable e ModifyArrayVariable. Con esse possono essere modificati via API proprietà di semplici variabili, variabili strutturate e array. Tutte le proprietà dinamiche che non possono essere modificate via AP, sono state settate su "solo lettura".

  • Funzione ModifyVariable:
    Per variabili semplici. Consente la modifica di:
    • Driver
    • Tipo di oggetto
    • Tipo di dati
    • Modalità di indirizzamento
    • Impostazione ogni tipo di dato parte con nuovo offsett
  • Funzione ModifyArrayVariable:
    Per variabili array. Consente la modifica di:
    • Driver
    • Tipo di oggetto
    • Tipo di dati
    • Modalità di indirizzamento
    • Calcolo offset
    • Lower Bound (0 o 1) e dimensioni array.

Attenzione: anche le seguenti proprietà dinamiche sono state settate per API su "solo lettura":

  • LBound
  • Dim1
  • Dim2
  • Dim3
  • OfsAccordingType
  • IsOffsetManuell
  • IsStartAtNewOffset
  • Driver
  • ID_DataTyp

ID_DriverTyp


Filtro Lotto

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:11 -> Filtro Lotto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il filtro su base lotti è stato esteso e la sua configurazione è stata resa uniforme.

Compatibilità:

  • L´impostazione Lotti nella scheda Tempo si trova adesso nella scheda Lotti e si chiama Visualizza dialogo di selezione lotti.
    Differenza: fino alla versione 7.11, si poteva configurare la finestra di dialogo con la selezione Lotti nel filtro tempo e si poteva attivare il filtro nella scheda Lotti.
    A partire dalla versione 7.11, invece, solo una delle due cose è possibile. Nell´effettuazione della conversione di progetto, viene selezionata l´opzione Visualizza dialogo di selezione lotti e il filtro tempo viene settato in modo fisso sul suo valore di Default Filtro tempo relativo con un´ora.
    • Nota Import XML: nella conversione di un progetto dalla versione 7.10 alla versione 7.11 via export XML e import XML, si verifica un errore ottico. Con l´import XML, la conversione avviene invece che a Filtro tempo relativo con un´ora a Filtro tempo assoluto con un´ora. Ciò non ha alcun effetto nel Runtime, visto che l´impostazione non viene analizzata al momento dell´apertura della finestra di dialogo. Tuttavia, al momento dell´apertura del filtro nel Runtime o nell´Editor viene visualizzata una segnalazione di errore, visto che il tempo d´inizio ha un valore maggiore di quello di termine.
  • Sono state ampliate le possibilità per l´opzione Ultimo lotto. Possono essere visualizzate sia lotti conclusi che lotti correnti, ed essi possono essere combinati. Se si selezionano i lotti attivi, oppure se si opta per la combinazione fra quelli attivi e quelli conclusi e se si compila il progetto per una versione precedente alla 7.11, nel Runtime verranno visualizzati i lotti conclusi.
  • Per le operazioni di filtro su base archivi e nomi lotti, sono disponibili rispettivamente le seguenti opzioni:
    • Nessun filtro: corrisponde alla precedente impostazione * come filtro
    • Statico:
    • Da variabile: nuova impostazione

    Nella conversione di progetti della versione 7.10 o precedente, l´impostazione „*" o stringa vuota viene convertita come Nessun filtro.

  • Se si creano i file Runtime per versioni precedenti alla 7.11, possono essere convertite in modo corretto solamente le opzioni Nessun filtro e Statico. Nel caso di Statico, la stringa viene scritta così com´è; per Nessun filtro viene salvato „*" come filtro. L´opzione Da variabile viene ignorata; non viene settato nessun filtro.


Rete

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:11 -> Rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Validazione durante la compilazione.

Durante la compilazione del progetto vengono effettuate le seguenti operazioni di validazione per una rete nominale:

  • variabile usata esiste ancora
  • variabile usata non è del tipo Stringa e non è una Struttura di variabile
  • L´isteresi si trova all´interno della somma di tutti carichi.
  • variabile usata non viene letta da SB
  • Le variabili vengono controllate solo se la modalità ridondanza ha il valore Nominale.

info Informazioni su

Il controllo di un inserimento configurazione viene effettuato solamente se esso è attivo.

Compatibilità con le versioni precedenti

  • Il Runtime di COPA-DATA può collegarsi a un server con una versione < 7.11.
  • L´Editor di COPA-DATA può creare un progetto per una versione Runtime di COPA-DATA < 7.11.


OPC UA Server: capacità multiprogetto

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:11 -> OPC UA Server: capacità multiprogetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versionezenon 7.11, il server OPC UA è predisposto per un uso multiprogetto. Possono essere selezionate variabili del progetto Runtime e di tutti i suoi sottoprogetti. In questo caso, il nome oggetto si compone del nome variabile e del nome progetto. Le configurazioni di client OPC UA create con una versione precedente alla zenon 7.11, quindi, non sono compatibili. Le si dovrà modificare se le si vuole utilizzare con zenon 7.11 o con versioni successive.


Funzioni VBA per lista modelli modificate

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:11 -> Funzioni VBA per lista modelli modificate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le funzioni che servono a verificare il numero di modelli sono state modificate. Fino alla versione 7.10 inclusa, venivano sommati tutti i modelli del progetto locale e del progetto globale. A partire dalla versione 7.11, vengono contati solamente i modelli del progetto locale o quelli del progetto globale.

Sono state modificate le seguenti funzioni VBA:

  • CSchabliste::vba_Count(): a partire dalla versione 7.11, restituisce solo il numero dei modelli locali o globali.
  • CSchabliste::vba_Item(const VARIANT FAR& vID): a partire dalla versione 7.11, restituisce solo la lista dei modelli locali o globali.

Queste modifiche potrebbero causare un´incompatibilità con progetti creati con versioni precedenti. Se si effettua un´interrogazione mediante queste funzioni VBA in un progetto esistente, esse dovranno essere adattate.

Esempio

in un progetto locale ci sono 5 modelli e nel progetto globale ce ne sono 10. Conseguenza:

  • finora venivano contati e iterati 15 modelli.
  • A partire dalla versione 7.11 vengono contati e iterati o 5 o 10 modelli.
  • Se l´iterazione porta ad un errore, per es. 11,
  • si dovranno effettuare delle interrogazioni separate per progetto locale e progetto globale.


Conversione dalla versione X alla versione 07:20

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nota: non è consentito l´uso di caratteri speciali come ß-/\ nel nome di un progetto di zenon. Sono consentiti: cifre, lettere e il carattere speciale trattino basso (_). Ulteriori informazioni su questo tema le trovate nella guida relativa a Gestione progetto e area di lavoro, nel capitolo Crea nuovo progetto.

Noch in diesem Kapitel

BACnetNG

Batch Control: Non più inserimenti CEL raggruppati in corrispondenza di un cambiamento di valore nella ricetta di controllo.

Funzioni specifiche per tipo immagine

Successione di visualizzazione degli elementi

DirectX 11.1

DirectX nell´Editor

DirectX: rappresentazione grafica in caso di cambio immagine.

DNP3_TG driver sostituisce DNP3_NG

Collega testo: sostituita la proprietà "Testo da variabile".

Proprietà antialiasing rimossa.

Proprietà Angolo di testo e Inclinazione lettere rimosse.

Inserimenti nello zenon6.ini per [AlarmFilterDialog] modificati

Trend esteso Cross-hair, visuale XY

Formato Tabella della banca dati Archivio in cascata

Qualità grafica "Windows Enhanced"" rimossa

Testo valore limite

IMM Nomi tabelle

Navigazione con Multi-Touch nell´immagine globale

Process Control Engine (PCE) rimosso

Trasporto Remoto: Salvare la password in forma crittografata

Proprietà dei modelli

Modelli: proprietà "Tipo di cornice" modificata.

Modelli. Colore di sfondo.

Ombra nell´Elemento combinato

Differente fra le qualità grafiche "Windows Enhanced" e "DirectX"

Elementi non collegati

Proprietà di variabili per zenon Analyzer

Imposta progetti zenon Logic


BACnetNG

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> BACnetNG

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il driver è stato modificato per la versione 7.20.

Separatore

Per l´opzione Property separator adesso è proibito usare i segni @ e # come separatori. Questi caratteri vengono conservati nei progetti convertiti; altrimenti non è possibile utilizzarli.

Attenzione: Se si usa uno dei due caratteri, la comunicazione non sarà possibile.

Indirizzamento

Selezione indirizzo

Il checkbox Use identification to define object name and property nel dialogo di configurazione Settings è stato sostituito dal menù a tendina Property used for adressing. L´indirizzamento può essere selezionato usando i seguenti metodi:

  • Nome variabile
  • Identificazione
  • Indirizzo simbolico

L´inserimento corrispondente della lista a cascata viene settato durante la conversione del progetto.

Nuovo Checkbox per lo stato dell´estrazione

Il nuovo checkbox Do not read property/event state from address string consente di non estrarre Property-ID e Event State dall´indirizzo selezionato.

Se si attiva quest´opzione:

  • Property-ID o Event State devono essere settati usando le proprietà specifiche per driver previste a questo scopo. Questa configurazione viene eseguita automaticamente nel caso di online import.
  • Singoli elementi di liste BACnet Arrays non possono essere più indirizzati.
  • Il nome variabile non può essere usato per l´indirizzamento, perché deve essete univoco. L´indirizzamento deve avvenire o via identificazione, o via indirizzo simbolico.
  • Il sistema non cerca più il Property separator nel campo indirizzo. L´indirizzo, perciò, consiste solo di: <Nome dispositivo>.<Nome oggetto>.
    A questo proposito vale quanto segue:
    • Il nome dispositivo non deve contenere punti (.).
    • Non ci sono restrizioni per quello che concerne i nomi oggetti.


Batch Control: Non più inserimenti CEL raggruppati in corrispondenza di un cambiamento di valore nella ricetta di controllo.

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Batch Control: Non più inserimenti CEL raggruppati in corrispondenza di un cambiamento di valore nella ricetta di controllo.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Non c´è più un messaggio CEL raggruppato quando cambiano dei valori in una ricetta di controllo. . Ogni messaggio contiene invece tutte le informazioni che concernono la ricetta. Gli inserimenti header sono stati rimossi a tutte le modifiche dei valori parametri usano adesso gli stessi inserimenti della modifica tramite lista parametri. Allo stesso modo, gli inserimenti per cambiamenti sono stati adattati al tempo minimo d´esecuzione. Per quest´ultimo sono stati aggiunti nuovi inserimenti.

Sono stati rimossi i seguenti inserimenti:

  • IDS_STRING2460 "@Parametrierung der Grundfunktion@ %s""%s/%s"" @(Spalte@ %i - @Zeile@ %i@) geändert, Steuerrezept@ ""%s""@, Vorlagenrezept@ ""%s"""
  • IDS_STRING2627 "@Begründung:@ ""%s"""
  • IDS_STRING2624 "  il valore di parametro@ ""%s"" @è stato modificato. Vecchio valore@ ""%s"", @nuovo valore@ ""%s""
  • IDS_STRING2628 "  @Minimale Ausführungsdauer wurde geändert. Vecchio valore@ ""%s"", @nuovo valore@ ""%s""

Sono stati aggiunti i seguenti inserimenti:

  • IDS_STRING2624 "@Minima durata di esecuzione della fase@ %s""%s/%s"" @(colonna@ %i - @riga@ %i@) è stata modificata. Valore vecchio@ ""%s"" @valore nuovo@ ""%s""@, ricetta di controllo@ ""%s""@, ricetta master@ ""%s""
  • IDS_STRING2627 "@Minima durata di esecuzione della fase@ %s""%s/%s"" @(colonna@ %i - @riga@ %i@) è stata modificata. Vecchio valore@ ""%s"" @nuovo valore@ ""%s""@, ricetta di controllo@ ""%s""@, ricetta master@ ""%s"" @motivo@ ""%s"""


Funzioni specifiche per tipo immagine

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Funzioni specifiche per tipo immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando delle funzioni specifiche per immagini non sono valide (per es. perché si è copiato un pulsante in´immagine di un altro tipo), il sistema provvederà a mettere in evidenza il collegamento non valido che potrà essere poi sostituito. Le funzioni non valide vengono rimosse in fase di compilazione.

Quando si convertono dei progetti, è possibile che essi contengano ancora nel Runtime delle funzioni specifiche per il tipo di immagine non valide.


Successione di visualizzazione degli elementi

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Successione di visualizzazione degli elementi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La successione di visualizzazione delle singole componenti degli elementi è stata adeguata.


DirectX 11.1

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> DirectX 11.1

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´uso di DirectX 11.1 vale quanto segue:

  • Per Windows 8 e le versioni più recenti del sistema operativo, DirectX 11.1 è nativo.
  • Per Windows 7 e Server 200R2 senza Service Pack e per le versioni ancora più vecchie del sistema operativo, DirectX 11.1 non è disponibile e non può essere utilizzato.
  • Per Windows 7 SP1 e Server 2008 R2 SP1 deve essere installato un Windows service pack.

Per installare il Service Pack:

  1. scaricate dalla pagina del supporto tecnico di Microsoft l´aggiornamento piattaforma KB2670838.
  2. Selezionate la versione che corrisponde al vostri sistema operativo.
    • 32 Bit
    • 64 Bit
  3. Eseguite il file di registrazione corrispondente.

Nota: Ciò riguarda solamente Windows 7 SP1 e Server 2008 R2 SP1. DirectX 11.1 è già presente in versioni più recenti. L´update non può essere installato in versioni precedenti.


DirectX nell´Editor

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> DirectX nell´Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La rappresentazione DirectX nativa è disponibile nell´Editor tramite le impostazioni della proprietà Qualità grafica.

Non c´è più la linea tratteggiata per la griglia. Essa, infatti, viene sostituita nel processo di conversione del progetto da una linea continua.

Quando si crea un nuovo progetto, la Qualità grafica è di default DirectX Hardware. La si può cambiare manualmente a Windows Basis, o DirectX Software. Quando si converte un progetto, il vecchio valore Windows Enhanced viene modificato in DirectX Hardware. Quando nel Runtime si lancia un progetto che è stato configurato con Windows Enhanced, esso viene caricato con DirectX Hardware.

Nota: La rappresentazione grafica di DirectX differisce da Windows Enhanced. Per ulteriori dettagli, vi preghiamo di consultare il capitolo Differenze fra le qualità grafiche di "Windows Enhanced" e "DirectX".

A partire dalla versione 7.00 , se nell´Editor si definisce per un progetto una graphics quality diversa da Windows Basis (inclusa l´impostazione corrispondente per Crea file RT per),), il Runtime (fino alla versione zenon 6.51) carica la qualità grafica Windows Enhanced. Se si setta la qualità grafica Windows Basis, essa verrà mantenuta.


DirectX: rappresentazione grafica in caso di cambio immagine.

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> DirectX: rappresentazione grafica in caso di cambio immagine.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In corrispondenza di un cambio, chiusura o apertura di un´immagine, è cambiato il comportamento del sistema nel Runtime quando si usa DirectX. A partire da adesso, infatti, solamente il colore di sfondo di un´immagine viene visualizzato fino alla completa apertura o dopo la chiusura della stessa.


DNP3_TG driver sostituisce DNP3_NG

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> DNP3_TG driver sostituisce DNP3_NG

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la versione 7.20, il DNP3_TG driver sostituisce il DNP3_NG driver. Quest´ultimo non è più compreso fra quelli che il sistema offre automaticamente alla scelta dell´utente. Esiste però la possibilità di aggiungerlo manualmente. (Vedi i dettagli nella guida relativa ai driver.)

Nel corso della conversione di progetti che usano il driver DNP3_NG, esso viene reinserito nella lista driver.


Collega testo: sostituita la proprietà "Testo da variabile".

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Collega testo: sostituita la proprietà "Testo da variabile".

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la configurazione dell´elemento d'immagine Collega testo, il checkbox Testo da variabile è stato sostituito dalla nuova selezione drop-down Testo visualizzato.

Ciò consente di selezionare il contenuto da visualizzare nel Runtime scegliendolo in una lista a discesa:

  • Descrizione apparecchiatura: Viene visualizzato il contenuto della proprietà variabile Identificazione servizio.
  • Testo valore limite: Finché non si verifica una violazione di valore limite, viene visualizzato il contenuto della proprietà immagine Testo. Quando si verifica una violazione di valore limite, viene visualizzato il contenuto della proprietà variabile Testo valore limite.
  • Unità di misura:: Viene visualizzato il contenuto della proprietà variabile Unità di misura.
  • Identificazione variabile: Viene visualizzato il contenuto della proprietà variabile Identificazione.
  • Nome variabile:: Viene visualizzato il contenuto della proprietà variabile Nome.
  • Valore variabili.: Viene visualizzato il valore della variabile.

Quando si convertono progetti nella versione 7.20, la proprietà viene settata in corrispondenza dello stato del checkbox:

Checkbox nel progetto prima di 7.20 | Selezione nel menù a tendina in 7.20
inattivo | Testo valore limite
attivo (variabile è numerica) | Valore variabili
attivo (variabile non è numerica) | Testo valore limite

Durante la compilazione dei file Runtime nella versione 7.20 o per la versione 7.11 o per una dal numero di serie minore, il valore del checkbox è settato nella versione compilata:

  • attivo: scelta per la selezione drop-down è Valore variabile
  • inattivo: per tutti gli altri set up.


Proprietà antialiasing rimossa.

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Proprietà antialiasing rimossa.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La proprietà Usa antialiasing è stata rimossa dalle proprietà di progetto. Adesso viene utilizzata sempre Antialiasing ogni qualvolta la supporta la qualità grafica impostata.


Proprietà Angolo di testo e Inclinazione lettere rimosse.

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Proprietà Angolo di testo e Inclinazione lettere rimosse.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le proprietà Angolo di testo e Inclinazione lettere sono state rimosse. Esse erano utilizzate con l´elemento Testo statico quando il carattere era embedded. Angolo di testo può essere ottenuto mediante una rotazione di tutto l´elemento. Non esiste una procedura sostitutiva per Inclinazione lettere.


Inserimenti nello zenon6.ini per [AlarmFilterDialog] modificati

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Inserimenti nello zenon6.ini per [AlarmFilterDialog] modificati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nello zenon6.ini, un inserimento nella sezione [AlarmFilterDialog] poteva essere usato per predeterminare gli inserimenti per nome variabile e identificazione nei dialoghi filtro per AML, CEL e nelle immagini filtro. Questi inserimenti sono stati modificati nella versione 7.20. Perciò gli inserimenti che sono stati già definiti non funzionano più.

Visto che tutti i filtri inseriti sono salvati automaticamente sul computer locale mediante questo inserimento dello zenon6.ini, non è necessaria una configurazione via file INI. Potete trovare i dettagli relativi agli inserimenti attualmente validi nella documentazione concernente lo zenon6.ini.


Trend esteso Cross-hair, visuale XY

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Trend esteso Cross-hair, visuale XY

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7.20 di zenon, il crosshair nel Runtime per la visuale XY viene configurato nel cambio immagine. A tal scopo, attivate l´opzione Mostra crosshair nel diagramma XYnella scheda Rappresentazione .

Finora la configurazione avveniva tramite l´inserimento SHOW_XY_CROSS= del project.ini. Quando si effettua la conversione da una versione precedente a zenon 7.20, l´impostazione viene letta dal projekt.ini e inserita. A partire da questo momento, il sistema ignora l´inserimento nel project.ini.


Formato Tabella della banca dati Archivio in cascata

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Formato Tabella della banca dati Archivio in cascata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire da zenon 7.20, il GUID è contenuto nell´indice quando si trasferiscono archivi in un database-SQL. In questo caso vale quanto segue: esso NON deve essere zero. A partire da zenon 7.20, una stringa vuota viene inserita al posto di ZERO per consentire il trasferimento di variabili del vostro progetto per il GUID.

Se vengono compilati file Runtime per la versione 7.11 o versioni precedenti, ne consegue un problema di compatibilità: Siccome qui ZERO è scritto nella colonna GUID, il trasferimento non funzionerà.

Soluzione: La tabella nel server SQL deve essere creata manualmente senza GUID nella primary key, oppure completamente senza una chiave primaria.

Per esempio, con la seguente sintassi:

CREATE TABLE [$projectname$_$archivename$]

(

[VARIABLE] int,

[CALCULATION] int,

[TIMESTAMP_S] int,

[TIMESTAMP_MS] int,

[VALUE] float,

[STATUS] int,

[GUID] varchar(36),

[STRVALUE] varchar(?),

CONSTRAINT [PK_$projectname$_$archivename$] PRIMARY KEY CLUSTERED

(

[TIMESTAMP_S] ASC,

[TIMESTAMP_MS] ASC,

[VARIABLE] ASC,

[CALCULATION] ASC

)

)


Qualità grafica "Windows Enhanced"" rimossa

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Qualità grafica "Windows Enhanced"" rimossa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´opzione della qualità grafica Windows Enhanced è stata rimossa da zenon. Quando si crea un nuovo progetto, la Qualità grafica è di default DirectX Hardware. La si può cambiare manualmente a Windows Basis, o DirectX Software. Quando si converte un progetto, il vecchio valore Windows Enhanced viene modificato in DirectX Hardware. Quando nel Runtime si lancia un progetto che è stato configurato con Windows Enhanced, esso viene caricato con DirectX Hardware.

Nota: La rappresentazione grafica di DirectX differisce da Windows Enhanced. Per ulteriori dettagli, vi preghiamo di consultare il capitolo Differenze fra le qualità grafiche di "Windows Enhanced" e "DirectX".

A partire dalla versione 7.00 , se nell´Editor si definisce per un progetto una graphics quality diversa da Windows Basis (inclusa l´impostazione corrispondente per Crea file RT per),), il Runtime (fino alla versione zenon 6.51) carica la qualità grafica Windows Enhanced. Se si setta la qualità grafica Windows Basis, essa verrà mantenuta.


Testo valore limite

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Testo valore limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il testo valore limite e il testo di stato di una matrice di reazione possono adesso avere una lunghezza massima di 1024 caratteri. Nel formato tabella per l´export di allarmi in SQL, la colonna TEXT è stata estesa a 1024 caratteri.

Il buffer per le parti dinamiche del testo dinamico del valore limite quando si usano "long dynamic limit value texts" (D*.AML e D*.CEL), è adesso variabile, con una grandezza massima di 1024 byte. Il formato in cui si salvano file D*.AML e D*.CEL è stato perciò cambiato.

I file esistenti rimangono inalterati come "fixed-length record format" con 264 byte e non vengono convertiti. Quelli di nuova creazione, invece, vengono impostati con una "record length" variabile nella nuova versione di formato.


IMM Nomi tabelle

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> IMM Nomi tabelle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I nomi tabella vengono adesso assegnati in modo fisso nell´IMM:

  • Tabella dispositivi: Devices
  • Tabella per elaborazione manutenzione: MaintenanceWorks
  • Tabella per lo storico: MaintenanceHistory
  • Tabella per i documenti: Documents

Queste tabelle hanno di default dei nomi fissi. Essi corrispondono alle denominazioni della Gestione punti di misurazione

Nella conversione di progetti, nomi tabella divergenti vengono mantenuti. I nuovi progetti usano i nomi tabella assegnati in modo fisso. Se delle tabelle vengono usate sia da IMM che dalla Gestione punti di misurazione, esse devono corrispondere a questa convenzione. Eventuali denominazioni non corrispondenti alla convenzione in IMM, possono essere modificate usando un´apposita finestra di dialogo.


Navigazione con Multi-Touch nell´immagine globale

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Navigazione con Multi-Touch nell´immagine globale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si effettua una conversione da una versione precedente a zenon 7.20, per le proprietà Sposta orizzontalmente e Sposta verticalmente vengono settati i valori seguenti:

  • L'immagine è più grande del modello: Muovi
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: Nessuna reazione


Process Control Engine (PCE) rimosso

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Process Control Engine (PCE) rimosso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

PCE non viene più supportato a partire dalla versione 7.20 e non viene più visualizzato nella struttura ad albero dei moduli di zenon. È stato sospeso il lavoro di sviluppo e di documentazione per PCE.

Quando si convertono dei progetti realizzati con versioni precedenti alla 7.20 e contenenti dei task PCE, viene visualizzato di nuovo il nodo PCE per questi progetti. Si può continuare ad usare PCE per progetti convertiti.

Raccomandazione: Usate zenon Logic invece di PCE.


Trasporto Remoto: Salvare la password in forma crittografata

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Trasporto Remoto: Salvare la password in forma crittografata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7.20, la password per la connessione Trasporto Remoto può essere salvata in forma crittografata nello zenon6.ini .

Per la conversione dei progetti, tenete presente quanto segue:

  • Nell´Editor (source system), quando si converte un progetto dalla versione X alla 7.20, l´inserimento KEY= è sostituito da quello KEYCRYPT= e la password è salvata in questa sede in forma crittografata.
  • Nel sistema di destinazione c´è una query per verificare se KEY= ha un inserimento nello zenon6.ini.
    Sì: Questo inserimento ha priorità. Per consentire la conversione, l´inserimento in questione deve essere cancellato manualmente nel sistema di destinazione.

Per i dettagli, vi preghiamo di consultare la guida relativa al Trasporto Remoto, ed in particolare il capitolo Crittografia.

Anche la comunicazione del Trasporto Remoto può essere cifrata. A tal fine, si deve attivare nello Startup Tool la Crittografia della rete zenon.


Proprietà dei modelli

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Proprietà dei modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I modelli dispongono adesso di nuove proprietà. Esse consentono di configurare la grandezza di un´immagine al momento della sua apertura, nonché lo spostamento di immagini sullo schermo. Inoltre, sono state rinominate due proprietà già esistenti.

Nuove proprietà.

Proprietà | Descrizione
Dimensioni d'apertura: | Definisce la dimensione con cui viene aperta nel Runtime un´immagine basata su questo modello.
Valore (grandezza di apertura) | Valore per il tipo selezionato dell´impostazione della grandezza.
Limite minimo: | Definisce i limiti minimi.
Valore (Minimo): | Valore per il tipo di limitazione selezionato.
Muovi: | Definisce possibili limitazioni per il movimento di un oggetto.
Limite: | Definisce il tipo di limitazione per lo spostamento di oggetti.
Margine minimo del frame: | Definisce l´area che deve rimanere sul monitor quando un oggetto viene spostato oltre il bordo del monitor stesso.

Quando si converte un progetto, i valori delle nuove proprietà sono settati automaticamente sulla base di quelli di default.

Proprietà rinominate

zenon 07:11 | zenon 07:20
Larghezza [Pixel]: | Larghezza (massima) [Pixel]: Definisce la larghezza massima.
Altezza [Pixel]: | Altezza (massima) [Pixel]: Definisce l´altezza massima.

I valori vengono applicati durante la conversione del progetto.


Modelli: proprietà "Tipo di cornice" modificata.

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Modelli: proprietà "Tipo di cornice" modificata.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sono state modificate le impostazioni possibili per la proprietà Tipo di cornice in relazione ai modelli:

Fino alla versione 7:11 inclusa | Dalla versione 07:20
Cornice spessa | Permetti ridimensionamento
Cornice fine | Dimensione fissa
Nessuna cornice | Nessuna cornice

In tal modo cambia la visualizzazione nell´Editor e nel Runtime. Nell´Editor, anche la cornice del modello adesso è visualizzata nel modo in cui appare nel Runtime sullo stesso PC con le stesse impostazioni nel sistema operativo. L´aspetto del modello nei progetti convertiti, perciò, può essere diverso da quello della versione di partenza.


Modelli. Colore di sfondo.

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Modelli. Colore di sfondo.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo sfondo dei modelli viene visualizzato adesso nel Runtime usando il colore dell´immagine che è aperta.


Ombra nell´Elemento combinato

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Ombra nell´Elemento combinato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In un elemento combinato, gli effetti d´ombra funzionano in modo del tutto simile a quanto vale per altri elementi o simboli. Rotazioni non hanno alcun effetto sull´angolazione effettiva dell´ombra.


Differente fra le qualità grafiche "Windows Enhanced" e "DirectX"

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Differente fra le qualità grafiche "Windows Enhanced" e "DirectX"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´opzione di qualità grafiche WindowsEnhanced è stata rimossa da zenon; vedi capitolo Qualità grafica "Windows Enhanced" rimossa. Dalla conversione di progetto possono risultare delle differenze concernenti i pixel, nonché delle divergenze dell´output grafico di oggetti.

Se si rende necessario modificare un progetto dopo averne effettuato la conversione, tenete presente le seguenti differenze fra le qualità grafiche WindowsEnhanced e DirectX:

Divergenze possono verificarsi nelle seguenti aree:

  • ClearType di caratteri
  • Antialiasing
  • Posizionamento di visualizzazioni all´interno di elementi

    A questo proposito, tenete presente:

    • gli elementi dinamici e
    • tutte le aree in cui ci sono testi.
  • Dinamici/Simboli:
    • Rotazione
    • Scalare
    • Muovi

Eventuali differenze in:

  • Effetto riempimento 3-D
  • Arrotondamento
  • Effetti, come ombra
  • Arrotondamento
  • Fine linea
  • Tipo linea
  • File grafico
  • Zoom nell´Editor di zenon
  • Visualizzazione globale nel Runtime di zenon

Nota: anche delle differenze non inserite nel precedente elenco possono verificarsi in altre aree.


Elementi non collegati

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Elementi non collegati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Elemento Combinato:

Se non è collegata nessuna variabile principale, l´Elemento combinato non viene più visualizzato nel Runtime.

Elemento Trend:

Se non è definita nessuna curva, l´elemento trend non viene visualizzato nel Runtime.

Elemento orologio:

Se l´elemento orologio è configurato con l´impostazione Differenza di tempo, ma non è collegata nessuna variabile, esso non viene più visualizzato nel Runtime.

Elemento WPF:

Un elemento WPF in cui non è stata collegato nessun file XAML valido, non è disponibile nel Runtime.


Proprietà di variabili per zenon Analyzer

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Proprietà di variabili per zenon Analyzer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´uso nel prodotto di COPA-DATA zenon Analyzer, è stato aggiunto un nuovo gruppo di proprietà delle variabili:

Le seguenti proprietà nel gruppo proprietà-variabili di zenon Analyzer forniscono delle informazioni per report in zenon Analyzer:

  • Nome visualizzato: Inserimento di un nome visualizzazione della variabile in zenon Analyzer. Esso deve essere unico nell´intero progetto. La verifica di ciò non avviene al momento dell´assegnazione in zenon, ma quando si effettua l´import in zenon Analyzer. Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.
  • Significato: Inserimento del significato (Meaning) di una variabile in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. Diversi significati vengono separati da virgole.
    Sintassi:[Meaning1],[Meaning2],…,[MeaningN]
  • Parametro per diagramma a cascata: Parametri di una variabile per un diagramma waterfall in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
    Sintassi: [Nome modello],[Indice righe],[Indice in riga],[Codice colore];

Fino alla versione 7.11, gli inserimenti delle adesso nuove proprietà Significato e Parametro per diagramma a cascata erano inseriti nella proprietà Identificazione servizio.

Quando si converte un progetto nella versione 7.20, gli inserimenti nella proprietà Identificazione servizio vengono conservati. Quando si effettua un export in zenon Analyzer, il sistema verifica sia la proprietà preesistente, che quelle nuove. Se entrambe sono già assegnate, vengono ripresi gli inserimenti delle nuove proprietà Gli inserimenti che sono stati creati usando il Meaning and Waterfall Chart Wizard vengono sempre inseriti nelle nuove proprietà.


Imposta progetti zenon Logic

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:20 -> Imposta progetti zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´Editor zenon non è più possibile creare progetti zenon Logic con il nome __Global.
Attenzione: Se esistono già dei progetti con il nome __Global, essi non verranno più visualizzati.


Conversione dalla versione X alla versione 07:50

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:50

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

API: tipo di dato modificato per ReaAlarm (Def 34779

Elementi d'immagine rimossi

Proprietà "Trasparenza" modificata per il testo statico

Elemento Testo statico: Non esiste più la possibilità di incorporare font in questo elemento.

Driver SE per progetti 6.20 SP4 o con numero di versione inferiore

SNMP32 e SNMPNG32 - Percorso di salvataggio MIBS

Rimossa "Rete gas" nel modulo Load Management.


API: tipo di dato modificato per ReaAlarm (Def 34779

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:50 -> API: tipo di dato modificato per ReaAlarm (Def 34779

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il tipo di dato per ReaAlarm è stato modificato:

  • Finora LONG
  • dalla versione 07:50 DOUBLE

Questa modifica può causare errori durante la compilazione di codice esistente.


Elementi d'immagine rimossi

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:50 -> Elementi d'immagine rimossi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I seguenti elementi d'immagine non sono più disponibili a partire dalla versione 7.50.

  • Elemento di segnalazione
  • Multibin
  • Elemento di stato

Per gli elementi non più supportati vale quanto segue:

  • Dopo la conversione in un progetto attuale che non supporta più un elemento:
    • Gli elementi esistenti vengono visualizzati nell´Editor e nel Runtime.
    • Gli elementi esistenti possono essere configurati nell´Editor.
    • Non si possono creare elementi nuovi di questo tipo nell´Editor.
  • Nella compilazione dei file Runtime per una versione che supporta questi elementi:
    • Gli elementi possono essere visualizzati, configurati e creati. Trovate poi questi elementi in fondo al menù a tendina Elementi.

Nota: la funzionalità dell´elemento Multibin e dell'elemento di stato può essere configurata anche usando l'elemento combinato.


Proprietà "Trasparenza" modificata per il testo statico

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:50 -> Proprietà "Trasparenza" modificata per il testo statico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La proprietà "Trasparenza" per l'elemento d'immagine Testo statico è stata modificata. Finora era possibile scegliere solamente fra le opzioni trasparente e coprente. Con la proprietà Trasparenza colore riempimento [%] si può adesso selezionare il grado di trasparenza in punti percentuali fra 0 % (coprente) e 100 % (trasparente).

Quando si converte il progetto, viene adottato il valore 100 % se nel progetto originario era configurata l'opzione trasparente. In tutti gli altri casi viene settato il valore 0 %.


Elemento Testo statico: Non esiste più la possibilità di incorporare font in questo elemento.

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:50 -> Elemento Testo statico: Non esiste più la possibilità di incorporare font in questo elemento.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Non è più possibile incorporare dei font nell'elemento "Testo statico". Come per altri elementi, adesso è possibile solamente collegare dei font usando la proprietà Carattere.

Conversione progetto

Nel corso del processo di conversione di progetti, il sistema analizza tutte le immagini per verificare la presenza di testo statico con font incorporato.
Se si individuano font incorporati, essi vengono sostituiti:

  1. Il font incorporato viene sostituito con il font standard Arial (10).
  2. Viene visualizzata una nota.
    Cliccando due volte sulla nota, si apre l'immagine contenente l'elemento e il testo statico il cui font è stato modificato viene evidenziato.

Static Text Font Conversion Wizard

Per poter continuare ad usare configurazioni di progetto che usano questa proprietà (realizzate con versioni precedenti), avete a disposizione lo Static Text Font Conversion Wizard, che effettua le necessarie modifiche nel progetto zenon 7.20.

Lo Static Text Font Conversion Wizard:

  • Controlla tutte le immagini ed i simboli di un progetto.
    Opzioni configurabili facoltativamente:
    • Controlla tutti i simboli di un progetto globale.
    • Controlla tutti i simboli della libreria simboli globale.
  • Converte tutte le configurazioni di progetto di font incorporati in font collegati:
    • Creazione di un nuovo font.
      Nome font: Conversion_[nome font esistente]
    • Collegamento di questo nuovo font ad un elemento.

    Opzione configurabile facoltativamente:

    • Creazione e collegamento vengono effettuati nel progetto globale.

attention Attenzione

Vi preghiamo di assicurarvi che i vostri progetti zenon esistenti siano prima di tutto preparati nella versione7.20 in modo corrispondente tramite lo Static Text Font Conversion Wizard; poi potete convertirli in una versione più recente di zenon.

Il Wizard è contenuto solo in Build attuali della versione 7.20.

XML: Import e Export

Quando si importa un file XML per un progetto realizzato con una versione precedente alla 7.50, il testo incorporato viene sostituito con testo standard.

Quando si esportano le immagini convertite, non è più inclusa la proprietà Font. Essa viene sostituita da LinkedFont.

API

Due proprietà sono disponibili nella API:

Font: era usata in precedenza.

LinkedFont: dalla versione 7.50

Per ragioni di compatibilità, nella API Get/Set è possibile per il font usando entrambe le proprietà.

Comportamento precedente:

  • Era possibile usare il nome esterno Font per settare un Get o Set per un oggetto LOGFONT.
  • Se tutti gli attributi della struttura LOGFONT erano impostati su 0, ad eccezione dello spessore del font (secondo argomento), il font era considerato collegato. Il valore dello spessore del font corrispondeva a quello del font nel modulo Lista caratteri.
  • Se per la struttura LOGFONT veniva settato anche il primo argomento e venivano impostati anche ulteriori valori (non zero), il font era considerato incorporato.

Comportamento a partire dalla versione 7:50:

  • Get: funziona come prima.
  • Set: dipende dai valori.
    • Se il font è stato impostato come collegato (tutti i valori pari a 0, eccetto il secondo argomento), il processo funziona come prima.
    • Se il font è impostato come incorporato, viene sostituito con quello standard.


Driver SE per progetti 6.20 SP4 o con numero di versione inferiore

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:50 -> Driver SE per progetti 6.20 SP4 o con numero di versione inferiore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella conversione di un progetto con la versione < = 6.20 SP4 con il driver SE.

Perché la configurazione venga ripresa e applicata in modo corretto, si deve aprire la finestra di dialogo driver e lo si deve confermare cliccando su OK.


SNMP32 e SNMPNG32 - Percorso di salvataggio MIBS

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:50 -> SNMP32 e SNMPNG32 - Percorso di salvataggio MIBS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

E' stato modificato il percorso di salvataggio per MIB installati individualmente.

  • Finora: %ProgramFiles(x86)%\COPA-DATA\zenon7.50\SNMP-MIBS
  • Dalla versione 7.50: %ProgramData%\COPA-DATA\zenon7.50\CommunicationProfiles\SNMP-MIBS

Così i MIB possono essere installati anche senza diritti di amministratore.


Rimossa "Rete gas" nel modulo Load Management.

Manuale -> Conversione progetto -> Conversione dalla versione X alla versione 07:50 -> Rimossa "Rete gas" nel modulo Load Management.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire da zenon 7.50, il modulo Load Management supporta solamente reti elettriche.

La funzionalità "Rete gas" è stata rimossa. Quando si importa, converte e compila dei progetti di zenon realizzati con versioni precedenti, viene visualizzato un messaggio corrispondente nella finestra di emissione dell'Editor di zenon quando il progetto in questione ha ancora contenuti per reti gas.

Al momento dello start del Runtime di zenon, viene generato un inserimento CEL corrispondente.

Testo avviso

In caso di una progettazione con contenuti "Rete gas", viene visualizzato nella finestra di emissione dell'Editor di zenon il seguente messaggio:

La funzionalità "Rete gas" non è più supportata nel modulo Load Management e quindi non verrà importata.


Definizione di impianto

Manuale -> Definizione di impianto

La definizione di impianto riproduce la struttura di un impianto nell´Editor. In conformità a quanto previsto dalle norme ISA S88 e S95, con zenon possono essere rappresentati tutti i livelli in cui si articola un´azienda:

I livelli superiori permettono di classificare in modo corretto i dettagli dei livelli inferiori e di metterli in relazione reciproca. I livelli inferiori si riferiscono a dispositivi specifici che servono alla gestione e al controllo del processo.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Definizione d´impianto in zenon

Con zenon potete visualizzare l´intero modello e creare qualsiasi tipo di macchinario, edificio e processi. In tal modo, i dati possono essere raggruppati e filtrati sia nel runtime che e nell´editor. I modelli di impianto possono essere visualizzati anche come immagine separata nel runtime, e possono essere utilizzati come filtro per altre immagini aperte.

Modelli di impianto possono essere creati per più progetti nel progetto globale, oppure localmente in progetti singoli.

info Informazioni su

La lingua impostata per la definizione di impianto non è modificabile.

Finestra Definizione d´impianto

I modelli di impianto possono essere aperti in una finestra propria:

  • A questo scopo, selezionate anzitutto il menù contestuale della "Definizione d´impianto" nel manager di progetto e scegliete il comando Apri in nuova finestra...
  • Di default viene aperta una nuova finestra con modelli di impianto nella parte bassa dell´editor.
  • Potete piazzare questa finestra (come qualsiasi altra finestra) sullo schermo dove preferite.
  • Se avete aperta anche la visuale dettagliata della "Definizione d´impianto", i contenuti delle due finestre vengono sincronizzati, in modo tale da mettervi in condizione di apportare delle modifiche in entrambe.

Noch in diesem Kapitel

Crea modello di impianto

Collegare dei modelli ad elementi e oggetti

Allarmi gerarchici via gruppi di impianti

Esporta e importa modelli

Tipo d'immagine Modello di impianto

Filtraggio nella visuale dettagliata

Filtro durante il runtime


Crea modello di impianto

Manuale -> Definizione di impianto -> Crea modello di impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete creare un numero qualsiasi di modelli di impianto e raggrupparli sulla base di criteri determinati. Create anzitutto il modello e poi i gruppi in esso.

Per creare un nuovo modello:

  • Decidete se volete creare un modello di impianto globale o locale
  • Selezionate nel menù contestuale del nodo Definizione di impianto il comando Nuovo modello di impianto,

    oppure selezionate nella barra degli strumenti il simbolo per Nuovo modello impianti

  • Nella visualizzazione dettagli viene generato un nuovo nodo, che ha il nome standard Modello di impianto X (X sostituisce un numero progressivo)
  • Cambiate il nome per adeguarlo alle vostre esigenze; per far ciò selezionate il nome in questione e premete il tasto F2, oppure cliccate per tre volte nel campo del nome.

info Informazioni su

Sono a vostra disposizione modelli di impianto di progetti globali e locali. Nel caso sussistano conflitti di nomenclatura, il sistema accorda la precedenza ai progetti di impianto locali.

Suggerimento: fate attenzione in fase di progettazione di modelli di impianto ad attribuire nomi univoci. Assegnate, ad esempio, a modelli di impianto globali un prefisso o suffisso corrispondente. In tal modo eviterete che i modelli di impianto abbiano lo stesso nome a livello globale e locale. E potete facilmente risalire all´origine dei modelli di impianto visualizzati nelle liste di selezione.

Per creare un nuovo gruppo:

  • Selezionate nel menù contestuale del modello, oppure in un gruppo di livello superiore, il comando Nuovo gruppo impianti

    oppure premete il tasto INS.

    oppure selezionate nella barra degli strumenti il simbolo Nuovo gruppo impianti

  • Nella struttura del modello viene creato un nuovo gruppo che ha il nome standard Gruppo di impianti X (X sostituisce un numero progressivo)
  • Cambiate il nome per adeguarlo alle vostre esigenze: subito dopo aver impostato il gruppo, il campo nome si trova già nella modalità editor; se volete modificare il nome in un secondo momento, selezionate il nome e premete il tasto F2, oppure cliccate per tre volte sul campo del nome.
  • E´ possibile avere quanti gruppi e sottogruppi volete.

Noch in diesem Kapitel

Modifica modello impianto

Menù contestuale - manager di progetto

Barra degli strumenti e Menù contestuale Visualizzazione dettagliata


Modifica modello impianto

Manuale -> Definizione di impianto -> Crea modello di impianto -> Modifica modello impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

All´interno di un modello o di più modelli, i gruppi possono essere riordinati, copiati, spostati oppure eliminati.

Selezione

È possibile anche una selezione multipla dei modelli e dei gruppi di impianto, se gli elementi:

  • si trovano allo stesso livello
  • all´interno dello stesso modello
  • e all´interno dello stesso gruppo sovraordinato

    .

La selezione avviene tenendo premuto il tasto Ctrl+clic con il tasto sinistro del mouse:
Nota: Con Shift+clic del mouse è possibile selezionare più elementi a diversi livelli; le possibilità di modifica nel menù contestuale e sulla barra dei simboli, però, sono disattivate.

Elimina

  • Selezionate il nodo desiderato.
  • Selezionate nel menù contestuale oppure nella barra degli strumenti il comando Elimina, oppure premete il tasto Canc.
  • Il nodo viene cancellato con tutti i suoi sottogruppi.

Spostare per Drag&Drop

  • Selezionate il nodo desiderato.
  • Tenete premuto il tasto sinistro del mouse.
  • Spostate il nodo verso il posto desiderato, e una volta che lo avete raggiunto, rilasciate il tasto del mouse.

Riordinare per Drag&Drop

  • Selezionate il nodo desiderato.
  • Tenete premuto il tasto Ctrl e trascinate il nodo tenendo premuto il tasto sinistro del mouse fino a raggiungere la posizione desiderata.
  • Una linea orizzontale indica il posto in corrispondenza della quale potete inserire il nodo.

Copia e incolla

  • Selezionate il nodo desiderato.
  • Selezionate nel menù contestuale oppure nella barra degli strumenti il comando Copia, oppure usate la combinazione di tasti Ctrl + C
  • Selezionate il nodo di destinazione.
  • Selezionate nel menù contestuale oppure nella barra degli strumenti il comando Inserisci, oppure usate la combinazione di tasti Ctrl + V
  • Il nodo copiato verrà inserito.
    • I sottonodi non vengono copiati con il nodo.
    • Se esiste già un elemento con lo stesso nome, verrà posto davanti all´elemento inserito un Copia di.

Rinomina

Per rinominare modelli o gruppi:

  1. selezionate il modello/il gruppo
  2. premete il tasto F2 oppure cliccate per tre volte sul modello/gruppo

Dopo essere stati rinominati:

  • i modelli vengono riordinati in modo alfabetico
  • i gruppi rimangono nella struttura impostata

attention Attenzione

Le azioni cancella, riordina, sposta, rinomina e inserisci, non possono essere annullate..


Menù contestuale - manager di progetto

Manuale -> Definizione di impianto -> Crea modello di impianto -> Menù contestuale - manager di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Comando

Funzione

Nuovo modello di impianto

Crea un nuovo modello impianti che avrà il nome standard ModelloX (X sostituisce un numero progressivo).

Apri in nuova finestra

Apre una nuova finestra nell´Editor che contiene i modelli di impianto.

Esporta tutti in XML

Esporta tutti gli inserimenti in un file XML.

Importa XML

Importa elementi da un file XML. In questo caso valgono le seguenti regole:

  • i modelli/gruppi da importare che non esistono ancora vengono aggiunti.
  • i modelli/gruppi esistenti che non sono contenuti nel file di import, rimangono.
  • i modelli/gruppi già esistenti vengono sostituiti da quelli da importare.

Profilo editor

Apre il menù a tendina che serve alla selezione di un profilo Editor predefinito.

Guida

Apre la guida online.


Barra degli strumenti e Menù contestuale Visualizzazione dettagliata

Manuale -> Definizione di impianto -> Crea modello di impianto -> Barra degli strumenti e Menù contestuale Visualizzazione dettagliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra degli strumenti

Simbolo

Funzione

Nuovo modello di impianto

Crea un nuovo modello impianti che avrà la denominazione standard Modello di impianto X (X sostituisce un numero progressivo).

Nuovo gruppo impianti

crea un nuovo gruppo di impianti che avrà la denominazione standard Gruppo di impianti X (X sostituisce un numero progressivo).

Elemento collegato

Apre la finestra di dialogo che serve a visualizzare gli elementi collegati.

Copia

Copia il gruppo selezionato con i sottogruppi.

Inserisci

Inserisce il gruppo copiato in un altro gruppo o in un altro modello. Se esiste già un gruppo con lo stesso nome, a quello aggiunto viene premesso un copia di.

Elimina

Elimina il gruppo selezionato con tutti i sottogruppi.

Espandi/
riduci nodi

Apre la lista a cascata che serve ad espandere o a ridurre i nodi.
  • Espandi tutto

Espande tutti i nodi.
  • Riduci tutto

Riduce tutti i nodi.
  • Espandi selezione

Espande i nodi selezionati.
  • Riduci selezione

Riduce i nodi selezionati.

Esporta selezione in XML

Esporta gli inserimenti selezionati in un file XML.

Importa XML

Importa elementi da un file XML. In questo caso valgono le seguenti regole:

  • i modelli/gruppi da importare che non esistono ancora vengono aggiunti.
  • i modelli/gruppi esistenti che non sono contenuti nel file di import, rimangono.
  • i modelli/gruppi già esistenti vengono sostituiti da quelli da importare.

Guida

Attiva la guida online

Menù contestuale Definizione di impianto

Simbolo

Funzione

Nuovo modello di impianto

Crea un nuovo modello di impianto che avrà il nome standard Modello di impianto X (X sostituisce un numero progressivo).

Inserisci

Inserisce il gruppo copiato in un altro gruppo o in un altro modello. Se esiste già un gruppo con lo stesso nome, a quello aggiunto viene premesso un copia di.

Espandi/
riduci nodi

Apre il menù a tendina che serve ad espandere o a ridurre i nodi.
  • Espandi tutto

Espande tutti i nodi.
  • Riduci tutto

Riduce tutti i nodi.
  • Espandi selezione

Espande i nodi selezionati.
  • Riduci selezione

Riduce i nodi selezionati.

Esporta tutti in XML

Esporta tutti gli inserimenti in un file XML.

Importa XML

Importa elementi da un file XML. In questo caso valgono le seguenti regole:

  • i modelli/gruppi da importare che non esistono ancora vengono aggiunti.
  • i modelli/gruppi esistenti che non sono contenuti nel file di import, rimangono.
  • i modelli/gruppi già esistenti vengono sostituiti da quelli da importare.

Guida

Apre la guida online.

Menù contestuale Modelli di impianto e Gruppi di impianti

Simbolo

Funzione

Nuovo gruppo di impianto

Crea un nuovo gruppo di impianto che avrà il nome standard Gruppo di impianti X (X sostituisce un numero progressivo).

Elementi collegati

Apre la finestra di dialogo che serve a visualizzare gli elementi collegati.

(Viene visualizzata solamente se ci sono degli elementi collegati).

Copia

Copia il gruppo selezionato con i sottogruppi.

Inserisci

Inserisce il gruppo copiato in un altro gruppo o in un altro modello. Se esiste già un gruppo con lo stesso nome, a quello aggiunto viene premesso un copia di.

Elimina

Elimina il gruppo selezionato con tutti i sottogruppi.

Espandi/
riduci nodi

Apre il menù a tendina che serve ad espandere o a ridurre i nodi.
  • Espandi tutto

Espande tutti i nodi.
  • Riduci tutto

Riduce tutti i nodi.
  • Espandi selezione

Espande i nodi selezionati.
  • Riduci selezione

Riduce i nodi selezionati.

Esporta tutti in XML

Esporta tutti gli inserimenti in un file XML.

Esporta selezione in XML

Esporta tutti gli inserimenti in un file XML.

Importa XML

Importa elementi da un file XML. In questo caso valgono le seguenti regole:

  • i modelli/gruppi da importare che non esistono ancora vengono aggiunti.
  • i modelli/gruppi esistenti che non sono contenuti nel file di import, rimangono.
  • i modelli/gruppi già esistenti vengono sostituiti da quelli da importare.

Guida

Apre la guida online.


Collegare dei modelli ad elementi e oggetti

Manuale -> Definizione di impianto -> Collegare dei modelli ad elementi e oggetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ogni gruppo di impianto può essere collegato ad un numero qualsiasi di elementi ed oggetti di zenon. Avete diverse possibilità di collegare un gruppo ad un elemento:

  • facendo uso della proprietà Gruppi d'impianto dell´elemento.
  • copiando e incollando l´elemento nel gruppo desiderato del modello.
  • per Drag&Drop del gruppo di impianto sulla proprietà Gruppi d'impianto dell´elemento
  • per Drag&Drop dell´elemento sul gruppo di impianti.

Proprietà Gruppi di impianti

Per collegare mediante le proprietà di un elemento:

  1. Selezionate l´elemento
  2. Cliccate nel nodo Generale sulla proprietà Gruppi d'impianto
  3. Si apre il Dialogo per l´attribuzione degli elementi ai gruppi impianti
  4. Attribuite i gruppi impianti desiderati (trovate i dettagli nel sottocapitolo Dialogo Definizione d´impianto)

info Informazioni su

Nessuna trasmissione ereditaria

Se modelli di impianto sono selezionati o creati per la configurazione di tipi dato, driver, funzioni variabili ecc. usando la proprietà Gruppi d'impianto, essi vengono usati solo per effettuare le operazioni di filtro, e non vengono trasmessi per via ereditaria.

Ad esempio: un modello di impianto selezionato in un tipo di dato non viene trasmesso ereditariamente ad una variabile che si basa su questo tipo di dato.

Copia e incolla

Per il collegamento mediante copia ed incolla:

  1. Selezionate l´elemento
  2. Copiate l´elemento (comando Copia oppure con la combinazioni tasti Ctrl+C)
  3. Selezionate il gruppo di impianto desiderati.
  4. Incollate l´elemento (comandoIncolla oppure con la combinazioni tasti Ctrl+V)

Drag&Drop del gruppo di impianti

Per collegare il gruppo impianti all´elemento tramite Drag&Drop:

  1. Selezionate il gruppo di impianti.
  2. Trascinatelo tenendo premuto il tasto sinistro del mouse sulla proprietà Gruppi d'impianto, nel nodo Generale dell´elemento.

Drag&Drop dell´elemento

Per collegare l´elemento al gruppo di impianti tramite Drag&Drop:

  1. Selezionate l´elemento nella visualizzazione dettagliata del manager di progetto.
  2. Trascinatelo, tenendo premuto il tasto sinistro del mouse, sul gruppo di impianti desiderato.

info Informazioni su

Quando si effettua il Drag&Drop di variabili strutturate: vengono prese in considerazione solamente le variabili attivate. Gli elementi non attivati non vengono collegati. Per gli alberi di struttura chiusi, controllate se tutte le variabili desiderate sono attivate.

Noch in diesem Kapitel

Dialogo Definizione d´impianto

Lista degli elementi collegati


Dialogo Definizione d´impianto

Manuale -> Definizione di impianto -> Collegare dei modelli ad elementi e oggetti -> Dialogo Definizione d´impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Utilizzate il dialogo Definizione d´impianto per assegnare ad un elemento un numero qualsiasi di gruppi impianto. Il dialogo si apre quando selezionate nelle proprietà di un elemento, e più precisamente nel nodo Generale, la proprietà Gruppi d'impianto:

Proprietà

Descrizione

Barra degli strumenti

Simboli per:

  • modifica di modelli di impianto locali
  • estensione o riduzione della visualizzazione
  • visualizzazione di informazioni

Lista dei modelli di impianto

Offre modelli e gruppi fra i quali l´utente può scegliere. La lista separa la visualizzazione in modelli di impianto del progetto globale e quelli dei progetti locali.

I modelli di impianto locali possono essere creati o cancellati.

Aggiungi

Aggiunge alla lista filtro il gruppo selezionato.

Rimuovi

Rimuove tutti i gruppi selezionati dalla lista filtro.

Lista filtri

Mostra tutti i gruppi di impianti in riferimento ai quali deve essere effettuata l´operazione di filtro.

Ok

Accetta le impostazioni e chiude il dialogo.

Annulla

Annulla la selezione e chiude il dialogo.

Attenzione: eventuali Modifiche nella struttura di modelli di impianto locali rimangono.

Guida

Apre la guida online.

Aggiungi gruppi

  • Selezionare il modello impianti desiderato.
    Attenzione: se ci sono conflitti di nomenclatura fra modelli di impianto globali e locali, verranno visualizzati i modelli di impianto locali e quelli globali verranno ignorati. Informazioni concernenti eventuali conflitti le ottenete cliccando sul simbolo corrispondente (triangolo con punto interrogativo) che si trova nella barra degli strumenti.
  • Selezionare un gruppo di impianti oppure un livello.
  • Con il pulsante Inserisci, aggiungere il nuovo gruppo alla lista in basso nella finestra di dialogo.
  • I sottogruppi non vengono aggiunti automaticamente.
  • Può essere collegato un numero qualsiasi di gruppi.

Cancella gruppi

  • Selezionare l´elemento desiderato nella lista che si trova nel settore inferiore del dialogo (selezione multipla possibile).
  • Cliccare sul pulsante Cancella

Nota: le modifiche in un elemento dell´albero rimangono, anche se non viene premuto il pulsante Annulla. Annulla significa solamente che nessun elemento viene selezionato.

Filtra per gruppo di impianti nel cambio immagine.

Nel passaggio ad un´immagine del tipo AML, CEL oppure RGM, nonché con la funzione Sopprimi Gruppi/Classi/Aree/Strutture (Message Control), si può filtrare per gruppi d'impianto nel dialogo di filtro. Le istruzioni da seguire per far ciò, le trovate nella descrizione delle corrispondenti finestre di dialogo:

  • AML definizione di impianto
  • CEL definizione di impianto
  • RGM definizione di impianto
  • Message Control Sopprimi Gruppi/Classi/Aree/Strutture

Noch in diesem Kapitel

Barra degli strumenti Seleziona gruppo di impianto

Modifica modelli di impianto locali


Barra degli strumenti Seleziona gruppo di impianto

Manuale -> Definizione di impianto -> Collegare dei modelli ad elementi e oggetti -> Dialogo Definizione d´impianto -> Barra degli strumenti Seleziona gruppo di impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mediante la barra degli strumenti della finestra dei modelli di impianto esistenti, si può gestire una serie di azioni.
Descrizioni dei simboli iniziando da sinistra:

Simbolo

Descrizione

Nuovo modello di impianto

Crea un nuovo modello di impianto.

(Solo per modelli di impianto locali.)

Nuovo gruppo

Crea un nuovo gruppo di impianti al di sotto dell´inserimento selezionato.

(Solo per modelli di impianto locali.)

Modifica

Consente la modifica del nome

(Solo per modelli di impianto locali.)

Elimina

Cancella l´inserimento selezionato.

(Solo per modelli di impianto locali.)

Copia

Copia l´inserimento selezionato.

Inserisci

Inserisce gli elementi copiati negli appunti ponendoli al di sotto dell´inserimento selezionato. Se esiste già un gruppo con lo stesso nome, a quello aggiunto viene premesso un copia di.

(Solo per modelli di impianto locali.)

Attenzione: se si copiano modelli di impianto del progetto globale nel progetto locale e non li si rinomina, esisteranno due modelli con lo stesso nome. Li si può selezionare entrambi, tuttavia non verrà creato un collegamento al momento della conferma.

Suggerimento: rinominate sempre i modelli che copiate dal progetto globale in quello locale.

Espandi tutto

Tutti i nodi vengono estesi.

Riduci tutto

Tutti i nodi vengono ridotti.

Espansione della selezione

Il nodo selezionato viene esteso.

Riduzione della selezione

Il nodo selezionato viene ridotto.

Avvisi

Mostra avvertimenti.

Ad esempio modelli di impianto del progetto globale che non vengono visualizzati dato che viene data la precedenza a quelli del progetto locale che hanno lo stesso nome.


Modifica modelli di impianto locali

Manuale -> Definizione di impianto -> Collegare dei modelli ad elementi e oggetti -> Dialogo Definizione d´impianto -> Modifica modelli di impianto locali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Modelli di impianto e gruppi di impianti di progetti locali possono essere modificati anche nella finestra di dialogo che serve a creare collegamenti. Gruppi di impianti del progetto globale possono essere solamente selezionati e copiati.

Le possibili azioni e metodi di modifica nel nodo definizione di impianto sono limitate, a differenza di quello che concerne la Modifica di modelli di impianto . La modifica di elementi, infatti, avviene esclusivamente usando la barra degli strumenti.

Attenzione: modifiche apportate alla struttura di modelli di impianto locali rimangono, indipendentemente dal fatto se lasciate la finestra di dialogo cliccando su OK, oppure su Annulla.

Le azioni possibili sono:

Azione | Progetto globale | Progetto locale
Crea nuovo modello di impianti | - | X
Crea un nuovo gruppo di impianti | - | X
Modifica il nome | - | X
Elimina | - | X
Copiare Attenzione: se si copiano modelli di impianto del progetto globale nel progetto locale e non li si rinomina, esisteranno due modelli con lo stesso nome. Li si può selezionare entrambi, tuttavia non verrà creato un collegamento al momento della conferma. Suggerimento: rinominate sempre i modelli che copiate dal progetto globale in quello locale. | X | X
Inserisci | - | X
Aggiungi a lista filtri | X | X

Legenda:

  • -: impossibile
  • X: possibile


Lista degli elementi collegati

Manuale -> Definizione di impianto -> Collegare dei modelli ad elementi e oggetti -> Lista degli elementi collegati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tutti gli elementi che avete collegato al gruppo impianti, possono essere visualizzati in forma di lista separata per ogni gruppo di impianti. Facendo uso del menù contestuale, potete passare direttamente all´elemento collegato.

  1. Selezionate il gruppo impianti desiderato.
  2. Selezionate nel menù contestuale il comando Elementi collegati ...

    (Per i dettagli, vedi il sottocapitolo Menù contestuale Elementi collegati)

  3. Viene aperta la lista degli elementi collegati.

Nel menù contestuale degli elementi potete

  • passare direttamente all´elemento
  • cancellare l´elemento dalla lista; in questo caso, l´elemento perde il suo collegamento con questo gruppo impianti.

Noch in diesem Kapitel

Menù contestuale Elementi collegati


Menù contestuale Elementi collegati

Manuale -> Definizione di impianto -> Collegare dei modelli ad elementi e oggetti -> Lista degli elementi collegati -> Menù contestuale Elementi collegati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel dialogo per gli elementi collegati possono essere aperti dei singoli elementi nell´editor facendo uso del menù contestuale; oppure li si può cancellare dalla lista.

Comando | Descrizione
Vai all'elemento collegato | Passa nell´Editor all´elemento; la lista rimane aperta.
Cancella elementi selezionati | Cancella l´elemento selezionato dalla lista; il collegamento a questo gruppo impianti viene eliminato.
Guida | Apre la guida online.


Allarmi gerarchici via gruppi di impianti

Manuale -> Definizione di impianto -> Allarmi gerarchici via gruppi di impianti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la proprietà Utilizza gestione allermi gerarchizi della progettazione impianto si può usare il modello di impianto ai fini di progettare la gestione allarmi gerarchici.

In tal modo, gli allarmi possono:

  • essere visualizzati in forma riassuntivo a seconda della loro posizione.
  • essere identificati sulla base della posizione in cui sono stati originati.
  • essere visualizzati in una struttura gerarchica.
  • essere progettati od estesi in modo semplice nel modello di impianto.

Lista di informazione allarmi

Nella lista AML nel Runtime, gli inserimenti "Area allarmi" e "Numero area allarme" sono vuoti se l´opzione Allarmi gerarchici è attiva.

L´ordinamento effettuato sulla base di queste due colonne prende in considerazione solamente la prima area allarmi per le variabili senza l´opzione "allarmi gerarchici". Visto che queste due colonne sono vuote per le variabili con l´opzione "allarmi gerarchici" attiva, esse vengono raggruppate durante il processo di ordinamento e appaiono in prima posizione in ordine alfabetico quando "Area allarmi" è il criterio in base al quale viene effettuato l´ordinamento. Lo stesso accade anche quando l´ordinamento avviene in base al "Numero area allarme", visto che l´ID per Allarmi gerarchici è sempre vuoto, e dunque viene inserito sempre in prima posizione.

Modello di impianto del progetto globale

I gruppi di impianti nel modello di impianto possono essere configurati sia nel progetto globale, che nel progetto standard. Una variabile può utilizzare sia un gruppo di impianti del progetto globale, che uno del quello standard.

  • I gruppi di impianto configurati nel progetto globale sono disponibili anche nel progetto standard.
  • La struttura gerarchica del progetto standard non contiene automaticamente i nodi del progetto globale.
    Le assegnazioni allarmi di variabili a gruppi di impianti del progetto globale vengono ripresi dal progetto standard e poi diventano valide.
  • L´allarme che si trova sulla variabile vale per tutte le aree allarmi reperibili nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.

Noch in diesem Kapitel

Configurazione nell'Editor


Configurazione nell'Editor

Manuale -> Definizione di impianto -> Allarmi gerarchici via gruppi di impianti -> Configurazione nell'Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se volete usare l´opzione "Allarmi gerarchici" del modello di impianto, eseguite in zenon i seguenti passaggi:

  1. Costruite anzitutto nel progetto un´immagine del vostro impianto. Questa configurazione può essere effettuata sia nel progetto globale, che in quello standard.
    1. Per far ciò, selezionate nel nodo Definizione di impianto, l´inserimento Nuovo modello di impianto
    2. Create un nuovo inserimento con il simbolo o la voce Nuovo modello di impianto contenuta nel menù contestuale.
      Nominate ogni inserimento con la proprietà Nome. Fate attenzione ad attribuire nomi significativi e riconoscibili.
    3. Ripetete questo passaggio per i singoli elementi del vostro impianto.
      Tenete presente la struttura gerarchica dell´albero dell´impianto.
  2. Configurate le aree allarmi:
    1. Per far ciò, passate al nodo Variabili.
    2. All´interno di quest´ultimo, passate al sottonodo Allarme.
    3. Creata una nuova area allarmi:
      per far ciò, dovete passare al sottonodo Aree allarmi.
    • Create una nuova area allarmi con il simbolo o la voce Nuova area di allarme contenuta nel menù contestuale.
      Nominate ogni inserimento con la proprietà Nome. Fate attenzione ad attribuire nomi significativi e riconoscibili.
    1. Assegnate un gruppo di impianti all´area allarmi:
    • Nella proprietà Gruppi d'impianto, cliccate sul pulsante ...:
      Si apre la finestra di dialogo Selezione gruppo di impianto.
    • Selezionate il gruppo di impianti desiderato ed aggiungetelo cliccando sul pulsante Aggiungi.
      Nota: È possibile una selezione multipla. Così un´area allarmi verrà aggiunta a più gruppi di impianti.
    • Confermate la vostra assegnazione cliccando sul pulsante OK.
      Il gruppo di impianti assegnato all´area allarmi è visibile nella proprietà Gruppi d'impianto. Nel caso di una selezione multipla, i diversi inserimenti sono separati da un punto e virgola (;).
  3. Assegnate alle variabili che avete configurato un elemento preso dalla definizione di impianto:
    1. Per far ciò, passate al nodo Variabili.
    2. Selezionate nella lista delle variabili configurate le variabili desiderate per gruppo di impianti.
      Nota: Usate le possibilità di ordinamento e filtro a disposizione nella visualizzazione dettagli del manager di progetto.
      Al fine di rendere più efficiente la progettazione, usate anche la selezione multipla.
    3. Per le variabili selezionate, passate al gruppo di proprietà Generale.
    4. Nella proprietà Gruppi d'impianto, cliccate sul pulsante ...:
      Si apre la finestra di dialogo Selezione gruppo di impianto.
    5. Selezionate il gruppo di impianti desiderato ed aggiungetelo cliccando sul pulsante Aggiungi.
      Nota: È possibile una selezione multipla. Così una variabile verrà aggiunta a più gruppi di impianti.
    6. Confermate la vostra assegnazione cliccando sul pulsante OK.
      Il gruppo di impianti assegnato alla variabile è visibile nella proprietà Gruppi d'impianto. Nel caso di una selezione multipla, i diversi inserimenti sono separati da un punto e virgola (;).

Tipp Suggerimento

Vi preghiamo di tener presente che i tipi di dato ereditano il gruppo di impianti assegnato. La mole di lavoro di progettazione di un sistema di allarmi gerarchici può essere ridotta tenendo presenti i nessi logici.


Esporta e importa modelli

Manuale -> Definizione di impianto -> Esporta e importa modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I modelli di impianto e i gruppi di impianti possono essere esportati e importati via XML e via API.

attention Attenzione

Quando si effettua l´import, viene sovrascritto l´intero modello di impianto. I modelli di impianto e i gruppi di impianti esistenti che hanno lo stesso nome degli oggetti da importare vengono sovrascritti nel corso del processo di import. Gli oggetti non contenuti nel file di import vengono cancellati.

XML

Esporta

Per esportare dei modelli:

  1. Selezionate il modello di impianto desiderato.
  2. Selezionate nel menù contestuale, oppure nella barra degli strumenti Esporta XML selezionati.
    In alternativa, selezionate nel menù contestuale Esporta tutti XML
  3. Si apre la finestra di dialogo per selezionare un percorso di salvataggio.
  4. Selezionate il posto di salvataggio e il nome.
  5. Cliccando suOK viene esportato il modello selezionato, oppure vengono esportati tutti i modelli.
  6. Nella finestra di emissione vengono visualizzati il successo dell´export ed eventuali errori.

Importa

Per importare modelli:

  1. Selezionate nel menù contestuale oppure nella barra degli strumenti Importa XML
  2. Si apre la finestra di dialogo per aprire un file di export XML.
  3. Selezionate il file XML desiderato
  4. Cliccando su OK verranno importati i modelli e i gruppi contenuti nel file XML.
  5. Nella finestra di emissione vengono visualizzati il successo dell´export ed eventuali errori.

API

Per l´import e l´export via VBA/VSTA vengono usati i seguenti metodi:

  • Esporta: SystemModelManager.Export
  • Importa SystemModelManager.Import


Tipo d'immagine Modello di impianto

Manuale -> Definizione di impianto -> Tipo d'immagine Modello di impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con un´immagine del tipo modello di impianto, potete fare nel Runtime quanto segue:

  • effettuare un´operazione di filtro in altre immagini aperte alla ricerca di determinati gruppi di impianti
  • eseguire automaticamente una dopo l´altra tutte le funzioni collegate con un determinato gruppo di impianti

Il filtraggio sulla base di un gruppo di impianti interessa sempre immagini che sono già aperte. Se delle immagini vengono aperte o caricate di nuovo, essa verranno visualizzate senza il filtro dell´immagine modello di impianto.

info Informazioni su

Si possono definire delle immagini che presentano dati della AML, CEL oppure RGM. In linea di principio, possono essere selezionati tutti i tipi di immagine. Se essi non contengono dati di AML, CEL oppure RGM, vengono ignorati nel Runtime.

Noch in diesem Kapitel

Crea un'immagine del tipo Modello di impianto

Cambio ad un´immagine del tipo Modello di impianto


Crea un'immagine del tipo Modello di impianto

Manuale -> Definizione di impianto -> Tipo d'immagine Modello di impianto -> Crea un'immagine del tipo Modello di impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Modello di impianto.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Elementi di controllo | Descrizione
Inserisci modello | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Modello di impianto (denominazione) | Campo di testo per la rappresentazione del nome del modello di impianto visualizzato nell´immagine.
Modello di impianto (struttura) | Elemento strutturale che rappresenta la struttura di gruppo del modello di impianto selezionato.
Pulsanti |
Usa selezione | Il gruppo selezionato nella struttura ad albero viene applicato come Filtro alle immagini scelte nel cambio immagine. Perché il filtro funzioni, l´immagine deve essere già aperta.
Esecuzione funzioni | Tutte le funzioni del progetto locale che sono collegate con il gruppo attualmente selezionato nella struttura ad albero, vengono eseguite. La successione dell´esecuzione non è definita.
Espandi tutto | Tutti i nodi della struttura ad albero vengono estesi e tutti i sottogruppi vengono perciò visualizzati.
Riduci tutto | Tutti i nodi aperti (estesi) verranno chiusi. Saranno dunque visualizzati solamente i gruppi principali della struttura ad albero.
Estendi selezione | Il nodo selezionato della struttura ad albero viene aperto (esteso).
Riduci selezione | Il nodo selezionato della struttura ad albero viene chiuso (ridotto).


Cambio ad un´immagine del tipo Modello di impianto

Manuale -> Definizione di impianto -> Tipo d'immagine Modello di impianto -> Cambio ad un´immagine del tipo Modello di impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una funzione per l´apertura di un´immagine del tipo modello di impianto procedete come segue:

  1. scegliete Nuova funzione
  2. selezionate Cambio immagine
  3. Scegliete la Immagine del tipo modello di impianto
  4. si apre il dialogo di configurazione
  5. configurate il modello di impianto da visualizzare e le immagini che devono essere aggiornate con esso.
  6. confermate la configurazione cliccando sul pulsante OK

Modello di impianto rappresentato

Parametri | Descrizione
Modello di impianto rappresentato | Selezione del modello di impianto da visualizzare nel Runtime.
Nome statico | Selezione di un modello fra quelli proposti dal menù a tendina. La lista contiene tutti i modelli di impianto esistenti nel progetto locale e globale. Nel caso di conflitti di nomenclatura (stesso nome per un modello di impianto locale e globale), viene visualizzato il modello di impianto locale. Vengono dunque sempre offerti dal sistema tutti i modelli di impianto locali e globali con nome univoco.
Nome da variabile | Il modello viene letto al momento dell´apertura dell´immagine dalla variabile stringa qui indicata. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile stringa. Se la variabile non può essere letta nel Runtime, il nome rimarrà vuoto. Non verrà visualizzato nessun modello di impianto.
Gruppo di impianti selezionato | Selezione di una variabile sulla quale viene scritto nel Runtime il gruppo di impianti selezionato nell´immagine. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile stringa.

Immagini da aggiornare

Parametri

Descrizione

Immagini da aggiornare

Selezione delle immagini che possono essere filtrate nel Runtime con l´immagine del tipo modello di impianto sulla base di modelli d´impianto.

Si possono definire delle immagini che presentano dati della AML, CEL oppure RGM. In linea di principio, possono essere selezionati tutti i tipi di immagine. Se essi non contengono dati di AML, CEL oppure RGM, vengono ignorati nel Runtime.

Aggiornamento

Parametri | Descrizione
Aggiornamento | Modalità di aggiornamento.
Aggiorna su tutti i Monitor | Attivo: il sistema cerca su tutti i monitor le immagini indicate nella lista Immagini da aggiornare. Inattivo: il sistema cerca le immagini indicate nella lista Immagini da aggiornare solo sul monito che apre.
Ok | Accetta le impostazioni e chiude il dialogo.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Nota: questo filtro può essere configurato solo nell´Editor, non più nel Runtime.


Filtraggio nella visuale dettagliata

Manuale -> Definizione di impianto -> Filtraggio nella visuale dettagliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella Visuale dettagliata del manager di progetto si può effettuare un filtraggio sulla base di gruppi impianti. Se questi ultimi non vengono ancora visualizzati, selezionate nel menù contestuale il comando Selezione colonne e aggiungete Gruppi impianti. Per effettuate il filtraggio:

  • cliccate sul simbolo di filtro nella testa della colonna Gruppi impianti
  • Si apre il Dialogo di selezione per i gruppi impianti.
  • Aggiungete alla lista i criteri sulla base dei quali deve essere effettuato il filtraggio.
  • Nella visualizzazione dettagliata verranno visualizzati solamente quegli elementi che sono collegati ai gruppi impianti selezionati.

Per resettare il filtro:

  • cliccate sul simbolo di filtro nella testa della colonna Gruppi impianti
  • Si apre il Dialogo di selezione per i gruppi impianti.
  • Rimuovete dalla lista i criteri di filtro desiderati.


Filtro durante il runtime

Manuale -> Definizione di impianto -> Filtro durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per effettuare un´operazione di filtro a base gruppi di impianti bel Runtime, avere le seguenti possibilità:

  • Definire filtro con il cambio immagine: create una Funzione Cambio immagine verso l´immagine desiderata e definite il filtro nella cartella Definizione d´impianto. Durante un runtime, poi, i dati verranno visualizzati in corrispondenza del filtro impostato. Per modificare il filtro durante il runtime, deve essere disponibile il pulsante Filtro.
  • Tipo d'immagine Modello di impianto: Create un´immagine del tipo Modello di impianto e assegnatele un modello di impianto al momento del cambio immagine. Nel Runtime potete selezionare dei gruppi di impianti usarli come filtro con immagini già aperte. Inoltre tutte le funzioni collegate a un gruppo di impianti possono essere eseguite una dopo l´altra semplicemente premendo un tasto.

Noch in diesem Kapitel

Filtrare al momento del cambio immagine

Usa immagine del tipo modello di impianto nel Runtime


Filtrare al momento del cambio immagine

Manuale -> Definizione di impianto -> Filtro durante il runtime -> Filtrare al momento del cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´operazione di filtro sulla base di gruppi di impianto durante il runtime è possibile con le seguenti funzioni:

  • AML e CEL
    • Elimina allarmi
    • Ripristina allarmi
    • Esporta allarmi
  • Cambio all´immagine:
    • AML: Vengono visualizzati solamente quegli allarmi le cui variabili sono collegate con i gruppi impianti.
    • CEL: Vengono visualizzati solamente quegli inserimenti le cui variabili sono collegate con i gruppi impianti.
    • Manager die gruppi ricette: Vengono visualizzati nella lista a cascata solamente quei gruppi ricetta che sono contenuti anche nel filtro. Se vengono creati degli altri gruppi ricetta, essi possono essere collegati con gruppi impianto esistenti. Questi nuovi dati possono essere riletti nell´editor a partire dai file runtime. Nell´effettuare questa operazione, il sistema rilegge anche i gruppi impianti collegati.
  • Message Control:
    • Sopprimi Gruppi/Classi/Aree/Strutture

Crea filtro

Per creare la funzione cambio immagine e per filtrare sulla base di gruppi impianti:

  1. create una nuova funzione Cambio immagine.
  2. selezionate l´immagine desiderata;
  3. cliccate nel dialogo Filtro sulla scheda Definizione d´impianto;
  4. selezionate dei modelli e gruppi impianti;
  5. confermate la selezione cliccando su OK

Elemento | Descrizione
Lista dei modelli di impianto | Offre modelli e gruppi fra i quali l´utente può scegliere.
Aggiungi | Aggiunge alla lista filtro il gruppo selezionato.
Elimina | Rimuove dalla lista filtro il gruppo selezionato.
Lista filtri | Mostra tutti i gruppi di impianti in riferimento ai quali deve essere effettuata l´operazione di filtro.
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Usa immagine del tipo modello di impianto nel Runtime

Manuale -> Definizione di impianto -> Filtro durante il runtime -> Usa immagine del tipo modello di impianto nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Runtime si può effettuare il filtro di immagini già aperte, che contengono dati di AML e CEL, sulla base di gruppi di impianti.

Elementi di controllo | Descrizione
Inserisci modello | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Modello di impianto (denominazione) | Campo di testo per la rappresentazione del nome del modello di impianto visualizzato nell´immagine.
Modello di impianto (struttura) | Elemento strutturale che rappresenta la struttura di gruppo del modello di impianto selezionato.
Pulsanti |
Usa selezione | Il gruppo selezionato nella struttura ad albero viene applicato come Filtro alle immagini scelte nel cambio immagine. Perché il filtro funzioni, l´immagine deve essere già aperta.
Esecuzione funzioni | Tutte le funzioni del progetto locale che sono collegate con il gruppo attualmente selezionato nella struttura ad albero, vengono eseguite. La successione dell´esecuzione non è definita.
Espandi tutto | Tutti i nodi della struttura ad albero vengono estesi e tutti i sottogruppi vengono perciò visualizzati.
Riduci tutto | Tutti i nodi aperti (estesi) verranno chiusi. Saranno dunque visualizzati solamente i gruppi principali della struttura ad albero.
Estendi selezione | Il nodo selezionato della struttura ad albero viene aperto (esteso).
Riduci selezione | Il nodo selezionato della struttura ad albero viene chiuso (ridotto).

Esempio

In un impianto industriale si vogliono visualizzare gli allarmi del padiglione 3.

Progettazione:

  • il padiglione 3 viene definito nel modello di impianto come un gruppo di impianti proprio.
  • Nel passaggio all´immagine del tipo modello di impianto accade quanto segue:
    • viene selezionato il modello di impianto che contiene il padiglione 3
    • viene scelta l´immagine del tipo AML come Immagine da aggiornare

Nel Runtime accade quanto segue:

  • viene aperta la Lista di informazione allarmi
  • viene aperto il modello di impianto
  • viene selezionato il gruppo di impianti con il padiglione 3
  • si preme il pulsante Usa selezione

L´immagine AML aperta mostra adesso solo quegli allarmi che interessano il padiglione 3.


Elaborazione stato

Manuale -> Elaborazione stato

La gestione stati permette di avere una visione d'insieme della rete e del processo. Ad ogni variabile possono essere conferiti attributi propri. Complessivamente sono definiti 64 stati / attributi. I più usati sono spontaneo, disturbato, Valore manuale e Valore di riserva.

Ogni valore salvato in zenon consiste di 3 informazioni: valore, data e ora e stato. Ciò significa che per ogni valore archiviato viene registrato anche il giusto stato.

Per quello che riguarda lo stato, nel Runtime ci sono a disposizione molte possibilità di analisi, come, ad esempio: l'Elemento combinato, le Matrici di reazione e il Generatore di rapporti. Gli stati sono accessibili anche in VBA o VSTA, nonché nel manager gruppi ricette.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Noch in diesem Kapitel

Bit di stato

Utilizzo


Bit di stato

Manuale -> Elaborazione stato -> Bit di stato

I seguenti bit di stato sono a disposizione in zenon:

Bit number | Short term | Long name | zenon Logic label
0 | M1 | User status 1; for Command Processing: Action type "Block"; Service Tracking of the IEC 850 driver | _VSB_ST_M1
1 | M2 | User status 2 | _VSB_ST_M2
2 | M3 | User status 3 | _VSB_ST_M3
3 | M4 | User status 4 | _VSB_ST_M4
4 | M5 | User status 5 | _VSB_ST_M5
5 | M6 | User status 6 | _VSB_ST_M6
6 | M7 | User status 7 | _VSB_ST_M7
7 | M8 | User status 8 | _VSB_ST_M8
8 | NET_SEL | Select in the network | _VSB_SELEC
9 | REVISION | Revision | _VSB_REV
10 | PROGRESS | In operation | _VSB_DIREC
11 | TIMEOUT | Runtime exceedance | _VSB_RTE
12 | MAN_VAL | Manual value | _VSB_MVALUE
13 | M14 | User status 14 | _VSB_ST_14
14 | M15 | User status 15 | _VSB_ST_15
15 | M16 | User status 16 | _VSB_ST_16
16 | GI | General query | _VSB_GR
17 | SPONT | Spontaneous | _VSB_SPONT
18 | INVALID | Invalid | _VSB_I_BIT
19 | T_CHG_A | Daylight saving time/winter time announcement | _VSB_SUWI
20 | OFF | Switched off | _VSB_N_UPD
21 | T_EXTERN | Real time external | _VSB_RT_E
22 | T_INTERN | Realtime internal | _VSB_RT_I
23 | N_SORTAB | Not sortable | _VSB_NSORT
24 | FM_TR | Error message transformer value | _VSB_DM_TR
25 | RM_TR | Working message transformer value | _VSB_RM_TR
26 | INFO | Information for the variable | _VSB_INFO
27 | ALT_VAL | Alternate value If no value was transferred, the defined alternate value is used otherwise the last valid value is used. | _VSB_AVALUE
28 | RES28 | Reserved for internal use (alarm flashing) | _VSB_RES28
29 | N_UPDATE | Not updated | _VSB_ACTUAL
30 | T_STD | Standard time | _VSB_WINTER
31 | RES31 | Reserved for internal use (alarm flashing) | _VSB_RES31
32 | COT0 | Cause of transmission bit 1 | _VSB_TCB0
33 | COT1 | Cause of transmission bit 2 | _VSB_TCB1
34 | COT2 | Cause of transmission bit 3 | _VSB_TCB2
35 | COT3 | Cause of transmission bit 4 | _VSB_TCB3
36 | COT4 | Cause of transmission bit 5 | _VSB_TCB4
37 | COT5 | Cause of transmission bit 6 | _VSB_TCB5
38 | N_CONF | Negative confirmation of command by device (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test bit (IEC870 [T]) | _VSB_T_BIT
40 | WR_ACK | Writing acknowledged | _VSB_WR_ACK
41 | WR_SUC | Writing successful | _VSB_WR_SUC
42 | NORM | Normal status | _VSB_NORM
43 | N_NORM | Deviation normal status | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Time invalid | not defined
50 | CB_TRIP | Breaker tripping detected | not defined
51 | CB_TR_I | Breaker tripping detection inactive | not defined
52 | OR_DRV | Value out of Range | not defined
53 | RES53 | reserved | not defined
54 | RES54 | reserved | not defined
55 | RES55 | reserved | not defined
56 | RES56 | reserved | not defined
57 | RES57 | reserved | not defined
58 | RES58 | reserved | not defined
59 | RES59 | reserved | not defined
60 | RES60 | reserved | not defined
61 | RES61 | reserved | not defined
62 | RES62 | reserved | not defined
63 | RES63 | reserved | not defined

info Informazioni su

In formulas all status bits are available. For other use the availability can be reduced.

Alcuni stati singoli non sono disponibili con tutti i driver.

Visto che gli stati sono a disposizione delle variabili anche nella forma VBA/VSTA di un valore 64Bit, anche il valore (numero di bit) viene indicato nella descrizione dello stato. Ciò è necessario in caso di una analisi individuale con VBA/VSTA.

Ci sono due possibilità di visualizzazione nel Runtime: la forma corta e quella lunga. Quest'ultima è divisa nella descrizione da una barra.

Per ogni stato utente si può predisporre un testo che viene poi visualizzato nei singoli moduli (editor come runtime). Il testo corto e quello lungo sono divisi da un punto e virgola (;).

A questo scopo devono essere effettuati i seguenti inserimenti nel project.ini:

[STATUS]

STATUS0=MS_K;Mio stato 0

STATUS1=ET;testo proprio

......

STATUS63=RES;non utilizzato

Noch in diesem Kapitel

Stato utente da 1 a 8 (M1-M8) e da 14 a 16 (M14-M16)

Select in rete (NET_SEL)

Revisione (REVISION)

In uso (PROGRESS)

Runtime exceeded (TIMEOUT)

Valore manuale (MAN_VAL)

Interrogazione generale (GI)

Spontaneo (SPONT)

Non valido (INVALID)

Cambio orario estivo/invernale (T_CHG_A)

Spento (OFF)

External Real-Time (T_EXTERN)

Internal Real-Time (T_INTERN)

Non filtrati (N_SORTAB)

Anomalia trasformatore (FM_TR)

Anomalia trasformatore (RM_TR)

Informazioni sulle variabili (INFO)

Valore di riserva (ALT_VAL)

Non attualizzato (N_UPDATE)

Ora solare (T_STD)

Causa di trasferimento (COTx)

P/N-Bit (N_CONF)

Test-Bit (TEST)

Applicare scrittura (WR-ACK)

Scrittura avvenuta con successo (WR-SUC)

Stato normale (NORM)

Deviazione dallo stato stato normale (N_NORM)

Stato: Blocked (BL_870)

Stato: Substituted (SB_870)

Stato: Not Topical (NT_870)

Stato: Overflow (OV_870)

Livello di comando: Select (SE_870)

Timestamp non valido (T_INVAL)

Segnalazione di Switch riconosciuta (CB_TRIP)

Segnalazione di Switch non attiva (CB_TR_I)

Valore fuori intervallo di validità (OR_DRV)


Stato utente da 1 a 8 (M1-M8) e da 14 a 16 (M14-M16)

Manuale -> Elaborazione stato -> Bit di stato -> Stato utente da 1 a 8 (M1-M8) e da 14 a 16 (M14-M16)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizzazione | Settato | Disponibile
0 | M1; stato utente 1 | dell´utente, dei comandi (Tipo di azione "Blocco") oppure del Service Tracking del driver IEC 850. | in tutti i driver Eccezione: Non disponibile per il driver interno.
da 1 fino 7 | M2 fino a M8; stato utente 8 | dall'utente | in tutti i driver Eccezione: Non disponibile per il driver interno.
da 13 fino 15 | M14; stato utente 14 fino a M16; stato utente 16 | dall'utente | in tutti i driver Eccezione: Non disponibile per il driver interno.

Gli 11 bit di stato dell'utente possono essere usati in relazione alle esigenze del progetto specifico. Esempi di utilizzo per gli stati utente sono: speciali blocchi di comandi, o flag per proprie informazioni.

info Informazioni su

Il bit di stato utente M1 è usato nei comandi dall´azione "Blocco" per mettere in evidenza il punto di switch come bloccato. Il bit è utilizzato anche nel driver IEC850 quando vengono trasferiti di dati service tracking al runtime.

Ulteriori informazioni su questo argomento, le trovate nel capitolo della guida dedicato ai Comandi , e nella Documentazione del driver IEC850.


Select in rete (NET_SEL)

Manuale -> Elaborazione stato -> Bit di stato -> Select in rete (NET_SEL)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
8 | NET_SEL; selezionato nella rete di zenon | automatico | in tutti i driver

Il bit di stato NET_SEL contraddistingue nella rete di zenon la variabile di responso durante il comando. Quando il bit NET_SEL è settato, una nuova selezione di comando - da un´altra postazione (per es. da un altro client nella rete) - non può essere eseguita sulla stessa variabile di responso.

Viene settato il bit NET_SEL:

  • se è stata aperta un´immagine del tipo comando che è collegata alla variabile di responso.
  • quando si esegue un´azione di comando mediante il menù contestuale, oppure nel modulo "Sequenze comandi".
  • quando si esegue un comando auto/remoto (via VBA, Process Gateway ecc).


Revisione (REVISION)

Manuale -> Elaborazione stato -> Bit di stato -> Revisione (REVISION)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
9 | Revisione (REVISION) | dall'utente | in tutti i driver

Le variabili possono essere settate a revisione. Se questa opzione è attiva, vengono soppressi dal sistema di controllo gli allarmi e i comandi. In tal modo è possibile escludere in modo temporaneo singole parti dell'impianto dagli allarmi e dalla gestione operativa.

Nota: Solo gli allarmi e i comandi vengono soppressi. Tutte le altre proprietà di valore limite connesse come Colore, Funzione, Invisibile, Lampeggio ecc. non sono interessate e vengono visualizzate, o eseguite. Anche i valori attuali delle variabili continuano ad essere visualizzati nelle immagini e anche archiviati!

Se volete che anche le funzioni collegate o altre proprietà vengano soppresse, create una matrice di reazione che analizzi lo stato Revision.


In uso (PROGRESS)

Manuale -> Elaborazione stato -> Bit di stato -> In uso (PROGRESS)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
10 | PROGRESS; in uso | automatico | solo in determinati driver

Il bit di stato in uso in combinazione con il comando (solamente SICAM 230 o zenon Energy Edition) serve a visualizzare che un interruttore viene usato in questo momento, cosicché esso cambierà la sua posizione (on/off). Il bit di stato viene settato nella variabile di responso al momento dello start del watchdog, e resettato quando quest´ultimo è stato portato a termine con successo o superato (TIMEOUT).
Il settaggio automatico del bit nel Runtime può essere attivato nel gruppo comandi attraverso l´attivazione della proprietà Imposta stato di avanzamento.

Se il comando settato corrisponde già al valore della variabile di responso, il bit non viene settato. Possono essere controllati solamente i valori di responso on e off.


Runtime exceeded (TIMEOUT)

Manuale -> Elaborazione stato -> Bit di stato -> Runtime exceeded (TIMEOUT)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
11 | Runtime exceeded (TIMEOUT) | automaticamente; dal Runtime monitoring nel comando. | solo in determinati driver

Lo stato Runtime exceeded in combinazione con il comando (solo SICAM 230 oppure zenon Energy Edition) serve a visualizzare il fatto che il sistema ha rilevato un superamento del tempo per la risposta (Runtime) di un elemento di switch. Il reset avviene mediante la modifica della segnalazioni di ritorno, oppure mediante un nuovo comando.


Valore manuale (MAN_VAL)

Manuale -> Elaborazione stato -> Bit di stato -> Valore manuale (MAN_VAL)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
12 | Valore manuale (MAN_VAL) | automatico | in tutti i driver

Questo valore viene settato non appena un valore viene modificato manualmente in un archivio. Ciò può essere fatto nel generatore di report o nell'immagine di elaborazione posteriore archivi.


Interrogazione generale (GI)

Manuale -> Elaborazione stato -> Bit di stato -> Interrogazione generale (GI)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
16 | Interrogazione generale (GI) | automatico | in tutti i driver

Dopo l'avvio del Runtime, la prima immagine che viene letta, viene contrassegnata con l'interrogazione generale. Ciò significa che il valore non è ancora mai cambiato dall'avvio del Runtime.


Spontaneo (SPONT)

Manuale -> Elaborazione stato -> Bit di stato -> Spontaneo (SPONT)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
17 | SPONT; spontaneo | automatico | in tutti i driver

E' valido il valore attuale. Tutto OK.


Non valido (INVALID)

Manuale -> Elaborazione stato -> Bit di stato -> Non valido (INVALID)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
18 | Non valido (INVALID) | automatico | in tutti i driver

Questo bit è settato se c'è un problema di comunicazione con il driver, o se è disturbata la singola variante. L'analisi delle singole variabili viene supportata solo da driver spontanei. La maggior parte dei driver di zenon, però, sono dei driver che lavorano in modalità polling, il che significa che viene indicato solo un malfunzionamento generale nella comunicazione.


Cambio orario estivo/invernale (T_CHG_A)

Manuale -> Elaborazione stato -> Bit di stato -> Cambio orario estivo/invernale (T_CHG_A)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
19 | Cambio orario estivo/invernale (T_CHG_A) | automatico | in determinati driver

Un'ora prima del passaggio dall'ora legale a quella solare o viceversa, viene settato questo stato. Esso può essere valutato dall'utente. In zenon questo stato serve da pura informazione.


Spento (OFF)

Manuale -> Elaborazione stato -> Bit di stato -> Spento (OFF)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
20 | Spento (OFF) | dall'utente | in tutti i driver

Se una variabile non è necessaria nella modalità online, può essere spenta. Di conseguenza non viene più né letto, né attualizzato dall'hardware collegato.

Questo stato può essere usato per, ad esempio, non escludere delle parti di impianto dalla funzione di allarmi.


External Real-Time (T_EXTERN)

Manuale -> Elaborazione stato -> Bit di stato -> External Real-Time (T_EXTERN)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
21 | T-EXTERN | automatico | solo in determinati driver

Il dato data/ora viene preso dall'apparecchio esterno. zenon prende questo valore così com'è. Da questo momento, tutti i moduli usano questo dato.


Internal Real-Time (T_INTERN)

Manuale -> Elaborazione stato -> Bit di stato -> Internal Real-Time (T_INTERN)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
22 | T-INTERN | automatico | in tutti i driver

Il valore data/ora viene fornito dal driver zenon. Non appena il volore viene letto correttamente, gli viene impresso il dato data/ora. Da questo momento, tutti i moduli usano questo dato.


Non filtrati (N_SORTAB)

Manuale -> Elaborazione stato -> Bit di stato -> Non filtrati (N_SORTAB)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
23 | N_SORTAB | automatico | per standard IEC

Solo per SICAM 230.

Riguarda il flusso dati in tempo reale per il protocollo SSI. SSI viene usato per SK1703 e riguarda il driver AK.

Lo stato non viene più usato.

Originariamente: se un telegramma arrivava in considerevole ritardo, riceveva lo stato N_SORTAB nel caso in cui non poteva essere più ordinato. Visto che il sistema risorteggia, questo stato non ha più alcun significato.


Anomalia trasformatore (FM_TR)

Manuale -> Elaborazione stato -> Bit di stato -> Anomalia trasformatore (FM_TR)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
24 | FM_TR | automatico | per standard IEC

Solo per SICAM 230.

Solo per protocollo SSI: valore trafo non plausibile. Nei protocolli più recenti quest´informazione viene trasportata nell´INVALID-Bit.

SSI viene usato per SK1703 e riguarda il driver AK.


Anomalia trasformatore (RM_TR)

Manuale -> Elaborazione stato -> Bit di stato -> Anomalia trasformatore (RM_TR)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
25 | RM_TR | automatico | per standard IEC

Solo per SICAM 230.

Riguarda il protocollo SSI e IEC870-101: Ogni volta che avviene una variazione, viene settato anche il bit.

SSI viene usato per SK1703 e riguarda il driver AK.


Informazioni sulle variabili (INFO)

Manuale -> Elaborazione stato -> Bit di stato -> Informazioni sulle variabili (INFO)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
26 | Info: | automatico | per standard IEC

Solo per SICAM 230.

Non viene più usata.


Valore di riserva (ALT_VAL)

Manuale -> Elaborazione stato -> Bit di stato -> Valore di riserva (ALT_VAL)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
27 | Valore di riserva (ALT_VAL) | dall'utente | in tutti i driver

Per poter simulare un valore, si può passare al valore di riserva. Il valore del processo viene completamente scorporato come in Spento (OFF). Al momento dello spegnimento viene visualizzato l´ultimo valore di processo. Esiste però la possibilità di modificare il valore di sostituzione nel runtime, per esempio facendo uso del dialogo di inserimento del valore impostabile:

  • Modficare valore di riserva: Modifica solamente il valore di sostituzione:
  • Commutare e modificare valore di riserva: Passa al valore di sostituzione e lo modifica subito portandolo al valore impostato.
  • Modificare valore spontaneo: Nonostante valore di riserva, viene inviato all´hardware un valore impostabile. La variabile, però, mantiene il valore di riserva.
  • Commutare su valore spontaneo: Disattiva il valore di riserva.

Ulteriori possibilità di agire sul valore di sostituzione sono quelle che passano attraverso il Manager di gruppi ricette oppure la Interfaccia di programmazione.

Se lo stato al momento del passaggio al valore di sostituzione era "valore non valido" (settato INVALID), questo stato rimane invariato. Il valore ha settato lo stato non valido e valore di riserva.

Il valore di sostituzione non viene trasmesso all'hardware connesso, ma rimane nell'immagine di processo del calcolatore. Questo valore viene inviato a tutti i moduli di zenon e viene lì elaborato. Esso viene, ad esempio, archiviato e vengono generati degli allarmi.

Usando le informazioni di stato, questi valori possono essere contrassegnati in modo speciale nel report. In tal modo si assicura, da un lato, la possibilità di ricostruire le modifiche avvenute, dall'altro non vengono condizionate le successive valutazioni .

Example Esempio

Se, per esempio, un rilevatore della temperatura esterna ha un guasto, fornisce un valore non realistico: ad esempio: -280 ºC. L'utente può inserire al posto di questo valore un altro, che legge sul termometro, ad esempio: 14ºC. Solo questo valore viene archiviato, protocollato e usato dagli allarmi.

Tutti i moduli di zenon lavorano solo con questo valore di riserva.


Non attualizzato (N_UPDATE)

Manuale -> Elaborazione stato -> Bit di stato -> Non attualizzato (N_UPDATE)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
29 | N_UPDATE | automatico | in tutti i driver

Lo stato Non attualizzato(N_UPDATE) viene settato, se il valore è richiesto dall'hardware, ma non è stato ancora possibile leggere alcun valore valido.

Nella rete di zenon, il bit di stato viene settato quando il client perde la connessione con il server primario, o quando la variabile ha la proprietà Richiedere solo da Server standby, ma non c`è uno standby server.


Ora solare (T_STD)

Manuale -> Elaborazione stato -> Bit di stato -> Ora solare (T_STD)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
30 | T_STD | automatico | in tutti i driver

Mediante l'uso di questo stato si stabilisce in modo inequivocabile se il dato data/ora è nell'orario invernale (Bit settato) o nell'orario estivo (Bir non settato).


Causa di trasferimento (COTx)

Manuale -> Elaborazione stato -> Bit di stato -> Causa di trasferimento (COTx)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
32 - 37 | COT0 fino a COT5 | automatico | per energy standards

La causa di trasmissione (COT) secondo il protocollo IEC 60870.

Il valore della causa di trasmissione (vedi IEC60870-5-101 7.2.3) viene rappresentata sui bit di stato 32 - 37. In tal modo possono essere settati fino a 6 bit COTx (x sta per i numeri di bit da 0 a 5). Per esempio: il bit più basso del valore COT viene sistemato sul bit di stato 32 e in <CD_ PRODUCTNAME> riceve il nome di COT0.

L´intero valore COT può essere analizzato durante il funzionamento Runtime mediate una matrice di reazione (multi-numerica e multi-binaria). Ogni COTx Bit aumenta il valore della causa di trasmissione nel modo seguente:

  • COT0 = 2^0 = 1
  • COT1 = 2^1 = 2
  • COT2 = 2^2 = 4
  • COT3 = 2^3 = 8
  • COT4 = 2^4 = 16
  • COT5 = 2^5 = 32

P.es.:

Tipici valori COT:

Stato | Valore | Causa di trasmissione | Nome breve
COT0, COT1 | 1+2 = 3 | spontaneous | COT_spont
COT0, COT1, COT2 | 1+2+4 = 7 | activation confirmation | COT_actcon
COT1, COT3 | 2+8 = 10 | activation termination | COT_actterm
COT2, COT4 | 4+16 = 20 | interrogated by station interrogation | COT_inrogen

info Informazioni su

Il modulo Comandi usa lo stato della causa di trasmissione N_CONF e SE_870 per il Watchdog timer di comandi.

Attenzione:

  • Non tutti i driver supportano COT.
  • Alcuni Energy Treiber supportano solamente un settore limitato al Watchdog timer nei comandi.
  • Alcuni driver supportano COT nonostante che il protocollo in sé non contenga nessun COT (per es DNP3). I dettagli a questo proposito li trovate nella documentazione sui driver.


P/N-Bit (N_CONF)

Manuale -> Elaborazione stato -> Bit di stato -> P/N-Bit (N_CONF)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
38 | N_CONF | automatico | per energy standards

Segnala che il controller ha confermato il comando negativamente. Corrisponde al bit P/N (positive/negative response) nel protocollo IEC 60870. Anche durante il comando in IEC 61850, la conferma negativa del comando Select e Operate è collocata sul bit di stato N_CONF. Vale insieme a COTx: COT_actcon(7), COT_actterm(10).

info Info

Il modulo Comandi usa gli stati COTx, N_CONF e SE_870 per il Watchdog timer di comandi.


Test-Bit (TEST)

Manuale -> Elaborazione stato -> Bit di stato -> Test-Bit (TEST)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
39 | TEST | automatico | IEC870, IEC850

Segnala lo stato Test in accordo alla norma IEC 60870, oppure alla norma IEC 61850: Quality=Test. Questo bit di stato può essere selezionato nell´elemento combinato, e nella formula di blocco.


Applicare scrittura (WR-ACK)

Manuale -> Elaborazione stato -> Bit di stato -> Applicare scrittura (WR-ACK)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
40 | WR_ACK | automatico | specifico per il driver

È utilizzato dalle funzioni di zenon Setta valori impostabili o Esegui ricetta e Comandi per richiedere dal driver una conferma di scrittura.

Nota: delle informazioni dettagliate su questo tema le trovate nella guida concernente le Variabili nel capitolo Controlla Scrivi valore impostabile.


Scrittura avvenuta con successo (WR-SUC)

Manuale -> Elaborazione stato -> Bit di stato -> Scrittura avvenuta con successo (WR-SUC)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
41 | WR_SUC | automatico | specifico per il driver

Se per un´azione Setta valore impostabile o Esegui ricetta, o per un comando deve essere richiesta una conferma di scrittura (WR-ACK), dopo l'azione di scrittura viene settato questo bit di stato.

Nota: delle informazioni dettagliate su questo tema le trovate nella guida concernente le Variabili nel capitolo Controlla Scrivi valore impostabile.


Stato normale (NORM)

Manuale -> Elaborazione stato -> Bit di stato -> Stato normale (NORM)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
42 | NORM | automatico | in tutti i driver

Lo stato normale è definito nelle properties di variabile e rappresentato nel bit di stato NORM.


Deviazione dallo stato stato normale (N_NORM)

Manuale -> Elaborazione stato -> Bit di stato -> Deviazione dallo stato stato normale (N_NORM)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
43 | N_NORM | automatico | in tutti i driver

In presenza di variabili del tipo dato BIT, il driver confronta lo stato di processo con lo stato normale indicato e visualizza il risultato sul bit di stato N_NORM.


Stato: Blocked (BL_870)

Manuale -> Elaborazione stato -> Bit di stato -> Stato: Blocked (BL_870)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
44 | BL_870 | automatico | IEC870, IEC850

Segnala lo stato Blocked in accordo alla norma IEC 60870 e alla norma IEC 61850: Quality=OperatorBlocked. Il controller informa che il valore è bloccato per la trasmissione e rimane nello stato che aveva prima di essere bloccato. Questo bit di stato può essere selezionato in Matrici di reazione multiple, nell´Elemento combinato e nella Formula di blocco.

In VBA possono essere interrogati con StatusExtValue() i 32-Bit superiori; con SetValueWithStatusEx() possono essere dati tutti e 64 i bit di stato.


Stato: Substituted (SB_870)

Manuale -> Elaborazione stato -> Bit di stato -> Stato: Substituted (SB_870)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
45 | SB_870 | automatico | IEC870, IEC850 Process Gateway IEC870 Slave

Segnala lo stato Substituted in accordo alla norma IEC 60870 e alla norma IEC 61850: Quality.Source=Substituted. Il controller informa che il valore non proviene più dall´hardware, ma è stato simulato nel controller. Questo bit di stato può essere selezionato in Matrici di reazione multiple, nell´Elemento combinato e nella Formula di blocco.

In VBA possono essere interrogati con StatusExtValue() i 32-Bit superiori; con SetValueWithStatusEx() possono essere dati tutti e 64 i bit di stato.


Stato: Not Topical (NT_870)

Manuale -> Elaborazione stato -> Bit di stato -> Stato: Not Topical (NT_870)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
46 | NT_870 | automatico | IEC870 Process Gateway IEC870 Slave

Segnala lo stato Not topical in accordo alla norma IEC 60870. Il controller informa che il valore non è stato aggiornato con successo sull´hardware durante un periodo di tempo determinato oppure non è disponibile. Questo bit di stato può essere selezionato in Matrici di reazione multiple, nell´Elemento combinato e nella Formula di blocco.

In VBA possono essere interrogati con StatusExtValue() i 32-Bit superiori; con SetValueWithStatusEx() possono essere dati tutti e 64 i bit di stato.


Stato: Overflow (OV_870)

Manuale -> Elaborazione stato -> Bit di stato -> Stato: Overflow (OV_870)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
47 | OV_870 | automatico | IEC870, IEC850 Process Gateway IEC870 Slave

Segnala lo stato Overflow in accordo alla norma IEC 60870 e alla norma IEC 61850: Quality=Overflow. Il controller informa che il valore si trova al di là dello spettro predefinito, oppure che che c´è un counter overrun Questo bit di stato può essere selezionato in Matrici di reazione multiple, nell´Elemento combinato e nella Formula di blocco.


Livello di comando: Select (SE_870)

Manuale -> Elaborazione stato -> Bit di stato -> Livello di comando: Select (SE_870)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
48 | SE_870 | automatico | per energy standards

Il bit viene usato in protocolli Energy in connessione alla funzionalità Select before operate, e serve a distinguere fra livello Select- e livello Execute/Operate- di un comando. Vale insieme a COTx: COT_act(6), COT_actcon(7).

Valori:

  • 0 = execute
  • 1 = select

info Info

Il modulo Comandi usa gli stati COTx, N_CONF e SE_870 per il Watchdog timer di comandi.


Timestamp non valido (T_INVAL)

Manuale -> Elaborazione stato -> Bit di stato -> Timestamp non valido (T_INVAL)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
49 | T_INVAL | automatico | IEC870, IEC850 Process Gateway IEC870 Slave

Lo stato Timestamp non valido viene settato da un driver quando il time stamp realtime ricevuto dal controller è evidenziato come non valido. In questo caso, il valore della variabile ricevuto ottiene come timestamp il tempo locale del calcolatore; inoltre viene settato lo stato T_INTERN, anziché T_EXTERN . Questo bit di stato può essere selezionato in Matrici di reazione multiple, nell´Elemento combinato e nella Formula di blocco.


Segnalazione di Switch riconosciuta (CB_TRIP)

Manuale -> Elaborazione stato -> Bit di stato -> Segnalazione di Switch riconosciuta (CB_TRIP)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
50 | Intervento sezionatore rilevato | automaticamente dal comando | in tutti i driver

Il bit di stato assume il valore 1 quando il sistema ha rilevato una segnalazione di switch, a condizione che nel modulo Comando sia stato configurato il riconoscimento di una segnalazione di switch,.

Il riconoscimento avviene se:

  • il valore della variabile di responso cambia da <>0 a 0 e
    • il bit di stato CB_TR_I (51) non è 1
    • il bit di stato PROGRESS (10) non è 1
    • il valore della variabile di responso è già definito (non si tratta dunque del valore iniziale per questa variabile).

Un cambio del valore della variabile da 0 a <>0 azzera questo bit. Questo bit viene azzerato se il bit di stato PROGRESS (10) viene attivato. Una modifica di CB_TR_I non ha alcuna influenza su una segnalazione di switch già riconosciuta.

Questo bit di stato può essere modificato in modo esplicito nel comando attraverso l´azione „Stato", „Stato on" o „Stato off". Il bit di stato mantiene questo stato finché il valore della variabile non cambia da <>0 e 0 , o da 0 a <>0. Il presupposto di ciò è che il bit di stato CB_TR_I sia pari a 0. Ciò significa: la segnalazione di switch non viene soppressa.

Rete

In rete, l´analisi viene effettuata sul server che gestisce il processo. L´analisi viene effettuata sullo Server-Standby, ma il risultato non viene rappresentato sui bit di stato. Lo stato attuale di CB_TR_I e CB_TRIP vengono sincronizzati al momento dell´avvio del Server-Standby o della nuova connessione. Se la variabile di responso è una variabile su un calcolatore locale, l´analisi viene effettuata anche sui client.


Segnalazione di Switch non attiva (CB_TR_I)

Manuale -> Elaborazione stato -> Bit di stato -> Segnalazione di Switch non attiva (CB_TR_I)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
51 | Rilevamento di intervento sezionatore disabilitato | automaticamente come risultato della formula della proprietà Disabilita rilevamento nel comando | in tutti i driver

Mostra che è stata soppressa la segnalazione di switch per la variabile nel comando.

Il nuovo calcolo viene provocato dalla modifica dello stato o quella del valore della variabile quando essa è stata definita nel comando per calcoli in formule. La formula non viene analizzata e il risultato non viene rappresentato sullo stato se:

  • una delle variabili nella formula non ha ancora un valore o uno stato definito
    oppure
  • una delle variabili è disturbata (INVALID).

Questo bit di stato può essere modificato in modo esplicito nel comando attraverso l´azione „Stato", „Stato on" o „Stato off". Il bit di stato rimarrà in questo stato finché il risultato della formula non cambia e, dunque, restituisce un altro stato del bit di stato.

Attenzione: il riconoscimento contemporaneo dello Switch (CB_TRIP) e della soppressione del suo riconoscimento non funzionano.

Esempio: La formula „RM.Wert<1" riconoscerà uno switch (CB_TRIP = 1), dato che al momento della modifica del valore CB_TR_I non è ancora attiva.

Rete

In rete, l´analisi viene effettuata sul server che gestisce il processo. L´analisi viene effettuata sullo Server-Standby, ma il risultato non viene rappresentato sui bit di stato. Lo stato attuale di CB_TR_I e CB_TRIP vengono sincronizzati al momento dell´avvio del Server-Standby o della nuova connessione. Se la variabile di responso è una variabile su un calcolatore locale, l´analisi viene effettuata anche sui client.


Valore fuori intervallo di validità (OR_DRV)

Manuale -> Elaborazione stato -> Bit di stato -> Valore fuori intervallo di validità (OR_DRV)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Numero bit | Visualizza | Settato | Disponibile
52 | OR_DRV | automatico | IEC850

Segnala Out of Range in accordo alla norma IEC 61850, corrisponde a Quality=OutofRange. Il controller informa che il valore si trova al di fuori dello spettro di misurazione predefinito. Questo bit di stato può essere selezionato nell´elemento combinato, e nella formula di blocco.


Utilizzo

Manuale -> Elaborazione stato -> Utilizzo

Noch in diesem Kapitel

Matrici di reazione

Elementi dinamici

Elemento combinato

Generatore Report

Gruppi di ricette

VBA


Matrici di reazione

Manuale -> Elaborazione stato -> Utilizzo -> Matrici di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La più ampia elaborazione degli stati è quella che si può effettuare nelle matrici di reazione.

In questa sede possono essere analizzati singoli stati per attivare allarmi. Sostanzialmente si ha la possibilità di considerare uno stato alla stregua di un valore. Si possono, come nel caso di un valore, causare determinate azioni.

Come, ad esempio:

  • provocare un allarme
  • generare un inserimento nella CEL
  • eseguire una funzione
  • Lampeggio
  • cambiamento di colore
  • Stampa

Esempio:

Se un valore non è più valido, esso riceve lo stato INVALID. Questo accade, per esempio, se il driver perde la connessione con il PLC. Si può creare una matrice di reazione, mediante la quale viene causato l'allarme, se il valore non è più valido (INVALID). Di conseguenza ci sono poi tutte le possibilità di provocare l'allarme.


Elementi dinamici

Manuale -> Elaborazione stato -> Utilizzo -> Elementi dinamici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con tutti gli elementi dinamici si ha la possibilità di far visualizzare lo stato della variabile collegata. A questo scopo si usa Mostra stato della variabile.

Esiste poi la possibilità di mostrare lo stato nel Runtime usando il tasto destro del mouse.

Lo stato viene mostrato nel Runtime mediante un clic con il tasto destro del mouse su un elemento dinamico. Finché si tiene premuto il tasto, viene visualizzato il nome della variabile e l'attuale stato della stessa.

Con l'opzione "mostra stato" attiva, un eventuale stato eccezionale viene indicato tramite un piccolo rettangolo rosso nell'angolo superiore destro dell'elemento.

In tal modo è evidente che il valore non è più spontaneo. Con la visualizzazione dello stato (tasto destro del mouse) diviene chiaro che qualcuno ha modificato lo stesso settando "valore di riserva".


Elemento combinato

Manuale -> Elaborazione stato -> Utilizzo -> Elemento combinato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell'elemento combinato c'è la possibilità di analizzare lo stato e di elaborarlo in una forma grafica. Al contrario di quello che accade con le matrici di reazione, l'analisi si riflette solo nell'immagine.

In altre parole:

1 | non cambia il colore
2 | viene rappresentato un altro simbolo.
3 | vengono visualizzati altri testi.
4 | vengono visualizzate altr Bitmaps.
5 | il simbolo viene colorato.


Generatore Report

Manuale -> Elaborazione stato -> Utilizzo -> Generatore Report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel generatore di rapporti c'è naturalmente anche la possibilità di analizzare lo stato.

Ciò avviene usando una funzione variabile con lo stato come parametro.

La sintassi è la seguente:

=variabile(Temperatura_esterno,stato)

Nel Runtime, la visualizzazione può avere il seguente aspetto.

Temperatura_esterno

21ºC

ALT_VAL


Gruppi di ricette

Manuale -> Elaborazione stato -> Utilizzo -> Gruppi di ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Manager di gruppi ricette c'è la possibilità di leggere tutti gli stati, di visualizzarli e di modificarli, se essi non sono settati dal processo (driver). Per settare bit di stato usate nel dialogo per Modifica di una ricetta la colonna Azioni.


VBA

Manuale -> Elaborazione stato -> Utilizzo -> VBA

In VBA c'è la più grande libertà di accedere agli stati e di modificarli se non sono settati dal processo (driver).


Energy Edition

Manuale -> Energy Edition

zenon Energy Edition is a package with special functionality for the energy sector and the procedural technology. The user benefits from easy-to-implement functions that allow for an individual adjustment of the application to the physical environment.

tutorial Informazioni sulla licenza

Must be licensed in Editor and Runtime.

The following is available for the Energy Edition:

  • Command Processing
  • ALC (Automatic Line Coloring): Already included in the license for Energy Edition, provides basic properties for line coloring.
  • Command Sequencer
  • Topological element transformer
  • Topology package: Requires additional licensing on the server (not on the client) and expands ALC by:
    • Multiple supply
    • Secured supply
    • Topological interlockings
    • Topological element disconnector
    • Error detection and ground fault search

Noch in diesem Kapitel

Automatic Line Coloring (ALC) - Topology

Command Processing


Automatic Line Coloring (ALC) - Topology

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The topological coloring of lines allows easy automatic dynamizing of tubes in technology (for media) as well as in the energy distribution (for electricity). So process controlled coloring of topological nets can easily be realized.

Because the tube structure is designed in the screen with all its technological elements (e.g. tanks and valves, or generators, switches and consumers), it is internally emulated as a model and the media flow is displayed in the Runtime.

In order to allow screen-overlapping models the entire design and configuration is always project-wide. You therefore have one entire topological model per project, which is used for the calculation of the tube statuses and ultimately for the coloring of the tubes.

The whole topology is created automatically from the graphic design. No other engineering actions are necessary.

info Informazioni su

The ALC algorithm only runs through once from a source starting from each switch.

Detail screens

To display individual screens, a partial area can be taken from the topological network and displayed individually by means of alias. A detail screen can be displayed with the data from different equipment parts, for instance outputs or partial networks.

tutorial Informazioni sulla licenza

Must be licensed for Editor and Runtime (single-user, server, standby).

No need to be licensed for Runtime client.

Licensing is carried out using the zenon Energy Edition.

  • ALC: Included in the license for Energy Edition; provides basic properties for line coloring and multiple supply.
  • Topology package: Requires additional licensing on the server (not on the client) and expands ALC by:
    • Secured supply
    • Topological interlockings
    • Transformer and separator topological elements
    • Error detection (version 6.50 and above)

Noch in diesem Kapitel

ALC elements

Configuration

Change ALC source color

Detail screens

Fault locating in electric grids

Impedance-based error detection and calculation of load distribution


ALC elements

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> ALC elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Automatic Line Coloring (ALC) makes it possible to color lines depending on the process status. The combined element is used as the process element. Automatic line coloring allows easy automatic dynamizing of tubes in technology (for media) as well as in the topological networks (for electricity).

Engineering

For the design two types of screen elements with different functions are distinguished. On the one hand these are procedural elements (source, switch/disconnector, drain, transformer or link) and on the other hand lines.

In doing so, the technical elements have a function and a color (source and transformer). If the procedural elements are active, the connected lines take on the color of these elements at the source and transformer or they take on the color of the element's input line for the switch and the link. If the procedural elements are inactive, the color of the lines is taken from the definition in the editor.

The different functions of the elements are assigned in the properties of the combined element.

Example

A source has a connected line. A switch is connected to the line. And a second line is connected there. If the source is active, the first line is colored with the color of the Automatic Line Coloring defined in the source up to the valve. The other line is not colored before the switch is closed.

Source inactive

Source active

Switch closed

Undefined or invalid

info Informazioni su

If the procedural element status is undefined or malfunction, this is automatically detected. All connected lines and all further elements are displayed in the color of the predefined source undefined' for both states.

Number of closed switches in a series

For the correct functioning of the ALC algorithm, the number of connected switches in a series plays a role.

Recommendation: Arrange a maximum of 256 closed switches in a series between the source and the drain.

Noch in diesem Kapitel

Procedural elements

Lines

Checking the project


Procedural elements

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> ALC elements -> Procedural elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Procedural elements are created in zenon with a combined Element. Their state determines the coloring of the connected line.

The following settings are available:

Property

Description

Function type

Defines the technological type of the Combined element.

Terminator

For bus bar ends. Blocks the error message "Line only connected on one side" when being compiled in the Editor.

Generator

A generator generally behaves like a source, but it is considered as an independent and not net-synchronous.

No function

The element has no function in the ALC.
Note: The "no function" function type is the default value.

Link

With a link a line can be continued on some other place. If a link is supplied by a line, all other links with the same link number also are supplied by this line. Here it does not matter, whether the links are in the same screen or on different screens in the project. So screen independent lines can be defined. It is possible to have more than two links with the same link number in one project.

Links can be supplied by several lines at the same time or can themselves supply several lines. In principle there is no difference between inputs and outputs. The source information is passed on to all connected lines.
Attention: Two link elements cannot be connected directly to one line. In between, there has to be at least one other procedural element (switch/disconnector or transformer).
A link cannot be switched active or inactive: it always is active.

Source

Passes on its color. If the source is active (value: 1), all connected lines that have Colori da ALC option set in the element properties are allocated the color of the source. The color is defined in the project properties as the source color. (e.g. tanks or generators). A source is a single pole with a static source number assigned to it. The source is switchable over the state of its main variable. Generally, sources are considered as net-synchronous and detachable.

You can find details on the source in the configuration of the sources chapter.

Switch

With this lines can be split. If the switch is closed/active (value: 1), then the connection between the two lines is closed and the line is colored up to the next switch with the defined source color. In this case a switch forwards the source color of the input line to the output line.

If the status of the switch is malfunction, undefined or INVALID, the color of the line turns into the color undefined from the ALC configuration in the project properties. A switch thus delivers source number 0 (undefined) to its output (connection 2) instead of the incoming source number.

Example: see Switch example - colors from ALC section.

Note: If the Inverti Ingresso/Uscita property is active, the input and output of this element are reversed for the ALC.

Valve

A slider (a valve) acts in a similar manner to a switch, but it is used for water and gas lines.

Value of the main variable:

Switch OFF: Value 0 -> Slider closed-> No forwarding

Slider ON: Value 1 -> Slider open completely-> Water flow

Slider DIF: Value 2 -> Slider partially open-> Water flow

Slider STO: Value 3 -> Slider malfunction

Note: If the Inverti Ingresso/Uscita property is active, the input and output of this element are reversed for the ALC.

Drain

This defines the end of the line. The drain does not influence the coloring; it is only used so that the model can be displayed in full. If an external program (e.g. VBA) should access the model, then the drain probably is needed for further calculations, and so has to be inserted.
In Energy projects, the drain is used for representing consumers. These customers are considered for the calculation of the ALC interlockings (command groups) 'Consumer is undersupplied'.

Check valve:

The check valve only forwards information in one direction:

  • Value 0:
    The forwarding is not active (= closed)
  • Value 1 or 2:
    Forwarding is only possible in one direction. In doing so, only forwarding from the input to the output takes place. Forwarding in the opposite direction is not envisaged. This also affects the ground switching.
  • Value 3:
    Forwarding is undefined. This then occurs, for example if the check valve is faulty. In this case the status is only forwarded at the output.

Note: If the Inverti Ingresso/Uscita property is active, the input and output of this element are reversed for the ALC.

The check valve is also taken into account by the topological interlockings.

Transformer

A transformer is a drain and a source at the same time. SO with a transformer the input color (input source) can be transformed to a new output color (transformer source color).
The output line is only switched to active once the transformer has an active input line. However the output line does not get the color of the input line as with a switch, but instead the color of the transformer's own source. So a source has to be defined for each transformer. A transformer cannot be switched active or inactive, it always is active.

Note: If the Inverti Ingresso/Uscita property is active, the input and output of this element are reversed for the ALC.

Reverse-feed-compatible transformer:

To have a transformer capable of reverse feed, you must select, for Sorgente per alimentazione invertita, a different source than UNDEFINED [0]. This means that the transformer behaves the same for both directions - from the input to the output (forward) and also from the output to the input (backward). The only difference is that the Sorgente per alimentazione invertita property and not the Sorgente property is used for further distribution of the source number.

Note: Defective network statuses or missing configurations, such as a feed from the input and output at the same time or a short circuit from input and output are not specially colored. This means that the transformer capable of taking a reverse feed behaves like two transformers switched to run antiparallel that are not capable of taking a reverse feed.

Disconnector

A disconnector generally behaves like a switch. Nevertheless, a disconnector may not be connected in the topological model. A status (on, off, intermediate position, malfunction) is determined via its main variable.

Note: If the Inverti Ingresso/Uscita property is active, the input and output of this element are reversed for the ALC.

Source and link number

Parameters | Description
Source | Here a source is assigned to an element. In this selection box all sources defined in the ALC configuration (in the project properties) are available. All source names are listed. This property is only active if the function type 'source', 'transformer' or 'generator' has been selected. You can find details on the source in the configuration of the sources chapter.
Link number | Only the link number is entered for a link function. All identical link numbers in a project correlate with each other. Detailed description in the function type Link. This property is only active, if the function type link has been selected.

A variable of the IEC type BOOL or integer has to be linked to the element as the main variable, so that the switch can get the status (open, closed, invalid). In the same way, the source gets its status (active/inactive) from the linked main variable.

For the function types source and transformer the defined source number is forwarded to the consumers (drains) over open or closed switches. The statuses and colors of all connected lines are calculated from the superposed sum of the supplying source numbers and procedural elements.

info Informazioni su

Only the first two bits are considered for the switching. The first bit stands for the actual switching. 0 equals off and 1 equals 1.

The second bit is the error bit. There is no error only if it is 0.

States

  • A switch and a source are switched on if the value of the linked variable is 1.
  • A switch is invalid if the value of the linked variable is >1 or has an INVALID status.
    An invalid switch provides the source number 0 (undefined) at its exit (connection 2) instead of the source number entering. In the direction towards the input the switch behaves as normal.

    Note: if the (acknowledgment) variable has the status INVALID, the whole subsequent network is INVALID, because the status of the network is not known. The status INVALID is forwarded (routed) using subsequent closed switches.

attention Attenzione

If in the single status the color and the fill color from the ALC is activated, also the procedural elements are colored by the status of the connected lines in the Runtime.

Noch in diesem Kapitel

Switch example - colors from ALC

Connection points of procedural elements

Switch input/output


Switch example - colors from ALC

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> ALC elements -> Procedural elements -> Switch example - colors from ALC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Example 1

Combined element with value status 00 and line color from ALC:

  1. Configuration in the Editor:
    • Combined element with value status 00
    • Line color from ALC active

  2. Results in the following in Runtime:
    • Source color: green
    • Color without voltage: white
    • Switch status: off/open (value 0)

Example 2

Combined element with value status 01 and colors from ALC:

  1. Engineering in the Editor
    • Combined element with value status 01
    • Line color from ALC active
    • Fill color from ALC active

  2. Results in the following in Runtime:
    • Source color: green
    • Color without voltage: White
    • Switch status: on/closed (value1)

Example 3

Combined element with value status 00 without colors from ALC:

  1. Configuration in the Editor:
    • Combined element with value status 00
    • Line color from ALC not active

  2. Results in the following in Runtime:
    • Source color: green
    • Color not energized and construction color of the line: White
    • Defined line and fill color of the combined element: black
    • Switch status: off/open (value 0)

Example 4

Combined element with value status 01 without colors from ALC:

  1. Engineering in the Editor
    • Combined element with value status 01
    • Line color from ALC inactive
    • Fill color from ALC inactive

  2. Results in the following in Runtime:
    • Source color = green
    • Color not energized and construction color of the line: White
    • Defined line and fill color of the combined element: black
    • Switch status: on/closed (value1)


Connection points of procedural elements

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> ALC elements -> Procedural elements -> Connection points of procedural elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When configuring, a line is connected to a procedural element (combined element) by overlapping drawings in the screen at connection points of the combined element. Only one line can be connected to the same connection point at the same time. All lines that start within the area defined, are connected (Topology from the graphic).

attention Attenzione

Use ALC elements only in un-rotated state because:

The calculation for the topological model for the ALC in the Editor is based on the position of the elements in un-rotated state and without considering any dynamics.

Connection points and connection areas

  • The connection area for a connection point is in the middle of each side of the combined element. Each combined element thus has four connection points.
  • The size of a connection area corresponds to 2/3 of the height and width of a combined element, but no more than 20 pixels.
  • Each connection area is centered in the middle of the respective element corner and stretches symmetrically inwards and outwards, to a maximum of 10 respective pixels.

attention Attention

If the combined element is less than 30 pixels, connection areas within an element overlap. Lines that could touch can cause errors (compilation, coloring).

You can see the possible connection points for combined elements smaller and larger than 30 pixels in the illustration.

Colors

  • Blue: Combined element
  • Red: Connection areas

Dimensions:

  • A: height of the Combined element
  • B: width of the Combined element
  • a: Width of the connection area: 2/3 of A, but a maximum of 20 pixels.
  • b: Length of the connection area: 2/3 of B, but a maximum of 20 pixels.

Rules

  • If a line is outside the connection area, no connection is detected and there is thus no coloring of the line. So there will also be no coloring for further lines.
  • With sources, drains and Links, all described connection points can in principle be used.
    Attention: With sources and drains, only one connection point can be used at the same time. If different connection points are used at the same time, undefined states can occur.
    Elements of the type Link can also use several connection points at the same time. The incoming color information is passed on to all lines.
  • With switches/disconnectors/sliders and transformers, the connection 1 (supply) is on the left or on the top and connection 2 (output) is on the right or on the bottom. This sequence can be changed with the Inverti Ingresso/Uscita property.
    Attention: At switches and transformers it has to be cared, that only one input connection and one output connection is used. The simultaneous use of several input or output connection points results in inconsistencies and is therefore not reliable.
  • For all procedural elements the following is true: Only one line can be connected to a connection point. Junctions cannot be realized directly on an element but must be drawn with lines.


Switch input/output

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> ALC elements -> Procedural elements -> Switch input/output

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If a transformer, a disconnector or a switch is configured, the input and output can be swapped. To do this:

  1. Select either transformer, disconnector or switch as a Tipo funzione
  2. Activate the checkbox Inverti Ingresso/Uscita

The input is then set at the bottom right and the output at the top left.

Overview

Device configuration | Input | Output
normal | Left | Right
normal | top | bottom
swapped | Right | Left
swapped | bottom | top


Lines

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> ALC elements -> Lines

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lines are represented by vector elements Line, Polylines and Tube.

If the option Color from ALC is activated for a line, the coloring is defined by the ALC configuration. Lines are automatically colored by the system depending on the status of the procedural elements and the ALC settings.

Here the color usually comes from the highest priority source number of the media flowing through the line, or stays "empty/not energized" just as defined in the screen with static or dynamic colors.

You define the display type by means of drop-down lists:

  • Priority for display
  • Display multiple supply
  • Display secured supply

The following options are available in the properties of the lines:

Parameters

Description

Colori da ALC

Activates the automatic line coloring for these vector elements. That means: If the source for the line is active and all switches/valves leading from the source to the line are closed/open, the line is accordingly colored. If the line is fed by a single source, the defined source color is used for coloring the line. The line width is not changed.

Priorità di visualizzazione

Defines if multiple supply, secured supply or both are displayed.
Default: Multiple supply

Secured supply

The element is displayed according to the rules of the secured supply.

A line is then considered to have a secure supply if it is supplied by at least two different switches or transformers with a non-system source. System sources do not contribute to secured supply, but do not exclude it.

Multiple supply

The element is displayed according to the rules of the multiple supply.

A line is considered to have multiple supplies if it is supplied by at least two different sources. In doing do, it does not matter if they are system or user sources and from which side the line is supplied by the sources.

No priority

The coloring rules for multiple supply and for secured supply are applied at the same time if both criteria are met. That means:

If a line

  • has multiple supplies and a secured supply,
  • The priority is set to No priority,
  • The display for multiple supply is set to two sources with highest priority,
  • The display for secured supply is set to double width,

Then the line is twice as wide and displayed as a dashed line in two colors.

Visualizza fornitura multipla

Multiple supply means that a line is supplied by multiple sources at the same time. Here you can define how lines with multiple supply are displayed.

Default: highest priority source

highest priority source

The line gets the color of the source with the highest priority.
Note: Priorities correspond to the sequence chosen in the ALC configuration.

two highest priority sources

Applies for lines fed by two or more different sources. The two sources with the highest priorities define the coloring. The line is displayed with these two colors (dashed). The dash length can be changed using the Lunghezza tratto alim. multipla property.

System sources apply for multiple supplies just as with genuine sources and color lines in two colors it they are configured accordingly.

Alternative color

The color defined in the Colore alternativo property is used.

Lunghezza tratto alim. multipla

Defines the dash length (in pixels) of lines, polylines or tubes for the dashed ALC coloring for two sources with the highest priority for Visualizza fornitura multipla.

  • Minimum: 0 (automatic dash length)
  • Maximum: 32767
  • Default: 0

Colore alternativo

Alternative color for the ALC coloring of lines, polylines or tubes with multiple supplies.

Display secured supply

Secured supply means that a line gets multiple supply from one source (parallel). Here you can define how 'secured supply' is displayed.

A line is always displayed as having a secure supply if it is supplied by at least two switches with a genuine source (not system source).

Default: normal

double width

Relevant for lines fed in parallel by the same source. If this is the case, the line is displayed with double the configured width. (Example: A line with line width 5 pixels is displayed with 10 pixels if secure-fed.)
If this line is fed by two or more different sources (multi-supply), the line width does not change!

The color is always defined by the source with the highest priority!

double brightness

Relevant for lines fed in parallel by the same source. The line is displayed with double the original brightness.
If this line is fed by two or more different sources (multi-supply), the line color does not change!
If this line is multi-fed from one source (secure supply), the line is displayed with double the original brightness.
Formula for the calculation of the double brightness:

  1. The defined RGB color is transformed to the HLS system.
  2. L (luminance = brightness) is recalculated with NewLuminance = 240*3/4 + L/4
  3. The color value is recalculated to the RGB system with the new brightness.

The color is always defined by the source with the highest priority!

normal

The element is displayed in the color of the source and with the configured width.

Utilizza alias

Active: Alias is used.

Alias

Opens the dialog for selecting a model.

info Informazioni su

The source color and the priorities of the sources are defined in the project properties.

User-defined sources must have a higher ID than 9. IDs up to 9 are reserved for system sources.

info Informazioni su

The calculation of the color of a line in the Runtime is done with the following priority list:

  1. Automatic Line Coloring (highest priority, overrules all other settings)
  2. Dynamic colors
  3. Static colors

Noch in diesem Kapitel

Example

Connection points of lines


Example

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> ALC elements -> Lines -> Example

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the following example Source 0 has the color blue and Source 1 has the color red. And Source 0 is the source with the highest priority.

Source 0

Source 1

This results in the following displays for the different options:

 | Line / Polyline | Pipe
highest priority source |  |
two highest priority sources |  |
double width |  |
double brightness |  |


Connection points of lines

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> ALC elements -> Lines -> Connection points of lines

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The connection of one line (line, polyline or tube) to another line is done with overlapping drawing in the screen at connection points. The connection points - either connection areas - are at the start and the end of each line and are around 3 pixels large.

Example Esempio

The start point of a line has the coordinates (start point x/start point y): 150/100 pixels.
This results in a connection area (x / y): 147 - 153 / 97 - 103 pixels.

If the line start or end of this line and that of one or more other lines is within this area, the lines are automatically connected without any further engineering. A mere overlapping of the connection areas of the single lines is not sufficient!

In the following illustration the connection area is displayed graphically (the green lines are connected to the black one, the red line not.

info Informazioni su

Any number of lines can be connected in a connection area.

attention Attenzione

If a line is outside the connection area (e.g. the red line in the illustration), no connection is established and there is no coloring of the line. So there will also be no coloring for further lines.

Line crossings can easily be realized, if the ends of the lines are not in the connection area.

attention Attenzione

Use ALC elements only in un-rotated state because:

The calculation for the topological model for the ALC in the Editor is based on the position of the elements in un-rotated state and without considering any dynamics.


Checking the project

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> ALC elements -> Checking the project

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Engineer the desired procedural elements and lines in one or more screens and save these screens. Then you can check via Create all Runtime files or Create changed Runtime files whether there are any errors or conflicts in the screens. If error or conflicts should exist, corresponding error messages or warnings are displayed in the output window.

info Informazioni su

Double click the corresponding line in the output window. The screen with the erroneous screen element will be opened automatically. If the erroneous screen element is part of a symbol, the corresponding symbol is automatically selected.

The following error message can be displayed.

  • ALC: Screen '%s' - Two Link elements with different Link number are connected to line '%s' . (Double click opens the screen and selects the line.)
  • ALC: Screen '%s' - More than two connection points are used at element '%s'. For each element only one input and one output may be used. (Double click opens the screen and selects the element.)

The following warnings can be displayed.

  • ALC: Screen '%s' - Alias line '%s' is connected to a no-alias line. (Double click opens the screen and selects the line.)
  • ALC: Screen '%s' - Alias element '%s' is connected to a no-alias line. (Double click opens the screen and selects the element)
  • ALC: Screen '%s' - No-alias element '%s' is connected to an alias line. (Double click opens the screen and selects the element)
  • ALC: Screen '%s' - Line '%s' is only connected on one side. (Double click opens the screen and selects the line.)
  • ALC: Screen '%s' - Element '%s' is not connected. (Double click opens the screen and selects the element)
  • ALC: Screen '%s' - Element '%s' is only connected on one side. (Double click opens the screen and selects the element)

In the error messages or warnings the corresponding elements are identified using the element reference. This reference also serves as the link key for ALC aliases.


Configuration

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To configure ALC:

  1. In project properties, select Configurazione ALC the property in the Automatic Line Coloring group
  2. Click on the ... button
  3. The dialog for configuration is opened
  4. Configure the desired properties for:
    • Sources
      (note also the principles for Coloring for UNDEFINED.)
    • Interlockings
    • Screen marker

Noch in diesem Kapitel

Configuration of the sources

Configuration of topological interlockings

Configuration of the screen marker


Configuration of the sources

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Configuration -> Configuration of the sources

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The sources, e.g. their names and colors (sequence and priority), are configured project-specifically within the project properties under 'ALC configuration'.

Source colors

Parameters | Description
Number | Internal unique consecutive number, so that the source can be identified. This number is given by the system automatically and cannot be changed. Attention: IDs 0 to 9 are reserved for the system sources and must not be used user-specific.
Name | Logical name for the source (e.g.: 'water' or 'grounded'). This name is also used when selecting the source number for Combined elements. You can change the name by clicking it with the left mouse button. With this edit mode is switched on. The changes are accepted with Enter or by selecting another source. Note: The labels are not language switchable.
Line color | Line color of the respective source. This color is used for coloring lines, polylines and as the outside color of tubes.
Dashed | Check box for activation. If active, the line is drawn as dashed. Note: This check box is only active for GROUNDED. This check box is grayed out for all other sources.
New | Adds a new color.
Delete | Deletes the selected color.
Upwards (arrow symbol) | Moves selected source up one position.
Fully upwards (arrow symbol) | Moves selected source to the start of the list.
Downwards (arrow symbol) | Moves selected variable down one position.
Fully downwards (arrow symbol) | Moves selected source to the end of the list.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

The colors can be configured directly by entering the corresponding hexadecimal code or by using a color palette.

For direct input:

  1. Click on the color description with the left mouse button
  2. The field is switched to editing mode
  3. Enter the code
  4. Press the input key or select another source to apply the change

To select via a color palette:

  1. highlight the desired line
  2. click on the ... button behind the color
  3. The color palette is opened.
  4. select the desired color

The hexadecimal code describes the RGB color value and consists of the following. #RRGGBB.

Element | Meaning
# | Identifier to indicate that a hexadecimal color code is used.
RR | 2 digits are the red value of the color in hexadecimal system. 0-255 is 0-FF
GG | 2 digits are the green value of the color in hexadecimal system. 0-255 is 0-FF
BB | 2 digits are the blue value of the color in hexadecimal system. 0-255 is 0-FF

info Informazioni su

The sequence in this list represents the priority of the sources, with the first element having the highest priority.

To change the priorities of the single sources, they can be moved upwards or downwards using the arrow buttons

attention Attenzione

Limitations when deleting the sources and resetting erroneous colorings:

Sources with ID between 0 and 9 are reserved for system sources. They can:

  • Not be deleted:
  • Not be reset as an erroneous color

Deleting sources

In order for sources to be able to be deleted, they must have an ID from 10. Only the source with the highest ID can be deleted.

Resetting erroneous colorings

In order for erroneous colorings to be able to be reset once the cause has been rectified, no system source colors can be used. A color for IDs from 10 must be selected.

Noch in diesem Kapitel

Coloring mode for UNDEFINED


Coloring mode for UNDEFINED

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Configuration -> Configuration of the sources -> Coloring mode for UNDEFINED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Coloring in the network can be implemented in two modes with the UNDEFINED status:

  • Standard
  • Input takes priority

This setting is made using the Automatic Line Coloring/Metodo di colorazione project property.

Standard

The graph search starts with a source and goes through the whole network, so that each closed switch (switch variable has the value 1) per direction is only gone through once, so no cycles occur. In doing so, each node visited (=line segment) is colored with the source color. The directly-related lines are marked as a node.

If the search finds a switch that has a switch variable with the following status, the UNDEFINED color is used for coloring from this point onwards:

  • INVALID [values: any desired],
  • is invalid [value: 3]
  • is in intermediate position [value: 2])

The graph search is now continued in the same form. Each switch is gone through just once per direction with the UNDEFINED color. Therefore each switch can be gone through a maximum of four times per source:

  1. with source number in forwards direction,
  2. with source number in backwards direction,
  3. with UNDEFINED in forwards direction,
  4. with UNDEFINED in backwards direction,

Input takes priority

With the Supply takes priority setting, only lines that have a supply from at least one source but not clearly from any one source are colored as UNDEFINED. If a line is supplied with at least one source, it can no longer receive an UNDEFINED color from another source.

This search is a two-stage search:

  • In the first stage, as with Standard, the source color is distributed in the network from each switched source, as long as the next switch is closed. The search is ended if the switch is open or invalid/undefined.
  • In the second stage, the search is started at each invalid/undefined switch that receives a supply from one side and the UNDEFINED color is distributed to the unsupplied side. This search also considers the switches that are invalid/undefined as closed and thus distributes the UNDEFINED color in the network until it meets a clearly open switch. In addition, a search is ended if a line element is reached that is already supplied.


Configuration of topological interlockings

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Configuration -> Configuration of topological interlockings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

topological interlockings from the ALC for Command Processing can be configured here.

info Informazioni su

This dialog is only available when both the Energy Edition and the Automatic Line Coloring modules are licensed.

The following conditions are available: The settings made here apply globally, for the whole Topological Model:

Parameters | Description
Voltage towards ground | Interlocking is active if a switch/disconnector is to be closed and a grounded potential is connected to its first connector and its other connector is connected or undefined.
Switching action in an area with an undefined status | Interlocking is active if a switch disconnector is to be closed and both of its connectors are 'undefined' or 'disturbed'.
Disconnector under load | Interlocking is active if certain conditions have been met for switching on or off. Conditions: See "Disconnector under load - interlocking conditions" section.
Device would not be supplied | Interlocking is active, when a consumer, which was supplied before, would be unsupplied after the switching action (by switch or disconnector).
Area with undefined status would increase | Interlocking is active if a switch disconnector is to be closed and one connector is 'undefined' or 'disturbed' and the other not.

If you click in the Status column in one of these interlockings, a drop-down list opens with three choices:

Parameters | Description
do not check | The selected condition is not considered in this project (topological model).
unlockable | The selected condition is considered in this project. If the condition applies, the user can unlock it with the command processing (Command Processing screen). This unlocking action is logged in the Chronological Event List.
not unlockable | The selected condition is considered in this project. The user cannot unlock it.

Exception topological interlocking

The topological interlocking is not carried out if:

  • the variable of a switch has the status Revision
    or
  • the variable is manually corrects or set to Alternate value and with this is set to the same variable value as the initial value; in other words if the switch:
    • Is set to OFF and then it is manually corrected to OFF or replaced.
    • Is set to On and then it is manually corrected to ON or replaced.

Noch in diesem Kapitel

Disconnector under load - interlocking conditions


Disconnector under load - interlocking conditions

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Configuration -> Configuration of topological interlockings -> Disconnector under load - interlocking conditions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

For the disconnector under load topological interlocking, a disconnector can be switched if one of the following conditions is met:

When being switched on:

Before being switched:

  • The neighboring line segment receives energy from the same source
  • If the line segment does not receive any voltage, the other line segment is grounded
  • A line segment is not live

When being switched off:

After being switched:

  • Neighboring line segments would not receive energy from the same source
  • If one line segment does not receive any voltage, the other line segment is grounded
  • A line segment would not be live

info Informazioni su

Meaning of "not under load"

The status not under load means:

  • Either:
    All switches and disconnectors connected to the line segment are open.
  • Or:
    All switches and disconnectors connected to the line segment are closed but only connect to a segment that is also not under load.

In addition, all of the following conditions must be met for the status of not under load:

  • All sources and consuming devices connected to the line segment are switched off.
  • No transformer may be connected to the line segment.
  • It must not be a line that is only connected to this disconnector (open line).


Configuration of the screen marker

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Configuration -> Configuration of the screen marker

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Here you configure the color table for the color marker for the impedance-based error detection and calculation of load distribution. See also: AddMarker

Parameters | Description
Number | Unique internal serial number for clear assignment. This number is given by the system automatically and cannot be changed.
Line color | Line color of the screen marker.
Filling color | Fill color of the screen marker.
New | Adds a new color.
Delete | Deletes the selected color.

The colors can be configured directly by entering the corresponding hexadecimal code or by using a color palette.

For direct input:

  1. Click on the color description with the left mouse button
  2. The field is switched to editing mode
  3. Enter the code
  4. Press the input key or select another source to apply the change

To select via a color palette:

  1. highlight the desired line
  2. click on the ... button behind the color
  3. The color palette is opened.
  4. select the desired color

The hexadecimal code describes the RGB color value and consists of the following. #RRGGBB.

Element | Meaning
# | Identifier to indicate that a hexadecimal color code is used.
RR | 2 digits are the red value of the color in hexadecimal system. 0-255 is 0-FF
GG | 2 digits are the green value of the color in hexadecimal system. 0-255 is 0-FF
BB | 2 digits are the blue value of the color in hexadecimal system. 0-255 is 0-FF


Change ALC source color

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Change ALC source color

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The foreground and background color of an ALC source can be temporarily changed for the coloring in Runtime using the Modifica colore sorgente ALC function. The change remains until Runtime is ended, reloaded or the function is executed again. To create the function:

  • select New Function
  • Navigate to the Screens node
  • select Modifica colore sorgente ALC

  • The dialog to define line colors and fill colors opens
  • define the desired color

Property | Function
Source | Drop-down list to select the source and display the colors currently assigned. These colors cannot be changed here.
New color for source | Click on the color and a dialog opens to select a color.


Detail screens

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Detail screens

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To display individual screens, a partial area can be taken from the topological network and displayed individually by means of alias. The screen elements in the detail screen are not included in the topological model, but do however get their ALC colors from the model. They relate to an alias of the screen elements in the overall screen.

attention Attenzione

Aliases are only valid within a project.

This means that for symbols that contain links to aliases:

If the symbol is added to the general symbol library or the library in the global project and edited there, all ALC alias information is lost without notice!

Create alias

Aliases can be created for the elements:

  • Line
  • Polyline
  • Pipe
  • Combined element

attention Attenzione

An ALC alias cannot be created if a period (.) is contained in the name of the selected screen.

Solution: Replace the period in the screen name with a different character, such as an underscore for example (_).

To create a source element as an alias:

  • Activate it in the element's properties Utilizza alias.

    To do this, ALC must be licensed and the Colori da ALC property active.

  • Click on the ... button in the Alias property
  • The dialog to select the element opens.

Parameters

Description

Screen

Click the ... button and a dialog opens to select a screen.

Available ALC elements

Shows the elements that belong to a screen with the element name, type of element and function type. Clicking on an element selects an alias.

Filter

The elements can be sorted according to all columns. When setting a filter, the options offered from all other filters are reduced to values that can be sensibly combined.

  • Name: Input of a standard search term with wild cards (*). The last 12 search terms are offered in the list until the Editor is ended.
  • Element: Select from drop-down list.
  • Function type: Select from drop-down list.

Clicking on ... opens saved search or drop-down list.

If a filter is active, clicking on the X deletes the filter.

Selected alias

Shows the selected element in the field of Available ALC elements.

No selection

Removes selected element.

OK

Saves selection and closes dialog.

Cancel

Discards changes and closes dialog.

Help

Opens online help.

info Informazioni su

When selecting an element for a new alias, only elements and screens from the same project that the alias was defined in can be selected. Elements from subprojects or parallel projects are not available.

Replacing alias names

Aliases can be changed when switching screens with Replace link. A detail screen can therefore be displayed with the data from different equipment parts, for instance lines or partial networks. Alias names are replaced along the lines of variables and functions. It is also possible to replace in elements that are used in symbols. The same dialog as is opened for the target as the Alias property.

Note: Substitution using index variables is not possible.


Fault locating in electric grids

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Error detection marks grid parts that are subject to ground faults or short circuits by means of special colors in ALC. Sources for error detection are what are called ground fault or short circuit reporters that are assigned to a circuit breaker. Ground fault and short circuit reporters are always at the output of a circuit breaker element. Error messages are fixed in the screen and must be reset manually.

info Informazioni su

This function is only available when both the "Energy Edition" and the "Automatic Line Coloring" modules are licensed.

Error detection

Error detection runs locally. Each client in the network has its own independent model and can therefore search for ground faults and short circuits in different parts of the network.

Error detection in the electrical network is divided into:

  • Search for ground fault
  • Short circuit search

To configure error detection

  • You require a license for ALC and zenon Energy Edition
  • configure the appropriate screens
  • Configure ALC to the corresponding combined elements (switch, transformer, disconnector, slider)
  • configure the lines so that they are colored by ALC

Special functions are available in Runtime for error detection:

  • Start search for ground fault
  • acknowledge ground fault message
  • Stop search for ground fault
  • Acknowledge short-circuit message

Colorings

Errors can be shown by a special coloring for the lines in ALC. In Runtime, the color assigned by ALC changes automatically as soon as the status of the line changes. The colorings configured can be changed in Runtime via the change ALC source color function.

Messages are processed in the order in which they arrive. In the event of conflicts

  • The colors for displaying errors take priority
  • short circuit messages have priority over ground fault messages

Noch in diesem Kapitel

Search for ground fault

Short circuit search


Search for ground fault

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Search for ground fault

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The search for a ground fault serves to highlight the network parts that may have a ground fault by coloring these. The color is taken from the engineering of ALC source colors for the GROUND FAULT source.

The network parts that may have a ground fault are derived from the ground fault reports from ground fault detection devices (ground indicators, protective device that records ground faults). The following is applicable for ground faults:

  • Each device can have one to three ground fault reports.
  • Ground fault reports are handled either by permanent message processing or by wiper message processing.
  • For directional ground fault detection devices, the direction can be lagging or leading in relation to triggering.
    • Leading: First comes the report, then the wiper bit.
    • Lagging: First comes the wiper bit, then the report.

info Informazioni su

A network component that may have a ground fault is then no longer considered to have a ground fault if this has been successfully connected.

Engineering

To configure a search for a ground fault:

  1. assign the combined element that represents the switching element to the Tipo funzione switch
  2. Define the mode of search for ground fault, ground fault display and ground fault detection triggering
  3. Create the functions for start search for ground fault, acknowledge ground fault report and end search for ground fault

info Informazioni su

In order to also be able to limit ground faults in mixed networks, only one area with ground faults is searched per path, starting with a source.

Noch in diesem Kapitel

Mode of the search for ground faults

Ground fault detection type

Ground fault display

Earth fault triggering

Start search for ground fault

Acknowledge ground fault message

Stop search for ground fault


Mode of the search for ground faults

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Search for ground fault -> Mode of the search for ground faults

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The short circuit search can either:

  • color the network part potentially subject to a short circuit
    or
  • the whole network where the short circuit is located

The coloring mode is defined via the Modalità ricerca messa a terra property.

To configure the property:

  • navigate to the Automatic Line Coloring node in properties
  • select the desired mode in the Modalità ricerca messa a terra property drop-down list
    • Color grid part: colors only the grid parts that are potentially subject to a short circuit
    • Color whole grid: colors in the whole linked grid where the short circuit is located

This setting can be changed in Runtime via the zenon API object model. In doing so, the short circuit search is recalculated once again.


Ground fault detection type

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Search for ground fault -> Ground fault detection type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The direction and type of message processing for the combined element are determined by means of the Tipo setting. For project configuration:

  1. navigate to the Automatic Line Coloring node in the combined element properties
  2. open the node Riconoscimento messa a terra
  3. Select the desired type with direction and type of message processing in the Tipo property
    • Direction:
      indicates if the raising edge of trip alarm or if the raising edge of a direction comes before
    • leading: The current direction status is used for the raising edge of the trip alarm
    • lagging: after a raising edge of the trip alarm, the first raising edge of a direction is waited on; if this does not occur within 2 seconds, the earth fault device is considered non-directional
    • Information processing:
      states which information can be processed
    • none: normal switch; information is not processed
    • Permanent message processing: Newly received messages are considered a new ground fault trip
    • wiper message processing: Messages that are received during a current Search are suppressed

Note: The distinction between permanent message processing and wiper message processing is only how the message is processed, not its type. Wiper message processing thus does not need to relate to a wiper bit.

attention Attenzione

To suppress intermittent ground faults, ground fault messages that occur in intervals of less than 2s are ignored.


Ground fault display

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Search for ground fault -> Ground fault display

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The variable linked at Visualizza is an output variable for error detection and displays the recorded status of the ground fault identification device. This is necessary because all messages remain saved internally until they are acknowledged, i.e. they do not necessarily conform to the current status of the message variables.

Each time a recording is made, a set value is sent to this variable. In doing so, the values are as follows:

Value | Meaning
0 | no ground fault
1 | ground fault forwards
2 | Ground fault backwards
3 | non-directional ground fault
4 | Error status - > both directions have activated

info Informazioni su

To reduce problems in network operation, the variable linked here should be a linked variable.


Earth fault triggering

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Search for ground fault -> Earth fault triggering

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The alarm to report an earth fault is defined by the Attivazione variable It can contain information on the presence of an earth fault and the direction of the earth fault from the point of view of the earth fault recognition device. In doing so, a distinction is made between:

  • non-directional earth fault alarms
  • Directional earth fault alarms with a trip alarm
  • Directional earth fault alarms with a trip alarm

To configure the variable for the Attivazione:

  1. navigate to the Automatic Line Coloring node in the combined element properties
  2. open the node Riconoscimento messa a terra
    1. for non-directional earth fault alarms

      Click on the ... button in the Attivazione property

      select the variable you wish to import in the dialog that opens

      The properties for the direction remain empty

    2. for directional earth fault alarms with a trip alarm

      link the variable with Attivazione and add the appropriate direction:

      Forwards: link a variable to the Avanti property

      Backwards: link a variable to the Indietro property

    3. for directional earth fault alarms without a trip alarm

      Link the variable with the corresponding direction:

      Forwards: link a variable to the Avanti property

      Backwards: link a variable to the Indietro property

      The Attivazione property remains empty

Note: If you address a directional identification device with Avanti in both directions, this is then considered erroneous and ignored.


Start search for ground fault

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Search for ground fault -> Start search for ground fault

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The function Avvia ricerca messa a terra serves to localize a ground fault and has two effects in Runtime:

  1. Fault reports from all ground fault identification devices that were configured with wiper message processing are ignored.
  2. The search algorithm is changed: Switch actions can only reduce the area subject to a ground fault further. Newly received messages do not therefore increase the area potentially subject to a ground fault.

To configure the Avvia ricerca messa a terra function:

  • create a new function
  • navigate to the error detection node in the electrical network
  • Select the Avvia ricerca messa a terra function

  • link the function to a button


Acknowledge ground fault message

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Search for ground fault -> Acknowledge ground fault message

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With the Riconosci guasto messa a terra function, an internally recorded ground fault from a ground fault indication device can be acknowledged. In doing so, the internally-latched ground fault status is reset if the status is still pending, or highlighted as acknowledged. A recorded ground fault message is only deleted internally if this has been acknowledged and is no longer pending.

Rules when acknowledging:

  • If a variable that corresponds to a triggering or direction variable of a ground fault recognition device is linked, this special ground fault message is acknowledged.
  • If no variable has been linked, all ground fault messages are acknowledged.
  • Acknowledgment can also take place via the zenon API object model.

To configure the Riconosci guasto messa a terra function:

  • create a new function
  • navigate to the error detection node in the electrical network
  • Select the Riconosci guasto messa a terra function

  • the dialog to select a variable opens
  • link the desired variable to the function
  • link the function to a button


Stop search for ground fault

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Search for ground fault -> Stop search for ground fault

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You end the ground fault search with the Termina ricerca messa a terra function in Runtime.

To configure the function:

  • create a new function
  • navigate to the error detection node in the electrical network
  • Select the Termina ricerca messa a terra function

  • link the function to a button


Short circuit search

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Short circuit search

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The short circuit search serves to highlight the network parts that potentially have a short circuit by coloring these. The color is taken from the configuration of ALC source colors for the SHORT FAULT source.

The network parts that are potentially subject to short circuits are deduced from short circuit reports. A short circuit identification device (short circuit indicator, protective device) can have one to three short circuit messages. For directional short circuit indication devices, the direction can be lagging or leading in relation to triggering. A network component that potentially has a short circuit is then no longer considered to have a ground fault if this has been successfully connected.

Engineering

To configure the short circuit search:

  1. assign the combined element that represents the switching element to the Tipo funzione switch
  2. Define ground fault display andtriggering of ground fault detection
  3. Set up the function for acknowledgment of ground fault message

Noch in diesem Kapitel

Ground fault detection

Ground fault display

Ground fault detection triggering

Acknowledge short-circuit message


Ground fault detection

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Short circuit search -> Ground fault detection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The direction and type of message processing for the combined element are determined by means of the Tipo setting. For project configuration:

  1. navigate to the Automatic Line Coloring node in the combined element properties
  2. open the Rilevazione circuito node
  3. Select the desired type in the Tipo property
    • Direction:
      indicates if the raising edge of trip alarm or if the raising edge of a direction comes before
    • Leading:
      The current direction status is used for the raising edge of the trip alarm
    • lagging:
      after a raising edge of the trip alarm, the first raising edge of a direction is waited on; if this does not occur within 2 seconds, the short circuit device is considered non-directional
    • Information processing:
      states which information can be processed
    • none:
      normal switch; information is not processed
    • Permanent message processing:
      Newly received messages are considered a new ground fault trip


Ground fault display

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Short circuit search -> Ground fault display

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The variable linked for Visualizza is an output variable for error detection and displays the recorded status of the ground fault detection device. This is necessary because all messages remain saved internally until they are acknowledged, i.e. they do not necessarily conform to the current status of the message variables.

Each time a recording is made, a set value is sent to this variable. In doing so, the values are as follows:

Value | Meaning
0 | No short circuit
1 | Short circuit forwards
2 | Short circuit backwards
3 | Non-directional short circuit


Ground fault detection triggering

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Short circuit search -> Ground fault detection triggering

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The variable for the message from the short circuit identification device is defined by the Attivazione variable It can contain information on the presence of a short circuit and the direction of the short circuit from the point of view of the ground fault recognition device. In doing so, a distinction is made between:

  • non-directional short circuit reporters
  • directional short circuit reporters with a trip alarm
  • directional short circuit alarms with a trip alarm

To configure the variables for:

  1. navigate to the Automatic Line Coloring node in the combined element properties
  2. open the node Rilevazione circuito
    1. for non-directional short circuit detection devices

      Click on the ... button in the Attivazione property

      select the variable you wish to import in the dialog that opens

      The properties for the direction remain empty

    2. for directional short circuit detection devices with a trip alarm

      link the variable with Attivazione and add the appropriate direction:

      Forwards: link a variable to the Avanti property

      Backwards: link a variable to the Indietro property

    3. for directional short circuit detection devices without a trip alarm

      Link the variable with the corresponding direction:

      Forwards: link a variable to the Avanti property

      Backwards: link a variable to the Indietro property

      The Attivazione property remains empty


Acknowledge short-circuit message

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Fault locating in electric grids -> Short circuit search -> Acknowledge short-circuit message

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With the Riconoscimento breve messaggio function, an internally recorded short circuit from a short circuit indication device can be acknowledged. In doing so, the internally-latched ground fault status is reset if the status is still pending, or highlighted as acknowledged. A recorded short circuit message is only deleted internally if this has been acknowledged and is no longer pending.

Rules when acknowledging:

  • If a variable that corresponds to a triggering or direction variable of a short circuit recognition device is linked, this special short circuit message is acknowledged.
  • If no variable has been linked, all short circuit messages are acknowledged.
  • Acknowledgment can also take place via the zenon API object model.

To configure the Riconoscimento breve messaggio function:

  • create a new function
  • navigate to the error detection node in the electrical network
  • Select the Riconoscimento breve messaggio function

  • select the variable you wish to import in the dialog that opens
  • link the function to a button


Impedance-based error detection and calculation of load distribution

Manuale -> Energy Edition -> Automatic Line Coloring (ALC) - Topology -> Impedance-based error detection and calculation of load distribution

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Impedance based error detection and calculation of load distribution expands ALC. Whereas ALC identifies nodes and beams, this model also detects lines and their parameters. The model is not used internally in zenon, but makes properties and methods for external evaluation available.

Properties for ALC and the extended topological model

The ALC elements combined element and line (line, polyline, tube) have special properties for error detection for protection and to calculate the load distribution. These properties are not evaluated in zenon, but are available via the zenon API algorithms to be created by users.

The simple topological model for the coloring was supplements by an expanded topological model that includes all lines as separate beams. The extended topological model is stored as ALC.xml and can be read by external applications this way. ALC.xml contains two sections:

  • GraphElements: contains the extended topological model without aliases
  • GraphAliases: contains only the aliases

Each object has a unique ID, via which it is referenced in the file. The attributes correspond to a subset of the zenon screen elements that have created the elements.

GraphElement

ID | Description
Picture | Screen name
ElementID | Screen element ID
ElementRef | Screen element reference
Type | Screen element -type (see "element")
SourceID | Source number
ReverseSourceID | Source name in reverse direction
Variable | Status variable
VarProtReact | Reactance variable
MaxIType | Type of maximum current
MaxIVal | Maximum current constant value
VarMaxI | Maximum current variable
VarCurI | Instantaneous current variable
VarCalcI | Calculated current variable
VarCurP | Instantaneous power variable
LoadType | Type of load
LoadVal | Load constant value
VarLoad | Load variable
React | Reactance
Resist | Resistance
Length | Line length
Node1IDs | List of all element IDs connected with Node1
Node2IDs | List of all element IDs connected with Node2

GraphAlias

ID | Description
Picture | Screen name
ElementID | Screen element ID
ElementRef | Screen element reference
Type | Screen element -type (see "element")
OrigElemRef | Screen element - reference to the original screen element
OrigGraphElemID | ID of the original elements in "GraphElements"

API

In the object model of the zenon API, the objects ALCGraphElement and ALCGraphAlias are available for the model. These contain the same information as the XML file. These objects can be accessed in the ALC engine via:

  • GraphElemCount()
  • GraphAliasCount()
  • GraphElemItem()
  • GraphAliasItem()

User-specific topological interlockings

If a topological interlocking is checked, the following event is called up at the ALC engine:

  • void CheckInterlocking(IALCEdge* pALCEdge, long nNewState, tpLockResult* LockResult, BSTR* bsText, VARIANT_BOOL* bUnlockable);

The switch/disconnector to be switched and the new status is transferred. The event can fill LockResult, bUnlockable and bsText in order to display a violated interlocking condition. If the event handler returns tpBusy in LockResult, the event handler is queried until it no longer provides tpBusy, however for a maximum of 10 seconds. The interlocking is active after 10 seconds. The interlocking text and unlockability are reported back in bsText and bUnlockable.

Screen marker

Marker elements can be inserted into screen s via the zenon API.

These are added or deleted via the API functions in DynPictures:

  • BSTR AddMarker(BSTR bsScreenName, long nElementID, short nPosition, short nLineColorIndex, short nFillColorIndex);
  • VARIANT_BOOL DelMarker(BSTR bsID);

The GUID of the marker, which is supplied by AddMarker(), identifies the marker uniquely and serves as both the element name (with the prefix "$MARKER_") as well as the key for deletion via DelMarker(). The markers inserted via API are saved in the project according to the screen. Attention: Saving is not remanant, i.e. only until Runtime is restarted.

The markers set there are displayed regardless of the monitor on which the screen is opened. The markers are treated internally as normally operable screen elements. Mouse events are called up for this.

The appearance of the markers is set using the project settings in the Automatic Line Coloring area of the project configuration:

  • Tipo visualizzazione del marker di pagina: Triangle, circle, square, cross
  • Dimensione del marker di pagina: Size in pixels:
  • Spessore linea del marker di pagina: Width in pixels
  • Marker color: is defined via the index in the marker color table, that is located in the properties of the screen elements in the Automatic Line Coloring group


Command Processing

Manuale -> Energy Edition -> Command Processing

Command processing serves primarily for the secured switching of variables in energy technology. 'Secured' means that there is a check whether the switching operation is allowed, according to the configured interlocking condition and the dynamically updated topology (current physical state of the topological network). The configuration of the topology and the topological commands is done via the ALC (Automatic Line Coloring) module.

tutorial Informazioni sulla licenza

Included in the license for Energy Edition.

Command groups always contain a set of defined actions, which are usually adjusted to a specific data point (a specific device) . For example, different command groups can be defined individually and centrally for different topological elements (switch / disconnector etc.) .

A data point for the command processing always consists of 2 physical variables: a response variable and a command variable.

The response variable is defined centrally for the whole command group. It represents the status of the topological element. For example whether the switch is open or closed. A defined command variable is assigned to every action inside a command group. The driver uses this variable to write commands to the controller.

Depending on the action to be executed, these commands are executed on one of the two variables.

Example Esempio

'Switching command on'
Sends the command/the new value to the command variable. The success of the triggered action can be checked by means of the response variable.

Status input off'
Resets all configured status bits of the response variable. The command variable is not affected by this action (note: command variable is the response variable).

Name replacement

To simplify or to generalize the definition of the variables, the variable references (for command variables, response variables and condition variables) can be defined using a name replacement. In doing so, wildcards '*' can be used. Wild cards are only allowed as prefix or suffix, i.e. *xxx or xxx*

As a result of this flexible definition, generally-valid procedures can be defined, which are then applicable for several data points. The number of command groups that must be defined is thus reduced considerably.

Example Example
  • Definition of the command variables '*_BE'
  • Definition of the response variables '*_RM'

In Runtime, the Command Processing automatically adds the name of the response variable, which is shown/selected in the process screen, to the name of the command variable. The names of both variables differ only in their endings.

Two-step command processing operations are usually performed via a context menu and the screen type „Command Processing“. Specific control elements are available for this screen type. They enable an individual optical and functional design of the command processing. This way, individual actions, for example, can be assigned to action buttons directly. After this, these actions can be selected by the user directly. This screen type also includes the necessary requirements in order to carry out functions such as unlocking, two-step execution, two-hand operation, locking etc. Such a screen can be called up by means of a function at the screen element directly (instead of the set value dialog), or via a context menu.

From the command groups and the current status of the topological model (automatic line coloring - interlockings) it is evident in runtime whether an action (switching operation) is permitted at a certain time

  • (no interlocking condition applicable),
  • not permitted (there is a non-unlockable condition applicable) or
  • can be executed after unlocking (unlocakble condition applicable).

In the zenon network, there is synchronization of actions from the command processing, which concern a certain response variable - by activating the NET_SEL status bits. The parallel execution of different users on the same object (same variables) is thus precluded. Parallel execution on different response variables is supported.

Project manager context menu

Menu item | Action
New command group | Creates a new command group.
Export XML all... | Exports all entries as an XML file.
Import XML... | Imports measuring units from an XML file.
Editor profile | Opens the drop-down list for selecting a Editor profile.
Help | Opens online help.

info Informazioni su

Command groups can be exported, imported and copied and pasted using the clipboard. The same applies for actions and their interlocking conditions, even different command groups.

attention Attenzione

All of the following functions are only available if zenon Energy Edition is licensed.

Noch in diesem Kapitel

Command processing detail view toolbar and context menu

Engineering in the Editor

Operating during Runtime


Command processing detail view toolbar and context menu

Manuale -> Energy Edition -> Command Processing -> Command processing detail view toolbar and context menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command Processing and command group context menu

Menu item | Action
New command group | Creates a new command group.
Export XML all... | Exports all entries as an XML file.
Export selected XML.. | Exports selected entries as an XML file.
Import XML... | Imports from an XML file.
Copy | Copies the selected command group to the clipboard.
Paste | Pastes command groups from the clipboard.
Delete | Deletes the selected command group after requesting confirmation.
Rename | Enables renaming of a command group.
Properties | Opens the properties window for the selected command group.
Help | Opens online help.

Context menu group actions

Menu item | Action
Command new | Creates a new command and opens the properties.
New auto/remote command | Creates a new auto/remote command and opens the properties.
New forced command | Creates a new mandatory command and opens the properties.
New set value input | Creates a new set value input and opens the properties.
New status input | Creates a new status input and opens the properties.
New replace | Creates a new replace action and opens the properties.
New revision | Creates a new revision and opens the properties.
New manual correction | Creates a new manual correction action and opens the properties.
New block | Creates a new block action and opens the properties.
New release | Creates a new manual correction and opens the properties.
Check response value | Creates a new check response variable action. Note: This action checks the status of a variable without writing a value.
New lock | Creates a new lock and opens the properties.
Paste | Pastes action from the clipboard.
Help | Opens online help.

Context menu individual action

Menu item | Action
New interlocking condition | Creates a new interlocking condition. Note: Grayed out for mandatory command command processing actions.
Copy | Copies the selected action to the clipboard.
Paste | Pastes action from the clipboard.
Delete | Deletes the selected action after requesting confirmation.
Help | Opens online help.

Context menu condition

Menu item | Action
Remove interlocking condition | Deletes selected condition.
Copy | Copies the selected condition.
Paste | Pastes the condition from the clipboard.
Properties | Opens the property window for the selected element.
Help | Opens online help.

Context menu group variables

Menu item | Action
Add variable... | Opens the dialog for selecting a variable.
Paste | Pastes variable from the clipboard.
Help | Opens online help.

Context menu individual variable

Menu item | Action
Remove variable | Deletes the selected variable from the group after requesting confirmation.
Copy | Copies selected variables to the clipboard.
Paste | Pastes variable from the clipboard.
Properties | Opens the property window for the selected element.
Help | Opens online help.


Engineering in the Editor

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

info Informazioni su

For tests too, use a driver that supports the evaluation of the COT (Cause of Transmission - Cause of transmission) in full, for example the IEC 60870-5-101_104 driver. COT evaluation is an enhanced functionality to monitor communication during a command using the Runtime monitoring setting. The status bits COTx of the command variables can also be evaluated in the reaction matrices multi-numerical and multi-binary.

Noch in diesem Kapitel

Creating a screen of the type Command Processing

Variables of the command group

Define Command Processing

Create menu

Create Runtime files - start the Runtime


Creating a screen of the type Command Processing

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Creating a screen of the type Command Processing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The creation of the command processing screen in the editor is done by the definition of a new screen of the type Command Processing. (You will find more information on the pre-defined screen types in the manual Screens/Pre-defined screen types'.)

The screen 'Command Processing' is used for user interaction via command during the runtime (one and two-step command) It allows the user to perfrom all activities that are necessary for command execution. This can be, for example, the unlocking of an active command processing group or the confirmation of the execution of a two-step command.

info Informazioni su

When using the one-step command processing, you can also use a context menu or a standard function. The screen type command processing is then not required in the project.

You can use specific control elements for this screen type, which allow all user actions necessary for command processing and which visualize current information about the status of the action to be executed. (e.g. display of the switching direction)

After the screen is opened an empty screen is displayed. You add the default control elements via menu Control elements/Add template.

Noch in diesem Kapitel

Variable substitution


Variable substitution

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Creating a screen of the type Command Processing -> Variable substitution

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

For command processing - in addition to variable substitution of zenon - substitution rules can be configured per command group or command action.

When configuring a project in the zenon Editor, you can find the Sostituzione in immagine property for each command group or command action. This property is in the Immagine di comando property group.

Requirements for substitution

Requirements for use are:

  • The response variables and action variables were configured in the command processing with the * (star) placeholder.
    Example: *_RV
    Response variable:: Nome variabile di feedback
    Command variable: Variabile
  • A command processing screen is assigned in the Immagine in the respective command group or command action.

Variables are substituted according to the following rule in the command processing screen:

  • The text from the property is substituted in the variable name that is shown in the command field.
  • It is substituted with a text which command found in the name of a response variable or action variable in place of the placeholder *.

Several texts to be substituted are configured separately with a semicolon (;). These phrases are substituted from left to right when calling up a screen in Runtime. The following phrases are ignored as soon as a text for replacement is applied.

If, when calling up the command processing screen in Runtime, there is no variable name with the configured text, there is also nothing substituted.

Screen switching and command processing
Substitution rules

Substitution via the screen switching function can be combined with the substitution of command processing. The following rules apply for substitution:

  • If the screen is called up with a Cambio immagine function, the substitution configured in the function is used in Runtime.
  • If the screen is called up using the Command Sequencer module or the menu, Runtime gets the screen and the substitution from the project configuration in the respective command action. If there is no substitution configured in the command action, Runtime gets the screen and the substitution from the command group. If there is also no substitution configured in the command group, there is no replacement.
  • When clicking on a dynamic element that has new set value input configured, Runtime gets the screen and the substitution from the setpoint input command action.

info Informazioni su

You can get further information on substitution via the screen switching function in the command processing chapter in the functions and scripts manual.

Example

The following are configured:

  • Value of the response variable: abc_RV.
  • Configured response variable for command group: *_RV
  • Existing variables in the screen: xyz_lock, xy_Switch

Result - scenario 1

  • Configured replacement in the screen: xyz;xy
  • Existing variables in the project: abc_lock and abc_Switch.
  • Result: Display of the variables in the screen: abc_lock and abc_Switch.

Result - scenario 2

  • Configured replacement in the screen: xy;xyz
  • Existing variables in the project: abcz_lock and abc_Switch.
  • Result: Display of the variables in the screen for abcz_lock and abc_Switch.

Result - scenario 3

  • Configured replacement in the screen: xy;xyz
  • Existing variables in the project: abc_lock and abc_Switch.
  • Result: Display of the variables in the screen: abc_lock and abc_Switch.
    Because abcz_lock is not present.


Variables of the command group

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Variables of the command group

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command groups use both the variables of the switching actions (the response variable and command variable) and the variables of the command conditions.

In order for variables to be able to be used in the command processing module, a command group must also be assigned for the respective variable (variable of the command condition). This assignment is made in the variables node => for the variable => in the Setta valore impostabile properties group => in the drop-down menu of the Interblocco property.

Ensure that this assignment is configured for both response variables and command variables.

If a response variable or a command variable is linked to a screen element, the set value can only be set using command input.
The values of such variables can be written directly:

  • via the RGM
  • via API
  • In zenon Logic with the Visibile esternamente property activated.

The command input is ignored in the process.

info Informazioni su

If a variable is linked to a command group, it is not possible to describe the variable with the zenon Settare valore impostabile function.

Exception: If a write set value command with switching direction set value has been created, the zenon function calls up this action in the background without the command input screen being called up. This means that the command conditions are checked. An active interlocking condition prevents the writing of a set value. During the execution of an action, the NET_SEL status bit is not set and the Seleziona prima di operare variable property is ignored.

This is also applicable for the value entry of a variable that is linked to a dynamic element if Element was selected for the Setta valore impostabile tramite property.

General example

Assuming that that command group "DPI one stage" was configured with the name of the response variable *_RV and the switching actions in this group with the name of the action variable *_CO.

In the SCADA project, variables with the name ied9_100_RV (position of the switch) and ied9_100_CO (command for switch) are configured.

Then link the two variables ied9_100_RV and ied9_100_CO in the command group property to the "DPI one stage command group". The respective wild card * is replaced with "ied9_100 in the Runtime. This way, other variables, such as ied9_101_RV and ied9_101_CO (etc.) can be linked to this command group.

info Informazioni su

As a result of the different use of limit values / reaction matrices for the command variable / return variable, individual switching directions can be displayed for the actions. Always depends on the variables on which the action to be executed is carried out.

Noch in diesem Kapitel

Limit values and reaction matrices for switching direction texts

Project overlapping variables


Limit values and reaction matrices for switching direction texts

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Variables of the command group -> Limit values and reaction matrices for switching direction texts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the first step of the two-step command processing, user-definable switching direction texts are displayed (e.g. in the context menu) for Command actions. These texts can be defined via the limit values or via the states of the reaction matrices.

You therefore also have the possibility to issue different texts for each variable that uses the same command group. Thus several variable pairs (each response variable and command variable) use one command group. An additional individualization of the command group is then not necessary.

These texts give the user a better understanding or a better overview of the actions that are available in Runtime (e.g. 'Command: Open disconnector')

If no limit value has been created for a variable and no reaction matrices are linked, the action uses a standard text:

Switching direction of the action | Standard text
None | @NONE
Off | @OFF
On | @ON
Diff | @INTER
Fault | @FAULT
Direct | @DIR

info Informazioni su

As the switching direction texts are read out from the limit value settings, they are completely language switchable.


Project overlapping variables

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Variables of the command group -> Project overlapping variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

attention Attenzione

The variables used in the command groups must be in the same project in order for the command processing to work properly.

If you do use a variable from another project (e.g. subordinate project in multi-project administration), the command processing group, the response variable, the action variable and the action-specific screen ('Command Processing' screen) is expected to also exist in the other project.

info Informazioni su

You can also use project-overlapping variables for the interlockings by the process. The above limitations apply only to the variables of the command group.


Define Command Processing

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Select the Command Processing entry in the project tree Select New command group in the context menu.

After creating a new command group, it is added to the detail view of the project manager with standard name "Command group + index". The index is replaced by a consecutive number.

Note: This name serves for the unique identification of the interlocking in the system.

info Informazioni su

You can assign any name you like to the command groups. However, the names must be unique within the project (applies for standard interlockings and command groups).

The following parameters are available for command groups:

Parameters

Description

Nome

Name of the command group. Must be unique among all interlockings in the project. This name is used later with the variable that uses this command group. However the actual assignment is made with a unique, serial numeric ID, so that a command group can be renamed at any time.

Nome variabile di feedback

This is the variable name or the mask for the replacement of the response variable.

The placeholder for the replacement text is the character sequence ‚*’ within a name.

Example:

  • *_RV
  • */stVal[ST]

Only one placeholder, *' can be used in the name. When entering the mask, it is important to take care that this name results in an existing variable name after replacement.

Attention: If the name remains empty or the variable that is used here (replaced or absolute) does not exist at the time of compiling, this command group is not available in RT. A corresponding message in the output window points this error out during compiling.

Imposta stato di avanzamento

If activated, status bit In progress (PROGRESS) is written for actions command and Manual correction. The value that the status bit is set to depends on the switching direction of the action.

The status bit is set to 1 if:

  • the Stato-Feedback/Direzione Switch of the action is ON or OFF.
  • The response variable does not already have the value of the set switching direction.

The status bit is set when checking the interlockings and remains until the execution of the action has been completed.
This also implies that, in the case of SBO, the status PROGRESS is only set after a successful 'Select' (SE+COT_actcon) and then remains set during watchdog timer or edge delay.

If the execution of the action is triggered by a context menu or if it is a one-step action, the status bit is also set accordingly.

Watchdog timer

There is the following setting for this drop-down list:

  • none: The watchdog timer is deactivated. However with SBO, there is a wait for confirmation of the 'Select' (SE+COT_actcon) and it is then ensured that 'Select' has been ended - so that the PLC reacts to 'Execute' COT_act in the envisaged time. If not, then the 'Select' is deactivated - a 'Cancel' (SE+COT_deact) is sent for this.
  • Response variable: The value of the response variable is used to determine if the command was successful.
  • via cause of transmission: The Cause of Transmission (COT) of the command variable is used to check whether the process was successful.

Immagine Modale

If this is active, the screen is displayed modally, independent of the setting 'Modal dialog' in the screen settings.

Titolo immagine da variabile feedback

The identification of the response variable is shown in the screen title. This only happens when there a title was configured for the screen at the frame.

Text is online language switchable.

Immagine

Name of the screen to be loaded if the screen is not opened using the 'Screen : Switch to' function.

Note: Actions called up via the context menu open, for the confirmation of the second stage or interlocking text, a screen that was defined for the action. Only if no screen has been linked for the action is a defined screen also used here.

Rilevamento di intervento sezionatore

Only available if property Imposta stato di avanzamento is activated.

Active: The response variable is monitored for a change from <> 0 to 0. The identification only sets the status bit CD_TRIP (50) to 1 if:

  • status bit CB_TR_I (51) is not 1, otherwise the identification is suppressed.
  • status bit PROGRESS(10) is not 1, otherwise the value change of the response variable is considered a result of its own command.

Attention: Value changes that are a delayed consequence of its own command can be recognized as breaker tripping. This happens if the PROGRESS bit has already been deleted or if the action does not support runtime monitoring.

Disabilita rilevamento

Entering the formula with which the detection of a breaker tripping can be suppressed. A click on button ... opens the formula editor.

All variables of the interlocking can be used for the formula. Name replacements with '*' - as with the definition of the interlocking conditions of an action - are possible.

The suppression sets the status bit CB_TR_I (51) to 1.

With active recognition, all variables whose status or value are used in the formula for breaker tripping detection are activated for reading when the program is started after loading all projects, and remain this way as long as Runtime is running. Variables from projects loaded in Runtime can be used.

Note: Variables that are used in the formula cannot be deleted from the list of the variables linked to the command group.

info Informazioni su

The response and action variables do not need to be in the list of the variables linked to the command group. Their names need only be configured for the command group and in the action.

Noch in diesem Kapitel

Command Processing in Distributed Engineering

Create action

Action types

Apply actions

Command conditions

Create command conditions

Formula editor


Command Processing in Distributed Engineering

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Command Processing in Distributed Engineering

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

info Informazioni su

Because the command conditions and the general interlockings (standard functionality / without energy edition) are deposited in the same structure in the editor, the checkout symbol is set to identical for both nodes in the project tree (enable changes). All actions on the command conditions also apply to the general interlockings and vice versa.

Variables marked for deletion are considered as not existent for the compilation of the command conditions. During compiling, the respective error messages are displayed in the output window.


Create action

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Create action

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Actions define the switching commands that are possible for command groups. By selecting the element 'Action' in the detail view of the command group, you can define a new action with a right mouse click. Details of the defined actions are also shown in the detail view after creation (e.g. "switching command: *_BE [ON,1]").

All further settings for the actions are made in the properties window. Some of the properties are inactive, depending on the action type.

Available properties:

Parameters

Description

Action settings

Action variable

Variables on which is written. For some actions, this is the response variable. In this case, the field is locked.

The placeholder for the replacement text is the character sequence ‚*’ within a name. Only one placeholder can be used in a name.

If the variable that is used here (replaced or absolute) does not exist during compiling, the action is not available in the RT. An according message announces this error during compiling.

Click on the ... button to open the dialog for selecting a variable.

Default: No Allocation

Action type

Shows the type of command. For editing, only approved for command action type, where possible settings are switching command or pulse command.

Default: Switching command

Return state/switching direction

Defines the expected value and the status of the response variable after action execution.

Locked for the actions block, lock and release.

Default: Off

Command

Defines the value that is written to the command variable with the Command action.

Note: only available for the command actions switching command- and pulse command, auto/remote command and forced command.

Default: 0

Edge delay

Time in milliseconds by which the resetting of the value is delayed for a pulse command.

Note: Only available for the pulse command action.
There is no wait until until runtime monitoring has ended.

Default: 1000 ms

Set value

Defines the value that is written to the controller.

Note: Only available if Stato-Feedback/Direzione Switch has been set to DIR.

Modifiable states

List of the states which can be modified with the Set status action.

Note: Only available for the action 'Status input'.

Default: None modifiable

Command Processing screen

Screen

Command Processing screen that is used when the action has been carried out using the context menu of the element. If no screen is entered, the screen that is entered in the Screen property for the command is used. An engineered screen which is not available, creates an error message when creating the Runtime files. In this case the action is not taken over.

Default: none.

Note: If the command processing is called up by a dynamic screen element, this property is ignored and the screen that is entered in the Screen property in the command processing group is always used.
Not available for the auto/remote command action type.

Action button

Allocation of the action to an action button in the screen, defined at the command group. If the command group is used for another screen (e.g. via function), the allocation to the action button remains nevertheless. In other words, the action is always placed on the button with the allocated action ID. If such a button is missing, the action is not available in the screen. Only the action buttons that were not allocated yet are provided in the selection list.

This setting is locked if no screen was allocated to the command group and for the Lock action type.

Default: No Allocation

Nominal/actual value comparison

If this is active, there will be a check whether the value of the response variable already matches the switching direction. If this is true, an unlockable interlocking variable is shown.

Note: Only active for command action type

Default: Inactive

Close automatically

If this is active then the screen is closed automatically after action execution.

Note: Not available for the auto/remote command action type.

Default: Inactive

two-stage

If this is active, only after operating the Execute 2 control. Step that executes action. If not active, the action is executed after releasing the last interlocking or, if there is no upcoming interlocking, immediately.

Note: Locked for the lock and auto/remote command actions.

Default: Active

Two-hand operation
  • Active: The Execute 2 control element. Step is only unlocked if the Ctrl key is held down.
    In Multi-Touch applications, both pressure points must each be on their own screen with their own frame.

Not available if no two-step execution has been configured.

Note: For the Execute 2nd step control element, the selezionabile tramite lazzo property must not be active with two-hand operation.

Default: Inactive

Menu ID

The menu ID is used for the creation of Context menus in the Runtime.

Note: If two actions are fitted with the same ID, they are tagged with a special symbol in the action tree. They can then not be called up by the context menu.

Options

Suppress CEL entry

If this is active, no entry in the CEL will be made when executing an action.

Default: Inactive

Timeout

Timeout for the runtime monitoring in seconds for switching command and pulse command actions.

This setting is also applicable as a timeout for Select.

Unit is seconds

Only available for the actions Command, Auto/Remote command, Check response, Setpoint input and Forced command.

Default: 30

Timeout can be canceled

Allows the cancellation of the timeout in runtime monitoring.

Only available for the command and Setpoint input actions.

If the command has already been executed - after COT_actcon has been received - the Cancel button cancels runtime monitoring.

Buttons are therefore active and operable again.

Note: Not all drivers support deactivation during execution. If not, no Cancel is sent to the controller; the action is canceled only.

Use Qualifier of Command

Allows commands to provide additional information (Qualifier of Command). The requirement for this is that the driver also supports this option. Possible drivers are, for example, IEC850, IEC870 and DNP3.

Is only available for the actions command, auto/remote command and forced command.

Default: Inactive

Qualifier of command

Entry of a numerical value that is sent to the driver as a command parameter. This input possibility is only available if Use qualifier of command has been activated.

  • Input range: 0 - 127
  • Default: 0

attention Attention

The identification of the action types in the menu ID must be clear, so that they are clearly identifiable in the context menu. If two actions have the same ID, they are tagged with the special symbol M in the action tree.

Tipp Suggerimento

Note:

  • When selecting individual properties, you receive additional information about functionality in the embedded help.
  • Defined actions and commands can be exported into XML and imported from XML. They can thus be easily archived or reused in other applications.
  • The status can be set using the command status input.


Action types

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Action types

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The action types are the available command procedures. According to the command, different activities are performed.

The system provides a variety of actions. The following action types can be defined for the command groups:

Action type

Remark
  • Command new

Switching command or pulse command. Uses the value of the command variable to write the configured command processing status to the controller.

Note: the switching command is suitable for individual and dual commands with the Energy driver (IEC60870, IEC61850, DNP3).
  • New auto/remote command

The remote command is forwarded from the Process Gateway or the zenon API to the command processing and processed as a switching command.

The action is not available in a command processing screen nor via the context menu.

  • New forced command

The forced command action type allows the setting of a command, even if the response variable is empty, OFF, NT or INVALID .

Note: the action is intended for emergency shutdowns and should only be used with caution.
  • New set value input

Writes a desired numerical value to the command variable.
  • New status input

Changes the status bits of the response variable. Only applicable for status bits in the modifiable status list.
  • New replace

Changes the status of the response variable to substitute value (ALT_VAL) and writes value to the response variable.
  • New revision

Sets the REVISION status bit of the response variable.

Note: Alarm handling is suppressed in the revision.
  • New manual correction

Sets the value of the selected response variable according to the switching direction.

Note: the communication protocols in Energy (IEC60870, IEC61850, DNP3) preclude direct writing to the response variable.

  • New block

Switches off the response variable (OFF status bit).

Note: the switched-off variables are no longer read by the connected hardware.
  • New release

Sets substitute value replacement value (ALT_VAL) to 0.

Note: as a consequence, the response variable has received the value from the controller again.
  • Check response value

Checks the status of the response variable without executing an activity.

Note: the action is intended for use in the command sequences module.
  • New lock

The response variable locks for further action upon entry of a valid locking code.

Note: The action types are listed in the above breakdown in the sequence in which the action types are offered in the zenon context menu. However the sequence in the main window is alphabetical.

In the detail view of command processing, the actions in the tree are shown with the respective selected switching direction and configured action value.

attention Attenzione

The identification of the action types in the ID menu must be clear, so that they are clearly identifiable in the context menu. If two actions have the same ID, they are tagged with the special symbol M in the action tree.

Noch in diesem Kapitel

Action type command

Auto/remote command action type

Mandatory command action type

Action type set point input

Action type status input

Action type replace

Action type revision

Action type manual correction

Action type block

Action type release

Check response value action type

Action type lock


Action type command

Action type command

Depending to the command type, this action type is used in the system as a switching command' or Pulse command.

When the command is executed, a value (0 or 1) is written to the command variable. The value of the command determines the Command property of the action.

This action type supports Select Before Operate and Runtime monitoring. The value which that is then expected for the response variable as a result of the command is to be defined under the response message status/switching direction (on/off/none) property.

Switching direction | Value of the response variable after a command has been executed
None | Will not change and must be specifically monitored.
Off | Value will be 0.
On | Value will be 1.

With pulse commands, a value is written to the PLC twice. The second time, there is, after the configured edge delay, an automatic reset to 0 or 1 (depending on the switching direction). However this does not happen if the Select Before Operate (SBO) command has been activated for the command variable. If the SBO property has been activated for the action variable, a pulse command acts in the same way as a switching command.

Please keep in mind: The pulse command is not recommended for Energy drivers. The pulse command should only be used with a PLC that expects a pulse instead of an edge.

info Note

If, during the execution of the action, the current value of the response variable is different to the one defined in the switching direction and the switching direction was defined to be on or off, the in progress ( PROGRESS ) status bit is set. To do this, activate the Set PROGRESS status property of the command group.


Auto/remote command action type

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Action types -> Auto/remote command action type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Auto/remote command action type

The Remote command (via Process Gateway, VBA, etc.) is forwarded to the zenon command processing, which processes the sequence (checking of interlocking, forwarding to driver, response, etc.) like a Switching command .

The command processing is not accessible via the command screen or the context menu.

The command is only supported by a previous Select . The action variable must have the Select Before Operate property activated.

When Runtime is ended, or reloaded, any Select that has been set is discarded. This means: The master connected to the Process Gateway is not informed and must get this itself using the interruption to the connection.

The VBA interface can use the IVariable::SetValueWithStatusEx method and the status bits to be transferred decide whether writing should be either direct or via the command processing. If the status bit NET_SEL (bit 8) has already been set (the command processing screen is open for example), the command is not executed. If the status bit is not set, it is set and writing is executed by Command Processing or commands are forwarded to the Command Processing. The response value of the method provides information on whether command processing has been activated or whether the command has been executed.

Transfer of the status bits of the action variable to the method:

  • SE_870 + COT_act(6) - Select activation
    Determines the command action to be executed and activates the command processing. The response variable of the method provides information on whether this is possible.
  • SE_870 + COT_deact(8) - Deactivation (Cancel)
    Ongoing command processing is canceled.
  • COT_act(6) - Activation (Operate/Execute)
    Execute for command Command Processing is executed.

In order for this method to be able to execute command processing, a remote command action must exist whose switching direction corresponds to the transferred set value. The actual value written to the driver, Select etc, results form the properties of the action.

Note: When an interlocking takes effect, a (language-switchable) CEL entry with the configured text is created.

info Informazioni su

You can find further information in the Select before Operate chapter in the Process Gateway manual, chapter IEC870 Slave.


Mandatory command action type

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Action types -> Mandatory command action type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Mandatory command action type

The forced command action type allows the setting of a command, even if the response variable is empty, OFF, Not topical or invalid (INVALID). It is not intended for emergency shutdowns.

Interlocking conditions cannot be created for the forced command, because it cannot be guaranteed that the condition variables have a valid value in Runtime.

Note: The forced command corresponds to a switching command without conditions.

attention Attenzione

The early or erroneous configuration of a forced command in Runtime can have dramatic consequences for the equipment. Always set this command with care and protect it with user authorizations.


Action type set point input

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Action types -> Action type set point input

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Action type set point input

The setpoint input action type offers the possibility to set any desired numerical value to the command variable. The command processing screen offers special control elements for this, which allow manual definition of the set value. With the help of property Stato-Feedback/Direzione Switch you can define how the set value should be written:

Switching direction

Value of the response variable

DIR

Set value is written directly. You define the value which should be written with the help of function Imposta valore.

The text which should be displayed can be engineered using a limit value/rema for the state/value 5. If this is not the case, a standard text is used.

Nominal/actual value comparison is not supported.

The action can be carried out several times in a row.

Set value

Value of the command processing screen of the Set value element is written to the action variable.

In one-step execution, the value is written when pressing the Execute standard key or when pressing the action button (if configured).
In two-step execution, the value is written when pressing the Execute 2 step standard key.

info Informazioni su

If a variable is linked to a command group, it is not possible to describe the variable with the zenon Settare valore impostabile function.

Exception: If a write set value command with switching direction set value has been created, the zenon function calls up this action in the background without the command input screen being called up. This means that the command conditions are checked. An active interlocking condition prevents the writing of a set value. During the execution of an action, the NET_SEL status bit is not set and the Seleziona prima di operare variable property is ignored.

This is also applicable for the value entry of a variable that is linked to a dynamic element if Element was selected for the Setta valore impostabile tramite property.

For further information, read the information in the Apply actions chapter.

attention Attenzione

When writing the set value with the switching direction DIR, neither the limits of the linked variable are checked, nor is a check carried out to see whether write set value is permitted for this variable.


Action type status input

Action type status input

Changes the status bits of the response variable. The following is executed, depending on the definition of the switching direction:

Switching direction | Action
Off | The states configured in the Modifiable states list are all reset to 0.
On | The states configured in the list Modifiable states are all set to 1 (active).
None | The states configured in the Modifiable states list must be defined in Runtime in the Command Processing screen with the help of the Set status control element. Each status bit is defined individually using a checkbox in the control element.

If you change a status bit in Runtime, the change is logged in the Chronological Event List (status including value). These language of these messages can be switched in Runtime.

info Informazioni su

For all status defaults, there is always a write to the response variable.

info Info

If a switch is locked using the Lock action, the status bit M1 of the response variable is set.

The status bits OFF and REVISION are also handled in other actions.

In addition, the status bits CB_TRIP and CB_TR_I reflect the results from the property of the breaker trip detection command group.


Action type replace

Action type replace

The process value of a remote-controlled switch is temporarily replaced with a replacement value (due to revision, maintenance work, or an ongoing connection outage, for example).

The response variable is set to the status alternative value Alternate value ( ALT_VAL ). In addition, the value defined by the switching direction is placed on the response variable.

Switching direction | Alternate value
Off | 0
On | 1
Diff | 2
Fault | 3
None | 4


Action type revision

Action type revision

Set or resetted the status bit Revision of the response variable as egineered in the property Switching direction

Switching direction | Status
Off | Set to 0
On | Set to 1


Action type manual correction

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Action types -> Action type manual correction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Action type manual correction

The correct action sets the value of the response variable according to the setting of the switching direction:

Note: the communication protocols in Energy (IEC60870, IEC61850, DNP3) preclude direct writing to the response variable. The action will be unsuccessful in these drivers! To execute a command, the setting of the value to a command variable is expected.

Switching direction

Action

Off

0

On

1

Diff

2

Fault

3

DIR

The set value is written directly. You define the value which should be written with the help of function Imposta valore.

The text to be displayed can be configured using a limit value or a reaction matrix for the state/value 5. If this is not the case, a standard text is used.

Nominal/actual value comparison is not supported. The action can be carried out several times in a row.

Set value

Value of the Set value control element is written to the response variable in the Command Processing screen.

attention Attenzione

When writing the set value directly neither the limits of the linked variable are checked nor is it checked if the write set value is allowed for this variable.

info Informazioni su

The In progress (PROGRESS) status bit is set if:

  • When the action is carried out, the current value of the response variable is different to the value set for the switching direction
    and
  • the switching direction was defined as on or off.

Manual correction

Manual correction is the manual correction of a non-remote switch in zenon. A variable is usually corrected without a connection to the process. There should never really be an invalid i-bit pending for such variables. It is indeed possible, but it makes no sense to correct a variable with a reference to the process! The PLC will overwrite this value again.

Behavior:

Correction is completely normal value setting from the perspective of the driver.

Opposite of this - Action: Replace

The process value of a remote-controlled switch is primarily replaced with a replacement value (due to maintenance work, for example).


Action type block

Action type block

the response variable is switched off as a result of executing this action.

The status bit of the response variable is set to OFF. The switched-off variables are no longer read by the connected hardware.

Note: Can only be configured once per command group.


Action type release

Action type release

The Release actions resets the replacement value ( ALT_VAL ) status bit to 0 (inactive). If the Switched off ( OFF ) status bit is also active, it is also set to 0 (inactive). runtime receives the current value from the driver for the response variable once the Release action has been carried out.

The action can only be executed in Runtime, if the replacement value ( ALT_VAL ) (value: 1). is active for the selected response variable. 1).

Note: Can only be configured once per command group.


Check response value action type

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Action types -> Check response value action type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Check response value action type

The Check response value action type is to check variables for the status ON or OFF.

Whilst the Check response value action is executed, the standard key Cancel is unlocked in the Command Processing screen.

In doing so - depending on the setting of the runtime monitoring - there is a wait until the value of the response variable corresponds to the value of the checking direction - switching direction action property. If the checking value is EIN, this is the value 1; it is the value 0 for OFF.

If no runtime monitoring has been configured (runtime monitoring= "none"), the set waiting time (~24 hours) is the maximum time that is waited. Otherwise the action is ended and the TIMEOUT status bit is set for the response variable.

If, after execution of the action in the command processing screen, the other actions are not available, this is for the following reasons:

  • The timeout for runtime monitoring has not yet expired.
  • The response variable does not yet have the expected value (the value change has not yet been received).
  • The action has not yet been canceled with the Cancel button.

info Informazioni su

The Check response value action only serves to read the value of the response variable without executing an activity.

The action is intended for use in the Command Sequencer module.

If the response variable already has the value of the switching direction, the execution of the action is recognized as completed. The other buttons in the command processing screen are thus immediately available.

Note: If the response variable is set to OFF or Revision , the response value can nevertheless be checked.


Action type lock

Action type lock

Enables the lock of a response variable for the actions of the command processing.

Note:

  • Can only be configured once per command group.
  • Interlocking conditions are not supported for the action. Locks can always be executed.

info Informazioni su

If a switch is locked using the Lock action, status bit M1 is set.

A prerequisite for this is that users have a lock code configured in the user administration module. Locking or unlocking a response variable can only be done with the correct input of a lock code.

The same variable can be locked by multiple users in parallel. Actions for the response variables are possible only after alls locks have been unlocked by entering the lock code.

There can be no actions executed if

  • Actions of the command variables use the locked variable as response variable (e.g. switching command)
  • Actions of the command variables use the locked variable as an action variable (e.g. replace)

A list of the currently-active locks can be shown in the command processing screen using a special lock list control element.

The lock code can be defined individually for every user. These parameters are set directly for a pre-existing user with the lock code: property.

You can also set the lock code for an existing user in Runtime.

In the Runtime you cannot delete users who still have an active command lock.

attention Attenzione

Users can be deleted in the development environment. This causes the loss of the defined locks after restarting or reloading.

Users locked (activated) in the user administration cannot activate or deactivate command locks.

info Informazioni su

Information about active locks is also synchronized in the redundant network and is therefore available after redundancy switching.


Apply actions

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Apply actions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command Processing in the Energy Edition can be used in different situations. The user can choose the variant they prefer. A simultaneous use (related to an element) of the different types of use is possible at any time:

  • Calling up a screen switching function on a Command Processing screen.
  • Calling up a numeric value, combined element, dynamic text, bar graph, clock, universal slider, pointer instrument or status element screen.
    For activation, the Write set value property must be configured to Command Processing using the element.
  • Call via a context menu if Command Processing was set for the action type property. The command processing screen is opened for any possible interaction with the user (e.g. pending interlocking).
  • It is called up using the Command Sequencer module.

As soon as the variable is linked to a command group, direct input of set values is only possible using a command processing screen or a command context menu. Exception: If the command group contains a setpoint input action with switching direction'set value', this action is used for the command variables (not response variables).

This happens:

  • When calling up the Write set value function.
  • When calling up the screen element; also if the Write set value via of the element has the value dialog box or element.
  • When calling up a set value context menu.

However then neither the status bit NET_SEL of the response variable is taken into account nor is a Select executed.

Attention: with this type of execution, a pending interlocking condition in the write set value action prevents writing of a set value. in doing so, no interaction with the user is undertaken.

Noch in diesem Kapitel

Screen switch to Command Processing screen

Command processing via dynamic screen elements

Command processing via context menu

Macros for the context menu

Error messages when the context menu is called up

Execution of actions via the context menu

Set value context menu


Screen switch to Command Processing screen

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Apply actions -> Screen switch to Command Processing screen

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Screen switch to Command Processing screen

If a Command Processing screen is selected with the screen switch function, the configuration dialog for the screen switching function has the following parameters:

Parameters

Description

Variable defining the Command Processing

The variable configured here defines the command group to be used. The screen determines the appropriate response variable and the associated action variable via the name of the variable.

Initial step

Defines the step (status) in which the command processing screen is loaded.

  • Step 1
    The screen is loaded and waits for action definition and action execution. Action executions must be performed manually by the user.
  • Block
    The screen is opened in the command step for the action block.
    Note: Note that not all configured control elements are visible with this initial step. You can find an overview of all visible control elements in the blocked or locked elements chapter.


Command processing via dynamic screen elements

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Apply actions -> Command processing via dynamic screen elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Command processing via dynamic screen elements

If, for a dynamic screen element, the Command Processing option is configured for the Set value via setting, the command window can be opened in Runtime by left-clicking on the element. The screen to be opened is defined at the command group of the variable linked to the element. The corresponding action or response variable is automatically determined from the response variable.

info Informazioni su

With the 'Command Processing' option selected, the command processing screen is called up instead of the standard 'Write set value' standard dialog.

The following screen types support the Command Processing option:

  • Numerical value
  • Combined element
  • Text element
  • Bar display
  • Pointer instrument
  • Status element
  • Clock
  • Universal slider

If no command group was defined for the variable assigned to the element, or if the response variable of the command group does not exist, an error entry for the diagnosis viewer is generated. The screen is not opened then.

info Informazioni su

If a variable is linked to a command group, it is not possible to describe the variable with the zenon Settare valore impostabile function.

Exception: If a write set value command with switching direction set value has been created, the zenon function calls up this action in the background without the command input screen being called up. This means that the command conditions are checked. An active interlocking condition prevents the writing of a set value. During the execution of an action, the NET_SEL status bit is not set and the Seleziona prima di operare variable property is ignored.

This is also applicable for the value entry of a variable that is linked to a dynamic element if Element was selected for the Setta valore impostabile tramite property.


Command processing via context menu

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Apply actions -> Command processing via context menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Command processing via context menu

The command processing can also be instigated at the element directly via the context menu - property Runtime - context menu. This is the most frequently used method. In this regard, the context menu is already the first step of the two-step action.

The menu must have an entry of the command processing action type. The display of the single action is defined automatically by the menu. The display of the actions can be influenced selectively, depending on the 'names' of the menu entry.

When creating a new action in the Command Processing, a menu ID corresponding to the action type and the switching direction for the Tipo di azione property is created and offered in the drop-down list. If the content corresponds to an ID defined as standard text for the action type and switching direction, the content is adapted if the action type or switching direction change.

To create a context menu for the Command Processing:

  1. Create the desired actions in the command processing
  2. In the properties of the context menu item select the Tipo di azione Command Processing
  3. Select the desired action and switching direction via the drop-down menu with the ID menù property
  4. Give it a clear label in the Testo property
    Note: If no entry is defined for Testo, the field is automatically filled with the "command processing" label.

attention Attenzione

The name of the Testo property must be unique. If two names the same are issued, further menu items with the same name are not displayed.

Because automatically created menu items with the same action result in the same text, there are macros available for these.

The character sequence ID_CMD_AUTO is reserved for automatically created menu items. These must always be used with macros, because otherwise only the menu item is inserted.

When checking for duplicate entries the following rules apply:

  • Manual menu points have priority over automatic ones.
  • If it is the same type then the last entry has twice the priority.
  • If a duplicate entry is found, a warning is set off in the log. This includes the menu ID and description. Automatically expandable entries have <auto> added to the ID.

Actions for Tipo di azione command processing

Action | Switching direction | Menu ID
ID_CMD_AUTO |  | This menu entry automatically shows all possible actions for an element, if no direct menu entry from the list is used already.
Pulse command | On (1) | ID_CMD_EBEF_ON
Pulse command | OFF (1) | ID_CMD_EBEF_OFF
Pulse command | NONE | ID_CMD_EBEF_NONE
Switching command | On (1) | ID_CMD_DBEF_ON
Switching command | OFF (2) | ID_CMD_DBEF_OFF
Switching command | NONE | ID_CMD_DBEF_NONE
Set value | NONE | ID_CMD_SVALUE
Set value | DIRECT | ID_CMD_SVALUE_DIR
Status input | NONE | ID_CMD_STATE
Status input | On (1) | ID_CMD_STATE_ON
Status input | OFF (0) | ID_CMD_STATE_OFF
Replace | NONE | ID_CMD_REPL_NONE
Replace | On (1) | ID_CMD_REPL_ON
Replace | OFF (0) | ID_CMD_REPL_OFF
Replace | DIST | ID_CMD_REPL_DEF
Replace | DIFF | ID_CMD_REPL_DIFF
Manual correction | NONE | ID_CMD_UPD_NONE
Manual correction | On (1) | ID_CMD_UPD_ON
Manual correction | OFF (0) | ID_CMD_UPD_OFF
Manual correction | DIFF | ID_CMD_UPD_DIFF
Manual correction | DIST | ID_CMD_UPD_DEF
Manual correction | DIRECT | ID_CMD_UPD_DIR
Block | NONE | ID_CMD_BLOCK
Release | NONE | ID_CMD_UNLOCK
Lock | NONE | ID_CMD_LOCK
Revision | OFF (0) | ID_CMD_REV_OFF
Revision | On (1) | ID_CMD_REV_ON
Mandatory command | On (1) | ID_CMD_FORCE_ON
Mandatory command | Off (0) | ID_CMD_FORCE_OFF
Mandatory command | NONE | ID_CMD_FORCE_NONE

Name of the menu items of the context menu

1. Automatic creation

Entries that were created using ID_CMD_AUTO automatically get a name according to the following pattern: 'Action name' plus 'Limit value text of the switching direction'.

2. Manual creation from table

If the menu entries are created from the table, for every action under 'Display - Text' a text must be defined for the entry in the context menu.

Names for the menu entries:

Command, Set value, Status, Replace, Release, Manual correction, Block, Lock, Revision

Action texts

Action | Text
Pulse command Switching command | Text from the limit value text, according to the switching direction.
Manual correction Replace | If a switching direction (other than 'None') is defined, the text from the limit value text according to the switching direction is displayed.
Status | 'OFF' or 'ON', depending on the set switching direction
Revision | Text from the limit value text, according to the switching direction.
Others | No special action text is displayed.

Example Esempio

Displayed text for a switching command with defined limit value:

'Command: switching direction ON'

info Informazioni su
  • All displayed texts are language switchable with the standard mechanisms. See also: Which texts are language switchable?
  • All displayed menu entries are automatically sorted alphabetically.

The currently used command group is determined via the variable which is linked with the screen element. If no command group is assigned to the variable or if there is no response variable, the context menu is not displayed in the Runtime (an according error message is transferred to the diagnosis server).

info Informazioni su

The menu entries of the command processing are displayed depending on the command group. The menu entry is showed only when the connected action exists. Consequently, if the variable of the element is the command variable, only the actions for the command variable plus the action 'Lock' can be displayed. Actions for the response variable are hidden automatically.

Availability conditions

The menu entries are only released when the corresponding actions are executable. The following conditions are requirements:

  • All menu entries are locked if the NET_SEL status bit of the response variable is active.
  • All menu entries are locked, when the response variable could not be determined.
  • All menu entries are locked, when the response variable has no value and could not get a value within 30 seconds.
  • All menu entries are locked on an Internet Client without write access.
  • Menu entries are locked when there is no connection to the server.
  • The menu entry connected to the 'Release' action is locked when the ALT_VAL status bit of the action variable is not active.
  • The menu entry connected to the 'Replace' or 'Revision' action, whose switching direction matches the value of the action variable, is locked.
  • All menu entries, except the one which is connected with the action 'Lock', are locked, when a change lock is active for the response variable.
  • When the REVISION status bit of the response variable is active, the actions 'Set value', 'Replace', 'Correct', and 'Command' are locked.
  • As long as a watchdog timer, an edge generation or an SBO is active for the command group, all menu entries are locked. This results from the fact that the NET_SEL status bit also stays active.


Macros for the context menu

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Apply actions -> Macros for the context menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Macros for the context menu

A macro is a defined character sequence that is replaced by another text when menu items are created in Runtime. Virtually all macros can occur more than once per menu item. They can also contain further macros as a result. In doing so, the expansion sequence must be considered. Macros are not case sensitive when configuring menus. If macros contain a macro as a result, the macro must be contained in capitals in the result. The entry is made with $ as a prefix and suffix.

The sequence of the expansion is from left to right in the following priority.

  1. $ALL$
  2. $NOTE$
  3. $TAG$
  4. $REMA<Status>$
  5. $RDIR$
  6. $DIR$
  7. $ACT$
  8. $NAME$

Macro

Description

$ALL$

Results in Action naming: Switching direction.

Corresponds to the combination of the $ACT$: macro $DIR$

Note: If a context menu is created for the command processing, the default text is $ALL$, even if the menu already has text configured for it but the action type changes to command processing.

$NOTE$

The whole text including the macro is interpreted as a note. If the resulting text is empty, the $ALL$ macro is used.

For the last macro, the note macro is again checked and the text to the right of this including the macro is deleted.

If the resulting text is empty or only consists of spaces, the menu item is not inserted.

$TAG$

Is replaced by the identification of the action variable.

The identification can be translated by the online language translation function. If no translation character (@) is contained, the whole identification is highlighted for translation.

$REMA<Status>$

<Status> is a Rema or limit value state, the text of which is used as a replacement.

If the status is not present, the menu item is not displayed.

The limit value text is translated linguistically according to the placement of @ .

The status can be a number between -231 and 231-1. Leading characters and a prefix are permitted. If characters are contained that cannot be converted to a number, or the number is outside the given area, the menu item is not displayed.

$RDIR$

Text for the switching direction from reaction matrix/limit value as in $DIR$ macro, with the exception of:

  • Action Write set value direct
    The text is taken from the rema/limit value of the status, which corresponds to the value of the set point to be set.
  • Action Status on and Status off
    Text is taken from the rema/limit value for the on or off statuses.
  • Action Correct direct
    The text is taken from the rema/limit value of the status, which corresponds to the value of the set point to be set.

$DIR$

Switching direction of the action.

$ACT$

Action naming of the action.

$NAME$

The $NAME$ macro can be used to create menus and provides the configured content of the Nome comando property, the language of which can also be switched in Runtime with a @ character.

Automatically created menu items

Automatically created menu items are created as a menu ID with ID_CMD_AUTO. In this case, macros must always be used, because otherwise only a menu item would be inserted.

Compatibility

Previous to version 6.51 text at automatic menu items was ignored. When converting projects that were created with versions earlier than 6.51, the macros $ALL$$NOTE$ are automatically inserted before the configured text. Therefore the menu items behave as before.

Online Language Switch

The labeling for the menu item in the Testo property is translated linguistically before macro expansion from the character @.

Note: If, for the $TAGS$ macro, no translation indicator (@) is contained, the complete text is translated.


Error messages when the context menu is called up

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Apply actions -> Error messages when the context menu is called up

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Error messages when the context menu is called up

When menus are loaded in the Runtime environment, their content is checked for consistency. If an error occurs, corresponding error messages are issued for the Diagnosis Viewer. The following messages can appear:

Parameters | Description
Menu entry for command processing suppressed, because name is several times in the menu! | The menu already contains a menu entry with the name used in the command processing. Do not use that name for any other menu entries for the command processing.
Menu entry for command processing suppressed, because description is several times in the menu! | There is already a menu entry with the same description in the menu. Automatically created menu entries are not added, when a menu entry with the same description is already there.
Text for menu entry cannot be detected! | The description of an automatically created menu entry could not be determined. This most probably indicates a missing limit value text.
No command group linked to variable of the screen element! | The variable associated with the screen element has no command group or a no longer valid command group. According error messages are given during compiling.
Response variable does not exist! | The response variable used in the command group does not exist.
Select cannot be activated! | Status bit NET_SEL (8) could not be activated within the timeout.


Execution of actions via the context menu

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Apply actions -> Execution of actions via the context menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Execution of actions via the context menu

After activation of a menu item for command processing, the assigned action is carried out. Execution via a menu activates the setting of the NET_SEL status bit in the first step. Only if this is successful is the execution of the actual action ('switching command', for example) started.

A command processing screen is then opened if one of the following criteria has been met:

  • If the action to be executed is Write set value, Status input with input or Correction, the screen assigned to the action in the "Stage 1" step is opened. The set value /status to be written can then be defined in the screen.
  • If the action to be carried out is lock, the action-specific screen is called up with the "lock" step.
  • If an active locking condition prevents execution, the screen configured in the Unlocking step for the action is called up. Execution is also prevented if SBO could not be activated without errors.
  • If two-stage execution is configured for the action, the action-specific screen is called up in the "Stage 2" step.
  • If no specific screen has been configured for the action, the screen that has been configured centrally for the command group is opened.

info Informazioni su

If none of the above-mentioned conditions are applicable, the action is executed immediately, without further operations.


Set value context menu

Set value context menu

If the variable assigned to a screen element is linked to a command group, the writing of a set value is also handled by the command processing. The requirement for this is that a Write set value action is present with set value switching direction in the Command Processing. If this is missing, the writing of the set value is not carried out.

info Informazioni su

An active interlocking condition prevents the writing of a set value.


Command conditions

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Command conditions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command groups contain both the definition of the switch actions and the definition of the command interlocking conditions. Command conditions are optimum parameters that can be defined application-specifically.

Each action within a command group can also be supplemented with command conditions. These process-controlled interlockings prevent unwanted execution of actions, depending on the current process state.

The following three parts are significant in a command group for the command conditions:

Parameters | Description
Actions | These define which command is executed, on which variables these actions are applied and set the parameters for the internal interlockings.
Condition variables | These define which variables in the command conditions can be used.
Command conditions | The execution of commands in is also made dependent on the current process status by these conditions.

The actions automatically check the internal conditions. These internal conditions are to check whether the basic requirements for the execution of an action have been met (plausibility check). Example: The activation of the Select will be rejected by the PLC.

Note: Configured interlocking conditions have no influence on this check.

Vedi per ulteriori informazioni

General interlockings


Create command conditions

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Create command conditions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Any number of command conditions can be defined for every action. These conditions allow for an additional restriction of the ability to execute an action. These conditions are defined with formulas, in which you can use the variables from the active projects. The formula addresses the linked variables via the index in the condition.

info Informazioni su

The condition variable is automatically replaced if a ’*’ is used in the definition.

Noch in diesem Kapitel

Define condition variable

Interlocking condition

Internal interlocking conditions


Define condition variable

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Create command conditions -> Define condition variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Define condition variable

First we have to define variables which can be used later for the formulas of the command conditions. If the defined conditions are fulfilled by the linked process variables later, during Runtime, the user has the respective actions available.

info Informazioni su

If a variable which was used in a command condition is deleted later on, the index within the condition is adjusted. The succeeding variables are put forward and the formulas are adjusted automatically.

The following procedure is recommended for defining a command condition:

Example Esempio
  1. Select the node Variable in the detail view of the Command Processing and select the option 'New' in the context menu.
  2. In the selection dialog, select a process variable, which serves as the base for the formulas of the command conditions. You can also abort the variable selection dialog, which leads to an empty definition. You can define an automatic replacement for this empty link with a '*'.
  3. Select an already existing action and the node 'Conditions' in the detail view. With 'New condition', you can define any number of conditions for every action. The definition is performed with formulas; non-fulfilled conditions cause a lock of the associated actions in Runtime.


Interlocking condition

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Create command conditions -> Interlocking condition

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Interlocking condition

Any number of command conditions can be defined for every action. Theses conditions are checked before execution of the respective action. If a check fails, the respective action cannot be executed in Runtime.

The conditions are defined as formulas. This syntax is analogous to the definition of the formulas in the Formula Editor.

Additionally, the following interlocking types (in addition to the command groups) are checked before action execution:

Internal interlocking conditions

These conditions are checked automatically before every action execution; the engineer cannot influence this. These Internal interlocking conditions are predefined by the system and serve as plausibility checks.

Example Esempio
  • The response variable is already selected in the zenon network (has set NET_SEL status from other Client).
  • The response variable already has the desired value and the action was configured with Nominal/actual comparison.
  • In the SBO, the Select was not accepted by the controller (status bits: SE_870 + COT_actcon(7) + N_CONF).

Topological interlocking conditions

These conditions result from the current topological status during Runtime. These conditions are defined in the 'Configuration of the topological interlockings' settings.


Internal interlocking conditions

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Create command conditions -> Internal interlocking conditions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Internal interlocking conditions

With the help of the internal interlocking conditions the basic requirements for the action are checked (plausibility check). The results or the addressing of an interlocking are displayed in Runtime in the command processing screen as interlocking text.

Parameters | Description
Status already exists | The state which should be set equals the current value of the response variable. This check is only active if the command group of the 'Nominal/actual value comparison' is active. This interlocking can be unlocked (insofar as the user has authorization for this).
Internal error occurred | Command Processing cannot execute the check. This happens when the data type of the action variable is not allowed for this action. Example: 'Pulse command on' action for string variables. This interlocking cannot be unlocked.
no interlocking object | Command group could not be determined. This interlocking is not unlockable.
Action not defined | Action to be executed could not be determined. This interlocking is not unlockable.
Differences between local and global interlocking | Pulse command parameter not consistent. Error setting parameters This interlocking cannot be unlocked.
One or more values are not available | Value of condition variable not available. Lock code: 14 Value of condition variable invalid (INVALID). Lock code: 15 This interlocking is not unlockable.
Locking administration not valid | The administration of the lockings could not be loaded or is invalid. This interlocking is not unlockable.
Variable locked for changes | Command Processing locked by response variable (status bit M1). This interlocking is not unlockable.
SBO rejected | The activation of the Select was rejected by the PLC. This interlocking is not unlockable.
Timeout for SBO activation | No confirmation for the activation (positive or negative) was received within the timeout. This interlocking is not unlockable.
Timeout for SBO deactivation | No confirmation for the deactivation (positive or negative) was received within the timeout. This interlocking is not unlockable.
Timeout for execution | There was no notice for finishing the action execution within the timeout. The TIMEOUT status bit is set for the response variable. This interlocking cannot be unlocked.
SBO expired | The PLC has reported the expiration of the SBO activation. The second execution step will attempt to send a Select again. This interlocking cannot be unlocked.


Formula editor

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Define Command Processing -> Formula editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The formula editor provides support when creating formulas with logical or comparative operators with a combined element, for interlockings and command processing. If additional variables are required for a formula, create these in the formula variables area of the status window by clicking on the Add button. existing formulas are displayed in the status list with the lettersF .

Note on the input of decimal points:

  • Decimal separator: Comma (,) is automatically converted into a dot (.):
  • Zero as a decimal point is removed automatically; 23,000 automatically becomes 23

Creating a formula

Click on the Formula button in the status window The formula editor opens

You select the bits for your formula in the left screen.

On the right, you find the operators for logical and comparative operations.

The formula created is displayed in the Formula area.

info Informazioni su

Up to 99 variables can be linked in one formula. X01 to X99. The length of the formula must not exceed 4096 characters.

The meaning of the bits:

Parameters

Description

value bits

32 value bits (from 0 -31) are available. They describe the variable value bit by bit. For binary variables, only bit 0 is of importance, for SINT and USINT only the bits from 0-7, etc.

Note: The value refers to the raw value (signal range) of the variables and not to the converted measuring range.

State bits

Here you find the most commonly used status bits. You find the exact definition and use of the status bits in the Status Bits List.

unreceipted

Not acknowledged is treated like a usual status bit. But here it is listed separately, because it does not belong to the classical variable statuses.

value and status

In the formulas, all values (value bits and status bits) are treated as binary values and can be logically linked with AND, OR, etc.
The total value and overall status are an exception to this. In order to get a Boolean result this total value has to be ORed with a constant bitwise. For this, we use the operator &.
For the result 0 (false) of this logical ORing we get the binary value 0 (false), otherwise 1 (true).

Example: see chapter Example bit by bit ORing

info Info

The status bits NORM and N_NORM are only available in the formula editor and cannot be engineered via the status.

If other settings outside the formula are set for the current status, they are combined with the formula with a logical AND.

Refer to the examples section for examples.

info Informazioni su

Formulas with binary X values and bitwise linking can be used with a maximum of 2 binary values. If more values are required, the linking must be carried out without binary X values.

Example:

X01.Value & X02.Value -> works

X01.Value & X02.Value & X03.Value -> does not work

But:

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> works

Noch in diesem Kapitel

List of status bits

Logical operators

Bit formulas

Example: ORing bitwise

Comparison operators

Examples for formulas


List of status bits

List of status bits
Bit number | Short term | Long name | zenon Logic label
0 | M1 | User status 1; for Command Processing: Action type "Block"; Service Tracking of the IEC 850 driver | _VSB_ST_M1
1 | M2 | User status 2 | _VSB_ST_M2
2 | M3 | User status 3 | _VSB_ST_M3
3 | M4 | User status 4 | _VSB_ST_M4
4 | M5 | User status 5 | _VSB_ST_M5
5 | M6 | User status 6 | _VSB_ST_M6
6 | M7 | User status 7 | _VSB_ST_M7
7 | M8 | User status 8 | _VSB_ST_M8
8 | NET_SEL | Select in the network | _VSB_SELEC
9 | REVISION | Revision | _VSB_REV
10 | PROGRESS | In operation | _VSB_DIREC
11 | TIMEOUT | Runtime exceedance | _VSB_RTE
12 | MAN_VAL | Manual value | _VSB_MVALUE
13 | M14 | User status 14 | _VSB_ST_14
14 | M15 | User status 15 | _VSB_ST_15
15 | M16 | User status 16 | _VSB_ST_16
16 | GI | General query | _VSB_GR
17 | SPONT | Spontaneous | _VSB_SPONT
18 | INVALID | Invalid | _VSB_I_BIT
19 | T_CHG_A | Daylight saving time/winter time announcement | _VSB_SUWI
20 | OFF | Switched off | _VSB_N_UPD
21 | T_EXTERN | Real time external | _VSB_RT_E
22 | T_INTERN | Realtime internal | _VSB_RT_I
23 | N_SORTAB | Not sortable | _VSB_NSORT
24 | FM_TR | Error message transformer value | _VSB_DM_TR
25 | RM_TR | Working message transformer value | _VSB_RM_TR
26 | INFO | Information for the variable | _VSB_INFO
27 | ALT_VAL | Alternate value If no value was transferred, the defined alternate value is used otherwise the last valid value is used. | _VSB_AVALUE
28 | RES28 | Reserved for internal use (alarm flashing) | _VSB_RES28
29 | N_UPDATE | Not updated | _VSB_ACTUAL
30 | T_STD | Standard time | _VSB_WINTER
31 | RES31 | Reserved for internal use (alarm flashing) | _VSB_RES31
32 | COT0 | Cause of transmission bit 1 | _VSB_TCB0
33 | COT1 | Cause of transmission bit 2 | _VSB_TCB1
34 | COT2 | Cause of transmission bit 3 | _VSB_TCB2
35 | COT3 | Cause of transmission bit 4 | _VSB_TCB3
36 | COT4 | Cause of transmission bit 5 | _VSB_TCB4
37 | COT5 | Cause of transmission bit 6 | _VSB_TCB5
38 | N_CONF | Negative confirmation of command by device (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test bit (IEC870 [T]) | _VSB_T_BIT
40 | WR_ACK | Writing acknowledged | _VSB_WR_ACK
41 | WR_SUC | Writing successful | _VSB_WR_SUC
42 | NORM | Normal status | _VSB_NORM
43 | N_NORM | Deviation normal status | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Time invalid | not defined
50 | CB_TRIP | Breaker tripping detected | not defined
51 | CB_TR_I | Breaker tripping detection inactive | not defined
52 | OR_DRV | Value out of Range | not defined
53 | RES53 | reserved | not defined
54 | RES54 | reserved | not defined
55 | RES55 | reserved | not defined
56 | RES56 | reserved | not defined
57 | RES57 | reserved | not defined
58 | RES58 | reserved | not defined
59 | RES59 | reserved | not defined
60 | RES60 | reserved | not defined
61 | RES61 | reserved | not defined
62 | RES62 | reserved | not defined
63 | RES63 | reserved | not defined

info Informazioni su

In formulas all status bits are available. For other use the availability can be reduced.

You can read details on status processing in the Status processing chapter.


Logical operators

Logical operators

Logical links: Variables will only be checked for the logical value '0'; if the value does not equal '0', it will be considered as '1'.

In contrast to bit formulas, the technical range can be modified by a stretch factor -> (not equal '0' or '1').

Operator | Meaning
AND | logical 'AND'
NOT | Negation
OR | logical 'OR'
XOR | logical 'EXCLUSIVE OR'

The operators have the following priority in the formula calculation:

Priority | Operator
1 | & (operator for bit formulas)
2 | NOT
3 | AND
4 | XOR/OR

info Info

Up to 99 variables can be linked in one formula. X01 to X99.

info Info

The status bits NORM and N_NORM are only available in the formula editor and cannot be engineered via the status.


Bit formulas

Bit formulas

Bit formulas only have a logical high or low state. In contrast to logical formulas, the raw value is already predefined (0,1).

Operator | Description
& | AND
| | OR


Example: ORing bitwise

Example: ORing bitwise

You want to find out if one of the user status bits 1-8 (M1 ... M8) of the variable X01 is set.

Usual formula:

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8
This query can be made much easier by the logical ORing of the overall status.

Logical ORing:

X01.Status & 0xFF

The constant can be entered in hexadecimals, as described above:

0xFF corresponds to decimal 256; these are the first eight status bits (binary 11111111). If one of these bit is set to 1, the result of this bitwise ORing is 1 (true), otherwise it is 0 (false).

If, for example, all user status bits except the user status bit M7 should be queried, the binary statement for this would be: 10111111. Bit 7 is not of interest and is thus set to 0. This corresponds to 0xBF in hexadecimal. The expression for the formula is then: X01.Status & 0xBF.

Instead of ORing bitwise with a constant, the value can also be directly compared to a decimal number. If the comparison is wrong, the binary value is 0 (false) otherwise it is 1 (true).

Example:

You want to find out if the value is equal to the constant 202: The formula is:

X01.value = 202

If the value is equal to the constant 202, the result of the comparison is 1 (true) otherwise it is 0 (false).

Note: The bitwise ORing works with the OR character (|) in a similar manner to this example.


Comparison operators

Comparison operators

Comparison operators are for the direct comparison of two numeric values. The result of this comparison is a binary value. "0“ if the condition is not fulfilled and „1“ if the condition is fulfilled.

Operator | Description
< | less
> | greater
<= | Less than or equal
>= | greater or equal
= | Equal
<> | unequal

To the left and to the right of the comparison operator, there has to be a (total) value or a (total) status, single bits cannot be used with these comparison operators.

There can also be a constant to the right of the comparison operator.
These constants are entered as hexadecimal values or decimal values in the combined element. Hexadecimal figures are automatically converted to decimal values by clicking on OK (for example, 0x64 is in decimal figures 100).

Example Esempio

X01.value >= X02.value
The result is 1, if the value of X01 is higher than or equal to the value of X02

X01.value = 0x64
The result is 1, if the value of X01 is exactly equal to the numeric value 100 (= hex 0x64)

(X01.value = 0x64) OR (X01.value = 0x65)
The result is 1, if the value of X01 is exactly equal to the numeric value 100 or 101 (= hex 0x64 and hex 0x65)


Examples for formulas

Examples for formulas

Simple logical AND linking between two bit values

Example Example

Formula: X01.03 AND X02.03

This formula has the status TRUE, if both bit 3 of variable 1 and bit 3 of variable 2 both have the value 1.

comparison of an analogue value or status of a variable

Example Example

(X01.Value> X02.Value)

Compare analog values with each other on a logical basis

Example Example

(X01.Value> X02.Value) AND (X01.Value = X02.Value)

Compare with value bits and status bits

Example Example

(X01.Value> X02.Value) AND (X01.Value = X02.Value) OR (X01.03 = X02.03)

Compare a value with a decimal or hexadecimal value

Example Example

Formula: (X01.Value = 111)

Formula: (X01.Value = 0x6F)

If a hexadecimal values is used, this is later transferred to decimal by clicking on OK. If a decimal value is entered and confirmed, the value continues to be displayed as a decimal value after reopening.

info Info

It is not possible to use a comma or a period when entering values.


Create menu

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Create menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command Processing can also be activated via a context menu. Context menus are created in the Editor using node Menus and are defined in the properties of the element they concern.

Generally there are three types of menu entries:

Parameters

Description

Tipo di azione

Sets out which type of action is to be carried out via the corresponding menu item in Runtime. Not all action types are available in the main menu, some are only available via the context menu.

  • Acknowledge alarm (context menu only)
  • Command processing(context menu only)
  • Acknowledge flashing (context menu only)
  • Function
  • Help
  • No action
  • Write set value
  • VBA macro (context menu only)

Sottomenù

Opens a sub-menu in Runtime.

Separator

A horizontal line divides menu entries.

Underline text: Entering a & causes the following characters to be displayed as underlined.

Plan entries

To configure a menu item in the main menu or context menu:

  1. Activate the corresponding menu cell
  2. In properties, select:
    • Tipo di azione: depending on menu type
      see also: Main menu action types and Context menu action types
    • ID menù: Entry ID
      Note: There are pre-defined types with a fixed ID available in the command processing at Command processing
    • Testo: clear labeling of the menu cells

attention Attenzione

The name of the Testo property must be unique. If two names the same are issued, further menu items with the same name are not displayed.

You can find details on the definition on context menus for command processing in chapter menusCommand Processing.


Create Runtime files - start the Runtime

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Create Runtime files - start the Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When creating Runtime files for the command groups, a check for engineering errors and correct replacement is performed.

For every variable which has a command group allocated to it, a specific version of the command group for zenon is created. This version only contains these actions which can be triggered over this variable.

Example Esempio

The command group for the command variable only has actions on this command variable anymore. Except for the action 'Lock'. This action is also available for the command variable.

info Informazioni su

The compiling of the command processing must also be triggered after changes to the variables.

Noch in diesem Kapitel

Replace links

Error while creating Runtime data


Replace links

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Create Runtime files - start the Runtime -> Replace links

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to increase the reusabilty of the command group, there is the possibility to replace the variable references. Replacement is possible for the response, command and condition variable.

During the replacement, the placeholder, '*’, is automatically replaced by the name of the variables that are assigned to the command processing.

Example Esempio

Let's assume that we have the variables xyz_RM, abcRM and bool_RM.

Our mask is '*_RM’.

Variable name | Replacement text | Result | Comment
xyz_RM | xyz | xyz_RM | Variable exists, assignment is possible
abcRM | <empty> | _RM | The mask is not correct, because '_' is missing. Variable does not exist.
bool_RM | bool | bool_RM | Variable exists, assignment is possible

info Informazioni su

If it is detected that the variable for which the command group is to be compiled corresponds to the response variable. The replacement text is determined by the response variable. Otherwise the replacement text is defined by the action variable or the first action appropriate to the variable.

If the replacement text was determined correctly, the placeholder '*' is replaced by this.

The following points should therefore be taken into account with the labeling:

  • The names of the variables and the mask should be selected in such a way that these can be clearly assigned.
  • The names of the variables that are used for the response, command and condition variables should be able to be created from the same replacement text.
  • If the response variable is replaced but not the command variable, particular care should be taken to ensure that the command group that is created for the command variable also uses the expected response variable.
  • Another test run for the command group with the response variable ensures that only actions whose action variable uses the same response variable with its compiled interlocking are contained. Actions that violate this rule create a warning and are removed.


Error while creating Runtime data

Manuale -> Energy Edition -> Command Processing -> Engineering in the Editor -> Create Runtime files - start the Runtime -> Error while creating Runtime data

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

At the creation of the Runtime data for the command processing, an extensive validation is carried out concerning wrong engineering and not-available references.

info Informazioni su

After an Error the object the caused the error is not available during runtime.

If the command group has an Error, no command group is assigned to the variable. Consequently, during the Runtime, all user operations are locked.

A Warning is generated when the project would cause a problem but runs error-free.

In the error messages, the following placeholders are used:

<VERNAME> | Placeholder is replaced in the error message by the name of the command group.
<VERRM> | Placeholder is replaced in the error message by the name of the response variable.
<AUFVAR> | Placeholder is replaced in the error message by the name of the variable to which the command group is assigned.
<ACTVAR> | Placeholder is replaced in the error message by the name of the variable of the action.
<Actionname> | Placeholder is replaced in the error message by the description of the action.
<VARNAME> | Placeholder is replaced by the variable in the visualization.

The following error messages can occur during the creation of the Runtime files:

Message text

Description

<VERNAME>: Interlocking PV <VERRM> does not exist!

Condition variable for general interlocking not available.

Variable '<AUFVAR>' uses not existing command processing!

Variable uses a non-existing command processing.

(<AUFVAR>) command processing '<VERNAME>' contains no actions!

Command groups without action are not considered by the Runtime. This message can also be a follow-up error.

(<AUFVAR>) response variable '<VARRM>' does not use the command group '<VERNAME>'

A response variable using another command group is used. The response variable always has to be linked with the interlocking, which uses it as response variable.

(<AUFVAR>) response varibale '<VARRM>' for command processing '<VERNAME>' uses a driver without process linking!

The response variable must lie on a driver with process connection.

(<AUFVAR>Command processing '<VERNAME>' contains no actions after compiling!

A command group without actions does not make sense.

(<AUFVAR>) response variable '<VARRM>' of command processing '<VERNAME>' not available!

The used response variable is not present or marked as deleted.

(<AUFVAR>) command processing '<VERNAME>' uses screen '<Bild GUID>'(<BILDNAME>) which is not of the type Power!

This message is a warning. If a user action becomes necessary during execution, it cannot be performed.

(<AUFVAR>) command processing '<VERNAME>' uses not available screen '<Bild GUID>'!

The screen assigned to the command group does not exist.

(<AUFVAR>) Replaced action variable '<ACTVAR>' for action '<Action name>' of command processing '<VERNAME>' not available!

The action variable, after a replacement, is not present or marked as deleted.

(<AUFVAR>) action '<actionname>' of the command'<VERNAME>' uses the not existing variable '<ACTVAR>'

The action uses a varibale which is not present in the project or marked as deleted.

(<AUFVAR>) action variable '<ACTVAR>' for action '<Actionname>' of command processing '<VERNAME>' uses a driver without process connection!

The variable assigned to an action must not lie on an internal driver.

<VERNAME>(<AUFVAR>): Aktion '<Actionname>' already exists!

The following actions may only be configured once per action variable and command group:

  • Switching command with the same command processing status.
  • Correction with the same switching direction.
  • Replacing with the same switching direction.
  • Revision with the same switching direction.
  • Pulse command
  • Setpoint input
  • Release
  • Block
  • Lock

<VERNAME>(<AUFVAR>): Action '<Actionname>': Pulse and switching command not possible for the same command variable!

Pulse and switching command must not be used together.

(<AUFVAR>) Action '<Actionname>' of the command processing '<VERNAME>' uses screen '<Bild GUID>('<Bildname>') which is not of type Power!

This message is a warning. No user actions will be possible.

(<AUFVAR>) Action '<Actionname>' of the command processing'<VERNAME>' uses not existing screen '<Bild GUID>'!

The action is assigned to a non-exising screen.

<VERNAME>(<AUFVAR>): Interlocking PV '<VARNAME>' does not exist!

Replaced condition variable does not exist.

(<AUFVAR>) Variable '<VARNAME>' of action interlocking condition of the command processing '<VERNAME>' does not exist!

Variable of the interlocking condition does not exist.

(<AUFVAR>) action variable '<VARNAME>' for action '<Actionname>' of command group '<VERNAME>' uses another command group!

The action variables used for a command group may only be connected to no command group or to the command group in which they are used.

(<AUFVAR>) command variable <ACTVAR> does not have a validly compiled interlocking! Action <Actionname> removed.

The action variable used in the action has no compiled command group. This message can also be a follow-up error.

(<AUFVAR>) command variable <ACTVAR> uses response variable <VARNAME>! Action <Actionname> removed.

The compiled command group of the response variable contains actions with action variables which do not use the same response variable as <AUFVAR>.
Note: There must not be any actions of response variables changing other response variables.


Operating during Runtime

Manuale -> Energy Edition -> Command Processing -> Operating during Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A watchdog timer is automatically carried out in the background if a used enters commands in Runtime.

Noch in diesem Kapitel

Command procedure

Command Processing screen control elements

Reload project online

Logging in the CEL

Lock return variable

Server change in redundant operation

Exit Runtime


Command procedure

Manuale -> Energy Edition -> Command Processing -> Operating during Runtime -> Command procedure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This description for the procedure of a command with the command processing is applicable for the following command action types:

  • Command
  • Auto/Remote command
  • Mandatory command (only in part)
  • Setpoint input

The procedure of a command depends on the following parameters:

Variable property:

  • Select before Operate (SBO) Not active:
    In this case, no Select-command is executed by a command processing function.
    Note: A driver (for example: DNP3_NG or IEC850) can nevertheless execute a Select automatically. This has no effect on the command processing however. The command processing will, in this case, react to an unsuccessful Select in the same way as an unsuccessful Operate/Execute .
  • Select before Operate (SBO) active:
    If Select before Operate is active for the action variable, a Select (COT_act(6), SE) is always forwarded to the driver by the command processing. In doing so, there is a wait - regardless of the type of runtime transfer configured - until the complete command process has been completed.

    Attention: The SBO variable property has corresponding effects on runtime monitoring.
    If SBO is activated, the action buttons (and context menu entries) are deactivated in runtime monitoring for each configuration until COT contains the value COT_accterm(10).
    This also applies if "none" or "via response variable" are configured for runtime monitoring.
    If no COT_accterm is received, only a TIMEOUT status bit is set.

info Info

If a variable is configured with an active Select before Operate and the driver does not support a COT , then no reaction to a sent Select will "come" from the PLC. Once the configured Timeout has expired, the command processing screen will inform you of the "Timeout on SBO activation" interlocking condition.

Type of runtime monitoring:

  • None
    • Without SBO: "fire & forget" - sends command and does not wait.
    • With SBO: there is a wait in the background, but no TIMEOUT status bit is set even if the timeout has expired.
  • Via cause of transmission only (COT)
  • Only via response variable (RV)
  • Via RV and COT

Properties in the command processing action:

  • One-step:
    After a successful Select , the command processing automatically transfers the Operate/Execute to the driver.
  • Two-step:
    A successful Select activates the buttons Execute 2nd Step and Cancel in the command processing screen:
    • If Execute 2nd Step is clicked on, the command processing transfers an Operate/Execute (COT_act(6), no SE) to the driver.
    • If Cancel is clicked on, a Cancel (COT_deact (8), SE) is forwarded to the driver via command processing.

  • Timeout:
    The configured value states how long is waited for a response from the PLC. Respectively:
    • After writing an Select command.
    • After writing an Execute command.
    • After writing an Cancel command.
  • Timeout can be canceled:
    Configuration states whether the user can cancel runtime monitoring after setting an Execute command.

Noch in diesem Kapitel

Select before Operate

Watchdog timer


Select before Operate

Manuale -> Energy Edition -> Command Processing -> Operating during Runtime -> Command procedure -> Select before Operate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The runtime monitoring property only has an influence on the Execute command. The Select command is not influenced by runtime monitoring. The command processing action waits for as long as is configured in the Timeout property (Options property group in the command action) after a Select wartet has been sent.

In doing so, this can lead to the following dependencies:

  • SPS does not react
  • SPS reacts negatively
  • SPS reacts positively
    • User does not send an Execute or Cancel

For canceling a Select - regardless of the type of runtime monitoring configured - the following is applicable:

  1. If SBO has been activated for the action variable, a Select can be canceled by the user for two-stage commands. After a successful Select (COT=7, SE), the command processing can send a Deactivation (COT=8, SE) if the Cancel button is clicked.
  2. There is then a wait for a response from the PLC or a Timeout.
    The action ends:
    1. if the configured timeout time has expired or
    2. if the PLC confirms the cancellation (COT=9, any SE or PN).
      The receipt of a COT=9 discards the PROGRESS status bit.
  3. The measurement time starts at the point when the user clicks the Cancel button. The time period that has expired - whilst the action waits for a Select - does not influence the time period in which the action waits for a confirmation of the cancellation.
  4. The response variable does not receive a TIMEOUT status bit.
  5. The same action always applies, regardless of the configuration of the runtime monitoring property.

Note: the PN bit - Positive(0)/Negative(1) - is reflected on the status bit N_CONF of the action variable.

Noch in diesem Kapitel

SBO - no reaction from the PLC

SBO - negative reaction from the PLC

SBO - positive reaction from the PLC

SBO - positive reaction from the PLC but the user does not send an Execute or Cancel


SBO - no reaction from the PLC

Manuale -> Energy Edition -> Command Processing -> Operating during Runtime -> Command procedure -> Select before Operate -> SBO - no reaction from the PLC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
SBO - no reaction from the PLC

The command processing first sends a Select to the driver. All buttons in the command processing window are grayed out while the action waits for a reaction from the PLC. Information is shown in the command processing screen once the timeout action has expired. This message is displayed in the field of the interlocking text: internal interlocking condition "Timeout for SBO activation". In this case, only the Cancel button is available. All other buttons of the command processing window are still grayed out.

Entries in the context menu are also not available.

Note: The response variable contains neither a TIMEOUT nor a PROGRESS status bit.
The same action applies for Select , regardless of which value is configured for runtime monitoring. The process is the same for two-step actions and one-step actions.


SBO - negative reaction from the PLC

Manuale -> Energy Edition -> Command Processing -> Operating during Runtime -> Command procedure -> Select before Operate -> SBO - negative reaction from the PLC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
SBO - negative reaction from the PLC

The command processing triggers the driver to send a Select (COT_act(6) + SE) . If a negative response is received by the PLC (COT_actcon(7) + SE + PN=1), waiting is no longer carried out.

  • The PROGRESS bit is removed by clicking on the Cancel button. The response variable does not receive a TIMEOUT status bit in the process.
  • If the action receives a negative response to Select, this information is displayed in the field of the interlocking test: internal interlocking condition "SBO rejected". In this case, only the Cancel button is available. All other buttons of the command processing window are still grayed out.

Entries in the context menu are also not available.

The same action applies to Select , regardless of which value is configured for runtime monitoring. The process is the same for two-step actions and one-step actions.

Note: the PN bit - Positive(0)/Negative(1) - is reflected on the status bit N_CONF of the action variable.


SBO - positive reaction from the PLC

Manuale -> Energy Edition -> Command Processing -> Operating during Runtime -> Command procedure -> Select before Operate -> SBO - positive reaction from the PLC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
SBO - positive reaction from the PLC

If the PLC reacts positively to a Select (COT_actcon(7) + SE) (thus a confirmed Select), the action goes to the next step => execution

  • The command processing ends the waiting for a Select.
  • The response variable has its PROGRESS status bit set. However this is only if the current value of the response variable is different to the value of the command.

The following applies once the Select has been confirmed:

  1. One-step commands:
    The command processing automatically sends an Operate/Execute (COT_act(6), no SE) to the PLC.
  2. Two-stage actions:
    The Execute 2nd step and Cancel in the command processing screen become active. If a user confirms the Execute 2nd step button, the command processing sends an Operate/Execute to the PLC.

The PROGRESS bit is reset if the PLC confirms the Execute (COT_actcon(7)) or after expiry of the following watchdog timer.


SBO - positive reaction from the PLC but the user does not send an Execute or Cancel

Manuale -> Energy Edition -> Command Processing -> Operating during Runtime -> Command procedure -> Select before Operate -> SBO - positive reaction from the PLC but the user does not send an Execute or Cancel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
SBO - positive reaction from the PLC but the user does not send an Execute or Cancel

If the user, after a successful Select , triggers neither an Execute nor a Cancel , there is a wait for user interaction with no time limitation. It can thus happen - provided the PLC supports Select Timeout - that this time expires. If this happens, the PLC sends a Select-Termination (COT=10, SE, PN=1). The command processing reacts to the Select-Termination received so that - if the user does in fact trigger an Execute - the command automatically sends another Select first.
Once the Cancel button in a command processing screen has been clicked on, a Select or Cancel is not sent to the PLC again.

Note: Is only relevant for two-step actions.


Watchdog timer

Manuale -> Energy Edition -> Command Processing -> Operating during Runtime -> Command procedure -> Watchdog timer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The cause of transmission (COT) is used to exchange information between zenon and the controller about whether a command is to be written or whether writing was successful. The action variable receives a COT corresponding to the level of the command. In the background, the command processing then checks to see if the response variable then changes its value and if the COT action variable changes according to the command.

Note: Value changes of the response variable will only be taken into account after COT_act(6).

info Informazioni su

COTx Status bits result in a value. This value can be evaluated in Runtime - just like all other status bits - using multi-numeric or multi-binary reaction matrices.

Note: COT is supported not only by IEC870, but also by some other Energy drivers - different versions thereof. Some drivers support COT although the protocol itself does not contain COT (e.g. IEC850, DNP3). You can find details in the corresponding driver documentation.

Runtime monitoring and interlocking conditions of the action:

Interlockings are checked during runtime monitoring:

  1. For direct execution (= without Select).
  2. When the Select is activated (= before Select).
  3. If no Select is pending (Select is OK but Execute has failed, because of a change in condition).

  • The current command action shows messages about active interlockings. The user must unlock these. To do this, they must have the corresponding user rights. The interlocking must also be able to be unlocked. Otherwise this action can only be canceled.
  • If this action is canceled by a configured interlocking, no command is sent to the PLC.
  • If a Select has already been sent, cancellation is automatic. In this case, a Deactivation is sent.
  • The response variable does not receive a TIMEOUT bit in the process. If a PROGRESS bit is already set, this is reset.

With two-step configuration of the action:

The two-step action checks the interlocking and provides a message during the first step:

  • Direct execution - no SBO:
    Applicable for the moment when the first button is clicked.
  • Active SBO:
    Applicable for the moment when the confirmation for Select is received.

By clicking on the button to unlock the interlocking, Execute 2nd step becomes available. If the button is clicked on, an Execute is sent to the PLC. If Cancel has been clicked on and a Select has already been sent, the action sends a Deactivation (COT_deact(8)+SE) to the PLC.

With one-step configuration of the action:

If there is an interlocking in the first stage, a message is displayed and there is a wait for a reaction from the user. If the user selected On or Off, the Confirm button will be active. The value is then sent to the PLC. If the user clicks on Cancel and a Select was carried out beforehand, the action sends a Deactivation (Cancel).

If there was no outstanding interlocking for the first stage before the conditions have changed and before the user has carried out a Confirm by clicking, the action will check the interlocking conditions again. If there are then still interlockings pending, a message is displayed and there is a wait for a cancellation from the user.

Note: In this case, the interlocking cannot be unlocked by a user.

info Informazioni su

Single-step actions have the same action in all scenarios.

Runtime monitoring and negative responses from the PLC:

  • Execute negative
    During runtime monitoring, the PLC can react negatively to an Execute/Operate (COT_actcon(7) + PN). If the negative ration to an Execute was received, runtime monitoring is ended.
  • Execute Termination negative
    If Execution Termination (COT_actterm(10) + PN) is reported as negative by the PLC, runtime monitoring will no longer wait for a value change to the response variable and ends immediately.

The PROGRESS status bit is reset. The TIMEOUT status bit is not set for the response variable.

Note: the PN bit - Positive(0)/Negative(1) - is reflected on the status bit N_CONF of the action variable.

Noch in diesem Kapitel

Cancellation of runtime monitoring

Runtime monitoring via response variable only (RV)

Runtime monitoring via cause of transmission only (COT)

Runtime monitoring via COT (cause of transmission) and RV (response variable)


Cancellation of runtime monitoring

Manuale -> Energy Edition -> Command Processing -> Operating during Runtime -> Command procedure -> Watchdog timer -> Cancellation of runtime monitoring

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Cancellation of runtime monitoring

If the Timout scaduto property has been activated for a command processing action, the user can cancel runtime monitoring with the "Cancel" button.

In doing so, the command processing sends the cancellation to the driver. The driver (e.g. IEC850) only forwards a Cancel Request to the PLC if the Termina Operate property is active, then the user can also cancel using the Cancel button.

Note: Not all drivers support this cancellation of an Execute. You can find further information in the respective driver documentation.


Runtime monitoring via response variable only (RV)

Manuale -> Energy Edition -> Command Processing -> Operating during Runtime -> Command procedure -> Watchdog timer -> Runtime monitoring via response variable only (RV)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Runtime monitoring via response variable only (RV)

Runtime monitoring via the response variable is the most-used type of runtime checking. It reacts to a change of the value of the response variable. The value that is expected for the response variable due to the command is defined in the response status/switching direction - on/off.

Negative responses from the PLC (COT_actcon(7) + PN) end runtime monitoring.

Note: Changes to the value of the response variable are only taken into account after COT_act(6) of the action variable. Prior value changes of the response variable - for example already after Select without an Operate/Execute having been sent - are ignored.


Runtime monitoring via cause of transmission only (COT)

Manuale -> Energy Edition -> Command Processing -> Operating during Runtime -> Command procedure -> Watchdog timer -> Runtime monitoring via cause of transmission only (COT)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Runtime monitoring via cause of transmission only (COT)

With runtime monitoring via COT only, runtime monitoring does not react to the value of the response variable (RV) but only to the cause of transmission - the status bits COTx status bits of the action variable.

Example without SBO:

The process in detail:

  1. The value and COT_act(6) are sent to the action variable.
  2. The PROGRESS status bit is sent to the response variable.
  3. If the controller receives the value COT_act, there is a wait for the subsequent values COT_actcon(7) and COT_actterm(10).
  4. End of the process:
    1. The process is ended if COT_actterm has been received.
    2. If, in the configured timeout time, no COT_actterm has been received, then:
      - the process is ended and
      - the TIMEOUT status bit of the response variable is activated.
      Note: You configure this time in the Timeout property for the command action.
  5. The PROGRESS status bit is reset.


Runtime monitoring via COT (cause of transmission) and RV (response variable)

Manuale -> Energy Edition -> Command Processing -> Operating during Runtime -> Command procedure -> Watchdog timer -> Runtime monitoring via COT (cause of transmission) and RV (response variable)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Runtime monitoring via COT (cause of transmission) and RV (response variable)

With runtime monitoring via COT and RV, the runtime monitoring reacts to the value of the response variable (RV) and to the cause of transfer - the COTx status bits of the action variable.

Example without SBO:

The process in detail:

  1. The value and COT_act(6) are sent to the action variable.
  2. The PROGRESS status bit is sent to the response variable.
  3. If the controller receives the value COT_act, there is a wait for the subsequent values COT_actcon(7) or COT_actterm (10).
  4. End of the process:
    1. The process is ended if both conditions have been met:
    • COT_actterm was received

      and

    • The value of the response variables corresponds to the switching direction (response status/ switching direction property).
      It does not matter which of the two conditions is met first. As soon as both of them are fulfilled, the procedure will be terminated.
    1. If only one or none of the above conditions from item 4a is met within the configured timeout, then:
      - the process is ended and will be terminated and
      - the TIMEOUT status bit of the response variable is activated.
  5. The PROGRESS status bit is reset.


Command Processing screen control elements

Manuale -> Energy Edition -> Command Processing -> Operating during Runtime -> Command Processing screen control elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A command processing screen allows control in Runtime and an overview of the command processing. The command processing can be controlled via buttons.

Creating a screen of the type Command Processing

To create a command processing screen:

  1. Select, in the toolbar or in the context menu of the Screens node, the New Screen command
  2. An standard empty screen is opened
  3. Change the screen type in the detail view; to do this:
    1. click on Standard in the Screen type column
    2. Select Command Processing from the drop down list
  4. Click in the screen.
  5. Select the Control elements menu item in the menu bar
  6. Click on Add template in the drop-down list
  7. The standard elements are inserted
  8. Select additional elements as required and insert them into the desired place on the screen
  9. Create a screen switch function, in order to be able to call up the Command Processing in Runtime

Command processing screen template - standard

The following control elements are available in Runtime:

Control element

Description

Insert template

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Action/command

Active action/command

Displays the pending action of the command group.

Switching direction

The switching direction configured for the active action. The texts are documented with the "switching direction" setting.

Depending on the active action, the following text is shown:

Command, revision, correction, replace: Text from limit value, depending on switching direction.

Status: On or Off

Other: empty

Interlockings

Active interlocking

Interlocking text of the active interlocking.

Unlock

If an unlockable interlocking is upcoming, it can be unlocked with this button.

Note: This control is shown only when the screen is in the step 'Unlock'.

The Control is locked when the upcoming interlocking is not unlockable.

Select / execute

On

Command button for switching command, to close a switch for example.

Off

Command button for switching command, to open a switch for example.

Confirm

Confirms for the pending two-step action.
A two-step switching command, for example, is only executed after clicking on this button.

Cancel
  • Closes command processing screen. The pending action is not executed.
  • Cancel for pending, two-step action.
  • Cancellation of the execution of an action (depending on project configuration, for example: Operate in the case of SBO).

The button is grayed out if the screen is in 'Step 1'.

Name

Control type

Default

Action buttons

Text

Buttons, which can have an action assigned to them. By clicking in the screen, the assigned action is activated and the screen changes to the step "Release"

The button is not shown when:

  • No action is assigned to the button in the current command group.
  • The variable, with which the screen was loaded, is the command variable, and the action assigned to the button does not use the command variable as action variable. However, if the action 'Lock' was assigned to the button, it is visible.

The button is shown as locked when:

  • The screen is not in 'Step 1'.
  • The response variable has set one of the status bits I_KENNUNG(18), OFF(20) or NICHT_AKTUELL(29) and writes the assigned action to the command variable.
  • The response variable has the status REVISION(9) active and the assigned action writes to the command variable.
  • The response variable has the status REVISION(9) active and the assigned action is 'Correct'.
  • The assigned action is 'Release' and the response variable does not have the status Alternativevalue(27) active.
  • The assigned action is 'Correct' and the value of the response variable matches the switching direction.
  • The assigned action is 'Replace' and the value of the response variable matches the switching direction.
  • The response variable has the status REVISION(9) active and the assigned action is 'Replace'.
  • The assigned action is 'Revision' and the value of the response variable matches the switching direction.

Action1

Action2

RV TTA

Text

Name of the response variable

X

RV identification

Text

Name of the response variable

X

Action variable unit

Text

Unit of the current action variable.

X

Action variable set status

List

Defines the status to be set for the action 'Status default' for the switching direction 'None'. The statuses are set to the current status and updated when changes occur.

Is locked when the active action is not 'Set status'.

Switching direction

Text

The switching direction configured for the active action. The texts are documented with the setting 'Switching direction'.

Depending on the active action, the following text is shown:

Command, revision, correction, replace: Text from limit value, depending on switching direction.

Status: On or Off

Other: empty

X

Execute Step 2

Button

Delivers the actions to execution.

This control is visible only when the screen is in 'Step 2'.

The Control is locked when:

  • Two handed operation was configured and the key 'Ctrl' is not pressed.
  • The status REVISION(9) of the response variable is set and the assigned action is 'Command', 'Set value', 'Replace' or 'Correct'.
  • The button was already clicked.

X

Action variable minimum

Numeric

Minimum value of the action variable.

Not visible if the action variable is of data type 'String'.

Action variable maximum

Numeric

Minimum value of the action variable.

Not visible if the action variable is of data type 'String'.

Scrollbars

Numeric

Setpoint input with scroll bar Sets the value in the control 'Set value' or is set by this value.

Not visible if the action variable is of data type 'String'.

The Control is locked when:

- No action is active.

- The screen is not in 'Step 1'.

Set value

Numerical, Text

Allows the input of the set value.

By clicking the Control, it is switched to edit mode and the setpoint input is possible. The edit mode can be left again with "Enter".

The new value is set only after clicking the control 'Execute'.

The desired value for the action 'Set value' is provided with this control.

The Control is locked when:

- The status REVISION(9) of the response variable is set.

- No action is active.

- The screen is not in 'Step 1'.

RV value

Text

Value of the response variable

X

RV status

Text

Contains the status of the response variable in the short form.

X

RV unit

Text

Unit of the response variable

X

Interlocking text

Text

Text of the upcoming interlocking.

Text is online language switchable

X

No interlocking

If an unlockable interlocking is upcoming, it can be unlocked with this button.

Note: This control is shown only when the screen is in the step 'Unlock'.

The Control is locked when the upcoming interlocking is not unlockable.

X

Exit

Button

Closes the screen without action execution.

The button is only visible in a modal screen.

This button is important for modal screens, because it is required to leave the screen in case of an error!

Cancel

Button

Aborts the execution of the Command Processing and returns to 'Step 1'.

The button is locked when the screen is in 'Step 1'.

X

Lock list

List

Contains the locks that were activated at the response variable.

Is locked when no action 'Lock' was configured for the command group.

Text is online language switchable

User identification

Input field

For entering the user identification for the lock.

Is locked when no action 'Lock' was configured for the command group.

Lock code

Input field

For entering the user-specific lock code.

Is locked when no action 'Lock' was configured for the command group.

Execute lock

Button

Activates a lock for the user entered in the Control 'User identification'.

Is locked when no action 'Lock' was configured for the command group.

This user action is logged in the CEL, if not suppressed by the engineering.

Unlock

Button

Removes the lock by the user entered in the user identification.

Is locked when no action 'Lock' was configured for the command group.

This user action is logged in the CEL, if not suppressed by the engineering.

Execute

Button

Takes over the value of the Control 'Set value' or 'Set status'

This Control is visible only when the screen is in 'Step 1'.

The Control is locked additionally to the general lock, when:

  • The active action is not 'Set status', 'Set value' or 'Correct set value'.
  • The value in the control 'Set value' for the action variable is invalid.

Comment

Input field

Comment about the lock.

Action variable Status

Text

Status of the active action variable in short form.

X

Action variable Name

Text

Name of the active action variable.

X

Action variable Identification

Text

Identification of the active action variable.

X

Action variable value

Text

Value of the active action variable.

X

Active action

Text

Name of the active action.

X

Noch in diesem Kapitel

Command Processing screen - complete

Blocked or locked elements


Command Processing screen - complete

Manuale -> Energy Edition -> Command Processing -> Operating during Runtime -> Command Processing screen control elements -> Command Processing screen - complete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A command processing screen allows control in Runtime and an overview of the command processing. The command processing can be controlled via buttons.

Creating a screen of the type Command Processing

To create a command processing screen:

  1. Select, in the toolbar or in the context menu of the Screens node, the New Screen command
  2. An standard empty screen is opened
  3. Change the screen type in the detail view; to do this:
    1. click on Standard in the Screen type column
    2. Select Command Processing from the drop down list
  4. Click in the screen.
  5. Select the Control elements menu item in the menu bar
  6. Click on Add template in the drop-down list
  7. Select, as a template, Complete in the Energy template folder
  8. The standard elements are inserted
  9. Select additional elements as required and insert them into the desired place on the screen
  10. Create a screen switch function, in order to be able to call up the Command Processing in Runtime

Parameters

Description

Response variable

Name

Name of the response variable

Identification

Name of the response variable

Status

Contains the short description of the status bits for the response variable.

Value

Current value of the response variable

Measuring unit

Measuring unit of the response variable

Action variable

Name

Name of the action variable

Identification

Identification of the action variable

Status

Contains the short description of the status bits for the action variable.

Example:

  • Bits for COT
  • Status SE_870 during Select
  • Status PN bit in the event of a negative response from the PLC

Note: The status bits contain the response variable for the "status input" action.

Value

Current value of the action variable or input field for setpoint input command processing action.

Note: This value changes during the course of the action from an existing to a current value. The display of the value is only refreshed with COT=7 (COT_actcon) or WR-SUC .

  • The following is applicable for a configured setpoint input:
    The value to be set for the 'Set value' action is stipulated by this control. By clicking the Control, it is switched to edit mode and the setpoint input is possible. It is possible to leave the editing mode again by pressing the Enter key.
    However the new value is only set when the "Execute" control is clicked on.
    The control is blocked if:
    - The response variable has set the status REVISION(9).
    - No action is active.
    - The screen is not in the "Step 1" stage.

Measuring unit

Measuring unit of the action variable

Lock

Controls from the Lock group are locked if no "Lock" action is configured in the command group.

Users

For entering the user identification for the lock.

Lock code

For entering the user-specific lock code.

Comment

Optional text that can be entered by the user for the lock.

Lock

Activates a lock by the user entered in the "User" control.

Note: This user action is logged in the CEL, if not suppressed by the engineering.

Unlock

Removes the lock that has been set up by the user entered in the "User" control.
This guarantees that only people's own locks can be removed.

Note: This user action is logged in the CEL, if not suppressed by the engineering.

Lock list

List of active locks:

  • User
    Name of the user who has activated the lock.
  • Locking time
    Time stamp of the interlocking
  • Note
    Text for the interlocking.

Action/command

Active action/command

Type of active command processing action such as dual command, for example.

Switching direction

The switching direction configured for the active action. The texts are documented with the setting 'Switching direction'.

Depending on the active action, the following text is shown:

Command, revision, correction, replace: Text from limit value, depending on switching direction.

Status: On or Off

Other: empty

Interlockings

Active interlocking

The active interlocking according to the configuration or texts from ALC - topological interlocking.

Unlock

This button unlocks an active, unlockable interlocking.

Note: This control is shown only when the screen is in the step 'Unlock'.

The Control is locked when the upcoming interlocking is not unlockable.

Select / execute

On

First-step command button, to close a switch for example.

Note: Only visible in Step 1.

Off

First-step command button, to open a switch for example.

Note: Only visible in Step 1.

Confirm

Second-step command button.

Note: Only visible in Step 2.

Cancel

Second-stage command button.
Aborts the execution of the command processing and returns to 'Step 1'.

The button is grayed out if the screen is in 'Step 1'.

Close

Closes the command processing screen.

Additional control elements

Actions

Action 1 ... Action 20

Buttons for desired actions of the 1st step.

The command action is configured in the Command processing field property group in the Action button property window.

Note: If the action is already assigned to a button, it is grayed out in the list.

Information control element

Minimum

Display of the minimum value of the set value.

Maximum
  • Display of the maximum value of the set value.

Interlocking list

Overview box of the active interlockings:

  • Text
    Text of the interlocking as configured
  • Active (yes/no)
  • Unlockable (yes/no)
  • Unlocked (yes/no)
  • Type

Unlock all

Unlocks all active and unlockable interlockings


Blocked or locked elements

Manuale -> Energy Edition -> Command Processing -> Operating during Runtime -> Command Processing screen control elements -> Blocked or locked elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

General lock of the Controls

Some requirements must be met in order to unlock the controls in the screen. Since these requirements usually concern several controls, they are not listed with the control each time, but they are documented here.

  1. All Controls except Exit are locked when:
  • the screen is not the owner of the active NET SEL
  • No command processing was configured for the add-on variable
  • the response variable does not exist
  • The response variable has not received a value yet
  • the INVALID bit status is active for the selected variable
  • an action for the action variable is running
  • Runtime monitoring for the action variable is running
    Note: The Cancel button can be active here - regardless of the configuration.
  • There is a wait for the SBO confirmation from the Select
  • the data of the lock are being transmitted
  • the data of the lock are invalid
  • the currently-registered user does not have the necessary authorization levels
  1. All Controls except Exit and the controls for the lock are locked when:
  • one of the locking conditions of point 1 apply
  • The response variable was locked against command processing
  • the status bit S_MERKER_1(0), i.e. the command lock, of the response variable was set

Command Processing

  • Action buttons:
    Action buttons are locked if
    • The authorization level of the user who is logged in does not allow execution.
    • The variable is locked.
    • There is already a command being executed
  • Unlocking:
    Unlocking is only possible if the user does not have the necessary authorization levels for this.
  • Context menu:
    Menu items that are assigned to a command processing action can only be selected if the registered user has the necessary authorizations.

Loading a screen with initial step 'Lock'

If the screen is loaded with the initial step 'Lock', all but the following controls are hidden in the screen:

  • RV TTA
  • RV identification
  • RV value
  • RV status
  • RV measuring unit
  • Lock code
  • User identification
  • Execute lock


Reload project online

Manuale -> Energy Edition -> Command Processing -> Operating during Runtime -> Reload project online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If online reloading is instigated, the following effects must be expected:

If runtime monitoring, edge generation or SBO is active, the reloading is delayed until this has ended.

An opened command processing screen is closed and the process is started again after reloading depending on the current step:

Step before reloading | Action after reloading
Step 1 | Screen is called up again for Step 1
Interlocking or Step 2 | Unlocking step is activated. The interlocking is executed again.
Lock | Lock is activated again

Before it is called up again, the add-on variable, response variable, command group and action are determined again. The control elements are locked if one of the objects is no longer present.

If the command group was removed or replaced for the add-on variable, the screen with locked control elements is called up. The screen must then be called up again or the command processing must be executed again.

If the command group was removed or replaced for the response variable, all command processing locks are removed by the variables.

If a user who has activated a command lock no longer exists, the lock is removed. The status bit S_MERKER_1(0) is updated accordingly.


Logging in the CEL

Manuale -> Energy Edition -> Command Processing -> Operating during Runtime -> Logging in the CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the CEL, the following user actions are logged in addition to the switching actions.

Parameters | Description
Unlock | The unlocking of an active interlocking is noted in the CEL.
Unlock all | A corresponding CEL entry is created for each unlocked interlocking.
Execute action | If the "Suppress CEL entry" action setting is not active, the execution of the action is logged in the CEL.


Lock return variable

Manuale -> Energy Edition -> Command Processing -> Operating during Runtime -> Lock return variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

For a locked response variable, the statusbit S_MERKER_1(0) is set. The lock can be activated or deactivated by entering the username and the lock code defined during the user definition. One lock can be activated per user. The active locks are remanent and are also considered after a system restart.

info Informazioni su

The locks are automatically synchronized in the network; therefore, they can also be used in redundant operation.


Server change in redundant operation

Manuale -> Energy Edition -> Command Processing -> Operating during Runtime -> Server change in redundant operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If the Primary Server changes, the Select object is lost and the command processing must be executed again. The same applies for the SBO.


Exit Runtime

Manuale -> Energy Edition -> Command Processing -> Operating during Runtime -> Exit Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

As long as there are still active actions in the system, the proper exiting of the runtime (e.g. over a function call) is delayed.

Exiting is also delayed while the SBO procedure is active. If SBO is active, it will be deactivated.

info Informazioni su

This situation can arise especially for the action 'Pulse command' with watchdog or edge generation with one-step execution. Runtime is only ended once the action has been completed.


Engineering distribuito

Manuale -> Engineering distribuito

La funzione multi-utente di zenon consente a piu utenti di lavorare contemporaneamente ad uno stesso progetto. I progetti vengono salvati in un server SQL centrale, mentre possono essere elaborati contemporaneamente in diverse postazioni di lavoro. In seguito questo database centrale del progetto verrà denominato Server DB.

Ad esempio: Un utente crea un’immagine mentre un altro utente allo stesso tempo puo lavorare alla definizione delle variabili.

info Informazioni su

Indicazioni sulla terminologia:

"Einchecken" corrisponde alla proprietà Accetta le modifiche

"Auschecken" corrisponde alla proprietà Rendi possibili le modifiche.

Protocollo IP

La comunicazione nella rete di zenon può avvenire a scelta tramite IPv4 e IPv6. I dettagli su questo argomento, li trovate nel capitolo Rete, sezione Presupposti.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Noch in diesem Kapitel

Requisiti Software

Informazioni sul server SQL

Possibilità della gestione multi-utente

Progettazione di un nuovo progetto multiutente

Conversione di un progetto standalone in un progetto multiuser

Conversione di un progetto multiuser in un progetto standalone

Come lavorare con un progetto multiutente

Lavoro offline


Requisiti Software

Manuale -> Engineering distribuito -> Requisiti Software

I requisiti minimi si riferiscono all´uso di progetti multiutente con una pluralità di oggetti (per es. >= 100.000 variabili).

Hardware | Requisito minimo
CPU | Quad Core
Memoria di lavoro | Server: 16GB / Client: 8GB RAM
Disco fisso: | Si consiglia SSD

Nota: se necessario l´impostazione Maximum Server Memory del Server SQL deve essere modificata e adeguata manualmente.

info Informazioni su

Ulteriori informazioni su questo tema le trovate al link seguente: https://msdn.microsoft.com/en-us/library/ms178067(v=sql.120).aspx


Informazioni sul server SQL

Manuale -> Engineering distribuito -> Informazioni sul server SQL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon a partire dalla versione 7.00 SP0

Nel caso dell´engineering distribuito, tutti i partecipanti accedono ad un server SQL centrale. A partire dalla versione 7.00 SP0 di zenon, tutti i partecipanti devono usare la versione 7.00, oppure una versione ancora più recente:

  • Editor: da 7.00 SP0
  • DBSrv: da 7.00
  • SQL-Server: SQL Server 2008 R2 Express Edition

attention Attenzione

Si deve usare la stessa password su tutti i calcolatori.

Attenzione: La crittografia avviene mediante loStartup Tool. L´impostazione della banca dati, dunque, deve avvenire assolutamente con lo Startup Tool.
La password deve essere adeguata anche sul SQL Server per l´utente zenOnSrv.

Update

Quando si effettua un update del server di progetto per passare a SQL Server 2012 Express, tutti i client devono essere aggiornati nello stesso modo.


Possibilità della gestione multi-utente

Manuale -> Engineering distribuito -> Possibilità della gestione multi-utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestione multiutente può essere usata per:

  • progetti standalone, per testare modifiche senza correre dei rischi
  • un server locale con più client
  • un server di rete con più client

Noch in diesem Kapitel

Server locale

Server locale al quale si connettono piu client

Un server al quale si connettono più client


Server locale

Manuale -> Engineering distribuito -> Possibilità della gestione multi-utente -> Server locale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo caso sia il Server DB che la copia locale del progetto si trovano sullo stesso computer.

Un progetto multiutente puo essere creato anche su un singolo computer. In questo caso, per esempio, è sensato prevedere che le modifiche vengano sottoposte prima ad una verifica. A questo scopo, per esempio, sono rese possibili modifiche di un'immagine, si effettuano le modifiche che vengono controllate nel runtime. Tali cambiamenti, poi, possono essere o accettati o rifiutati. L'immagine originaria rimane finché le modifiche non sono state assunte nell'immagine stessa.


Server locale al quale si connettono piu client

Manuale -> Engineering distribuito -> Possibilità della gestione multi-utente -> Server locale al quale si connettono piu client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Su un calcolatore si trovano il server DB e una copia locale del progetto. Anche i client lavorano localmente con una copia del progetto. Le modifiche alla copia locale del progetto vengono trasmesse alla banca dati del server solo quanto sono state accettate. Anche sul calcolatore del server si lavora con la copia locale del progetto.


Un server al quale si connettono più client

Manuale -> Engineering distribuito -> Possibilità della gestione multi-utente -> Un server al quale si connettono più client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il server database si trova sul calcolatore centrale. Più client si connettono a questo server. Copie locali del progetto vengono trasferite ai singoli client.

Copie del progetto locali 1-3 del Server DB

info Informazioni su

Sono possibili delle combinazioni fra le configurazioni descritte. Per es. ogni calcolatore ha installato uno o più server DB per diversi progetto e ha contemporaneamente solo una copia locale del progetto e un altro server DB.

Server senza login

Su server sui quali nessun utente effettua il login, deve essere attivo il file zendbsrv.exe come servizio.

Il zendbsrv avvia il zensyssrv per le operazioni di Login. Con il sistema operativo Windows 7, non è consentito effettuare questa operazione tramite Trasporto Remoto per motivi di sicurezza. Il file deve essere registrato manualmente:

zendbsrv.exe -service

Suggerimento: registrate nello stesso tempo anche zensyssrv.exe come servizio: zensyssrv.exe -service

info Informazioni su

Non appena entrambi i file sono registrati come servizi, il Trasporto Remoto non può più essere usato sotto Windows 7; di conseguenza anche il Runtime non potrà essere avviato via Trasporto Remoto.


Progettazione di un nuovo progetto multiutente

Manuale -> Engineering distribuito -> Progettazione di un nuovo progetto multiutente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Alla creazione di un nuovo progetto, la checkbox Progetto multiutente deve essere attiva. Nel campo Server di progetto indicate oppure selezionate il server per il progetto multiutente. Se viene inserito un server, la checkbox Progetto multiutente viene attivata automaticamente.

Se il campo Server di progetto rimane vuoto, il progetto e la banca dati del server vengono creati sul PC locale. Viene creata automaticamente anche una copia locale del progetto, con cui si può lavorare poi direttamente nell´Editor.

Requisiti:

  • Il server database del progetto (zendbsrv.exe): deve essere avviato sul computer che funge da server e su quello che fa da client.
  • Impostazioni firewall:
    • i programmi zendbsrv.exe e sqlservr.exe devono essere resi disponibili.
    • SQL Browser deve essere abilitato sia dalla parte del server cje quella del client
  • Numeri di porta che devono essere aperti:
    • 1103
    • 1434 per Server SQL: questo numero di porta può cambiare; per questo motivo il processo SQL Server deve essere completamente escluso dal firewall
    • 1434 per SQL-Browser
  • La risoluzione dei nomi in rete deve funzionare.
  • La ricerca inversa (Reverse lookup) deve restituire lo stesso nome computer sia sul calcolatore che fa da server che su quello che fa da client.

attention Attenzione

I workspace non supportano la funzione multi-utente, perché sono specifici per la postazione di lavoro. Perciò la gerarchia di progetto può essere configurata in modo differente su diversi calcolatori. Affinché la gerarchia sia strutturata in modo uguale su tutti i calcolatori, è necessaria la comunicazione diretta fra i diversi utenti.

Creare un client per un progetto multiutente.

Per creare un client per un progetto multiutente, seguite i passi seguenti:

  1. Selezionate anzitutto File -> Inserisci progetto esistente ...
  2. Nella seguente finestra di dialogo selezionate, alla voce Nome computer, quello del Server-DB. Alla voce Scelta progetto selezionate di nuovo il nome computer e il nome del server (DB)
  3. Selezionate Progetto multiutente

Note sulla progettazione con zenon Logic

Quando lavorate con zenon Logic, tenete presente quanto segue:

  • Nel workbench di zenon Logic, più precisamente nel nodo Tutti i progetti, si possono creare delle liste MultiSpy e aprire l´Editor Binding globale. Per queste impostazioni vale quanto segue: Esse
    • non vengono salvate come multiutente
    • non vengono trasferite al server di progetto
    • vengono rimosse alla sincronizzazione successiva.
  • Quando nuovi progetti di zenon Logic vengono creati nel workbench di zenon Logic usando File ->Progetto nuovo , vale quanto segue: Essi
    • non vengono trasferiti al server di progetto
    • vengono cancellati alla sincronizzazione successiva.

Attenzione: i progetti multiutente di zenon Logic possono essere creati solamente tramite l´Editor di zenon.


Conversione di un progetto standalone in un progetto multiuser

Manuale -> Engineering distribuito -> Conversione di un progetto standalone in un progetto multiuser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per convertire un progetto standalone in un progetto multiuser:

  1. assicuratevi che il progetto globale sia multiuser.
    Nel caso in cui non dovesse essere così, togliete il progetto globale esistente dal workspace e create un nuovo progetto globale adatto all´uso multiuser servendovi del menu contestuale del workspace: Progetto nuovo
  2. Convertite poi il progetto standalone: selezionate nel menu contestuale il comandol Multiuser -> Converti in progetto Multiutente
  3. Il sistema visualizzerà un messaggio che Vi avvisa che questa operazione non può essere annullata.
    Tuttavia, un progetto multiuser può essere ripristinato come progetto standalone mediante un backup.
  4. Confermate di aver letto questo messaggio cliccando sul pulsante Sì.

info Informazioni su

Se si effettua una conversione, il computer su cui questa azione viene eseguita, viene definito come database server per il progetto. Questa proprietà non può più essere modificata in un secondo momento.


Conversione di un progetto multiuser in un progetto standalone

Manuale -> Engineering distribuito -> Conversione di un progetto multiuser in un progetto standalone

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per convertire un progetto multiuser in un progetto standalone:

  1. anzitutto assicuratevi che tutte le modifiche di progetto vengano riprese da tutti i client:
    • Progetto -> Menu contestuale -> Multiuser -> Sincronizza
  2. create un backup di progetto
    • Nodo Backup di progetto -> Menu contestuale -> Creare backup progetto
    • Assegnate nel dialogo nome e descrizione; potete creare un backup anche per una copia progetto locale.
  3. Create un backup del progetto come nuovo progetto:
    • Area di lavoro -> Menu contestuale -> Ripristina backup di progetto .
    • Selezionate il backup desiderato.
    • Attivate la checkbox Crea nuovo progetto.
    • confermate cliccando su OK
    • Assegnate un nuovo nome progetto.
  4. Il progetto viene creato come progetto standalone.
    Il progetto multiuser continua ad esistere in parallelo.

Nota: Per convertire la copia locale di progetto in un progetto standalone, si può scegliere nell´Editor, alla voce progetto, anche l´opzione Progetto -> Salva con nome ....


Come lavorare con un progetto multiutente

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I progetti multiutente consentono un accesso molteplice ai moduli. Se realizzate dei progetti multiutente, tenete presente soprattutto quanto segue:

  • Il procedimento in caso di Rendi possibili le modifiche e Accetta modifiche e le loro implicazioni nel caso di cambi in diversi moduli
  • Cancellazione di elementi
  • Sincronizzazione di elementi
  • Le particolarità di VBA e RGM

Rinomina progetto

I progetti non possono essere rinominati localmente con il comando Salva con nome, visto che viene salvata sempre la copia locale di progetto.

Per salvare un progetto server con un nuovo nome:

  1. Effettuate un backup del progetto server.
  2. Selezionate nel menù contestuale Ripristina backup come nuovo progetto.
  3. Assegnate il nuovo nome desiderato.

Il progetto sarà adesso disponibile con il nuovo nome.

Noch in diesem Kapitel

Amplia e sincronizza il progetto

Modifiche di elementi esistenti

Cancella progetti

Chiudere la connessione client.

Backup meccanismo

Abilita, accetta e rifiuta modifiche

Cancellazione di un elemento

Sincronizzazione del progetto multiuser

Manager gruppi di ricette

VBA e VSTA

Chiusura dell'editor


Amplia e sincronizza il progetto

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Amplia e sincronizza il progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se viene creato un nuovo elemento come, ad esempio, una variabile o una nuova immagine, questo elemeno è disponibile in un primo momento solo localmente e automaticamente vengono permesse delle modifiche dell'elemento stesso.

Se i cambiamenti vengono accettati, un altro client deve effettuare una sincronizzazione in modo tale da avere gli elementi modificati a disposizione sul suo computer.

Se i cambiamenti sono stati rifiutati dopo che è stato creato un nuovo elemento, è come se questo elemento non fosse mai esistito.

La differenza fra una nuova variabile ed una nuova immagine è che la variabile non è visibile dopo una sincronizzazione su altri calcolatori se le modifiche non sono state ancora accettate. Un'immagine, invece, è visualizzata su altri calcolatori come in costruzione dopo una sincronizzazione.

Vedi anche il capitolo "immagini! / sezione Editor dei modelli

Dopo che un altro utente ha inserito/cancellato un elemento, il progetto deve essere sincronizzato per accettare le modifiche. Questo è possibile tramite la voceProgetto/Sincronizza nel menu contestuale del progetto nel manager progetto.

Nel menu sono presenti le seguenti voci:

Funzionalità | Descrizione
Multiuser/sincronizzare | Il progetto viene aggiornato.
Multi-utente/attiva modalità offline | Viene attivata la Modalità offline. Le modifiche hanno effetto solo localmente e non vengono riprese centralmente finché il progetto è offline.
Multi-utente/attiva modalità online | Viene attivata la Modalità online. Se degli elementi sono stati già modificati e accettati da altri utenti, questi cambiamenti sovrascrivono quelli effettuati nella modalità offline.
Aggiorna versione locale | La copia locale viene allineata con il Server DB e viene aggiornata. Il progetto viene caricato nuovamente nell’Editor. Attenzione: Gli elementi/moduli selezionati dall’utente vengono ignorati.

info Informazioni su

Quegli elementi che sono stati resi disponibili per la modifica dallo stesso utente che effettua la sincronizzazione, non vengono sovrascritti durante la sincronizzazione. Le modifiche locali sono protette dal fatto di essere selezionate.

Eccezione:
L'utente A seleziona elementi offline. L'utente B seleziona elementi online. Se l'utente A si collega di nuovo con il server, gli elementi, che sono stati selezionati da entrambi gli utenti, per l'utente A vengono sovrascritti da quelli dell'utente B. Nel caso in cui in un team un componente stia effettuando la messa in opera di un impianto, consigliamo di non modificare il progetto sul server in questa fase offline!


Modifiche di elementi esistenti

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Modifiche di elementi esistenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si modifica un elemento esistente, si deve effettuare un check-out della parte che si vuole cambiare. Questo impedisce che più progettisti accedano e modifichino lo stesso elemento. Un elemento per il quale si è effettuato il check-out, è inaccessibile e non può essere modificato da parte di altri utenti.

L’elemento può essere modificato solamente dall'utente che ha effettuato il check-out e ottenuto in questo modo i diritti di modifica. Per tutti gli altri utenti l'elemento è bloccato.

Per poter effettuare delle modifiche di un elemento, l’utente deve selezionare la voce “Progetto/Consenti modifiche” nel menù contestuale dell'elemento. E' possibile effettuare il check-out solamente di singoli elementi, per esempio di una variabile. A questo scopo viene attivata la voce "Consenti modifiche" nel menù contestuale della visualizzazione dettagli della singola variabile . Inoltre è possibile effettuare il check-out di tutte le variabili del progetto contemporaneamente mediante il nodo principale.

Se un progetto è del tipo multiutente, viene aggiunta all´albero di progetto la voce In costruzione. Nella visualizzazione dettagli di questa lista sono elencati gli elementi del progetto attuale per cui è stato effettuato il check-out. Di default, ci sono le seguenti colonne: Stato, Elemento, Destinazione e Modulo. E’ possibile inserire ulteriori colonne nel menù contestuale del titolo colonne selezionando la voce “Selezione Campo”. Con le ulteriori colonne, la lista offre una visione d'insieme di quale elemento viene modificato, da quale utente e su quale computer.

info Informazioni su

Quando si tratta di progetti di integrazione e di sottoprogetti nella gestione multiutente, ci si deve prima accertare che entrambi i progetti abbiano abilitata la voce Rendi possibili le modifiche prima di trascinare il sottoprogetto nel progetto di integrazione.

Un utente può "leggere" ma non modificare un "elemento/modulo" finché non si è procurato la relativa autorizzazione. Tale autorizzazione la si ottiene attraverso il menù contestuale dell'elemento Rendi possibili le modifiche, o direttamente al momento dell'apertura dell'elemento.


Cancella progetti

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Cancella progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando viene cancellato un progetto, viene eliminata solo la copia locale del progetto. Il server DB continua ad essere disponibile ed altri client possono continuare a lavorarci. E' ancora possibile reinserire il progetto nel workspace. In questo caso viene creata una nuova copia locale del progetto.

Nel caso in cui l'utente cancelli la sua copia locale del progetto, anche tutte le informazioni di check-out (e, naturalmente, anche tutte le eventuali modifiche apportate) di tale utente vanno perse.


Chiudere la connessione client.

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Chiudere la connessione client.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la funzione "chiudi la connessione client" è possibile chiudere il collegamento fra la copia locale del progetto di un utente e il server DB. In tal modo vengono cancellate tutte le informazioni di check-out di questo utente. Ridiventa possibile apportare le modifiche di elementi che erano state bloccate da tale utente.

Si può rendere necessario chiudere la connessione client se l'utente non è in ufficio e ha reso inaccessibili degli elementi che devono essere modificati urgentemente, o se il calcolatore dell'utente ha un guasto.

attention Attenzione

Se la connessione client di un utente è stata chiusa e questi apre la copia locale del progetto, quest'ultimo è offline. Non è più possibile poi tornare online. La copia locale del progetto deve essere prima cancellata e reintrodotta dal server.

Condizione:

una connessione client può essere chiusa solo se il calcolatore, sul quale si lavorava alla copia del progetto locale, non è raggiungibile.

Tramite il menu principale File -> aggiungi progetto attuale si apre il manager banca dati del progetto. Alla voce "progetto multi-utente" si trovano sotto "copie di progetto locali collegate" tutti gli utenti, che hanno una copia locale di progetto In costruzione (o hanno avuto).

Utilizzando la voce "dividi", l'inserimento per questo utente viene cancellato dal server DB. Dopo che la connessione client è stata chiusa, si può uscire dalla finestra di dialogo.

attention Attenzione

Questa operazione non può essere revocata! Se l'utente vuole avere di nuovo accesso su questo calcolatore al progetto multi-utente, la copia locale del progetto deve essere cancellata e reintrodotta.


Backup meccanismo

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Backup meccanismo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per quello che concerne il meccanismo di backup nella progettazione distribuita, c´è da tener conto di quanto segue:

  • Può essere effettuato il backup solamente di stati locali del progetto.
  • Creare un backup è possibile finché non si è effettuata una sincronizzazione.

Noch in diesem Kapitel

Backup progetto

Ripristina backup di progetto


Backup progetto

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Backup meccanismo -> Backup progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il backup di progetto viene avviato nel manager di progetto mediante il nodo Backup di progetto.

Noch in diesem Kapitel

Backup di stati locali del progetto

Backup di progetti server


Backup di stati locali del progetto

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Backup meccanismo -> Backup progetto -> Backup di stati locali del progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un backup di progetto può essere creato mediante il menù contestuale del modulo Backup di progetto. Per realizzare un backup locale del progetto, deve essere attivato nel box di dialogo Crea backup... il checkbox Salva copia locale progetto.

Backup locali di progetto possono essere realizzati solo nell'ambito della stessa sessione offline di backup.

info Informazioni su

Ulteriori informazioni le trovate nella guida relativa al Backup di progetto, nel capitolo Backup di progetto Visualizzazione dettagli Barra degli strumenti.


Backup di progetti server

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Backup meccanismo -> Backup progetto -> Backup di progetti server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il backup dei progetti server può essere eseguito da ogni client se non è stata attivato il checkbox Salva copia locale progetto.

info Informazioni su

Ulteriori informazioni le trovate nella guida relativa al Backup di progetto, nel capitolo Esegui backup ed esporta progetto.


Ripristina backup di progetto

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Backup meccanismo -> Ripristina backup di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un backup di progetto può essere ripristinato mediante il menù contestuale del modulo Backup di progetto.

Backup locali possono essere realizzati solo nell'ambito della stessa sessione offline di backup.

info Informazioni su

Ulteriori informazioni le trovate nella guida relativa al Backup di progetto, nel capitolo Backup di progetto Visualizzazione dettagli Barra degli strumenti.

Noch in diesem Kapitel

Ripristino di backup di stati locali del progetto


Ripristino di backup di stati locali del progetto

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Backup meccanismo -> Ripristina backup di progetto -> Ripristino di backup di stati locali del progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un ripristino di una copia locale di progetto è possibile solo finché non è stata effettuata una sincronizzazione.
Nel caso in cui un progetto sia stato sincronizzato dopo l'effettuazione del backup, l'utente ha a disposizione l'opzione "Rileggi backup di progetto come nuovo progetto". In questo caso viene effettuato il backup come "single user project".

info Informazioni su

Ulteriori informazioni le trovate nella guida relativa al Backup di progetto, nel capitolo Ripristina backup.


Abilita, accetta e rifiuta modifiche

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Abilita, accetta e rifiuta modifiche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter effettuare dei cambiamenti ad un progetto, è necessario anzitutto rendere disponibili gli elementi corrispondenti (funzioni, variabili, immagini, ...) perché essi possano essere modificati. (Rendi possibili le modifiche). Dopo la modifica, gli elementi devono essere poi di nuovo bloccati in modo che non li si possa cambiare di nuovo; infine essi devono essere trasmessi al server (Conferma modifiche).

Nota: gli elementi nuovi e quelli cancellati vengono trasmessi sempre solo al momento del primo aggiornamento. Se un elemento viene cancellato, dunque, si può continuare a lavorarci su altri calcolatori; dopo la sincronizzazione, però, esso verrà definitivamente eliminato.

Parametri

Descrizione

Aggiorna versione locale

Nel caso in cui altri utenti abbiano effettuato delle modifiche al progetto server, la copia locale del progetto può essere aggiornata mediante questo punto di menu.

Vengono aggiornati solamente i singoli Elementi/Moduli Nuovi elementi presenti sul server non sono disponibili senza aver effettuato una sincronizzazione.

Consenti modifiche

Per poter effettuare delle modifiche ad elementi, deve essere settato per questi ultimi lo stato "consenti modifiche". Ciò può essere fatto mediante il menu contestuale dell'elemento selezionato.
Per consentire di lavorare in modo più veloce, è possibile stabilire che sia possibile effettuare delle modifiche alle variabili valide per tutto il modulo. Ciò signifca che l'accesso a tutte le variabili, a tutti i driver ed i tipi di dato è bloccato per tutti gli altri utenti.

Accetta modifiche

Le modifiche vengono inviate e applicate sul progetto del Server. Gli elementi/moduli sono nuovamente sbloccati per gli altri utenti.
Se sono state rese possibili delle modifiche tramite il modulo, queste possono essere anche accettate mediante il modulo.
Ciò significa che tutte le variabili, tutti i driver ed i tipi di dato vengono trasmessi e il loro accesso viene sbloccato per tutti gli altri utenti. In questo caso non è possibile accettare un elemento singolo.
Le modifiche apportate nella copia locale del progetto vengono rifiutate e sovrascritte dallo stato del server. Gli elementi/moduli sono nuovamente sbloccati per gli altri utenti.

Rifiuta modifiche

Ciò significa che tutte le variabili, tutti i driver ed i tipi di dato vengono rifiutati e il loro accesso viene sbloccato per altri utenti. In questo caso non è possibile rifiutare un elemento singolo.

info Informazioni su

Quando si effettuano dei cambiamenti al nome progetto, è impossibile fare uso di Cancella modifiche. Il nome progetto modificato rimane.

Modifiche a più moduli contemporaneamente

Se un modulo viene reso disponibile per le modifiche ed elementi di altri moduli vengono creati di nuovo e collegati al modulo in questione, tutti gli elementi/moduli interessati devono essere settati contemporaneamente su Accetta modifiche. Anzitutto rilasciate gli elementi/moduli nuovi e poi quelli già esistenti. Se viene reso disponibile solamente il modulo originariamente bloccato, il frutto del nuovo lavoro di progettazione può andare perduto.

Esempio:

  • su un client viene rilasciato il Manager gruppi ricette.
  • Viene creato un nuovo gruppo ricette, poi una nuova ricetta.
  • Una variabile esistente viene aggiunta al gruppo ricette.
  • Vengono create e aggiunte tre nuove variabili.
  • Vengono rilasciati interblocchi e viene creato un nuovo interblocco.
  • Viene creata una nuova immagine keyboard con un nuovo modello.
  • Nel gruppo ricette viene assegnato l´interblocco di nuova creazione.
  • Viene assegnata l´immagine keyboard.
  • Una nuova variabile per la visibilità viene creata e collegata con una del gruppo ricette.

Se solamente il gruppo ricette viene settato su Accetta cambiamenti e viene sincronizzato un altro client, accadrà quanto segue:

  • l´altro client riceverà:
    • un gruppo ricette con una variabile collagata
    • e una ricetta che contiene questa variabile
  • tutte le altre informaizioni, però, andranno perse

Se questo client blocca il gruppo ricette, lo modifica e lo rende di nuovo disponibile per cambiamenti, tutte le nuove informazioni progettate andranno perdute.

Per riprendete i cambiamenti in modo corretto, Accetta modifiche deve essere settato per:

  • RGM
  • Gruppo ricetta
  • Ricetta
  • Variabile
  • Interblocchi
  • Immagine keyboard
  • Modello per immagine keyboard

Noch in diesem Kapitel

Stato degli elementi/moduli

Legenda dei simboli


Stato degli elementi/moduli

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Abilita, accetta e rifiuta modifiche -> Stato degli elementi/moduli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si effettua il check-out di un elemento, cambia il simbolo corrispondente nell´albero di progetto, più precisamente nella visualizzazione dettagli. L’utente, che ha selezionato l’elemento, ha un simbolo verde di spunta vicino al checkbox. Tutti gli altri hanno una checkbox con una X rossa.Un ! significa che all'interno del nodo sono selezionati alcuni elementi.

Vedi capitolo Legenda.

Nel caso specifico della gestione variabili, i simboli vengono visualizzati in modo quasi trasparente se si è effettuata la selezione (check-out) mediante il modulo.

Example Esempio

Tutte le variabili sono selezionate per la modifica da un utente. Un altro utente non può modificare queste variabili, ma può inserirne una nuova.

Eccezione: check out modulo.

Le seguenti azioni sono possibili solamente se tutto il modulo viene settato su Rendi possibili le modifiche :

  • creazione di variabili array
  • creazione di tipi dato strutturato
  • copiare o inserire variabili array e di struttura
  • creare variabili sulla base di un tipo dato strutturato con array
  • modificare le impostazioni array di una variabile
  • modificare le impostazioni array in zenon Logic di una variabile con profilo zenon Logic

info Informazioni su

Se viene creata una variabile senza che il modulo Variabili nel suo complesso sia stato settato su Rendi possibili le modifiche, le dimensioni vengono settate automaticamente su 0. In tal modo si evita che venga creata involontariamente una variabile strutturata.

I seguenti elementi/moduli possono essere settati solo nel loro complesso su Rendi possibili le modifiche oppure Accetta modifiche :

  • Archivi
  • Utenti
  • Menù
  • Matrice di reazione
  • Ricette standard
  • Gruppi ricette
  • Script
  • Caratteri
  • Interblocchi
  • Attribuzioni

Visualizzazione modifiche di data nella finestra dettagli

Nella finestra dettagli ci sono due colonne contenenti informazioni relative all´ultimo momento in cui sono state effettuate delle modifiche:

  • Ultima modifica accettata: mostra in tutte le liste i cui contenuti riguardano l´engineering distribuito, il momento dell´ultimo update nella banca dati, oppure quello dell´ultimo login.
  • Modificato per ultimo: mostra il time stamp dell´ultima modifica del file nel file system.

Se le colonne non vengono visualizzate, potete attivarle nei modi seguenti:

  1. cliccate con il tasto destro del mouse sull´intestazione della colonna
  2. selezionate nel menù contestuale il comando Selezione colonne...
    (Quali colonne sono disponibili dipende dal tipo di modulo).
  3. selezionate le colonne desiderate nella lista di selezione a sinistra (possibile selezione multipla)
  4. aggiungete le colonne alla lista di destra cliccando sul pulsante Aggiungi->
  5. selezionate con i pulsanti "in su" o "in giù" la posizione desiderata nell´ambito della lista.
  6. confermate e chiudete il dialogo cliccando su OK.


Legenda dei simboli

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Abilita, accetta e rifiuta modifiche -> Legenda dei simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I seguenti simboli indicano gli stati degli elementi nell'engineering distribuito.

Per es.: un'immagine può essere modificata dall'utente [image])

Elementi della visualizzazione dettagli del manager di progetto:

Simbolo | Descrizione
 | Un nuovo elemento è stato aggiunto nella copia locale del progetto. Esso viene trasmesso al server solo dopo aver cliccato su Accetta modifiche (Check-In).
 | Un nuovo modulo è stato aggiunto nella copia locale del progetto. Esso viene trasmesso al server solo dopo aver cliccato su Accetta modifiche (Check-In).
 | Un elemento è stato evidenziato come cancellato nella copia locale del progetto. Esso viene cancellato sul server solo dopo aver cliccato su Accetta modifiche (Check-In).
 | Un modulo è stato evidenziato come cancellato nella copia locale del progetto. Esso viene cancellato sul server solo dopo aver cliccato su Accetta modifiche (Check-In).
 | L'elemento può essere modificato dall'utente attuale.
 | Il modulo può essere modificato dall'utente attuale.
 | L'elemento è bloccato da un altro utente.

Visualizzazione nell´albero di progetto:

Simbolo | Descrizione
 | Il modulo può essere modificato dall'utente attuale.
 | Il modulo viene modificato da un altro utente ed è bloccato per l'utente attuale.
 | Perlomeno un elemento del modulo è evidenziato per l'effettuazione di una modifica (non l'intero modulo)


Cancellazione di un elemento

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Cancellazione di un elemento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli elementi della banca dati vengono marcati come cancellati. Su tutti i client questi elementi vengono contrassegnati come bloccati e su di essi non è possibile effettuare nessuna modifica. Quando verranno accettate le modifiche, gli elementi verranno definitivamente cancellati. E’ possibile inoltre, una volta cancellati gli elementi, recuperarli annullando le modifiche effettuate.

Example Esempio

Ciò vale, per esempio, nel caso delle variabili: le modifiche debbono essere anzitutto accettate per poi renderne possibile una cancellazione definitiva.

Elementi file come immagini, file (tabelle lingua, grafiche) ecc., vengono cancellati subito sul calcolatore attivo dopo la conferma di una richiesta relativa posta dal sistema all´utente. Gli elementi nuovi e quelli cancellati vengono trasmessi sempre solo al momento del primo aggiornamento. Se un elemento viene cancellato, dunque, si può continuare a lavorarci su altri calcolatori; dopo la sincronizzazione, però, esso verrà definitivamente eliminato.


Sincronizzazione del progetto multiuser

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Sincronizzazione del progetto multiuser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo che un altro utente ha inserito/cancellato un elemento, il progetto deve essere sincronizzato per accettare le modifiche. Ciò avviene tramite il menu contestuale del progetto alla voce Progetto -> Menu contestuale -> Multi-utente -> Sincronizza o alla voce Tutti i moduli/aggiorna versione locale .

Nel menu sono presenti le seguenti voci:

Parametri

Descrizione

Sincronizza

La copia locale viene allineata con il Server DB e viene aggiornata. Il progetto viene caricato nuovamente nell’Editor.
Attenzione: Gli elementi/moduli selezionati dall’utente vengono ignorati.

Aggiorna versione locale

Vedi Aggiornare

Consenti modifiche

Abilita le modifiche per un elemento.

Accetta modifiche

Abilita le modifiche per un elemento.

Rifiuta modifiche

Le modifiche dell'elemento non vengono accettate, ma rifiutate. Utilzzando il comando Cancella modifiche il progetto viene caricato nuovamente dal Server DB.

Attenzione: usando il comando Cancella modifiche per un elemento non ancora accettato, anche tutti i cambiamenti che dipendono da tale elemento vengono rifiutati.

Gli elementi nuovi e quelli cancellati vengono trasmessi sempre solo al momento del primo aggiornamento.

info Informazioni su

Gli elementi che sono selezionati per la modifica dallo stesso utente che avvia la sincronizzazione non vengono controllati.


Manager gruppi di ricette

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Manager gruppi di ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialogo filtro nel Runtime

Se nell´ambito delle opzioni della Tabella valori ricette nel cambio immagine si attiva la proprietà Con dialogo filtro, sotto Windows CE sono disponibili solamente un numero limitato di opzioni:

  • Filtro di ricetta
  • Impostazioni colonne (per tabella ricette)

Selezione ricette, Progettazione impianto e Impostazioni colonne per Lista ricette non sono disponibili.


VBA e VSTA

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> VBA e VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´albero di progetto, nel menù contestuale dello Scripting, selezionate l´inserimento Apri Editor VBA..., oppure Apri Editor VSTA ; il sistema effettuerà il check-out dell´Editor e sarà possibile effettuare dei cambi.

Attenzione: Generalmente in VBA è possibile effettuare delle modifiche anche se l´elemento è stato settato su un altro calcolatore su Rendi possibili le modifiche.
Perciò, in caso di modifiche via VBA, tenete presente:

  1. Prima di effettuarle, controllate se si tratta di un progetto multiutente
  2. Se sì: controllate se l´elemento viene aggiunto da un altro client.
  3. Se sì: controllate se l´elemento ha localmente lo stato Rendi possibili le modifiche (check out)
    1. Se sì: l´oggetto può essere modificato.
    2. Se no: l´oggetto deve essere settato su Rendi possibili le modifiche
    • Controllate una seconda volta se l´oggetto ha lo stato Rendi possibili le modifiche
    • Se sì: l´oggetto può essere modificato in VBA
  4. Dopo aver effettuato le modifiche, l´oggetto deve essere riportato tramite VBA allo stato Accetta le modifiche (check in)

attention Attenzione

Nella gestione multi-progetto non è consentito aprire l’Editor con ALT+F11, visto che altrimenti non ne viene effettuato il check-out. Se non viene effettuato il check-out di VBA, le modifiche non vengono applicate. Quando si apre l´Editor VBA, il sistema visualizza un messaggio di avviso.


Chiusura dell'editor

Manuale -> Engineering distribuito -> Come lavorare con un progetto multiutente -> Chiusura dell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ogni utente dovrebbe effettuare le modifiche ai propri oggetti prima di chiudere l'editor, il progetto o l'area di lavoro (workspace). Finché ciò non accade, infatti, gli altri utenti non possono apportarvi delle modifiche. Vedi anche capitolo: Editor/capitolo: Chiudi Editor

Se si chiude senza che siano state accettate le modifiche, si apre un dialogo che propone di accettare o rifiutare i cambi:

Parametri | Descrizione
Campo lista Elementi | Visualizza in una lista tutti gli elementi che non sono abilitati alla modifica. Le modifiche per gli elementi visualizzati possono essere accettate o rifiutate facendo uso dei pulsanti corrispondenti.
Accetta modifiche | Per tutti gli elementi visualizzati le modifiche vengono accettate.
Rifiuta modifiche | Per tutti gli elementi visualizzati le modifiche vengono rifiutate.
Modifica... | Il procedimento di chiusura dell'editor viene interrotto.
Avanti | Prosegue il processo di chiusura del progetto attuale nell´ambito del workspace. Gli elementi rimangono bloccati per gli altri utenti. Se si vuole chiudere più Progetti multiuser, verrà proposto poi dal sistema questo dialogo per il progetto da chiudere in seguito.
Avanti tutti | Prosegue il processo di chiusura di tutti i progetti multiuser presenti nel workspace. Gli elementi rimangono bloccati per gli altri utenti.
Guida | Attiva la guida online


Lavoro offline

Manuale -> Engineering distribuito -> Lavoro offline

Quando si lavora offline, non esiste una connessione con il server, ad esempio, se un progettista porta il computer dal cliente per lavorare al progetto.

Per poter lavorare con un progetto offline, si deve selezionare nel menù contestuale del progetto la voce "Attiva modalità offline". I progetti che non hanno una connessione con il server DB, sono attivati offline automaticamente.

info Informazioni su

Accetta modifiche e Cancella modifiche non sono possibili durante il lavoro offline!

Nella modalità offline, è possibile solo Rendi possibili le modifiche; in caso contrario non sarebbe possibile nessuna modifica offline. Solo dopo essere passati alla modalità online, diviene possibile utilizzare la funzione Accetta modifiche.

Noch in diesem Kapitel

Passare alla modalità offline

Da Offline a Online

Possibilità durante il lavoro Offline


Passare alla modalità offline

Manuale -> Engineering distribuito -> Lavoro offline -> Passare alla modalità offline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esistono alcuni casi in cui è utile lavorare offline, elencati qui di seguito:

Noch in diesem Kapitel

Degli elementi o dei moduli sono bloccati da un altro utente.

Gli elementi/moduli sono selezionati per le modifiche dallo stesso utente al cambio in offline

Non sono selezionati elementi/moduli al passaggio in Offline


Degli elementi o dei moduli sono bloccati da un altro utente.

Manuale -> Engineering distribuito -> Lavoro offline -> Passare alla modalità offline -> Degli elementi o dei moduli sono bloccati da un altro utente.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento di passare alla modalità offline, un altro utente sta già modificando un elemento o un modulo. In questo caso non può essere fatta nessuna modifica.


Gli elementi/moduli sono selezionati per le modifiche dallo stesso utente al cambio in offline

Manuale -> Engineering distribuito -> Lavoro offline -> Passare alla modalità offline -> Gli elementi/moduli sono selezionati per le modifiche dallo stesso utente al cambio in offline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento di passare alla modalità offline, lo stesso utente sta già modificando un elemento o un modulo. In questo caso non sono possibili modifiche online da parte di un altro utente.


Non sono selezionati elementi/moduli al passaggio in Offline

Manuale -> Engineering distribuito -> Lavoro offline -> Passare alla modalità offline -> Non sono selezionati elementi/moduli al passaggio in Offline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento del passaggio in modalità Offline non sono modificati elementi/moduli.

Variante 1:

Vengono abilitate offline delle modifiche ad un elemento/modulo; la stessa cosa, però, accade anche online.

L'utente A effettua delle modifiche ad un elemento/modulo offline; l'utente B online.

Quando l´utente A passa alla modalità online, il sistema riconosce che l´utente B sta modificando online il modulo/l´elemento.

Le modiche realizzate dall´utente A andranno perdute.

attention Attenzione

In questo caso le modifiche offline (quelle effettuate dall'utente A) andranno perse!

Variante 2:

Quando l'utente A fa accettare le modifiche da lui effettuate, l'utente B ha a sua volta già salvato i cambiamenti da lui apportati.

Le modifiche dell´utente A sovrascrivono al momento del passaggio alla modalità online quelle dell´utente B.

attention Attenzione

In questo caso le modifiche online appena effettuate (dall'utente B) verranno sovrascritte!


Da Offline a Online

Manuale -> Engineering distribuito -> Lavoro offline -> Da Offline a Online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per riportare un progetto dalla modalità offline a quella online, selezionare nel menu di progetto la voce “Progetto/Online”. Il progetto viene sincronizzato e caricato nuovamente nell’Editor.


Possibilità durante il lavoro Offline

Manuale -> Engineering distribuito -> Lavoro offline -> Possibilità durante il lavoro Offline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Elementi/moduli

Creazione, modifica, cambio nome e eliminazione


File di configurazione

Manuale -> File di configurazione

Informazioni per gli amministratori di sistema che vogliono accedere direttamente ai file-INI.

info Informazioni su

In linea di principio, le impostazioni di progetto dovrebbero essere esguite nell'Editor. Effettuare delle modifiche nei file INI è cosa riservata ad esperti.

Formato per il salvataggio dei file INI

Per motivi che hanno a che fare con il sistema, solamene ANSI e Unicode sono supportati per la lettura dei file INI.

attention Attenzione

Il formato di salvataggio UTF-8 non viene supportato!

Perciò salvate sempre i vostri file INI come file di testo in formato ANSI o Unicode.

File di import e INI

Sono fornite informazioni riguardanti i seguenti file di configurazione:

File

Descrizione

dBaseIV file variabile

Impostazioni del file di importazione dBase IV.

project.ini

Impostazioni per il progetto.

Il project.ini si trova nel percorso Runtime del progetto corrispondente. Per aprire il percorso:

  • Selezionare il progetto.
  • Premere la combinazione tasti Ctrl+Alt+E.
  • Si apre la cartella SQL del progetto.
  • Passare a ...\FILES\zenon\system

startup.ini

Impostazioni dello Startup Tool di zenon.

zenDB.ini

Impostazioni della banca dati SQL

zenon6.ini

Impostazioni per zenon:

Lo zenon6.ini si trova nel percorso:

C:\ProgramData\COPA-DATA\System\

zenWebSrv.ini

Impostazioni per il Webserver di zenon.

Modifica dei file project.ini e zenon6.ini

I file INI vengono elaborati come segue:

project.ini

Le impostazioni in project.ini vengono elaborate nella seguente successione:

  1. project.ini
  2. zenon6.ini
  3. Valori di Default

Viene usato il primo inserimento trovato.

zenon6.ini

Le impostazioni in zenon6.ini vengono elaborate nella seguente successione:

  1. zenon6.ini
  2. Valori di Default

Viene usato il primo inserimento trovato.

Noch in diesem Kapitel

dBaseIV file variabile

project.ini

startup.ini

zenDB.ini

zenon6.ini

zenProcGateway.ini

zenWebSrv.ini


dBaseIV file variabile

Manuale -> File di configurazione -> dBaseIV file variabile

Per l´importazione e esportazione di variabili il file dBaseIV deve avere la struttura e il contenuto seguente.

attention Attenzione

dBase non supporta nessuna struttura o array (variabili complesse).

I file DBF devono:

  • corrispondere nella denominazione al formato 8.3 DOS per nomi file (8 caratteri alfanumerici per il nome, 3 caratteri estensione, nessuno spazio)
  • essere depositati vicino alla cartella (Root)

Struttura

Nome | Tipo | Gr. campo | Commento
KANALNAME | Char | 128 | Nome variabile. Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
KANAL_R | C | 128 | Nome originario di una variabile che deve essere sostituito con l´inserimento in “VARIABLENAME” (campo/colonna devono essere impostati manualmente). Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
KANAL_D | Log | 1 | Variabile viene cancellata coll'inserimento del valore 1 (campo, colonna devono essere creati manualmente).
TAGNR | C | 128 | Identificazione. Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
EINHEIT | C | 11 | Unità di misura tecnica
DATENART | C | 3 | Tipo di dato (p.e. Bit, Byte, Word, ...) corrisponde al tipo di dato.
KANALTYP | C | 3 | Parte della memoria nel PLC (p.e. area merker, area dati, ….) corrisponde al tipo di oggetto driver.
HWKANAL | Num | 3 | Indirizzo bus
BAUSTEIN | N | 3 | Indirizzo del blocco dati (unicamente variabili dall´area dati del PLC)
ADRESSE | N | 5 | Offset
BITADR | N | 2 | Per variabili bit: Indirizzo bit Per variabili Byte: 0=parte bassa, 8= parte alta per variabili stringa: Lunghezza stringa (max. 63 caratteri)
ARRAYSIZE | N | 16 | Quantità di variabili nell´array per variabili indice ATTENZIONE: Solamente la prima variabile è disponibile. Tutte le altre variabili sono accessibili solo attraverso VBA o il manager dei gruppi di ricette.
LES_SCHR | L | 1 | Autorizzazione di scrittura e lettura 0: Settare valore impostabile non permesso 1: Settare valore impostabile permesso
MIT_ZEIT | L | 1 | Settaggio valore tempo in zenon (solo se supportato dal driver)
OBJEKT | N | 2 | Numero ID specifico per i driver dell´oggetto primitivo Si compone di TREIBER-OBJEKTTYP e DATENTYP
SIGMIN | Float | 16 | Segnale del valore di origine minimo (risoluzione di segnale)
SIGMAX | F | 16 | Segnale del valore di origine massimo (risoluzione di segnale)
ANZMIN | F | 16 | Valore tecnico minimo (area di misurazione)
ANZMAX | F | 16 | Valore tecnico massimo (area di misurazione)
ANZKOMMA | N | 1 | Quantità delle cifre decimali per la rappresentazione dei valori (area di misurazione)
UPDATERATE | F | 19 | Frequenza update per le variabili matematiche (in sec, una cifra decimale possibile) non utilizzato con tutte le altre variabili
MEMTIEFE | N | 7 | Esistente per motivi di compatibilità
HDRATE | F | 19 | Frequenza di update HD per valori storici (in sec, possibile una cifra decimale)
HDTIEFE | N | 7 | Profondità HD per valori storici (Quantità)
NACHSORT | L | 1 | Valori HD come valori ulteriormente sorteggiati
DRRATE | F | 19 | Aggiornamento a livello emissione (per il server zenon DDE, in secondi, possibile una cifra decimale)
HYST_PLUS | F | 16 | Isteresi positiva, partendo dall´area di misurazione
HYST_MINUS | F | 16 | Isteresi negativa, partendo dall´area di misurazione
PRIOR | N | 16 | Priorità di aggiornamento della variabile
REAMATRIZE | C | 32 | Nome della matrice di reazione attribuita
ERSATZWERT | F | 16 | Valore di sostituzione, partendo dall´area di misurazione
SOLLMIN | F | 16 | Limite di valore impostabile Minimo, partendo dall´area di misurazione
SOLLMAX | F | 16 | Limite del valore impostabile massimo, partendo dall´area di misurazione
VOMSTANDBY | L | 1 | Richiedere variabile dal Server-Standby; il valore della variabile nella rete di ridondanza non viene richiesto dal server ma dal Server-Standby.
RESOURCE | C | 128 | Identificazione servizio Stringa libera per esportazione e visualizzazione in liste. Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
ADJWVBA | L | 1 | Adattamento di valori non-lineari 0: Viene utilizzato l’adattamento non lineare dei valori 1: L’adattamento non lineare dei valori non viene utilizzato.
ADJZENON | C | 128 | Macro VBA collegata per la lettura delle variabili per adattamento non lineare dei valori.
ADJWVBA | C | 128 | Macro VBA collegata per la scrittura delle variabili al fine dell´adattamento non lineare dei valori.
ZWREMA | N | 16 | Matrice di reazione di conteggio collegata.
MAXGRAD | N | 16 | Gradiente massimo per la matrice di reazione di conteggio.
attention Attenzione
In caso di import, i tipi di oggetto driver e tipi di dato devono essere adattati nel file DBF al driver di destinazione, in modo tale che sia possibile importare le variabili.

Definizione di valore limite

Definizione per valore limite da 1 a 4, oppure stato da 1 a 4:

Nome | Tipo | Gr. campo | Commento
AKTIV1 | L | 1 | Valore limite attivo (esistente per ogni valore limite)
GRENZWERT1 | F | 20 | Valore tecnico o numero ID della variabile collegata per un valore limite dinamico (vedi VARIABILEx) (se sotto VARIABLEx è settato 1 e qui -1, non si sovrascrive la presente assegnazione di variabili).
SCHWWERT1 | F | 16 | Valore di soglia per il valore limite
HYSTERESE1 | F | 14 | Non utilizzata
BLINKEN1 | L | 1 | Imposta lampeggio
BTB1 | L | 1 | Salvataggio in CEL
ALARM1 | L | 1 | Allarme
DRUCKEN1 | L | 1 | Stampa (per CEL oppure allarmi)
QUITTIER1 | L | 1 | Ripristino obbligatorio
LOESCHE1 | L | 1 | Cancellazione obbligatoria
VARIABLE1 | L | 1 | Collegamento dinamico del valore limite il valore limite non è definito con un valore assoluto (vedi casella GRENZWERT).
FUNC1 | L | 1 | Collegamento funzione
ASK_FUNC1 | L | 1 | Esecuzione tramite la Lista di informazione allarmi
FUNC_NR1 | N | 10 | Numero ID della funzione collegata (settato “-1”, non si sovrascrive la funzione esistente all’importazione)
A_GRUPPE1 | N | 10 | Gruppo allarmi/eventi
A_KLASSE1 | N | 10 | Classe allarmi/eventi
MIN_MAX1 | C | 3 | Minimo, massimo
FARBE1 | N | 10 | Colore pari alla cifratura Windows
GRENZTXT1 | C | 66 | Testo valore limite
A_DELAY1 | N | 10 | Ritardo di segnalazione
INVISIBLE1 | L | 1 | Invisibile

Descrizioni nella colonna „annotazioni” si riferiscono ai termini usati nei box di dialogo per la definizione di variabili. In caso di problemi consultare capitolo definizione variabili.


project.ini

Manuale -> File di configurazione -> project.ini

Il file project.ini contiene le impostazioni specifiche per il progetto. In linea di principio, le impostazioni di progetto dovrebbero essere definite nell'Editor. Effettuare delle modifiche nel project.ini dovrebbe essere riservato agli esperti. Le impostazioni dell´Editor che differiscono dai valori di default, vengono inserite dall´Editor nel project.ini.

Modificare e applicare inserimenti in modo permanente

Gli inserimenti del project.ini vengono sovrascritti quando i progetti vengono reimportati dal Runtime. . Per garantire che gli inserimenti fatti nel project.ini vengano effettivamente accettati, si consiglia di procedere nel modo seguente:

  1. Identificare il progetto: Prendere nota del GUID (le prime 4-6 posizioni saranno sufficienti) e chiudere il workspace o l´Editor.
  2. Passare alla cartella SQL: nella directory SQL c`è una cartella con il numero GUID.
  3. Passare al project.ini: il file project.ini si trova in questa cartella GUID alla voce \FILES\zenon\system.
  4. Effettuare le modifiche desiderate nel file project.ini: fare le modifiche, salvarle e chiudere il file project.ini.
  5. Aprire l´Editor: riaprire l´Editor o caricare il progetto, creare i file Runtime modificati e trasferirli.

info Informazioni su

Indipendentemente dal nome del progetto, il project.ini viene salvato sempre come project.ini nel percorso Project_SQL_Ordner\FILES\zenon\system\project.ini.

Suggerimento: selezionare il progetto nel manager di progetti -> premere la combinazione di tasti Ctrl+Alt+E -> l´Explorer aprirà la cartella Project_SQL_directory/FILES/

Noch in diesem Kapitel

Impostazioni generali [DEFAULT]

AML [ALARM]

Server di archiviazione [ARCHIV]

Automatic Line Coloring [ALC] e [ALC_TOP]

Elementi d´immagine [ELEMENTE]

CEL [BTB]

Stampa [DRUCKER]

Trend esteso [EW_TREND]

Export [EXPORT]

Log di errore [ERRORLOG] e [LON_32]

Funzioni [FUNKTIONEN]

Industrial Maintenance Manager [IMM]

Rete [NETZ] e [TOKEN]

Gestione password [PASSWORD]

Percorsi [PATH]

Production & Facility Scheduler [PFM]

Link di progetto [PROJEKTLINKS]

Trasporto Remoto [ED_REMOTE], [DIRLIST] e [TRANSPASS]

Manager di gruppi ricette (RGM)

Runtime [RT]

File Runtime modificabili [RTDATEN]

Stato [STATUS]

Tabelle [TABELLE]

Driver

Visualizzazione globale [WORLDVIEW]

Versioni di zenon e versionamento progetti [VERSION]


Impostazioni generali [DEFAULT]

Manuale -> File di configurazione -> project.ini -> Impostazioni generali [DEFAULT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[DEFAULT]

Impostazioni generali per il progetto.

AUFFUELLEN=

Tipo di salvataggio per l´amministrazione dei dati HD e dei dati memoria.

  • 0: ogni volta che arriva un valore, questo viene salvato.
  • 1: i valori vengono salvati in un intervallo definito.
    Se gli intervalli di tempo sono grandi, è possibile che debbano essere salvati molti dati.

Default: 1

Calcolo: viene salvato ogni tempo di ciclokte. k è la parte più grande a numeri interi dei valori HD da salvare, che è minore o pari a 84.
Esempio: numero valori 300 -> Salvataggio ogni 75. Valore.

Corrisponde alla proprietà Buffer di dati nel gruppo Impostazioni Runtime dell´Editor.

BLINK=

Frequenza di lampeggio di elementi dinamici in decimi di secondo.

  • Minimo: 0
  • Massimo: 2147483647

Default: 5

Per es.: BLINK=5 corrisponde ad un lampeggio al ritmo di mezzo secondo.

Corrisponde alla proprietà Frequenza di lampeggio [dec.Secondo] nel gruppo Aspetto grafico/Runtime generale dell´Editor.

BTB_DRUCKEN=0

Definisce se, quando l´impostazione ONLINE_DRUCKEN=1 è attiva, viene stampata la AML oppure la CEL:

  • 1: CEL
  • 0: AML

Default: AML

Corrisponde alla proprietà Stampa per nel gruppo AML e CEL dell´Editor.

CURSOR=

Visualizzazione del cursore mouse:

  • 1: il cursore mouse viene visualizzato a Runtime
  • 0: il cursore mouse è disattivato (per es. per la gestione touch).

Default: 1

Attenzione: questa impostazione interessa solamente zenon, non ha effetto sugli elementi standard di Windows, come barre del titolo, menù, barre di scorrimento, ecc. Per gli elementi Windows, il cursore mouse deve essere disattivato direttamente nel sistema operativo.

Corrisponde alla proprietà Cursore visibile nel gruppo Aspetto grafico/Runtime generale dell´Editor.

EnRtDlgFont=

Consente di visualizzare finestre di dialogo e impostazioni a più pagine a Runtime con un carattere che può essere impostato liberamente.

  • 0: disattivato.
  • 1: attivo

Default: 0

Definire il carattere da utilizzare usando la proprietà RtDlgFont=.

Corrisponde alla proprietà Carattere di dialogo configurabile nel gruppo Aspetto grafico/Runtime generale dell´Editor.

FocusLineColor=

Colore della cornice che a Runtime identifica l´oggetto con il focus.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Default: 12614523 (Editor: #7B7BC0)

Corrisponde alla proprietà Colore linea di focus nel gruppo Aspetto grafico/ dell´Editor.

FocusLineWidth=

Larghezza in pixel della linea della cornice che identifica a Runtime l´oggetto con il focus.

Default: 3

Corrisponde alla proprietà Dimensioni linea di focus nel gruppo Aspetto grafico/Immagini dell´Editor.

GW_FKT_AT_RT_START =1

Esecuzione di funzioni di valore limite quamdo si avvia il Runtime o ci sono violazioni di valore limite in attesa.

  • 0: no
  • 1: si

Default: 1

Attenzione: questa proprietà interessa solamente i valori limite che non sono allarmi.

Corrisponde all´impostazione della proprietà della variabile Esegui funzioni val. limiti all'avvio del RT nel gruppo Funzioni dell´Editor.

HDDATEN=

Registrazione dei dati HD:

  • Attivo: i dati hard disk (HDD) vengono registrati .
  • Non attivo: i dati hard disk (HDD) non vengono registrati

Default: Attivo

Corrisponde alla proprietà Dati HDD attivi dell´Editor.

HEX=

Tipo di visualizzazione degli indirizzi delle variabili:

  • 0: normale
  • 1: esadecimale

LockVar=

Consente di settare un blocco utente in progetti senza rete usando una variabile binaria.

Valori:

  • 0: nessuna variabile collegata
  • >0: ID interno delle variabili.

Default: 0

Dovrebbe essere configurato solamente nell`Editor.

Corrisponde alla proprietà Blocco utente nel gruppo Interazione dell´Editor.

MENU=

Visualizzazione di menù principali a Runtime:

  • 0: a Runtime non viene visualizzato nessun menù principale.
  • 1: una barra posta al margine superiore della finestra Runtime viene riservata alla visualizzazione dei menù.

Default: 0

Attenzione: si deve attivare questa opzione se si usano i menù principali.

Corrisponde alla proprietà Attiva menu principali nel gruppo Aspetto grafico/Runtime generale dell´Editor.

MILLISEK=0

La visualizzazione e elaborazione interna dei valori HD, e l´update delle immagini attive avvengono in:

  • 1: millisecondi
  • 0: secondi

Default: 1

Corrisponde alla proprietà Valori Trend e HD in millisecondi nel gruppo Impostazioni Runtime dell´Editor.

MOUSE_FOCUS=

Impostazione per focus del mouse:

  • 1: attivo
  • 0: disattivato.

ONLINE_DRUCKEN=

Registrazione di inserimenti Runtime (CEL o alarmi).

  • 1: attivo Ad ogni nuovo inserimento nella AML o nella CEL, l´evento viene inviato alla stampante definita nelle proprietà di progetto.
  • 0: disattivato.

Default: 1

La selezione di CEL o AML avviene tramite l´inserimento BTB= (0 = AML, 1 = CEL).

Corrisponde alla proprietà Stampa attiva nel gruppo AML e CEL dell´Editor.

PokeAckInCel=

Inserimento CEL per la scrittura di valori:

  • 1: se i valori sono stati scritti con successo sull'hardware, viene eseguito un inserimento corrispondente nella CEL.
  • 0: l´avvenuta scrittura di valori nella CEL non viene registrata.

Default: 0

Nota: questa proprietà ha effetto a Runtime solo se si setta il valore impostabile usando la funzione Settare valore impostabile.

Corrisponde alla proprietà Funzioni settaggio valore nel gruppo Lista eventi cronologica (CEL)/Abilita log dell´Editor.

RELEASE=5

Visualizzazione della finestra principale a Runtime:

  • 0: titolo con sistema, pulsante di riduzione a icona e pulsante di ingrandimento.
    Si può modificare la dimensione della finestra, la si può spostare e la si può chiudere, cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menù contestuale.
  • 1: titolo con pulsanti di riduzione a icona e di ingrandimento.
    Si può modificare la grandezza della finestra e spostarla. Non è possibile chiuderla (neanche usando il menù contestuale, la barra delle applicazioni o la combinazione di tasti Alt+F4). Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menù contestuale.
  • 2: titolo con pulsante pulsante di riduzione a icona.
    Per versioni precedenti. Non viene più supportato. A Runtime viene utilizzata la versione valida più recente.
  • 3: titolo con pulsante di ingrandimento.
    Per versioni precedenti. Non viene più supportato. A Runtime viene utilizzata la versione valida più recente.
  • 4: titolo senza elementi di comando.
    Nessun menù di sistema, pulsanti di riduzione a icona e di ingrandimento. La finestra può essere spostata e chiusa cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menù contestuale.
  • 5: Nessun titolo (schermo completo).
    Visualizzazione della superficie completa. Barra del titolo non è visualizzata.
  • 6: titolo con menù di sistema.
    La finestra può essere spostata e chiusa cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menù contestuale.

Default: 5

Attenzione: se si modifica questa proprietà nell´Editor, si dovrà riavviare il Runtime. Non è sufficiente eseguire solamente un reload, visto che, per applicare le impostazioni riguardanti la finestra principale, il Runtime deve essere chiuso e riaperto.

Corrisponde alla proprietà Titolo Runtime nel gruppo Aspetto grafico/Runtime generale dell´Editor.

RtDlgFont=

Selezione del carattere che deve essere utilizzato a Runtime per finestre di dialogo e impostazioni multi-pagina.

  • 0: Standard
  • 1: tipo di carattere numero 1 della lista font.
  • 2: tipo di carattere numero 2 della lista font.
  • 3: tipo di carattere numero 3 della lista font.
  • 4: tipo di carattere numero 4 della lista font.
  • 5: tipo di carattere numero 5 della lista font.

Default: 2

Si applica solamente se la proprietà EnRtDlgFont= ha il valore 1.

Corrisponde alla proprietà Carattere di dialogo nel gruppo Aspetto grafico/Runtime generale dell´Editor.

RTVERSION=

Versione del Runtime per cui vengono compilati file Editor.

Esempio: RTVERSION=7100 crea i file Runtime che vengono usati in un Runtime della versione 7.10 SP0.

Attenzione: dopo ogni modifica di questa proprietà, tutti i file Runtime devono essere creati di nuovo. Vengono anche convertite le configurazioni di tutti i driver. Le impostazioni che non esistono nella versione corrispondente, vengono settate su quelle di default.

Corrisponde alla proprietà Crea RT file per, contenuta nel gruppo Generale dell´Editor.

RuntimeLasso=

Selezione di più elementi a Runtime.

  • 0: disattivato.
  • 1: attivo
    Spostando il mouse e tenendo premuto il tasto sinistro, si possono selezionare più elementi a Runtime. Una macro VBA può poi accedere a questi elementi.

Default: 0

Corrisponde alla proprietà Selezioni multiple in Runtime (Lazzo) nel gruppo Interazione dell´Editor.

SCREEN=

Risoluzione dell´immagine Runtime sullo schermo con:

  • sinistra
  • in alto
  • destra
  • in basso

Ogni modifica causa l´adattamento di tutti i modelli, immagini, caratteri ecc.

Esempio: SCREEN=0,0,1280,1024

Viene ripreso dalla finestra di dialogo della proprietà Configurazione monitor (scheda Generale, opzione Risoluzione dello schermo) nel gruppo Aspetto grafico/Runtime generale.

CS_STEPNAME=

Tipo di visualizzazione del nome azione nella griglia sequenze di comando.

  • 1: viene usato il nome azione definito dall´utente.
  • 0: viene usato il testo standard.

Default: 0

Corrisponde alla proprietà Nome attività nella griglia sequenze di comando nel gruppo Sequenze di comando dell´Editor.

UseGDIplus=

Definisce la qualità grafica da usare:

  • 0: Windows Basic Proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.
  • 4: DirectX Hardware. Il calcolo grafico viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.
  • 5: DirectX Software. Una parte del calcolo grafico viene eseguito dalla scheda grafica. Se il sistema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: 4

Nota:

  • DirectX non è disponibile sotto Windows CE e non può essere usato per OCX.
  • I valori 1, 2 e 3 non devono essere usati.
  • Un cambio di modalità durante la progettazione può causare piccole divergenze di pixelSequenze di comando. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
  • Quando si abilita l´opzione Windows Basic per tutti i tipi di linea che usano una Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.

Corrisponde alla proprietà Qualità grafica nel gruppo Qualità grafica/Immagini dell´Editor.

USEREVENTNEEDMODEL=
  • 0: gli eventi utenti vengono eseguiti anche in giorni senza turno.
  • 1: gli eventi utenti vengono eseguiti solo in giorni con turno.

WATCHFILES=

Stabilisce se i file Runtime vengono indicizzati:

  • 0: disattivato.
  • 1: attivo

Default: 0

Se l´indicizzazione è attiva, il sistema attiva una cartella cache per i dati Runtime per consentire un accesso veloce.

Corrisponde alla proprietà Indicizza file Runtime nel gruppo Impostazioni Runtime dell´Editor.


AML [ALARM]

Manuale -> File di configurazione -> project.ini -> AML [ALARM]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[ALARM]

Inserimenti per la lista di informazioni allarmi

Queste proprietà dovrebbero essere impostate nell´Editor, nelle proprietà di progetto del gruppo Lista di informazione allarmi.

AELTESTER=

Definizione di quale allarme viene visualizzato nella barra stato allarmi. A seconda delle impostazioni configurate per la proprietà NACHSCHIEBEN=, avviene quanto segue:

  • 1: a Runtime viene visualizzato nella barra stato allarmi solo l´allarme non ripristinato più vecchio (NACHSCHIEBEN=0), oppure viene visualizzato per primo l´allarme più vecchio (NACHSCHIEBEN=1).
  • 0: a Runtime viene visualizzato nella barra stato allarmi solo l´allarme non ripristinato più recente (NACHSCHIEBEN=0), oppure viene visualizzato per primo l´allarme più recente (NACHSCHIEBEN=1).

Corrisponde alla proprietà Visualizza dell´Editor.

ALA_ANZ=

Larghezza della colonna Testo in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

ALARMMELDELISTE=

Definisce l´ordine degli inserimenti nella Lista di informazione allarmi

  • 0: nome variabile univoco
  • 1: Identificazione
  • 2: testo allarme
  • 3: orario di arrivo allarme
  • 4: orario dell´uscita di un allarme
  • 5: orario del ripristino

Per esempio: ALARMMELDELISTE=13452
Identificazione- entra - esce - ripristinato - testo di allarme

ALARM_STATE_BACK_COLOR=

Colore di sfondo della barra stato allarmi.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Default: 255

Corrisponde alla proprietà Colore di sfondo dell´Editor.

ALARM_STATE_BACK_COLOR1=

Colore di sfondo per avvertimento 1 (STACK_WARNING_COUNT0=).

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Default: 16711680

Corrisponde alla proprietà Segnalazione 1 colore di sfondo dell´Editor.

ALARM_STATE_BACK_COLOR2=

Colore di sfondo per avvertimento 2 (STACK_WARNING_COUNT1=).

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Default: 16711680

Corrisponde alla proprietà Segnalazione 2 colore di sfondo dell´Editor.

ALARM_STATE_BACK_COLOR3=

Colore di sfondo per avvertimento 3 (STACK_WARNING_COUNT0=).

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Default: 16711680

Corrisponde alla proprietà Segnalazione 3 colore di sfondo dell´Editor.

ALARM_STATE_TEXT_COLOR=

Colore del testo per la barra stato allarmi.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Default: 0

Corrisponde alla proprietà Colore testo dell´Editor.

ALARM_STATE_TEXT_COLOR1=

Colore del testo per avvertimento 1 (STACK_WARNING_TEXT0=).

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Default: 16777215

Corrisponde alla proprietà Segnalazione 1 colore testo dell´Editor.

ALARM_STATE_TEXT_COLOR2=

Colore del testo per avvertimento 2 (STACK_WARNING_TEXT1=).

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Default: 16777215

Corrisponde alla proprietà Segnalazione 2 colore testo dell´Editor.

ALARM_STATE_TEXT_COLOR3=

Colore del testo per avvertimento 3 (STACK_WARNING_TEXT2=).

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Default: 16777215

Corrisponde alla proprietà Segnalazione 3 colore testo dell´Editor.

AREA=

Descrizione della colonna Area allarme.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

AREA_ANZ=

Larghezza della colonna Area allarme in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

AREANR=

Descrizione della colonna Numero area allarme.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

AREANR_ANZ=

Larghezza della colonna Numero area allarme in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

BEEP=

Riproduzione di un segnale acustico quando si attiva il primo allarme:

  • 1: viene riprodotto il segnale acustico. (Default)
  • 0: non viene riprodotto nessun suono.

CLASS_ANZ=

Larghezza della colonna Classe allarme/eventi in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

CLASSSYMBOL_ANZ=

Larghezza della colonna Simbolo classe allarme/eventi in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

COLOR_ACKN_MARKER = xxx

Se ci sono degli allarmi non ripristinati, lampeggiano due rettangoli nel colore xxx. Dopo il ripristino, il lampeggio si interrompe.

xxx viene calcolato nel modo seguente: parte di rosso (0-255) + 256 * parte di verde (0-255) + 65536* parte di blu (0-255)

Corrisponde alla proprietà Lampeggio allarmi non riconosciuti dell´Editor.

COLOR_BACKGROUND=

Uso del colore della classe allarme:

  • 1: il colore della classe viene interpretato come colore di sfondo.
  • 0: il colore della classe determina il colore del testo.

Default: 0

Se nessuna classe è collegata al valore limite, il colore di sfondo o il colore di testo viene preso dalle impostazioni dell´elemento della lista nell´immagine.

Viene usato insieme alla proprietà COLOR_CLASS=.

Corrisponde alla proprietà Colore classe allarme/eventi dell´Editor.

COLOR_CLASS=

Il colore della classe allarme/eventi viene:

  • 1: usato
  • 0: non usato

Default: 1

Viene usato insieme alla proprietà COLOR_BACKGROUND=.

Corrisponde alla proprietà Colore classe allarme/eventi dell´Editor.

COMES_ANZ=

Larghezza della colonna Entra in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

COMPUTER_ANZ==

Larghezza della colonna Nome Computer in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

DELETE_IN_CEL=

Inserimento in caso di cancellazione di allarmi con obbligo di cancellazione nella CEL:

  • 1: se un allarme con obbligo di cancellazione viene effettivamente cancellato, viene scritto un inserimento corrispondente nella Lista eventi cronologica (CEL).
  • 0: non si ha nessun inserimento nella CEL quando vengono cancellati degli allarmi.

Default: 0

Corrisponde alla proprietà Elimina Allarme nel gruppo Lista eventi cronologica (CEL) dell´Editor.

DYN_LIMIT_FILE=

Uso del campo commento per testi di valore limite dinamici:

  • 0: il campo commento viene usato solo per testi di valori limite dinamici e viene perciò bloccato per i commenti.
    Lunghezza massima: 80 caratteri.
  • 1: sono consentiti commenti e testi di valore limite dinamici. I contenuti dinamici vengono salvati in un file che ha il nome convenzionale D*.AML. Questo file viene generato in aggiunta a quello A*.AML. Il campo commenti può dunque essere usato per scrivere dei commenti.
    Lunghezza massima per i testi di valore limite dinamici 254 caratteri.

Default: 0

Corrisponde alla proprietà Testi lunghi per valori limiti - AML nel gruppo Lista di informazione allarmi.

EIN=

L´elaborazione allarmi avviene al momento dello start del programma:

  • 1: attivo
  • 2: disattivato.

Default: 1

Corrisponde alla proprietà Lista di informazione allarmi attiva nel gruppo Lista di informazione allarmi.

FARBE_DEL=

Colore di testo per Allarme eliminato nella Lista di informazione allarmi.

Corrisponde alla proprietà Colore nel gruppo Allarme eliminato dell´Editor.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

FARBE_GEHT=

Colore di testo per allarmi cancellati nella Lista di informazione allarmi.

Nell´Editor, corrisponde alla proprietà Colore, nella sezione Allarme rientrato delle proprietà di progetto.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

FARBE_KOMMT=

Colore di testo per Allarme in entrata nella Lista di informazione allarmi. Nell´Editor, corrisponde alla proprietà Colore, nella sezione Allarme in entrata delle proprietà di progetto.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

FARBE_QUIT=

Colore di testo per Allarme ripristinato nella Lista di informazione allarmi.

Nell´Editor, corrisponde alla proprietà Colore, nella sezione Allarme ripristinato delle proprietà di progetto.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

GOES_ANZ=

Larghezza della colonna Esce in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

GRID_LINES=

La visualizzazione delle colonne e delle righe nella Lista di informazione allarmi avviene tramite linee griglia:

  • 0: on
  • 1: off

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

GROUP_ANZ=

Larghezza della colonna Gruppi di allarmi/evento in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

GROUPSYMBOL_ANZ=

Larghezza della colonna Simbolo gruppo allarmi/eventi in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

HEADER=

Visualizzazione di un´intestazione colonna nella Lista di informazione allarmi.

  • 1: viene visualizzata l´intestazioni colonna.
  • 0: l´intestazione colonna non viene visualizzata.

Viene usato insieme al´impostazione HEADER_ENABLE= .

Corrisponde alla proprietà Header AML dell´Editor.

HEADER_ENABLE=

Uso delI´intestazione colonna.

  • 1: l´intestazione colonna è attiva e gestibile. (Default.)
  • 0: l´intestazione colonna viene usata solamente per la visualizzazione (fixed).

Viene usato insieme al´impostazione HEADER= .

Corrisponde alla proprietà Header AML dell´Editor.

IMAGE_DEL=

File grafico per lo stato Allarme eliminato.

Corrisponde alla proprietà File grafico per lo stato nel gruppo Allarme eliminato dell´Editor.

IMAGE_GEHT=

File grafico per lo stato Allarme rientrato.

Corrisponde alla proprietà File grafico per lo stato nel gruppo Allarme rientrato dell´Editor.

IMAGE_KOMMT=

File grafico per lo stato Allarme in entrata.

Corrisponde alla proprietà File grafico per lo stato nel gruppo Allarme in entrata dell´Editor.

IMAGE_QUIT=

File grafico per lo stato Allarme ripristinato.

Corrisponde alla proprietà File grafico per lo stato nel gruppo Allarme ripristinato dell´Editor.

LINE_BLINK_UNACK=

Comportamento delle righe non selezionate con allarmi non ripristinati:

  • 1: le righe non selezionate con allarmi non ripristinati lampeggiano nella Lista di informazione allarmi.
  • 0: nessun lampeggio.

Default: 0

Corrisponde alla proprietà Lampeggio allarmi non riconosciuti dell´Editor.

MILLISEK=

Visualizzazione in millisecondi per Entra:

  • 0: i millisecondi non vengono né visualizzati, né stampati.
  • 1: i millisecondi vengono anche visualizzati.

Default: 0

NACHSCHIEBEN=

Spostamento di allarmi nella barra stato allarmi:

  • 1: tutti gli allarmi non ripristinati vengono visualizzati a Runtime nella riga di stato, uno dopo l´altro. Non appena viene ripristinato un allarme con un doppio clic con il tasto destro del mouse, viene visualizzato il prossimo.
    A seconda dell´impostazione configurata per la proprietà AELTESTER=, viene visualizzato prima o il più vecchio, o il più recente allarme.
  • 0: nella riga di stato viene visualizzato sempre solo un allarme. La riga di stato è vuota dopo che l´allarme è stato ripristinato. Solo il prossimo allarme che diventa attivo fa apparire di nuovo la barra di stato allarmi.

Corrisponde alla proprietà Visualizza all. seguente dell´Editor.

PREF_COMES=

Prefisso per Allarme in entrata.
Default: TEXT=>>

Corrisponde alla proprietà Prefisso nel gruppo Allarme in entrata dell´Editor.

PREF_GOES=

Prefisso per Allarme rientrato.
Default: TEXT=<<

Corrisponde alla proprietà Prefisso nel gruppo Allarme rientrato dell´Editor.

PREF_IMAGE_COMES=

File grafico per il prefisso Allarme in entrata.

Corrisponde alla proprietà Prefisso file grafico nel gruppo Allarme in entrata dell´Editor.

PREF_IMAGE_GOES=

File grafico per il prefisso Allarme rientrato.

Corrisponde alla proprietà Prefisso file grafico nel gruppo Allarme rientrato dell´Editor.

PREF_IMAGE_QUIT=

File grafico per il prefisso Allarme ripristinato.

Corrisponde alla proprietà Prefisso file grafico nel gruppo Allarme ripristinato dell´Editor.

PREF_QUIT=

Prefisso per Allarme ripristinato.
Default: TEXT=--

Corrisponde alla proprietà Prefisso nel gruppo Allarme ripristinato dell´Editor.

QUIT_ANZ=

Larghezza della colonna Riconosciuto in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

QUIT_IN_CEL=

Inserimento del ripristino di un allarme nella lista Eventi Cronologica:

  • 0: viene inserito.
  • 1: non viene inserito.

Default: 0

Corrisponde alla proprietà Ripristino allarmi nel gruppo Abilita log delle proprietà di progetto per Lista eventi cronologica (CEL).

REACT_TIME_ANZ=

Larghezza della colonna Tempo riattivazione in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

REACT_COUNT_ANZ=

Larghezza della colonna Numero riattivazioni in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

REACT_STAT_ANZ=

Larghezza della colonna Stato variabile riattivato in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

RESOURCELABEL=

Descrizione della colonna per la Identificazione servizio.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

RESOURCELABEL_ANZ=

Larghezza della colonna per la Identificazione servizio in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

RTEXT_ANZ=

Larghezza della colonna Testo di reazione in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

SAVE_BIN_ALWAYS=

Impostazione che determina se ogni modifica di dati nella Lista informazioni allarmi ha come effetto anche il salvataggio dei dati stessi nel file alarm.bin:

  • 1: salvataggio attivo
  • 0: salvataggio disattivato

Default: 0

Corrisponde alla proprietà Salva buffer circolare in modo spontaneo dell´Editor.

Nota: Se si setta la proprietà su attiva, ciò potrà (soprattutto nel caso di flash disk) causare un considerevole carico del sistema. Se invece per la proprietà si seleziona l´opzione inattiva, in caso di una chiusura inattesa del Runtime, si potrà avere una perdita di dati. Scegliere l´opzione inattiva è consigliabile soprattutto in caso di basse prestazioni.

SAVE_ONLY_STACK=

Conservazione dati per gli allarmi:

  • 0: vengono salvati tutti i dati.
  • 1: vengono salvati sul disco fisso solamente gli allarmi in attesa (alarm.bin).
  • 2: Sui dispositivi CE viene salvato solamente il buffer circolare (alarm.bin) sul disco fisso; su PC, invece, vengono salvati anche inserimenti storici (*.aml).

Default: 2

Corrisponde alla proprietà Salvataggio dati allarmi dell´Editor.

STACK_SIZE=

Numero massimo degli inserimenti per il buffer circolare.

Minimo: 1
Massimo: 32767
Default: 100

Raccomandato: almeno il numero delle variabili con allarmi.

Attenzione: il buffer circolare deve sempre avere delle dimensioni sufficienti. A Runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Questo significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare. Nel file di memoria del buffer circolare (alarm.bin), però, vengono salvati allarmi solamente fino al raggiungimento del numero fissato. Tutti gli inserimenti vengono scritti parallelamente nel file allarmi (*.aml) nella cartella Runtime. I due file vengono sincronizzati. Quando lo spazio del buffer è esaurito, possono essere contenuti inserimenti non ripristinati nel file allarmi.

Corrisponde alla proprietà Dimensione buffer circolare dell´Editor.

STACK_WARNING_COUNT0=

Numero degli inserimenti nella AML necessari perché a Runtime venga visualizzato il messaggio 1 nella riga avvisi.

Attenzione: il valore deve essere minore a quello definito nella proprietà STACK_WARNING_COUNT1=.

Corrisponde alla proprietà Messaggio 1 numero allarmi dell´Editor.

STACK_WARNING_COUNT1=

Numero degli inserimenti nella AML necessari perché a Runtime venga visualizzato il messaggio 2 nella riga avvisi.

Attenzione: il valore deve essere minore a quello definito nella proprietà STACK_WARNING_COUNT2=.

Corrisponde alla proprietà Messaggio 2 numero allarmi dell´Editor.

STACK_WARNING_COUNT2=

Numero degli inserimenti nella AML necessari perché a Runtime venga visualizzato il messaggio 3 nella riga avvisi.

Attenzione: il valore deve essere minore a quello definito nella proprietà STACK_SIZE=.

Corrisponde alla proprietà Messaggio 3 numero allarmi dell´Editor.

STACK_WARNING_TEXT0=

Il testo del messaggio 1 che deve essere visualizzato a Runtime nella riga avvisi. Questo messaggio si sovrappone alla barra stato allarmi.

Corrisponde alla proprietà Messaggio 1 testo dell´Editor.

STACK_WARNING_TEXT1=

Il testo del messaggio 2 che deve essere visualizzato a Runtime nella riga avvisi. Questo messaggio si sovrappone alla barra stato allarmi.

Corrisponde alla proprietà Messaggio 2 testo dell´Editor.

STACK_WARNING_TEXT2=

Il testo del messaggio 3 che deve essere visualizzato a Runtime nella riga avvisi. Questo messaggio si sovrappone alla barra stato allarmi.

Corrisponde alla proprietà Messaggio 3 testo dell´Editor.

STAT_ANZ=

Larghezza della colonna Stato variabili in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

STATUS=

Visualizzazione della barra stato allarmi.

  • 1: la barra stato allarmi viene visualizzata.
  • 0: la barra stato allarmi non è visualizzata.

Default: 1

Corrisponde alla proprietà Linea stati attiva nel gruppo Barra stato allarmi.

Attenzione Gestione multi-progetto: L´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi. Durante il Runtime viene utilizzate sempre la barra di stato allarmi del progetto superiore.

STATUS_SCHRIFT=

Indice del tipo di carattere scelto per il testo nella riga di stato.

  • 0: Carattere standard (Default)

Corrisponde alla proprietà Carattere dell´Editor.

TAG_ANZ=

Larghezza della colonna Identificazione in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TIME_LASTING_ANZ

Larghezza della colonna Tempo d'attesa in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_ACT_TEXT=

Descrizione della colonna Commento allarme.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_CLASS=

Descrizione della colonna Classe di allarme/evento.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_CLASSNR=

Descrizione della colonna Numero della classe allarme/evento.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_CLASSSYMBOL

Descrizione della colonna Simbolo classe allarme/eventi.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_CLASSSYMBOL_STYLE

Tipo di visualizzazione della colonna Simbolo classe allarme/eventi.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_COMES=

Descrizione della colonna Entra.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_COMP=

Descrizione della colonna Nome Computer.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_GOES=

Descrizione della colonna Esce.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_GROUP=

Descrizione della colonna Gruppo allarme/evento.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_GROUPNR=

Descrizione della colonna Numero del gruppo allarme/evento.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_GROUPSYMBOL

Descrizione della colonna Simbolo gruppo allarmi/eventi.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_GROUPSYMBOL_STYLE

Tipo di visualizzazione della colonna Simbolo gruppo allarmi/eventi.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_NAME=

Descrizione della colonna Nome variabile.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_PROJECT=

Descrizione della colonna Nome progetto.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_QUIT=

Descrizione della colonna Riconosciuto.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_REACT_TIME=

Descrizione della colonna Tempo riattivazione.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_REACT_COUNT=

Descrizione della colonna Quantità riattivata.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_REACT_STAT=

Descrizione della colonna Stato variabile riattivato.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_STATUS=

Descrizione della colonna Stato variabili.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_STATUSCAPTION=

Descrizione della colonna Stato di alarme.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_STATUSCAPTION_STYLE=

Tipo di visuale della colonna Stato di allarme.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_TAGNR=

Descrizione della colonna Identificazione.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_TEXT=

Descrizione della colonna Testo.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_TIME_LASTING=

Descrizione della colonna Tempo d'attesa.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_VALUE=

Descrizione della colonna Valore.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_USER=

Descrizione della colonna Identificazione utente.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

TITLE_USERNAME=

Descrizione della colonna Nome completo utente.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

UNIT=

Larghezza della colonna Unità di misura in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

USER_ANZ=

Larghezza della colonna Identificazione utente in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

VAR_ANZ=

Larghezza della colonna Nome variabile in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.

ZEIT_TYP=

Definizione del formato in cui deve avvenire l´outpo del tempo.

  • 1: solo millisecondi.
  • 2: solo tempo.
  • 3: tempo e millisecondi.
  • 4: solo data.
  • 5: data e millisecondi.
  • 6: data e tempo
  • 7: data, tempo e millisecondi.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.


Server di archiviazione [ARCHIV]

Manuale -> File di configurazione -> project.ini -> Server di archiviazione [ARCHIV]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Funzione

[ARCHIV]

Proprietà per archivi.

Raccomandazione: Configurazione tramite la finestra di dialogo per la Post-elaborazione archivio nell´Editor.

ARCHDIGITS=

Numero delle cifre decimali durante l´export di archivi in formato TXT, XML e DBF.
Default: ARCHDIGITS=1

CLIENTS_LOAD_LOCAL=

Caricare i file d'archivio:

  • 1: i file di archivio vengono letti localmente sul client e non vengono richiesti dal server. Questo non funziona con la selezione lotti. Solo per il formato archivi *.arx e per l´esportazione in SQL.
  • 0: Il server acquisisce i file d'archivio.

Attenzione: questo inserimento non ha come conseguenza che i dati generati dal Runtime vengano sincronizzati con il client di zenon. I dati di archivio devono essere copiati manualmente sul client.

CLOSEDELAY=

Intervallo di tempo che il sistema fa trascorrere dopo un tipo di registrazione RDA prima di chiudere il file ARV o ARX. Se, nel corso di questo intervallo di tempo, si verifica un altro scan, i dati vengono scritti nello stesso file.

Default: CLOSEDELAY=5

EVAC_ERR_PERIOD=

Se si verifica un errore all´interno dell´intervallo di tempo impostato, viene generato un inserimento nella CEL. Questo tempo può essere impostato ad intervalli di un´ora.

Se non è possibile leggere un file ARV o un file ARX, questo viene rinominato in AR_ e il processo continua con il prossimo file.

Default: EVAC_ERR_PERIOD=12

EXPORTFORMAT=

Formato di export con:

  • Data
  • Ora
  • Variabile (TTA)
  • Valore
  • Stato

EXPORTFORMAT=DZVWS

MIN_MAX_ENDE_ZEIT=

Selezione di un tempo definito:

  • 1: momento della comparsa del valore minimo o massimo.
  • 0: momento della fine dell´archivio.

NUR_HANDWERT=

Per gli archivi indicati qui, vengono usati solo valori manuali per il calcolo degli archivi in cascata. Inserimento di descrizioni brevi, separate da spazi vuoti.

NUR_HANDWERT=X1 X2

SPEICHER=

Numero massimo di valori da leggere nella memoria per:

  • Trend esteso
  • Post-elaborazione archivio
  • AML
  • CEL
  • Tabelle

Visualizzazione in kilobyte (per es. 2000000 per 2 GB).

Default: 1000000 (=1 GB)

Attenzione: con i dati d'archivio, vengono letti sempre tutti i valori di tutte le variabili, anche se viene visualizzata solamente una variabile.

Nota: il sistema controlla il posto disponibile prima di leggere il file di archivio (*.arx), Se è necessaria una dimensione maggiore di quella definita qui, la lettura verrà interrotta e verrà scritto un messaggio di errore verrà scritta nel protocollo del Diagnose Viewer.

SQL_MAXROWS=

Numero massimo di valori da leggere dal database-SQL (in caso di dislocazione archivi in SQL).

Massimo: 4.294.967.295

Nota: Il sistema verifica automaticamente che almeno il 10 % della memoria sia libero.

STATUSSPERRBIT=

Definisce il bit nello stato che viene utilizzato come blocco d´archivio. Tutti i valori che hanno settato questo bit nello stato non vengono archiviati con il loro valore corrente, ma con INVALID come valore di riserva.

Valori consentiti:

  • da 0 a 31
  • -1: disattivato.

Default: 0

TRENNZEICHEN=

Segno di separazione per esportazione in file ASCII tra i campi.

Esempio: TRENNZEICHEN=;

ZEIT_AUTOMATISCH=

Correzione tempo automatica:

  • 1: per gli archivi in cascata viene eseguita una correzione automatica di -1 secondo. In questo modo, per es., è possibile settare un time stamp di 00:00 (24:00) al giorno precedente (23:59).
  • 0: nessuna correzione.


Automatic Line Coloring [ALC] e [ALC_TOP]

Manuale -> File di configurazione -> project.ini -> Automatic Line Coloring [ALC] e [ALC_TOP]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[ALC]

Inserimento

Descrizione

[ALC]

Proprietà della sezione Automatic Line Coloring delle proprietà di progetto.

GROUNDFAULTMODE=

Stabilisce se, nella ricerca di guasto a terra, viene colorata solo la parte della rete potenzialmente interessata, o tutta la rete in cui si è verificata una messa a terra:

  • 0: colorazione solo di una parte della rete
  • 1: colorazione dell´intera rete.

Corrisponde alla proprietà Modalità ricerca messa a terra dell´Editor.

MARKER_BACKGROUNDx=

Colore di sfondo del marker. x rappresenta qui il numero del marker, a partire da 0.

Esempio: MARKER_BACKGROUND3=2124031.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietàConfigurazione ALC.

MARKER_CNT=

Numero dei marker d´immagine configurati.

Questo valore viene settato dall´Editor.

MARKER_COLOURx=

Colore della linea del marker. x rappresenta qui il numero del marker, a partire da 0.

Esempio: MARKER_COLOUR3=255.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietàConfigurazione ALC.

MARKERLINE=

Spessore linea del marker di pagina in pixel.

Corrisponde alla proprietà Spessore linea del marker di pagina dell´Editor.

MARKERSIZE=

Dimensione del marker immagine in pixel.

Corrisponde alla proprietà Dimensione del marker di pagina dell´Editor.

MARKERTYPE=

Tipi di visualizzazione del marker di pagina

  • 0: triangolo
  • 1: cerchio
  • 2: quadrato
  • 3: croce

Corrisponde alla proprietà Tipo visualizzazione del marker di pagina dell´Editor.

MAXOVERLOAD=

Sovraccarico di corrente massimo consentito in percentuale.

Esempio: MAXOVERLOAD=1.000000.

Corrisponde alla proprietà Sovracorrente massima consentita [%] dell´Editor.

SEARCHMODE=

Stabilisce la modalità di colorazione dello stato UNDEFINED:

  • 0: Standard.
    Il colore sorgente viene distribuito nella rete partendo da ogni sorgente accesa e fino al prossimo interruttore chiuso.
  • 1: Alimentazione prioritaria.
    Vengono colorate solamente le linee, che sono alimentate potenzialmente da almeno una sorgente, ma da nessuna sorgente definita.

Corrisponde alla proprietà Metodo di colorazione dell´Editor.

SOURCE_BACKGROUNDx=

Colore di sfondo della sorgente. Viene utilizzato come colore di sfondo per tubature ed elementi tecnologici (elemento combinato). x rappresenta qui il numero della sorgente, partendo da 0. Questo numero non deve essere confuso con la proprietà SOURCE_PRIORITYx=.

Esempio: SOURCE_BACKGROUND3=2124031.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietàConfigurazione ALC.

SOURCE_CNT=

Numero delle sorgenti configurate.

Questo valore viene settato dall´Editor.

SOURCE_COLOURx=

Colore linea della sorgente. Viene utilizzato per disegnare linee, polilinee, ma anche come colore esterno per tubature. x rappresenta qui il numero del marker, a partire da 0. Questo numero non deve essere confuso con la proprietà SOURCE_PRIORITYx= .

Esempio: SOURCE_COLOUR3=255.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietàConfigurazione ALC.

SOURCE_NAME0=

Nome della sorgente. Questa denominazione viene utilizzata anche nella selezione della sorgente per elementi combinati. x rappresenta qui il numero del marker, a partire da 0.

Esempio: SOURCE_NAME3=GROUNDED

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietàConfigurazione ALC.

SOURCE_PRIORITYx=

Priorità di elaborazione. Questo numero viene attribuito automaticamente dal sistema e non può essere cambiato.

Esempio: SOURCE_PRIORITY0=3
La sorgente 0 ha la priorità 3 e verrà visualizzata al terzo posto della lista ed elaborata secondo l´ordine della lista stessa.

[ALC_TOP]

Inserimento

Descrizione

[ALC_TOP]

Proprietà dell´interblocco.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietàConfigurazione ALC.

INTER_CNT=5

Numero degli interblocchi configurati.

Questo valore viene settato dall´Editor.

INTER_NOx=

Tipo di interblocco. x rappresenta qui il numero dell´inserimento, partendo da 0. Il tipo è definito da numeri:

  • 900: messa a terra
  • 903: circuito in area indefinita
  • 905: sezionatore sotto carico
  • 906: consumatore non verrebbe più alimentato.
  • 907: area indefinita troppo grande

Esempio: INTER_NO0=900

INTER_MODEx=

Stato dell´interblocco. x rappresenta qui il numero dell´inserimento, partendo da 0. Possibili stati:

  • 0: non monitorato
  • 1: sbloccabile
  • 2: non sbloccabile

Esempio: INTER_MODE0=1


Elementi d´immagine [ELEMENTE]

Manuale -> File di configurazione -> project.ini -> Elementi d´immagine [ELEMENTE]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[ELEMENTE]

TREND_ZEIT_FAKTOR=

Fattore di moltiplicazione per intervalli di tempo quando si disegna nell´elemento trend.

Una curva di trend viene disegnata solo se la distanza tra 2 valori registrati rappresenta un fattore multiplo della frequenza di aggiornamento necessaria.

  • 0: il sistema non esegue nessuna verifica.

Massimo: 65535

Default: 20


CEL [BTB]

Manuale -> File di configurazione -> project.ini -> CEL [BTB]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[BTB]

Inserimenti per la Lista Eventi Cronologica (CEL)

Queste proprietà dovrebbero essere impostate nell´Editor, nelle proprietà di progetto del gruppo Lista eventi cronologica (CEL).

ARCHIV_WRITE=

Impostazione che stabilisce se, in caso di modifica di dati d'archivio, deve essere generato un´inserimento CEL.

  • 0: non viene scritto un inserimento nella CEL per l´elaborazione archivio.
  • 1: quando si modifica un archivio, viene scritto un inserimento nella CEL:
    • Nome del file d'archivio
    • Nuovo e vecchio valore della variabile
    • Nuovo e vecchio time stamp della variabile
    • Nome della variabile

Corrisponde alla proprietà Inserimenti nell'archivio dell´Editor.

AREA=

Descrizione della colonna Area allarme.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

AREA_ANZ=

Larghezza della colonna Area allarme in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

AREANR=

Descrizione della colonna Numero area allarme.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

AREANR_ANZ=

Larghezza della colonna Numero area allarme in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

BTBLISTE=

Inserimenti desiderati e loro successione nella lista:

  • 0: nome variabile
  • 1: identificazione
  • 2: testo
  • 3: data/ora ingresso
  • 6: informazione di stato
  • 7: valore
  • 8: emetti utente

Esempio: BTBLISTE=320

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

CLASS_ANZ=

Larghezza della colonna Classe allarme/eventi in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

COLOR_BACKGROUND=

Uso del colore preso dalla classe allarme:

  • 1: il colore della classe viene interpretato come colore di sfondo
  • 0: il colore della classe determina il colore del testo.

Default: 0

Se nessuna classe è collegata al valore limite, il colore di sfondo o il colore di testo viene preso dalle impostazioni dell´elemento della lista nell´immagine.

Viene usato insieme alla proprietà COLOR_CLASS=.

Corrisponde alla proprietà Colore classe allarme/eventi dell´Editor.

COLOR_CLASS=

Il colore della classe allarme/eventi viene:

  • 1: usato
  • 0: non usato

Default: 1

Viene usato insieme alla proprietà COLOR_BACKGROUND=.

Corrisponde alla proprietà Colore classe allarme/eventi dell´Editor.

COMPUTER_ANZ=

Larghezza della colonna Nome Computer in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

DRUCKE_SYSMLDG=

Impostazione per la stampa di segnalazioni del sistema in caso di stampa online:

  • 0: emissione solo in forma di lista.
  • 1: stampa avvenuta

Default: 1

Corrisponde alla proprietà Stampa messaggi di sistema dell´Editor.

DYN_LIMIT_FILE=

Uso del campo di commento per testi di valore limite dinamici:

  • 0: il campo di commento viene usato per i testi di valori limite dinamici e viene bloccato per i commenti.
    Lunghezza massima: 80 caratteri.
  • 1: I contenuti dinamici verranno salvati in un file che ha il nome convenzionale D*.CEL. Questo file viene generato in aggiunta a quello C*.CEL. Il campo di commento può essere usato per scrivere dei commenti.
    Lunghezza massima per i testi di valore limite dinamici: 254 caratteri.

Default: 0

Corrisponde alla proprietà Testi lunghi per valori limiti - CEL dell´Editor.

EIN=

Viene usata la Lista Eventi Cronologica.

  • 1: la Lista eventi cronologica (CEL) è attiva a Runtime. Gli eventi vengono registrati e la CEL è disponibile.
  • 0: non viene registrato nessun evento.

Default: 1

Nota: le modifiche diventano effettive solamente dopo che il riavvio del Runtime.

Corrisponde alla proprietà Abilita CEL dell´Editor.

FARBE_SORT=

Definisce il colore di testo utilizzato per gli inserimenti filtrati nella CEL.

Nota:

  • Se per la proprietà COLOR_BACKGROUND= si seleziona 1 , questo colore avrà la precedenza rispetto alla selezione effettuata in FARBE_SORT.
  • Per SICAM 230: per avere nella lista sempre lo stesso colore, si deve selezionare lo stesso colore per la proprietà FARBE_UNSORT=.

Corrisponde alla proprietà Testi ordinati dell´Editor.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

FARBE_UNSORT=

Definisce il colore di testo utilizzato per gli inserimenti non filtrati nella CEL.

Corrisponde alla proprietà Testi non ordinati dell´Editor.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

FIRST_ENTRY=

Inserimenti da visualizzare al momento dell´apertura della CEL.

  • 0: non viene letto nessun inserimento di valore limite esistente al momento dell´avvio Runtime. Nuovi inserimenti vengono scritti solo quando, dopo lo start, si verificano nuovi eventi.
  • 1: anche al momento dello start, vengono inserite le violazioni di valore limite già esistenti.

GRID_LINES=

La visualizzazione delle colonne e righe nella Lista di informazione allarmi avviene tramite griglia:

  • 0: on
  • 1: off

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

GROUP_ANZ=

Larghezza della colonna Gruppi di allarmi/evento in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

HEADER=

Visualizzazione dell´intestazione colonna nella lista

Visualizzazione dell´intestazione colonna nella Lista Eventi Cronologica.

  • 1: viene visualizzata l´intestazione colonna.
  • 0: l´intestazione colonna non viene visualizzata.

Viene usato insieme al´impostazione HEADER_ENABLE= .

Corrisponde alla proprietà Intestazioni CEL dell´Editor.

HEADER_ENABLE=

Uso dell´intestazione colonna:

  • 1: è possibile interagire con l´intestazione colonna.
  • 0: l´intestazione colonna.viene usata solamente per la visualizzazione (fixed).

Viene usato insieme al´impostazione HEADER= .

Corrisponde alla proprietà Intestazioni CEL dell´Editor.

MAXTEXTLEN=

Definisce il numero massimo di caratteri che può avere il testo statico di valore limite nella CEL. I valori minimo e massimo valgono anche per VBA/VSTA.

  • Minimo: 127
  • Massimo: 1023

Limitazione: con dBase-Export, la lunghezza è limitata a 256 caratteri.

Corrisponde alla proprietà Lunghezza testo statico per valori limiti CEL dell´Editor.

NAME=

Assegnazione di un nome breve ai file di testo salvati.

Requisiti: l´inserimento TXT_FILE=1

Default: NAME=BTBTTMM.TXT
(TT=giorno, MM=mese)

RECIPE_CHANGE=

Inserimenti in caso di modifica ricette.

  • 0: la modifica di ricette standard e di ricette del Manager gruppi ricette (RGM) non causa un inserimento nella CEL.
  • 1: la modifica di una ricetta viene inserita nella CEL con il nome della ricetta stessa.
  • 2: quando si modifica una ricetta, essa viene protocollate nella CEL con:
    • Nome della ricetta
    • Nuovo e vecchio valore della variabile
    • Nome della variabile

Default: 0

Corrisponde alla proprietà Modifica ricette dell´Editor.

RECIPE_WRITE=

Inserimenti in caso di scrittura di ricette.

  • 0: la scrittura di ricette standard e di ricette del Manager gruppi ricette (RGM) non causa un inserimento nella CEL.
  • 1: la scrittura di una ricetta viene protocollata nella CEL con il nome della ricetta stessa.
  • 2: la scrittura di una ricetta viene protocollata nella CEL con:
    • Nome della ricetta
    • Nuovo e vecchio valore della variabile
    • Nome della variabile

Default: 0

Corrisponde alla proprietà Dichiarazione ricette dell´Editor.

RESOURCELABEL=

Descrizione della colonna per la Identificazione servizio.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

RESOURCELABEL_ANZ=

Larghezza della colonna per l´Identificazione servizio in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

RTEXT_ANZ=

Larghezza della colonna Testo di reazione in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

SAVE_BIN_ALWAYS=

Stabilisce se ogni modifica dei dati della CEL deve avere come effetto anche il salvataggio dei dati stessi nel file cel.bin:

  • 1: salvataggio attivo
  • 0: salvataggio disattivato

Default: 0

Corrisponde alla proprietà Salva buffer circolare in modo spontaneo dell´Editor.

Nota: Se si setta la proprietà su attiva, ciò potrà (soprattutto nel caso di flash disk) causare un considerevole carico del sistema. Se invece per la proprietà si seleziona l´opzione inattiva, in caso di una chiusura inattesa del Runtime, si potrà avere una perdita di dati. Scegliere l´opzione inattiva è consigliabile soprattutto in caso di basse prestazioni.

SAVE_ONLY_STACK=

Conservazione dati per la CEL:

  • 0: vengono salvati Tutti gli inserimenti CEL (*.cel).
  • 1: viene salvato solamente un numero definito di inserimenti CEL (cel.bin). Il numero degli inserimenti da salvare viene definito usando la proprietà Dimensione buffer circolare.
  • 2: sui dispositivi CE viene salvato solamente il buffer circolare (cel.bin); su PC, invece, vengono salvati anche gli inserimenti storici (*.cel).

Default: 0

Corrisponde alla proprietà Salvataggio dati CEL dell´Editor.

SORTDESCENDING=

Tipo di ordinamento:

  • 0: crescente
  • 1: decrescente

Default: 0

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

SPONTAN=

Momento di inserimento nella lista:

  • 1: tutti i nuovi inserimenti CEL vengono inseriti immediatamente.
    Eccezioni: La lista è stata terminata.
  • 0: le modifiche vengono caricate solo quando la lista viene aperta di nuovo.
    Vantaggio: riduzione del traffico di rete.

Default: 1

Corrisponde alla proprietà Aggiorna automaticamente dell´Editor.

STAT_ANZ=

Larghezza della colonna Stato in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TAG_ANZ=

Larghezza della colonna Identificazione in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_NAME=

Identificatore per il titolo di colonna Nome variabile.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_ACT_TEXT=

Descrizione della colonna Commento allarme.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_CLASS=

Descrizione della colonna Classe di allarme/evento.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_CLASSNR=

Descrizione della colonna Numero della classe allarme/evento.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_CLASSSYMBOL=

Descrizione della colonna Simbolo classe allarme/eventi.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_CLASSSYMBOL_STYLE=

Tipo di visualizzazione della colonna Simbolo classe allarme/eventi.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_COMES=

Descrizione della colonna Entra.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_COMP=

Descrizione della colonna Nome Computer.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_GROUP=

Descrizione della colonna Gruppo allarme/evento.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_GROUPNR=

Descrizione della colonna Numero del gruppo allarme/evento.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_GROUPSYMBOL=

Descrizione della colonna Simbolo gruppo allarmi/eventi.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_GROUPSYMBOL_STYLE=

Tipo di visualizzazione della colonna Simbolo gruppo allarmi/eventi.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_NAME=

Identificatore per il titolo di colonna Nome variabile.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_PROJECT=

Descrizione della colonna Nome progetto.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_TAGNR=

Descrizione della colonna Identificazione.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_TEXT=

Descrizione della colonna Testo.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_STATUS=

Descrizione della colonna Stato variabili.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_USER=

Descrizione della colonna Identificazione utente.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_USERNAME=

Descrizione della colonna Nome completo dell´utente.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TITLE_VALUE=

Descrizione della colonna Valore.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TXT_ANZ=

Larghezza della colonna Testo in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

TXT_FILE=

Tipo di salvataggio delle informazioni:

  • 0: un proprio formato in zenon (*.cel)
  • 1: in formato ASCII (*.txt)

Default: 0
Nota: Questo file non è più leggibile per zenon.

UNIT=

Larghezza della colonna Unità di misura in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

USER_ANZ=

Larghezza della colonna Nome utente in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

VAR_ANZ=

Larghezza della colonna Nome variabile in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

WERT_ANZ=

Larghezza della colonna Valore in caratteri.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazioni colonna CEL del gruppo Lista eventi cronologica (CEL), oppure via cambio immagine.

ZEIT_TYP=

Definizione del formato in cui deve essere emesso il tempo:

  • 1: solo millisecondi.
  • 2: solo tempo.
  • 3: tempo e millisecondi.
  • 4: solo data.
  • 5: data e millisecondi.
  • 6: Data e tempo
  • 7: data, tempo e millisecondi.

Raccomandazione: Configurazione nell´Editor tramite la finestra di dialogo della proprietà Impostazione colonna AML del gruppo Lista di informazione allarmi, oppure via cambio immagine.


Stampa [DRUCKER]

Manuale -> File di configurazione -> project.ini -> Stampa [DRUCKER]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[DRUCKER]

Impostazioni per la stampa a Runtime.

DRUCKZEIT=

Se più di un allarme diventa attivo praticamente in contemporanea, più inserimenti possono essere riassunti in un solo processo di stampa.

Esempio: DRUCKZEIT=2
Per almeno due secondi non deve verificarsi nessun allarme perché il processo di stampa venga inviato.

MAXNAMEN=

Nella stampa a Runtime, i singoli inserimenti vengono inviati come singoli processi di stampa. Per evitare conflitti di nomenclatura, è possibile assegnare un numero.

Esempio: MAXNAMEN=9
Numera i file in successione fino a 9.

MAXPJ=

Numero massimo di processi di stampa per il Print Manager di Windows Se si supera questo numero, viene generato un inserimento nella Lista Eventi Cronologica (CEL).

  • Minimo: 0
  • Massimo: 65535

Default: 90

Corrisponde alla proprietà Numero massimo code di stampa nel gruppo Impostazioni Runtime dell´Editor.


Trend esteso [EW_TREND]

Manuale -> File di configurazione -> project.ini -> Trend esteso [EW_TREND]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[EW_TREND]

Impostazioni per il Trend esteso.

ANZEIGE_GWTEXT=0

Visualizzazione del testo di valore limite durante lo scan delle curve.

  • 1: on
  • 0: off


Export [EXPORT]

Manuale -> File di configurazione -> project.ini -> Export [EXPORT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[EXPORT]

FILEEXIST_MESSAGEBOX=

Notifica quando vengono sovrascritti dati esistenti durante l´esportazione di dati a Runtime:

  • 1: iI messaggio viene visualizzato.
  • 0: il messaggio viene soppresso.

Default: 0

Corrisponde alla proprietà Esportazione dati nel gruppo Impostazioni Runtime /Messaggi Runtime per dell´Editor.

FILEEXIST_OVERWR_APP_CAN=

Azione quando file esistenti vengono sovrascritti durante l´esportazione.

  • 0: il file viene sovrascritto. (=OVERWRITE).
  • 1: vengono aggiunti dataset (=APPEND).
  • 2: l’export viene interrotto (=CANCEL).

MAX_LAENGE=

Lunghezza massima dei nomi variabili per l´archiviazione in un file DFB.

Default=32

OK_MESSAGEBOX=

Notifica quando l´export di dati a Runtime è riuscito:

  • 1: iI messaggio viene visualizzato.
  • 0: il messaggio viene soppresso.

Default: 0

Corrisponde alla proprietà Sostituzione file nel gruppo Impostazioni Runtime/Messaggi Runtime per dell´Editor.


Log di errore [ERRORLOG] e [LON_32]

Manuale -> File di configurazione -> project.ini -> Log di errore [ERRORLOG] e [LON_32]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[ERRORLOG]

Parametri relativi alla creazione e al contenuto del file di errore.

[LON_32]

Impostazioni per il driver LON

DIAG_LEVEL=

Le azioni vengono protocollate nel file di errore in base al livello:

  • 0: nessun protocollo (Default)
  • 1: Errore
  • 2: Scrivere
  • 3: Leggere
  • 4: Avvisare/non avvisare
  • 5: Interna


Funzioni [FUNKTIONEN]

Manuale -> File di configurazione -> project.ini -> Funzioni [FUNKTIONEN]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[FUNKTIONEN]

Inserimenti per funzioni.

EIN=

Esecuzione automatica della funzione per la gestione dei valori limite, i temporizzatore ecc.:

  • 1: attivo:
  • 2: disattivato.

Default: 2

Corrisponde alla proprietà Esecuzione aut.funzione attiva nel gruppo Funzioni dell´Editor.

NAMEN=

Visualizzazione delle funzioni in base a:

  • 0: funzioni
  • 1: nomi

PROJECTONLY=

Effetto della funzione Immagine indietro:

  • 0: per più progetti.
  • 1: solo con le immagini del progetto in cui la funzione è stata creata.

Solo per la gestione multi-progetto.

SOUND=

Selezione di un suono per la funzione Esegui file audio continuo e lo start della funzione.

Valore: Numero compreso fra 1 e 255.

Raccomandazione: configurare usando la funzione.

ZURUECK_ANZAHL=

Numero di immagini che devono essere inserite nella lista per la funzione Immagine indietro.
Nota: conta ogni chiamata della funzione Cambio immagine, anche se non avviene direttamente, ma viene inserita come funzione-start nelle proprietà dell´immagine.

  • Minimo: 0
  • Massimo: 65535
  • Default: 10

Raccomandazione: configurare usando la funzione Anzahl f. Bild zurück Fkt. nel gruppo Funzioni.

ZURUECK_SCHABLONEN=

Nome del modello le cui immagini vengono incluse nella lista delle immagini per la funzione Immagine indietro.

Si possono indicare più nomi di modelli. Questi verranno separati da un underscore posto davanti e una virgola.
Per es.: ZURUECK_SCHABLONEN=_MAIN,_SUBNAVIGATION,

Raccomandazione: configurare usando la funzione Modelli primari nel gruppo Aspetto grafico/Runtime generale.


Industrial Maintenance Manager [IMM]

Manuale -> File di configurazione -> project.ini -> Industrial Maintenance Manager [IMM]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inserimento | Descrizione
[IMM] | Inserimenti per l´Industrial Maintenance Manager (IMM).
Dns= | Connessione ODBC della banca dati dell´IMM. Corrisponde alla proprietà Database dell´Editor.
TableDevice= | Nome della tabella del database per i dispositivi. Viene usato anche per l´amministrazione dei punti di misurazione ed è assegnato in modo fisso. Non dovrebbe essere modificato. Default: Devices Corrisponde alla proprietà Tabella dispositivi dell´Editor.
TableMaint= | Nome della tabella del database per i lavori di manutenzione. È assegnato in modo fisso. Non dovrebbe essere modificato. Default: MaintenanceWorks Corrisponde alla proprietà Tabella per elaborazione manutenzione dell´Editor.
TableHist= | Nome della tabella della banca dati per la cronologia. È assegnato in modo fisso. Non dovrebbe essere modificato. Default: MaintenanceHistory Corrisponde alla proprietà Tabella per lo storico dell´Editor.
TableDoc= | Nome della tabella della banca dati per i documenti. È assegnato in modo fisso. Non dovrebbe essere modificato. Default: Documents Corrisponde alla proprietà Tabella per i documenti dell´Editor.
Userlevel= | Livello di autorizzazione necessario per poter cancellare dati dalla banca dati. Default: 0 Corrisponde alla proprietà Livello di autorizzazione: dell´Editor.


Rete [NETZ] e [TOKEN]

Manuale -> File di configurazione -> project.ini -> Rete [NETZ] e [TOKEN]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[NETZ]

Impostazioni per per la rete.

Raccomandazione: configurare usando la proprietà del gruppo Rete.

APP_CLOSE_BOX=

Si può prevedere che un messaggio venga visualizzato quando un server viene chiuso mentre sono collegati dei client:

  • 1: quando si chiude il Runtime su un server, su tutti i client collegati viene visualizzato un messaggio che informa dell´avvenuta chiusura del Runtime. La chiusura del Runtime viene posticipata di 70 secondi, per far sì che gli inserimenti sui client possano essere completati in modo corretto.
  • 0: il Runtime sul server viene chiuso senza che il sistema visualizzi un messaggio sui client.

Default: 0

Corrisponde alla proprietà Messaggio di chiusura dell´Editor.

CLIENTx=

Ritardo di reload per i clienti impostati nella rete di zenon. x è un numero progressivo per ogni inserimento CLIENTx. Sui client definiti, il reload avviene seguendo questa numerazione.

Se, però, il client impostato è il Server-Standby, il reload viene eseguito immediatamente per questo client. L´inserimento CLIENTx viene dunque ignorato per un Server-Standby.

Per questa configurazione non è disponibile nessuna proprietà nell´Editor di zenon. Il ritardo di reload può essere configurato solamente con un inserimento INI.

CLIENT[numero progressivo]=Clientname,[ritardo di reload in secondi]

Il nome client è il rispettivo nome host del computer, non ilFully qualified domain name. Il ritardo di reload può andare da 0 a 86400 secondi. Tutti gli inserimenti al di fuori di questo intervallo di valori vengono sostituiti da un tempo di reload casuale.

Esempio:

  • CLIENT0=VM-CDSBG104,5
  • CLIENT1=WKS001,10

Il Client0 (il computer con il nome VM-CDSBG104 ) esegue il reload con un ritardo di 5 secondi, il Client 1 con un ritardo di 10 secondi.

Attenzione: la numerazione dei client deve essere progressiva e senza soluzioni di continuità.. Se. per es., ci sono inserimenti per CLIENT0, CLIENT1, CLIENT2, CLIENT3 e CLIENT5, il sistema considera solo quelli relativi ai seguenti client: Client0, Client1, Client2 e Client3. Il ritardo di reload configurato per Client5 viene ignorato.

Nota: ai client per i quali non è stato configurato questo inserimento, viene applicato il ritardo di reload casuale, come configurato nell´inserimentoRELOADDELAY_SEC. Se anche questo inserimento è vuoto, il reload viene eseguito contemporaneamente per tutti i client.

DATENSERVER=

Selezione di quale server funge da server dati:

  • 0: Server 1
  • 1: Server 2

Default: 0

Corrisponde alla proprietà Server 2 come Server dati dell´Editor.

DetectionOffTime=

Tempo (in secondi) di attesa prima che, dopo un cambio server, il sistema esegua il cambio nella gestione del progetto.

  • Minimo: 0
  • Massimo: 65535

Default: 10

Corrisponde alla proprietà Banda morta post-commutazione[s] dell´Editor.

eCriteria<Index>=

Criterio di controllo: viene utilizzato un numero di indice progressivo per ogni inserimento. Per es. eCriteria0, eCriteria1 ... Viene utilizzato insieme alle proprietà WatchedVariableID<Index>, ValueLimit<Index> e Weight<Index>. Il collegamento avviene attraverso i numeri di indice.

Valori:

  • 0: nessuna valutazione
  • 1: solo per lo stato della variabile
  • 2: se si va al di sotto del valore
  • 3: se si supera il valore

Viene configurato nell´Editor usando la finestra di dialogo della proprietà Valutazioni.

Hysteresis=

Isteresi in punti di valutazione che devono essere superati per attivare il ritardo di switch.

  • Minimo: 0
  • Massimo: 4294967296

Default: 0

Corrisponde alla proprietà Isteresi dell´Editor.

ModifiedCounter=

Contatore incrementato di un´unità ogni volta che c´è una modifica di una proprietà del gruppo Impostazioni di ridondanza. Questo contatore è necessario per la validazione dell´analisi in rete e viene settato in modo automatico da zenon.

Attenzione: non deve essere modificato!

RatedEntries=

Numero delle valutazioni definite. Si riferisce alle proprietà eCriteria<Index>, WatchedVariableID<Index>, ValueLimit<Index> e Weight<Index> usate. Il collegamento avviene attraverso i numeri di indice.

RELOADDELAY_SEC=

Ritardo di reload in secondi per i client in grandi progetti di rete.

  • 0: nessun ritardo.
  • >0: ogni client seleziona un numero casuale compreso fra 0 e il valore definito per il ritardo di reload.

Nota: se esiste un inserimento CLIENTx per un client, questo ha la priorità nel processo di reload di questo client.

RedundancyMode=

Modalità di ridondanza per l´analisi della rete. Se è stato selezionato il valore = Nominale, questo gestisce il cambio di ridondanza.

  • 0: Dominante.
    Non esegue nessuna valutazione.
  • 1: Non dominante
    L´esito della valutazione è sempre zero. Non viene eseguito nessun cambio di ridondanza.
  • 2: Ponderata.
    Viene eseguita una valutazione ed effettuato un cambio in base al risultato dell´analisi. Questa verifica avviene tramite le proprietà eCriteria<Index>, WatchedVariableID<Index>, ValueLimit<Index> e Weight<Index>.

Default: 1

Nota: attivo solamente se Redundanztyp= è Ridondanza software.

Corrisponde alla proprietà Tipo di ridondanza dell´Editor.

Routing=

Impostazioni per il routing:

  • 0: Nessun routing.
  • 1: il computer funge da computer nodo e può inoltrare pacchetti. Tutti i pacchetti di rete provenienti dall´esterno usano questo PC.
    Questa impostazione può causare "colli di bottiglia" e influenzare le topologie di rete possibili. È ragionevole utilizzarla in strutture di rete particolari, come, ad esempio, in reti WAN, oppure in reti con routing.

Default: 0

Raccomandazione: disattivare l´impostazione.

Corrisponde alla proprietà Attiva routing dell´Editor.

SERVER=

Impostazione che stabilisce se viene usata la rete.

  • -1: rete inattiva, computer standalone.
  • >= 0: rete attiva

Default: 0

Esempio: SERVER=2

Corrisponde alla proprietà Rete attiva dell´Editor.

SERVER1=

Assegnazione del ruolo di Server 1 ad un PC.

Esempio: SERVER1=COMPUTER1

Corrisponde alla proprietà Server 1 dell´Editor.

SERVER2=

Assegnazione del ruolo di Server 2 ad un PC.

Esempio: SERVER2=COMPUTER2

Corrisponde alla proprietà Server 2 dell´Editor.

SwitchDelay=

Tempo (in secondi) di ritardo del passaggio da Server Standby a server che gestisce il progetto.

  • Minimo: 0
  • Massimo: 65535

Default: 30

Ha effetto solamente se per RedundancyMode=si è selezionato 2.

Corrisponde alla proprietà Ritardo di commutazione[s] dell´Editor.

TYPE=

Selezione della modalità di ridondanza.

  • 1: Ridondanza hardware.
    Il sistema consiste di due PLC ridondanti.e due PC di controllo ridondati. Ogni PC comunica con un PLC in modalità bidirezionale. Entrambi i computer e entrambi i PLC allineano i loro dati. Se smette di funzionare un componente del primo sistema, il secondo sistema prende il posto di quest´ultimo.
  • 0: Ridondanza software.
    Il sistema consiste di un PLC e di due PLC di controllo ridondati. Entrambi i PC devono essere connessi al PLC. Entrambi i PC comunicano con il PLC e aggiornano contemporaneamente i dati provenienti dal PLC. La comunicazione con il PLC viene gestita dal computer che funge da server. Il server, dunque, comunica in modalità bidirezionale, lo standby in una sola direzione. Se il server smette di funzionare, il Server-Standby assume il compito di gestire la comunicazione bidirezionale con il PLC.

Default: 0

Corrisponde alla proprietà Tipo di ridondanza dell´Editor.

ValueLimit<Index>=

Valore limite che viene verificato quando ha luogo l´analisi di un valore. Viene utilizzato un numero di indice progressivo per ogni inserimento. Per esempio: ValueLimit0, ValueLimit1 ...

Viene usato insieme alle proprietà eCriteria<Index>, WatchedVariableID<Index> e Weight<Index>. Il collegamento avviene attraverso i numeri di indice.

Default: 0

Viene configurato nell´Editor usando la finestra di dialogo della proprietà Valutazioni.

WatchedVariableID<Index>=

ID delle variabili che possono essere usate per l´analisi. Viene utilizzato un numero di indice progressivo per ogni inserimento. Per esempio: WatchedVariableID0, WatchedVariableID1 ...

Viene usato insieme alle proprietà eCriteria<Index>, ValueLimit<Index> e Weight<Index>. Il collegamento avviene attraverso i numeri di indice.

Default: 0

Viene configurato nell´Editor usando la finestra di dialogo della proprietà Valutazioni.

Weight<Index>=

Carico per analisi.

Valore compreso fra 0 e 100.

Viene utilizzato un numero di indice progressivo per ogni inserimento. Per esempio: Weight0, Weight1 ... Viene usato insieme alle proprietà eCriteria<Index>, WatchedVariableID<Index> e ValueLimit<Index>. Il collegamento avviene attraverso i numeri di indice.

Default: 100

Viene configurato nell´Editor usando la finestra di dialogo della proprietà Valutazioni.

TOKEN

Inserimento

Descrizione

[TOKEN]

Gestione delle autorizzazioni operative.

ACTIVE=0

L´autorizzazione operativa attiva in rete garantisce che solo una stazione della rete possa eseguire delle operazioni di gestione in un determinato momento. (per es. modificare un valore impostabile). L´accesso passivo, limitato alla sola lettura, invece, è sempre possibile. Valori possibili:

  • 1: solo un PC può gestire un progetto in un determinato momento (per es. ripristinare degli allarmi, settare dei valori impostabili).
  • 0: più calcolatori possono gestire il progetto contemporaneamente.

Default: 0

Corrisponde alla proprietà Autorizzazione attiva dell´Editor.

QUESTION_TIMEOUT=

Tempo a disposizione di un PC per rispondere ad una query dopo un´emissione token. Se il tempo scade senza che sia giunta alcuna risposta, la stazione che ha posto la richiesta ottiene automaticamente l´autorizzazione.

Corrisponde alla proprietà Timeout per la richiesta [s] dell´Editor.

QUIT_TIMEOUT=60

Intervallo di tempo entro il quale un client deve confermare ciclicamente la sua autorizzazione operativa. Se, allo scadere di questo intervallo, non è stata inviata nessuna conferma, il client perde il token automaticamente.

Attenzione: questo valore deve essere minore del tempo impostato nella proprietà QUESTION_TIMEOUT=.

Corrisponde alla proprietà Timeout per autorizzazione utenti [s] dell´Editor.


Gestione password [PASSWORD]

Manuale -> File di configurazione -> project.ini -> Gestione password [PASSWORD]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[PASSWORD]

Impostazioni per la gestione utenti.

Raccomandazione: configurarle usando il gruppo Gestione user.

CANAUTOLOGOFF=
  • Logout automatico.
  • 1: c´è un logout automatico dell´utente se non è stata eseguita nessuna azione di gestione per il tempo definito nella proprietà LOGOFF=.
  • 0: Nessun logout automatico.

Default: 0

Corrisponde alla proprietà Logout automatico attivo dell´Editor.

CHANGE_PWD_PIC=

Immagine che viene usata per la modifica della password, al posto della finestra di dialogo modale.

  • GUID: l´immagine con questo GUID viene aperta quando si modifica la password (chiamata funzione, oppure modifica obbligatoria effettuata dall´utente). . È possibile collegare solamente immagini di tipo Modifica utente.
  • Vuoto: nessuna immagine collegata. Per il login si apre una finestra di dialogo modale.

Default: Vuoto

Corrisponde alla proprietà Immagine per la modifica password dell´Editor.

DEL_PIC_BACK_PATH_AT_LOGOUT=

Impostazione per la cancellazione automatica del percorso "immagine indietro" in caso di cambio utente.

  • 0: il percorso non viene cancellato.
  • >0: il percorso viene cancellato in caso di cambio utente.

Default: 0

Corrisponde alla proprietà DelPicBackPathAtLogout dell´Editor.

DELUSER=

Cancellazione di un utente nel Runtime:

  • 1: la cancellazione di un utente è consentita.
  • 0: è possibile solo contrassegnare gli utenti come cancellati. In questo caso gli user continueranno ad essere visualizzati nella lista degli utenti, ma non saranno più validi per la gestione nel Runtime (in conformità a quanto previsto dalla normativa FDA).

Default: 1

Corrisponde alla proprietà Eliminazione utenti dell´Editor.

DISREAKTION=

Definisce l'aspetto dei pulsanti bloccati a causa delle impostazioni delle autorizzazioni operative. Viene combinato a Runtime per la gestione di tasti con la proprietà Pulsanti bloccati (LOCKED_KEYS=).

Possibili valori:

  • 0: Normale
  • 1: Grigio
  • 2: Invisibile

Default: 0

Ha effetto solamente se la proprietà LOGTEMP = ha il valore 0.

Corrisponde alla proprietà Tasti bloccati dell´Editor.

EDITSIGNATURE=

Consente le modifiche al testo della firma.

  • 0: il testo della firma non può essere modificato a Runtime.
  • 1: a Runtime viene aperta una finestra di dialogo per modificare il testo della firma.

Default: 0

Corrisponde alla proprietà Testo firma modificabile dell´Editor.

LOGIN_PIC=

Immagine che viene usata per il login, al posto della finestra di dialogo modale. Quest´immagine viene usata anche per l´esecuzione della funzione Login con dialogo.

  • GUID: al momento del Login viene aperta l´immagine con questo GUID. È possibile collegare solamente immagini di tipo Login.
  • Vuoto: nessuna immagine collegata. Per il Login si usa una finestra di dialogo modale, oppure viene aperta l´immagine definita in LOGINSIGNATURE_PIC=.

Default: Vuoto

Corrisponde alla proprietà Immagine per Login dell´Editor.

LOGINSIGNATURE_PIC=

Immagine che viene usata per il login con firma, al posto della finestra di dialogo modale.

  • GUID: al momento del Login con firma viene aperta l´immagine con questo GUID. È possibile collegare solamente immagini di tipo Login.
  • Vuoto: nessuna immagine collegata. Per il login con firma viene aperta una finestra di dialogo modale.

Default: Vuoto

Corrisponde alla proprietà Immagine per Login con firma dell´Editor.

LOGOFF=

Tempo (in minuti) senza azioni di comando trascorso il quale il sistema effettua automaticamente il logout di un utente, se la proprietà CANAUTOLOGOFF= ha il valore 1.

Corrisponde alla proprietà Tempo [min] dell´Editor.

LOGTEMP =

Login temporaneo per l´esecuzione di una funzione:

  • 1: se un utente non ha effettuato il login e cerca di gestire un elemento per il quale è necessaria un´autorizzazione, il sistema lo invita a inserire il suo nome utente e la sua password. Il sistema effettua il logout automatico dell´utente subito dopo che questi ha eseguito l´azione.
  • 0: se un utente non ha effettuato il login e cerca di gestire un elemento per il quale è necessaria un´autorizzazione, il sistema lo informa che non è autorizzato a gestire l´elemento.

Default: 1

Nota: posizione e grandezza della maschera di login possono essere definiti nel file zenon6.ini, nella sezione [Comando]Position =.

Corrisponde alla proprietà Login temp. attivo dell´Editor.

MINPWLENGTH=

Lunghezza minima della password in caratteri.

  • Minimo: 0
  • Massimo: 20

Default: 6

Corrisponde alla proprietà Lunghezza minima password dell´Editor.

PWTRIES=

Numero degli inserimenti sbagliati consentiti per la password.
Se si supera questo numero, l´utente corrispondente verrà bloccato. Il blocco può essere eliminato solamente da un amministratore. In questo caso verrà generato un inserimento corrispondente nella Lista eventi cronologica (CEL).

  • Minimo: 0
  • Massimo: 65535

Default: 3

Corrisponde alla proprietà Num. max. tentativi password dell´Editor.

PWVALIDDAYS=

Inserimento del periodo (in giorni) di validità della password. Dopo la scadenza del tempo impostato, si deve inserire una nuova password.

  • Minimo: 0 - La password non scade mai e dunque non c´è bisogno di cambiarla. Se si sceglie questa impostazione, il valore 2147483647 viene scritto sulla variabile di sistema "Giorni alla scadenza Password".
  • Massimo: 4294967295

Default: 0
Attenzione: per i processi produttivi soggetti alla normativa FDA, il valore 0 non è consentito; questo perché le regole FDA richiedono una modifica ciclica/periodica della password.

Corrisponde alla proprietà Periodo di validità password [gg] dell´Editor.

RecursiveLogin=

Impostazioni per Login/Logout automatico in sotto-progetti.

  • 0: nessun logout automatico (default)
  • 1: Login/Logout automatico attivo.

Default: 0

Corrisponde alla proprietà Login/Logout automatico nei sottoprogetti dell´Editor.

USERTRIES=

Numero consentito degli inserimenti di un nome utente non esistente.
Se si supera questo numero, il sistema verrà bloccato. Nessun utente potrà più effettuare il login eccetto gli amministratori. Se però un amministratore effettua il login, il sistema viene sbloccato automaticamente. In questo caso verrà generato un inserimento corrispondente nella Lista eventi cronologica (CEL). Le modifiche di questo valore avranno validità a Runtime solo dopo un riavvio.

  • Minimo: 0
  • Massimo: 65535

Default: 3

Corrisponde alla proprietà Num. max. tentativi Username dell´Editor.


Percorsi [PATH]

Manuale -> File di configurazione -> project.ini -> Percorsi [PATH]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inserimento | Descrizione
[PATH] | Configurazione dei percorsi.
BACKUP= | Percorsi per file di archivio salvati ^ = (default = percorso banca dati).
EXPORTPFAD= | Percorso impostato per ultimo per l´esportazione di dati o tabelle a Runtime.
LISTEN= | Percorso per liste in formato *.txt , *.qrf e *.frm .
REPORTS= | Percorso per l´export o la stampa di report.
VIDEO= | Percorso per file in formato *.avi a Runtime.


Production & Facility Scheduler [PFM]

Manuale -> File di configurazione -> project.ini -> Production & Facility Scheduler [PFM]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[PFM]

Impostazioni per il Production & Facility Scheduler (Production & Facility Manager).

AnzeigenMitStrg=

Gestisce la visualizzazione della finestra di dialogo in caso di inserimento di orari copiati.

Possibili valori:

  • 1: la finestra di dialogo viene visualizzata solamente se si preme il tasto Ctrl quando si incolla l´orario.
  • 0: la finestra di dialogo viene visualizzata sempre.


Link di progetto [PROJEKTLINKS]

Manuale -> File di configurazione -> project.ini -> Link di progetto [PROJEKTLINKS]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[PROJEKTLINKS]

Parametri per progetti collegati in caso di progetti di integrazione.

I sotto-progetti collegati vengono numerati in modo progressivo, ad es.: LINK1=, LINK2=, ...

GLINK=

Nome del progetto globale.

Se si modifica questo nome, tutti i riferimenti di progetto collegati dovranno essere modificati in modo corrispondente.

GLINKPATH=

Percorso del progetto globale per i file Runtime.

Se lo si modifica, i file già esistenti dovranno essere copiati manualmente nella nuova cartella.

LINK1=

Nome progetto del primo sotto-progetto.

LINKGUID1=

GUID univoco del primo sotto-progetto.

LINKMULTI1=

Identificazione per progetti multiutente.

  • 1: progetto multiutente.
  • 0: progetto standalone.

LINKPATH1=

Percorso di progetto del primo sotto-progetto.


Trasporto Remoto [ED_REMOTE], [DIRLIST] e [TRANSPASS]

Manuale -> File di configurazione -> project.ini -> Trasporto Remoto [ED_REMOTE], [DIRLIST] e [TRANSPASS]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[ED_REMOTE]

Inserimento

Descrizione

[ED_REMOTE]

Gestione dei parametri del Trasporto Remoto nella rete per l´Editor

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

COM=

Definizione della porta COM con una connessione seriale (DEVICE=0).

CONFIG=

Configurazione del collegamento via connessione seriale o TCP/IP.

Ad esempio: CONFIG=HOST=RECHNER-XY048;

DEVICE=

Tipo di connessione:

  • 0: Seriale
  • 1: TCP/IP

Default: 1

EXTRA=

Impostazioni per Windows CE. Uso del lettore di scheda locale:

  • 0: no
  • 1: si

Ha effetto solamente se nelle impostazioni di progetto è stata attivata l´opzione Windows CE.

EXTRAEINTRAG=

Cartella Runtime sul dispositivo di destinazione quando viene usato il locale lettore di scheda (EXTRA=1) per Windows CE.

IP_NAME=

Nome PC o indirizzo IP per la connessione TCP/IP (DEVICE=1).

RECENT_x=

Nome PC usato per ultimo. x rappresenta il numero dell´inserimento, ad iniziare da 0, per il nome usato per ultimo.

Esempio: RECENT_0=ATSGA-XY007

SERVER_DOWNLOAD

Impostazioni per il download:

  • 1: download attivo.
    il download è eseguito anche sul Server 1 e sul Server 2.
  • 0: download disattivato.
    Il download è eseguito solamente sul calcolatore indicato.

Ha effetto solamente se nelle impostazioni di progetto è stata attivata la rete ed è stata selezionata la modalità di trasporto TCP/IP.

[DIRLIST]

Inserimento

Descrizione

[DIRLIST]

Impostazioni per la cartella per il Trasporto Remoto.

ADD_AKTIV=

Trasferimento dei file dalla cartella Altro:

  • 0: disattivato.
  • 1: attivo

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

BITMAP=

Percorso di salvataggio per la cartella Grafiche.

BITMAP_AKTIV=

Trasmissione dei file dalla cartella Grafiche:

  • 0: i file non vengono inviati.
  • 1: i file vengono inviati.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

COMMENT_x=

Commento su singoli inserimenti nella lista Sorgente / Destinazione. x rappresenta qui il numero dell´inserimento, a cominciare da 0.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

COUNT=

Numero delle righe configurate nella lista Sorgente / Destinazione, nella finestra di dialogo Trasporto remoto. Viene inserito dall´Editor.

DRV_AKTIV=

Trasferimento dei file dalla cartella Driver:

  • 0: disattivato.
  • 1: attivo

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

HELP_AKTIV=

Trasferimento dei file dalla cartella Help:

  • 0: disattivato.
  • 1: attivo

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

LISTEN=

Percorso di salvataggio per la cartella Testi e formati.

LISTEN_AKTIV=

Trasferimento di file nella cartella per Testi e formati:

  • 0: i file non vengono inviati.
  • 1: i file vengono trasferiti.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

PROJECTBASE=

Percorso di destinazione per la cartella Runtime sul dispositivo remoto.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

RDLC_AKTIV=

Trasferimento dei file dalla cartella Report Viewer:

  • 0: disattivato.
  • 1: attivo

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

REPORTS=

Percorso di salvataggio per la cartella Tabelle.

REPORTS_AKTIV=

Trasferimento di file nella cartella Tabelle:

  • 0: i file non vengono inviati.
  • 1: i file vengono trasferiti.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

SOURCE_x=

Percorso origine per file o cartelle definiti individualmente per il tra´sferimento. x rappresenta qui il numero dell´inserimento, a cominciare da 0.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

SPALTENBREITE_0=

Larghezza della colonna attiva in caratteri.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

SPALTENBREITE_1=

Larghezza della colonna Sorgente in caratteri.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

SPALTENBREITE_2=

Larghezza della colonna Destinazione in caratteri.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

SPALTENBREITE_3=

Larghezza della colonna Modifica in caratteri.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

SPALTENBREITE_4=

Larghezza della colonna Descrizione in caratteri.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

STRAT_AKTIV=

Trasferimento dei file di zenon Logic:

  • 0: disattivato.
  • 1: attivo

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

TARGET_x=

Percorso di destinazione per file definiti individualmente, oppure cartella per il trasferimento. x rappresenta qui il numero dell´inserimento, a cominciare da 0.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

TYPE_x=

Tipo di trasferimento per file o cartelle definiti individualmente. x rappresenta qui il numero dell´inserimento, a cominciare da 0. Tipi di trasferimento:

  • o: copia
  • 1: copia e registra file
  • 2: copia e esegui file

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

VIDEO=

Percorso di salvataggio per la cartella file Multimedia.

VIDEO_AKTIV=

Trasmissione di file nella cartella Multimedia:

  • 0: i file non vengono inviati.
  • 1: i file vengono trasferiti.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Trasporto remoto del gruppo Generale.

[TRANSPASS]

Inserimento

Descrizione

[TRANSPASS]

Password per Trasporto Remoto sul PC di sviluppo.

Nota: configurazione di Remote nel file zenon6.ini, nella sezione Password per RemoteTransport [TRANSPASS].

FIX=

La password viene:

  • 1: salvata
  • 0: non salvata

KEY=

Password per il Trasporto Remoto.

Viene inserito dall´Editor.

KEYCRYPT=

Password salvata in forma crittografata per il Trasporto Remoto.

Si usa solo se KEY= è vuoto.

Default a partire dalla versione 7.20. Il cambio avviene automaticamente sul sistema di origine al momento della conversione di un progetto nella versione 7.20. Sul sistema di destinazione, invece, il cambio deve avvenire manualmente.

NET=

Query dati per la configurazione della crittografia:

  • Diverso da 0: dopo una connessione Trasporto Remoto, l´Editor invia una query al dispositivo remoto, richiedendo i dati per la configurazione della crittografia. L´inserimento viene settato dalla finestra di dialogo Stabilisci collegamento e resettato a 0 subito dopo l´invio della richiesta.

SER=

Stato dell´opzione Configurazione numero di serie e di attivazione nella finestra di dialogo che serve a stabilire una connessione.

  • 0: disattivato.
  • 1: attivo


Manager di gruppi ricette (RGM)

Manuale -> File di configurazione -> project.ini -> Manager di gruppi ricette (RGM)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[RGM]

Inserimenti per il manager di gruppi ricette.

REPORTFONT=

Tipo di carattere per tabelle:

  • 1 È possibile impostare il carattere per le immagini di tipo Manager di gruppi ricette, Viene usato il carattere configurato nella proprietà Carattere.
  • 0: si usa il carattere standard.

Default: 0

Se si usa una tabella definita dall´utente (creata con il Generatore di rapporti), vengono utilizzati i caratteri definiti nel report.

Corrisponde alla proprietà Font tabelle modificabili dell´Editor.


Runtime [RT]

Manuale -> File di configurazione -> project.ini -> Runtime [RT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[RT]

Impostazioni per il Runtime

ERSTE_TASTE=

Esecuzione di funzioni collegate ad un tasto:

  • 0: vengono eseguite tutte le funzioni collegate.
  • 1: viene eseguita solo la prima funzione trovata.

GFX_LIST_SEL_CLR_0=

Colore per il testo di un inserimento della lista se il focus si trova sull´elemento.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Per esempio: GFX_LIST_SEL_CLR_0=16777215

Default: Valore del sistema operativo.

Corrisponde alla proprietà Colore testo con Focus nel gruppo Aspetto grafico/Colore di selezione per le liste oggetti dell´Editor.

GFX_LIST_SEL_CLR_1=

Colore per il testo di un inserimento della lista se il focus non si trova sull´elemento.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Per esempio: LIST_SEL_CLR_2=0

Default: Valore del sistema operativo.

Corrisponde alla proprietà Colore testo senza Focus nel gruppo Aspetto grafico/Colore di selezione per le liste oggetti dell´Editor.

GFX_LIST_SEL_CLR_2=

Colore di sfondo di un inserimento della lista se il focus si trova sull´elemento.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Per esempio: LIST_SEL_CLR_2=16750899

Default: Valore del sistema operativo.

Corrisponde alla proprietà Colore di sfondo con focus nel gruppo Aspetto grafico/Colore di selezione per le liste oggetti dell´Editor.

GFX_LIST_SEL_CLR_3=

Colore di sfondo di un inserimento della lista se il focus non si trova sull´elemento.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

Per esempio: LIST_SEL_CLR_2=15790320

Default: Valore del sistema operativo.

Corrisponde alla proprietà Colore di sfondo senza focus nel gruppo Aspetto grafico/Colore di selezione per le liste oggetti dell´Editor.

LOCKED_KEYS=

Definisce l´aspetto di pulsanti a Runtime non utilizzabili a causa di un blocco.

Possibili forme di visualizzazione:

  • 0: normale
  • 1: grigio
  • 2: invisibile

Questa proprietà agisce indipendentemente dalla proprietà Identificazione grafica attiva. Un pulsante grigio può visualizzare, ad esempio, anche un simbolo lucchetto.

Viene combinata a Runtime con la proprietà DISREAKTION= (gruppo [PASSWORD])

Corrisponde alla proprietà Pulsanti bloccati nel gruppo Aspetto grafico/Elementi bloccati dell´Editor.

NOT_WORKING_AKTIV=

Impostazione per l´esecuzione automatica di una funzione dopo lo scadere di un tempo impostato, senza azione:

  • 1: esecuzione automatica attiva.
  • 0: esecuzione automatica disattivata.
    Questa impostazione permette d´attivare (=1) o disattivare (=0) l´esecuzione.

Default: 0

La funzione da eseguire viene definita mediante NOT_WORKING_FUNC= . L´intervallo di tempo mediante NOT_WORKING_TIME=.

Corrisponde alla proprietà Esecuzione aut.funzione attiva nel gruppo Funzioni dell´Editor.

NOT_WORKING_FUNC=

Numero della funzione che dovrà essere eseguita alla scadenza del tempo definito in NOT_WORKING_TIME=.

Corrisponde alla proprietà Funzione nel gruppo Funzioni dell´Editor.

NOT_WORKING_TIME=

Intervallo di tempo in minuti al cui scadere deve essere eseguita la funzione indicata in NOT_WORKING_FUNC=.

Corrisponde alla proprietà Periodo senza azione di comando (min) nel gruppo Funzioni dell´Editor.

SELECTION_NORMAL=

Identificazione di un inserimento selezionato in una lista (allarmi o CEL) con:

  • 0: cornice. Consigliata per una migliore leggibilità nel caso di elevate risoluzioni dello schermo.
  • 1: barra. Il colore di sfondo delle righe selezionate viene invertito. Consigliata per una migliore leggibilità nel caso di basse risoluzioni dello schermo.

Default: 0

Corrisponde alla proprietà Seleziona con cornice nel gruppo AML e CEL dell´Editor.

TOUCHSCREEN=

Tastiera automatica per touchscreen:

  • 1: visualizzata se è necessario effettuare un inserimento.
  • 0: non visualizzata

Default: 0

Corrisponde alla proprietà Tastiera automatica nel gruppo Interazione/Tastiera dell´Editor.

WIN_CE=

Impostazioni per l´uso con Windows CE.

  • 1: le funzionalità che non supportate con Windows CE sono nascoste nell´Editor (sono di colore grigio oppure invisibili).
  • 0: sono disponibili tutte le funzionalità dell´Editor per cui si dispone di una licenza.

Default: 0

Corrisponde alla proprietà Progetto WindowsCE nel gruppo Generale dell´Editor.

WITH_ACTION=1

Gestione degli elementi:

  • 0: viene usato il primo elemento sotto il puntatore mouse.
  • 1: viene usato il primo elemento sotto il puntatore mouse che è collegato ad un´azione.


File Runtime modificabili [RTDATEN]

Manuale -> File di configurazione -> project.ini -> File Runtime modificabili [RTDATEN]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[RTDATEN]

Impostazioni per la creazione di file modificabili a Runtime.

NOOVERWRITE_REZEPTE=

Trasferimento di gruppi ricetta.

  • 0: i gruppi di ricetta vengono creati e trasferiti. I gruppi di ricetta esistenti a Runtime vengono sovrascritti.
  • 1: i gruppi di ricetta non vengono trasferiti.

Raccomandazione: Configurazione nell´Editor con la finestra di dialogo della proprietà RT dati modificabili.

NOOVERWRITE_REZEPTUREN=

Trasferimento di ricette.

  • 0: le ricette vengono create e trasferite. Le ricette esistenti a Runtime vengono sovrascritte.
  • 1: le ricette non vengono trasferite.

Raccomandazione: Configurazione nell´Editor con la finestra di dialogo della proprietà RT dati modificabili.

NOOVERWRITE_PASSWORT=

Trasferimento password.

  • 0: le password vengono create e trasferite. Le ricette esistenti a Runtime vengono sovrascritte.
  • 1: le password non vengono trasferite.

Raccomandazione: Configurazione nell´Editor con la finestra di dialogo della proprietà RT dati modificabili.

NOOVERWRITE_FPM=

Trasferimento dei dati schedulatore.

  • 0: i dati schedulatore vengono creati e trasferiti. I dati schedulatore esistenti a Runtime vengono sovrascritti.
  • 1: i dati schedulatore non vengono trasferiti.

Raccomandazione: Configurazione nell´Editor con la finestra di dialogo della proprietà RT dati modificabili.


Stato [STATUS]

Manuale -> File di configurazione -> project.ini -> Stato [STATUS]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inserimento | Descrizione
[STATUS] |
STATUS0= | Testo per informazioni di stato, se il bit 0 è settato. E possibile inserire un testo lungo o un testo breve, separati da ;
STATUSx= | Vedi STATUS0 per i numeri x= 1 a 63.


Tabelle [TABELLE]

Manuale -> File di configurazione -> project.ini -> Tabelle [TABELLE]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
[TABELLE] | Proprietà per le tabelle.
TRENNZEICHEN= | Separatore per le singole celle quando si esportano report a Runtime in un file in formato *.TXT. Per es., solo caratteri stampabili, come - oppure tabulatore (TAB). Esempio: TRENNZEICHEN=TAB


Driver

Manuale -> File di configurazione -> project.ini -> Driver

Proprietà per driver.

Noch in diesem Kapitel

S7TCP32 [S7TCP32]

Simotion [SIMOTION]

Driver di sistema [SYSTEMTREIBER]


S7TCP32 [S7TCP32]

Manuale -> File di configurazione -> project.ini -> Driver -> S7TCP32 [S7TCP32]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[S7TCP32]

Impostazioni per il driver S7TCP32

FS=

Stabilisce se vengono visualizzati o meno i tipi di oggetto F&S DB Bit, F&S DB Byte, F&S Bit e F&S Byte:

  • 1: visualizza
  • 0: non visualizzare (Default)


Simotion [SIMOTION]

Manuale -> File di configurazione -> project.ini -> Driver -> Simotion [SIMOTION]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[SIMOTION]

Impostazioni per il driver Simotion.

BLOCKWRITE=

Attivazione di blockwrite.

  • 0: Blockwrite è disattivato.
  • 1: Blockwrite è attivato. Più valori pro TCP-request vengono scritti sia per variabili globali, che per variabili axis. Per le variabili globali viene scritto un save block continuo (unbroken), mentre per variabili axis viene inviata una lista di valori variabile.


Driver di sistema [SYSTEMTREIBER]

Manuale -> File di configurazione -> project.ini -> Driver -> Driver di sistema [SYSTEMTREIBER]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[SYSTEMTREIBER]

Proprietà per il driver di sistema.

UPDATE_SEK=

Tempo ciclico di update del driver di sistema in secondi.

WISCHER_BOXEN=
  • 0: i messaggi vengono soppressi. Per questa evenienza sono a disposizione nel driver di sistema delle variabili bit con le quali si può reagire in modo individuale agli inserimenti errati collegando una funzione con un valore limite.
  • 1: nel caso di inserimenti utente errati (Imposta valore, Login, ecc.), vengono visualizzati a Runtime dei messaggi corrispondenti.

Corrisponde alla proprietà Inserimenti errati dell´Editor.

WISCHER_BOXEN_USERLEVEL=

Attivo solamente se WISCHER_BOXEN= è 1

  • 0: non viene visualizzato nessun messaggio di errore se il livello di autorizzazione non è corretto. Nonostante ciò, viene settata la variabile del driver di sistema Funzione non autorizzata, che può essere analizzata tramite valore limite o matrice di reazione.
  • 1: se un utente esegue a Runtime una funzione che richiede un livello di autorizzazione che non ha, viene visualizzata una finestra contenente un messaggio di errore.

Corrisponde alla proprietà Autorizzazione insufficiente dell´Editor.


Visualizzazione globale [WORLDVIEW]

Manuale -> File di configurazione -> project.ini -> Visualizzazione globale [WORLDVIEW]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[WORLDVIEW]

Visualizzazione globale.

MarkCenter=
  • 0: non è selezionata nessuna stazione
  • 1: alla selezione di una stazione, la stazione viene evidenziata per breve tempo nell´immagine


Versioni di zenon e versionamento progetti [VERSION]

Manuale -> File di configurazione -> project.ini -> Versioni di zenon e versionamento progetti [VERSION]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[VERSION]

Informazioni relative alla versione di zenon con la quale è stata eseguita l´ultima modifica del progetto, e informazioni relative al versionamento progetti. Queste informazioni vengono settate dall´Editor e non devono essere modificate in alcun caso!

BETA=

Riferimento allo stato di rilascio della versione di zenon usata per ultima.

  • 0: versione rilasciata.
  • 1: versione beta.

GUID=

GUID del progetto.

PROJECT_VERSION_ACTIVE=

Versionamento del progetto:

  • 1: viene usato il versionamento progetti. Ogni backup di progetto viene salvato con un proprio numero di versione.
  • 0: nessun versionamento di progetto.

Default: 0

Corrisponde alla proprietà Attiva versionamento nel gruppo Generale/Versionamento dell´Editor.

PROJ_MAJOR=

Numero della versione principale. Può essere assegnato liberamente.

Attenzione: modifiche non ponderate di questo numero hanno conseguenze indesiderate sulla coerenza interna del versionamento.

Configurazione mediante la proprietàVersione generale nel gruppo Generale/Versionamento.

PROJ_MINOR=

Numero dettaglio per la versione principale. Viene assegnato automaticamente.

Corrisponde alla proprietà Versione progetto nel gruppo Generale/Versionamento dell´Editor.

PROJ_TIMESTAMP=

Momento dell´ultimo backup di progetto in UTC in secondi.

SP=

Numero del service pack della versione di zenon usata per ultima per modificare il progetto.

Ad esempio: 0 per zenon 7.20 SP0.

VERSION1=

Numero della versione principale di zenon usata per ultima per modificare il progetto.

Ad esempio: 7 per zenon 7.20 SP0.

VERSION2=

Numero della sotto-versione di zenon usata per ultima per modificare il progetto.

Ad esempio: 20 per zenon 7.20 SP0.

XML_EXPORT_ACTIVE=

Export XML di versioni:

  • 1: ad ogni backup di progetto viene inserito un file ZIP (Version.zip). Questo contiene 24 file XML con i backup dei singoli moduli.
    Nota: nei progetti multiutente, solo nel caso di backup locale.
  • 0: Nessun export XML.

Default: 0

Corrisponde alla proprietà Esportazione XML attiva nel gruppo Generale/Versionamento dell´Editor.


startup.ini

Manuale -> File di configurazione -> startup.ini

Nota: in linea di principio, le impostazioni dovrebbero essere eseguite nello Startup-Tool. Le modifiche nello startup.ini dovrebbero essere eseguite solamente da esperti.
Momentaneamente esiste una documentazione solamente per le impostazioni per la crittografia della comunicazione in rete.

Inserimento | Descrizione
[Settings] |
USE_ENCRYPTION= | Attiva o disattiva crittografia 0: inattivo 1: attivo Inserimento viene ripreso nello zenon6.ini dopo essere stato settato e salvato nello Startup Tool.
ENCRYPTION_PWD | Qui viene inserita automaticamente in modo crittografato la password dopo che è stata creata. La password viene crittografata in un modo dipendete del calcolatore; ciò significa che una password identica in diversi calcolatori porta a diversi contenuti di questo inserimento. Inserimento viene ripreso nello zenon6.ini dopo essere stato settato e salvato nello Startup Tool.
PWD_VALIDATION= | Hash che verifica se i dati usati per la crittografia sono cambiati.


zenDB.ini

Manuale -> File di configurazione -> zenDB.ini

Gli inserimenti nello zenDB.ini determinano la connessione con il server SQL. Sono settati con lo Startup Tool.

Inserimenti nello zenDB.ini

Dalla versione 07:11 SP0

Inserimento

Valore default

Descrizione

[CONNECTION_SQL2012]

Impostazioni di connessione per SQL Server 2012

PW=

Startup Tool: nessuno
Altrimenti: zen_$2012

Definisce la password che zenDBSrv usa per l´autenticazione nei confronti del server SQL. La password viene salvata in forma crittografata nello zenDB.ini. Tuttavia, si può però usare il valore di default non crittografato per stabilire la connessione, visto che, a causa della sua durata, il tentativo di decodificazione fallisce e il valore di default viene usato direttamente per stabilire la connessione.

Attenzione: La crittografia avviene mediante loStartup Tool. L´impostazione della banca dati, dunque, deve avvenire assolutamente con lo Startup Tool.
La password deve essere adeguata anche sul SQL Server per l´utente zenOnSrv.

Nota: ogni componente scrive questo valore in forma crittografata nel file INI.

Tutte le altre impostazioni corrispondono a quelle della versione 7.10.

Dalla versione 07:10 SP0

Inserimento

Valore default

Descrizione

[PATH]

nessuno

Percorso

DB60_SQL2012=

nessuno

Definisce il percorso in cui sono salvate le banche dati SQL per i progetti Editor di zenon.

Esempio:

DB60_SQL2012=C:\ProgramData\COPA-DATA\SQL2012\

[CONNECTION_SQL2012]

Impostazioni di connessione per SQL Server 2012

USER=

Startup Tool: nessuno
Altrimenti: zenOnSrv

Definisce il nome utente che zenDBSrv usa per registrarsi sul server SQL.

PW=

Startup Tool: nessuno
Altrimenti: srv_710

Definisce la password che zenDBSrv usa per l´autenticazione nei confronti del server SQL. La password è slavata in forma crittografata nello zenDB.ini. Si può però usare il valore di default non crittografato per stabilire la connessione, visto che, a causa della sua lunghezza, il tentativo di decodificazione fallisce e il valore di default viene usato direttamente per l´instaurazione della connessione.

Attenzione: La crittografia avviene mediante loStartup Tool. L´impostazione della banca dati, dunque, deve avvenire assolutamente con lo Startup Tool.
La password deve essere adeguata anche sul SQL Server per l´utente zenOnSrv.

Nota: ogni componente scrive questo valore in forma crittografata nel file INI.

SQLINSTANCE=

Startup Tool: nessuno
Altrimenti: localhost

Definisce l´istanza del server SQL alla quale si connette zenDBSrv. Con il valore di default non si può stabilire nessuna connessione, visto che questo non contiene nessun nome istanza. "localhost" viene sostituito nel nome istanza dal nome computer attuale prima che venga stabilita una connessione.

Esempio:

SQLINSTANCE=localhost\ZENON_2012

SQLPROVIDER=

Startup Tool: nessuno
Altrimenti: SQLNCLI10.1

Inserimento facoltativo per il provider che zenDBSrv usa per instaurare una connessione con la banca dati. Il valore di default corrisponde al SQL Server 2008 R2 Native Client.

Esempio:

SQLPROVIDER=SQLNCLI10.1

Versione 07:00 SP0

Inserimento | Valore default | Descrizione
[PATH] | nessuno | Percorso
DB60_SQL2008= | nessuno | Definisce il percorso su cui vengono depositate le banche dati SQL per i progetti Editor di zenon. Esempio: DB60_SQL2008=C:\ProgramData\COPA-DATA\SQL2008R2\
[CONNECTION_SQL2008] |  | Impostazioni di connessione per SQL Server 2008R2
USER= | Startup Tool: nessuno Altrimenti: zenOnSrv | Definisce il nome utente con cui il zenDBSrv si registra sul server SQL.
PW= | Startup Tool: nessuno Altrimenti: srv_700 | Definisce la password che zenDBSrv usa per l´autentificazione nei confronti del server SQL. La password viene depositata in forma cifrata nello zenDB.ini. Si può però usare il valore di default non cifrato per instaurare la connessione, visto che, a causa della sua durata, il tentativo di decodificazione fallisce e il valore di default viene usato direttamente per la instaurazione della connessione. Nota: ogni componente scrive questo valore in forma cifrata nel file INI.
SQLINSTANCE= | Startup Tool: nessuno Altrimenti: localhost | Definisce l´istanza del server SQL alla quale si connette zenDBSrv. Con il valore di default non si può instaurare nessuna connessione, visto che esso non contiene nessun nome istanza. "localhost" viene sostituito nel nome istanza dal nome computer attuale prima che venga stabilita una connessione. Esempio: SQLINSTANCE=localhost\ZENON_2008R2
SQLPROVIDER= | Startup Tool: nessuno Altrimenti: SQLNCLI10.1 | Inserimento facoltativo per il provider che zenDBSrv usa per stabilire una connessione di database Il valore di default corrisponde all´SQL Server 2008 R2 Native Client. Esempio: SQLPROVIDER=SQLNCLI10.1

Versione 6.51 SP0

Inserimento | Valore default | Descrizione
[PATH] |  | Percorso
DB60_SQL2005= | nessuno | Definizione del percorso Esempio: DB60_SQL2005=C:\ProgramData\COPA-DATA\SQL\
[CONNECTION_SQL2005] |  |
SQLSERVICE_SQL2005= | localhost\ZENON_DEV | Nome del servizio che avvia l´istanza SQL Server. Deve corrispondere all´inserimento PROVIDER_SQL2005= nella sezione Data Source! Esempio: SQLSERVICE_SQL2005=MSSQL$ZENON_DEV
USER= | nessuno | Utente. Esempio: USER=zenOnSrv
PW= | nessuno | Password. Viene assegnata nello Startup Tool e salvata qui in forma crittografata. Esempio: PW=0x9C 0x94 0xC6 0x50 0x15 0x80 0x79 0x06 0x32 0xED 0x4E 0xE1 0x15 0xDD 0x7C 0x90
SQLINSTANCE= | nessuno | SQL Instant. Esempio: SQLINSTANCE=localhost\ZENON_DEV

A partire dalla versione 6.21 SP0 fino alla versione 6.50 SP0

Inserimento | Valore default | Descrizione
[PATH] |  | Percorso
DB60_SQL2005= | Nessuno | Definizione del percorso Esempio: DB60_SQL2005=C:\ProgramData\COPA-DATA\SQL\
[CONFIG] |  |
SQLSERVICE_SQL2005= | localhost\ZENON_DEV | Nome del servizio che avvia l´istanza SQL Server. Deve corrispondere all´inserimento Data Source nella sezione PROVIDER_SQL2005=! Esempio: SQLSERVICE_SQL2005=MSSQL$ZENON_DEV
PROVIDER_SQL2005= |  | Inserimento per il provider che zenDBSrv usa per stabilire una connessione con il database. Esempio: PROVIDER_SQL2005=Provider=SQLNCLI.1;Password=srv_601;Persist Security Info=True;User ID=zenOnSrv;Initial Catalog=%s;Data Source=localhost\ZENON_DEV;

Fino alla versione 6.20 SP4

Inserimento | Valore default | Descrizione
[PATH] |  | Percorso
DB60= |  | Esempio: DB60=C:\SQL\
[CONFIG] |  |
SQLSERVICE= | MSSQL$ZENON | Definisce il percorso in cui vengono salvate le banche dati SQL per i progetti Editor di zenon.
Provider= |  | Inserimento per il provider che zenDBSrv usa per instaurare una connessione con la banca dati. Esempio: Provider=Provider=SQLOLEDB.1;Password=zenon;Persist Security Info=False;User ID=sa;Initial Catalog=%s;Data Source=localhost\ZENON


zenon6.ini

Manuale -> File di configurazione -> zenon6.ini

In linea di principio, le impostazioni dovrebbero essere effettuate nell'Editor. Solo gli esperti dovrebbero effettuare delle modifiche nel file zenon6.ini.

info Informazioni su

Trovate lo zenon6.ini nel percorso:

Windows 7/8: %ProgramData%\COPA-DATA\System\

Noch in diesem Kapitel

Impostazioni generali [DEFAULT]

Filtro AML e CEL sulla base del nome e identificazione [AlarmFilterDialog]

Aree di lavoro [RECENTWORKSPACES]

Modifica archivi [ARCHEDIT]

Comando [Befehlsgabe]

Autorizzazione operativa in Everywhere Server by zenon [Password]

Diagnose Server [SYS_REMOTE] e [LOGGING_SYSTEM]

Stampante in generale [DRUCKER] e [FRM_PRNT]

Editor [EDITOR] e [Editor/CustomMenu]

Everywhere Server [EVERYWHERE]

Trend esteso [EW-TREND]

Export [EXPORT]

Impostazioni finestre [PROPERTY]

Indirizzo IP sotto Windows CE [IPADDR]

Message Control [MESSAGE CONTROL]

Rete [NETZ]

Impostazione percorsi [PATH]

Configurazione porta [LISTENING_SOCKETS]

Interfacce di programmazione [PCE], [VBA], [VBA_TOOLBAR] e [VSTA]

Parametri per il Remote-Transport [SYS_REMOTE]

Password Trasporto Remoto [TRANSPASS]

Runtime [RT]

SYMBOLO [SYMBOL]

Simulatore [SIMULATOR]

Terminal Server [TERMINAL]

Driver


Impostazioni generali [DEFAULT]

Manuale -> File di configurazione -> zenon6.ini -> Impostazioni generali [DEFAULT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[DEFAULT]

Impostazioni generali

ACTIVATIONKEY7=

Attivazione crittografata per licenza dongle e licenza software.

Per le versioni precedenti a zenon 7.0, l´inserimento è il seguente: ACTIVATIONKEY=

Raccomandazione: configurare tramite la finestra di dialogo File-> Impostazioni generali -> Registrazione del prodotto.

ACTIVATIONKEY7_n=

Chiave di attivazione alternativa per Dongle. Consente di avviare Editor e Runtime con diverse licenze e dongle.

  • n: numero compreso fra 1 e 9.

Quando si avvia l´Editor o il Runtime, il sistema verifica i numeri di licenza e delle chiavi di attivazione esistenti nell´ordine del loro inserimento. Quando si trova un inserimento, il sistema verifica se esiste il dongle corrispondente. Se entrambi questi requisiti sono soddisfatti, l´Editor o il Runtime verranno avviati; altrimenti il sistema provvede a verificare il prossimo inserimento.

Questa procedura viene eseguita in modo analogo anche per l´inserimento SERIAL7_n=.

Esempio pratico: Solo il Runtime è attivato nell´inserimento principale ACTIVATIONKEY7= di un apparecchio. Non c´è un secondo inserimento con un attivazione per l´Editor. Un tecnico per la manutenzione che vuole rendere operativo l´Editor, non deve far altro che inserire il suo dongle, senza dover cambiare la chiave di attivazione.

AUTOEXCEPTTIME=

Tempo espresso in secondi per la visualizzazione della Exception-Box.
Se manca questo inserimento oppure esso è stato settato a 0, la box viene visualizzata finché non la si conferma cliccando suOK.

DEFANWENDUNG30=

Nome del progetto attuale caricato all´avvio del programma

DEFWORKSPACE=

Nome del workspace attuale caricato all´avvio del programma.

Raccomandazione: Selezione tramite la scheda General nello Startup Tool.

LANGUAGE=

Lingua impostata:

  • GERMAN
  • ENGLISH
  • ITALIAN
  • FRENCH
  • ...

Nota: Questo inserimento .INI vale anche per lo zenon Web Client.

LASTPROJEKT=

Progetto aperto per ultimo nell´Editor. Viene settato nell´Editor al momento della sua chiusura.

Questo inserimento viene ignorato se nello Startup Tool è stata attivata l´opzione Overwrite INI settings

RT_CXMAINFRAME=

Larghezza della risoluzione di tutti i monitor meno 1 pixel.

Salva insieme a RT_CYMAINFRAME= la posizione e dimensione della finestra runtime.

RT_CXRESOLUTION=

Larghezza della risoluzione del calcolatore di destinazione nel Runtime in pixel, indipendentemente dal valore della proprietà RT_CXMAINFRAME. Qui non è necessario sottrarre 1 pixel.

RT_CYMAINFRAME=

Altezza della risoluzione di tutti i monitor meno 1 pixel.

Salva insieme a RT_CXMAINFRAME= la posizione e dimensione della finestra runtime.

Attenzione: Se la barra task è visualizzata, la sua altezza deve essere considerata e deve essere sottratto un numero corrispondente di pixel.

RT_CYRESOLUTION=

Altezza della risoluzione del calcolatore di destinazione nel Runtime in pixel, indipendentemente dal valore della proprietà RT_CYMAINFRAME. Qui non è necessario sottrarre 1 pixel.

RTENDDELAY=

Ritardo in millisecondi (ms) alla chiusura del Runtime, se quest´ultimo, al momento della chiusura, setta richiami ricorsivi.

Esempio: RTENDDELAY=30000

SCREENPROFILE=

Profilo monitor selezionato per questo calcolatore. Ciò vale per tutti i progetti.

Raccomandazione: Configurazione tramite la finestra di dialogo della proprietà Configurazione monitor nelle proprietà di progetto del gruppo Aspetto grafico/Runtime generale.

SERIAL7=

Chiave di attivazione per dongle e licenza software.

Per le versioni precedenti a zenon 7.0, l´inserimento è il seguente: SERIAL=

Raccomandazione: Configurazione tramite la finestra di dialogo File-> Impostazioni generali -> Registrazione del prodotto.

SERIAL7_n=

Numero di serie alternativo per dongle. Consente all´Editor e al Runtime di essere avviati con diverse licenze e dongle.

  • n: numero compreso fra 1 e 9.

Quando si avvia l´Editor o il Runtime, il sistema effettua una verifica dei numeri di licenza e delle chiavi di attivazione esistenti nell´ordine del loro inserimento. Quando trova il primo inserimento, il sistema verifica se esiste il dongle corrispondente. Se entrambi questi requisiti sono soddisfatti, l´Editor o il Runtime verranno avviati; altrimenti il sistema provvede a verificare il prossimo inserimento.

Questa procedura viene eseguita in modo analogo anche per l´inserimento ACTIVATIONKEY7_n=.

Esempio pratico: Solo il Runtime è dotato di licenza valida nell´inserimento principale SERIAL= di un apparecchio. Non c´è un secondo inserimento con una licenza per l´Editor. Un tecnico per la manutenzione che vuole rendere operativo l´Editor, non deve far altro che inserire il suo dongle, senza dover cambiare il numero di serie.

SICAM230KEY7

Ulteriore chiave di attivazione per SICAM 230.

STARTDELAY=

Ritardo di avvio del Runtime in millisecondi (ms) in caso di booting.
Nel caso dell´insorgere di problemi in fase di avvio automatico del Runtime con il sistema operativo, lo start del Runtime può essere ritardato tramite questa impostazione. In tal modo il sistema operativo ha più tempo per avviare tutti i servizi necessari.

STRING=

Nome del progetto che deve essere ricaricato quando viene inizializzato il reloading sul server.

Un inserimento viene fatto nello zenOn6.ini del server.


Filtro AML e CEL sulla base del nome e identificazione [AlarmFilterDialog]

Manuale -> File di configurazione -> zenon6.ini -> Filtro AML e CEL sulla base del nome e identificazione [AlarmFilterDialog]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[AlarmFilterDialog]

Salva inserimenti storici nel filtro per nome variabile e identificazione nella scheda Generale, quando si configura il cambio ad immagini del tipo AML, CEL e Immagini filtro.

La lista viene integrata in caso di nuovi inserimenti nella Combobox dopo la chiusura del dialogo di filtro del cambio immagine. L´inserimento settato al momento nella Combobox non viene salvato. Gli inserimenti storici valgono per tutti i progetti sul calcolatore locale, e sono a disposizione nell´Editor e nel Runtime dove li si potrà selezionate mediante il corrispondente menù a tendina.

History1_COUNT=

Numero degli inserimento nel menù a tendina per Nome variabile.

History1_x=

Inserimento nel menù a tendina per nome variabile. x rappresenta una numerazione progressiva che inizia da 0.

Esempio: History1_2=*top

History2_COUNT=

Numero degli inserimento nel menù a tendina per Identificazione.

History2_x=

Inserimento nel menù a tendina per identificazione. x rappresenta una numerazione progressiva che inizia da 0.

Esempio: History2_2=*filler


Aree di lavoro [RECENTWORKSPACES]

Manuale -> File di configurazione -> zenon6.ini -> Aree di lavoro [RECENTWORKSPACES]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mostra le ultime cinque aree di lavoro caricate, incluso relativo percorso. Queste impostazioni vengono scritte nello zenon6.ini dall´Editor al momento della sua chiusura. Nell´Editor, queste cinque aree di lavoro vengono visualizzate nel menù File.

Inserimento

Descrizione

[RECENTWORKSPACES]

Sezione per le cinque aree di lavoro caricate per ultime.

WORKSPACE0=

WORKSPACE1=

WORKSPACE2=

WORKSPACE3=

WORKSPACE4=

Ultimo workspace caricato. Quanto più recente, tanto inferiore è il numero progressivo assegnato.

  • WORKSPACE0: area di lavoro caricata per ultima.
  • WORKSPACE4: area di lavoro della lista ad essere stata utilizzata per prima.

Viene visualizzato l´intero percorso relativo all´area di lavoro.
Ad esempio: WORKSPACE0=C:\Users\Public\Documents\zenon_Projects\Demo711.wsp6


Modifica archivi [ARCHEDIT]

Manuale -> File di configurazione -> zenon6.ini -> Modifica archivi [ARCHEDIT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[ARCHEDIT]

Proprietà per la modifica archivi.

ARCHEDITFONT=

Selezione del carattere.

Raccomandazione: Può essere configurato nel Runtime tramite la finestra di dialogo finestra di diagramma.

DATUMBREITE=

Larghezza della colonna Data/Ora in caratteri.

Raccomandazione: Può essere configurato nel Runtime tramite la finestra di dialogo finestra di diagramma.

EINHEITBREITE=

Larghezza della colonna Unità di misura in caratteri.

Raccomandazione: Può essere configurato nel Runtime tramite la finestra di dialogo finestra di diagramma.

KENNUNGBREITE=

Larghezza della colonna Identificazione in caratteri.

Raccomandazione: Può essere configurato nel Runtime tramite la finestra di dialogo finestra di diagramma.

KURZBEZEICHNUNG=

Visualizzazione della denominazione breve dell´archivio nella tabella.

  • 1: si
  • 0: no

STATUSBREITE=

Larghezza della colonna Stato in caratteri.

Raccomandazione: Può essere configurato nel Runtime tramite la finestra di dialogo finestra di diagramma.

VARIABLEBREITE=

Larghezza della colonna Variabile in caratteri.

Raccomandazione: Può essere configurato nel Runtime tramite la finestra di dialogo finestra di diagramma.

WERTBREITE=

Larghezza della colonna Valore in caratteri.

Raccomandazione: Può essere configurato nel Runtime tramite la finestra di dialogo finestra di diagramma.

ZUSTANDBREITE=

Larghezza della colonna Testo in caratteri.

Raccomandazione: Può essere configurato nel Runtime tramite la finestra di dialogo finestra di diagramma.

ZWANGSSPEICHERN=

Correzione di inserimenti negli archivi in cascata:

  • 1: tutti gli inserimenti.
  • 0: solo gli inserimenti modificati.


Comando [Befehlsgabe]

Manuale -> File di configurazione -> zenon6.ini -> Comando [Befehlsgabe]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[Befehlsgabe]

Attenzione: Solo per SICAM 230.

Befehlsstring=

Protocollaggio di Comando nella CEL a comando:

  • 0: disattivato.
  • 1: attivo

CODE=

interrogazione del numero codice:

  • 0: off
  • 1: on

CodeKontrolle=

Verifica di plausibilità nel corso dell´interrogazione del numero di codice.

  • 0: off
  • 1: on

POSITION=

Definisce la posizione e la dimensione della maschera di Login/Logout.

Fascia di valori compresa da 0 a 1. I valori vanno inseriti separati da virgola nella seguente sintassi:
xsinistra, xdestra, ysopra, ysotto
Default: 0.001 , 0.999 , 0.835 , 0.964

TASTE=

Assegnamento tasti per gestione a due mani: Possibili inserimenti:

  • nessun inserimento: Gestione singola (ad una mano).
  • RETURN: Tasto Ins
  • SPACE: Tasto Space
  • Da F2 a F12: Uno dei tasti F (fatta eccezione per F1)
  • Da A a Z e da 0 a 9: 1 carattere alfanumerico

Default: nessun inserimento


Autorizzazione operativa in Everywhere Server by zenon [Password]

Manuale -> File di configurazione -> zenon6.ini -> Autorizzazione operativa in Everywhere Server by zenon [Password]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inserimento | Descrizione
[PASSWORD] | Configurazione delle autorizzazioni operative per l´Everywhere Server.
EVWH_ACCESS= | Livello di autorizzazione che ha accesso all´Everywhere Server. Valore: Numero del livello di autorizzazione progettato. Default: 0 (= ognuno ha accesso)


Diagnose Server [SYS_REMOTE] e [LOGGING_SYSTEM]

Manuale -> File di configurazione -> zenon6.ini -> Diagnose Server [SYS_REMOTE] e [LOGGING_SYSTEM]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7, remote e diagnosi vengono eseguiti tramite due diversi servizi. Se su di un dispositivo ci sono sia vecchi che nuovi Diagnose Client o Diagnose Server, questi possono essere configurati indipendentemente gli uni dagli altri usando degli inserimenti INI. In questo modo, per esempio, si possono deviare gli inserimenti Log di vecchi Diagnose Client senza che gli inserimenti Log di nuovi Diagnose Client ne siano interessati.

Diagnose Server prima della versione 7.00 SP0

Inserimento INI

Descrizione

[SYS_REMOTE]

Sezione nello zenon6.ini.

Contiene i parametri per zenSysSrv (Trasporto Remoto e Diagnose Server).

LOGDirectory=

Definisce la cartella per i file Log.

Se non c´è questo inserimento, viene usata la cartella LOG nella cartella %ProgramData% della versione usata come valore standard.

Esempio:
LOGDirectory= %ProgramData%\COPA-DATA\zenon651\LOG

CONFIG=

Stringa di configurazione per il Diagnose Server e il zenSysSrv . Trasporto Remoto e diagnosis system usano (fino alla versione 6.51 SP0 compresa) la stessa configurazione server. La stringa consiste delle seguenti parti: DEVICE=[Device];HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setta il tipo di comunicazione usato. Sono a disposizione
    TCP/IP e seriale.
  • HOST: viene settato sul nome computer del Diagnose Server.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.
  • BAUD: indica la velocità di connessione di una connessione seriale.

Configurazione PC:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Configurazione CE:

  • DEVICE=COM1
  • BAUD=115200

LOGMinFreeDiskSpace=

Definisce lo spazio di memoria minimo in MB che deve essere libero sul disco fisso. Prima di scendere sotto di questo valore, vengono cancellati file LOG.

Default: 1024

LOGMaxUsedDiskSpace=

Definisce lo spazio massimo di memoria in MB usato per i file LOG sul disco fisso. Prima che questo valore sia superato, vengono cancellati file LOG.

Default: 1024

LOGMinUsedDiskSpace=

Definisce lo spazio di memoria in MB sul disco fisso che viene occupato anche quando non ci sono dei file LOG.

Default: 5

LOGLogLifeTime=

Definisce il ciclo di vita dei file LOG in secondi. I file di LOG più vecchi vengono cancellati.

Default: 1209600 (corrisponde a 14 giorni)

LOGImageCnt=

Definisce il numero di inserimenti LOG dopo cui vengono scritti tutti i file di registro incrementali.

  • 0: non attivo (default)

LOGLogUpdateTime=

Numero di millisecondi dopo cui gli inserimenti LOG ricevuti vengono scritti in un file LOG.

Default: 2000

LOGMaxBufferedRecs=

Definisce il numero di inserimenti LOG che memorizzati nel buffer se non è possibile scriverli in file.

Default: 10240

LOGMaxLogFileSize=

Dimensione massima di un file LOG in byte. Quando un file LOG ha raggiunto questa dimensione, viene chiuso e ne viene generato uno nuovo.

Default: 5242880 (corrisponde a 5 MB)

LOGCheckDiskTime=

Definisce l´intervallo in secondi nel corso del quale il sistema verifica la quantità di memoria occupatoa dai file LOG.

Default: 60

INIT=

Azione al momento dell´avvio dell´applicazione sotto Windows CE:

  • 0: termina immediatamente.
  • 1 (o altro valore maggiore di 2): aprire porta di ascolto e ridurre a icona nella System Tray.
  • 2: mostra solo superficie

Default: 1

Nota: in seguito alla separazione di zenSysServ e zenLogServ per zenon 7.00, questo valore di default è stato modificato anche per altre versioni. Prima il valore di default era 2.

Diagnose Server a partire dalla versione 7.00 SP0

Inserimento INI

Descrizione

[LOGGING_SYSTEM]

Sezione nello zenon6.ini.

Contiene i parametri per il Diagnose Server. Riguarda solamente lo zenLogSrv e non ha alcun effetto sullo zenSysSrv.

LOGDirectory=

Definisce la cartella per i file Log.

Se non c´è questo inserimento, il sistema usa come valore standard:

  • Il percorso estratto dalla registry
    per es.. %ProgramData%\COPA-DATA\LOG
  • La cartella LOG nel percorso ProgramData dello zenLogSrv, se nella registry non è definito nessun percorso.
    per es. %ProgramData%\COPA-DATA\zenon700\LOG

CONFIG=

Stringa di configurazione per il Diagnose Server. La stringa consiste delle seguenti parti: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: fissa il tipo di comunicazione usato e deve essere sempre settato su TCP/IP
  • HOST: viene settato sul nome computer del server di diagnosi.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.

Configurazione:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

LOGMinFreeDiskSpace=

Definisce lo spazio di memoria minimo in MB che deve essere libero sul disco fisso. Prima di scendere sotto di questo valore, vengono cancellati file LOG.

Default: 1024

LOGMaxUsedDiskSpace=

Definisce lo spazio massimo di memoria in MB usato per i file LOG sul disco fisso. Prima che questo valore sia superato, vengono cancellati file LOG.

Default: 1024

LOGMinUsedDiskSpace=

Definisce lo spazio di memoria in MB sul disco fisso che viene occupato anche quando non ci sono dei file LOG.

Default: 5

LOGLogLifeTime=

Definisce il ciclo di vita dei file LOG in secondi. I file di LOG più vecchi vengono cancellati.

Default: 1209600 (corrisponde a 14 giorni)

LOGImageCnt=

Definisce il numero di inserimenti LOG dopo cui vengono scritti tutti i file di registro incrementali.

Default: 0

LOGLogUpdateTime=

Numero di millisecondi dopo cui gli inserimenti LOG ricevuti vengono scritti in un file LOG.

Default: 2000

LOGMaxBufferedRecs=

Definisce il numero di inserimenti LOG che memorizzati nel buffer se non è possibile scriverli in file.

Default: 10240

LOGMaxLogFileSize=

Dimensione massima di un file LOG in byte. Quando un file LOG ha raggiunto questa dimensione, viene chiuso e ne viene generato uno nuovo.

Default: 5242880 (corrisponde a 5 MB)

LOGCheckDiskTime=

Definisce l´intervallo in secondi nel corso del quale il sistema verifica la quantità di memoria occupatoa dai file LOG.

Default: 60

INIT=

Azione al momento dell´avvio dell´applicazione sotto Windows CE:

  • 0: termina immediatamente.
  • 1 (o altro valore maggiore di 2): aprire porta di ascolto e ridurre a icona nella System Tray.
  • 2: mostra solo superficie

Default: 1

Diagnose Client prima della versione 7.00 SP0

Inserimento INI

Descrizione

[SYS_REMOTE]

Sezione nello zenon6.ini.

Contiene i parametri per il Diagnose Client.

LOG_CONFIG=

Una stringa di configurazione per il Diagnose Client èr salvata qui. La stringa consiste delle seguenti parti: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: fissa il tipo di comunicazione usato e deve essere sempre settato su TCP/IP
  • HOST: viene settato sul nome computer del server di diagnosi.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.

Configurazione:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Diagnose Client a partire dalla versione 7.00 SP0

Inserimento INI

Descrizione

[LOGGING_SYSTEM]

Sezione nello zenon6.ini.

Contiene i parametri per il Diagnose Client.

LOG_CONFIG=

Una stringa di configurazione per il Diagnose Client èr salvata qui. La stringa consiste delle seguenti parti:

DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: fissa il tipo di comunicazione usato e deve essere sempre settato su TCP/IP
  • HOST: viene settato sul nome computer del Diagnose Server.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.

Configurazione:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

Nota:

INIT sotto CE

Con Windows CE si raccomanda vivamente di non settare l´inserimento INIT= (nella sezione [LOGGING_SYSTEM] o [SYS_REMOTE]) sul valore 2.

Ragione: il valore 2 porta al verificarsi della situazione seguente: sia SysSrvCE che LogSrvCE visualizzano solamente l´interfaccia e non aprono la porta di ascolto.
Se poi un Diagnose Client vuole stabilire una connessione, il tentativo fallisce. Visto che i Diagnose Client in questo caso avviano il LogSrvCE come processo e questo non apre la porta, ogni singolo Diagnose Client avvia questo processo. La conseguenza di questo sono molti processi LogSrvCE paralleli e un ritardo dell´avvio dei Diagnose Client, visto che questi attendono il trascorrere del timeout quando stabiliscono la connessione.

zenLogSrv su un sistema con diverse versioni

Se zenLogSrv viene usato su un sistema con diverse versioni come Diagnose Server centrale locale, l´inserimento LOG_CONFIG nella sezione [SYS_REMOTE] deve essere il seguente:
DEVICE=TCP/IP;HOST=localhost;PORT=5780;TIMEOUT=10

Ragione: client più vecchi usano poi lo zenLogSrv come Diagnose Server. I nuovi client lo fanno automaticamente. Questo servizio viene avviato automaticamente sul PC quando il sistema viene avviato; con CE deve essere avviato manualmente.

Attenzione se è impossibile raggiungere la porta, i client più vecchi avviano lo zenSysSrv e ritentano una connessione con questo.


Stampante in generale [DRUCKER] e [FRM_PRNT]

Manuale -> File di configurazione -> zenon6.ini -> Stampante in generale [DRUCKER] e [FRM_PRNT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inserimento | Descrizione
[DRUCKER] | Attribuzione stampante. Queste impostazioni devono essere configurate nell´Editor, nel menù File-> Configurazione generale -> Default-> Stampante.
ALARM= | Stampate online per Lista di informazione allarmi o Lista Eventi Cronologica nel Runtime. Se AML oppure CEL si seleziona nel gruppo AML e CEL delle proprietà di progetto, oppure tramite i file ALAR.FRM oppure BTB.FRM.
ALARM_OFFL= | Stampante offline per Lista di informazione allarmi o Lista Eventi Cronologica. cliccando sul pulsante Stampa nell'immagine relativa. Configurazione del formato viene determinata tramite i file ALAR_G.FRM oppure BTB_G.FRM). Se non c´è alcun inserimento, viene usata la stampante definita alla voce ALARM=.
WERTE= | Stampante per report e se è stata scelta la funzione Stampa valore attuale (Emissione di valori attuali e tabelle).
HDDRUCKER= | Stampante per Screenshots.
LISTDRUCKER= | Stampante per le liste generali.
[FRM_PRNT] | Configurazione dell´ouput formattato della AML/CEL con FRM_PRNT.DLL.
LINES= | Indicazione del numero di righe per ogni pagina. Default: 0


Editor [EDITOR] e [Editor/CustomMenu]

Manuale -> File di configurazione -> zenon6.ini -> Editor [EDITOR] e [Editor/CustomMenu]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[EDITOR]

Impostazioni nell’editor.

Raccomandazione: Configurazione via Opzioni -> Impostazioni.

CASESENSITIVEFILTER=

Filtro nella lista dettagliata tiene conto di scrittura in lettere maiuscole/minuscole.

  • 0: no
  • 1: si

DIRECTX_TYPE=

Decide se viene usata o meno l´accelerazione hardware.

  • 1: attivo
  • 0: disattivato.

Default: 1

DYNRAHMEN=

Visualizzazione di una cornice intorno agli elementi dinamici:

  • 0: non attivo
  • 1: attivo (default)

EINGABE_SOFORT=

Immediata apertura della maschera di inserimento di un elemento al momento della sua creazione:

  • 0: no
  • 1: si

FANGPUNKTE=

Uso di punti di punti di presa.

  • 0: off
  • 1: on

FANGPUNKTESIZE=

Grandezza in pixel dei punti di presa delle immagini

FANGPUNKTESIZE_TEMPL=

Grandezza in pixel dei punti di presa dei modelli.

KOORD_GLOBAL=

Visualizzazione delle coordinate:

  • 0: Coordinate client della finestra.
  • 1: coordinate pixel indipendenti dall´immagine (globali)

LASTWORKSPACE=

Caricamento automatico dell´area di lavoro usata per ultima al momento dello start dell´Editor.

  • 1: Ultima area di lavoro e automaticamente aperta
  • 0: Editor parte senza aprire area di lavoro.

RASTER=

Posizionare nella griglia:

  • 0: non attivo
  • 1: attivo

RASTER_ABSTAND_X=

Spaziatura griglia orizzontale in pixel.
Default = 5

RASTER_ABSTAND_Y=

Spaziatura griglia verticale in pixel.
Default = 5

RASTER_COLOR=

Colore dei punti della griglia.

Il colore viene inserito in formato decimale. Nell´Editor, invece, appare in formato esadecimale, preceduto dal simbolo #.
Esempio: Il colore #8000FF nell´Editor corrisponde a 16711808 nel file INI.

RASTER_GRID=

Mostra la griglia::

  • 0: off (Default)
  • 1: on

RASTER_TYPE=

Tipo di griglia:

  • 0: piena
  • 1: a punti (questo tipo non viene più supportato a partire dalla versione 7.20 ed è sostituito al momento della conversione del progetto dal tipo 0.)
  • 2: intersezioni

RUECK_ANZ=

Quantità delle azioni che possono essere annullate

Ad esempio: RUECK_ANZ=10

SORTLOGICAL=

Ordinamento logico dei testi in visualizzazione dettagli

  • 0: off
  • 1: on

SPOT=

Dimensione dei punti d’angolo degli elementi
default = 5

SUCHE=

Distanza pixel prima del cambio di posizione. Serbe a definire lo stesso punto, in caso di spostamento.
Default = 5

SYMBOL_COLOR=

Colore di sfondo del simbolo nell´editor dei simboli per poter meglio riconoscere l´area disponibile per il disegno.

Default: Bianco
Inserimento per bianco: SYMBOL_COLOR=16777215

USE_WIZARDS=

Uso di assistenti in fase di progettazione:

  • 0: off
  • 1: on

Nota: Riguarda solo gli assistenti che servono alla configurazione (per es. archiviazione), e non i wizard (per es. Project Wizard).

WINDOW=

L´editor memorizza la sua posizione attuale e la salva nel zenon6.ini quando viene chiuso. Al prossimo start viene avviato nella posizione salvata.

  • Primo numero: stabilisce se la finestra deve essere visualizzata ridotta a icona (1), ingrandita (2) o a grandezza normale (3).
  • Altri numeri: posizione a partire dall´angolo a sinistra in alto.

Esempio: WINDOW=3,109,181,589,661

WORKSPACEVIEW=

Visualizzazione del workspace nell´Editor:

  • 1: Visualizzazione area di lavoro attiva
  • 0: Visualizzazione area di lavoro non attiva

Menù definito dall´utente

Inserimento | Descrizione
[Editor/CustomMenu] | Inserimenti per i menù definiti da utente nell´editor. Raccomandazione: Configurazione tramite Opzioni -> Impostazioni -> Menù Tool.
Arguments#0= | Parametro per esecuzione programma.
File#0= | Nome del file da eseguire per l´inserimento menu 0.
Name#0= | Inserimento nel menu per programma 0.


Everywhere Server [EVERYWHERE]

Manuale -> File di configurazione -> zenon6.ini -> Everywhere Server [EVERYWHERE]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[EVERYWHERE]

Configurazione delle proprietà globali per l´Everywhere Server.

CERTIFCATE=

Certificate server subject per HTTPS

Oggetto del certificato. Il certificato deve essere salvato nel Machine Store, nel nodo MY (certificati propri).

Per esempio: CERTIFICATE=CN=MyComputerName

ENABLE=

  • 1: L´Everywhere Server viene avviato con il Runtime di zenon.
  • 0: L´Everywhere Server non viene avviato.

Default: 0

PORT=

HTTPS-Port per la comunicazione con Everywhere Server

Default: 8050

WRITE_ACCESS=
  • 0: Solo accesso di lettura possibile via Everywhere Server.
  • 1: Consente la scrittura di variabili e il ripristino di allarmi.

Default: 0

Ulteriori informazioni le trovate nella parte della guida dedicata allaEverywhere Server by zenon.


Trend esteso [EW-TREND]

Manuale -> File di configurazione -> zenon6.ini -> Trend esteso [EW-TREND]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[EW_TREND]

Configurazione trend esteso

AUTOSKALIERUNG=

Definisce se autoscala è attiva di default o no.

  • 0: attivo
  • 1: disattivato.


Export [EXPORT]

Manuale -> File di configurazione -> zenon6.ini -> Export [EXPORT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[EXPORT]

Configurazione export.

AML_CEL_NEU=

Esporta in file dBase:

  • 0: in formato standard
  • 1: in colonne, come configurato per le liste corrispondenti nell´Editor.


Impostazioni finestre [PROPERTY]

Manuale -> File di configurazione -> zenon6.ini -> Impostazioni finestre [PROPERTY]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[PROPERTY]

Impostazioni per la finestra delle proprietà e la finestra di emissione.

OUTPUTHIDEERRORS=

Sopprimi la visualizzazione di errori nella finestra di emissione:

  • 0: visualizzazione.
  • 1: nessuna visualizzazione.

OUTPUTHIDEMESSAGES=

Sopprimi la visualizzazione di messaggi nella finestra di emissione:

  • 0: visualizzazione.
  • 1: nessuna visualizzazione.

OUTPUTHIDEWARNINGS=

Sopprimi la visualizzazione di avvertimenti nella finestra di emissione:

  • 0: visualizzazione.
  • 1: nessuna visualizzazione.

SHOWALL=

Visualizzazione delle proprietà nella finestra delle proprietà:

  • 0: off
  • 1: on

SHOWFAVORITES=

Visualizzazione dei favoriti nella finestra delle proprietà:

  • 0: off
  • 1: on

Se la proprietà VIEW= ha il valore 2, i favoriti vengono sempre visualizzati.

SORT=

Ordinamento nella finestra delle proprietà:

  • 0: crescente
  • 1: decrescente
  • 2: logico

VIEW=

Forma della visualizzazione delle proprietà nella finestra delle proprietà:

  • 0: raggruppata
  • 1: tutte
  • 2: vista a dialogo


Indirizzo IP sotto Windows CE [IPADDR]

Manuale -> File di configurazione -> zenon6.ini -> Indirizzo IP sotto Windows CE [IPADDR]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[IPADDR]

Solo sotto Windows CE.

Siccome CE non supporta nessun file HOSTS, i nomi dei calcolatori vengono attribuiti agli indirizzi IP tramite una lista di attribuzione.

Si ha bisogno di questa lista solo in reti senza DNS. Se esiste un server DNS, Windows CE è in grado di identificare il nome.
La lista è impostabile solo manualmente con un editor testo. Normalmente dev´essere inserito soltanto l´indirizzo del server progettato.

COMPUTERNAME1=

Attribuisce un indirizzo IP al calcolatore COMPUTERNAME1.
Esempio: MAIN=10.20.10.01 assegna al nome computer MAIN l´indirizzo IP corrispondente.

Attenzione: Tutti gli inserimenti (nomi dei calcolatori) devono essere scritti maiuscoli, altrimenti non possono essere riconosciuti


Message Control [MESSAGE CONTROL]

Manuale -> File di configurazione -> zenon6.ini -> Message Control [MESSAGE CONTROL]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[MESSAGE CONTROL]

Impostazioni per il modulo Message Control.

Raccomandazione: eseguire la configurazione usando le proprietà del gruppo Message-Control del workspace (inclusi sottogruppi) e le proprietà del gruppo Proprietà specifiche di progetto nel nodo Message Control dell´albero di progetto.

GSM_SMS=

Attivazione di SMS tramite GMS come tipo di invio.

  • 0: attivo
  • non 0: non attivo.

Default: 0

L´inserimento corrisponde nel Message32.ini all´inserimento [GSM]
On

Il sistema ne tiene conto quando esegue l´importazione o esportazione delle impostazioni INI.

Corrisponde alla proprietà Attivo nel gruppo Messaggio SMS (Modem GSM) dell´Editor.

GSM_SMS_COM=

La porta COM che viene usata per la connessione con il modem.

Default: vuoto

Corrisponde alla proprietà Porta modem (seriale) dell´Editor.

GSM_SMS_PIN=

Codice PIN usato per l´autenticazione nei confronti del modem.

Default: vuoto

Corrisponde alla proprietà Codice PIN dell´Editor.

GSM_SMS_SMSC=

Numero di telefono del centro messaggi del provider GSM.

Default: vuoto

Corrisponde alla proprietà Numero centro messaggi dell´Editor.

GSM_BULK_DELETE=

Comportamento nella cancellazione di un SMS:

  • 0: i messaggi vengono cancellati con il metodo Index. Gli SMS letti vengono cancellati singolarmente.
  • 1: i messaggi vengono cancellati con il metodo Statusflag. Tutti gli SMS letti vengono cancellati contemporaneamente.
    Nota: Questo metodo è più veloce e garante di prestazioni migliori, ma non viene supportato da tutti i modem.

Default: 0

Corrisponde alla proprietà Eliminazione SMS con la sintassi flag di stato dei comandi AT+CMGD dell´Editor.

Outlook=

Notifica tramite E-Mail via Outlook:

  • 0: disattivato.
  • 1: attivo

Default: 0

Corrisponde alla proprietà Attivo nel gruppo Messaggio E-Mail (Outlook) dell´Editor

Outlook_Profile=

Nome del profilo Outlook che deve essere utilizzato per l´invio.

Default: vuoto

Corrisponde alla proprietà Profilo dell´Editor.

POP_APOP=

Gestisce l´autenticazione sul server della posta in arrivo in caso di notifica via SMTP/POP.

  • 0: per l´autenticazione si usano utente (USER) e password (PASS).
  • 1: per l´autenticazione si usa il comando APOP invece di utente e password.

Default: 0

Corrisponde alla proprietà Utilizzare un commando APOP per l'autenticazione nel gruppo Messaggio E-Mail (SMTP) dell´Editor .

POP_KEEP_MAILS=

Definisce se le E-Mail lette devono rimanere sul server:

  • 0: Le E-Mail vengono cancellate dopo essere state caricate dal server.
  • 1: Le E-Mail vengono mantenute dopo essere state caricate dal server.

Default: 0

Nota: visto che POP3 non offre la possibilità di filtrare le Mail durante l´operazione di carico, vengono sempre caricate tutte le Mail contenute nella posta in arrivo. Se questa proprietà è attiva, aumenta l´utilizzo memoria sul server e possono diminuire le prestazioni nell´eseguire l´operazione di recupero dei messaggi.

Corrisponde alla proprietà Lascia sul server le E-Mail già lette dell´Editor.

POP_PASSWORD=

Password per il login sul server della posta in arrivo (POP3). La password viene salvata in forma crittografata e viene decodificata solamente per l´autenticazione.

Deve essere modificato solamente nell`Editor.

Default: vuoto

Corrisponde alla proprietà Password nel gruppo Server di posta in arrivo dell´Editor.

POP_POLL_INTERVALL=

Intervallo minimo in secondi fra due richieste POP3. Il valore non deve essere inferiore ai criteri del server POP3.

  • Minimo: 10
  • Massimo: 4294967295

Default: 60

Corrisponde alla proprietà Periodo minimo tra due richieste (s) dell´Editor.

POP_PORT=

Porta attraverso cui viene raggiunto il server POP3.

  • Valore massimo: 6553

Default per:

  • Connessione non sicura: 110
  • Connessione protetta: 995

Corrisponde alla proprietà Porta nel gruppo Server di posta in arrivo dell´Editor.

POP_SECURITY=

Il tipo di protezione della connessione con il server POP3.

  • 0: nessun protezione.
  • 1: SSLv2 e SSLv3
  • 2: TLSv1

Default: 0

Corrisponde alla proprietà Codifica nel gruppo Server di posta in arrivo dell´Editor.

POP_SERVER=

Indirizzo del server POP3.

Default: vuoto

Corrisponde alla proprietà Indirizzo server nel gruppo Server di posta in arrivo dell´Editor.

POP_USER=

Nome user per il server posta in arrivo

Default: vuoto

Corrisponde alla proprietà Nome user nel gruppo Server di posta in arrivo dell´Editor.

SMSGateway=

Notifica tramite SMS via SMS-Gateway:

  • 0: disattivato.
  • 1: attivo

Default: 0

Corrisponde alla proprietà Attivo nel gruppo Messaggio SMS (Gateway SMS) dell´Editor.

SMSGateway_Inbox=

Cartella della posta in entrata del server SMS per l´invio di SMS.

Default: vuoto

Corrisponde alla proprietà Cartella in entrata dell´Editor.

SMSGateway_OriginId=

Identificazione mittente per invio di SMS.

Default: vuoto

Corrisponde alla proprietà Identificazione chiamante dell´Editor.

SMSGateway_Outbox=

Cartella della posta in uscita del server SMS per l´invio di SMS.

Default: vuoto

Corrisponde alla proprietà Cartella in uscita dell´Editor.

SMSGateway_Prefix=

Prima lettera dei file SMS. Deve essere univoca per ogni singolo progetto.

Lunghezza: 1 carattere

Default: F

Corrisponde alla proprietà Carrattere iniziale del file messaggi dell´Editor.

SMSGateway_SemaphorPrefix=

Prima lettera del file di blocco.

Lunghezza: 1 carattere

Default: S

Corrisponde alla proprietà Prima lettera del file di blocco/semaforo dell´Editor.

SMSGateway_SmartAlarm=

Viene usato smart alarming. Deve essere univoco per ogni singolo progetto.

  • 0: disattivato.
  • 1: attivo

Default: 0

Corrisponde alla proprietà Allarmi intelligenti dell´Editor.

SMSGateway_Statusbox=

Cartella per il messaggio di stato in caso di invio di SMS.

Default: vuoto

Corrisponde alla proprietà Cartella di stato dell´Editor.

SMSGateway_TimeOut=

Tempo di timeout in minuti per messaggi in uscita. Determina alla scadenza di quale intervallo di tempo un messaggio viene considerato "non inviato con successo".

Default: 60

Corrisponde alla proprietà Timeout dell´Editor.

SMTP_AUTH=

Autenticazione sul server della posta in uscita.

  • 0: nessun protezione.
  • 1: registrare sul server POP3 prima dell´invio.
  • 2: SMTP AUTH con registrazione sul server SMTP prima dell´invio.

Default: 0

Corrisponde alla proprietà Autenticazione sul server di posta in uscita nel gruppo Server posta in uscita dell´Editor.

SMTP_OTHER_CREDS=

Determina se il server della posta in uscita utilizza altri dati di registrazione rispetto a quelli del server posta in arrivo.

  • 0: disattivato.
  • 1: attivo

Default: 0

Corrisponde alla proprietà nel gruppo Server posta in uscita dell´Editor.

SMTP_PASSWORD=

Dump esadecimale della password crittografata per l´autenticazione sul server della posta in uscita.

Default: vuoto

Corrisponde alla proprietà nel gruppo Server posta in uscita nell´Editor.

SMTP_OTHER_CREDS=

Dati di accesso per il server SMTP.

  • 0: I dati di accesso per il server posta in arrivo vengono utilizzate anche per il server della posta in uscita.
  • 1: Per l´autenticazione sul server della posta in uscita vengono utilizzati altri dati di accesso che sul server posta in arrivo.

Default: 0

Corrisponde alla proprietà Utilizza altre credenziali di accesso del server di posta in entrata nel gruppo Server posta in uscita dell´Editor.

SMTP_OUT_ADDR=

Indirizzo per le E-Mail in uscita.

Default: vuoto

Corrisponde alla proprietà Indirizzo delle E-Mail in uscita nel gruppo Server posta in uscita dell´Editor.

SMTP_POP_MAIL=

Notifica tramite E-Mail via SMTP/POP:

  • 1: attivo
  • 0: disattivato.

Default: 0

Corrisponde alla proprietà Attivo nel gruppo Server posta in uscita dell´Editor.

SMTP_PORT=

Definisce la porta usata dal server SMTP.

Massimo: 65535

Default: 25

Corrisponde alla proprietà Porta nel gruppo Server posta in uscita dell´Editor.

SMTP_SECURITY=

Tipo di crittografia per la connessione con il server SMTP.

  • 0: nessun protezione.
  • 1: SSLv2 e SSLv3
  • 2: TLSv1

Default: 0

Corrisponde alla proprietà Codifica nel gruppo Server posta in uscita dell´Editor.

SMTP_SERVER=

Il server SMTP inserito dall´utente.

Default: vuoto

Corrisponde alla proprietà Indirizzo server nel gruppo Server posta in uscita dell´Editor.

SMTP_SRV_IS_POP=

Questo inserimento stabilisce se il server POP3 viene usato come server SMTP.

  • 1: POP 3 è SMTP
  • 0: POP3 e SMTP sono server differenti

Default: 0

Corrisponde alla proprietà Utilizza server di posta in arrivo per le E-Mail in uscita nel gruppo Server posta in uscita dell´Editor.

SMTP_SUBJECT=

Oggetto per E-Mail in uscita e per stabilire se una E-Mail in entrata sul server è rilevante per il tipo di invio.

Anche le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate dal sistema. Le E-Mail che non contengono questo testo non verranno né inoltrate al Message Control, né cancellate dal server.

Default: MsgCtrl_Alert:

Corrisponde alla proprietà Soggetto per E-Mail nel gruppo Server posta in uscita dell´Editor.

SMTP_USER=

Nome user per il server della posta in uscita salvato.

Default: vuoto

Corrisponde alla proprietà Nome user nel gruppo Server posta in uscita dell´Editor.

SMTP_USER_IS_ADDR=

Stabilisce se il nome utente per l´autenticazione nei confronti del server di posta in uscita viene usato come indirizzo mittente per i messaggi in uscita. Viene usato solamente se l´inserimento SMTP_AUTH= non è 0.

  • 1: attivo
  • 0: non attivo.

Default: 0

Corrisponde alla proprietà Nome utente come indirizzo delle E-Mail in uscita nel gruppo Server posta in uscita dell´Editor.

Speech=

Notifica Text-to-Speech (via Modem)

  • 0: disattivato.
  • 1: attivo

Default: 0

Corrisponde alla proprietà Voice Modem (Text-to-Speech) nel gruppo Messaggio vocale dell´Editor.

Speech_Name=

Selezione della voce e della lingua per il Text-to-Speech.

Assicurarsi di scegliere la lingua corretta per l Editor:

  • Editor a 32-Bit: C:\Windows\SysWOW64\Speech\SpeechUX\sapi.cpl
  • Editor a 64-Bit: C:\Windows\System32\Speech\SpeechUX\sapi.cpl

Default: vuoto

Corrisponde alla proprietà Voce nel gruppo Text-to-Speech dell´Editor.

Speech_Rate=

Velocità della voce.

  • Minimo: -10
  • Massimo: 10

Default: 0

Corrisponde alla proprietà Velocità riproduzione voce nel gruppo Text-to-Speech dell´Editor.

Speech_Volume=

Volume della voce. Il numero corrisponde al valore percentuale del valore massimo della voce selezionata.

  • Massimo: 100
  • Minimo: 0: viene ripreso il valore dal sistema operativo senza alcuna modifica.

Default: 0

Corrisponde alla proprietà Volume nel gruppo Text-to-Speech dell´Editor.

Subject=

ID univoco che le Mail in entrata devono contenere per poter essere elaborate nel modulo Message Control.

Default: MsgCtrl_Alert:

Corrisponde alla proprietà Oggetto (ID) nel gruppo Messaggio E-Mail (Outlook) dell´Editor.

Telephone=

Notifica mediante file audio via Modem:

  • 0: disattivato.
  • 1: attivo

Default: 0

Corrisponde alla proprietà Voice Modem (File Audio) nel gruppo Messaggio vocale dell´Editor.

Telephone_IgnoreDisconnect=

Comportamento in caso di interruzione della connessione:

  • 1: una disconnessione (per es. quando il ricevente termina il colloquio) viene ignorata e il messaggio viene riprodotto completamente prima che la connessione venga interrotta.
  • 0: il messaggio viene terminato quando si interrompe la comunicazione.

Default: 0

Corrisponde alla proprietà Ignora disconnessioni nel gruppo Messaggio vocale dell´Editor .

Telephone_Line=

Inserimento del modem da usare. Questo deve essere già configurato sul computer.

Corrisponde alla proprietà Nome linea nel gruppo Impostazioni telefono dell´Editor.

Telephone_LineId=

ID-dispositivo generato automaticamente che identifica il modem selezionato. Serve a distinguere i diversi dispositivi quando si hanno più modem con lo stesso nome.

Attenzione: solo a scopo informativo. Non ne è consentita la modifica qui!

Corrisponde alla proprietà Id linea nel gruppo Impostazioni telefono dell´Editor.

Telephone_Timeout=

Tempo in minuti al cui scadere una connessione in attesa deve essere interrotta o terminata. L´intervallo di tempo deve essere maggiore a quello necessario per riprodurre e confermare il messaggio.

Default: 1

Corrisponde alla proprietà Timeout [min] nel gruppo Messaggio vocale dell´Editor.

Telephone_WelcomeMessageCount=

Numero delle ripetizioni del testo di benvenuto.

Default: 5

Corrisponde alla proprietà Ripeti testo di benvenuto nel gruppo Messaggio vocale dell´Editor.

VOIP_AUDIO=

Messaggio vocale come file audio via Voice over IP:

  • 0: disattivato.
  • 1: Voice over IP (File Audio)

Default: 0

Corrisponde alla proprietà Voice over IP (File Audio) nel gruppo Messaggio vocale dell´Editor.

Nota:

Per pote usare VoIP, devono essere soddisfatte le seguenti condizioni:

  • Il provider VoIP deve supportare i protocolli SIP e RTP.
  • Nel firewall devono essere aperte le porte corrispondenti:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

VOIP_DOMAIN=

indirizzo server del provider VoIP.

Default: (vuoto)

Corrisponde alla proprietà Indirizzo server nel gruppo Voice over IP dell´Editor.

VOIP_PASSWORD=

Password per l´accesso VoIP.

È salvata in forma criptata e può essere modificata solamente nell´interfaccia utente.

Default: (Vuota)

Corrisponde alla proprietà Password nel gruppo Voice over IP dell´Editor.

VOIP_RTP=

Numerop della porta RTP per VoIP.

Default: 4000

Corrisponde alla proprietà Porta RTP nel gruppo Voice over IP dell´Editor.

VOIP_SIP=

Numero della porta SIP per VoIP.

Default: 5060

Corrisponde alla proprietà Porta SIP nel gruppo Voice over IP dell´Editor.

VOIP_TTS=

Messaggio vocale per Voice over IP come Text-to-Speech:

  • 0: disattivato.
  • 1: Voice over IP (Text-to-Speech)

Default: 0

Corrisponde alla proprietà Voice over IP (Text-to-Speech) nel gruppo Messaggio vocale dell´Editor.

Nota:

Per pote usare VoIP, devono essere soddisfatte le seguenti condizioni:

  • Il provider VoIP deve supportare i protocolli SIP e RTP.
  • Nel firewall devono essere aperte le porte corrispondenti:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

VOIP_USER=

Nome utente per l´accesso VoIP.

Default: (Vuota)

Corrisponde alla proprietà Nome user nel gruppo Voice over IP dell´Editor.

info Informazioni su

Alcune proprietà possono accettare i valori di altre proprietà. Si salva sempre il valore inserito per ultimo. Perciò i valori degli inserimenti INI non devono sempre corrispondete necessariamente ai valori delle proprietà visualizzati nell´Editor.. La cosa interessa le seguenti proprietà:

  • SMTP_SERVER= -> Indirizzo server
  • SMTP_USER= -> Nome user
  • SMTP_PASSWORD= -> Password
  • SMTP_OUT_ADDR= -> Indirizzo delle E-Mail in uscita


Rete [NETZ]

Manuale -> File di configurazione -> zenon6.ini -> Rete [NETZ]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[NETZ]

Impostazioni di rete

ANALYZER2_SERVER_TIMEOUT_SEC=

Tempo di attesa per la connessione in caso di esecuzione dell´Analyzer Report Execution Function.

Valore in secondi.

  • Minimo: 1
  • Massimo: 86400

Default: 100

Valido solo in caso di connessione ad un Analyzer Server della versione 2.XX. Ab partire dalla versione 7.50, il timeout viene configurato usando le opzioni dello ZAMS.

ENCRYPTION_PWD

Qui viene inserita automaticamente in modo cifrato la password dopo che essa è stata creata. La password viene cifrata in dipendenza del calcolatore; ciò significa che una password identica in diversi calcolatori porta a diversi contenuti di questo inserimento.

Nota: Questo inserimento .INI vale anche per lo zenon Web Client.

NET_CONNECTCOUNT=

Numero delle ripetizioni del TCP/IP Connect sul client.

  • 0:

Default = 0 (ripetizione immediata)

NET_CONNECTWAIT_MSEC=

Tempo di attesa in seguito ad un connect TCP/IP fallito sul client in millisecondi.
Default = 30000

NET_PROXYPORT=

Porta per la connessione del Web Client con il Web Server: Webserver ascolta alla porta Web Client si connette alla porta.
Default:

  • TCP: 1102
  • HTTP: 8080

NET_TIMEOUT_MSEC=

Timeout per comunicazione di rete in millisecondi.
Default = 30000

NET_NETMODULE_TIMEOUT_MSEC=

Timeout per comunicazione moduli in millisecondi. Non è usato per la richiesta di modulo (module request) spontanea sul client o sul Server-Standby. Se non perviene una risposta dal server entro il tempo impostato, l´azione viene cancellata.

Default = 30000

Esempi: chiamata di dati d'archivio per Trend esteso, gestione ricette, lista password...

POLLING_INTERVALL=

Tempo di attesa in millisecondi prima che il Web Client invii di nuovo una richiesta HTTP-GET al Webserver quando il buffer per una connessione è vuoto.

Default: 2000

PWD_VALIDATION=

Hash che controlla se i dati usati per la crittografia sono cambiati.

Nota: Questo inserimento .INI vale anche per lo zenon Web Client.

QUESIZE=

Numero di oggetti massimo in coda in rete.
Default: 5000

TIMESYNCH=

Sincronizzazione tempo:

  • 1: = il tempo viene sincronizzato con un progetto server (default)
  • 0: = il tempo non viene sincronizzato (per esempio per ridondanza circolare)

USE_ENCRYPTION=

Attiva o disattiva crittografia

0: disattivato.

1: attivo

Nota: Questo inserimento .INI vale anche per lo zenon Web Client.

USEIPV6=

Regola l´uso di IPv6.

1: attivo, tutte le connessioni TCP vengono instaurate esclusivamente via IPv6.

0: disattivo, tutte le connessioni TCP vengono instaurate esclusivamente via IPv4.

Non è possibile un funzionamento duale.

Nota: se questa impostazione viene modificata, tutti i processi di zenon in corso devono essere riavviati. Ciò riguarda in particolare zenAdminSrv, zenSysSrv, zenLogSrv e zenDBSrv.

Le seguenti componenti non sono interessate dall´impostazione:

  • Comunicazione driver con i PLC
  • Comunicazione protocollo nel ProcessGateway-Plugins
  • Comunicazione Workbench e Runtime in zenon Logic

Attenzione: Funziona solamente a partire dalla versione 7. Se l´opzione è attiva, nessuna versione precedente alla 7 può essere avviata.

WAN=

Connessione del client al server.

  • 0: LAN (default)
  • 1: WAN

WAN_IDLETIME=

WAN Tempo di funzionamento a vuoto
dopo questo tempo, la connessione con il server o il client viene chiusa.
Default = 30000 ms


Impostazione percorsi [PATH]

Manuale -> File di configurazione -> zenon6.ini -> Impostazione percorsi [PATH]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[PATH]

Impostazione percorsi.

BILDER=

Percorso dei file BLD.

BITMAP=

File grafici consentiti. Sono possibili i seguenti formati:

  • *.bmp
  • *.wmf
  • *.jpg
  • *.png

DLL=

Percorso dei file DLL (cartella di programma).

EDOC_PATH =

Percorso per il documento EPLAN (programma di documentazione elettronica).

Ad esempio: EDOC_PATH=C:\\Programme\EPLAN\View\1.7.11\BIN\W3u.exe

EXPORTARV=

Percorso per gli archivi trasferiti manualmente (*.arv).

GRAPHIK=

Percorso dei file grafici per l´importazione della grafica.

ONLINE_HELP=

Percorso per file CHM nel Runtime.

VBF30=

Percorso dell’attuale banca dati del progetto.

WEB_PROJECT_PATH=

Percorso per i file Runtime del Web Client. Se questo inserimento non è disponibile, viene usata la cartella %temp%\zenWebCli.


Configurazione porta [LISTENING_SOCKETS]

Manuale -> File di configurazione -> zenon6.ini -> Configurazione porta [LISTENING_SOCKETS]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[LISTENING_SOCKETS]

Configurazione della listening port per applicazioni. Le modifiche nello zenon6.ini devono essere trasmesse a tutti gli altri calcolatori inclusi nella comunicazione.

Attenzione:

  • Le modifiche possono causare un riavvio del calcolatore.
  • Tutti i calcolatori con i quali esiste una comunicazione, devono avere le stesse, identiche impostazioni.
  • Queste impostazioni non sono disponibili con Windows CE.
  • Nel Runtime vengono usate le impostazioni salvate nello zenon6.ini corrispondente.

Raccomandazione: Configurate queste impostazioni usando lo Startup Tool.

XXX_CUST_PORT=

XXX rappresenta l´applicazione corrispondente.

Numero di porta alternativo. Si applica solo seXXX_PORT_CASE=1.

XXX_BIND_ADDRESS=

XXX rappresenta l´applicazione corrispondente.

Indirizzo IP fisso. Si applica solo seXXX_BIND_CASE=1.

XXX_BIND_ADAPTER=

XXX rappresenta l´applicazione corrispondente.

Nome dell´adattatore di rete. Si applica solo seXXX_BIND_CASE=2.

XXX_BIND_CASE=

XXX rappresenta l´applicazione corrispondente.

Tipo della connessione:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

XXX_PORT_CASE=

XXX rappresenta l´applicazione corrispondente.

Tipo di assegnazione porta:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

Applicazioni e loro impostazioni di default.

Administration Service

ADMINSRV_CUST_PORT=

Numero di porta alternativo per Administrator Service. Si applica solo seADMINSRV_PORT_CASE=1.

Default: 50777

ADMINSRV_BIND_ADDRESS=

Indirizzo IP fisso per Administrator Service. Si applica solo seADMINSRV_BIND_CASE=1.

Default: 0.0.0.0

ADMINSRV_BIND_ADAPTER=

Nome dell´adattatore di rete per Administrator Service. Si applica solo seADMINSRV_BIND_CASE=2.

Default: nessun inserimento (vuoto).

ADMINSRV_BIND_CASE=

Tipo di connessione per Administrator Service:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Default: 0

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

ADMINSRV_PORT_CASE=

Tipo di assegnazione porta per Administrator Service:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Default: 0

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

Analyzer Connector Service

ANACONSRV_CUST_PORT=

Numero di porta alternativo per Analyzer Connector Service. Si applica solo seANACONSRV_PORT_CASE=1.

Default: 50778

ANACONSRV_BIND_ADDRESS=

Indirizzo IP fisso per Analyzer Connector Service. Si applica solo seANACONSRV_BIND_CASE=1.

Default: 0.0.0.0

ANACONSRV_BIND_ADAPTER=

Nome dell´adattatore di rete per Analyzer Connector Service. Si applica solo seANACONSRV_BIND_CASE=2.

Default: nessun inserimento (vuoto).

ANACONSRV_BIND_CASE=

Tipo di connessione per Analyzer Connector Service:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Default: 0

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

ANACONSRV_PORT_CASE=

Tipo di assegnazione porta per Analyzer Connector Service:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Default: 0

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

Analyzer License Service

ANALICSRV_CUST_PORT

Numero di porta alternativo per Analyzer License Service. Si applica solo seANALICSRV_PORT_CASE=1.

Default: 50779

ANALICSRV_BIND_ADDRESS=

Indirizzo IP fisso per Analyzer License Service. Si applica solo seANALICSRV_BIND_CASE=1.

Default: 0.0.0.0

ANALICSRV_BIND_ADAPTER=

Nome dell´adattatore di rete per Analyzer License Service. Si applica solo seANALICSRV_BIND_CASE=2.

Default: nessun inserimento (vuoto).

ANALICSRV_BIND_CASE=

Tipo di connessione per Analyzer License Service:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Default: 0

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

ANALICSRV_PORT_CASE=

Tipo di assegnazione porta per Analyzer License Service:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Default: 0

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

DB Service

DBSRV_CUST_PORT=

Numero di porta alternativo per DB Service. Si applica solo seDBSRV_PORT_CASE=1.

Default: 1103

DBSRV_BIND_ADDRESS=

Indirizzo IP fisso per DB Service. Si applica solo seDBSRV_BIND_CASE=1.

Default: 0.0.0.0

Default: 0.0.0.0

DBSRV_BIND_ADAPTER=

Nome dell´adattatore di rete per DB Service. Si applica solo seDBSRV_BIND_CASE=2.

Default: nessun inserimento (vuoto).

DBSRV_BIND_CASE=

Tipo di connessione per DB Service:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Default: 0

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

DBSRV_PORT_CASE=

Tipo di assegnazione porta per DB Service:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Default: 0

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

Logging Service

LOGSRV_CUST_PORT=

Numero di porta alternativo per Logging Service. Si applica solo seLOGSRV_PORT_CASE=1.

Default: 50780

LOGSRV_BIND_ADDRESS=

Indirizzo IP fisso per Logging Service. Si applica solo seLOGSRV_BIND_CASE=1.

Default: 0.0.0.0

LOGSRV_BIND_ADAPTER=

Nome dell´adattatore di rete per Logging Service. Si applica solo seLOGSRV_BIND_CASE=2.

Default: nessun inserimento (vuoto).

LOGSRV_BIND_CASE=

Tipo di connessione per Logging Service:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Default: 0

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

LOGSRV_PORT_CASE=

Tipo di assegnazione porta per Logging Service:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Default: 0

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

Network Service

NETSRV_CUST_PORT=

Numero di porta alternativo per Network Service. Si applica solo seNETSRV_PORT_CASE=1.

Default: 1100

NETSRV_BIND_ADDRESS=

Indirizzo IP fisso per Network Service. Si applica solo seNETSRV_BIND_CASE=1.

Default: 0.0.0.0

NETSRV_BIND_ADAPTER=

Nome dell´adattatore di rete per Network Service. Si applica solo seNETSRV_BIND_CASE=2.

Default: nessun inserimento (vuoto).

NETSRV_BIND_CASE=

Tipo di connessione per Network Service:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Default: 0

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

NETSRV_PORT_CASE=

Tipo di assegnazione porta per Network Service:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Default: 0

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

SNMP Trap Service

SNMPTRAPSRV_CUST_PORT=

Numero di porta alternativo per SNMP Trap Service. Si applica solo seSNMPTRAPSRV_PORT_CASE=1.

Default: 50782

SNMPTRAPSRV_BIND_ADDRESS=

Indirizzo IP fisso per SNMP Trap Service. Si applica solo se SNMPTRAPSRV_BIND_CASE=1.

Default: 0.0.0.0

SNMPTRAPSRV_BIND_ADAPTER=

Nome dell´adattatore di rete per SNMP Trap Service. Si applica solo se SNMPTRAPSRV_BIND_CASE=2

Default: nessun inserimento (vuoto).

SNMPTRAPSRV_BIND_CASE=

Tipo di connessione per SNMP Trap Service:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Default: 0

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

SNMPTRAPSRV_PORT_CASE=

Tipo di assegnazione porta per SNMP Trap Service:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Default: 0

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

Transport Service

SYSSRV_CUST_PORT=

Numero di porta alternativo per Transport Service. Si applica solo seSYSSRV_PORT_CASE=1.

Default: 1101

SYSSRV_BIND_ADDRESS=

Indirizzo IP fisso per Transport Service. Si applica solo seSYSSRV_BIND_CASE=1.

Default: 0.0.0.0

SYSSRV_BIND_ADAPTER=

Nome dell´adattatore di rete per Transport Service. Si applica solo se SYSSRV_BIND_CASE=2.

Default: nessun inserimento (vuoto).

SYSSRV_BIND_CASE=

Tipo di connessione per Transport Service:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Default: 0

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

SYSSRV_PORT_CASE=

Tipo di assegnazione porta per Transport Service:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Default: 0

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

WEB Service CLassic

WEBSRV_CUST_PORT=

Numero di porta alternativo per WEB Service Classic. Si applica solo seWEBSRV_PORT_CASE=1.

Default: 1102

WEBSRV_BIND_ADDRESS=

Indirizzo IP fisso per WEB Service Classic. Si applica solo seWEBSRV_BIND_CASE=1.

Default: 0.0.0.0

WEBSRV_BIND_ADAPTER=

Nome dell´adattatore di rete per WEB Service Classic. Si applica solo seWEBSRV_BIND_CASE=2.

Default: nessun inserimento (vuoto).

WEBSRV_BIND_CASE=

Tipo di connessione per WEB Service Classic:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Default: 0

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

WEBSRV_PORT_CASE=

Tipo di assegnazione porta per WEB Service Classic:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Default: 0

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

WEB Service Tunneling

WEBSRVTNL_CUST_PORT=

Numero di porta alternativo per WEB Service Tunneling. Si applica solo seWEBSRVTNL_PORT_CASE=1.

Default: 8080

WEBSRVTNL_BIND_ADDRESS=

Indirizzo IP fisso per WEB Service Tunneling. Si applica solo seWEBSRVTNL_BIND_CASE=1.

Default: 0.0.0.0

WEBSRVTNL_BIND_ADAPTER=

Nome dell´adattatore di rete per WEB Service Tunneling. Si applica solo se WEBSRVTNL_BIND_CASE=2

Default: nessun inserimento (vuoto).

WEBSRVTNL_BIND_CASE=

Tipo di connessione per WEB Service Tunneling:

  • 0: tutti gli adattatori (Any)
  • 1: mediante indirizzo.
  • 2: mediante adattatore.

Default: 0

Nota: Per le opzioni 1 e 2, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

WEBSRVTNL_PORT_CASE=

Tipo di assegnazione porta per WEB Service Tunneling:

  • 0: Default Port. Numero di porta standard.
  • 1: Custom Port. Numero di porta individuale.

Default: 0

Nota: Per l´opzione 1, il rispettivo indirizzo deve essere configurato usando l´inserimento corrispondente.

Porte standard: panoramica

Applicazione | Porta standard
zenon |
Network Service | 1100
Transport Service | 1101
WEB Service Classic | 1102
DB Service | 1103
SQL Browser Service, (per la progettazione multiutente nell´Editor) | 1434
zenAdminSrv.exe | 50777
Logging Service | 50780
zenVNC.exe | 5600 - 5610
SNMP Trap Service | 50782
zenLicenseSr | 50783
zenLicenseStub | 50789
zenLicenseCenter | 50689
WEB Service Tunneling | 8080
zenon Logic |
Il numero di porta assegnato a zenon Logic o straton dipende dal progetto e dal servizio. Per es.: il primo progetto zenon Logic occupa 1200 e 9000, i secondo progetto 1201 e 9001 ecc | 1200 - 1210 4500 - 4510 7000 - 7010 9000 - 9010
zenon Analyzer |
Administration Service | 50777
Analyzer Connector Service | 50778
Analyzer License Service | 50779
ZAMS | 50781
Driver |
Driver Simulation | 6000 - 6020
Process Gateway OPC Server | 135
Process Gateway SNMP | 161
Process Gateway Modbus | 502
Process Gateway IEC60870-5 104 slave | 2402
Process Gateway DEC | 5555
Process Gateway DNP3 Slave | 20000


Interfacce di programmazione [PCE], [VBA], [VBA_TOOLBAR] e [VSTA]

Manuale -> File di configurazione -> zenon6.ini -> Interfacce di programmazione [PCE], [VBA], [VBA_TOOLBAR] e [VSTA]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

PCE

Nota: PCE non viene più supportato a partire dalla versione 7.20 e non viene più visualizzato nella struttura ad albero dei moduli di zenon. Quando si convertono dei progetti realizzati con versioni precedenti alla 7.20 e contenenti dei task PCE, viene visualizzato di nuovo il nodo PCE per questi progetti. È stato sospeso il lavoro di sviluppo e di documentazione per PCE.

Sie può continuare ad usare le impostazioni INI.

Raccomandazione: Usate zenon Logic invece di PCE.

Inserimento

Descrizione

[PCE]

Impostazioni per il Process Control Engine.

ON=

attivare PCE:

  • 0: off
  • 1: on
  • Condizione: Dev´essere attivato VBA.

VBA

Inserimento

Descrizione

[VBA]

Parametri per Visual Basic for Applications

BREAK=

Attivazione della finestra di dialogo VBA in caso di errore con interrogazione per debug durante il runtime

  • 1: on (Default)
  • 0: off

EIN=

attivare VBA:

  • 0: off
    VBA non viene inizializzato e non viene caricato. In tal modo non possono essere visualizzati IDE e nessun wizard può essere eseguito.
    Anche VSTA viene disattivato.
    L´interfaccia COM, però, può essere inizializzata.
  • 1: on
    VBA viene inizializzato e caricato.

EVENT=

Attivare VBA Events (eventi):

  • 0: off
    Le macro VBA collegate non vengono eseguite.
    Gli eventi COM non vengono inizializzati.
  • 1: on
    Le macro VBA collegate vengono eseguite. Gli eventi COM vengono inizializzati.

UPDATE=

Ad ogni start dell´Editor, viene aperta la finestra di dialogo per effettuare l´update del wizard.

  • 0: off
  • 1: on

[VBA_TOOLBAR]

Assegnazione dei simboli nella barra degli strumenti macro a macro VBA.

VBABUTTON_x=

Assegnazione di macro a simboli nella lista delle macro. x è in questo caso una cifra compresa fra 0 e 4. Si può collegare un massimo di cinque macro ai simboli: VBABUTTON_0 a VBABUTTON_4.

Ad esempio: VBAButton_2=ActivateStartupScreen

Raccomandazione: Configurazione tramite la barra degli strumenti Lista macro.

VSTA

Inserimento

Descrizione

[VSTA]

Parametri per VSTA

CSHARP=

Selezione del linguaggio di programmazione VSTA per l´Editor:

  • 1: C# (Default)
  • 0: VB.NET

LOADED=

Carico dell´Add-in di VSTA:

  • 1: VSTA-Add-in per l´editor viene caricato al momento dell´avvio
  • 0: al momento dell´avvio dell´Editor, il sistema pone la domanda tramite un apposito dialogo, se il VSTA Add-in deve essere caricato.

Nota: nel caso in cui un Add-in errato conduce all´interruzione del funzionamento dell´Editors, l´inserimento viene settato automaticamente su 0.

ON=

attivare VSTA:

  • 1: VSTA attivo (default)
  • 0: Disattiva VSTA


Parametri per il Remote-Transport [SYS_REMOTE]

Manuale -> File di configurazione -> zenon6.ini -> Parametri per il Remote-Transport [SYS_REMOTE]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[SYS_REMOTE]

gestione del parametro trasporto remoto in rete.

Configurazione del server di diagnosi, vedi capitolo:

Diagnose Server [SYS_REMOTE] e [LOGGING_SYSTEM].

AUTORUN=

Nome e percorso del programma che viene avviato con lo zenSysSrv.

BROWSE=

Visualizzazione della finestra browser nel CE zenSysSrv:

  • 0: nessuna visualizzazione.
  • 1: Visualizza

Nota: La finestra non viene visualizzata ance se lo schermo è troppo piccolo.

CONFIG=

Stringa di configurazione per lo zenSysSrv . Trasporto Remoto e Diagnose-System usano (fino alla versione 6.51 SP0 compresa) la stessa configurazione server. Per i dettagli sulla configurazione, soprattutto a partire dalla versione 7, vedi capitolo: Diagnose Server [SYS_REMOTE] e [LOGGING_SYSTEM].

La stringa consiste delle seguenti parti: DEVICE=[Device];HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout].

  • DEVICE: setta il tipo di comunicazione usata.
    TCP/IP e seriale sono a disposizione.
  • HOST: viene settato sul nome computer del server di diagnosi.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.
  • BAUD: indica la velocità di connessione di un collegamento seriale.

Configurazione PC:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Configurazione CE:

  • DEVICE=COM1
  • BAUD=115200

INIT=

Definisce (sotto CE) che cosa accade al momento dell´avvio dell´interfaccia zeSysSrv:

  • 0: end
  • 1: start
  • [tutto il resto]: mostra solo l´interfaccia.


Password Trasporto Remoto [TRANSPASS]

Manuale -> File di configurazione -> zenon6.ini -> Password Trasporto Remoto [TRANSPASS]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[TRANSPASS]

Password Trasporto Remoto (su stazione remota).

Nota: Configurazione del computer di sviluppo nel file proeject.ini, nella sezione Remote-Transport [ED_REMOTE], [DIRLIST] und [TRANSPASS].

FIX=

La password viene:

  • 1: salvata
  • 0: non salvata

KEY=

Password per il Trasporto Remoto.

KEYCRYPT=

Password salvata in forma crittografata per il Trasporto Remoto.

Si usa solo se KEY= è vuoto.

Default a partire dalla versione 7.20. Il cambio avviene automaticamente sul sistema di origine al momento della conversione di un progetto nella versione 7.20. Sul sistema di destinazione, invece, il cambio deve avvenire manualmente.


Runtime [RT]

Manuale -> File di configurazione -> zenon6.ini -> Runtime [RT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[RT]

Impostazioni per il Runtime

DRIVER_QUE=

Grandezza del queue di trasmissione nel Runtime

  • 0: illimitata

DRIVER_COUNT=

Impostazione TMP per Driver e Runtime. Tempo di ciclo del thread nel driver che invia dati al Runtime di zenon.

Ad esempio: DRIVER_COUNT=100

DYNRAHMEN=

Stabilisce se una cornice viene visualizzata intorno agli elementi dinamici nel Runtime.

  • 0: non rappresentare
  • 1: rappresentare

RECT_ANZ=

Impostazione per misure di ottimizzazione.

Le aree nuove da rappresentare in un immagine sono raccolte in rettangoli e di seguito ridisegnate. Dopo aver raggiunto il valore fissato, le nuove aree sono aggiunte al primo rettangolo.

Ad esempio: RECT_ANZ=50


SYMBOLO [SYMBOL]

Manuale -> File di configurazione -> zenon6.ini -> SYMBOLO [SYMBOL]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[SYMBOL]

SUBSTITUTE=

Sostituzione quando si inserisce un simbolo in un´immagine:

  • 1: Si usa la funzione Sostituisci.
  • 0: Nessuna sostituzione.

Default: 1

Nota: Ha degli effetti solo sugli elementi che sono collegati almeno con una variabile.


Simulatore [SIMULATOR]

Manuale -> File di configurazione -> zenon6.ini -> Simulatore [SIMULATOR]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[SIMULATOR]

BACKUP=

Backup dei valori HD sul disco fisso:

  • 0: nessun backup.
  • 1: Backup sul disco fisso (default).

DIAG_LEVEL=

Stabilisce quali azioni vengono protocollate nel file di errore:

  • 0: nessun protocollo (Default)
  • 1: scrivi errore (settare valore impostabile)

DWBEGIN=

Start degli indirizzi variabile per DWORD.

DWEND=

Fine degli indirizzi variabile per DWORD.

FLOATBEGIN=

Start degli indirizzi variabile per FLOAT.

FLOATEND=

Fine degli indirizzi variabile per FLOAT.

MAXHDVALS=

Indica l´area massima di offset meno 1 per i dati HD Per le Stringhe HD l´offset dev´essere inferiore di 4 da questo valore.

Default: 1024

OFFSET=

Offset per le variabili di comando nel simulatore.

Default: 0


Terminal Server [TERMINAL]

Manuale -> File di configurazione -> zenon6.ini -> Terminal Server [TERMINAL]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[TERMINAL]

Impostazioni per Terminal server

CLIENT=

Runtime sul Terminal Server.

Possibili valori:

  • 0: il runtime può essere avviato solamente semplicemente. Un funzionamento sul Terminal Server non è possibile.
  • 1: viene usato terminalserver. Il runtime può essere avviato più volte; tutte le impostazioni per il funzionamento Terminal server vengono effettuate automaticamente dal runtime.

Default: 0

CLIENT_NO_FILE_ALIGN=

Parametri per la sincronizzazione dei client con il server:

  • 0: I progetti vengono sempre ricaricati da tutti i client.
  • 1: aggiornamento selettivo attivo.
    Solo il client di zenon che viene avviato nella "console session" des terminal server, sincronizza i file Runtime con il server di zenon

SERIALIZE=

Definizione della risoluzione immagine:

  • 0: risoluzione immagine individuale, tutte le immagini vengono ricalcolate per ogni client.
  • 1: il primo client avviato detta la risoluzione immagine.


Driver

Manuale -> File di configurazione -> zenon6.ini -> Driver

Impostazioni per i driver.

Noch in diesem Kapitel

BrTcp32 [BrTcp32]

Sipa_32 [SIPA_32]

BrTcp32 [BrTcp32]

Driver di sistema [SYSTEMTREIBER], [DEFAULT] e [LOCAL_VAR]


BrTcp32 [BrTcp32]

Manuale -> File di configurazione -> zenon6.ini -> Driver -> BrTcp32 [BrTcp32]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[BrTcp32]

Parametri per il driver S7TCP32

LOGFILE=

Login esteso per il driver.

  • 1: Attiva lo speciale login esteso del driver. Visualizzazione degli inserimenti tramite il Diagnose Viewer.
  • 0: no


Sipa_32 [SIPA_32]

Manuale -> File di configurazione -> zenon6.ini -> Driver -> Sipa_32 [SIPA_32]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[SIPA_32]

Impostazioni per il driver Sipa_32.

NOT_USED=

Lista degli indirizzi hardware che non dovrebbero essere utilizzati nel progetto.

Esempio: NOT_USED=1,2,3,4

SIMUL=

Impostazioni per il modo simulazione hardware. In questa modalità, l´hardware verrà simulato nella memoria e non verrà trattata singolarmente ogni variabile (come nella modalità di simulazione).

  • 1: attivato
  • 0: disattivato


BrTcp32 [BrTcp32]

Manuale -> File di configurazione -> zenon6.ini -> Driver -> BrTcp32 [BrTcp32]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inserimento | Descrizione
[SNMP_NG_TRAP_SERVICE] | Parametri per il driver SNMPNG32
PollingInterval= | Intervallo polling del trap receipt service espresso in millisecondi. Default: 5000
PollingRetries= | Numero delle ripetizioni se un polling del trap receipt service non ha successo. Default: 2
PollingRetryTimeout= | Tempo di attesa fra le ripetizioni del polling del trap receipt service espresso in millisecondi. Default: 1000


Driver di sistema [SYSTEMTREIBER], [DEFAULT] e [LOCAL_VAR]

Manuale -> File di configurazione -> zenon6.ini -> Driver -> Driver di sistema [SYSTEMTREIBER], [DEFAULT] e [LOCAL_VAR]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inserimento | Descrizione
[DEFAULT] | Impostazioni di default.
UPDATE_SEK = | Tempo ciclico di update del driver di sistema in secondi
[LOCAL_VAR] | Inserimenti per le variabile del driver di sistema.
ID_DWORD_1 = <Wert> ID_DWORD_2 = <Wert> ID_DWORD_3 = <Wert> ID_DWORD_4 = <Wert> | Questi inserimenti forniscono i valori per le variabili del driver di sistema Informazioni di sistema -> Variabile di sistema locale: DWORD1-4. Queste variabili sono pensate al fine di consentire l´identificazione di un unico calcolatore nella rete. Ciò significa che i valori vengono gestiti sempre localmente nel file zenon.ini. Per ognuna di queste variabili è possibile definire valori limite di default. Se non ci dovesse essere nessun inserimento nello zenon.ini, i valori di queste variabili vengono settati in zenon nel Runtime su 0.


zenProcGateway.ini

Manuale -> File di configurazione -> zenProcGateway.ini

[GENERAL]

Inserimento

Descrizione

[GENERAL]

Impostazioni generali per il Process Gateway, indipendentemente dal modulo prescelto.

DLL=

Selezione del file DLL da usare per il Process Gateway. Il file DLL selezionato determina la scelta del modulo.

  • AccessDEC.dll
  • AccessSQL.dll
  • AccessMODBUS.dll
  • AccessDNP3.dll
  • AccessIEC870Sl.dll
  • AccessSNMP.dll
  • AccessOPCUA.dll
  • AccessICCP.dll
  • AccessAzure.dll

Noch in diesem Kapitel

AccessDEC [DEC]

DNP3 Slave [DNP3]

ICCP-TASE.2 [ICCP]

IEC870 Slave []

MODBUS Slave [MODBUS]

OPC UA Server [OPCUA], [DATABASE] e [VARIABLES]

Access SNMP [SNMP]

AccessSQL [DATABASE]

AccessAzure [Azure]


AccessDEC [DEC]

Manuale -> File di configurazione -> zenProcGateway.ini -> AccessDEC [DEC]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nota: Il file di configurazione deve trovarsi nella cartella di sistema.

[DEC]

Inserimento | Descrizione
LOGFILE | Nome del file Log (se lo si desidera, per es. zenProcGateway.log)
PORT | Numero di porta dove il Process Gateway attende tentativi di connessione.
TCPTIMEOUT | Intervallo di timeout alla cui scadenza viene interrotta la connessione
REFRESHRATE | Intervallo in millisecondi in cui il sistema verifica se ci sono modifiche dell'immagine di processo di zenon.


DNP3 Slave [DNP3]

Manuale -> File di configurazione -> zenProcGateway.ini -> DNP3 Slave [DNP3]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[DNP3]

Inserimento

Descrizione

SERIAL=

comunicazione seriale (1) o comunicazione via TCP/IP (0)

COMPORT=

interfaccia seriale (COM1 = 0, COM2 = 1,...)

BAUD=

Baud rate dell'interfaccia seriale.

BYTESIZE=

Quantità dei bit di dato dell'interfaccia seriale.

PARITY=

Impostazioni di parità dell´interfaccia seriale
(0=nessuna,1=dispari,2=pari)

STOPBITS=

Numero dei bit di stop dell'interfaccia seriale
(0=1, 1=1.5, 2=2)

LINKADDRLOC=

Indirizzo di collegamento per la sessione locale

LINKADDRREM=

Indirizzo di collegamento per la sessione remota

PORT=

Porta per la comunicazione via TCP/IP

Default: 20000

TIME_USE_UTC=

Formato del time stamp:

  • 0= Ora locale
  • 1 = UTC

Default: 0

Obj1BinInput=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: packet format
2: with flags

Default: 1: packet format

Obj2BinInputEvent=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: without time

2: with absolute time

3: with relative time

Default: 3: with relative time

Obj10BinOutput=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: packet format
2: with flags
Default: 1: with flags

Obj11BinOutputEvent=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: status without time
2: status with time

Default: 1: status without time

Obj20Counter=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit with flag
2: 16 bit with flag
5: 32 bit without flag
6: 16 bit without flag

Default: 5: 32 bit without flag

Obj22CounterEvent=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit with flag
2: 16 bit with flag
5: 32 bit flag and time
6: 16 bit flag and time

Default: 1: 32 bit with flag

Obj30AnalogInp=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit with flag
2: 16 bit with flag
3: 32 bit without flag
4: 16 bit without flag
5: single precision, floating-point with flag
6: double precision, floating-point with flag

Default: 6: double precision, floating-point with flag

Obj32AnalogInpEvent=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit without time
2: 16 bit without time
3: 32 bit with time
4: 16 bit with time
5: single precision, floating-point without time
6: double precision, floating-point without time

7: single precision, floating-point with time
8: double precision, floating-point with time

Default: 6: double precision, floating-point without time

Obj40AnalogOutStatus=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit with flag
2: 16 bit with flag
3: single precision, floating-point with flags
4: double precision, floating-point with flags

Default: 2: 16 bit with flag

Obj41AnalogOutput=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit without time
2: 16 bit without time
3: 32 bit with time
4: 16 bit with time
5: single precision, floating-point without time

6: double precision, floating-point without time

7: single precision, floating-point with time
8: double precision, floating-point with time

Default: 2: 16 bit without time

UNSOLICITED_RESPONSES_ENABLED=

Attiva o disattiva Unsolicited Responses:

  • 0 = non attiva
  • 1 = attiva

Default: Non attiva (0)

UNSOLICITED_RESPONSES_CONFIRMATION_TIMEOUT=

Tempo in secondi per la comunicazione con il master. Dopo lo scadere di questo intervallo di tempo, viene inizializzato un timeout.

Intervallo di immissione: da 1 a 60 s

Default: 5 s

UNSOLICITED_RESPONSES_RETRY_COUNTER=

Numero di tentativi di stabilire la comunicazione con il master.

Intervallo di immissione: 0 - 65535
(0 = numero infinito di tentativi).

Default: 3

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_1=

Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response.

Valori possibili: 0 - 255
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_2=

Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response.

Valori possibili: 0 - 255
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_3=

Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response.

Valori possibili: 0 - 255
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_1=

Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response.

Valori possibili: 0 - 65535 secondi
(0 = nessun ritardo, cioè al cambio di valore).
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_2=

Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response.

Valori possibili: 0 - 65535 secondi
(0 = nessun ritardo, cioè al cambio di valore).
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_3=

Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response.

Valori possibili: 0 - 65535 secondi
(0 = nessun ritardo, cioè al cambio di valore).
Default: 5

[VARIABLES]

Inserimento

Descrizione

COUNT

Numero delle variabili da esportare

EVENT_%d

Gestione degli eventi: Gestione degli eventi per ogni variabile.
Appartiene sempre a una variabile: p.es. EVENT_0 appartiene a NAME_0

Valori:

  • DEFAULT
    La gestione degli eventi avviene come nel gruppo oggetti.
  • MOST_RECENT
    Mantiene solamente l´ultimo cambio di un evento di modifica binario.
  • SOE
    Crea una serie di eventi.

Default: Default

NAME_n

Nome della variabile con il numero n (0<=n<COUNT)

OBJECT_n

Tipo oggetto DNP3 della variabile con il numero n (0<=n<COUNT)

POINT_n

Numero del dato DNP3 della variabile con il numero n (0<=n<COUNT)


ICCP-TASE.2 [ICCP]

Manuale -> File di configurazione -> zenProcGateway.ini -> ICCP-TASE.2 [ICCP]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[ICCP]

Gruppo

SERVER_PORT=

Numero della porta IP del server; la porta consente la connessione di altri client.

La porta viene aperta al momento dello start e rimane aperta.

Default: 102

MAX_CONNECTIONS=

Numero massimo di connessioni di altri client ICCP con il server.

Default: 0 (= illimitato)

MAJOR_VERSION_NUMBER=

Numero di versione principale del protocollo ICCP, per es.: 1996, 2000.

Default: 2000

MINOR_VERSION_NUMBER=

Numero di sottoversione del protocollo ICCP.

Default: 8

BILATERAL_TABLE_ID=

L´identificazione tabella bilaterale; viene sincronizzata quando si stabilisce la connessione fra tutti i server ICCP e client ICCP.

Nota: l´identificazione tabella bilaterale univoca deve essere la stessa su tutti i dispositivi che comunicano con il Process Gateway ICCP:

LOCAL_DOMAIN_NAME=

Nome di dominio ICCP locale; impostazione per il server; deve essere impostata in modo speculare rispetto al partner della comunicazione.

REMOTE_DOMAIN_NAME=

Nome di dominio ICCP remoto; impostazione per il client; deve essere impostata in modo speculare rispetto al partner della comunicazione.

[VARIABLES]

Gruppo dei riferimenti configurati fra variabili di zenon e variabili ICCP. È elencato quanto segue:

  • Parametri di ogni variabile ICCP
  • Numero delle variabili.
  • Nomi della variabili.

PARAM_0=

Parametri per variabile ICCP.

La numerazione inizia da 0. Il contatore viene incrementato di 1 ad ogni nuovo parametro. Questo identificatore corrisponde a quello del nome variabile.

PARAM_0 corrisponde a NAME_0.

Esempio:
PARAM_0=1,0,0,ICCP_Name

COUNT=

Numero dei riferimenti configurati

NAME_0=

Nome delle variabili di zenon.

La numerazione inizia da 0. Il contatore viene incrementato di 1 ad ogni nuovo parametro. Questo identificatore corrisponde a quello del parametro.

PARAM_0 corrisponde a NAME_0.

Esempio:
NAME_0=MyName


IEC870 Slave []

Manuale -> File di configurazione -> zenProcGateway.ini -> IEC870 Slave []

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com


MODBUS Slave [MODBUS]

Manuale -> File di configurazione -> zenProcGateway.ini -> MODBUS Slave [MODBUS]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[MODBUS]

Inserimento | Descrizione
COMPORT | Interfaccia seriale (COM1 = 0, COM2 = 1,...). Può essere impostata usando il dialogo di configurazione.
BAUD | Baud rate della porta seriale Può essere impostata usando il dialogo di configurazione.
BYTESIZE | Quantità dei bit di dati dell'interfaccia seriale
PARITY | Impostazioni di parità dell'interfaccia seriale: 0=No 1=Odd 2=Even Può essere impostata usando il dialogo di configurazione.
STOPBITS | Quantità dei bit di stop dell'interfaccia seriale 0=1 1=1.5 2=2 Può essere impostata usando il dialogo di configurazione.
TIMEOUT | Intervallo di timeout in millisecondi per la comunicazione seriale.
HWADDRESS | Indirizzo hardware del sistema MODBUS. Default: 1 Può essere impostata usando il dialogo di configurazione.
REFRESHRATE | Tempo di update in millisecondi.
SERIELL | Comunicazione seriale o TCP/IP: 1 = seriale 0 = TCP/IP Può essere impostata usando il dialogo di configurazione.
PORT | Porta TCP/IP
TCPTIMEOUT | Intervallo di timeout TCP/IP in secondi.

[MODBUS VARIABLES]

Variabili che devono essere sostituite in AccessMODBUS.

Nota: a partire da zenon 7.11, questo inserimento sostituisce quello originario [VARIABLES]. Questo impedisce che per le variabili del progetto standard venga eseguita una sostituzione inutile tramite l´opzione Logicper connessione SCADA.

Inserimento

Descrizione

COUNT

Numero delle variabili da esportare

OFFSET_n

Indirizzo Modbus assegnato al numero corrispondente (n). La numerazione inizia da 0.

NAME_n

Nome della variabile assegnata al numero corrispondente (n). La numerazione inizia da 0.

Esempi:

  • OFFSET_0=0
    NAME_0=EMS_Supply area 1_forecast_final_consumption
    Variabile dal progetto di partenza.
  • OFFSET_1=2
    NAME_1=BASISTUTORIAL#Temperaturfühler
    Variabile dal progetto "BASISTUTORIAL"


OPC UA Server [OPCUA], [DATABASE] e [VARIABLES]

Manuale -> File di configurazione -> zenProcGateway.ini -> OPC UA Server [OPCUA], [DATABASE] e [VARIABLES]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

[OPCUA]

Impostazioni per il server OPC UA.

SERVER_NAME=

Nome del server.

SERVER_PORT=

Numero di porta per la connessione.

Default: 4840

CERTIFICATES_PATH=

Percorso dei file di certificazione.

Nota: L´inserimento deve essere cancellato se si vuole creare un nuovo certificato al momento dello start del Process Gateway.

SERVER_CERTIFICATE_LOCATION=

File con la chiave pubblica del server. Lo usa il client per la crittografia dei messaggi.

  • Formato: DER
  • Desinenza: .der

Default: %ProgramData%\COPA-DATA\System\PKI\CA\certs\zenopcua.der

Nota: L´inserimento deve essere cancellato se si vuole creare un nuovo certificato al momento dello start del Process Gateway.

SERVER_PRIVATE_KEY_LOCATION=

File con la chiave provata del server. Lo usa il server per la decifrare i messaggi del client.

  • Formato: PEM
  • nessuna password.

Default: %ProgramData%\COPA-DATA\System\PKI\CA\private\zenopcua.pem

Nota: L´inserimento deve essere cancellato se si vuole creare un nuovo certificato al momento dello start del Process Gateway.

ARCHIVE_NAME=

Nome dell´archivio selezionato.

ONLY_SECURE_CONNECTIONS=

Selezione del tipo di sicurezza di comunicazione.

  • TRUE: Al fine dell´instaurazione della comunicazione, vengono accettate solamente connessioni sicure, con firma, o con firma e crittografia.
  • FALSE: Vengono consentite anche connessioni non sicure.

Default: FALSE

TRUST_ALL_CLIENT_CERTIFICATES=

Accettazione dei certificati client:

  • TRUE: Sono accettati tutti i certificati client, viene instaurata la connessione.
  • FALSE: Tutti i client che vogliono collegarsi al server, devono trasmettere un certificato valido. Il sistema verifica anche se questo certificato si trova nella lista dei certificati digitali conosciuti (Certificate trust list path).

Default: TRUE

USE_USER_AUTHENTICATION=
  • TRUE: I client possono effettuare il Login sul server solamente con un´identificazione utente e una password valide.
    Nota: La gestione user deve essere attiva.
  • FALSE: È possibile un Login anonimo.

Default: FALSE

Attenzione: Il nome utente e la password vengono trasmessi in forma non crittografata nel telegramma OPCUA. Se necessario, usate i vostri utenti nel progetto senza livelli di autorizzazione assegnati.

[DATABASE]

Configurazione dei dati.

PROJECT=

Progetto

[VARIABLES]

Configurazione delle variabili

PROJECT_x=

Nome del progetto da cui derivano le variabili. x rappresenta qui il numero del progetto, a cominciare da 0.

Esempio: PROJECT_0=TEST

PARAM_x=

Parametri per il progetto x. La numerazione parte da 0 ed è crescente.

Esempio: PARAM_0=80:INI.Driverforinternalvariables_ModemHwAdrSet

COUNT=

Numero delle variabili configurate.

NAME_x=

nome della variabile. x rappresenta qui il numero del progetto, a cominciare da 0.

Esempio: NAME_0=Driverforinternalvariables_ModemHwAdrSet


Access SNMP [SNMP]

Manuale -> File di configurazione -> zenProcGateway.ini -> Access SNMP [SNMP]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com


AccessSQL [DATABASE]

Manuale -> File di configurazione -> zenProcGateway.ini -> AccessSQL [DATABASE]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com


AccessAzure [Azure]

Manuale -> File di configurazione -> zenProcGateway.ini -> AccessAzure [Azure]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[Azure]

Inserimento | Descrizione
INTEGRITYPERIOD= | Intervallo in secondi del ciclo di scrittura.

[VARIABLES]

Inserimento

Descrizione

Name_n=

Nome della variabile per il Process Gateway.
Formato: SOURCEPROJECT#SOURCEVARIABLE..

Numerazione (n):

n rappresenta il numero progressivo della configurazione di connessione.

Questa numerazione inizia da 0.

Esempio:

  • 1 variabile dà come risultato n = 0
  • Con 3 variabili si ha, per il terzo inserimento, n = 2

Count=

Numero delle variabili.

Nota: in questo caso la numerazione inizia da 1. Otto connessioni danno come risultato Count=8.

[CONNECTIONS]

Inserimento

Descrizione

CONN_n=

Nome della connessione MS Azure.

Numerazione (n):

n rappresenta il numero progressivo della configurazione di connessione.

Questa numerazione inizia da 0.

Esempio:

  • 1 connessione dà come risultato n = 0
  • Con 3 connessioni si ha, per il terzo inserimento, n = 2

QUEUE_n=

Nome della coda MS Azure.

Per la numerazione (_n) valgono le stesse regole che si applicano a CONN

COUNT=

Numero delle connessioni MS Azure configurate.

Nota: in questo caso la numerazione inizia da 1. Due connessioni danno come risultato Count=2.


zenWebSrv.ini

Manuale -> File di configurazione -> zenWebSrv.ini

Impostazioni per il Webserver di zenon.

Parametri

Descrizione

[DEFAULT]

Impostazioni di base.

INIT=

Impostazioni per l´attivazione dello zenon Web Server .

Impostazioni diverse da 0: il Webserver è stato avviato dal pannello di controllo.

USE_HTTP_PROXY=

Stabilisce se la connessione avviene via TCP o HTTP.

  • 0: si usa TCP.
  • Non 0: viene usato HTTP Tunnelling.

Il valore può essere settato direttamente tramite il Dialogo di configurazione del Webserver

[PROXY]

Scambio dati fra lo zenon Web Server e il pannello di controllo.

REMOVE_CLIENT

Questo inserimento segnala allo zenon Webserver quando nel pannello di controllo viene rimosso un client registrato.

MAX_CLIENT

Numero massimo di client (dipende dal tipo di licenza).

AKT_CLIENT

Numero attuale dei client registrati.

SERIAL7=

Numero di serie dello zenon Webserver.

ACTIVATIONKEY7=

Numero di attivazione crittografato dello zenon Webserver

LICENCEINFO

Informazione sulla licenza come viene visualizzata nel pannello di controllo:

  • Demo Web Server Pro
  • Demo Web Server
  • Runtime Web Server Pro
  • Runtime Web Server

[CLIENTLIST]

Lista dei client registrati.

NAME_[Indice 00 in sù]

Nome dei client registrati.

Nota: gli inserimenti in [PROXY] e [CLIENTLIST] vengono cancellati quando si avvia lo zenon Web Server. Se il servizio riceve un comando di gestione dal pannello di controllo, gli inserimenti vengono (a seconda della necessità) scritti o letti.

info Informazioni su

Lo zenWebSrv.ini si trova nel percorso %cd_system%.


Funzioni e script

Manuale -> Funzioni e script

Gli interventi degli utenti in zenon vengono realizzati tramite funzioni di progetto definite dall'utente. Gli script consentono di riassumere più funzioni definite dall´utente e di eseguirle nel Runtime in una determinata successione.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Noch in diesem Kapitel

Funzioni

Script

Finestra di dialogo Seleziona funzioni e script


Funzioni

Manuale -> Funzioni e script -> Funzioni

Tutte le funzioni utilizzate in un progetto sono basate sulle funzioni di sistema presenti. Si tratta di macro predefinite che possono essere utilizzate e parametrizzate dal progettista in modo semplice.

Le funzioni vengono progettate o selezionate via:

  • il nodo Funzioni
  • il Dialogo Seleziona funzioni e script

Noch in diesem Kapitel

Menù contestuali e Barra simboli Visualizzazione dettagliata

Visione generale delle funzioni in zenon

Progettazione nell'editor

Funzioni di sistema

Funzioni nella rete

Successione di esecuzione durante il runtime


Menù contestuali e Barra simboli Visualizzazione dettagliata

Manuale -> Funzioni e script -> Funzioni -> Menù contestuali e Barra simboli Visualizzazione dettagliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Manager di progetto

Punto di menù | Azione
Nuova funzione | Apre una finestra con una selezione funzioni che serve a creare una nuova funzione.
Visualizza funzioni non utilizzate | Realizza una analisi di progetto per le funzioni non utilizzate nel progetto attuale e la mostra in forma di Lista risultati in una finestra apposita.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa degli inserimenti da un file XML.
Apri in una nuova finestra... | Apre una finestra propria per la visualizzazione e la modifica delle funzioni. L´impostazione di default prevede che la finestra venga visualizzata sul bordo inferiore dell´Editor. È peraltro possibile spostarla dove si vuole.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online

Visualizzazione dettagliata

Barra simboli e menù contestuale

Punto di menù | Azione
Nuova funzione | Apre l´assistente per la creazione di una nuova funzione.
Parametri | Apre il dialogo che serve alla selezione dei parametri.
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Esporta selezione in XML | Esporta tutti gli inserimenti selezionati in un file XML.
Importa XML | Importa degli inserimenti da un file XML.
Utilizzo funzioni... | Realizza una analisi di progetto della funzione selezionata nel progetto attuale e la mostra in forma di Lista risultati in una finestra apposita.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Guida | Apre la guida online.


Visione generale delle funzioni in zenon

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le funzioni sono divise nei seguenti gruppi:

  • AML e CEL
  • Applicazione
  • Server di archiviazione
  • Batch Control
  • Gestione user
  • Immagini
  • Localizzazione errore nelle reti elettriche
  • Message Control
  • Rete
  • Generatore Report / Report Viewer / Analyzer
  • Ricette
  • Sequenze di comando
    Nota: visibile solamente se si dispone di una licenza valida per la Energy Edition.
  • Script
  • Variabile
  • VBA
  • VSTA
  • Windows

Noch in diesem Kapitel

Preferiti

AML e CEL

Applicazione

Server di archiviazione

Batch Control

Gestione user

Immagini

Localizzazione errore nelle reti elettriche

Message Control

Rete

Generatore Report / Report Viewer / Analyzer

Ricette

Sequenze di comando

Script

Variabile

VBA

VSTA

Windows


Preferiti

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Preferiti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene quelle funzioni che voi avete selezionato come favorite.

Per aggiungere delle nuove funzioni a questo gruppo, procedete come segue:

  • Trascinate per Drag & Drop le funzioni preferite in questo gruppo, in modo tale da potervi poi accedere in modo più semplice e veloce.


AML e CEL

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> AML e CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene delle funzioni per gestire la Lista di informazioni allarmi (AML) e la Lista eventi cronologica (CEL).

Funzione

Descrizione

Ripristina lampeggio allarmi

Questa funzione ripristina il lampeggio di tutti gli elementi dell'immagine aperta attualmente di un modello selezionato.

Ulteriori dettagli nel capitolo Ripristina lampeggio allarmi

Elimina allarmi

Questa funzione cancella allarmi filtrati.

Ulteriori dettagli nel capitolo Elimina allarmi

Ripristina allarmi

Questa funzione ripristina allarmi filtrati.

Ulteriori dettagli nel capitolo Ripristina allarmi

Collegare/scollegare gruppo allarmi/eventi

Questa funzione attiva o disattiva il collegamento con il PLC in relazione ad un gruppo di allarmi/eventi selezionato.

Ulteriori dettagli nel capitolo Collegare/scollegare gruppo allarmi/eventi

Attiva allarmi

Questa funzione attiva la completa lista di informazioni allarmi.

Ulteriori dettagli nel capitolo Attiva allarmi

Attiva/disattiva allarmi

Questa funzione attiva o disattiva la completa lista di informazioni allarmi.

Ulteriori dettagli nel capitolo Allarmi On/Off

Disattiva allarmi

Questa funzione disattiva la completa lista di informazioni allarmi.

Ulteriori dettagli nel capitolo Disattiva allarmi

Lista informazione allarmi, Gruppi/Classi d' allarme/eventi attivazione/disattivazione

Questa funzione attiva o disattiva un gruppo di allarmi/eventi o una classe di allarmi/eventi, oppure la completa lista di informazioni allarmi.

Ulteriori dettagli nel capitolo Attiva/disattiva lista allarmi, gruppo allarmi/eventi/classi allarmi/eventi.

Esporta allarmi

Questa funzione esporta inserimenti filtrati della lista di informazioni allarmi in un formato esterno.

Ulteriori dettagli nel capitolo Esporta allarmi

Salva buffer AML-CEL

Questa funzione salva attuali allarmi ed eventi nei file ALARM.BIN e CEL.BIN, nonché valori di variabili matematiche (contatore) nel file SY_MA32.BIN.

Ulteriori dettagli nel capitolo Salva buffer AML-CEL

Esporta: lista CEL

Questa funzione esporta inserimenti filtrati della Lista eventi cronologica (CEL) in un formato esterno.

Ulteriori dettagli nel capitolo Esporta: lista CEL

Stampa lista allarmi o CEL

Questa funzione stampa inserimenti filtrati della Lista di informazioni allarmi (AML) o della Lista eventi cronologica (CEL).

Ulteriori dettagli nel capitolo Stampa lista allarmi o CEL

Crea/stampa documento IPA

Questa funzione crea un'analisi IPA e la scrive in un file HTML, oppure la stampa.

Ulteriori dettagli nel capitolo Crea documento IPA

Stampa online on/off

Questa funzione attiva o disattiva la stampa online della lista di informazioni allarmi e della Lista eventi cronologica (CEL).

Ulteriori dettagli nel capitolo Stampa online on/off

Inizia una nuova pagina per la stampa online

Questa funzione termina una pagina e ne comincia una nuova al momento dell'attivazione della stampa online. Il numero di pagina viene riportato a 1.

Ulteriori dettagli nel capitolo Inizia una nuova pagina per la stampa online

Cambio stampante online

Questa funzione sposta la stampa online su una stampante selezionata. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori dettagli nel capitolo Cambio stampante online


Applicazione

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Applicazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'utilizzo delle impostazioni di progetto.

Funzione | Descrizione
Selezionare stampante | Questa funzione apre un dialogo in cui l'utente può selezionare delle stampanti per effettuare diverse operazioni di stampa. Ulteriori dettagli nel capitolo Selezionare stampante
Avvio Load Management | Mediante questa funzione viene avviato il processo di ottimizzazione di una zona selezionata nel modulo Load Management. Questa funzione viene eseguita solamente sul server. Ulteriori dettagli nel capitolo Avvio Load Management
Termine Load Management | Mediante questa funzione viene fermato il processo di ottimizzazione di una zona selezionata nel modulo EMS. Questa funzione viene eseguita solamente sul server. Ulteriori dettagli nel capitolo Termine Load Management
Stampa diagramma Trend esteso | Con l´aiuto di questa funzione, potete stampare diagrammi del modulo trend esteso, oppure salvarli in un file (JPG o BMP) senza essere costretti ad aprire l´immagine del tipo trend esteso. Ulteriori dettagli nel capitolo Stampa diagramma Trend esteso
Cambia tavolozza colori | Crea una funzione per passare durante il runtime da una tavolozza all´altra. Ulteriori dettagli nel capitolo Cambia tavolozza colori
Gestione funzioni ON | Questa funzione attiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, lesione di valori limite, ecc.), vengono eseguite. Ulteriori dettagli nel capitolo Gestione funzioni ON
Funzioni: Disattiva/Attiva | Questa funzione attiva o disattiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, lesione di valori limite, ecc.), (non) vengono eseguite. Ulteriori dettagli nel capitolo Funzioni: Disattiva/Attiva
Gestione funzioni OFF | Questa funzione disattiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, lesione di valori limite, ecc.), non vengono eseguite. Ulteriori dettagli nel capitolo Gestione funzioni OFF
Apri Guida | Questa funzione apre una pagina di help selezionata da un file CHM. Ulteriori dettagli nel capitolo Richiama Help
Aggiorna progetto Runtime | Questa funzione carica solamente i file modificati o tutti i file runtime. Ulteriori dettagli nel capitolo Aggiorna progetto Runtime
Determinazione manutenzioni in corso | Questa funzione mostra le operazioni di manutenzione che devono essere effettuate filtrate dall'IMM come variabili di stato. Ulteriori dettagli nel capitolo Determinazione manutenzioni in corso
Simulazione on/off | Questa funzione determina il passaggio fra la modalità simulazione e la modalità hardware. Si può selezionare il tipo di modalità simulazione o modalità hardware. Ulteriori dettagli nel capitolo Attiva/Disattiva progetto di simulazione
Attiva evento PFS | Questa funzione esegue un evento PFS creato in precedenza dall'utente. Ulteriori dettagli nel capitolo Attiva evento PFS
Simula right click | Questa funzione interpreta il successivo clic del mouse come un clic con il tasto destro. Ulteriori dettagli nel capitolo Simula right click
Salvataggio dati ritentivi | Consente di salvare i dati per i moduli configurati. Sono a disposizione: Buffer circolare AML, buffer circolare CEL, driver di sistema e driver matematico, driver interno, immagini ritentive di tutti i driver, blocco del comando. Ulteriori dettagli nel capitolo Salvataggio dati ritentivi
Esci dal programma | Questa funzione chiude il Runtime di zenon. Ulteriori dettagli nel capitolo Esci dal programma
S7-Graph Euristica | Questa funzione Vi permette di eseguire una S7-Graph Heuristik senza che l´immagine del tipo S7-Graph debba essere attiva. Ulteriori dettagli nel capitolo S7-Graph Euristica
Esegui funzione SAP | Consente l´apertura di una funzione SAP durante il Runtime. Ulteriori dettagli nel capitolo Esegui funzione SAP
Cambio lingua | Questa funzione va nell'ambito di progetti realizzati in più lingue ad una lingua selezionata. Ulteriori dettagli nel capitolo Cambio lingua
Topologia - Ricerca cortocircuito | Richiamo della ricerca cortocircuito Ulteriori dettagli nel capitolo Topologia - Ricerca cortocircuito
Topologia - Verifica collegamenti | Verifica lo stato di approvvigionamento di consumatori topologici e lo rappresenta su variabili. Ulteriori dettagli nel capitolo Topologia - Verifica collegamenti


Server di archiviazione

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Server di archiviazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'uso del modulo opzionale Server archivi.

Funzione | Descrizione
Termina archivio | Questa funzione chiude un archivio selezionato del modulo opzionale Archiviazione. Ulteriori dettagli nel capitolo Termina archivio
Indicizza file d'archivio | Questa funzione serve ad indicizzare archivi. Ulteriori dettagli nel capitolo Indicizza file d'archivio
Partenza archivio | Questa funzione apre un archivio selezionato del modulo opzionale Archiviazione. Ulteriori dettagli nel capitolo Partenza archivio
Esporta archivio | Questa funzione esporta inserimenti archivi filtrati del modulo opzionale Archiviazione in un formato esterno. Ulteriori dettagli nel capitolo Esporta archivio
Mostra archivi attivi | Questa funzione mostra una lista degli archivi attivi del modulo opzionale Archiviazione. Ulteriori dettagli nel capitolo Mostra archivi attivi


Batch Control

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene delle funzioni per il Batch Control.

Funzione | Descrizione
Esporta ricette Batch | Per mezzo di questa funzione si possono esportare delle ricette come file XML. Ulteriori dettagli nel capitolo Esporta ricette Batch
Importa ricette Batch | Per mezzo di questa funzione si possono importare delle ricette da un file XML. Ulteriori dettagli nel capitolo Importa ricette Batch
Comandi ricetta-/esecuzione cambio modalità | Con questa funzione potete inviare comandi di gestione all´esecuzione batch. Ulteriori dettagli nel capitolo Esecuzione comandi ricetta o cambio modalità
Produci ricetta di controllo | Con questa funzione si può creare nel Runtime facendo uso di un pulsante una ricetta di controllo predefinita nell´Editor, Ulteriori dettagli nel capitolo Funzione "Produci ricetta di controllo"


Gestione user

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Gestione user

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene delle funzioni per la Gestione utente.

Funzione | Descrizione
Modifica utente | Questa funzione apre un dialogo nel quale un amministratore che abbia effettuato il login può creare, editare o cancellare degli utenti e dei gruppi utenti. Ulteriori dettagli nel capitolo Modifica utente
Login con dialogo | Questa funzione apre un dialogo di login standard. Ulteriori dettagli nel capitolo Login con dialogo
Login senza password | Questa funzione effettua il login di un utente selezionato senza richiedere la sua password. Ulteriori dettagli nel capitolo Login senza password
Esegui logout | Questa funzione effettua il logout di un utente. Ulteriori dettagli nel capitolo Esegui logout
Modifica password | Questa funzione apre un dialogo in cui l'utente può modificare la sua password. Ulteriori dettagli nel capitolo Modifica Password


Immagini

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Immagini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'utilizzo delle Immagini.

Funzione

Descrizione

Colori sorgente ALC

Funzione per la configurazione del colore sorgente ALC nel caso di ricerca di errori in reti elettriche.

Ulteriori dettagli nel capitolo Colori sorgente ALC

Cambio immagine con variabile

Questa funzione apre un'immagine il cui nome contiene una variabile selezionata.

Ulteriori dettagli nel capitolo Cambio immagine con variabile

Chiudi immagine

Questa funzione chiude un'immagine selezionata.

Ulteriori dettagli nel capitolo Chiudi immagine

Immagine indietro

Questa funzione ritorna all'immagine precedentemente aperta del modello selezionato.

Ulteriori dettagli nel capitolo Immagine indietro

Cancella percorso per "Immagine indietro"

Con questa funzione, si può cancellare nel Runtime il percorso della Funzione Immagine indietro.

Ulteriori dettagli nel capitolo Cancella percorso per "Immagine indietro"

Spostare il centro dell'immagine

Questa funzione effettua uno scroll o uno zoom in un'immagine globale.

Ulteriori dettagli nel capitolo Spostare il centro dell'immagine

Cambio immagine

Questa funzione apre un'immagine selezionata. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Nota: senza dialogo, la funzione viene eseguita con massimo grado di priorità (1). Se prima dell´esecuzione, viene spento un dialogo, il grado di priorità viene abbassato a livello (2).

Ulteriori dettagli nel capitolo Cambio immagine

Focus: esegui funzione elemento

Questa funzione attiva la funzionalità dell'elemento che ha l'impostazione di focus.

Ulteriori dettagli nel capitolo Attiva impostazione su elemento focalizzato

Attiva focus sul modello

Questa funzione setta l'impostazione di focus sull'immagine aperta attualmente di un modello selezionato. Così è possibile realizzare progetti solamente con l'uso della tastiera.

Ulteriori dettagli nel capitolo Attiva focus sul modello

Imposta focus

Questa funzione setta l'impostazione di focus su un elemento determinato in un'immagine, il cui modello ha la focalizzazione.

Ulteriori dettagli nel capitolo Imposta focus

Elimina focus dal modello

Questa funzione elimina l'impostazione di focus sull'immagine aperta attualmente di un modello selezionato. Così è possibile realizzare progetti solamente con l'uso della tastiera.

Ulteriori dettagli nel capitolo Elimina focus dal modello

Visualizza menu

Questa funzione apre o chiude un menù principale selezionato. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori dettagli nel capitolo Visualizza menu

Assegna monitor

Questa funzione attribuisce ad un monitor virtuale selezionato il monitor reale prescelto. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori dettagli nel capitolo Assegna monitor

Profilo Runtime

Crea una funzione con la quale può essere aperta durante il runtime la gestione profili, può essere creato un profilo o ne può essere caricato uno esistente.

Ulteriori dettagli nel capitolo Profilo Runtime

Porta modello in primo piano

Con questa funzione si possono portare in primo piano nel Runtime delle immagini che sono coperte da altre.

Ulteriori dettagli nel capitolo Porta modello in primo piano

Chiudi modello

Questa funzione chiude l'immagine di un modello selezionato attualmente aperta.

Ulteriori dettagli nel capitolo Chiudi modello

Stampa screenshot

Questa funzione stampa nel Runtime uno screenshot dell´intero monitor oppure di modelli.

Ulteriori dettagli nel capitolo Stampa screenshot

Valore impostabile predefinito per immagine Keyboard

Questa funzione imposta un valore predefinito oppure setta un valore predefinito nell´immagine keyboard.

Ulteriori dettagli nel capitolo Valore impostabile predefinito per immagine Keyboard

Visualizza finestra di controllo

Questa funzione apre una finestra di controllo. In tal modo si può simulare un sistema multi-monitor su un sistema a un solo monitor.

Ulteriori dettagli nel capitolo Visualizza finestra di controllo


Localizzazione errore nelle reti elettriche

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Localizzazione errore nelle reti elettriche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Contiene funzioni che servono alla Localizzazione errore nelle reti elettriche.

Funzione | Descrizione
Riconosci guasto messa a terra | Funzione che serve a ripristinare una segnalazione di messa a terra. Apre il dialogo che serve alla selezione di una variabile. Ulteriori dettagli nel capitolo Riconosci guasto messa a terra
Termina ricerca messa a terra | Funzione che serve a terminare la ricerca della messa a terra. Ulteriori dettagli nel capitolo Termina ricerca messa a terra
Avvia ricerca messa a terra | Funzione che serve a iniziare la ricerca della messa a terra. Ulteriori dettagli nel capitolo Avvia ricerca messa a terra
Riconosci guasto messa a terra | Funzione che serve a ripristinare una segnalazione di corto circuito. Apre il dialogo che serve alla selezione di una variabile. Ulteriori dettagli nel capitolo Riconoscimento breve messaggio


Message Control

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'uso del modulo Message Control.

Funzione | Descrizione
Salva coda d'attesa corrente | Salva durante il runtime la Message Queue attuale. Ulteriori dettagli nel capitolo Salva coda d'attesa corrente
Sopprimi Gruppi/Classi/Aree/Strutture | Consente di sopprimere l´invio di messaggi per determinati allarmi. Ulteriori dettagli nel capitolo Sopprimi Gruppi/Classi/Aree/Strutture
Invia messaggio | Imposta una funzione per l´invio di messaggi. Ulteriori dettagli nel capitolo Invia messaggio
Attiva invio messaggio | Attiva il Message Control durante il runtime per il progetto attivo. Ulteriori dettagli nel capitolo Attiva invio messaggio
Disattiva invio messaggio | Disattiva il Message Control durante il runtime per il progetto attivo. Ulteriori dettagli nel capitolo Disattiva invio messaggio


Rete

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'utilizzo di una rete.

Funzione

Descrizione

Autorizzazione di rete

Questa funzione prende o concede la autorizzazione in rete.

Ulteriori dettagli nel capitolo Autorizzazione in rete

Cambio ridondanza

Questa funzione effettua il cambio fra server di processo Server-Standby del progetto.

La finestra di dialogo che serve alla configurazione differisce di poco, in dipendenza del Tipo di ridondanza selezionato:

  • Ponderata
  • Non dominante

Nota: nel caso di Tipo di ridondanza dominante, non è necessaria alcuna ulteriore operazione di configurazione.

Nota: Non disponibile se il terminal CE funge da server di dati. Ulteriori informazioni sull´argomento le trovate nella parte della guida dedicata a zenon Operator, nel capitolo concernente CE Terminal come data server.

Ulteriori dettagli nel capitolo Cambio ridondanza


Generatore Report / Report Viewer / Analyzer

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Generatore Report / Report Viewer / Analyzer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene delle funzioni per:

  • Generatore Report
  • Report Viewer
  • zenon Analyzer
Funzione | Descrizione
Analyzer: crea report | La creazione di report orientata agli eventi consente di usare un evento come causa scatenante per la creazione e l´invio di un report nel prodotto di COPA-DATA zenon Analyzer; ad esempio, una modifica di valore. Ulteriori dettagli nel capitolo zenon Analyzer
Report Generator: esegui report | Questa funzione esegue un rapporto selezionato del modulo opzionale Generatore di rapporti. Ulteriori dettagli nel capitolo Esegui report
Report Generator: stampa | Questa funzione stampa un rapporto selezionato del modulo opzionale Generatore di rapporti. Ulteriori dettagli nel capitolo Stampare report
Report Generator: esporta | Questa funzione esporta un rapporto selezionato del modulo opzionale Generatore di rapporti in un formato esterno. Ulteriori dettagli nel capitolo Esporta report
Report Viewer: esporta / stampa | Consente di emettere report durante il Runtime in formato PDF oppure come stampa online in un thread proprio. Ulteriori dettagli nel capitolo Funzione esporta o stampa report:

attention Attenzione

I report visualizzati con lo zenon Report Viewer, sono visualizzati in modo dipendente dalle impostazioni per la dimensione carattere di Windows.
Ciò significa: Nel caso di modifiche della dimensione, i report non vengono scalati usando l´adattamento di schermo automatico di zenon. In caso di modifica della scala delle immagini, il contenuto non viene adeguato.

Noch in diesem Kapitel

zenon Analyzer


zenon Analyzer

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Generatore Report / Report Viewer / Analyzer -> zenon Analyzer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon mette a disposizione dei suoi utenti delle funzioni che facilitano lo scambio di dati con il prodotto di COPA-DATA zenon Analyzer.

Creazione di report orientata agli eventi.

La creazione di report orientata agli eventi fa sì che un evento (come, ad es., un cambio di valore) possa essere usato come causa per la creazione e per l´invio di un report. Questi report possono essere creati tramite una zenon funzione.

Noch in diesem Kapitel

Creazione di Analyzer Report tramite una funzione di zenon

Impostazioni generali

Lista parametri

Impostazioni estese per connessione sicura

Configurazione dei valori


Creazione di Analyzer Report tramite una funzione di zenon

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Generatore Report / Report Viewer / Analyzer -> zenon Analyzer -> Creazione di Analyzer Report tramite una funzione di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Creazione di Analyzer Report tramite una funzione di zenon

Requisiti

Per poter creare una report orientato agli eventi per lo zenon Analyzer facendo uso della funzione di zenon Analyzer: Crea report, devono essere soddisfatti i seguenti presupposti:

  • Versione 7.20 di zenon oppure una versione ancora più recente
  • Connessione con diritti corrispondenti ad un server Analyzer della versione 2, oppure dal numero di serie superiore
  • Analyzer Server Wrapper deve essere installato. L´installazione è eseguita per mezzo di un selectionitem apposito dello zenon setup.
  • Il Runtime e l´Editor devono essere riavviati dopo l´installazione del Analyzer Server Wrapper, in modo tale che possano trovare i Analyzer Server Wrapper DDL installati.
  • Raccomandazione: Per essere sicuri che l´autenticazione Windows funzioni, il server Analyzer dovrebbe trovarsi nello stesso dominio dell´Editor di zenon e del Runtime di zenon.

Soluzione dei problemi

  • Problemi di comunicazione con il server Analyzer: controllate la comunicazione in rete e l´autenticazione (utente e diritti di accesso).
  • I report sono restituiti ma non contengono nessun dato: controllate la licenza del server Analyzer.

Crea funzione

Per creare la funzione:

  1. Create una nuova funzione.
  2. Navigate all´interno della finestra di dialogo e passate al gruppo Generatore Report / Report Viewer / Analyzer

  3. Selezionate la funzione Analyzer: crea report.
  4. Si apre il dialogo di configurazione:
  5. Configurate nella scheda Impostazioni generali i parametri di connessione e selezionate il report desiderato.

    Attenzione: Prima di passare alla seconda scheda, deve essere stata assolutamente instaurata una connessione e selezionato un report!

  6. Configurate nella scheda Lista parametri i parametri report.
    Quando si passa alla seconda scheda, il sistema tenta di utilizzare per l´input parametri i valori già esistenti. Se questa operazione non ha successo, la lista dei valori parametro impostati verrà visualizzata senza contenuto.

    I valori di default possono essere sostitui inserendo valori individuali. A tal scopo, disattivate il checkbox che si trova presso il valore e cliccate su di esso. Si apre una finestra di dialogo che serve all´inserimento del nuovo valore.

  7. Collegate la funzione ad un pulsante o ad un evento per poterla usare durante il Runtime

Procedura nel Runtime

Procedura in caso di inizializzazione della funzione di creazione di un report nel Runtime:

  1. Viene instaurata la connessione configurata.
  2. Viene settato il report selezionato.
  3. Per questo report, vengono adottati i valori parametro impostati.
  4. Viene creato il report che viene poi emesso nella forma desiderata.
  5. Viene generato il nome file e il file viene salvato nella Cartella export del progetto.
  6. Il nome file completo viene scritto nella variabile desiderata.


Impostazioni generali

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Generatore Report / Report Viewer / Analyzer -> zenon Analyzer -> Impostazioni generali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Impostazioni generali

In questa scheda si configura la connessione con il server Analyzer e si seleziona il report. Questa scheda deve essere configurata prima di passare alla Lista parametri.

Scheda: Impostazioni generali

Analyzer Server

Parametri

Descrizione

Analyzer Server

Configurazione della connessione al server Analyzer.

Versione

Selezione della versione del server Analyzer fra quelle proposte dal menù a tendina. Disponibile solamente se non c´è nessuna connessione.

Nome Computer

Inserimento del nome del computer sul quale è attivo il server Analyzer. Disponibile solamente se non c´è nessuna connessione.

utilizza credenziali Windows

Selezione del tipo di autenticazione:

  • Attivo: Viene usata l´autenticazione Windows.
  • Inattivo: L´utente deve inserire il nome utente e la password.

Identificazione utente

Inserimento del nome utente.

Disponibile solamente se l´opzione Usa autenticazione Windows è disattivata e non c´è nessuna connessione.

Password

Inserimento della password per l´autenticazione.

I caratteri inseriti non vengono visualizzati, la lunghezza della password viene nascosta. La password viene salvata in forma crittografata e viene decodificata solamente allo scopo di instaurare una connessione

Disponibile solamente se l´opzione Usa autenticazione Windows è disattivata e non c´è nessuna connessione.

Connessione sicura

Attivo: la connessione viene creata mediante un canale sicuro.

Disponibile solamente per zenon Analyzer a partire dalla versione 3.00.

Estese:

Impostazioni estese riguardanti il tempo di attesa di connessione. Esso può essere al massimo di un giorno.

Un clic sul pulsante apre il dialogo di configurazione.

Disponibile solamente per zenon Analyzer a partire dalla versione 3.00.

Stabilisci connessione

Cliccando sul pulsante si instaura una connessione con il server Analyzer.

Dopo che è stata instaurata una connessione, il sistema provvede ad attualizzare il menù a tendina per Report e Formato.

Chiudi connessione

Quando si clicca sul pulsante, la connessione viene interrotta.

Creazione report

Parametri

Descrizione

Creazione report

Configurazione dei dati di base per il report.

Report

Selezione del report fra quelli offerti dal menù a tendina.

Formato

Selezione del formato di emissione fra quelli della lista a cascata:

  • CSV
  • Excel
  • MHTML (Web Archive)
  • PDF
  • File TIFF
  • Word
  • File XML con i dati report

Includi timestamp nel nome file
  • Attiva: Il time-stamp di esecuzione viene incluso nel nome file.

Procedura della generazione del nome file:

  • Il punto di partenza è il nome report senza percorso.
    Esempio: Allarmi
  • Poi, viene aggiunto (se attivato) il time-stamp. Esempio: il 15.8.2014 alle 15:20:00: Alarms_2014_08_15_15_20_00
  • Poi viene aggiunta l´estensione nome file corrispondente al formato di emissione.
    Esempio: Alarms_2014_08_15_15_20_00.pdf
  • Se esiste già un file con questo nome nella cartella export del progetto, viene aggiunto un elemento finché il nome non è unico ed univoco.
    Esempio:
    Alarms_2014_08_15_15_20_00.pdf
    Alarms_2014_08_15_15_20_00 (2).pdf
    Alarms_2014_08_15_15_20_00 (3).pdf

Variabile per percorso di creazione file

Mostra la variabile di zenon attualmente selezionata contenete il percorso del file report scritto.

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Suggerimento: Un report provocato da un evento può essere in tal modo inviato da .‑zenon via uno script o un´email quando un archivio lotti viene chiuso, o in caso di una violazione di valore limite. E questa variabile verrà usata per definire l´allegato della funzione Message Control Invia messaggio.
Procedura:

  • In primo luogo viene eseguita la funzione report che scrive la variabile.
  • Poi viene eseguita la funzione Invia messaggio che legge il percorso allegato dalla variabile.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Lista parametri

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Generatore Report / Report Viewer / Analyzer -> zenon Analyzer -> Lista parametri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Lista parametri

In questa scheda configurate i parametri report. Quali parametri vengono offerti per essere configurati, dipende dalla selezione del report effettuata nella scheda Impostazioni generali.

Scheda Lista parametri

Parametri

Descrizione

Lista parametri

Visualizzazione dei parametri report. La successione di questa lista corrisponde a quella nel report.

Raccomandazione: Configurate i parametri procedendo dall´alto verso il basso.

Nome parametro

Visualizzazione del nome parametro.
Non può essere configurato in questa sede.

Standard

Definisce se il parametro viene settato su un valore di default.

  • Attiva: Viene usato il valore di default dal report.
  • Inattiva: Il valore viene selezionato in modo individuale cliccando sulla colonna Valore.

Cliccando con il mouse, oppure premendo il tasto SPACE a parametro selezionato, fa cambiare lo stato del Checkbox. Se il parametro non ha un valore di default, il Checkbox è visualizzato in color grigio ed è , dunque, disattivato.

Valore

Visualizzazione del valore attuale del parametro.

  • Se il Checkbox Default è attivato, apparirà qui il testo Valore di default e non sarà consentito alcun inserimento nella cella.
  • Se il Checkbox Default è disattivato, apparirà qui il valore attualmente configurato.
    Cliccando sulla cella, oppure premendo il tasto Ins a parametro selezionato, si apre il Dialogo di inserimento adatto al valore.

Se non è ancora possibile inserire un parametro, apparirà il testo Non disponibile e la cella è disattivata. Ciò può significare, per esempio, che debbano essere settati prima i valori per un altro parametro per riempire la lista valori.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Suggerimento Report lotto/ Report turno

Nel Runtime viene letto il valore di una variabile string di zenon. Il sistema cerca questa stringa come label nella lista dei valori predefiniti per il parametro. Il valore della label da corrispondere è poi il valore parametro, vale a dire il turno o lotto scelti.

La variabile lotto di un archivio lotti può essere usata in questa sede. Per il report lotto, eseguite la funzione Analyzer: Crea report al momento della chiusura dell´archivio lotti. Il report, poi, avrà l´ultimo lotto di questo archivio come filtro tempo.


Impostazioni estese per connessione sicura

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Generatore Report / Report Viewer / Analyzer -> zenon Analyzer -> Impostazioni estese per connessione sicura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Impostazioni estese per connessione sicura

Configurazione del tempo di attesa di connessione. La finestra di dialogo si apre quando si clicca sul pulsante Estese della scheda Impostazioni generali.

Parametri

Descrizione

Timout di connessione

Tempo di attesa per l´instaurazione di una connessione espresso in secondi. L´attivazione della connessione è interrotta se questo tempo viene superato.

  • Minimo: 1
  • Massimo: 86400 (1 giorno)

Default: 100

Ok

Accetta le impostazioni e chiude il dialogo.

Elimina

Annulla tutte le modifiche e chiude la finestra di dialogo.


Configurazione dei valori

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Generatore Report / Report Viewer / Analyzer -> zenon Analyzer -> Configurazione dei valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configurazione dei valori

Per consentire la configurazione dei valori parametro, il sistema mette a disposizione un´apposita finestra di dialogo per ogni inserimento. La configurazione avviene, a seconda della possibilità di input, per:

  • Un valore senza valore predefinito: inserimento del valore.
  • Diversi valori senza valori predefiniti: inserimento dei valori che vengono aggiunti ad una lista.
  • Un valore con valore predefinito: selezione fra quelli offerti da un menù a tendina o da una lista.
  • Diversi valori con valore predefinito: selezione da una lista.

Quale finestre di dialogo vengono messe a disposizione dell´utente dipende da quale tipo di report viene selezionato.

Esempi di finestre di dialogo usate frequentemente:

Gruppi d'impianti

Selezione dei gruppi di impianti desiderati:

  1. Selezionate i gruppi di impianti desiderati nella lista in alto.
  2. Cliccate su Aggiungi.
    I gruppi selezionati verranno aggiunti alla lista in basso.
  3. Nel caso vogliate cancellare dei gruppi di impianti, non dovete far altro che selezionarli nella lista in basso e cliccare su Cancella.
  4. Per riprendere tutti i gruppi di impianti selezionati nel report, invece, cliccate su OK.

Archivi

  1. Selezionate gli archivi desiderati nella lista in alto.
  2. Cliccate su Aggiungi.
    Gli archivi selezionati verranno aggiunti alla lista in basso.
  3. Nel caso vogliate cancellare degli archivi, non dovete far altro che selezionarli nella lista in basso e cliccare su Cancella.
  4. Per riprendere tutti gli archivi selezionati nel report, invece, cliccate su OK.

Compressione

  1. Selezionate nel menù a tendina il tipo di compressione desiderata.
  2. Cliccate su OK.

  1. Selezionate nel menù a tendina la funzione di compressione desiderata.
  2. Cliccate su OK.

Valore max.

  1. Indicate il valore desiderato in questo campo.
  2. Cliccate su OK.

Valore min.

  1. Indicate il valore desiderato in questo campo.
  2. Cliccate su OK.

Progetti

  1. Selezionate i progetti desiderati nella lista in alto.
  2. Cliccate su Aggiungi.
    I progetti selezionati verranno aggiunti alla lista in basso.
  3. Nel caso vogliate cancellare dei progetti, non dovete far altro che selezionarli nella lista in basso e cliccare su Cancella.
  4. Per riprendere tutti i progetti selezionati nel report, invece, cliccate su OK.

Variabili

Selezione delle variabili desiderate.

  1. Selezionate le variabili desiderate nella lista in alto.
  2. Cliccate su Aggiungi.
    Le variabili selezionate verranno aggiunte alla lista in basso.
  3. Nel caso vogliate cancellare delle variabili, non dovete far altro che selezionarle nella lista in basso e cliccare su Cancella.
  4. Per riprendere tutte le variabili selezionate nel report, invece, cliccate su OK.

Intervallo di tempo

  1. Selezionate la data e l´orario desiderati per
    1. Da
    2. Fino a
  2. Cliccate su OK.


Ricette

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'utilizzo delle ricette standard e delle ricette del modulo opzionale Manager di gruppi ricette.

Funzione | Descrizione
Manager gruppi di ricette | Questa funzione scrive, legge, copia, importa o esporta una ricetta selezionata del modulo opzionale Manager gruppi ricette (RGM). Se si vuole, è possibile aprire in precedenza un dialogo per l'utente. Ulteriori dettagli nel capitolo Manager gruppi di ricette
Ricetta Standard | Questa funzione scrive, legge, copia, importa o esporta una ricetta standard selezionata. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente. Ulteriori dettagli nel capitolo Ricetta Standard
Richiamo ricetta singola | Questa funzione trasmette i valori di una ricetta standard selezionata al PLC. Ulteriori dettagli nel capitolo Richiamo ricetta singola
Richiamo ricetta singola con selezione | Questa funzione apre un dialogo in cui l'utente può modificare ed eseguire una ricetta standard. Ulteriori dettagli nel capitolo Richiamo ricetta singola con selezione
Richiamo ricetta singola con selezione online | Questa funzione apre un dialogo in cui l'utente può selezionare e eseguire (oppure modificare) una ricetta standard. Ulteriori dettagli nel capitolo Richiamo ricetta singola con selezione online


Sequenze di comando

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Sequenze di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'uso del modulo opzionale Sequenze di comando.

Funzione | Descrizione
Esporta sequenze di comando | Esporta tutte le sequenze progettate in un file XML. Ulteriori dettagli nel capitolo Esporta sequenze di comando.
Importa sequenze di comando | Importa le sequenze progettate da un file XML. Ulteriori dettagli nel capitolo Importa sequenze di comando.
Teaching sequenza comandi | Con questa funzione avviate o interrompete il processo di teaching nel runtime. Questa funzione è particolarmente adatta per avviare il teaching nel runtime in un´immagine di processo senza dover passare all´editor sequenze di comando. Ulteriori dettagli nel capitolo Teaching sequenza comandi
Esegui comando sequenza comandi/cambio modalità | Con questa funzione potete inviare comandi di gestione all´esecuzione delle sequenze di comando. Ulteriori dettagli nel capitolo Esegui sequenza di comando/cambio modalità


Script

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Script

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'utilizzo degli script.

Funzione | Descrizione
Esegui script | Questa funzione esegue uno script selezionato. Ulteriori dettagli nel capitolo Esegui script
Script con selezione online | Questa funzione apre un dialogo in cui l'utente può selezionare ed eseguire uno script. Ulteriori dettagli nel capitolo Script con selezione online


Variabile

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'utilizzo delle variabili.

Funzione | Descrizione
Esporta dati | Questa funzione esporta sul disco fisso in un formato esterno valori salvati (*.HDD) di variabili scelte. Ulteriori dettagli nel capitolo Esporta dati
Leggi file dBase | Questa funzione legge un file dBase selezionato e lo esegue come una ricetta. Ulteriori dettagli nel capitolo Leggi file dBase
Stampa dei valori attuali | Questa funzione stampa i valori attuali delle variabili selezionate. Ulteriori dettagli nel capitolo Stampa dei valori attuali
Cambio unità di misura | Passa dall´unità di base e unità di calcolo e viceversa. Ulteriori dettagli nel capitolo Cambio unità di misura
Disattiva gestione HD | Questa funzione attiva il salvataggio dati su hard-disk. Non vengono scritti file HDD. Ulteriori dettagli nel capitolo Disattiva gestione HD
Attiva gestione HD | Questa funzione attiva il salvataggio dati su hard-disk. Vengono scritti file HDD. Ulteriori dettagli nel capitolo Attiva gestione HD
Attiva/disattiva Gestione HD | Questa funzione attiva o disattiva il salvataggio dati su hard-disk. (Non) vengono scritti file HDD. Ulteriori dettagli nel capitolo Attiva/disattiva Gestione HD
Settare valore impostabile | Questa funzione trasmette al PLC un nuovo valore per una variabile selezionata. Ulteriori dettagli nel capitolo Setta valore impostabile
Esegui comandi driver | Questa funzione trasmette un comando selezionato ad un driver selezionato. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente. Ulteriori dettagli nel capitolo Esegui comandi driver
Simulazione per immagine di processo del driver acquisita dal Server Standby | Viene eseguita solamente sul Server-Standby. Richiede al momento della sua esecuzione del server un´immagine del driver selezionato. Il driver ha 5 secondi a disposizione per questa operazione. Ulteriori dettagli nel capitolo Simulazione immagine di processo del driver acquisita dallo Standby
Scrivi data/ora nella variabile | Questa funzione legge il tempo di sistema del sistema operativo e lo scrive su una variabile string nel PLC. In tal modo, il tempo di sistema del PLC viene sincronizzato con quello del sistema operativo. Ulteriori dettagli nel capitolo Scrivi data/ora nella variabile
Acquisisci ora dalla variabile | Questa funzione legge il tempo della variabile string del PLC e setta il tempo di sistema del sistema operativo in modo corrispondente. In tal modo, il tempo di sistema del PLC viene sincronizzato con quello del sistema operativo. Ulteriori dettagli nel capitolo Acquisisci ora dalla variabile


VBA

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'utilizzo delle Macro VBA.

Funzione | Descrizione
Apri Editor PCE | Questa funzione apre l'editor del modulo opzionale Process Control Engine (PCE). Ulteriori dettagli nel capitolo Apri Editor PCE
VBA-Visualizza Editor | Questa funzione apre l'editor VBA. Ulteriori dettagli nel capitolo VBA-Visualizza Editor
Lanciare Macro-VBA | Questa funzione esegue una macro VBA selezionata. Attenzione: L´evento VBA project inactive viene eseguito prima degli script AUTO_END_xxx Skripte. Per questo motivo, non viene più eseguita negli script la funzione di zenon Esegui macro VBA, dato che VBA non funziona più in questo momento. le macro VBA che devono essere eseguite in "AUTOEND", devono essere attivate mediante Project.Inactive. Ulteriori dettagli nel capitolo Lanciare Macro-VBA
VBA-Visualizza dialogo Macro | Questa funzione apre il dialogo Macro VBA. Ulteriori dettagli nel capitolo VBA-Visualizza dialogo Macro


VSTA

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'utilizzo delle VSTA.

Funzione | Descrizione
Apri Editor VSTA | Questa funzione apre l'editor VSTA. Ulteriori dettagli nel capitolo Apri Editor VSTA
Lanciare Macro-VSTA | Questa funzione esegue una macro VSTA selezionata. Ulteriori dettagli nel capitolo Lanciare Macro-VSTA
VSTA-Visualizza il dialogo delle Macro | Questa funzione apre il dialogo Macro VSTA. Ulteriori dettagli nel capitolo Visualizza dialogo delle macro VSTA


Windows

Manuale -> Funzioni e script -> Funzioni -> Visione generale delle funzioni in zenon -> Windows

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo gruppo contiene delle funzioni per l'utilizzo delle funzionalità del sistema operativo.

Funzione | Descrizione
Esegui file audio | Questa funzione esegue un file audio selezionato una volta (*.wav). Ulteriori dettagli nel capitolo Esegui file audio
Operazioni file | Questa funzione copia, cancella o sposta file selezionati. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente. Ulteriori dettagli nel capitolo Operazioni file
Esegui file audio continuo | Questa funzione esegue un file audio (*.wav) ripetutamente. Ulteriori dettagli nel capitolo Esegui file audio continuo
Termina file audio continuo | Questa funzione termina l'esecuzione ripetuta di un file audio (*wav). Ulteriori dettagli nel capitolo Termina file audio continuo
Porta sullo sfondo | Questa funzione porta il Runtime di zenon sullo sfondo. Ulteriori dettagli nel capitolo Porta sullo sfondo
Porta in primo piano | Questa funzione porta il Runtime di zenon in primo piano. Ulteriori dettagli nel capitolo Porta in primo piano
Stampa screenshot | Questa funzione stampa o la schermata attuale, o l'immagine di un modello selezionato attualmente aperta. Se lo si desidera, si può deviare l'operazione di stampa su un fax. Ulteriori dettagli nel capitolo Stampa screenshot
Esegui programma | Questa funzione avvia un programma esterno. Possono essere definiti dei parametri di trasferimento. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente. Ulteriori dettagli nel capitolo Avvia programma


Progettazione nell'editor

Manuale -> Funzioni e script -> Funzioni -> Progettazione nell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete configurare nell´Editor di zenon delle funzioni per il Runtime.

Noch in diesem Kapitel

Crea e modifica nuove funzioni

Selezione di una funzione

Cancella funzioni

Aggiungi funzioni di altri progetti.


Crea e modifica nuove funzioni

Manuale -> Funzioni e script -> Funzioni -> Progettazione nell'editor -> Crea e modifica nuove funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Crea nuova funzione:

Nel menù contestuale della voce Funzioni del manager di progetto, si trovano i seguenti comandi a disposizione dell'utente:

Parametri | Descrizione
Nuova funzione… | Viene generata una nuova funzione che potrà essere configurata attraverso la finestra delle proprietà.
Nuovo Script | Viene creato un nuovo Script.
Esporta tutti in XML... | Esporta tutte le funzioni selezionate in un file XML. Vedi Capitolo Importazione/Esportazione
Importa XML… | Le funzioni vengono importate da un file XML. Vedi Capitolo Importazione/Esportazione
Apri in una nuova finestra... | Apre la sezione lista delle funzioni in una nuova finestra.
Profilo | Vedi capitolo: Profili.


Selezione di una funzione

Manuale -> Funzioni e script -> Funzioni -> Progettazione nell'editor -> Selezione di una funzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una nuova funzione si deve selezionare la voce Nuova funzione. Si apre la finestra di dialogo che serve alla scelta delle funzioni. Dopo averne selezionata una, trovate una finestra di dialogo di aiuto sotto il dialogo. In essa trovate una breve spiegazione della funzione selezionata. Ulteriori informazioni su questo tema le potete trovare nel capitolo Funzioni: visione generale.

Se avete selezionato una funzione e confermato la scelta cliccando su OK, la funzione viene creata. I suoi parametri possono essere definiti nella finestra delle proprietà.

Se, dopo aver effettuato la vostra scelta, usate il pulsante Guida della finestra di dialogo, passate direttamente alla parte della guida in linea che concerne la funzione in questione.

Come nella finestra delle proprietà, anche qui avete a disposizione una lista di favoriti che può essere gestita e modificata in modo individuale. Il nodo Preferiti si trova sempre in cima alla lista. Di default essa contiene le funzioni Cambio immagine e Settare valore impostabile. Potete aggiungere o eliminare qualsiasi funzione dai favoriti usando il menù contestuale oppure mediante Drag&Drop.

Al di sotto del dialogo viene visualizzato il corrispondente help nel quale potete trovare una breve descrizione della funzione selezionata. Una visione generale concernente le singole funzioni che sono a Vostra disposizione, la trovate anche nella sezione Visione generale delle funzioni.


Cancella funzioni

Manuale -> Funzioni e script -> Funzioni -> Progettazione nell'editor -> Cancella funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per eliminare una funzione, basta selezionarla nella sezione lista e premere il tasto delete (CANC).


Aggiungi funzioni di altri progetti.

Manuale -> Funzioni e script -> Funzioni -> Progettazione nell'editor -> Aggiungi funzioni di altri progetti.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le funzioni possono essere copiate/incollate da un altro progetto presente e attivo nell area di lavoro (workspace) corrente.

Ciò è possibile per immagini (immagine funzione start-fine, pulsanti), valori limite, temporizzatore, schedulatore, script, menù, progetti (esecuzione automatica della funzione, archivio).


Funzioni di sistema

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le funzioni di sistema non sono limitate ad un solo modulo. Hanno effetto su tutta la progettazione zenon e gestiscono impostazioni calcolatore, come, ad esempio, la selezione della stampante.

Noch in diesem Kapitel

Applicazione - funzioni

Funzioni - Windows


Applicazione - funzioni

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Applicazione - funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Funzioni generali in zenon

Parametri | Descrizione
Selezionare stampante | Questa funzione apre un dialogo in cui l'utente può selezionare delle stampanti per effettuare diverse operazioni di stampa. Nota: Questa funzione non è disponibile per dispositivi CE.
Avvio Load Management |
Termine Load Management |
Stampa diagramma Trend esteso | Con l´aiuto di questa funzione, potete stampare diagrammi del modulo trend esteso, oppure salvarli in un file (JPG, BMP o SVG) senza essere costretti ad aprire l´immagine del tipo Trend esteso.
Cambia tavolozza colori | Crea una funzione per passare durante il runtime da una tavolozza all´altra.
Gestione funzioni ON | Questa funzione attiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, lesione di valori limite, ecc.), vengono eseguite.
Funzioni: Disattiva/Attiva | Questa funzione attiva o disattiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, lesione di valori limite, ecc.), non vengono eseguite.
Gestione funzioni OFF | Questa funzione disattiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, lesione di valori limite, ecc.), non vengono eseguite.
Apri Guida | Questa funzione apre una pagina di help selezionata da un file CHM.
Aggiorna progetto Runtime | Questa funzione carica nell´Editor i file runtime modificati online.
Simula right click | Questa funzione interpreta il successivo clic del mouse come un clic con il tasto destro.
Salvataggio dati ritentivi | Consente di salvare i dati per i moduli configurati. Sono a disposizione: Buffer circolare AML, buffer circolare CEL, driver di sistema e driver matematico, driver interno, immagini ritentive di tutti i driver, blocco del comando.
Esci dal programma | Questa funzione termina il runtime dello scada.
Esegui funzione SAP | Esegue una funzione definita in SAP Interface nel runtime. La funzione SAP, a sua volta, effettua il trigger di una Remote Function Call (RFC).
Cambio lingua | Questa funzione va nell'ambito di progetti realizzati in più lingue ad una lingua selezionata.

Noch in diesem Kapitel

Selezionare stampante

Gestione funzioni ON

Gestione funzioni OFF

Attiva/disattiva funzione per valori limite

Aggiorna progetto Runtime

Esci dal programma

Simula clic con il pulsante destro

Salvataggio dati ritentivi


Selezionare stampante

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Applicazione - funzioni -> Selezionare stampante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le stampanti per le diverse tipologie vengono definite principalmente nella Configurazione generale.

Con questa funzione si può modificare nel funzionamento online la stampante da utilizzare. Per questa funzione non occorrono parametri.

Le impostazioni delle stampanti vengono effettuate come descritto nel capitolo configurazione/standard/stampante.


Gestione funzioni ON

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Applicazione - funzioni -> Gestione funzioni ON

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Grazie a questa funzione, la gestione delle funzioni di valore limite viene attivata durante il Runtime.


Gestione funzioni OFF

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Applicazione - funzioni -> Gestione funzioni OFF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Grazie a questa funzione, la gestione delle funzioni di valore limite viene disattivata durante il Runtime.


Attiva/disattiva funzione per valori limite

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Applicazione - funzioni -> Attiva/disattiva funzione per valori limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Grazie a questa funzione, le funzioni di valore limite passano durante il Runtime fra i due stati 0 e 1 . All’avviamento del Runtime, il sistema legge lo stato salvato nel file zenon6.ini.

[FUNKTIONEN]

EIN=0 -> disattivata

EIN=1 -> attiva


Aggiorna progetto Runtime

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Applicazione - funzioni -> Aggiorna progetto Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione aggiorna i file runtime modificati, senza dover prima arrestare il progetto in esecuzione.

info Informazioni su

Se il nome del server o quello del Server-Standby vengono modificati nell´Editor, essi non possono essere ricaricati. Essi verranno sincronizzati solo in seguito ad un riavvio del Runtime.

attention Attenzione

I file immagine del tipo PNG non possono essere sovrascritti quando sono visualizzati nel Runtime.

Background: il Runtime blocca i file .png aperti. In tal modo si evita che possano venire sovrascritti.

Soluzione: Prima che il Trasporto Remoto venga inizializzato, bisogna assicurarsi che immagini con file *.png:

  • non siano aperte nel Runtime
  • non vengano utilizzate da un altro programma.

Ciò vale anche per la ricarica dei file Runtime modificati. La sincronizzazione Runtime in rete non funziona per un´immagine *.png, se essa è aperta su un computer zenon coinvolto nel processo (Standby-Server, Client).


Esci dal programma

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Applicazione - funzioni -> Esci dal programma

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si usa questa funzione per uscire dal Runtime (registrazione nella CEL, chiusura degli archivi, esecuzione di script “AUTOEND” ecc.).

Non sono necessari parametri di trasferimento.

attention Attenzione
  • L´evento VBA project inactive viene eseguito prima degli script AUTO_END_xxx. Per questo motivo, non viene più eseguita negli script la funzione di zenon Esegui macro VBA, dato che VBA non funziona più in questo momento. Le macro VBA che devono essere eseguite in "AUTO_END", devono essere richiamate mediante Project.Inactive.
  • Non si devono riportare archivi ciclici nello script AUTOEND.


Simula clic con il pulsante destro

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Applicazione - funzioni -> Simula clic con il pulsante destro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la scelta di questa funzione, durante il runtime il successivo click del mouse, oppure la pressione esercitata su di un touchscreen, verrà interpretato come un clic del tasto destro del mouse.

Questa funzione serve a rendere accessibili i menù contestuali anche su Touchscreen.

Non sono necessari parametri di trasferimento.


Salvataggio dati ritentivi

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Applicazione - funzioni -> Salvataggio dati ritentivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Salvataggio dati ritentivi consente di salvare in qualsiasi momento i dati ritentivi durante il runtime. La funzione può essere importata e esportata. Per configurare la funzione:

  1. scegliete Nuova funzione
  2. Navigate per raggiungere il nodo Applicazione.
  3. selezionate Salvataggio dati ritentivi
  4. Si apre il dialogo per la selezione dei moduli.

Modulo | Descrizione
Buffer Allarmi AML | Attivo: Buffer circolare AML viene salvato.
Buffer Eventi CEL | Attivo: Buffer circolare CEL viene salvato.
Driver di sistema e Driver Matematico | Attivo: i dati del driver di sistema e di quello matematico vengono salvati.
Driver Interno | Attivo: i dati del driver interno vengono salvati.
Immagine di processo di tutti i driver | Attivo: i dati di tutti i driver vengono salvati.
Blocco del comando | Attivo: i dati del blocco del comando vengono salvati.

Se si verificano degli errori nell´operazione di salvataggio, questi ultimi vengono salvati nel protocollo errori.

info Informazioni su

Quando il Runtime funziona in modalità di simulazione (progetto di simulazione attivo), la funzione Salvataggio dati ritentivi non salva nessun valore dei seguenti driver:

  • Driver Interno
  • driver matematico
  • driver di sistema


Funzioni - Windows

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Funzioni - Windows

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Funzioni che provocano una reazione nel sistema operativo

Parametri | Descrizione
Esegui file audio | Questa funzione esegue un file audio selezionato una volta (*.wav).
Operazioni file | Questa funzione copia, cancella o sposta file selezionati. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.
Esegui file audio continuo | Questa funzione esegue un file audio (*.wav) ripetutamente.
Termina file audio continuo | Questa funzione termina l'esecuzione ripetuta di un file audio (*wav).
Porta sullo sfondo | Questa funzione sposta il runtime dello scada sullo sfondo.
Porta in primo piano | Questa funzione porta il Runtime di zenon in primo piano. Attenzione: se si fa uso del comando "apri in primo piano", viene coperta la barra stato allarmi.
Esegui programma | Questa funzione avvia un programma esterno. Possono essere definiti dei parametri di trasferimento. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Noch in diesem Kapitel

Esegui file audio

Operazione file

Esegui file audio continuo

File audio continuo fine

Porta sullo sfondo

Porta in primo piano

Esegui programma


Esegui file audio

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> Esegui file audio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione esegue ad ogni richiamo nel funzionamento runtime il file audio indicato (*.wav). Si deve indicare come parametro di trasferimento il file audio.


Operazione file

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> Operazione file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Utilizzando questa funzione può esser eseguita un'operazione file nel funzionamento online (copiare, spostare e cancellare).

Come parametri di trasferimento si devono indicare "l'operazione file" ed i parametri di file. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo:

Operazioni file progettabili sono:

Parametri | Descrizione
Copia | Copia un file da un percorso in un nuovo percorso di destinazione, anche con un nuovo nome; Vengono presi in considerazione i parametri di trasferimento.
Muovi | sposta un file da un percorso in un percorso di destinazione ed elimina successivamente il percorso di origine; Vengono presi in considerazione i parametri di trasferimento.
Elimina | Elimina file Vengono presi in considerazione i parametri di trasferimento. Attenzione: i file non vengono salvati nel cestino di Windows, ma sono cancellati direttamente ed in modo permanente.

Se l'origine indicata del file non può essere trovata (file o percorso non esistono oppure sono errati), la funzione non verrà eseguita. L'impostazione standard prevede che non vengano visualizzate delle segnalazioni di errore. E' a vostra disposizione un'opzione che vi consente di ottenere in ogni caso una segnalazione di errore; potete attivarla mediante le "Opzioni". Ve lo sconsigliamo, però, perché ciò potrebbe causare il blocco del runtime o dell'esecuzione di altre funzioni.

Stabilita "operazione su file", si possono progettare altre opzioni.

Parametri

Descrizione

Origine/Destinazione

Indicate il percorso per origine e destinazione. Avete la possibilità di usare sia per l'una che per l'altra Wildcards (*). (Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)
Avete tre possibilità di definire il percorso:

  • assoluto (potete utilizzare per l'inserimento anche il pulsante ".." dietro al campo testo).
  • relativo alla cartella runtime (Link: ulteriori informazioni sulla cartella)
  • relativo alla cartella file. (Link: ulteriori informazioni sulla cartella file).

Ad esempio:

assoluto:
Origine 'C:\temp\datenbank.mdb' alla destinazione 'D:\backup\' -> Il file 'datenbank.mdb' viene copiato nella cartella 'D:\backup\'. Affinché l'operazione di copia funzioni, la cartella di destinazione deve esistere già e deve terminare assolutamente con una barra rovesciata.

relativo:
Relativo alla cartella file: "*.aml" alla destinazione 'D:\backup\' copia tutti i file della lista allarmi nella cartella 'D:\backup\'.

Rinomina file:
E' possibile rinominare singoli file. Per es.'C:\temp\datenbank.mdb' alla destinazione 'D:\backup\backupdb.mdb' copia il file 'datenbank.mdb' nella cartella 'D:\backup\', e lo rinomina in 'backupdb.mdb'.

Non è possibile rinominare contemporaneamente diversi file con delle wildcard.

Considera sottocartelle

Cerca file anche nelle sottocartelle del percorso origine e ne realizza una visuale ad albero anche nella directory di destinazione.

Attenzione: In combinazione con l´opzione Elimina, i file e le cartelle non vengono spostati nel cestino di Windows, ma cancellati direttamente e definitivamente.

Sovrascrivi i file esistenti

Se il file di sorgente esiste già nel percorso di destinazione, verrà sovrascritto con il file attuale

Visualizza le segnalazioni di errore

Se non è possibile "Copiare" o "Spostare" i file, viene emessa una segnalazione di errore dal sistema Non si consiglia di attivare questa opzione visto che potrebbe verificarsi un'eventuale blocco del runtime o della esecuzione di altre funzioni.

Visualizzare dialogo nel Runtime

Nel funzionamento online, prima dell'esecuzione di questa funzione viene aperta una maschera di dialogo, nella quale è possibile adattare i parametri (Operazioni file, origine, destinazione ecc..). Le impostazioni modificate in questa sede vengono mantenute durante il runtime del funzionamento online. In questa finestra di dialogo manca l´opzione con finestra di dialogo prima dell´esecuzione.

Esegui solamente se il/i file

L'operazione file verrà eseguita solamente per un arco di tempo definito (giorni, ore).

è più vecchio di

Il file deve essere più vecchio dell'arco di tempo indicato. Da tener presente che "1 giorno" significa sempre 24 ore a partire dal punto di esecuzione.

è più giovane di

Il file deve essere più recente dell'arco di tempo indicato. Da tener presente che "1 giorno" significa sempre 24 ore a partire dal punto di esecuzione.
Nota: "non più vecchio di" deve essere più grande di "non più recente di".


Esegui file audio continuo

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> Esegui file audio continuo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l'utilizzo di questa funzione nel funzionamento online viene eseguito il file audio (*.wav) specificato ripetutamente; ciò avviene fino a quando viene eseguita la funzione Suono continuo fine. Si deve indicare come parametro di trasferimento il file audio.


File audio continuo fine

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> File audio continuo fine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione termina l´esecuzione continua di un file audio(*.wav), che è stata avviata con la funzione Start file audio continuo.


Porta sullo sfondo

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> Porta sullo sfondo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel funzionamento online, questa funzione porta la visualizzazione di zenon sullo sfondo. Non si considera l’immissione SYSKEY nel file project.ini. La selezione di altre applicazioni (programm manager) è possibile.

[DEFAULT] |
... |
SYSKEY= | 0 - tasti di sistema attivi
 | 1 - tasti di sistema bloccati (default)

Non sono necessari parametri di trasferimento.


Porta in primo piano

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> Porta in primo piano

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel funzionamento online, questa funzione porta la visualizzazione di zenon in primo piano. Tutte le altre applicazioni si spostano nello sfondo (eccezione: applicazioni con la proprietà Sempre in primo piano). Si tiene conto dell´inserimento SYSKEY nel file project.ini.

Inserimento

Significato

[DEFAULT]

SYSKEY=

Blocco o attivazione dei tasti di sistema:

  • 0: Tasti di sistema attivi
  • 1: Tasti di sistema bloccati (Default)

Non sono necessari parametri di trasferimento.

info Informazioni su

Con la funzione "Apri il Runtime in primo piano", la finestra Runtime viene definita come finestra principale. In tal modo la Barra stato allarmi verrà coperta. Per riportare la Barra stato allarmi in primo piano, potete:

  • attivare i pulsanti di sistema (disattivare proprietà di progetto Pulsanti di sistema bloccati) e riportare la barra di stato allarmi in primo piano con i tasti Alt+Tab
  • attivare la Windows Taskbar e cliccare sulla finestra Status
  • Riportare il Runtime in background
  • Riavviare il Runtime


Esegui programma

Manuale -> Funzioni e script -> Funzioni -> Funzioni di sistema -> Funzioni - Windows -> Esegui programma

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione lancia nel funzionamento online un altro programma (*.EXE). Alla chiamata di funzione possono essere indicati dei parametri di trasferimento per il programma dovendo essere avviato.

Si indica come parametro di trasferimento il file programma (*.EXE). La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo:

Le impostazioni progettabili sono:

Parametri | Descrizione
Nome | nome del file da eseguire; ricerca e selezione possibile con il pulsante
Parametri | parametro di trasferimento per il programma
proponi dialogo a Runtime | cambiare programma e parametri nel funzionamento online alla chiamata della funzione

Il programma si seleziona da un box dialogo.

Il programma, per essere avviato, deve trovarsi in un percorso (ambiente sistema Windows NT). Programmi definiti da utente (Visual-Basic) sono da depositare nel percorso d´installazione di zenon.

A Lista di informazione allarmi aperta ed allarme selezionato si può trasferire il nome della variabile come parametro (per sistemi di informazione banca dati esterni) alla chiamata di funzione. Il parametro si trasferisce come parola chiave.

Parametri | Descrizione
@alarm.name | Nomi delle variabili
@alarm.unit | unità della variabile collegata
@alarm.value | valore che causa l´immissione
@alarm.stext | testo valore limite corrispondente
@alarm.ctime | tempo entrata (valore in sec. a partire dal 1.1.1970)
@alarm.ctimemilli | e relativi millisecondi
@alarm.gtime | Esce
@alarm.gtimemilli | e relativi millisecondi
@alarm.qtime | Riconosciuto
@alarm.user | utente avendo ripristinato
@alarm.identification | identificazione della variabile

Non si trasmette nessun parametro di trasferimento a Lista di informazione allarmi non aperta oppure a più o nessun allarme selezionato nella lista. Se sono aperte più Lista di informazione allarmi (lista globale e selettiva) si utilizza l’immissione selezionata della prima lista trovata.

A lista eventi cronologica aperta ed immissione selezionata si può trasferire il nome della variabile come parametro (per sistemi di informazione banca dati esterni) alla chiamata di funzione. Il parametro si trasferisce come parola chiave.

Parametri | Descrizione
@cel.name | Nomi delle variabili
@cel.unit | Unita della variabile collegata (solo quando variabile è collegata)
@cel.value | valore che ha avviato l´immissione (solo se avviato per violazione di valore limite)
@cel.stext | testo valore limite corrispondente
@cel.ctime | tempo entrata (valore in sec. a partire dal 1.1.1970)
@cel.ctimemilli | e relativi millisecondi
@cel.user | utente avendo ripristinato
@cel.identification | identificazione della variabile

Non si trasmette nessun parametro di trasferimento a lista eventi cronologica non aperta oppure a più o nessuna immissione selezionata nella lista. Se sono aperte più liste eventi cronologica (lista globale e selettiva) si utilizza l’immissione selezionata della prima lista trovata.

Altri parametri di trasferimento possibili sono:

@picture

immagine dalla quale è stata lanciata la funzione

Quando si utilizza questa funzione si deve tenere conto degli effetti dei programmi lanciati sul sistema globale (risorse necessarie, multitasking, sicurezza del programma etc.)


Funzioni nella rete

Manuale -> Funzioni e script -> Funzioni -> Funzioni nella rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se delle funzioni devono essere utilizzate in rete, si deve tener conto del loro luogo di esecuzione:

Nel caso di funzioni che vengono usate in rete:

  • il luogo nel quale esse vengono eseguite può essere in alcuni casi configurato liberamente
  • in altri casi tale luogo è definito in modo fisso

info Informazioni su

Gli script combinano più funzioni. Il luogo di esecuzione dipende poi dalle impostazioni della funzione Esegui script. Questa impostazione sovrascrive quella delle funzioni singole.

Configura luogo di esecuzione

Nel caso delle funzioni il cui luogo di esecuzione può essere definito liberamente, l´utente ha a disposizione i parametri corrispondenti, che si trovano nelle proprietà della funzione.

Per definire il luogo di esecuzione:

  1. Navigate nelle proprietà della funzione fino a giungere al gruppo Esecuzione:
  2. Selezionate il luogo di esecuzione desiderato attivando la checkbox corrispondente. E' possibile una selezione multipla:
    • PC attuale: la funzione si esegue sul calcolatore attuale.
    • Server primario: la funzione si esegue sul server di processo
    • Server Standby: la funzione si esegue sul server in standby.
    • Client: la funzione viene eseguita su tutti i client.

Visione generale - Funzioni in rete

La seguente tabella mostra quali funzioni vengono eseguite in quale posto.

Legenda:

  • Configurabile: il comportamento può essere configurato.

    +: Sì

    -: No

    O: Default

  • Se non configurabile, O indica il luogo di esecuzione:
    • Calcolatore attivo
    • Server primario
    • Server-Standby
    • Client

Funzione | Configurabile | PC attuale | Server primario | Server Standby | Client
AML e CEL |  |  |  |  |
Ripristina lampeggio allarmi | - | O |  |  |
Elimina allarmi | - |  | O | O |
Ripristinare allarmi | - |  | O | O |
Collegare/scollegare gruppo allarmi/eventi | - | O |  |  |
Attiva/disattiva lista allarmi/gruppo allarmi/eventi/classi allarmi/eventi. | - |  | O | O |
Lista di informazione allarmi attiva | - |  | O |  |
Attiva/disattiva Lista di informazione allarmi | - |  | O |  |
Disattiva allarmi | - |  | O |  |
Esporta allarmi | + | O |  |  |
Salva buffer AML-CEL | - |  | O | O |
Esporta: lista CEL | + | O |  |  |
Stampa lista allarmi o CEL | + | O |  |  |
Crea/stampa documento IPA | - |  | O |  |
Stampa online on/off | - |  | O | O |
Inizia una nuova pagina per la stampa online | + | O |  |  |
Cambio stampante online | - |  | O |  |
Applicazione |  |  |  |  |
Selezionare stampante | + | O |  |  |
Avvio Load Management | - |  | O |  |
Termine Load Management | - |  | O |  |
Stampa diagramma Trend esteso | + | O |  |  |
Cambia tavolozza colori | + | O |  |  |
Gestione funzioni ON | - |  | O | O |
Funzioni: Disattiva/Attiva | - |  | O | O |
Gestione funzioni OFF | - |  | O | O |
Richiama l’Help | + | O |  |  |
Aggiorna progetto Runtime | + | O |  |  |
Determinazione manutenzioni in corso | - |  | O |  |
Attiva evento PFS | + | O |  |  |
Attiva/Disattiva progetto di simulazione | - | O |  |  |
Simula clic con il pulsante destro | + | O |  |  |
Salvataggio dati ritentivi | + | O |  |  |
Termina Runtime | + | O |  |  |
Valutazione euristica S7-Graph | + | O |  |  |
SAP-Esegui funzione | + | O |  |  |
Cambio lingua | + | O |  |  |
Topologia - Ricerca cortocircuito | - |  | O |  |
Topologia - Verifica collegamenti | - |  | O |  |
Server di archiviazione |  |  |  |  |
Termina archivio | - |  | O | O |
Indicizza file d'archivio | - |  | O |  |
Partenza archivio | - |  | O | O |
Esporta archivio | - | O |  |  |
Mostra archivi attivi | - |  | O | O |
Gestione user |  |  |  |  |
Modifica utente | + | O |  |  |
Login con dialogo | + | O |  |  |
Login senza password | + | O |  |  |
Esegui logout | + | O |  |  |
Modifica Password | - | O |  |  |
Immagini |  |  |  |  |
ALC - Modifica colore fonte | + | O |  |  |
Cambio immagine con variabile | - | O |  |  |
Chiudi immagine | + | O |  |  |
Immagine indietro | - | O |  |  |
Spostare il centro dell'immagine | + | O |  |  |
Cambio immagine | + | O |  |  |
Focus: esegui funzione elemento | + | O |  |  |
Attiva focus sul modello | + | O |  |  |
Imposta focus | - | O |  |  |
Elimina focus dal modello | + | O |  |  |
Visualizza menù | + | O |  |  |
Assegna monitor | + | O |  |  |
Profili Runtime | + | O |  |  |
Chiudi modello | + | O |  |  |
Valore impostabile predefinito per immagine Keyboard | - | O |  |  |
Visualizza finestra di controllo | + | O |  |  |
Localizzazione errore nelle reti elettriche |  |  |  |  |
Riconosci guasto messa a terra | + | O |  |  |
Termina ricerca messa a terra | + | O |  |  |
Avvia ricerca messa a terra | + | O |  |  |
Riconoscimento breve messaggio | + | O |  |  |
Message Control |  |  |  |  |
Salva coda d'attesa corrente | - |  | O |
Sopprimi Gruppi/Classi/Aree/Strutture | - |  | O |  |
Invia messaggio | - |  | O |  |
Attiva invio messaggio | - |  | O |  |
Disattiva invio messaggio | - |  | O |  |
Rete |  |  |  |  |
Autorizzazione di rete | + | O |  |  |
Commutazione ridondanza | - |  |  | O |
Generatore Report |  |  |  |  |
Stampare report | + |  |  |  |
Esegui report | + |  |  |  |
Esporta report | + |  |  |  |
Ricette |  |  |  |  |
Manager Gruppi di Ricette | - | O |  |  |
Ricetta Standard: | - | O |  |  |
Richiamo ricetta singola | + | O |  |  |
Richiamo ricetta singola con selezione | - | O |  |  |
Richiamo ricetta singola con selezione online | - | O |  |  |
Script |  |  |  |  |
Esegui script | + | O |  |  |
Script con selezione online | + | O |  |  |
Variabile |  |  |  |  |
Esportazione dati | - |  | O |  |
Leggi file dBase | + | O |  |  |
Stampa dei valori attuali | + | O |  |  |
Cambio unità di misura | + | O |  |  |
Attiva gestione HD | - |  | O | O |
Disattiva gestione HD | - |  | O | O |
Attiva/disattiva gestione HD | - |  | O | O |
Settare valore impostabile | - |  | O |  |
Comandi driver | - | O |  |  |
Simulazione immagine di processo del driver trasferita allo Standby | - |  |  | O |
Scrivi data/ora nella variabile | + | O |  |  |
Acquisisci ora dalla variabile | + | O |  |  |
VBA |  |  |  |  |
Apri Editor PCE | - |  | O |  |
VBA-Visualizza Editor | + | O |  |  |
Lanciare Macro-VBA | + | O |  |  |
VBA macro - Visualizza il dialogo | + | O |  |  |
VSTA |  |  |  |  |
Apri Editor VSTA | + | O |  |  |
Esegui macro VSTA | + | O |  |  |
VSTA-Visualizza il dialogo delle Macro | + | O |  |  |
Windows |  |  |  |  |
Esegui file audio | + | O |  |  |
Operazioni file | + | O |  |  |
Esegui file audio continuo | + | O |  |  |
Termina file audio continuo | + | O |  |  |
Porta sullo sfondo | - | O |  |  |
Porta in primo piano | - | O |  |  |
Stampa screenshot | + | O |  |  |
Esegui programma | + | O |  |  |


Successione di esecuzione durante il runtime

Manuale -> Funzioni e script -> Funzioni -> Successione di esecuzione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'esecuzione di funzioni nel runtime avviene in 3 livelli di priorità.

  • Priorità 1: Immediate (viene eseguita subito)
  • Priorità 2: High (prima dell´esecuzione viene aperto un dialogo)
  • Priorità 3: Low

Nel caso in cui, per una funzione con la priorità 1, venga aperto un dialogo prima dell´esecuzione della funzione stessa, il livello di priorità viene abbassato a 2.

Nell'ambito di uno stesso progetto, tutte le funzioni di uno script vengono inserite nella stessa coda. Nello script, vengono eseguite tutte le funzioni in un livello di priorità Ciò garantisce che le funzioni vengano eseguite una dopo l´altra.

Example Esempio

Tramite uno script, le immagini di diversi progetti sono organizzate in una determinata disposizione usando una funzione di cambio d'immagine; questa disposizione dipende dalla successione dell'esecuzione (immagini si trovano su altre immagini).

Priorità dell´esecuzione durante il runtime

Gruppi di funzione

Funzioni

Priorità

AML e CEL

Gestione del filtro allarmi e CEL

  • Ripristina lampeggio allarmi

1

  • Elimina allarmi

1

  • Ripristina allarmi

1

  • Collegare/scollegare gruppo allarmi/eventi

1

  • Lista di informazione allarmi attiva

1

  • Attiva/disattiva Lista di informazione allarmi

1

  • Disattiva allarmi

1

  • Attiva/disattiva lista allarmi, gruppo allarmi/eventi, classi allarmi/eventi.

1

  • Salva buffer AML-CEL

1

  • Stampa lista allarmi o CEL

3

  • Esportazione allarmi

2

  • Esportazione CEL

2

  • Crea/stampa documento IPA

1

  • Stampa online on/off

1

  • Inizia una nuova pagina per la stampa online

?

  • Cambio stampante online

3

Applicazione

Apri applicazioni

  • Selezionare stampante

3

  • Stampa diagramma Trend esteso

1

  • Cambia tavolozza colori

2

  • Attiva/disattiva funzioni per valori limite

1

  • Gestione funzioni ON

1

  • Gestione funzioni OFF

1

  • Richiama l’Help

3

  • Aggiorna progetto Runtime

1

  • Determinazione manutenzioni in corso

3

  • Attiva evento PFS

1

  • Esci dal programma

3

  • Simula clic con il pulsante destro

3

  • Salvataggio dati ritentivi

1

  • Valutazione euristica S7-Graph

1

  • Simulazione on/off

1

  • Cambio lingua

2

Server di archiviazione

Gestione archivi

1

  • Termina archivio

1

  • Indicizza file d'archivio

1

  • Partenza archivio

1

  • Archivi attivi

2

  • Esportazione archivio

1

Gestione user

Gestione user

  • Modifica utente

3

  • Login con dialogo

2

  • Login senza password

2

  • Esegui logout

2

  • Modifica Password

2

Immagini

Selezionare e gestire immagini

  • Modifica colore fonte ACL

1

  • Cambio immagine con variabile

1

  • Chiudi immagine

2

  • Immagine indietro

1

  • Spostare il centro dell'immagine

1

  • Cambio immagine

1

  • Focus: esegui funzione elemento

1

  • Attiva focus sul modello

1

  • Imposta focus

1

  • Elimina focus dal modello

1

  • Visualizza menù

1

  • Assegna monitor

1

  • Profilo Runtime

1

  • Chiudi modello

1

  • Finestra di controllo

1

Localizzazione errore nelle reti elettriche

  • Riconosci guasto messa a terra

1

  • Termina ricerca messa a terra

1

  • Avvia ricerca messa a terra

1

  • Riconoscimento breve messaggio

1

Message Control

Invio di messaggi (message control)

  • Salva coda d'attesa corrente

1

  • Sopprimi Gruppi/Classi/Aree/Strutture

1

  • Invia messaggio

1

  • Attiva invio messaggio

1

  • Disattiva invio messaggio

1

Rete

Funzione di rete

  • Autorizzazione in rete

1

  • Commutazione ridondanza

1

Generatore di rapporti

Funzioni per report

  • Stampare report

2

  • Esportare report

2

  • Esegui report

2

Ricette

Gestione delle ricette

  • Manager di gruppi ricette

2

  • Ricetta Standard:

2

  • Richiamo ricetta singola

2

  • Richiamo ricetta singola con selezione

2

  • Richiamo ricetta singola con selezione online

2

Script

Esegui sequenza di funzioni (script)

  • Esegui script

1

  • Script con selezione online

2

Variabile

Funzioni per variabili

  • Esportazione Dati

3

  • Leggi file dBase

2

  • Stampa dei valori attuali

2

  • Cambio unità di misura

2

  • Attiva gestione HD

1

  • Disattiva gestione HD

1

  • Attiva/disattiva Gestione HD

1

  • Settare valore impostabile

1

  • Esegui comandi driver

2

  • Simulazione immagine di processo del driver acquisita dallo Standby

1

  • Scrivi data/ora nella variabile

1

  • Acquisisci ora dalla variabile

1

VBA

Funzioni - VBA

  • Apri Editor PCE

3

  • VBA-Visualizza Editor

3

  • Lanciare Macro-VBA

3

  • VBA-Visualizza dialogo Macro

3

VSTA

Funzioni VSTA

  • Apri Editor VSTA

3

  • Lanciare Macro-VSTA

3

  • VSTA-Visualizza il dialogo delle Macro

3

Windows

  • Esegui file audio

2

  • Operazioni file

3

  • Esegui file audio continuo

1

  • Termina file audio continuo

1

  • Porta sullo sfondo

2

  • Porta in primo piano

2

  • Stampa screenshot

2

  • Esegui programma

2


Script

Manuale -> Funzioni e script -> Script

Gli script riuniscono diverse funzioni per consentirne un´esecuzione nel Runtime in una successione prestabilita. zenon mette a disposizione dell´utente anche alcuni script predefiniti.

Gli script vengono progettati o selezionati via:

  • il nodo Script
  • il Dialogo Seleziona funzioni e script

Noch in diesem Kapitel

Menù contestuale e barra degli strumenti Script

Progettazione nell'editor

Script predefiniti

Esegui script nel Runtime

Priorità in rete


Menù contestuale e barra degli strumenti Script

Manuale -> Funzioni e script -> Script -> Menù contestuale e barra degli strumenti Script

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale - manager di progetto

Punto di menù | Azione
Nuovo Script | Crea un nuovo script.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa degli inserimenti da un file XML.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Apre la guida online.

Barra degli strumenti Script Visualizzazione dettagli

Simbolo

Descrizione

Nuovo Script

Aggiunge un nuovo script alla lista.

Aggiungere funzioni

Apre la finestra di dialogo che serve ad aggiungere delle funzioni.

Uso script

Apre l´analisi di progetto nella finestra principale e mostra gli elementi con cui viene usato lo script selezionato.

Visualizza script non utilizzati

Apre l´analisi di progetto nella finestra principale e mostra gli script non utilizzati.

Copia

Copia lo script oppure la funzione selezionati negli appunti di Windows.

Inserisci

Aggiunge un elemento copiato negli appunti di Windows.

Elimina

Cancella lo script selezionato oppure elimina la funzione selezionata dallo script.

Estendi/riduci

Consente di estendere o ridurre tutti i nodi o quelli selezionati nella lista. Scegli:

  • Espandi tutto
  • Riduci tutto
  • Espandi selezione
  • Riduci selezione

Esporta selezione in XML

Esporta gli inserimenti selezionati in un file XML.

Importa XML

Importa elementi da un file XML.

Modifica celle selezionate

Permette la modifica di un nome di uno script. Possibile anche con un clic del mouse nel campo, oppure mediante il tasto F2.

Proprietà

Apre la finestra Impostazioni per l´inserimento selezionato.

Guida

Apre la guida online.

Menù contestuale Script selezionato

Parametri

Descrizione

Aggiungere funzioni

Apre la finestra di dialogo che serve ad aggiungere delle funzioni.

Nuovo Script

Aggiunge un nuovo script alla lista.

Crea funzione standard

Crea automaticamente una funzione standard per lo script selezionato.

Uso script

Apre l´analisi di progetto nella finestra principale e mostra gli elementi con cui viene usato lo script selezionato.

Visualizza script non utilizzati

Apre l´analisi di progetto nella finestra principale e mostra gli script non utilizzati.

Copia

Copia lo script oppure la funzione selezionati negli appunti di Windows.

Inserisci

Aggiunge un elemento copiato negli appunti di Windows.

Elimina

Cancella lo script selezionato oppure elimina la funzione selezionata dallo script.

Espandi/Riduci nodo

Consente di estendere o ridurre tutti i nodi o quelli selezionati nella lista. Scegli:

  • Espandi tutto
  • Riduci tutto
  • Espandi selezione
  • Riduci selezione

Esporta selezione in XML

Esporta gli inserimenti selezionati in un file XML.

Importa XML

Importa elementi da un file XML.

Modifica celle selezionate

Permette la modifica di un nome di uno script. Possibile anche con un clic del mouse nel campo, oppure mediante il tasto F2.

Proprietà

Apre la finestra Impostazioni per l´inserimento selezionato.

Guida

Apre la guida online.


Progettazione nell'editor

Manuale -> Funzioni e script -> Script -> Progettazione nell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per progettare o modificare degli script, cliccate sul nodo Script e selezionate nella barra degli strumenti oppure nel menù contestuale l´azione desiderata.

info Informazioni su

Se si modifica il nome dello script, i parametri delle funzioni collegate vengono cambiati in modo corrispondente. Nel caso dei progetti multiutente, le funzioni vengono adattate automaticamente dopo che il sistema ha posto la domanda di controllo Confermare modifiche . Dopo che la modifica è stata eseguita con successo, viene cambiato anche lo script.

Progettare script

Per progettare un nuovo script:

  1. selezionate nel menù contestuale oppure nella barra degli strumenti Nuovo Script
  2. Verrà aggiunto un nuovo script alla lista.
  3. Assegnategli un nome, oppure scegliete uno script predefinito fra quelli offerti dal menù a tendina.
  4. Aggiungete funzioni e ordinatele.
    Di norma, le funzioni vengono eseguite nell´ordine in cui sono state progettate.
  5. Create una funzione per lo start dello script nel Runtime.

Aggiungi funzioni e mettile in ordine.

Potete aggiungere nuove funzioni ad uno script usando un comando, oppure aggiungere o cambiare la successione delle funzioni già collegate tramite Drag&Drop.

Nuova funzione

Per aggiungere una nuova funzione ad uno script tramite comando:

  1. selezionate nel menù contestuale oppure nella barra dei simboli Aggiungi funzioni
  2. Si apre il dialogo per selezionare di una o più funzioni
  3. Selezionate le funzioni desiderate e chiudete la finestra di dialogo cliccando su OK
  4. Le funzioni verranno aggiunte alla fine della lista di quelle già esistenti.

Azioni Drag&Drop

Per aggiungere una funzione ad uno script per Drag&Drop:

  1. selezionate la funzione desiderata da uno script.
  2. trascinate la funzione nella posizione desiderata.
    • all´interno dello script sorgente: la funzione viene riordinata.
      Suggerimento: se, facendo il Drag&Drop, tenete premuto il tasto Shift, la funzione verrà copiata.
    • In un altro script: la funzione viene copiata nello script di destinazione.
      Se il nodo dello script è chiuso, la funzione viene inserita alla fine.
      Se il nodo è aperto, la funzione viene inserita al posto visualizzato.
      Suggerimento: Se, facendo il Drag&Drop, tenete premuto il tasto Shift, la funzione viene cancellata nello script sorgente.


Script predefiniti

Manuale -> Funzioni e script -> Script -> Script predefiniti

zenon mette a disposizione dell´utente una serie di script predefiniti. Predefinito è il comportamento di questi script nel Runtime. Le funzioni da eseguire devono essere progettate individualmente.

Script

Descrizione

AUTOSTART

Nello script si progettano le informazioni di avviamento (per esempio aprire intestazione e riga di stato, azzerare allarmi ecc.).

Lo script viene eseguito automaticamente all’avvio del Runtime dopo l’apertura dell’immagine di partenza, se il progetto è un progetto Runtime di partenza. Lo script non viene eseguito se il progetto non è definito come progetto di partenza, oppure se si tratta di un sottoprogetto in una rete multi gerarchica.

Attenzione: L’immagine di partenza non dev’essere riportata nello script AUTOSTART, visto che viene fissata tramite la proprietà di progetto Immagine di partenza.

Viene creato uno script proprio per l´apertura di un´immagine parziale appartenente ad un´immagine principale, come righe menù specifici ecc. In questo modo si garantisce che, selezionando l’immagine attraverso la funzione Cambio di immagine, la lista immagini o la funzione Immagine indietro, si aprano sempre anche tutte le immagini dettagli.

AUTOEND

Nello script vengono progettate le funzioni di termine definite.

Lo script viene eseguito automaticamente al momento della chiusura del Runtime se il progetto è quello di partenza del Runtime. Lo script non viene eseguito se il progetto non è definito come progetto di partenza, oppure se si tratta di un sottoprogetto in una rete multi gerarchica.

Attenzione:

  • L´evento VBA Project.Inactive viene eseguito prima degli script AUTOEND_xxx. Per questo motivo, non viene più eseguita negli script la funzione di zenon Esegui macro VBA, dato che VBA non funziona più in questo momento. le macro VBA che devono essere eseguite in AUTOEND, devono essere attivate mediante Project.Inactive.
  • Non si devono riportare archivi ciclici nello script AUTOEND.

AUTOSTART_CLIENT

Nello script si progettano le informazioni di avviamento (per esempio aprire intestazione e riga di stato, azzerare allarmi ecc.). Lo script viene eseguito automaticamente all’avvio del Runtime (client) prima dell’apertura dell’immagine di partenza, se il progetto è un progetto runtime di partenza.

AUTOEND_CLIENT

Nello script vengono progettate le funzioni di termine definite.

Lo script viene eseguito automaticamente sul Client al termine del Runtime (client) sul client se il progetto è un progetto Runtime di partenza.

AUTOSTART_SRVPRJ

Lo script viene eseguito automaticamente all'avvio del Runtime sul computer che svolge la funzione di server per il progetto e prima dell'apertura dell'immagine di partenza, indipendentemente se il progetto è stato definito come progetto di partenza oppure no, oppure se si tratta di un sottoprogetto in una rete multi gerarchica.

AUTOEND_SRVPRJ

Lo script viene eseguito automaticamente alla chiusura del Runtime sul computer che svolge la funzione di server per il progetto, indipendentemente se il progetto è stato definito come progetto di partenza oppure no, oppure se si tratta di un sottoprogetto in una rete multi gerarchica.

Per la modalità di simulazione, avete a disposizione i seguenti script che vengono eseguiti automaticamente:

Script | Descrizione
AUTOSTART_SIMUL | Se il Runtime viene avviato in modalità di simulazione, lo script dal nome AUTOSTART_SIMUL viene eseguito automaticamente, sempre che esso sia disponibile.
AUTOEND_SIMUL | Se il Runtime viene chiuso in modalità di simulazione, lo script dal nome AUTOEND_SIMUL viene eseguito automaticamente, sempre che esso sia disponibile.

Per il HTML Web Engine, avete a disposizione i seguenti script che vengono eseguiti automaticamente:

Script | Descrizione
AUTOSTART_HTML_WEBCLIENT | Questo script viene eseguito ogni volta che inizia una sessione di un HTML Web Client.


Esegui script nel Runtime

Manuale -> Funzioni e script -> Script -> Esegui script nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli script possono essere avviati durante il Runtime tramite funzioni. A questo scopo, zenon mette a disposizione due funzioni:

  • Esegui script: Esegue durante il Runtime uno script predefinito nell´Editor.
  • Script con selezione online: Consente di selezionare nel Runtime lo script da eseguire.

Per progettare una funzione che serve ad eseguire uno script:

  1. Selezionate nel nodo Funzioni del menù contestuale, la voce Nuova Funzione...
  2. Si apre la finestra di dialogo per la selezione funzioni
  3. Navigate per raggiungere il nodoScript
  4. Selezionate la funzione desiderata:
    1. Esegui script, per eseguire direttamente uno script selezionato in questa finestra di dialogo.
    2. Script con selezione online per consentire durante il Runtime la selezione dello script da eseguire.
  5. Confermate la configurazione cliccando su OK.

Finestra di dialogo Gestione script

Parametri | Descrizione
Liste Progetti (a sinistra) | Selezione del progetto dal quale deve essere selezionato lo script. Nota: Nell´effettuare la selezione di script da un progetto differente da quello attuale, assicuratevi che esso sia disponibile nel Runtime.
Lista script (a destra) | Selezione dello script. Si può collegare solo uno script. Gli script possono essere creati e modificati usando la barra degli strumenti e il menù contestuale. I nuovi script e le modifiche a quelli esistenti vengono salvati immediatamente. Le funzioni di uno script possono essere ordinate nuovamente via Drag & Drop.
Nessuna scelta | Cancella un collegamento esistente e chiude la finestra di dialogo.
Ok | Accetta le impostazioni e chiude il dialogo. Quando viene eseguita la funzione Esegui script nel Runtime, viene avviato lo script scelto. Quando viene eseguita la funzioneScript con selezione online nel Runtime, viene aperta questa finestra di dialogo.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Barra simboli e menù contestuale

Simbolo/Comando

Descrizione

Nuovo Script

Aggiunge un nuovo script alla lista.

Aggiungere funzioni

Apre la finestra di dialogo che serve ad aggiungere delle funzioni.

Copia

Copia lo script selezionato negli appunti

Incolla

Inserisce lo script proveniente dagli appunti.

Estendi/riduci

Consente di estendere o ridurre tutti i nodi o quelli selezionati nella lista. Scegli:

  • Espandi tutto
  • Riduci tutto
  • Espandi selezione
  • Riduci selezione

Modifica cella selezionata (solo barra degli strumenti)

Permette la modifica di un nome di uno script. Possibile anche con un clic del mouse nel campo, oppure mediante il tasto F2.

Sostituisci testo nella colonna selezionata.(solo barra degli strumenti).

Apre il dialogo che serve alla ricerca e alla sostituzione di testi nella colonna attualmente selezionata.

Script in rete

A rete attiva, tramite le proprietà nel gruppo Esecuzione: si può stabilire su quale calcolatore deve essere eseguito un determinato script.

info Informazioni su

Tenete presenti le priorità dell´esecuzione script in rete


Priorità in rete

Manuale -> Funzioni e script -> Script -> Priorità in rete

A rete attiva, tramite il nodo delle proprietà Esecuzione: si può stabilire dove deve essere eseguito un determinato script. :

  • PC attuale
  • Client
  • Server
  • Standby

Questo luogo di esecuzione vale anche per tutte le funzioni raccolte nello script. Le funzioni cui originariamente era stato assegnato un altro luogo di esecuzione, riprendono il nuovo luogo di esecuzione definito in questa sede.

Esempio 1: PC attuale

  • Funzione 1 è stata definita con luogo di esecuzione Server.
  • Funzione 2 è stata definita con luogo di esecuzione Client.
  • Per la funzione Esegui script è stato stabilito PC attuale.
  • Conseguenza: entrambi gli script vengono eseguiti esattamente sul calcolatore su cui viene eseguita la funzione Esegui script. Può essere un client, un server o uno standby.

Esempio 2: client versus server

  • Lo script contiene due funzioni con luogo di esecuzione Client.
  • Per la funzione Esegui script è stato stabilito Server.
  • Conseguenza: entrambi gli script vengono eseguiti sul server indipendentemente da qual è il calcolatore su cui viene avviata la funzione Esegui script.

Esempio 3: Comandi driver:

i comandi driver vengono eseguiti di default sul server e sullo standby. Se viene avviato uno script con comandi driver sul client:

  • la funzione comandi driver verrà avviata sul client
  • il driver verrà terminato sul server dopo l´esecuzione dello script


Finestra di dialogo Seleziona funzioni e script

Manuale -> Funzioni e script -> Finestra di dialogo Seleziona funzioni e script

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si possono configurare singoli script e funzioni per molte funzioni in dialoghi, proprietà ed elementi dinamici usando una finestra di dialogo ad hoc. Molte funzioni vengono configurate in finestre di dialogo proprie.
La finestra di dialogo per la selezione di funzioni e script viene aperta per:

  • Configurazione archivi/scheda per il Runtime: Esegui funzione per start archivio o fine archivio.
  • Combo box/list box: ogni elemento che dispone di funzioni proprie
  • Finestre di dialogo: tutte le proprietà con funzioni
  • Elementi dinamici: tutte le proprietà con funzioni e doppio clic su un elemento dinamico
  • Matrici di reazione: Funzione
  • Sostituisci collegamenti: Sostituisci dialogo funzione
  • WPF: Property-event

La finestra di dialogo offre la possibilità di selezionare funzioni e di configurare script:

  • Scelta funzioni: Selezione di una funzione esistente oppure creazione di una nuova funzione
  • Selezione script: Selezione di uno script esistente oppure creazione di un nuovo script, nonché assegnazione di una funzione Esegui script.

Noch in diesem Kapitel

Scelta funzioni

Selezione script


Scelta funzioni

Manuale -> Funzioni e script -> Finestra di dialogo Seleziona funzioni e script -> Scelta funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezione e configurazione di funzioni che devono essere collegate.

Per selezionare una funzione:

  1. Selezionate il progetto contenente la funzione.

    Nota: Quando si usa un progetto diverso da quello attuale, si deve far attenzione che esso sia effettivamente disponibile nel Runtime.

  2. Selezionate la funzione desiderata.
    Se necessario, si possono creare delle nuove funzioni o si possono copiare funzioni già esistenti usando la barra degli strumenti e il menù contestuale.
  3. Confermate la Vostra selezione cliccando su OK.

Finestra di dialogo Selezione funzioni

Parametri

Descrizione

Liste Progetti (a sinistra)

Selezione del progetto dal quale deve essere selezionata la funzione.

Nota: Nell´effettuare la selezione di funzioni da un progetto differente da quello attuale, assicuratevi che esso sia disponibile nel Runtime.

Lista funzioni (a destra)

Selezione della funzione. Si può collegare solo una funzione. Quando si seleziona più di una funzione, verrà collegata quella selezionata per ultima.

Le funzioni possono essere create e modificate usando la barra degli strumenti e il menù contestuale. Le nuove funzioni e le modifiche a quelle esistenti vengono salvati immediatamente.

Ok

Collega la funzione selezionata e chiude il dialogo.

Elimina

Chiude la finestra di dialogo senza collegare una funzione. :

Guida

Apre la guida.

Nessuna scelta

Cancella un collegamento esistente e chiude la finestra di dialogo.

Barra simboli e menù contestuale

Simbolo/Comando | Descrizione
Nuova funzione | Inserisce una nuova funzione nella lista.
Copia | Copia la funzione selezionata negli appunti.
Incolla | Aggiunge una funzione presa dagli appunti.


Selezione script

Manuale -> Funzioni e script -> Finestra di dialogo Seleziona funzioni e script -> Selezione script

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezione e configurazione degli script che devono essere collegati, nonché assegnazione della funzione Esegui script.

Per selezionare uno script:

  1. Selezionate il progetto contenente lo script.

    Nota: Quando si usa un progetto diverso da quello attuale, si deve far attenzione che esso sia effettivamente disponibile nel Runtime.

  2. Selezionate lo script desiderato.
  3. Modificatelo a piacimento.
    Usando i comandi del menù contestuale e della barra degli strumenti, potete creare nuovi script, aggiungere delle funzioni e copiare o rinominare gli stessi script.
  4. Confermate la Vostra selezione cliccando su OK.

Finestra di dialogo Selezione script

Parametri | Descrizione
Liste Progetti (a sinistra) | Selezione del progetto dal quale deve essere selezionato lo script. Nota: Nell´effettuare la selezione di script da un progetto differente da quello attuale, assicuratevi che esso sia disponibile nel Runtime.
Lista script (a destra) | Selezione dello script. Si può collegare solo uno script. Gli script possono essere creati e modificati usando la barra degli strumenti e il menù contestuale. I nuovi script e le modifiche a quelli esistenti vengono salvati immediatamente. Le funzioni di uno script possono essere ordinate nuovamente via Drag & Drop.
Funzione: Esegui script | Selezione della funzione che deve eseguire lo script selezionato, fra quelle del Combobox. Quest´ultimo contiene in un menù a tendina tutte le funzioni già definite che possono eseguire lo script selezionato. Si può inserire nel campo di inserimento il nome di una funzione per l´esecuzione dello script.
Ok | Riprende il nome già esistente selezionato per la funzione, oppure il nome nuovo che è stato inserito per la funzione Esegui script, collega lo script selezionato e chiude la finestra di dialogo.
Elimina | Chiude la finestra di dialogo senza collegare uno script.
Guida | Apre la guida.
Nessuna scelta | Cancella un collegamento esistente e chiude la finestra di dialogo.

Barra simboli e menù contestuale

Simbolo/Comando

Descrizione

Nuovo Script

Aggiunge un nuovo script alla lista.

Aggiungere funzioni

Apre la finestra di dialogo che serve ad aggiungere delle funzioni.

Copia

Copia lo script selezionato negli appunti

Incolla

Inserisce lo script proveniente dagli appunti.

Estendi/riduci

Consente di estendere o ridurre tutti i nodi o quelli selezionati nella lista. Scegli:

  • Espandi tutto
  • Riduci tutto
  • Espandi selezione
  • Riduci selezione

Modifica cella selezionata (solo barra degli strumenti)

Permette la modifica di un nome di uno script. Possibile anche con un clic del mouse nel campo, oppure mediante il tasto F2.

Sostituisci testo nella colonna selezionata.(solo barra degli strumenti).

Apre il dialogo che serve alla ricerca e alla sostituzione di testi nella colonna attualmente selezionata.


Gestione allarmi

Manuale -> Gestione allarmi

La gestione allarmi fornisce delle informazioni concernenti il verificarsi di errori quali, ad esempio, la violazione di un valore limite. Essa si compone di:

  1. Riga di stato degli allarmi:
    riga di informazione, che viene visualizzata durante il Runtime sempre in primo piano e contiene (a seconda delle impostazioni che sono state effettuate in fase di progettazione) l´allarme non ripristinato più recente o più vecchio.
  2. Lista allarmi (AML):
    gestisce gli allarmi di una lista durante il Runtime. La AML:
    • mostra gli allarmi e le loro cause in una lista, che può esser filtrata o no
    • consente la localizzazione della causa dell´allarme
    • consente il ripristino di allarmi
    • consente la cancellazione di allarmi
    • consente la stampa e il salvataggio di allarmi

Potetedefinire gli allarmi tramite:

  • impostazione di valori limite per variabili
  • con matrici di reazione
  • proprietà degli allarmi

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Noch in diesem Kapitel

Progettare allarmi

Gestione a Runtime


Progettare allarmi

Manuale -> Gestione allarmi -> Progettare allarmi

L´uso della gestione allarmi avviene durante il Runtime mediante immagini del tipo Lista allarmi e Lista allarmi Filtro, nonché tramite la barra stato allarmi. La Barra stato allarmi viene impostata automaticamente come modello.

Editor

Per poter gestire degli allarmi durante il Runtime, nell´Editor devono esserci i seguenti presupposti:

  • deve essere stata progettata una Immagine del tipo Lista allarmi
  • devono essere state definite le violazioni di valori limite di Variabili o Matrici di reazione

Potete inoltre:

  • progettare degli allarmi servendovi di Filtri
  • raggruppare allarmi
  • modificare secondo le Vostre esigenze i filtri disponibili nel Runtime con una Immagine del tipo Lista allarmi Filtro

Runtime

Per la Gestione nel Runtime si usano:

  • Cambio ad un´immagine AML
  • Cambio ad immagine AML Filtro
  • le zenon Funzioni allarmi
  • Usa immagine del tipo Lista di informazione allarmi Filtro
  • Barra stato allarmi

Noch in diesem Kapitel

Crea tipo d'immagine lista informazioni d´allarme

Crea tipo d'immagine lista informazioni d´allarme Filtro

Definire gli allarmi

Gestione allarmi

Raggruppamento di allarmi

Progettazione degli allarmi mediante filtri

Funzioni


Crea tipo d'immagine lista informazioni d´allarme

Manuale -> Gestione allarmi -> Progettare allarmi -> Crea tipo d'immagine lista informazioni d´allarme

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Crea tipo d'immagine lista informazioni d´allarme Filtro

L´immagine del tipo "Filtro per lista informazione allarmi" consente di visualizzare e di protocollare gli allarmi in attesa e gli allarmi usciti nel runtime. La visualizzazione può essere modificata tramite filtri. Le funzioni consentono l´export e la stampa degli allarmi visualizzati.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Lista di informazione allarmi.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Noch in diesem Kapitel

Elementi di controllo

Adattare l´aspetto della AML


Elementi di controllo

Manuale -> Gestione allarmi -> Progettare allarmi -> Crea tipo d'immagine lista informazioni d´allarme -> Elementi di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserisci modello

Parametro | Descrizione
Inserisci modello | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Nota: Per elementi di controllo del tipo collega testo oppure interruttore, la funzionalità corrispondente viene assegnata tramite la proprietà Operazione specifica per il tipo di immagine.

Elementi di controllo

Immagine

Elemento di controllo

Descrizione

Finestra

Risultato nel Runtime:

Lista di informazioni allarmi

Visualizzazione degli allarmi. L´aspetto è impostabile. Le colonne vengono definite al momento del cambio immagine usando il filtro impostazioni di colonna.

Si usa la proprietà Impostazione colonna AML che si trova nel gruppo Lista di informazione allarmi delle proprietà di progetto, per definire le impostazioni per l´export in CSV, XML e DBF. Esse servono anche come impostazione preliminare per la funzione di cambio immagine.

Filtro impostato

Visualizzazioni delle impostazioni di filtraggio attualmente in uso

Stato

Mostra se la lista allarmi è attiva oppure no (proprietà di progetto Lista di informazione allarmi attiva).

Totale

Mostra il numero di tutti gli allarmi.

Quantità allarmi ripristinati

Mostra la quantità degli allarmi non ripristinati.

Funzioni liste

Elemento di controllo | Descrizione
Funzioni lista | Pulsanti per la gestione delle liste.
Filtro | Apre il dialogo che serve alla selezione del filtro.
Stop/Avanti | Pulsante per riempimento della lista: Stop: non vengono più aggiunti automaticamente dei nuovi elementi. Avanti: vengono aggiunti automaticamente dei nuovi elementi. Attenzione: la didascalia del pulsante può essere modificata nell´Editor, ma non verrà ripresa nel Runtime. Le modifiche alla didascalia sul pulsante le progettate servendovi del Cambio lingua.
Stampa | Stampa la lista filtrata
Dialogo di stampa | Apre, prima di effettuare la stampa, il dialogo con le impostazioni relative.

Funzioni allarmi

Elemento di controllo

Descrizione

Funzioni d'allarme

Pulsanti per ripristinare e cancellare gli allarmi

Ripristina

Ripristina segnalazioni di allarme durante il Runtime

Ripristina pagine

Tutti gli allarmi visualizzati nella pagina attuale vengono ripristinati.

Ripristina tutti

Si ripristinano tutti gli allarmi corrispondenti al criterio di filtro attuale.

Attenzione nel caso di progetti multi-user: vengono ripristinati solamente gli allarmi per cui l´utente possiede l´autorizzazione. (Per i dettagli concernenti i progetti multi-user, vedi il capitolo Engineering distribuito)

Riconosci visualizzati

Riconoscimento visualizzazione degli allarmi selezionati.

Riconoscimento e riconoscimento visualizzazione

Riconoscimento e poi riconoscimento visualizzazione degli allarmi selezionati.

Elimina

Cancella allarmi dalla lista allarmi durante il Runtime. L´allarme deve essere già stato ripristinato.

Elimina pagina

Cancella tutti gli allarmi ripristinati che si trovano sulla stessa pagina.

Elimina tutti

Cancella tutti gli allarmi ripristinati che corrispondono al criterio di filtro attuale.

Funzione collegata (Visualizzazione)

Mostra la funzione assegnata alla segnalazione allarme.

Esegui funzione

Esegue durante il Runtime la funzione progettata con l´allarme.

Nota: in corrispondenza della funzione Esegui programma, può essere assegnato il nome della variabile dell´allarme selezionato come parametro per il programma da lanciare; a questo scopo ci si serve della parola chiave @alarm.name.

Richiama l’Help

Apre la guida progettata.

Visualizza

Stato e elementi della gestione allarmi.

Campo commento

Inserimento da parte dell´utente di un testo libero concernente l´allarme selezionato.

Lunghezza massima: 79 caratteri

Anche questo testo può essere visualizzato nella lista. Per far ciò, si attiva l´opzione commento nelle impostazioni di colonna dell´amministrazione allarmi.

Il campo di inserimento per il commento è un elemento del tipo collega testo. La proprietà Settaggio valori attivo è attivata automaticamente per questo elemento durante la configurazione. Inoltre la proprietà Setta valore impostabile tramite viene settata sul valore elemento.

Le modifiche apportate ai commenti possono essere documentate attivando la proprietà Commenti d'allarme.

Navigazione

Elemento di controllo | Descrizione
Navigazione | Gestisce gli elementi della lista.
Riga in su | Passa alla riga superiore.
Riga in giù | Passa alla riga inferiore.
Colonna a destra | Passa alla colonna immediatamente a destra.
Colonna a sinistra | Passa alla colonna immediatamente a sinistra.
Pagina in su | Passa alla pagina superiore.
Pagina in giù | Passa alla pagina inferiore.
Pagina a destra | Passa alla pagina immediatamente a destra.
Pagina a sinistra | Passa alla pagina immediatamente a sinistra.

Elementi compatibili

Elemento di controllo | Descrizione
Elementi compatibili | Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.
Imposta stati | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Quantità totale | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Quantità non filtrata | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Funzione collegata (Visualizzazione) | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Filtro impostato | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Campo commento | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Chiudi modello | Definisce il modello su cui si basa l´immagine. Raccomandazione: Per chiudere i modelli, usate la funzione Chiudi modello. Per far sì che, dopo la chiusura, venga visualizzata l´immagine aperta prima, si deve progettare l´immagine del tipo AML con un proprio modello.

Profilo filtro

Elemento di controllo | Descrizione
Profilo filtro | Pulsanti per impostazioni filtro nel Runtime.
Selezione profilo | Selezionare un profilo dalla lista.
Salva | Salva l´impostazione attuale come profilo.
Elimina | Cancella il profilo selezionato.
Importa | Importa profili filtro da un file di export
Esportazione | Esporta profili filtro in file

info Informazioni su

Nell´elemento di controllo Mostra filtro viene visualizzato quello usato attualmente.

Nel caso di un:

  • filtro di testo: viene visualizzata l´espressione [Txt]
  • filtro di tempo relativo viene visualizzata un´espressione secondo lo schema seguente:
    [T,Rel:%dd,%dh,%dm;%ds]
    Esempio: [T,Rel:1d,0h,0m,0s] corrisponde ad un giorno.


Adattare l´aspetto della AML

Manuale -> Gestione allarmi -> Progettare allarmi -> Crea tipo d'immagine lista informazioni d´allarme -> Adattare l´aspetto della AML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La rappresentazione tabellare della Lista allarmi può essere adattata ad esigenze individuali.

Barra di scorrimento, intestazione e griglia

Per definire la dimensione e l´aspetto della barra di scorrimento, della intestazione e di una griglia per la tabella:

  1. attivate nel gruppo Visualizzazione, per la proprietà Funzionalità grafiche avanzate:
  2. definite le proprietà desiderate nei gruppi Barra di scorrimento e Intestazione e griglia per l´elemento immagine Lista allarmi.

info Informazioni su

Se si seleziona la proprietà Stile di visualizzazione File grafico, tutti gli elementi per cui non è stato selezionato un file grafico, vengono rappresentati con un effetto di riempimento. Nel caso degli elementi di gestione per liste, si possono usare delle grafiche trasparenti.

Ordina durante il Runtime

Per definire durante il Runtime la colonna rilevante per l´ordinamento e stabilire la successione di ordinamento, dovete progettare elementi grafici per il titolo:

  1. selezionate per la proprietà Stile di visualizzazione il valore File grafico
  2. collegate le proprietà In ordine crescente e In ordine decrescente rispettivamente con un file grafico
  3. durante il Runtime viene visualizzata nella colonna rilevante per l´ordinamento la grafica selezionata.
  4. Cliccando sulla grafica si modifica la successione di ordinamento
  5. Cliccando sul titolo della colonna si attiva la colonna stessa per effettuare l´ordinamento

Gestire l´intestazione durante il Runtime

Potete consentire agli utenti di gestire l´intestazione durante il Runtime. In tal modo è possibile un adattamento individuale della visualizzazione nel runtime:

  • Modifica larghezza
  • Modifica ordine

Nell´ambito delle impostazioni di progetto passate al gruppo Lista di informazione allarmi e selezionate in corrispondenza della proprietà Header AML il valore Intestazione modificabile . In alternativa, potete far sì che l´intestazione sia non modificabile o invisibile.

Queste impostazioni valgono per tutte le intestazioni del progetto.

info Informazioni su

Potete impedire la gestione o la visibilità dell´intestazione per ogni singola immagine del tipo Lista allarmi: a questo scopo basta disattivare la proprietà Visualizza intestazione oppureIntestazione utilizzabile per la visualizzazione tabellare.

Anteprima

L´intestazione di colonna e la barra di scorrimento vengono visualizzate nell´Editor in forma di anteprima quando si attiva la proprietà Funzionalità grafiche avanzate. Ciò rende molto più semplice configurare dettagli, quali colori, effetti di riempimento, effetti di luce oppure griglie.

Attenzione: visto che la grandezza delle barre di scorrimento nell´anteprima corrisponde alla dimensione che esse assumono nel runtime, la dimensione complessiva della lista nell´editor può divergere da quella del runtime. Ciò vale anche per le dimensioni dell´intestazione e del carattere della stessa intestazione.


Crea tipo d'immagine lista informazioni d´allarme Filtro

Manuale -> Gestione allarmi -> Progettare allarmi -> Crea tipo d'immagine lista informazioni d´allarme Filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La Immagine del tipo Filtro Lista di informazione allarmi consente di effettuare nel runtime delle impostazioni di filtro per la Lista di informazione allarmi Vengono configurati e resi disponibili all´utente solamente i filtro che sono realmente necessari L´aspetto può essere definito liberamente e, in tal modo, lo si può adattare ai differenti macchinari destinatari. Potete configurare anche tutte le impostazioni di filtro che sono presenti nel Filtro per la funzione Cambio ad un´immagine del tipo Lista allarmi.

In tal modo:

  • vengono configurati e resi disponibili all´utente solamente gli elementi di filtro che sono realmente necessari
  • il sistema visualizza a beneficio dell´utente solamente questi filtri, facilitandogli così la vita e consentendogli una visione d´insieme più semplice e chiara
  • avete la possibilità, inoltre, di definire in modo completamente libero l´aspetto e di assicurare in tal modo una facile gestione mediante un touchscreen

Per i dettagli concernenti l´uso durante il Runtime, vedi il capitolo Lista allarmi Usa filtri.

Per la definizione dei criteri di filtro, vedi capitolo Filtri Filtro per lista informazione allarmi.

attention Attenzione

Le immagini del tipo Lista informazioni allarmi Filtro, Lista eventi cronologica Filtri e Filtri tempo devono essere progettati con un proprio modello. Se esse usano lo stesso modello di altre immagini, durante il Runtime tutte le immagini basate su questo modello saranno chiuse alla chiusura dell´immagine.

Creare immagine del tipo "Filtro per lista informazione allarmi".

L´immagine del tipo Filtro per lista informazione allarmi serve a [descrizione].

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Filtro per lista informazione allarmi.
    3. Selezionare nella proprietà Modello il modello desiderato.
      Nota: L´immagine Filtro AML non deve basarsi sullo stesso modello di altre immagini!
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Noch in diesem Kapitel

Elementi di controllo

Modelli

Nomi predefiniti

Immagini filtro


Elementi di controllo

Manuale -> Gestione allarmi -> Progettare allarmi -> Crea tipo d'immagine lista informazioni d´allarme Filtro -> Elementi di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine del tipo Lista allarmi Filtro può contenere i seguenti elementi di gestione e visualizzazione.

Elemento

Descrizione

Inserisci modello

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Ulteriori informazioni relative a questo tipo di immagine le trovate nel capitolo Modelli.

Filtri generali

Lista a cascata di diversi Filtri generali.

Aggiungi tutti gli elementi: Filtri generali

Aggiunge tutti gli elementi dell´area Filtri generali collocandoli in posti predefiniti. Gli elementi possono essere posizionati in modo individuale.

Aggiungi tutti gli elementi: Filtro generale (Touch)

Aggiunge tutti gli elementi dell´area Filtri generali collocandoli in posti predefiniti. Gli elementi possono essere posizionati in modo individuale. Gli elementi sono stati ottimizzati per la gestione touch.

Filtro variabili

Allarmi di quali variabili vengono visualizzati:
  • Nome variabile

Filtro sulla base del nome delle variabili.
  • Identificazione

Filtro sulla base dell´identificazione delle variabili.
  • Attenzione Case Sentitive

Si tiene presente la scrittura in lettere maiuscole o minuscole nell´effettuare il filtro delle variabili.

Tipo di allarme

Quali allarmi vengono visualizzati.
  • Solo allarmi non ripristinati

solo non ripristinati
  • Solo allarmi usciti

solo usciti
  • Solo allarmi pendenti

solo in attesa
  • Commento obbligatorio

Allarmi il cui ripristino comporta l´obbligo di scrittura di un commento
  • Tempo minimo per gli allarmi in attesa - giorni

Solo allarmi che sono in attesa perlomeno dal numero di giorni indicato.
  • Tempo minimo per gli allarmi in attesa - ore

Solo allarmi che sono in attesa perlomeno dal numero di ore indicato.
  • Tempo minimo per gli allarmi in attesa - minuti

Solo allarmi che sono in attesa perlomeno dal numero di minuti indicato.
  • Tempo minimo per gli allarmi in attesa - secondi

Solo allarmi che sono in attesa perlomeno dal numero di secondi indicato.
  • Tempo minimo per gli allarmi in attesa - millisecondi

Solo allarmi che sono in attesa perlomeno dal numero di millisecondi indicato.

Tipi di allarmi (Touch)

Elementi ottimizzati per la gestione touch per la visualizzazione del tipo di allarme, analogamente al punto di menù Tipo di allarme.

  • Solo allarmi non ripristinati
  • Solo allarmi usciti
  • Solo allarmi pendenti
  • Commento obbligatorio
  • Tempo min. allarmi in attesa - Pulsante: Giorni (in avanti)
  • Tempo minimo di allarmi in attesa - Touchbox: Giorni
  • Tempo min. allarmi in attesa - Pulsante: Giorni (indietro)
  • Tempo min. allarmi in attesa - Pulsante: Ore (in avanti)
  • Tempo minimo di allarmi in attesa - Touchbox: Ore
  • Tempo min. allarmi in attesa - Pulsante: Ore (indietro)
  • Tempo min. allarmi in attesa - Pulsante: Minuti (in avanti)
  • Tempo minimo di allarmi in attesa - Touchbox: Minuti
  • Tempo min. allarmi in attesa - Pulsante: Minuti (indietro)
  • Tempo min. allarmi in attesa - Pulsante: Secondi (in avanti)
  • Tempo minimo di allarmi in attesa - Touchbox: Secondi
  • Tempo min. allarmi in attesa - Pulsante: Secondi (indietro)
  • Tempo min. allarmi in attesa - Pulsante: Millisecondi (in avanti)
  • Tempo minimo di allarmi in attesa - Touchbox: Millisecondi
  • Tempo min. allarmi in attesa - Pulsante: Millisecondi (indietro)

Origine dati

Da dove provengono i dati:
  • Buffer circolare

Dal buffer circolare.
  • Dati storici

Da un archivio.
  • Descrizione: Numero massimo

Testo per campo di inserimento Numero massimo

  • Campo input: Numero massimo

Inserimento del numero massimo degli allarmi da visualizzare nel caso della visualizzazione di allarmi storici.

0: mostra tutti gli allarmi

Gruppi allarmi/eventi, classi allarmi/eventi /aree allarmi

Campo lista per Visualizzazione a gruppi:
  • Gruppi di allarmi/evento

Gruppi di allarmi/evento
  • Classi di allarme/evento

Classi di allarme/evento
  • Aree allarmi

Aree allarmi
Nota: Se è attiva l´opzione gerarchia allarmi via modello di impianto, la colonna "Area allarmi" è vuota.

Filtro tempo

Scelta di diversi Filtri tempo.

Inserisci tutti gli elementi

Apre la lista a cascata per la selezione di elementi predefiniti per determinati intervalli di tempo.

Intervallo tempo assoluto: visualizzazione classica

Elementi per il periodo assoluto nella visualizzazione classica.

Intervallo tempo assoluto: visualizzazione compatta

Elementi per il periodo assoluto nella visualizzazione compatta.

Periodo relativo

Elementi per il periodo relativo.

Da HH:MM:SS

Elementi per un periodo che inizia da un´ora definita.

Dal Giorno - HH:MM:SS

Elementi per un periodo che inizia con un giorno determinato e ad un´orario definito.

Dal Giorno, Mese - HH:MM:SS

Elementi per un periodo che inizia con un giorno determinato in un mese determinato e ad un´orario definito.

Intervallo tempo: 15/30/60 minuti

Elementi per un periodo di 15, 30 o 60 minuti.

Intervallo tempo: un giorno

Elementi per un periodo di un giorno.

Intervallo tempo: 1 o 2 settimane

Elementi per un periodo che dura una o due settimane.

Sia nella visualizzazione per una settimana, che per quella per due settimane, si può selezionare ogni settimana. Nel caso della visualizzazione per due settimane, viiene selezionato un intervallo di 14 giorni in dipendenza dalla settimana selezionata.

Intervallo tempo: un mese

Elementi per un periodo di un mese.

Intervallo tempo: un anno

Elementi per un periodo di un anno.

Inserisci tutti (Touch)

Apre la lista a cascata che serve alla selezione di elementi predefiniti per periodi determinati che sono stati ottimizzati per la gestione touch. Analogamente all´opzione Aggiungi tutti gli elementi, sono a disposizione:

  • Intervallo tempo assoluto: visualizzazione classica
  • Periodo relativo
  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS
  • Intervallo tempo: 15/30/60 minuti
  • Intervallo tempo: un giorno
  • Intervallo tempo: 1 o 2 settimane
  • Intervallo tempo: un mese
  • Intervallo tempo: un anno

Filtro tempo (didascalia)

Didascalia del tipo del filtro tempo.

Filtro tempo (Combobox)

Combobox Filtro tempo.

Filtro tempo (visualizzazione)

Campo per visualizzazione del tipo filtro tempo.

Filtro tempo (Radiogroup)

Pulsante di opzione che nascondono o mostrano determinati elementi nel Runtime:

  • Nessun filtro
  • Tempo filtro assoluto
  • Tempo filtro relativo
  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS
  • Intervallo tempo 15 minuti
  • Intervallo tempo 30 minuti
  • Intervallo tempo 60 minuti
  • Intervallo tempo 1 giorno
  • Intervallo tempo 1 settimana
  • Intervallo tempo 2 settimane
  • Intervallo tempo 1 mese
  • Intervallo tempo 1 anno

Tempo da

campi e didascalie per inserimenti di tempi "da".

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Dall'ora (didascalia)
  • Dall'ora (Combobox)
  • Dal minuto (didascalia)
  • Dal minuto (Combobox)
  • Dal secondo (didascalia)
  • Dal secondo (Combobox)
  • Da (controllo spin)

Tempo fino

Campi e didascalie per inserimenti di tempi "fino a".

  • Fino all'anno (didascalia)
  • Fino all´anno (Combobox)
  • Fino al mese (didascalia)
  • Fino al mese (Combobox)
  • Fino al giorno (didascalia)
  • Fino al giorno (Combobox)
  • Fino all´ora (didascalia)
  • Fino all´ora (Combobox)
  • Fino al minuto (didascalia)
  • Fino al minuto (Combobox)
  • Fino al secondo (didascalia)
  • Fino al secondo (Combobox)
  • Fino (controllo spin)

Tempo da (Touch)

Campi e didascalie per indicazioni "Da" - tempo, ottimizzati per la gestione touch.

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Dall'ora (didascalia)
  • Dall'ora (Combobox)
  • Dal minuto (didascalia)
  • Dal minuto (Combobox)
  • Dal secondo (didascalia)
  • Dal secondo (Combobox)
  • Da (controllo spin)

Tempo fino a (Touch)

Campi e didascalie per indicazioni "Fino" - tempo, ottimizzati per la gestione touch.

  • Fino all'anno (didascalia)
  • Fino all´anno (Combobox)
  • Fino al mese (didascalia)
  • Fino al mese (Combobox)
  • Fino al giorno (didascalia)
  • Fino al giorno (Combobox)
  • Fino all´ora (didascalia)
  • Fino all´ora (Combobox)
  • Fino al minuto (didascalia)
  • Fino al minuto (Combobox)
  • Fino al secondo (didascalia)
  • Fino al secondo (Combobox)
  • Fino (controllo spin)

Filtro assoluto

Campi e didascalie per inserimenti di filtri assoluti.

  • Da (didascalia)
  • Dalla data (visualizzazione calendario)
  • Dalla data (visualizzatore data)
  • Dal tempo (visualizzazione tempo)
  • Fino a (didascalia)
  • Fino alla data (visualizzazione calendario)
  • Fino alla data (visualizzatore data)
  • Fino a tempo (visualizzazione tempo)

Intervallo tempo

Campi e didascalie per inserimenti di intervalli di tempo.

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Settimana (didascalia)
  • Settimana (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Ora partenza (didascalia)
  • Ora partenza (Combobox)

Intervallo di tempo (Touch)

Campi e didascalie per indicazioni di intervalli di tempo ottimizzati per la gestione touch.

  • Dall'anno (didascalia)
  • Dall'anno (pulsante su)
  • Dall'anno (Touchbox)
  • Dall'anno (pulsante giù)
  • Dal mese (didascalia)
  • Dal mese (pulsante su)
  • Dal mese (Touchbox)
  • Dal mese (pulsante giù)
  • Settimana (didascalia)
  • Settimana (pulsante su)
  • Settimana (Touchbox)
  • Settimana (pulsante giù)
  • Dal giorno (didascalia)
  • Dal giorno (pulsante su)
  • Dal giorno (Touchbox)
  • Pulsante Dal giorno (indietro)
  • Ora partenza (didascalia)
  • Ora partenza (pulsante su)
  • Orario di inizio (Touchbox)
  • Ora partenza (pulsante indietro)

Lotti

Elementi per la selezione lotti nel Runtime.

Lista archivi

Lista degli archivi a disposizione.

Stato della lista archivi

Stato della lista archivi con numero per:

  • Disponibile
  • filtrato
  • visualizzato

Lista Lotti

Lista dei lotti a disposizione.

Stato della lista Lotti

Stato della lista lotti con numero per:

  • Disponibile
  • filtrato
  • visualizzato

Applica filtro tempo su lista lotti.

Applica il filtro tempo configurato alla selezione nella lista lotti.

Filtro nome lotto (Campo testo)

Inserimento di una successione di caratteri per filtrare i nomi lotto nella lista lotti.

Filtro nome lotto (Pulsante)

Pulsante per l´esecuzione del filtro sulla base di nomi lotto.

Filtro testo

Lista a cascata di diversi Filtri testo.

Aggiungi tutti gli elementi: Filtro testo

Aggiunge tutti gli elementi per filtri testo.

Nessun filtro testo

Pulsante di opzione per deseleziona filtri testo.

Trova (parole separate da uno spazio)

Pulsante di opzione per attivazione della ricerca

Descrizione: Testo di ricerca

Didascalia per campo ricerca.

Campo input: Testo di ricerca

Campo per inserimento dei criteri di ricerca.

Opzioni

Opzioni di ricerca
  • Attenzione Case Sensitive

Si deve tener conto della lettere maiuscole e minuscole.
  • Le parole non devono essere presenti nel testo nella loro interezza.

Il sistema cerca anche i frammenti.
  • Almeno una parola deve comparire nel testo

Almeno uno dei numerosi criteri di ricerca deve essere contenuto nel risultato.
  • Tutte le parole devono comparire nel testo

Tutti i criteri di ricerca devono essere contenuti nel risultato.
  • Il testo di filtro deve essere contenuto esattamente nel testo

Il testo indicato nel campo di inserimento deve essere contenuto esattamente nel risultato.

Apri lista bloccata

Apre la AML in stato di attesa. I nuovi allarmi non vengono aggiunti.

Chiudi finestra di dialogo

Ok | Pulsante Riprende le impostazioni di filtro e chiude l´immagine. Nota Faceplates: In faceplates possono essere usate delle immagini del tipoFiltro AML, Filtro CEL e Filtro tempo/lotti. Nella loro configurazione durante il Runtime, cliccando su OK si chiude il faceplate completo. Se si vuole che le impostazioni di filtro vengano salvate e il faceplate rimanga aperto, cliccate su Accetta.
Annulla | Pulsante interrompe la configurazione delle impostazioni di filtro.
Acquisisci | Pulsante Riprende le impostazioni di filtro.
Aggiorna | Pulsante Attualizza la visualizzazione filtrata.


Modelli

Manuale -> Gestione allarmi -> Progettare allarmi -> Crea tipo d'immagine lista informazioni d´allarme Filtro -> Modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Presentazione | Descrizione
Campo liste Modelli (a sinistra) | Mostra tutti i modelli, sia quelli predefiniti che quelli definiti dall´utente.
Anteprima e descrizione (a destra) | Mostra l´anteprima e la descrizione del modello selezionato.
Standard | Aggiunge degli elementi standard.
Scada | Modelli speciali, ottimizzati per gestione con il mouse.
Solo filtri variabili & filtri testo | Aggiunge elementi per filtrare sulla base di variabili e testo.
Senza gruppi allarmi. | Aggiunge elementi per filtrare sulla base di variabili, testo e tempo minimo in attesa senza gruppi allarme.
Standard | Aggiunge degli elementi standard.
Filtri variabili, testo & tempo | Aggiunge elementi per filtrare sulla base di variabili, testo e tempo.
Filtri variabili, testo & tempo (dal mese) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo relativo da mese.
Filtri variabili, testo & tempo (dall´ora) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo relativo da ora.
Filtri variabili, testo & tempo (dal giorno) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo relativo da giorno.
Filtri variabili, testo & tempo (assoluto - tabella) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo assoluto.
Filtri variabili, testo & intervallo tempo (assoluto - visualizzazione compatta) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo assoluto in visualizzazione compatta.
Filtri variabili, testo & intervallo tempo (assoluto) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo assoluto.

Chiudi finestra di dialogo

Parametri | Descrizione
Elimina elementi d'immagine esistenti | Attivo: degli elementi già esistenti nell´immagine vengono cancellati quando si riprende il modello.
Acquisisci | Inserisce gli elementi del modello selezionato nell´immagine e chiude il dialogo.
Annulla | Chiude il dialogo senza aggiungere elementi.
Guida | Attiva la guida online


Nomi predefiniti

Manuale -> Gestione allarmi -> Progettare allarmi -> Crea tipo d'immagine lista informazioni d´allarme Filtro -> Nomi predefiniti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per il filtro tempo sono disponibili nomi predefiniti.

Attenzione: Sotto Windows CE non sono disponibili i nomi predefiniti.

Per selezionare un nome:

  1. nella visualizzazione dettagli definite Filtro tempo, Filtro per Lista Eventi Cronologica oppure Filtro per lista informazione allarmi come tipo di immagine.
  2. cliccate per due volte nel campo nella colonna "Nome".
  3. selezionate il nome predefinito desiderato fra quelli della lista a cascata.
    • AML_Filter
    • TIMEFILTER_ABSOLUTE
    • TIMEFILTER_DAY
    • TIMEFILTER_HOUR
    • TIMEFILTER_MONTH
    • TIMEFILTER_PERIOD
    • TIMEFILTER_PERIOD_DAY
    • TIMEFILTER_PERIOD_MINUTE
    • TIMEFILTER_PERIOD_MONTH
    • TIMEFILTER_PERIOD_WEEK
    • TIMEFILTER_PERIOD_YEAR
    • TIMEFILTER_RELATIVE


Immagini filtro

Manuale -> Gestione allarmi -> Progettare allarmi -> Crea tipo d'immagine lista informazioni d´allarme Filtro -> Immagini filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Immagini filtro

Le immagini di filtro consentono di trasmettere un filtro predefinito da un'immagine ad un'altra. Il filtro dell´immagine sorgente viene settato sull´immagine di destinazione. Le immagini possono essere anche di diversi tipi.

attention Attenzione

Per riprendere il tempo dall´immagine da aprire nel Runtime, il seguente intervallo di tempo deve essere selezionato nell´Editor per la funzione di cambio immagine per la Lista di informazione allarmi o la Lista Eventi Cronologica alla voce Filtro tempo: Imposta filtro come filtro temporale.

Definizione di apertura

Bisogna soddisfare le seguenti condizioni per fare sì che i filtri impostati siano anche utilizzabili:

  1. Come arco di tempo del filtro tempo, si sceglie Imposta filtro come filtro temporale.
  2. L´immagine (immagine del tipo Filtro Lista di informazione allarmi, Filtro Lista eventi cronologica oppure Filtro tempo/lotto) viene attivata con l´aiuto di un pulsante oppure di un elemento combinato. Solo così si può garantire la relazione fra immagine filtro e immagine sorgente.
  3. L´immagine sorgente e quella filtro devono essere progettate su diversi modelli o monitor. Solo se l´immagine sorgente è aperta, può essere aggiornato il filtro per l´immagine filtro. Ciò è possibile solamente se le due immagini non utilizzano lo stesso modello o lo stesso monitor.
  4. L´immagine che apre deve essere compatibile con l´immagine filtro che si vuole aprire (vedi tabella).
Immagine sorgente | Filtro AML | Filtro CEL | Filtro tempo
Post-elaborazione archivio | T | T | T
Trend esteso | T | T | T
Filtro tempo | T | T | X
Filtro lista informazione allarmi | X | C | T
Filtro CEL | C | X | T
Lista di informazione allarmi | X | C | T
Lista eventi cronologica (CEL) | C | X | T

Legenda:

  • C: le impostazioni comuni vengono attualizzate.
  • T: impostazioni temporali vengono aggiornate.
  • X: tutte le impostazioni vengono attualizzate.

info Informazioni su

nessun filtro

L´immagine filtro non viene sottoposta a filtro, ma aperta con i valori progettati, se:

  • una delle condizioni da 1 o a 3 è soddisfatta, oppure
  • l´impostazione Richiama immagine della funzione Cambio immagine non è attiva oppure
  • l´immagine non viene aperta tramite un elemento ad immagine

In questo caso, i pulsanti accetta, chiudui e aggiorna sono visualizzati in color grigio e non sono utilizzabili.


Definire gli allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Definire gli allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete definire gli allarmi tramite:

  • valori limite e stati in caso di variabili
  • matrici di reazione

Definizione allarmi tramite variabili

Definite dei valori limite per variabili (vedi guiida sulle Variabili, capitolo Valori limite). Se questi valori vengono violati durante il Runtime, viene generato un allarme che verrà visualizzato nella Barra stato allarmi. Potete procedere alla configurazione delle ulteriori poprietà della progettazione allarmi in:

  • proprietà delle variabili del gruppo Valori limiti e nei sottogruppi in esso contenuti per ogni valore limite:
    • Come allarme: l´allarme viene ripreso nella AML. Quando e in quale forma l´allarme verrà visualizzato in quella sede, lo stabilite durante il funzionamento Runtime tramite la Lista allarmi oppure un Filtro lista informazione allarmi.
    • Con ripristino: l´allarme deve essere ripristinato prima di essere rimosso dal Buffer circolare.
    • Riconoscimento a due stadi: l´allarme deve essere cancellato manualmente prima di essere rimosso dal Buffer circolare.
    • Stampa: stampa l´allarme su una stampante definita in anticipo. Viene stampata o la CEL o la AML. Quale delle due liste deve essere stampata, lo fissate nelle proprietà di progetto, alla voce Stampa per.
    • Gruppo allarmi/eventi: assegnazione di un Gruppo allarmi/eventi.
    • Classe allarmi/eventi: assegnazione di una Classe allarmi/eventi.
  • Proprietà delle variabili del gruppoGestione allarmi:
    • Alarmbereiche: assegnazione di una Area allarmi.
    • Variabile di riconoscimento: nel caso di ripristino dell´allarme, deposita il valore 0 o 1 sulla variabile definita in questa sede.
    • Ripristina valore: valore che viene depositato dalla variabile definita in Variabile di riconoscimento.
    • Salva nel database IPA: allarme è a disposizione per essere analizzato nel Industrial Performance Analyzer.
  • Proprietà di progetto del gruppoAML e CEL:
    • Seleziona con cornice: durante il funzionamento Runtime, le righe selezionate vengono messe in evidenza per mezzo di una cornice.
    • Stesso commento: i commenti inseriti durante il Runtime su un determinato allarme, vengono ripresi nella CEL.
    • Stampa attiva: attiva la stampa online.
    • Stampa per: stabilisce se l´AML o la CEL deve venire stampata online.
  • Proprietà di progetto del gruppoLista di informazione allarmi

    Qui avete a disposizione numerose proprietà da utilizzare per la configurazione di allarmi. Soprattutto:

    • Attivazione AML
    • Cartella salvataggio AML
    • Segnalazione degli stati allarmi
    • Attivazione delle barre stato allarmi

    I dettagli relativi alle singole impostazioni li trovate nella Embedded Help, direttamente nella parte riservata alle proprietà.

Definizione allarmi tramite matrici di reazione

Per mezzo delle matrici di reazione analizzate determinati stati di valori limite e bit di stato (vedi la parte della guida dedicata alle Variabili, sezione Matrici di reazione). La violazione delle regole stabilite porta all´attivazione di un allarme. Come nel caso delle variabili, anche in quello delle matrici di reazione potete definire le modalitá di comportamento in relazione agli allarmi. A tal scopo attivate le proprietà corrispondenti nel dialogo di configurazione delle matrici di reazione.


Gestione allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Gestione allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Non appena compaiono, gli allarmi vengono salvati in un buffer circolare (alarm.bin) e un file allarmi (*.aml) nella cartella runtime. Il buffer circolare è una memoria volatile da cui vengono rimossi allarmi sulla base di regole definite. La AML, invece, salva allarmi e informazioni importanti in modo permanente.

Buffer circolare

Il buffer circolare contiene gli allarmi in attesa. La gestione concerne:

  • tempo entra in millisecondi come firma univoca
  • ulteriori informazioni come causa, valori ecc.
  • Esce
  • Riconosciuto

Procedura di cancellazione dal buffer circolare:

  • Non appena l´allarme esce, viene cancellato dal buffer circolare.
  • Se è stata attivata la proprietà Con ripristino, l´allarme dovrà essere ripristinato da un utente autorizzato a farlo; solo dopo questo allarme sarà rimosso dal buffer circolare. Quando si ripristino degli allarmi, nel buffer circolare vengono sempre cancellati contemporaneamente tutti gli allarmi con la stessa violazione del valore limite.
  • Se la proprietà Riconoscimento a due stadi è attiva, la cancellazione dal buffer circolare deve essere espressamente confermata da un utente autorizzato a farlo.
    Esempio: l´allarme è uscito ed è stato ripristinato dall´operatore. Rimane tuttavia nel buffer circolare finché la sua cancellazione non è stata confermata.

Nota: nella AML gli inserimenti non vengono cancellati mai; ne viene documentato solamente lo stato.

Dimensione buffer circolare

Il buffer circolare deve avere delle dimensioni sufficienti, che fisserete nelle proprietà di progetto facendo uso della proprietà Dimensione buffer circolare.
Vi consigliamo: almeno il numero delle variabili con allarmi.

Il buffer circolare viene salvato automaticamente alla chiusura del Runtime come alarm.bin. Se il Runtime viene chiuso da eventi inaspettati come, ad esempio, una caduta di tensione, si verificherà una perdita di dati. Per evitare che ciò si verifichi, il buffer circolare può essere salvato manualmente facendo uso della proprietà Salva buffer circolare in modo spontaneo per ogni nuovo inserimento, oppure facendo uso della funzione Salva buffer circolare di AML e CEL.

Attenzione: A Runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Grazie al numero definito, possono essere visualizzati anche degli allarmi che non possiedono un time stamp di uscita. Questo significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare.

Example Esempio
  • Dimensioni del buffer circolare: 100 inserimenti
  • allarmi in attesa a Runtime senza time stamp di uscita 120
  • Visualizzazione a Runtime nella AML: 120

File allarmi

Tutti gli allarmi vengono scritti contemporaneamente nel buffer circolare e in un file allarmi proprio (*.aml). Questo file viene generato automaticamente per ogni giorno e viene gestito mediante la proprietà Salvataggio dati allarmi. Il nome del file allarmi consta della lettera A seguita dalla data espressa nella forma JJMMTT e la desinenza .aml, per es. A100623.aml. Questi file vengono generati ogni giorno automaticamente e, in mancanza di spazio di memoria, devono essere esportati o cancellati dall´utente. file *.aml vengono salvati nella cartella ...\Cartella di progetto\Nome Computer\Nome del progetto.

Sincronizzazione di buffer circolare e file allarmi.

Il buffer circolare e il file allarmi vengono sincronizzati. Questa sincronizzazione avviene sempre dal buffer circolare al file allarmi. Tutte le modifiche, come il ripristino, vengono effettuate solamente nel buffer circolare e poi sincronizzate con il file allarmi. Potete fare in modo che, ad esempio, tutti gli allarmi non ripristinati vengano visualizzati nel file allarmi e che qui si predisponga il loro ripristino, ma l´azione vera e propria si verifica solamente nel buffer circolare.

Tempi di salvataggio

Il file allarme *.aml viene salvato in corrispondenza di ogni nuovo inserimento.

Il Buffer circolare (*.bin) viene salvato:

  • quando viene chiuso il Runtime
  • nel caso in cui sia attiva la proprietà Salva buffer circolare in modo spontaneo, con ogni nuovo inserimento
  • quando si esegue la funzione Salva buffer AML-CEL

Nota: se l´opzione Salva buffer circolare in modo spontaneo è disattivata, gli inserimenti nella AML e nel buffer circolare potrebbero non corrispondere se dovesse esserci un´interruzione dell´alimentazione elettrica.

attention Attenzione

Se il buffer circolare trabocca a causa della sua dimensione troppo modesta, gli inserimenti non ripristinati sono conservati nel file allarmi. Questi inserimenti vengono visualizzati al momento di effettuare l´operazione di filtro, ma non possono essere più ripristinati. Il tentativo di effettuare il ripristino può provocare il ripristino di allarmi nel buffer circolare, se questi allarmi riguardano le stesse variabili e la stessa violazione di valore limite.


Raggruppamento di allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Raggruppamento di allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli allarmi possono essere raggruppati e si può stabilire un ordine di priorità; a tal scopo si usa:

  • Gruppi di allarmi/evento: riassumono in modo logico gli allarmi (oppure gli eventi).
  • Classi di allarme/eventi: servono a stabilire un ordine di priorità di allarmi (o eventi) e vengono usati per l´identificazione di allarmi nella AML e di eventi nella CEL tramite l´assegnazione di un colore.
  • Le aree allarmi: consentono di riassumere gli allarmi con focus su un certo punto di un impianto.

Ad ogni gruppo o classe possono essere assegnati un nome, un numero, un colore, una funzione e una variabile di stato, una grafica e un gruppo impianti.

Gli allarmi possono essere esportati e importati in formato XML tramite il menù contestuale.

info Informazioni su

Possono essere creati al massimo 65536 classi di allarmi/eventi e 65536 gruppi di allarmi/eventi.

Menù contestuale Allarme- Manager di progetto

Punto di menù | Azione
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa degli inserimenti da file XML.
Guida | Attiva la guida online
info Informazioni su
Vi preghiamo di usare nel progetto globale, in quello di integrazione e nei sottoprogetti degli ID univoci e diversi per gruppi e classi allarmi/eventi, nonché aree allarmi. In tal modo evitate che si verifichino delle sovrapposizioni. Queste ultime potrebbero causare una visualizzazione errata.

Noch in diesem Kapitel

Gruppi di allarmi/evento

Classi di allarme/evento

Aree allarmi

Allarmi nel progetto globale e in quello di integrazione


Gruppi di allarmi/evento

Manuale -> Gestione allarmi -> Progettare allarmi -> Raggruppamento di allarmi -> Gruppi di allarmi/evento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I gruppi allami/eventi riassumono logicamente delle segnalazioni fra loro correlate.

Crea gruppi allarmi/eventi

Per creare un nuovo gruppo allarmi/eventi:

  1. passate al Manager di progetto e poi cliccate con il tasto destro del mouse sul sotto-nodo Gruppi-allarmi/eventi
  2. selezionate il comando: Nuovo gruppo allarme/eventi

    (avete anche la possibilità di scegliere il simbolo corrispondente che si trova sulla Barra dei simboli, oppure potete premere il tasto INS)

Potete assegnare ad ogni gruppo delle ulteriori informazioni utilizzando la sua proprietà:

Parametro

Descrizione

Nome

Nome del gruppo-allarmi/eventi

Viene visualizzato nella AML e nella CEL.

Nr

Identifica il gruppo allarme/evento. Il numero viene assegnato automaticamente e può essere modificato.

Minimo: 1

Massimo: 2147483647

Nota: All´interno di un progetto, per il gruppo allarme/evento si può assegnare ogni numero solamente una volta. In diversi progetti/aree possono essere assegnati numeri identici.

Allineamento al momento della creazione dei file Runtime, il sistema verifica l´esistenza di possibili conflitti. Nel caso che ne vengano individuati alcuni, essi verranno visualizzati nella finestra di emissione. Il sistema non impedisce però la creazione di ID che sono in conflitto fra di loro. Modalità del controllo:

  • Quando il sistema procede al controllo dei singoli progetti, ognuno di essi viene confrontato con il progetto globale.
  • Nella gestione multi-progetto, il progetto viene confrontato prima con il progetto superiore, poi con tutti gli atri di questa amministrazione multi-progetto Successivamente viene effettuato il confronto con il progetto globale.
  • Altri progetti che sono indipendenti non verranno interessati da questo processo di allineamento.

Colore

Colore del gruppo-allarmi/eventi.

Un clic sul comando ... apre la tavolozza che utilizzerete per scegliere il colore desiderato.

Descrizione

Descrizione del gruppo-allarmi/eventi

Variabile di stato

Variabile bit con cui il Runtime di zenon mostra se in quel momento il gruppo è attivato, oppure se gli allarmi di questo gruppo sono ignorati.

Attivazione/disattivazione avviene tramite la funzione Collegamento gruppi allarmi/eventi attivo/disattivato. Lo stato del gruppo viene protocollato nella Lista eventi cronologica (CEL).

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Funzione

Funzione che viene eseguita se un allarme di questo gruppo si attiva. Cliccando su '...', si apre il dialogo per la scelta delle funzioni.

File grafico

Selezione di una grafica che rappresenta il gruppo allarmi/eventi nella AML.

Al fine di visualizzare la grafica nella AML, selezionate nel filtro della AML e, più in particolare nella scheda Impostazioni colonna, per la colonna Simbolo gruppo allarmi/eventi la modalità di visualizzazione File grafico.

Nota: nella AML, l´altezza della colonna dipende dal carattere selezionato. Se necessario, la grafica selezionata viene scalata e adattata all´altezza della colonna.

Gruppi d'impianto

Collega modello di impianti con il gruppo-allarmi/eventi.

Definite l´appartenenza ad un gruppo di impianti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Cancella gruppi allarmi/eventi

Per cancellare un gruppo allarmi/eventi:

  1. selezionate il gruppo allarmi/eventi
  2. selezionate nel menu contestuale oppure nella barra dei simboli Cancella
  3. cliccate su ok quando il sistema Vi richiede di confermare a fine di sicurezza

Nota: se si cancella un gruppo, tutte le variabili collegate perdono la loro appartenenza al gruppo stesso.

Noch in diesem Kapitel

Menù contestuali e barra dei simboli Gruppi_Allarmi_Eventi


Menù contestuali e barra dei simboli Gruppi_Allarmi_Eventi

Manuale -> Gestione allarmi -> Progettare allarmi -> Raggruppamento di allarmi -> Gruppi di allarmi/evento -> Menù contestuali e barra dei simboli Gruppi_Allarmi_Eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale - manager di progetto

Punto di menù | Azione
Nuovo gruppo allarme/eventi | Create un nuovo gruppo allarmi/eventi.
Profilo editor | Apre il menù a tendina che serve alla selezione di un Profilo Editor predefinito.
Guida | Apre la guida online.

Menù contestuale e Barra simboli Visualizzazione dettagliata

Punto di menù | Azione
Nuovo gruppo allarme/eventi | Aggiunge un nuovo gruppo allarmi/eventi alla lista.
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Classi di allarme/evento

Manuale -> Gestione allarmi -> Progettare allarmi -> Raggruppamento di allarmi -> Classi di allarme/evento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le classi allarmi/eventi servono:

  • a stabilire la priorità degli allarmi per l´allarme ad immagine
  • a definire il colore degli allarmi nell´ambito della lista allarmi
  • come criterio di filtro nella Lista di informazione allarmi e nella Lista eventi cronologici
  • all´attivazione di, per es., di un allarme acustico

Crea classi allarmi/eventi

Per creare una nuova classe allarmi/eventi:

  1. passate al Manager di progetto e poi cliccate con il tasto destro del mouse sul sotto-nodo Classi-allarmi/eventi
  2. selezionate il comando: Nuova classe allarmi/eventi

    (avete anche la possibilità di scegliere il simbolo corrispondente che si trova sulla Barra dei simboli, oppure potete premere il tasto INS)

Potete assegnare ad ogni classe delle ulteriori informazioni utilizzando la sua proprietà:

Parametro

Descrizione

Nome

Nome della classe-allarmi/eventi

Viene visualizzato nella AML e nella CEL.

Nr

Identifica la classe allarme/evento. Il numero viene assegnato automaticamente e può essere modificato.

Minimo: 1

Massimo: 2147483647

Nota: All´interno di un progetto, per la classe allarme/evento si può assegnare ogni numero solamente una volta. In diversi progetti/aree possono essere assegnati numeri identici.

Allineamento al momento della creazione dei file Runtime, il sistema verifica l´esistenza di possibili conflitti. Nel caso che ne vengano individuati alcuni, essi verranno visualizzati nella finestra di emissione. Il sistema non impedisce però la creazione di ID che sono in conflitto fra di loro. Modalità del controllo:

  • Quando il sistema procede al controllo dei singoli progetti, ognuno di essi viene confrontato con il progetto globale.
  • Nella gestione multi-progetto, il progetto viene confrontato prima con il progetto superiore, poi con tutti gli atri di questa amministrazione multi-progetto Successivamente viene effettuato il confronto con il progetto globale.
  • Altri progetti che sono indipendenti non verranno interessati da questo processo di allineamento.

Colore

Colore della classe allarmi/eventi; può essere usato nella AML come forma di identificazione. Un clic sul comando ... apre la tavolozza.

Nota: il colore vale sia per il testo lungo e quello di stato riportato nella lista allarmi, sia per l'allarme ad immagine.

Descrizione

Descrizione della classe-allarmi/eventi

Variabile di stato

Variabile bit con cui il Runtime di zenon mostra se in quel momento la classe è attivata, oppure se gli allarmi di questa classe vengono ignorati.

Attivazione/disattivazione avviene tramite la funzione Collegamento gruppi allarmi/eventi attivo/disattivato. Lo stato del gruppo viene protocollato nella Lista eventi cronologica (CEL).

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Funzione

Funzione che viene eseguita se un allarme di questa classe si attiva.

Cliccando su '...', si apre il dialogo per la scelta delle funzioni.

Nota: Non disponibile per contenuto di progettazione nel progetto globale.

File grafico

Selezione di una grafica che rappresenta la classe allarmi/eventi nella AML.

Al fine di visualizzare la grafica nella AML, selezionate nel filtro della AML e, più in particolare nella scheda Impostazioni colonna, per la colonna Simbolo classe allarmi/eventi la modalità di visualizzazione File grafico.

Nota: nella AML, l´altezza della colonna si orienta al carattere selezionato; per questa ragione, anche la grafica selezionata viene scalata e adattata all´altezza della colonna.

Gruppi d'impianto

Collega modello di impianti con la classe-allarmi/eventi.

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Cancella classi allarmi/eventi

Per cancellare una classe allarmi/eventi:

  1. selezionate la classe allarmi/eventi
  2. selezionate nel menu contestuale oppure nella barra dei simboli Cancella
  3. cliccate su ok quando il sistema Vi richiede di confermare a fine di sicurezza

Nota: se si cancella una classe, tutte le variabili collegate perdono la loro appartenza alla classe stessa.

Noch in diesem Kapitel

Menu contestuali e barra dei simboli Classi_Allarmi/Eventi


Menu contestuali e barra dei simboli Classi_Allarmi/Eventi

Manuale -> Gestione allarmi -> Progettare allarmi -> Raggruppamento di allarmi -> Classi di allarme/evento -> Menu contestuali e barra dei simboli Classi_Allarmi/Eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale - manager di progetto

Punto di menù | Azione
Nuova classe allarmi/eventi | Create una nuova classe allarmi/eventi.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Apre la guida online.

Menù contestuale e Barra simboli Visualizzazione dettagliata

Punto di menù | Azione
Nuova classe allarmi/eventi | Aggiunge una nuova classe allarmi/eventi alla lista.
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Aree allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Raggruppamento di allarmi -> Aree allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le aree allarmi consentono di riassumere gli allarmi con focus su un certo punto di un impianto. Le aree allarmi possono essere collegate alle classi di allarmi. Si può ottenere una flessibilità ancora maggiore per mezzo del collegamento con variabili di stato. I singoli bit di una variabile di stato possono essere analizzati, ad esempio, mediante un Elemento combinato.

Crea aree allarmi

Per creare una nuova area allarmi:

  1. passate al Manager di progetto e poi cliccate con il tasto destro del mouse sul sotto-nodo Aree allarmi
  2. selezionate il comando: Nuova area allarmi

    (avete anche la possibilità di scegliere il simbolo corrispondente che si trova sulla Barra dei simboli, oppure potete premere il tasto INS)

  3. Per analizzare un´area allarme, collegare nel nodo Generale le variabili corrispondenti cliccando sul pulsante ...
  4. Alternativa: creare nel nodo Collegamento classi un nuovo inserimento area cliccando su {Nuova classe}

    (Il numero dei possibili inserimenti di area è limitato da quello delle classi di allarmi/eventi esistenti).

Proprietà di aree allarmi

Parametri

Descrizione

Generale

Nome

Nome dell´area allarme.

Viene visualizzato nella AML e nella CEL.

Nota: vuoto, se la proprietà Utilizza gestione allermi gerarchizi della progettazione impianto è attivata.

Variabile di stato

Variabile bit:

Primo bit: mostra se l´area contiene degli allarmi attivi.
Secondo bit: mostra se quest´area contiene degli allarmi non ripristinati. Per i dettagli, vedi"Bits Variabile di stato".

Interruttore '...' apre il dialogo per la scelta delle variabili.

Quantità allarmi attivi

Variabile il cui valore mostra il numero degli allarmi attivi in quest´area allarmi.
Pulsante ... apre il dialogo per la selezione delle variabili.

Quantità allarmi non ripristinati

Variabile che contiene sotto forma di valore il numero degli allarmi non ripristinati in questa specifica area allarmi.

Nr

Identifica l´area allarmi Il numero viene assegnato automaticamente e può essere modificato.

Minimo: 1

Massimo: 2147483647

Nota: All´interno di un progetto, per l´area allarmi si può assegnare ogni numero solamente una volta. In diversi progetti/aree possono essere assegnati numeri identici.

Allineamento al momento della creazione dei file Runtime, il sistema verifica l´esistenza di possibili conflitti. Nel caso che ne vengano individuati alcuni, essi verranno visualizzati nella finestra di emissione. Il sistema non impedisce però la creazione di ID che sono in conflitto fra di loro. Modalità del controllo:

  • Quando il sistema procede al controllo dei singoli progetti, ognuno di essi viene confrontato con il progetto globale.
  • Nella gestione multi-progetto, il progetto viene confrontato prima con il progetto superiore, poi con tutti gli atri di questa amministrazione multi-progetto Successivamente viene effettuato il confronto con il progetto globale.
  • Altri progetti che sono indipendenti non verranno interessati da questo processo di allineamento.

Nota: vuoto solo se la proprietà Utilizza gestione allermi gerarchizi della progettazione impianto è attivata.

Gruppi d'impianto

Collega modello impianti con l´area allarmi.

Definite l´appartenenza ad un gruppo di impianti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Collegamento classi

Riunisce inserimenti allarmi. Un Collegamento classi riassume variabile di stato e numero degli allarmi attivi e non ripristinati relativi ad una classe allarmi/eventi. Gli inserimenti di area vengono creati mediante la proprietà {Nuova classe}.

{Nuova classe}

Creazione di un nuovo inserimento di area.

Classe allarmi/eventi

Classe per l´inserimento area

{Elimina classe}

Cancella l´inserimento area senza domanda di verifica.

Classe allarmi/eventi

Selezione della classe allarmi/eventi per inserimento area fra quelle proposte nella lista a cascata. La classe allarmi/eventi deve essere già stata creata.

Ulteriori inserimenti, in modo analogo a quanto detto per le impostazioni generali, per ogni inserimento area con:

  • Variabile di stato
  • Quantità allarmi attivi
  • Quantità allarmi non ripristinati

Bits Variabile di stato

Bit | Significato
0 | 1 = allarmi in attesa 0 = nessun allarme in attesa
1 | 1 = presenti allarmi non ripristinati 0 = nessun allarme non ripristinato

Nota: tutti i valori impostabili per le variabili di stato e le variabili contatore collegate con aree allarmi vengono cumulate e inviate al driver in blocco ogni 500 ms. Per ogni variabile di stato si utilizza sempre solo l´ultimo valore. I valori transitori registrati nel frattempo vengono ignorati. In questo modo si riduce in modo considerevole il traffico di rete.

Assegnare aree allarmi a variabili, strutture o tipi di dato.

Ci sono due modi di configurare l´assegnazione di variabili, strutture e tipi di dato semplici alle aree allarmi:

  • In modo gerarchico, con la definizione di impianto.
  • In modo statico, mediante il collegamento di al massimo quattro aree allarmi.

La configurazione dell´assegnazione avviene sempre presso l´elemento in questione (variabile o tipo di dato).

Collegamento statico

Le seguenti proprietà del gruppo Gestione allarmi sono a disposizione per eseguire il collegamento statico di aree allarmi:

  • Area allarme 1
  • Area allarme 2
  • Area allarme 3
  • Area allarme 4

Per ogni area allarmi, può essere selezionato dal menù a tendina della rispettiva area l´area allarmi desiderata e questa può essere assegnata all´oggetto.

A Runtime, le colonne Area allarmi e N° area allarmi della Lista di informazione allarmi conterranno tutte le aree allarmi collegate in modo statico, che saranno visualizzate separate da una virgola (,).

Nel modulo Message Control, il campo Area allarmi contiene tutte le aree allarmi collegate, che vengono visualizzate separate da una virgola (,).

Collegamento con il modello di impianto

Se è stata attivata la proprietà Utilizza gestione allermi gerarchizi della progettazione impianto nell´Editor di zenon, il modello di impianto acquisisce le configurazioni effettuate per le aree allarmi. In questo caso, invece di configurare singole aree di allarmi (da 1 a 4 per ogni variabile), si usa lo strumento della configurazione di un modello di impianto.

Ulteriori informazioni su questo tema si trovano anche nel capitolo Allarmi gerarchici del gruppo allarmi nella parte della guida dedicata alla Definizione d´impianto.

Noch in diesem Kapitel

Menu contestuali e barra dei simboli Aree allarmi

Configurare aree allarmi


Menu contestuali e barra dei simboli Aree allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Raggruppamento di allarmi -> Aree allarmi -> Menu contestuali e barra dei simboli Aree allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale - manager di progetto

Punto di menù | Azione
Nuova area allarmi | Crea una nuova area allarmi.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Apre la guida online.

Menù contestuale e Barra simboli Visualizzazione dettagliata

Punto di menù | Azione
Nuova area allarmi | Aggiunge una nuova area allarmi nella lista.
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Configurare aree allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Raggruppamento di allarmi -> Aree allarmi -> Configurare aree allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per collegare un´area allarmi a classi, procedete come segue:

  1. cliccate su {Nuova classe}
  2. Selezionate la desiderata. Classe allarmi/eventi
  3. definite per l´area
    • Variabile di stato
    • variabile per Quantità allarmi attivi e
    • variabile per Quantità allarmi non ripristinati

Nota: l´assegnazione di un allarme a una certa area avviene nella proprietà Alarmbereiche delle variabili nel gruppo Gestione allarmi.

Esempio area allarme

Questo esempio mostra aree allarmi che sono assegnate a due classi allarmi:

Area allarmi Nome | Collegamento classi alla classe .... | Variabile di stato | Quantità allarmi attivi | Quantità allarmi non ripristinati
1 | Avviso | Status_warn_1 | Anstehend_warn_1 | Unquit_warn_1
 | Errore | Status_error_1 | Anstehend_error_1 | Unquit_error_1
2 | Avviso | Status_warn_2 | Anstehend_warn_2 | Unquit_warn_2
 | Errore | Status_error_2 | Anstehend_error_2 | Unquit_error_2

Esempio- Applicazione Energy

Un'area allarme è un gruppo di oggetti. Essi vengono riassunti in un´immagine. Per un fornitore di energia, ogni stazione viene rappresentata mediante un´immagine. Le stazioni da A a T vengono visualizzate in 4 sottopagine. Tutte le aree allarmi sono visualizzate in un´unica immagine riassuntiva che consente di averne una visione generale.

  • Nel caso in cui un valore limite venga violato nella stazione A, incomincia a lampeggiare il pulsante per le stazioni nell´immagine complessiva.
  • Nell´immagine di gruppo, invece, lampeggia il pulsante che porta a quella pagina sulla quale sono rappresentate le stazioni A, B, C, D e E.
  • Nell´immagine dettagliata, infine, incomincia a lampeggiare il pulsante della stazione A.


Allarmi nel progetto globale e in quello di integrazione

Manuale -> Gestione allarmi -> Progettare allarmi -> Raggruppamento di allarmi -> Allarmi nel progetto globale e in quello di integrazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ogni progetto salva propri ID per classi allarmi, gruppi allarmi e aree allarmi. Nel caso del progetto globale, come in quelli dei progetti di integrazione e sottoprogetti, si possono verificare dei problemi di sovrapposizione. Se in diversi progetti si usano gli stessi ID, può succedere che degli inserimenti dei dialoghi di selezione dei filtri vengano sovrascritti.

Per evitare ciò, fate attenzione ad usare in tutti i progetti ID differenti. A tal scopo, impostate gruppi/classi/aree "dummy, che in seguito provvederete a cancellare.


Progettazione degli allarmi mediante filtri

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progettate le caratteristiche della visualizzazione degli allarmi durante il Runtime servendovi dei filtri. Avete diverse possibilità di farlo:

  1. definire le informazioni che, durante il Runtime, devono essere visualizzate nella lista allarmi:
    in tal modo stabilite quali informazioni devono essere visualizzate in relazione ad un determinato allarme..
    Vedi i dettagli: Impostazione colonne per lista allarmi.
  2. Filtrare allarmi per la lista allarmi quando essa viene aperta e modificarli nel Runtime:
    In tal modo predefinite dei filtri, date all´operatore che lavora con il macchinario la possibilità di definirne dei propri.
    Per i dettagli sull´argomento vedi: Filtri per cambio ad immagine Lista di informazione allarmi
  3. Definire in modo fisso filtri per il Runtime:
    In tal modo create dei filtri pensati per rispondere alle esigenze del loro uso concreto e nascondete i criteri di filtro non utili.
    Per i dettagli sull´argomento vedi: Filtri Lista allarmi Filtri.

Noch in diesem Kapitel

Impostazione colonne per lista allarmi

Filtri per cambio ad immagine lista allarmi.

Filtri per cambio ad immagine lista allarmi Filtro


Impostazione colonne per lista allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Impostazione colonne per lista allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quali informazioni devono essere visualizzate durante il Runtime nella lista informazioni allarmi ed esportate, lo stabilite nelle impostazioni colonne. Queste ultime le configurate nelle proprietà della Lista di informazione allarmi nel progetto:

  1. Aprite il nodo Lista di informazione allarmi delle proprietà di progetto.
  2. Cliccate sulla proprietà Impostazione colonna AML
  3. Si aprirà il dialogo per le Impostazioni collona
  4. Configurate le colonne desiderate.
    Nota: Nella configurazione del cambio immagine, questa impostazione viene ripresa come Default e può essere modificata e adattata alle esigenze individuali nella scheda impostazioni di colonna.

Nota: per il calcolo della larghezza delle colonne, il sistema si riferisce alla larghezza media del carattere scelto.

info Informazioni su

Nelle impostazioni di progetto, potete adottare un´impostazione di default per la successione e la grandezza delle colonne facendo uso della proprietà Impostazione colonna AML oppure Impostazioni colonna CEL. Se impostate una nuova funzione del tipo Cambio immagine verso un´immagine del tipo Lista di informazioni allarmi oppure Lista eventi cronologica, viene usata questa impostazione di default, che può essere modificata nella scheda corrispondente. L´impostazione viene salvata nel file project.ini.

Configurazione colonne

Parametro

Descrizione

Colonne

Nella listbox di questa scheda vengono visualizzati tutti i tipi di colonne che sono a Vostra disposizione.

Modificate la successione dei tipi di colonna servendovi del Drag&Drop all´interno della lista:

  • cliccate nella colonna Tipo colonna
  • spostate i singoli inserimenti come desiderate

In alternativa, potete adattare la successione facendo uso del pulsante Sposta in alto l´inserimento selezionato e Sposta in basso l´inserimento selezionato.
  • Checkbox:

selezione del tipo di colonna che deve essere visualizzato.
  • Descrizione:

inserimento testo libero per la descrizione della colonna.

Modifica descrizione: cliccate con il tasto sinistro del mouse sull´area corrispondente. Inserite nel campo di editazione il valore desiderato.

Nota: per la descrizione delle colonne, è a Vostra disposizione il cambio lingua di zenon.
  • Larghezza colonne:

definisce la larghezza della colonna in caratteri.

Modifica larghezza colonna: cliccate con il tasto sinistro del mouse sull´area corrispondente. Inserite nel campo di editazione il valore desiderato.
-1: La larghezza viene calcolata durante il Runtime sulla base della larghezza media del carattere.

Nota: per ragioni di compatibilità, le colonne, la cui larghezza non poteva essere modificata in precedenti versioni di zenon (indicazioni di tempo), ricevono il valore di -1.

  • Visualizzazione:

per i tipi di colonna

  • Simbolo classe allarme/eventi
  • Simbolo gruppo allarmi/eventi
  • Stato di Allarme

la forma della visualizzazione è selezionabile durante il Runtime. Selezionate la forma desiderata fra quelle della lista a cascata.

Sposta elemento verso l'alto

Sposta l´inserimento selezionato di una posizione verso l´alto.

Sposta elemento verso il basso

Sposta l´inserimento selezionato di una posizione verso il basso.

Campo anteprima

Mostra le colonne selezionate con la larghezza definita.

Potete adattare anche le larghezze delle colonne cliccando con il tasto sinistro del mouse a destra sulla fine di una colonna; tenendo premuto il tasto del mouse, poi, dovete spostarlo o a destra o a sinistra fino a raggiungere la larghezza desiderata.

Impostazioni di tabella

Ordinamento decrescente

Ordina gli inserimenti nella lista sulla base della colonna Tempo entra in successione decrescente. Questa impostazione vale per l´apertura dell´immagine.
Potete modificare l´ordine di successione cliccando sulla testa della colonna. La successione usata al momento viene visualizzata mediante una freccia posizionata sulla testa della colonna.

Mostra griglia

Mostra una griglia nella rappresentazione della lista nel runtime.

Usa un colore di sfondo alterno

Usa alternativamente il Colore Linea 1 e il Colore Linea 2 come colore di sfondo per la lista nel runtime.

Colore Linea 1

Colore che viene usato come colore di sfondo per tutte le righe dispari (1, 3, 5 ecc.) della lista nel runtime, se avete attivato Usare colore di sfondo alternativamente.

Colore Linea 2

Colore che viene usato come colore di sfondo per tutte le righe pari (2, 4, 6 ecc.) della lista nel runtime, se avete attivato Usare colore di sfondo alternativamente.

Visualizza nelle colonne tempo

Ora

Mostra il tempo di un inserimento nella lista nella seguente forma: HH:MM:SS

Data

Mostra la data di un inserimento nella lista nella seguente forma: TT:MM:JJJJ

Millisecondi

Estende l´inserimento di tempo ai millisecondi.

Nota: deve essere attivata se si vuole un´emissione in millisecondi di export o stampe.

Suggerimento: Se attivate la keyboard automatica nel runtime, essa viene aperta al momento della comparsa del campo destinato ad apportare le modifiche. Facendo uso di tale keyboard, potete anche configurare le colonne anche se usate un computer senza tastiera.

attention Attenzione

La larghezza delle colonne viene indicata in caratteri ed è dipendente dal tipo di carattere utilizzato.

Se la larghezza della colonna non corrisponde ad un multiplo di quella del carattere utilizzato, ci possono essere delle anomalie per quello che concerne la larghezza reale della colonna. La conseguenza di ciò può essere che il testo non sia visualizzato in modo completo, sia tagliato, oppure si venga a creare uno spazio vuoto.

Soluzione: Usate font con una larghezza di carattere fissa.


Filtri per cambio ad immagine lista allarmi.

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con i filtri stabilite quali allarmi devono essere visualizzati durante il Runtime e quali devono essere invece nascosti. I filtri possono essere definiti nell´Editor e - a seconda di quanto fissato nell´Editor - nel Runtime.

Per adattare la selezione dei filtri nel Runtime alle esigenze dell´operatore, usate invece che l´immagine Lista allarmi, un´immagine del tipo Lista allarmi Filtro.

Per impostare un cambio immagine per passare ad un´immagine del tipo Lista allarmi:

  1. create una funzione Cambio immagine per passare ad un´immagine del tipo Lista allarme
  2. verrà aperto il dialogo filtro che presenta diverse schede con criteri di filtro:
    • Generale
    • Tempo
    • Lotti
    • Impostazioni colonna
    • Testo
    • Imposta stati
    • Progetto (è a disposizione solamente nel Progetto di integrazione del Progetto multiuser.)
    • Progettazione impianto

Se ci sono variabili o indici collegati, c´è anche la possibilità di visualizzare le seguenti schede:

  • Sostituisci collegamenti
  • Sostituisci indici

Per i dettagli, Vi invitiamo a leggere nella guida dedicata alle Immagini i capitoli Sostituisci collegamenti di variabili e funzioni e Simboli.

Noch in diesem Kapitel

Generale

Ora

Lotti

Testo

Impostazioni colonna

Imposta stati

Progetto

Progettazione impianto


Generale

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per mezzo del filtro generale stabilite quali allarmi devono essere visualizzati e quale accesso avrete durante il Runtime all´impostazione. Differenziate gli allarmi sulla base di:

  • Tipo
  • Sorgente dati
  • Variabili
  • tempo di attesa
  • Gruppi allarmi/eventi, classi e aree allarmi.

Sono disponibili le seguenti proprietà:

Filtro variabili

Parametri

Descrizione

Filtro variabili

Limitazione agli allarmi di determinate variabili

Nome variabile

Inserite il nome o la parte del nome delle variabili sulla base di cui deve essere effettuata l´operazione di filtro.

L´uso della wildcard * è possibile. Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Nota: I termini filtro inseriti nel Runtime o nell´Editor vengono salvati automaticamente anche sul calcolatore locale nello zenon6.ini e sono disponibili nella lista a discesa dove potranno essere selezionati per l´uso.

Attenzione: Nell´operazione di filtro, la virgola (,) serve "solo" da separatore fra diverse variabili da filtrare. La virgola non è un carattere consentito come criterio di filtro per i nomi variabili!
Ciò significa che non è possibile un filtro speciale per variabili array Dim 2 e Dim 3.

Identificazione

Indicate l´identificazione oppure la parte d´identificazione sulla base della quale volete effettuare l´operazione di filtro. Wildcard * è possibile.

L´uso della wildcard * è possibile. Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Nota: I termini filtro inseriti nel Runtime o nell´Editor vengono salvati automaticamente anche sul calcolatore locale nello zenon6.ini e sono disponibili nella lista a discesa dove potranno essere selezionati per l´uso.

Rispetta Maiusc./Minusc.

Attivo: si tiene presente la scrittura maiuscola e minuscola al momento di effettuare il filtro sulla base dei nomi o/e delle identificazioni variabili.

Tipo di allarme

Parametri

Descrizione

Tipo di allarme

Tipo degli allarmi che vengono visualizzati.

Solo allarmi non ripristinati

Attivo: Vengono visualizzati solo gli allarmi che non sono stati ancora ripristinati dall´utente.

Solo allarmi rientrati

Attivo: Vengono visualizzati solamente gli allarmi che sono già usciti, il che significa che non si trovano più in zona critica.

Solo allarmi in attesa

Attivo: Vengono visualizzati solamente gli allarmi che sono ancora in attesa, i cui valori, cioè, si trovano ancora in zona critica.

Commento richiesto

Attivo: Vengono visualizzati solamente gli allarmi per cui esiste un obbligo di commento quando se ne effettua il ripristino.

Allarmi devono essere presenti da almeno

Definite con l´aiuto di Spincontrol per quanto tempo un allarme deve essere in attesa prima di essere visualizzato. Impostazioni possibili:

  • Giorni
  • Ore (Std.)
  • Minuti (Min.)
  • Secondi (Sek.)
  • Millisecondi (ms)

Sorgente dati

Parametri | Descrizione
Sorgente dati | Visualizzazione di alarmi attuali o attuali e storici.
Buffer circolare | Attivo: Vengono visualizzati solamente i dati provenienti dal Buffer circolare .
Dati storici Numero massimo | Attivo: Vengono visualizzati i dati provenienti dal buffer circolare e quelli storici della AML. Il numero massimo dei dati da visualizzare include quelli provenienti dal buffer circolare.

Gruppi/Classi- allarmi/eventi, Aree d' allarme

Parametri | Descrizione
Gruppi/Classi- allarmi/eventi, Aree d' allarme | Selezione di gruppi, classi e aree allarmi.
Gruppi di allarmi/evento | Selezionate nella lista dei Gruppi allarmi/eventi esistenti quelli da cui devono provenire gli allarmi da visualizzare.
Classi di allarme/evento | Selezionate nella lista delle Classi allarmi/eventi esistenti quelli da cui devono provenire gli allarmi da visualizzare.

Aree allarmi

Parametri | Descrizione
Aree allarmi | Selezionate nella lista delle Aree allarmi esistenti quelli da cui devono provenire gli allarmi da visualizzare.

Impostazioni Runtime

Parametri

Descrizione

Impostazioni Runtime

Comportamento della AML a Runtime.

Apri lista bloccata

Attivo: Finché la lista viene visualizzata, non vengono aggiunti nuovi inserimenti.

(Non è disponibile per la funzione esporta AML.)

Proponi dialogo a Runtime

Attivo: Prima di ogni apertura dell´immagine viene aperto il dialogo di filtro. Le impostazioni di filtro possono essere modificate. Quest´opzione non è disponibile sotto Windows CE.
Attenzione: Se nella scheda Lotti si seleziona anche l´opzione Mostra dialogo di selezione lotti, quest´ultimo verrà aperto nel Runtime. Esso non verrà più visualizzato nel caso di un reload.

Indicazioni per il filtro intervallo di tempo:

Proponi dialogo a Runtime attivo:

  • Il filtro viene aperto nel Runtime con un cambio immagine. All´aggiornamento del progetto, il filtro non verrà più offerto. Questo comportamento può differire con i singoli tipi di immagine, se il dialogo è stato visualizzato e poi chiuso con il cambio immagine.
  • Si usa sempre l´ultimo intervallo di tempo concluso.

Proponi dialogo a Runtime non attivo:

  • Utilizza ultimo intervallo di tempo concluso non attivo: Si usa l´ultimo intervallo di tempo concluso.
  • Utilizza ultimo intervallo di tempo concluso non attivo: Si usa l´intervallo di tempo attuale.

Sostituisci dialogo a Runtime con l'immagine

Definizione di un´immagine che deve essere aperta nel Runtime al posto della finestra di dialogo se l´opzione Proponi dialogo a Runtime è attiva. Vengono proposte solamente immagini del tipo filtro AML o filtro tempo

Cliccare sul pulsante ... per aprire la finestra di dialogo che serve alla selezione di un´immagine.

Se non si trova l´immagine collegata a Runtime, il sistema cerca le immagini corrispondenti con nomi specifici.

attention Attenzione

Riguarda zenon sotto Windows CE: I sistemi CE su cui deve essere visualizzato il dialogo di filtro, devono disporre di una risoluzione maggiore a 800*600 pixel, per far sì che il dialogo possa essere rappresentato nella sua completezza.


Ora

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Ora

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I filtri tempo vi consentono di limitare il numero di dati da visualizzare ed esportare. I filtri tempo possono essere usati in modo flessibile e possono essere impostati nell´editor, ma possono essere anche adattati nel runtime.

Nota: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

I filtri tempo possono sia essere pre-impostati nell´Editor, che modificato poi nel Runtime:

  • Periodo assoluto
  • Periodo relativo
  • Da
  • Intervallo tempo

Il filtraggio tempo può essere realizzato in due modi:

  1. Indica intervallo di tempo nell´Editor
    Si usano intervalli di tempo fissi. nell´editor viene indicato in intervallo tempo. Nel runtime si può effettuare il filtraggio solo sulla base di questo intervallo di tempo. Anche altri filtri (per es. filtri per nomi variabile, gruppi e classi allarmi/eventi ecc) non sono più modificabili durante il Runtime.
  2. Filtro tempo adattabile durante il Runtime
    Vengono utilizzati tempi predefiniti. Il filtro tempo viene impostato nell´editor e può essere modificato a piacere nel runtime.

Filtro tempo

Filtro

Scelta del filtro.

Parametro

Description (Descrizione)

Nessun filtro tempo

Attivo: Non viene usato nessun filtro temporale.

Nota: Nel Runtime verranno visualizzati tutti gli inserimenti a partire da 1. 1. 1990.

Filtro assoluto

Attivo: Viene indicato un periodo di tempo fisso nell´editor. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato.

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Periodo relativo

Attivo: Viene indicato un periodo di tempo relativo.

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attivo: Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione dell´area fra quelle della lista a cascata:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo tempo

Attivo: Viene indicato un intervallo di tempo fisso. Selezione dell´area fra quelle della lista a cascata:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 Minuti
  • 30 Minuti
  • 60 Minuti

Nel settore "Impostazioni"vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudi finestra di dialogo

Parametro | Description (Descrizione)
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Noch in diesem Kapitel

Periodo assoluto

Periodo relativo

Da

Intervallo tempo

Indicare intervallo nell´editor

Filtro tempo adattabile durante il Runtime


Periodo assoluto

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Ora -> Periodo assoluto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Periodo assoluto

Con il filtro assoluto definite un intervallo di tempo fisso. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato. Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione periodo assoluto
  2. configurate il tempo desiderato nella parte delle Impostazioni

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attivo: Il filtro tempo viene configurato nel Runtime.
Default | Attivo: Il filtro tempo viene indicato nell´Editor. Nel Runtime si può fissare solamente il punto di partenza del filtro.
Da | Punto di partenza del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.
Fino a | Tempo di chiusura del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Periodo relativo

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Ora -> Periodo relativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Periodo relativo

Viene indicato un periodo di tempo relativo.

Attenzione: questo filtro viene costantemente aggiornato e continua a funzionare.
Esempio: impostate un tempo relativo di 10 minuti e aprite alle ore 12:00 un´immagine con questo filtro tempo. In questo caso, verrano visualizzati i dati dalle 11:50 alle 12:00 al momento dell´apertura dell´immagine. Se l´immagine rimane aperta, il filtro viene aggiornato automaticamente. Alle 12:01 vedrete i dati dalle 11:51 alle 12:01 ecc.

Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione periodo relativo
  2. configurate il tempo desiderato nella parte delle Impostazioni

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attivo: Il filtro tempo viene configurato nel Runtime.
Default | Attivo: Il filtro tempo viene indicato nell´Editor. Nel Runtime si può fissare solamente il punto di partenza del filtro. Selezione dell´intervallo tempo relativo in giorni, ore, minuti e secondi.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Da

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Ora -> Da

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Da

Viene definito un tempo a partire dal quale il filtro è attivo. Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione Da
  2. selezionate il filtro desiderato fra quelli della lista a cascata.
    • Da HH:MM:SS
    • Dal Giorno - HH:MM:SS
    • Dal Giorno, Mese - HH:MM:SS
  3. configurate il tempo desiderato nella parte delle Impostazioni

Parametro

Descrizione

Impostazioni

Configurazione del filtro di tempo.

[Data/Ora]

In dipendenza dalle impostazioni effettuate per l´opzione Ab, in questa sede viene configurato un tempo a partire dal quale il filtro è attivo:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Attenzione! il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto l´orario delle 23:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.
  • Da HH:MM:SS

Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Esempio: facciamo il caso che indichiate come orario le 23:00:00. Se al momento dell´esecuzione della funzione sono le 23:30, viene effettuato il filtro dalle 23:00:00 fino al momento attuale. Se però sono le 22:30, allora il filtro viene effettuato dalle 23:00 del giorno precedente fino al momento attuale.
  • Dal Giorno - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nel mese corrente, si fa riferimento al tempo corrispondente del mese precedente.

Esempio: facciamo il caso che indichiate come giorno il 5 e come orario le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 del mese e sono le 23:30, il sistema effettua il filtro dal 5 del mese a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 del mese, il filtro viene effettuato a partire dal 5 del mese precedente alle 23:00 fino al momento attuale.

  • Dal Giorno, Mese - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nell´anno corrente, si fa riferimento al tempo corrispondente dell´anno precedente.

Esempio: facciamo il caso che indichiate comegiorno il 5, , come mese ottobre - e come ora le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 di ottobre e sono le 23:30, il sistema effettua il filtro dal 5 di ottobre a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 di ottobre, il filtro viene effettuato a partire dal 5 di ottobre precedente alle 23:00 fino al momento attuale.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Intervallo tempo

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Ora -> Intervallo tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Intervallo tempo

Viene definito un intervallo di tempo nell´ambito del quale il filtro è attivo. Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione intervallo di tempo
  2. configurate il tempo desiderato nella parte delle Impostazioni

Parametro

Descrizione

Impostazioni

Configurazione del filtro di tempo.

Intervallo tempo

Selezione di un intervallo di tempo fra quelli proposti dal menù a tendina.

Nel Runtime si effettuerà un´operazione filtro sulla basa di questo intervallo di tempo. Il filtro si riferirà al momento dell´apertura dell´immagine.
Ad esempio: Il valore 60 minuti mostra tutti gli archivi dell´ultima ora.

Se questo dialogo viene offerto anche nel Runtime, si può selezionare il punto da cui deve incominciare a decorrere l´intervallo di tempo.

Modifica intervallo di tempo

Consente degli adattamenti del ciclo, spostamenti ed estensioni degli intervalli di tempo.

Attivo: L´analisi avviene secondo il seguente schema:

  • in primo luogo viene analizzata l´opzione Usa l´ultimo intervallo di tempo terminato.
  • Poi viene applicato Modifica periodo di.
  • Poi viene applicata l´opzione Spostamento intervallo avanti di.

Inattivo: non viene effettuata nessuna modifica all´intervallo di tempo.

Attenzione: A partire dalla versione 7.10, le azioni di filtro effettuate sulla base di questa funzione hanno prodotto altri esiti che nelle versioni precedenti.

Spostamento intervallo avanti di

Attivo: L´intervallo di tempo definito nel filtro viene spostato in avanti, nel futuro. Indicazione in ore - minuti - secondi.

Se si imposta uno spostamento pari o maggiore all´intervallo di tempo selezionato, il sistema visualizzerà una segnalazione che invita a verificare i dati della progettazione.

Modifica periodo di

Attivo: L´intervallo di tempo definito nel filtro viene modificato. Indicazione in ore - minuti - secondi.

Se si imposta una modifica e uno spostamento pari o maggiore all´intervallo di tempo selezionato, il sistema visualizzerà una segnalazione che invita a verificare i dati della progettazione.

Aggiungi tempo

Attivo: Il tempo indicato nell´opzione Modifica periodo di viene aggiunto a quello definito nell´opzione intervallo di tempo.

Sottrai tempo

Attivo: Il tempo indicato nell´opzione Modifica periodo di viene sottratto a quello definito nell´opzione intervallo di tempo.

Utilizza ultimo intervallo di tempo concluso

Attivo: Viene usato l´ultimo intervallo di tempo concluso.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Indicare intervallo nell´editor

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Ora -> Indicare intervallo nell´editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Indicare intervallo nell´editor

Con questo metodo, indicate nell´editor già un intervallo di tempo fisso, che viene usato al momento dell´esecuzione della funzione nel runtime. Nel Runtime potete solamente fissare il punto temporale di partenza, ma non potete modificare alcuna impostazione di filtro.

Ad esempio: mettiamo che abbiate inserito un filtro tempo di 30 minuti. Nel runtime, potete solamente stabilire quando deve incominciare questo periodo di 30 minuti. Ma non potete neanche modificare il filtro in un filtro giorno.

attention Attenzione

Se usate questo tipo di filtro, non potete più adattare durante il Runtime anche tutti gli altri filtri che sono disponibili nella scheda Generale! Continua ad essere possibile filtrare sulla base di testo, stato e impianto.

Per impostare il filtro:

  1. nell´immagine deve essere disponibile il pulsante Filtro al fine di poter avviare il filtro stesso nel Runtime.
  2. selezionate il filtro desiderato
  3. configurate l´intervallo di tempo selezionato

Suggerimento per l´intervallo di tempo: attivate nel dialogo filtro l´opzione Proponi dialogo a Runtime. In tal modo potete adattare il punto temporale di partenza già prima dell´esecuzione della funzione. se non vi fate visualizzare il filtro al momento dell´apertura della funzione nel Runtime, verrà usato sempre l´intervallo di tempo attuale. Se avete attivato l´opzione Usa l´ultimo intervallo di tempo terminato, viene visualizzato l´ultimo intervallo di tempo.
Per esempio: mettiamo che abbiate impostato un filtro di 30 minuti. Quando si attiva la funzione sono le 10:45. Nel caso in cui l´opzione Usa l´ultimo intervallo di tempo terminato non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Nel caso in cui, però, l´opzione dovesse essere attiva, il filtro viene settato all´intervallo di tempo precedente dalle 10:00:00 alle 10:29:59.


Filtro tempo adattabile durante il Runtime

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Ora -> Filtro tempo adattabile durante il Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Filtro tempo adattabile durante il Runtime

Se seguite questo metodo, definite nell´Editor un filtro tempo: esso può essere adattato durante il Runtime prima di essere eseguito. Per impostare il filtro:

  1. nell´immagine devono essere presenti i pulsanti Filtro e Mostra filtro
  2. selezionate il filtro desiderato:
    • Periodo assoluto
    • Periodo relativo
  3. selezionate alla voce Impostazioni l´opzione Proponi data e ora attuale
  4. nel Runtime, verrà aperto il dialogo di filtro con la data e l´ora attuali.


Lotti

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Lotti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda configurate la riduzione della visualizzazione a determinati lotti. L´informazione lotti viene usata in aggiunta al filtro esistente.

Se il filtro lotti è attivo, al momento del caricamento della AML nel Runtime il sistema va a prendere dal server archivi una lista di tutti i lotti progettati in questa sede che corrispondono all´intervallo configurato.

Attenzione: Tutte le variabili e l´archivio lotti appartenenti ad un impianto devono essere collegati con l´impianto stesso nel modello di impianto.

info Informazioni su

Alcuni filtri in zenon possono essere configurati indipendentemente l´uno dall´altro nell´Editor e poi combinati a Runtime. Con il filtro lotto, questo è possibile solo fino ad un certo punto.

Il filtro lotto può offrire a Runtime una lista dei lotti esistenti. Si tratta di dati Runtime che non sono disponibili nell´Editor. .

Quando si configura il cambio immagine nell´Editor, si può usare la scheda Filtro tempo in combinazione con il filtro lotto solo come filtro preliminare per la finestra di dialogo di selezione lotti. Quando poi si seleziona un lotto di questa lista a Runtime, il filtro tempo viene sovrascritto con i dati del lotto selezionato per ottenere così un filtro esatto per il lotto selezionato.

Questo significa: quando si usa il dialogo di selezione lotti a Runtime e si seleziona un lotto, il filtro tempo non corrisponde a quello configurato nell´Editor.

Filtro

Impostazioni per l´uso del filtro lotti. Selezione di una delle opzioni:

  • Nessun filtro lotti
  • Usa direttamente filtro lotti
  • Visualizza dialogo di selezione lotto
    Nota: quando il filtro lotti viene visualizzato come finestra di dialogo, è possibile eseguire un filtro preliminare sulla base delle identificazioni archivi. Si raccomanda espressamente di utilizzare questa possibilità di filtro preliminare per migliorare le prestazioni.

Parametri

Descrizione

Nessun filtro lotto
  • Attivo: il filtro lotti viene disattivato e non può essere configurato. A Runtime non verrà eseguito un filtro sulla base dei lotti.

Applica direttamente filtro lotto
  • Attivo: il filtro configurato qui verrà utilizzato direttamente a Runtime.

Nota: non è possibile farsi visualizzare tutti i lotti in una lista e selezionarne uno manualmente. Se si vuole che venga visualizzato un determinato lotto, si deve configurare in modo corrispondente il filtro per archivi, nome e tempo. Questo presuppone una conoscenza esatta dei dati esistenti. In alternativa, si raccomanda di selezionare l´opzione Visualizza dialogo di selezione lotto.

Visualizza dialogo di selezione lotto

Attivo: a Runtime, la finestra di dialogo per la selezione lotti viene visualizzata:

  • Cliccando su Filtro, oppure
  • Con un cambio immagine, se è stata attivata l´opzione Proponi dialogo a Runtime (non disponibile per ogni funzione/ogni tipo di immagine)
    Nota: la finestra di dialogo non verrà visualizzato in caso di reload.

Le opzioni possono essere preselezionate nell´Editor.

Sostituisci dialogo a Runtime con l'immagine

Disponibile solo se è stata selezionata l´opzione Visualizza dialogo di selezione lotto.

Definizione di un´immagine che deve essere aperta a Runtime al posto del Dialogo di selezione lotto. Vengono proposte alla selezione solamente immagini di tipo Filtro tempo/lotto.

Cliccare sul pulsante ... per aprire la finestra di dialogo che serve alla selezione di un´immagine.

Se non si trova l´immagine collegata a Runtime, il sistema cerca le immagini corrispondenti con nomi specifici.

Nota: si può selezionare un´immagine "Filtro lotto" anche utilizzando l´opzione Proponi dialogo a Runtime. Questa immagine, però, non viene usata qui come filtro lotto, ma come filtro tempo. Le opzioni "filtro lotto" non vengono applicate correttamente in questa posizione.

Selezione lotto relativo

Attenzione: questa opzione è disponibile solamente per il Trend esteso. Con faceplate, quest´opzione viene visualizzata per tutti i tipi di immagine; anche qui, però, è disponibile solamente per il modulo ETM.

Configurazione per ETM:

Questa opzione è disponibile se l´opzione Visualizza dialogo di selezione lotto è attiva e se la proprietà Progetto WindowsCE è disattivata nelle proprietà di progetto.

  • Attivo: consente un confronto diretto di diversi lotti. La rappresentazione parte sempre dal punto zero.

Visione generale della implementazione della configurazione a Runtime:

Ora

Configurazione del filtro tempo per la selezione lotti. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Ultimo lotto
  • Applica filtro tempo dalla scheda "Tempo"

Parametri

Descrizione

Nessun filtro
  • Attivo: non si tiene conto dell´intervallo di tempo impostato nella scheda Ora. Verrano visualizzati tutti i lotti conclusi e ancora attivi.

Ultimo lotto

Attenzione: questa opzione funziona solo in combinazione con l´opzione Applica direttamente filtro lotto.

Consente la combinazione di Visualizza lotto corrente e Visualizza lotti conclusi. Almeno una di queste due opzioni deve essere attivata. Se sono entrambe disattivate, questo corrisponde all´impostazione Nessun filtro.

  • Attivo: inserimento del numero dei lotti conclusi di recente sulla base dei quali deve essere effettuata l´operazione di filtro. Inserimento del numero nel campo numerico, oppure configurazione mediante tasti frecce.

Esempio: il valore inserito per questa opzione è 3. Ci sono 2 lotti correnti e 10 sono conclusi. In questo caso il sistema visualizzerà i due lotti correnti e uno di quelli conclusi.

Nota: come intervallo di tempo per i lotti correnti, non viene utilizzato il valore impostato nel filtro tempo, ma l´ultimo anno. Questo filtro non viene eseguito come filtro preliminare, e non può essere dunque usato per avere un miglioramento delle performance.

Informazioni sulla compatibilità:
Se il progetto viene compilato per una versione precedente alla 7.11, vale quanto segue: se si selezionano i lotti correnti, oppure la combinazione fra lotti correnti e conclusi, saranno visualizzati a Runtime solamente i lotti chiusi.

Visualizza lotto corrente
  • Attivo: verrano visualizzati i lotti attivi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti attivi al momento, il sistema mostrerà anche lotti già conclusi finché non sarà raggiunto il limite impostato.
Esempio: devono essere visualizzati 3 lotti. Solamente 1 lotto è attivo, mentre 5 sono stati già chiusi. In questo caso, verranno visualizzati il lotto ancora attivo e 2 di quelli già terminati.

Visualizza lotti chiusi
  • Attivo: vengono visualizzati i lotti conclusi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti conclusi, il sistema mostrerà anche lotti ancora attivi finché non sarà raggiunto il limite impostato.

Applica filtro tempo dalla scheda "Tempo"
  • Attivo: il sistema esegue un filtro preliminare usando le impostazioni della scheda Zeit.

Nell´ambito di questo intervallo di tempo si potrà adattare l´effettivo intervallo del filtro. Selezione dal menù a tendina:

  • Inizio e fine esterni ai limiti del filtro: (Default)
    I lotti possono iniziare prima dell´ora di partenza impostata nel filtro Tempo e terminare dopo il tempo di conclusione configurato.
  • Inizio e fine interni ai limiti del filtro:
    I lotti devono iniziare e finire all´interno dei termini temporali impostati nel filtro Tempo per il loro inizio e la loro fine.
  • Inizio anche precedente al limite filtro:
    I lotti possono iniziare prima dell´ora di partenza impostata nel filtro Tempo, ma devono terminare prima o in corrispondenza del tempo di conclusione configurato.
  • Fine anche successiva al limite del filtro:
    I lotti possono terminare anche dopo il tempo di conclusione configurato nel filtro Tempo, ma devono iniziare dopo o in corrispondenza dell´ora di partenza configurata.
  • Inizio e fine coincidono con i limiti del filtro:
    I lotti vengono ridotti facendo riferimento ai termini temporali fissati per inizio e fine nel filtro Zeit.

Archivi

Configurazione delle impostazioni di filtro per gli archivi. Questo filtro si applica come filtro preliminare per la finestra di selezione lotti.

Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Statico
  • Da variabile

Parametri

Descrizione

Nessun filtro
  • Attivo: non si esegue nessuna operazione di filtro su base nome archivi.

Statico
  • Attivo: si filtrano gli archivi la cui identificazione corrisponde alla successione di caratteri impostata nel campo di inserimento.

Inserimento di identificazioni archivi nel campo di inserimento:

  • Più identificazioni sono divise da una virgola (,).
  • * oppure vuoto: tutti gli archivi, nessun filtro.

Da variabile
  • Attivo: a Runtime viene applicato il valore della variabile collegata qui come filtro per nomi archivi.

Quando si clicca sul pulsante ... si apre la finestra di dialogo che serve alla selezione di una variabile.

Disponibile per tutti i moduli solo se è stata selezionata l´opzione Applica direttamente filtro lotti.

Informazioni concernenti le variabili nel Runtime:

  • Nel Runtime, la selezione variabili viene attivata solamente nel caso in cui si sia proceduto a collegare già nell´Editor una variabile valida. Il pulsante ... non è mai attivo nel Runtime. È dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, essa verrà registrata e letta. Ciò può causare dei ritardi nel caso di connessioni driver e protocolli lenti.

Attenzione: se il sistema non trova la variabile selezionata a Runtime, non verrà eseguito nessun filtro sulla base di nomi archivio. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Nota riguardante l´ETM: nel modulo ETM gli archivi sono determinati dalle curve progettate nel cambio immagine. A Runtime, questo è possibile solamente in combinazione con l´opzione Lotto relativi . Con questa opzione, le variabili devono essere selezionate a Runtime, il che è fissato a sua volta dalla selezione possibile di archivi. Dopo essere stato filtrato, l´archivio deve essere uno di quelli sui quali si basano le curve configurate. In caso contrario non verrà visualizzato nessun dato. Questa impostazione può essere usata anche per limitare le curve visualizzate. Tuttavia queste continueranno ad essere visualizzate nella lista delle curve.

Esempio: ETM.

Curve configurate | Origine dati | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
A | AR | AR | Viene visualizzata nella lista delle curve e disegnata nel Trend.
B | EA |  | Viene visualizzata solamente nella lista delle curve.
C | EP |  | Viene visualizzata solamente nella lista delle curve.

Nota relativa alla post elaborazione archivio: l´archivio per cui viene aperta l´immagine è già selezionato nella funzione di cambio immagine. Visto che si può selezionare solamente un archivio, non ha senso impostare ulteriori limitazioni.

Esempio di post elaborazione archivio:

Archivio configurato | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
AR | EA | Non viene visualizzato nessun dato.

Nomi

Configurazione del filtro dei nomi. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Statico
  • Da variabile

Parametri

Descrizione

Nessun filtro
  • Attivo: non si esegue un filtro sulla base dei nome lotti.

Statico
  • Attivo: si filtrano i nomi lotti che corrispondono alla successione caratteri indicata nel campo di inserimento.

Inserimento del nome lotto nel campo di inserimento:

  • Più identificazioni sono divise da un segno pipe (|).
  • * oppure vuoto: tutti i lotti di tutti gli archivi visualizzati, nessun filtro.

Da variabile
  • Attivo: a Runtime si usa il valore della variabile collegata qui come filtro per i nomi lotti.

Quando si clicca sul pulsante ... si apre la finestra di dialogo per la selezione di una variabile.

Disponibile solo se è stata selezionata l´opzione Applica direttamente filtro lotto.

Informazioni concernenti le variabili nel Runtime:

  • Nel Runtime, la selezione variabili viene attivata solamente nel caso in cui si sia proceduto a collegare già nell´Editor una variabile valida. Il pulsante ... non è mai attivo nel Runtime. È dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, essa verrà registrata e letta. Ciò può causare dei ritardi nel caso di connessioni driver e protocolli lenti.

Attenzione: se non è possibile trovare la variabile selezionata a Runtime, non sarà eseguito nessun filtro dei nomi lotti. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Testo

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il filtro testo consente di limitare la visualizzazione alle sole segnalazione che contengono determinati criteri di ricerca.

Filtra

Filtra

Parametro | Description (Descrizione)
Filtra |
Nessun Filtro testo | Il filtro di testo non viene utilizzato.
Ricerca di (parole separate da spazi vuoti). | Il filtro testo viene utilizzato. Le ulteriori opzioni sono accessibili.
Campo di inserimento | Indicate le parole, oppure le sequenze di caratteri corrispondenti.

Opzioni

Parametro | Description (Descrizione)
Opzioni |
Attenzione Case Sentitive | Attivo: nell´effettuare l´operazione di filtro, il sistema distingue fra lettere maiuscole e minuscole.
Le parole non devono essere presenti nel testo nella loro interezza. | Attivo: si prendono in considerazione anche parti di parole nell´effettuazione dell´operazione di filtro.
Perlomeno una parola deve essere presente nel testo | Attivo: Almeno una parola della stringa di ricerca deve figurare nel testo.
Tutte le parole devono essere presenti nel testo | Attivo: tutte le parole della stringa di ricerca devono essere presenti nel testo La successione non ha nessuna importanza.
Testo filtro deve essere presente nel testo in modo esatto | Attivo: il testo deve essere esattamente come definito nella stringa di ricerca.


Impostazioni colonna

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Impostazioni colonna

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo dialogo definirete quali colonne volete che siano visualizzate, in quale forma, successione ed ordine.

Nota: tutte le impostazioni che effettuerete in questa tab valgono come impostazioni di default per:

  • Tipo d'immagine lista informazioni d´allarme
  • Immagine del tipo Lista informazioni allarmi Filtro
  • Barra stato allarmi
  • Export in CSV, dBase oppure XML

Queste impostazioni di default possono essere modificate al momento della definizione delle singole funzioni d´allarme.

info Informazioni su

Nelle impostazioni di progetto, potete adottare un´impostazione di default per la successione e la grandezza delle colonne facendo uso della proprietà Impostazione colonna AML oppure Impostazioni colonna CEL. Se impostate una nuova funzione del tipo Cambio immagine verso un´immagine del tipo Lista di informazioni allarmi oppure Lista eventi cronologica, viene usata questa impostazione di default, che può essere modificata nella scheda corrispondente. L´impostazione viene salvata nel file project.ini.

ColonneParametro

Descrizione

Colonne

Nella listbox di questa scheda vengono visualizzati tutti i tipi di colonne che sono a Vostra disposizione.

Modificate la successione dei tipi di colonna servendovi del Drag&Drop all´interno della lista:

  • cliccate nella colonna Tipo colonna
  • spostate i singoli inserimenti come desiderate

In alternativa, potete adattare la successione facendo uso del pulsante Sposta in alto l´inserimento selezionato e Sposta in basso l´inserimento selezionato.
  • Checkbox:

selezione del tipo di colonna che deve essere visualizzato.
  • Descrizione:

inserimento testo libero per la descrizione della colonna.

Modifica descrizione: cliccate con il tasto sinistro del mouse sull´area corrispondente. Inserite nel campo di editazione il valore desiderato.

Nota: per la descrizione delle colonne, è a Vostra disposizione il cambio lingua di zenon.
  • Larghezza colonne:

definisce la larghezza della colonna in caratteri.

Modifica larghezza colonna: cliccate con il tasto sinistro del mouse sull´area corrispondente. Inserite nel campo di editazione il valore desiderato.
-1: La larghezza viene calcolata durante il Runtime sulla base della larghezza media del carattere.

Nota: per ragioni di compatibilità, le colonne, la cui larghezza non poteva essere modificata in precedenti versioni di zenon (indicazioni di tempo), ricevono il valore di -1.

  • Visualizzazione:

per i tipi di colonna

  • Simbolo classe allarme/eventi
  • Simbolo gruppo allarmi/eventi
  • Stato di Allarme

la forma della visualizzazione è selezionabile durante il Runtime. Selezionate la forma desiderata fra quelle della lista a cascata.

Sposta elemento verso l'alto

Sposta l´inserimento selezionato di una posizione verso l´alto.

Sposta elemento verso il basso

Sposta l´inserimento selezionato di una posizione verso il basso.

Campo anteprima

Mostra le colonne selezionate con la larghezza definita.

Potete adattare anche le larghezze delle colonne cliccando con il tasto sinistro del mouse a destra sulla fine di una colonna; tenendo premuto il tasto del mouse, poi, dovete spostarlo o a destra o a sinistra fino a raggiungere la larghezza desiderata.

Impostazioni di tabella

Ordinamento decrescente

Ordina gli inserimenti nella lista sulla base della colonna Tempo entra in successione decrescente. Questa impostazione vale per l´apertura dell´immagine.
Potete modificare l´ordine di successione cliccando sulla testa della colonna. La successione usata al momento viene visualizzata mediante una freccia posizionata sulla testa della colonna.

Mostra griglia

Mostra una griglia nella rappresentazione della lista nel runtime.

Usa un colore di sfondo alterno

Usa alternativamente il Colore Linea 1 e il Colore Linea 2 come colore di sfondo per la lista nel runtime.

Colore Linea 1

Colore che viene usato come colore di sfondo per tutte le righe dispari (1, 3, 5 ecc.) della lista nel runtime, se avete attivato Usare colore di sfondo alternativamente.

Colore Linea 2

Colore che viene usato come colore di sfondo per tutte le righe pari (2, 4, 6 ecc.) della lista nel runtime, se avete attivato Usare colore di sfondo alternativamente.

Visualizza nelle colonne tempo

Ora

Mostra il tempo di un inserimento nella lista nella seguente forma: HH:MM:SS

Data

Mostra la data di un inserimento nella lista nella seguente forma: TT:MM:JJJJ

Millisecondi

Estende l´inserimento di tempo ai millisecondi.

Nota: deve essere attivata se si vuole un´emissione in millisecondi di export o stampe.

Suggerimento: Se attivate la keyboard automatica nel runtime, essa viene aperta al momento della comparsa del campo destinato ad apportare le modifiche. Facendo uso di tale keyboard, potete anche configurare le colonne anche se usate un computer senza tastiera.

attention Attenzione

La larghezza delle colonne viene indicata in caratteri ed è dipendente dal tipo di carattere utilizzato.

Se la larghezza della colonna non corrisponde ad un multiplo di quella del carattere utilizzato, ci possono essere delle anomalie per quello che concerne la larghezza reale della colonna. La conseguenza di ciò può essere che il testo non sia visualizzato in modo completo, sia tagliato, oppure si venga a creare uno spazio vuoto.

Soluzione: Usate font con una larghezza di carattere fissa.


Imposta stati

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Imposta stati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo stato del checkbox indica se il bit di stato deve essere analizzato.

Stato del checkbox | Descrizione
punto nero | Il bit di stato non viene analizzato
0 | Vengono visualizzati solamente gli inserimenti per i quali il bit di stato si trova su false.
1 | Vengono visualizzati solamente gli inserimenti per i quali il bit di stato si trova su true.

Example Esempio

Se il checkbox SPONT è settato su 1, vengono visualizzati solamente gli allarmi che vengono causati da valori spontanei.

Nota: Dettagli sui bit di stato li potete trovare nel capitolo Gestione stati.


Progetto

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezione dei progetti di cui si deve tener conto per la AML. Il filtro per la selezione dei sottoprogetti è a disposizione solamente nel Progetto di integrazione della Gestione multiprogetto.

La selezione nell´ambito del progetto di integrazione e di tutti i sottoprogetti avviene per multiselect tenendo premuto il tasto Ctrl e cliccando sui progetti desiderati.


Progettazione impianto

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi. -> Progettazione impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel filtro vengono visualizzati tutti i Modelli impianto già esistenti. Mediante il menù contestuale o la barra di menu è possibile impostare nuovi modelli e gruppi.

Per aggiungere dei gruppi al filtro:

  1. selezionate l´elemento desiderato
  2. cliccate sul pulsante Aggiungi
  3. ripetete l´operazione finché tutti i gruppi necessari non sono contenuti nella lista
    (non è possibile una selezione multipla)

Per eliminare dei gruppi dal filtro:

  1. selezionate gli elementi desiderati
    (Multiselect: tenere premuto il tasto Ctrl oppure quello Shift e cliccare sull´elemento desiderato).
  2. Cliccate sul pulsante Cancella

Elemento | Descrizione
Lista dei modelli di impianto | Offre modelli e gruppi fra i quali l´utente può scegliere.
Aggiungi | Aggiunge alla lista filtro il gruppo selezionato.
Elimina | Rimuove dalla lista filtro il gruppo selezionato.
Lista filtri | Mostra tutti i gruppi di impianti in riferimento ai quali deve essere effettuata l´operazione di filtro.
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Filtri per cambio ad immagine lista allarmi Filtro

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi Filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un tipo di immagine del tipo Lista d´informazioni allarmi Filtri:

  1. create una funzione Cambio immagine per passare ad un´immagine del tipo Lista allarme Filtri
  2. viene visualizzato il filtro con tutte le schede:
    • Immagini
    • Generale
    • Testo
    • Ora

Noch in diesem Kapitel

Immagini

Generale

Testo

Ora

Lotti

Impostazioni colonna


Immagini

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi Filtro -> Immagini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa tab potete stabilire quali immagini devono essere attualizzate tramite il filtro immagini.

Sono disponibili le seguenti impostazioni:

Il filtro sarà acquisito da questa immagine:

Parametro

Descrizione

Il filtro sarà acquisito da questa immagine:

Definizione dell´immagine da cui deve essere preso il filtro.

Immagine richiamante

Attivo: Le impostazioni di filtro vengono riprese dall´immagine a partire dalla quale si apre l´immagine filtro. Il pulsante Immagine è colorato in grigio. Potete anche non indicare esplicitamente un´immagine, visto che, in presenza di questa impostazione, l´attualizzazione filtro viene realizzata sempre dall´immagine che effettua l´apertura.

Nota: le impostazioni delle schede Generale, Testo e Tempo sono bloccate.

Immagine predefinita

Cliccando sul pulsante, si apre il Dialogo di selezione immagini.

Selezionate l´immagine dalla quale deve essere letto il filtro (nel momento in cui usate il pulsante Aggiornare nel runtime).

Per il passaggio ad immagini del tipo Filtro AML, Filtro CEL, Filtro tempo e modello di impianto, si possono selezionare anche sub-immagini di Faceplates. Allo scopo di distinguerle in modo chiaro da altre immagini, il sistema mette davanti al nome della sub-immagine quello dell´immagine Faceplate.

Attenzione: al momento dell´iniziale apertura dell´immagine filtro tramite la funzione, viene utilizzato il filtro progettato nella funzione, non quello dell´immagine indicata in questa sede!

Nota: dunque ha senso solamente selezionare un´immagine che può adottare, o riempire il filtro immagine.

L´immagine selezionata viene inserita nella lista di quelle da attualizzare. Se cancellate un´immagine dalla lista, viene inserita automaticamente la prossima immagine della lista.

Nota: non disponibile se avere attivato la checkbox Immagine che apre.

Immagini da aggiornare

Parametro | Descrizione
Immagini da aggiornare | Selezione delle immagini che devono essere aggiornate. Per il passaggio ad immagini del tipo Filtro AML, Filtro CEL, Filtro tempo e modello di impianto, si possono selezionare anche sub-immagini di Faceplates. Allo scopo di distinguerle in modo chiaro da altre immagini, il sistema mette davanti al nome della sub-immagine quello dell´immagine Faceplate.
Selezione Immagine | Cliccando sul pulsante si apre il dialogo per la Selezione delle immagini filtro. selezionate le immagini desiderate.
Aggiornamento | Definizione di dove deve avere effetto l´accettazione del filtro.
Aggiorna su tutti i Monitor | Attivo: Le immagini contenute nella lista di quelle da aggiornare vengono aggiornate su tutti i monitor a disposizione.


Generale

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi Filtro -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Filtro variabili

Parametro

Descrizione

Filtro variabili

Limitazione agli allarmi di determinate variabili

Nome variabile

Inserite il nome o la parte del nome delle variabili sulla base di cui deve essere effettuata l´operazione di filtro.

L´uso della wildcard * è possibile. Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Nota: I termini filtro inseriti nel Runtime o nell´Editor vengono salvati automaticamente anche sul calcolatore locale nello zenon6.ini e sono disponibili nella lista a discesa dove potranno essere selezionati per l´uso.

Attenzione: Nell´operazione di filtro, la virgola (,) serve "solo" da separatore fra diverse variabili da filtrare. La virgola non è un carattere consentito come criterio di filtro per i nomi variabili!
Ciò significa che non è possibile un filtro speciale per variabili array Dim 2 e Dim 3.

Identificazione

Indicate l´identificazione oppure la parte d´identificazione sulla base della quale volete effettuare l´operazione di filtro. Wildcard * è possibile.

L´uso della wildcard * è possibile. Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Nota: I termini filtro inseriti nel Runtime o nell´Editor vengono salvati automaticamente anche sul calcolatore locale nello zenon6.ini e sono disponibili nella lista a discesa dove potranno essere selezionati per l´uso.

Attenzione Case Sentitive

Attivo: si tiene presente la scrittura maiuscola e minuscola al momento di effettuare il filtro sulla base dei nomi o/e delle identificazioni variabili.

Tipo di allarme

Parametro

Descrizione

Tipo di allarme

Tipo degli allarmi che vengono visualizzati.

Solo allarmi non ripristinati

Attivo: Vengono visualizzati solo gli allarmi che non sono stati ancora ripristinati dall´utente.

Solo allarmi usciti

Attivo: Vengono visualizzati solamente gli allarmi che sono già usciti, il che significa che non si trovano più in zona critica.

Solo allarmi pendenti

Attivo: Vengono visualizzati solamente gli allarmi che sono ancora in attesa, i cui valori, cioè, si trovano ancora in zona critica.

Commento obbligatorio

Attivo: Vengono visualizzati solamente gli allarmi per cui esiste un obbligo di commento quando se ne effettua il ripristino.

Allarmi devono essere presenti da almeno

Definite con l´aiuto di Spincontrol per quanto tempo un allarme deve essere in attesa prima di essere visualizzato. Impostazioni possibili:

  • Giorni
  • Ore (Std.)
  • Minuti (Min.)
  • Secondi (Sek.)
  • Millisecondi (ms)

Origine dati

Parametro | Descrizione
Origine dati | Visualizzazione di alarmi attuali o attuali e storici.
Buffer circolare | Attivo: Vengono visualizzati solamente i dati provenienti dal Buffer circolare .
Dati storici Numero massimo | Attivo: Vengono visualizzati i dati provenienti dal buffer circolare e quelli storici della AML. Il numero massimo dei dati da visualizzare include quelli provenienti dal buffer circolare.

Gruppi/Classi- allarmi/eventi, Aree d' allarme

Parametro | Descrizione
Gruppi/Classi- allarmi/eventi, Aree d' allarme | Selezione di gruppi, classi e aree allarmi.
Gruppi di allarmi/evento | Selezionate nella lista dei Gruppi allarmi/eventi esistenti quelli da cui devono provenire gli allarmi da visualizzare.
Classi di allarme/evento | Selezionate nella lista delle Classi allarmi/eventi esistenti quelli da cui devono provenire gli allarmi da visualizzare.
Aree allarmi | Selezionate nella lista delle Aree allarmi esistenti quelli da cui devono provenire gli allarmi da visualizzare. Nota: Se è attiva l´opzione gerarchia allarmi via modello di impianto, la colonna "Area allarmi" è vuota.
Impostazioni Runtime | Comportamento della AML durante il runtime.
Apri lista bloccata | Attivo: Finché la lista viene visualizzata, non vengono aggiunti nuovi inserimenti.


Testo

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi Filtro -> Testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Filtra

Parametro | Description (Descrizione)
Filtra |
Nessun Filtro testo | Il filtro di testo non viene utilizzato.
Ricerca di (parole separate da spazi vuoti). | Il filtro testo viene utilizzato. Le ulteriori opzioni sono accessibili.
Campo di inserimento | Indicate le parole, oppure le sequenze di caratteri corrispondenti.

Opzioni

Parametro | Description (Descrizione)
Opzioni |
Attenzione Case Sentitive | Attivo: nell´effettuare l´operazione di filtro, il sistema distingue fra lettere maiuscole e minuscole.
Le parole non devono essere presenti nel testo nella loro interezza. | Attivo: si prendono in considerazione anche parti di parole nell´effettuazione dell´operazione di filtro.
Perlomeno una parola deve essere presente nel testo | Attivo: Almeno una parola della stringa di ricerca deve figurare nel testo.
Tutte le parole devono essere presenti nel testo | Attivo: tutte le parole della stringa di ricerca devono essere presenti nel testo La successione non ha nessuna importanza.
Testo filtro deve essere presente nel testo in modo esatto | Attivo: il testo deve essere esattamente come definito nella stringa di ricerca.


Ora

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi Filtro -> Ora

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda definite l´intervallo di tempo che deve essere usato all´apertura dell´immagine filtro.

I dettagli sulle opzioni filtro/tempo le trovate nel capitolo Filtri per cambio ad immagine Lista di informazione allarmi/Tempo.

Filtro

Scelta del filtro.

Parametro

Description (Descrizione)

Nessun filtro tempo

Attivo: Non viene usato nessun filtro temporale.

Nota: Nel Runtime verranno visualizzati tutti gli inserimenti a partire da 1. 1. 1990.

Filtro assoluto

Attivo: Viene indicato un periodo di tempo fisso nell´editor. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato.

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Periodo relativo

Attivo: Viene indicato un periodo di tempo relativo.

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attivo: Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione dell´area fra quelle della lista a cascata:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo tempo

Attivo: Viene indicato un intervallo di tempo fisso. Selezione dell´area fra quelle della lista a cascata:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 Minuti
  • 30 Minuti
  • 60 Minuti

Nel settore "Impostazioni"vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudi finestra di dialogo

Parametro | Description (Descrizione)
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Lotti

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi Filtro -> Lotti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda potete stabilire quali lotti devono essere visualizzati.

Filtro

Impostazioni per l´uso del filtro lotti. Selezione di una delle opzioni:

  • Nessun filtro lotti
  • Usa direttamente filtro lotti
Parametro | Descrizione
Nessun filtro lotto | Attivo: Il filtro lotti viene disattivato e non può essere configurato. Nel Runtime non si effettuerà un´operazione filtro a base lotti.
Usa direttamente filtro lotti | Attivo: il filtro configurato in questa sede verrà utilizzato direttamente nel Runtime.

Archivio(i)

Configurazione delle operazioni di filtro su base archivi. Selezione di una delle opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametro

Descrizione

Nessun filtro

Attivo: non si effettua un´operazione di filtro su base nome archivi.

Statico

Attivo: si effettua un´operazione di filtro sulla base degli archivi la cui identificazione corrisponde alla successione caratteri indicata nel campo di inserimento.

Inserimento di identificazioni archivi nel campo di inserimento:

  • Più identificazioni sono divise mediante una virgola (,).
  • * oppure spazio vuoto: tutti gli archivi, nessun filtro.

Da variabile

Attivo: Nel Runtime viene usato il valore della variabile collegata qui come filtro per nomi archivi.

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Disponibile per tutti i moduli solo se è stata selezionata l´opzione Usa direttamente filtro lotti.

Informazioni concernenti le variabili nel Runtime:

  • Nel Runtime, la selezione variabili viene attivata solamente nel caso in cui si sia proceduto a collegare già nell´Editor una variabile valida. Il pulsante ... non è mai attivo nel Runtime. È dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, essa verrà registrata e letta. Ciò può causare dei ritardi nel caso di connessioni driver e protocolli lenti.

Attenzione: se il sistema non trova la variabile selezionata nel Runtime, non verrà effettuata alcuna operazione di filtro sulla base di nomi archivio. Ciò vale anche se risulta impossibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Nome(i)

Configurazione dell´operazione di filtro sulla base dei nomi. Selezione di una delle opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametro

Descrizione

Nessun filtro

Attivo: non si effettua un´operazione di filtro su base nome lotti.

Statico

Attivo: si effettua un´operazione di filtro sulla base dei nomi archivi che corrispondono alla successione caratteri indicata nel campo di inserimento.

Inserimento del nome lotto nel campo di inserimento:

  • Più identificazioni sono divise mediante un segno pipe (|).
  • * oppure spazio vuoto: tutti i lotti di tutti gli archivi visualizzati, nessun filtro.

Da variabile

Attivo: Nel runtime viene usato il valore della variabile collegata in questa sede come filtro per nomi lotti.

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Disponibile se è stata selezionata l´opzione Usa direttamente filtro lotti.

Informazioni concernenti le variabili nel Runtime:

  • Nel Runtime, la selezione variabili viene attivata solamente nel caso in cui si sia proceduto a collegare già nell´Editor una variabile valida. Il pulsante ... non è mai attivo nel Runtime. È dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.

Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, essa verrà registrata e letta. Ciò può causare dei ritardi nel caso di connessioni driver e protocolli lenti.

Attenzione: se il sistema non trova la variabile selezionata nel Runtime, non verrà effettuata alcuna operazione di filtro sulla base di nomi lotti. Ciò vale anche se risulta impossibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostazioni colonna

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi Filtro -> Impostazioni colonna

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda definite in che modo la Lista archivi e la Lista lotti devono essere visualizzate nel runtime a partire dall´immagine del tipo Filtro tempo /lotto :

  • Selezione delle colonne che devono essere visualizzate.
  • Ordine delle colonne
  • Formattazione delle colonne:
    • Descrizione
    • Larghezza
    • Orientamento

Lista archivi

Parametro | Descrizione
Lista archivi | Configurazione della lista archivi Visualizzazione delle colonne configurate.
Scelta colonne | Cliccando sul pulsante si apre il dialogo per la selezione delle colonne e la loro organizzazione in una successione..
Formato colonne | Cliccando sul pulsante si apre il dialogo per formattare la lista.

Lista Lotti

Parametro | Descrizione
Lista Lotti | Configurazione della lista lotti. Visualizzazione delle colonne configurate.
Scelta colonne | Cliccando sul pulsante si apre il dialogo per la selezione delle colonne e la loro organizzazione in una successione..
Formato colonne | Cliccando sul pulsante si apre il dialogo per formattare la lista.
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Noch in diesem Kapitel

Scelta colonne

Formato colonne


Scelta colonne

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi Filtro -> Impostazioni colonna -> Scelta colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Scelta colonne

Selezione e successione delle colonne.

Pulsante | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate da quelle disponibili a quelle selezionate. Dopo aver confermato il dialogo cliccando su OK, verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutte -> | Sposta tutte le colonne disponibili nelle colonne selezionate.
<- Cancella | Elimina le colonne evidenziate dalle selezionate e le visualizza nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, esse vengono eliminate dalla visualizzazione dettagliata.
<- Cancella tutte | Cancella tutte le colonne dalla lista delle colonne selezionate.
In su | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
In giù | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Formato colonne

Manuale -> Gestione allarmi -> Progettare allarmi -> Progettazione degli allarmi mediante filtri -> Filtri per cambio ad immagine lista allarmi Filtro -> Impostazioni colonna -> Formato colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Formato colonne

Configurazione delle proprietà delle colonne per le liste. Le impostazioni hanno effetto sulla lista corrispondente nell´Editor, oppure (nel caso di configurazione di un cambio immagine) nel Runtime.

Colonne disponibili

Parametri | Descrizione
Colonne disponibili | Lista delle colonne disponibili usando la Selezione colonne. La colonna evidenziata viene configurata tramite le opzioni nella sezione Impostazioni.

Impostazioni

Parametri

Descrizione

Impostazioni

Impostazioni per colonna selezionata.

Descrizione

Titolo della colonna

Il titolo colonna è traducibile online. Per poterlo tradurre, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene via pulsanti di opzione.

Impostazioni possibili:

  • Orientamento a sinistra: nella colonna, il testo si dispone prendendo come riferimento il bordo sinistro.
  • Centrato: nella colonna, il testo si dispone in posizione centrale.
  • Orientato a destra: nella colonna, il testo si dispone prendendo come riferimento il bordo destro.

Disattiva filtro colonne a Runtime

Attivo: Il filtro per questa colonna non può essere modificato durante il Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager Gruppi di Ricette

Colori definiti da utente

Proprietà per l´impostazione dei colori per ogni colonna definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto su Editor e Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per liste configurabili.
  • A Runtime, inoltre, può essere evidenziato il focus in un lista mediante diversi colori di testo e di sfondo. La configurazione di tali colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attivo: Vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando su "Colore", si apre la tavolozza che serve alla selezione di un colore.

Colore di sfondo

Colore per la visualizzazione dello sfondo delle celle. Cliccando su "Colore", si apre la tavolozza che serve alla selezione di un colore.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Funzioni

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tramite funzioni si può gestire durante il Runtime la visualizzazione e la gestione della Lista allarmi.

attention Attenzione

Se le funzioni sono usate in rete, tenete presente il loro luogo di esecuzione.

Noch in diesem Kapitel

Cambio ad un´immagine AML

Cambio ad immagine AML Filtro

Funzioni per la gestione allarmi


Cambio ad un´immagine AML

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Cambio ad un´immagine AML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aprire un´immagine del tipo Lista allarmi durante il Runtime:

  1. impostate una Immagine del tipo Lista allarmi
  2. create una funzione Cambio immagine per questa immagine.
  3. definite le Proprietà di filtro desiderate

È possibile modificare queste proprietà di filtro durante il Runtime. Eccezione: Nell´Editor sono stati definiti filtri di tempo fissi.

Progettare cambio immagine

Per impostare un cambio immagine per passare ad un´immagine del tipo AML:

  1. selezionare nel menù contestuale del nodo Funzione il comando Nuova funzione
  2. cliccate su Cambio immagine.
  3. si apre il dialogo che serve alla selezione immagine
  4. selezionate l´immagine del tipo Allarme
    , oppure createla in questo dialogo cliccando sul simbolo Nuova immagine
  5. viene aperto il filtro con tutte le schede:
    • Generale
    • Ora
    • Lotti
    • Definizione colonne
    • Testo
    • Stato
    • Progetto (è a disposizione solamente nel Progetto di integrazione del Progetto multiuser.)
    • Progettazione impianto

    Se ci sono variabili o indici collegati, c´è anche la possibilità di visualizzare le seguenti schede:

    • Sostituisci collegamenti
    • Sostituisci indici

  6. stabilite quale filtro deve essere quello predefinito nel Runtime
  7. confermate le impostazioni e chiudete il dialogo cliccando su OK
  8. collegate la funzione con un pulsante che serve a passare all´immagine durante il Runtime e far sì che le proprietà di filtro vengano messe a disposizione dal sistema.

info Informazioni su

Se ci si referenzia ad un immagine che non ha un filtro tempo, i Filtri tempo vengono disattivati.

Noch in diesem Kapitel

Cambio ad immagine AML


Cambio ad immagine AML

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Cambio ad un´immagine AML -> Cambio ad immagine AML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando di imposta un cambio ad un´immagine del tipo AML, il sistema offre diversi filtri. Per i dettagli, vedi capitolo Progettazione allarmi tramite filtri, capitolo Filtri per cambio immagine Lista allarmi.


Cambio ad immagine AML Filtro

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Cambio ad immagine AML Filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aprire un´immagine del tipo Lista allarmi Filtro durante il Runtime:

  1. impostate una Immagine del tipo Lista allarmi Filtro
  2. create una funzione Cambio immagine per questa immagine.
  3. definite le Proprietà di filtro desiderate

Le proprietà di filtro possono essere gestite durante il Runtime solamente tramite i pulsanti definiti nell´immagine.

Progettare cambio immagine

Per impostare un cambio immagine per passare ad un´immagine del tipo Lista allarmi Filtro:

  1. selezionate nel menu contestuale del nodo Funzione il comando Nuova funzione
  2. cliccate su Cambio immagine.
  3. si apre il dialogo che serve alla selezione immagine
  4. selezionate l´immagine del tipo Lista allarmi Filtro
    , oppure createla in questo dialogo cliccando sul simbolo Nuova immagine
  5. viene visualizzato il filtro con tutte le schede:
    • Immagini
    • Generale
    • Testo
    • Ora

  6. stabilite quale filtro deve essere quello predefinito nel Runtime
  7. confermate le impostazioni e chiudete il dialogo cliccando su OK
  8. collegate la funzione con un pulsante che serve a passare all´immagine durante il Runtime e far sì che le proprietà di filtro vengano messe a disposizione dal sistema.

Noch in diesem Kapitel

Filtro Cambio immagine AML Filtro


Filtro Cambio immagine AML Filtro

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Cambio ad immagine AML Filtro -> Filtro Cambio immagine AML Filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando di imposta un cambio ad un´immagine del tipo AML, il sistema offre diversi filtri. Per i dettagli, vedi capitolo Progettazione allarmi tramite filtri, capitolo Filtri Lista allarmi Filtri.


Funzioni per la gestione allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Diverse funzioni consentono la gestione di allarmi durante il Runtime.

Per creare una funzione per la gestione allarmi:

  1. navigate per raggiungere il nodoFunzioni
  2. selezionate nel menu contestuale oppure nella barra dei simboli il comando Nuova funzione
  3. si apre il dialogo per selezionare le funzioni
  4. navigate per raggiungere il nodoAML/CEL

  5. Selezionate la funzione desiderata.
  6. configurate la funzione, se necessario
  7. collegate la funzione ad un bottone

Noch in diesem Kapitel

Collegare/scollegare gruppo allarmi/eventi

Ripristina lampeggio allarmi

Elimina allarmi

Ripristina allarmi

Lista di informazione allarmi attiva

Lista di informazione allarmi attiva/disattiva

Disattiva allarmi

Lista informazione allarmi, Gruppi/Classi d' allarme/eventi attivazione/disattivazione

Esporta allarmi

Salva buffer AML-CEL

Stampa lista allarmi o CEL

Stampa online on/off

Inizia una nuova pagina per la stampa online

Cambio stampa online


Collegare/scollegare gruppo allarmi/eventi

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Collegare/scollegare gruppo allarmi/eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al fine di ottimizzare le prestazioni della connessione, è possibile procedere a disattivare di Gruppi allarmi/eventi non necessari. La conseguenza pratica di ciò è che le variabili corrispondenti non saranno più richieste dal driver.

Per utilizzare questa funzione, dovete fare quanto segue:

  1. definire l´azione: logout o login
  2. definire il gruppo allarmi/eventi
    (si può definire solo un gruppo pro funzione)

Gruppo allarmi/eventi

Parametro

Descrizione

Azione

Definisce l´azione. Azioni possibili:

  • Logout: disattiva un gruppo allarmi-eventi.
  • Login: attiva un gruppo allarmi-eventi

Gruppo allarmi/eventi

Selezione del gruppo-allarmi/eventi Cliccando sul pulsante si apre il dialogo per selezionare il gruppo.

Ok

Conferma l´inserimento e chiude il dialogo.

Annulla

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online

P.es.:

Nel PLC viene creato un bit di raccolta allarmi. Quando questo bit viene settato avviene tramite la gestione dei variabili la chiamata in funzione Attiva gruppo allarmi/eventi. Vengono richieste le variabili i cui valori vengono poi controllati in zenon. Si può poi procedere a resettare il bit nel PLC. Facendo uso di un valore limite, si può poi procedere a disattivare il gruppo allarmi/eventi. All´avvio del programma vengono richieste tutte le variabili.


Ripristina lampeggio allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Ripristina lampeggio allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si Ripristina lampeggio durante il Runtime, viene resettato solamente l´attributo lampeggio della variabile di processo e il lampeggio di tutti gli elementi grafici presenti in tutte le immagini che usano questa variabile. L´inserimento nella lista allarmi non viene ripristinato - a meno che non sia attiva la proprietà Riconoscimento dal lampeggio.

Nota: Questa funzione non è identica alla proprietà Riprendi il lampeggio dal valore limite, che viene definita per ogni elemento nel gruppo Riprendi il lampeggio dal valore limite delle proprietà dell´elemento. La funzione si riferisce al lampeggio del contenuto dell´elemento, per esempio, il testo. La proprietà Riprendi il lampeggio dal valore limite si riferisce all´intero elemento.

Progettare una funzione

Per ripristinare il lampeggio di allarmi durante il Runtime:

  1. create una nuova funzione
  2. selezionate nel gruppo Allarmi ed eventi la funzione Ripristina lampeggio allarmi
  3. Selezionate il modello desiderato.
  4. nel caso di un sistema multi-monitor, selezionate a questo punto il monitor desiderato

Ripristina lampeggio allarmi

Parametro

Descrizione

Ripristina lampeggio allarmi

Configurazione di quali sono gli allarmi il cui lampeggio deve essere ripristinato.

Tutti gli allarmi nel modello

Verrà ripristinato il lampeggio di tutti gli allarmi delle immagini di un modello con il nome selezionato, anche se esso è aperto più volte,

Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello. Per i dettagli vedi la sezione Dialogo Selezione modelli.

Tutti gli allarmi in modello aprente

viene riconosciuto il lampeggio degli allarmi sull´immagine del modello aprente. Se si sceglie questa opzione, non si potrà configurare manualmente la selezione monitor.

Selezione monitor

Parametro

Descrizione

Selezione monitor

Configurazione del monitor per il quale viene configurato il ripristino del lampeggio degli allarmi.

Monitor

Selezione del monitor fra quelli della lista.

  • Tutti i monitor
  • Monitor attuale
  • Selezione di un monitor virtuale

È disponibile solo nel caso Sistemi multi-monitor, e solo per l´opzione Tutti gli allarmi nel modello.

Ok

Accetta le impostazioni e chiude il dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

Noch in diesem Kapitel

Dialogo Selezione modelli

Esempi di Ripristina lampeggio allarmi nel Runtime


Dialogo Selezione modelli

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Ripristina lampeggio allarmi -> Dialogo Selezione modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Dialogo Selezione modelli

Nella finestra di dialogo Selezione modelli si può procedere alla selezione di modelli per l´esecuzione di funzioni; essi provengono da:

  • progetto attuale
  • sotto-progetti
  • tutti i progetti del workspace con l´opzione Mantieni progetto in memoria attiva

Parametro | Descrizione
Finestra Albero di progetto | Mostra tutti i progetti del workspace Si può procedere alla scelta di modelli selezionandoli tra quelli del progetto attuale, o fra quelli di tutti i progetti in cui l´opzione Mantieni progetto in memoria sia attiva
Finestra Modelli | Selezione di un modello. Se si selezionano più modelli, per l´esecuzione della funzione viene utilizzato il modello che si trova in cima alla lista.
Nessuna selezione | Elimina la selezione e chiude il dialogo.
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Esempi di Ripristina lampeggio allarmi nel Runtime

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Ripristina lampeggio allarmi -> Esempi di Ripristina lampeggio allarmi nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Esempi di Ripristina lampeggio allarmi nel Runtime

Esempio 1

Si è configurato quanto segue:

  • Modello_1 (rosso) con le variabili Var_1, Var_2 e Var_3
  • Modello_2 (verde) con le variabili Var_1 e Var_2.

Situazione di partenza:

  • Sul Monitor_1 è aperto il Modello_1.
  • Sul Monitor_2 è aperto il Modello_2.
  • In seguito ad una violazione di valore limite, tutte e tre le variabili lampeggiano.

Reazioni all´esecuzione della funzione Ripristina lampeggio allarmi :

  • Esecuzione su Modello_2 su Monitor_1: Non accade nulla, visto che questo modello non è presente sul Monitor_1.
  • Esecuzione su tutti i monitor oppure su Monitor_2: Per tutte le variabili del modello viene ripristinato il lampeggio.
    Ciò significa: viene ripristinato il lampeggio di Var_1 e Var_2. Var_3 continua a lampeggiare.

Esempio 2

Su Modello_1 si trova un Pulsante_1. Questo ripristina il lampeggio del modello che apre. Se si usa questo pulsante, viene ripristinato il lampeggio di Var_1, Var_2 e Var_3.

Esempio 3

Situazione di partenza:

  • Modello_1 (rosso) è stato aperto 4 volte su Monitor_1. Questo modello contiene determinate variabili. Tuttavia, esso contiene a causa di sostituzioni in ogni modello altre variabili. L´unica variabile in comune è Var_1.
  • Modello_2 (blu) è aperto su Monitor_2. Questo modello contiene altre variabili rispetto a Modello_1.

Reazioni all´esecuzione della funzione Ripristina lampeggio allarmi :

Se si ripristina il lampeggio di Modello_1 su questo monitor - oppure su tutti i monitor -, accade quanto segue:

  • viene ripristinato il lampeggio del comando su tutti i modelli su questo monitor
  • e in tal modo anche su tutte le variabili del Modello_1

    Ciò significa:

    • viene ripristinato il lampeggio delle variabili da Var_1 aVar_5.
    • Le variabili da Var_7 a Var_9 continuano a lampeggiare.


Elimina allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Elimina allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per cancellare una serie di allarmi sulla base di criteri di filtro, usate la funzione Elimina allarmi:

  1. create una nuova funzione
  2. selezionate Elimina allarmi
  3. si apre il dialogo che serve alla selezione dei criteri di filtro
    (in modo analogo ai criteri di filtro nel cambio immagine)

  4. definite i criteri per:
    • Generale
    • Ora
    • Testo
    • Imposta stati
  5. collegate la funzione ad un bottone

Diritti utente

Potete attribuire le funzioni Ripristina allarmie Cancella allarmi ad un gruppo utenti facendo uso delle Autorizzazioni funzioni . In questo caso, solo gli utenti autorizzati potranno ripristinare oppure cancellare degli allarmi.

Inoltre si può settare un ulteriore diritto di gestione per i valori limite delle variabili facendo uso della proprietà Riconoscimento a due stadi nel sottogruppo corrispondente del gruppo Valori limiti. Gli allarmi selezionati possono essere cancellati dalla lista allarmi solamente da persone dotate di una specifica autorizzazione.

Nel caso sia stata impostata la proprietà Riconoscimento a due stadi, gli allarmi verranno eliminati dalla lista di quelli attivi solo dopo che essi siano stati effettivamente cancellati. Il solo ripristino non è sufficiente.

info Informazioni su

E' possibile cancellare degli allarmi solo dopo averli ripristinati.


Ripristina allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Ripristina allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Servendovi di questa funzione, ripristinate durante il Runtime degli allarmi della Lista allarmi. C´è da sottolineare che è possibile anche un Ripristino globale.

Quando si attiva la funzione durante il runtime, si azzera anche l’attributo di lampeggio delle variabili; in tal modo viene azzerato anche l'allarme ad immagine (solo SICAM 230). Gli allarmi selezionati verranno ripristinati.

Per i parametri di trasmissione vedi il capitolo Progettazione allarmi mediante filtri.

Per ripristinare degli allarmi con questa funzione:

  1. create una nuova funzione
  2. selezionate Ripristina allarmi
  3. si apre il dialogo che serve alla selezione dei criteri di filtro
    (in modo analogo ai criteri di filtro nel cambio immagine)

  4. definite i criteri per:
    • Generale
    • Ora
    • Testo
    • Imposta stati
  5. collegate la funzione ad un bottone

Diritti utente

Potete attribuire le funzioni Ripristina allarmie Cancella allarmi ad un gruppo utenti facendo uso delle Autorizzazioni funzioni . In questo caso, solo gli utenti autorizzati potranno ripristinare oppure cancellare degli allarmi.

Inoltre si può settare un ulteriore diritto di gestione per i valori limite delle variabili facendo uso della proprietà Riconoscimento a due stadi nel sottogruppo corrispondente del gruppo Valori limiti. Gli allarmi selezionati possono essere cancellati dalla lista allarmi solamente da persone dotate di una specifica autorizzazione.

Nel caso sia stata impostata la proprietà Riconoscimento a due stadi, gli allarmi verranno eliminati dalla lista di quelli attivi solo dopo che essi siano stati effettivamente cancellati. Il solo ripristino non è sufficiente.

info Informazioni su

E' possibile cancellare degli allarmi solo dopo averli ripristinati.


Lista di informazione allarmi attiva

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Lista di informazione allarmi attiva

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando la si attiva, questa funzione consente durante il Runtime di cambiare lo stato della lista allarmi a attivo.


Lista di informazione allarmi attiva/disattiva

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Lista di informazione allarmi attiva/disattiva

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando la si attiva, questa funzione consente durante il Runtime di cambiare lo stato della lista allarmi da attiva a disattivata e viceversa.


Disattiva allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Disattiva allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando la si attiva, questa funzione consente durante il Runtime di cambiare lo stato della lista allarmi a disattivata.


Lista informazione allarmi, Gruppi/Classi d' allarme/eventi attivazione/disattivazione

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Lista informazione allarmi, Gruppi/Classi d' allarme/eventi attivazione/disattivazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione consente di attivare o disattivare gli allarmi di un determinato gruppo o classe oppure tutti gli allarmi della AML; consente inoltre di passare fra questi due stati.

Al fine di attivare o disattivare degli allarmi:

  1. create una nuova funzione
  2. selezionate Attiva/disattiva lista allarmi/gruppo/classi_ allarmi/eventi.
  3. si apre il dialogo per la selezione degli allarmi
  4. definite i criteri per la funzione
  5. collegate la funzione ad un bottone

Seleziona

Parametro | Descrizione
Seleziona | Selezione degli allarmi.
Gestione allarmi completa | La funzione è valida per la lista allarmi nel suo complesso.
Allarmi del gruppo allarmi/eventi | La funzione vale esclusivamente per un determinato gruppo. Scegli: cliccando sul pulsante, si apre la lista a cascata.
Allarmi della classe allarmi/evento | La funzione vale esclusivamente per una determinata classe. Scegli: cliccando sul pulsante, si apre la lista a cascata.

Attiva/Disattiva

Parametro | Descrizione
Attiva/Disattiva | Azione della funzione.
Attivare | Attiva l´elemento selezionato
Disattiva | Disattiva l´elemento selezionato
Toggle | Cambia stato (attivo/disattivo).


Esporta allarmi

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Esporta allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per mezzo di questa funzione, gli allarmi salvati con criteri di filtro possono essere esportati durante il Runtime in un file o in una banca dati.

Per esportare degli allarmi:

  1. Create una nuova funzione.
  2. Selezionate esporta AML
  3. Si apre il dialogo per la selezione dei criteri di filtro

  4. Definite i criteri per:
    • Formato di esportazione
    • Generale
    • Ora
    • Testo
    • Imposta stati
    • Progettazione impianto
    • Progetto
  5. Collegate la funzione ad un bottone

Noch in diesem Kapitel

Formato di esportazione

CSV: Colonne esportate

dBase: Colonne esportate

SQL: Colonne esportate

XML: Colonne esportate


Formato di esportazione

Formato di esportazione

Si può esportare in diversi formati. Quali colonne vengono esportate e come, dipende dalla fonte (AML/CEL) e dal formato in cui avviene l´export:

I dati vengono esportati in modo diverso per:

  • CSV
  • dBase
  • SQL
  • XML

info Informazioni su

L´export SQL avviene in modo incrementale. Se ci sono già dei dati esportati, vengono esportati solamente quelli nuovi o quelli modificati.

Scelta colonne

La selezione delle colonne da esportare dipende dal formato in cui avviene l´export:

  • CSV, DBF e XML: Selezione tramite il Dialogo della proprietà di progetto Impostazione colonna AML per la AML e Impostazioni colonna CEL per la CEL.
  • SQL: Impostazioni fisse per l´export incrementale, non suscettibili di ulteriore configurazione e modifica.
    Nota: Con la versione 7.20, è stata aggiunta la colonna RESLABEL per Identificazione servizio. Non si può dunque continuare ad usare le tabelle di esportazione già esistenti. La tabella deve essere rinominata per garantire un export corretto.

Configurare export

Formato di esportazione

Parametro

Descrizione

Formato di esportazione

Scelta del tipo file. Formati possibili:

  • dBase: Formato DBaseIV (*.dbf):
  • CSV
  • XML
  • SQL

Da tenere presente per dBase:

  • i nomi file non possono essere piú lunghi di 8 caratteri.
  • La larghezza colonna progettata viene usata per l´export. Se, per esempio, è impostato alla voce Impostazioni colonna un valore di 40 caratteri, verranno esportati al massimo solo 40 caratteri.
  • Vengono impostati al massimo255 caratteri.

Opzioni

Parametro | Descrizione
Opzioni |
Esporta in Unicode | Esportazione in ASCII effettuata in Unicode.
Esportare in modo incrementale | Vengono esportate solamente le differenze rispetto all´export precedente.

Esporta su file

Parametro

Descrizione

Esporta su file

Decisione di in quale file deve essere salvato l´export.

Nome file

Imposta il nome file individualmente.

Al massimo 32 caratteri alfanumerici, inclusa fine nome file.

Nota: i file esistenti che portano lo stesso nome vengono sovrascritti.

Genera automaticamente nome file

Attivo : Il nome file si genera automaticamente da una breve identificazione, da una chiave giornaliera e da un postfix individuale.
Disattivata: Il nome file viene indicato dall´utente alla voce Nome file .

(File esistenti non vengono sovrascritti.)

Per i dettagli, vedi prossima tabella: Codificazione nome per assegnazione nome automatica

Suffisso

Identificazione libera, individuale. È a disposizione solamente per Genera automaticamente nome file.

Possibili inserimenti:

  • dBase: 1 caratteri alfanumerici
  • ASCII e XML: 32 caratteri alfanumerici

P.es.:

Visualizzazione del nome file completo nel caso di generazione automatica.

Cartella di esportazione configurata

Visualizzazione del percorso di esportazione attualmente impostato nelle proprietà di progetto. (Proprietà Cartella Runtime nel nodo Generale/Nome/Cartella.)

Esporta su database SQL

Parametri per l´export in una banca dati SQL

Connessione database

Configurazione della connessione alla banca dati. Un clic sul comando ... apre il dialogo di configurazione.

Tabella

Selezione della tabella in cui si deve scrivere.

Codificazione nome per assegnazione nome automatica

Nome

AJJMMTTP.XXX

A

Identificazione breve della Lista allarmi

AAMMGG

Indicazione della data:

  • AA: anno, a due cifre
  • MM: mese, a due cifre
  • GG: giorno, a due cifre

P

Identificazione libera, individuale:

  • dBase: 1 caratteri alfanumerici
  • ASCII e XML: 32 caratteri alfanumerici

XXX

Fine del file:

  • DBF: dBase
  • TXT: CSV
  • XML: XML

Formale

  • Formato degli inserimenti di riga: viene ripreso dalle impostazioni della proprietà Impostazione colonna AML o.Impostazioni colonna CEL.
  • Separatore di colonne: punto e virgola (;)

attention Attenzione

Millisecondi per stampa e export

Nel caso in cui, stampando o esportando la AML o la CEL in CSV, XML oppure dBase, il tempo debba essere indicato in millisecondi, questa proprietà deve essere attivata nel Dialogo per le impostazioni di colonna. A tale scopo:

  • Navigate all´interno delle proprietà di progetto e passate al nodo Lista di informazione allarmi oppure a Lista eventi cronologica (CEL)
  • Cliccate sul pulsante ... della proprietà Impostazione colonna AML oppure di Impostazioni colonna CEL
  • Si aprirà il dialogo per la impostazione colonna
  • Attivate la checkbox della proprietà millisecondi

L´impostazione deve essere effettuata separatamente per AML e CEL.

Indicazioni su SQL

attention Attenzione

Assicuratevi che nel Runtime il provider configurato nella connessione sia disponibile sul computer Runtime.

Nota: Con l´Editor di zenon viene installato anche un client SQL. Visto che il Runtime di zenon non ha bisogno di un server SQL, non viene installato automaticamente nessun client SQL. Lo si può però scaricare dalla Web site di Microsoft; dovrà poi essere installato individualmente.

Al momento dell´installazione del provider, fate attenzione di installare la versione corretta. Quest´ultima deve andar bene con la versione di zenon usata. Ciò significa: Se si usa una versione a 32-Bit del Runtime di zenon, anche il provider deve essere una versione a 32-Bit. Ciò vale anche se esso viene installato su un sistema operativo a 64-Bit, e anche quando la stessa banca dati è un´applicazione a 64-Bit.

attention Attenzione

Quando si usano il Native Client 10 e 11, la password non viene ripresa automaticamente nella stringa provider. Essa deve essere inserita manualmente.

Per esempio: ...;User ID=sqlExampleUser1;Password=secretPassword;...


CSV: Colonne esportate

CSV: Colonne esportate

L´export in CSV serve soprattutto a rendere possibile l´elaborazione in altre applicazioni. I dati vengono esportati in conformità a quanto selezionato in Impostazione colonna AML o Impostazioni colonna CEL:

  • Vengono esportati solo i dati delle colonne selezionate.
  • La successione nel file di export corrisponde a quella definita nel finestra di dialogo.
  • Carattere di separazione: punto e virgola (;)
  • I titoli di colonna non vengono esportati.


dBase: Colonne esportate

dBase: Colonne esportate

Per l´export in un file dBase, i dati vengono esportati in conformità a quanto definito in Impostazione colonna AML o Impostazioni colonna CEL:

  • Vengono esportati solo i dati delle colonne selezionate.
  • La successione nel file di export è definita in modo fisso.

Colonne nella successione esportata:

Colonna | Tipo | Dimensione | Descrizione
DATUM_KOMM | Date | 8 | Allarme arrivato Data.
ZEIT_KOMMT | Character | 10 | Allarme arrivato Tempo.
MILLI_KOMM | Numeric | 3 | Allarme arrivato Millisecondi.
DATUM_GEHT | Date | 8 | Allarme uscito: Data.
ZEIT_GEHT | Character | 10 | Allarme uscito: Tempo.
MILLI_GEHT | Numeric | 3 | Allarme uscito: Millisecondi.
DATUM_OK | Date | 8 | Allarme ripristinato: Data.
ZEIT_OK | Character | 10 | Allarme ripristinato: Tempo.
ALARMTEXT | Character | 40 | Testo valore limite.
TAG_NR | Character | 40 | Identificazione variabile.
KOMMENTAR | Character | 45 | Commento.
STATUS | Character | 4 | Stato della variabile.
DATUM_REA | Date | 8 | Allarme riattivato: Data.
ZEIT_REA | Character | 10 | Allarme riattivato: Tempo.
MILLI_REA | Character | 3 | Allarme riattivato: Frazione di millisecondo.
ANZ_REA | Character | 3 | Allarme riattivato: Contatori.
STAT_REA | Character | 1 | Allarme riattivato: Stato variabili.
WERT | Character | 10 | Valore variabili.
USER | Character | 6 | Identificazione utente.
COMPUTER | Character | 48 | Nome PC.
VAR_NAME | Character | 32 | Nome variabile.
RESLABEL | Character | 15 | Identificazione servizio
PROJ_NAME | Character | 31 | Nome progetto.
CLASS | Character | 31 | Nome della classe di allarme.
GROUP | Character | 31 | Nome del gruppo di allarme.


SQL: Colonne esportate

SQL: Colonne esportate

Per l´export SQL, i dati vengono esportati in una successione definita in modo fisso.

Colonne nella successione esportata:

Colonna | Tipo | Descrizione
[VAR] | varchar(128) | Nome variabile.
[TAG] | varchar(128) | Identificazione variabile.
[RESLABEL] | varchar(128) | Identificazione servizio
[TEXT] | varchar(1024) | Testo valore limite.
[COMES_S] | int | Allarme arrivato; in tempo Unix (secondi dal 01/01/1970).
[COMES_MS] | int | Allarme arrivato Frazione di millisecondo.
[GOES_S] | int | Allarme uscito; in tempo Unix (secondi dal 01/ 01/1970).
[GOES_MS] | int | Allarme uscito: Frazione di millisecondo.
[QUIT] | int | Allarme ripristinato; in tempo Unix (secondi dal 01/ 01/1970).
[STATUS] | int | Stato della variabile.
[VALUE] | varchar(128) | Valore variabili.
[USERID] | varchar(128) | Identificazione utente.
[COMP] | varchar(128) | Nome PC.
[REACT_S] | int | Allarme riattivato; in tempo Unix (secondi dal 01/ 01/1970).
[REACT_MS] | int | Allarme riattivato: Frazione di millisecondo.
[REACT_COUNT] | int | Allarme riattivato: Contatori.
[REACT_STAT] | int | Allarme riattivato: Stato variabili.
[ACT_TEXT] | varchar(128) | Allarme: Commento.
[PRJ] | varchar(128) | Nome progetto.
[CLASS] | varchar(128) | Nome della classe di allarme.
[GROUP] | varchar(128) | Nome del gruppo di allarme.
[LASTING_S] | int | Allarme in attesa in secondi.
[LASTING_MS] | int | Allarme in attesa. Frazione di millisecondo.
[CLASS_NR] | int | ID-Classi di allarmi
[GROUP_NR] | int | ID-Gruppi di allarmi
[USERNAME] | varchar(128) | Nome utente.


XML: Colonne esportate

XML: Colonne esportate

Per l´export in un file XML, i dati vengono esportati in conformità a quanto definito in Impostazione colonna AML o Impostazioni colonna CEL:

  • Vengono esportati solo i dati delle colonne selezionate.
  • La successione nel file di export corrisponde a quella definita nel finestra di dialogo.
  • I titoli di colonna vengono usati come tag. Tutti i caratteri non consentiti vengono cancellati e sostituiti prima dell´export.
    Regole per la sostituzione:
    • Spazio vuoto: trattino basso (_)
    • Altri caratteri proibiti: Lineetta (-).


Salva buffer AML-CEL

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Salva buffer AML-CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per mezzo di questa funzione, il contenuto del buffer circolare per allarmi e eventi, nonché i valori delle variabili matematiche possono essere salvati durante il Runtime. Gli inserimenti vengono salvati nei seguenti file:

File | Contenuto | Grandezza impostabile mediante la proprietà
ALARM.BIN | Allarmi | Dimensione buffer circolare
CEL.BIN | Inserimenti della lista eventi cronologica | Dimensione buffer circolare
SY_MA32.BIN | Valori di variabili matematiche (p.e. contatori) |

Per salvare il buffer circolare AML:

  1. create una nuova funzione
  2. selezionate Lista allarmi e CEL: Salvataggio buffer circolare
  3. collegate la funzione ad un bottone


Stampa lista allarmi o CEL

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Stampa lista allarmi o CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione, gli allarmi salvati con condizioni di filtro possono essere emessi tramite una stampante durante il Runtime.

Per configurare la funzione:

  1. create una nuova funzione
  2. selezionate Stampa AML o CEL
  3. si apre il dialogo per la selezione della lista

  4. selezionate Lista allarmi
  5. si apre il dialogo per la selezione dei criteri di filtro
  6. definite i criteri per:
    • Generale
    • Ora
    • Testo
    • Imposta stati
    • Carattere: selezione fra i caratteri definiti in zenon
  7. collegate la funzione ad un bottone

info Informazioni su

Durante il Runtime non si può passare fra CEL e AML. Per poter stampare entrambe le liste, si deve procedere a progettare due funzioni.

struttura riga

Data/Ora ingresso | Data/ora uscita | Data/ora tacitato | Testo lungo | Testo di stato

La parole chiave a disposizione per il file di formattazione (ALAR.FRM per stampa online e ALAR_G.FRM per stampa offline) ed esempi del loro uso, li trovate nel capitolo File di configurazione FRM nella sezione Gestione durante il Runtime.

Il file FRM si suddivide in tre parti:

  • Parte iniziale: Inizio pagina
  • Parte lista: Ciclica per riga
  • Piè di pagina: in fondo alla pagina

Principi fondamentali

Quando modificate i file FRM tenete presente:

  • separazione delle parti:
    • Inizio, parte lista e fine sono separati da %%.

      L’impostazione della struttura può essere utilizzata solamente una volta per la parte lista e la parte finale.

    • Attenzione: all´ultima riga devono seguire perlomeno due paragrafi vuoti. Altrimenti il piè di pagina non viene stampato!
  • Posizionamento dei singoli inserimenti:
    possono essere usati solamente degli spazi vuoti, nessun tab.
  • Modifica del file FRM in un Editor di testi:
    Il cambio riga automatico deve essere disattivato, perché altrimenti possono verificarsi degli effetti indesiderati nella formattazione.

Parole chiave

L´impostazione della lunghezza pagina si effettua nelle proprietà di progetto alla voce AML e CEL, oppure ci si serve dei file ALARM.frm oder ALAR_G.frm per AML oppure. BTB.frm und BTB_G.frm per CEL.

Attenzione:

  • la quantità di allarmi visualizzati per pagina risulta dal numero di righe impostato dall'utente (per esempio Righe per pagina 72) meno le righe utilizzate per l'intestazione pagina e per il piè di pagina..
  • Per potere utilizzare le parole chiave che analizzano la riattivazione (tempo, quantità) deve essere impostata l`opzione Utilizza tempo di riattivazione nella Lista di informazione allarmi.
  • Nel file di formattazione è inoltre possibile usare testi e parole chiave. Le parole chiave possono essere usate in tedesco o in inglese. Si consiglia l´uso di parole chiave inglese.
  • Non ogni parola chiave è adatta per ogni tipo di stampa (AML, CEL, online, offline).

La seguente tabella contiene le parole chiave in tedesco e inglese e le possibilità di sostituzione:

Deutsch (Tedesco) | Inglese | AML Offline | CEL Offline | AML Online | CEL Online | Descrizione
Parole chiave per la parte liste
@BMKENNUNG | @RESOURCELABEL | X | X | X | X | Identificazione servizio
@DATZEITKOMMT | @DTRECEIVED | X | X | X | X | Data e momento della comparsa dell´allarme
@DATZEITGEHT | @DTCLEARED | X | - | X | - | Data e momento della fine dell´allarme
@DATZEITOK | @DTACK | X | - | X | - | Data e momento del ripristino dell´allarme
@DATZEITREAKT | @DTREACTIVATE | X | - | X | - | Data e momento della riattivazione: La proprietà Utilizza tempo di riattivazione delle proprietà di progetto deve essere attivata.
@DATZEIT | @DTLASTEVENT | - | - | X | - | Data e ora di allarme in entrata o cancellato, o ripristinato o riattivato.
@ZEIT | @TLASTEVENT | - | - | X | X | Ora di allarme in entrata o uscito, o riconosciuto o riattivato.
@ZEITOK | @TACK | X | - | X | - | indica solamente il momento del ripristino
@ZTKOMMT | @TRECEIVED | X | X | X | X | indica solamente il momento della comparsa dell´allarme
@ZTGEHT | @TCLEARED | X | - | X | - | indica solamente il momento della fine dell´allarme
@ZTREAKT | @TREACTIVATE | X | - | X | - | indica solamente il momento della riattivazione
@TIMELASTING | @TACTIVE | X | - | X | - | Tempo di attesa (differenza fra Entra - Esce)
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nome progetto
@KANALNAME | @VARNAME | X | X | X | X | Nome variabile CEL: solo inserimenti con variabili
@AK | @ACLASSNR | X | X | X | X | Nome classi allarmi/eventi
@AG | @AGROUPNR | X | X | X | X | Numero gruppi allarmi/eventi
@AGNAME | @AGROUPNAME | X | X | X | X | Nome del gruppo-allarmi/eventi
@AKNAME | ACLASSNAME | X | X | X | X | Nome della classe-allarmi/eventi
@TAGNR | @IDENTIFICATION | X | X | X | X | Identificazione (denominazione propria della ditta)
@AMELDUNG | @TEXT | X | X | X | X | Testo messaggio allarme
@REAKTANZ | @NRREACTIVATE | X | - | X | - | Numero di riattivazioni
@STATUS | @STATUS | X | X | X | X | Informazioni di stato come nella Lista di informazione allarmi
@WERT | @VALUE | X | X | X | X | Valore variabile dell´allarme
@REAKTIONSTEXT | @COMMENT | X | X | X | X | Commento dalla Lista di informazione allarmi Nel caso si usino dei testi per valori limite dinamici, disponibile solo se Testi lunghi per valori limiti - AML oppure Testi lunghi per valori limiti - CEL sono attive.
@USER | @USERID | X | X | X | X | AML: Utente che ha confermato l´allarme
@RECHNER | @COMPUTER | X | X | X | X | AML: Calcolatore su cui l´allarme è stato confermato
Parole chiave per l´intestazione e il pie´ di pagina
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nome progetto
@SEITE | @PAGE | X | X | X | X | Numero di pagine
@HEADDATZEIT | @DTSYSTEM | X | X | X | X | Data sistema e ora sistema
@HEADDATUM | @DSYSTEM | X | X | X | X | Data sistema
@HEADZEIT | @TSYSTEM | X | X | X | X | Ora sistema
@USER | @USERID | X | X | X | X | Utente che stampa
@USERNAME | @USERNAME | X | X | X | X | Nome completo dell´utente che ha iniziato l´attività
@RECHNER | @COMPUTER | X | X | X | X | Calcolatore dal quale viene lanciata la stampa
[Text] | [Text] |  |  |  |  | Testo a piacere nella riga di emissione nella stampante.

attention Attenzione

Fra le parole chiave ci deve essere abbastanza spazio in modo tale che non si corra il rischio di non vedere degli inserimenti. In tal modo garantite che anche dei testi di valori limite lunghi siano visualizzati in modo corretto.

Esempio:

@TEXT (spazio fino a qui)

Impostazione millesecondi

attention Attenzione

Millisecondi per stampa e export

Nel caso in cui, stampando o esportando la AML o la CEL in CSV, XML oppure dBase, il tempo debba essere indicato in millisecondi, questa proprietà deve essere attivata nel Dialogo per le impostazioni di colonna. A tale scopo:

  • Navigate all´interno delle proprietà di progetto e passate al nodo Lista di informazione allarmi oppure a Lista eventi cronologica (CEL)
  • Cliccate sul pulsante ... della proprietà Impostazione colonna AML oppure di Impostazioni colonna CEL
  • Si aprirà il dialogo per la impostazione colonna
  • Attivate la checkbox della proprietà millisecondi

L´impostazione deve essere effettuata separatamente per AML e CEL.


Stampa online on/off

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Stampa online on/off

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´uso di questa funzione, la stampa online viene settata su uno stato:

  • attiva: avvia la stampa-online
  • disattiva: termina la stampa-online
  • attivo/disattivo: avvia o termina la stampa online

Per configurare la funzione:

  1. create una nuova funzione
  2. selezionate Cambio stampante-online
  3. si apre la finestra di dialogo dell´azione

  4. selezionate l´azione desiderata
  5. collegate la funzione ad un bottone


Inizia una nuova pagina per la stampa online

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Inizia una nuova pagina per la stampa online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione gestite durante il Runtime il cambio pagina nel caso della stampa online:

La pagina attuale della stampa ottiene il piè di pagina progettato e un avanzamento pagina. Il contatore pagina viene rimesso a 1 e si stampa l'intestazione.

Per configurare la funzione:

  1. create una nuova funzione
  2. selezionate Inizia stampa online di una nuova pagina
  3. collegate la funzione ad un bottone


Cambio stampa online

Manuale -> Gestione allarmi -> Progettare allarmi -> Funzioni -> Funzioni per la gestione allarmi -> Cambio stampa online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione permette di cambiare durante il funzionamento online la stampante per la stampa online.

info Informazioni su

Questa funzione non è disponibile con Windows CE.

Per configurare la funzione:

  1. Create una nuova funzione.
  2. Selezionate Cambio stampante-online .

    Si apre la finestra di dialogo per la selezione della stampante

  3. Selezionate la stampante desiderata fra quelle presenti nel menù a tendina.
  4. Collegate la funzione ad un bottone

Parametro | Descrizione
selezione stampante | Selezione della stampante desiderata fra quelle della lista a cascata.
Visualizza questa finestra di dialogo a Runtime | Attivo: In caso che la funzione venga eseguita, il dialogo viene aperto e la stampante può essere definita durante il Runtime.


Gestione a Runtime

Manuale -> Gestione allarmi -> Gestione a Runtime

Durante il Runtime, la lista allarmi viene aperta mediante una Funzione di cambio immagine.

Gli elementi di controllo a disposizione e l´aspetto vengono progettati nell´Editor.

Immagine

Elemento di controllo

Descrizione

Finestra

Risultato nel Runtime:

Lista di informazioni allarmi

Visualizzazione degli allarmi. L´aspetto è impostabile. Le colonne vengono definite al momento del cambio immagine usando il filtro impostazioni di colonna.

Si usa la proprietà Impostazione colonna AML che si trova nel gruppo Lista di informazione allarmi delle proprietà di progetto, per definire le impostazioni per l´export in CSV, XML e DBF. Esse servono anche come impostazione preliminare per la funzione di cambio immagine.

Filtro impostato

Visualizzazioni delle impostazioni di filtraggio attualmente in uso

Stato

Mostra se la lista allarmi è attiva oppure no (proprietà di progetto Lista di informazione allarmi attiva).

Totale

Mostra il numero di tutti gli allarmi.

Quantità allarmi ripristinati

Mostra la quantità degli allarmi non ripristinati.

Funzioni liste

Elemento di controllo | Descrizione
Funzioni lista | Pulsanti per la gestione delle liste.
Filtro | Apre il dialogo che serve alla selezione del filtro.
Stop/Avanti | Pulsante per riempimento della lista: Stop: non vengono più aggiunti automaticamente dei nuovi elementi. Avanti: vengono aggiunti automaticamente dei nuovi elementi. Attenzione: la didascalia del pulsante può essere modificata nell´Editor, ma non verrà ripresa nel Runtime. Le modifiche alla didascalia sul pulsante le progettate servendovi del Cambio lingua.
Stampa | Stampa la lista filtrata
Dialogo di stampa | Apre, prima di effettuare la stampa, il dialogo con le impostazioni relative.

Funzioni allarmi

Elemento di controllo

Descrizione

Funzioni d'allarme

Pulsanti per ripristinare e cancellare gli allarmi

Ripristina

Ripristina segnalazioni di allarme durante il Runtime

Ripristina pagine

Tutti gli allarmi visualizzati nella pagina attuale vengono ripristinati.

Ripristina tutti

Si ripristinano tutti gli allarmi corrispondenti al criterio di filtro attuale.

Attenzione nel caso di progetti multi-user: vengono ripristinati solamente gli allarmi per cui l´utente possiede l´autorizzazione. (Per i dettagli concernenti i progetti multi-user, vedi il capitolo Engineering distribuito)

Riconosci visualizzati

Riconoscimento visualizzazione degli allarmi selezionati.

Riconoscimento e riconoscimento visualizzazione

Riconoscimento e poi riconoscimento visualizzazione degli allarmi selezionati.

Elimina

Cancella allarmi dalla lista allarmi durante il Runtime. L´allarme deve essere già stato ripristinato.

Elimina pagina

Cancella tutti gli allarmi ripristinati che si trovano sulla stessa pagina.

Elimina tutti

Cancella tutti gli allarmi ripristinati che corrispondono al criterio di filtro attuale.

Funzione collegata (Visualizzazione)

Mostra la funzione assegnata alla segnalazione allarme.

Esegui funzione

Esegue durante il Runtime la funzione progettata con l´allarme.

Nota: in corrispondenza della funzione Esegui programma, può essere assegnato il nome della variabile dell´allarme selezionato come parametro per il programma da lanciare; a questo scopo ci si serve della parola chiave @alarm.name.

Richiama l’Help

Apre la guida progettata.

Visualizza

Stato e elementi della gestione allarmi.

Campo commento

Inserimento da parte dell´utente di un testo libero concernente l´allarme selezionato.

Lunghezza massima: 79 caratteri

Anche questo testo può essere visualizzato nella lista. Per far ciò, si attiva l´opzione commento nelle impostazioni di colonna dell´amministrazione allarmi.

Il campo di inserimento per il commento è un elemento del tipo collega testo. La proprietà Settaggio valori attivo è attivata automaticamente per questo elemento durante la configurazione. Inoltre la proprietà Setta valore impostabile tramite viene settata sul valore elemento.

Le modifiche apportate ai commenti possono essere documentate attivando la proprietà Commenti d'allarme.

Navigazione

Elemento di controllo | Descrizione
Navigazione | Gestisce gli elementi della lista.
Riga in su | Passa alla riga superiore.
Riga in giù | Passa alla riga inferiore.
Colonna a destra | Passa alla colonna immediatamente a destra.
Colonna a sinistra | Passa alla colonna immediatamente a sinistra.
Pagina in su | Passa alla pagina superiore.
Pagina in giù | Passa alla pagina inferiore.
Pagina a destra | Passa alla pagina immediatamente a destra.
Pagina a sinistra | Passa alla pagina immediatamente a sinistra.

Elementi compatibili

Elemento di controllo | Descrizione
Elementi compatibili | Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.
Imposta stati | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Quantità totale | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Quantità non filtrata | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Funzione collegata (Visualizzazione) | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Filtro impostato | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Campo commento | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Chiudi modello | Definisce il modello su cui si basa l´immagine. Raccomandazione: Per chiudere i modelli, usate la funzione Chiudi modello. Per far sì che, dopo la chiusura, venga visualizzata l´immagine aperta prima, si deve progettare l´immagine del tipo AML con un proprio modello.

Profilo filtro

Elemento di controllo | Descrizione
Profilo filtro | Pulsanti per impostazioni filtro nel Runtime.
Selezione profilo | Selezionare un profilo dalla lista.
Salva | Salva l´impostazione attuale come profilo.
Elimina | Cancella il profilo selezionato.
Importa | Importa profili filtro da un file di export
Esportazione | Esporta profili filtro in file

Configurazione della visualizzazione

Decidete quali informazioni devono essere visualizzate nella Barra stato allarmi e nella Lista allarmi servendovi delle impostazioni colonna della progettazione allarmi. Potete passare alle impostazioni colonna attraverso:

  • Proprietà di progetto -> Lista di informazione allarmi -> Impostazione colonna AML (solo scheda Impostazioni colonna )

    oppure

  • Funzione cambio ad un´immagine del tipo AML ( Tutte le schede)

Visualizzazione nella colonna valore

Nella colonna Valore possono essere visualizzati solamente valori di tipi di dato numerici. Nel caso di inserimenti con un tipo di dato String, la colonna rimane vuota.

Funzioni per valori limite come allarme

Al momento dell´avvio del Runtime il sistema controlla se l´allarme relativo al valore limite era già in attesa prima della chiusura del Runtime. Se è così, la funzione collegata non viene eseguita nuovamente.
Nota: se nel caso del valore limite non si tratta di un allarme, si può intervenire sull´esecuzione della funzione collegata al momento dell´avvio del Runtime tramite l´impostazione di progetto Esegui funzioni val. limiti all'avvio del RT nel gruppo Funzioni. Questa proprietà ha effetto solamente sui valori limite che non sono allarmi!

Campo commento

Inserimenti o modifiche nel campo del commento determinano le seguenti azioni:

  • Il sistema verifica l´autorizzazione utente alla creazione o alla modifica di un commento.
  • Viene creato un Event per l´API (AlarmUsertextChanged).
  • Viene creato un inserimento nella CEL.
  • Nel caso dei client o server 2, il commento è mandato al Server 1.
  • Se è stata attivata la proprietà Commenti d'allarme, quando si effettua una modifica, viene generato un inserimento nella CEL che si riferisce al cambio avvenuto.

Noch in diesem Kapitel

Barra stato allarmi

Lista di informazioni allarmi

Ripristina allarmi

Ripristina lampeggio allarmi

Elimina allarmi

Filtra allarmi

Stampa e esporta allarmi


Barra stato allarmi

Manuale -> Gestione allarmi -> Gestione a Runtime -> Barra stato allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Allarmi: Segnalazioni di stato in linea stati rossa

Nella riga di stato degli allarmi vengono visualizzati durante il runtime gli allarmi ripristinati; essi vengono rappresentati di default per mezzo di una riga rossa con scritta in caratteri di color nero. Essa contiene delle informazioni sulla variabile da attivare e sul tempo. La barra stato allarmi è definita come finestra principale Windows e copre dunque tutte le immagini di zenon e anche tutte le altre applicazioni.

Gli allarmi vengono ripristinati con un doppio clic con il tasto destro del mouse.

L´aspetto della barra stato allarmi può essere modificata mediante le proprietà di progetto. La barra stato allarmi può essere coperta anche da un´ulteriore barra di stato (standard: blu) per richiamare l´attenzione degli utenti sul numero di allarmi, oppure il sul fatto che un buffer sta per traboccare.

Avvisi: Avvertimenti in linea stati blu

Potete definire tre tipi di segnalazioni di stato per far presente all'utente che il numero degli allarmi ha superato una certa somma, o per informarlo che il buffer circolare della Lista di informazione allarmi sta per traboccare. Esse vengono visualizzate di default con caratteri di color bianco su sfondo blu. Il loro aspetto, però, può essere modificato nelle proprietà di progetto.
Le segnalazioni di stato coprono la barra stati allarmi rossa finché non vengono ripristinate. Il ripristino avviene cliccando due volte con il tasto destro del mouse. L'utente, però, deve essere in possesso del gruppo autorizzazioni necessario. Esso può essere impostato nella Gestione utenti servendosi delle Autorizzazioni funzioni.

Per quanto concerne l´apertura della lista stati blu, vale quanto segue:

  • La riga blu è più importante per la visualizzazione di quanto non sia la barra stato allarmi rossa.
  • La riga blu reagisce esclusivamente al numero complessivo degli inserimenti nella lista.
  • Facendo uso delle proprietà del gruppo Barra stato allarmi si possono definire tre massimi per il numero complessivo degli inserimenti nella lista:
    • Messaggio 1 numero allarmi
    • Messaggio 2 numero allarmi
    • Messaggio 3 numero allarmi

    Ad ognuno di questi valori massimi si può assegnare una segnalazione, che verrà visualizzata nel momento di un´eventuale superamento del limite.

  • Il valore massimo più elevato è sempre attivo.
  • La riga blu può essere disattivata cliccandoci sopra due volte con il tasto destro del mouse. Gli altri valori massimi saranno attivati solamente nel caso in cui essi vengano esplicitamente raggiunti.
  • Un massimo disattivato viene riattivato solamente quando esso dovesse essere superato di nuovo.

Configura barra stato allarmi

Per creare e visualizzare la barra stato allarmi, attivate nelle proprietà di progetto, e più precisamente nel gruppo Lista di informazione allarmi la proprietà Linea stati attiva.

Definite il comportamento della barra stato allarmi durante il Runtime e il carattere da usare nelle proprietà di progetto di Barra stato allarmi nel gruppo Lista di informazione allarmi:

  • Visualizza all. seguente: Definite la barra stato allarmi come circolo. Come grandezza del circolo si usa il valore della proprietà Dimensione buffer circolare. Nel caso in cui questa proprietà è disattivata, la barra di stato degli allarmi contiene sempre solo un unico allarme.
  • Visualizza: stabilisce se deve essere visualizzato l´allarme più vecchio o quello più recente. La selezione avviene utilizzando la lista a cascata.
    • Allarme più vecchio: FIFO-Buffer
    • Allarme più recente: LIFO-Buffer

attention Attenzione

Comportamento nel caso di gestione multi-progetto:

L´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi.

  • Se si disattiva la barra stato allarmi in un sottoprogetto, ma non in quello di integrazione che funge da progetto di partenza, la barra di stato allarmi continuerà a venire visualizzata.
  • Se la barra di stato allarmi viene attivata nel progetto di partenza sovraordinato, verrà visualizzata anche nel progetto subordinato, anche se in quella sede è stata disattivata.
  • Durante il Runtime viene utilizzate sempre la barra di stato allarmi del progetto superiore.

Posizionamento

Di default la riga di stato degli allarmi si trova sul bordo superiore del monitor (altezza=18 pixel con un carattere standard). Potete impostare liberamente grandezza e posizione anche nei Modelli. Selezionate la riga di stato allarmi e disattivate l'opzione usa posizione standard. Poi potete posizionare la riga di stato allarmi sullo schermo liberamente come ogni altro modello.
Nel caso della gestione multiprogetto nel runtime, è decisiva la posizione della riga di stato degli allarmi nel progetto di integrazione. Le impostazioni dei sottoprogetti vengono ignorate.

Colori per la barra stato allarmi.

I colori della barra stato allarmi possono essere modificati e adattati individualmente tramite le proprietà del gruppo Barra stato allarmi.

Per allarmi:

  • Colore testo
  • Colore di sfondo

Per avvisi concernenti il superamento di un numero definito di allarmi, oppure il traboccare di un buffer circolare:

  • Segnalazione 1 colore testo
  • Segnalazione 1 colore di sfondo
  • Segnalazione 2 colore testo
  • Segnalazione 2 colore di sfondo
  • Segnalazione 3 colore testo
  • Segnalazione 3 colore di sfondo


Lista di informazioni allarmi

Manuale -> Gestione allarmi -> Gestione a Runtime -> Lista di informazioni allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La lista allarmi visualizza in forma di righe durante il runtime le segnalazioni di allarmi. Le righe con allarmi non ripristinati possono essere visualizzate con lampeggio.

Per creare e visualizzare la AML, attivate nelle proprietà di progetto, e più precisamente nel gruppo Lista di informazione allarmi la proprietà Lista di informazione allarmi attiva. La forma di rappresentazione della lista viene impostata nel filtro della funzione "cambio immagine" nella tab Impostazioni colonna.

Non appena compaiono, gli allarmi vengono salvati in un buffer circolare (alarm.bin) e un file allarmi (*.aml) nella cartella runtime. Il buffer circolare è una memoria volatile da cui vengono rimossi allarmi sulla base di regole definite. La AML, invece, salva allarmi e informazioni importanti in modo permanente.

Buffer circolare

Il buffer circolare contiene gli allarmi in attesa. La gestione concerne:

  • tempo entra in millisecondi come firma univoca
  • ulteriori informazioni come causa, valori ecc.
  • Esce
  • Riconosciuto

Procedura di cancellazione dal buffer circolare:

  • Non appena l´allarme esce, viene cancellato dal buffer circolare.
  • Se è stata attivata la proprietà Con ripristino, l´allarme dovrà essere ripristinato da un utente autorizzato a farlo; solo dopo questo allarme sarà rimosso dal buffer circolare. Quando si ripristino degli allarmi, nel buffer circolare vengono sempre cancellati contemporaneamente tutti gli allarmi con la stessa violazione del valore limite.
  • Se la proprietà Riconoscimento a due stadi è attiva, la cancellazione dal buffer circolare deve essere espressamente confermata da un utente autorizzato a farlo.
    Esempio: l´allarme è uscito ed è stato ripristinato dall´operatore. Rimane tuttavia nel buffer circolare finché la sua cancellazione non è stata confermata.

Nota: nella AML gli inserimenti non vengono cancellati mai; ne viene documentato solamente lo stato.

Dimensione buffer circolare

Il buffer circolare deve avere delle dimensioni sufficienti, che fisserete nelle proprietà di progetto facendo uso della proprietà Dimensione buffer circolare.
Vi consigliamo: almeno il numero delle variabili con allarmi.

Il buffer circolare viene salvato automaticamente alla chiusura del Runtime come alarm.bin. Se il Runtime viene chiuso da eventi inaspettati come, ad esempio, una caduta di tensione, si verificherà una perdita di dati. Per evitare che ciò si verifichi, il buffer circolare può essere salvato manualmente facendo uso della proprietà Salva buffer circolare in modo spontaneo per ogni nuovo inserimento, oppure facendo uso della funzione Salva buffer circolare di AML e CEL.

Attenzione: A Runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Grazie al numero definito, possono essere visualizzati anche degli allarmi che non possiedono un time stamp di uscita. Questo significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare.

Example Esempio
  • Dimensioni del buffer circolare: 100 inserimenti
  • allarmi in attesa a Runtime senza time stamp di uscita 120
  • Visualizzazione a Runtime nella AML: 120

File allarmi

Tutti gli allarmi vengono scritti contemporaneamente nel buffer circolare e in un file allarmi proprio (*.aml). Questo file viene generato automaticamente per ogni giorno e viene gestito mediante la proprietà Salvataggio dati allarmi. Il nome del file allarmi consta della lettera A seguita dalla data espressa nella forma JJMMTT e la desinenza .aml, per es. A100623.aml. Questi file vengono generati ogni giorno automaticamente e, in mancanza di spazio di memoria, devono essere esportati o cancellati dall´utente. file *.aml vengono salvati nella cartella ...\Cartella di progetto\Nome Computer\Nome del progetto.

Sincronizzazione di buffer circolare e file allarmi.

Il buffer circolare e il file allarmi vengono sincronizzati. Questa sincronizzazione avviene sempre dal buffer circolare al file allarmi. Tutte le modifiche, come il ripristino, vengono effettuate solamente nel buffer circolare e poi sincronizzate con il file allarmi. Potete fare in modo che, ad esempio, tutti gli allarmi non ripristinati vengano visualizzati nel file allarmi e che qui si predisponga il loro ripristino, ma l´azione vera e propria si verifica solamente nel buffer circolare.

Tempi di salvataggio

Il file allarme *.aml viene salvato in corrispondenza di ogni nuovo inserimento.

Il Buffer circolare (*.bin) viene salvato:

  • quando viene chiuso il Runtime
  • nel caso in cui sia attiva la proprietà Salva buffer circolare in modo spontaneo, con ogni nuovo inserimento
  • quando si esegue la funzione Salva buffer AML-CEL

Nota: se l´opzione Salva buffer circolare in modo spontaneo è disattivata, gli inserimenti nella AML e nel buffer circolare potrebbero non corrispondere se dovesse esserci un´interruzione dell´alimentazione elettrica.

attention Attenzione

Se il buffer circolare trabocca a causa della sua dimensione troppo modesta, gli inserimenti non ripristinati sono conservati nel file allarmi. Questi inserimenti vengono visualizzati al momento di effettuare l´operazione di filtro, ma non possono essere più ripristinati. Il tentativo di effettuare il ripristino può provocare il ripristino di allarmi nel buffer circolare, se questi allarmi riguardano le stesse variabili e la stessa violazione di valore limite.

AML durante il Runtime

Gli allarmi nella relativa lista allarmi possono acquisire tre diversi stati:

  • Non uscito
  • Non ripristinato
  • Non cancellato

Gli allarmi possono essere con obbligo di ripristino e/o con obbligo di cancellazione.

Il ripristino dell'allarme ripristina anche l´attributo di lampeggio della variabile. La cancellazione di un inserimento può essere eseguita soltanto se l'allarme in uscita è stato ripristinato. La progettazione dell´obbligo di ripristino e/o di cancellazione viene effettuata mediante le proprietà Con ripristino e Riconoscimento a due stadi nel nodo Valori limiti/Allarmi/CEL della progettazione variabili

Esempio per la struttura delle righe nella lista allarmi el runtime:

Variabile | data/ora in entrata | Data-ora in uscita | Data/ora tacitato | Testo messaggio
Motor1_Störung | 20.06.2010 13:00:04 | 20.06.2010 13:05:35 | 20.06.2010 13:05:40 | Il relais di protezione motore ha risposto.

Ogni riga può essere ripristinata cliccando due volte con il tasto destro del mouse. . L'utente, però, deve essere in possesso del gruppo autorizzazioni necessario.

Quando la lista allarmi è aperta, viene visualizzato nell'angolo superiore sinistro lo stato della gestione allarmi (attivo o disattivato).

info Informazioni su

La variabile per allarmi non ripristinati, allarmi ripristinati e numero degli allarmi si trova in una locale lista nella memoria.

Vedi variabile "allarmi non ripristinati" nel capito Progettazione del filtro allarmi e del filtro CEL.

Noch in diesem Kapitel

Causa allarme

Visualizza allarmi non ripristinati con lampeggio


Causa allarme

Manuale -> Gestione allarmi -> Gestione a Runtime -> Lista di informazioni allarmi -> Causa allarme

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel runtime, le cause allarme possono essere visualizzate in una colonna separata. Il Texlist Manager può essere usato per assegnare una causa allarme a singoli inserimenti della AML.

Nota: al momento non è disponibile nessuna GUI. Gli elementi di controllo e le finestre di selezione devono essere configurati extra.

Textlist Manager

Il Textlist Manager contiene tutte le liste testi. Queste ultime possono essere create usando l´API. Il Textlist Manager trasferisce il nome della lista testo usando un GUID univoco. Viene emessa una stringa vuota se il GUID non è valido. Se risulta impossibile trovare il GUID, il sistema emette la segnalazione "Causa d'allarme non esistente". Attualmente il GUID non può essere ancora settato.

Si possono creare delle liste testo a diversi livelli, dipendenti l´uno dall´altro. I singoli livelli sono riassunti per l´output nella colonna causa allarme.
Ad esempio: Alarm causes.Filler.Bottle broken

Numero massimo di livelli: 5

Esempio:

Gli elementi di colore blu sono corretti, quelli di colore rosso non vengono più usati perché il numero di livelli permesso è stato superato.

Il seguente script crea questa lista testi.

Script

Option Explicit

Public Sub CreateTree()

Dim TM As TextListManager

Set TM = thisProject.TextListManager

' ##################### T1 ####################

Dim T1 As TextList

Set T1 = TM.Create("T1 Name", "T1 Description")

Dim T11 As TextList

Set T11 = T1.Create("T11 Name", "T11 Description")

Dim T12 As TextList

Set T12 = T1.Create("T12 Name", "T12 Description")

' ##################### T2 ####################

Dim T2 As TextList

Set T2 = TM.Create("T2 Name", "T2 Description")

Dim T21 As TextList

Set T21 = T2.Create("T21 Name", "T21 Description")

' ##################### T3 ####################

Dim T3 As TextList

Set T3 = TM.Create("T3 Name", "T3 Description")

Dim T31 As TextList

Set T31 = T3.Create("T31 Name", "T31 Description")

Dim T32 As TextList

Set T32 = T3.Create("T32 Name", "T32 Description")

Dim T321 As TextList

Set T321 = T32.Create("T321 Name", "T321 Description")

Dim T3211 As TextList

Set T3211 = T321.Create("T3211 Name", "T3211 Description")

Dim T32111 As TextList

Set T32111 = T3211.Create("T32111 Name", "T32111 Description")

'########## This will not work - because of Level depth ###############

'Dim T321111 As TextList

'Set T321111 = T32111.Create("T321111 Name", "T321111 Description")

Dim T32112 As TextList

Set T32112 = T3211.Create("T32112 Name", "T32112 Description")

Dim T3212 As TextList

Set T3212 = T321.Create("T3212 Name", "T3212 Description")

Dim T322 As TextList

Set T322 = T32.Create("T322 Name", "T322 Description")

Dim T3221 As TextList

Set T3221 = T322.Create("T3221 Name", "T3221 Description")

Dim T323 As TextList

Set T323 = T32.Create("T323 Name", "T323 Description")

' ##################### T4 ####################

Dim T4 As TextList

Set T4 = TM.Create("T4 Name", "T4 Description")

'####################### Test Item Function of TextListManager ###########################

Dim textlisttest As TextList

Set textlisttest = TM.Item(0)

thisProject.Cel.WriteCelString (textlisttest.Name() + textlisttest.Description() + textlisttest.Guid())

'##################### Saving TextLists ###########################################

Dim answ As Boolean

answ = thisProject.TextListManager.Save()

End Sub


Visualizza allarmi non ripristinati con lampeggio

Manuale -> Gestione allarmi -> Gestione a Runtime -> Lista di informazioni allarmi -> Visualizza allarmi non ripristinati con lampeggio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli allarmi non ripristinati possono essere visualizzati nella AML con lampeggio.

Con la proprietà Lampeggio allarmi non riconosciuti attiva il colore di primo piano e quello di sfondo cambiano ogni secondo in tutte le righe non ripristinate e non selezionate della Lista di informazione allarmi. Le righe selezionate non lampeggiano.

A tale scopo:

  1. nell`Editor navigate nelle proprietà di progetto e passate alla sezione Lista di informazione allarmi
  2. attivate la checkbox davanti alla proprietà Lampeggio allarmi non riconosciuti.
  3. configurate il colore desiderato (di primo piano) per Allarme in entrata, Allarme rientrato, Allarme ripristinato

    Suggerimento: settate la proprietà Colore classe allarme/eventi su come sfondo righe. In questo caso, infatti, il colore della classe allarme verrà usato come colore di sfondo.


Ripristina allarmi

Manuale -> Gestione allarmi -> Gestione a Runtime -> Ripristina allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per far in modo che l´informazione "ripristinato" venga visualizzata nella AML, si deve fare quanto segue:

  1. nella variabile deve essere attiva la proprietà Con ripristino
  2. l´allarme deve essere stato ripristinato

Gli allarmi possono essere ripristinati nei seguenti modi:

  • cliccando due volte sulla barra di stato allarmi
  • cliccando due volte con il tasto destro del mouse nella lista informazioni d´allarme
  • Funzione Ripristina allarmi
  • Pulsante Riconoscimento o Riconoscimento e riconoscimento visualizzazione nella Lista di informazione allarmi.

Ripristinando un allarme:

  • tutti gli allarmi di una variabile con lo stesso valore limite vengono ripristinati insieme
  • il nome e l´ID dell´utente che effettua la cancellazione vengono inseriti nella lista informazioni d´allarme.
  • viene inserito nella lista di informazioni d´allarme il nome del calcolatore dal quale l´allarme è stato ripristinato.
  • Il ripristino può essere inserito anche nella Lista eventi cronologica.

Gli allarmi vengono salvati nel buffer circolare finché non vengono ripristinati. Nello stesso tempo, essi vengono depositati in file allarmi filtrabile (*.aml) che viene sincronizzato regolarmente.

Attenzione: la proprietà Dimensione buffer circolare deve avere delle dimensioni sufficienti. Se degli allarmi non vengono più salvati nel buffer circolare per mancanza di posto, gli allarmi non ripristinati possono rimanere nel file allarmi. Per i dettagli vedi capitolo Lista informazioni d'allarme (AML) .

info Informazioni su

quegli allarmi che sono con obbligo di commento, possono essere ripristinati solo dopo che è stato inserito un commento. L'utente, però, deve essere in possesso dell´autorizzazione funzione necessaria.

Funzione Ripristina allarmi

La funzione Ripristina allarmi consente:

  • il ripristino di allarmi della AML mediante un´attivazione della funzione stessa
  • ripristino globale

Quando si usa la funzione durante il runtime, si azzera anche l’attributo di lampeggio delle variabili; in tal modo viene azzerato anche l'allarme ad immagine (solo SICAM 230). Gli allarmi selezionati verranno ripristinati. Per i dettagli vedi capitolo Ripristina allarmi.

Diritti utente

Potete attribuire le funzioni Ripristina allarmie Cancella allarmi ad un gruppo utenti facendo uso delle Autorizzazioni funzioni . In questo caso, solo gli utenti autorizzati potranno ripristinare oppure cancellare degli allarmi.

Inoltre si può settare un ulteriore diritto di gestione per i valori limite delle variabili facendo uso della proprietà Riconoscimento a due stadi nel sottogruppo corrispondente del gruppo Valori limiti. Gli allarmi selezionati possono essere cancellati dalla lista allarmi solamente da persone dotate di una specifica autorizzazione.

Nel caso sia stata impostata la proprietà Riconoscimento a due stadi, gli allarmi verranno eliminati dalla lista di quelli attivi solo dopo che essi siano stati effettivamente cancellati. Il solo ripristino non è sufficiente.

info Informazioni su

E' possibile cancellare degli allarmi solo dopo averli ripristinati.

Noch in diesem Kapitel

Obbligo di commento per ripristino

Riconosci visualizzati


Obbligo di commento per ripristino

Manuale -> Gestione allarmi -> Gestione a Runtime -> Ripristina allarmi -> Obbligo di commento per ripristino

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per gli allarmi con obbligo di ripristino si può stabilire che l´utente debba inserire un commento sull´allarme prima di poterlo ripristinare. Per poter inserire un commento, l´utente ha bisogno della corrispondente Autorizzazione funzione Allarme Inserire commento.

Per stabilire un obbligo di commento per un allarme, si può settare l´opzione corrispondente:

  • nella configurazione delle matrici di reazione
  • nella proprietà Commento richiesto nel gruppo Valori limiti delle variabili

I commenti e gli allarmi con obbligo di commento possono essere modificati dall´utente in un secondo momento con la Autorizzazione funzione Allarme Modifica commento. Quando c´è una modifica dei commenti, si verifica un inserimento nella CEL con l´indicazione del nome variabile, nonché del commento originario e di quello modificato.

Gli allarmi con obbligo di commento vengono controllati in corrispondenza di ogni possibilità di ripristino (compreso VBA) al fine di verificare la presenza del commento stesso. Allo stesso modo, in presenza di modifiche di commenti il sistema controlla l´esistenza dell´autorizzazione necessaria. La lista informazioni allarmi può essere sottoposta ad un´operazione di filtro tesa a filtrare gli allarmi con obbligo di commento.

  • Filtro della Lista informazioni allarmi
  • Immagine del tipo Lista informazioni allarmi Filtro


Riconosci visualizzati

Manuale -> Gestione allarmi -> Gestione a Runtime -> Ripristina allarmi -> Riconosci visualizzati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Riconosci visualizzati consente all´utente di confermare che egli ha visto e preso nota di un allarme, senza però resettarlo immediatamente. Così è possibile, ad esempio, fare uso in un primo momento della funzione Riconosci visualizzati per più allarmi dipendenti uno dall´altro, e provvedere solo in un secondo momento a ripristinarli, vale a dire a resettarli.

Elementi per il riconoscimento visualizzazione

Nell´immagine del tipo AML ci sono due pulsanti per il riconoscimento visualizzazione:

  • Riconosci visualizzati
  • Riconoscimento e riconoscimento visualizzazione

Per le variabili sono disponibili nel gruppo Gestione allarmi le seguenti proprietà:

  • Variabile di riconoscimento
  • Variabile di riconoscimento visualizzazione
  • Ripristina valore

Usa Riconosci visualizzati

Per confermare un allarme con riconoscimento visualizzazione:

  1. progettate nell´immagine i pulsanti Riconosci visualizzati e Riconoscimento e riconoscimento visualizzazione.
  2. progettate per le variabili corrispondenti le proprietà Variabile di riconoscimento e Variabile di riconoscimento visualizzazione, nonché Ripristina valore.
  3. Cliccate nel Runtime sul pulsante:
    1. Riconosci visualizzati: Gli allarmi evidenziati verranno confermati con riconoscimento visualizzazione. Ripristina valore viene scritto su Variabile di riconoscimento visualizzazione.
    2. Riconoscimento e riconoscimento visualizzazione: gli allarmi evidenziati vengono anzitutto confermati con riconoscimento visualizzazione e poi ripristinati. Ripristina valore viene scritto su Variabile di riconoscimento visualizzazione e su Variabile di riconoscimento.

info Informazioni su

Il riconoscimento visualizzazione e il ripristino necessitano di diversi diritti. Per il riconoscimento visualizzazione sono necessarie un´autorizzazione operativa e l´autorizzazione tasti nel contesto dell´utente e dell´interblocco. Per il ripristino valgono le regole corrispondenti, inclusa convalida degli inserimenti e diritti. Perciò è possibile che ad un utente sia consentito confermare un allarme con riconoscimento visualizzazione, ma non gli sia possibile ripristinarlo.

Il riconoscimento visualizzazione viene sempre settato, anche se la variabile ha già questo valore.


Ripristina lampeggio allarmi

Manuale -> Gestione allarmi -> Gestione a Runtime -> Ripristina lampeggio allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Oltre al ripristino di allarmi della lista allarmi, è anche possibile ripristinare immagini di allarmi tramite modelli. Il ripristino lampeggio viene attivato mediante la funzione Ripristina lampeggio allarmi, oppure lo si effettua cliccando per due volte con il tastro destro del mouse sull´elemento corrispondente. Dobbiamo precisare che in questo caso viene resettato solamente l´attributo lampeggio delle variabili e il lampeggio di tutti gli elementi grafici presenti nell´immagine. Ma non si verifica nessun ripristino degli inserimenti nella AML.

Ripristino lampeggio con ripristino nella AML

Ripristinando il lampeggio, verranno ripristinati anche gli allarmi corrispondenti nella AML solo nel caso in cui sia stata settata l´opzione Riconoscimento dal lampeggio nella gestione allarmi.

Solo per SICAM 230. Il riconoscimento nella Lista di informazione allarmi oppure a livello di barra allarmi sul margine superiore dello schermo, riconosce l’allarme anche nell´immagine e nella gestione allarmi nelle immagini.

Ripristino lampeggio nel progetto di integrazione

Se si vuole ripristinare degli allarmi nel progetto di integrazione tramite la funzione Ripristino lampeggio allarmi, devono essere aperte tutte le immagini interessate.

Se le immagini hanno dei modelli con lo stesso nome nel progetto sovraordinato o subordinato, esse non verranno aperte nel progetto subordinato. Nel caso in cui, però, i nomi dei modelli sono differenti, le immagini del progetto subordinato rimangono aperte in background e si può procedere ad effettuare il ripristino lampeggio anche per esse.

info Informazioni su

Quando si fa uso del ripristino lampeggio in rete, esso viene eseguito solamente a livello locale, sul client in questione.


Elimina allarmi

Manuale -> Gestione allarmi -> Gestione a Runtime -> Elimina allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per cancellare un allarme bisogna:

  • eseguire una funzione Cancella allarme
    oppure
  • usare il pulsante Cancella nell´immagine del tipo Lista allarmi.

E' possibile cancellare degli allarmi solo dopo averli ripristinati.

Nel caso in cui con i Valori limite sia stata impostata la proprietà Riconoscimento a due stadi, gli allarmi verranno eliminati dalla lista di quelli attivi solo dopo che essi siano stati effettivamente cancellati. Il solo ripristino non è sufficiente.

Diritti utente

Potete attribuire le funzioni Ripristina allarmie Cancella allarmi ad un gruppo utenti facendo uso delle Autorizzazioni funzioni . In questo caso, solo gli utenti autorizzati potranno ripristinare oppure cancellare degli allarmi.

Inoltre si può settare un ulteriore diritto di gestione per i valori limite delle variabili facendo uso della proprietà Riconoscimento a due stadi nel sottogruppo corrispondente del gruppo Valori limiti. Gli allarmi selezionati possono essere cancellati dalla lista allarmi solamente da persone dotate di una specifica autorizzazione.

Nel caso sia stata impostata la proprietà Riconoscimento a due stadi, gli allarmi verranno eliminati dalla lista di quelli attivi solo dopo che essi siano stati effettivamente cancellati. Il solo ripristino non è sufficiente.

info Informazioni su

E' possibile cancellare degli allarmi solo dopo averli ripristinati.


Filtra allarmi

Manuale -> Gestione allarmi -> Gestione a Runtime -> Filtra allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli allarmi possono essere visualizzati durante il Runtime nei seguenti modi:

  • applicazione filtro durante il Runtime
  • cambio immagine con filtro predefinito per passare ad un´immagine del tipo Lista allarmi
  • cambio immagine con filtro in concomitanza con l´apertura di un´immagine del tipo Lista allarmi
  • Cambio ad un´immagine del tipo Filtro per lista informazione allarmi

Filtro durante il runtime

Nell´immagine del tipo Lista allarmi, si possono usare dei filtri durante il funzionamento Runtime. Al fine di filtrare gli allarmi visualizzati nella AML:

  1. deve essere stato progettato il pulsante Filtro
  2. cliccate sul pulsante
  3. si apre il Dialogo filtro della Lista allarmi

I filtri già impostati possono essere salvati nei Profili.

Cambio ad un´immagine del tipo Lista allarmi.

Gli allarmi possono essere visualizzati essendo già stati sottoposti ad un´operazione di filtro. A tale scopo:

  1. configurate un Filter per la funzione Cambio ad un´immagine del tipo Lista allarmi
  2. quando la si apre, la lista allarmi viene visualizzata già filtrata
  3. nel caso in cui per la funzione sia stata attivata l´opzione Proponi dialogo a Runtime, il filtro può essere definito nuovamente prima della visualizzazione
  4. è poi possibile definire altre impostazioni di filtro durante il Runtime servendosi del pulsante Filtro

Cambio ad un´immagine del tipo Filtro per lista informazione allarmi.

Al fine di rendere disponibili all´utente durante il runtime solamente quei filtri di cui ha bisogno, usate l´immagine del tipo Filtro per lista informazione allarmi. A tale scopo:

  1. progettate un cambio ad un´immagine del tipo Filtro per lista informazione allarmi
  2. servendovi di questa funzione, aprite la AML durante il Runtime
  3. l´utente avrà una lista di informazione allarmi adattata alle sue esigenze personali

Noch in diesem Kapitel

Profilo filtro

Usa filtro lista allarmi


Profilo filtro

Manuale -> Gestione allarmi -> Gestione a Runtime -> Filtra allarmi -> Profilo filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I profili filtro sono impostazioni di filtro che possono essere salvate e aperte dall'utente nel runtime con riferimento ad una determinata immagine.

Per poter utilizzare i profili filtro, si devono progettare nell´immagine i seguenti elementi di controllo:

Elemento di controllo | Descrizione
Profilo filtro | Gestione profili nel Runtime.
Selezione profilo | Selezione di un profilo salvato nel runtime fra quelli proposti dal menù a tendina.
Salva | Cliccando sul pulsante nel Runtime si salvano le impostazione di filtro come profilo.
Elimina | Cliccando sul pulsante (X) nel Runtime si cancella il profilo selezionato.

In tal modo, potete nel Runtime:

  • salvare filtri
  • usare i filtri salvati
  • cancellare profili filtro

I profili filtro possono essere anche esportati e importati con altri elementi di controllo.

salvare profili filtro

Per creare un profilo filtro:

  1. definite delle condizioni di filtro durante il Runtime
  2. assegnate un nome nella proprietà Profili filtro
  3. cliccate su Salva

Usare profili filtro

Per usare un profilo filtro:

  1. selezionate dalla lista a cascata della proprietà Profili filtro un filtro
  2. il filtro viene usato subito

Cancellare profili filtro

Per cancellare un profilo filtro:

  1. selezionate dalla lista a cascata della proprietà Profili filtro un filtro
  2. Cliccate sul pulsante X
  3. il profilo viene cancellato
  4. si può continuare ad usare il filtro cancellato finché un nuovo filtro viene definto o selezionato


Usa filtro lista allarmi

Manuale -> Gestione allarmi -> Gestione a Runtime -> Filtra allarmi -> Usa filtro lista allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La Immagine del tipo Filtro per lista di informazione allarmi consente di effettuare nel runtime delle impostazioni di filtro per la Lista di informazione allarmi Potete configurare anche tutte le impostazioni di filtro che sono presenti nel Filtro per la funzione Cambio ad un´immagine del tipo Lista allarmi.

In tal modo:

  • vengono configurati e resi disponibili all´utente solamente gli elementi di filtro che sono realmente necessari
  • il sistema visualizza a beneficio dell´utente solamente questi filtri, facilitandogli così la vita e consentendogli una visione d´insieme più semplice e chiara
  • avete la possibilità, inoltre, di definire in modo completamente libero l´aspetto e di assicurare in tal modo una facile gestione mediante un touchscreen

Immagini filtro

Le immagini di filtro consentono di trasmettere un filtro predefinito da un'immagine ad un'altra. Il filtro dell´immagine sorgente viene settato sull´immagine di destinazione. Le immagini possono essere anche di diversi tipi.

attention Attenzione

Per riprendere il tempo dall´immagine da aprire nel Runtime, il seguente intervallo di tempo deve essere selezionato nell´Editor per la funzione di cambio immagine per la Lista di informazione allarmi o la Lista Eventi Cronologica alla voce Filtro tempo: Imposta filtro come filtro temporale.

Definizione di apertura

Bisogna soddisfare le seguenti condizioni per fare sì che i filtri impostati siano anche utilizzabili:

  1. Come arco di tempo del filtro tempo, si sceglie Imposta filtro come filtro temporale.
  2. L´immagine (immagine del tipo Filtro Lista di informazione allarmi, Filtro Lista eventi cronologica oppure Filtro tempo/lotto) viene attivata con l´aiuto di un pulsante oppure di un elemento combinato. Solo così si può garantire la relazione fra immagine filtro e immagine sorgente.
  3. L´immagine sorgente e quella filtro devono essere progettate su diversi modelli o monitor. Solo se l´immagine sorgente è aperta, può essere aggiornato il filtro per l´immagine filtro. Ciò è possibile solamente se le due immagini non utilizzano lo stesso modello o lo stesso monitor.
  4. L´immagine che apre deve essere compatibile con l´immagine filtro che si vuole aprire (vedi tabella).
Immagine sorgente | Filtro AML | Filtro CEL | Filtro tempo
Post-elaborazione archivio | T | T | T
Trend esteso | T | T | T
Filtro tempo | T | T | X
Filtro lista informazione allarmi | X | C | T
Filtro CEL | C | X | T
Lista di informazione allarmi | X | C | T
Lista eventi cronologica (CEL) | C | X | T

Legenda:

  • C: le impostazioni comuni vengono attualizzate.
  • T: impostazioni temporali vengono aggiornate.
  • X: tutte le impostazioni vengono attualizzate.

info Informazioni su

nessun filtro

L´immagine filtro non viene sottoposta a filtro, ma aperta con i valori progettati, se:

  • una delle condizioni da 1 o a 3 è soddisfatta, oppure
  • l´impostazione Richiama immagine della funzione Cambio immagine non è attiva oppure
  • l´immagine non viene aperta tramite un elemento ad immagine

In questo caso, i pulsanti accetta, chiudui e aggiorna sono visualizzati in color grigio e non sono utilizzabili.

Aggiornamento

Al momento dell´apertura di un´immagine filtro (Filtro Lista di informazione allarmi, Filtro Lista eventi cronologica, Filtro tempo), vengono aggiornate le immagini progettate nella funzione Cambio immagine in due maniere:

  • nel caso in cui l´immagine filtro viene aperta tramite un elemento ad immagine, vengono aggiornate le immagini di destinazione che si trovano sullo stesso monitor dell´immagine sorgente.
  • Nel caso in cui invece l´immagine filtro viene aperta in un altro modo, oppure se l´impostazione Aggiorna su tutti i monitor è attivata, vengono aggiornate tutte le immagini di destinazione progettate.

L´aggiornamento avviene non appena cliccate sul pulsante Applica, oppure non appena chiudete l´immagine filtro con il pulsante Chiudi. Il pulsante Annulla rimuove le modifiche e chiude l´immagine filtro.

Aggiorna impostazioni di filtro

Facendo uso del pulsante Aggiorna, adottate le impostazioni attuali di filtro dell´immagine sorgente. Se l´immagine filtro non è stata aperta mediante un elemento ad immagine, oppure se l´impostazione Immagine che apre non è stata attivata, il sistema cerca su tutti i monitor un´immagine che può essere utilizzata per effettuare l´aggiornamento. La prima immagine che viene trovata, viene usata per l´aggiornamento.


Stampa e esporta allarmi

Manuale -> Gestione allarmi -> Gestione a Runtime -> Stampa e esporta allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli allarmi della AML possono essere documentati e archiviati come segue:

  • AML stampa online: quando viene visualizzato nella lista, ogni alarme viene emesso su un line printer
  • AML stampa offline: La AML viene stampata allo stato attuale, come se fosse una lista completata
  • Esporta contenuti della AML (filtrati)

La stampante da usare viene definita tramite File -> Configurazione generale -> Standard .

attention Attenzione

Per la stampa il sistema usa un file di configurazione *.frm:

  • online: ALARM.frm
  • offline: ALAR_G.frm.

Questo file FRM deve trovarsi nella struttura ad albero del progetto, più precisamene nel settore File, nella cartella Testi e formati.

Modelli per il file FRM li trovate nella cartella di installazione dizenon, più precisamente nella sottocartella FRM_QRF. Essi possono essere inseriti nel settore Testi e formati e modificati in questa sede.

Le parole chiave per i file FRM le trovate nel capitolo FRM-File di configurazione.

Noch in diesem Kapitel

Stampa online

Stampa offline

File di configurazione FRM

Esportazione allarmi


Stampa online

Manuale -> Gestione allarmi -> Gestione a Runtime -> Stampa e esporta allarmi -> Stampa online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso della stampa online, ogni allarme attivo viene inviato subito alla stampante.

Attenzione: la stampa online avviene riga per riga, conformemente a ESC/P (Epson Standard Code for Printers) e richiede una stampante compatibile con Epson.

Per stampare allarmi online:

  1. definite anzitutto una Stampante.
  2. navigate nelle proprietà proprietà di progetto e passate al nodo AML e CEL.
  3. attivate la proprietà Stampa attiva.
  4. selezionate nella proprietà Stampa per del menù a tendina, la voce Lista allarmi.
  5. fissate il numero delle righe tramite la proprietà Righe per pagina (Default: 72).
  6. configurate ALARM.frm.
  7. aggiungete ALARM.frm al nodo File/Testi e formati.

info Informazioni su

Questa funzione non è disponibile con Windows CE.

Controllo stampa e stampante nel runtime

Cambio pagina

Si verifica un cambio pagina se:

  • una pagina è stata riempita nella sua interezza
  • nel caso della stampa online, se il Runtime viene chiuso
  • viene eseguita la funzione Stampa online Inizia nuova pagina

Interrompi stampa

Per interrompere la stampa online o per riprenderla:

  • eseguite la funzione Stampa online on/off

Cambiare e impostare la stampante

Per cambiare la stampante durante il Runtime:

  • eseguite la funzione Cambio stampante online

Per impostare la stampante scelta durante il Runtime:

  1. progettate per l´immagine un elemento di controllo Dialogo stampa
  2. cliccate durante il Runtime sul pulsante Dialogo stampa
  3. si apre il dialogo di configurazione

Stampante

Parametro | Descrizione
Stampante | Impostazioni per la stampante.
Nome: | selezione della stampante fra quelle della lista a cascata. La lista contiene tutte le stampanti configurate nel sistema operativo.
Proprietà... | Apre il dialogo per la configurazione della stampante selezionata.
Stato: | Visuale stato stampante. Solo informazione.
Tipo: | visualizzazione tipo stampante. Solo informazione
Luogo: | visualizzazione del luogo della stampante, se configurato. Solo informazione.
Commento: | visualizzazione di commento sulla stampante, se configurato. Solo informazione.

Carta

Parametro | Descrizione
Carta | Configurazione della stampa.
Dimensione | Selezione del formato pagina fra quelli della lista a cascata
Sorgente | Scelta dell´alimentazione carta fra le opzioni della lista a cascata.

Orientamento

Parametro

Descrizione

Orientamento

Scelta dell´orientamento della carta. Possibili parametri:

  • Verticale
  • Orizzontale

Rete

Apre il dialogo che serve alla selezione di una stampante in rete.

Ok

Riprende la configurazione e chiude il dialogo. Iin questo modo viene avviata l´operazione di stampa nel Runtime.

Annulla

Rifiuta la configurazione e chiude il dialogo. In questo caso viene interrotta l´operazione di stampam nel Runtime.

Esempio di formattazione

Progettazione in ALARM.FRM:

Data: @DSYSTEM | Lista di informazione allarmi Progetto demo | Tempo @TSYSTEM Ora | Testo
data/ora in entrata | Esce | Testo messaggio | Testo stato
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Pagina | @PAGE |

Emissione sulla stampante:

Data: 20.03.2011 | Lista di informazione allarmi Progetto demo | Tempo: ore 12 | Testo
data/ora in entrata | Esce | Testo messaggio | Testo stato
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Segnalazione 1 | Limite superato
20.03.2011 13:00:00 | 13:05:35 | Messaggio demo | Limite 750 raggiunto
20.03.2011 13:03:59 |  | Segnalazione 2 | Valore limite
20.03.2011 13:11:23 |  | Segnalazione 3 | off
20.03.2011 13:03:59 | 13:12:45 | Messaggio demo | off
 | Pagina | 1 |


Stampa offline

Manuale -> Gestione allarmi -> Gestione a Runtime -> Stampa e esporta allarmi -> Stampa offline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Stampa offline significa che la lista allarmi viene stampata nella forma in cui viene visualizzata al momento durante il Runtime. Questa stampa è un´immagine istantanea, compresi tutti i filtri che sono stati settati e le loro restrizioni. La stampa avviene indipendentemente dal fatto se le variabili possiedono l´opzione Stampa .

Stampa

Per stampare la lista allarmi offline:

  1. definite anzitutto una Stampante
  2. configurate il file ALAR_G.frm
  3. aggiungete il ALAR_G.frm al nodo File/Testi e formati
  4. cliccate durante il Runtime sul pulsante Stampa o Dialogo stampa

Cambiare e impostare la stampante

Cambiare e impostare la stampante

Per cambiare la stampante durante il Runtime:

  • eseguite la funzione Cambio stampante online

Per impostare la stampante scelta durante il Runtime:

  1. progettate per l´immagine un elemento di controllo Dialogo stampa
  2. cliccate durante il Runtime sul pulsante Dialogo stampa
  3. si apre il dialogo di configurazione

Stampante

Parametro | Descrizione
Stampante | Impostazioni per la stampante.
Nome: | selezione della stampante fra quelle della lista a cascata. La lista contiene tutte le stampanti configurate nel sistema operativo.
Proprietà... | Apre il dialogo per la configurazione della stampante selezionata.
Stato: | Visuale stato stampante. Solo informazione.
Tipo: | visualizzazione tipo stampante. Solo informazione
Luogo: | visualizzazione del luogo della stampante, se configurato. Solo informazione.
Commento: | visualizzazione di commento sulla stampante, se configurato. Solo informazione.

Carta

Parametro | Descrizione
Carta | Configurazione della stampa.
Dimensione | Selezione del formato pagina fra quelli della lista a cascata
Sorgente | Scelta dell´alimentazione carta fra le opzioni della lista a cascata.

Orientamento

Parametro

Descrizione

Orientamento

Scelta dell´orientamento della carta. Possibili parametri:

  • Verticale
  • Orizzontale

Rete

Apre il dialogo che serve alla selezione di una stampante in rete.

Ok

Riprende la configurazione e chiude il dialogo. Iin questo modo viene avviata l´operazione di stampa nel Runtime.

Annulla

Rifiuta la configurazione e chiude il dialogo. In questo caso viene interrotta l´operazione di stampam nel Runtime.

Esempio di formattazione

Progettazione in ALAR_G.frm:

Data: @DSYSTEM | ALM chiusa Progetto demo | Tempo @TSYSTEM Ora | Testo
data/ora in entrata | Esce | Testo messaggio | Testo stato
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Pagina | @PAGE |

Emissione sulla stampante:

Data: 20.03.2011 | ALM chiusa Progetto demo | Tempo: ore 12 | Testo
data/ora in entrata | Esce | Testo messaggio | Testo stato
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Segnalazione 1 | Limite superato
20.03.2011 13:00:00 | 13:05:35 | Messaggio demo | Limite 750 raggiunto
20.03.2011 13:03:59 |  | Segnalazione 2 | Valore limite
20.03.2011 13:11:23 |  | Segnalazione 3 | off
20.03.2011 13:03:59 | 13:12:45 | Messaggio demo | off
 | Pagina | 1 |


File di configurazione FRM

Manuale -> Gestione allarmi -> Gestione a Runtime -> Stampa e esporta allarmi -> File di configurazione FRM

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I file FRM (file formato) sono file di configurazione per la stampa di liste.

Il file FRM si suddivide in tre parti:

  • Parte iniziale: Inizio pagina
  • Parte lista: Ciclica per riga
  • Piè di pagina: in fondo alla pagina

Principi fondamentali

Quando modificate i file FRM tenete presente:

  • separazione delle parti:
    • Inizio, parte lista e fine sono separati da %%.

      L’impostazione della struttura può essere utilizzata solamente una volta per la parte lista e la parte finale.

    • Attenzione: all´ultima riga devono seguire perlomeno due paragrafi vuoti. Altrimenti il piè di pagina non viene stampato!
  • Posizionamento dei singoli inserimenti:
    possono essere usati solamente degli spazi vuoti, nessun tab.
  • Modifica del file FRM in un Editor di testi:
    Il cambio riga automatico deve essere disattivato, perché altrimenti possono verificarsi degli effetti indesiderati nella formattazione.

Parole chiave

L´impostazione della lunghezza pagina si effettua nelle proprietà di progetto alla voce AML e CEL, oppure ci si serve dei file ALARM.frm oder ALAR_G.frm per AML oppure. BTB.frm und BTB_G.frm per CEL.

Attenzione:

  • la quantità di allarmi visualizzati per pagina risulta dal numero di righe impostato dall'utente (per esempio Righe per pagina 72) meno le righe utilizzate per l'intestazione pagina e per il piè di pagina..
  • Per potere utilizzare le parole chiave che analizzano la riattivazione (tempo, quantità) deve essere impostata l`opzione Utilizza tempo di riattivazione nella Lista di informazione allarmi.
  • Nel file di formattazione è inoltre possibile usare testi e parole chiave. Le parole chiave possono essere usate in tedesco o in inglese. Si consiglia l´uso di parole chiave inglese.
  • Non ogni parola chiave è adatta per ogni tipo di stampa (AML, CEL, online, offline).

La seguente tabella contiene le parole chiave in tedesco e inglese e le possibilità di sostituzione:

Deutsch (Tedesco) | Inglese | AML Offline | CEL Offline | AML Online | CEL Online | Descrizione
Parole chiave per la parte liste
@BMKENNUNG | @RESOURCELABEL | X | X | X | X | Identificazione servizio
@DATZEITKOMMT | @DTRECEIVED | X | X | X | X | Data e momento della comparsa dell´allarme
@DATZEITGEHT | @DTCLEARED | X | - | X | - | Data e momento della fine dell´allarme
@DATZEITOK | @DTACK | X | - | X | - | Data e momento del ripristino dell´allarme
@DATZEITREAKT | @DTREACTIVATE | X | - | X | - | Data e momento della riattivazione: La proprietà Utilizza tempo di riattivazione delle proprietà di progetto deve essere attivata.
@DATZEIT | @DTLASTEVENT | - | - | X | - | Data e ora di allarme in entrata o cancellato, o ripristinato o riattivato.
@ZEIT | @TLASTEVENT | - | - | X | X | Ora di allarme in entrata o uscito, o riconosciuto o riattivato.
@ZEITOK | @TACK | X | - | X | - | indica solamente il momento del ripristino
@ZTKOMMT | @TRECEIVED | X | X | X | X | indica solamente il momento della comparsa dell´allarme
@ZTGEHT | @TCLEARED | X | - | X | - | indica solamente il momento della fine dell´allarme
@ZTREAKT | @TREACTIVATE | X | - | X | - | indica solamente il momento della riattivazione
@TIMELASTING | @TACTIVE | X | - | X | - | Tempo di attesa (differenza fra Entra - Esce)
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nome progetto
@KANALNAME | @VARNAME | X | X | X | X | Nome variabile CEL: solo inserimenti con variabili
@AK | @ACLASSNR | X | X | X | X | Nome classi allarmi/eventi
@AG | @AGROUPNR | X | X | X | X | Numero gruppi allarmi/eventi
@AGNAME | @AGROUPNAME | X | X | X | X | Nome del gruppo-allarmi/eventi
@AKNAME | ACLASSNAME | X | X | X | X | Nome della classe-allarmi/eventi
@TAGNR | @IDENTIFICATION | X | X | X | X | Identificazione (denominazione propria della ditta)
@AMELDUNG | @TEXT | X | X | X | X | Testo messaggio allarme
@REAKTANZ | @NRREACTIVATE | X | - | X | - | Numero di riattivazioni
@STATUS | @STATUS | X | X | X | X | Informazioni di stato come nella Lista di informazione allarmi
@WERT | @VALUE | X | X | X | X | Valore variabile dell´allarme
@REAKTIONSTEXT | @COMMENT | X | X | X | X | Commento dalla Lista di informazione allarmi Nel caso si usino dei testi per valori limite dinamici, disponibile solo se Testi lunghi per valori limiti - AML oppure Testi lunghi per valori limiti - CEL sono attive.
@USER | @USERID | X | X | X | X | AML: Utente che ha confermato l´allarme
@RECHNER | @COMPUTER | X | X | X | X | AML: Calcolatore su cui l´allarme è stato confermato
Parole chiave per l´intestazione e il pie´ di pagina
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nome progetto
@SEITE | @PAGE | X | X | X | X | Numero di pagine
@HEADDATZEIT | @DTSYSTEM | X | X | X | X | Data sistema e ora sistema
@HEADDATUM | @DSYSTEM | X | X | X | X | Data sistema
@HEADZEIT | @TSYSTEM | X | X | X | X | Ora sistema
@USER | @USERID | X | X | X | X | Utente che stampa
@USERNAME | @USERNAME | X | X | X | X | Nome completo dell´utente che ha iniziato l´attività
@RECHNER | @COMPUTER | X | X | X | X | Calcolatore dal quale viene lanciata la stampa
[Text] | [Text] |  |  |  |  | Testo a piacere nella riga di emissione nella stampante.

attention Attenzione

Fra le parole chiave ci deve essere abbastanza spazio in modo tale che non si corra il rischio di non vedere degli inserimenti. In tal modo garantite che anche dei testi di valori limite lunghi siano visualizzati in modo corretto.

Esempio:

@TEXT (spazio fino a qui)


Esportazione allarmi

Manuale -> Gestione allarmi -> Gestione a Runtime -> Stampa e esporta allarmi -> Esportazione allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono differenti forme per esportare gli allarmi:

  • dBase
  • CSV
  • XML
  • SQL

Esporta

Per esportare degli allarmi

  1. impostate una funzione esporta AML
  2. collegate la funzione ad un bottone
  3. eseguite la funzione durante il Runtime

info Informazioni su

L´export SQL avviene in modo incrementale. Se ci sono già dei dati esportati, vengono esportati solamente quelli nuovi o quelli modificati.


Gestione monitor

Manuale -> Gestione monitor

La gestione monitor consente di realizzare in modo semplice l´organizzazione di più monitor.

I compiti della gestione monitor sono:

  • Funzionamento: funzionamento misto di sistemi a uno o più monitor.
    Ad esempio: in una centrale di controllo vengono utilizzati tre monitor, su un client due e il notebook del tecnico della manutenzione dispone di un solo monitor.
  • Emissione immagine: emissione di un immagine su un monitor qualsiasi e modifica dell’attribuzione d’immagine -> Monitor nel runtime.
    Tutti i tipi d'immagine (per esempio AML, menù) e funzioni (per esempio ripristinare immagine) collegati a quest’immagine o a questo modello, devono essere ripresi automaticamente.
  • Adattamento della risoluzione: implementazione di calcolatori con diverse risoluzioni nello stesso progetto.
    Ad esempio: La risoluzione monitor in fase di progettazione è pari a 1680 x 1050. La risoluzione sull´apparecchio di destinazione è pari a 1024 x 768. In questo caso, zenon adatta la risoluzione in modo automatico e corretto, ma, per via delle differenti relazioni di pagina, i cerchi diventeranno giocoforza delle ellissi. Con la gestione monitor, dunque, è possibile adattare correttamente la risoluzione di destinazione per il runtime.

info Informazioni su

La risoluzione minima consigliata nel Runtime è di 1024 x 768 pixel. Possono essere configurate anche delle risoluzioni minori. Tuttavia, in questo caso probabilmente non sarà possibile gestire alcuni dialoghi online. Ciò vale solo per pochi dialoghi. Se non avete intenzione di farne uso, potete selezionare anche una risoluzione minore.

Impostazioni in zenon e Windows

La gestione monitor esercita un'influenza sui modelli e le immagini di zenon. Consigliamo di adeguare la dimensione dei modelli a quella del monitor o dei monitor sui quali si verifica la visualizzazione. Dei modelli di grandi dimensioni sconfinano in altri monitor, oppure non vengono visualizzati per intero.

I box di dialogo - anche quelli in zenon - sono soggetti alle impostazioni di Windows.

attention Attenzione

Nel caso si utilizzino più progetti, vale quanto segue:

  • nel caso in cui si carichino in memoria più progetti, è quello attivo che determina per tutti gli altri le impostazioni monitor disponibili.
  • Se il progetto attivo è un progetto con un solo monitor, dunque, non è possibile selezionare in eventuali progetto a più monitor uno schermo di destinazione.
  • Per quello che concerne la gestione multi-progetto, valgono nel Runtime sempre le impostazioni del progetto di integrazione.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Noch in diesem Kapitel

Concetto e presupposti

Progettazione nell'editor

Modifica risoluzione del monitor

Funzioni della gestione monitor.

Esempio di configurazione

Gestione monitor nel Runtime


Concetto e presupposti

Manuale -> Gestione monitor -> Concetto e presupposti

Con la gestione monitor vengono aperte delle immagini su monitor virtuali. I monitor virtuali vengono assegnati a monitor realmente esistenti. Quest´assegnazione può essere impostata individualmente facendo uso dei profili monitor. In tal modo è possibile dare una veste individuale a progetti per configurazioni differenti.

La base della gestione monitor è costituita da:

  • fissare la risoluzione di default per un progetto.
    Per esempio 2048*768 in presenza di due monitor con una risoluzione di rispettivamente 1024*768.
    Questa verrà impostata in modo fisso per il Runtime.
  • Nominare i monitor realmente esistenti.
  • Definizione di monitor virtuali che devono essere attribuiti a quelli reali.
    Grazie ai monitor virtuali è possibile, per esempio, visualizzare un sistema a tre monitor (3 reali e 3 virtuali) su un sistema a 1 monitor (1 reale e 3 virtuali).
  • La possibilità di modificare nell´Editor e durante il funzionamento Runtime l´assegnazione di monitor virtuali a quelli reali.
    In tal modo, per esempio, un monitor virtuale può essere spostato su un altro monitor reale anziché su quello impostato in fase di progettazione.
  • Finestra di controllo con una visione generale concernente modelli e monitor.
    Tale finestra consente di selezionare velocemente un monitor attraverso la scelta della superficie desiderata nell´ambito della finestra stessa. Ciò può avvenire anche mediante barre di scorrimento che possono essere visualizzate se lo si vuole.

Procedura

Nel caso dell´uso di più monitor:

  • nel caso di cambio immagine, le immagini vengono assegnate a monitor virtuali
  • i monitor virtuali possono essere assegnati a piacere a quelli esistenti realmente

In tal modo un progetto può essere visualizzato correttamente su diversi sistemi con un numero differente di monitor, senza che ciò richieda una nuova progettazione.

Progettazione

La gestione monitor ha diversi effetti su:

  • nuovi progetti
  • progetti esistenti

Procedura consigliata: nel caso di un nuovo progetto, impostate la gestione monitor prima di passare alla definizione di modelli e immagini. Cominciate a fissare la risoluzione per il Runtime.

attention Attenzione

Al fine di garantire una visualizzazione ottimale di zenon nel Runtime, si consiglia di adottare per Windows Visualizzazione la impostazione standard (corrisponde 100%). Se si opta per valori maggiori, può succedere che elementi grafici, simboli, testi ecc. non siano visualizzati correttamente.

Noch in diesem Kapitel

Presupposti per il runtime

Nuovo Progetto

Modifica progetto esistente


Presupposti per il runtime

Manuale -> Gestione monitor -> Concetto e presupposti -> Presupposti per il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Perché la gestione monitor possa lavorare in modo corretto su un sistema a più monitor, deve essere impostata nel file zenon6.ini la risoluzione monitor effettivamente disponibile.

Eccezione: nel caso del Web Client di zenon, queste impostazioni non sono necessarie.

Inserimento INI

Sono necessari i seguenti inserimenti INI nel settore [DEFAULT]:

  • Gli inserimenti RT_CXMAINFRAME e RT_CYMAINFRAME definiscono la risoluzione della grandezza della finestra principale (somma di tutti i monitor) in pixel.
    Attenzione: gli inserimenti devono essere inferiori di un pixel alle dimensioni monitor effettive, visto che si inizia a contare da 0.
  • Gli inserimenti RT_CXRESOLUTION e RT_CYRESOLUTION definiscono la risoluzione di riferimento (risoluzione del monitor primario) in pixel per l´adattamento della risoluzione nel Runtime sul calcolatore di destinazione. Qui non è necessario sottrarre 1 pixel.
Inserimento | Significato
[DEFAULT] | Sezione in cui avviene l´inserimento.
SCREENPROFILE= | Profilo monitor selezionato per questo calcolatore. Nome della configurazione. Ad esempio: ScreenProfile=Standard Viene fissato sul calcolatore di progettazione mediante la configurazione delle impostazioni generali. Su altri calcolatori deve essere definito eventualmente con un inserimento manuale nello zenon6.ini.
RT_CXMAINFRAME= | Larghezza della risoluzione di tutti i monitor meno 1 pixel. Ad esempio nel caso di due schermi con rispettivamente una larghezza di1280 pixel: RT_CXMAINFRAME=2559
RT_CYMAINFRAME= | Altezza della risoluzione di tutti i monitor meno 1 pixel. Ad esempio, nel caso di un´altezza schermo pari a 1024 pixel: RT_CYMAINFRAME=1023 Attenzione: se la barra task di Windows è visualizzata, la sua altezza deve essere considerata e deve essere sottratto un numero corrispondente di pixel.
RT_CXRESOLUTION= | Larghezza della risoluzione del calcolatore di destinazione nel Runtime in pixel, indipendentemente dal valore della proprietà RT_CXMAINFRAME. Qui non è necessario sottrarre 1 pixel.
RT_CYRESOLUTION= | Altezza della risoluzione del calcolatore di destinazione nel Runtime in pixel, indipendentemente dal valore della proprietà RT_CYMAINFRAME. Qui non è necessario sottrarre 1 pixel.

attention Attenzione

Le configurazioni seguenti possono far sì che non venga visualizzato nulla, oppure che solo il primo schermo mostri delle immagini:

  • Se i valori definiti nel file INI sono maggiori alla superficie effettivamente a disposizione, è possibile che non venga visualizzato niente!
    Soluzione: correggere l´inserimento nell´INI.
  • Se la barra task di Windows viene visualizzata in modo fisso, è possibile che le immagini vengano visualizzate solamente sul primo monitor.
    Soluzione: per la barra task di Windows settare l´impostazione Nascondi barra task automaticamente.
    Oppure: definire RT_CYMAINFRAME in modo tale che non venga inserito nella barra task, per es. RT_CYMAINFRAME=1023 invece di 1280.

Esempio

un progetto è stato progettato per monitor con la risoluzione 1920x1080.
Il progetto deve essere adattato a monitor con la risoluzione 1024x768.

Risoluzione del calcolatore di destinazione: monitor 1 e monitor 2: 1024x768

A tal scopo bisogna settare gli inserimento nello zenon6.ini nel modo seguente:

  • RT_CXMAINFRAME=2047 (1024 *2 – 1)
  • RT_CYMAINFRAME=767 (768 – 1)
  • RT_CXRESOLUTION=1024
  • RT_CYRESOLUTION=768


Nuovo Progetto

Manuale -> Gestione monitor -> Concetto e presupposti -> Nuovo Progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Definite la risoluzione dello schermo prima dell´inizio della progettazione. Questa impostazione non deve più essere modificata in seguito potendo causare delle deformazioni, se la relazione larghezza/altezza non corrispondono!

Quando si crea un nuovo progetto, la risoluzione dello schermo per la gestione monitor viene adattata automaticamente all'attuale risoluzione dello schermo. Se un progetto deve funzionare su un calcolatore che ha un´altra risoluzione, dovete adattare le impostazioni in modo corrispondente prima dell´inizio della progettazione.

Per poter assegnare delle immagini a diversi monitor reali in diversa combinazione, definite anzitutto un numero corrispondente di monitor virtuali.


Modifica progetto esistente

Manuale -> Gestione monitor -> Concetto e presupposti -> Modifica progetto esistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si effettuano dei cambiamenti nella gestione monitor in progetti già esistenti, devono essere adattati tutti i cambi immagine.

La gestione monitor, peraltro, può rappresentare un vantaggio anche per progetti già esistenti. Ad esempio:

  • Evitare immagini doppie per differenti risoluzioni.
  • Inclusione di calcolatori con diversi numeri di monitor in un progetto di rete.
    per contenere il lavoro da fare per effettuare i cambiamenti, Vi consigliamo di lavorare con una Finestra di controllo nel realizzare l´implementazione di calcolatori con un numero limitato di monitor. In tal modo tutti i monitor possono essere selezionati molto rapidamente.


Progettazione nell'editor

Manuale -> Gestione monitor -> Progettazione nell'editor

Definite nell´Editor la gestione di:

  • nuovi progetti
  • progetti esistenti

Per configurare la gestione monitor:

  1. navigate nelle proprietà proprietà di progetto e passate al nodo Aspetto grafico
  2. cliccate all´interno del sottogruppo Runtime generale nella proprietà Configurazione monitor
  3. si apre il dialogo di configurazione
  4. definite le impostazioni generali
  5. definite le impostazioni individuali per i diversi profili

attention Attenzione

Nel caso di posizionamento assoluto, le coordinate dei modelli si riferiscono sempre all´angolo in alto a sinistra dello schermo principale. Esso deve essere lo schermo più a sinistra del sistema.

Un esempio di configurazione di un progetto con diverse impostazioni monitor lo trovate nella sezione Configurazione esemplificativa.

Noch in diesem Kapitel

Impostazioni generali

Impostazioni individuali


Impostazioni generali

Manuale -> Gestione monitor -> Progettazione nell'editor -> Impostazioni generali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialogo per configurare le proprietà monitor generali:

Monitor reali

Proprietà | Descrizione
Monitor reali | Numero dei monitor realmente disponibili (hardware). Definite le impostazioni monitor nelle pagine profili. (vedi sezioni Impostazioni individuali eProgettazione monitor reali).
Quantità | Indica la quantità dei monitor reali definiti.

Monitor virtuali

Proprietà | Descrizione
Monitor virtuali | Numero dei monitor virtuali. Definite le impostazioni monitor nelle pagine profili. (vedi sezioni Impostazioni individuali eProgettazione monitor virtuali).
Quantità | Indica il numero dei monitor virtuali definiti come segue: da V_00 a V_nn. Il primo monitor reale viene configurato da zenon come monitor standard.
Modifica | Cliccando sul pulsante si apre il dialogo che serve a definire il numero dei monitor virtuali.
Nomi | Lista dei nomi dei monitor virtuali.
Rinomina... | Apre il dialogo che serve ad assegnare dei nomi ai monitor virtuali. Testo inseribile liberamente per un massimo di 15 caratteri.

attention Attenzione

Il primo monitor virtuale viene usato da zenon come monitor standard.

Profili monitor

Proprietà | Descrizione
Profili monitor | Definisce a livello centrale dei profili monitor per il Runtime. Ogni profilo monitor riceve una propria scheda per la Configurazione individuale. La determinazione dei profili monitor per altri calcolatori deve essere eventualmente fatta manualmente in forma di un inserimento INI.
Copia... | Crea un nuovo profilo sulla base del profilo selezionato e apre il dialogo che serve all´attribuzione di un nome.
Rinomina... | Apre il dialogo che serve a nominare un profilo.
Elimina... | Elimina il profilo selezionato senza la richiesta di una conferma di sicurezza.
Profilo monitor, utilizzato dal Runtime per questo PC | Apre la lista a cascata per la selezione del profilo che deve essere usato durante il runtime. Nota: su un computer remoto, il profilo deve essere inserito eventualmente in modo manuale nel file zenon6.ini.

Risoluzione dello schermo

Proprietà

Descrizione

Risoluzione dello schermo

Risoluzione con la quale funzionerà il progetto nel runtime. (Vedi configurazione nel capitolo Presupposti per il Runtime.)

Suggerimento: fissate questa impostazione prima dell´inizio della progettazione. Delle modifiche successive possono determinare delle deformazioni nella visualizzazione, se la relazione Larghezza/Altezza della risoluzione non corrisponde!
Standard: risoluzione del computer attuale.

Riprendi da schermo attuale

Riprende la risoluzione dello schermo attualmente attivo come risoluzione per il profilo monitor.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Definire profilo monitor sul calcolatore Runtime

Se avete installato su un PC solamente il runtime e non l´editor, potete fissare il profilo monitor desiderato nel modo desiderato:

  1. Aprite il file zenon6.ini con un editor testi
  2. navigate fino a [DEFAULT]
  3. digitate il seguente inserimento:
    ScreenProfile=Nome del profilo monitor
  4. salvate il file e chiudete l´editor dei testi.

info Informazioni su

Di default sul zenon Web Client è sempre caricato il profilo standard. Tuttavia, potete optare per un altro profilo monitor usando l´inserimento SCREENPROFILE= dello zenon6.ini.


Impostazioni individuali

Manuale -> Gestione monitor -> Progettazione nell'editor -> Impostazioni individuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ogni profilo monitor viene rappresentato nella configurazione attraverso una scheda propria. In questa sede potete definire le impostazioni per i monitor reali e virtuali, nonché il loro comportamento durante il Runtime.

Menù di selezione online

Proprietà | Descrizione
Menù di selezione online | Comportamento del menù di selezione online durante il runtime.
Visualizza menù di selezione online | Attivo: il menu viene aperto durante il runtime al momento del passaggio di immagine e offre i monitor per i quali è stata attivata la proprietà Menu di selezione online.
Durata della visualizzazione | Tempo in secondi durante il quale il menù online rimane acceso.
Modifica della descrizione per il pulsante Annulla. | Attivo: pulsante con cui può essere chiuso il menù di selezione online, viene visualizzato durante il Runtime. La didascalia del pulsante può essere modificata a piacere. =% mostra i secondi che rimangono fino all´interruzione automatica.
Tasto ESC per chiusura menù di selezione | Attivo: il menù di selezione online può essere chiuso anche con il tasto Esc.

Aspetto Runtime

Proprietà

Descrizione

Aspetto Runtime

Definisce opzioni di visualizzazione durante il runtime.

Adatta alla dimensione schermo

Attivo: La risoluzione del progetto viene adattata a quella dello schermo del computer attuale.

Inattivopotete definire in questa sede la risoluzione del progetto, il che vale a dire che essa non verrà adattata a quella corrente del monitor.

Considera header nell´adattamento

Attivo: L'altezza del titolo viene presa in considerazione sia nell'editor dei modelli, che nel runtime.

Questa proprietà è presente per motivi di compatibilità e, normalmente, non se ne ha bisogno.

Considera menù principale nell´adattamento

Attivo: L'altezza del menù viene presa in considerazione sia nell'editor dei modelli, che nel runtime.

Questa proprietà è presente per motivi di compatibilità e, normalmente, non se ne ha bisogno.

Mantieni proporzioni
  • Attivo: quando nel Runtime si passa ad un´altra risoluzione, le proporzioni laterali vengono mantenute.
  • Inattivo: Le proporzioni vengono eventualmente modificate.

Attenzione: Una modifica delle proporzioni può avere effetto sulla visualizzazione.
Ad esempio:

  • cerchi assumono una forma ovale.
  • Per gli elementi ruotati non corrispondono più i punti aggancio.
  • I simboli vengono visualizzati sciolti

Barra di scorrimento

Attivo: nel runtime vengono visualizzate delle barre. Questi scrollbar consentono la navigazione in immagini la cui dimensione è maggiore di quella del monitor.

Monitor reali

Proprietà | Descrizione
Monitor reali | Lista con tutti i monitor reali e le proprietà ad essi attribuite.
Modifica | Apre il dialogo che serve alla definizione le proprietà individuali del monitor selezionato.

Monitor virtuali

Proprietà | Descrizione
Monitor virtuali | Lista con tutti i monitor virtuali e le proprietà ad essi attribuite. I cambi immagine si riferiscono a monitor virtuali. I monitor virtuali vengono assegnati durante il Runtime a quelli reali.
Modifica | Apre il dialogo che serve alla definizione le proprietà individuali del monitor virtuale selezionato.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Noch in diesem Kapitel

Progettazione di monitor reali

Progettazione. Monitor virtuali


Progettazione di monitor reali

Manuale -> Gestione monitor -> Progettazione nell'editor -> Impostazioni individuali -> Progettazione di monitor reali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccando sul pulsante Modifica nella sezione Monitor reali della scheda per la Impostazione individuale di un profilo monitor, si apre il dialogo che serve a configurare i monitor reali.

Parametri | Descrizione
Nome | Nome del monitor. Testo inseribile liberamente per un massimo di 15 caratteri.
Posizione | Descrive la posizione e la risoluzione del monitor. Ad esempio: Monitor sinistro: 0/0/1680/1050 Monitor destro: 1680/0/3360/1050
Monitor non esistente, assegnare a | Attiva: permette di selezionare nella lista a cascata un altro monitor reale, a cui essi viene attribuito, per esempio, perché non è attualmente collegato al computer. Durante il Runtime il monitor verrà visualizzato su quello cui è stato assegnato. Le barre di scorrimento permettono di muoversi fra le due immagini.
Visualizza in menù online | Attivo: nel Runtime questo monitor viene offerto nel menù nel caso di ogni cambio immagine che consente una scelta individuale del monitor.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Progettazione. Monitor virtuali

Manuale -> Gestione monitor -> Progettazione nell'editor -> Impostazioni individuali -> Progettazione. Monitor virtuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccando sul pulsante Modifica nella sezione Monitor virtuali della scheda per la Impostazione individuale di un profilo monitor, si apre il dialogo che serve a configurare i monitor virtuali.

Parametri | Descrizione
Nome | Visualizzazione del nome. Esso può essere modificato nella scheda Impostazioni generali.
Impostazioni | Impostazione per l´attribuzione del monitor.
Visualizza nel menù online | Attiva: nel Runtime, ad ogni apertura dell´immagine che è stata assegnata a questo monitor, viene visualizzato il menù che serve alla selezione di un monitor reale.
Assegna a monitor reale | Attribuisce in modo fisso il monitor virtuale ad un monitor reale. Durante il runtime questa attribuzione può essere modificata facendo uso della funzione Assegna monitor.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Modifica risoluzione del monitor

Manuale -> Gestione monitor -> Modifica risoluzione del monitor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si modifica la risoluzione del monitor nella proprietà di progetto Configurazione monitor, questo cambio ha effetto sulla grandezza dei modelli e delle immagini in essi contenute con i loro elementi d'immagine. . Dopo la modifica, è possibile che gli elementi contenuti nelle immagini vengano visualizzati distorti e in altre posizioni. Quando si modifica la risoluzione del monitor, il progetto globale e i singoli progetti devono essere adattati in modo corrispondente.

Progetto globale

Modifica della risoluzione nella gestione monitor

Quando si modifica la risoluzione nella finestra di dialogo Gestione monitor del progetto globale, cambia in modo corrispondente anche la grandezza dei modelli nello stesso progetto globale. Anche la grandezza delle immagini basate su questi modelli e degli elementi in esse contenuti cambia.

attention Attenzione

Dopo la modifica della risoluzione nel progetto globale, le immagini e gli elementi vengono visualizzati sulla base della nuova risoluzione. Nel Runtime, però, essi continuano ad essere visualizzati in conformità delle impostazioni del singolo progetto in cui vengono usati. La risoluzione, dunque, deve essere sempre modificata ed adattata anche nel singolo progetto.

Modifica della grandezza dei modelli

Quando si modifica nel progetto globale solo la grandezza dei modelli, ma si lascia inalterata la risoluzione nella gestione monitor, anche gli elementi nelle immagini basate su questi modelli globali vengono modificati.

Progetto di integrazione e in sottoprogetti

Modifica della risoluzione nella gestione monitor

Ogni progetto ha una propria gestione monitor.

Quando si modifica la risoluzione nella gestione monitor, cambia in modo corrispondente la grandezza dei modelli di questo progetto. Cambia in modo corrispondente anche la grandezza delle immagini basate su questi modelli, e gli elementi in esse contenuti.

Tipp Suggerimento
  • Per i progetti multigerarchici.
    Adattate nell´Editor le impostazioni della gestione monitor per ogni progetto.
  • Senza adattamento della risoluzione:
    Se volete modificare solamente la grandezza dei modelli e delle immagini, mentre volete lasciare inalterate grandezza e posizione degli elementi, esportate le immagini prima della modifica in un file XML. Reimportate le immagini dopo aver effettuato il cambio.

attention Attenzione

Quando si configura il cambio immagine nell´Editor, viene visualizzata una lista dei monitor selezionabili. Il contenuto di questa lista dipende dal dialogo configurato per ultimo e confermato con OK di Configurazione monitor - indipendentemente da in quale progetto di una gestione multi-progetto sia stata effettuata questa configurazione. Ciò significa: una modifica nel progetto A ha effetto anche sul contenuto della lista nel progetto B.

Soluzione: Aprite e confermate il dialogo nel progetto in cui effettuate un cambio immagine.

Esempio

un progetto ha la risoluzione 1280 x 720. La si vuole modificare portandola a 1920 x 1080.

Situazione di partenza

Ci sono i seguenti progetti con le seguenti impostazioni:

  • Progetto globale con:
    • Modelli: massimo 1280 x 720
    • Risoluzione configurata 1280 x 720
  • Progetto di integrazione:
    • Immagini: massimo 1280 x 720
    • Risoluzione configurata 1280 x 720
  • Sottoprogetti:
    • Immagini: massimo 1280 x 720
    • Risoluzione configurata 1280 x 720

Configurazione

La configurazione dipende dal fatto se si vuole adattare anche gli elementi contenuti nelle immagini.

Configurazione inclusa modifica degli elementi:

  1. Progetto globale

    Modificate la risoluzione nella gestione monitor impostandola su 1920 x 1080. In tal modo verranno adattati modelli, immagini ed elementi.

  2. Progetto di integrazione:

    Modificate la risoluzione nella gestione monitor impostandola su 1920 x 1080. In tal modo viene adattata l´impostazione per il Runtime.

  3. Sottoprogetti:

    Modificate la risoluzione nella gestione monitor impostandola su 1920 x 1080. In tal modo viene adattata l´impostazione per il Runtime.

Configurazione senza modifica degli elementi:

  1. Esportate tutte le immagini in un file XML.
  2. Adattate la risoluzione monitor.
  3. Importate le immagini del file XML.


Funzioni della gestione monitor.

Manuale -> Gestione monitor -> Funzioni della gestione monitor.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Durante il Runtime si può amministrare la gestione monitor tramite le funzioni di zenon.

Sono a disposizione:

  • Impostazioni nel caso di cambio immagine : Il dialogo per la selezione immagini viene esteso con l´aggiunta di impostazioni che servono ad effettuare l´assegnazione monitor.
  • Assegna monitor: Consente di assegnare durante il Runtime ad un monitor reale uno virtuale.
  • Visualizza finestra di controllo: Apre durante il Runtime una finestra di controllo oppure la chiude. La finestra mostra tutti i monitor reali o i modelli progettati e consente di effettuare una selezione e un passaggio veloce da un elemento all´altro.

Le impostazioni per la selezione monitor sono disponibili anche per le funzioni:

  • Attiva focus sul modello
  • Chiudi modello
  • Chiudi immagine

Noch in diesem Kapitel

Impostazioni nel caso di cambio immagine

Assegna monitor

Visualizza finestra di controllo


Impostazioni nel caso di cambio immagine

Manuale -> Gestione monitor -> Funzioni della gestione monitor. -> Impostazioni nel caso di cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Non appena si configura la gestione monitor su più di un monitor, nel Dialogo di selezione delle immagini si trovano ulteriori opzioni per la selezioni del monitor su cui deve essere visualizzata l´immagine:

Ulteriori opzioni

Descrizione

Monitor

Selezione del monitor fra quelli della lista a cascata

Essa contiene tutti i monitor virtuali definiti nella gestione monitor, più la voce Monitor attuale.

Monitor virtuale: L´immagine viene aperta sullo schermo che è connesso al monitor virtuale selezionato.

Nel caso in cui in sede di Configurazione non si sia assegnato al monitor virtuale nessun monitor reale, ma l´opzione Visualizza menù di selezione online, il sistema apre una finestra di selezione durante il Runtime che serve a selezionare un monitor reale.

Monitor attuale: Apre l´immagine sempre sul monitor dal quale proviene la richiesta di apertura. Ad esempio:
se si preme il pulsante per l´apertura della AML sul monitor di sinistra, l´AML verrà aperta sullo schermo di sinistra. Se si preme pulsante per l´apertura dell´AML sul monitor di destra, l`AML verrà aperta su quel monitor.

Nella visione generale delle funzioni, in corrispondenza della funzione il sistema indica fra parentesi il monitor sul quale viene visualizzata l´immagine.

Ad esempio:

START (V_00) significa: si passa all´immagine START ed essa viene visualizzata sul monitor virtuale V_00.
REL significa: visualizzazione sul monitor attuale.

Menù di selezione online

Se durante il Runtime si esegue una funzione cambio immagine con l´opzione Visualizza menù di selezione online attiva, prima che la funzione venga eseguita viene aperto un menù che serve alla selezione di un monitor. I contenuti di questo menù, nonché il tempo durante il quale esso viene visualizzato, vengono fissati in sede di Configurazione monitor.


Assegna monitor

Manuale -> Gestione monitor -> Funzioni della gestione monitor. -> Assegna monitor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la funzione Assegna monitor i monitor virtuali possono essere assegnati durante il Runtime a quelli reali, indipendentemente da quanto è stato fissato in fase di progettazione.

Per configurare la funzione:

  1. create una nuova funzione
  2. navigate per raggiungere il nodo Immagini
  3. selezionate la funzione Assegna monitor
  4. viene aperto il dialogo che serve ad assegnare un monitor virtuale a uno reale
  5. impostate un´assegnazione
  6. chiudete il dialogo cliccando su OK.
  7. assegnate la funzione ad un pulsante

Dialogo Assegnazione monitor

Parametri | Descrizione
Nome | Selezione del monitor virtuale fra quelli della lista a cascata Tutti i monitor virtuali configurati nella gestione monitor vengono visualizzati in una lista.
Impostazioni | Selezione dell´assegnazione mediante pulsanti radio:
Visualizza in menù online | Apre un dialogo durante il Runtime che serve alla selezione del monitor reale desiderato.
Assegna a monitor reale | Attribuisce il monitor virtuale ad un monitor reale. Il monitor viene selezionato fra quelli della lista a cascata. Questa lista contiene tutti i monitor reali configurati nella gestione monitor.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Le funzioni vengono visualizzate nella visualizzazione dettagli con lo scopo di effettuare l´assegnazione.

Ad esempio:

  • V_00,(ONLINE): L´assegnazione del monitor virtuale V_00 a uno reale avviene durante il Runtime mediante il menù di selezione online.
  • ???,???: il dialogo di assegnazione è stato chiuso, non viene eseguita nessuna funzione.
  • V_00,Left screen: Il monitor virtuale V_00 viene assegnato a quello reale Left screen.


Visualizza finestra di controllo

Manuale -> Gestione monitor -> Funzioni della gestione monitor. -> Visualizza finestra di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Visualizza finestra di controllo mostra durante il Runtime una finestra di controllo che visualizza in un sistema multi-monitor i monitor reali o i modelli esistenti. Cliccando con il mouse si può passare a un monitor o a un modello.

Per configurare la funzione:

  1. create una nuova funzione
  2. navigate per raggiungere il nodo Immagini
  3. selezionate la funzione Visualizza finestra di controllo
  4. si apre il dialogo per configurare la finestra di controllo
  5. configurate la finestra di controllo
  6. chiudete il dialogo cliccando su OK.
  7. assegnate la funzione ad un pulsante

Mostra dialogo Finestra di controllo

Impostazioni

Parametri | Descrizione
Impostazioni | Con questa funzione si può solo aprire, o chiudere la finestra di controllo o fare il toggle. La selezione avviene via pulsanti radio:
Visualizza | Attivo: La finestra di controllo viene aperta.
Fare il toggle | Attivo: la visualizzazione passa da aperta a chiusa.
Chiudi | Attivo: La finestra di controllo viene chiusa.
Visualizza nei : | Selezione della visualizzazione nella finestra di controllo. Vengono visualizzati o modelli o monitor.
Modelli | Attivo: La finestra di controllo divide lo schermo in modelli.
Monitor | Attivo: La finestra di controllo divide lo schermo in monitor.

Stile della finestra

Parametri

Descrizione

Stile della finestra

Con titolo

Attivo: la finestra di controllo dispone di una barra titolo Windows

Menù di sistema

Attivo: viene visualizzato il menù sistema Windows a barra titolo attivata

Con cornice

Attivo: La finestra di controllo viene visualizzata con una cornice. La dimensione della finestra può essere modificata trascinando la cornice. Selezione dello spessore della cornice mediante pulsanti radio:
  • Sottile

Attivo: cornice spessa.
  • Grassetto

Attivo: Cornice fine

Posizione

Parametri

Descrizione

Posizione

La posizione della finestra di controllo sullo schermo, calcolata in pixel a partire dall´angolo in alto a sinistra per:

  • In sù
  • In basso
  • sinistra
  • destra

Colori

Parametri | Descrizione
Colori |  | Impostazione dei colori della finestra di controllo. Cliccando su Colore si apre la tavolozza.
Colore sfondo |  | Colore dello sfondo della finestra.
Visualizzazione attuale |  | Modelli/monitor attualmente visualizzati.
Cornice |  | Colore della cornice.
selezionati |  | Modelli/monitor selezionati

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Esempio di configurazione

Manuale -> Gestione monitor -> Esempio di configurazione

In questo esempio vedete la configurazione possibile per i seguenti requisiti di progetto:

  1. 1 server con 2 monitor con una risoluzione di rispettivamente 1680 x 1050
  2. 1 client con un monitor con una risoluzione di 1680 x 1050
  3. 1 notebook per il team di manutenzione con una risoluzione di 1024 x 768

Compito

Configuriamo il progetto in modo tale che si possa effettuare la visualizzazione sul server con due monitor. Realizziamo le impostazioni del client in modo tale che tutte le emissioni del sistema vengano visualizzate su di un solo monitor. E per il notebook della manutenzione modifichiamo anche la risoluzione della visualizzazione. Durante il funzionamento, è necessario solamente selezionare sul calcolatore Runtime in questione il profilo monitor corrispondente per ottenere la visualizzazione corretta.

Start configuration (Avvia la configurazione)

  1. Configurate il file INI in modo analogo alle istruzioni che trovate nel capitolo Presupposti per il Runtime, per fissare la risoluzione nel Runtime.
  2. Le impostazioni base della configurazione vengono effettuate in sede di configurazione monitor:
    andate alle proprietà di progetto -> Aspetto grafico -> Runtime generale
  3. Cliccate sulla proprietà Configurazione monitor
  4. Si aprirà il dialogo per la configurazione monitor
  5. Configurate anzitutto le impostazioni generali
  6. Configurate poi le impostazioni individuali per:
    1. il server con 2 monitor
    2. il client con un monitor
    3. il notebook per il team di manutenzione

Noch in diesem Kapitel

Caratteri generali della configurazione

Configurazione server con 2 monitor

Configurazione client con un monitor

Configurazione Notebook Service-Team

Ulteriore configurazione


Caratteri generali della configurazione

Manuale -> Gestione monitor -> Esempio di configurazione -> Caratteri generali della configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la configurazione, in primo luogo:

  • si fissano le impostazioni generali, come, ad esempio, il numero dei monitor virtuali e reali
  • si impostano i profili per 3 diverse configurazioni

Impostazioni generali

Monitor

Per il nostro esempio definiamo:

  • 2 monitor reali
  • 3 monitor virtuali
    • uno per immagini di processo
    • uno per l´apertura della barra menu: In tal modo possiamo sempre determinare se la barra menu deve essere aperta a destra o a sinistra senza influenzare le immagini di processo.

Facciamo presente che: i monitor virtuali sono destinazione dei cambi immagine. Essi vengono assegnati nel Runtime a quelli reali. Si ha la possibilità di passare fra i monitor reali e quelli virtuali. Nel caso in cui non sia disponibile il secondo monitor, come per esempio nel portatile, l´emissione delle immagini può essere semplicemente indirizzata sul monitor sinistra senza dover modificare la progettazione.

Risoluzione

Un importante fattore è anche la risoluzione impostata. Essa è la grandezza di riferimento per l´adattamento. Essa dovrebbe essere impostata una sola volta all´inizio della progettazione e non essere più modificata in seguito. Nel caso in cui questa impostazione venga modificata in seguito, vengono ricalcolate tutte le coordinate degli elementi nelle immagini.

Inseriamo la nostra risoluzione di destinazione di 1680 x 1050.

Profili monitor

Per ogni configurazione del nostro esempio impostiamo un proprio profilo. Nel nostro esempio:

  • Server 2 Mon
  • Client 1 Mon
  • Notebook small

Per far ciò:

  1. scegliete il profilo Standard
  2. cliccate su copia
  3. si apre il dialogo per cambiare il nome
  4. inserite il nuovo nome (la lunghezza è limitata a 15 caratteri)
  5. cliccate su OK.
  6. ripetete l´operazione per tutti gli altri profili

Ogni profilo riceve nella configurazione monitor una propria scheda per la configurazione individuale

Cominciamo con la scheda Server 2 Mon.


Configurazione server con 2 monitor

Manuale -> Gestione monitor -> Esempio di configurazione -> Configurazione server con 2 monitor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La prima configurazione si riferisce al nostro server con 2 monitor.

Configureremo:

  • il menù di selezione - online
  • il tipo di immagine durante il Runtime
  • i monitor reali
  • i monitor virtuali

Menù di selezione online

Il menù di selezione - online consente di selezionare durante il Runtime su quale monitor reale viene aperta un´immagine. A tal scopo:

  • attivare l´opzione Menù di selezione - online
  • selezionare nell´assegnazione del monitor virtuale, l´opzione Visualizzazione nella lista online
    oppure

    progettare una funzione Assegna monitor

Per il nostro esempio:

  • attivate l´opzione
  • selezionate una Durata di visualizzazione di 10 secondi: nel caso in cui fino ad allora non sia stata settata nessuna azione, il menu verrà nascosto
  • attivate l´opzione Descrizione: a questo punto durante il Runtime comparirà nel menù il pulsante Annulla
  • inserite nel pulsante la didascalia Cancel = %: nel menù viene visualizzato il tempo rimanente fino all´annullamento dell´azione
  • attivate l´opzione Tasto ESC per chiusura menù di selezione: il menu verrà chiuso durante il Runtime anche premendo il tasto Esc

Durante il Runtime, poi, nel caso di un cambio immagine su un monitor virtuale con menù di selezione - online verrà visualizzato il menù:

Si può scegliere fra i monitor reali M_00 e M_01. Fino al termine ci sono ancora 10 secondi per effettuare una selezione. Cliccando su Cancel oppure premendo il tasto Esc, il menù verrebbe chiuso immediatamente.

Impostazioni schermo durante il Runtime

Per la visualizzazione dello schermo nel Runtime:

  • disattivate l´opzione Adatta alla dimensione schermo: in tal modo, la visualizzazione rimarrà sempre delle dimensioni progettate. (Nel caso in cui l´opzione dovesse essere attiva, invece, la visualizzazione sarebbe adattata alla risoluzione attuale).
  • attivate l´opzione Barra di scorrimento: in tal modo, il sistema propone nel Runtime delle barre di scorrimento che permettono lo scroll all´interno dell´immagine.

Configurazione monitor reali

Sul server sono disponibili due monitor. Entrambi i monitor reali del progetto che abbiamo proposto come esempio, vengono configurati in modo corrispondente.

Il secondo monitor, ad esempio, ottiene le coordinate corrispondenti per allinearsi al primo monitor in senso orizzontale a destra.

Il nome può essere impostato separatamente per ogni configurazione. Per configurare i monitor:

  1. aprite in successione ognuno dei due monitor cliccando sul pulsante Modifica
  2. assegnate un nome, nel nostro esempio semplicemente M_00 e M_01
  3. disattivate l´opzione Monitor non esiste ... (abbiamo bisogno di questa opzione per le altre configurazioni)
  4. inserite le coordinate,
    si calcola a partire dall´angolo in alto a sinistra del monitor di sinistra
  5. attivate l´opzione Visualizzazione nella lista online, in modo tale che il monitor sia disponibile nel Runtime per la selezione online

Configurazione monitor virtuali

In questa configurazione i monitor virtuali vengono assegnati a quelli reali.

Facciamo presente che: cambi immagine si riferiscono a monitor virtuali. L´assegnazione dei monitor virtuali determina su quale monitor reale verrà aperta concretamente l´immagine.

Nel nostro esempio ci sono tre monitor virtuali. I primi due vengono assegnati rispettivamente a un monitor reale. Il terzo, invece, ha la funzione di consentire l´apertura a piacere della barra menù. Questo terzo monitor non viene assegnato a nessun monitor reale, ma l´assegnazione deve essere proposta dal sistema nell´ambito del menù di selezione online.

Per assegnare i primi due monitor virtuali:

  1. aprite in successione ognuno dei due monitor cliccando sul pulsante Modifica
  2. i nomi vengono solamente visualizzati, sono uguali per tutti i profili e possono essere modificati solo a livello globale nella scheda Generale
  3. selezionate Assegnazione a monitor reale
  4. selezionate il tipo di monitor reale desiderato fra quelli della lista a cascata.
    • M_00 per Monitor left
    • M_01 per Monitor right

La configurazione del terzo monitor virtuale avviene in modo analogo.

La differenza: invece che Riferimento su monitor reale selezionate l´opzione Visualizza menù di selezione online.

In tal modo viene completata la configurazione del profilo per il server con due monitor.

Passate adesso alla scheda Client 1 Mon.


Configurazione client con un monitor

Manuale -> Gestione monitor -> Esempio di configurazione -> Configurazione client con un monitor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configurazione del client con un monitor corrisponde in linea di massima a quella del server. Tuttavia in questo caso è a disposizione solamente uno schermo. Per questo ci sono due differenze fondamentali:

  1. il secondo monitor reale deve essere mappato sul primo.
  2. il menù di selezione online per la barra menù è superfluo; essa viene assegnata direttamente

Nel caso dei monitor reali:

  1. aprite la configurazione del monitor M_01
  2. attivate l´opzione Monitor non presente, assegnare a
  3. selezionate dalla lista a cascata M_00

Il menù di selezione online non è necessario durante il Runtime. Potete però far sì che le opzioni restino attive.

Nel caso dei monitor virtuali:

  1. aprite la configurazione del monitor Menù bar
  2. attivate l´opzione Riferimento su
  3. selezionate dalla lista a cascata M_00

L´intera configurazione di Client 1 Mon ha il seguente aspetto:

Nel nostro esempio manca solamente la configurazione del notebook. Passate alla scheda Notebook small.


Configurazione Notebook Service-Team

Manuale -> Gestione monitor -> Esempio di configurazione -> Configurazione Notebook Service-Team

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configurazione del notebook per il service-team corrisponde a quella del calcolatore client con un monitor. Tuttavia la risoluzione è differente. Essa deve essere adattata. Per far ciò:

  1. aprite la configurazione del monitor reale M_00
  2. inserite le coordinate corrispondenti,
    nel nostro esempio: 0/0/1024/768

La risoluzione è stata adattata adesso a quella reale del notebook e il monitor M_01 viene deviato, come nel caso del calcolatore client, al monitor M_00. Durante il runtime avete a disposizione delle barre di scorrimento facendo uso delle quali potete far scorrere l´indicazione.

Tutte le altre impostazioni corrispondono a quelle del calcolatore client:

Terminate la configurazione cliccando sul pulsante OK


Ulteriore configurazione

Manuale -> Gestione monitor -> Esempio di configurazione -> Ulteriore configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel progetto si deve ancora:

  • selezionare nel caso di cambi immagine su quali monitor virtuali deve essere aperta l´immagine
  • fissare sui diversi calcolatori il relativo Profilo monitor da utilizzare (per il calcolatore di progettazione selezionate il profilo nella Configurazione monitor)
  • nel caso di funzioni come Attiva focus sul modello, Chiudi modello oppure Chiudi immagine, decidere per quali monitor vale l´azione
  • progettare eventualmente una funzione Assegna monitor per poter assegnare nel Runtime i monitor virtuali ai monitor reali indipendentemente dalla configurazione di partenza
  • progettare una Finestra di controllo per poter navigare comodamente durante il Runtime


Gestione monitor nel Runtime

Manuale -> Gestione monitor -> Gestione monitor nel Runtime

Nel Runtime ci sono diverse possibilità

  • di selezionare monitor
    e
  • navigare fra i monitor

info Informazioni su

Se si avvia il Runtime mediante una connessione remote desktop, viene utilizzata la risoluzione del calcolatore remoto. La risoluzione sarà forse differente da quella impostata in sede di progettazione, il che potrebbe portare a degli spostamenti nella visualizzazione delle immagini.

La risoluzione del monitor remoto può essere anche definita per mezzo del file INI (vedi sezione Fissare profilo monitor su calcolatore Runtime nel capitolo Impostazioni generali).

Noch in diesem Kapitel

Selezione monitor nel Runtime

Navigazione nel Runtime


Selezione monitor nel Runtime

Manuale -> Gestione monitor -> Gestione monitor nel Runtime -> Selezione monitor nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Runtime ci sono diverse possibilità di assegnare monitor virtuali a quelli reali:

  • Menù di selezione online al momento dell´apertura
  • Funzione Assegna monitor

Menù di selezione online

Se durante il Runtime si esegue una funzione cambio immagine con l´opzione Visualizza menù di selezione online attiva, prima che la funzione venga eseguita viene aperto un menù che serve alla selezione di un monitor. I contenuti di questo menù, nonché il tempo durante il quale esso viene visualizzato, vengono fissati in sede di Configurazione monitor.

Funzione Assegna monitor

La funzione Assegna monitor consente di aprire il menù di selezione online indipendentemente da un cambio immagine, e di assegnare i monitor virtuali a quelli reali.


Navigazione nel Runtime

Manuale -> Gestione monitor -> Gestione monitor nel Runtime -> Navigazione nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Runtime si può navigare fra i diversi monitor tramite:

  • Finestra di controllo
  • Barra di scorrimento

Finestra di controllo

Le finestre di controllo vengono progettate come funzione. Esiste la possibilità di impostare una funzione per la visualizzazione e una per la chiusura della finestra di controllo; oppure si può usare la funzione Toggle per passare fra apertura e chiusura della finestra.

Nel Runtime il sistema apre una finestra nel momento in cui la funzione viene eseguita. Essa mostra tutta la superficie dello schermo disponibile, divisa in monitor oppure in modelli. Per la visualizzazione di modelli e monitor devono essere progettare delle funzioni ad hoc.

Cliccando con il mouse si selezionano i monitor e i modelli visualizzati nella finestra.

Barra di scorrimento

Facendo uso delle barre di scorrimento si può navigare velocemente fra i monitor. Le barre di scorrimento vengono visualizzate se:

  • è stata attivata in fase di configurazione individuale del Profilo monitor la proprietà Mostra barre di scorrimento
  • un monitor reale viene mappato su un altro monitor reale


Gestione user

Manuale -> Gestione user

zenon prevede un'amministrazione utenti sia per l'Editor, che per il funzionamento online Runtime. Il sistema di password soddisfa i requisiti di FDA (Food and Drug Administration, 21 CFR Part 11). È possibile anche gestire gli utenti Active Directory nel Runtime.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Il concetto

il concetto della gestione user di zenon si basa sul principio che diversi utenti posseggano differenti diritti operativi (livelli di autorizzazione e Autorizzazione funzioni). Anche gli amministratori dispongono di diversi diritti operativi, ma hanno inoltre delle addizionali funzioni di amministrazione utenti. Gli utenti possono essere gestiti mediante zenon e Windows Active Directory.

Ad ogni utente possono essere assegnate più autorizzazioni differenti. Può essere progettato un massimo di 128 (da 0 a 127) livelli di autorizzazione. L’assegnazione degli utenti ai singoli livelli di autorizzazione e la realizzazione di un relativo concetto password specifico per un progetto, si effettuano liberamente e senza limitazioni di sorta. Ad ogni utente possono essere assegnate a volontà diversi livelli . Così l'utente 1 può disporre, ad esempio, dei livelli 0, 1, 5, 6 e l'utente 2 dei livelli 0, 1, 6, 8, 10. Possono essere assegnate solamente quelle autorizzazioni di cui l´amministratore che effettua l´assegnazione dispone effettivamente.

Il login dell´utente durante il Runtime avviene tramite la funzione Login e un´immagine del tipo Login. Se, a causa di un evento (per esempio posizione chiave in interruttore conosciuta al sistema), è necessario che l’utente acceda al sistema automaticamente, si applica la funzione Login senza password. Questa funzione viene progettata in un valore limite, oppure in una matrice di reazione della variabile nella gestione variabili. Nella gestione multi-progetto, gli utenti possono essere registrati automaticamente anche in sotto progetti al momento del login.

Se durante un periodo di tempo definito non viene effettuata nessuna nuova azione di comando, è possibile progettare un logout temporizzato. Gli utenti possono disattivarsi in qualsiasi momento dal sistema usando la funzione Logout. In tal modo viene registrato l´utente SYSTEM.

Creazione utenti e assegnazione diritti

In zenon potete creare e gestire utenti in due modi:

  1. zenon Editor e Runtime:
    gli utenti vengono creati nell´Editor e in questa sede gli vengono assegnati anche dei diritti. Nel Runtime, poi, potranno effettuare il login. Gli amministratori possono creare degli utenti anche nel Runtime, cui possono poi anche assegnare dei diritti.
  2. AD e AD LDS:

    Active Directory Lightweight Directory Services (AD LDS) è una versione semplificata di Active Directory e si presta ad essere utilizzato su normali sistemi operativi desktop; non è dunque necessario utilizzare un sistema operativo server. Active Directory (AD) e AD LDS possono essere usati in zenon per la gestione user nel Runtime di zenon. AD e AD LDS non sono disponibili per l´Editor di zenon.

    I gruppi utenti creati in AD o AD LDS, ricevono autorizzazioni in zenon se vengono creati in zenon dei gruppi utenti che hanno lo stesso nome. Tramite un´immagine propria, AD e AD LDS possono essere letti e modificati dal Runtime di zenon. Gli utenti che vengono impostati in questa sede, posseggono diritti per tutti i progetti di zenon, indipendentemente dal progetto a partire dal quale essi sono stati impostati.

Noch in diesem Kapitel

Progettazione nell´Editor di zenon:

zenon Login e gestione user nel Runtime

Gestire gli utenti Active Directory dal Runtime di zenon

Gestione user esterna con Microsoft Active Directory

Proprietà AD/AD LDS usate da zenon


Progettazione nell´Editor di zenon:

Manuale -> Gestione user -> Progettazione nell´Editor di zenon:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´Editor vengono impostati gli utenti e i gruppi utenti e vengono definite le password e le autorizzazioni. Le impostazioni possono essere modificate durante il Runtime. Non tutte le modifiche apportate nell´Editor vengono accettate nel Runtime con un semplice Reload. Le modifiche apportate nel Runtime devono essere caricate nell´Editor per poter essere editate in quella sede e per garantire lo stesso stato fra Runtime e Editor. Al momento della trasmissione dei file Runtime, tenete presente la proprietà RT dati modificabili. In questa sede si stabilisce se la progettazione della gestione utenti viene trasmessa durante il Runtime e la configurazione nel Runtime viene sovrascritta. I contenuti della gestione user non vengono sostituiti di default quando sono trasmessi nel Runtime.

Noch in diesem Kapitel

Menù contestuale - manager di progetto

Barra simboli e Menù contestuale Visualizzazione dettagliata

Creazione di un utente

Creazione di un gruppo utenti

Modifica di un utente

Modifica di un gruppo utenti

Cambiamento del nome del livello autorizzazioni

Autorizzazioni Funzioni

Tipi di immagine, finestre di dialogo e funzioni per Login e gestione user.


Menù contestuale - manager di progetto

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Menù contestuale - manager di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale Gestione utenti

Voce di menù | Azione
Profili editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Apre la guida online

Menù contestuale Utenti

Voce di menù | Azione
Nuovo utente | Apre il dialogo che serve ad impostare un nuovo utente e inserisce quest´ultimo nella lista della visualizzazione dettagliata.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa degli inserimenti da un file XML.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Help | Attiva la guida online

Menù contestuale Gruppo utenti

Voce di menù | Azione
Nuovo gruppo utenti | Apre il dialogo che serve ad impostare un nuovo gruppo utenti e inserisce quest´ultimo nella lista della visualizzazione dettagliata.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa degli inserimenti da un file XML.
Profili editor | Apre la lista a cascata con i Profili editor predefiniti.
Help | Attiva la guida online

Menù contestuale Visualizzazione dettagli: vediGestione utenti Visualizzazione dettagli Barra dei simboli e Menù contestuale


Barra simboli e Menù contestuale Visualizzazione dettagliata

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Barra simboli e Menù contestuale Visualizzazione dettagliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Punto menù/Simbolo | Azione
Nuovo utente | Apre il dialogo che serve ad impostare un nuovo utente e inserisce quest´ultimo nella lista della visualizzazione dettagliata.
Torna all'elemento di partenza | Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza. Nel menu contestuale esistente solamente, se aperto come elemento collegato.
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Esporta selezione in XML.. | Esporta tutti gli inserimenti selezionati in un file XML.
Importa XML | Importa degli inserimenti da un file XML.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Guida | Apre la guida online.

Menù contestuale Gruppo utenti

Voce di menù | Azione
Nuovo gruppo utenti | Apre il dialogo che serve ad impostare un nuovo gruppo utenti e inserisce quest´ultimo nella lista della visualizzazione dettagliata.
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Esporta selezione in XML | Esporta tutti gli inserimenti selezionati in un file XML.
Importa XML | Importa degli inserimenti da un file XML.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Guida | Apre la guida online.


Creazione di un utente

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Creazione di un utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un nuovo utente:

  1. navigate per raggiungere il nodo Gestione user/user
  2. selezionate nel menù contestuale del manager di progetto o della visione dettagli oppure nella barra simboli il comando Nuovo utente...
  3. si apre il dialogo di configurazione
  4. fissate nelle singole schede le impostazioni valide per:
    • Utenti
    • Password
    • Message Control
    • Livelli di autorizzazione
    • Gruppi utenti

info Informazioni su

Raccomandazione: Impostate come primo utente un amministratore. Solamente questi avrà accesso a tutte le funzioni e potrà in tal modo anche dare di nuovo l´autorizzazione all´accesso a quegli utenti che dovessero essere stati bloccati.

Noch in diesem Kapitel

Utenti

Modifica Password

Message Control

Livelli di autorizzazione

Gruppi utenti


Utenti

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Creazione di un utente -> Utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione dell´utente:

Parametri

Descrizione

Nome utente

Inserite qui il nome utente. L´utente si registra con il suo nome nel sistema.

Lunghezza massima: 20 caratteri.

Nota: Questo numero deve essere univoco.

Nome completo

Indicate il nome completo dell´utente. In tal modo attribuite i nomi utenti a persone reali.

Amministratore

Attivo: L´utente riceve lo stato di un amministratore.

E consentito solo all´amministratore di creare, editare e cancellare nuovi utenti nel funzionamento online.

Attivo

Attivo: L´utente è attivo e può registrarsi nel Runtime.

Nota: secondo le regole di FDA 21 CFR PART 11 un utente non può essere mai cancellato in modo tale che sia possibile in qualsiasi momento verificare chi ha realizzato una determinata operazione. Proprio per questo motivo, nei progetti che sono soggetti a questa normativa, un utente può essere solamente disattivato, ma non cancellato.

Per evitare la cancellazione di utenti, dovete disattivare nell´ambito delle proprietà di progetto, nel gruppo Gestione user la proprietà Eliminazione utenti.

Bloccato

Attivo: l´utente è bloccato durante il Runtime e non si può registrare.

Questa opzione viene settata in modo automatico quando un utente ha inserito la sua password in modo sbagliato per più volte di quelle consentite.

Codice di blocco

Codice PIN a 4 cifre.

Questo codice è usato dall´utente nei comandi per bloccare o sbloccare delle aree.
Disponibile solamente se si dispone di una licenza valida per la zenon Energy Edition.

Profilo al login

Selezione, fra le alternative proposte dal menù a tendina, del profilo Runtime da usare per il login

  • Nessuno
  • Default
  • Carico

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Modifica Password

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Creazione di un utente -> Modifica Password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Stabilire o modificare la password.

Le password possono avere un massimo di 20 caratteri. La lunghezza minima viene definita nelle proprietà di progetto nel gruppo Gestione user tramite la proprietà Lunghezza minima password. Il valore standard è di 6 caratteri.

Parametri | Descrizione
Vecchia password: | Password attuale.
Nuova password: | Inserimento di una nuova password. La password inserita viene nascosta automaticamente dal sistema. Nel caso di progetti in più lingue, tenete presente che deve essere possibile nel Runtime inserire i caratteri della password con la tastiera corrispondente.
Conferma password | Ripetizione della password. La password inserita viene nascosta automaticamente dal sistema.

Nota: La funzionalità Copia Incolla non è utilizzabile per l´inserimento della password nel campo a ciò adibito.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Message Control

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Creazione di un utente -> Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Opzioni per l´uso degli utenti nel modulo Message Control.

Parametri

Descrizione

Utente Message Control

Attivo: l´utente viene utilizzato dal modulo Message Control.

Telefono

Numero dell´apparecchio telefonico dell´utente abilitato a riprodurre messaggi Text-to-Speech. Viene usato per messaggi Text-to-Speech.

Inserimento in cifre. Sono, inoltre, consentiti:

  • Il segno (+) all´inizio come abbreviazione per lo 00 dei prefissi internazionali.
  • Nella gestione user AD , anche i seguenti caratteri separatori: meno (-), barra (/) e Spazio
    Nota: Nell´ambito della comunicazione fra AD e Message Control, vengono rimossi i caratteri separatori non appena i dati AD vengono mappati su un oggetto di zenon.

Cellulare

Numero del telefono cellulare dell´utente. Viene usato per messaggi via GSM e SMS.

Inserimento in cifre. Sono, inoltre, consentiti:

  • Il segno (+) all´inizio come abbreviazione per lo 00 dei prefissi internazionali.
  • Nella gestione user AD , anche i seguenti caratteri separatori: meno (-), barra (/) e Spazio
    Nota: Nell´ambito della comunicazione fra AD e Message Control, vengono rimossi i caratteri separatori non appena i dati AD vengono mappati su un oggetto di zenon.

E-Mail

Indirizzo E-Mail dell´utente.

Sostituto

È possibile indicare un sostituto da contattare nel caso in cui un utente non sia raggiungibile, oppure rifiuti di accettare il messaggio, Cliccando sul pulsante ..., si apre la finestra di dialogo che serve alla selezione di un utente. Il sistema consente di effettuare la scelta solamente fra quegli utenti che sono stati attivati come user del Message Control (vedi proprietà ).

Codice PIN

Codice PIN con cui l´utente conferma di aver ricevuto il messaggio.

Codice-NA

Codice PIN con cui l´utente rifiuta il ricevimento del messaggio (Not Available). Il messaggio verrà poi inviato al prossimo utente della lista.

Nel caso in cui non sia indicato nessun ulteriore utente nella lista, il messaggio verrà contrassegnato come "non ripristinato con successo" . Il sistema eseguirà la funzione assegnata a questa condizione. Inoltre, verrà generato in ogni caso il seguente inserimento CEL: rifiutato da".

Nota: Ulteriori informazioni riguardanti l´assegnazione di funzioni sono disponibili nel capitolo Conferma di ricezione - Impostazioni Conferma di ricezione.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

attention Attenzione

I codici di ripristino per PIN (conferma) e NA (rifiuto) devono essere differenti e non dovrebbero essere molti simili.

Se i codici sono identici, il codice viene interpretato come PIN e, dunque, come conferma del ricevimento del messaggio.

Se il sistema riceve un codice sconosciuto, il messaggio verrà inviato alla persona di riserva nel caso di SMS e E-‑Mail; nel caso di messaggi vocali, invece, verrà riprodotto il messaggio di errore.


Livelli di autorizzazione

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Creazione di un utente -> Livelli di autorizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Stabilire i livelli di autorizzazione per l´utente.

Parametri | Descrizione
Livelli di autorizzazione disponibili | Lista di tutte le autorizzazioni disponibili.
Livelli di autorizzazione selezionati | Lista delle autorizzazioni assegnate.
Pulsante Freccia doppia a destra | Gli inserimenti selezionati nella lista Livelli di autorizzazione disponibili vengono aggiunti a quella Livelli di autorizzazione selezionati.
Pulsante Freccia doppia a sinistra | Gli inserimenti selezionati nella lista Livelli di autorizzazione selezionati vengono cancellati da questa lista.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Gruppi utenti

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Creazione di un utente -> Gruppi utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Assegnazione di un utente ai gruppi utente.

Parametri | Descrizione
Gruppi utenti disponibili | Lista di tutti i gruppi utenti disponibili.
Gruppi utenti selezionati | Lista dei gruppi utenti attribuiti.
Pulsante Freccia doppia a destra | Gli inserimenti selezionati nella lista Gruppi utenti disponibili vengono aggiunti a quella Gruppi utenti selezionati.
Pulsante Freccia doppia a sinistra | Gli inserimenti selezionati nella lista Gruppi utenti selezionati vengono cancellati da questa lista.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Creazione di un gruppo utenti

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Creazione di un gruppo utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un gruppo utenti:

  1. selezionate nella visione ad albero del Manager di progetto, alla voce "gestione user", la voce Gruppi utenti
  2. cliccate con il tasto destro del mouse nel settore "visuale dettagli" (Visuale dettagli del manager di progetto) oppure direttamente sull´inserimento Gruppi user
  3. selezionate nel menù contestuale il comando Nuovo gruppo utenti oppure cliccate sul simbolo corrispondente nella barra dei simboli.
  4. Si apre il box di dialogo Crea un nuovo gruppo utenti.
  5. definite il Nome e il Livello di autorizzazione

info Informazioni su

In un progetto, ogni gruppo user deve avere un nome univoco.

È possibile creare dei gruppi user con lo stesso nome nel progetto globale e in quello locale. Nel caso dell´insorgere di un conflitto, vengono prese in considerazione le autorizzazioni del gruppo utenti del progetto locale. Se il gruppo utenti locale viene cancellato, dopo la compilazione dei file Runtime nell´Editor, l´utente riceve di nuovo i diritti del gruppo del progetto globale.

Esempio:

sia nel progetto locale che in quello globale esiste un gruppo user A. Nel progetto globale gli sono assegnati i livelli di autorizzazione 1, 2, 3, 100 e 101; nel progetto locale i livelli di autorizzazione 1 e 2. Durante il Runtime valgono le regole del progetto locale; dunque il sistema assegna solamente i livelli di autorizzazione 1 e 2. Se nel progetto locale non esiste un gruppo A , i membri del gruppo A hanno i livelli di autorizzazione 1, 2, 3, 100 e 101 del progetto globale.

Noch in diesem Kapitel

Nomina gruppi utenti

Livelli di autorizzazione

Successione nel Message Control


Nomina gruppi utenti

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Creazione di un gruppo utenti -> Nomina gruppi utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametri | Descrizione
Nome | Nome di un nuovo gruppo utenti Attenzione: @ non è un carattere valido per un nome di un gruppo utenti.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Livelli di autorizzazione

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Creazione di un gruppo utenti -> Livelli di autorizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Assegnazione dei livelli di autorizzazione a un gruppo utenti.

Parametri | Descrizione
Livelli di autorizzazione disponibili | lista di tutte le autorizzazioni disponibili.
Livelli di autorizzazione selezionati | lista delle autorizzazioni assegnate.
Pulsante Doppia freccia a destra | Gli inserimenti selezionati nella lista Livelli di autorizzazione disponibili vengono aggiunti a quella Livelli di autorizzazione selezionati.
Pulsante Doppia freccia sinistra | Gli inserimenti selezionati nella lista Livelli di autorizzazione selezionati vengono cancellati da questa lista.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Successione nel Message Control

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Creazione di un gruppo utenti -> Successione nel Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Stabilisce la successione degli utenti all´interno di un gruppo per l´uso nel modulo Message Control.

Parametri | Descrizione
Utente | Lista di tutti gli utenti disponibili.
In su | Sposta l´utente selezionato di una posizione in sù.
In giù | Sposta l´utente selezionato di una posizione in giù.
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Modifica di un utente

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Modifica di un utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La modifica di un utente avviene mediante la selezione dell´utente dalla lista della visualizzazione dettagli. Con ciò, nella finestra delle proprietà vengono visualizzate le proprietà in questione e che potranno essere modificate in questa sede.


Modifica di un gruppo utenti

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Modifica di un gruppo utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La modifica di un gruppo utente avviene mediante la selezione del gruppo utente dalla lista della visuale dettagliata. Ne verranno così visualizzati i parametri all´interno della finestra delle proprietà. Potete modificare il parametro Nome, e Livelli di autorizzazione.

info Informazioni su

Se modificate il nome di un gruppo utenti, tutti gli utenti che erano collegati a questo gruppo, perdono tale connessione. Il gruppo utenti viene visualizzato con (del).

Se, però, nel progetto globale è presente un gruppo utenti dello stesso nome, tutti gli utenti che prima erano collegati al gruppo il cui nome è stato modificato, riprendono i livelli di autorizzazione di questo gruppo.


Cambiamento del nome del livello autorizzazioni

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Cambiamento del nome del livello autorizzazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I nomi dei livelli autorizzazioni possono essere modificati globalmente per il Vostro progetto. A tal scopo, andate nelle proprietà di progetto al gruppo Gestione user e cliccate lì sulla proprietà Amm. Livelli di aut..

Cliccando due volte sulla riga desiderata della colonna Nome, aprite il campo di inserimento. Effettuate le modifiche. L'inserimento ha fine non appena il focus non si trova più nel campo suddetto, oppure quando si conferma l'inserimento pigiando il tasto Invio. La modifica del nome non viene eseguita se premete Esc, oppure se lasciate vuoto il campo di inserimento.


Autorizzazioni Funzioni

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Autorizzazioni Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon possono essere assegnate delle autorizzazioni funzioni. Queste autorizzazioni funzioni si riferiscono nel Runtime a funzioni e nell´Editor alla configurazione di moduli. Quando ad un utente manca l´autorizzazione funzioni:

  • nel Runtime non sono eseguibili le funzioni corrispondenti.
  • nell'Editor: le barre degli strumenti e i menù contestuali dei moduli corrispondenti sono visualizzati grigi.

Progettazione delle autorizzazione funzioni

Inzenon le autorizzazioni funzioni vengono progettate nell´Editor.

Assegnazione delle autorizzazione funzioni

L´assegnazione avviene via:

  • Autorizzazioni Funzioni Runtime
  • Autorizzazioni Funzioni Editor

Per i progetti globali, l´assegnazione avviene nello stesso modo come per l´Editor. Nel processo, le possibilità di selezione sono determinate dai punti nodo presenti nel progetto globale.

Non appena sono usati una o più livelli di autorizzazione maggiori di 0, appare una finestra di dialogo di login quando il progetto viene caricato nell´Editor. Questo dialogo apparirà anche se è stato impostato solamente un utente nel progetto. In tal modo i progetti possono essere protetti nell´Editor. Quando si inserisce il nome utente e la password, il sistema differenzia fra lettere maiuscole e minuscole (case sensitivity).

In generale vale quanto segue:

  • Tutte le progettazioni per DragOver e Drag&Drop tengono presente i diritti modulo.
  • Nel caso di assenza di diritti modulo:
    • Le corrispondenti barre di menù e barre degli strumenti sono visualizzate in colore grigio (inattive) nell´Editor di zenon.
    • Non è possibile alcuna modifica alla configurazione nei nodi e sottonodi della visualizzazione dettagli.
    • Le corrispondenti combinazioni di tasti non sono attive.
    • Le proprietà nella finestra delle proprietà sono visualizzate in color grigio (inattive). Anche livelli di progettazione "ulteriori" o "inferiori" non sono accessibili (per es. elementi combinati, stati-rema, progettazione archivi ecc.).
    • Nel caso di assenza di diritti modulo per l´autorizzazione funzione Immagine, non è possibile neppure una modifica di immagini con il mouse.

attention Attenzione

per questo motivo, fate attenzione (anche in fase di progettazione) che i seguenti tre livelli di autorizzazione siano assegnati perlomeno ad un utente:

  • Carica progetto
  • Progetto
  • Gestione user

Noch in diesem Kapitel

Progettazione dell´autorizzazione funzioni

Autorizzazioni Funzioni Runtime

Autorizzazioni Funzioni Editor


Progettazione dell´autorizzazione funzioni

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Autorizzazioni Funzioni -> Progettazione dell´autorizzazione funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per assegnare un´autorizzazione funzione:

  1. Selezionate nelle proprietà di progetto il gruppo proprietà Gestione user
  2. Cliccate nel campo proprietà Autorizzazion Funzioni sul pulsante ...
  3. Si apre il dialogo di configurazione.
  4. Assegnate l´autorizzazione funzioni per la funzione corrispondente nel Runtime e/o per il modulo corrispondente nell´Editor.
  5. Assegnate all´autorizzazione desiderate un livello di autorizzazione.

Ciò presuppone che voi disponiate anche dei relativi diritti licenza per il modulo in questione. Di ciò non si tiene conto in fase di progettazione dei singoli livelli di autorizzazione.

Nota: le modifiche apportate alle autorizzazioni funzioni vengono applicate solo dopo un riavvio dell´Editor, oppure dopo una ricarica del progetto.


Autorizzazioni Funzioni Runtime

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Autorizzazioni Funzioni -> Autorizzazioni Funzioni Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per eseguire tutte le funzioni l´utente deve essere registrato nel sistema e deve disporre del livello di autorizzazione corrispondente.

Autorizzazioni funzioni Generale

Parametri

Descrizione

Modifica trend esteso

Le curve del trend esteso possono essere modificate durante il Runtime. Nel caso non si disponga della necessaria autorizzazione, i seguenti elementi di controllo non sono attivi:

  • Diagramma
  • Curve
  • Impostazioni
  • Cursore on/off
  • Asse X

Immagine indietro (PGUP)

La funzione "immagine indietro" può essere eseguita durante il Runtime.

Cambio immagine: " consenti "Proponi dialogo a Runtime""

La funzione Cambio immagine può essere eseguita ad opzione Proponi dialogo a Runtime attiva solamente se l´utente registrato dispone del gruppo di autorizzazione corrispondente.

Blocco note: Apri file

La funzione file apri nell´immagine del tipo Blocco note può essere utilizzata solo se l'utente che ha effettuato il Login dispone del corrispondente gruppo di autorizzazione.

Blocco note: salva file

La funzione salva nell´immagine del tipo Blocco note può essere utilizzata solo se l'utente che ha effettuato il Login dispone del corrispondente gruppo di autorizzazione.

Autorizzazioni Funzioni allarmi

Parametri

Descrizione

Modifica commento d'allarme

Un Commento necessario per il ripristino di un allarme può essere modificato.

Inserisci commento d'allarme

Si può inserire un Commento necessario per il ripristino di un allarme.

Elimina l'allarme

Si possono cancellare degli allarmi durante il runtime.

Ripristino allarme tramite Barra stato allarmi/menù contestuale

Un ripristino dell'allarme mediante la barra di stato degli allarmi o il menù contestuale è possibile solamente se è disponibile il diritto corrispondente nel progetto cui si riferisce l'allarme attualmente visualizzato.

Nel caso della gestione multi-progetto: Il ripristino della segnalazione di sistema nella barra di stato degli allarmi o mediante il menù contestuale è possibile solo se l'autorizzazione è disponibile nel progetto di integrazione.

Annotazione: le segnalazioni di sistema sono quelle che vengono emesse nella barra di stato degli allarmi al raggiungimento di un numero di allarmi programmabile.

Ripristino allarme tramite pagina allarmi

Il ripristino attraverso un´immagine del tipo lista allarmi è possibile solo con la corrispondente autorizzazione e nel progetto collegato con le variabili (gestione multi-progetto).
Nota: se l'utente non ha la necessaria autorizzazione, viene interrotto il lampeggio, ma l'allarme non viene ripristinato.

Ripristino allarme tramite funzione

Il ripristino mediante una funzione è possibile solo nel caso in cui si disponga dell'autorizzazione corrispondente agli allarmi selezionati nei relativi progetti.

Modifica archivio

Dati d'archivio (Server di archiviazione) possono essere modificati durante il runtime.

Potete prevedere ed impostare per ognuno di questi metodi di ripristino differenti gruppi di autorizzazioni. Potete stabilire, ad esempio, che un gruppo di autorizzazioni può effettuare un ripristino solo attraverso la barra di stato degli allarmi e non diversamente.

info Info

Il ripristino di un allarme è possibile solo nel caso in cui si disponga dell'autorizzazione corrispondente agli allarmi selezionati nei relativi progetti.

Autorizzazioni Funzioni Batch Control

Parametri | Descrizione
Batch Control: Importa ricetta/ ricetta parziale | Le ricette possono essere importate nel modulo Batch Control come file XML solo se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta di controllo - crea, rinomina, duplica | Le Ricette di controllo nel modulo Batch Control possono essere create e amministrate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricette di controllo - Modifica fasi | Le fasi delle Ricette di controllo nel modulo Batch Control possono essere modificate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta di controllo - cancella | Le Ricette di controllo nel modulo Batch Control possono essere cancellate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - salta operazioni in attesa | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può uscire da una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta di controllo - uscire dalla fase | Quando si eseguono Ricette di controllo nel modulo Batch Control, si possono saltare condizioni in attesa solo se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master (modalità test) - imposta modalità di esecuzione | Quando si opera in modalità test, si può cambiare la modalità di esecuzione delle Ricette master nel modulo Batch Control solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - passa in modalità di esecuzione | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può cambiare la modalità di esecuzione solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - esegui singoli passaggi, salta | Quando si eseguono Ricette di controllo nel modulo Batch Control, si possono saltare singoli passaggi solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - stop fase | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può arrestare una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - riprendi fase | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può continuare ad eseguire una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - riavvio fase | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può riavviare una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - fase in pausa | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può mettere in pausa una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - interrompi ricetta | Quando si eseguono Ricette di controllo nel modulo Batch Control, l´esecuzione della ricetta può essere interrotta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - stop ricetta | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può arrestare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - riprendi ricetta | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può continuare ad eseguire una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - riavvia ricetta | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può riavviare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - ricetta in pausa | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può mettere in pausa una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta di controllo (esecuzione) - avvia ricetta | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può riavviare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - ferma ricetta | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può fermare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta parziale - Creazione, modifica, rinomina, duplicazione, salvataggio | Le ricette parziali nel modulo Batch Control possono essere create e amministrate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta parziale - rilasciata | Le Ricette parziali nel modulo Batch Control possono essere rilasciate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Cancella ricetta parziale | Le Ricette parziali nel modulo Batch Control possono essere cancellate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master - crea, modifica, rinomina, duplica, salva | Le Ricette master nel modulo Batch Control possono essere create e amministrate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master- rilasciata | Le Ricette master nel modulo Batch Control possono essere rilasciate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Cancella ricetta master | Le Ricette master nel modulo Batch Control possono essere cancellate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master - Passa alle modalità di test e di modifica | Il passaggio dalla modalità test a quella editing per le Ricette master nel modulo Batch Control è possibile solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master impostata come obsoleta | Le Ricette master nel modulo Batch Control possono essere settate come obsolete solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - salta operazioni in attesa | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, saltare una condizione in attesa è possibile solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master (modalità test) - uscire dalla fase | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, uscire da una fase è possibile solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - esegui singoli passaggi, salta | Quando si opera in modalità test, si possono saltare singoli passi in fase di esecuzione delle Ricette master nel modulo Batch Control solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - ferma fase | Per le Ricette di master nel modulo Batch Control, quando si opera in modalità test, si può arrestare una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - edita fase | Per le Ricette di master nel modulo Batch Control, quando si opera in modalità test, si può modificare una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - continua fase | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, si può continuare ad eseguire una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - riavvia fase | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, si può riavviare una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - fase in pausa | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, si può mettere in pausa una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - interrompi ricetta | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, si può interrompere una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - stop ricetta | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, si può arrestare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - prosegui ricetta | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, si può continuare l´esecuzione di una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - riavvia ricetta | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, si può riavviare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - ricetta in pausa | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, si può mettere in pausa una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - avvia ricetta | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, si può riavviare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - interrompi ricetta | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, si può fermare una ricetta solo se l´utente dispone dei diritti corrispondenti.

Autorizzazione funzioni - Sequenze di comando

Parametri | Descrizione
Sequenze di comando: annulla esecuzione | Quando si eseguono sequenze di comando nel modulo Sequenze di comando, l´esecuzione della sequenza in questione può essere interrotta solo se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: continua esecuzione | Nel modulo Sequenze di comando, l´esecuzione di una sequenza messa in pausa può essere ripresa solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: arresta esecuzione | Nel modulo Sequenze di comando, l´esecuzione di una sequenza di comando può essere messa in pausa solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: avvia esecuzione | L´avvio di una sequenza nel modulo Sequenza di comando è possibile solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: imposta modalità di esecuzione | Nell´esecuzione di sequenze nel modulo Sequenze di comando, si possono eseguire singole fasi, oppure si può saltare all´esecuzione di singole fasi, solo se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: esegui singole fasi, salta | Nell´esecuzione di sequenze nel modulo Sequenze di comando, si possono eseguire singole fasi, oppure si può saltare all´esecuzione di singole fasi, solo se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: creazione, modifica, rinomina, duplicazione, salvataggio | La gestione delle sequenze nel modulo Sequenze di comando - per es. creazione, modifica, rinomina, duplicazione e salvataggio - può essere progettata solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: elimina | Nel modulo Sequenze di comando, sequenze progettate possono essere cancellate solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: importa sequenze di comando | Le sequenze possono essere importate come file XML nel modulo Sequenze di comando solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: imposta da modalità di esecuzione a modalità di modifica | Nel modulo Sequenza di comando, un cambio di modalità (da quella di esecuzione a quella di modifica) è possibile solamente se l´utente dispone dei diritti corrispondenti.

Modifica livelli di autorizzazione

Modifica

Apre la finestra di dialogo che serve alla selezione dei livelli di autorizzazione. (La scheda Gruppi utenti viene esclusa dalla visualizzazione.)

Il livello di autorizzazione scelto viene settato per tutte le funzioni selezionate.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Autorizzazioni Funzioni Editor

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Autorizzazioni Funzioni -> Autorizzazioni Funzioni Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametri

Descrizione

Attiva/Disattiva Log delle modifiche

Il Log delle modifiche può essere attivato/disattivato nell`Editor solo se quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Definizione di impianto

Il nodo definizione di impianto è disponibile nell´Editor per la modifica e la progettazione solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Server di archiviazione

Il nodo Server di archiviazione è disponibile nell´Editor per la modifica e la progettazione solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Batch Control

Il modulo Batch Control è disponibile nell´Editor per la modifica e la progettazione solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Gestione user

Gli Utenti e i gruppi utenti possono essere modificati o progettati nell´Editor solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Annotazione: per non bloccarsi l´accesso ad un progetto, questa autorizzazione funzioni deve essere assegnata perlomeno ad un utente.

Immagini

Il nodo Immagini è disponibile nell´Editor per la modifica e la progettazione solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

File

Il nodo File è disponibile nell´Editor per la modifica e la progettazione solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Funzioni

Le Funzioni e Script possono essere modificati o progettati nell´Editor solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Load Management

Il nodo Load Management è disponibile nell´Editor per la modifica e la progettazione solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Menù

I Menù possono essere modificati o progettati nell´Editor solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Message Control

Il modulo Message Control è disponibile nell´Editor per la modifica e la progettazione solo se quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Production & Facility Scheduler

Il nodo Production & Facility Scheduler è disponibile nell´Editor per la modifica e la progettazione solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Scripting

Il nodo interfacce di programmazione è disponibile nell´Editor per la modifica e la progettazione solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Progetto

Le proprietà di progetto possono essere modificate nell´Editor solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Annotazione: per non bloccarsi l´accesso ad un progetto, questa autorizzazione funzioni deve essere assegnata perlomeno ad un utente.

Carica progetto

Il progetto può essere solo caricato nell'Editor, quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Annotazione: per non bloccarsi l´accesso ad un progetto, questa autorizzazione funzioni deve essere assegnata perlomeno ad un utente.

Generatore Report

Il generatore Report è disponibile nell´Editor per la modifica e la progettazione solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Ricette

Le Ricette standard e il Manager di gruppi ricette possono essere modificati o progettati nell´Editor solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Interfaccia SAP

Il modulo interfaccia SAP è disponibile nell´Editor per la modifica e la progettazione solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

File lingua

Il Cambio lingua può essere modificato o progettato nell´Editor solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Stili

Il modulo Stili è disponibile nell´Editor per la modifica e la progettazione solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Nota: gli stili sono disponibili solamente nel progetto globale.

Variabili

Il nodo Variabili è disponibile nell´Editor per la modifica e la progettazione solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Interblocchi

Gli interblocchi possono essere modificati o progettati nell´Editor solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Temporizzatori

I Temporizzatori possono essere modificati o progettati nell´Editor solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

zenon Logic

I progetti zenon Logic possono essere modificati o configurati nell´Editor solo quando all´utente registrato è assegnata il corrispondente livello di autorizzazione.

Modifica livelli di autorizzazione

Modifica

Apre la finestra di dialogo che serve alla selezione dei livelli di autorizzazione. (La scheda Gruppi utenti viene esclusa dalla visualizzazione.)

Il livello di autorizzazione scelto viene settato per tutte le funzioni selezionate.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

info Info

Con la combinazione di tasti Ctrl+Clic del mouse o Shift + clic del mouse , potete selezionare contemporaneamente più inserimenti.

  • Se tenete premuto il tasto Ctrl, potete selezionare più inserimenti singoli.
  • Tenendo premuto il tasto Shift e cliccando su due inserimenti, selezionate tutti gli inserimenti che si trovano fra i due selezionati.
  • Se tenete premuti contemporaneamente i tasti Ctrl e Shift e selezionate due inserimenti , vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio. Gli inserimenti selezionati prima vengono mantenuti


Tipi di immagine, finestre di dialogo e funzioni per Login e gestione user.

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e gestione user.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Login

Il Login nel Runtime può avvenire via:

  • Immagine del Tipo Login: Login permanente, Login temporaneo e/o inserimento di una firma tramite cambio immagine.
  • Finestra di dialogo modale Login temporaneo : Viene usata per il Login temporaneo se non è collegata nessuna immagine del tipo Login.
  • Funzione Login con finestra di dialogo : Login tramite un dialogo modale, oppure il tipo di immagine Login, nel caso in cui esso sia stato collegato.
  • Funzione Esegui login senza password : Registrazione di un utente senza inserimento della password, ma mediante un collegamento diretto oppure per Chip Ident System. Login Login

Se si vuole usare un´immagine dl tipo Login per Login temporaneo , oppure la funzione Login con dialogo , essa deve essere collegata nella proprietà di progetto Immagine per Login .

Gestione user

Per la gestione di utenti sono a disposizione:

  • Immagine del tipo Lista utenti: Elenca in una lista tutti gli utenti impostati di zenon e consente tramite l´immagine del tipo Edita utente di impostarne di nuovi, di modificarli, di cancellarli, oppure di configurare dei livelli di autorizzazione.
  • Immagine del tipo Lista gruppi utenti Elenca in una lista tutti i gruppi utenti impostati di zenon e consente di impostarne di nuovi e di configurare dei livelli di autorizzazione.
  • Immagine del tipo Edita utente: Consente di modificare utenti e password nel Runtime.
  • Funzione Modifica utenti: Apre una finestra di dialogo che serve ad editare utenti e gruppi utenti.
  • Funzione Modifica password: Apre una finestra di dialogo che serve ad editare la propria password.

Noch in diesem Kapitel

Crea un'immagine del tipo Login

Crea un'immagine del tipo Lista utenti

Crea un'immagine del tipo Lista gruppi utenti

Edita crea un´immagine del tipo Utente


Crea un'immagine del tipo Login

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e gestione user. -> Crea un'immagine del tipo Login

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Crea un'immagine del tipo Login

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Login.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Immagine del tipo Login

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Utente attuale (Visualizzazione) | Visualizzazione dell'utente attualmente registrato Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Nome utente | Area inserimento per Username Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Password | campo d´inserimento per la password Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Firma | campo d´inserimento per la firma. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Login | Pulsante per il login e la chiusura della finestra
Annulla | Termina il procedimento di login.
Acquisisci | Riprende gli inserimenti e lascia aperto il dialogo. Eccezione: Se il numero massimo di tentativi di registrazione non corretti viene settato tramite la proprietà di progetto Num. max. tentativi Username su 0, verrà chiusa la finestra.

Elementi compatibili

Elemento di controllo | Descrizione
Elementi compatibili | Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.
Utente | Proprietà per l´utente.
Utente attuale (Visualizzazione) | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Nome utente | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Password | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Firma | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.

Nota: Per elementi di controllo del tipo collega testo oppure interruttore, la funzionalità corrispondente viene assegnata tramite la proprietà Operazione specifica per il tipo di immagine.

info Informazioni su

Al momento del login/logout, in tutti i progetti interessati vengono creati i corrispondenti inserimenti nella CEL.

Noch in diesem Kapitel

Cambio immagine a Login


Cambio immagine a Login

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e gestione user. -> Crea un'immagine del tipo Login -> Cambio immagine a Login

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il cambio immagine definite quale immagine viene aperta nel Runtime per il Login di utenti.

Per impostare un cambio immagine per passare ad un´immagine del tipo Login:

  1. Create una funzione.
  2. Selezionate Cambio immagine.
  3. Scegliete l´immagine del tipo Login
  4. Collegate la funzione ad un bottone


Crea un'immagine del tipo Lista utenti

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e gestione user. -> Crea un'immagine del tipo Lista utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Crea un'immagine del tipo Lista utenti

L´immagine del tipo Lista utenti elenca in una lista tutti gli utenti zenon impostati del progetto, consente di richiamare l´immagine del tipo Edita utenti e, in tal modo, di creare utenti, di modificarli, di cancellarli, oppure di configurare dei livelli di autorizzazione. Gli utenti del progetto globale non vengono visualizzati e non possono essere gestiti.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Lista utenti.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Nota: Questo tipo di immagine non è disponibile con Windows CE.

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Lista utenti | Mostra gli utenti configurati.
Nuovo | Apre l´immagine definita nel cambio immagine al fine di creare un nuovo utente.
Modifica | Apre l´immagine definita nel cambio immagine al fine di modificare un nuovo utente.
Elimina | Cancella l´utente selezionato dopo la conferma di una richiesta a fini di sicurezza.
Autorizzazioni Funzioni | Apre la finestra di dialogo che serve all´attribuzione di autorizzazioni funzioni.

Noch in diesem Kapitel

Cambio immagine a Lista utenti


Cambio immagine a Lista utenti

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e gestione user. -> Crea un'immagine del tipo Lista utenti -> Cambio immagine a Lista utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il cambio immagine definite anche quale immagine viene aperta nel Runtime per creare o modificare utenti.

Per impostare un cambio immagine per passare ad un´immagine del tipo Lista utenti:

  1. Create una funzione.
  2. Selezionate Cambio immagine.
  3. Scegliete l´immagine del tipo Lista utenti.
  4. Si apre il dialogo di configurazione.
  5. Configurate il cambio immagine.
  6. Confermate la configurazione cliccando su OK.
  7. Collegate la funzione ad un bottone

Finestra di dialogo Lista utenti

Parametri

Descrizione

Impostazioni di colonna

Visualizzazione e configurazione delle colonne.

L´ordinamento in una successione avviene tramite lo spostamento con il mouse, oppure con il pulsante Selezione colonne.

Impostazione della larghezza colonne avviene trascinando con il mouse, oppure con il pulsante Formato colonne.

Scelta colonne

Apre la finestra di dialogo per la configurazione delle colonne.

Formato colonne

Apre la finestra di dialogo per la formattazione delle colonne.

Immagini collegate

Configurazione delle immagini che vengono aperte nel Runtime cliccando sui pulsanti Nuovo e Editare.

Immagine per pulsante "Nuovo utente"

Apre la finestra di dialogo di selezioni immagini al fine di selezionare un´immagine per creare un nuovo utente nel Runtime. È possibile selezionare solamente immagini del tipo Edita utente.

Immagine per pulsante "Edita utente"

Apre la finestra di dialogo di selezioni immagini al fine di selezionare un´immagine per modificare un utente nel Runtime. È possibile selezionare solamente immagini del tipo Edita utente.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Noch in diesem Kapitel

Scelta colonne

Formato colonne


Scelta colonne

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e gestione user. -> Crea un'immagine del tipo Lista utenti -> Cambio immagine a Lista utenti -> Scelta colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Scelta colonne

Configurazione delle colonne da visualizzare:

Pulsante | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate da quelle disponibili a quelle selezionate. Dopo aver confermato il dialogo cliccando su OK, verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutte -> | Sposta tutte le colonne disponibili nelle colonne selezionate.
<- Cancella | Elimina le colonne evidenziate dalle selezionate e le visualizza nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, esse vengono eliminate dalla visualizzazione dettagliata.
<- Cancella tutte | Cancella tutte le colonne dalla lista delle colonne selezionate.
In su | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
In giù | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Formato colonne

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e gestione user. -> Crea un'immagine del tipo Lista utenti -> Cambio immagine a Lista utenti -> Formato colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Formato colonne

Configurazione delle proprietà delle colonne per le liste. Le impostazioni hanno effetto sulla lista corrispondente nell´Editor, oppure (nel caso di configurazione di un cambio immagine) nel Runtime.

Colonne disponibili

Parametri | Descrizione
Colonne disponibili | Lista delle colonne disponibili usando la Selezione colonne. La colonna evidenziata viene configurata tramite le opzioni nella sezione Impostazioni.

Impostazioni

Parametri

Descrizione

Impostazioni

Impostazioni per colonna selezionata.

Descrizione

Titolo della colonna

Il titolo colonna è traducibile online. Per poterlo tradurre, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene via pulsanti di opzione.

Impostazioni possibili:

  • Orientamento a sinistra: nella colonna, il testo si dispone prendendo come riferimento il bordo sinistro.
  • Centrato: nella colonna, il testo si dispone in posizione centrale.
  • Orientato a destra: nella colonna, il testo si dispone prendendo come riferimento il bordo destro.

Disattiva filtro colonne a Runtime

Attivo: Il filtro per questa colonna non può essere modificato durante il Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager Gruppi di Ricette

Colori definiti da utente

Proprietà per l´impostazione dei colori per ogni colonna definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto su Editor e Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per liste configurabili.
  • A Runtime, inoltre, può essere evidenziato il focus in un lista mediante diversi colori di testo e di sfondo. La configurazione di tali colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attivo: Vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando su "Colore", si apre la tavolozza che serve alla selezione di un colore.

Colore di sfondo

Colore per la visualizzazione dello sfondo delle celle. Cliccando su "Colore", si apre la tavolozza che serve alla selezione di un colore.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Crea un'immagine del tipo Lista gruppi utenti

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e gestione user. -> Crea un'immagine del tipo Lista gruppi utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Crea un'immagine del tipo Lista gruppi utenti

L´immagine di tipo Lista gruppi utenti serve a visualizzare in una lista tutti i gruppi utenti di zenon impostati nel progetto e consente di creare nuovi gruppi e di assegnare dei livelli di autorizzazione. I gruppi utenti del progetto globale non vengono visualizzati e non possono essere gestiti.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Lista gruppi utenti.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Lista gruppi

Elementi di controllo per la visualizzazione dei gruppi utenti.

Elemento di controllo | Descrizione
Gruppo precedente | Passa al gruppo precedente.
Lista gruppi | Lista dei gruppi utenti disponibili.
Gruppo successivo | Passa al gruppo successivo.
Nuovo gruppo | Crea un nuovo gruppo utenti. Per consentire l´inserimento, il focus viene posto sull´elemento di controllo Nome gruppo. Cliccando sul pulsante OK dopo aver inserito il nome, si crea un nuovo gruppo utenti.
Elimina gruppo | Elimina il gruppo selezionato dopo una richiesta di conferma per ragioni di sicurezza.

Proprietà

Attribuzione di nomi gruppo e conferma/rifiuto di modifiche.

Elemento di controllo | Descrizione
Nome gruppo | Visualizzazione o inserimento di un nome gruppo. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
OK | Riprende le modifiche.
Annulla | Cliccando su OK si rifiutano tutte le modifiche effettuate dall´ultima volta che sono stati accettati dei cambi.

Livelli di autorizzazione

Configurazione dei livelli di autorizzazione.

Elemento di controllo | Descrizione
Livelli di autorizzazione disponibili | Visualizzazione dei livelli di autorizzazione disponibili.
Precedenti livelli di autorizzazione disponibili | Passa al livello precedente.
Listbox | Visualizzazione dei livelli di autorizzazione.
Livello disponibile successivo | Passa al livello successivo.
Applica livello (>>) | Sposta i livelli selezionati da Livelli di autorizzazione disponibili a Livelli di autorizzazione selezionati.
Rimuovi livello (<<) | Sposta i livelli selezionati da Livelli di autorizzazione selezionati a Livelli di autorizzazione disponibili.
Livelli di autorizzazione selezionati | Visualizzazione dei livelli di autorizzazione selezionati per il gruppo utenti.
Livello selezionato precedente | Passa al livello precedente.
Listbox | Visualizzazione dei livelli di autorizzazione selezionati.
Livello selezionato successivo | Passa al livello successivo.

Elementi compatibili

Elemento di controllo | Descrizione
Elementi compatibili | Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.
Nome gruppo | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.

Nota: Per elementi di controllo del tipo collega testo oppure interruttore, la funzionalità corrispondente viene assegnata tramite la proprietà Operazione specifica per il tipo di immagine.

Noch in diesem Kapitel

Cambio immagine a Lista gruppi utenti


Cambio immagine a Lista gruppi utenti

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e gestione user. -> Crea un'immagine del tipo Lista gruppi utenti -> Cambio immagine a Lista gruppi utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il cambio immagine definite anche quale immagine viene aperta nel Runtime per creare o modificare gruppi utenti.

Per impostare un cambio immagine per passare ad un´immagine del tipo Lista gruppi utenti:

  1. Create una funzione.
  2. Selezionate Cambio immagine.
  3. Scegliete l´immagine del tipo Lista gruppi utenti.
  4. Confermate la configurazione cliccando su OK.
  5. Collegate la funzione ad un bottone


Edita crea un´immagine del tipo Utente

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e gestione user. -> Edita crea un´immagine del tipo Utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo tipo di immagine consente di editare utenti nel Runtime. A seconda di quanto fissato in sede di configurazione del cambio immagine, gli utenti possono essere creati o modificati, oppure possono essere modificate le password. Gli utenti e i gruppi utenti del progetto globale non possono essere amministrati.

Nota: Questo tipo di immagine non è disponibile con Windows CE.

Edita crea un´immagine del tipo Utente

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionare nella proprietà Tipo di immagine Modifica utente.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Elementi di controllo

Elemento di controllo | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Utente

Elementi di controllo per la configurazione utente

Elemento di controllo

Descrizione

Nome utente

Inserite qui il nome utente. L´utente si registra con il suo nome nel sistema.

Lunghezza massima: 20 caratteri.

Nota: Questo numero deve essere univoco.

Nome completo

Indicate il nome completo dell´utente. In tal modo attribuite i nomi utenti a persone reali.

Amministratore

Checkbox.

Attivo: L´utente riceve lo stato di un amministratore.

E consentito solo all´amministratore di creare, editare e cancellare nuovi utenti nel funzionamento online.

Attivo

Checkbox.

Attivo: L´utente è attivo e può registrarsi nel Runtime.

Nota: secondo le regole di FDA 21 CFR PART 11 un utente non può essere mai cancellato in modo tale che sia possibile in qualsiasi momento verificare chi ha realizzato una determinata operazione. Proprio per questo motivo, nei progetti che sono soggetti a questa normativa, un utente può essere solamente disattivato, ma non cancellato.

Per evitare la cancellazione di utenti, dovete disattivare nell´ambito delle proprietà di progetto, nel gruppo Gestione user la proprietà Eliminazione utenti.

Bloccato

Checkbox.

Attivo: l´utente è bloccato durante il Runtime e non si può registrare.

Questa opzione viene settata in modo automatico quando un utente ha inserito la sua password in modo sbagliato per più volte di quelle consentite.

Codice di blocco per comandi

Codice PIN a 4 cifre.

Questo codice è usato dall´utente nei comandi per bloccare o sbloccare delle aree.
Disponibile solamente se si dispone di una licenza valida per la zenon Energy Edition.

Profilo al login

Selezione, fra le alternative proposte dal menù a tendina, del profilo Runtime da usare per il login

  • Nessuno
  • Default
  • Carico

Modifica Password

Elementi di controllo per la configurazione della password.

Elemento di controllo | Descrizione
Vecchia password: | Password attuale.
Nuova password: | Inserimento di una nuova password. La password inserita viene nascosta automaticamente dal sistema. Nel caso di progetti in più lingue, tenete presente che deve essere possibile nel Runtime inserire i caratteri della password con la tastiera corrispondente.
Conferma password | Ripetizione della password. La password inserita viene nascosta automaticamente dal sistema.

Message Control

Elementi di controllo per la configurazione del Message Control.

Elemento di controllo

Descrizione

Utente Message Control

Checkbox.

Attivo: l´utente viene utilizzato dal modulo Message Control.

Telefono

Numero dell´apparecchio telefonico dell´utente abilitato a riprodurre messaggi Text-to-Speech. Viene usato per messaggi Text-to-Speech.

Inserimento in cifre. Sono, inoltre, consentiti:

  • Il segno (+) all´inizio come abbreviazione per lo 00 dei prefissi internazionali.

Nella gestione user AD , anche i seguenti caratteri separatori: meno (-), barra (/) e Spazio
Nota: Nell´ambito della comunicazione fra AD e Message Control, vengono rimossi i caratteri separatori non appena i dati AD vengono mappati su un oggetto di zenon.

Cellulare

Numero del telefono cellulare dell´utente. Viene usato per messaggi via GSM e SMS.

Inserimento in cifre. Sono, inoltre, consentiti:

  • Il segno (+) all´inizio come abbreviazione per lo 00 dei prefissi internazionali.

Nella gestione user AD , anche i seguenti caratteri separatori: meno (-), barra (/) e Spazio
Nota: Nell´ambito della comunicazione fra AD e Message Control, vengono rimossi i caratteri separatori non appena i dati AD vengono mappati su un oggetto di zenon.

E-Mail

Indirizzo E-Mail dell´utente.

Sostituto

È possibile indicare un sostituto da contattare nel caso in cui un utente non sia raggiungibile, oppure rifiuti di accettare il messaggio, Cliccando sul pulsante ..., si apre la finestra di dialogo che serve alla selezione di un utente. Il sistema consente di effettuare la scelta solamente fra quegli utenti che sono stati attivati come user del Message Control (vedi proprietà ).

Seleziona sostituto

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un sostituto.

Codice PIN

Codice PIN con cui l´utente conferma di aver ricevuto il messaggio.

Codice-NA

Codice PIN con cui l´utente rifiuta il ricevimento del messaggio (Not Available). Il messaggio verrà poi inviato al prossimo utente della lista.

Nel caso in cui non sia indicato nessun ulteriore utente nella lista, il messaggio verrà contrassegnato come "non ripristinato con successo" . Il sistema eseguirà la funzione assegnata a questa condizione. Inoltre, verrà generato in ogni caso il seguente inserimento CEL: rifiutato da".

Nota: Ulteriori informazioni riguardanti l´assegnazione di funzioni sono disponibili nel capitolo Conferma di ricezione - Impostazioni Conferma di ricezione.

Livelli di autorizzazione

Elementi di controllo per la configurazione dei livelli di autorizzazione.

Elemento di controllo | Descrizione
Livelli di autorizzazione disponibili | Lista di tutte le autorizzazioni disponibili.
Livelli di autorizzazione selezionati | Lista di tutte le autorizzazioni disponibili.
Applica livello di autorizzazione (>>) | Gli inserimenti selezionati nella lista Livelli di autorizzazione disponibili vengono aggiunti a quella Livelli di autorizzazione selezionati.
Rimuovi livello di autorizzazione (<<) | Gli inserimenti selezionati nella lista Livelli di autorizzazione selezionati vengono cancellati da questa lista.

Gruppi utenti

Elementi di controllo per la configurazione dei gruppi utenti.

Elemento di controllo | Descrizione
Gruppi utenti disponibili | Lista di tutti i gruppi utenti disponibili.
Gruppi utenti selezionati | Lista dei gruppi utenti attribuiti.
Aggiungi gruppo utenti (>>) | Gli inserimenti selezionati nella lista Gruppi utenti disponibili vengono aggiunti a quella Gruppi utenti selezionati.
Rimuovi gruppo utenti (<<) | Gli inserimenti selezionati nella lista Gruppi utenti selezionati vengono cancellati da questa lista.

Touch

Elementi di controllo per la navigazione in Listbox, ottimizzati per gestione Touch.

Elemento di controllo | Descrizione
LA disponibili in su | All´interno della Listbox Livelli di autorizzazione disponibili passa al livello immediatamente superiore.
LA disponibili in giù | All´interno della Listbox Livelli di autorizzazione disponibili passa al livello immediatamente inferiore.
LA selezionati in su | All´interno della Listbox Livelli di autorizzazione selezionati passa al livello immediatamente superiore.
LA selezionati in giù | All´interno della Listbox Livelli di autorizzazione selezionati passa al livello immediatamente inferiore.
LA disponibili in su | All´interno della Listbox Gruppi utenti disponibili passa al livello di autorizzazione immediatamente superiore.
GU disponibili in giù | All´interno della Listbox Gruppi utenti disponibili passa al livello di autorizzazione immediatamente inferiore.
GU selezionati in su | All´interno della Listbox Gruppi utenti selezionati passa al livello di autorizzazione immediatamente superiore
GU selezionati in giù | All´interno della Listbox Gruppi utenti selezionati passa al livello di autorizzazione immediatamente inferiore

OK/Annulla

Elementi di controllo per la conferma o il rifiuto di modifiche.

Elemento di controllo | Descrizione
OK | Riprende le modifiche.
Annulla | Cliccando su OK si rifiutano tutte le modifiche effettuate dall´ultima volta che sono stati accettati dei cambi.

Elementi compatibili

Elemento di controllo | Descrizione
Elementi compatibili | Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.
Utente | Proprietà per l´utente.
Nome utente | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Nome completo | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Amministratore | Elemento di controllo statico Win32. Nella versione 7.50. esso è stato sostituito dall´elemento Interruttore. Per la descrizione, vedi il nuovo elemento.
Attivo | Elemento di controllo statico Win32. Nella versione 7.50. esso è stato sostituito dall´elemento Interruttore. Per la descrizione, vedi il nuovo elemento.
Bloccato | Elemento di controllo statico Win32. Nella versione 7.50. esso è stato sostituito dall´elemento Interruttore. Per la descrizione, vedi il nuovo elemento.
Codice di blocco per comandi | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Modifica Password | Proprietà per la password.
Vecchia password: | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Nuova password: | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Conferma password | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Message Control | Proprietà per l´uso nel modulo Message Control.
Utente Message Control | Elemento di controllo statico Win32. Nella versione 7.50. esso è stato sostituito dall´elemento Interruttore. Per la descrizione, vedi il nuovo elemento.
Telefono | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Cellulare | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
E-Mail | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Sostituto | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Codice PIN | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Codice-NA | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.

Nota: Per elementi di controllo del tipo collega testo oppure interruttore, la funzionalità corrispondente viene assegnata tramite la proprietà Operazione specifica per il tipo di immagine.

Noch in diesem Kapitel

Edita cambio immagine a utente


Edita cambio immagine a utente

Manuale -> Gestione user -> Progettazione nell´Editor di zenon: -> Tipi di immagine, finestre di dialogo e funzioni per Login e gestione user. -> Edita crea un´immagine del tipo Utente -> Edita cambio immagine a utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il cambio immagine definite come viene aperta l´immagine del tipo Edita utente. A seconda di quanto fissato in sede di configurazione, potete:

  • Creare nuovi utenti
  • Editare utenti della lista user, oppure di una variabile stringa.
  • Modifica Password

Per impostare un cambio immagine per passare ad un´immagine del tipo Modifica utente:

  1. Create una funzione.
  2. Selezionate Cambio immagine.
  3. Scegliete l´immagine del tipo Modifica utente.
  4. Si apre il dialogo di configurazione.
  5. Configurate il cambio immagine.
  6. Confermate la configurazione cliccando su OK.
  7. Collegate la funzione ad un bottone

Finestra di dialogo Lista utenti

Parametri

Descrizione

Nuovo utente

L´immagine del tipo Modifica utente viene usata per creare un nuovo utente. Vengono attivati gli elementi di controllo corrispondenti.

Acquisisci utente da finestra che apre

Se l´apertura avviene dall´immagine Lista utenti, l´immagine del tipo Modifica utente viene usata per modificare l´utente selezionato nella lista utenti. Vengono attivati gli elementi di controllo corrispondenti.

Nota: L´utente che effettua la modifica deve disporre dei diritti di amministratore nel Runtime. Perlomeno un utente deve essere selezionato nella lista.

Acquisisci utente da variabile

L´immagine del tipo Modifica utente viene usata per la modifica dell´utente il cui nome è trasferito dalla variabile string definita. Vengono attivati gli elementi di controllo corrispondenti.

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Modifica password dell'utente corrente

L´immagine del tipo Modifica utente è usata solamente per cambiare la password dell´utente attualmente registrato. Vengono attivati gli elementi di controllo corrispondenti.

Visualizza dialogo a Runtime

Attivo: Al momento della chiamata della funzione, si apre questo dialogo e l´utente può adattare la configurazione prima dell´esecuzione della funzione.

I dialoghi vengono aperti nel Runtime sul computer attuale. Nel funzionamento di rete, il dialogo viene aperto sul client se la funzione viene richiamata sul client.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


zenon Login e gestione user nel Runtime

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la gestione user possono essere usati anche Windows AD o AD LDS. Gli utenti possono essere registrati permanentemente o temporaneamente e amministrati nel Runtime.

Valori o funzioni di particolare rilevanza, inoltre, possono essere protetti mediante una firma. A tal scopo si deve attivare la proprietà Firma necessaria per l´elemento corrispondente. In questo caso, l´utente deve inserire di nuovo la sua password e la firma anche se è già registrato e dispone dei diritti corrispondenti. Il sistema provvederà a generare un inserimento addizionale nella Lista Eventi Cronologica.

attention Attenzione

Le impostazioni per gli utenti che vengono modificati nell´Editor, possono essere applicate nel Runtime solo se la proprietà di progetto RT dati modificabili (gruppo Generale) consente di sovrascrivere le proprietà utenti al momento della scrittura dei file Runtime.

Le modifiche delle impostazioni effettuate nel Runtime possono essere riprese nell`Editor facendo uso del comando Importa file Runtime (barra degli strumenti, file Runtime). Perché ciò sia possibile, però, nella proprietà RT dati modificabili deve essere consentita la de compilazione.

Noch in diesem Kapitel

Processo di Login e amministrazione

Login dell´utente

Gestire utenti e gruppi utenti

Tipi d´immagine per la gestione di utenti e gruppi utenti

Funzioni per il modulo Gestione user.

Protezione password nell´elemento dinamico

Accetta nel Runtime modifiche effettuate nell´Editor.


Processo di Login e amministrazione

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Processo di Login e amministrazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo l’avvio del runtime, l’attuale utente (User) SYSTEM ha accesso al livello LEVEL 0 del sistema. Nella gestione multi-progetto esiste la possibilità che gli utenti vengano registrati automaticamente in tutti i sottoprogetti quando effettuano il login in un progetto.

Regole per il login nel Runtime.

Al login nel Runtimesono previste le seguenti misure di sicurezza. :

  • Password

    In caso si inserisca più volte una password sbagliata, il sistema blocca l´utente ed effettua automaticamente il logout. Per questa ragione, questo utente non può gestire il sistema con riferimento tutti quegli elementi che richiedono un livello di autorizzazione superiore a 0. Egli non può eseguire alcuna azione connessa ad un livello di autorizzazione user. Il numero consentito di tentativi di effettuare il Login, lo si definisce nelle proprietà di progetto, per mezzo della proprietà Num. max. tentativi Username.

    Il nome utente usate per il tentativo di Login viene protocollato nella Lista Eventi Cronologica. Uno sblocco del rispettivo utente potrà essere effettuato soltanto dall'amministratore (disattivare la proprietà bloccato).

  • Nome utente

    Nel caso qualcuno cerchi di inserire un nome utente non esistente, viene visualizzato il messaggio di errore "Username non valido!". Dopo tre inserimenti sbagliati, il sistema viene bloccato per tutti quegli elementi che richiedono un livello di autorizzazione superiore a 0. Nessun utente è dunque in grado di eseguire delle azioni protette da livelli di autorizzazione. Un annullamento di questo sblocco può essere effettuato soltanto dall´amministratore.

    Il nome dell'utente, che cerca di effettuare in modo errato il login, viene protocollato nella Lista Eventi cronologici come evento per l´utente registrato al momento.

    Nel caso in cui si inserisca al momento della registrazione un nome utente corretto, ma non si inserisca la password, il sistema reagirà come se si fosse inserita una password non valida. Dopo un numero definito di tentativi andati a vuoto, l´utente verrà bloccato (default 2, blocco dopo il terzo tentativo fallito).

  • Login dopo disattivazione

    Nel caso in cui un utente sia stato disattivato e tenti nonostante ciò di effettuare il login, quest'operazione non è possibile. Questo tentativo viene protocollato nella Lista Eventi cronologica.

Nota: Anche le modifiche della password mediante funzioni, immagini, dialoghi e API vengono controllate e portano, in caso di un reiterato inserimento errato della password attuale, ad un blocco dell´utente. Il numero di caratteri nel campo della password attuale non dà alcuna indicazione sulla lunghezza effettiva di quest´ultima.

Presupposti per l´uso di AD e AD LDS

Per poter usare AD e AD LDS per il login nel Runtime di zenon, bisogna configurare la proprietà di progetto zenon Gestione user/Accesso ad Active Directory.

  • AD: Sì deve essere selezionato per la proprietà e il calcolatore si deve trovare nel dominio.
  • AD LDS: ADAM/AD-LDS deve essere selezionato per la proprietà. Le proprietà Connessione AD-LDS, Nome utente AD-LDS e Password AD-LDS devono essere configurate correttamente.
    Nota: ADAM non viene più supportato.
    • AD LDS deve essere preparato adeguatamente.

La gestione è possibile per:

  • Windows 8, Windows 8.1 e Windows Server 2012
  • Windows 7
  • Windows Server 2008

attention Attenzione

I diritti che vengono assegnati in zenon valgono per il progetto corrispondente, oppure per l´area di lavoro. I diritti, invece, che vengono assegnati in Active Directory valgono globalmente.

Se, dunque, si assegnano dei diritti a utenti o gruppi utenti di Active Directory, essi valgono per questi user in tutti i progetti di zenon!

Gestione nel Runtime

Nel runtime ogni utente dispone della disponibilità di editare la sua propria password. Ma non gli è possibile editare altri utenti. Soltanto l´amministratore dispone di questo diritto. Le modifiche effettuate durante il Runtime devono essere rilette nell´Editor; solo in seguito saranno disponibili anche in quella sede. Al momento della trasmissione dei file Runtime, tenete presente la proprietà RT dati modificabili. In questa sede si stabilisce se la progettazione della gestione utenti viene trasmessa durante il Runtime e la configurazione nel Runtime viene sovrascritta. I contenuti della gestione user non vengono sostituiti di default quando sono trasmessi nel Runtime.

Facendo uso della funzione Modifica utenti

  • l´amministratore può creare nuovi utenti.
  • Egli può modificare utenti esistenti (eccezione: nome utente per registrazione).
  • Può creare, modificare e cancellare gruppi utenti.

    Se un amministratore imposta durante il Runtime un nuovo gruppo utenti, diviene automaticamente membro di tale gruppo.

  • Assegnare livelli di autorizzazione

    L´amministratore può assegnare solo quei livelli di cui egli stesso è in possesso. Questa circostanza permette di evitare che un amministratore si sblocchi tutto il sistema.

Nota: Durante il Runtime, gli utenti e i gruppi utenti dell´editor del progetto globale vengono messi insieme agli utenti e gruppi utenti del progetto. Proprio per questo motivo, essi non possono essere né editati durante il Runtime, nel riletti nell´Editor.

attention Attenzione

Conformità a quanto previsto delle norme FDA 21 CFR Part 11:

  • Né l´utente, né l´amministratore possono modificare il nome utente nel runtime.
  • Si può impedire la cancellazione di utenti facendo uso delle proprietà di progetto, e in particolare della proprietà Eliminazione utenti del gruppo Gestione user.

Password

Il rispettivo utente è sempre l´unico a conoscere la sua password. E anche l´unico a poter modificare la sua password. Dopo aver ricevuto una password dall´amministratore, l´utente al primo login deve definire nuovamente la sua password. Questo modo di procedimento garantisce che nessun amministratore abbia la conoscenza della password dell´utente e possa provocare delle firma errate. (Importante per FDA 21CFR Part 11).

Nel caso in cui un utente dimenticasse la sua password, l´amministratore può cancellare la stessa password e può attribuirne una nuova. Per tutti i suoi interventi l´amministratore non deve avere conoscenza della password. Al prossimo login il rispettivo utente deve in ogni caso modificare la sua password.

Delle informazioni più precise concernenti i file runtime modificati, le trovate nel capitolo: progetto e workspace /File RT modificabili

attention Attenzione

Login mediante l´immagine del tipo Login: se non inserite una password per un utente valido quando vi registrate con un´immagine del tipo Login, non ricevete alcun messaggio di errore. Il sistema non consentirà il login all´utente. Anche dopo tre tentativi di registrazione andati a vuoto a causa del mancato inserimento di una password, però, il sistema non verrà bloccato.

Se invece digitate una password errata e/o un nome utente non esistente, il sistema si bloccherà dopo tre tentativi, come al solito.


Login dell´utente

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Login dell´utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli utenti possono effettuare un login permanente o solo temporaneo. Il Login avviene mediante un dialogo modale, oppure un´immagine del tipo Login.

Noch in diesem Kapitel

Login permanente

Login temporaneo

Login e Logout automatico per sotto progetti

Autenticazione esterna


Login permanente

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Login dell´utente -> Login permanente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo un Login permanente, l´utente è registrato in modo permanente, e può eseguire tutte le azioni di gestione per cui è autorizzato. Nel caso di operazioni di gestione per cui egli non possiede l´autorizzazione necessaria, il sistema provvede a visualizzare un messaggio di avvertimento.

Il Login permanente può avvenire mediante:

  • un cambio ad un´immagine del tipo Login
  • la Funzione Login con dialogo
  • la Funzione Login senza password

Suggerimento: è possibile rendere invisibili agli utenti registrati dei pulsanti facendo uso del meccanismo della password. A tal scopo si deve configurare in modo corrispondente la proprietà Tasti bloccati (Proprietà di progetto -> Gestione user -> Login e firma).

Nota: non è possibile un login temporaneo per utenti registrati nel sistema. Per questo motivo il sistema non visualizza un dialogo per un login temporaneo per gli utenti registrati quando essi fanno uso di funzioni per le quali sono in possesso della corrispondente autorizzazione.


Login temporaneo

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Login dell´utente -> Login temporaneo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se un utente non registrato deve effettuare un´azione di gestione che richiede un´autenticazione, oppure deve inserire una firma, egli può realizzare un Login temporaneo. A tal scopo la proprietà Gestione user -> Login e firma -> Login temp. attivo deve essere attiva nelle proprietà di progetto.

Il Login temporaneo può avvenire mediante:

  • un dialogo modale che viene aperto automaticamente da zenon.
  • un´immagine del tipo Login, che è stata collegata alla proprietà Immagine per Login.

Procedura Login nel Runtime:

  1. Quando si vuole eseguire una funzione protetta da password, il sistema apre la finestra di dialogo progettata per il login o/e per l´inserimento della firma.
    Se è stata collegata un´immagine del tipo Login, essa verrà aperta. Altrimenti viene aperto un dialogo modale.
  2. L´utente può effettuare il Login ed eseguire le azioni consentite dai diritti in suo possesso. Se all´utente mancano le autorizzazioni necessarie all´esecuzione di azioni, il sistema provvede ad avvertilo mediante un messaggio corrispondente.
  3. il sistema effettua il Logout dell´utente subito dopo che questi ha eseguito l´azione

info Informazioni su

Login temporaneo:

  • ha effetto solamente in caso di esecuzione di una funzione
  • supporta interruttori, ma non pulsanti
  • è disattivato per gli utenti con login permanente

Immagine del tipo Login

Questo tipo di immagine consente il Login temporaneo e/o l´inserimento di una firma.

Elemento di controllo | Descrizione
Utente attuale (Visualizzazione) | Visualizzazione dell'utente attualmente registrato Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Nome utente | Area inserimento per Username Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Password | campo d´inserimento per la password Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Firma | campo d´inserimento per la firma. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Login | Pulsante per il login e la chiusura della finestra
Annulla | Termina il procedimento di login.
Acquisisci | Riprende gli inserimenti e lascia aperto il dialogo. Eccezione: Se il numero massimo di tentativi di registrazione non corretti viene settato tramite la proprietà di progetto Num. max. tentativi Username su 0, verrà chiusa la finestra.

Dialogo modale Login temporaneo

Questo dialogo consente il Login temporaneo. Se è necessaria una firma, essa deve essere inserita in un secondo momento.

Elemento di controllo | Descrizione
Utente registrato attuale (Visualizzazione) | Visualizzazione dell'utente attualmente registrato
Nome utente | Area inserimento per Username
Password | campo d´inserimento per la password
Ok | Pulsante per il login e la chiusura della finestra
Elimina | Termina il procedimento di login.


Login e Logout automatico per sotto progetti

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Login dell´utente -> Login e Logout automatico per sotto progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella gestione multi-progetto, gli utenti possono essere registrati (login) o disattivati (logout) automaticamente in sottoprogetti.

Per consentire ad un utente il login/logout automatico, si deve fare nell´Editor quanto segue:

  • si deve impostare l´utente nel progetto globale
  • per ogni progetto che deve deve consentire il login/logout automatico, si deve consentire il login automatico.

Attenzione: Gli utenti del progetto globale non possono essere modificati nel Runtime.

Configurazione nell´Editor.

Per configurare il login/logout automatico:

  1. aprite le proprietà di progetto.
  2. navigate per raggiungere il nodo Gestione user
  3. attivate la proprietà Login/Logout automatico nei sottoprogetti.
  4. ripetete questo passo per tutti i progetti che devono supportare il login/logout automatico.

Gestione durante il runtime

Nel Runtime, effettuate il login in un progetto con un utente globale.

Nel Runtime, vale quanto segue:

  • quando un utente globale effettua il login in un progetto, esso viene registrato automaticamente in tutti i sottoprogetti che supportano questa opzione. Quando esso effettua il logout, viene disattivato in tutti i sottoprogetti.
  • Nei sottoprogetti, non vengono visualizzate corrispondenti finestre di dialogo al momento del login e del logout. Gli utenti già registrati vengono disattivati.
  • Se un utente effettua il logout in un sottoprogetto:
    • esso verrà disattivato in questo progetto e in tutti i suoi sottoprogetti.
    • esso rimarrà però attivo in tutti i progetti di livello superiore in cui è registrato.
  • Al momento del login/logout, in tutti i progetti interessati vengono creati i corrispondenti inserimenti nella CEL.
  • Il login/logout automatico funziona solamente nella direzione progetti-sottoprogetti, e non viceversa.

Nota: questa funzione non è adatta al login temporaneo.

Procedura per utenti Windows

Un utente Windows (AD/ADAM) che ha già effettuato il login in un progetto di livello superiore, viene riutilizzato in un sottoprogetto con login automatico. A tal scopo, il contesto (percorso AD o percorso ADAM) deve essere lo stesso. Se un utente Windows viene usato per la prima volta nella catena di Login, la password viene verificata a questo punto. Se da una verifica effettuata all´inizio della catena di Login emerge che la password non è valida, viene interrotto tutto il processo di Login. Ogni qualvolta viene rigettato un tentativo di Login effettuato in un sottoprogetto, questo Login viene interrotto, ma il processo continua per tutti gli altri progetti.


Autenticazione esterna

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Login dell´utente -> Autenticazione esterna

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per programmi o applicazioni esterne, l´autenticazione utente può essere effettuata usando zenon API. In caso di autenticazione esterna errata, si può bloccare il sistema o l´utente.

A tale scopo:

  • Attivate l´opzione Blocco sistema causa autentificazione esterna non corretta e/o Blocco utente a causa di una errata autenticazione esterna nella gestione user.

Nota: si raccomanda di attivare questa opzione per avere il massimo livello di sicurezza.

Potete, inoltre, definire usando le opzioni Num. max. tentativi Username e/o Num. max. tentativi password il numero di inserimenti errati consentiti.


Gestire utenti e gruppi utenti

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Gestire utenti e gruppi utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Utenti e gruppi utenti possono essere gestiti anche nel Runtime.

info Informazioni su

Quando sono state apportate modifiche nel Runtime, fate attenzione a:

  • riscriverle nell´Editor del computer di progettazione.
  • non sovrascriverle con le impostazioni dell´Editor.

Per la gestione user nel Runtime sono disponibili le seguenti possibilità:

Azione

Media

Crea utente
  • Tipo d'immagine Lista utenti
  • Tipo d'immagine Modifica utente
  • Funzione Cambia utente

Modifica utente:
  • Tipo d'immagine Lista utenti
  • Tipo d'immagine Modifica utente
  • Funzione Cambia utente

Elimina utente
  • Tipo d'immagine Lista utenti
  • Funzione Cambia utente

Modifica Password
  • Tipo d'immagine Modifica utente
  • Funzione Cambia utente
  • Funzione Modifica password

Attribuisci autorizzazione funzione
  • Funzione Cambia utente

Crea gruppo utenti
  • Tipo d'immagine Lista gruppo utenti

Modifica gruppi utenti
  • Tipo d'immagine Lista gruppo utenti

Attribuisci livello di autorizzazione
  • Tipo d'immagine Lista gruppo utenti

attention Attenzione

Non cancellate nessun utente che sia unico possessore di un modulo.


Tipi d´immagine per la gestione di utenti e gruppi utenti

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Tipi d´immagine per la gestione di utenti e gruppi utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli utenti possono essere gestiti nel Runtime non solo mediante funzioni e dialoghi modali, ma anche grazie speciali tipo di immagine:

  • Lista utenti: Elenca tutti gli utenti e offre la possibilità di creare, modificare e cancellare degli utenti, nonché di assegnargli delle autorizzazioni funzioni.
  • Lista gruppi utenti: Elenca tutti i gruppi utenti e offre la possibilità di creare, modificare dei gruppi utenti, nonché di assegnargli delle autorizzazioni funzioni.
  • Modifica utente: Consente la creazione e la gestione di utenti.

Per tutte le azioni dovete essere registrati come amministratore. Eccezione: Gli utenti senza diritti amministratore possono modificare la propria password.

Noch in diesem Kapitel

Lista utenti

Lista gruppi utenti

Modifica utente e password


Lista utenti

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Tipi d´immagine per la gestione di utenti e gruppi utenti -> Lista utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa immagine gestite le liste utenti.
A questo proposito vale quanto segue:

  • Dovete essere registrati come amministratore.
  • Potete creare nuovi utenti.
  • Potete modificare utenti.
  • Potete cancellare utenti.
  • Potete assegnare solo le autorizzazioni funzioni delle quali disponete voi stessi, o come membri di un gruppo utenti.

Per gestire gli utenti in liste:

  1. Registratevi nel sistema come amministratore.
  2. Aprite un´immagine del tipo Lista utenti
  3. Configurate le impostazioni desiderate.
    • Cliccate su Nuovo e si aprirà un´immagine del tipo Modifica utente. Essa deve essere stata collegata con il cambio immagine.
    • Cliccate su Modifica e si aprirà un´immagine del tipo Modifica utente. Essa deve essere stata collegata con il cambio immagine.

Per informazioni dettagliate concernenti gli elementi di controllo, vi preghiamo di consultare il capitolo Immagine del tipo "Crea lista utenti".


Lista gruppi utenti

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Tipi d´immagine per la gestione di utenti e gruppi utenti -> Lista gruppi utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa immagine gestite i gruppi utenti.
A questo proposito vale quanto segue:

  • Dovete essere registrati come amministratore.
  • Potete amministrare solamente quei gruppi utenti cui appartenete.
  • Potete creare nuovi gruppi utenti.
    I gruppi utenti da voi creati vi verranno subito assegnati. In tal modo, il gruppo dispone almeno di un membro e può essere assegnato ad altri utenti.

Per gestire gruppi utenti:

  1. Registratevi nel sistema come amministratore.
  2. Aprite un´immagine del tipo Lista gruppo utenti
  3. Configurate le impostazioni desiderate. Le possibili impostazioni corrispondono a quelle dell´Editor.

Per informazioni dettagliate concernenti gli elementi di controllo, vi preghiamo di consultare il capitolo Immagine del tipo "Crea lista gruppo utenti".


Modifica utente e password

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Tipi d´immagine per la gestione di utenti e gruppi utenti -> Modifica utente e password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa immagine gestite altri utenti. Tutti gli utenti, inoltre, possono modificare la propria password.
A questo proposito vale quanto segue:

  1. Dovete essere registrati come amministratore.
    Eccezione: Gli utenti senza diritti amministratore possono modificare la propria password.
  • Potete assegnare solo i livelli di autorizzazione dei quali disponete voi stessi, o come membri di un gruppo utenti.
  • Potete assegnare solamente quei gruppi utenti cui appartenete.
  • Non potete modificare i propri livelli di autorizzazione e gruppi di autorizzazione nel Runtime.

Modifica utente

Per gestire utenti:

  1. Registratevi nel sistema come amministratore.
  2. Aprite un´immagine del tipo Modifica utente
    , oppure una del tipo Lista utenti, e cliccate su Nuovo, oppure su Modifica.
  3. Configurate le impostazioni desiderate. Le impostazioni possibili corrispondono a quelle nell´Editor o della funzione Cambia utenti.

Per informazioni dettagliate concernenti gli elementi di controllo, vi preghiamo di consultare il capitolo Immagine del tipo Crea "Modifica utenti".

Modifica Password

Per consentire agli utenti di modificare la propria password, viene aperta una finestra di dialogo modale. Questa finestra di dialogo può essere sostituita da un´immagine del tipo Modifica utente. La finestra di dialogo o l´immagine vengono aperti in modo modale quando

  • la funzione Modifica password è eseguita.
  • quando l´utente registrato deve modificare la sua password (nuovo utente, password scaduta, password resettata).

Per consentire agli utenti la modifica della password via immagine:

  1. collegate nelle proprietà di progetto Gestione user Login e firma la proprietà Immagine per la modifica password con un´immagine del tipo Modifica utente.
  2. Nel Runtime, al posto della finestra di dialogo modale, verrà aperta l´immagine in modo modale.
  3. Gli utenti possono modificare la loro password.


Funzioni per il modulo Gestione user.

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Funzioni per il modulo Gestione user.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Runtime sono disponibili le seguenti funzioni per la gestione user.

  • Login con dialogo: Apre nel Runtime una finestra di dialogo modale, oppure un´immagine del tipo Login per effettuare un Login permanente.
  • Login senza password: Effettua il Login nel Runtime per l´utente definito nell´Editor senza inserimento di password, oppure consente il Login con un Chip ident System.
  • Logout: Effettua il Logout dell´utente attualmente registrato ed effettua il Login dell´utente System con il livello di autorizzazione 0.
  • Modifica utente: Apre una finestra di dialogo che serve ad editare utenti e gruppi utenti.
  • Modifica Password: Apre nel Runtime una finestra di dialogo per consentire la modifica della password.

Noch in diesem Kapitel

Login con dialogo

Login senza password

Esegui logout

Modifica utente

Modifica Password


Login con dialogo

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Funzioni per il modulo Gestione user. -> Login con dialogo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione apre nel Runtime, a seconda di quanto definito in fase di configurazione:

  • la finestra di dialogo modale Login.
  • il tipo d'immagine Login

Finestra di dialogo modale

Elemento di controllo | Descrizione
Utente registrato attuale (Visualizzazione) | Visualizzazione dell'utente attualmente registrato
Nome utente | Area inserimento per Username
Password | campo d´inserimento per la password
Ok | Pulsante per il login e la chiusura della finestra
Elimina | Termina il procedimento di login.

Il login viene registrato nellaLista Eventi Cronologica.

Grandezza e posizione

Si può fissare la grandezza e la posizione della finestra di login durante il runtime all´interno di zenon6.ini:

  1. Aprite lo zenon 6.ini.
  2. Create o modificate il settore:

    [Comandi]

  3. Inserite i valori per

    POSITION= sinistra, destra, su, giù

    Default: POSITION= 0.001, 0.999, 0.835, 0.964

    Attenzione: la grandezza si riferisce alla dimensione dell´immagine e non a quella della finestra principale.

info Informazioni su

Trovate lo zenon6.ini nel percorso:

Windows 7/8: %ProgramData%\COPA-DATA\System\


Login senza password

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Funzioni per il modulo Gestione user. -> Login senza password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione consente di registrare un utente in zenon nel runtime senza dover usare una password. In questo caso, l´utente viene nominato direttamente oppure registrato mediante Chip Ident System. La chiamata di questa funzione può avvenire tramite evento (stato di una chiave in un interruttore), o usando temporizzatori. Il login viene registrato nella Lista eventi cronologica.

Per creare la funzione, procedete come di seguito:

  • create una nuova funzione.
  • Navigate per raggiungere il nodo Gestione utenti.
  • Selezionate Login senza password.
  • Si apre il dialogo per la selezione dell´utente.
  • Selezionate il tipo del Login.

Parametri

Descrizione

Utente

Registra l´utente selezionato.

Utente da variabile

Registra l´utente con il nome utente della variabile trasmessa. Consente il login via Chip Ident System.

Cliccate sul pulsante... e si apre il dialogo che serve alla selezione di una variabile stringa. Per i dettagli, vedi la voce "Login via Chip Ident System".

Login via Chip Ident System.

La registrazione Utente da variabile consente l´uso di sistemi Chip Ident, come, ad esempio, Euchner o Keba Identsystem. Per usare la possibilità di una registrazione mediante una variabile, tenete presente quanto segue:

  • L´utente deve essere stato impostato nella gestione utenti di zenon oppure in Active Directory con lo stesso nome utente adottato nella chip.

    Ad esempio: se il nome utente in Chip è J. Smith, deve esistere nella gestione utenti o nella Active Directory un J. Smith in possesso dei diritti adeguati.

  • Quando l´utente tiene la sua chip davanti al lettore, la variabile stringa (per esempio username) viene riempita dei dati della chip (per es. J Smith) e l´utente viene registrato.
  • Perché la funzione possa essere eseguita, deve esistere una Matrice di reazione del tipo Stringa, che reagisce ad ogni modifica di valore e esegue la funzione.
    • Questa matrice di reazione deve essere collegata alla variabile (per es. username).


Esegui logout

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Funzioni per il modulo Gestione user. -> Esegui logout

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’attuale utente esce con questa funzione di logout dal Runtime e di nuovo ha accesso l’utente SYSTEM con il livello di autorizzazione 0. La registrazione del login dell´utente di sistema avviene nella Lista eventi cronologica. Se è registrato un utente Active Directory, anch´esso verrà disattivato.

Non sono necessari parametri di trasferimento.

attention Attenzione

Logout automatico vs. Funzione automatica

  • Logout automatico: accade permanentemente a partire al momento di scadenza del tempo dell'ultima operazione effettuata.
  • Funzione automatica: accade solo una volta a partire dalla scadenza del tempo dell'ultima operazione effettuata.


Modifica utente

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Funzioni per il modulo Gestione user. -> Modifica utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Modifica utente consente di creare ed amministrare utenti nel Runtime, e di assegnargli dei livelli di autorizzazione.

Per creare la funzione:

  1. Create una nuova funzione.
  2. Passate alla sezione Password.
  3. Selezionate la funzione Modifica utente.
  4. Collegate la funzione ad un bottone

Uso nel Runtime

Al momento del richiamo della funzione durante il Runtime, viene aperta una finestra di dialogo. Essa consente la creazione e la modifica di:

  • Utenti
  • Gruppi utenti

info Informazioni su

Regole:

  • Gli amministratori possono gestire tutti gli altri utenti e modificare le loro impostazioni.
  • Gli amministratori non si possono assegnare degli ulteriori livelli di autorizzazione, oppure aggiungersi ad altri gruppi utenti.
  • Utenti senza diritti amministratore possono modificare solamente la loro password e le loro impostazioni per il Message Control.

Noch in diesem Kapitel

Utenti

Gruppo utenti


Utenti

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Funzioni per il modulo Gestione user. -> Modifica utente -> Utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda vengono gestiti gli utenti.

Parametri | Descrizione
Lista Utenti | Elenca tutti gli utenti configurati.
Nuovo | Apre il Dialogo che serve alla creazione e alla modifica di nuovo utenti.
Modifica | Apre il Dialogo che serve alla creazione e alla modifica di nuovo utenti.
Elimina | Cancella l´utente selezionato dopo la conferma di una richiesta a fini di sicurezza.
Cambia autorizzazione funzioni | Apre il Dialogo che serve ad assegnare delle autorizzazioni funzioni a livelli di autorizzazione per il Runtime.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.

Gestire utenti

Per gestire un utente:

  1. Selezionate l´utente nella lista.
  2. Scegliete l´azione desiderata cliccando su uno dei pulsanti.

Noch in diesem Kapitel

Utenti

Modifica Password

Message Control

Livelli di autorizzazione

Gruppi utenti

Assegnazione di autorizzazioni funzioni


Utenti

Utenti

Inserimento dei dati user.

Parametri

Descrizione

Nome utente

Inserite qui il nome utente. L´utente si registra con il suo nome nel sistema.

Lunghezza massima: 20 caratteri.

Nota: Questo numero deve essere univoco.

Nome completo

Indicate il nome completo dell´utente. In tal modo attribuite i nomi utenti a persone reali.

Amministratore

Attivo: L´utente riceve lo stato di un amministratore.

E consentito solo all´amministratore di creare, editare e cancellare nuovi utenti nel funzionamento online.

Attivo

Attivo: L´utente è attivo e può registrarsi nel Runtime.

Nota: secondo le regole di FDA 21 CFR PART 11 un utente non può essere mai cancellato in modo tale che sia possibile in qualsiasi momento verificare chi ha realizzato una determinata operazione. Proprio per questo motivo, nei progetti che sono soggetti a questa normativa, un utente può essere solamente disattivato, ma non cancellato.

Per evitare la cancellazione di utenti, dovete disattivare nell´ambito delle proprietà di progetto, nel gruppo Gestione user la proprietà Eliminazione utenti.

Bloccato

Attivo: l´utente è bloccato durante il Runtime e non si può registrare.

Questa opzione viene settata in modo automatico quando un utente ha inserito la sua password in modo sbagliato per più volte di quelle consentite.

Codice di blocco

Codice PIN a 4 cifre.

Questo codice è usato dall´utente nei comandi per bloccare o sbloccare delle aree.
Disponibile solamente se si dispone di una licenza valida per la zenon Energy Edition.

Profilo al login

Selezione, fra le alternative proposte dal menù a tendina, del profilo Runtime da usare per il login

  • Nessuno
  • Default
  • Carico

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Elimina | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Modifica Password

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Funzioni per il modulo Gestione user. -> Modifica utente -> Utenti -> Modifica Password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Modifica Password

Assegnazione della password per l´utente.

Parametri | Descrizione
Vecchia password: | Password attuale.
Nuova password: | Inserimento di una nuova password. La password inserita viene nascosta automaticamente dal sistema. Nel caso di progetti in più lingue, tenete presente che deve essere possibile nel Runtime inserire i caratteri della password con la tastiera corrispondente.
Conferma password | Ripetizione della password. La password inserita viene nascosta automaticamente dal sistema.

Nota: La funzionalità Copia Incolla non è utilizzabile per l´inserimento della password nel campo a ciò adibito.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Elimina | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
info Informazioni su
Un amministratore può consentire agli altri utenti l'accesso solamente a quei gruppi per i quali egli stesso possiede i diritti.


Message Control

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Funzioni per il modulo Gestione user. -> Modifica utente -> Utenti -> Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Message Control

Configurazione del Message Control

Parametri

Descrizione

Utente Message Control

Attivo: l´utente viene utilizzato dal modulo Message Control.

Telefono

Numero dell´apparecchio telefonico dell´utente abilitato a riprodurre messaggi Text-to-Speech. Viene usato per messaggi Text-to-Speech.

Inserimento in cifre. Sono, inoltre, consentiti:

  • Il segno (+) all´inizio come abbreviazione per lo 00 dei prefissi internazionali.
  • Nella gestione user AD , anche i seguenti caratteri separatori: meno (-), barra (/) e Spazio
    Nota: Nell´ambito della comunicazione fra AD e Message Control, vengono rimossi i caratteri separatori non appena i dati AD vengono mappati su un oggetto di zenon.

Cellulare

Numero del telefono cellulare dell´utente. Viene usato per messaggi via GSM e SMS.

Inserimento in cifre. Sono, inoltre, consentiti:

  • Il segno (+) all´inizio come abbreviazione per lo 00 dei prefissi internazionali.
  • Nella gestione user AD , anche i seguenti caratteri separatori: meno (-), barra (/) e Spazio
    Nota: Nell´ambito della comunicazione fra AD e Message Control, vengono rimossi i caratteri separatori non appena i dati AD vengono mappati su un oggetto di zenon.

E-Mail

Indirizzo E-Mail dell´utente.

Sostituto

È possibile indicare un sostituto da contattare nel caso in cui un utente non sia raggiungibile, oppure rifiuti di accettare il messaggio, Cliccando sul pulsante ..., si apre la finestra di dialogo che serve alla selezione di un utente. Il sistema consente di effettuare la scelta solamente fra quegli utenti che sono stati attivati come user del Message Control (vedi proprietà ).

Codice PIN

Codice PIN con cui l´utente conferma di aver ricevuto il messaggio.

Codice-NA

Codice PIN con cui l´utente rifiuta il ricevimento del messaggio (Not Available). Il messaggio verrà poi inviato al prossimo utente della lista.

Nel caso in cui non sia indicato nessun ulteriore utente nella lista, il messaggio verrà contrassegnato come "non ripristinato con successo" . Il sistema eseguirà la funzione assegnata a questa condizione. Inoltre, verrà generato in ogni caso il seguente inserimento CEL: rifiutato da".

Nota: Ulteriori informazioni riguardanti l´assegnazione di funzioni sono disponibili nel capitolo Conferma di ricezione - Impostazioni Conferma di ricezione.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Elimina | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

attention Attenzione

I codici di ripristino per PIN (conferma) e NA (rifiuto) devono essere differenti e non dovrebbero essere molti simili.

Se i codici sono identici, il codice viene interpretato come PIN e, dunque, come conferma del ricevimento del messaggio.

Se il sistema riceve un codice sconosciuto, il messaggio verrà inviato alla persona di riserva nel caso di SMS e E-‑Mail; nel caso di messaggi vocali, invece, verrà riprodotto il messaggio di errore.


Livelli di autorizzazione

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Funzioni per il modulo Gestione user. -> Modifica utente -> Utenti -> Livelli di autorizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Livelli di autorizzazione

Configurazione dei livelli di autorizzazione.

Parametri | Descrizione
Livelli di autorizzazione disponibili | Lista di tutte le autorizzazioni disponibili.
Livelli di autorizzazione selezionati | Lista delle autorizzazioni assegnate.
Pulsante Freccia doppia a destra | Gli inserimenti selezionati nella lista Livelli di autorizzazione disponibili vengono aggiunti a quella Livelli di autorizzazione selezionati.
Pulsante Freccia doppia a sinistra | Gli inserimenti selezionati nella lista Livelli di autorizzazione selezionati vengono cancellati da questa lista.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Elimina | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Gruppi utenti

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Funzioni per il modulo Gestione user. -> Modifica utente -> Utenti -> Gruppi utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Gruppi utenti

Assegnazione di gruppi utenti.

Nota: Potete assegnare solamente quei gruppi utenti di cui disponete.

Parametri | Descrizione
Gruppi utenti disponibili | Lista di tutti i gruppi utenti disponibili.
Gruppi utenti selezionati | Lista dei gruppi utenti attribuiti.
Pulsante Freccia doppia a destra | Gli inserimenti selezionati nella lista Gruppi utenti disponibili vengono aggiunti a quella Gruppi utenti selezionati.
Pulsante Freccia doppia a sinistra | Gli inserimenti selezionati nella lista Gruppi utenti selezionati vengono cancellati da questa lista.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Elimina | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Assegnazione di autorizzazioni funzioni

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Funzioni per il modulo Gestione user. -> Modifica utente -> Utenti -> Assegnazione di autorizzazioni funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Assegnazione di autorizzazioni funzioni

Assegnazione di autorizzazioni funzioni a livelli di autorizzazione.

Nota: Potete assegnare solo le autorizzazioni funzioni delle quali disponete voi stessi direttamente, o come membri di un gruppo utenti.

Parametri | Descrizione
Lista delle funzioni | Lista delle funzioni a disposizione e dei livelli di autorizzazione assegnati.
Modifica | Apre la finestra di dialogo che serve ad assegnare un nuovo livello di autorizzazione.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Elimina | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Autorizzazioni funzioni Generale

Parametri

Descrizione

Modifica trend esteso

Le curve del trend esteso possono essere modificate durante il Runtime. Nel caso non si disponga della necessaria autorizzazione, i seguenti elementi di controllo non sono attivi:

  • Diagramma
  • Curve
  • Impostazioni
  • Cursore on/off
  • Asse X

Immagine indietro (PGUP)

La funzione "immagine indietro" può essere eseguita durante il Runtime.

Cambio immagine: " consenti "Proponi dialogo a Runtime""

La funzione Cambio immagine può essere eseguita ad opzione Proponi dialogo a Runtime attiva solamente se l´utente registrato dispone del gruppo di autorizzazione corrispondente.

Blocco note: Apri file

La funzione file apri nell´immagine del tipo Blocco note può essere utilizzata solo se l'utente che ha effettuato il Login dispone del corrispondente gruppo di autorizzazione.

Blocco note: salva file

La funzione salva nell´immagine del tipo Blocco note può essere utilizzata solo se l'utente che ha effettuato il Login dispone del corrispondente gruppo di autorizzazione.

Autorizzazioni Funzioni allarmi

Parametri

Descrizione

Modifica commento d'allarme

Un Commento necessario per il ripristino di un allarme può essere modificato.

Inserisci commento d'allarme

Si può inserire un Commento necessario per il ripristino di un allarme.

Elimina l'allarme

Si possono cancellare degli allarmi durante il runtime.

Ripristino allarme tramite Barra stato allarmi/menù contestuale

Un ripristino dell'allarme mediante la barra di stato degli allarmi o il menù contestuale è possibile solamente se è disponibile il diritto corrispondente nel progetto cui si riferisce l'allarme attualmente visualizzato.

Nel caso della gestione multi-progetto: Il ripristino della segnalazione di sistema nella barra di stato degli allarmi o mediante il menù contestuale è possibile solo se l'autorizzazione è disponibile nel progetto di integrazione.

Annotazione: le segnalazioni di sistema sono quelle che vengono emesse nella barra di stato degli allarmi al raggiungimento di un numero di allarmi programmabile.

Ripristino allarme tramite pagina allarmi

Il ripristino attraverso un´immagine del tipo lista allarmi è possibile solo con la corrispondente autorizzazione e nel progetto collegato con le variabili (gestione multi-progetto).
Nota: se l'utente non ha la necessaria autorizzazione, viene interrotto il lampeggio, ma l'allarme non viene ripristinato.

Ripristino allarme tramite funzione

Il ripristino mediante una funzione è possibile solo nel caso in cui si disponga dell'autorizzazione corrispondente agli allarmi selezionati nei relativi progetti.

Modifica archivio

Dati d'archivio (Server di archiviazione) possono essere modificati durante il runtime.

Potete prevedere ed impostare per ognuno di questi metodi di ripristino differenti gruppi di autorizzazioni. Potete stabilire, ad esempio, che un gruppo di autorizzazioni può effettuare un ripristino solo attraverso la barra di stato degli allarmi e non diversamente.

info Info

Il ripristino di un allarme è possibile solo nel caso in cui si disponga dell'autorizzazione corrispondente agli allarmi selezionati nei relativi progetti.

Autorizzazioni Funzioni Batch Control

Parametri | Descrizione
Batch Control: Importa ricetta/ ricetta parziale | Le ricette possono essere importate nel modulo Batch Control come file XML solo se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta di controllo - crea, rinomina, duplica | Le Ricette di controllo nel modulo Batch Control possono essere create e amministrate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricette di controllo - Modifica fasi | Le fasi delle Ricette di controllo nel modulo Batch Control possono essere modificate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta di controllo - cancella | Le Ricette di controllo nel modulo Batch Control possono essere cancellate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - salta operazioni in attesa | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può uscire da una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta di controllo - uscire dalla fase | Quando si eseguono Ricette di controllo nel modulo Batch Control, si possono saltare condizioni in attesa solo se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master (modalità test) - imposta modalità di esecuzione | Quando si opera in modalità test, si può cambiare la modalità di esecuzione delle Ricette master nel modulo Batch Control solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - passa in modalità di esecuzione | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può cambiare la modalità di esecuzione solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - esegui singoli passaggi, salta | Quando si eseguono Ricette di controllo nel modulo Batch Control, si possono saltare singoli passaggi solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - stop fase | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può arrestare una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - riprendi fase | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può continuare ad eseguire una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - riavvio fase | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può riavviare una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - fase in pausa | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può mettere in pausa una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - interrompi ricetta | Quando si eseguono Ricette di controllo nel modulo Batch Control, l´esecuzione della ricetta può essere interrotta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - stop ricetta | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può arrestare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - riprendi ricetta | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può continuare ad eseguire una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - riavvia ricetta | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può riavviare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - ricetta in pausa | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può mettere in pausa una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta di controllo (esecuzione) - avvia ricetta | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può riavviare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta di controllo (esecuzione) - ferma ricetta | Quando si eseguono Ricette di controllo nel modulo Batch Control, si può fermare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta parziale - Creazione, modifica, rinomina, duplicazione, salvataggio | Le ricette parziali nel modulo Batch Control possono essere create e amministrate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta parziale - rilasciata | Le Ricette parziali nel modulo Batch Control possono essere rilasciate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Cancella ricetta parziale | Le Ricette parziali nel modulo Batch Control possono essere cancellate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master - crea, modifica, rinomina, duplica, salva | Le Ricette master nel modulo Batch Control possono essere create e amministrate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master- rilasciata | Le Ricette master nel modulo Batch Control possono essere rilasciate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Cancella ricetta master | Le Ricette master nel modulo Batch Control possono essere cancellate solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master - Passa alle modalità di test e di modifica | Il passaggio dalla modalità test a quella editing per le Ricette master nel modulo Batch Control è possibile solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master impostata come obsoleta | Le Ricette master nel modulo Batch Control possono essere settate come obsolete solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - salta operazioni in attesa | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, saltare una condizione in attesa è possibile solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: Ricetta master (modalità test) - uscire dalla fase | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, uscire da una fase è possibile solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - esegui singoli passaggi, salta | Quando si opera in modalità test, si possono saltare singoli passi in fase di esecuzione delle Ricette master nel modulo Batch Control solamente se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - ferma fase | Per le Ricette di master nel modulo Batch Control, quando si opera in modalità test, si può arrestare una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - edita fase | Per le Ricette di master nel modulo Batch Control, quando si opera in modalità test, si può modificare una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - continua fase | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, si può continuare ad eseguire una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - riavvia fase | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, si può riavviare una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - fase in pausa | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, si può mettere in pausa una fase solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - interrompi ricetta | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, si può interrompere una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - stop ricetta | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, si può arrestare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - prosegui ricetta | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, si può continuare l´esecuzione di una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - riavvia ricetta | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, si può riavviare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - ricetta in pausa | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, si può mettere in pausa una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - avvia ricetta | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, si può riavviare una ricetta solo se l´utente dispone dei diritti corrispondenti.
Batch Control: ricetta master (modalità test) - interrompi ricetta | Per le Ricette master nel modulo Batch Control, quando si opera in modalità test, si può fermare una ricetta solo se l´utente dispone dei diritti corrispondenti.

Autorizzazione funzioni - Sequenze di comando

Parametri | Descrizione
Sequenze di comando: annulla esecuzione | Quando si eseguono sequenze di comando nel modulo Sequenze di comando, l´esecuzione della sequenza in questione può essere interrotta solo se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: continua esecuzione | Nel modulo Sequenze di comando, l´esecuzione di una sequenza messa in pausa può essere ripresa solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: arresta esecuzione | Nel modulo Sequenze di comando, l´esecuzione di una sequenza di comando può essere messa in pausa solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: avvia esecuzione | L´avvio di una sequenza nel modulo Sequenza di comando è possibile solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: imposta modalità di esecuzione | Nell´esecuzione di sequenze nel modulo Sequenze di comando, si possono eseguire singole fasi, oppure si può saltare all´esecuzione di singole fasi, solo se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: esegui singole fasi, salta | Nell´esecuzione di sequenze nel modulo Sequenze di comando, si possono eseguire singole fasi, oppure si può saltare all´esecuzione di singole fasi, solo se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: creazione, modifica, rinomina, duplicazione, salvataggio | La gestione delle sequenze nel modulo Sequenze di comando - per es. creazione, modifica, rinomina, duplicazione e salvataggio - può essere progettata solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: elimina | Nel modulo Sequenze di comando, sequenze progettate possono essere cancellate solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: importa sequenze di comando | Le sequenze possono essere importate come file XML nel modulo Sequenze di comando solamente se l´utente dispone dei diritti corrispondenti.
Sequenze di comando: imposta da modalità di esecuzione a modalità di modifica | Nel modulo Sequenza di comando, un cambio di modalità (da quella di esecuzione a quella di modifica) è possibile solamente se l´utente dispone dei diritti corrispondenti.


Gruppo utenti

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Funzioni per il modulo Gestione user. -> Modifica utente -> Gruppo utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si amministrano i gruppi utenti.

Parametri | Descrizione
Lista gruppi utenti | Elenca tutti i gruppi utenti configurati.
Nuovo | Apre il Dialogo che serve alla creazione e alla modifica dei gruppi utenti.
Modifica | Apre il Dialogo che serve alla creazione e alla modifica dei gruppi utenti.
Elimina | Elimina i gruppi utenti selezionati dopo una richiesta di conferma per ragioni di sicurezza.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.

Gestione dei gruppi utenti

Per gestire un gruppo utenti:

  1. Selezionate il gruppo utenti fra quelli della lista
  2. Scegliete l´azione desiderata cliccando su uno dei pulsanti.

Noch in diesem Kapitel

Gruppo utenti

Livelli di autorizzazione


Gruppo utenti

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Funzioni per il modulo Gestione user. -> Modifica utente -> Gruppo utenti -> Gruppo utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Gruppo utenti

Creazione di un nuovo gruppo utenti.

Parametri | Descrizione
Nome | Nome di un nuovo gruppo utenti Attenzione: @ non è un carattere valido per un nome di un gruppo utenti.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Elimina | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Livelli di autorizzazione

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Funzioni per il modulo Gestione user. -> Modifica utente -> Gruppo utenti -> Livelli di autorizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Livelli di autorizzazione

Assegnazione dei livelli di autorizzazione a un gruppo utenti.

Parametri | Descrizione
Livelli di autorizzazione disponibili | lista di tutte le autorizzazioni disponibili.
Livelli di autorizzazione selezionati | lista delle autorizzazioni assegnate.
Pulsante Doppia freccia a destra | Gli inserimenti selezionati nella lista Livelli di autorizzazione disponibili vengono aggiunti a quella Livelli di autorizzazione selezionati.
Pulsante Doppia freccia sinistra | Gli inserimenti selezionati nella lista Livelli di autorizzazione selezionati vengono cancellati da questa lista.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Elimina | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Modifica Password

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Funzioni per il modulo Gestione user. -> Modifica Password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione, l’utente attuale può modificare la sua password nel Runtime. Per l’utente interno del sistema non è possibile alcuna modifica.

Nel Runtime viene aperta una finestra di dialogo per consentire la modifica della password.

Le immissioni necessarie sono:

Parametri | Descrizione
Vecchia password: | Immettere la password attuale.
Nuova password: | Inserire la nuova password
Conferma password | Inserire la nuova password ancora una volta.
Ok | Riprende la nuova password e chiude la finestra di dialogo.
Elimina | Interrompe il procedimento.

Se all’utente non è stata assegnata una password, la può definire lui stesso alla prima chiamata di funzione nel funzionamento online. In questo caso, nella finestra di dialogo non si richiede all´utente di inserire la vecchia password.


Protezione password nell´elemento dinamico

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Protezione password nell´elemento dinamico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel runtime, tutti gli elementi d´immagine dinamici che consentono l'esecuzione di una funzione oppure di settare valore impostabile, possono essere collegati ad un gruppo di autorizzazione.

A tal scopo, create anzitutto un elemento dinamico. Per esempio un pulsante testo. Nella finestra delle proprietà appaiono tutte le proprietà configurabili per questo elemento dinamico.

Selezionate nelle proprietà del gruppo “utente” la proprietà 'gruppo di autorizzazione'. Qui potete impostare il gruppo di autorizzazione necessario per l´esecuzione della funzione.

Negli elementi dinamici in cui l´azione del settare valore impostabile deve essere protetta, bisogna anzitutto collegare una variabile usando la finestra proprietà, e poi attivare "settare valore impostabile" prima di definire il gruppo di autorizzazione.


Accetta nel Runtime modifiche effettuate nell´Editor.

Manuale -> Gestione user -> zenon Login e gestione user nel Runtime -> Accetta nel Runtime modifiche effettuate nell´Editor.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Non tutte le modifiche apportate alla gestione user vengono accettate nel Runtime dopo un reload. Tenete presente soprattutto quanto segue:

Numero massimo di input sbagliati della password.

Se modificate nell´Editor il valore standard per il numero massimo di tentativi errati d´inserimento password, questa modifica diviene effettiva nel Runtime solamente dopo che lo avrete riavviato. Un semplice reload non è sufficiente, visto che altrimenti sarebbe possibile un numero qualsiasi di tentativi d´inserimento password: Modificate il valore sotto: proprietà di progetto -> Gestione user -> Num. max. tentativi Username

Modifiche di gruppi utenti e livelli di autorizzazione

Se si aggiungono o si eliminano nell`Editor dei gruppi utenti, oppure se si modificano dei livelli di autorizzazione, questi cambi non verranno accettati nel Runtime per utenti registrati con un semplice reload. Per far sì che queste modifiche divengano effettive, gli utenti registrati dovranno essere disattivati nel sistema e dovranno di nuovo effettuare il login. Ciò vale anche per l´uso di utenti Active Directory.


Gestire gli utenti Active Directory dal Runtime di zenon

Manuale -> Gestione user -> Gestire gli utenti Active Directory dal Runtime di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tramite un´immagine del tipoActive Directory Gestione user potete accedere nel Runtime all´Active Directory di Windows. Potete creare, cancellare e modificare unità di organizzazione, utenti e gruppi utenti, nonché assegnare loro diritti in zenon.

info Informazioni su

Active Directory e AD LDS, nonché ADAM (per Windows XP) non sono a disposizione sotto Windows CE.

Dominio nel Runtime

Nel Runtime si usa il dominio dell´utente che ha avviato il Runtime per l´Active Directory Login. Possono effettuare il Login solo quegli utenti che appartengono a questo dominio.

Diritti utente

attention Attenzione

I diritti che vengono assegnati in zenon valgono per il progetto corrispondente, oppure per l´area di lavoro. I diritti, invece, che vengono assegnati in Active Directory valgono globalmente.

Se, dunque, si assegnano dei diritti a utenti o gruppi utenti di Active Directory, essi valgono per questi user in tutti i progetti di zenon!

Noch in diesem Kapitel

Crea immagine del tipo Active Directory Gestione user

Cambio immagine a Active Directory Gestione user

Gestione utenti Active Directory nel Runtime.


Crea immagine del tipo Active Directory Gestione user

Manuale -> Gestione user -> Gestire gli utenti Active Directory dal Runtime di zenon -> Crea immagine del tipo Active Directory Gestione user

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Gestione utenti Active Directory.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Immagine del tipo Active Directory Gestione user

Parametri | Descrizione
Inserisci modello | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Login | Elementi di controllo per il login in Active Directory.
Nome dominio | Inserimento e visualizzazione del nome dominio.
Nome utente | Inserimento e visualizzazione del nome utente AD.
Password | Inserimento della password.
Login | Con un click del mouse si registra un utente in AD.
Logout | Con un click del mouse si disattiva un utente.
Finestra Active Directory | Gli elementi di controllo per la visualizzazione e la gestione di Active Directory. Contiene la Visualizzazione dettagli Active Directory: Finestra nella quale viene visualizzata la struttura di Active Directory.
Crea nuova unità organizzativa (Tree) | Apre la finestra di dialogo per impostare nella struttura ad albero una nuova unità di organizzazione.
Elimina unità organizzativa (Tree) | Cancella l´unità di organizzazione selezionata nella struttura ad albero dopo una richiesta di conferma.
Su di un livello | Passa all´interno della struttura al livello superiore.
Crea nuova unità organizzativa | Imposta al di sotto dell´elemento selezionato nella struttura ad albero una nuova unità di organizzazione. Viene aperta la corrispondente finestra di dialogo.
Nuovo utente | Apre la finestra di dialogo che serve a creare un nuovo utente.
Definisci nuovo gruppo utenti | Apre la finestra di dialogo che serve a creare un nuovo gruppo utenti.
Modifica oggetto | Apre la finestra di dialogo che serve a modificare l´oggetto selezionato.
Elimina oggetto | Cancella l´oggetto selezionato.


Cambio immagine a Active Directory Gestione user

Manuale -> Gestione user -> Gestire gli utenti Active Directory dal Runtime di zenon -> Cambio immagine a Active Directory Gestione user

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare l´immagine del tipo Active Directory Gestione user nel Runtime, configurate un cambio immagine. Facendo ciò, potete anche effettuare delle impostazioni preliminari concernenti le unità di organizzazione da visualizzare. Potete anche definire quale utente può selezionare quali unità di organizzazione.

Configura cambio immagine:

  1. create una nuova funzione Cambio immagine per passare ad un´immagine del tipo Active Directory Gestione user
  2. assegnate un nome dominio per poter poi aprire l´AD di un determinato dominio nel Runtime.
    Potete anche lasciare vuoto il nome. In questo caso, il Nome dominio dovrà essere inserito al momento del login nel Runtime.
  3. Configurate le Unità di organizzazione che devono essere visualizzate.
    Potete far sì che vengano visualizzate tutte, oppure ne potete scegliere alcune specifiche.
  4. Chiudete la finestra di dialogo cliccando su OK e collegate la funzione con un pulsante nell´immagine.

Dialogo filtro

Parametri

Descrizione

Nome dominio

Inserimento del dominio per cui la Active Directory deve essere caricata al momento del cambio immagine.

Unità organizzativa

Selezione delle unità di organizzazione da visualizzare. La selezione avviene via pulsanti di opzione:

  • Tutte: nel Runtime verranno visualizzati tutti i nodi della struttura AD Organizzazione del dominio.
  • Specifiche: consente la selezione di determinate unità di organizzazione. Cliccate sul pulsante...el campo di inserimento e si apre il dialogo che serve alla selezione delle unità di organizzazione.

Ok

Accetta le impostazioni e chiude il dialogo.

Elimina

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

Seleziona unità di organizzazione.

Se selezionate nel dialogo filtro Unità di organizzazione. specifiche, verrà aperta innanzitutto la finestra di dialogo per l´inserimento dei dati di login, e poi quella per la selezione delle unità di organizzazione.

Login

Parametri

Descrizione

Utente attualmente connesso

Attivo: l´utente attualmente registrato sul calcolatore, viene registrato in AD per la selezione delle unità di organizzazione.

Accesso esplicito

Attivo: un certo utente viene registrato in AD per la selezione delle unità di organizzazione.

  • Dominio: inserimento del dominio la cui struttura deve essere visualizzata.
  • Nome utente: Utente. Può rimanere vuoto se è sufficiente una semplice lettura dei dati struttura.
  • Password:

Ok

Riprende le impostazioni e apre la finestra di dialogo Seleziona unità di organizzazione.

Elimina

Annulla tutte le modifiche e chiude la finestra di dialogo.

Unità organizzativa

Parametri | Descrizione
Lista unità di organizzazione | Visualizzazione di tutte le unità di organizzazione del dominio selezionato. Selezione dall´albero cartelle (folder tree)
Ok | Accetta le impostazioni e chiude il dialogo.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.


Gestione utenti Active Directory nel Runtime.

Manuale -> Gestione user -> Gestire gli utenti Active Directory dal Runtime di zenon -> Gestione utenti Active Directory nel Runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tramite un´immagine del tipo Active Directory Gestione user potete gestire unità di organizzazione, gruppi utenti e utenti di Active Directory direttamente dal Runtime di zenon.

attention Attenzione

I diritti che vengono assegnati in zenon valgono per il progetto corrispondente, oppure per l´area di lavoro. I diritti, invece, che vengono assegnati in Active Directory valgono globalmente.

Se, dunque, si assegnano dei diritti a utenti o gruppi utenti di Active Directory, essi valgono per questi user in tutti i progetti di zenon!

Immagine del tipo Active Directory Gestione user

Nel cambio immagine, viene aperta un´immagine vuota.

Per gestire utenti in AD:

  1. inserite il Nome dominio (che puè essere definito già con il cambio immagine), Nome utente e Password
  2. cliccate su Login.
  3. Viene creata una connessione.
    Nel caso in cui si dovessero verificare degli errori, verificate la configurazione i Active Directory e in zenon.
  4. I dati del dominio vengono letti e visualizzati nella finestra.
  5. Modificate gli elementi desiderati. Azioni possibili:
    • Crea e cancella unità di organizzazione
    • Creare, modificare e cancellare utenti.
    • Creare, modificare e cancellare gruppi utenti.

Nota: l´utente registrato deve disporre nel dominio dei diritti corrispondenti.

Parametri | Descrizione
Login | Elementi di controllo per il login in Active Directory.
Nome dominio | Inserimento e visualizzazione del nome dominio.
Nome utente | Inserimento e visualizzazione del nome utente AD.
Password | Inserimento della password.
Login | Con un click del mouse si registra un utente in AD.
Logout | Con un click del mouse si disattiva un utente.
Finestra Active Directory | Gli elementi di controllo per la visualizzazione e la gestione di Active Directory. Contiene la Visualizzazione dettagli Active Directory: Finestra nella quale viene visualizzata la struttura di Active Directory.
Crea nuova unità organizzativa (Tree) | Apre la finestra di dialogo per impostare nella struttura ad albero una nuova unità di organizzazione.
Elimina unità organizzativa (Tree) | Cancella l´unità di organizzazione selezionata nella struttura ad albero dopo una richiesta di conferma.
Su di un livello | Passa all´interno della struttura al livello superiore.
Crea nuova unità organizzativa | Imposta al di sotto dell´elemento selezionato nella struttura ad albero una nuova unità di organizzazione. Viene aperta la corrispondente finestra di dialogo.
Nuovo utente | Apre la finestra di dialogo che serve a creare un nuovo utente.
Definisci nuovo gruppo utenti | Apre la finestra di dialogo che serve a creare un nuovo gruppo utenti.
Modifica oggetto | Apre la finestra di dialogo che serve a modificare l´oggetto selezionato.
Elimina oggetto | Cancella l´oggetto selezionato.

Menù contestuale Albero

A seconda dell´elemento selezionato, il menù contestuale mette a disposizione nell´albero (finestra sinistra) i seguenti comandi.

Comando | Descrizione
Crea nuova unità organizzativa | Imposta al di sotto dell´elemento selezionato nella struttura ad albero una nuova unità di organizzazione. Viene aperta la corrispondente finestra di dialogo.
Nuovo utente | Cancella l´unità di organizzazione selezionata nella struttura ad albero dopo una richiesta di conferma.

Barra simboli e Menù contestuale Visualizzazione dettagliata

A seconda dell´elemento selezionato, il menù contestuale e la barra degli strumenti mettono a disposizione nella visualizzazione dettagli (finestra destra) i seguenti comandi.

Comando | Descrizione
Su di un livello | Passa all´interno della struttura al livello superiore.
Crea nuova unità organizzativa | Imposta al di sotto dell´elemento selezionato nella struttura ad albero una nuova unità di organizzazione. Viene aperta la corrispondente finestra di dialogo.
Nuovo utente | Apre la finestra di dialogo che serve a creare un nuovo utente.
Definisci nuovo gruppo utenti | Apre la finestra di dialogo che serve a creare un nuovo gruppo utenti.
Modifica oggetto selezionato | Apre la finestra di dialogo che serve a modificare l´oggetto selezionato.
Cancella oggetto selezionato | Cancella l´oggetto selezionato.

Noch in diesem Kapitel

Gestione unità delle di organizzazione

Gestire utenti

Gestione dei gruppi utenti


Gestione unità delle di organizzazione

Manuale -> Gestione user -> Gestire gli utenti Active Directory dal Runtime di zenon -> Gestione utenti Active Directory nel Runtime. -> Gestione unità delle di organizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete creare e cancellare delle unità di organizzazione AD nell´albero e nella visualizzazione dettagli.

Crea unità organizzativa

Per creare una nuova unità organizzativa, seguite la seguente procedura:

  1. cliccate nell´immagine sul pulsante, oppure selezionate nel menù contestuale di un elemento evidenziato l´opzione Crea nuova unità organizzativa.
  2. si apre la finestra di dialogo per configurare un´unità organizzativa.

  3. assegnate un nome.
    Lunghezza massima: 64 caratteri
  4. Cliccate su OK.

Modifica unità organizzativa

Il nome dell´unità organizzativa può essere modificato.

Attenzione: Quando si modifica il nome, è possibile che vengano distrutti dei collegamenti a utenti e gruppi utenti usati nel modulo Message Control.

Per modificare un´unità organizzativa nell´albero:

  1. Selezionate l´unità organizzativa desiderata e cliccate sul pulsante corrispondente, oppure sul comando nel menù contestuale. Nella visualizzazione dettagli, cliccate sul pulsante Modifica oggetto, oppure sul comando Modifica oggetto selezionato nel menù contestuale.
  2. Si apre il dialogo per effettuare le modifiche.
  3. Modificate l´oggetto.
  4. Se cliccate sul pulsante OK, il sistema vi chiederà come si deve comportare in relazione ai collegamenti.

  5. Selezionate l´opzione desiderata.
    • Sì: Verrà eseguita la rinomina .
      Il sistema prova a ricostituire per il nuovo nome i collegamenti a utenti e gruppi utenti usati nel modulo Message Control.
      Questo processo può durare un po´ di tempo
    • No: La modifica verrà effettuata immediatamente.
      Attenzione: È possibile che vengano distrutti dei collegamenti a utenti e gruppi utenti usati nel modulo Message Control.
    • Annulla: La rinomina non viene accettata e la finestra di dialogo viene chiusa.

Elimina unità organizzativa

Per cancellare un´unità organizzativa nell´albero, selezionate l´unità organizzativa desiderata e cliccate sul pulsante corrispondente, oppure sul comando nel menù contestuale. Per cancellarla nella visualizzazione dettagli, cliccate sul pulsante Elimina oggetto, oppure sul comando Cancella oggetto selezionato nel menù contestuale.

Nota: un´unità organizzativa può essere cancellata solamente se non contiene più altri oggetti.


Gestire utenti

Manuale -> Gestione user -> Gestire gli utenti Active Directory dal Runtime di zenon -> Gestione utenti Active Directory nel Runtime. -> Gestire utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile creare nuovi utenti, nonché modificare o cancellare quelli già esistenti. Gli utenti con lo stesso nome di visualizzazione nella lista possono essere distinti gli uni dagli altri mediante le informazioni nel tooltip.

  • Crea nuovo utente: Cliccate sul pulsante corrispondente, oppure sul comando nella barra degli strumenti o nel menù contestuale.
  • Modifica utente: Cliccate due volte su un inserimento utente, oppure cliccate sul pulsante corrispondente, oppure sul comando Modifica oggetto selezionato nel menù contestuale.
  • Elimina utente: evidenziate l´utente desiderato e premete il tasto Canc, o cliccate sul pulsante corrispondente oppure sul comando Cancella oggetto selezionato nel menù contestuale.

Quando create o modificate un utente, si apre una finestra di dialogo mediante la quale avete la possibilità di configurare l´utente stesso.

Impostare e modificare la finestra di dialogo Utente

La finestra di dialogo consiste di tre schede. Indicazioni relative alle opzioni disponibili le trovate anche nel capitolo Progettazione nell'editor/Creazione di un utente .

Impostazioni utente

Utenti

Parametri

Descrizione

Utenti

Impostazioni per indicazioni utente

Nome utente

Nome univoco dell´utente per il login.

Nome completo

Nome dell´utente visualizzato.

E-Mail

Indirizzo E-Mail dell´utente.

Telefono

Numero dell´apparecchio telefonico dell´utente abilitato a riprodurre messaggi Text-to-Speech. Viene usato per messaggi Text-to-Speech.

Inserimento in cifre. Sono, inoltre, consentiti:

  • Il segno (+) all´inizio come abbreviazione per lo 00 dei prefissi internazionali.

Nella gestione user AD , anche i seguenti caratteri separatori: meno (-), barra (/) e Spazio
Nota: Nell´ambito della comunicazione fra AD e Message Control, vengono rimossi i caratteri separatori non appena i dati AD vengono mappati su un oggetto di zenon.

GSM

Numero del telefono cellulare dell´utente. Viene usato per messaggi via GSM e SMS.

Inserimento in cifre. Sono, inoltre, consentiti:

  • Il segno (+) all´inizio come abbreviazione per lo 00 dei prefissi internazionali.

Nella gestione user AD , anche i seguenti caratteri separatori: meno (-), barra (/) e Spazio
Nota: Nell´ambito della comunicazione fra AD e Message Control, vengono rimossi i caratteri separatori non appena i dati AD vengono mappati su un oggetto di zenon.

Password

Parametri | Descrizione
Password | Impostazioni per per la password.
Imposta Password | Attivo: la password viene settata di nuovo.
Password | Inserimento di una nuova password. La password inserita viene nascosta automaticamente dal sistema. Nel caso di progetti in più lingue, tenete presente che deve essere possibile nel Runtime inserire i caratteri della password con la tastiera corrispondente.
Conferma password | Ripetizione della password. La password inserita viene nascosta automaticamente dal sistema.
Modifica password al prossimo login | Attivo: l´utente deve modificare la sua password non appena registrato nel sistema.
Nessuna scadenza password | Attivo: la password non deve essere mai modificata.

Azioni

Parametri | Descrizione
Azioni | Configurazione di azioni per il conto.
Disattiva utente | Attivo: l´utente viene disattivato e non può più effettuare il login.
Sblocca utente | Attivo: l´utente bloccato viene sbloccato e può registrarsi nel Runtime.
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Elimina | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Gruppi utente per l'utente

  1. selezionate nella finestra Gruppi utenti esistenti i gruppi utenti desiderati fra quelli esistenti.
  2. Usando il tasto freccia ->, aggiungete i gruppi selezionati alla lista Gruppi utenti selezionati.
  3. Potete selezionare anche gruppi utenti che erano già stati assegnati, e li potete cancellare usando il tasto freccia <-.

Parametri | Descrizione
Gruppi utenti esistenti | Lista dei gruppi utenti configurati.
Gruppi utenti selezionati | Lista dei gruppi utenti selezionati per l´utente.
Tasti freccia | Mediante click del mouse, il gruppo selezionato si sposta verso la lista corrispondente.
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Elimina | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Impostazioni Runtime

Generale

Parametri

Descrizione

Generale

Impostazioni generali

Amministratore

Attivo: L´utente assume il ruolo di un amministratore di zenon. Solo un amministratore può sbloccare user account di zenon bloccati.

Nota: se un utente viene definito come amministratore in questa sede, esso assume questo ruolo per tutti i progetti dizenon!

Profilo al login

Selezione, fra le alternative proposte dal menù a tendina, del profilo Runtime da usare per il login

  • Nessuno
  • Default
  • Carico

Codice di blocco per comandi

Codice PIN a 4 cifre.

Questo codice è usato dall´utente nei comandi per bloccare o sbloccare delle aree.
Disponibile solamente se si dispone di una licenza valida per la zenon Energy Edition.

Message Control

Parametri

Descrizione

Message Control

Impostazioni per il Message Control

Utente Message Control

Attivo: l´utente viene utilizzato dal modulo Message Control.

Codice PIN

Codice PIN con cui l´utente conferma di aver ricevuto il messaggio.

Codice-NA

Codice PIN con cui l´utente rifiuta il ricevimento del messaggio (Not Available). Il messaggio verrà poi inviato al prossimo utente della lista.

Nel caso in cui non sia indicato nessun ulteriore utente nella lista, il messaggio verrà contrassegnato come "non ripristinato con successo" . Il sistema eseguirà la funzione assegnata a questa condizione. Inoltre, verrà generato in ogni caso il seguente inserimento CEL: rifiutato da".

Nota: Ulteriori informazioni riguardanti l´assegnazione di funzioni sono disponibili nel capitolo Conferma di ricezione - Impostazioni Conferma di ricezione.

Sostituto

Parametri | Descrizione
Sostituto | È possibile indicare un sostituto da contattare nel caso in cui un utente non sia raggiungibile, oppure rifiuti di accettare il messaggio, Cliccando sul pulsante ..., si apre la finestra di dialogo che serve alla selezione di un utente. Il sistema consente di effettuare la scelta solamente fra quegli utenti che sono stati attivati come user del Message Control (vedi proprietà ).
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Elimina | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Finestra di dialogo Persona di riserva

Quando si vuole selezionare una persona di riserva per il modulo Message Control, cliccando sul pulsante si apre una finestra di dialogo che contiene utenti già configurati.

Parametri | Descrizione
Lista persone | Lista degli utenti a disposizione.
Nessuna selezione | Viene selezionato un utente già definito nella finestra di dialogo.
Ok | Accetta le impostazioni e chiude il dialogo.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.

Selezionate l´utente desiderato e cliccate su Ok.

Per cancellare una persona già definita come persona di riserva, cliccate su Nessuna selezione e poi su OK.


Gestione dei gruppi utenti

Manuale -> Gestione user -> Gestire gli utenti Active Directory dal Runtime di zenon -> Gestione utenti Active Directory nel Runtime. -> Gestione dei gruppi utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile creare nuovi gruppi utenti, nonché modificare o cancellare quelli già esistenti.

  • Crea nuovo gruppo utenti: Cliccate sul pulsante corrispondente, oppure sul comando nella barra degli strumenti o nel menù contestuale.
  • Modifica gruppi utenti: Cliccate due volte su un inserimento gruppo utente, oppure cliccate sul pulsante corrispondente, oppure sul comando Modifica oggetto selezionato nel menù contestuale.
  • Cancella gruppo utenti: evidenziate il gruppo utenti desiderato e premete il tasto Canc, o cliccate sul pulsante corrispondente oppure sul comando Cancella oggetto selezionato nel menù contestuale.

Quando create o modificate un utente, si apre una finestra di dialogo mediante la quale avete la possibilità di configurare l´utente stesso.

Impostare e modificare la finestra di dialogo Utente

La finestra di dialogo consiste di tre schede. Indicazioni relative alla configurazione le trovate anche nel capitolo Progettazione nell'editor/Creazione di gruppo utente .

Proprietà del gruppo utenti

Parametri | Descrizione
Nome | Inserimento di un nome univoco, valido per il gruppo utenti.
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Elimina | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Utenti in questo gruppo

  1. Selezionate nella finestra Utente esistente gli utenti desiderati fra quelli esistenti.
  2. Usando il tasto freccia ->, aggiungete gli utenti selezionati alla lista Utente selezionato.
  3. Potete selezionare anche utenti che erano già stati assegnati, e li potete cancellare usando il tasto freccia <-.

Parametri | Descrizione
Lista degli utenti esistenti | Lista degli utenti configurati.
Lista degli utenti selezionati | Lista degli utenti selezionati per questo gruppo.
Tasti freccia | Cliccando su un tasto freccia, si spostano gli utenti selezionati verso il gruppo corrispondente.
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Elimina | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Impostazioni Runtime

#

Generale

Parametri | Descrizione
Generale | Impostazioni generali Configurazione dei livelli di autorizzazione.
Livelli di autorizzazione disponibili | Lista dei livelli di autorizzazione configurati in zenon.
Lista dei livelli di autorizzazione selezionati | Lista dei livelli di autorizzazione che sono assegnati a questo gruppo.
Tasti freccia | Cliccando su un tasto freccia, si spostano i livelli di autorizzazione verso il gruppo corrispondente.

Message Control

Parametri | Descrizione
Message Control | Configurazione del Message Control di zenon.
Messaggio di gruppo attivo | Attivo: Nel caso di comunicazione tramite Message Control, tutti i membri del gruppo utenti ricevono il messaggio.
Ordine di notifica | Lista di tutti gli utenti disponibili. L´ordinamento avviene cliccando sui tasti freccia.
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Elimina | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Gestione user esterna con Microsoft Active Directory

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con zenon, potete usare anche Microsoft Active Directory per la gestione user:

  • I gruppi utenti in Active Directory che hanno lo stesso nome di quelli di zenon, ricevono gli stessi diritti di quelli di cui dispongono in zenon
  • nel Runtime, con zenon possono essere gestiti utenti in Active Directory

attention Attenzione

I diritti che vengono assegnati in zenon valgono per il progetto corrispondente, oppure per l´area di lavoro. I diritti, invece, che vengono assegnati in Active Directory valgono globalmente.

Se, dunque, si assegnano dei diritti a utenti o gruppi utenti di Active Directory, essi valgono per questi user in tutti i progetti di zenon!

Per poter usare AD e AD LDS per il login nel Runtime di zenon, bisogna configurare la proprietà di progetto zenon Gestione user/Accesso ad Active Directory.

  • AD: Sì deve essere selezionato per la proprietà e il calcolatore si deve trovare nel dominio.
  • AD LDS: ADAM/AD-LDS deve essere selezionato per la proprietà. Le proprietà Connessione AD-LDS, Nome utente AD-LDS e Password AD-LDS devono essere configurate correttamente.
    Nota: ADAM non viene più supportato.
  • AD LDS deve essere preparato adeguatamente.

Noch in diesem Kapitel

Active Directory (AD)

Active Directory Lightweight Directory Services - AD LDS

Active Directory Application Mode - ADAM (solo per Windows XP)


Active Directory (AD)

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Active Directory può essere usata in zenon per la gestione user nel Runtime di zenon. Per l´Editor di zenon, AD non è disponibile.

La Active Directory può essere usata in tre modi da zenon:

  1. Il nome del gruppo autorizzazioni nella gestione utenti di zenon corrisponde al nome di un gruppo utenti in Active Directory: attribuzione automatica dell´utente Active Directory al gruppo autorizzazioni di zenon. Tutti gli utenti del gruppo AD ricevono i diritti utente definiti nel gruppo autorizzazioni di zenon. Vedi Gruppi utenti in zenon e gruppi in Active Directory hanno lo stesso nome
  2. Nella descrizione del gruppo Active Directory, i livelli di autorizzazione zenon e il progetto vengono salvati in una determinata sintassi. Tutti gli utenti del gruppo ricevono in zenon i diritti utenti salvati nel gruppo AD. Vedi Attribuzione di un utente Active Directory a livelli di autorizzazione di zenon
  3. Lo schema Active Directory viene esteso di campi nei quali vengono salvati i livelli di autorizzazione di zenon. Ciò richiede un´estensione di schema di Active Directory. Essa, peraltro, non si presta ad essere utilizzata nel settore regolamentato dalla normativa FDA 21 CFR Part11. Vedi: Estensione schema di Active Directory.

info Informazioni su

Nel controllo della password in zenon viene controllato anche Max. password age della Active Directory.

info Informazioni su

Active Directory e AD LDS, nonché ADAM (per Windows XP) non sono a disposizione sotto Windows CE.

Noch in diesem Kapitel

Generale

Settare i livelli autorizzazioni di zenon nel campo di descrizione di un gruppo Active Directory.

Stessi gruppi utenti in zenon e in Active Directory

Estensione schema di Active Directory

Estensione schema - Dettagli

Schema

Configuration

Dominio


Generale

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il presupposto di base per poter utilizzare in zenon gli utenti di ActiveDirectory (d´ora in poi denominata AD) è un dominio sulla base di un sistema operativo Windows Server. Per poter amministrare gli utenti in ActiveDirectory, il server deve essere un server DNS.

Ne consegue che deve essere disponibile un controller di dominio con DNS ed ActiveDirectory per poter poi utilizzare questi account utente anche su un PC nel dominio come user in zenon.

L´accesso agli utenti di ActiveDirectory deve essere attivato nelle proprietà del progetto.

Si presuppone che l´utente disponga di conoscenze di base concernenti ActiveDirectory e la tecnologia Windows Server.

attention Attenzione

Se la registrazione avviene mediante Active Directory, tutti i computer devono avere accesso a Active Directory. Ciò vale anche per Client e Web Client!

Sfondo: la registrazione di un client avviene direttamente dal client alla Active Directory. Il Runtime-Server di zenon non è coinvolto in tutto ciò.
un utente Active Directory può dunque essere registrato solamente se un client:

  • è membro del dominio
    e
  • ha accesso al dominio


Settare i livelli autorizzazioni di zenon nel campo di descrizione di un gruppo Active Directory.

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Settare i livelli autorizzazioni di zenon nel campo di descrizione di un gruppo Active Directory.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli utenti Windows della Active Directory possono essere utilizzati anche in zenon.

In Active Directory, singoli utenti possono essere assegnati a gruppi. I nomi dei gruppi devono essere come descritto nella seguente sintassi:

zenon Nome progetto##testo libero

Nella sua descrizione, l'autorizzazione dell'utente viene definita con la seguente sintassi:

testo libero ##GRP=HEX-numero## testo libero

info Informazioni su

La scrittura in lettere maiuscole/minuscole non ha alcuna importanza sia per quello che concerne i nomi dei gruppi, sia per quello che riguarda la descrizione degli stessi.

Per garantire una migliore leggibilità, il numero-HEX viene diviso in quattro parti (una per ogni gruppo di autorizzazioni) separate fra di loro da un trattino.

Struttura del numero Hex
FFFFFFFF | FFFFFFFF | FFFFFFFF | FFFFFFFF
Livelli autorizzazioni 1 | Livelli autorizzazioni 2 | Livelli autorizzazioni 3 | Livelli autorizzazioni 4

Example Esempio

Nome gruppo: MASCHINE01##Servicepersonal

Descrizione gruppo: testo libero##GRP=FFFFFFFF-FFFFFFFF-FFFFFFFF-FFFFFFFF##testo libero

Gli utenti che sono assegnati al gruppo MASCHINE01##Servicepersonal, ricevono in zenon i livelli autorizzazioni 0 - 127.

Non è necessario indicare tutte e 32 le posizioni. Le posizioni non specificate vengono interpretate come 0.

Example Esempio

Descrizione gruppo: testo libero##GRP=7##testo libero

Gli utenti che sono assegnati al gruppo con questa descrizione, ricevono in zenon i livelli autorizzazioni 0, 1 e 2.

7 esadecimale corrisponde alla rappresentazione binaria 111. Per ogni 1 nel numero binario viene settato il livello autorizzazioni corrispondente. Il bit più a destra sta per il livello autorizzazioni 0. Il bit immediatamente a sinistra sta per il livello autorizzazioni 1 e così via.

Un utente può appartenere anche a più gruppi. Esso riceve la somma dei livelli autorizzazione dei singoli gruppi.

Se un utente fa il login in zenon, il sistema controlla anzitutto se questo user esiste localmente in zenon. Se non dovesse essere il caso, il sistema cerca l´utente nella Active Directory. Se l´utente non esiste neppure lì, per esso non viene effettuato il login e viene realizzato un inserimento relativo nella CEL. Se l´utente è presente in AD, però non è definito alcun livello di autorizzazioni in zenon per questo utente, viene generato il seguente inserimento nella CEL: "nessun diritto definito per l´utente in AD" Per questo utente viene effettuato un login con livello 0.


Stessi gruppi utenti in zenon e in Active Directory

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Stessi gruppi utenti in zenon e in Active Directory

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per gli utenti di zenon e di Active Directory vale quanto segue:

  • se esiste un utente in AD, ma non in zenon, allora:
    • il sistema procede a controllare i gruppi utenti in zenon
    • i livelli autorizzazione dei gruppi cui appartiene l´utente, vengono asseganti all´utente AD
  • Se un utente esiste sia in AD che in zenon ed esso effettua il login nel runtime, allora:
    • l´utente locale di zenon ha priorità rispetto a quello AD
    • in AD non c`è nessuna verifica dei livelli autorizzazione, visto che l´utente locale è registrato nel sistema.


Estensione schema di Active Directory

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Estensione schema di Active Directory

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nota: Questa estensione non dovrebbe essere utilizzata in un settore regolamentato dalle norme di FDA 21 CFR Part11. . Per realizzare una gestione utenti compatibile con le norme di FDA 21 CFR Part11, usate o il metodo Gruppi utenti in zenon e gruppi in Active Directory, oppure Assegnazione di un utente Active Directory ai livelli autorizzazione di zenon.

info Informazioni su

Active Directory e AD LDS, nonché ADAM (per Windows XP) non sono a disposizione sotto Windows CE.

Noch in diesem Kapitel

Installare l´estensione dello schema

Attribuzione dei diritti user


Installare l´estensione dello schema

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Estensione schema di Active Directory -> Installare l´estensione dello schema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter attribuire agli user in AD anche i 128 livelli di autorizzazione di zenon, lo schema AD deve essere integrato con i seguenti inserimenti (4 valori integer).

A tal scopo i 2 file (zenonUserLevel.exe, zAD_UserDlg.exe) vengono copiati sul server (la cosa migliore è salvarli in una cartella separata). Non appena è stato avviato il setup (zenonUserLevel.exe), non è più possibile né cambiare il nome, né cancellare questa cartella e i file in essa contenuti.

attention Attenzione

Trovate i due file zenonUserLevel.exe e zAD_UserDlg.exe sul DVD di zenon nella cartella \Software\zenonUserLevel\

Durante il setup viene salvato un riferimento al file zAD_UserDlg.exe nello schema AD.

Inoltre vengono aggiunti allo schema AD quattro valori integer (zenonUserLevel1, zenonUserLevel2, zenonUserLevel3, zenonUserLevel4).

info Informazioni su

Solo un utente del gruppo Amministratori schema può eseguire queste modifiche! L´amministratore del dominio è normalmente in possesso di tali diritti.


Attribuzione dei diritti user

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Estensione schema di Active Directory -> Attribuzione dei diritti user

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo aver completato con successo lo schema "estendi", si può procedere adesso all'attribuzione dei livelli user ai singoli utenti.

A tal scopo si apre la Microsoft Management Console (MMC) con il Plug-in Active Directory Users and Computers.

Cliccando sull'utente desiderato con il tasto destro del mouse, si apre un menu contestuale. In questo menu contestuale diviene visibile una nuova voce: zenonUserLevel.

In questo menu contestuale, deve essere selezionata la voce zenonUserLevel in modo tale che si apra l'AdministrationsTool (zAD_UserDlg.exe) per l'utente prescelto.

info Informazioni su

I gruppi autorizzazioni per zenon possono essere impostati solamente direttamente sull'utente; gruppi e unità di organizzazione non vengono supportati.

Con l'aiuto di questo AdministrationsTool, si possono definire per ogni utente fino a 128 livelli di autorizzazione.

info Informazioni su

Il livello di autorizzazione 0 è attribuito di Default ad ogni utente; non si può disattivare questa opzione neanche con l'Administrationstool.

Questo livello corrisponde all´utente SYSTEM di zenon.

Noch in diesem Kapitel

Descrizione dell'AdministrationsTool


Descrizione dell'AdministrationsTool

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Estensione schema di Active Directory -> Attribuzione dei diritti user -> Descrizione dell'AdministrationsTool

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Descrizione dell'AdministrationsTool

Parametri | Descrizione
[prima riga] | Parametro LDAP che serve da stringa di connessione.
Last Name | Cognome dell´utente selezionato.
First Name | Nome di battesimo dell´utente selezionato.
User Level | 4 valori interi rappresentano ciascuno 32 livelli di autorizzazione. Inserimento mediante attivazione o disattivazione delle checkbox, oppure inserimento diretto nel campo apposito.
# | Attualizza la visualizzazione dei livelli di autorizzazione.
Selezione | Attiva tutte le checkbox di una colonna.
Clear | Disattiva tutte le checkbox di una colonna.
Save | Salva tutte le impostazioni attuali.
Cancel | Elimina tutte le impostazioni effettuate dal momento in cui si è salvato per l´ultima volta e chiude la finestra di dialogo.
Ok | Salva tutte le impostazioni e chiude il dialogo.
Logging | Mostra le informazioni concernenti il login.


Estensione schema - Dettagli

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Estensione schema - Dettagli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al fine di chiarire le implicazioni della cosa, si procederà in questa sezione alla spiegazione dettagliata dell´estensione dello schema, in modo tale da poterla anche verificare e controllare in caso dell´insorgere di problemi.

Per poter osservare i dettagli dello schema AD, deve essere installato ADSI Edit sul server. Questo strumento è disponibile non appena sono stati istallati i support tool per il Microsoft Server.

Il ADSI Edit Plug-in può essere poi aperto anche nella console Microsoft Management (MMC). Poi possono essere create diverse connessioni.


Schema

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Schema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nello schema si possono controllare gli ulteriori attributi. Normalmente li si trova in fondo.

zenonUserLevel1 - zenonUserLevel4


Configuration

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si è impostato il collegamento su Configuration, i dettagli dei singoli oggetti AD possono essere esaminati e modificati. In questo caso è interessante solamente l'oggetto User-Display nei singoli DisplaySpecifiers, visto che qui viene creato il collegamento fra oggetto user e AdministrationsTool.

Le proprietà dell´oggetto user-Display contengono un attributo recante il nome adminContextMenu.

Questo attributo contiene il collegamento all'AdministrationsTool (zAD_UserDlg.exe).

Si può modificare questa voce anche manualmente, se dovesse essere necessario.

A tale scopo:

  1. selezionare un inserimento
  2. premere il pulsante Remove
  3. adattare il parametro
  4. aggiungere con Add

Il parametro ha la seguente struttura:

,Identificazione della voce di menu, percorso per zAD_UserDlg.exe Datei

Example Esempio

Esempio: se il file EXE viene salvato nel percorso D:/AD_Users.

,&zenonUserLevel,D:/AD_Users/zAD_UserDlg.exe


Dominio

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory (AD) -> Dominio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se il collegamento Domain viene aperto, si vedono a prima vista dei parallelismi con MMC con il PlugIn Active Directory Users and Computer. Proprio questa informazione la si può trovare anche qui, ma in forma più dettagliata.

Se si esaminano, ad esempio, le proprietà di un oggetto user e si scrolla verso il basso fino ad arrivare in fondo alla lista, si trovano anche qui i quattro valori integre per il livello autorizzazioni.


Active Directory Lightweight Directory Services - AD LDS

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Active Directory Lightweight Directory Services (in breve: AD LDS) è una versione semplificata della Active Directory e si presta ad essere utilizzata su normali sistemi operativi desktop; non è dunque necessario utilizzare nessun sistema operativo server. Come per la AD, anche la AD LDS supporta:

  1. Il nome del gruppo autorizzazioni nella gestione utenti di zenon corrisponde al nome di un gruppo utenti in Active Directory: attribuzione automatica dell´utente Active Directory al gruppo autorizzazioni di zenon. Tutti gli utenti del gruppo AD ricevono i diritti utente definiti nel gruppo autorizzazioni di zenon. Vedi Gruppi utenti in zenon e gruppi in Active Directory hanno lo stesso nome
  2. Nella descrizione del gruppo Active Directory, i livelli di autorizzazione zenon e il progetto vengono salvati in una determinata sintassi. Tutti gli utenti del gruppo ricevono in zenon i diritti utenti salvati nel gruppo AD. Vedi Attribuzione di un utente Active Directory a livelli di autorizzazione di zenon

Potete usare AD LDS sotto:

  • Windows 7
  • Windows 8
  • Windows Server 2008
  • Windows Server 2012

Noch in diesem Kapitel

AD LDS sotto Windows 8 e Windows Server 2012

AD LDS sotto Windows 7

AD LDS sotto Windows Server 2008

Gestione user zenon con Active Directory

Risoluzione dei problemi


AD LDS sotto Windows 8 e Windows Server 2012

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 8 e Windows Server 2012

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare AD LDS sotto Windows 8, Windows 8.1 o Windows Server 2012 con zenon:

  1. installate AD LDS
  2. create una nuova istanza AD LDS
  3. importate uno schema AD LDS
  4. installate la gestione remota per Windows Server
  5. configurate l´Active Directory Snap-in per poter gestire le istanze AD LDS
  6. definite ruoli, unità organizzative e gruppi utenti

Nota: le istruzioni per l´installazione e l´uso di AD LDS utilizza in parte screenshot con interfaccia utente inglese.

Noch in diesem Kapitel

Installazione di AD LDS

Crea nuova istanza AD LDS

Importare lo schema AD LDS

Installare la gestione Remote Server sotto Windows 8

Tools

Configurazione dello snap-in Schema di Active Directory

Configurare ruoli, unità organizzative e utenti


Installazione di AD LDS

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 8 e Windows Server 2012 -> Installazione di AD LDS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Windows 8

Per installare AD LDS sotto Windows 8:

  1. aprite il pannello di controllo:
  2. aprite Programmi e Features.
  3. selezionate Attiva o disattiva delle Windows Features .

  4. attivate il Checkbox dell´opzione Active Directory Lightweight Directory Services.
  5. Cliccate su OK.

Windows Server 2012

Per installare AD LDS sotto Windows Server 2012 :

  1. passate a Manage -> Add Roles and Features.
  2. il wizard verrà avviato.

  3. selezionate Role-based or feature-based installation.
  4. cliccate su Next.

  5. selezionate uno dei server del server Pool
  6. cliccate su Next.

  7. attivate per Server Roles il Checkbox dell´opzione Active Directory Lightweight Directory Services.
  8. cliccate su Next.

  9. attivate il Checkbox di Include management tools.
  10. cliccate su Add Fetaures

  11. cliccate su Next.

  12. confermate il restart automatico del server.


Crea nuova istanza AD LDS

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 8 e Windows Server 2012 -> Crea nuova istanza AD LDS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una nuova istanza AD LDS:

  1. Passate in Windows alla cartella %ProgramData%\Microsoft\Windows\Start Menu\Programs\Administrative Tools.
  2. avviate il file Setup-Assistent per Active Directory Lightweight Directory Services.

  3. Cliccate su Avanti.

  4. selezionate come tipo di installazione una instanza univoca.
  5. Cliccate su Avanti.

  6. assegnate un nome istanza.
  7. Cliccate su Avanti.

  8. Indicate il numero di porta per LDAP e SSL.
    Default LDAP: 389
    Default SSL: 636
    Nota: Se modificate uno dei numeri di porta, lo dovete cambiare anche in alcuni dei seguenti passi.
  9. Cliccate su Avanti.

  10. attivate l´opzione per una Partizione percorso applicazione
  11. indicate il nome partizione.

    Nota: il nome partizione è usato insieme al numero di porta e quello del server in zenon. In questo esempio, l´inserimento nella corrispondente proprietà zenon Connessione AD-LDS sarebbe il seguente: \\w8x64-vm0009.testenv.local:389/DC=copadata,DC=com

  12. Cliccate nell´assistente su Avanti.

  13. Indicate il luogo di salvataggio per i file dati e restores. (Potete adottare l´impostazione di Default.)
  14. Cliccate su Avanti.

  15. Scegliete i livelli di autorizzazione con cui i processi di autorizzazione devono essere eseguiti. (Nel nostro esempio Conto di servizio di rete.)

    Nota: nel caso in cui il computer su cui è installato AD LDS non è un membro del dominio, il sistema emetterà un messaggio di avvertimento:

    Ciò non comprometterà la funzionalità finché non effettuerete replicazioni (replications). Confermate il messaggio di avvertimento cliccando su Sì.

  16. Cliccate nell´assistente su Avanti.

  17. Indicate l´utente che deve gestire AD LDS. In questo esempio si usa l´utente attualmente registrato.
    L´utente non deve essere necessariamente un amministratore locale, né un amministratore di dominio. Si può anche indicare un gruppo.
    Ma: in zenon si deve indicare un singolo utente. Esso può essere membro di un gruppo.

    L´utente configurato in questa sede viene usato in zenon nelle proprietà Nome utente AD-LDS e Password AD-LDS:

  18. Cliccate nell´assistente su Avanti.

  19. Importate i file LFIF necessari: Avete bisogno di:
    • MS-InetOrgPerson.LDF
    • MS-User.LDF
    • MS-UserProxy.LDF
  20. Cliccate su Avanti.

  21. confermate la configurazione cliccando su Avanti.

    L´installazione verrà eseguita.

  22. Chiudete l´assistente cliccando sul pulsante Finisci


Importare lo schema AD LDS

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 8 e Windows Server 2012 -> Importare lo schema AD LDS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per importare schemi LD ADS:

  1. aprite la riga di comando
  2. passate alla cartella AD LDS: WINDIR%\ADAM.
  3. digitate il seguente comando e premete il tasto Ins:

    ldifde -i -s localhost:389 -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-adamschemaw2k8.ldf

    Nota: se avete configurato un utente dedicato per la partizione AD LDS, dovete indicare anche:

    • Utenti
    • Dominio
    • Password per ldifde

    Sintassi: (user: ADLDS, domain: T08-12en64, password: password): ldifde -i -s localhost:389 -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-adamschemaw2k8.ldf -b ADLDS T08-12en64 Copadata1

  4. Ricevete una conferma concernente la modifica effettuata.

  5. Digitate il seguente comando e premete il tasto Ins (anche in questo caso valgono le regole per utenti dedicati come nel passo precedente):

    ldifde -i -s localhost:389 -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSyncMetadata.ldf

  6. Ricevete un´informazione non appena l´operazione è stata portata a termine con successo.


Installare la gestione Remote Server sotto Windows 8

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 8 e Windows Server 2012 -> Installare la gestione Remote Server sotto Windows 8

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sotto Windows 8 dovete installare anche la gestione Remote Server. A tale scopo:

  1. aprite il pannello di controllo:
  2. aprite Programmi e Features.
  3. selezionate Attiva o disattiva delle Windows Features .

  4. attivate il Checkbox di Remote server administration tools..
  5. Cliccate su OK.

Nota: nel caso in cui non dovessero essere visualizzati i Remote server administration tools., scaricateli dalla web site di MIcrosoft e installateli.


Tools

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 8 e Windows Server 2012 -> Tools

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I seguenti tool sono utili per la gestione AD LDS:

  • Microsoft mmc con lo snap-in Schema di Active Directory: mmc –a
  • ADSI Edit
  • ADExplorer (possono essere scaricati da Microsoft Sysinternals)


Configurazione dello snap-in Schema di Active Directory

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 8 e Windows Server 2012 -> Configurazione dello snap-in Schema di Active Directory

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare lo snap-in Schema di Active Directory

  1. aprite la riga comandi con diritti di amministratore

  2. digitate il seguente comando e premete il tasto Ins: regsvr32 schmmgmt.dll
  3. Ricevete una conferma non appena l´operazione di registrazione è stata portata a termine con successo.

  4. aprite l´esecuzione
    Inserite: mmc /a
  5. Si aprirà la console:

  6. cliccate nel menù File sul comando Aggiungi/Rimuovi Snap-in.

  7. selezionate Schema di Active Directory.
  8. cliccate su Aggiungi.
  9. Cliccate su OK.
  10. selezionate l´inserimento Schema di Active Directory.
  11. selezionate nel menù contestuale Change Active Directory Domain Controller

  12. inserite nel campo vuoto il nome del server e la porta: Nel nostro esempio: w8x64-vm0026.testenv.local:389.
    Selezionate in questa sede il vostro server e la porta.
    Vedrete adesso questa videata:

  13. Salvate lo Snap-in mediante File-> Salva.
  14. Opzionale:
    1. aprite la cartella Classi e passate all´inserimento organizzazioni.

    2. cliccate nel menù contestuale su Proprietà
    3. aprite la scheda Attributi

    4. cliccate su Aggiungi e cercate maxPwdAge. Cliccate su OK.

      Aggiungete anche lockoutDuration e lockoutThreshold.

      Confermate la finestra di dialogo cliccando su OK.

      Questi passaggi sono opzionali e, per poterli eseguire, è necessario disporre dei diritti corrispondenti. maxPwdAge definisce l´intervallo di tempo in cui una password è valida prima che sia necessario cambiarla. lockoutDuration definisce per quanto tempo un utente è bloccato dopo aver inserito più volte una password errata. Il numero consentito di inserimenti sbagliati della password viene definito con lockoutThreshold.

  15. Aprite la cartella Classi e passate all´inserimento user.
    1. cliccate nel menù contestuale su Proprietà
    2. aprite la scheda Attributi
    3. cliccate su Aggiungi e cercate sAMAccountName. Cliccate su OK.
      Aggiungete anche groupMembershipSAM e userAccountControl hinzu.

    Confermate la finestra di dialogo cliccando su OK.

  16. Chiudete la console.

Linee guida per le password

Le linee guida per la complessità, la lunghezza minima e la durata minima della password, sono configurate nelle linee guida di sicurezza locali del computer. Se il computer su cui è attivo AD LDS si trova in un gruppo di lavoro, vedete le Local Security Policies. Se il computer si trova in un dominio, vedete le Domain Security Policies. A seconda della Vostra installazione, dovete configurare la linee guida per la password.

Per le linee guida locali:

  1. passate a %ProgramData%\Microsoft\Windows\Start Menu\Programs\Administrative Tools\Tools\
  2. avviate Local Security Policy
  3. configurate Password Policy

  4. configurate Account Lockout Policy


Configurare ruoli, unità organizzative e utenti

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 8 e Windows Server 2012 -> Configurare ruoli, unità organizzative e utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare ruoli, unità organizzative e utenti usate l´Editor ADSI. Lo trovate nel percorso:

%ProgramData%\Microsoft\Windows\Start Menu\Programs\Administrative Tools\.

Per effettuare delle configurazioni con l´Editor ADSI:

  1. avviate l´Editor ADSI.

  2. selezionate nel menù contestuale Instaura connessione.
  3. Si aprirà il dialogo per le impostazioni della connessione

  4. Configurate le seguenti opzioni in accordo con le impostazioni che avete scelto.
    • Punto di connessione: DC=copadata,DC=com
    • Computer: localhost:389
    • Chiudete il dialogo cliccando su OK.
  5. Adesso dovreste avere la seguente immagine dell´Editor (aprite l´albero nella finestra sinistra cliccando sulla freccia, oppure cliccando due volte su un inserimento).

Questo rappresenta il punto di partenza per tutte le ulteriori configurazioni. Nel nostro esempio:

  • Configurare ruoli
  • configurare maxPWwdAge
  • Creare unità organizzative
  • Creare gruppi
  • Creare utenti
  • Aggiungi utenti a gruppi

Noch in diesem Kapitel

Configurare ruoli

Configurare la durata della password

Creare unità organizzative

Crea gruppo utenti

Creare utenti

Aggiungere utenti a gruppi e settare la password


Configurare ruoli

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 8 e Windows Server 2012 -> Configurare ruoli, unità organizzative e utenti -> Configurare ruoli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configurare ruoli

Questo capitolo vi fornisce informazioni su come dare diritti di lettura zenon per la struttura dell´albero AD LDS.

A tale scopo:

  1. estendete la cartella CN=Roles.

  2. evidenziate CN=Readers.
  3. selezionate nel menù contestuale Proprietà
  4. si apre la finestra di dialogo delle proprietà:

  5. navigate fino a raggiungere l´inserimento member.
  6. cliccate su Modifica.
  7. cliccate su Aggiungi Windows account.
  8. aggiungete per il Localhost l´utente Ognuno (everyone).
  9. Chiudete la finestra di dialogo.
  10. sarà visualizzata la seguente immagine


Configurare la durata della password

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 8 e Windows Server 2012 -> Configurare ruoli, unità organizzative e utenti -> Configurare la durata della password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configurare la durata della password

Questo settore è importante se, per la unità di organizzazione zenon, desiderate regole per password dedicate. Se non configurate queste regole, verranno applicate le linee guida locali del calcolatore su cui è stato installato AD LDS.

Per configurare le regole:

  1. evidenziate la cartella DC=copdata,DC=com.
  2. cliccate su Aggiorna.
  3. chiudete l´Editor ADSI.
  4. Aprite l´Editor di nuovo.
  5. selezionate l´inserimento DC=copdata,DC=com.
  6. aprite le proprietà usando il menù contestuale:

  7. navigate fino a raggiungere l´inserimento maxPwdAge.
  8. Digitate un valore valido (Formato: DD:HH:MM:SS) e chiudete la finestra di dialogo.

    Nota: se non ci dovesse essere l´inserimento maxPwdAge, verificate se la proprietà è stata aggiunta correttamente. Potete risolvere il problema anche effettuando un update, oppure chiudendo e riaprendo l´Editor.

  9. navigate fino a raggiungere l´inserimento lockoutDuration.
  10. Digitate un valore valido (Formato: DD:HH:MM:SS) e chiudete la finestra di dialogo.

  11. navigate fino a raggiungere l´inserimento lockoutThreshold.
  12. Digitate un valore valido e chiudete il dialogo.


Creare unità organizzative

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 8 e Windows Server 2012 -> Configurare ruoli, unità organizzative e utenti -> Creare unità organizzative

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Creare unità organizzative

Per creare un´unità di organizzazione:

  1. evidenziate la cartella DC=copdata,DC=com.

  2. selezionate nel menù contestuale Nuovo-> Oggetto.

  3. selezionate come classe organizationalUnit .
  4. Cliccate su Avanti.

  5. inserite un nome come valore.
  6. Cliccate su Avanti.
  7. cliccate su Termina.


Crea gruppo utenti

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 8 e Windows Server 2012 -> Configurare ruoli, unità organizzative e utenti -> Crea gruppo utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Crea gruppo utenti

Per creare gruppi utenti:

  1. selezionate la cartella con l´unità organizzativa impostata..

  2. selezionate nel menù contestuale Nuovo-> Oggetto.

  3. selezionate l´inserimento group.
  4. Cliccate su Avanti.

  5. assegnate a Valore un nome.
  6. Cliccate su Avanti.

  7. cliccate su Termina.
  8. cliccate sul pulsante More Attributes
  9. selezionate l´inserimento groupAttributes.

  10. Digitate in corrispondenza di Modifica attributo 2147483650.
  11. cliccate su Imposta.

  12. Cliccate su OK.
  13. selezionate nella finestra di dialogo More Attributes la proprietà sAMAccountName.

  14. inserite lo stesso valore di group.
  15. cliccate su Imposta.

  16. Cliccate su OK.
  17. cliccate su Termina.


Creare utenti

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 8 e Windows Server 2012 -> Configurare ruoli, unità organizzative e utenti -> Creare utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Creare utenti

Per creare utenti:

  1. selezionate le unità di organizzazione.

  2. selezionate nel menù contestuale Nuovo-> Oggetto

  3. selezionate come oggetto user.

  4. inserite un nome come valore.
  5. Cliccate su Avanti.

  6. cliccate su More Attributes.
  7. scegliete sAMAccountName.

  8. inserite lo stesso valore di user.
    Nota: ciò è importante per far sì che l´utente possa essere usato in zenon.
  9. cliccate su Imposta.

  10. Cliccate su OK.
  11. cliccate su More Attributes.
  12. selezionate displayName.

  13. Assegnate una denominazione per la visualizzazione.
  14. cliccate su Imposta.

  15. Cliccate su OK.
  16. cliccate su Termina.


Aggiungere utenti a gruppi e settare la password

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 8 e Windows Server 2012 -> Configurare ruoli, unità organizzative e utenti -> Aggiungere utenti a gruppi e settare la password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Aggiungere utenti a gruppi e settare la password

In questo capitolo vediamo come aggiungere un utente a un gruppo e assegnare una password.

Aggiungere utenti:

Per aggiungere un utente a un gruppo:

  1. selezionate il gruppo.

  2. selezionate nel menù contestuale Proprietà

  3. selezionate member
  4. cliccate su Modifica.

  5. cliccate su Add DN....
    Si apre la finestra di dialogo per aggiungere un utente già configurato

  6. Inserite per l´utente del nostro esempio: CN=zenon1,OU=zenon users OU,DC=copadata,DC=com
  7. cliccate suTermina per chiudere il dialogo.

  8. Cliccate su OK.

Imposta Password

Fissate adesso una password per l´utente. A tale scopo:

  1. selezionate l´utente appena creato.

  2. selezionate nel menù contestuale Reset password.
  3. Assegnate una password.
    Nota: la password deve soddisfare le condizioni delle norme di sicurezza locali.
  4. Chiudete la finestra di dialogo.
  5. selezionate nel menù contestuale dell´utente Proprietà.

  6. selezionate nelle proprietà msDS-UserAccountDisabled.

  7. Settate il valore su Falso.

L´utente adesso può essere usato in zenon.


AD LDS sotto Windows 7

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 7

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

AD LDS può essere usato anche sotto Windows 7. Trovate i setup necessari nella Microsoft Website.

All´installazione segue la configurazione effettuata mediante Pannello di controllo -> Gestione; si procede in modo analogo a quando descritto per Windows Server 2008.

Noch in diesem Kapitel

Crea nuova istanza AD LDS

Importare lo schema AD LDS

Configurare AD Schema Snap-in.

Configurare unità organizzazione, gruppi e utenti


Crea nuova istanza AD LDS

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 7 -> Crea nuova istanza AD LDS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una nuova istanza AD LDS:

  1. Aprite nella Active Directory Lightweight Directory Services Control Panel il AD LDS Setup Wizard.

  2. Avviate il wizard:

  3. Selezionate l´opzione A unique instance.

  4. Assegnate un nome a quest´istanza.

  5. Configurate le porte. Default:
    • LDAP: 389
    • SSL: 636

    Nota: se modificate in questa sede la porta impostata, dovete effettuare il cambio anche in alcune delle seguenti impostazioni.

  6. Specificate il Partition Name.

    Nel nostro esempio: o=zenon,c=com

    Il Partition Name viene usato più tardi insieme alla port e al nome server in zenon.

    Sio può effettuare questa configurazione in zenon in un secondo momento. Proseguite con la configurazione nel wizard.

  7. Definite il posto in cui dovranno essere salvati i dati.
    Si può riprendere l´impostazione di default.

  8. Definite il Service Account per AD LDS.

    Nel nostro esempio: Network service account

    Nel caso in cui il computer su cui è installato AD LDS non è un membro del dominio, il sistema emetterà un messaggio di avvertimento:

    Ciò non compromette la funzionalità di AD LDS. Eccezione: se usate la funzione Replication.

    Confermate di aver letto questo messaggio cliccando sul pulsante Yes.

  9. Definite l´utente destinato a ricevere i diritti amministratore.

    Nel nostro esempio usiamo Currently logged on user. Nel nostro caso, un utente locale con diritti di amministratore.

    L´utente e la sua password vengono usate più tardi in zenon.

    Questa configurazione può essere effettuata in un secondo momento. Proseguite con la configurazione nel wizard.

  10. Importate i file LDIF necessari:
    • MS-InetOrgPerson.LDF
    • MS-User.LDF
    • MS-UserProxy.LDF

  11. Terminate l´installazione


Importare lo schema AD LDS

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 7 -> Importare lo schema AD LDS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per importare gli schemi AD LDS:

  1. Passate nel Windows Explorer alla cartella %WINDIR%\ADAM.
  2. Selezionate poi nel menù contestuale [Tasto shift+clic con il tasto destro del mouse]: Apri qui richiesta inserimento dati.

  3. Inserite la seguente successione di caratteri:

    ldifde -i -s localhost -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSchemaW2k8.ldf

  4. Pigiate poi il tasto "invio":

  5. Inserite la seguente successione di caratteri:

    ldifde -i -s localhost:389 -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSyncMetadata.ldf

    Nota: nel caso in cui abbiate modificato una porta, a questo punto la si deve adattare.

  6. Pigiate poi il tasto "invio":


Configurare AD Schema Snap-in.

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 7 -> Configurare AD Schema Snap-in.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare lo schema Snap-in, dovete anzitutto registrarlo tramite la richiesta di inserimento dati (sono necessari diritti di administrator):

  1. Cliccate sul pulsante Start
  2. Passate alla Richiesta di inserimento dati
  3. Selezionate nel menù contestuale esegui come amministratore
  4. Inserite nella richiesta di inserimento dati: regsvr32 schmmgmt.dll.
  5. Confermate premendo il tasto Invio

Configurazione

  1. Cliccate sul pulsante Start
  2. Aprite Esegui
  3. Inserite: mmc /a.

  4. Cliccate su File -> Add/Remove Snap-in....

  5. Selezionate Active Directory Schema.
  6. Cliccate su Add
  7. Cliccate su OK

  8. Passate a Active Directory Schema.
  9. Selezionate nel menù contestuale Change Active Directory Domain Controller...

  10. Indicate Server e Port (in questo esempio: localhost:389).

  11. A questo punto dovreste vedere questa finestra:

  12. Passate Classes -> organization.
  13. Aprite Properties.

  14. Cliccate su Add.
    1. Cercate maxPwdAge.
    2. Cliccate su OK

    1. Ripetete l´operazione per lockoutDuration

    1. e per lockoutThreshold.

  15. Cliccate su OK

  16. aprite la cartella Classes e passate all´inserimento user.
    1. Selezionate nel menù contestuale l´inserimento Properties.
    2. Aprite la scheda Attributes.
    3. Cliccate su Add e cercate sAMAccountName.
    4. Cliccate su OK
    5. Aggiungete anche groupMembershipSAM e userAccountControl.
    6. Chiudete il dialogo cliccando su OK.
  17. Chiudete la console.

Avvertenza:

  • Queste operazioni sono assolutamente necessarie per avere maxPwdAge a disposizione nella Unità di organizzazione che verrà configurata di seguito.
    • maxPwdAge definisce il periodo di tempo massimo dopo il quale un utente deve modificare la password.
    • lockoutDuration definisce il periodo di tempo per il quale un utente viene bloccato dopo che questi ha inserito più volte la password sbagliata.
    • lockoutThreshold definisce il numero di tentativi sbagliati ammessi prima che l´utente venga bloccato per un periodo determinato.
  • Nelle norme di sicurezza locali del computer stabilite le regole per:
    • password complexity
    • minimum password length
    • age


Configurare unità organizzazione, gruppi e utenti

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 7 -> Configurare unità organizzazione, gruppi e utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare unità organizzazione, gruppi e utenti

  1. aprite Start -> Administrative Tools -> ADSI Edit

  2. selezionate nel menu contestuale Connect to...
  3. usate le seguenti impostazioni (modificate eventuali impostazioni precedentemente configurate):
    1. Connection Point: o=zenon,c=com
    2. Computer: localhost:389

    A questo punto dovreste vedere questa configurazione:

configurare maxPwdAge

  1. selezionate O=zenon,c=com
  2. cliccate su Refresh.
  3. chiudete ADSI Edit
  4. aprite di nuovo ADSI Edit
  5. selezionate O=zenon,c=com
  6. selezionate nel menù contestuale Properties

  7. passate a maxPwdAge
    1. Inserite un valore valido
    2. Formato: DD:HH:MM:SS (nel nostro esempio 10:00:00:00)

    Nota: se la proprietà maxPwdAge non è visibile, controllate se l´avete aggiunta in modo corretto. Anche un refresh, la chiusura e l´apertura di ADSI Edit, oppure ricaricare lo schema, sono modi per eliminare il problema.

  8. passate a lockoutDuration
    1. Inserite un valore valido
    2. Formato: DD:HH:MM:SS (nel nostro esempio 00:00:10:00, -> 10 minuti)

  9. passate a lockoutThreshold

  10. inserite lo stesso valore delle norme di sicurezza locali (per es. 3)

Nota: le impostazioni per la durata del blocco dell´account vengono ignorate in AD LDS. Si usa la proprietà lockoutDuration (O=zenon,c=com) .

Noch in diesem Kapitel

Utenti

Unità organizzativa

Gruppi


Utenti

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 7 -> Configurare unità organizzazione, gruppi e utenti -> Utenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Utenti

Per creare un utente:

  1. selezionate le Unità di organizzazione
  2. selezionate nel menù contestuale New -> Object

  3. selezionate la classe user

  4. indicate un nome (nel nostro esempio: zenon1)

  5. cliccate su Next.
  6. passate a Attributes
  7. cliccate su More Attributes.
    1. andate alla proprietà Select a property to view
    2. selezionate nella lista a cascata sAMAccountName
    3. passate a Edit Attribute
    4. indicate lo stesso valore dell´utente (zenon1)
      (Questa configurazione è necessaria per far sì che l´utente possa essere utilizzato in zenon.)

  8. cliccate su Set.
  9. selezionate in corrispondenza della proprietà Select a property to view adesso la voce displayName
  10. inserite un valore per la visualizzazione del nome, per es. 1st zenon user

  11. cliccate su Set, poi su OK e Finish

Aggiungi utente al gruppo

Per aggiungere un utente a un gruppo:

  1. selezionate zenon user group
  2. selezionate nel menu contestuale Properties

  3. selezionate member
  4. cliccate su Edit.

  5. per aggiungere l´account AD LDS precedentemente impostato (user):
    1. cliccate su Add DN....
    2. inserite nella maschera di inserimento dati: CN=zenon1,OU=zenon users OU,O=zenon,C=com

    1. Otterrete il risultato:

  6. fissate una password per l´utente zenon1

    Nota: la password deve soddisfare le condizioni delle norme di sicurezza locali.

  7. settate per l´utente zenon1 le proprietà set msDS-UserAccountDisabled su False

L´utente adesso è stato impostato e può essere usato in zenon.


Unità organizzativa

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 7 -> Configurare unità organizzazione, gruppi e utenti -> Unità organizzativa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Unità organizzativa

Per creare un´unità di organizzazione:

  1. selezionate O=zenon,c=com
  2. selezionate nel menu contestuale New -> Object

  3. selezionate organizationalUnit

  4. indicate un nome (nel nostro esempio: zenon users OU)

  5. cliccate su Next e poi su Finish


Gruppi

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows 7 -> Configurare unità organizzazione, gruppi e utenti -> Gruppi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Gruppi

Per creare un gruppo:

  1. selezionate le Unità di organizzazione
  2. selezionate nel menù contestuale New -> Object

  3. selezionate group

  4. indicate un nome (nel nostro esempio: zenon user group)

  5. cliccate su Next.
  6. passate a Attributes
  7. cliccate su More Attributes.
    1. andate alla proprietà Select a property to view
    2. selezionate nella lista a cascata groupAttributes
    3. passate a Edit Attribute
    4. inserite il valore 2147483650 (rappresenta un account group)

  8. cliccate su Set.
  9. adesso selezionate in corrispondenza della proprietà Select a property to view la voce sAMAccountName
  10. inserite lo stesso valore del gruppo (zenon user group)

    Nota: questa impostazione si rende necessaria per poter configurare i gruppi utenti in zenon.

  11. Cliccate su OK e poi su Finish


AD LDS sotto Windows Server 2008

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> AD LDS sotto Windows Server 2008

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per installare il AD LDS Server Role:

  1. selezionate negli Administrative Tools l´opzione Server Manager

  2. cliccate su Add Roles

  3. aggiungete AD LDS Role


Gestione user zenon con Active Directory

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> Gestione user zenon con Active Directory

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´uso in zenon, configurate anzitutto le impostazioni nell´Editor e poi settate l´identificazione utente a livello AD LDS durante il Runtime.

info Informazioni su

Active Directory e AD LDS, nonché ADAM (per Windows XP) non sono a disposizione sotto Windows CE.

Noch in diesem Kapitel

Editor

Runtime - variabili del driver di sistema


Editor

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> Gestione user zenon con Active Directory -> Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configurazione si effettua nelle proprietà di progetto, per la precisione nella sezione Gestione user:

  • È stato impostato un gruppo utenti recante il nomezenon user group

  • e sono stati stati aggiunti dei livelli di autorizzazione


Runtime - variabili del driver di sistema

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> Gestione user zenon con Active Directory -> Runtime - variabili del driver di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • L´utente zenon1 può effettuare il login in zenon.

    La proprietà zenon Nome completo corrisponde all´attributo AD LDS displayName.

    La proprietà Autorizzazione utente corrisponde all´attributo AD LDS sAMAccountName.

  • L´utente riceve i suoi livelli di autorizzazione dal gruppo zenon:

  • Il sistema visualizza i giorni che restano finché la password non deve essere modificata (con un giorno di differenza):

Trattamento errori

nel caso in cui si verifichino degli errori durante il Runtime, controllate se:

  • le impostazioni sono state settate in modo corretto:
    • Nome utente
    • sAMAccountName
  • le impostazioni per il firewall sono state settate in modo corretto
  • la configurazione dell´Editor è corretta per quel che concerne:
    • Connetti
    • Password

Se l´utente non dovesse ricevere alcun livello di autorizzazione dal gruppo zenon, controllate se:

  • i nomi corrispondono
  • sAMAccountName del gruppo è stato settato in AD LDS
  • l´utente in AD LDS è stato aggiunto al gruppo

AD

Se si vuole che delle autorizzazioni provengano dal gruppo utenti in AD/ADAM, in AD LDS si deve:

  • adattare nel gruppo la proprietà description
  • denominare il gruppo esattamente come il progetto

Per ulteriori informazioni sulla configurazione Vi preghiamo di leggere il capitolo Settaggio dei livelli di autorizzazione di zenon nel campo di un gruppo Active Directory.


Risoluzione dei problemi

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Lightweight Directory Services - AD LDS -> Risoluzione dei problemi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Verifica della connessione con AD LDS Directory

  1. Avviate il Microsoft ADExplorer sul computer su cui sono usati l´Editor zenon oppure il Runtime di zenon.
  2. Cercate di instaurare una connessione con AD LDS Directory con le impostazioni usate in zenon.
  3. Cause di errore possono essere:
    • hostname sbagliato
    • porta sbagliata
    • Regole per firewall nella rete

L´utente non può effettuare il login

Verificare se in AD LDS tutti gli attributi sono settati nel modo corretto;

  • sAMAccountName
  • groupMembershipSAM
  • userAccountControl

L´utente non ottiene i livelli di autorizzazione ad esso asseganti.

  • Controllate:
  • il Nome dello zenonGruppo utenti è configurato nello stesso modo come in AD LDS?
  • l´utente AD LDS è assegnato al gruppo AD LDS corrispondente?
  • l´attributo sAMAccountName è settato nel gruppo AD LDS?

Nessun contenuto nello Snap-in

Se, dopo l´apertura dello schema Active Directory Snap-ins, non viene visualizzato alcun contenuto, i diritti di accesso dovranno essere modificati. A tale scopo:

  1. selezionate nel menù contestuale Permissions...

  2. assegnate agli utenti necessari i diritti corrispondenti
    (potete aggiungere nuovi utenti cliccando su Add)

  3. Cliccate sul pulsante Advanced

  4. Cliccate sul pulsante Advanced
  5. aprite la scheda Permissions
  6. attivate l´opzione Apply to This object and all descedant objects per l´utente corrispondente.

  7. chiudete la console e apritela di nuovo (mmc /a) per gli ulteriori passi di configurazione


Active Directory Application Mode - ADAM (solo per Windows XP)

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Application Mode - ADAM (solo per Windows XP)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Active Directory Application Mode (ADAM) è pensata per essere utilizzata sotto Windows XP. Windows XP non viene più supportato da zenon, perché Microsoft ha ritirato dal mercato questo sistema operativo e non garantisce più un supporto per esso. Questa documentazione si riferisce esclusivamente a sistemi che funzionano ancora sotto Windows XP.

Per tutti i sistemi operativi attuali, usate Active Directory Lightweight Directory Services:

  • Windows 7
  • Windows 8/8.1
  • Windows Server 2008
  • Windows Server 2012

Requisiti

Per poter usare Active Directory Application Mode per zenon, dovete tener presente i seguenti punti al momento di configurare ADAM.

  1. Create una nuova istanza ADAM
  2. Eseguite uno schema AD
  3. Per consentire all´utente ADAM l´accesso, cliccate su Programmi-> Gestione -> Norme di sicurezza locali. Nel dialogo che si aprirà, cliccate su Impostazioni di sicurezza > Norme conto. In questa sede, stabilite le impostazioni desiderate per le norme concernenti la password e il blocco del conto.
  4. Configurate lo schema ADAM Snap-In.
  5. In Snap-In cliccate sulla voce Classi -> Organizzazione, e selezionate proprietà. Poi inserite nella scheda Attributi maxPwdAge come attributo opzionale. In tal modo Vi assicurate che il controllo password e la modifica password funzionino in modo analogo a quanto accade per la Active Directory.

    Nota: dovete indicare la durata della validità della password in nanosecondi.

  6. Impostate utente e gruppo utente in ADAM. Tenete presente i seguenti punti:
    • Per quello che riguarda l´utente e il gruppo utente, dovete digitare ancora una volta il nome alla voce Proprietà -> Attributo- Editor per attributosAMAccountName.
    • Nel caso del gruppo utente, dovete indicare il nome come descritto alla voce Uso di Active Directory.
    • Impostate Il livello autorizzazioni zenon come descritto alla voce Uso di Active Directory all´attributo description.

info Informazioni su

Per visualizzare il nome utente con l´aiuto della variabile driver di sistema, dovete settare manualmente il nome utente in ADAM alla voce Utente sotto Proprietà > Attribut-Editor in corrispondenza dell´attributo displayName.

Noch in diesem Kapitel

Creare una nuova istanza ADAM.

Iniziare ad usare AD-Schema

Configurare ADAM Schema Snap-in.


Creare una nuova istanza ADAM.

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Application Mode - ADAM (solo per Windows XP) -> Creare una nuova istanza ADAM.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In tal modo installate una istanza ADAM facendo uso dell´assistente Active Directory-Modalità di applicazione-setup.

  • Cliccate per avviare l´assistente Active Directory-Modalità di applicazione-setup su start, andate su Tutti i programmi e poi su ADAM, e cliccate poi su Crea istanza ADAM.
  • Cliccate nella pagina Benvenuti su Continua.
  • Sulla pagina Setup-Opzioni potete selezionare se installate un´istanza ADAM univoca oppure se volete attribuire ad una configurazione esistente una nuova istanza. Visto che installate la prima istanza ADAM, cliccate su Installa una istanza univoca. Clicchi su “Avanti”.
  • Inserite nella pagina

    Nome istanza

    un nome per l´istanza ADAM da installare. Il nome viene usato sul computer locale per l´identificazione univoca dell´istanza ADAM. Cliccate di nuovo su

    avanti

    .
  • Inserite sulla pagina

    Ports

    le port di comunicazione che vengono usate dall´istanza per la comunicazione. ADAM può comunicare tramite LDAP (Lightweight Directory Access-Protokoll) oppure SSL (Secure Sockets Layer). Per questo motivo, dovete inserire per tutte e due le port un valore. Cliccate di nuovo su

    avanti

    .

info Informazioni su

Se sul computer, su cui installate ADAM, usate già una delle standardport, l´assistente Active Directory-Anwendungsmodus-Setup cerca automaticamente la prima port disponibile, iniziando da 50000. Ad esempio: Active Directory usa le Ports 389 e 636 come quelle 3268 e 3269 su server Katalog. Per questo, durante l´installazione di ADAM su un controller domini vengono messi a disposizione i valori standard

50000

per la LDAP-Port e

50001

per la SSL-Port.
  • Alla pagina

    Partizione percorso applicazione

    potete creare una partizione di percorso applicazione (oppure un contesto nomi); per far ciò, dovete cliccare su

    Sì, crea una Partizione percorso applicazione

    . Se invece di far ciò, cliccate su

    No, non creare una Partizione percorso applicazione

    , dovete creare manualmente dopo l´installazione una Partizione percorso applicazione. Se create una Partizione percorso applicazione, dovete indicare un nome definito per la nuova partizione. Cliccate di nuovo su

    avanti

    .

info Informazioni su

ADAM supporta nomi definiti in X.500- e in stile DNS (Domain Name System) per partizioni percorsi del livello più alto.
  • Alla pagina

    Percorsi file

    potete indicare e modificare i percorsi di installazione per dati ADAM e file di ricostruzione (dati di protocollo). Di default, i dati ADAM e file di ricostruzione vengono salvati sotto

    %ProgramFiles(x86)%\Microsoft ADAM\Instanzname\data

    . Il termine

    Instanzname

    rappresenta il nome istanza ADAM, che Voi indicate alla pagina

    Nome istanza

    . Cliccate su

    Avanti

    per accettare i percorsi standard.

info Informazioni su

Quando installate ADAM su un computer sotto Windows XP, dovete installare questi file sullo stesso volume logico. Quando installate ADAM sotto Windows Server 2003 e Windows Server 2003 R2 in un ambiente di produzione, Vi consigliamo di installare i file su supporti dati separati.

Fili di programma e programmi di gestione vengono installati da ADAM in

%windir%\ADAM

.
  • Alla pagina

    Selezione conto di servizio

    , selezionate un conto che viene usato come conto di servizio per ADAM. Il conto selezionato determina il contesto di sicurezza in cui viene eseguita la istanza ADAM. Se non installate ADAM su un controller di dominio, di default viene usato il conto di servizio di rete di Active Directory-Anwendungsmodus-Setup-Assistente. Cliccate su

    Avanti

    per assumere l´impostazione standard

    Conto di servizio di rete

    . Quando installate ADAM su un controller di dominio, cliccate su

    Questo conto

    e selezionate poi il conto utente dominio come conto di servizio ADAM.

info Informazioni su

Potete modificare il conto di servizio ADAM dopo l´installazione di ADAM con il programma

dsmgmt

. Quando installate ADAM su un controller di dominio, dovete selezionare un conto utente dominio come conto di servizio ADAM.
  • Nella pagina

    Amministratori ADAM

    , selezionate un utente o un gruppo come amministratore standard per l´istanza ADAM. L´utente o il gruppo selezionato dispone di tutta la funzionalità di amministrazione per l´istanza ADAM. Di default, l´utente attualmente registrato viene usato dall´Active Directory Application Mode Setup Assistant.. Potete modificare questa selezione in ogni account locale o account dominio, oppure in ogni gruppo della rete. Cliccate sul valore standard

    Utente registrato adesso

    , e cliccate poi su

    Avanti

    .
  • Alla pagina

    Importare file LDIF

    , potete importare due file LDF con definizioni di classe utente e oggetto nello schema ADAM. Importare queste definizioni è facoltativo.
    • Cliccate su

      Importare file LDIF selezionati per questa istanza ADAM

      .
    • Cliccate su

      MS-InetOrgPerson.LDF

      e poi su

      Aggiungi

      .
    • Cliccate su

      MS-User.LDF

      e poi su

      Aggiungi

      .
    • Cliccate su

      MS-UserProxy.LDF

      , su

      Aggiungi

      e poi su

      Avanti

      .
  • Sulla pagina

    Pronto per l´installazione

    potete controllare le opzioni di installazione prescelte. Se cliccate adesso su

    Avanti

    , il Active Directory-Anwendungsmodus-Setup-Assistent comincia a copiare i file e ad installare ADAM sul computer.
  • Quando Active Directory-Anwendungsmodus-Setup-Assistent ha terminato l´installazione di ADAM, viene visualizzata la seguente segnalazione: "Active Directory-Anwendungsmodus-Setup-Assistent è stato portato a termine con successo." Quando viene visualizzata la pagina

    Termina l´assistente

    , cliccate su

    Termina

    per chiudere l´assistente.

info Informazioni su

Se l´Active Directory-Anwendungsmodus-Setup-Assistent non viene portato a termine con successo, viene visualizzata alla pagina

Riassunto

una segnalazione di errore con la ragione che ha causato l´errore.
  • Se si verifica un errore in Active Directory-Anwendungsmodus-Setup-Assistenten prima che la pagina

    Riassunto

    venga aperta, potete controllare la segnalazione di errore che viene visualizzata. Inoltre potete cliccare su

    Start

    e poi su

    Esegui

    e indicare uno dei seguenti nomi file:

    %windir%\Debug\Adamsetup.log

    %windir%\Debug\Adamsetup_loader.log

    I file

    %windir%\Debug\Adamsetup.log

    e

    %windir%\Debug\Adamsetup_loader.log

    contengono utili informazioni per il trattamento di errori ADAM.


Iniziare ad usare AD-Schema

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Application Mode - ADAM (solo per Windows XP) -> Iniziare ad usare AD-Schema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In tal modo usate per la prima volta Active Directory/programma di sincronizzazione-ADAM.

  • Clicchi su Start.
  • aprite Tutti i programmi,
  • cliccate su ADAM
  • poi su ADAM-programmi di amministrazione:

    si apre una finestra di comando nella cartella ADAM.

Per estendere lo schema ADAM agli oggetti schema standard di Windows Server nell´Active Directory:

  • nella richiesta di inserimento dati inserite il seguente comando in una riga:

    ldifde -i -s localhost -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSchemaW2k3.ldf

  • Pigiate poi il tasto "invio".


Configurare ADAM Schema Snap-in.

Manuale -> Gestione user -> Gestione user esterna con Microsoft Active Directory -> Active Directory Application Mode - ADAM (solo per Windows XP) -> Configurare ADAM Schema Snap-in.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurare il programma di gestione ADAM-Schema Snap-In.

Con un ulteriore programma di gestione ADAM, l´ADAM-Schema Snap-In, potete amministrare lo schema ADAM. Se avete già usato l´Active Directory-Schema-Snap-In, il ADAM-Schema Snap-In dovrebbe esservi noto. Prima di poter usare ADAM-Schema Snap-In, dovete creare un´apposito file MMC come descritto di seguito.

  • Cliccate su start, su esegui; inserite mmc /a e, poi, cliccate su OK.
  • Cliccate sul menù File su aggiungi/cancella Snap-In e cliccate poi su Aggiungi.
  • Cliccate nei Disponibili autonomi Snap-Ins su ADAM-Schema, su Aggiungi, su Chiudi e poi cliccate su OK.
  • Per salvare questa console, cliccate nel menù File su Salva.
  • Inserite nel nome file quanto segue, e cliccate poi su Salva:
    %windir%\system32\adamschmmgmt.msc
  • Create un collegamento tramite ADAM-Schema Snap-In con l´istanza ADAM. A tal scopo, cliccate nella struttura console con il tasto destro del mouse su ADAM-Schema; cliccate su modifica ADAM-Server. Inserite localhost in corrispondenza di ADAM-Server e 389 in corrispondenza di Port.
  • Cliccate su OK. L´ADAM-Schema Snap-In, adesso, ha il seguente aspetto. Adesso potete valutare e visualizzare le classi e gli attributi di ADAM-Schema.
  • Per creare un collegamento per l´ADAM-Schema-Snap-In nel menù Start, effettuate le seguenti azioni:
    • Cliccate con il tasto destro del mouse su start, cliccate su Apri - Tutti gli utenti, doppio clic sulla cartella Programmi, e doppio clic sulla cartella ADAM.
    • Andate nel menù File su Nuovo, e cliccate poi su collegamento.
    • Inserite nell´assistente per la creazione di collegamenti, indicate il luogo di salvataggio dell´elemento, la seguente successione di caratteri adamschmmgmt.msc, e poi cliccate su Continua.
    • Indicate nella pagina Selezione Indicazione programma in Indicate il nome del collegamento, il nome ADAM-Schema e cliccate poi su Termina.


Proprietà AD/AD LDS usate da zenon

Manuale -> Gestione user -> Proprietà AD/AD LDS usate da zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Codifica

Per la registrazione di un utente zenon AD/ADAM, si usa la crittografia NTLM/Kerberus. In ADSI (MS APIs per AD), per lo scambio di dati diversi dalla password nel corso della sessione già registrata, non è prevista nessuna esplicita forma di crittografia.

Lista delle proprietà usate da zenon in AD/AD LDS

Dominio

Forma generale | Nota
defaultNamingContext |
distinguishedName | Da container.
name | Da container.
objectClass | Da container.
maxPwdAge |
lockoutDuration |

Gruppo utenti

Forma generale | Nota
distinguishedName |
name |
sAMAccountName |
member | Eventuale adeguamento del valore necessario in AD/AD LDS.
description |
groupMembershipSAM | Quando si lavora in zenon, viene settato nell´immagine del tipo Active Directory user administration.
groupType |
objectClass |

Utenti

Forma generale | Nota
distinguishedName |
sAMAccountName |
displayName |
memberOf | Eventuale adeguamento del valore necessario in AD/AD LDS.
mail |
telephoneNumber |
Mobile |
pwdLastSet |
userAccountControl |
groupMembershipSAM | Quando si lavora in zenon, viene settato nell´immagine del tipo Active Directory user administration.
userPrincipalName | Eventuale adeguamento del valore necessario in AD/AD LDS.
objectClass |
objectCategory |
ZenOnUserLevel1 | Non è una proprietà standard di AD/AD LDS. Normalmente non se ne ha bisogno. Esistente per motivi di compatibilità
ZenOnUserLevel2 | Non è una proprietà standard di AD/AD LDS. Normalmente non se ne ha bisogno. Esistente per motivi di compatibilità
ZenOnUserLevel3 | Non è una proprietà standard di AD/AD LDS. Normalmente non se ne ha bisogno. Esistente per motivi di compatibilità


Guida runtime

Manuale -> Guida runtime

zenon offre la possibilità di creare una guida rapida per i progetti eseguiti nel Runtime. Questa guida è basata su pagine HTML che vengono compilate in un file CHM.

I capitoli della guida sono a disposizione in 3 contesti:

Parametri | Descrizione
Menù principali | Una voce di un Menù principale consente di aprire direttamente una pagina guida.
Elementi dinamici | Per il menù contestuale di ogni elemento dinamico può essere definita una pagina guida separata.
Funzione Apri la guida | Richiamo della funzione Help

La guida Runtime consente l´uso di tutti i comuni formati immagine (per es. *.JPG, *.BMP, *.GIF, *.PNG, ...), formattazioni testi, nonché
navigazione in avanti e all´indietro.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Noch in diesem Kapitel

Preparativi

Progettazione nell'editor

Visualizzazione della guida

Richiamo della funzione Help

Guida Runtime con sistemi CE

Apri ePLAN dalla guida


Preparativi

Manuale -> Guida runtime -> Preparativi

Installazione workshop guida HTML

Il workshop HTML compila i file HTML in un formato CHM. La guida Runtime si basa su file di tipo CHM. Il HTML Help Workshop viene fornito con il supporto per l´installazione di zenon e si trova nel seguente percorso: \AdditionalSoftware\Microsoft HTML Help Workshop.

Creazione di un progetto help:

Ci sono numerosi strumenti differenti per creare file HTML. È possibile salvare testi in formato HTML anche in MS Word.

In questo progetto help standard, tutte le impostazioni iniziali necessarie sono già definite.

Preparazione del workshop help HTML

Dopo aver avviato il HTML Help Workshop, deve essere caricato il progetto help standard. Tramite il pulsante Add/Remove Topic Files possono essere collegati i file HTM(L) al progetto help.

Cliccando sul pulsante Save and Compile o su Compile , viene generato un file RT_Help.chm nella cartella del progetto help attuale. Tutti i file HTM(L) per questo progetto help, sono contenuti nel file CHM.

In caso di successive modifiche dei file HTM(L), il progetto help deve essere ricompilato.

Più file di help:

Se la guida runtime dovesse essere ripartita su più file, tutti i file dovrebbero essere copiati nella cartella del prossimo file help. Adesso il progetto help può essere rinominato ed i file HTM(L) verranno sostituiti dai quelli nuovi. Una compilazione del nuovo progetto help conclude la creazione del nuovo file guida.

Preparazione di una guida con possibilità di cambio lingua:

Dopo che il progetto guida è stato generato in una certa lingua, tutti i file dovrebbero essere copiati nella cartella della prossima lingua. Adesso i file HTM(L) possono essere sostituiti da quelli della nuova lingua. Dopo l´avvio dell’ HTML Help Workshop, deve essere selezionata la lingua corrispondente nel menù “International Settings”. Una nuova compilazione del progetto help conclude la creazione della guida nella nuova lingua.

I nomi dei progetti help (*.hpp, *.chm) ed i nomi dei file HTM(L) devono essere identici in tutte le lingue!


Progettazione nell'editor

Manuale -> Guida runtime -> Progettazione nell'editor

Nel Manager di progetto, alla voce File/Guida, possono essere inseriti file CHM nel menù contestuale. La lingua standard viene inserita via menù contestuale direttamente in questo ramo. Se qui non sono inseriti i file standard, non sarà possibile una selezione di file in una successiva progettazione!

Noch in diesem Kapitel

Possibilità di modifica lingua

Aggiornamento di file guida

Guida in un menù principale

Guida per elementi dinamici

Guida per allarmi


Possibilità di modifica lingua

Manuale -> Guida runtime -> Progettazione nell'editor -> Possibilità di modifica lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per i progetti con cambio di lingua, si deve creare una sotto-cartella separata per ogni lingua. In queste sottocartelle vengono inseriti i file help per la rispettiva lingua. Passaggi necessari:

  • create nel menù contestuale di File/Guida delle cartelle separate per ogni lingua, per es. Inglese e Tedesco.
  • traducete gli inserimenti nel file help
  • compilate nuovamente con HTML-Help Workshop
  • create un file RT-Help.chm in ogni cartella lingua
    • a tal scopo, selezionate nel menù contestuale Aggiungi file
  • tutti i file della guida devono quindi essere inseriti, usando il menù contestuale, nella versione di lavoro locale.


Aggiornamento di file guida

Manuale -> Guida runtime -> Progettazione nell'editor -> Aggiornamento di file guida

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso in cui durante la progettazione dovessero essere sostuiti i file guida esistenti con i file più recenti, la sostituzione dev´essere effettuata manualmente. I nuovi file CHM vengono copiati nella rispettiva sotto-directory del progetto. Nell'editor i file possono poi essere poi trasmessi alla banca dati del progetto tramite il comando Rendere modifiche possibili e accettare modifiche.


Guida in un menù principale

Manuale -> Guida runtime -> Progettazione nell'editor -> Guida in un menù principale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo la selezione del menù principale desiderato, viene generata una nuova voce di menù per la guida. Quando la si seleziona, si può procedere ad effettuare le seguente impostazioni nella finestra delle proprietà:

Parametri

Descrizione

Menù contestuale

Tipo di azione

Il tipo di azione deve essere definito come Guida, altrimenti le altre proprietà per la guida non saranno selezionabili.

Elemento dinamico:

File guida

Qui viene selezionato il rispettivo file guida (*.chm) dalla lingua standard.

Questa impostazione è applicata di default, se per l´elemento dinamico non è stato definito nessun file help separato.

Elemento dinamico:

Capitolo guida

Qui viene selezionato il rispettivo capitolo guida dal file di guida selezionato. I capitoli della guida hanno sempre il nome del file HTM sul quale si basano.

Questa impostazione è applicata di default, se per l´elemento dinamico non è stato definito un proprio capitolo guida.


Guida per elementi dinamici

Manuale -> Guida runtime -> Progettazione nell'editor -> Guida per elementi dinamici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per ogni elemento dinamico può essere selezionato un menù contestuale. Se il menù contestuale presenta un inserimento con il tipo d´azione guida, sarà possibile visualizzare una guida rapida per l´elemento dinamico.

Noch in diesem Kapitel

Definizione del menù contestuale

Definire un elemento dinamico


Definizione del menù contestuale

Manuale -> Guida runtime -> Progettazione nell'editor -> Guida per elementi dinamici -> Definizione del menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo la selezione del Menù contestuale desiderato, verrà generata una nuova voce di menù per la guida. Sono necessarie le impostazioni seguenti nelle proprietà:

Parametri

Descrizione

Menù contestuale

Tipo di azione

Il tipo di azione deve essere definito come Guida, altrimenti le altre proprietà per la guida non saranno selezionabili.

Elemento dinamico: File guida

Qui viene selezionato il rispettivo file guida (*.chm) dalla lingua standard.

Questa impostazione è applicata di default, se per l´elemento dinamico non è stato definito nessun file help separato.

Elemento dinamico: Capitolo guida

Qui viene selezionato il rispettivo capitolo guida dal file di guida selezionato. I capitoli della guida hanno sempre il nome del file HTM sul quale si basano.

Questa impostazione è applicata di default, se per l´elemento dinamico non è stato definito un proprio capitolo guida.

Adesso questo menù contestuale può essere utilizzato per diversi elementi dinamici.


Definire un elemento dinamico

Manuale -> Guida runtime -> Progettazione nell'editor -> Guida per elementi dinamici -> Definire un elemento dinamico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le seguenti impostazioni sono necessarie nelle proprietà dell’elemento dinamico.

Parametri | Descrizione
Menu | Qui viene selezionato il menù contestuale desiderato dalla lista.
File guida | Qui viene selezionato il rispettivo file guida (*.chm) dalla lingua standard. Nel caso in cui non sia definito nessun file guida per l'elemento dinamico, sarà utilizzata l'impostazione del menù contestuale.
Capitolo guida | Qui viene selezionato il rispettivo capitolo guida dal file di guida selezionato. I capitoli guida portano sempre il nome del file HTM sul quale si basano. Nel caso in cui non sia definito nessun capitolo della guida per l'elemento dinamico, sarà utilizzata l´impostazione del menù contestuale.


Guida per allarmi

Manuale -> Guida runtime -> Progettazione nell'editor -> Guida per allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per ogni Allarme può essere definita una guida contestuale. Le rispettive impostazioni sono definite direttamente sulle proprietà dell´allarme. Si richiama questa guida nell'immagine dell'allarme (Tipo di immagine Lista allarmi). Dopo la selezione di un allarme inserito nella lista di informazione allarmi e dopo aver cliccato sul pulsante Guida, viene visualizzata la corrispondente pagina per la guida.

Sono necessarie le impostazioni seguenti nelle proprietà di Valori limiti di una variabile:

Parametri | Descrizione
Come allarme | Questa proprietà dev´essere attivata, altrimenti le ulteriori proprietà per la guida non sono selezionabili.
File guida | Qui il rispettivo file guida (*.chm) viene selezionato dal file di lingua standard.
Capitolo guida | Qui viene selezionato il rispettivo capitolo guida dal file di guida selezionato. I capitoli guida portano sempre il nome del file HTM sul quale si basano.


Visualizzazione della guida

Manuale -> Guida runtime -> Visualizzazione della guida

La visualizzazione della guida può avvenire in due modi differenti:

  1. Esternamente: attraverso l´help HTML del sistema operativo.
    Tenete presente i limiti che concernono il cambio lingua!
  2. Internamente: attraverso l´help nell´immagine HTML

Noch in diesem Kapitel

Guida HTML del sistema operativo

Guida nell´immagine HTML


Guida HTML del sistema operativo

Manuale -> Guida runtime -> Visualizzazione della guida -> Guida HTML del sistema operativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo tipo di rappresentazione è utilizzato di default. Non è necessaria nessun altra progettazione.

attention Attenzione

Di regola, il cambio lingua non è possibile per quello che concerne l´help HMTL dei sistemi operativi Microsoft. Un help che preveda la possibilità del cambio lingua, deve essere progettato mediante una Immagine HTML.

Eccezione: Help sotto Windows CE.


Guida nell´immagine HTML

Manuale -> Guida runtime -> Visualizzazione della guida -> Guida nell´immagine HTML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se esiste un'immagine del tipo di finestra HTML con il nome HTML-Help, verrà utilizzata questa invece che la guida HTML del sistema operativo. Per quanto riguarda il nome dell´immagine devono essere rispettati maiuscolo/minuscolo.

La rappresentazione della guida è effettuata nell´elemento di controllo Navigare.

info Informazioni su

Possibilità di modifica lingua: Nel caso in cui si cambi la lingua dopo che il CHM-Viewer è stato chiuso, viene usata la nuova lingua quando si riapre la guida.


Richiamo della funzione Help

Manuale -> Guida runtime -> Richiamo della funzione Help

Con questa Funzione può essere richiamata una pagina di Help per Menu, Valori limite, Elementi dinamici .

  1. selezionate nel menù contestuale del nodo Funzioni il comando Nuova funzione
  2. navigare per raggiungere le Applicazione
  3. selezionate Apri Guida
  4. si apre il dialogo di configurazione

Parametri | Descrizione
File-guida | File help (*.CHM), dal quale deve essere richiamata una pagina. Cliccate sul pulsante... ... e si apre l´Explorer che serve alla selezione di un file CHM.
Capitolo dell´help | Pagina della guida che deve essere visualizzata. Inserimento manuale del nome file del capitolo prima della compilazione con estensione del nome file htm. Formato: Nome file.htm

Tutte le funzioni di richiamo della guida possono essere così parametrizzate:

  • Combinazione del nome di un file CHM e di un file HTM incluso.
  • Solo nome del file HTM più index di un file HTM incluso.

info Informazioni su

Quando si realizza una presentazione HTML, ogni singola pagina HTM dovrebbe ottenere un titolo tag significativo, visto che esso verrà visualizzato sotto Windows CE.


Guida Runtime con sistemi CE

Manuale -> Guida runtime -> Guida Runtime con sistemi CE

Sotto Windows CE, il file CHM viene aperto e il file HTM(L) viene visualizzato nell´Internet Explorer oppure in un´immagine del tipo HTML.

Nel caso di apparecchiature CE, non sono permessi segni speciali, quali dieresi, accenti ecc. Tutte le referenze per oggetti help Windows CE devono trovarsi sempre all´interno di questi segni:

  • A-Z
  • a-z
  • 0-9

info Informazioni su

Cambio lingua: Al contrario di altri sistemi operativi di Microsoft Window, il cambio lingua nel runtime funziona sotto Windows CE anche con l´help HTML del sistema operativo.

Nota: Ogni apertura dell´help sotto Windows CE determina la chiusura di tutte le altre finestre aperte dell´Internet Explorer di un utente.


Apri ePLAN dalla guida

Manuale -> Guida runtime -> Apri ePLAN dalla guida

In presenza di un allarme (violazione di valore limite), si può aprire anche un documento EPLAN.

attention Attenzione

Per la connessione EPLAN si deve disporre di una licenza in zenon. Potete procurarvi una licenza presso il distributore di zenon della vostra zona, oppure nel sito info.fr@copadata.com.

Per aprire documenti EPLAN di zenon nel Runtime:

  1. inserite il percorso del programma EPLAN nello zenon6.ini ein
  2. nell´Editor di zenon, aprite la guida delle proprietà delle corrispondenti variabili e andate nel gruppo Valori limiti al sottogruppo Guida
  3. nel campo della proprietà File guida inserite la successione di caratteri $PRG:xxxxxx
    (xxxxxx sta per i parametri che servono ad aprire il documento corretto; per i dettagli, vedi il capitolo Parametri per l´apertura dei documenti EPLAN)
  4. inserite un carattere a piacere nel campo della proprietà Capitolo guida
    (questa proprietà viene ignorata, ma il relativo campo non può essere vuoto).

Quando si apre la guida nel Runtime, si aprirà il documento EPLAN configurato.

info Informazioni su

Questa funzionalità può essere utilizzata in linea di principio anche per altri tipi di documento, come, ad es., PDF.

Configurazione zenon6.ini

Inserite nello zenOn6.ini il percorso per W3u.exe . W3u.exe è il file eseguibile dell´EPLAN Viewer. Presupposto è una versione a partire dalla 1.7.11.

Per far ciò:

  1. andate alla sezione [PATH] oppure createla.
  2. inserite EDOC_PATH =[Pfad]

    Ad esempio: EDOC_PATH=C:\\Programme\EPLAN\View\1.7.11\BIN\W3u.exe

info Informazioni su

Trovate lo zenon6.ini nel percorso:

Windows 7/8: %ProgramData%\COPA-DATA\System\

Parametri per l´apertura di documenti EPLAN

Per aprire un documento EPLAN della Guida Runtime, si deve indicare una destinazione di collegamento con parametro.

Sintassi: edit /[Percorso del progetto Eplan] /[DEVICENAME:= (Nome della visualizzazione/Pagina nel progetto)]

Parametri

Descrizione

PROJECTNAME

Nome progetto con percorso completo.

  • Apertura della riga di comando: indicazione per PROJECTNAME obbligatoria. Alternativa: si usa prima ProjectAction. Altrimenti risulta l´eccezione non gestita System.Argument Exception.
  • Apertura tramite l´interfaccia utente: se si apre tramite uno script o una barra degli strumenti, l´indicazione è opzionale. Senza indicazione viene usato il progetto selezionato.

PAGENAME

Nome della pagina da controllare (facoltativo).

Obbligatorio se si usano X, Y come parametri per il posizionamento del cursore.

DEVICENAME

Nome di un dispositivo (facoltativo).

Esempi:

  • Apri progetto:
    edit /PROJECTNAME:C:\Projects\EPLAN\PLAN100.elk
  • Aprire pagina:
    edit /PROJECTNAME:C:\Projects\EPLAN\PLAN100.elk /PAGENAME:=AP+ST1/7
  • Apri la pagina e posiziona il cursore su X,Y.
    edit /PROJECTNAME:C:\Projects\EPLAN\PLAN100.elk /PAGENAME:=AP+ST1/7/X:200/Y:100
  • Apri pagina con BMK-
    edit /PROJECTNAME:C:\Projects\EPLAN\PLAN100.elk /DEVICENAME:=AP+PT1-G1

Esempio di apertura da una pagina dell´help di zenon:

edit /PROJECTNAME:"D:\##Projekte\EPLAN\EPLAN_Alarmanbindung\P8_DEMO.elk" /DEVICENAME:=UNIT+PP-B1

Ulteriori dettagli sulla configurazione in EPLAN le trovate nella vostra documentazione EPLAN.


Immagini

Manuale -> Immagini

Le immagini sono elementi centrali di un progetto. Esse rappresentano l´impianto progettato, forniscono informazioni e offrono degli elementi che servono alla gestione.
Le immagini consistono di elementi vettoriali e/o elementi dinamici. Essi vengono collegati con variabili oppure funzioni. Le immagini si progettano nella finestra principale dell´Editor.

zenon offre un gran numero di tipi d´immagine predefiniti, come liste di informazione allarmi, trend esteso e molti altri. Il vantaggio di tali tipi di immagine è che ad essi è collegata automaticamente la funzionalità desiderata. Dovete solamente impostare il tipo di immagine, e poi sono a Vostra disposizione una molteplicità di funzioni predefinite.

Una visione riassuntiva la trovate nella sezione tipi di immagine.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Finestra principale

Nella finestra principale vengono visualizzati e modificati documenti come immagini, report e così via. La finestra principale è l´unica finestra che non può essere nascosta.

Aprire parallelamente più documenti.

Potete visualizzare nella finestra principale più immagini nello stesso tempo. Le immagini sono raggiungibili mediante le schede che si trovano sul bordo superiore della finestra principale e possono essere ordinate nel punto di menù Finestra. Quando si cambia scheda, il sistema adatta gli elementi nella finestra delle proprietà alla scheda selezionata.

Per chiudere delle immagini aperte, usate la combinazione di tasti Ctrl + F4, il menu contestuale oppure il comando Chiudi > Finestra.

Menù contestuale Documenti

Cliccando con il tasto destro del mouse sul tab di un documento si apre un menu contestuale:

Parametri | Descrizione
Salva | Salva il documento.
Chiudi | Chiude questo documento.
Chiudi tutte | Chiude tutti gli altri documenti.

Posiziona elementi nell´immagine

Attivate gli elementi con un clic sul simbolo nella Barra dei simboli Elementi e trascinateli con il mouse nella finestra principale.

Per muovere l´elemento, avete le seguenti possibilità:

  • Muovere velocemente: cliccare sull´elemento e posizionarlo con il mouse.
  • Posizionare esattamente: cliccare sull´elemento e posizionarlo con i tasti di direzione (con le frecce).
  • Gira: Gira a piacere l´elemento con il "punto di presa" su Punto di riferimento.

Posizionamento di elementi nell`Editor

Nell´Editor, agli elementi possono essere assegnati livelli di visibilità; inoltre, li si può rendere invisibili singolarmente.

Attenzione: gli elementi di controllo vengono visualizzati nel Runtime sempre al primo posto. Ciò vale anche quando essi vengono coperti da altri elementi nell´Editor. In tal modo si vuole garantire che essi siano sempre raggiungibili.

Adattamento alla risoluzione

Le immagini e i loro elementi vengono adattati automaticamente nel runtime alla risoluzione dello schermo. È però possibile disattivare questa procedura automatica. Per visualizzare elementi d´immagine nella posizione e nella dimensione progettata originariamente nell´Editor, dovete attivare per l´immagine in questione la proprietà Non adattare gli elementi alla risoluzione dello schermo del gruppo Rappresentazione.

Noch in diesem Kapitel

Qualità grafica

Menù contestuale - manager di progetto

Visualizzazione dettagli Barra simboli e Menù contestuale

Crea immagine

Barra simboli Immagini

Barra dei simboli Elementi

Menù contestuale Elementi

XML-Export e XML-Import

Elementi d´immagine

Modifica gli elementi ad immagine

Modelli

Tavolozza colori

Carattere

Simboli e gruppi elementi

Livelli di visibilità

Tipi di immagine

Funzioni immagine


Qualità grafica

Manuale -> Immagini -> Qualità grafica

In zenon, la qualità della grafica visualizzata può essere adattata alle risorse del sistema. L´impostazione avviene facendo uso della proprietà Qualità grafica nel gruppo Aspetto grafico. Queste impostazioni hanno effetto solamente sul Runtime. Nell´Editor si usa sempre DirectX.

Sono disponibili le seguenti opzioni specifiche:

  • Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.
  • DirectX Software: I calcoli grafici vengono effettuati dalla CPU. Possono essere usate più CPU, indipendentemente dalle grafiche da visualizzare. L´uso di DirectX Software può causare un elevato carico della CPU.
  • DirectX Hardware: Una parte dei calcoli grafici viene effettuata dalla scheda grafica, il che consente di aumentare le prestazioni. Se questa impostazione non viene supportata dal sistema utilizzato, zenon passa automaticamente a DirectX Software. In linea di principio si dovrebbe preferire l´uso di DirectX Hardware , mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

attention Attenzione
  • DirectX non è disponibile sotto Windows CE.
  • DirectX non può essere usato per OCX.

DirectX

DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis.

Per poter usare DirectX, devono essere soddisfatti alcuni presupposti:

Condizione:

Descrizione

DirectX Hardware oppure DirectX Software deve essere attivato.

Nelle proprietà di progetto, per la proprietà Aspetto grafico si deve selezionare DirectX Hardware oppure DirectX Software.

Il sistema operativo deve supportare DirectX 11.1.

DirectX Hardware e DirectX Software funzionano solamente su sistemi operativi con supporto di DirectX11.1:

Se il sistema non supporta DirectX 11.1, si passa automaticamente a Windows Basis .

Deve essere installato l´attuale runtime DirectX. Esso viene installato per zenon automaticamente con il setup. Per il Web Client, però, deve essere installato manualmente.

L´immagine o l´elemento devono supportare DirectX.

Solamente gli elementi e le immagini supportati possono essere visualizzati mediante DirectX.

Per DirectX Hardware, devono essere soddisfatti i presupposti minimi.

Per I dettagli concernenti i requisiti minimi, consultate il capitolo Requisiti del sistema nel caso di uso di DirectX. Se tali requisiti non vengono soddisfatti, si passa automaticamente a DirectX Software.

Se il sistema operativo non fornisce nessuna accelerazione hardware (per esempio nel caso di Remote Desktop), è possibile che non si possa usare DirectX Hardware.

DirectX 11.1

Per l´uso di DirectX 11.1 vale quanto segue:

  • Per Windows 8 e le versioni più recenti del sistema operativo, DirectX 11.1 è nativo.
  • Per Windows 7 e Server 200R2 senza Service Pack e per le versioni ancora più vecchie del sistema operativo, DirectX 11.1 non è disponibile e non può essere utilizzato.
  • Per Windows 7 SP1 e Server 2008 R2 SP1 deve essere installato un Windows service pack.

Installare Service Pack per Windows 7 SP1 e Server 2008 R2 SP1.

Per installare il Service Pack:

  1. Scaricate dalla pagina del supporto tecnico di Microsoft l´aggiornamento piattaforma KB2670838.
  2. Selezionate la versione che corrisponde al vostri sistema operativo.
    • 32 Bit
    • 64 Bit
  3. Eseguite il file di registrazione corrispondente.

Nota: Ciò riguarda solamente Windows 7 SP1 e Server 2008 R2 SP1. DirectX 11.1 è già presente in versioni più recenti. L´update non può essere installato in versioni precedenti.

Noch in diesem Kapitel

DirectX: Migliorare le prestazioni grafiche

DirectX: Confronto fra DirectX Hardware e DirectX Software

DirectX: Trattamento errori


DirectX: Migliorare le prestazioni grafiche

Manuale -> Immagini -> Qualità grafica -> DirectX: Migliorare le prestazioni grafiche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In ogni calcolatore si trova una scheda grafica. Essa è importante per consentire la rappresentazione grafica sul vostro schermo.

Se la scheda grafica ha una memoria dedicata, essa dispone di una propria memoria; si tratta, dunque, di una scheda grafica separata e non di un processore grafico integrato. Le schede grafiche con memoria grafica dedicata e processore grafico vengono usate normalmente in forma di plug-in cards nel computer. Esse garantiscono di norma delle elevate prestazioni.

Un processore grafico integrato si trova direttamente nel processore principale del calcolatore e non può essere rimosso. Esso, di norma, non dispone di una propria memoria grafica e, perciò, ha bisogno di una parte della working memory. Una tale scheda grafica, in genere, offre prestazioni modeste.

Al fine di ottenere una buona visualizzazione delle immagini, bisogna avere un sistema di rappresentazione grafica di alta qualità e alte prestazioni. La prestazione grafica migliora con l´uso di DirectX; è comunque possibile che immagini ad alta risoluzione, con molti elementi ed effetti, possano provocare dei lunghi tempi di attesa.

Per ovviare a questo problema, si può ulteriormente migliorare la prestazione grafica tenendo presente le seguenti cose.

Elementi che possono influenzare la prestazione grafica:

Effetti

L´uso di effetti per elementi può avere conseguenze sulle prestazioni grafiche nel caso in cui si usino le seguenti proprietà:

  • Dimensioni ombra per valori diversi da 100%.
  • Effetto Blur per valori maggiori di 0
  • Estensione per valori maggiori di 0

Tipp Possibilità di aumentare le prestazioni grafiche.
  • Usate, se possibile, design alternativi, per i quali questi effetti non sono necessari.

Numero di elementi

Con l´aumentare del numero degli elementi progettati, crescono anche le prestazioni richieste al sistema di visualizzazione grafica.

attention Attenzione

Quando inserite degli elementi nei simboli, tenete presenti le seguenti informazioni:

  • I simboli vengono usati per lo più diverse volte; perciò, ogni elemento inserito, causa una corrispondente conseguenza relativa alle prestazioni.

Per avere una migliore visione d´insieme e una maggiore prestazione grafica, si consiglia di intraprendere i seguenti passi:

Tipp Possibilità di aumentare le prestazioni grafiche.

Rappresentazione da più elementi:

  • Quando è possibile, riassumete più elementi in un singolo elemento.

Esempi:

  • Per la rappresentazione di un rettangolo, usate un elemento-rettangolo e non un elemento-poligono.
  • Riassumete più singoli elementi-poligono in un singolo elemento-poligono.

Limiti dell´estensione dell´immagine:

  • Distribuite gli elementi su più immagini alle quali assegnerete rispettivamente un compito.
  • Aprite solo un´immagine alla volta, quella di cui l´utente ha bisogno per svolgere il suo lavoro.

Nascondere elementi per determinati livelli di zoom:

In diversi livelli di zoom sono richiesti diversi dettagli.

  • Settate perciò la visibilità degli elementi con riferimento a determinati livelli di zoom.

Elementi a struttura nidificata (simboli, elementi combinati e faceplate)

Un elemento che si trova direttamente su un´immagine, offre una prestazione maggiore di quello che si trova in un elemento a struttura nidificata, per esempio in un simbolo.

Tipp Possibilità di aumentare le prestazioni grafiche.
  • Rinunciate, se possibile, a forme gerarchiche inutilmente complesse.

Sfumature di colore

Le sfumature di colore richiedono prestazioni maggiori rispetto al semplice colore di riempimento.

Tipp Possibilità di aumentare le prestazioni grafiche.
  • Elementi con sfumature di colore che nell´immagine sono difficili da vedere o praticamente invisibili, hanno spesso un effetto ottico molto modesto. In questo caso, potete sostituire questi effetti con un semplice colore di riempimento.
  • Rinunciate a sfumature di colore ricorrendo ad altre alternative, come, ad esempio, il flat design.

Dinamiche

L´uso di dinamiche con elementi può portare ad un aumento delle prestazioni richieste, anche se ciò non ha alcun effetto visibile.

Esempi di dinamiche:

  • Pan,
  • Scala,
  • Rotazione.

Tipp Possibilità di aumentare le prestazioni grafiche.
  • Usate dinamiche solo nel caso esse siano veramente necessarie.
  • Usate mezzi statici anziché dinamici se l´effetto desiderato è più o meno lo stesso.
  • Evitate un´inutile elevata precisione di valori per le dinamiche.

Risoluzioni e grandezza degli elementi

Il numero di punti di immagine per la rappresentazione di un elemento può avere un effetto diretto sulla prestazione grafica.

Tipp Possibilità di aumentare le prestazioni grafiche.
  • Evitate risoluzioni alte, se esse non sono necessarie.
  • Ridurre la risoluzione:
    • Riducete la risoluzione monitor.
    • Riducete la grandezza degli elementi.

Sovrapposizione di elementi.

Se dovete ridisegnare un elemento perché volete apportagli una modifica, può darsi che dobbiate ridisegnare anche elementi che si trovano sopra o sotto.

Tipp Possibilità di aumentare le prestazioni grafiche.
  • Evitate la sovrapposizione di elementi che devono essere modificati spesso e velocemente.
  • Evitate, in caso di permanente cambiamento di valori, una refreshrate troppo alta.

Grandi file grafici

Grandi file grafici necessitano, a causa del grande numero di punti d´immagine, un grande impiego di risorse.

Tipp Possibilità di aumentare le prestazioni grafiche.
  • Adattate la grafica alla grandezza di output.
  • Evitate risoluzioni alte.
  • Usate, se possibile, elementi di zenon invece di file grafici.

Numero di immagini aperte.

Più immagini aperte contemporaneamente possono rendere necessarie maggiori prestazioni grafiche.

Tipp Possibilità di aumentare le prestazioni grafiche.
  • Aprite solo le immagini di cui avete realmente bisogno.
  • Chiudete quelle immagini di cui non avete bisogno al momento.
  • Create immagini d´insieme per assolvere a compiti specifici, anziché ricorrere a visualizzazioni dettagli.

Arrotondamenti

L´uso di effetti di arrotondamento con elementi può richiedere maggiori risorse grafiche.

Tipp Possibilità di aumentare le prestazioni grafiche.
  • Rinunciate ad effetti di arrotondamento, se possibile.
  • Usate delle alternative, come ad esempio, flat design.

Nota: Consigliamo di eseguire già nelle prime fasi di progettazione dei test concernenti prestazioni grafiche ed ergonomia sulla piattaforma di destinazione per la quale viene realizzato il progetto.


DirectX: Confronto fra DirectX Hardware e DirectX Software

Manuale -> Immagini -> Qualità grafica -> DirectX: Confronto fra DirectX Hardware e DirectX Software

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In linea di principio, l´output grafico di DirectX Hardware è identico a quello di DirectX Software. Vengono supportate le stesse proprietà grafiche per immagini ed elementi d'immagine con entrambe le opzioni grafiche.

Quando si deve scegliere l´opzione grafica fra DirectX Hardware e DirectX Software, si dovrebbe tener presente quanto segue:

DirectX Hardware

Consente una ulteriore accelerazione hardware tramite un processore grafico (GPU) compatibile con DirectX. Esso può essere integrato nel sistema del computer in forma di processore grafico integrato, oppure (la soluzione migliore) in forma di scheda grafica dedicata. Una scheda grafica compatibile con DirectX garantisce un´accelerazione di determinate operazioni grafiche. Essa riduce anche il carico che grava sul sistema del computer e ne migliora le prestazioni.

Tipp Suggerimento

Per una visualizzazione complessa ed estesa, si consiglia di assicurare un supporto grafico adeguato in forma di una scheda grafica altamente performante. In tal modo si creeranno i presupposti adatti per una funzionalità ergonomica del sistema. Ulteriori dettagli sui requisiti minimi in caso di uso di DirectX, li trovate nel capitolo Requisiti del sistema in caso di uso di DirectX.

DirectX Software

Se DirectX Hardware non è un´opzione disponibile, si può usare DirectX Software. Dopo che è stata selezionata questa opzione, DirectX usa l´emulazione per eseguire le operazioni grafiche sulla CPU del calcolatore. Perciò si può verificare una situazione di elevato carico del sistema, in particolare della CPU e della memoria di lavoro.

Nota: Le prestazioni disponibili di una Single o Multi Core CPU vengono usate completamente con questa opzione grafica.

Tipp Suggerimento

Per una visualizzazione complessa ed estesa, si consiglia di assicurare un supporto grafico adeguato in forma di una Multi Core CPU altamente performante. In tal modo si creeranno i presupposti adatti per una funzionalità ergonomica del sistema. Ulteriori dettagli sui requisiti minimi in caso di uso di DirectX, li trovate nel capitolo Requisiti del sistema in caso di uso di DirectX.


DirectX: Trattamento errori

Manuale -> Immagini -> Qualità grafica -> DirectX: Trattamento errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli errori vengono emessi nel Diagnose Viewer.

DirectX non viene inizializzato.

Se DirectX non può essere inizializzato all´apertura di un´immagine oppure durante il funzionamento del sistema, esso prova di nuovo ad inizializzare DirectX. Durante questo processo, l´Editor e il Runtime di zenon continuano a funzionare normalmente. Potete utilizzare questi tempo per cercare di risolvere il problema. Si può risalire alle possibili cause del problema e cercare delle possibili soluzioni usando il Diagnose Viewer.

Mentre è in corso il tentativo di inizializzare di nuovo DirectX, appare una barra che mostra lo stato di avanzamento. Per interrompere il tentativo di inizializzare di nuovo DirectX, procedete come segue:

  1. Cliccate sul pulsante Annulla.
  2. Confermate la segnalazione di errore che apparirà.
  3. A seconda del punto dove avete interrotto il processo, verrà chiuso o l`Editor, o il Runtime.

Nota: gli errori che impediscono di inizializzare di nuovo DirectX vengono indicati dal sistema mediante una corrispondente segnalazione di errore.

Diagnosis Viewer

DirectX mette a disposizione nel Diagnose Viewer dei messaggi propri con rispettivamente:

  • un messaggio di errore,
  • le possibili cause dell´errore stesso,
  • Codici di errore.

l´emissione avviene in un modulo ad hoc, DirectX. Nel caso di errori, viene emesso il testo corrispondente nel campo Error, nel caso di avvisi e indicazioni di Debug, viene emessa la segnalazione corrispondente nel campo testo Generale:

  • Per l´apertura di un´immagine, viene emesso perlomeno un messaggio di DEBUG in cui si avverte che l´operazione è stata eseguita con successo.
  • Gli avvisi rimandano a degli eventi che possono influenzare il funzionamento del sistema.
  • Se si verifica un errore a cui non è possibile ovviare, viene emessa una segnalazione di errore (Error).

info Informazioni su

Se una segnalazione non viene visualizzata per intero in un report del Diagnose Viewer, dovete aprire l´inserimento con un doppio clic, in modo tale da far apparire tutta la segnalazione.

Lista check per monitoraggio degli errori

Attivando i messaggi di Debug nel Diagnose Viewer si può verificare se DirectX funziona o meno. Se l´esito di questa verifica è positivo, il sistema visualizza un messaggio corrispondente.

  • Avvisi specifici DirectX oppure segnalazioni di errore sono visualizzati nel Diagnose Viewer?
  • Nella proprietà di progetto Qualità grafica è impostata l´opzione DirectX Hardware o DirectX Software?
  • Sono soddisfatti i presupposti minimi per l´uso di DirectX? Per I dettagli concernenti i requisiti minimi, consultate il capitolo Requisiti del sistema nel caso di uso di DirectX.
  • DirectX viene supportato dall´immagine o dall´elemento?
  • La visualizzazione con Windows Basic funziona correttamente?
  • La visualizzazione con un altro driver funziona correttamente?
  • La visualizzazione con una scheda grafica di un altro produttore funziona correttamente?


Menù contestuale - manager di progetto

Manuale -> Immagini -> Menù contestuale - manager di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Voce di menù | Azione
Nuova immagine | Crea una nuova immagine cui viene attribuito automaticamente il nome standard "Immagine"; essa costituisce il tipo d´immagine standard.
Esporta tutte in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa degli inserimenti da un file XML. Nota: i modelli esistenti non vengono sostituiti durante l´import XML tramite il nodo Immagini. Quando si effettua un import XML, i modelli esistenti vengono sovrascritti tramite il nodo modelli. In questo caso, tutte le immagini e gli elementi corrispondenti vengono adattati al nuovo modello.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online


Visualizzazione dettagli Barra simboli e Menù contestuale

Manuale -> Immagini -> Visualizzazione dettagli Barra simboli e Menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale

Voce di menù

Azione

Nuova immagine

Aggiunge una nuova immagine alla lista e setta il focus su questo inserimento.

Apri immagine

Apre la finestra principale relativa all´immagine selezionata.

Crea funzione standard

Apre l´assistente che serve a scegliere un´immagine e a configurare i dettagli necessari ad impostare automaticamente una funzione adeguata. L´azione viene documentata nella finestra di emissione.

Torna all'elemento di partenza

Cliccando si torna all´elemento a partire dal quale si à passati all´immagine.

Copia

Copia gli inserimenti selezionati negli appunti

Inserisci

Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".

Elimina

Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.

Estendi/riduci

Consente di estendere o ridurre tutti i nodi o quelli selezionati nella lista. Scegli:

  • Espandi tutto
  • Riduci tutto
  • Espandi selezione
  • Riduci selezione

Esporta selezione in XML

Esporta tutti gli inserimenti selezionati in un file XML.

Importa XML

Importa degli inserimenti da un file XML.

Nota: i modelli esistenti non vengono sostituiti durante l´import XML tramite il nodo Immagini. Quando si effettua un import XML, i modelli esistenti vengono sovrascritti tramite il nodo modelli. In questo caso, tutte le immagini e gli elementi corrispondenti vengono adattati al nuovo modello.

Esporta immagine/simbolo come file grafico...

Esporta l´immagine/il simbolo come file grafico. Il dialogo di selezione file mette a disposizione dell´utente i formati grafici supportati dal sistema. In linea di principio, vengono offerti tutti i Windows Imaging Component (WIC) codec installati sul sistema che supportano Salva. La dimensione del file dipende dall´immagine o dal simbolo da esportare.

Creare modello per tipo di immagine

Apre il dialogo che serve a Creare propri modelli per inserire degli elementi di controllo nel tipo di immagine.

Rimuovi tutti i filtri

Elimina tutte le impostazioni di filtro

Modifica celle selezionate

Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.

Sostituisci testo nella colonna selezionata...

Apre il dialogo che serve alla ricerca e alla sostituzione di testi.

Proprietà

Apre la finestra Impostazioni per l´inserimento selezionato.

Guida

Apre la guida online.

Nota: Le sotto-immagini di Faceplate collegate nel contenitore immagine non possono essere modificate. Esse possono essere solamente visualizzate e copiate.


Crea immagine

Manuale -> Immagini -> Crea immagine

Per creare un´immagine:

  1. Nel nodo Immagini, oppure nella visualizzazione dettagli delle immagini, selezionate il comando Nuova immagine del menù contestuale, oppure della barra degli strumenti.
  2. Verrà generata una nuova immagine del tipo standard.
  3. Nelle proprietà, oppure nella visualizzazione dettagli, selezionate, se necessario, un tipo di immagine speciale.
  4. Configurate le proprietà, come la grandezza, il modello che ne è alla base, le interazioni ecc.

Nota: Le immagini riprendono la grandezza dal modello che ne è alla base. le indicazioni di grandezza minori al modello verranno ignorate. Quando si configura per un´immagine una dimensione maggiore di quella del modello, essa diventa una Visualizzazione globale. Per effettuare la navigazione e lo scrolling all´interno delle visualizzazioni globali, potete usare un´immagine del tipo Supervisione globale, la gestione Touch e il mouse.


Barra simboli Immagini

Manuale -> Immagini -> Barra simboli Immagini

Per la modifica delle immagini avete a disposizione una barra dei simboli apposita. Essa viene visualizzata di default sotto la barra di menù.

Simbolo

(da sinistra a destra)

Funzione

Salva immagine

Salva l'immagine attiva.

Salva tutto

Salva tutte le immagini modificate.

Taglia

Taglia l'elemento attivo e lo salva negli appunti, anche per più progetti. Disponibile solo se è stato selezionato un elemento.

Copia

Salva una copia dell´immagine attuale negli appunti. Disponibile solo se è stato selezionato un elemento.

Inserisci

Aggiunge un´immagine presa dagli appunti. Disponibile solamente se gli appunti contengono dei dati.

Copia formato

Trasmette le formattazioni dell´elemento appena selezionato al prossimo elemento scelto.

Ridisegna immagine

Attualizza la visualizzazione dello schermo.

Annulla

Permette di annullare fino a 100 azioni. Di default possono essere annullate fino a 10 azioni.

Definisci il numero delle azioni: Opzioni -> Impostazioni -> Impostazioni -> Numero delle azioni annullate. Indicate un numero fra 1 e100.

Modifica

Passa dallo zoom alla modalità modifica.

Zoom

Mette a disposizione due modalità di zoom:

  • Zoom senza livelli:
    Si può inserire nel Combobox un valore qualsiasi compreso fra 15% e 400%, oppure si può scegliere un valore preimpostato.
  • Zoom tool:
    facendo uso dei simboli della lente di ingrandimento (+ e -) è possibile zoomare direttamente nell´immagine servendosi del mouse. Premete il tasto Ctrl e passate da una modalità all´altra. Il livello di zoom definito viene salvato per ogni singola immagine.

Chiudi modalità zoom: cliccate sul simbolo Modifica. nella barra dei simboli Elementi.

Guida

Apre la guida in linea.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.


Barra dei simboli Elementi

Manuale -> Immagini -> Barra dei simboli Elementi

Simbolo

Funzione

Modifica

Passa dallo zoom alla modalità modifica.

Ellisse/Cerchio

Con colore della cornice e quello di riempimento; tipo di cornice e modello di riempimento (cerchio).

Curva

Con larghezza, colore e tipo di linea definibili.

Arco di cerchio

Disegna un segmento di cerchio con un angolo di apertura di 180° (modificabile), spessore, colore e tipo della linea definibili.

Linea

Con larghezza, colore e tipo di linea definibili.

Poligono

Con colore della cornice e quello di riempimento; tipo di cornice e modello di riempimento.

Polilinea

Con tipo di linea e colore della linea.

Rettangolo

Con colore della cornice e quello di riempimento; tipo di cornice e modello di riempimento.

Tubatura

Con colore della cornice e quello di riempimento; tipo di cornice e modello di riempimento.

Testo statico

Con colore carattere e selezione del tipo di carattere

Pulsante

Campo di gestione in forma di pulsante.

Elemento Combinato

Visualizza una o più variabili su un unico punto d’ immagine con colori e simboli (sequenza caratteri).

Slider universale

Slider/potenziometro.

Interruttore

Semplice elemento di comando o d´impostazione di valori limite

Combo-/Listbox

Collega i valori di variabili con messaggi di testo.

Elemento di comando

Disponibile solo con licenza per SICAM 230.

Pulsante d'allarme ad immagine

Disponibile solo con licenza per SICAM 230.

Valore numerico

Visualizzazione dei valori in forma numerica.

Bargraf

Rappresentazione del valore su un bargraf.

Strumento analogico

Visualizzazione valori in forma analogica.

Collega testo

Visualizza testi associati a valori limite

Elemento Trend

Visualizzazione semplice con grafica lineare

Elemento WPF

Rappresenta file WPF-XAML validi.

ActiveX Element

Inserire elementi AktiveX

Orologio

Visualizza data ed ora.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.


Menù contestuale Elementi

Manuale -> Immagini -> Menù contestuale Elementi

Per gli elementi, il menu contestuale mette a Vostra disposizione dei comandi adatti alla situazione. Potete accedere a questi comandi anche tramite Menu e Barre simboli.

Comando

Descrizione

Simbolo

Apre la lista a cascata con comandi. A seconda dello stato simbolo, sono disponibili:

  • Crea gruppo elementi
  • Sciogli simbolo
  • Passa alla modalità modifica singola/Lascia la modalità modifica singola
  • Inserisci in gruppo di elementi esistente
  • Converti simbolo in gruppo di elementi
  • Modificarli nell´editor del simboli
  • Inserisci nella libreria simboli
  • Crea gruppo elementi

Crea un gruppo elementi.

  • Sciogli

Scompone un gruppo elementi nei suo elementi d'immagine.

  • Passa alla modalità modifica singola/Lascia la modalità modifica singola

Passa alla modalità modifica singola o torna alla modalità modifica simbolo La modalità modifica singola consente di modificare i singoli elementi di un simbolo.

  • Inserisci in gruppo di elementi esistente

Inserisce un simbolo in un gruppo elementi già esistente.

  • Converti simbolo in gruppo di elementi

Converte un simbolo in un gruppo di elementi.

  • Modifica nell'Editor dei simboli

Apre un simbolo nell´editor simboli per poterlo modificare in questa sede.

  • Inserisci nella libreria simboli

Apre il Dialogo che consente di aggiungere un gruppo elementi preso da un´immagine in una libreria. Il gruppo elementi viene convertito in un simbolo e inserito come tale. Il gruppo elementi rimane nell´immagine gruppo elementi.

Posizione elemento

Apre la lista a cascata che serve a modificare la posizione dell´elemento:

  • Primo piano: porta l’elemento selezionato in primo piano.
  • Sfondo: Porta l’elemento selezionato sullo sfondo.
  • Avanti: porta l’oggetto selezionato avanti di un livello.
  • Indietro: porta l’oggetto selezionato indietro di un livello.

Disponi

Apre la lista a cascata che serve a riordinare gli elementi.

Elemento collegato

Apre il menù a tendina con elementi collegati in modo dinamico, per es.: variabili, funzioni, caratteri, simboli ecc.

Sostituisci collegamenti

Cerca/sostituisci funzione
per esempio: sostituisci temperatura serb.1 con temperatura serb. 2.

Taglia

Taglia l’oggetto selezionato e lo conserva negli appunti.

Copia

Copia oggetti selezionati.

Inserisci

Incolla un oggetto tagliato o copiato negli Appunti.

Inserisci nella stessa posizione

Incolla un oggetto tagliato o copiato negli appunti inserendolo nella stessa posizione.

Elimina

Elimina l’oggetto selezionato.

Copia formato

Trasmette le proprietà di un elemento selezionato ad un altro o a più altri.

  • Trasmettere ad un elemento:

    cliccare su un elemento con proprietà originarie
    -> Cliccare sul simbolo Trasmetti proprietà oppure sul comando nel menu contestuale
    -> Cliccare sull´elemento di destinazione: Le proprietà vengono trasmesse.

  • Trasmettere a più elementi:

    Selezionare elemento sorgente
    -> Selezionare elementi di destinazione tenendo premuto il tasto Ctrl. (vengono evidenziati elementi sorgente e destinazione)
    > Cliccare sul simbolo Trasmetti proprietà oppure sul comando nel menu contestuale
    -> Trasmettere le proprietà dell´elemento sorgente agli elementi di destinazione.

Quali proprietà vengono trasmesse, dipende dall´oggetto fonte e da quello di destinazione.

Se sono stati selezionati più elementi come fonte, verranno trasmesse le proprietà del primo elemento selezionato.

Modalità schermo intero

La modalità schermo intero esclude tutte le altre finestre e mostra solamente quella principale con tutti i documenti aperti (immagini, rapporti ....) in forma di immagine piena che occupa tutto lo schermo.

La modalità schermo intero può essere terminata tramite:

  • il pulsante visualizzato per chiudere la modalità schermo intero
  • la combinazione tasti Shift +F9

Ridisegna immagine/simbolo

Attualizza la visualizzazione dello schermo.

Mostra griglia

Visualizza o nasconde la griglia.

Posiziona sulla griglia

attiva o disattiva l´orientamento di elementi alla griglia.

on: Tutti gli oggetti vengono allineati automaticamente alla griglia.

Nota: il tasto Ctrl disattiva questa impostazione temporaneamente. Se, spostando un elemento, si preme il tasto Ctrl, l´elemento non verrà orientato alla griglia.

Utilizza ancoraggio tra elementi vicini

Attiva o disattiva i punti di appiglio

Usa: se si avvicina un oggetto al punto di appiglio di un altro oggetti, l´oggetto si aggancia a questo punto di appiglio.

Zoom

Modifica la grandezza della visualizzazione in percentuali definite fra 15 % e 400 %.

Esporta immagine/simbolo come file grafico...

Esporta l´immagine/il simbolo come file grafico. Il dialogo di selezione file mette a disposizione dell´utente i formati grafici supportati dal sistema. In linea di principio, vengono offerti tutti i Windows Imaging Component (WIC) codec installati sul sistema che supportano Salva. La dimensione del file dipende dall´immagine o dal simbolo da esportare.

Inserisci grafica vettoriale

Apre il dialogo che serve ad inserire una grafica vettoriale esterna.

Nota: l´importazione di grafiche vettoriali non è disponibile per l´Editor a 64-Bit.

Proprietà

Apre la finestra delle proprietà dell´elemento selezionato.

Guida

Attiva la guida online


XML-Export e XML-Import

Manuale -> Immagini -> XML-Export e XML-Import

Esporta immagini

Con le immagini vengono esportate anche le variabili e funzioni ivi contenute. Il file di esportazione per le immagini contiene:

  • Immagini
  • Modelli
  • Simboli
  • Variabili
  • Funzioni

Per esportare delle immagini:

  1. selezionate l´immagine desiderata
  2. selezionate nel menù contestuale oppure nella visualizzazione dettagli il comando Esporta in XML.. ..
    Alternativa: selezionate nel menù contestuale del nodo Immagini il comando Esporta tutti in XML...
  3. si apre il dialogo di selezione per il luogo di salvataggio
  4. Selezionate il luogo di salvataggio desiderato
  5. assegnate un nome
  6. fate attenzione al tipo di dato XML
  7. confermate cliccando sul pulsante Salva

Le immagini selezionate vengono esportate in un file XML e possono essere reimportate in qualsiasi momento in questo o in altri progetti.

Importa immagine

Per importare delle immagini:

  1. selezionate nel menù contestuale del nodo Immagini oppure della visualizzazione dettagli Immagini il comando Importa file XML
  2. si apre il dialogo di selezione per il luogo di salvataggio
  3. passate al luogo di salvataggio del file XML desiderato
  4. selezionate il file desiderato
  5. confermate l´import cliccando sul pulsante Apri

Le immagini vengono importate.

Conflitti causati dal nome in caso di import

Quando si importa un´immagine, il sistema usa il nome depositato nel file XML (attributo ShortName) per la denominazione della nuova immagine che deve essere impostata. Se esiste già un´immagine che ha lo stesso nome, l´import viene interrotto e appare una segnalazione di errore:

Parametri | Descrizione
Sì | L´immagine citata nella segnalazione di errore viene sostituita nel corso dell´import da quella proveniente dal file XML. Nel caso si verifichi un altro conflitto, la segnalazione di errore apparirà di nuovo.
No | L´immagine citata nella segnalazione di errore non verrà importata; viene mantenuta l´immagine già esistente. Nel caso si verifichi un altro conflitto, la segnalazione di errore apparirà di nuovo.
Sì tutti | L´immagine citata nella segnalazione di errore viene sostituita nel corso dell´import da quella proveniente dal file XML. Quest´impostazione viene usata automaticamente nel caso in cui si verifichino altri errori dovuti all´uguaglianza di nomi. Tutte le immagini interessate vengono sostituite.
No tutti | L´immagine citata nella segnalazione di errore non verrà importata; viene mantenuta l´immagine già esistente. Quest´impostazione viene usata automaticamente nel caso in cui si verifichino altri errori dovuti all´uguaglianza di nomi. Tutte le immagini interessate vengono mantenute.

Nota: Si usa solamente lo ShortName. Il nome file non gioca alcun ruolo nella denominazione dell´immagine da importare, e, dunque, non può essere usato per la risoluzione del conflitto.

Variabili e funzioni in immagini

Gli Elementi dinamici e i Modelli vengono importati automaticamente con le immagini. Le variabile e le funzioni devono essere importate da questo file in maniera separata.

Vengono considerate però solo le variabili e funzioni del primo livello, cioè, le variabili e funzioni che sono collegate direttamente con l´immagine. Siccome da un lato i funzioni si possono riferire su delle variabili (p.e. valore impostabile) e dall´altro lato si possono riferire le variabili su delle funzioni (p.e. funzioni di valore impostabile), potrebbe essere necessario, di importare prima le variabili, poi le funzioni e alla fine un altra volta le variabili. Solo dopo tutti i collegamenti vengono assunti nel modo corretto.

Esempio: Un'immagine contiene un pulsante collegato con una funzione setta valore impostabile su una variabile. Con l´immagine viene importata la funzione, ma non la variabile.

info Informazioni su

In questo caso si consiglia l´uso del Wizard XML Import.


Elementi d´immagine

Manuale -> Immagini -> Elementi d´immagine

In zenon usate due tipi di elementi ad immagine:

  1. elementi vettoriali statici
  2. Elementi dinamici

Per la modifica di elementi ad immagine, avete a disposizione molte combinazioni di tasti. Dei dettagli su questo argomento li trovate nella guida in linea, e precisamente nel capitolo Combinazioni tasti Grafica.

In questa sezione trovate informazioni sui seguenti argomenti:

  • Aggiungi nella finestra principale
  • Definisci proprietà
  • Modificare la grandezza dell´elemento
  • Gira elemento
  • Altezza righe
  • Comportamento durante il Runtime:
    • Movimento
    • Visualizzazione grafica
    • Successione nel Runtime
    • Visibilità
    • Elementi nascosti
  • Elementi vettoriali in zenon
  • Elementi dinamici in zenon:

Aggiungi nella finestra principale

L´elemento selezionato può essere aggiunto più volte nella finestra principale e può essere ordinato in quella sede. Quale elemento è stato selezionato ed è, dunque, attivo, lo mostra un simbolo sotto la punta del puntatore del mouse. Per trascinare l´elemento:

  1. premete il tasto sinistro del mouse;
  2. spostare il mouse,
  3. rilasciare il tasto del mouse;

Eccezione: Poligono, polilinea e tubatura

  • Con un clic del mouse si aggiunge una nuovo punto di appoggio.
  • Cliccando due volte,oppure premendo il tasto Esc, si interrompe il disegno.

Gli elementi possono essere ruotati liberamente facendo uso del mouse; a tal scopo:

  1. cliccate con il mouse sull´elemento
  2. usando il punto di ridimensionamento di colore giallo, ruotate l´elemento

Il punto di ridimensionamento e, in tal modo, anche il punto di rotazione possono essere impostati nelle proprietà Punto di riferimento.

attention Attenzione

Ogni elemento deve avere un ID univoco. Se si usano più elementi con lo stesso ID in una stessa immagine, tutti i duplicati vengono rimossi durante la compilazione. Se, ad esempio, si copia un pulsante e lo si inserisce nella stessa immagine, esso avrà lo stesso ID. In questo caso, la copia verrà rimossa durante la compilazione.

Eccezione: È consentito creare più container nell´immagine del tipo Faceplate.

Definisci proprietà

Per elementi nella finestra principale, le proprietà vengono impostate nella Finestra delle proprietà. A questo scopo deve essere attivo l'elemento corrispondente nella Finestra principale.

Potete selezionare anche più elementi contemporaneamente e potete attribuire a tutti delle proprietà. A questo proposito vale quanto segue:

  • i valori diversi per diverse proprietà vengono evidenziati in colore rosso.
  • Le proprietà che non possono essere modificate insieme, sono disattivate.

Quando create degli elementi, ricevete anche delle brevi indicazioni a proposito delle proprietà. A questo scopo, attivate in zenon la Finestra della guida in linea.

Modificare la grandezza dell´elemento

Per modificare la grandezza di un elemento, possono essere usati il mouse, la tastiera, le proprietà oppure un dialogo:

  • Con il mouse:
    1. cliccate su uno dei punti di aggancio che si trovano sulla cornice dell´elemento
    2. trascinate l´elemento finché non otterrete la grandezza desiderata
  • Con la tastiera:
    • attivate il punto di aggancio desiderato (il puntatore del mouse deve trovarsi sopra di esso)
    • trascinate facendo uso dei tasti con le frecce:
    • una pressione su uno dei tasti con le frecce modifica la posizione di 1 pixel
    • Con il tasto shift: + tasto con la freccia una pressione su uno dei tasti con le frecce modifica la posizione di 10 pixel
  • Con la finestra di proprietà: nel gruppo proprietà Posizione potete fissare la posizione e la grandezza degli elementi con la precisione di un pixel.
  • Con un dialogo: cliccate due volte su un punto di aggancio e si aprirà un dialogo nel quale potete fissare con la precisione di 1 pixel la posizione dell´elemento

Nota: Se, per la proprietà Dimensione bitmap, l´opzione Dimensione originale è stata scelta come valore con l´elemento multibin, l´elemento combinato, pulsante oppure interruttore, la larghezza e l´altezza del rispettivo file grafico non possono essere più modificate.

Gira elemento

Gli elementi possono essere girati a piacimento. Il punto di rotazione viene fissato facendo uso delle proprietà nel gruppo Punto di riferimento.

Fissate l´angolo di rotazione come segue:

  • Con il mouse: cliccate sull´elemento e fate ruotare quest´ultimo facendo perno sul punto di aggancio di color verde.
  • Con la finestra di proprietà: Con la proprietà Rotazione [°]nel gruppo Posizione.
  • Con un dialogo: cliccando due volte sul punto di aggancio verde, si apre un dialogo nel quale potete indicare l´angolo di rotazione.

info Informazioni su

Elementi d´immagine a base finestra come ActiveX, liste o combo/listbox, non possono essere ruotati durante il Runtime. La configurazione nell`Editor è possibile per ActiveX, essa però non ha nessun effetto sulla visualizzazione nel Runtime.

Altezza righe

Tramite la proprietà Visualizzazione/Zeilenhöhe [Pixel] si può definire per determinati elementi l´altezza delle righe indipendentemente dalla dimensione del carattere. Il valore di default è 0 Pixel. In tal modo l´altezza delle righe viene impostata indipendentemente dalla dimensione del carattere. Ogni valore superiore a 0 stabilisce un valore fisso in pixel per l´altezza delle righe. Se è definita una altezza di riga, le rappresentazioni grafiche non vengono scalate in modo corrispondente all´altezza della riga, ma vengono adattate alla dimensione del font.

Attenzione: se si seleziona un´altezza delle righe:

  • troppo grande, è possibile che nel runtime il sistema non visualizzi nulla.
  • minore di quella del font, le visualizzazioni grafiche non saranno complete, ma tagliate.

Durante il runtime

Trasformazione

Definisce la successione di trasformazione per gli elementi grafici.

  • Rotazione -> Zoom -> Traslazione
  • Zoom -> Rotazione-> Traslazione

Default: Zoom -> Rotazione -> Traslazione

Potete trovare ulteriori informazioni su questo argomento nel capitolo Successione di trasformazione degli elementi d'immagine.

Visualizzazione grafica

Gli elementi con grafiche mostrano la grafica solo se esiste il valore corrispondente.

Se la variabile non possiede alcun valore, oppure se esso non è stato ancora richiesto, nel Runtime non verranno visualizzate le grafiche negli elementi (per es. nell´elemento combinato). Ciò vale anche per le variabili di quei sotto-progetti per i quali il server progetti non è raggiungibile. In questo caso, però, viene visualizzato (se l´opzione è attiva) un problema di comunicazione (quadrato blu). Se non diventa impossibile raggiungere il server per un sotto-progetto dopo che dei valori sono già stati trasmessi alla variabile, la grafica verrà visualizzata fino alla nuova apertura dell´immagine.

Nel caso di problemi di comunicazione con il PLC, le variabili ricevono perlomeno 0, oppure l´ultimo valore noto con lo stato Non valido (INVALID). In tal modo, la grafica viene visualizzata.

Ordinamento

Nel Runtime vale normalmente la seguente successione di visualizzazione degli elementi, dall´alto in basso:

  • Elemento WPF: sempre in primo piano
  • Elemento ActiveX: sempre in primo piano, ad eccezione del caso in cui ad esso si sovrapponga un elemento WPF
  • Elementi dinamici e vettoriali

Visibilità

La visibilità di un elemento nel Runtime viene definita mediante le proprietà del gruppo Visibilità/lampeggio. Tramite le impostazioni della proprietà Visibilità si stabilisce se la visibilità di una variabile o un interblocco viene definita. ,

  • Variabile: La visibilità è controllata mediante una variabile. Se non è stata definita nessuna variabile, l´elemento è sempre visibile. Se è stata definita una variabile, la visibilità viene o ripresa dalle proprietà del valore limite di questa variabile, oppure determinata dal campo valori che è definito nelle proprietà Da e A.
  • Interblocco: La visibilità è controllata da un interblocco. Se non è stata definito nessun interblocco, l´elemento è sempre visibile. Con la proprietà Visibile, se interbloccato si definisce se l´elemento è visibile quando è bloccato o quando non lo è.

Visibilità in caso di interblocco

Interblocco collegato | Interblocco attivo | Visibile, se interbloccato | Risultato
X | X | X | visibile
X | X | - | invisibile
X | - | X | invisibile
X | X | - | visibile
- | - | - | visibile

Comportamento in caso di conflitto

Se in fase di configurazione si è settato lo stesso interblocco per interblocchi nelle proprietà di progetto di Gestione user o Aspetto grafico, e si è settata la visibilità per l´elemento d'immagine, l´impostazione locale ha una priorità maggiore rispetto a quella nelle proprietà di progetto.

info Informazioni su

Gli elementi d'immagine, che sono collegati con una variabile che non ha né valore, né stato, vengono resi invisibili durante il Runtime.

Elementi nascosti

Nel caso di elementi sovrapposti vale quanto segue:

  • se un elemento vettoriale si sovrappone ad un elemento dinamico, allora
    • l´elemento dinamico oppure la parte che viene coperta non vengono visualizzati
    • l´elemento dinamico, anche quando è coperto completamente, rimane utilizzabile.
  • Se diversi elementi dinamici sono sovrapposti l´uno all´altro, sono utilizzabili solamente le parti visibili (sulle quali si può cliccare).

info Informazioni su

Agli elementi che vengono coperti durante il Runtime, si può accedere facendo uso della tastiera. I dettagli concernenti la progettazione li potete trovare nella guida riguardante il Runtime, nel capitolo Stabilisci successione all´interno del modello.

Elementi vettoriali in zenon:

Gli elementi vettoriali li generate in zenon con l´editor dei caratteri. Nella Barra degli strumenti Elementi selezionate l´elemento desiderato e lo posizionate facendo uso del mouse nella Finestra principale. Facendo uso della finestra Proprietà configurate le proprietà. A questo scopo deve essere selezionato l'elemento nella Finestra principale.

Elemento | Proprietà
Ellisse: | Con colore e tipo di linea e di riempimento;
Cerchio | Selezionare il simbolo Ellisse, tenendo premuto il tasto Shift; con colori della cornice e di riempimento; stile cornite e tipo di riempimento
Curva | larghezza, colore e tipo di linea definibile
Arco di cerchio | larghezza, colore e tipo di linea definibile
Linea | larghezza, colore e tipo di linea definibile
Poligono | Con colore e tipo di linea e di riempimento;
Polilinea | Con tipo e colore della linea (se descrive un’ area piana chiusa, anche tipo e colore di riempimento)
Quadrato | Selezionare il simbolo Rettangolo tenendo premuto il tasto Shift; con colori della cornice e di riempimento; stile cornice e tipo di riempimento.
Rettangolo | Con colore della cornice e quello di riempimento; tipo di cornice e modello di riempimento.
Rettangolo arrotondato | Con colore e tipo di linea e di riempimento; tipo di cornice e modello di riempimento, grado di arrotondamento
Tubatura | Con colore e tipo di linea e di riempimento;
Testo statico | Con colore e selezione del tipo di carattere

Import di proprie grafiche vettoriali

Gli elementi vettoriali che sono stati creati in programmi esterni, possono essere importati e implementati come immagine. Usate a tale scopo nel manager di progetto il settore File -> Grafici -> Aggiungi file .

Nota: l´importazione di grafiche vettoriali non è disponibile per l´Editor a 64-Bit.

Elementi dinamici in zenon

Gli elementi dinamici li generate in zenon con l´editor dei caratteri. Nella Barra degli strumenti Elementi selezionate l´elemento desiderato e lo posizionate facendo uso del mouse nella Finestra principale. Facendo uso della finestra Proprietà configurate le proprietà. A questo scopo deve essere attivo l'elemento nella Finestra principale. E´possibile dinamizzare gli elementi grafici direttamente in questa sede facendo uso di variabili. Per molti elementi viene visualizzato un dialogo di configurazione al momento della loro creazione.

Elementi dinamici in zenon:

Elemento

Funzione

ActiveX

Aggiunge un qualsiasi elemento ActiveX. Esso deve essere già installato sul calcolatore.

Bargraf

Rappresenta la grandezza di segnale in forma di barra. Si modifica la lunghezza di una barra con la grandezza del segnale.

Elemento di comando

Permette l´impostazione di comandi per il modulo Comando. Necessaria la licenza per SICAM 230.

Pulsante d'allarme ad immagine

Consente l´allarme tramite l´immagine con colore e lampeggio. Necessaria la licenza per SICAM 230.

Pulsante Bitmap

Collega un file grafico (grafica pixel: *.bmp, *.jpg, *.gif, o *.png oppure grafica vettoriale: *.wmf) ad un pulsante.

Attenzione! Questo elemento non è a disposizione se la proprietà di progetto Crea RT file per è stata settata a meno di 6.50. A partire dalla versione 6.50, questa funzionalità è integrata nell´elemento Pulsante.

Pulsante

Consente di inizializzare delle azioni come, ad esempio, "Esegui funzione", oppure "Setta valore impostabile". Può rappresentare testo e grafiche ed essere posizionato come oggetto trasparente su altri elementi.

Attenzione! se la proprietà di progetto Crea RT file per è stata impostata su un valore minore a 6.50, nel runtime vengono visualizzate solamente le emissioni testuali. Grafiche e la funzione e invisibile devono essere progettati con gli elementi Pulsante bitmap e pulsante invisibile.. Trovate questi due elementi in fondo alla lista a cascata Elementi.

Elemento Combinato

Rappresenta in modo visivo stati di variabili tramite simboli, immagini e testi, e può essere usato anche come interruttore, oppure come pulsante.

Combo-/Listbox

Mostra in dipendenza del valore della variabile un testo in un combobox o in una listbox. Tramite la selezione di un inserimento, viene settato il valore corrispondente, oppure viene eseguita la funzione corrispondente.

Collega testo

Rappresenta il valore di una variabile stringa in forma alfanumerica, oppure il testo del valore limite attuale di variabili numeriche.

Elemento di segnalazione

Legge il testo da un file testo in dipendenza dei valori di due variabili e lo visualizza.

Attenzione! Questo elemento non è a disposizione se la proprietà di progetto Crea RT file per è stata settata a meno di 07:50. A partire dalla versione 7.50, questa proprietà non è più supportata.

Multibin

Consente di visualizzare una grafica in dipendenza dei valori della variabile, oppure di colorare simboli e emettere un testo di stato.

Attenzione! Questo elemento non è a disposizione se la proprietà di progetto Crea RT file per è stata settata a meno di 07:50. A partire dalla versione 7.50, questa proprietà non è più supportata.

Interruttore

Mostra i valori di una variabile binaria e li modifica.

Simbolo di movimento

Consente di spostare, di girare oppure di modificare la grandezza di un simbolo in dipendenza dei valori delle variabili.

Elemento Trend

Visualizza dei valori in forma di curve di trend.

Orologio

Mostra l´orario attuale e la data.

Slider universale

Mette a disposizione dell´utente slider in diverse vesti grafiche.

Pulsante invisibile

Oggetto trasparente con cui può essere inizializzata un´azione, come, ad esempio, "Esegui funzione", oppure "Setta valore impostabile".

Attenzione! Questo elemento non è a disposizione se la proprietà di progetto Crea RT file per è stata settata a meno di 6.50. A partire dalla versione 6.50, questa funzionalità è integrata nell´elemento Pulsante.

Elemento WPF

Mostra file WPF-XAML in zenon.

Valore numerico

Visualizza il valore di una variabile in forma numerica.

Strumento analogico

Mostra il valore di una variabile in forma di uno strumento analogico di misurazione.

Elemento di stato

Trasmette proprietà di variabili collegate ad un simbolo e mostra valori limiti statici.

Attenzione! Questo elemento non è a disposizione se la proprietà di progetto Crea RT file per è stata settata a meno di 07:50. A partire dalla versione 7.50, questa proprietà non è più supportata.

Definisci proprietà

Nal caso di molti elementi dinamici, si apre un dialogo di configurazione che serve alla selezione di variabili e/o funzioni che definiscono il comportamento dell´elemento nel runtime. Le proprietà possono essere impostate anche senza far ricorso al dialogo di configurazione nella Finestra delle proprietà. Le si può modificare in questa sede in qualsiasi momento. A questo scopo deve essere attivo l'elemento corrispondente nella Finestra principale.

Potete selezionare anche più elementi contemporaneamente e potete attribuire a tutti delle proprietà. A questo proposito vale quanto segue:

  • i valori diversi per diverse proprietà vengono evidenziati in colore rosso.
  • Le proprietà che non possono essere modificate insieme, sono disattivate.

Quando create degli elementi, ricevete anche delle brevi indicazioni a proposito delle proprietà. A questo scopo, attivate in zenon la Guida delle proprietà.

Visualizzazione nella finestra principale

Ottenete le informazioni concernenti un elemento dinamico nella finestra principale tramite:

tooltip con mouseover:

  • Tipo di elemento
  • Nome elemento
  • Nome funzione/tipo funzione
  • Variabili collegate

Nella barra di stato quando attivate:

  • Posizione del puntatore del mouse
  • Tipo di elemento
  • Nome elemento
  • Punto di partenza
  • Larghezza/Altezza

Noch in diesem Kapitel

.NET Controls

ActiveX

Bargraf

Elemento di comando

Pulsante d'allarme ad immagine

Pulsante

Elemento combinato

Combo-/Listbox

Collega testo

Ellisse:

Cerchio

Curva

Arco di cerchio

Linea

Poligono

Polilinea

Rettangolo

Quadrato

Tubatura

Interruttore

Testo statico

Elemento Trend

Orologio

Slider universale

WPF

Valore numerico

Strumento analogico

Elementi di versioni precedenti

Elementi d'immagine nel Runtime


.NET Controls

Manuale -> Immagini -> Elementi d´immagine -> .NET Controls

L´ActiveX Control CD_DotNetControlContainer.Container permette di utilizzare .NET Windows Forms Controls come elemento dinamico in zenon. Vengono supportate tutte le funzioni implementate in .NET Control. Può essere usato con tutte le versioni di zenon (a partire da 5.50), che supportano ActiveX.

Nota: NET Framework 3.5 (oppure una versione successiva) deve essere disponibile.

info Informazioni su

Se volete saperne di più sull´uso di .NET con zenon, Vi invitiamo a leggere la parte della guida dedicata alle Interfacce di programmazione nel capitolo .NET.

Per utilizzare l´ActiveX Control CD_DotNetControlContainer.Container:

  1. create anzitutto un elemento dinamico del Tipo ActiveX;
  2. selezionate nella lista dei control disponibili CD_DotNetControlContainer.Container
  3. Cliccate sul pulsante Proprietà
  4. Si apre il dialogo che Vi guida attraverso i passi della configurazione del control;

Parametri | Descrizione
Load | Apre il manager file che serve a selezionare un .NET Control Assembly. Nota: il .NET Control Assembly si deve trovare nella stessa cartella come il runtime. Viene salvato sempre il percorso assoluto per il .NET Control Assembly, per esempio: C:\Controls\Assembly.dll.
SelectUserControl | Selezione del .NET Control fra quelli disponibili nel .NET Control Assembly selezionato.
Preview | Mostra il percorso assoluto per il .NET Control Assembly. Campo sotto a sinistra: anteprima del control. Campo sotto a destra: lista delle proprietà per il .NET Control selezionato.
Simbolo: secondo le categorie | Mostra le proprietà ordinate secondo le proprietà.
Simbolo: alfabetico | Mostra le proprietà organizzate in ordine alfabetico.
Simbolo: pagine delle proprietà | Mostra le pagine di proprietà.
Ok | Conferma la configurazione. Essa viene poi salvata nell´elemento ActiveX di zenon come XML Stream.
Elimina | Rifiuta la configurazione


ActiveX

Manuale -> Immagini -> Elementi d´immagine -> ActiveX

Servendovi dell´elemento dinamico ActiveX potete implementare degli elementi ActiveX Elemente nei Vostri progetti.

info Informazioni su

Se volete saperne di più sull´uso di ActiveX con zenon, Vi invitiamo a leggere la parte della guida dedicata allo Scripting nel capitolo ActiveX.

Per creare un ActiveX in un´immagine, procedete come segue:

  1. selezionate il simbolo ActiveX nella barra degli strumenti Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento di gestione tenendo il tasto sinistro del mouse premuto.
  4. Si apre un dialogo di configurazione nel quale sceglierete l´elemento e lo configurerete.
  5. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  6. Se tenete premuto il tasto Alt quando trascinate l'immagine per i punti d'angolo più esterni, la modifica viene realizzata simmetricamente.

Definirete le singole proprietà dell´elemento nella finestra di proprietà. Per consentire ciò, l´elemento deve essere attivo nella finestra principale (clic del mouse). Per selezionare oppure modificare in un secondo momento dei control, aprite il dialogo di configurazione con un doppio clic, oppure usando la voce di menù Proprietà del menù contestuale.

attention Attenzione

Appariranno solamente quegli elementi ActiveX che sono installati e registrati sul computer. Tenete presente che tutti gli elementi ActiveX utilizzati, sono installati su tutti i sistemi runtime sui quali usate il Vostro progetto.
Per registrare degli elementi ActiveX su sistemi remoti, potete usare anche il Trasporto Remoto. Vedi: Imposta file (copia&registra)

Configurazione ActiveX

Elementi ActiveX

Elemento | Funzione
Elementi ActiveX | Lista di tutti gli elementi ActiveX disponibili.
Proprietà | Apre, se esistente, un dialogo di configurazione per l´ActiveX evidenziato. Potete ricevere delle informazioni e assistenza per realizzarne la configurazione dal produttore del ActiveX Controls in questione.

Assegnazione variabili

Elemento | Funzione
Assegnazione variabili | Lista delle variabili attribuite all´elemento ActiveX.
Variabile | Apre, se è possibile un´assegnazione variabili, il dialogo di zenon che serve alla scelta delle variabili stesse.
In giù | Ordina le variabili evidenziate verso il basso.
In su | Ordina le variabili evidenziate verso l´alto.

Cambio di posizionamento durante il runtime

Gli "Windowed ActiveX-Controls" funzionano nel Runtime con coordinate mouse non trasformate. Se un elemento viene ruotato, allungato o ne vengono modificate in altro modo la dimensione o la posizione, il control si adatta e viene eseguito sempre nella posizione originaria. L´elemento trasformato, dunque, non può più essere gestito per mezzo del control nella sua nuova posizione.

I Windowless ActiveX-Control possono funzionare nel Runtime con coordinate del mouse trasformate. Se si ruota, allunga o si modifica in altro modo la posizione di un elemento, il control funziona se sono soddisfatti i seguenti requisiti:

  • non funziona sotto Windows CE.
  • non contiene un control in windowless ActiveX
  • Windowsless ActiveX supporta correttamente caratteri trasformati

info Informazioni su

Tenete presente la differenza fra elementi ActiveX windowed e windowless.

Gli elementi "Windowed ActiveX" (per es. tutti gli Microsoft ActiveX Controls) si trovano sempre in primo piano.

Sopra gli elementi "ActiveX windowless", invece, si può sempre porre, per esempio, un elemento dinamico.


Bargraf

Manuale -> Immagini -> Elementi d´immagine -> Bargraf

Con l´elemento dinamico Bargraf indicate numericamente la grandezza di un segnale. La lunghezza della barra cambia nel corso del runtime con la grandezza del segnale.

Per creare un Bargraf in un´immagine:

  1. selezionate il simbolo Bargraf nella barra dei simboli Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. si apre il dialogo per la selezione di una variabile
  5. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  6. tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.

Definirete le singole proprietà dell´elemento nella finestra di proprietà. A questo scopo deve essere attivo l'elemento nella Finestra principale (clic del mouse).

Per modificare la variabile collegata:

  1. aprite le variabili nella Visualizzazione dettagli del manager di porgetto.
  2. trascinate la variabile desiderata sull´elemento tenendo il tasto sinistro del mouse premuto
  3. La variabile esistente viene sostituita dalla nuova.

Rappresentazione di una violazione di valore limite mediante un colore

Nel caso si verifichi una violazione di un valore limite, il colore fissato nella variabile può essere utilizzato per colorare tutta l´area, oppure solamente l´area a partire dalla violazione stessa. Questa funzionalità viene gestita mediante la proprietà Esplicito del gruppo Visualizzazione.

Questa proprietà ha effetto solamente sulla rappresentazione di valori con valori limite definiti da variabili. I valori limite da matrici di reazione non vengono presi in considerazione.

  • Attivo: Se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
    Se la variabile ha diversi valori limite, le corrispondenti aree della rappresentazione sono visualizzate con il colore corrispondente del valore limite.
  • Inattivo: se un valore limite della variabile collegata viene violato, tutta la visualizzazione viene rappresentata con il colore del valore limite violato.

Default: inattivo


Elemento di comando

Manuale -> Immagini -> Elementi d´immagine -> Elemento di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Permette l´impostazione di comandi per il modulo Comando. Necessaria la licenza per SICAM 230.

Le istruzioni per l´uso dell´elemento le trovate nella guida di SICAM 230.


Pulsante d'allarme ad immagine

Manuale -> Immagini -> Elementi d´immagine -> Pulsante d'allarme ad immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Attenzione: Il Pulsante Allarmi ad immagine necessita di una licenza per SICAM 230. Ulteriori istruzioni per l´uso dell´elemento le trovate nella guida di SICAM 230.


Pulsante

Manuale -> Immagini -> Elementi d´immagine -> Pulsante

Per mezzo dell´elemento dinamico Pulsante, create un pulsante configurabile liberamente che poi userete nell´immagine o per eseguire una funzione, oppure come interruttore per una variabile binaria.

Il pulsante può

  • visualizzare un file grafico
  • animare un file grafico
  • essere rappresentato in modo non visibile

info Informazioni su

Fino alla versione 6.22 compresa, i pulsanti vengono suddivisi in pulsanti di testo, pulsanti bitmap e pulsanti non visibili. A partire dalla versione 6.50, tutte le proprietà configurabili per mezzo di pulsanti sono riassunte nell´elemento Pulsante.

Per creare l´elemento dinamico Pulsante in un´immagine, procedete come segue:

  1. selezionate il simbolo Pulsante nella barra degli strumenti Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. Si apre Dialogo di selezione Funzioni.
  5. Selezionate la funzione desiderata.
  6. Stabilite nella finestra delle proprietà quelle che desiderate.

    Suggerimento: Potete arrotondare gli angoli a piacere.

  7. Le variabili le aggiungete per Drag&Drop.

Descrizione

Per inserire una denominazione per il pulsante, procedete come segue:

  • cliccate sull´elemento;
  • digitate un testo;
  • definite nel nodo Testo le proprietà di questo testo.

Sottolinea

Per sottolineare un testo, ponete davanti ad esso un &.

T&ext diviene:

Nel caso in cui vogliate utilizzare il carattere '&' nel testo, digitatelo due volte:
1 && 2 diviene 1 & 2.

A capo

Per andare a capo, usate la successione di caratteri \n.

Esempio:

riga 1 \n

riga 2

Pulsante come interruttore

Per usare il pulsante come interruttore, procedete come segue:

  1. Attivate nel nodo Setta valore impostabile la proprietà Interruttore.
  2. Con la proprietà Pulsante, attivate le impostazioni per usare il pulsante come momentary switch.
  3. Collegate il pulsante con una variabile binaria (nodo Variabile / funzione, proprietà Variabile).

Pulsante per l´esecuzione di una funzione

Per collegare il pulsante con una funzione, procedete come segue:

  1. Disattivate nel nodo Setta valore impostabile la proprietà Interruttore.
  2. Collegate il pulsante con una funzione (nodo Variabile / funzione, proprietà Funzione).

Pulsante con grafica

Per dotare un pulsante di una grafica, procedete come segue:

  1. Cliccate nell´elemento.
  2. Definite le grafiche desiderate per i diversi stati di switch nel nodo Riempimento facendo uso delle proprietà File grafico e File grafico a tasto premuto
    Potete utilizzare i seguenti file grafici:
    grafica bitmap: *.bmp, *.jpg, *.gif oder *.png
    Grafica vettoriale: *.wmf.

Di default un pulsante con grafica ha una sottile linea cornice 3D, che copre un pixel per ogni lato della grafica. Se volete che la grafica sia visibile completamente, procedere come segue:

  • Attivate nelle proprietà del pulsante, e più precisamente nel gruppoRiempimento, la proprietà Trasparenza del colore bordo [%]
    • con il valore 100

    oppure

  • Attivate la proprietà Trasparente per disattivare il colore di sfondo e quello della cornice

In tal modo, la linea di cornice 3D non verrà più visualizzata e la grafica sarà visibile nella sua interezza.

Pulsante invisibile

Per definire un´interfaccia interattiva, trasparente, procedete come segue:

  1. Cliccate nell´elemento.
  2. Definite nel nodo Riempimento la proprietà Trasparente.
  3. Eliminate tutte le didascalie dal pulsante.

Accesso al runtime:

  • Il puntatore cambia quando il mouse si muove sull´elemento
  • tramite una combinazione di tasti definita (nodo Runtime, proprietà Combinazione tasti)

info Info

Lo stato della variabile non può essere visualizzato per il pulsante invisibile.

Noch in diesem Kapitel

Animazione grafiche


Animazione grafiche

Manuale -> Immagini -> Elementi d´immagine -> Pulsante -> Animazione grafiche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´elemento dinamico Pulsante possono essere inserite delle animazione usando file grafici del tipo GIF:

  1. Assegnate al pulsante un file GIF nel nodo Riempimento, mediante la proprietà File grafico.
  2. Nello stesso nodo, rendete operante una possibilità di attivazione per Animazione GIF.

    Potete eseguire l´animazione ininterrottamente, oppure in dipendenza di una variabile Bool:

    1. Per eseguire l´animazione ininterrottamente: Attivate la proprietà Sempre.
    2. Per eseguire l´animazione in dipendenza di una variabile: Collegate la proprietà Variabile ad una variabile Bool. L´animazione viene eseguita non appena quest´ultima riceve il valore 1 .


Elemento combinato

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´elemento combinato è un elemento dinamico utilizzabile universalmente che può assumere i più disparati aspetti grafici:

  • Grafica
  • Simbolo immagine
  • Testo

La forma della rappresentazione viene definita mediante degli stati. Da stati possono fungere sia i valori della variabile principale, che i valori di altre variabili, nonché le informazioni di stato di tutte le variabili collegate. Mediante delle formule, si può creare un numero qualsiasi di collegamenti.
Gli stati dell variabile principale (attributi del valore limite), possono essere trasmessi direttamente all´elemento combinato. L´elemento combinato supporta anche il settaggio di valori impostabili in forma di un interruttore/pulsante, nonché il settaggio di funzioni e serve alla realizzazione di elementi tecnici di processo per l´Automatic Line Coloring.

Se valori impostabili vengono settati tramite Input comandi e una variabile di responso nell´elemento dinamico Elemento combinato, essi possono essere settati indipendentemente dall´impostazione della proprietà Settaggio valori attivo. Tutti i pulsanti di comando nell´immagine Comando che provocano una diretta modifica della variabile di responso, saranno in questo caso resi invisibili.

Crea un elemento combinato.

Per creare un elemento combinato in un´immagine:

  1. Cliccate nella barra dei simboli Elementi sul simbolo Elemento combinato e trascinate l´elemento con il mouse nella finestra principale.

    Si aprirà la finestra di dialogo che serve alla selezione delle variabili, filtrata per variabili numeriche.

  2. Selezionate la variabile desiderata
  3. Si apre l´Assistente che serve a fissare le impostazioni per l´elemento combinato; esso vi accompagna attraverso i passaggi necessari per stabilire le impostazioni di base. Se preferite effettuare tutte le impostazioni manualmente anziché con l´aiuto dell´assistente, cliccate adesso su Annulla. I dettagli sull´assistente li trovate nel capitolo Assistente.

Nel caso abbiate optato per le impostazioni manuali, definite nel nodo Visualizzazione le Rappresentazione. Di default viene previsto simbolo dalla libreria. A seconda dell´impostazione per la quale avete optato, stabilite anche i file d´immagine e i testi.

Gli ulteriori stati li definirete o nell´assistente facendo uso del pulsante Nuovo stato, oppure nelle proprietà dell´elemento combinato nel nodo Rappresentazione, con la proprietà Stati e test.

Funzioni e variabili possono essere attribuite all´elemento combinato anche per Drag&Drop. In questo caso, la funzione/variabile esistente viene sostituita dalla nuova.

Gli elementi combinati possono riprendere il comportamento dei pulsanti impostato nel progetto. A tale scopo, attivate la proprietà Darstellung im gesperrten Zustand von Tasteneigenschaften des Projekts übernehmen. Verranno riprese le impostazioni delle proprietà Tasti bloccati e Pulsanti bloccati. La selezione dell´opzione grigio ha effetto solamente alle parti del testo non simboliche.

attention Attenzione

Tenete presente le seguenti limitazioni:

  • I simboli, che non si trovano in un elemento combinato, non sono gestibili.
    Eccezione: I simboli della libreria possono essere usati come pulsante su cui cliccare.
  • Se l´elemento combinato è configurato con ombreggiatura, esso non può essere ruotato all´interno di un simbolo.

Regole di collegamento

Se avete selezionato come Rappresentazione Simbolo dalla libreria, potete indicare delle regole di collegamento. Tramite la proprietà Stati e test, aprite il dialogo per l´inserimento dell´elemento. Dopo aver selezionato il simbolo facendo uso del pulsante "Selezione simbolo", potete creare delle regole di collegamento e le potete anche modificare. Queste regole vengono salvate stato per stato.

Example Esempio

Variabili/funzioni contenute nel simbolo:
Var_SWITCH_0010
Var_TEMPERATURE_0010
Fct_ShowTrend_0010
Fct_Help_0000

Con la seguente regola, le variabili e la funzione del simbolo saranno sostituite:
Sorgente: *_0010
rimpiazzata con: _0020

Risultato dell´applicazione della regola di collegamento:
Var_SWITCH_0020
Var_TEMPERATURE_0020
Fct_ShowTrend_0020
Fct_Help_0000

Con l'aiuto della regola di collegamento, dunque, si possono sostituire tutte le variabili e le funzioni. Se un nome variabile o funzione non va bene con lo schema, questo collegamento non può essere sostituito.

Al momento di creare i file runtime, stato per stato vengono sostituiti i relativi collegamenti in base alle regole definite.

Example Esempio

Volete rappresentare in modo grafico se un motore è acceso e in quale direzione gira.

L'informazione sulla direzione dei giri del motore e sullo stato on/off viene fornita dalla variabile dalla parte di gestione. Grazie al testo di stato, si visualizza nel motore se e come gira.

  • Selezionate nelle Proprietà -> Rappresentazione -> Testo di stato.
  • Aprite il dialogo Introduzione elemento cliccando su Stati e test.
  • Digitate il testo di stato che volete attribuire al valore in questione.

Durante il runtime, poi, nel Vostro motore ci sarà, per esempio: "a sinistra", "a destra", oppure nessun testo se il motore non gira.

Ulteriori informazioni sull'analisi dei bit di stato, le potete trovare nel capitolo Stati.

Noch in diesem Kapitel

Assistente

Pulsanti su cui cliccare in qualsiasi forma

Stati

Modalità Test

Editor delle formule

Visualizzazione delle informazioni variabile


Assistente

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Assistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per effettuare la configurazione di base dell´elemento combinato avete a disposizione un assistente. Quest´ultimo si apre non appena viene selezionata una variabile per l´elemento combinato.

In primo luogo selezionate il tipo di visualizzazione. Sono disponibili le seguenti possibilità di selezione:

  • Simbolo dalla libreria
  • Simbolo d'immagine e Testi di stato
  • Bitmap e Simbolo d'immagine
  • Solo simbolo ad immagine

info Informazioni su

In tutte le finestre che servono alla selezione di uno stato, potete definire degli stati ulteriori. A tale scopo potete usufruire del comando "Nuovo stato".

Default: simbolo della libreria.
Questa impostazione viene proposta anche come standard nelle impostazioni, quando procedete alla creazione di un elemento combinato senza assistente.

Non appena avete scelto un tipo di visualizzazione, potete definire degli stati. Il primo stato è sempre quello di default.
Indicazione: per lo stato di default non si può indicare nessun valore, per tutti gli altri stati ne deve essere indicato uno. Potete elaborare sempre solo uno stato alla volta.

Simbolo dalla libreria

Cliccate sulla finestra vuota che si trova in basso a sinistra per scegliere un simbolo dalla libreria simboli globale, oppure dalla libreria di progetto. Cliccando su X accanto alla finestra, cancellate il simbolo selezionato.

Impostazione | Descrizione
Valore | Valore numerico in corrispondenza del quale lo stato diviene attivo. Default: nessun valore a partire da 2 Stato: inserimento obbligatorio.
Nuovo Stato | Crea un nuovo stato per l'elemento combinato.

info Informazioni su

Per Simbolo dalla libreria potete creare dei Pulsanti su cui cliccare nella forma che preferite.

Simbolo d'immagine e Testi di stato

Ogni stato può essere contraddistinto da un testo, da un colore di primo piano e un colore di sfondo.

Impostazione | Descrizione
Valore | Valore numerico in corrispondenza del quale lo stato diviene attivo. Default: nessun valore a partire da 2 Stato: inserimento obbligatorio.
Testo di stato | Testo che viene visualizzato durante il runtime.
Colore | colore dei caratteri del testo di stato.
Colore di sfondo | colore dei caratteri del testo di stato.
Nuovo Stato | Crea un nuovo stato per l'elemento combinato.

Bitmap e Simbolo d'immagine

Cliccate sul pulsante <Nessuna grafica selezionata> in basso a sinistra per selezionare un file grafico (*.bmp, *.gif, *jpg, *.png). Avete le seguenti possibilità di scelta:

  1. immagini del progetto:

    immagini che avete già salvato nel percorso immagini del porgetto (vedi capitolo Editor -> Manager di progetto> File); esse Vi verranno offerte automaticamente dall´assistente.

  2. Percorso assoluto per altre directory:
    • attivate a questo scopo la selezione file diretta.
    • La finestra passa a Scelta diretta
    • Clicchi sul pulsante ...
    • Selezionate con l´Explorer il file corrispondente.
Impostazione | Descrizione
Valore | Valore numerico in corrispondenza del quale lo stato diviene attivo. Default: nessun valore a partire da 2 Stato: inserimento obbligatorio.
Nuovo Stato | Crea un nuovo stato per l'elemento combinato.

Solo simbolo ad immagine

Potete indicare un simbolo comune per tutti gli stati dell´elemento combinato.
Questo simbolo:

  • deve essere già presente nell´immagine.
  • Vale per tutti gli stati.
  • Può essere contraddistinto per ogni stato con un proprio colore di riempimento.
Impostazione | Descrizione
Valore | Valore numerico in corrispondenza del quale lo stato diviene attivo. Default: nessun valore a partire da 2 Stato: inserimento obbligatorio.
Simbolo immagine | Lista a cascata per la scelta di un simbolo. Se non viene visualizzato nessun simbolo, significa che nell´immagine attuale non ne esiste ancora nessuno.
Colore di sfondo | Contraddistingue lo stato assegnato.
Nuovo Stato | Crea un nuovo stato per l'elemento combinato.


Pulsanti su cui cliccare in qualsiasi forma

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Pulsanti su cui cliccare in qualsiasi forma

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´elemento combinato possono essere impostati anche dei pulsanti su cui cliccare nel forma desiderata.

info Informazioni su

Questa possibilità è stata introdotta a partire dalla versione 6.51. Nel caso dei progetti realizzati per le versioni precedenti, la proprietà viene considerata non attiva.

Per creare dei pulsanti su cui cliccare nella forma desiderata:

  1. create un elemento combinato nel modo di rappresentazione Simbolo della libreria
  2. selezionate nelle proprietà dell´elemento combinato e in particolare nel nodo Visualizzazione la proprietà Forma del simbolo corrispondente all'area sensibile

info Informazioni su

Questa proprietà non funziona sotto Windows CE dato che la funzionalità necessaria non è disponibile con Windows CE.

Elementi

Si possono trovare nel simbolo ulteriori simboli o elementi combinati. Essi vengono separati in modo adeguato per l´area sulla quale cliccare. Nel caso dei simboli, vengono usati i confini dell´elemento; nel caso dell´elemento combinato, invece, dipende dalla proprietà Forma del simbolo corrispondente all'area sensibile se si usano o le singole aree su cui cliccare degli elementi, oppure il rettangolo dell´elemento combinato.

I seguenti elementi hanno la loro specifica area su cui cliccare:

  • Rettangolo arrotondato (fino alla versione 6.50 esistente in forma di proprio elemento vettoriale)
  • Pulsante
  • Elemento combinato con la proprietà "Forma simbolo per area su cui cliccare"
  • Cerchio
  • Arco di cerchio
  • Curva
  • Linea
  • Pipeline
  • Poligono
  • Polilinea
  • Rettangolo
  • Testo statico
  • Simbolo (vengono usate le corrette aree su cui cliccare degli elementi simbolo)

Tutti gli altri elementi hanno il loro bordo rettangolore come area su cui cliccare.

Forme speciali

Forme speciali

Effetto

Non vengono trattati in modo speciale:

  • Tipo di linea
  • Tipo di riempimento
  • Trasparenze di ogni tipo
    (fatta eccezione per elemento testo)

Su queste aree si può sempre cliccare.

Trasparenza in caso di testo statico:

l´elemento si mantiene come se l´elemento non esistesse. In questo modo è possibile denominare degli elementi senza ingrandire l´area su cui cliccare involontariamente.

Non influenza l´area su cui cliccare.

Suggerimento: se un elemento di testo trasparente deve avere un effetto sull´area su cui cliccare:

  • disattivate la proprietà Trasparente
  • impostate manualmente un elemento trasparente sotto o sopra

Pulsante

se viene usato per l´area su cui cliccare, non è disponibile qui una Animazione GIF per "premuto". Ciò corrisponde al comportamento nel caso in cui la proprietà Forma del simbolo corrispondente all'area sensibile sia disattivata.

Simbolo esce fuori dall´elemento combinato.

Il simbolo viene visualizzato, i clic vengono presi in considerazione dal sistema, però, solo se avvengono all´interno dell´elemento combinato.

Annotazione: se degli elementi superano i limiti dei simboli, oppure dei simboli superano i limiti di un elemento combinato, si possono verificare dei problemi di visualizzazione e effetti non desiderati.

Aree su cui cliccare

Nell´editor vengono definite in parte delle aree più grandi come aree su cui cliccare per rendere più semplice il cliccarci sopra. Per esempio: una linea dello spessore di 1 pixel può essere selezionata nell´editor con uno spessore di 8 pixel.

Nel runtime, la visualizzazione dell´area su cui cliccare sarà esatta. Per esempio: la linea dello spessore di 1 pixel è selezionabile anche solo per uno spessore di 1 pixel.

Il calcolo dell´area di su cui cliccare per l´elemento combinato funziona indipendentemente dall´impostazione della proprietà Qualità grafica. Tuttavia, in dipendenza da questa impostazione viene calcolata una diversa area su cui cliccare per gli elementi.

info Informazioni su

Se il puntatore del mouse si trova sull´elemento combinato, il sistema analizza se il cursore mouse si trova nell´area su cui cliccare dell´elemento. Nel caso ci sia un gran numero di elemento nel simbolo dell´elemento combinato, il carico CPU può essere grande.

Noch in diesem Kapitel

Esempi di pulsanti su cui cliccare


Esempi di pulsanti su cui cliccare

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Pulsanti su cui cliccare in qualsiasi forma -> Esempi di pulsanti su cui cliccare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esempio 1

Stato Forma del simbolo corrispondente all'area sensibile | Azione
attiva | Nessun clic
inattivo | Clic

Esempio 2

Stato Forma del simbolo corrispondente all'area sensibile | Azione
attiva | Clic
inattivo | Clic

Esempio 3

Stato Forma del simbolo corrispondente all'area sensibile | Azione
attiva | Nessun clic
inattivo | Clic


Stati

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Stati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Passate alla finestra degli stati facendo uso della proprietà Stati e test nel nodo Visualizzazione.

Cliccando sul pulsante ... oppure sul testo "Clicca qui", si apre la finestra degli stati:

In questa sede

  • modificate gli stati esistenti
  • aggiungete dei nuovi stati
  • stabilite in quale successione gli stati devono essere elaborati.

Le impostazioni nella parte superiore della finestra sono uguali per tutte le modalità di visualizzazione. Nel terzo inferiore della finestra si procede a fissare le impostazioni individuali per le quattro diverse modalità di visualizzazione.

Impostazioni comuni

Definizione Stati

presenta una lista di tutti gli stati definiti. Uno stato può consistere di valori e stato. L´elemento viene elaborato dal primo stato all´ultimo inserimento. Viene visualizzata la prima concordanza completa. Eccezione: la proprietà Sovrapposti (per simboli della libreria) o Concatenato (per i testi) è attiva.

Parametri | Descrizione
Stato di default | Lo stato definito al momento della creazione dell´elemento. Esso si trova sempre al primo posto e non può essere né modificato, né cancellato.
Valore | Mostra il valore definito (32 Bit).
Stato | Mostra lo stato definito. Un "F" alla fine della visualizzazione stato, rimanda ad una formula.
Nuovo | Definisce nuovi stati. Vengono ripresi come valori iniziali valori, stato e formule dello stato attualmente evidenziato.
Elimina | Cancella lo stato evidenziato. Lo stato di default non può essere cancellato.
Verso l´alto/verso il basso. | Modifica la successione in cui vengono presi in considerazione gli stati. Lo stato di default si trova sempre in prima posizione.

Formule variabili

Mostra tutte le variabili che sono state definite per l´inserimento in formule. Le variabili esistenti vengono distinte da una grappetta verde; quelli non esistenti da una x rossa. Le variabili non esistenti possono essere sostituite tramite Modifica con delle variabili esistenti. Cliccando sui pulsanti Aggiungi e Modifica, aprite il dialogo per la Selezione delle variabili.

Valore

Consente

  • l´inserimento del valore per uno stato mediante una matrice o numericamente
  • la definizione di una formula
Parametri | Descrizione
Valore | Definizione del valore attraverso una predefinita struttura bit
Valore | Inserimento del valore numerico.
Formula | Apre la finestra per l´inserimento di Formule. Sono a disposizione le variabili definite nell´area variabili formula. Il collegamento avviene mediante operatori logici, bit o di confronto.

attention Attenzione

In caso di variabili non binarie, il valore si imposta nella risoluzione segnale! In questo elemento non si considerano le impostazioni dell´area di misurazione o l´adattamento non lineare dei valori.

Stato

Consente l´interrogazione delle informazioni di stato.

Attenzione: La maggior parte degli stato possono essere interrogati solamente se il driver supporta la modifica status.

Nr | Denominazione breve | Denominazione lunga | Nota
0 | M1 | Stato utente 1 |
1 | M2 | Stato utente 2 |
2 | M3 | Stato utente 3 |
3 | M4 | Stato utente 4 |
4 | M5 | Stato utente 5 |
5 | M6 | Stato utente 6 |
6 | M7 | Stato utente 7 |
7 | M8 | Stato utente 8 |
8 | NET_SEL | Seleziona nella rete |
9 | REVISION | Revisione |
10 | PROGRESS | In costruzione |
11 | TIMEOUT | Runtime exceeded |
12 | MAN_VAL | Manual value | Disponibile solo per formule.
13 | M14 | Stato utente 14 | Disponibile solo per formule.
14 | M15 | Stato utente 15 | Disponibile solo per formule.
15 | M16 | Stato utente 16 | Disponibile solo per formule.
16 | GI | GI; General Interrogation |
17 | SPONT | Spontaneo |
18 | INVALID | Non valido |
19 | T_CHG_A | Annuncio ora solare/ora legale |
20 | OFF | Spento |
21 | T_EXTERN | External Real-Time | Disponibile solo per formule.
22 | T_INTERN | Internal Real-Time | Disponibile solo per formule.
23 | N_SORTAB | Non filtrati | Disponibile solo per formule.
24 | FM_TR | Transformer |
25 | RM_TR | Transformer anomaly |
26 | INFO | Info della variabile |
27 | ALT_VAL | Valore di riserva |
28 | RES28 | Riservato |
29 | N_UPDATE | Not updated |
30 | T_STD | Ora solare | Disponibile solo per formule.
31 | RES31 | Riservato |
32 | COT0 | Cause of Trasmissions Bit 1 | Disponibile solo per formule.
33 | COT1 | Cause of Trasmissions Bit 2 | Disponibile solo per formule.
34 | COT2 | Cause of Trasmissions Bit 3 | Disponibile solo per formule.
35 | COT3 | Cause of Trasmissions Bit 4 | Disponibile solo per formule.
36 | COT4 | Cause of Trasmissions Bit 5 | Disponibile solo per formule.
37 | COT5 | Cause of Trasmissions Bit 6 | Disponibile solo per formule.
38 | N_CONF | Risposta negativa di SELECT dal dispositivo (IEC 60870 [P/N]) | Disponibile solo per formule.
39 | TEST | Test-Bit (IEC 60870 [T]) |
40 | WR_ACK | Conferma scrittura | Disponibile solo per formule.
41 | WR_SUC | Scrittura avvenuta con successo | Disponibile solo per formule.
42 | NORM | Stato normale | Disponibile solo per formule.
43 | N_NORM | Normal deviation | Disponibile solo per formule.
44 | BL_870 | IEC 60870 Status: blocked |
45 | SB_870 | IEC 60870 Status: substituted |
46 | NT_870 | IEC 60870 Status: not topical |
47 | OV_870 | IEC 60870 Status: overflow |
48 | SE_870 | IEC 60870 Status: select |
49 | T_INVAL | Timestamp non valido | Disponibile solo per formule.
50 | RES50 | riservato |
51 | RES51 | riservato |
52 | RES52 | riservato |
53 | RES53 | riservato |
54 | RES54 | riservato |
55 | RES55 | riservato |
56 | RES56 | riservato |
57 | RES57 | riservato |
58 | RES58 | riservato |
59 | RES59 | riservato |
60 | RES60 | riservato |
61 | RES61 | riservato |
62 | RES62 | riservato |
63 | RES63 | riservato |

info Informazioni su

Le denominazioni brevi per il bit di stato sono state unificate per tutte le lingue a partire dalla versione 6.50. Dettagli su questo argomento e su come potete riutilizzare vecchie denominazioni brevi, le potete trovare nel capitolo Bit di stato - Nuove denominazioni brevi.

Non ripristinato Se è settata l'opzione lampeggio per il valore limite della variabile, è settato il bit non ripristinato. Con l'opzione ripristina il lampeggio anche dell'allarmenella configurazione allarmi, viene ripristinato il lampeggio dell'allarme e il Bit non ripristinato viene portato a zero.(vedi anche capitolo Ripristino lampeggio di allarmi).

Impostazioni individuali

Le impostazioni individuali per le 4 modalità di visualizzazione degli stati le trovate nei sottocapitoli:

  • Simbolo dalla libreria
  • Simbolo d'immagine e Testi di stato
  • Bitmap e Simbolo d'immagine
  • Solo simbolo ad immagine

Progetta stato per le variabili non ancora collegate

Qualche volta dovete progettare un elemento combinato, ma non disponete ancora di una variabile realmente esistente. Per es., quando un elemento combinato deve essere utilizzato in un simbolo della libreria dei simboli e il collegamento della variabile viene creato solo al momento del trascinamento nell'immagine. In questo caso lavorate anzitutto con una cosiddetta variabile dummy che poi sostituirete con una variabile esistente. Potete progettare tutti gli stati in un elemento combinato anche se non è stata ancora collegata nessuna variabile esistente. Solo nella modalità test non avete accesso alle variabili dummy.

Per creare una variabile "dummy", procedete in questo modo:

  • Assegnate nelle proprietà dell´elemento combinato un nome simbolico digitandolo nel campo di inserimento Variabile.
  • Cliccate all´interno dell´area Visualizzazione nel campo Stati e test: si apre la pagina Stati nell´input elemento.
  • Nella Lista delle formule variabili, le variabili esistenti vengono indicate per mezzo di una spuntatura verde; quelle non esistenti con una X rossa. Potete aggiungere delle ulteriori variabili:
  • Per le variabili esistenti selezionate il pulsante "Aggiungi".
    Con "Modifica" sostituite delle variabili esistenti con delle altre, oppure sostituite delle variabili non esistenti con delle variabili esistenti.
  • Per aggiungere una variabile non esistente, cliccate su "Aggiungi" e poi su "Canc. selezionati". Ottenete una formula variabile con il seguente modello di nome: X00: <vuoto>. (00 sta al posto di un numero a due cifre).
    Selezionate la variabile e cliccate nel settore <vuoto>; assegnate una denominazione.
    Se inserite il nome di una variabile già esistente, viene creato un collegamento con essa, e, al posto della X rossa, compare una spuntatura verde.

Formule

Come viene creata una formula lo potete apprendere leggendo il capitolo Editor delle formule.

Noch in diesem Kapitel

Simbolo dalla libreria

Simbolo d'immagine e Testi di stato

Bitmap e Simbolo d'immagine

Solo simbolo ad immagine


Simbolo dalla libreria

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Stati -> Simbolo dalla libreria

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le impostazioni generali per tutti i tipi di visualizzazione di stati le trovate nel capitolo Stati.

Parametri

Descrizione

Visualizza Elementi

Simbolo dalla libreria

Cliccando sul simbolo, si apre il dialogo per la selezione dei simboli.

Cliccando sulla X accanto al simbolo, si cancella il simbolo selezionato.

Modifica regola di sostituzione

Variabili e funzioni che sono contenuti nel simbolo, possono essere sostituite con l´aiuto di regole di sostituzione.

Attenzione: Se un nome variabile o funzione non va bene con lo schema, questo collegamento non può essere sostituito.

Colori

attivo solamente se nel settore Impostazioni specifiche viene disattivata la proprietà Colori simbolo originali.

Colore

Scelta del colore.

Colore di sfondo

Scelta del colore di riempimento

da ALC

Viene usato il colore delle fonti collegate.

Impostazioni specifiche

Colori simboli originali

Attivo: riprende il colore originale del simbolo. Disattiva proprietà Prendi il colore della variabile principale.

Lampeggio

Attivo: il simbolo lampeggia durante il runtime se viene raggiunto lo stato.


Simbolo d'immagine e Testi di stato

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Stati -> Simbolo d'immagine e Testi di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le impostazioni generali per tutti i tipi di visualizzazione di stati le trovate nel capitolo Stati.

Parametri | Descrizione
Visualizza Elementi |
Testo di stato | Testo per lo stato
Testo a pulsante premuto | Testo a simbolo premuto
Colori |
Colore | Scelta del colore.
Colore di sfondo | Scelta del colore di riempimento
da ALC | Viene usato il colore delle fonti collegate.
Impostazioni specifiche |
Lampeggio | Attivo: il simbolo lampeggia durante il runtime se viene raggiunto lo stato.
Trasparente | Attivo: il colore del simbolo viene settato a trasparente.


Bitmap e Simbolo d'immagine

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Stati -> Bitmap e Simbolo d'immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le impostazioni generali per tutti i tipi di visualizzazione di stati le trovate nel capitolo Stati.

Parametri | Descrizione
Visualizza Elementi |
Grafica | Cliccate su Grafica e si apre il dialogo per la selezione delle grafiche. Elimina: cancella nome dalla riga di testo.
Impostazioni specifiche |
Lampeggio | Attivo: il simbolo lampeggia durante il runtime se viene raggiunto lo stato.


Solo simbolo ad immagine

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Stati -> Solo simbolo ad immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le impostazioni generali per tutti i tipi di visualizzazione di stati le trovate nel capitolo Stati.

Parametri | Descrizione
Colori |
Colore | Scelta del colore.
da ALC | Viene usato il colore delle fonti collegate.
Impostazioni specifiche |
Colori simboli originali | Attivo: riprende il colore originale del simbolo.
Simbolo trasparente | Attivo: il colore del simbolo viene settato a trasparente
Lampeggio | Attivo: il simbolo lampeggia durante il runtime se viene raggiunto lo stato.


Modalità Test

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Modalità Test

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La modalità test simula il runtime: potete testare una modifica di valore e vedere come si comporta il Vostro elemento combinato durante il runtime. Questa voce può essere attivata solo se tutti i collegamenti si riferiscono a delle variabili esistenti.

Nota: Nella modalità test, il simbolo, tuttavia, compare in una risoluzione peggiore a quella dell'immagine successiva.


Editor delle formule

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Editor delle formule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The formula editor provides support when creating formulas with logical or comparative operators with a combined element, for interlockings and command processing. If additional variables are required for a formula, create these in the formula variables area of the status window by clicking on the Add button. existing formulas are displayed in the status list with the lettersF .

Note on the input of decimal points:

  • Decimal separator: Comma (,) is automatically converted into a dot (.):
  • Zero as a decimal point is removed automatically; 23,000 automatically becomes 23

Creating a formula

Click on the Formula button in the status window The formula editor opens

You select the bits for your formula in the left screen.

On the right, you find the operators for logical and comparative operations.

The formula created is displayed in the Formula area.

info Informazioni su

Up to 99 variables can be linked in one formula. X01 to X99. The length of the formula must not exceed 4096 characters.

The meaning of the bits:

Parameters

Description

value bits

32 value bits (from 0 -31) are available. They describe the variable value bit by bit. For binary variables, only bit 0 is of importance, for SINT and USINT only the bits from 0-7, etc.

Note: The value refers to the raw value (signal range) of the variables and not to the converted measuring range.

State bits

Here you find the most commonly used status bits. You find the exact definition and use of the status bits in the Status Bits List.

unreceipted

Not acknowledged is treated like a usual status bit. But here it is listed separately, because it does not belong to the classical variable statuses.

value and status

In the formulas, all values (value bits and status bits) are treated as binary values and can be logically linked with AND, OR, etc.
The total value and overall status are an exception to this. In order to get a Boolean result this total value has to be ORed with a constant bitwise. For this, we use the operator &.
For the result 0 (false) of this logical ORing we get the binary value 0 (false), otherwise 1 (true).

Example: see chapter Example bit by bit ORing

info Info

The status bits NORM and N_NORM are only available in the formula editor and cannot be engineered via the status.

If other settings outside the formula are set for the current status, they are combined with the formula with a logical AND.

Refer to the examples section for examples.

info Informazioni su

Formulas with binary X values and bitwise linking can be used with a maximum of 2 binary values. If more values are required, the linking must be carried out without binary X values.

Example:

X01.Value & X02.Value -> works

X01.Value & X02.Value & X03.Value -> does not work

But:

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> works

Noch in diesem Kapitel

List of status bits

Logical operators

Bit formulas

Comparison operators

Examples for formulas


List of status bits

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Editor delle formule -> List of status bits

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Bit number | Short term | Long name | zenon Logic label
0 | M1 | User status 1; for Command Processing: Action type "Block"; Service Tracking of the IEC 850 driver | _VSB_ST_M1
1 | M2 | User status 2 | _VSB_ST_M2
2 | M3 | User status 3 | _VSB_ST_M3
3 | M4 | User status 4 | _VSB_ST_M4
4 | M5 | User status 5 | _VSB_ST_M5
5 | M6 | User status 6 | _VSB_ST_M6
6 | M7 | User status 7 | _VSB_ST_M7
7 | M8 | User status 8 | _VSB_ST_M8
8 | NET_SEL | Select in the network | _VSB_SELEC
9 | REVISION | Revision | _VSB_REV
10 | PROGRESS | In operation | _VSB_DIREC
11 | TIMEOUT | Runtime exceedance | _VSB_RTE
12 | MAN_VAL | Manual value | _VSB_MVALUE
13 | M14 | User status 14 | _VSB_ST_14
14 | M15 | User status 15 | _VSB_ST_15
15 | M16 | User status 16 | _VSB_ST_16
16 | GI | General query | _VSB_GR
17 | SPONT | Spontaneous | _VSB_SPONT
18 | INVALID | Invalid | _VSB_I_BIT
19 | T_CHG_A | Daylight saving time/winter time announcement | _VSB_SUWI
20 | OFF | Switched off | _VSB_N_UPD
21 | T_EXTERN | Real time external | _VSB_RT_E
22 | T_INTERN | Realtime internal | _VSB_RT_I
23 | N_SORTAB | Not sortable | _VSB_NSORT
24 | FM_TR | Error message transformer value | _VSB_DM_TR
25 | RM_TR | Working message transformer value | _VSB_RM_TR
26 | INFO | Information for the variable | _VSB_INFO
27 | ALT_VAL | Alternate value If no value was transferred, the defined alternate value is used otherwise the last valid value is used. | _VSB_AVALUE
28 | RES28 | Reserved for internal use (alarm flashing) | _VSB_RES28
29 | N_UPDATE | Not updated | _VSB_ACTUAL
30 | T_STD | Standard time | _VSB_WINTER
31 | RES31 | Reserved for internal use (alarm flashing) | _VSB_RES31
32 | COT0 | Cause of transmission bit 1 | _VSB_TCB0
33 | COT1 | Cause of transmission bit 2 | _VSB_TCB1
34 | COT2 | Cause of transmission bit 3 | _VSB_TCB2
35 | COT3 | Cause of transmission bit 4 | _VSB_TCB3
36 | COT4 | Cause of transmission bit 5 | _VSB_TCB4
37 | COT5 | Cause of transmission bit 6 | _VSB_TCB5
38 | N_CONF | Negative confirmation of command by device (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test bit (IEC870 [T]) | _VSB_T_BIT
40 | WR_ACK | Writing acknowledged | _VSB_WR_ACK
41 | WR_SUC | Writing successful | _VSB_WR_SUC
42 | NORM | Normal status | _VSB_NORM
43 | N_NORM | Deviation normal status | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Time invalid | not defined
50 | CB_TRIP | Breaker tripping detected | not defined
51 | CB_TR_I | Breaker tripping detection inactive | not defined
52 | OR_DRV | Value out of Range | not defined
53 | RES53 | reserved | not defined
54 | RES54 | reserved | not defined
55 | RES55 | reserved | not defined
56 | RES56 | reserved | not defined
57 | RES57 | reserved | not defined
58 | RES58 | reserved | not defined
59 | RES59 | reserved | not defined
60 | RES60 | reserved | not defined
61 | RES61 | reserved | not defined
62 | RES62 | reserved | not defined
63 | RES63 | reserved | not defined

info Informazioni su

In formulas all status bits are available. For other use the availability can be reduced.

You can read details on status processing in the Status processing chapter.


Logical operators

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Editor delle formule -> Logical operators

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Logical links: Variables will only be checked for the logical value '0'; if the value does not equal '0', it will be considered as '1'.

In contrast to bit formulas, the technical range can be modified by a stretch factor -> (not equal '0' or '1').

Operator | Meaning
AND | logical 'AND'
NOT | Negation
OR | logical 'OR'
XOR | logical 'EXCLUSIVE OR'

The operators have the following priority in the formula calculation:

Priority | Operator
1 | & (operator for bit formulas)
2 | NOT
3 | AND
4 | XOR/OR

info Info

Up to 99 variables can be linked in one formula. X01 to X99.

info Info

The status bits NORM and N_NORM are only available in the formula editor and cannot be engineered via the status.


Bit formulas

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Editor delle formule -> Bit formulas

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Bit formulas only have a logical high or low state. In contrast to logical formulas, the raw value is already predefined (0,1).

Operator | Description
& | AND
| | OR

Noch in diesem Kapitel

Example: ORing bitwise


Comparison operators

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Editor delle formule -> Comparison operators

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Comparison operators are for the direct comparison of two numeric values. The result of this comparison is a binary value. "0“ if the condition is not fulfilled and „1“ if the condition is fulfilled.

Operator | Description
< | less
> | greater
<= | Less than or equal
>= | greater or equal
= | Equal
<> | unequal

To the left and to the right of the comparison operator, there has to be a (total) value or a (total) status, single bits cannot be used with these comparison operators.

There can also be a constant to the right of the comparison operator.
These constants are entered as hexadecimal values or decimal values in the combined element. Hexadecimal figures are automatically converted to decimal values by clicking on OK (for example, 0x64 is in decimal figures 100).

Example Esempio

X01.value >= X02.value
The result is 1, if the value of X01 is higher than or equal to the value of X02

X01.value = 0x64
The result is 1, if the value of X01 is exactly equal to the numeric value 100 (= hex 0x64)

(X01.value = 0x64) OR (X01.value = 0x65)
The result is 1, if the value of X01 is exactly equal to the numeric value 100 or 101 (= hex 0x64 and hex 0x65)


Examples for formulas

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Editor delle formule -> Examples for formulas

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Simple logical AND linking between two bit values

Example Example

Formula: X01.03 AND X02.03

This formula has the status TRUE, if both bit 3 of variable 1 and bit 3 of variable 2 both have the value 1.

comparison of an analogue value or status of a variable

Example Example

(X01.Value> X02.Value)

Compare analog values with each other on a logical basis

Example Example

(X01.Value> X02.Value) AND (X01.Value = X02.Value)

Compare with value bits and status bits

Example Example

(X01.Value> X02.Value) AND (X01.Value = X02.Value) OR (X01.03 = X02.03)

Compare a value with a decimal or hexadecimal value

Example Example

Formula: (X01.Value = 111)

Formula: (X01.Value = 0x6F)

If a hexadecimal values is used, this is later transferred to decimal by clicking on OK. If a decimal value is entered and confirmed, the value continues to be displayed as a decimal value after reopening.

info Info

It is not possible to use a comma or a period when entering values.


Visualizzazione delle informazioni variabile

Manuale -> Immagini -> Elementi d´immagine -> Elemento combinato -> Visualizzazione delle informazioni variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete visualizzare usando l´elemento combinato delle informazioni concernenti le variabili, come:

  • Descrizione apparecchiatura
  • Unità di misura
  • Identificazione variabile
  • Nome variabile
  • Data e ora

Progettazione:

  1. create un nuovo elemento combinato.
  2. Selezionate il tipo di visualizzazione Testo di stato & Simbolo immagine.
  3. Impostate uno stato di Default.
  4. Inserite nel testo di stato i seguenti caratteri jolly.
    Attenzione alla scrittura in lettere maiuscole e minuscole!
    Le cifre valgono come esempi.

Descrizione apparecchiatura

Caratteri jolly | Descrizione
%r | Mostra l'identificazione servizio.
%r,1,2 | Mostra l'identificazione servizio dalla posizione 1 per 2 caratteri.
%R | Mostra l'identificazione servizio.
%R,3,2 | Mostra l'identificazione servizio meno i primi tre caratteri e meno gli ultimi due caratteri.

Unità di misura

Caratteri jolly | Descrizione
%u | Mostra l´unità di misura della variabile principale collegata.
%u,1,2 | Mostra l'´unità di misura dalla posizione 1 per 2 caratteri.
%U | Mostra l´unità di misura della variabile principale collegata.
%U,3,2 | Mostra l´unità di misura meno i primi tre caratteri e meno gli ultimi due caratteri.

Identificazione variabile

Caratteri jolly | Descrizione
%l | Mostra l'identificazione della variabile.
%l,1,2 | Mostra l'identificazione della variabile dalla posizione 1 per 2 caratteri.
%L | Mostra l'identificazione della variabile.
%L.3.2 | Mostra l´identificazione della variabile meno i primi tre caratteri e meno gli ultimi due caratteri.

Nome variabile

Caratteri jolly | Descrizione
%n | Mostra il nome della variabile
%n,1,2 | Mostra il nome della variabile dalla posizione 1 per 2 caratteri.
%N | Mostra il nome della variabile
%N,3,2 | Mostra il nome della variabile meno i primi tre caratteri e meno gli ultimi due caratteri.

Data e ora

Caratteri jolly | Descrizione
%t | Mostra il time stamp.
%t,1,2 | Mostra il time stamp dalla posizione 1 per 2 caratteri.
%T | Mostra il time stamp.
%T,3,2 | Mostra il nome della variabile meno i primi tre caratteri e meno gli ultimi due caratteri.

I formati per le impostazioni temporali vengono ripresi dal sistema operativo.


Combo-/Listbox

Manuale -> Immagini -> Elementi d´immagine -> Combo-/Listbox

Con l´elemento dinamico Combo-/Listbox, collegate dei valori di variabili con testi. Potete usare questi ultimi in due modi:

  1. se un testo viene selezionato durante il runtime, si modifica il valore delle variabili che viene portato a quel valore che è collegato a questo testo.
  2. Nel caso in cui la variabile raggiunge uno dei valori definiti, il testo collegato viene visualizzato nella Combobox/Listbox fino a quando il valore è in attesa.

Crea una Combo-/Listbox

Per creare l´elemento dinamico Combo-/Listboxin un´immagine, procedete come segue:

  1. selezionate il simbolo Combo-/Listbox nella barra degli strumenti Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. Si apre un Dialogo nel quale potete collegare la variabile desiderata all´elemento. E' possibile collegare funzioni e variabili con l'elemento anche per mezzo di Drag&Drop. Trascinate una variabile su una Combo-/Listbox; essa sostituirà lì la variabile esistente.
    I seguenti tipi di variabili vengono supportati:
    • Binaria:
    • numeriche
    • stringa

info Info

Nel caso di variabili string, nel testo non può essere presente nessun punto e virgola (;), visto che questo segno viene usato come separatore.

L´elemento Combo-/Listbox supporta le stesse funzionalità ulteriori, come, ad esempio, l´elemento Valore numerico:

  • Visualizzazione lucchetto, visualizzazione stato, visibilità, colori dinamici.
  • Colori dinamici: Il colore di sfondo viene utilizzato solo per gli inserimenti esistenti; il settore dell'elemento di controllo non occupato da inserimenti, viene visualizzato nel colore standard.

Il collegamento di macro con elementi events (per es. LeftClickUp ...) non viene supportato.

attention Attenzione

sotto Windows CE, non è possibile la modifica di colori e caratteri nella Combo-/ListBox.

Le Combo-/Listbox possono essere create in modo dinamico o statico. La proprietà Inserimento da variabile string provoca il passaggio dal funzionamento statico a quello dinamico e viceversa. Per il funzionamento statico vengono definiti nell´Editor degli inserimenti fissi. Nel funzionamento dinamico viene collegata una variabile contenuto il cui valore viene interpretato nel Runtime.

Differenza fra Combobox e Listbox

Nel Combobox i testi vengono raggruppati in una finestra.

Nota relativa alla rappresentazione del combobox nell´Editor: La prima riga viene visualizzata con il colore di sfondo, il resto del box è trasparente. In tal modo, si evita che gli altri elementi dell´Editor vengano coperti. Nel Runtime, la visualizzazione avverrà nel modo consueto.

Nella Listbox , i valori vengono visualizzati in una lista; il valore viene evidenziato. Nel caso in ci sono più stati di quelli che sono rappresentabili nella lista, viene visualizzata una barra d´immagine.

info Info

Se la variabile ha un valore che non è stato definito negli inserimenti del Combo-/Listbox, il testo viene visualizzato oppure evidenziato.

Combobox o Listbox statiche

Per una box statica vengono configurati nell`Editor degli inserimenti fissi. Essi vengono visualizzati e utilizzati nel Runtime.

Per inserire dei valori:

  1. Aprite il gruppo Visualizzazione
  2. Selezionate con la proprietà Tipo controllo il tipo di visualizzazione: Combobox o Listbox.

    Valore di default: Listbox

  3. Gli inserimenti possono essere effettuati direttamente, oppure generati in modo dinamico. A tal scopo, passate al gruppo Testo.
  4. Per creare degli inserimenti in modo dinamico, attivate la proprietà Inserimento da variabile string.
  5. Per configurare degli inserimenti usando la finestra di dialogo, cliccate ... nella proprietà Inserimenti.

    Si apre il dialogo per configurare gli inserimenti

  6. Inserire i valori per stati.
  7. Collegate i valori con testi per stati.

Dialogo Inserimenti

Inserimenti

Parametri

Descrizione

Inserimenti

Lista degli inserimenti già definiti.

Nr

Un numero successivo viene attribuito automaticamente.

Valore

Valore che è stato inserito sotto Inserimento/Valore.

Imposta valore

Sì: è attivo Setta valori.

No: non è attivo Setta valori.

Testo

successione caratteri che è stata indicata in Inserimenti/Testo .

Funzione

Funzione che è stata collegata nel campo Inserimenti/Funzione .

Parametri

Parametro assegnato alla funzione ai fini della sostituzione.

Variabile

Variabile visibilità collegata

Nuovo

Crea un nuovo inserimento:

  • numero successivo
  • attivo Setta valore

Elimina

Cancella l´inserimento selezionato. Può essere cancellato solo un inserimento per volta; non è possibile solamente una selezione multipla.

Copia

copia l´elemento selezionato e lo aggiunge alla fine della lista come nuovo elemento. Vengono riprese le impostazioni dell´elemento copiato.

Verso l´alto/verso il basso

Sposta l´inserimento selezionato verso l´alto o verso il basso e adegua la numerazione progressiva.

Creazione inserimento

Parametri

Descrizione

Creazione inserimento

Configurazione degli inserimenti nella lista

Testo

Inserimento della successione caratteri che viene collegata al valore.

Valore

Valore numerico

Quali valori possono essere indicati, dipende dal tipo di dato delle variabile.

Imposta valore

Attiva o disattiva "setta valore impostabile":

Attivo: il valore viene settato come valore impostabile.
Non attivo: Il valore inserito serve solamente all´indicizzazione della selezione.
Attenzione: Setta valore si ripercuote solo sul valore e non sulla funzione. Quest'ultima viene settata sempre. Se si apre una funzione senza variabile collegata, Setta valore deve essere disattivato!

Funzione

Funzione che viene eseguita quando si seleziona l´inserimento durante il Runtime. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una Funzione.
Attenzione: la funzione viene eseguita solo nel caso in cui selezioniate l'inserimento facendo uso della Combobox/Listbox nel runtime. Se il valore scatenante viene raggiunto tramite una variazione di valore della variabile, la funzione non viene eseguita. Se si apre una funzione senza variabile collegata, Setta valore deve essere disattivato!

Parametro per sostituzione

Inserimento della successione caratteri per la sostituzione via parametro. Sostituisce nel dialogo di sostituzione del cambio immagine per indici la parola chiave {PARAM}.

Variabile di visibilità

Variabile i cui cambiamenti di valore e, dunque, violazioni di valore limite, vengono analizzati durante il Runtime. Se si verifica una violazione di valore limite nel caso della variabile di visibilità, viene analizzata la proprietà Visibilità di questa violazione di valore limite. Essa determina se l´inserimento nella lista è visibile o no. Di Default (non c´è una violazione di valore limite) l´inserimento viene visualizzato nella lista. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Attenzione: una variazione di valore nel corso del funzionamento del sistema può far sì che alla voce Combobox venga chiusa una Combobox aperta.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Ordina inserimenti

Gli inserimenti possono essere messi in ordine tramite:

  • pulsanti in sù e in giù: Selezionare l´elemento desiderato e muovere con i pulsanti.
  • Drag & Drop: Trascinare l´elemento con il mouse nella posizione desiderata. Una linea rossa indica la posizione nella quale viene inserito l´elemento.

Combobox o Listbox dinamiche

Per il funzionamento dinamico, si deve provvedere a collegare, facendo uso della proprietà Variabile, una variabile stringa che definisce i contenuti. Nel Runtime vengono ignorati quegli inserimenti statici che dovessero essere stati eventualmente progettati parallelamente. Il valore della variabile contenuto viene analizzato e interpretato. A tal scopo, il valore delle variabili deve corrispondere nel runtime ad un layout valido.

Layout

Il valore stringa rappresenta una lista di inserimenti. Ogni inserimento consiste di un valore e un testo, separati da un virgola „,". Alla fine degli inserimenti si trova un punto e virgola „;". Se una parte del testo di un inserimento contiene il carattere „@", essa viene tradotta con l´aiuto della tabella lingua disponibile.

Esempio di un valore stringa valido:

1,uno;2,due;3,tre;

Esempio di un valore stringa valido con traduzione:

1,@uno;2,@due;3,@tre;

Configurazione

Per collegare una variabile:

  1. Aprite il gruppo Visualizzazione
  2. Selezionate con la proprietà Tipo controllo il tipo di visualizzazione: Combobox o Listbox.

    Valore di default: Listbox

  3. Attivate la proprietà Inserimento da variabile string
  4. Selezionate con la proprietà Variabile la variabile desiderata
    (cliccando sul pulsante ... si apre il dialogo per la Selezione variabili)
  5. Selezionate la variabile stringa con gli inserimenti configurati

Evidenziare elemento nella lista in caso di selezione

Gli elementi visualizzati nella lista di Combobox e Listbox possono essere evidenziati nel runtime tramite un colore specifico. A tale scopo:

  • Navigate all´interno delle proprietà fino a giungere al gruppo Riempimento
  • Selezionate le proprietà nel gruppo Riempimento.
    • Colore testo per la selezione per il colore testo
    • Colore di sfondo per la selezione da adottare come colore di sfondo del testo.

In questo modo, questi colori vengono usati durante il runtime. Le impostazioni del sistema operativo vengono ignorate, come anche i colori delle variabili collegate.

info Informazioni su

Fino alla versione 6.50, erano usati i colori del sistema operativo. Nella conversione di progetti accade quanto segue:

  • il colore di sfondo settato sul colore configurato nel sistema operativo
  • viene stabilito il colore testo come colore definito statistico.

Sui computer per i quali i colori sono stati cambiati nel sistema operativo, si possono verificare diversi comportamenti nel runtime.

Trattamento errori

Gli errori verranno visualizzati sotto forma di inserimenti Log nel server di diagnosi:

Segnalazione | Livello | Descrizione
The value '%s' of the content variable '%s' is not valid, entries might be incorrect or missing! | Errore | La variabile stringa collegata nella proprietà Variabile ha un valore con layout non valido. Il testo viene analizzato per quanto possibile. Il valore attuale viene considerato per facilitare l´analisi dell´errore durante il Runtime.


Collega testo

Manuale -> Immagini -> Elementi d´immagine -> Collega testo

Con l´elemento dinamico Testo dinamico potete visualizzare il testo attuale del valore limite di una variabile numerica in caso di violazione del valore stesso, oppure il valore di una variabile stringa in forma alfanumerica. In assenza di violazione del valore limite, viene segnalato il testo definito nel editor.

Per creare un Testo dinamico in un´immagine:

  1. Selezionate il simbolo Testo dinamico nella barra degli strumenti Elementi
  2. Selezionate nella finestra principale il punto start
  3. Trascinate l´elemento tenendo premuto il tasto sinistro del mouse.
  4. Si apre il dialogo per la selezione di una variabile
  5. Selezionate la variabile desiderata.
  6. Definite le proprietà che desiderate nella finestra delle proprietà.
    Soprattutto:
    • Selezionate il tipo per Testo visualizzato.
      Se selezionate in questa sede "Testo valore limite", definite nella proprietà Testo il testo che verrà visualizzato finché non si verificherà una violazione di valore limite.

La variabile collegata ed il contenuto selezionato nella proprietà Testo visualizzato vengono visualizzati nell´anteprima dell´elemento che vedete nella finestra principale.

info Informazioni su

Se l´elemento viene usato nel Runtime per sostituire un elemento di controllo statico Win32 e viene disattivato, il colore di sfondo e quello del testo sono settati sul valore "grigio".

Inserimento nascosto di testo.

Se si usa l´elemento per gestire l´inserimento di dati delicati, come, per es., la password, si può far in modo che l´inserimento stesso venga nascosto. A tale scopo, attivate la proprietà Input nascosto. Se lo desiderate, potete stabilire tramite la proprietà Carattere per mascheratura quale carattere deve essere usato per mascherare l´input di testo.

Nel Runtime, poi, il testo verrà sostituito tramite il carattere definito. La sostituzione avvene già al momento dell´inserimento. Il campo di inserimento visualizza sempre 8 caratteri, indipendentemente dalla lunghezza effettiva della testo. Se si disattiva la proprietà Input nascosto, invece, verrà visualizzato il testo digitato originariamente.

Testo visualizzato nel Runtime.

Valore per Testo visualizzato:

  • Descrizione apparecchiatura: Viene visualizzato il contenuto della proprietà variabile Identificazione servizio.
  • Testo valore limite: Finché non si verifica una violazione di valore limite, viene visualizzato il contenuto della proprietà immagine Testo. Quando si verifica una violazione di valore limite, viene visualizzato il contenuto della proprietà variabile Testo valore limite. Per il testo, si usa il colore del valore limite. Nel caso sia stato configurato per l´elemento un colore dinamico, verrà usato questo.
  • Unità di misura:: Viene visualizzato il contenuto della proprietà variabile Unità di misura. Il sistema effettua l´update dell´elemento non appena viene eseguita una funzione Cambio unità di misura.
  • Identificazione variabile: Viene visualizzato il contenuto della proprietà variabile Identificazione.
  • Nome variabile:: Viene visualizzato il contenuto della proprietà variabile Nome.
  • Valore variabili.: Viene visualizzato il valore della variabile.

Imposta valore

Quando si setta un valore impostabile usando un elemento del tipo Collega testo, è possibile utilizzare la proprietà Interrompi alla perdita del focus per definire come si comporta l´elemento nel Runtime.

Proprietà:

  • Attiva: Il valore viene settato non appena l´elemento di controllo perde il focus.
    Usando il tasto Esc, l´inserimento viene annullato e il valore non viene settato.
  • Inattiva: Il valore viene settato dopo che il tasto Ins è stato premuto.
    Usando il tasto Esc, l´inserimento viene annullato ed il valore non viene settato.

Il valore di default dipende dal fatto se l´elemento è stato inserito nell´immagine dalla barra degli strumenti, oppure dal menù Elementi di controllo come Collega testoeditabile:

  • Come elemento nell´immagine: inattiva
  • Dal menù Elementi di controllo: attiva

File delle lingue

Tutti i contenuti visualizzati dei tipi di testo vengono tradotti se il file delle lingue contiene gli inserimenti corrispondenti.
Eccezione: il nome variabile non viene tradotto.

Come procedere con progetti precedenti alla versione 7.20

Con la versione 7.20, la checkbox Testo da variabile è stata sostituita dalla nuova selezione via menù a tendina Testo visualizzato; si è inoltre proceduto ad estendere le possibili impostazioni. A seguito di questa modifica, è stata implementata anche una conversione degli inserimenti originali: il valore "Valore variabile" era originariamente usato solamente per variabili STRING. A partire dalla versione 7.20, invece, questo valore vene convertito indipendentemente dal tipo della variabile. Variabili INTEGER diventano Testo valore limite, variabili STRING Valore variabile. Questa conversione viene eseguita nell´Editor e nel Runtime al momento del caricamento dell´elemento d'immagine.

Se file Runtime di un progetto realizzato con una versione precedente alla 7.20 vengono ripresi direttamente in un progetto realizzato con la versione 7.20, può accadere quanto segue: Le variabili del tipo INTEGER vengono scambiate con quelle del tipo STRING e viceversa.

Soluzione: Create di nuovo i file Runtime nella versione 7.20.


Ellisse:

Manuale -> Immagini -> Elementi d´immagine -> Ellisse:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per disegnare un´ellisse:

  1. selezionate il simbolo Ellisse/cerchio nella barra dei simboli Elementi, oppure nel menù a tendina Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate l´ellisse con il tasto sinistro del mouse premuto.
  4. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  5. tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  6. Stabilite nella finestra delle proprietà quelle che desiderate.


Cerchio

Manuale -> Immagini -> Elementi d´immagine -> Cerchio

Per disegnare un cerchio:

  1. selezionate il simbolo Ellisse/cerchio nella barra degli strumenti Elementi
  2. selezionate nella finestra principale il punto start
  3. Tenete premuto il tasto Shift;
  4. trascinate il cerchio con il tasto sinistro del mouse premuto.
  5. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  6. tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  7. se deve essere mantenuta la forma di cerchio al momento di trascinare l'immagine, tenete premuto il tasto Shift.
  8. Stabilite nella finestra delle proprietà quelle che desiderate.


Curva

Manuale -> Immagini -> Elementi d´immagine -> Curva

Per disegnare una curva:

  • selezionate il simbolo curva nella barra degli strumenti Elementi
  • selezionate nella finestra principale il punto start
  • trascinate la curva con il tasto sinistro del mouse premuto.
  • Trascinare verso destra in alto, apre la curva verso sinistra in alto; analogamente funzionano tutte le direzioni.
  • Per cambiare la direzione di apertura, muovete un punto di appiglio centrale sopra la linea di fronte.
  • La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  • tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  • Mentre trascinate, tenete premuto il tasto shift; in tal modo vengono mantenute le relazioni fra i lati.
  • Stabilite nella finestra delle proprietà quelle che desiderate.

info Info

La curva viene sempre rappresentata come quarto di cerchio, ma può essere estesa con copia e incolla.
Tipo e colore di riempimento non sono a disposizione per le curve.


Arco di cerchio

Manuale -> Immagini -> Elementi d´immagine -> Arco di cerchio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

attention Attenzione

Con il segmento cerchio disegnate una parte a piacere di un cerchio o di un´ellisse.

Per disegnare un segmento di cerchio :

  1. selezionate il simbolo arco di cerchio nella barra degli strumenti Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate il segmento di cerchio tenendo il tasto sinistro del mouse premuto.
  4. trascinare verso destra in altro, apre il segmento di cerchio a sinistra e viceversa.
  5. Per cambiare la direzione di apertura, muovete un punto di appiglio centrale sopra la linea di fronte.
  6. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  7. tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  8. Mentre trascinate, tenete premuto il tasto shift; in tal modo vengono mantenute le relazioni fra i lati.
  9. Per modificare l´angolo di apertura,oppure per aprire il segmento di cerchio verso l´alto o il basso, avete due possibilità:
    • muovete il mouse su uno dei due punti di appiglio finché il puntatore non si trasforma in una croce nera con frecce sul più esterno dei due punti; poi muovete il punto nella direzione desiderata
      oppure
    • modificate le indicazioni di angolo nelle proprietà alla voce Angolo di apertura. Ad esempio:
      - per apertura verso il basso: Angolo finale [°] 180° e Angolo di partenza [°] auf 0°
      - per apertura dopo: sopra viceversa
      indicazioni di angolo possono avere al massimo due cifre decimali.
      Nota: visto che i punti calcolati sulla base delle indicazioni d´angolo sono pixel, e questi devono essere numeri interi, è possibile che la rappresentazione d´angolo diverga un po´dalle indicazioni corrispondenti. Per esempio, dall´indicazione 45° non risulta un pixel integer. In zenon il valore viene arrotondato e l´angolo viene rappresentato come 44,75°.
  10. Stabilite nella finestra delle proprietà quelle che desiderate.

Legenda:

  1. Punto di presa per angolo di apertura
  2. Punto di presa per l'altezza

info Info

Se volete usare l´arco di cerchio come curva con libero angolo di apertura, modificate la proprietà Tipo di riempimento impostandola col valore trasparente. Con il tipo di rappresentazione trasparente viene visualizzata solamente la linea più esterna.
L´angolo di apertura deve essere sempre > 0° e < 360°.

Attenzione

L´elemento arco di cerchio non è disponibile con Windows CE.

Spessore segmento

Con l´aiuto delle proprietà del gruppo Spessore segmento si può definire lo spessore di segmento dell´arco di cerchio. Se la proprietà Spessore segmento regolabile è attiva, l´ellisse all´angolo di inizio e di fine del bordo esterno fino al centro, visualizza solamente lo spessore impostato. In questo modo è possibile rappresentare a mo´ di curva forme simili a tubi, con spessore diverso all´inizio e alla fine.

Vengono supportati sia archi di cerchio circolari che ellittici. Per rappresentare forme con lo stesso spessore è disponibile la proprietà Spessore finale coincide con spessore di partenza.

Se come spessore segmento per Spessore angolo di partenza [Pixel] e Spessore angolo finale [Pixel] si setta il valore 0, verrà visualizzato una curva.

Indicazioni sulla disponibilità: Disponibile solamente con Qualità grafica Windows Basis, con Progetto WindowsCE attivo oppure con Effetto riempimento 3-D Con valori di luminosità.


Linea

Manuale -> Immagini -> Elementi d´immagine -> Linea

Per disegnare un linea:

  1. selezionate il simbolo curva trend nella barra degli strumenti Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate la linea con il tasto sinistro del mouse premuto.
  4. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  5. tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  6. Stabilite nella finestra delle proprietà quelle che desiderate.

info Info

Disegni e colori di riempimento non vengono utilizzati per le linee.


Poligono

Manuale -> Immagini -> Elementi d´immagine -> Poligono

Per disegnare un poligono:

  1. selezionate il simbolo poligono nella barra degli strumenti Elementi
  2. Selezionate nella finestra principale il punto di partenza cliccando con il tasto sinistro del mouse.
  3. Tracciate la prima linea parziale.
  4. Fissate con un semplice clic del mouse (tasto sinistro) il primo angolo.
  5. Tracciate le altre linee e fissate degli angoli.
  6. Cliccando due volte oppure premendo Esc, fissate il punto finale.
  7. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  8. Mentre spostate, tenete premuto il tasto Shift ; in questo modo sono possibili solo dei movimenti orizzontali o verticali a partire dalla posizione originaria.
  9. Stabilite nella finestra delle proprietà quelle che desiderate.

    Suggerimento: con la proprietà Arrotondamento definite il Curvatura delle linee. A tal fine selezionate un valore compreso fra 0 (nessuna curvatura) e 1 (massima curvatura).

Aggiungi punti

Per aggiungere punti di selezione (punti di appoggio):

  • Muovete il puntatore del mouse su una linea dell´oggetto.
  • Cliccate con il tasto destro del mouse
  • Selezionate nel menù contestuale l´inserimento Aggiungi nodo all´elemento selezionato

oppure:

  • Premete contemporaneamente Ctrl e Shift
  • Muovete il puntatore del mouse su una linea dell´oggetto
  • Il puntatore del mouse prende la forma di una freccia con un più.
  • Con un clic del mouse si aggiunge un punto di selezione.

Cancella punti

Per aggiungere punti di selezione (punti di appoggio):

  • Muovete il puntatore del mouse su un punto dell´oggetto.
  • Cliccate con il tasto destro del mouse
  • Selezionate nel menù contestuale l´inserimento Elimina il nodo dell'elemento selezionato.

oppure:

  • Premete contemporaneamente Ctrl e Shift
  • Muovete il puntatore del mouse su un punto dell´oggetto.
  • Il puntatore del mouse prende la forma di una freccia con un più.
  • Con un clic del mouse si rimuove il punto.

Sposta punti

Per spostare dei punti di selezione (punti di appoggio):

  • Portate il puntatore del mouse sul punto desiderato dell´oggetto
  • Posizionate il punto nella posizione desiderata usando i tasti di direzione.

Avvertenza:

  • Premendo su uno dei tasti freccia, si determina lo spostamento di di 1 pixel del punto. Se si pigiano contemporaneamente il tasto Shift e il tasto di direzione, il punto verrà spostato di 10 Pixel.
  • Le opzioni Utilizza la griglia, nonché Spazio orizzontale e Spazio verticale delle Impostazioni dell´Editor verranno ignorate.

info Informazioni su

La proprietà Con valori di luminosità non è a disposizione per i poligoni.


Polilinea

Manuale -> Immagini -> Elementi d´immagine -> Polilinea

Per disegnare un polilinea:

  1. selezionate il simbolo polilinea nella barra degli strumenti Elementi
  2. Selezionate nella finestra principale il punto di partenza cliccando con il tasto sinistro del mouse.
  3. Tracciate la prima linea parziale.
  4. Fissate con un semplice clic del mouse (tasto sinistro) il primo angolo.
  5. Tracciate le altre linee e fissate degli angoli.
  6. Cliccando due volte oppure premendo Esc, fissate il punto finale.
  7. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  8. Mentre spostate, tenete premuto il tasto Shift ; in questo modo sono possibili solo dei movimenti orizzontali o verticali a partire dalla posizione originaria.
  9. Stabilite nella finestra delle proprietà quelle che desiderate.

    Suggerimento: con la proprietà Arrotondamento definite il Curvatura delle linee. A tal fine selezionate un valore compreso fra 0 (nessuna curvatura) e 1.

Aggiungi punti

Per aggiungere punti di selezione (punti di appoggio):

  • Muovete il puntatore del mouse su una linea dell´oggetto.
  • Cliccate con il tasto destro del mouse
  • Selezionate nel menù contestuale l´inserimento Aggiungi nodo all´elemento selezionato

oppure:

  • Premete contemporaneamente Ctrl e Shift
  • Muovete il puntatore del mouse su una linea dell´oggetto
  • Il puntatore del mouse prende la forma di una freccia con un più.
  • Con un clic del mouse si aggiunge un punto di selezione.

Cancella punti

Per aggiungere punti di selezione (punti di appoggio):

  • Muovete il puntatore del mouse su un punto dell´oggetto.
  • Cliccate con il tasto destro del mouse
  • Selezionate nel menù contestuale l´inserimento Elimina il nodo dell'elemento selezionato.

oppure:

  • Premete contemporaneamente Ctrl e Shift
  • Muovete il puntatore del mouse su un punto dell´oggetto.
  • Il puntatore del mouse prende la forma di una freccia con un più.
  • Con un clic del mouse si rimuove il punto.

Sposta punti

Per spostare dei punti di selezione (punti di appoggio):

  • Portate il puntatore del mouse sul punto desiderato dell´oggetto
  • Posizionate il punto nella posizione desiderata usando i tasti di direzione.

Avvertenza:

  • Premendo su uno dei tasti freccia, si determina lo spostamento di di 1 pixel del punto. Se si pigiano contemporaneamente il tasto Shift e il tasto di direzione, il punto verrà spostato di 10 Pixel.
  • Le opzioni Utilizza la griglia, nonché Spazio orizzontale e Spazio verticale delle Impostazioni dell´Editor verranno ignorate.


Rettangolo

Manuale -> Immagini -> Elementi d´immagine -> Rettangolo

Per disegnare un rettangolo:

  1. selezionate il simbolo Rettangolo nella barra degli strumenti Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate il rettangolo tenendo il tasto sinistro del mouse premuto.
  4. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  5. tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  6. Stabilite nella finestra delle proprietà quelle che desiderate.

    Suggerimento: potete arrotondare a piacere gli angoli per ottenere un rettagolo con gli angoli smussati.


Quadrato

Manuale -> Immagini -> Elementi d´immagine -> Quadrato

Per disegnare un quadrato:

  1. selezionate il simbolo Rettangolo nella barra degli strumenti Elementi
  2. Tenete premuto il tasto Shift;
  3. selezionate nella finestra principale il punto start
  4. trascinate il quadrato con il tasto sinistro del mouse premuto.
  5. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando l'immagine ai punti agli angoli oppure muovendo l'elemento;
    nel caso in cui, al momento della modifica delle dimensioni, debba essere mantenuta la forma 'Quadrato', premete il tasto Shift mentre trascinate l'elemento usando i punti agli angoli.
  6. tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  7. Stabilite nella finestra delle proprietà quelle che desiderate.


Tubatura

Manuale -> Immagini -> Elementi d´immagine -> Tubatura

Per disegnare un tubatura:

  1. selezionate il simbolo Tubatura nella barra dei simboli Elementi
  2. Selezionate nella finestra principale il punto di partenza cliccando con il tasto sinistro del mouse.
  3. Tracciate la prima linea parziale.
  4. Fissate con un semplice clic del mouse (tasto sinistro) il primo angolo.
  5. Tracciate le altre linee e fissate degli angoli.
  6. Cliccando due volte oppure premendo Esc , fissate il punto finale.
  7. La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  8. Mentre spostate, tenete premuto il tasto Shift ; in questo modo sono possibili solo dei movimenti orizzontali o verticali a partire dalla posizione originaria.
  9. Stabilite nella finestra delle proprietà quelle che desiderate.

    Suggerimento: con la proprietà Arrotondamento definite l´Arrotondamento delle linee. A tal fine selezionate un valore compreso fra 0 (nessuna arrotondamento) e 1 (massima arrotondamento).

Aggiungi punti

Per aggiungere punti di selezione (punti di appoggio):

  • Muovete il puntatore del mouse su una linea dell´oggetto.
  • Cliccate con il tasto destro del mouse
  • Selezionate nel menù contestuale l´inserimento Aggiungi nodo all´elemento selezionato

oppure:

  • Premete contemporaneamente Ctrl e Shift
  • Muovete il puntatore del mouse su una linea dell´oggetto
  • Il puntatore del mouse prende la forma di una freccia con un più.
  • Con un clic del mouse si aggiunge un punto di selezione.

Cancella punti

Per aggiungere punti di selezione (punti di appoggio):

  • Muovete il puntatore del mouse su un punto dell´oggetto.
  • Cliccate con il tasto destro del mouse
  • Selezionate nel menù contestuale l´inserimento Elimina il nodo dell'elemento selezionato.

oppure:

  • Premete contemporaneamente Ctrl e Shift
  • Muovete il puntatore del mouse su un punto dell´oggetto.
  • Il puntatore del mouse prende la forma di una freccia con un più.
  • Con un clic del mouse si rimuove il punto.

Sposta punti

Per spostare dei punti di selezione (punti di appoggio):

  • Portate il puntatore del mouse sul punto desiderato dell´oggetto
  • Posizionate il punto nella posizione desiderata usando i tasti di direzione.

Avvertenza:

  • Premendo su uno dei tasti freccia, si determina lo spostamento di di 1 pixel del punto. Se si pigiano contemporaneamente il tasto Shift e il tasto di direzione, il punto verrà spostato di 10 Pixel.
  • Le opzioni Utilizza la griglia, nonché Spazio orizzontale e Spazio verticale delle Impostazioni dell´Editor verranno ignorate.


Interruttore

Manuale -> Immagini -> Elementi d´immagine -> Interruttore

Con l´elemento dinamico Interruttore potete visualizzare i valori di una variabile binaria tramite delle grafiche e la potete modificare. L´elemento può essere usato anche come interruttore per il comando ad un livello non assicurato.

Per creare un Interruttore in un´immagine:

  1. Selezionate il simbolo Interruttore nella barra degli strumenti Elementi
  2. Selezionate nella finestra principale il punto start.
  3. Trascinate l´elemento tenendo premuto il tasto sinistro del mouse.

    Si apre il dialogo per la Selezione di una variabile binaria.

  4. Selezionate la variabile desiderata.
  5. Definite le proprietà che desiderate nella finestra delle proprietà.

Avvertenza:

  • Per usare l´elemento come pulsante, attivate nel nodo Setta valore impostabile la proprietà Pulsante.
  • L´elemento può essere utilizzato anche in immagini come elemento di controllo per checkbox.

Tipi di immagine per interruttori

Ci sono diversi tipi di immagine a disposizione per la visualizzazione dell´interruttore nel Runtime; essi dipendono dalle impostazioni configurate per la proprietà Qualità grafica:

  • Windows Basis:
    Possono essere usati i seguenti tipi di immagini:
    • BMP
    • JPG
    • PNG
    • Bitmap predefinite in zenon
  • DirectX Software, oppure DirectX Hardware:
    Possono essere usati tutti i tipi di immagine supportati in Windows Basis, più GIF animate eWMF.

Uso come elemento di controllo

L´elemento è usato anche in elementi di controllo di immagini per visualizzare checkbox. Se l´elemento viene utilizzato in un´immagine come elemento di controllo, esso sta a disposizione nel Runtime solamente se è attivato, e se si dispone dei necessari diritti utente. In caso contrario, esso viene visualizzato con un´ombreggiatura grigia (disattivato).


Testo statico

Manuale -> Immagini -> Elementi d´immagine -> Testo statico

Per inserire un testo statistico:

  1. Selezionate il simbolo Testo statico nella barra dei simboli Elementi
  2. Selezionate nella finestra principale il punto start
  3. Trascinate il campo testo tenendo il tasto sinistro del mouse premuto.

    La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.

    Tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.

  4. Stabilite nella finestra delle proprietà quelle che desiderate.

Inserire e formattare il testo

Per digitare del testo:

  1. Cliccate due volte con una breve pausa fra i due clic sul campo di testo

    Oppure: selezionate nel menù contestuale Modifica testo:
    Oppure: scrivete il testo nella proprietà Testo.

  2. Scrivete il testo desiderato

info Informazioni su

Il cambio riga avviene automaticamente, indipendentemente dalla grandezza del campo testo. Per disattivare il cambio riga, disattivate nel nodo Testo la proprietà A capo automatico.

Suggerimento: Se si definisce nelle proprietà un Textwinkel [°] (Visualizzazione), non è possibile un cambio riga nel testo. Un diverso angolo di visualizzazione con corrispondente rotazione del testo, può essere impostato tramite la rotazione dell’intero elemento (incluse le linee di cornice, se abilitate).

Sottolinea

Per sottolineare un testo, ponete davanti ad esso un &.

T&ext diviene:

Nel caso in cui vogliate utilizzare il carattere '&' nel testo, digitatelo due volte:
1 && 2 diviene 1 & 2.

A capo

Per andare a capo, usate la successione di segni \n.

Esempio:

riga 1 \n

riga 2


Elemento Trend

Manuale -> Immagini -> Elementi d´immagine -> Elemento Trend

Con l´elemento dinamico Elemento trend rappresentate valori nel runtime in forma di curve di trend; più variabili di processo possono essere visualizzate contemporaneamente.

Per far sì che l´elemento Trend possa rappresentare dei valori, la proprietà HD attivo nel nodo Salvataggio dati su disco fisso delle proprietà delle variabili deve essere attiva. Frequenza d'interrogazione [s] e Quantità valori devono corrispondere a Tempo di aggiornamento e Durata visualizzazione nell´Elemento Trend, altrimenti, ad ogni apertura dell´immagine si comincia di nuovo a disegnare le curve. Ogni modifica può avere influenza su altri elementi trend che usano le stesse variabili di processo.

Crea un elemento trend:

Per creare un elemento trend in un´immagine:

  1. selezionate il simbolo Elemento trend nella barra dei simboli Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. si apre il dialogo per la Selezione di più variabili numeriche.
  5. Selezionate le variabili desiderate
  6. tutte le curve vengono create automaticamente nell´ Elemento trend

    Per aggiungere più tardi nuove curve:

    • selezionate nelle proprietà nel nodo Curve la proprietà {Nuova curva}

      oppure:

    • trascinate la variabile desiderata sull´elemento trend tenendo il tasto sinistro del mouse premuto
  7. Stabilite nella finestra delle proprietà quelle che desiderate.
    • Definite le proprietà grafiche delle curve nel runtime nel nodo Curve delle proprietà.
    • Il tempo del ciclo e il numero dei valori, li definite nelle proprietà delle rispettive variabili facendo uso del nodo Salvataggio dati su disco fisso

info Informazioni su

E' possibile collegare funzioni e variabili con l'elemento anche per mezzo di Drag&Drop. Se non è stata definita nessuna curva, l´elemento trend non viene visualizzato nel Runtime.


Orologio

Manuale -> Immagini -> Elementi d´immagine -> Orologio

Con l´elemento dinamico Orologio, visualizzate nel runtime l´orario attuale, oppure convertite dei valori numerici in un orario. La data e/o l´orario possono essere visualizzati come intervallo di tempo assoluto o differenza di tempo.

Visualizza

La visualizzazione durante il runtime dipende dal fatto se è stata collegata una variabile.

  • Se non è stata collegata nessuna variabile con l´elemento, durante il runtime viene visualizzato il tempo di sistema attuale nella forma di tempo assoluto.
    A tal scopo settate nel gruppo Visualizzazione la proprietà Tipo di visualizzazione sul valore Tempo assoluto (Base: 00:00:00 1.1.1970).
  • Se c´è una variabile collegata, il suo valore può essere visualizzato come:
    • Differenza di tempo: la variabile deve contenere il numero di secondi.
      Possono essere visualizzati i valori integer nello spazio secondi -2147483648 (min(DINT)) fino a + 4294967295 (max(UDINT)).
      È possibile rappresentare anche dei valori negativi: Un valore variabile di -60, viene visualizzato nel formato mm:ss come -01:00. Al contrario, dalla visualizzazione-01:40 si risale al valore variabile -100.
    • tempo assoluto: tempo Unix, cioè i secondi trascorsi dal 1° gennaio 1970, ore 00:00 UTC.

      Possono essere rappresentati solamente valori positivi fino a 2147483647. Un valore variabile al di fuori di questo settore provocherà una visualizzazione errata: La parte hh:mm rimane 00:00 oppure 01:00 nell´ora solare.

Progettazione

Per creare un Orologio in un´immagine:

  1. selezionate il simbolo Orologio nella barra dei simboli Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. se si vuole collegare una variabile, procedere come segue:
    collegate la variabile desiderata nel settore Variabile / funzione oppure per Drag&Drop con l´elemento in questione
    • Si può collegare tutte le variabili, fatta eccezione per quelle STRING e quelle BOOL.
    • Il frammento di variabile FLOAT (per esempio di tipi di dato REAL e DATE_AND_TIME) non viene tenuto in considerazione.
  5. Stabilite nella finestra delle proprietà quelle che desiderate, soprattutto:
  6. selezionate nel gruppo Visualizzazione, Differenza tempo come valoreTipo di visualizzazione
    • Tempo di sistema/periodo assoluto: Il tempo viene rappresentato come tempol assoluto.
      Nota: menu contestuale e tooltip non vengono supportati.
    • Differenza di tempo: la differenza di tempo viene emessa in minuti e secondi. la variabile collegata deve contenere il numero di secondi.
      Possono essere visualizzati i valori integer nello spazio secondi -2147483648 (min(DINT)) fino a + 4294967295 (max(UDINT)). È dunque possibile rappresentare anche dei valori negativi.
      Esempi nel formato mm:ss: Il valore variabile 50 viene visualizzato come 00:50, il valore variabile100 come 01:40.
      Il valore variabile -60 viene visualizzato come -01:00. Al contrario, dalla visualizzazione-01:40 si risale al valore variabile -100.
  7. selezionate mediante la proprietà Formattazione il tipo di visualizzazione desiderata

info Informazioni su

Nel caso del tipo di visualizzazione Periodo assoluto con Setta valore impostabile tramite Elemento, la formattazione del box di dialogo è del tipo Differenza di tempo.

Ad esempio:

  • Formattazione periodo assoluto: hh:mm:ss dd.mm.yy
    viene visualizzato nell´elemento come: dd:hh:mm:ss
  • dd.mm.yyyy (per es. 17.12.2008)
    come ddddd (14230 giorni dal 1. 1970.


Slider universale

Manuale -> Immagini -> Elementi d´immagine -> Slider universale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´elemento dinamico Slider universale potete visualizzare valori di variabili sotto forma di slider, bargraph, display LED e in qualsiasi altra forma di slider. Nel runtime, lo slider consente di effettuare un inserimento diretto di valore impostabile.

Per creare uno Slider universale in un´immagine:

  1. selezionate il simbolo Slider universale nella barra dei simboli Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. si apre il dialogo per la selezione di una variabile
  5. Selezionate la variabile desiderata
  6. Si apre l´assistente che Vi guida attraverso i passi della configurazione dello slider universale

  7. Selezionate l´orientamento dello slider:
    orizzontale, verticale oppure rotondo.

  8. Selezionate la forma:
    Slider/Potenziometro, barra, display LED o scala animata.

  9. Vi viene proposta un´anteprima:
    definite in questa sede anche l´intestazione e la posizione della visualizzazione valori.

  10. Le altre proprietà le definirete nella finestra di proprietà.

    Suggerimento: la visualizzazione e la forma dello slider universale possono essere modificate nel nodo Slider universale delle proprietà.

info Informazioni su

Una lancetta può visualizzare il valore massimo e quello minimo della variabile all´interno di un certo periodo di tempo. Un doppio clic sull’elemento nel runtime ripristina la lancetta.

Rappresentazione di una violazione di valore limite mediante un colore

Nel caso si verifichi una violazione di un valore limite, il colore fissato nella variabile può essere utilizzato per colorare tutta l´area, oppure solamente l´area a partire dalla violazione stessa. Questa funzionalità viene gestita mediante la proprietà Barra esplicita del gruppo Slider universale.

Questa proprietà ha effetto solamente sulla rappresentazione di valori con valori limite definiti da variabili. I valori limite da matrici di reazione non vengono presi in considerazione.

  • Attivo: Se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
    Se la variabile ha diversi valori limite, le corrispondenti aree della rappresentazione sono visualizzate con il colore corrispondente del valore limite.
  • Inattivo: se un valore limite della variabile collegata viene violato, tutta la visualizzazione viene rappresentata con il colore del valore limite violato.

Default: inattivo


WPF

Manuale -> Immagini -> Elementi d´immagine -> WPF

Con l´elemento dinamico WPF possono essere implementati e visualizzati file WPF/XAML validi in zenon.

info Informazioni su

Ulteriori informazioni concernenti l´elemento dinamico WPF le trovate nella parte della guida dal titolo zenon WPF.


Valore numerico

Manuale -> Immagini -> Elementi d´immagine -> Valore numerico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´elemento dinamico Valore numerico rappresentate valori numerici.

Per creare un Valore numerico in un´immagine:

  1. selezionate il simbolo Valore numerico nella barra degli strumenti Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. si apre il dialogo per la Selezione delle variabili numeriche.
  5. Selezionate la variabile desiderata, definite nella finestra di proprietà le proprietà desiderate.

info Info

Durante il funzionamento online vale quanto segue: Un valore decimale può essere indicato sia con una 'virgola' che con un 'punto'. La visualizzazione avviene sempre come punto.


Strumento analogico

Manuale -> Immagini -> Elementi d´immagine -> Strumento analogico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´elemento dinamico Strumento analogico rappresentate degli Strumenti analogici.

Per creare un Strumento analogico in un´immagine:

  1. selezionate il simbolo Strumento analogico nella barra dei simboli Elementi
  2. selezionate nella finestra principale il punto start
  3. trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. si apre il dialogo per la Selezione delle variabili numeriche.
  5. Selezionate la variabile desiderata, definite nella finestra di proprietà le proprietà desiderate.

Rappresentazione di una violazione di valore limite mediante un colore

Nel caso si verifichi una violazione di un valore limite, il colore fissato nella variabile può essere utilizzato per colorare tutta l´area, oppure solamente l´area a partire dalla violazione stessa. Questa funzionalità viene gestita mediante la proprietà Esplicito del gruppo Visualizzazione.

Questa proprietà ha effetto solamente sulla rappresentazione di valori con valori limite definiti da variabili. I valori limite da matrici di reazione non vengono presi in considerazione.

  • Attivo: Se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
    Se la variabile ha diversi valori limite, le corrispondenti aree della rappresentazione sono visualizzate con il colore corrispondente del valore limite.
  • Inattivo: se un valore limite della variabile collegata viene violato, tutta la visualizzazione viene rappresentata con il colore del valore limite violato.

Default: inattivo


Elementi di versioni precedenti

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I seguenti elementi non sono più a disposizione nella versione attuale di zenon:

Elemento | Disponibile fino alla versione inclusa
Pulsante Bitmap | 6.22
Elemento di segnalazione | 7.20
Multibin | 7.20
Simoblo di movimento | 6.22
Pulsante invisibile | 6.22
Elemento di stato | 7.20

Per gli elementi non più supportati vale quanto segue:

  • Dopo la conversione in un progetto attuale che non supporta più un elemento:
    • Gli elementi esistenti vengono visualizzati nell´Editor e nel Runtime.
    • Gli elementi esistenti possono essere configurati nell´Editor.
    • Non si possono creare elementi nuovi di questo tipo nell´Editor.
  • Nella compilazione dei file Runtime per una versione che supporta questi elementi:
    • Gli elementi possono essere visualizzati, configurati e creati. Trovate poi questi elementi in fondo al menù a tendina Elementi.

Noch in diesem Kapitel

Pulsante bitmap (solo fino alla versione 6.22)

Elemento di segnalazione (solo fino alla versione 7.20)

Multibin (solo fino alla versione 7.20)

Muovi simbolo (solo fino alla versione 6.22)

Pulsante invisibile (solo fino alla versione 6.22)

Elemento di stato (solo fino alla versione 7.20)


Pulsante bitmap (solo fino alla versione 6.22)

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti -> Pulsante bitmap (solo fino alla versione 6.22)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Collega un file grafico (grafica pixel: *.bmp, *.jpg, *.gif, o *.png oppure grafica vettoriale: *.wmf) ad un pulsante.

Se la proprietà di progetto Crea RT file per è stata settata a più piccolo 6.50, l´elemento pulsante può visualizzare nel runtime solamente dei testi. In questo caso, le grafiche devono essere progettate facendo uso del pulsante bitmap.

Progettare pulsanti per diverse versioni runtime:

Pulsante per | Crea RT file per < 6.50 | a partire da 6.50
Testo | Pulsante | Pulsante
Grafica | Pulsante Bitmap | Pulsante
invisibile | Pulsante invisibile | Pulsante

Per attivare un pulsante bitmap:

  • selezionate il simbolo pulsante bitmap nella barra dei simboli Elementi.
  • selezionate nella finestra principale il punto start
  • trascinate l´elemento con il tasto sinistro del mouse premuto.
  • Si apre un dialogo nel quale potete collegare la funzione desiderata all´elemento.
  • La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  • tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  • Definirete le singole proprietà dell´elemento nella finestra di proprietà. A questo scopo deve essere attivo l'elemento nella Finestra principale (clic del mouse).

Al fine di selezionare delle funzioni, viene aperto un dialogo filtrato:

Elemento

Descrizione

Albero di progetto

Definizione del progetto dal quale deve essere selezionata la funzione.

Finestra di selezione

Selezione della funzione.

Nessuna selezione

A seconda dell´elemento:

  • il dialogo viene chiuso;
  • le funzioni già collegate vengono cancellate.

Suggerimento: la grandezza di questo dialogo è modificabile. La grandezza e la posizione del dialogo viene salvata.

Modifica funzioni collegate

  1. manualmente
    • aprite le funzioni nella Visualizzazione dettagli del manager di porgetto.
    • trascinate la funzione desiderata sull´elemento tenendo il tasto sinistro del mouse premuto
    • La funzione esistente viene sostituita dalla nuova.
  2. automatico
    • selezionate nel menù contestuale dell´elemento Sostituisci collegameneti. Dettagli concernenti la procedura da adottare, li trovate nel capitolo Sostituzione di variabili e funzioni negli elementi dinamici.

Nell´elemento dinamico Pulsante possono essere inserite delle animazione usando file grafici del tipo GIF:

  1. Assegnate al pulsante un file GIF nel nodo Riempimento, mediante la proprietà File grafico.
  2. Nello stesso nodo, rendete operante una possibilità di attivazione per Animazione GIF.

    Potete eseguire l´animazione ininterrottamente, oppure in dipendenza di una variabile Bool:

    1. Per eseguire l´animazione ininterrottamente: Attivate la proprietà Sempre.
  3. Per eseguire l´animazione in dipendenza di una variabile: Collegate la proprietà Variabile ad una variabile Bool. L´animazione viene eseguita non appena quest´ultima riceve il valore 1 .


Elemento di segnalazione (solo fino alla versione 7.20)

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti -> Elemento di segnalazione (solo fino alla versione 7.20)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´Elemento di segnalazione, visualizzate nel runtime dei testi in dipendenza dai valori delle variabili di processo. La sorgente per i testi sono dei file di testo strutturati come tabella. Potete configurarli liberamente. attention Attenzione

A partire dalla versione 7.50, questo elemento non è più supportato.

Questo elemento non è a disposizione se la proprietà di progetto Crea RT file per è stata settata a meno di 7.50.

Per creare un Elemento di segnalazione in un´immagine:

  1. Selezionate il simbolo Elemento di segnalazione nella barra degli strumenti Elementi
  2. Selezionate nella finestra principale il punto start.
  3. Trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. Si apre il dialogo per la Selezione di più variabili.
  5. Selezionate le variabili desiderate
  6. Definite le proprietà che desiderate nella Finestra proprietà.

Struttura della tabella

  • Crea un documento di testo.
  • Salvatelo in formatoUnicode
  • Come segno di colonna, usate quello |(ASCII-Code 124)
  • Esempio:

    Aus|Ein|Diff|Stör

    Off|On|True|False

    Text1|Text2|Text3|Text4

  • Le variabili collegate definiscono riga e colonna del testo da visualizzare.

Variabile Selezione colonne

Questa variabile deve essere una variabile del tipo word (UINT), e definisce la colonna dalla quale si riprende il testo. Nel contempo gestisce il tipo di elaborazione.

Bit settato | Effetto
Bit 15 (Bit con il valore maggiore | elemento di segnalazione bloccato, non viene segnalato più niente .
Bit 14 | disattivare l’aggiornamento dell’emissione schermo; segnalare l’ultimo testo attivo.

Variabili per attivazione righe

L´indirizzamento delle righe avviene tramite il numero bit e non mediante il valore numerico.

Le ulteriori variabili definiscono le posizioni delle righe, dalle quali si riprendono i testi. Le posizioni delle righe dipendono da:

Valore | Riga
1 | riga 1
2 | riga 2
4 | riga 3

Ogni variabile di riga gestisce al massimo 16 righe. Se servono più di 16 colonne, si possono definire ulteriori variabili di riga.

Per visualizzare riga 1 e riga 2 in modo alternato, il valore della variabile riga deve essere “3”. Se sono settati tutti i 16 bit della prima variabile, le righe da 1 a 16 vengono visualizzate in modo alternato. Se sono settati tutti i 16 bit della seconda variabile, le righe da 17 a 32 vengono visualizzate in modo alternato.

  • Esempio:

Se sono settati il primo bit della prima variabile e il primo bit della seconda variabile, le righe 1 e 17 vengono visualizzate in modo alternato.


Multibin (solo fino alla versione 7.20)

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti -> Multibin (solo fino alla versione 7.20)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Grazie all´elemento dinamico Multibin potete definire più stati:

  • Visualizzare una grafica in dipendenza da valori di variabile.
  • Colorare simboli
  • Visualizzare un testo di stato
  • Collegare variabili numeriche e variabili binarie.
  • Visualizzare un interruttore o pulsante per la prima variabile, a patto che quest´ultima sia una variabile binaria.

Nota: La funzionalità dell´elemento Multibin può essere configurata anche mediante l´elemento combinato.

attention Attenzione

A partire dalla versione 7.50, questo elemento non è più supportato.

Questo elemento non è a disposizione se la proprietà di progetto Crea RT file per è stata settata a meno di 7.50.

Creare l´elemento Multibin

Per creare un Multibin in un´immagine:

  1. Selezionate il simbolo Multibin nella barra degli strumenti Elementi
  2. Selezionate nella finestra principale il punto start.
  3. Trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. Si apre il dialogo per la Selezione di più variabili.
  5. Selezionate le variabili desiderate.
  6. Stabilite nella finestra delle proprietà quelle che desiderate.

Definisci stati

Le impostazioni degli stati delle variabili che volete visualizzare, le definite nel dialogo che serve ad inserie gli elementi:

  1. cliccate nel nodoVisualizzazione
  2. sulla proprietà Stati
  3. Si aprirà il dialogo per la Definizione stati .
  4. Gli stati definiti vengono presi in considerazione dal sistema partendo dall´alto e procedendo verso il basso.
  5. Vengono visualizzate le impostazioni del primo stato adatto.

Noch in diesem Kapitel

Definizione stato Multibin


Definizione stato Multibin

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti -> Multibin (solo fino alla versione 7.20) -> Definizione stato Multibin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

File grafico

Simbolo d'immagine e Testi di stato

Impostazioni interruttore

Per assegnare all´elemento Multibin determinati stati:

  1. Cliccate nel nodo Visualizzazione sulla proprietà Stati.
  2. Si apre il dialogo per l´ inserimento degli elementi.
  3. Selezionate la modalità di visualizzazione desiderata:
    • File grafico: visualizzazione dell’informazione in file grafici a pixel; si possono anche rappresentare immagini “in movimento”.
    • Simbolo d'immagine e Testi di stato: Rappresentazione mediante simboli e informazioni testuali
  4. Gli stati definiti vengono presi in esame partendo dall´alto e procedendo verso il basso e vengono visualizzate le impostazioni del primo stato che corrisponde.


File grafico

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti -> Multibin (solo fino alla versione 7.20) -> Definizione stato Multibin -> File grafico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
File grafico

Visualizzazione dell´informazione in file grafici. Consente anche immagini in movimento.

Rappresentazione

Proprietà | Descrizione
File grafico | Attiva: Il sistema utilizza dei file grafici per visualizzare gli stati nel Runtime, Qui si spiega la loro configurazione.
Simbolo d'immagine e Testi di stato | Attiva: Per la visualizzazione degli stati nel Runtime, il sistema utilizza testo di stato e simboli d'immagine. Il simbolo o il gruppo elementi deve essere già presente nell´immagine. L´elemento selezionato nella lista a cascata, lampeggia nell´immagine finché il dialogo Elemento-Inserimento non viene chiuso. La spiegazione di come lo si configura la trovate nel capitolo Testo di stato e simbolo d'immagine.
Con dimensione originale | Attiva: I grafici vengono rappresentati nella grandezza originale. Inattiva: La grafica viene allungata o compressa nel runtime per adeguarla alla dimensione da visualizzare.

Opzioni

Proprietà | Descrizione
Mostra lo stato | Evidenzia l´elemento durante il runtime con un punto rosso nel caso di stato eccezionale.
Rileva lampeggio di tutte le variabili | Attivo: allarme somma di tutte le variabili di processo collegate. La grafica o il colore vengono definiti dall’attuale stato. Tutti gli stati "lampeggio" vengono conservati fin al loro ripristino.

Stato 0 (HIGH)

Proprietà

Descrizione

Stato 0 (HIGH)

Impostazioni per lo stato attuale adatti al tipo di visualizzazione.

Grafica

Selezione della grafica. Cliccando sul pulsante si apre il dialogo per selezionare il file.

  • Se non ci sono nel nodo File/Grafici del manager di progetto dei file di cui avete bisogno, li potete aggiungere usando il dialogo di selezione.
  • Per selezionare un file direttamente da una qualsiasi cartella del computer, si deve attivare la proprietà Selezione file diretta.

Altri stati

Proprietà

Descrizione

Altri stati

Selezione di altre variabili con il pulsante ... e classificazione degli stati con i pulsanti in su e in giù.

Per ognuna delle variabili collegate deve essere indicato uno stato discreto; nel caso di segnalazioni a più bit e di valori numerici, con l´inserimento del valore. Le segnalazioni a più bit devono essere attribuite più volte. Numero degli stati meno 1; per es. segnalazione doppia=3

Se si presenta una condizione discreta, viene visualizzato il bitmap corrispondente. Se non si presenta nessuno dei valori indicati, si visualizza lo stato 0 [LOW], globalmente valido per l’elemento.

Nota: In caso di variabili non binarie, il valore si imposta nella risoluzione segnale.

Impostazioni interruttore

Nel caso sia collegata come variabile una variabile binaria, essa può essere usata come interruttore o pulsante.
Per la configurazione,vedi capitolo Impostazioni interruttore.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Simbolo d'immagine e Testi di stato

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti -> Multibin (solo fino alla versione 7.20) -> Definizione stato Multibin -> Simbolo d'immagine e Testi di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Simbolo d'immagine e Testi di stato

Rappresentazione mediante simboli e informazioni testuali Contemporaneamente, il colore dello stato attuale viene adottato anche dal simbolo.

Rappresentazione

Proprietà | Descrizione
File grafico | Attivo: Per la visualizzazione degli stati nel Runtime, il sistema utilizza dei file grafici. La spiegazione di come li si configura la trovate nel capitolo File grafico.
Simbolo d'immagine e Testi di stato | Attivo: Per la visualizzazione degli stati nel Runtime, il sistema utilizza testo di stato e simboli d'immagine. Il simbolo o il gruppo elementi deve essere già presente nell´immagine. L´elemento selezionato nella lista a cascata, lampeggia nell´immagine finché il dialogo Elemento-Inserimento non viene chiuso. Qui si spiega la loro configurazione.
Visualizza il testo di stato | Attivo: I testi di stato vengono visualizzati durante il runtime.
Colore di sfondo impostabile | Attivo: è possibile scegliere liberamente il colore di sfondo per il testo.

Opzioni

Proprietà | Descrizione
Mostra lo stato | Attivo: Evidenzia l´elemento durante il runtime con un punto rosso nel caso di stato eccezionale.
Solo area di riempimento | Attivo: Vengono colorate solamente le aree di riempimento degli elementi statici, mentre i colori della cornice si conservano
Rileva lampeggio di tutte le variabili | Attivo: Allarme somma di tutte le variabili di processo collegate. La grafica o il colore vengono definiti dall’attuale stato. Tutti gli stati "lampeggio" vengono conservati fin al loro ripristino.
Colore di sfondo per il lampeggio | Colore di sfondo in caso di lampeggio. Cliccando sul colore si apre il dialogo che serve alla scelta del colore.

Stato 0 (Low)

Proprietà | Descrizione
Testo di stato | Testo che viene visualizzato durante il runtime. Un inserimento è possibile solo nel caso in cui la proprietà Visualizza il testo di stato è attiva.
Simbolo-/Colore del testo | Selezione del colore per il simbolo e il testo di stato. Cliccando sul colore si apre il dialogo che serve alla scelta del colore.
Testo Colore di sfondo | Selezione del colore di sfondo per il il testo di stato. Cliccando sul colore si apre il dialogo che serve alla scelta del colore. Disponibile solo nel caso in cui la proprietà Colore di sfondo impostabile è attiva.

Altri stati

Proprietà

Descrizione

Altri stati

Selezione di altre variabili con il pulsante ... e classificazione degli stati con i pulsanti in su e in giù.

Per ognuna delle variabili collegate deve essere indicato uno stato discreto; nel caso di segnalazioni a più bit e di valori numerici, con l´inserimento del valore. Le segnalazioni a più bit devono essere attribuite più volte. Numero degli stati meno 1; per es. segnalazione doppia=3

Se si presenta una condizione discreta, viene visualizzato il bitmap corrispondente. Se non si presenta nessuno dei valori indicati, si visualizza lo stato 0 [LOW], globalmente valido per l’elemento.

Nota: In caso di variabili non binarie, il valore si imposta nella risoluzione segnale.

Testo di stato

Testo che viene visualizzato durante il runtime. Un inserimento è possibile solo nel caso in cui la proprietà Visualizza il testo di stato è attiva.

Simbolo-/Colore del testo

Selezione del colore per il simbolo e il testo di stato. Cliccando sul colore si apre il dialogo che serve alla scelta del colore.

Testo Colore di sfondo

Selezione del colore di sfondo per il il testo di stato. Cliccando sul colore si apre il dialogo che serve alla scelta del colore.

Disponibile solo nel caso in cui la proprietà Colore di sfondo impostabile è attiva.

Impostazioni interruttore

Nel caso sia collegata come variabile una variabile binaria, essa può essere usata come interruttore o pulsante.
Per la configurazione,vedi capitolo Impostazioni interruttore.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostazioni interruttore

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti -> Multibin (solo fino alla versione 7.20) -> Definizione stato Multibin -> Impostazioni interruttore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Impostazioni interruttore

Nel caso sia collegata come variabile una variabile binaria, essa può essere usata come interruttore o pulsante.

Proprietà | Descrizione
Sola lettura | Attivo: Nel runtime non è possibile indicare un valore impostabile.
Interruttore | Attivo: L´elemento funge da interruttore per l´indicazione del valore impostabile.
Pulsante ON | Attivo: Setta il valore impostabile HIGH. La posizione preferita del pulsante va a Off.
Pulsante OFF | Attivo: Setta il valore impostabile LOW. La posizione preferita del pulsante va a On.
Tempo di ritardo [ms] | Tempo di ritardo dello stato impostato in millisecondi.
Gruppi di autorizzazione | Stabilisce il livello di autorizzazioni necessario per l´inserimento del valore impostabile.
Combinazione tasti | Combinazione di tasti per immissione valore
Elimina | Cancella la combinazione tasti.


Muovi simbolo (solo fino alla versione 6.22)

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti -> Muovi simbolo (solo fino alla versione 6.22)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´elemento dinamico Muovi simbolo, potete muovere orizzontalmente e verticalmente un numero qualsiasi di elementi in dipendenza dello stato delle altre variabili, oppure modificare la loro grandezza (zoom). A tal scopo collegate gli elementi con un simbolo.

Per creare Muovi simbolo in un´immagine:

  • selezionate il simbolo simbolo di movimento nella barra degli strumenti Elementi
  • selezionate nella finestra principale il punto start
  • trascinate l´elemento con il tasto sinistro del mouse premuto.
  • Selezionate la variabile desiderata, definite nella finestra di proprietà le proprietà desiderate.
  • Potete usare solo dei simboli che si trovano già nell´immagine.

L´elemento dinamico Muovi simbolo è a disposizione fino alla versione 6.22. A partire dalla versione 6.50, potete usare per tutte le azioni dinamiche le proprietà dinamiche di un elemento come Posizione, Dimensione e rotazione dinamica oppure Riempimento.


Pulsante invisibile (solo fino alla versione 6.22)

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti -> Pulsante invisibile (solo fino alla versione 6.22)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se la proprietà di progetto Crea RT file per è stata settata a più piccolo 6.50, l´elemento pulsante può visualizzare nel runtime solamente dei testi. In questo caso, i pulsanti invisibili devono essere progettati facendo uso dell´elemento Pulsante invisibile.

Progettare pulsanti per diverse versioni runtime:

Pulsante per | Crea RT file per < 6.50 | a partire da 6.50
Testo | Pulsante | Pulsante
Grafica | Pulsante Bitmap | Pulsante
invisibile | Pulsante invisibile | Pulsante

L elemento dinamico Pulsante invisibile definisce un’area di comando interattiva e trasparente, con la quale è collegata l´apertura di una funzione.

Per attivare un pulsante invisibile:

  • selezionate il simbolo pulsante invisibile nella barra dei simboli Elementi
  • selezionate nella finestra principale il punto start
  • trascinate l´elemento con il tasto sinistro del mouse premuto.
  • Si apre un dialogo nel quale potete collegare la funzione desiderata all´elemento.
  • La forma, la grandezza e la posizione sono modificabili in qualsiasi momento trascinando usando i punti d'angolo oppure muovendo l'elemento.
  • tenete premuto il tasto Alt trascinando l'immagine ai punti d'angolo; in questo modo la modifica viene realizzata simmetricamente.
  • Definirete le singole proprietà dell´elemento nella finestra di proprietà. A questo scopo deve essere attivo l'elemento nella Finestra principale (clic del mouse).

Al fine di selezionare delle funzioni, viene aperto un dialogo filtrato:

Elemento

Descrizione

Albero di progetto

Definizione del progetto dal quale deve essere selezionata la funzione.

Finestra di selezione

Selezione della funzione.

Nessuna selezione

A seconda dell´elemento:

  • il dialogo viene chiuso;
  • le funzioni già collegate vengono cancellate.

Suggerimento: la grandezza di questo dialogo è modificabile. La grandezza e la posizione del dialogo viene salvata.

Modifica funzioni collegate

  1. manualmente
    • aprite le funzioni nella Visualizzazione dettagli del manager di porgetto.
    • trascinate la funzione desiderata sull´elemento tenendo il tasto sinistro del mouse premuto
    • La funzione esistente viene sostituita dalla nuova.
  2. automatico

selezionate nel menù contestuale dell´elemento Sostituisci collegameneti. Dettagli concernenti la procedura da adottare, li trovate nel capitolo Sostituzione di variabili e funzioni negli elementi dinamici.

info Info

Con il pulsante invisibile non è possibile visualizzare lo stato della variabile.


Elemento di stato (solo fino alla versione 7.20)

Manuale -> Immagini -> Elementi d´immagine -> Elementi di versioni precedenti -> Elemento di stato (solo fino alla versione 7.20)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´elemento dinamico Elemento di stato potete gestire un simbolo ad immagine. Le proprietà di una variabile collegata, come, ad esempio, colori, lampeggio ecc, vengono trasmesse a un simbolo. Potete visualizzare in tal modo anche testi di valori limite statici.

attention Attenzione

A partire dalla versione 7.50, questo elemento non è più supportato.

Questo elemento non è a disposizione se la proprietà di progetto Crea RT file per è stata settata a meno di 7.50.

Per creare uno Elemento di stato in un´immagine:

  1. Selezionate il simbolo Elemento di stato nella barra dei simboli Elementi oppure nella lista a cascata Elementi dinamici.
  2. Selezionate nella finestra principale il punto start
  3. Trascinate l´elemento con il tasto sinistro del mouse premuto.
  4. Si apre il dialogo per la selezione di una variabile
  5. Selezionate la variabile desiderata.
  6. Definite le proprietà che desiderate nella Finestra proprietà.

info Informazioni su

Al posto dell´elemento dinamico Elemento di stato, si possono utilizzare anche le proprietà dinamiche di un elemento, o l´Elemento combinato.


Elementi d'immagine nel Runtime

Manuale -> Immagini -> Elementi d´immagine -> Elementi d'immagine nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La successione di trasformazione degli elementi grafici può essere scelta nell´Editor, nel gruppo Aspetto grafico, in corrispondenza delle proprietà di progetto Ordine trasformazione.

Potete scegliere fra le due seguenti opzioni:

  1. Rotazione -> Zoom -> Traslazione
  • Se selezionate questa sequenza di trasformazione, l´elemento grafico sotto questa opzione avrà il seguente aspetto originale:

    Dopo un ingrandimento di 4 volte dell´elemento grafico, esso avrà il seguente aspetto:

    Con un ingrandimento di 4 volte e una rotazione di 45°, esso avrà il seguente aspetto:

  1. Zoom -> Rotazione-> Traslazione
  • Se selezionate questa sequenza di trasformazione, l´elemento grafico sotto questa opzione avrà il seguente aspetto originale:

    Dopo un ingrandimento di 4 volte dell´elemento grafico, esso avrà il seguente aspetto:

Con un ingrandimento di 4 volte e una rotazione di 45°, esso avrà il seguente aspetto:

Nota: la differenza fra i due tipi di ordine di trasformazione consiste nell´uso dell´ingrandimento e della rotazione di un elemento grafico. L´impostazione di default è l´opzione Zoom -> Rotazione -> Traslazione.


Modifica gli elementi ad immagine

Manuale -> Immagini -> Modifica gli elementi ad immagine

Per gli elementi ad immagine avete a disposizione molteplici possibilità di modifica:

  • Azioni grafiche
  • Sostituzione automatica
  • Grafica di sfondo
  • Funzioni Dialogo di selezione
  • Dialogo selezione variabili

Noch in diesem Kapitel

Azioni grafiche

Sostituisci collegamenti di variabili e funzioni

Grafica di sfondo

Funzioni Dialogo di selezione

Dialogo selezione variabili


Azioni grafiche

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon sono possibile anche delle azioni grafiche. A tal scopo usate:

  • Proprietà dell´elemento
  • Comandi nel menù Modifica
  • Azioni con il mouse:
    • Tenendo premuto il tasto Ctrl mentre si sposta il mouse, si copia l´elemento.
    • Quando si sposta tenendo premuto il tasto destro del mouse, si apre il menù contestuale che serve a scegliere se si deve copiare o spostare.
  • Menù contestuale

info Informazioni su

Delle azioni grafiche, come, ad esempio, ombreggiatura e sfocatura, possono avere degli effetti sulle prestazioni del sistema, sia nell´editor che nel runtime.

Inserimenti di valori

Per l´inserimento di valori nell´ambito di limiti definiti, sono a disposizione per molte proprietà anche degli slider. Ci si arriva facendo uso del pulsante .... Delle modifiche di valore ottenute facendo uso degli slider, vengono visulizzate subito nel campo delle proprietà.

Quando si selezionano dei colori, quello attivo nella tavolozza viene visualizzato come anteprima direttamente nell´oggetto.

Noch in diesem Kapitel

Arrotondamenti

Effetti per elementi d´immagine

Muovi elementi

Andamento colore e trasparenza

Copia formato

Copia, aggiungi e sposta

Design delle liste

Aggiungi e cancella e sposta punti con polilinea, poligono e pipes:

Frecce negli elementi vettoriali

Griglia

Carattere

Selezionare

Scalare, centrare e zoom

Combinazioni di tasti

Assegnare un tasto ad un elemento di controllo


Arrotondamenti

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Arrotondamenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli elementi Rettangolo e Pulsante, nonché Poligono, Polilinea e Tubatura, possono essere rappresentati con degli arrotondamenti.

info Informazioni su

Questi ultimi sono disponibili con alcune limitazioni per:

  • proprietà Progetto WindowsCE
    attiva, oppure
  • valore Windows basic per la proprietà Qualità grafica

Rettangolo e pulsante

Potete definire il grado di arrotondamento nel nodo Arrotondamento. Per ogni angolo si possono inserire rispettivamente due valori:

  • Valore X: valore percentuale per l´arrotondamento riferito alla larghezza dell´elemento.
  • Valore Y: valore percentuale per l´arrotondamento riferito all´altezza dell´elemento.

0 % significa nessun arrotondamento.
100 % significa un quarto di cerchio.

Se la proprietà Proporzionale viene attivata, può essere inserito solamente il valore X.

I valori possono essere definiti separatamente per ogni angolo. Se il valore di un angolo viene settato su -1, esso assume il suo valore di arrotondamento dalla proprietà Tutte X [%] e/o da Tutte Y [%].

info Informazioni su

Nel caso in cui si modifichi il valore di Tutte X [%] o Tutte Y [%], tutti i valori dell´asse corrispondente vengono settati su -1. In tal modo, valori differenti possono essere facilmente ricondotti ad un parametro unitario.

Suggerimento: nel quadrante basso di destra dell´elemento si trova un piccolo triangolo giallo. Cliccateci sopra con il mouse e spostate questo triangolo fino a raggiungere l´arrotondamento desiderato.

Esempio:

sul pulsante si trova un file GIF con uno sfondo trasparente. Per il pulsante è stato definito un colore rossiccio. L´arrotondamento degli angoli è stato definito con Tutte X [%] e Proporzionale; per l´angolo in basso a sinistra, poi, questo valore è stato modificato individualmente.

info Informazioni su

Se viene usata la proprietà Con valori di luminosità per la visualizzazione del colore di riempimento, gli angoli non possono essere visualizzati arrotondati. Se questa proprietà viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Poligono, polilinea e tubatura.

Potete definire il grado di arrotondamento per poligono, polilinea e tubatura mediante la proprietà Arrotondamento nel nodo Visualizzazione. Inserite a questo scopo un valore compreso fra 0 e 1.


Effetti per elementi d´immagine

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Effetti per elementi d´immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Molti elementi grafici possono essere messi in evidenza durante il runtime mediante l´uso di effetti.

Ulteriori effetti li trovate nel capitolo Effetti per modelli.

Noch in diesem Kapitel

Effetto glow

Cornice e ombra


Effetto glow

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Effetti per elementi d´immagine -> Effetto glow

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Molti elementi di zenon supportano l´effetto glow.

Requisiti

Per poter usare l´effetto glow per un elemento grafico, devono essere soddisfatti i seguenti presupposti:

  • La proprietà di progetto Aspetto grafico/Qualità grafica deve essere settata su DirectX Hardware oppure suDirectX Software. Per i dettagli vedi capitolo Qualità grafica.
  • L´elemento grafico deve essere supportato.
    Sono supportati tutti gli elementi grafici con le seguenti eccezioni: simboli WMF, elemento combinato, ActiveX, WPF, tutti gli elementi di controllo Win32, finestre e alcuni elementi di controllo speciali.
  • L´elemento deve essere visibile.
    Se l´elemento è invisibile, lo è automaticamente anche l´effetto glow, visto che esso viene derivato direttamente dall´elemento.

Configurazione

Per configurare l´effetto glow per un elemento supportato:

  1. Assicuratevi che la proprietà Qualità grafica sia settata su DirectX Hardware, oppure su DirectX Software.
  2. Create l´elemento.
  3. Passate al nodo proprietà Effetti.
  4. Attivate nell´area Effetto glow (solo DirectX) la proprietà Attiva.
  5. Configurate la trasparenza, il colore e la visibilità.

    Se si configurano diverse proprietà per lo stesso effetto, quella rispettivamente più forte viene eseguita durante il runtime. Per i dettagli vedi sezione Dipendenza della configurazione. (Ad esempio: un effetto glow invisibile è sempre invisibile, l´impostazione relativa al lampeggio, dunque, non ha alcun effetto.)

I valori di default per l´effetto glow:

  • Attiva: inattivo
  • Attivo se premuto: inattivo
  • Trasparenza [%]: 20 %
  • Estensione [Pixel]: 15 Pixel
  • Colorare: inattivo
  • Colore: #FFFF90 (giallo)
  • Variabile colore: nessuno
  • Variabile per visibilità: nessuno
  • Riprende la visibilità dal valore limite: inattivo
  • Visibile da: 0
  • Visibile fino: 0
  • Variabile lampeggio: nessuno
  • Riprendi il lampeggio dal valore limite: inattivo
  • 2. Stato lampeggio invisibile: inattivo

Dipendenze della configurazione

Variabile per visibilità

La visibilità ha degli effetti particolarmente grandi. Se l´effetto glow è settato su non visibile, il lampeggio e il colore verranno ignorati. Dipendenze:

  1. Variabile per visibilità è collegato e Riprende la visibilità dal valore limite è attivo:
    • Invisibile nel valore limite è attivato: L´effetto glow non è visibile:
    • Invisibile nel valore limite non è attivato:
      l´effetto glow viene visualizzato nel modo in cui è stato configurato nelle proprietà. A seconda delle impostazioni, l´effetto glow può anche lampeggiare.
  2. Variabile per visibilità è collegato e Riprende la visibilità dal valore limite non è attivo:
    • Il valore della variabile si trova all´interno dei limiti delle proprietà di Visibile da e Visibile fino:
      l´effetto glow viene visualizzato nel modo in cui è stato configurato nelle proprietà. A seconda delle impostazioni, l´effetto glow può anche lampeggiare.
    • Il valore della variabile si trova al di fuori dei limiti delle proprietà di Visibile da e Visibile fino:
      L´effetto glow non è visibile
  3. Variabile per visibilità non è collegato:
    l´effetto glow viene visualizzato nel modo in cui è stato configurato nelle proprietà. A seconda delle impostazioni, l´effetto glow può anche lampeggiare.

Variabile lampeggio

Con tutti gli stati in corrispondenza dei quali viene visualizzato l´effetto glow configurato originariamente, si ottiene l´effetto glow che è stato impostato nelle proprietà. Anche, per esempio, il colore può provenire da un valore limite di una propria variabile; vedi dettagli in Colore da variabile.

  1. Variabile lampeggio è collegato, Riprendi il lampeggio dal valore limite è attivo e 2. Stato lampeggio invisibile è attivo:
    • Il valore limite è stato violato:
      l´effetto glow lampeggia e cambia da effetto glow colorato (da violazione valore limite) a l´effetto glow configurato originariamente nelle proprietà.
    • Il valore limite non è stato violato:
      l´effetto glow non lampeggia e ha le caratteristiche che sono state configurate originariamente nelle proprietà.
  2. Variabile lampeggio è collegato, Riprendi il lampeggio dal valore limite è attivo e 2. Stato lampeggio invisibile non è attivo:
    • Violazione del valore limite attiva:
      l´effetto glow lampeggia e cambia da effetto glow colorato (da violazione valore limite) a effetto glow non visibile.
    • Violazione del valore limite non attiva:
      l´effetto glow non lampeggia e ha le caratteristiche che sono state configurate originariamente nelle proprietà.
  3. Variabile lampeggio è collegato, Riprendi il lampeggio dal valore limite non è attivo:
    • Violazione del valore limite attiva:
      l´effetto glow lampeggia e cambia dall´effetto glow configurato originariamente nelle proprietà a effetto glow non rappresentato.
    • Violazione del valore limite non attiva:
      l´effetto glow non lampeggia e ha le caratteristiche che sono state configurate originariamente nelle proprietà.
  4. Variabile lampeggio non è:
    l´effetto glow può essere visualizzato in dipendenza di altre proprietà.

Colore da variabile:

rappresenta la possibilità di fissare il colore dell´effetto glow tramite il valore limite di una variabile. Ciò vale anche per la rappresentazione normale se l´effetto glow lampeggia.

  1. Variabile colore collegato:
    1. Violazione del valore limite attiva:
      viene usato il colore del valore limite violato.
    2. Violazione del valore limite non attiva:
      per la colorazione dell´effetto glow si usa il colore impostato nella proprietà Colore.
  2. Variabile colore non collegato:
    per la colorazione dell´effetto glow si usa il colore impostato nella proprietà Colore.

Colorazione:

definisce se l´effetto glow viene creato come immagine dell´elemento reale, oppure viene colorato facendo uso di un singolo colore.

  1. Colorare attiva e Variabile colore collegata:
    1. Violazione del valore limite attiva:
      per la colorazione dell´effetto glow si usa il colore del valore limite violato.
    2. Violazione del valore limite non attiva:
      per la colorazione dell´effetto glow si usa il colore impostato nella proprietà Colore.
  2. Colorare attiva e Variabile colore non collegata:
    per la colorazione dell´effetto glow si usa il colore impostato nella proprietà Colore.
  3. Colorare non attiva: per l´effetto glow si usa un´immagine dell´elemento reale con tutti i colori corrispondenti dell´elemento.

Consigli per effettuare la configurazione:

Per ottenere dei buoni risultati:

  • selezionate per Trasparenza [%] un valore piuttosto basso. Senza colorazione il valore può essere un po´ superiore che nel caso di effetto colorato.
  • selezionate per Estensione [Pixel] un valore non troppo basso. Ci si dovrebbe mantenere su >5, per far sì che l´effetto sia visibile al di fuori dell´elemento.
    Attenzione: dei valori troppo alti (>20) possono avere come conseguenza il fatto che l´effetto glow viene fortemente ridotto. In questo caso la visibilità può essere aumentata tramite un´ulteriore riduzione della trasparenza. In generale si può dire che l´effetto glow incide in modo sostanziale sulle prestazioni del sistema e, perciò, dovrebbe essere usato con criterio. Un alto valore di Estensione [Pixel] richiede più risorse, il che può avere degli effetti notevoli soprattutto nel caso di elementi che si trovano vicini gli uni agli altri.
  • Visto che nel caso di DirectX, l´effetto glow (come anche le ombre) viene derivato direttamente dall´elemento originale, anche le modifiche dinamiche dell´elemento hanno delle conseguenze sull´effetto stesso. Si può dotare di effetti anche grafiche bitmap. Così, ad esempio, un´immagine PNG con aree parzialmente trasparenti ottiene come un´animazione GIF un effetto glow corretto, che viene creato in modo dinamico durante la visualizzazione. L´effetto glow ha influsso (come le ombre) anche su testo, il che permette di ottenere degli effetti particolari.

Noch in diesem Kapitel

Esempi di effetto glow

Trattamento errori


Esempi di effetto glow

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Effetti per elementi d´immagine -> Effetto glow -> Esempi di effetto glow

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Esempi di effetto glow

Effetto glow

Elemento senza effetto glow:

Elemento con effetto glow:

Colori

colore di Default 0xFFFF90 (giallo):

Colore 0xFFFFFF (bianco):

Trasparenza

trasparenza 0%:

trasparenza 20%:

trasparenza 60%:

Diffusione

diffusione di 0 pixel e trasparenza pari allo 0%:

diffusione di 5 pixel e trasparenza pari allo 0%:

diffusione di 10 pixel e trasparenza pari allo 0%:

diffusione di 20 pixel e trasparenza pari allo 0%:

Colore 0xFFFF90 e 5 pixel di diffusione, nonché una trasparenza del 20%:

Colore 0xFFFF90 e 20 pixel di diffusione, nonché una trasparenza del 20%:

Testi

diffusione di 5 pixel e trasparenza pari allo 0%:

Colore 0xFFFF90 e 5 pixel di diffusione, nonché una trasparenza dello 0%:

Grandezza carattere con 15 pixel di diffusione e una trasparenza dello 0%:

Grandezza carattere con colore 0xFFFF90 e 35 pixel di diffusione, nonché una trasparenza del 20%:

Grafica parzialmente trasparente

Originale:

diffusione di 20 pixel e trasparenza pari allo 20%:

Colore 0xFF0000 con 20 pixel di diffusione e una trasparenza del 20%:

Senza colore, 20 pixel di diffusione e una trasparenza del 20% più ombra con 40 pixel di distanza, una trasparenza del 60%, colore nero e 5 pixel di effetto Blur:

elemento cambia

pulsante 3D in colori contrastanti, con 15 pixel di diffusione e una trasparenza del 0 % su pulsante 3D:

pulsante 3D in colori contrastanti, premuto con 15 pixel di diffusione e una trasparenza del 0 % su pulsante 3D:


Trattamento errori

Trattamento errori

Finestra di emissione

Inserimento | Level | Descrizione
DirectX: immagine 'Nome Immagine' - Elemento 'Nome elemento' usano un effetto che non è rappresentabile con l´impostazione di qualità grafica selezionata. | Warning | L´effetto glow è attivato per un elemento. Tuttavia DirectX Software oppure DirectX Hardware non è stato selezionato o non è disponibile.

Lista check per limitazione errori

  • DirectX è attivo?
  • DirectX è disponibile su questo sistema? Si può avviare un controllo attivando le segnalazioni di debug nel DiagViewer. Nel caso di risultato positivo, il sistema emette un messaggio corrispondente.
  • L´elemento supporta l´effetto glow?
  • L´elemento è visibile?
  • Delle proprietà statiche (per esempio la trasparenza) fanno sì che l´effetto glow non sia visualizzabile, oppure lo sia in modo diverso da quelle desiderato?
  • Delle proprietà dinamiche fanno sì che l´effetto glow non sia visualizzabile, oppure lo sia in modo diverso da quelle desiderato?
  • Se è selezionata una proprietà che richiama la visualizzazione dell´effetto glow solamente a determinate condizioni (pulsante Elemento con la proprietà "Attivo se premuto")?


Cornice e ombra

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Effetti per elementi d´immagine -> Cornice e ombra

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli elementi possono essere estesi con una cornice e ombra.

Eccezione: Gli Elementi di stato non possono essere dotati di un´ombra.

info Informazioni su

Se la trasparenza di un oggetto viene modificata (per esempio: del colore di sfondo), cambia anche in modo corrispondente la visualizzazione dell´ombra già configurata. I valori di colore e trasparenza dell´ombra, però, rimangono uguali.

Assegna cornice e ombra

  • Per dotare un elemento di una cornice, selezionate nel nodoCornice/Ombra nella proprietà Tipo di cornice Cornoce.
  • Per dotare un elemento di un´ombra, selezionate nel nodoCornice/Ombra nella proprietà Tipo di cornice Ombra.

Per la cornice e ombra potete fissare quanto segue:

  • Distanza: distanza della cornice o dell´ombra rispetto all´elemento.
  • Colore della cornice: colore della cornice o dell´ombra.

Per la cornice potete fissare quanto segue:

  • Larghezza della linea. la larghezza della cornice.

Per l´ombra potete fissare quanto segue:

  • Angolo: l´angolo espresso in gradi in cui l´ombra si inclina incominciando dall´esterno a destra in senso antiorario.

  • Trasparenza: trasparenza dell´ombra fra 0 e 100% (0% è coprente, mentre 100% è trasparente).
  • Grandezza dell´ombra: dimensione dell´ombra espressa in pixel.
  • Disegno diffuso: sfuma il coloro della superficie e rende più morbido la transizione dell´ombra.
    Indicazione: se qui il valore non è pari a 0, il calcolo dell´ombra influenza la prestazione del sistema.

info Informazioni su

La trasparenza di linee o colori di riempimento di un elemento esercita un´infuenza anche sull´ombra. Ad esempio: nel caso in cui il colore di riempimento sia fissato sul valore di 100%, non sarà visibile alcuna ombra nel settore di riempimento.

Noch in diesem Kapitel

Esempi


Esempi

Esempi

Ombra con angolo di 45 gradi spostata di 10 pixel.

Ombra con angolo di 45 gradi spostata di 30 pixel.

Ombra di una dimensione di 30 pixel.

Ombra di una dimensione di -20 pixel.

Ombra di una grandezza pari a -20 pixel e sviluppo colori trasparente nell´elemento.

Triangolo arrotondato con un disegno di 10


Muovi elementi

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Muovi elementi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per muovere degli elementi usate:

Dalla versione 06:50

  • la proprietà con l´elemento corrispondente:
    • Posizione
    • Dimensione e rotazione dinamica
  • Inoltre dinamizzate degli elementi anche con le proprietà
    • Colore(i) riempimento dinamico(i) nel nodo Riempimento
    • Lampeggio nel nodo Visibilità/lampeggio
    • Visibilità nel nodo Visibilità/lampeggio

Fino alla versione 6.22 inclusa e per compatibilità runtime con la versione 6.22:

  • In alternativa potete usare l´elemento dinamico Muovi simbolo


Andamento colore e trasparenza

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Andamento colore e trasparenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli elementi possono essere dotati di colori, oppure apparire trasparenti.

A tale scopo, selezionate anzitutto nelle proprietà dell´elemento, e più precisamente nel nodo Riempimento la proprietà corrispondente:

Effetto riempimento 3-D

I colori possono essere impostati con il seguente orientamento nei seguenti elementi:

Elemento | Lineare | Da un punto definito | Da un punto definito effetto beam
Rettangolo | sì | sì | sì
Cerchio | sì | sì | no
Arco di cerchio | sì | sì | no
Poligono | sì | sì | sì
Pulsante | sì | sì | sì

Per definire l´andamento di colori, selezionate come Tipo di riempimento Andamento colori.

Potete definire l´andamento colori tramite le proprietà del gruppo Effetto riempimento 3-D. Ma potete definirlo anche con il mouse. A questo scopo, cliccate sul piccolo cerchio giallo che si trova nell´elemento (con linea di collegamento con il centro) e muovete il cerchio fino a raggiungere l´andamento desiderato.

info Informazioni su

Nel caso di angoli fra 45° e 135°, nonché fra 225° e 315°, i rettangoli vengono orientati orizzontalmente.

La proprietà Con valori di luminosità non è a disposizione per i poligoni.

Effetto riempimento sotto Windows CE o con qualità grafica Windows Basic

Sotto Windows CE oppure con l´impostazione Windows Basic per la proprietà Qualità grafica, gli effetti di riempimento per elementi vettoriali possono essere realizzati solamente con valori di luminosità. La proprietà Effetto riempimento 3-D non è a disposizione. Per la rappresentazione di effetti di riempimento usate le proprietà:

  • Offset [%]: funziona solamente per l´elemento rettangolo.
  • Angolo [°]: funziona solamente per l´elemento rettangolo.
  • Luminosità all'esterno
  • Luminosità all'interno

Tenete presente:

la proprietà Con valori di luminosità non deve essere attivata appositamente.

La proprietà Angolo [°] può essere modificata sotto Windows CE e con l´impostazione Windows Basic per la proprietà Qualità grafica, solo in passaggi di 90°.

Pulsante

Sotto Windows CE e Windows Basic vale per l´elemento Pulsante anche quanto segue:

  • per la proprietà Riempimento pulsanti sono a disposizione i valori Da un punto definito e Da un punto definito effetto beam.
  • La proprietà Angolo [°] non è a disposizione.

Trasparenza

facendo uso della proprietà Trasparente, potete far apparire un elemento completamente trasparente.

Per far apparire degli elementi solo parzialmente trasparenti, usate le proprietà per trasparenza del colore di riempimento, colore di andamento e colore della cornice. In questa sede definite il grado di copertura di un colore; avete a disposizione dei valori che vanno da 0 a 100 per cento. Il valore 0 significa coprente e 100 completamente trasparente. Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Esempi

Trasparenza: colore di riempimento = 100, colore di riempimento 2 = 100

Trasparenza: colore di riempimento = 50, colore di riempimento 2 = 100

Trasparenza: colore di riempimento = 0, colore di riempimento 2 = 100

info Informazioni su

Gli elementi di controllo per la gestione di campi lista e barre di scorrimento non supportano alcuna forma di trasparenza.


Copia formato

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Copia formato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per trasmettere le proprietà di un elemento selezionato ad un altro o a più altri:

  1. Trasmettere ad un elemento:
    1. cliccate sull´elemento con proprietà originarie -
    2. Cliccando sul simbolo Trasmetti proprietà oppure sul comando corrispondente del menù contestuale
    3. Clic sull´elemento di destinazione: Le proprietà vengono trasmesse.
  2. Trasmettere a più elementi:
    1. Selezionare elemento origine
    2. Selezionate gli elementi di destinazione tenendo premuto il tasto Ctrl. (elementi sorgente e destinazione sono evidenziati)
    3. Cliccando sul simbolo Trasmetti proprietà oppure sul comando corrispondente del menu contestuale
    4. Le proprietà dell´elemento fonte vengono trasmesse agli elementi di destinazione.

Se sono stati selezionati più elementi come fonte, verranno trasmesse le proprietà del primo elemento selezionato.

info Informazioni su

Riprendere proprietà tramite la finestra di proprietà:

se vengono selezionati più elementi, le proprietà dell´elemento selezionato per ultimo vengono visualizzati nell´inserimento proprietà. Se la finestra di proprietà viene visualizzata in modalità Visuale raggruppata oppure in quella Tutte le proprietà , la proprietà in questione può essere trasmessa premendo il tasto Invio a tutti gli altri elementi selezionati. Nella modalità Opzione dialogo, questo non è possibile. I dettagli su questo argomento, li trovate nel capitolo Finestra proprietà, sezione Multiselect.

Regole per la trasmissione di formati

Vengono trasmesse:

  • tutte le proprietà che definiscono un elemento per quello che concerne forma, colore e aspetto, e non vengono influenzate da una variabile.

Non vengono trasmesse:

  • proprietà disattivate
  • proprietà dirette, che non possono essere trasmesse in modo sensato, come testi e file grafici

    Eccezione:

    • i file grafici dell´interruttore vengono copiati, visto che, normalmente, si vuole avere sempre lo stesso interruttore.
    • I file grafici del pulsante non vengono copiati, dato che normalmente vengono usati diversi tipi di pulsante.
  • Proprietà dai gruppi:
    • Autorizzazione
    • Automatic Line Coloring
    • Generale
    • Posizione
    • Dimensione e rotazione dinamica
    • Runtime
    • Macro VBA
    • Setta valore impostabile
  • tutto quello che viene direttamente dalle variabili.
  • Variabili e collegamenti funzioni


Copia, aggiungi e sposta

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Copia, aggiungi e sposta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per copiare, spostare o cancellare degli elemento nelle immagini, usate:

  • comandi nel menù Modifica
  • Azioni con il mouse:

    tenendo il tasto Ctrl mentre si sposta il mouse, si copia l´elemento.
    Quando si sposta tenendo premuto il tasto destro del mouse, si apre il menù contestuale che serve a scegliere se si deve copiare o spostare.

  • Menù contestuale

Muovi

Gli oggetti possono essere spostati con il mouse o con la tastiera, fatta eccezione per i modelli. Sfruttando i tasti di funzione, potete usare degli effetti particolare nell´effettuare lo spostamento:

Tasto | Azione | Risultato
Ctrl | spostare con il mouse | l´oggetto viene copiato.
Shift | spostare con il mouse | L´oggetto può essere spostato adesso in orizzontale o in verticale.
Shift | Spostare con i tasti con le frecce. | Ogni volta che si preme il tasto, l´oggetto si sposta di 10 pixel.
Tasto destro del mouse | spostare con il mouse | Il menù contestuale permette la scelta fra copiare e spostare.
Tasto Space |  | Il puntatore del mouse diventa una mano da utilizzare per spostare. Con essa è possibile spostare come si vuole la superficie di lavoro usando il tasto sinistro del mouse.


Design delle liste

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Design delle liste

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il design di determinate liste può essere modificato nel Runtime. Non tutte le possibilità di configurazione sono disponibili per tutte le liste. La configurazione può essere diversa anche in dipendenza del tipo di immagine; così, per esempio, le intestazioni di colonna per il Batch Control vengono configurate con altri proprietà rispetto a quelle per la AML. Ma soprattutto gli elementi lista per AML, Batch Control, CEL, Modelo Trend esteso, Report Viewer oppure RGM dispongono di diverse possibilità di design.

A disposizione ci sono, per es.:

  • Visualizzazione generale
  • Header e barra di scorrimento
  • Grafica per Checkbox

Noch in diesem Kapitel

Rappresentazione

Header e barra di scorrimento

Grafica per la Checkbox


Rappresentazione

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Design delle liste -> Rappresentazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´area Visualizzazione possono essere configurati tipo di carattere e altezza della riga e attivata la proprietà Funzionalità grafiche avanzate.

Carattere

Il carattere da usare per la lista lo scegliete mediante la proprietà Carattere. Cliccate sul pulsante... e si apre il dialogo che serve alla selezione del tipo di carattere. I caratteri offerti li potete configurare nel nodo Immagini/Lista caratteri.

Altezza righe

Con la proprietà Zeilenhöhe [Pixel] definite l´altezza della riga indipendentemente dalla dimensione del carattere.

attention Attenzione

Impostazioni grafiche estese

Questa proprietà consente, a seconda del tipo di immagine, di gestire l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia.

Anteprima

L´header e le barre di scorrimento vengono visualizzate nell´Editor in forma di anteprima quando si attiva la proprietà Funzionalità grafiche avanzate. Ciò rende molto più semplice configurare dettagli, quali colori, effetti di riempimento, effetti di luce oppure griglie.

Attenzione: visto che la grandezza delle barre di scorrimento nell´anteprima corrisponde alla dimensione che esse assumono nel runtime, la dimensione complessiva della lista nell´editor può divergere da quella del runtime. Ciò vale anche per le dimensioni dell´intestazione e del carattere della stessa intestazione.

Visualizzazione di valori binari

Valori binari in liste configurabili possono essere visualizzati nel Runtime in modo grafico o numerico. La configurazione della modalità di visualizzazione avviene usando le proprietà del gruppo Visualizzazione/Visualizzazione per valori Bool.


Header e barra di scorrimento

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Design delle liste -> Header e barra di scorrimento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le intestazioni di colonna consentono nel Runtime:

  • di spostare colonne
  • modificare la grandezza
  • modificare l´ordinamento.

Di norma le intestazioni di colonna vengono configurate nell´area Visualizzazione/Intestazione. Intestazioni di colonna per AML e CEL rappresentano un´eccezione. I dettagli li trovate nel capitolo Intestazioni di colonna per AML/CEL.

Header generale

Per poter utilizzare Header nel Runtime, attivate la proprietà Visualizza intestazione.

Con la proprietà Intestazione statica fissate l´Header. Essa non potrà più essere modificata nel Runtime. Solo la larghezza delle colonne è ancora modificabile.

Per visualizzare nel Runtime la riga filtro, attivate la proprietà Visualizza riga di filtro.
Nota: i filtri preconfigurati vengono eseguiti anche se la riga filtro non viene visualizzata.

L´altezza dell´Header la definite facendo uso della proprietà Alteza intestazione [Pixel]. Con il valore 0, l´altezza viene definita automaticamente sulla base della grandezza del carattere. L´altezza massima è di 255 Pixel.

Header per AML/CEL

Per usare Header in un´immagine del tipo AML oppure CEL:

  1. navigate nelle proprietà di progetto fino a giungere al gruppo Lista di informazione allarmi
  2. selezionate in corrispondenza della proprietà Header AML il valore Intestazione modificabile
    (in alternativa potete fissare in questa sede anche che l´Header sia non gestibile invisibile).

info Informazioni su

Potete impedire la gestione o la visibilità dell´intestazione per ogni singola immagine del tipo Lista allarmi: a questo scopo basta disattivare la proprietà Visualizza intestazione oppureIntestazione utilizzabile per la visualizzazione tabellare.

Ordina durante il Runtime

Per definire durante il Runtime la colonna rilevante per l´ordinamento e stabilire la successione di ordinamento, dovete progettare elementi grafici per il titolo:

  1. selezionate per la proprietà Stile di visualizzazione il valore File grafico
  2. collegate le proprietà In ordine crescente e In ordine decrescente rispettivamente con un file grafico
  3. durante il Runtime viene visualizzata nella colonna rilevante per l´ordinamento la grafica selezionata.
  4. Cliccando sulla grafica si modifica la successione di ordinamento
  5. Cliccando sul titolo della colonna si attiva la colonna stessa per effettuare l´ordinamento

Configurare il design di barra di scorrimento e griglia

Per definire la dimensione e l´aspetto di barre di scorrimento, della intestazione e di una griglia:

  1. Attivate nel gruppo Visualizzazione, la proprietà Funzionalità grafiche avanzate:
  2. Definite le proprietà desiderate nei gruppi Barra di scorrimento e Intestazione e griglia

Indicazioni sulle singole proprietà le trovate nell´embedded help.

info Informazioni su

Se si seleziona la proprietà Stile di visualizzazione File grafico, tutti gli elementi per cui non è stato selezionato un file grafico, vengono rappresentati con un effetto di riempimento. Nel caso degli elementi di gestione per liste, si possono usare delle grafiche trasparenti.


Grafica per la Checkbox

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Design delle liste -> Grafica per la Checkbox

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si può modificare individualmente l´aspetto delle checkbox con grafiche. A tale scopo, assegnate le grafiche desiderate alle corrispondenti proprietà nell´Editor. Le grafiche devono essere già state create nel nodo File\Grafiche. La grafica definita viene disegnata durante il Runtime tenendo conto delle relazioni pagine (Aspect Ratio).

Quale file grafico viene usato per quale stato di un Checkbox lo definite con le proprietà nel gruppo Visualizzazione:

  • In: il Checkbox è attivato.
  • In (inattivo): il Checkbox è attivato e non può essere modificato.
  • Out: il Checkbox è disattivato.
  • Out (inattivo): il Checkbox è disattivato e non può essere modificato.


Aggiungi e cancella e sposta punti con polilinea, poligono e pipes:

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Aggiungi e cancella e sposta punti con polilinea, poligono e pipes:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con polilinea, poligoni e pipes, si possono aggiungere, cancellare e spostare dei punti.

Aggiungi punti

Per aggiungere punti di selezione (punti di appoggio):

  • Muovete il puntatore del mouse su una linea dell´oggetto.
  • Cliccate con il tasto destro del mouse
  • Selezionate nel menù contestuale l´inserimento Aggiungi nodo all´elemento selezionato

oppure:

  • Premete contemporaneamente Ctrl e Shift
  • Muovete il puntatore del mouse su una linea dell´oggetto
  • Il puntatore del mouse prende la forma di una freccia con un più.
  • Con un clic del mouse si aggiunge un punto di selezione.

Cancella punti

Per aggiungere punti di selezione (punti di appoggio):

  • Muovete il puntatore del mouse su un punto dell´oggetto.
  • Cliccate con il tasto destro del mouse
  • Selezionate nel menù contestuale l´inserimento Elimina il nodo dell'elemento selezionato.

oppure:

  • Premete contemporaneamente Ctrl e Shift
  • Muovete il puntatore del mouse su un punto dell´oggetto.
  • Il puntatore del mouse prende la forma di una freccia con un più.
  • Con un clic del mouse si rimuove il punto.

Sposta punti

Per spostare dei punti di selezione (punti di appoggio):

  • Portate il puntatore del mouse sul punto desiderato dell´oggetto
  • Posizionate il punto nella posizione desiderata usando i tasti di direzione.

Avvertenza:

  • Premendo su uno dei tasti freccia, si determina lo spostamento di di 1 pixel del punto. Se si pigiano contemporaneamente il tasto Shift e il tasto di direzione, il punto verrà spostato di 10 Pixel.
  • Le opzioni Utilizza la griglia, nonché Spazio orizzontale e Spazio verticale delle Impostazioni dell´Editor verranno ignorate.


Frecce negli elementi vettoriali

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Frecce negli elementi vettoriali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per tutti gli elementi vettoriali che rappresentano figure aperte, si può definire un simbolo rispettivamente per start e end. Questo vale:

  • Linea
  • Polilinea
  • Curva senza riempimento
  • Segmento di cerchio senza riempimento

Per aggiungere un simbolo:

  1. Fate attenzione che nelle proprietà di progetto sia stato selezionato per la proprietà Qualità grafica (nodo Immagini) perlomeno DirectX Software.
  2. Disegnate l´elemento;
  3. Selezionate fra le proprietà del gruppo Fine linea quella per:
    1. Tipo di inizio: simbolo per inizio linea.
    2. Tipo di fine: simbolo per fine linea.
    3. Dimensione: fattore di ingrandimento per larghezza della linea. Il fattore si riferisce alla larghezza della linea dell´elemento vettoriale come definito nella proprietà Larghezza linea. Default = 0

Sono disponibili i seguenti simboli:

da sinistra, oppure a sinistra:

da destra, oppure a destra:

info Informazioni su

Questi elementi non sono disponibili:

  • Sotto Windows CE visto che Qualità grafica deve essere attiva.
  • Con un segmento di cerchio riempito.
  • Con una curva riempita

Noch in diesem Kapitel

Esempio di frecce


Esempio di frecce

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Frecce negli elementi vettoriali -> Esempio di frecce

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Elementi vettoriali con simboli Start e End con un fattore di ingrandimento di 1,5:


Griglia

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Griglia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´Editor di zenon c´è la possibilità di visualizzare una griglia per posizionare elementi in una posizione determinata. La griglia consente il perfetto posizionamento di un elemento nell´immagine. Le impostazioni fondamentali a questo proposito le settate nel menu Opzioni/Impostazioni:

Griglia

Parametri

Descrizione

Mostra griglia

Attivo: Mostra nella finestra principale la griglia definita alla voce Tipo di griglia.
Inattivo: La griglia non è visualizzata.

Posiziona sulla griglia

Attivo: Gli elementi d'immagine vengono sempre allineati secondo la griglia. Questa funzione è indipendente dall’opzione Mostra griglia.

Colore

Definisce il colore della griglia. Per la selezione del colore si utilizzata la tavolozza di Windows.

Rappresentazione

Menù a tendina con il tipo di visualizzazione della griglia:

  • pieno
  • intersezioni

Spazio verticale

Definisce la distanza orizzontale e verticale fra i singoli punti. Questo parametro, dunque, definisce anche il grado di precisione con il quale devono essere rappresentate le dimensioni dell´elemento. Distanza griglia consigliata: 10 pixel orizzontalmente e verticalmente.

Spazio orizzontale

Nel menù contestuale decidete:

Voce di menù | Descrizione
Mostra griglia | mostra o nascondi la griglia.
Posiziona sulla griglia | Gli elementi vengono ordinati in relazione alla griglia.
Utilizza ancoraggio tra elementi vicini | I punti di appiglio degli oggetti si agganciano quando li si avvicina e si dispongono in relazione l´uno dell´altro.

info Informazioni su

Se i punti della griglia si trovano a 5 pixel di distanza o meno, vengono visualizzate solamente le linee della griglia che si trovano ad una distanza maggiore di 5 pixel. Ciò non toglie che vengono tenute in considerazione anche delle griglie più piccole.


Carattere

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Carattere

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si crea un progetto, viene impostato automaticamente un carattere di default. Quest´ultimo viene a costituire il carattere standard per i nuovi oggetti. Il carattere di default non può essere cancellato. Se avete bisogno di altri caratteri:

  • Create il carattere desiderato nel nodo Caratteri (sottonodo di immagini).
  • Selezionate nelle proprietà dell´oggetto il carattere (nodo Stile testo, proprietà Carattere)


Selezionare

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Selezionare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli oggetti vengono selezionati con un clic del mouse. Per selezionare più oggetti:

  • cliccando, tenete premuto il tasto Shift oppure Ctrl
    oppure
  • trascinate con il mouse un rettangolo di aggancio.

Per deselezionare un oggetto in caso di selezione multipla, cliccate su di esso tenendo premuto il tasto Ctrl .

Modificare la successione di selezione

Se degli oggetti devono essere ordinati in una successione, serve da punto di riferimento l´oggetto selezionato per primo. Riconoscete visualmente l´oggetto che funge da punto di rifermento perché i suoi punti di appiglio sono riempiti per la loro intera superficie. Per fare di un altro oggetto l´oggetto di riferimento:

  1. Tenete premuto il tasto Shift;
  2. cliccate con il mouse sull´oggetto che deve fungere da riferimento.

Allineamento di un oggetto selezionato:

Informazioni più dettagliate su come allineare oggetti, le trovate nel capitolo Editor/Barre simboli/Allineamento oppure in quello Editor/Barra menu/ Modifica


Scalare, centrare e zoom

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Scalare, centrare e zoom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Scalare

Potete scalare gli elementi in due modi:

  1. in modo proporzionale: tenete premuto il tasto Shift mentre scalate;
  2. Intorno al centro: tenete premuto il tasto Alt;

Nota: se, facendo uso della proprietà Rotazione [°], si è definito un angolo non uguale a 0, non è possibile scalare usando i tasti con le frecce.

Centrare

Usando H, l'oggetto selezionato viene posto al centro del settore dello schermo in cui si lavora.

Zoom

Editor

Nell´Editor ci sono due modalità zoom a disposizione che potete selezionare tramite il simbolo Zoom nella barra degli strumenti:

  • Zoom senza livelli:
    Si può inserire nel Combobox un valore qualsiasi compreso fra 15% e 400%, oppure si può scegliere un valore preimpostato.
  • Tool zoom:
    Facendo uso dei due simboli della lente di ingrandimento (+ e -), è possibile zoomare direttamente nell´immagine servendosi del mouse. Premete il tasto Ctrl e passate da una modalità all´altra. Il livello di zoom definito viene salvato per ogni singola immagine.

Chiudi modalità zoom: cliccate sul simbolo Modifica. nella barra dei simboli Elementi.

Runtime

Un´immagine può essere zoomata solamente all´interno dei limiti che sono stati settati per le seguenti proprietà:

  • Larghezza (massima) [Pixel]
  • Altezza (massima) [Pixel]
  • Breite(Minimum) [Pixel]
  • Höhe(Minimum) [Pixel]

Quando, nell´effettuare lo zoom, si raggiunge un confine, il sistema cerca di continuare lo zoom nelle direzioni libere. In questo caso, si tiene conto delle proporzioni laterali.

Le immagini del tipo Faceplate non possono essere zoomate.

Zoom con multitouch in ETM.

Nel modulo Trend esteso, si può zoomare con un gesto a due dita non solo la finestra, ma anche la grafica a curve.

Per lo zoom nell´ETM, ciò significa:

  • Zoom di grafiche: Entrambe le dita devono trovarsi sulla grafica.
  • Zoom di immagini: Entrambe le dita devono trovarsi sull´immagine. Nessun dito deve trovarsi sulla grafica.
  • Se due dita si trovano sulla grafica e due sull´immagine, verrà effettuato lo zoom sia della grafica, che dell´immagine.
  • Se un dito si trova sull´immagine e uno sulla grafica, l´immagine verrà spostata se ciò è previsto dalla configurazione.
  • Se, con un´azione in fase di esecuzione, si pigia un Button, questa azione non potrà più essere interrotta.


Combinazioni di tasti

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Combinazioni di tasti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Combinazioni di tasti per l'editor della grafica:

Indicazioni sulle combinazioni di tasti: il segno di più (+) significa che i tasti vanno premuti insieme.
Ad esempio:

Ctrl+A significa: tenere premuto il tasto Ctrl e poi premere il tasto A.

Ctrl++ significa tenere premuto il tasto Ctrl e premere il tasto +.

Generale

Comando | Combinazione tasti
Finestra principale: scorrere contenuti con mano per trascinamento | tenere premuto spazio
Chiudi immagine attuale | Ctrl+F4
Apri proprietà | Alt+Invio

Selezionare

Comando

Combinazione tasti

Seleziona più oggetti

Tenere premuti Shift oppure Ctrl

Deselezionare un elemento in caso di selezione multipla.

Ctrl+Clic del mouse

Scegli: modifica successione. definisce l´elemento nei confronti del quale tutti gli altri si devono orientare.

Tenere premuto Shift al momento di effettuare la selezione.

Seleziona oggetti nascosti
  1. Premere Alt
  2. Cliccare sull´elemento e muoverlo.

Seleziona tutti gli elementi di un´immagine.

Ctrl+A

Selezionare prossimo elemento nella successione della creazione.

Tab

Selezionare elemento precedente nella successione della creazione.

Shift+Tab

Posizionare

Comando | Combinazione tasti
Spostare oggetto selezionato | Tasti freccia
Spostare di 10 pixel per ogni pressione sul tasto con frecce | Shift+Tasto con frecce
Spostare solamente orizzontalmente oppure solo verticalmente | Tenere premuto Shift al momento di effettuare lo spostamento.
Centrare un oggetto selezionato nell´area di lavoro. | H

Azioni

Comando | Combinazione tasti
Salva modifiche. | Ctrl+S
Inserisce elemento proveniente dagli appunti | Ctrl+V Shift+Ins
aggiunge elementi preso dagli appunti nella posizione originale. Originale e copia sono sovrapposti in modo perfetto. | Ctrl+Shift+V
Copia gli elementi selezionati | Ctrl+C Ctrl+Ins
Copia invece che spostare | Tenere premuto Ctrlal momento di effettuare lo spostamento.
Cancella un elemento selezionato | Canc
Taglia un elemento selezionato | Shift + Del Ctrl+X
Annulla modifiche | Ctrl+Z Alt+Backspace
Aggiungi o cancella nodo nell´elemento selezionato. Aggiungi: il cursore del mouse diventa un segno pulsante (+). Cancella: il cursore del mouse diventa un segno pulsante (-). funziona con polilinee, poligoni o elementi condutture. | Ctrl+Shift
Termina disegno di polilinea e poligoni | S
Termina disegno di polilinea e poligoni e cancella l´ultima area parziale disegnata | Esc
Colloca elementi selezionati al livello superiore | +
Colloca elementi selezionati al livello inferiore | -
Porta elementi selezionati in primo piano | Ctrl++
Porta elementi selezionati sullo sfondo | Ctrl+-

Scalare

Comando

Combinazione tasti

Modifica grandezza

Posizionare il cursore del mouse sul punto di aggancio in modo tale che esso prenda la forma di una freccia. Poi, facendo uso dei tasti con le frecce si può procedere a stabilire la posizione con grande precisione tenendo premuto il tasto Shift in passi di 10 pixel.

Nota: se, facendo uso della proprietà Rotazione [°], si è definito un angolo non uguale a 0, non è possibile scalare usando i tasti con le frecce.

Scalare oggetto in riferimento al punto centrale:

Tenere premuto Altal momento di effettuare lo spostamento.

Scalare in modo proporzionale:

Tenere premuto Shift al momento di scalare.


Assegnare un tasto ad un elemento di controllo

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Azioni grafiche -> Assegnare un tasto ad un elemento di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli elementi gestibili di un´immagine possono essere collegati con una combinazione di tasti ed essere gestiti nel runtime usando la tastiera. Ciò vale ad esempio per:

  • eseguire elementi di controllo e funzione assegnata, come stampa, muovi immagine ecc.
  • Setta valore impostabile (per es.nel caso di un interruttore)
  • settare il focus per determinate finestre (per es. lista curve nel trend esteso oppure combobox nel manager gruppi ricette)

Durante il runtime si può eseguire la funzione di gestione dell´elemento usando la tastiera.

Per assegnare un tasto a un elemento di controllo:

  1. selezionate l´elemento di controllo
  2. passate alla proprietà Combinazione tasti (Proprietà oggetto -> Runtime -> Gestione funzionamento da tastiera)
  3. cliccate sul pulsante ... oppure nel campo di inserimento
  4. si aprirà il dialogo per fissare la combinazione di tasti

Parametri | Descrizione
Combinazione tasti | Inserimento della combinazione di tasti. Cliccate nel campo e premete il tasto desiderato, oppure la combinazione di tasti desiderata, per es.: A. la combinazione di tasti verrà visualizzata nel campo di inserimento
X | Cancella la successione di caratteri nel campo di inserimento.
Ok | Accetta la combinazione di tasti e chiude il dialogo.
Elimina | Rifiuta inserimento/modifiche e chiude il dialogo.
Guida | Attiva la guida online


Sostituisci collegamenti di variabili e funzioni

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se devono venire sostituite contemporaneamente molte variabili e funzioni, Vi consigliamo di usare la sostituzione automatica per:

  • Sostituisci collegamenti nell´immagine Editor
  • Sostituisci collegamenti al momento del cambio immagine
  • Sostituisci indici
  • Simboli

Come utilizzare al meglio la sostituzione automatica nell´ambito della progettazione, potete apprenderlo consultando la guida relativa a Progettare con efficienza con zenon e in particolare la sezione Riutilizzare elementi.

Noch in diesem Kapitel

Convenzioni di nomenclatura

Sostituisci collegamenti nell´immagine Editor

Sostituisci collegamenti al momento del cambio immagine

Comandi

Sostituisci indici


Convenzioni di nomenclatura

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Convenzioni di nomenclatura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter sostituire in modo sicuro variabili ed altri elementi, è importante che la loro denominazione sia sistematica e, per quanto possibile, rispondente a regole chiare ed univoche. In questo modo non vi limitate a rendere più semplice il riutilizzo di questo materiale, ma facilitate anche la manutenzione e il reverse engineering.

Con una denominazione chiara e sistematica supportate diversi sistemi.

Ad esempio: gestione dell´energia.

Germania

  • KKS (Kraftwerk-Kennzeichen-System - Power Plant Classification System), per i dettagli vedi http://de.wikipedia.org/wiki/Kraftwerk-Kennzeichensystem
  • DIN 6779 (Kennzeichnungssystematik für technische Produkte und technische Produktdokumentation - Classification System for Technical Products and Technical Product Documentation), per i dettagli vedi http://de.wikipedia.org/wiki/DIN_6779
  • IDENTIFICAZIONE-IMPIANTO (sistema identificazione di impianto - Equipment Classification Syste), per i dettagli vedi http://de.wikipedia.org/wiki/Anlagenkennzeichnungssystem

internazionali.

  • KKS (Comandi Plant Classification System), per i dettagli vedi http://en.wikipedia.org/wiki/KKS_Power_Plant_Classification_System

Tali norme esistono per ogni settore produttivo. Vi consigliamo di utilizzare le convenzioni di nomenclatura proposte da tali normative.

Esempio: KKS.

In un progetto realizzato per il settore energetico, i nomi assegnati alle variabili dovrebbero seguire le regole della KKS. Una variabile con la denominazione C01_MDY10-QA001_QA07 ha il seguente significato:

  • Wind energy equipment C01 (row C, Nr. 1)
  • Wind turbine control MDY10, Power partQA001,
  • Power protectionQA07


Sostituisci collegamenti nell´immagine Editor

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Sostituisci collegamenti nell´immagine Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Delle variabili o delle funzioni collegate possono essere sostituite in modo durevole nell`Editor sulla base di regole. La sostituzione non si limita alle variabili o alle funzioni definite nelle proprietà del gruppo Variabile / funzione. Possono essere sostituite anche tutte le altre variabili usate nell´immagine, come ad es. le variabili per Visibilità, Lampeggio, Dimensione e rotazione dinamica e altre ancora.

Per sostituire variabili o funzioni sulla base di regole direttamente sull´elemento:

  1. selezionate l´elemento desiderato e aprite il menu contestuale cliccando con il tasto destro del mouse su un elemento
  2. selezionate Sostituisci collegamenti
  3. si apre il dialogo che serve a sostituire i collegamenti

Proprietà | Descrizione
Sorgente | Inserimento del segmento string da cercare. Possono essere usati i caratteri jolly * e ?. I caratteri jolly sono consentiti solamente come prefisso o suffisso, cioè *xxx o xxx*.
Destinazione | Immissione della nuova parte di stringa
Nome | Scambia informazione nel nome delle variabili
Identificazione | cambio dell’ informazione nell’ identificazione.
Rispetta minuscolo/maiuscolo | tiene presente nell´effettuare il cambio della corrispondenza di scrittura maiuscola e minuscola.
Acquisisci | Cambio di stringhe cercate della sorgente con quelle definite nella destinazione.
Funzioni /Variabili | apre la lista di selezione per variabili/funzioni riferita alla riga selezionata nella lista Cliccando su una variabile della lista, si definisce una nuova variabile di destinazione. Alternativa: cliccate due volte sulla variabile di destinazione corrispondente.

Sostituisci

a) sostituzione con selezione manuale

  • selezionate l´elemento della lista che volete sostituire, come sorgente.
  • selezionate un elemento di destinazione facendo uso del pulsante Variabile/Funzione.
  • L´elemento attuale viene sostituito dal nuovo.

b) Sostituzione automatica con regole

  • Definite nel campo di inserimento sorgente i parametri per gli elementi che volete sostituire.
  • Definite facendo uso del campo di inserimento "destinazione" il parametro per la nuova variabile/funzione.
  • Fissate per mezzo di Nome/identificazione ciò che deve essere cambiato.
  • Cliccate su Applica

info Informazioni su

La variabile di destinazione oppure la funzione di destinazione possono trovarsi anche in un progetto diverso rispetto a quello della variabile o funzione sorgente. Ma tutti i progetti interessati debbono essere lanciati e disponibili sullo stesso computer nel runtime.

info Informazioni su

Per la sostituzione si usano gli ID di variabile interna. Ciò significa che, se variabili o funzioni usate vengono rinominate, la sostituzione rimane.

attention Attenzione

Nel sostituire variabili, fate attenzione al tipo e alla risoluzione del segnale. Se sostituite una variabile con una non compatibile per tipo, ciò può provocare degli errori nell´esecuzione. In questo caso il sistema visualizza un messaggio di avviso; ma la sostituzione viene effettuata lo stesso.

info Informazioni su

Sostituito per Drag&Drop gli elementi che possono contenere solamente una variabile o una funzione, consentono il cambio per Drag&Drop. Trascinate con il mouse la nuova variabile o funzione sull´elemento. Essa sostituirà automaticamente quella esistente.


Sostituisci collegamenti al momento del cambio immagine

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Sostituisci collegamenti al momento del cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Variabili o funzioni collegate in uno o più elementi, ma anche Alias di ALC possono essere sostituite al momento del cambio immagine. In questo caso, gli elementi dell´immagine non vengono sostituiti in modo durevole, ma collegati durante il runtime al momento di un cambio immagine.

Per sostituire dei collegamenti al momento di un cambio immagine:

  1. progettate una nuova funzione Cambio immagine.
  2. se l´immagine contiene degli elementi sostituibili, si aprirà il dialogo che serve ad effettuare la sostituzione
  3. assegnate la funzione ad un pulsante per poter eseguire il cambio immagine durante il runtime

Proprietà | Descrizione
Sorgente | Inserimento del segmento string da cercare. Possono essere usati i caratteri jolly * e ?. I caratteri jolly sono consentiti solamente come prefisso o suffisso, cioè *xxx o xxx*.
Destinazione | Immissione della nuova parte di stringa
Nome | Scambia informazione nel nome delle variabili
Identificazione | cambio dell’ informazione nell’ identificazione.
Rispetta minuscolo/maiuscolo | tiene presente nell´effettuare il cambio della corrispondenza di scrittura maiuscola e minuscola.
Acquisisci | Cambio di stringhe cercate della sorgente con quelle definite nella destinazione.
Funzioni /Variabili | apre la lista di selezione per variabili/funzioni riferita alla riga selezionata nella lista Cliccando su una variabile della lista, si definisce una nuova variabile di destinazione. Alternativa: cliccate due volte sulla variabile di destinazione corrispondente.

Sostituisci

a) sostituzione con selezione manuale

  • selezionate l´elemento della lista che volete sostituire, come sorgente.
  • selezionate un elemento di destinazione facendo uso del pulsante Variabile/Funzione.
  • L´elemento attuale viene sostituito dal nuovo.

b) Sostituzione automatica con regole

  • Definite nel campo di inserimento sorgente i parametri per gli elementi che volete sostituire.
  • Definite facendo uso del campo di inserimento "destinazione" il parametro per la nuova variabile/funzione.
  • Fissate per mezzo di Nome/identificazione ciò che deve essere cambiato.
  • Cliccate su Applica

info Informazioni su

La variabile di destinazione oppure la funzione di destinazione possono trovarsi anche in un progetto diverso rispetto a quello della variabile o funzione sorgente. Ma tutti i progetti interessati debbono essere lanciati e disponibili sullo stesso computer nel runtime.

info Informazioni su

Per la sostituzione si usano gli ID di variabile interna. Ciò significa che, se variabili o funzioni usate vengono rinominate, la sostituzione rimane.

attention Attenzione

Nel sostituire variabili, fate attenzione al tipo e alla risoluzione del segnale. Se sostituite una variabile con una non compatibile per tipo, ciò può provocare degli errori nell´esecuzione. In questo caso il sistema visualizza un messaggio di avviso; ma la sostituzione viene effettuata lo stesso.

Sostituisci interblocchi

Nella finestra di dialogo compaiono, accanto alle variabili direttamente collegate all´immagine, anche tutte le variabili degli interblocchi usati in questa immagine. Fra queste ultime abbiamo anche la variabile risultante di un interblocco. Quelle variabili che sono state collegate sia con elementi dell´immagine che con interblocchi della immagine, sono visualizzate nel dialogo solo una volta.

Nel runtime vengono sostituite le variabili da rimpiazzare per tutti gli interblocchi che usano queste variabili. Accanto alle variabili normalmente collegate con l´interblocco, vengono sostituite anche le variabili risultanti per l´immagine collegate con l´interblocco.

Sostituzione in progetti di integrazione

Se delle variabili o delle funzioni devono essere sostituite tra un sottoprogetto e il progetto di integrazione, ci si deve assicurare che tutti i progetti interessati siano disponibili nel Runtime avviati sullo stesso calcolatore.

Example Esempio

Nel sottoprogetto, viene configurato un cambio ad un´immagine del sub-progetto. La variabile variable1 del sub-progetto viene sostituita da quella variable2 del progetto di integrazione. Perché questa sostituzione venga effettuata nel Runtime, il progetto di integrazione deve essere il progetto di partenza.

Se il sottoprogetto è il progetto di partenza, la variabile variable2 del progetto di integrazione non è disponibile. Non viene effettuata nessuna sostituzione e viene usata la variabile originale variable1 del sub-progetto.

L´utente non viene informato nel Runtime che la sostituzione è fallita.

Noch in diesem Kapitel

Esempio: Sostituisci variabile in modo basato sulle regole


Esempio: Sostituisci variabile in modo basato sulle regole

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Sostituisci collegamenti al momento del cambio immagine -> Esempio: Sostituisci variabile in modo basato sulle regole

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tutte le variabili il cui nome contiene Tank1 devono essere sostituite con variabili con Tank4.

  1. Indicate nel campo di testo Fonte Tank1. Mettete il segno * alla fine di ogni variabile che inizia con Tank1.
  2. Inserite nel campo Ziel Tank4.
  3. Cliccate su Applica.
  4. Le variabili Tank1_max e Tank1_min vengono sostituite con quelle Tank4_max e Tank4_min.


Comandi

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Comandi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con una funzione di cambio ad un´immagine del tipo Comandi, viene visualizzata anche la scheda Comandi:

Parametri

Descrizione

Variabile per definizione comando di immissione

Selezione della variabile per la determinazione del comando.

Un clic sul comando ... apre il dialogo di selezione delle variabili.

Livello di partenza

Definisce lo stato iniziale dell´immagine comandi al momento dell´apertura nel Runtime. Selezione dal menù a tendina:

  • Livello 1
    L´immagine comandi viene aperta nello stato del 1° livello.
  • Blocco
    L´immagine comandi viene aperta nello stato Blocco.

Default: Livello 1

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

§§Sezionatore

info Informazioni su

Ulteriori informazioni sulle possibilità di sostituzione di variabili nelle immagini comando, le trovate anche nel capitolo Sostituzione variabili, nella guida dedicata a Energy Edition - Comandi.


Sostituisci indici

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Sostituisci indici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il cambio immagine nel runtime, le variabili e le funzioni possono essere sostituite in modo dinamico usando regole di indicizzazione, o parametri specifici per l´elemento.

Possibilità di sostituzione:

  • Mediante variabili di indicizzazione: per es. {X01}
  • Usando parametro specifici per l´elemento: {PARAM}
  • Senza variabile di indicizzazione o parametri

attention Attenzione

Visto che i nomi vengono sostituiti, alle variabili e alle funzioni dovrebbero essere sempre dati nomi differenti. Nel caso di una uguaglianza di nome, le variabili e le funzioni in questione verrebbero sostituite.

Esempio: esistono una variabile test e una funzione test e la variabile test deve essere sostituita, questo caso lo sarebbe anche la funzione test.

Suggerimento: nominate le variabili e le funzioni assegnando a ciascuna categoria un prefisso (per es. var_ e func_). In tal modo avrete una visione d´insieme chiara anche nelle liste.

attention Attenzione

Al contrario di quanto succede con l´opzione Sostituisci collegamenti, la sostituzione via indici è basata puramente sui nomi e non su ID di variabili interni.

Ciò significa che, se variabili e funzioni usate nel cambio immagine vengono rinominate, queste modifiche devono essere effettuate anche nella stessa funzione di cambio lingua.

Sostituisci dialogo indici

Regole di indicizzazione

Parametri

Descrizione

Regole di indicizzazione

Configurazione delle regole per la sostituzione di variabili e funzioni.

Origine

Inserimento della sorgente che deve essere usata

Destinazione

Inserimento della destinazione. Possono essere usati anche parametri per valori da variabili di indicizzazione, come ad es. ({X01} e parametri {PARAM} per funzioni.

Rispetta minuscolo/maiuscolo
  • Attivo: nell´effettuare l´operazione di sostituzione, il sistema distingue fra lettere maiuscole e minuscole.

Lista delle regole

Lista delle regole definite

Aggiungi regola

Cliccando su questo pulsante, si aggiunge alla lista la regola definita via sorgente e destinazione.

Informazioni: Se c´è una regola selezionata nella lista, essa verrà sovrascritta. Per aggiungere una nuova regola, la selezione deve essere eliminata precedentemente.

Rimuovi regola

Cliccando su questo pulsante, si cancella la regola selezionata dalla lista.

Freccia in su

Quando si clicca su questo pulsante, la regola selezionata viene spostata di un posizione più in alto nella lista.

Freccia in giù

Quando si clicca su questo pulsante, la regola selezionata viene spostata di un posizione più in basso nella lista.

Nota: Il metodo Sostituisci indici può essere usato anche senza variabili di indicizzazione. Si indicano le variabili nella lista delle regole.
Vantaggio: Se si aggiungono dei sub-elementi alla struttura, la funzione non deve essere modificata e adeguata una seconda volta, come avverrebbe con il metodo Sostituisci collegamenti.

Variabile di indice

Parametri

Descrizione

Variabile di indice

Configurazione delle variabili di indicizzazione.

Lista delle regole

Mostra le variabili di indicizzazione selezionate.

Aggiungi

Quando si clicca su questo pulsante, si apre la finestra di dialogo che serve ad aggiungere o cancellare variabili di indicizzazione.

Le variabili selezionate vengono aggiunte una dopo l´altra e dotate di un parametro. Quest´ultimo può essere usato nelle regole di sostituzione per la corrispondente variabile di indicizzazione. Il valore di queste variabili viene usato di regola durante la sostituzione.

Replacement preview

Parametri | Descrizione
Replacement preview | Elenca tutte le sostituzioni configurate. Quando si clicca su un inserimento, il sistema riempie anche le opzioni sorgente e destinazione nella sezione "regole di indicizzazione".

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

attention Attenzione

Se si usano delle variabili indice in un progetto di rete, il client deve anzitutto andare a prendere il valore dal server. Poi viene eseguito il calcolo. Su apparecchi con scarsa prestazione hardware, ciò può causare ritardi nel cambio immagine.
Suggerimento: attivate le variabili indice in un progetto di rete sempre con l´opzione HD attivo.

Noch in diesem Kapitel

Sostituzione via variabili di indicizzazione

Sostituzione via parametri specifici per l´elemento

Sostituzione senza variabili di indicizzazione o parametri

Sostituzione multipla con variabili di indicizzazione e parametri di funzione


Sostituzione via variabili di indicizzazione

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Sostituisci indici -> Sostituzione via variabili di indicizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per progettare la sostituzione via variabili di indicizzazione:

  1. nel campo Origine della Anteprima sostituzione sono visualizzate tutte le variabili e le funzioni usate nell´immagine.
  2. Cliccate con il tasto sinistro del mouse sulla variabile o la funzione per la quale avete deciso di creare una regola di indicizzazione.
  3. La variabile/funzione viene inserita nell´area regola di indicizzazione nel campo origine e destinazione.
    in alternativa, potete inserire anche direttamente la variabile/funzione desiderata nel campo origine nelle Regole di indicizzazione.
  4. Definite la regola di indicizzazione.
    La parte dinamica della regola viene inserita nel tipo particolare di parentesi che vedete di seguito: per es. {X01}.

    Esempio:

    la variabile sorgente Motor1.RPM viene sostituita da quella di destinazione Motor{X01}.RPM.
    Il carattere jolly X01 viene sostituito a Runtime dal valore corrispondente della variabile di indicizzazione.
    La regola di sostituzione sarebbe in questo caso:

    Origine: Motor1

    Destinazione: Motor{X01}

  5. Inseritela nella lista delle regole di indicizzazione cliccando con il tasto sinistro del mouse su Aggiungi regola.
    Informazioni: Se c´è una regola selezionata nella lista, essa verrà sovrascritta. Per aggiungere una nuova regola, la selezione deve essere eliminata precedentemente.
  6. In questa lista vengono visualizzate tutte le regole di indicizzazione impostate.
  7. Con i pulsanti con il simbolo della freccia, potete modificare la successione degli inserimenti.

    Attenzione: le sostituzioni vengono eseguite nella successione in cui sono visualizzate nella lista!

  8. Aggiungere le variabili di indicizzazione necessarie usando il pulsante Aggiungi... nella sezione Variabili di indicizzazione.
  9. Le variabili inserite in questa lista vengono conservate sempre nella memoria in modo tale che non si verifichino delle attese inutili al momento dell'apertura dell'immagine.

info Informazioni su

Per il segnaposto * valgono le stesse regole di Sostituisci collegamenti'

Sostituzioni per più progetti:

Se la destinazione si trova in un altro progetto rispetto all´origine, ciò può essere indicato dal sistema mediante il simbolo #.

Example Esempio

Sorgente: VAR_1

Destinazione: VAR_1 in Projekt_1

Perciò indicate come origine VAR_1 e come destinazione Projekt_1#VAR_1.

Sorgente: SUBPROJEKT1#VAR_1

Destinazione: {X01}VAR_1

La variabile indice X01 è una variabile stringa e ha durante il Runtime il nome progetto incluso # come valore, per es. SUBPROJEKT4#.


Sostituzione via parametri specifici per l´elemento

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Sostituisci indici -> Sostituzione via parametri specifici per l´elemento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In fase di configurazione del cambio immagine è possibile sostituire variabili e funzioni anche utilizzando parametri specifici per l´elemento.

info Informazioni su

Il vantaggio di questo metodo è che deve essere creata una sola funzione; l´informazione per eseguire la sostituzione viene poi acquisita direttamente dall´elemento che apre.

Il parametro per le variabili e le funzioni da sostituire viene utilizzato nella finestra di dialogo di sostituzione per indice del cambio immagine. Nella regola di sostituzione, la parola chiave {PARAM} viene sostituita dal contenuto dell´inserimento parametro.

Nota: Evitate quelle successioni di caratteri che vengono usate anche per i parametri delle variabili di indicizzazione, come, per es., {X01}.

Quelle funzioni che sono collegate ai seguenti elementi d'immagine, possono essere sostituite usando parametri:

  • Pulsante
  • Combo-/Listbox
  • Elemento Combinato

Per settare un parametro, inserite la successione di caratteri per il parametro nella proprietà corrispondente.:

  • Pulsante ed elemento combinato Proprietà Parametro per sostituzione nel gruppo variabile/funzione
  • Combo-/Listbox Opzione Parametro per sostituzione nel dialogo di configurazione del Combobox o Listbox statici.

Quando a Runtime viene eseguita una funzione che usa la sostituzione, la parola chiave {PARAM} viene sostituita dal suo relativo inserimento. Se questo non restituisce un risultato sensato, viene visualizzato il valore originario.

Example Esempio
  • Se il risultato della sostituzione è Motor13, ma il suffisso variabile 13 non esiste, verrà visualizzato il valore originale.
  • Se il parametro è 2, la regola è "sostituire Motor1.RPM con Motor2.RPM e tutti e due i parametri esistono, l´elemento che prima visualizzava Motor1*, visualizzerà adesso Motor2.


Sostituzione senza variabili di indicizzazione o parametri

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Sostituisci indici -> Sostituzione senza variabili di indicizzazione o parametri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un´alternativa alla sostituzione via variabili di indicizzazione o parametri specifici per l´elemento è la sostituzione "puramente statica".

Per questo tipo di sostituzione non si usano né regole per sostituzione di variabili con, per es., {X01}, né la parola chiave {PARAM}.

Example Esempio

Sorgente: Motor1*

Destinazione: Motor2

A Runtime, le variabili che iniziano con Motor1 vengono sostituite da Motor2.

info Info

Per il segnaposto * valgono le stesse regole di Sostituisci collegamenti'

info Informazioni su

Il vantaggio di questo metodo: se si aggiungono ad un´immagine nuove variabili (che devono essere sostituite), si possono usare le stesse regole di sostituzione. Questo vale anche per nuovi elementi di struttura. In questo caso, la funzione non deve essere configurata nuovamente, come nel caso di Sostituisci collegament.

attention Attenzione

Lo svantaggio di questo metodo è che (al contrario di quanto accade con Sostituisci collegamenti), la sostituzione avviene a livello puramente testuale e non si basa su ID di variabile interni.

Ciò significa che, se variabili e funzioni usate nel cambio immagine vengono rinominate, queste modifiche devono essere effettuate anche nella stessa funzione di cambio lingua.


Sostituzione multipla con variabili di indicizzazione e parametri di funzione

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Sostituisci collegamenti di variabili e funzioni -> Sostituisci indici -> Sostituzione multipla con variabili di indicizzazione e parametri di funzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I parametri per variabili di indicizzazione e funzioni possono essere combinati a piacere e usati quante volte si vuole.

Regole:

Se il parametro viene configurato come sequenza caratteri {X01} e questo indice esiste per variabili di indicizzazione, {X01} non viene sostituito dal valore della variabile di indicizzazione, ma solo {PARAM} dalla sequenza caratteri {X01}, senza che il sistema avvii una ricerca di una variabile relativa.

Esempi

Diversi parametri

  • Valori base:
    • Il valore per la proprietà Parametro per sostituzione è 1.
    • L´indice X01 ha il valore 2.
    • L´indice X02 ha il valore 3.
  • Regola:
    • Sostituisci monitor[3] con monitor[{PARAM}{X01}{X02}{PARAM}{X02}]
  • Risultato:
    • monitor[12313]

parametro per funzione è identico a parametro per variabile di indicizzazione.

  • Valori base:
    • Il valore per la proprietà Parametro per sostituzione è {X01}.
    • L´indice X01 ha il valore 2.
    • L´indice X02 ha il valore 3.
  • Regola:
    • Sostituisci monitor[3] con monitor[{PARAM}{X01}{X02}{PARAM}{X02}]
  • Risultato:
    • mon[{X01}23{X01}3]


Grafica di sfondo

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Grafica di sfondo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In ogni immagine può essere visualizzata una grafica sullo sfondo. Questa grafica è posizionata al livello più posteriore e viene coperta da tutti gli altri elementi dell´immagine. La funzionalità è analoga a quella che si vede per la grafica di sfondo del desktop di windows.

Per il posizionamento sono a disposizione funzionalità come „affiancato“ o „centrato“. Non è possibile uno spostamento libero.

Possono essere usati dei file grafici che sono già disponibili nel progetto nell´area file/grafici. Vedi in: File.

Suggerimento: Se volete usare per più immagini la stessa grafica di sfondo, la potete fissare già nei modelli. Vedi in: Grafiche di sfondo con modelli

Suggerimento: in alternativa può essere usato anche un pulsante con un file grafico senza funzione collegata per la visualizzazione di un file grafico posizionabile liberamente.


Funzioni Dialogo di selezione

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Funzioni Dialogo di selezione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al fine di selezionare delle funzioni, viene aperto un dialogo filtrato:

Elemento

Descrizione

Albero di progetto

Definizione del progetto dal quale deve essere selezionata la funzione.

Finestra di selezione

Selezione della funzione.

Nessuna selezione

A seconda dell´elemento:

  • il dialogo viene chiuso;
  • le funzioni già collegate vengono cancellate.

Suggerimento: la grandezza di questo dialogo è modificabile. La grandezza e la posizione del dialogo viene salvata.

Modifica funzioni collegate

  1. manualmente
    • aprite le funzioni nella Visualizzazione dettagli del manager di porgetto.
    • trascinate la funzione desiderata sull´elemento tenendo il tasto sinistro del mouse premuto
    • La funzione esistente viene sostituita dalla nuova.
  2. automatico
    • selezionate nel menù contestuale dell´elemento Sostituisci collegameneti. Dettagli concernenti la procedura da adottare, li trovate nel capitolo Sostituzione di variabili e funzioni negli elementi dinamici.


Dialogo selezione variabili

Manuale -> Immagini -> Modifica gli elementi ad immagine -> Dialogo selezione variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al fine di selezionare delle variabili, viene aperto un dialogo filtrato:
queste variabili possono essere utilizzate in parte anche per diversi progetti. Nel caso in cui decidiate di usarle per più progetti, assicuratevi che i progetti in questione siano disponibili nel Runtime.

Collegamento di una variabile

Gli elementi che possono essere collegati solamente con una singola variabile, aprono il seguente dialogo:

Elemento

Descrizione

Albero di progetto

Selezione del progetto dal quale deve essere selezionata la variabile.

Finestra di selezione

Selezione della variabile che deve essere collegata. Il collegamento può essere realizzato in due modi:

  • cliccando due volte sulla variabile desiderata. In questo caso, il dialogo viene chiuso automaticamente.
  • Con la selezione della variabile desiderata e con la conferma realizzata cliccando su OK.

Nessuna selezione

A seconda dell´elemento:

  • il dialogo viene chiuso;
  • Le variabili già collegate vengono disconnesse (per es. variabili charge collegate nel server archivi).

Nota: la grandezza di questa finestra di dialogo è modificabile. La posizione e la dimensione della finestra di dialogo vengono salvate nell´Editor, nel Runtime e in zenon Web Client in modo indipendente dal progetto.

Trattamento errori

Se la variabile desiderata non viene visualizzata, ciò può dipendere da diverse cause:

  • Avete selezionato un filtro, e la variabile desiderata non corrisponde a questo filtro: Controllate se nella riga di filtro è inserito un filtro. L´informazione sugli elementi filtrati che si trova sotto la finestra di selezione, è un ulteriore supporto che vi aiuta a verificare i filtri impostati.
  • Il dialogo viene aperto filtrato dall´Editor e la variabile non corrisponde a questo filtro. Quest´apertura filtrata si verifica nei casi in cui sono consentiti solo determinati tipi di dato. Per es.: con un elemento dinamico Valore numerico non è consentito collegare nessuna variabile stringa.
  • Avete selezionato il progetto sbagliato nella struttura ad albero.

attention Attenzione

La finestra di dialogo consente generalmente la selezione di più variabili usando le combinazioni tasti abituali in Windows. Nei dialoghi di selezione per solamente una variabile, però, se non può collegare solo una. In caso di selezione multipla, verrà attribuita all´elemento solo la prima variabile selezionata.

Collegamento di più variabili.

Gli elementi che possono essere collegati con più variabili, aprono il seguente dialogo:

Elemento

Descrizione

Albero di progetto

Definizione del progetto dal quale deve essere selezionata la variabile.

Finestra di selezione

Selezione variabili in base a:

  • cliccando due volte, la variabile selezionata viene aggiunta alla lista variabili.
  • Con Drag&Drop, la variabile selezionata può essere trascinata nella lista variabili.
  • Selezionare le variabili desiderate. Con l´aiuto del tasto Ctrl- oppure di quello Shift è possibile selezionare allo stesso tempo più variabili. Cliccando su Aggiungi,le variabili selezionate vengono riprese nella lista variabili.

Lista variabili

Ordina tutte le variabili selezionate in una lista.

Aggiungi

Aggiunge la variabile attualmente selezionata nella finestra di selezione alla lista variabili.

Elimina

Rimuove la variabile selezionata nella lista variabili dalla lista.

Nessuna selezione

A seconda dell´elemento:

  • il dialogo viene chiuso;
  • determinati collegamenti, come variabili charge nell´archiviazione, possono essere sciolte.

Nota: la grandezza di questa finestra di dialogo è modificabile. La posizione e la dimensione della finestra di dialogo vengono salvate nell´Editor, nel Runtime e in zenon Web Client in modo indipendente dal progetto.

Trattamento errori

Se la variabile desiderata non viene visualizzata, ciò può dipendere da diverse cause:

  • Avete selezionato un filtro, e la variabile desiderata non corrisponde a questo filtro: Controllate se nella riga di filtro è inserito un filtro. L´informazione sugli elementi filtrati che si trova sotto la finestra di selezione, è un ulteriore supporto che vi aiuta a verificare i filtri impostati.
  • Il dialogo viene aperto filtrato dall´Editor e la variabile non corrisponde a questo filtro. Quest´apertura filtrata si verifica nei casi in cui sono consentiti solo determinati tipi di dato. Per es.: con un elemento dinamico Valore numerico non è consentito collegare nessuna variabile stringa.
  • Avete selezionato il progetto sbagliato nella struttura ad albero.

Modifica variabile collegata

Selezionate nel menù contestuale dell´elemento Sostituisci collegamenti. Dettagli concernenti la procedura da adottare, li trovate nel capitolo Sostituzione di variabili e funzioni negli elementi dinamici.


Modelli

Manuale -> Immagini -> Modelli

I modelli costituiscono la base per il layout delle finestre e delle immagini visualizzate durante il Runtime. Essi strutturano la visualizzazione sullo schermo e determinano la posizione di finestre e immagini. Ogni immagine viene assegnata ad un modello e viene visualizzata sulla base dell´aera di schermo definita nel modello stesso.

I modelli definiscono le proprietà generali delle finestre, come posizione, grandezza, aspetto e possibilità di manipolazione durante il runtime.

Modelli:

  • offrono una visione generale su tutte le aree immagini definite in un progetto.
  • Possono essere configurate liberamente facendo uso della proprietà Definizione libera modelli.
  • Consentono l´attribuzione di speciali funzioni a tutte le immagini esistenti in un modello, per esempio:

    immagine indietro, setta focus sul modello, elimina focus dal modello, chiudi modello, ripristina lampeggio allarmi, stampa screenshot.

  • Modificano tutte le immagini che si basano sul modello corrispondente.
  • Le immagini vengono visualizzate nel runtime sempre nella stessa dimensione e al posto definito dello schermo e non possono essere spostate a piacere.
  • Nel caso di perdita del focus, i modelli possono essere chiusi automaticamente nel runtime.
  • Le immagini all’ interno di un modello sono sostituibili a piacere nel funzionamento online.

info Informazioni su

Se, quando si crea un´immagine, non esiste ancora nessun modello, zenon crea automaticamente un modello di default, che comprende tutto lo schermo.

Menù contestuale - manager di progetto

Voce di menù | Azione
Crea un nuovo modello | Crea un nuovo modello.
Apri Editor Modelli | Apre l´editor dei modelli nella finestra principale e mostra nella visualizzazione dettagliata la lista dei modelli.
Esporta tutte in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa degli inserimenti da un file XML. Nota: Quando si effettua un import XML, i modelli esistenti vengono sovrascritti tramite il nodo modelli. In questo caso, tutte le immagini e gli elementi corrispondenti vengono adattati al nuovo modello.
Guida | Attiva la guida online

Noch in diesem Kapitel

Modello Visualizzazione dettagli barra simboli e menù contestuale

Editor dei modelli

Fissare grafiche di sfondo con modelli

Engineering distribuito con i modelli

Modelli primari

Effetti per modelli


Modello Visualizzazione dettagli barra simboli e menù contestuale

Manuale -> Immagini -> Modelli -> Modello Visualizzazione dettagli barra simboli e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Voce di menù | Azione
Crea un nuovo modello | Aggiunge un nuovo modello alla lista e setta il focus su questo inserimento.
Apri Editor Modelli | Apre l´editor dei modelli nella finestra principale
Definizione libera modelli | Passa alla finestra principale per la definizione di una forma modello libera
Torna all'elemento di partenza | Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza. Nel menu contestuale esistente solamente, se aperto come elemento collegato.
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Esporta selezione in XML | Esporta tutti gli inserimenti selezionati in un file XML.
Importa XML | Importa degli inserimenti da un file XML. Nota: Quando si effettua un import XML, i modelli esistenti vengono sovrascritti tramite il nodo modelli. In questo caso, tutte le immagini e gli elementi corrispondenti vengono adattati al nuovo modello.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Guida | Apre la guida online.


Editor dei modelli

Manuale -> Immagini -> Modelli -> Editor dei modelli

Nell´editor del modelli definite e posizionate tutti i modelli.

Noch in diesem Kapitel

Apri l´editor dei modelli.

Creare nuovi modelli

Posizionamento e azioni nel Runtime

Apri modello più volte

Cancellazione di modelli


Apri l´editor dei modelli.

Manuale -> Immagini -> Modelli -> Editor dei modelli -> Apri l´editor dei modelli.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aprire l´editor dei modelli:

  • cliccate due volte sul modello desiderato nel Manager di progetto nella visualizzazione dettagliata per i modelli.

    oppure

  • scegliete Manager di progetto -> Modelli -> Menù contestuale -> Apri editor modelli

Le dimensioni che caratterizzano la visualizzazione nell´editor dei modelli dipendono dalla grandezza dello schermo impostata nella gestione monitor. (Vedi capitolo: Gestione monitor. Se si modifica l´impostazione del monitor in un secondo momento, l´editor dei modelli deve essere riaperto; solo in questo caso esso tiene conto della nuova impostazione monitor.

Il modello rosso per la barra stato allarmi viene creato da zenon per ogni progetto automaticamente e viene collocato sul margine superiore dello schermo. La sua posizione, però, può essere modificata facendo uso delle proprietà nel gruppo Posizione. A tale scopo, la proprietà deve essere disattivata Utilizzare posizione standard.


Creare nuovi modelli

Manuale -> Immagini -> Modelli -> Editor dei modelli -> Creare nuovi modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un nuovo modello, avete due possibilità:

  • creare un nuovo modello della dimensione definita nelle proprietà monitor:
    Manager di progetto -> Modello -> Menù contestuale -> Crea nuovo modello

oppure

Visualizzazione dettagli Modelli -> Menù contestuale -> Nuovo modello

  • Disegna nuovo modello:

Finestra principale-> Menù contestuale -> Trascina un nuovo modello

Nota: Il puntatore del mouse diviene un quadrato nero con una croce nell´angolo sinistro in alto; esso funge da punto di partenza. Servendovene potete trascinare il modello nella posizione desiderata nella dimensione da Voi stessi definita.

Creare nuovi modelli

Per creare un modello:

  1. Selezionate nel manager di progetto nel nodo Immagini la voce Modello
  2. selezionate nel menù contestualeCrea nuovo modello
  3. Viene impostato un nuovo modello.
  4. La grandezza iniziale viene determinata dalla dimensione del display.
  5. Cliccate nel nuovo modello e trascinatelo facendo uso dei punti di appiglio finché non avrà raggiunto la dimensione desiderata.

    La dimensione, nonché le Dimensioni d'apertura nel Runtime e le proprietà per lo spostamento, possono essere modificate usando le proprietà del gruppo Posizione.

  6. Posizionate il modello nella posizione desiderata della finestra.
  7. Definite le proprietà che desiderate nella Finestra proprietà.

attention Attenzione

Se dei modelli ricevono lo stesso nome nel progetto globale e nel sottoprogetto, quelle del progetto globale ricevono automaticamente il prefisso g_.

Example Esempio

Nel progetto complessivo devono esistere tre settori:

  • sul margine superiore dello schermo una riga con orario e logo.
    Per questo settore viene definito un modello Intestazione. Esso definisce la grandezza e la posizione dell´intestazione.
  • Sul margine inferiore dello schermo abbiamo una riga di menu.
    Viene impostato un modello Riga di menu.
  • Fra immagini impianto.
    Viene impostato un modello immagine apparente.

I modelli vengono aperti sempre in un posto definito in una dimensione definita. Tutte le immagini impostate in successione vengono attribuiti ad uno di questi modelli e aperti in essi durante il Runtime. Nel caso in cui vogliate modificare l´organizzazione dello schermo, perché, per esempio, volete che la riga di menu appaia adesso in alto e l´intestazione come pie`di pagina, dovete cambiare la posizione del modello. Le immagini contenute nel modello seguono lo spostamento automaticamente.

Suggerimento: Non piazzate modelli direttamente uno sopra l´altro. In tal modo ponete le basi per poter sempre avere accesso a tutte le immagini nel Runtime.

Modifica la grandezza nel Runtime:

Quando è possibile modificare la grandezza di un modello nel Runtime, i cambiamenti consentiti possono essere limitati usando le seguenti proprietà del gruppo Posizione:

  • Breite(Minimum) [Pixel]: Stabilisce la larghezza minima.
  • Breite(Maximum) [Pixel]: Stabilisce la larghezza massima.
  • Höhe(Minimum) [Pixel]: Stabilisce l´altezza minima.
  • Höhe(Maximum) [Pixel]: Stabilisce l´altezza massima.

Queste limitazioni hanno effetto solamente su manipolazione tramite gesti Multi-Touch.

Posizionare i modelli

Posizione e orientamento di un modello o di un gruppo di modelli selezionati possono essere scelti facendo uso del menu contestuale Allinea.

Ordina sulla base di punti di connessione

Se si è attivata l'opzione "usa punti di connessione (vedi capitolo Editor, sezione Impostazioni), i punti di connessione di un modello si attaccano a quelli dei altri modelli. Ma i modelli possono aderire anche al margine dello schermo e alla barra degli allarmi, se visibile (e se essa è stata attivata nel processo).

Noch in diesem Kapitel

Modello con forma libera

Visualizza modelli nell´editor del modelli


Modello con forma libera

Manuale -> Immagini -> Modelli -> Editor dei modelli -> Creare nuovi modelli -> Modello con forma libera

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete adattare ai Vostri desideri la forma del modello facendo uso della proprietà Modello a forma libera. Dopo aver attivato questa proprietà, passate a una delle seguenti forme dell´editor dei modelli:

  • cliccate sul pulsante della proprietàDefinizione libera modelli
  • Cliccate sul simbolo corrispondente nella Barra simboli del modello.
  • Selezionate l´inserimento di menù Forma modello libera definito nel Menu contestuale al momento della selezione modelli.
  • Selezionate l´inserimento di menù Forma modello libera definito nel Menu contestuale nell´editor dei modelli.
  • Cliccate due volte su un modello nell´editor dei modelli.

Qui potete creare liberamente il modello servendovi degli elementi Rettangolo,Cerchio, Rettangolo arrotondato e Poligono. Il settore trasparente viene rappresentato come scacchiera bianco-grigia.

info Informazioni su

Modello a forma libera non è disponibile:

  • per il modello Barra stato allarmi
  • sotto Windows CE

Se la proprietà Definizione libera modelli viene disattivata, una forma modello libera già esistente non viene visualizzata né nell´editor modelli, che in quello delle immagini.

Modello a forma libera non può essere usato con Cornice.

Facendo uso della proprietà Visualizzazione piatta potete stabilire in quale misura il singolo elemento influenza l´aspetto del modello. Ci sono inoltre queste impostazioni a disposizione:

Parametri | Descrizione
Pulisci | La superficie dell´elemento viene usata come settore immagine.
Taglia | La superficie dell´elemento viene cancellata dalle superfici che si trovano sotto. In tal modo potete creare, ad esempio, dei "buchi" nel modello.
Logica Or | A seconda se sotto l´elemento si trova una superficie coprente o no, viene tagliato o coperto.
info Info
L´uso delle superfici si riferisce sempre a quelle che si trovano sotto l´elemento. Quando per esempio un elemento sovrapposto viene disegnato sopra un elemento tagliato, l’area viene visualizzata come riempita Se invertite la successione, l´elemento tagliato viene tolto da quello sovrapposto.


Visualizza modelli nell´editor del modelli

Manuale -> Immagini -> Modelli -> Editor dei modelli -> Creare nuovi modelli -> Visualizza modelli nell´editor del modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I modelli possono essere mostrati e nascosti nell´editor dei modelli nelle seguente modalità:

  • Proprietà Visualizza nell'Editor dei modelli:
    attivata: mostra il modello.
  • Drag&Drop:
    invisibile: trascina il modello al di fuori della finestra principale
    visibile: trascinare il modello dalla visualizzazione dettagliata nella finestra principale.
  • Visualizzazione dettagliata -> Visuale nell´editor dei modelli:
    invisibile: Disattiva la Checkbox
    visibile: attiva la checkbox

Le informazioni che riguardano il nome e la posizione del modello le potete leggere nell´angolo in alto a sinistro del modello, ma anche sotto forma di tooltip se muovete il puntatore del mouse sul modello.

info Informazioni su

Un menù di sistema oppure una barra di stato allarme vengono tenuti in considerazione automaticamente nell´editor del modelli e vengono sempre visualizzati. In tal modo si evita che un modello posizionato in modo errato possa coprire delle informazioni importanti durante il funzionamento runtime.


Posizionamento e azioni nel Runtime

Manuale -> Immagini -> Modelli -> Editor dei modelli -> Posizionamento e azioni nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I modelli possono essere aperti durante il runtime in una posizione fissa, oppure in una posizione definita in modo relativo. Così, per esempio, è possibile posizionare le immagini keyboard, oppure quelle popup dove si trova il puntatore del mouse, oppure l´elemento che provoca la comparsa di tali immagini. I modelli possono essere aperti durante il runtime:

  • in una posizione assoluta.
  • In relazione alla posizione del mouse.
  • Relativo all'elemento

Sia la posizione assoluta che quella relativa vengono definite nelle proprietà del modello nell´Editor di zenon.

Mantieni posizione alla riapertura

Le finestre riprendono la loro posizione sullo schermo sempre dal modello. Nel caso in cui si progettino delle immagini-popup e nel caso le si sposti durante il funzionamento runtime, al momento della prossima esecuzione della funzione di cambio immagine, l´immagine pop-up viene portata nella posizione progettata. Con l´aiuto della proprietà Mantieni posizione e dimensioni alla riapertura si può stabilire che il modello deve conservare la sua posizione finché è aperto, indipendentemente dai cambi immagine. Se la proprietà è attiva:

  • Se un´immagine viene aperta nel Runtime in un modello manualmente spostato, la posizione e la grandezza di quest´ultimo vengono conservate anche nel caso di un nuovo cambio immagine.
  • Se un´altra immagine viene aperta nello stesso modello, vengono mantenute la posizione e la grandezza di quest´ultimo. Ciò vale anche per l´apertura sostituita.

In tal modo si può usare su ogni client un´altra posizione per il modello, visto che viene sempre salvata la posizione locale.

Posizione assoluta

Il modello viene aperto sempre in corrispondenza di coordinate definite in modo fisso. In concomitanza di tutti i cambi immagine, che vengono effettuati automaticamente dal sistema, come, ad esempio, mediante la gestione tempo o la violazione di valore limite, viene applicata la posizione predefinita sullo schermo.

Posizionamento relativo

Il posizionamento relativo si adatta in modo particolare per l'apertura di popup, di immagini tastiera oppure di immagini comando. Essa è possibile per tutti i cambi immagine, indicazioni di valore impostabile con immagini Keyboard definite liberamente e tutte quelle immagini di comando, che vengono iniziate manualmente dall´utente. Non importa se l'azione viene attivata mediante una funzione di cambio immagine, una funzione "setta valore impostabile" o direttamente attraverso un elemento. Il posizionamento relativo è a Vostra disposizione nei seguenti casi:

  • elementi dinamici, ai quali si può attribuire una funzione.
  • Elementi dinamici mediante i quali si può settare un valore impostabile (pulsanti, elemento combinato).
  • Menù principali e contestuali
  • della funzione specifica per immagini "Esegui funzione" nell´immagine Lista allarmi.

Il posizionamento relativo funziona anche in chiamate funzioni incastrate, cioè quando "Cambio immagine" o "Setta valore impostabile" vengono attivate mediante uno script. Se nel caso del posizionamento relativo un'immagine dovesse andare oltre il bordo dello schermo, essa viene posizionata automaticamente al bordo del monitor. Ciò vale anche nel caso della gestione monitor, cosicché un'immagine non può invadere anche uno schermo vicino.

attention Attenzione

Il posizionamento relativo funziona solo nel caso di un´apertura diretta ad opera dell´utente, ma non nel caso di funzioni automatizzate o nel caso di uso di VBA.

Relativo all'elemento

Posiziona il punto di riferimento del modello relativamente all'elemento da cui è iniziato il cambio immagine (per es. un pulsante oppure un elemento combinato). Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi.

Fissate anzitutto un punto di riferimento per il Vostro modello e poi la posizione desiderata rispetto all´elemento. Sono disponibili le seguenti impostazioni:

Proprietà

Valore

Punto di riferimento elemento verticale
  • In basso
  • In alto

Punto di riferimento Elemento orizzontale
  • sinistra
  • destra

Spostamento verticale in pixel

Indicate lo spostamento desiderato

Spostamento orizzontale in pixel

Indicate lo spostamento desiderato

Posizione alternativa

Impostate in questa sede la posizione alternativa per il punto di riferimento del modello e il punto di riferimento sull'elemento. Per fissare la posizione preferita, dovete procedere allo stesso modo utilizzato per fissare la posizione alternativa. La posizione alternativa viene utilizzata se il modello non viene aperto ella posizione preferita.

Relativo al puntatore

L´immagine viene visualizzata sullo schermo in relazione alla posizione del puntatore del mouse. Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento. Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Fissate il punto di riferimento del modello facendo uso delle due proprietà Punto di riferimento modello verticale e Punto di riferimento modello orizzontale. Il punto di riferimento viene evidenziato mediante un punto rosso sul modello. Sono disponibili le seguenti impostazioni:

Proprietà

Valore

Punto di riferimento modello verticale
  • In sù
  • In basso
  • Centrato

Punto di riferimento Modello orizzontalel
  • sinistra
  • destra
  • Centrato

Example Esempio

Avete a disposizione un pulsante che si trova sul bordo destro dello schermo e perciò posizionate un´immagine popup alla destra di esso.

  • Punto di riferimento Elemento: a destra / centrato
  • Punto di riferimento modello: a sinistra / centrato.

Durante il funzionamento Runtime, l´immagine popup viene aperta a destra del pulsante esattamente al centro. L`immagine popup non andrà a coprire il pulsante.

Usate lo stesso modello anche per un pulsante che si trova sul bordo sinistro dello schermo. La finestra popup non potrebbe più essere aperta in modo completo a destra. Per questo motivo si utilizza una posizione alternativa. A tal scopo fissate il

  • punto di riferimento alternativo per l´elemento: a sinistra / centrato.
  • Fissate il punto di riferimento del modello a a destra/ centrato.

Modifica la grandezza nel Runtime:

La grandezza con la quale un´immagine viene aperta nel Runtime, nonché le modifiche consentite delle sue dimensioni, vengono configurate usando le proprietà del gruppo Posizione.

Proprietà

Descrizione

Larghezza (massima) [Pixel]:

Stabilisce la larghezza massima.

Altezza (massima) [Pixel]:

Stabilisce l´altezza massima.

Limite minimo:

Definisce i limiti minimi. Possibili valori:

  • Senza: Nessun limite.
    Se si seleziona un altro valore, nella finestra del modello il limite selezionato viene visualizzato nel Runtime con un linea tratteggiata.
  • Larghezza: Limite di larghezza.
  • Altezza: Limite di altezza.
  • Relativo: Limitata ad un valore percentuale della grandezza immagine configurata.

Ha effetto solamente su gesti Multi-Touch. I valori corrispondenti vengono definiti facendo uso della proprietà Valore (Minimo).

Default: Senza

Dimensioni d'apertura:

Definisce la dimensione con cui viene aperta nel Runtime un´immagine basata su questo modello:

  • Grandezza modello: Grandezza, come è stata definita in Larghezza (massima) [Pixel] e Altezza (massima) [Pixel].
    Se si seleziona un altro valore, nella finestra del modello la grandezza viene visualizzata nel Runtime con un linea tratteggiata.
  • Larghezza [px]: Larghezza, come è stata definita in Valore (grandezza di apertura). L´altezza viene adattata in maniera corrispondente.
  • Altezza [px]: Altezza, come è stata definita in Valore (grandezza di apertura). La larghezza viene adattata in maniera corrispondente.
  • Relativo [%]: La grandezza definita in Larghezza (massima) [Pixel] e Altezza (massima) [Pixel] viene modificata in base al valore precentuale definito in Valore (grandezza di apertura).

I valori corrispondenti vengono definiti facendo uso della proprietà Valore (grandezza di apertura).

Default: Grandezza modello

Sposta e zooma

Nel Runtime, i modelli possono essere spostati e li si può ingrandire usando lo zoom.

Muovi

Lo spostamento si riferisce sempre ai monitor definiti nella gestione monitor. Questa opzione non viene supportata con Windows CE.

Lo spostamento di modelli nel Runtime può essere limitato a:

  • Cornice modello: Il modello non può essere spostato al di là del bordo del monitor.
  • Dimensione cornice modello: Il modello può essere spostato al di là del bordo del monitor. Tuttavia deve rimanerne una parte sul monitor (Margine minimo del frame) da poter toccare per eseguire ulteriori azioni.

La limitazione diviene attiva solamente se il modello, già al momento della sua apertura, si trova all´interno del confine definito. Se non si limita la possibilità di spostamento di un modello, può avvenire che esso possa essere sposato (per es. con gesti Multi-Touch) al di fuori dell´area visibile.

info Informazioni su

Lo spostamento di modelli è pensato soprattutto per la gestione a schermo intero. L´applicazione Runtime stessa non dovrebbe essere spostata su un altro monitor. Se si sposta il Runtime, infatti, ci possono essere delle limitazioni di mobilità.

Zoom

Le limitazioni valgono anche per lo zoom. Quando, nell´effettuare lo zoom, si raggiunge un limite, il sistema cerca di continuare lo zoom nello spazio libero. Nel far ciò, vengono mantenute le proporzioni fra i lati

Visione generale: spostare e zoomare

Quando li si sposta, oppure li si ingrandisce o rimpicciolisce tramite zoom, i modelli si comportano (a seconda delle impostazioni configurate) come segue:


Apri modello più volte

Manuale -> Immagini -> Modelli -> Editor dei modelli -> Apri modello più volte

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I modelli possono essere aperti più volte durante il Runtime. In tal modo anche delle immagini possono essere aperte più volte. Per abilitare i modelli ad essere aperti più volte, attivate la proprietà Modello multi istanziabile nel gruppo Generale delle proprietà modello.

Quando questa opzione è attiva, il modello viene impostato ad ogni apertura dell´immagine come istanza autonoma. Ciò significa: quelle immagini che sono state aperte precedentemente in questo modello, rimangono aperte.

Ad esempio: un´immagine viene aperta per 100 volte.

  • Modello multi istanziabile attiva: 100 immagini sono aperte sul monitor.
  • Modello multi istanziabile inattiva: 1 sola immagine è aperta sul monitor.

Indicazioni concernenti la progettazione

Quando immagini aperte più volte vengono coperte da altre, può accadere che queste immagini rimangano aperte sullo sfondo, non visibili né accessibili, fino al termine del Runtime.

Il progettista, dunque, deve far in modo che nessuna immagine finisca sullo sfondo in tal modo.
Consigli:

  • attivazione della proprietà Sempre in primo piano Essa mantiene il modello/l´immagine sempre in primo piano.
  • Progettazione della funzione Chiudi modello: Essa chiude tutte le immagini che si basano su questo modello, anche quelle aperte sullo sfondo.
  • Progettare modelli posizionabili liberamente: Gli utenti devono poter piazzare nel Runtime i modelli sullo schermo secondo le loro esigenze personali. Ad esempio, via gestione touch o con il mouse o con la configurazione della posizione relativa del modello nei confronti di un elemento di gestione o del cursore mouse.

Raccomandazione: questa opzione si presta soprattutto alla progettazione di pop-up.

Aprire solamente una volta per ogni simbolo

Per aprire un´immagine solamente una volta per ogni simbolo, configurate un pulsante che diventi invisibile subito dopo la prima apertura:

  1. Create un pulsante nel simbolo
  2. Regolate la visibilità dello stesso per mezzo di una variabile booleana
  3. Settate nell´immagine questa variabile booleana come variabile immagine-attiva.

Non appena l´immagine verrà aperta una volta, il pulsante non potrà più venire usato.

Comportamento in caso di perdita del focus.

Si può far sì che i modelli vengano chiusi automaticamente in caso di perdita del focus. In questo caso, vengono chiuse tutte le immagini basate sul modello in questione. Per chiudere automaticamente dei modelli in caso di perdita del focus, attivate la proprietà Chiusura alla perdita del Focus.

Naturalmente si può inibire questa forma di chiusura in caso di perdita del focus. A tale scopo, attivate la proprietà Inibisci chiusura alla perdita del Focus. Quando questo modello riceve il focus, rimangono aperti tutti gli altri modelli con la proprietà Chiusura alla perdita del Focus attivata, nonostante la perdita del focus.


Cancellazione di modelli

Manuale -> Immagini -> Modelli -> Editor dei modelli -> Cancellazione di modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per cancellare dei modelli potete:

  • selezionare uno o più modelli con il mouse e scegliere nel menu contestuale cancella, oppure premere il tastoCanc
  • selezionare uno o più modelli nella visualizzazione dettagliata e scegliere nel menu contestuale cancella, oppure premere il tastoCanc

Prima della cancellazione, il sistema chiede una conferma.

attention Attenzione

La cancellazione di modelli non può essere annullata.


Fissare grafiche di sfondo con modelli

Manuale -> Immagini -> Modelli -> Fissare grafiche di sfondo con modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In ogni immagine può essere visualizzata una grafica sullo sfondo. Questa grafica è posizionata al livello più posteriore e viene coperta da tutti gli altri elementi dell´immagine. Il posizionamento avviene mediante proprietà; uno spostamento libero non è possibile. Possono essere usati dei file grafici che sono già disponibili nel manager di progetto nell´area file/grafici.

Se volete usare per più immagini la stessa grafica di sfondo, essa deve essere definita nel modello dell´immagine:

  1. selezionate nelle proprietà del modello nel nodo Immagine di sfondo la proprietà File grafico
  2. selezionate un file del nodo file/grafici nel manager di progetto.
  3. Fissate la posizione con la proprietà Orientamento.

Questo file grafico viene usato con le immagini che vengono impostate con questo modello. Resta però la possibilità di fissare per ogni singola immagine un file grafico come immagine di sfondo.

Attenzione! Il file grafico viene salvato con le immagini. Una modifica del file grafico oppure il suo orientamento nel modello si ripercuote solamente sulle immagini di nuova creazione. Per quello che concerne le immagini già esistenti, invece, questa modifica deve essere realizzata manualmente.


Engineering distribuito con i modelli

Manuale -> Immagini -> Modelli -> Engineering distribuito con i modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella gestione multi-utente sono stati implementati tutti i meccanismi conosciuti volti a permettere la effettuazione e l'assunzione di modifiche. A differenza delle immagini, nell'editor dei modelli ogni modello viene trattato in modo separato e non viene permessa la modifica di tutta "l'immagine". I modelli per i quali non sono permesse modifiche di sorta, sono segnalati da un bordo punteggiato.


Modelli primari

Manuale -> Immagini -> Modelli -> Modelli primari

Mediante la variabile Ultima immagine aperta possono essere visualizzate nel Runtime le immagini aperte per ultime. Quali modelli vengono visualizzati, viene fissato per mezzo della proprietà Modelli primari nel manager di progetto (Aspetto grafico, Runtime generale). Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione dei modelli.

  • I modelli vengono selezionati o deselezionati cliccando con il mouse.
  • I modelli selezionati vengono visualizzati con un background blu.
  • Quando si clicca su OK, la selezione viene accettata e la finestra di dialogo chiusa.

info Informazioni su

Questa proprietà ha effetto anche sulla funzione Immagine indietro.


Effetti per modelli

Manuale -> Immagini -> Modelli -> Effetti per modelli

I modelli possono essere dotati anche di effetti.

Ulteriori effetti per gli elementi d´immagine li trovate nel capitolo Effetti per elementi d´immagine.

Noch in diesem Kapitel

Evidenziare il modello


Evidenziare il modello

Manuale -> Immagini -> Modelli -> Effetti per modelli -> Evidenziare il modello

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Usando la proprietà Evidenziare il modello potete mettere in evidenza un´immagine per, ad esempio, concentrare l´attenzione su di essa. In questo caso, viene evidenziato il modello su cui si basa l´immagine colorando l´area rimanente del Runtime. Per l´area circostante al modello dell´immagine, vengono definiti un colore e una trasparenza che coprono l´immagine sottostante. Non è possibile accedere al quest´ultima immagine, né operare in essa.

Nota:

  • Le immagini devono basarsi su modelli differenti di diversa grandezza.
  • Si può aprire sempre solamente un´immagine alla volta che abbia la proprietà Evidenziare il modello attiva.
  • È possibile aprire delle immagini a partire da quella evidenziata, a condizione che anche queste ultime abbiano la proprietà Evidenziare il modello attiva. Anch´esse verranno evidenziate.
    È possibile, ad esempio, aprire una tastiera a partire da una lista. Lista e tastiera, poi, saranno entrambe evidenziate.

    Attenzione: Non è consentito aprire da un´immagine modale un´immagine non modale!
    Se si apre un´immagine non modale tramite una modale, essa sarà visibile, ma non si potrà interagire con essa. Non sarà possibile interagire neanche con l´immagine modale sottostante, visto che essa è coperta. Il risultato è che il runtime è bloccato!

  • Quest´impostazione viene ignorata nel caso di uso in un container faceplate.

Configurazione

Per usare l´effetto Evidenziare il modello, aprite un´immagine che viene aperta sopra un´altra, più grande. Configurazione:

  1. navigate nelle proprietà dell´immagine fino a giungere al gruppo Rappresentazione
  2. attivate la proprietà Dialogo modale.
  3. attivate la proprietà Evidenziare il modello.
  4. Servendovi della proprietà Colore di contrasto configurate il colore che deve essere usato per l´ambiente dell´immagine attiva.
    Questa proprietà ha effetto sempre sul modello su cui si basa l´immagine.
  5. Configurate con la proprietà Trasparenza di sfondo la trasparenza per la proprietà Colore di contrasto.
  6. Progettate per l´immagine un pulsante con il quale potrete poi chiuderla durante il Runtime.

Non appena questa immagine viene aperta mediante un´altra, il settore che si trova intorno al modello dell´immagine stessa viene colorato e l´immagine verrà in tal modo evidenziata dal punto di vista ottico. Si può accedere e gestire solamente questa immagine. Dopo la chiusura dell´immagine, delle altre immagini vengono visualizzate con il colore normale ed è di nuovo possibile accedervi e lavorarci.

P.es.:

Viene aperta l´immagine

Una seconda immagine con effetto attivo Accentuare il modelloviene aperta quando la prima è ancora attiva. Tutto quello che si trova al di fuori del modello di questa seconda immagine viene coperto usando il colore definito nella proprietà Colore di contrasto e la trasparenza definita nella proprietà Trasparenza di sfondo:


Tavolozza colori

Manuale -> Immagini -> Tavolozza colori

Le tavolozze colori consentono di raggruppare dei colori individuali in tavolozze. Potete definire così un set di colori che potete usare in qualsiasi momento sia nell´Editor che nel Runtime. Tutti i colori che sono stati definiti con l´aiuto dei colori tavolozza, possono cosi essere sostituiti facilmente; a livello centrale, oppure con l´aiuto di un progetto globale, anche globalmente. I colori delle tavolozze possono essere usati dappertutto dove vengono usati dei colori.

In tal modo, anche la realizzazione delle direttive di Corporate Designs non è un problema. Se necessario, il design può essere cambiato completamente (cambio tavolozza dei colori), oppure si possono cambiare anche solamente singoli colori a livello centrale (cambia colore in tavolozza).

Progettazione

Le tavolozze vengono create nell´editor, possono essere esportate ed importate e nel runtime si può passare dall´una all´altra facendo uso di una funzione. Le tavolozze colori possono essere create sia nel progetto globale che in quello locale.

Nota: tutte le tavolozze di un progetto contengono sempre lo stesso numero di colori. Per questo motivo, il numero di colori fra progetto globale e progetto locale può essere diverso.

Attenzione: nel caso di conflitto nel Runtime, le tavolozze del progetto locale hanno la precedenza.

Menù contestuale - manager di progetto

Voce di menù | Azione
Nuova tavolozza colori | Crea una nuova tavolozza con il nome standard Color palette più Numero di indice progressivo. .
Esporta tutte in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa degli inserimenti da un file XML.
Guida | Attiva la guida online

Noch in diesem Kapitel

Tavolozze Visualizzazione dettagli Barra simboli e Menù contestuale

Crea e modifica tavolozza

Crea e modifica colore

Usa tavolozza nell´editor

Compilazione file Runtime

Funzione Cambio tavolozza colori

Export e import

Segnalazioni d'errore

Esempio per editor e runtime.


Tavolozze Visualizzazione dettagli Barra simboli e Menù contestuale

Manuale -> Immagini -> Tavolozza colori -> Tavolozze Visualizzazione dettagli Barra simboli e Menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra simboli e menù contestuale

No.

Simbolo

Azione

01

Nuova tavolozza colori

Crea una nuova tavolozza con il nome standard Color palette più Numero di indice progressivo.

02

Crea una funzione standard

Apre il dialogo che serve a creare una Funzione per cambio tavolozza e attiva automaticamente nella lista a cascata la tavolozza selezionata.

03

Cancella tavolozza

Cancella la tavolozza del colore selezionato. Le tavolozze possono essere cancellate solo una alla volta.

04

Nuovo colore

Imposta un nuovo colore nella forma del colore standard bianco e con il nome standard Color più numero di indice. I nuovi colori vengono creati sempre per tutte le tavolozze del progetto.

Suggerimento: assegnate per il progetto globale e locale dei nomi che possano essere distinti in modo inequivocabile.

05

Cancella colore

cancella il colore selezionato in tutte le tavolozze del progetto.

Nota: il comando è attivo solamente se l´ultimo colore è evidenziato in tutte le tavolozze. Perché: può essere cancellato sempre solamente l´ultimo colore di una tavolozza, in modo tale che il numero di indice possa continuare a funzionare. Inoltre, il colore deve essere cancellato per tutte le tavolozze in modo tale che il numero complessivo di colori rimanga identico per tutte le tavolozze.

06

Copia

Copia i colori selezionati negli appunti.

07

Inserisci

Aggiunge colori selezionati provenienti dagli appunti.

08

Torna all'elemento di partenza

Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza.
Nel menu contestuale esistente solamente, se aperto come elemento collegato.

09

Tavolozza colori in Editor

Apre la lista a cascata con tutte le tavolozze che sono state definite nel progetto locale e globale.

10

Salva

Salva tutte le modifiche nelle tavolozze colori.

11

Esporta selezione in XML

Esporta tutte le tavolozze selezionate in un file XML.

12

Importa file XML...

Importa degli inserimenti da un file XML.

13

Proprietà

Apre la finestra proprietà.

14

Guida

Attiva la guida online


Crea e modifica tavolozza

Manuale -> Immagini -> Tavolozza colori -> Crea e modifica tavolozza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete creare delle tavolozze colori sia a livello globale, che nel progetto locale. Le tavolozze globali sono poi disponibili in tutti i progetti, mentre quelle locali sono a disposizione solamente nel progetto nel quale sono state impostate. Nel caso in cui, al momento di settare le tavolozze, si dovessero verificare dei conflitti nel runtime, quelle del progetto locale hanno la precedenza (vedi anche Tavolozze nel runtime)

Crea tavolozza

Per creare una tavolozza:

  • selezionate il nodo Tavolozze (o sotto Immagini nel progetto locale o in quello globale).
  • Selezionate nel menù contestuale il comando Nuova tavolozza
  • Una nuova tavolozza viene impostata con:
    • nome standard Color palette più Numero di indice, per es. Color palette 0
    • stesso numero di colori delle tavolozze già esistenti; tutte i colori sono di default bianco

Rinomina tavolozza

Per rinominare in modo individuale una tavolozza:

  • selezionate anzitutto la tavolozza, oppure diversi colori della tavolozza.
  • selezionate fra le proprietà nel gruppo Tavolozza colori quella Nome tavolozza
  • digitate il nome tavolozza desiderato
    Consiglio: Fate attenzione ad usare un nome univoco, che distingua il progetto globale da quello locale in modo chiaro.

Cancella tavolozza

Per cancellare una tavolozza:

  • Evidenziate tutta la colonna della tavolozza
  • selezionate nel menù contestuale il comando Cancella tavolozza, oppure premete il tasto Canc
  • La tavolozza viene cancellate senza che il sistema faccia una richiesta di conferma.
    Nota: Le tavolozze possono essere cancellate solo una alla volta.


Crea e modifica colore

Manuale -> Immagini -> Tavolozza colori -> Crea e modifica colore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Crea colore

Per creare un colore:

  • selezionate un colore o una tavolozza.
  • selezionate nel menù contestuale Nuovo colore oppure premete il stato Ins
  • Alla fine in basso della tabella di colori viene inserito per tutte le tavolozze un nuovo colore con
    • Colore standard bianco e
    • nome standard Color più Numero di indice, per es. Color 10
  • Definite il colore e assegnategli un nome.

Rinomina colore

Per rinominare un colore:

  • selezionate il colore.
  • selezionate fra le proprietà nel gruppo Colore quella Nome colore
  • Digitate il nome desiderato
    Consiglio: al momento di assegnare un nome, fate una differenza fra progetto globale e locale, in modo tale da sapere in seguito, quando selezionate delle tavolozze di colore, da dove vengono.

Definisci il colore

Per definire un colore:

  • evidenziate il colore desiderato nella tavolozza.
  • Inserite il colore:
    • o in modo diretto nella cella tabella della visualizzazione dettagliata in forma di codice esadecimale, oppure facendo uso del dialogo di selezione e cliccando su...
    • o nelle proprietà nel gruppo Colore nel campo della proprietà Colore in forma di codice esadecimale, oppure tramite il dialogo di selezione cliccando su ...

Definisci colore tramite dialogo

Per selezionare dei colori fondamentali predefiniti in un dialogo, oppure per creare un colore proprio:

  • cliccate nella visualizzazione dettagliate nella cella con il colore desiderato, oppure nelle proprietà alla voce Colore su ...
  • Si apre il dialogo per la selezione dei colori standard.

  • Cliccate su un colore standard per assegnarlo.
  • per definire un colore proprio, cliccate sul pulsante Definisce colore

  • definite il colore.
  • aggiungete il colore facendo uso del pulsante Aggiungi colore a Colori definiti dall´utente
  • selezionate il colore desiderato.
  • attribuite il colore cliccando su OK

Copia colore

Per attribuire a più colori la stessa definizione colore:

  • evidenziate nel campo di inserimento del colore il codice esadecimale del colore desiderato.
  • copiate il codice esadecimale usando Ctrl+C oppure il comando Copia nel menu contestuale.
  • Aggiungete il codice esadecimale a tutti i colori che sono destinati a ricevere la stessa definizione colore; a tal scopo fate uso della combinazione di tasti Ctrl+V, oppure del comando Aggiungi del menu contestuale.

Cancella colore

I colori della tavolozza vengono identificati in modo univoco grazie all´indice delle tavolozze (=numero di riga nella finestra della tavolozza). Per tale motivo, possono essere cancellati dei colori solo alla fine delle tavolozze, perché altrimenti cambierebbero gli indici dei colori successivi. Visto che tutte le tavolozze devono avere nel progetto lo stesso numero di colori, possono essere cancellate solamente delle intere righe. Per cancellare un colore da tutte le tavolozze:

  • evidenziate le righe da cancellare, iniziando con l´estremità in basso della tabella.
  • selezionate nel menù contestuale Cancella colore oppure premete il stato Canc


Usa tavolozza nell´editor

Manuale -> Immagini -> Tavolozza colori -> Usa tavolozza nell´editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezione della tavolozza attiva nell´editor

Nell´editor, una tavolozza del progetto locale o globale può essere usata come tavolozza attiva per la visualizzazione e la scelta dei colori.

Per scegliere una tavolozza per la visualizzazione nell´editor:

  • cliccate con il tasto destro del mouse nella tabella della tavolozza.
  • Scegliete il menù contestuale Tavolozza colori nell´editor
  • Selezionate nella lista a cascata che si aprirà, la tavolozza desiderata

Nota: Le tavolozze del progetto locale vengono ordinate prima di quelle del progetto globale.

Attenzione: Se esistono nel progetto globale e locale delle tavolozze che hanno lo stesso nome, solamente quelle del progetto locale vengono offerte dal sistema per la scelta dell´utente.

attention Attenzione

Nel caso in cui nel progetto globale e locale non ci dovesse essere lo stesso numero di colori per paletta, può essere che il numero di colori messi a disposizione dalla tavolozza attiva sia minore a quello di altre tavolozze!

Le definizioni tavolozze del progetto locale hanno sempre la precedenza: Se sono state progettate nel progetto locale delle tavolozze con almeno un colore, viene proposto alla scelta dell´utente il numero dei colori del progetto locale, altrimenti quello dei colori nel progetto globale.

I colori mancanti nella tavolozza attiva sono visualizzati in bianco.

Selezione dei colori della tavolozza

I colori delle tavolozze vengono assegnati nell´editor tramite:

  • il dialogo delle proprietà
  • Drag&Drop della denominazione di un colore nel campo corrispondente delle proprietà
  • Inserimento diretto della denominazione di un colore nel campo corrispondente delle proprietà

Quando ad un elemento viene assegnato un colore tramite le proprietà, si apre il dialogo colori con due schede:

  • Colori: selezione di un colore determinato
  • Tavolozza dei colori selezione di un colore della tavolozza attiva

Se non sono progettate né nel progetto globale, né in quello locale delle tavolozze con almeno un colore, ci sono due possibilità: o la proprietà non consente nessuna selezione colore dalla tavolozza, oppure viene visualizzata solamente la scheda.

Colori in progetti multi-utente

Delle modifiche generali alle tavolozze possono essere effettuate, riprese o rimosse solamente per le tavolozze di un singolo progetto.


Compilazione file Runtime

Manuale -> Immagini -> Tavolozza colori -> Compilazione file Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento di creare i file runtime, le tavolozze di colori del progetto globale e del progetto locale vegono trasferite in una lista comune. E' possibile che si verifichino dei conflitti. Tenete presente:

  • il progetto locale ha sempre la precedenza.
  • Ogni tavolozza rappresenta la quantità comune, il che significa che contiene tanti colori quanto è grande la tavolozza.
  • Nel caso in cui le tavolozze del progetto globale e di quello locale presentino un numero diverso di colori, quelle più piccole vengono riempite con il colore bianco in modo tale che tutte le tavolozze contengano lo stesso numero di colori e che in ogni tavolozza sia disponibile un colore per ogni indice.
  • Nel caso di tavolozze dello stesso nome, viene usata quella del progetto locale e riempita con i colori del progetto globale, nel caso in cui quest´ultima contenga più colori.

Esempio:

  • nel progetto globale esistono 3 tavolozze: Globale 1, Globale 2 e Tavolozza 1, ognuna delle quali contiene 10 colori.
  • Nel progetto locale esisteno 2 tavolozze: Tavolozza 1 e Tavolozza 2, ognuna delle quali contiene 5 colori.
  • Nel runtime esistono allora:
    • Tavolozza 1: proviene dal progetto locale e sovrascrive Tavolozza 1 del progetto globale; essa contiene i 5 colori del progetto locale più i colori 6 - 10 della Tavolozza 1 del progetto globale.
    • Tavolozza 2: contiene i 5 colori del progetto locale più i colori 6 - 10 inizializzati come bianco
    • Globale 1: contiene i 10 colori del progetto globale.
    • Globale 2: contiene i 10 colori del progetto globale.

Cambio della tavolozza colori nel runtime

Per passare da un colore all´altro nel runtime avete bisogno della funzione Cambia tavolozza colori (vedi capitolo Funzione Cambio tavolozza colori).

Un esempio per il cambio durante il runtime lo trovate nel capitoloEsempio per editor e runtime.


Funzione Cambio tavolozza colori

Manuale -> Immagini -> Tavolozza colori -> Funzione Cambio tavolozza colori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

All´avvio del runtime viene attivata automaticamente la prima tavolozza del progetto, a meno che non ne sia stata attivata un´altra per mezzo di uno script di start.

La tavolozza attiva può essere modificata nel runtime aprendo la funzione Cambia tavolozza colori. Tutte le immagini e gli elementi vengono ridisegnati con i colori della nuova tavolozza.

La tavolozza attiva in un momento viene identificata mediante il nome che le è stato attribuito. Se non esiste nessuna tavolozza con il nome indicato, viene attivata la prima tavolozza del progetto.

Per creare la funzione Cambia tavolozza colori:

  • selezionate nel manager di progetto, nel menù contestuale del nodo Funzioni il comando Nuova funzione...
  • Navigare per raggiungere le Applicazioni
  • selezionate Cambia tavolozza.

  • confermate la selezione cliccando su OK
  • Si apre il dialogo per configurare la tavolozza.

Parametri | Descrizione
Tavolozza colori | Selezionate la tavolozza desiderata fra quelli della lista a cascata.
Visualizza questa finestra di dialogo a Runtime | Consente di scegliere di nuovo nel runtime la tavolozza.


Export e import

Manuale -> Immagini -> Tavolozza colori -> Export e import

Tavolozze di colori possono essere esportate in file XML, ma possono essere anche importate da tal tipo di file.

Esporta

Per esportare una tavolozza:

  • selezionate anzitutto la tavolozza desiderata.
    Per selezionare nello stesso tempo più tavolozze, usate il tasto Ctrl o quello Shift, oppure trascinate il mouse tenendo premuto il tasto sinistro sulla riga del titolo della tabella (Indicazione: le tavolozze selezionate non possono essere più deselezionate singolarmente).
  • Possono essere esportate solo delle intere tavolozze selezionate, non dei singoli colori.
  • selezionate nel menù contestuale oppure nella barra dei simboli il comando Esporta in XML selezionate ..
  • Nel manager file che si aprirà, selezionate un posto nel quale salvare il file e un nome per il file XML.

Importa

Per importare una tavolozza:

  • selezionate nel menù contestuale oppure nella barra dei simboli il comando Importa XML..
  • selezionate nel manager file che si aprirà il file di importazione desiderato.
  • Le tavolozze salvate nel file XML vengono importate.
  • Attenzione: La successione nell´export viene rispettata.
    Il che significa che se, per esempio, una tavolozza è stata esportata al terzo posto nella tabella, essa viene importata allo stesso posto, oppure messa alla fine se il progetto contiene meno tavolozze. Le tavolozze già esistenti in questa sede verranno sovrascritte. Ciò significa:
    • se si trovano delle tavolozze in un posto in cui si realizza un import, il nome e il colore delle tavolozze esistenti vengono sovrascritte dalle tavolozze importate.
    • Se una tavolozza viene importata in un posto libero, essa verrà aggiunta alla fine della successione e le verrà assegnato un nome standard progressivo.
    • Se il nome di una tavolozza importata viene già usata per un´altra che si trova in un altro posto, potranno essere sostituiti solo i colori e non il nome della tavolozza sovrascritta.
    • Se la tavolozza importata ha più colori di quella esistente, i colori mancanti nella tavolozza esistente vengono completati con bianco
    • Se la tavolozza importata ha un numero di colori inferiore a quelle già esistenti, i colori mancanti vengono ripresi dalle tavolozze sovrascritte, oppure essi vengono completati in colore bianco, se non è stata sovrascritta alcuna tavolozza.


Segnalazioni d'errore

Manuale -> Immagini -> Tavolozza colori -> Segnalazioni d'errore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si riprendono degli elementi, per esempio per mezzo di import in formato XML oppure Copy&Paste, può succedere che dei colori della tavolozza non possano essere più visualizzati in modo esatto. Possibili cause:

  • nel progetto non è stata ancora impostata nessuna tavolozza.
  • Le tavolozze hanno un numero diverso di colori.
  • Dei colori sono stati cancellati.

Nel campo di inserimento delle proprietà verranno visualizzati i relativi messaggi di errore; l´elemento viene visualizzato in colore bianco.

Messaggio di errore | Causa
Non è caricata nessuna tavolozza! | Nel progetto locale e globale non è stata progettata nessuna tavolozza.
Colore tavolozza non esiste! | Nelle tavolozze del progetto non c`è nessun colore con un indice corrispondente.


Esempio per editor e runtime.

Manuale -> Immagini -> Tavolozza colori -> Esempio per editor e runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell’Editor

In questo modo, per esempio, usate le tavolozze colori nell´editor:

  • impostate anzitutto un´immagine con un pulsante con testo e elemento grafico.
  • Selezionate nelle proprietà Colore di sfondo
  • Cliccate su......
  • Il dialogo che serve alla scelta dei colori si aprirà.
  • Passate alla scheda Tavolozza colori
  • Verranno visualizzati i colori della tavolozza attiva.
  • selezionate il colore desiderato.
  • Ripetete questi passi per le proprietà Colore cornice e Colore testo
  • Immagine con tavolozza Basic

  • Cliccate con il tasto destro del mouse su una cella della tabella della tavolozza
  • Scegliete il menù contestuale Tavolozza colori nell´editor
  • Nella lista a cascata, selezionate un´altra tavolozza, per esempio Tavolozza 2
  • Immagine nell'editor:

Nel runtime

Nel runtime, l´immagine viene visualizzata con la tavolozza colori attivata nell´editor.

Se avete progettato una funzione cambio (vedi capitolo Funzione Cambia tavolozza colori), potete modificare durante il runtime i colori della tavolozza.

A tale scopo:

  • cliccate sull´elemento;
  • se l´opzione Offri questo dialogo durante il runtime è stata precedentemente attivata, si può scegliere nel runtime una nuova tavolozza; in caso contrario, viene aperta automaticamente la tavolozza indicata nella funzione.

  • L´elemento passa ai nuovi colori.


Carattere

Manuale -> Immagini -> Carattere

In zenon possono essere utilizzati tutti i caratteri che sono disponibili nel sistema operativo. Il nodo Caratteri si trova nel Manager di progetto alla voce Immagini.

Menù contestuale - manager di progetto

Voce di menù | Azione
Nuova lista caratteri | Crea una nuova Lista caratteri nella visualizzazione dettagliata.
Esporta tutte in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa degli inserimenti da un file XML.
Guida | Attiva la guida online

info Informazioni su

Il carattere selezionato deve essere presente con il runtime anche sul sistema di destinazione. Nel caso in cui il carattere non dovesse esserci, automaticamente viene usato un altro carattere, esistente nel sistema e appartenente alla stessa famiglia.

Compatibilità con DirectX

Non tutti i caratteri sono idonei all´uso con Direct X. TrueType e OpenType sono idonei all´uso con DirectX. Caratteri Bitmap, invece, non sono idonei. I caratteri non idonei vengono sostituiti durante il Runtime con quelli idonei.

  • Consigliati per l´uso in zenon e idonei per Direct X:
    • TrueType (.ttf)
    • OpenType (.otf)
  • Non idonei:
    • Bitmap (.fon), come, per esempio, System oppure Script
    • Adobe Type 1 (.pfm/.pfb)

Noch in diesem Kapitel

Lista caratteri

Carattere di default e di sistema

Denominazione e numerazione di caratteri e liste caratteri

Collega caratteri a elementi


Lista caratteri

Manuale -> Immagini -> Carattere -> Lista caratteri

Per default viene generata una lista caratteri. Essa viene poi visualizzata nella sezione lista quando si seleziona il punto "Immagini / Caratteri" del manager di progetto.

Barra simboli e menù contestuale

Parametri | Descrizione
Nuova lista caratteri | Crea una nuova lista caratteri (la stessa funzionalità della selezione nel manager di progetto). Vedi capitolo Crea nuova lista caratteri.
Elimina lista caratteri | Cancella la lista caratteri selezionata.
Nuovo Carattere | Crea un nuovo carattere. Si apre il dialogo Windows 'Tipo di carattere' ed è poi possibile impostare le proprietà "tipo di carattere", "dimensione", "stile" ecc Vedi capitolo Crea nuovo carattere.
Elimina carattere | Elimina il carattere selezionato dalla lista caratteri.
Torna all'elemento di partenza | Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza. Nel menu contestuale esistente solamente, se aperto come elemento collegato.
Lista tipi di carattere nell'Editor | Visualizza tutte le liste caratteri esistenti; quella attiva al momento, è spuntata.
Salva | Salva le modifiche apportate.
Esporta selezione in XML | Esporta gli elementi selezionati in un file XML. Vedi al proposito il capitolo Import/Export, sezione "Immagini/Caratteri.
Importa XML | Importa elementi da un file XML.
Proprietà | Apre la finestra proprietà.
Guida | Apre la guida online.

Nelle proprietà della lista caratteri, si può effettuare l'assegnazione alla lista di un nome qualsiasi.

attention Attenzione

Eventuali successive modifiche di nome non vengono accettate automaticamente. Se volete cambiare in un secondo momento il nome di una lista di caratteri e avete già impostato con essa un funzione Cambio immagine, dovete modificare anche in questa funzione il nome della lista di caratteri.

Liste caratteri: progetto globale versus progetto

L´editor ha sempre attiva una lista caratteri. Per usare i caratteri del progetto standard e di quello globale, le liste caratteri devono avere la stessa denominazione in entrambi i progetti.

Nell´uso di liste caratteri in progetti globali, tenete presente:

  • se le liste caratteri ricevono lo stesso nome in progetto globale e standard, nel runtime il sistema darà la priorità a quelle del progetto standard.
  • In caso di nomi differenti, nel progetto standard sono presenti due liste caratteri; nel runtime viene usata una qualsiasi delle due.

Per evitare ciò: Progettate una Funzione cambio lingua con selezione della lista caratteri.

Noch in diesem Kapitel

Crea nuova lista caratteri


Crea nuova lista caratteri

Manuale -> Immagini -> Carattere -> Lista caratteri -> Crea nuova lista caratteri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per collegare degli elementi con altri caratteri rispetto a quelli della lista 1 è necessario crearne una nuova.

Crea un'ulteriore lista caratteri:

Nel Manager di progetto nel nodo "immagini / caratteri" si può creare una nuova lista caratteri usando la voce Nuova lista caratteridel menù contestuale. La nuova lista caratteri viene poi visualizzata nella sezione lista del Manager di progetto.

Anche qui il carattere impostato di default viene riportato al primo posto.

Attiva una lista caratteri:

Per attivare una lista caratteri, cliccate nella barra titoli della lista desiderata e selezionate la voce Lista tipi di carattere nell'editordel menù contestuale. Ciò può essere necessario per i testi per i quali è possibile commutare la lingua. In tal modo è possibile constatare già nell'editor che aspetto avrà l'elemento con il carattere nel Runtime. (ad esempio se il carattere per il pulsante è troppo grande). (A questo proposito vedi capitolo: Cambio lingua/ Fonts - Caratteri.

info Informazioni su

Per il runtime non esiste una lista caratteri di default. Se si progettano diverse liste caratteri, quella da usare nel runtime deve essere definita facendo uso del Cambio lingua.


Carattere di default e di sistema

Manuale -> Immagini -> Carattere -> Carattere di default e di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ogni nuovo elemento viene collegato ad un carattere di default. Si tratta del carattere che è assegnato al tipo di elemento attribuito. Una modifica della proprietà Carattere di un elemento ha come conseguenza il fatto che ogni nuovo elemento che si basa su questo tipo di elemento viene collegato al carattere modificato. Quando poi si riavvia l'editor, viene utilizzato di nuovo il carattere di default per tutti i tipi di elementi. Il carattere di default ha la proprietà Arial 10, e si trova alla seconda posizione della lista caratteri.

Se si crea un progetto di nuovo, i seguenti passi vengono realizzati automaticamente:

Carattere | Stile carattere | Dimensione carattere | Informazioni su
Arial | Standard | 8 |
Arial | Standard | 10 | Carattere di default
Arial | Standard | 12 |
Arial | Standard | 14 |
Arial | Standard | 20 |

Avvertenza:

  • Il carattere di default può essere modificato. La modifica viene applicata automaticamente sempre laddove questo tipo di carattere è stato collegato.
  • Il carattere di sistema non è scalabile; perciò ci potrebbero verificarsi dei problemi quando si usa la funzione di zoom, oppure nell´adattamento automatico della risoluzione.
  • Il carattere di default può essere modificato tramite la proprietà Carattere. Il dialogo corrisponde a quello che si apre quando si seleziona nel menù contestuale la voce Nuovo carattere.

Noch in diesem Kapitel

Crea nuovo carattere


Crea nuovo carattere

Manuale -> Immagini -> Carattere -> Carattere di default e di sistema -> Crea nuovo carattere

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Viene generata per default una lista di caratteri che può essere visualizzata nella sezione lista del manager di progetto e riempita di diversi tipi di carattere.

Crea nuovo carattere nella lista caratteri:

Cliccate nella finestra della sezione lista e aprite il menù contestuale facendo clic con il tasto destro del mouse. In questa sede selezionate, poi, la voce 'Nuovo carattere'

Si aprirà il dialogo Windows Tipo di carattere. Qui si possono effettuare le seguenti impostazioni:

Parametri | Descrizione
Carattere | Tutti i caratteri del sistema operativo sono disposti in ordine alfabetico.
Stile carattere | Grassetto, corsivo ecc.
Dimensione carattere | Dimensione del carattere in pixel
Effetti | Sottolineato, barrato
Colore | Selezione del colore del carattere
Script | Occidentale, cirillico ecc.

info Informazioni su

L'impostazione concernente il colore non viene adottata. I testi vengono visualizzati in nero, a meno che il colore venga modificato esplicitamente nelle impostazioni. In caso contrario, solo durante in runtime (per esempio in seguito al superamento di un valore limite) si verifica una modifica del colore del testo.

Per quello che concerne i caratteri nel progetto globale, vedi quanto riportato a questo proposito nel capitolo: Gestione di progetto / Progetto globale.

attention Attenzione

Tutti i caratteri usati devono essere installati su tutti i computer su cui viene avviato il progetto.
L´installazione può essere effettuata anche mediante Trasporto Remoto. Vedi Imposta file (copia&registra)


Denominazione e numerazione di caratteri e liste caratteri

Manuale -> Immagini -> Carattere -> Denominazione e numerazione di caratteri e liste caratteri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si crea un progetto di zenon, vengono impostati automaticamente 5 caratteri di Default. I nomi della lista carattere e del carattere di Default dipendono dalla lingua in cui l´editor viene avviato. Ciò vale per progetti standard e progetti globali.

I caratteri ricevono dei numeri. Il numero 1 e 2 sono caratteri standard. Questi due numeri non possono essere modificati; tutti gli altri possono essere adattati individualmente. Al momento della creazione di un elemento dinamico, gli viene automaticamente assegnato il carattere con il numero 2.

L´editor ha sempre attiva una lista caratteri. Per usare i caratteri del progetto standard e di quello globale, le liste caratteri devono avere la stessa denominazione in entrambi i progetti.

Nota: un progetto di zenon che è stato creato con la versione 5.50 e viene convertito in un´altra dal numero di serie superiore, non ha una lista caratteri di Default, se il progetto in 5.50 non contiene nessun carattere.

Globalmente e localmente

I caratteri del progetto standard locale hanno un grado di priorità maggiore a quelli del progetto globale.
Ad esempio: Nel progetto globale esiste un carattere con il numero 50. Questo carattere può essere usato nell´area di lavoro in ogni progetto standard, sempre che il progetto standard non contengo il carattere con il numero 50. Se nel progetto standard esiste già un carattere con il numero 50, verrà utilizzato quest´ultimo.

Nel progetto standard non possono essere cancellati i caratteri con il numero 1 e 2. Ciò significa: nel progetto globale possono essere modificati i caratteri con il numero 1 e 2. Ma essi non potranno essere utilizzati nel progetto standard, visto che questi numeri esistono già nel progetto standard e hanno un grado di priorità superiore. Per differenziare i caratteri del progetto globale e standard può essere usato un offset. Il carattere 2 del progetto standard, ad esempio, può diventare nel progetto globale il 2002.

Workaround per usare i caratteri 1 e 2 del progetto globale in progetti standard: cancellare la lista caratteri nel progetto standard e nominare una lista vuota come quella del progetto globale.

Elimina lista caratteri

Se volete utilizzare i caratteri 1 e 2 del progetto globale, deve essere cancellata la lista caratteri del progetto standard. A tale scopo:

  1. create anzitutto un backup di progetto
  2. nel caso in cui debbano essere utilizzati i caratteri adattati di un progetto standard a livello globale:
    1. eseguite un export XML della lista caratteri del progetto standard
    2. eseguite un import in formato XML della lista caratteri nel progetto globale
  3. aprite la cartella SQL relativa al progetto standard

    Suggerimento: evidenziate il progetto in zenon -> premete Ctrl+Alt+E -> l´Explorer apre la cartella di progetto -> portatevi a zenon/system

  4. chiudete il workspace.
  5. cancellata il file fonts.bin
  6. aprite il workspace
  7. denominate adesso la lista caratteri vuota assegnandole lo stesso nome della lista caratteri nel progetto globale

Adesso verrano usati nel progetto standard i caratteri con il numero 1 e 2 del progetto globale. I nuovi elementi useranno il carattere numero 2 del progetto globale, se esso esiste, e il carattere di sistema, nel caso in cui non sia disponibile il progetto globale.

Dinamico e statico

I caratteri per l´elemento vettoriale Testo statico e per gli elementi dinamici vengono salvati in modo diverso. La ragione è la seguente: testo statico può anche avere caratteri in modalità scollegata

in modalità scollegata significa: il carattere, poi, non è più collegato con una lista caratteri, ma viene configurato localmente solamente per questo elemento.

Attenzione: ciò non significa che il carattere sia connesso in modo scollegato con l´immagine e quindi venga visualizzato sempre in modo corretto. Il carattere deve continuare ad essere disponibile anche sul sistema di visualizzazione.

Import e Export via XML

Effettuando un import e un export via XML, con gli elementi dinamici viene usata la proprietà Nome del carattere a fini di identificazione. Se, ad esempio, è presente nel progetto globale un carattere con il nome "zenon" e nel progetto locale un altro carattere con lo stesso nome "zenon", nell´effettuare l´import o export il sistema usa il carattere del progetto locale.

Suggerimento: i nomi di carattere devono essere univoci sia nel progetto globale che in quello standard. L´editor non effettua un controllo in questo senso.

VBA

VBA usa la proprietà Numero del carattere per gli elementi dinamici. In questo caso può risultare utile l´offset per caratteri nel progetto globale e in quello standard.

Ad esempio: Il carattere 2 del progetto standard viene sostituito da quello 2002 del progetto globale. Nel caso degli elementi vettoriali, il numero del carattere viene salvato al secondo posto nella font string. Nella font string "0 7 0 0 700 255 0 0 0 3 2 5 34 Arial", il numero del carattere è 7 e può essere sostituito facilmente con quello 2007 del progetto globale.


Collega caratteri a elementi

Manuale -> Immagini -> Carattere -> Collega caratteri a elementi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esistono due possibilità di collegare un carattere ad un elemento ad immagine dinamico o vettoriale (ad esempio: testo):

  • Drag&Drop:
    • Nella lista caratteri, cliccate nella cella con il numero del font desiderato.
    • Tenendo premuto il tasto sinistro del mouse, trascinatelo sull´elemento desiderato.

    Il font viene collegato all´elemento stesso.

  • Proprietà:
    Il font può essere collegato anche nelle proprietà dell´elemento selezionato.
    Cliccate sul pulsante ... della proprietà Carattere del gruppo Stile testo, e si apre la finestra di dialogo che serve alla selezione di un carattere.


Simboli e gruppi elementi

Manuale -> Immagini -> Simboli e gruppi elementi

I simboli e i gruppi elementi sono elementi d'immagine ai quali vengono attribuiti Elementi vettoriali ed Elementi dinamici sotto forma di macro di immagine. Entrambi vengono usati come simboli d'immagine in immagini. Nel funzionamento runtime, l’attributo colore di un simbolo d'immagine può essere modificato per mezzo di elementi dinamici (elemento di stato, elemento multibinario e elemento combinato)

  • I simboli vengono raccolti in una libreria simboli e possono essere creati in quella sede. O vengono collegati in un´immagine, oppure inseriti come gruppo elementi in un´immagine. Finché sono collegati, ogni modifica apportata ad essi nella libreria ha effetto anche sui simboli corrispondenti nell´immagine. I simboli possono essere aggiunti in una immagine anche come gruppo elementi. A tal fine viene sciolto il collegamento con la libreria. In questo caso, le modifiche apportate al simbolo non hanno effetto sul gruppo elementi.
  • I gruppi elementi possono essere creati in un´immagine a partire da più elementi. Un gruppo elementi può essere inserito in una libreria simboli anche come simbolo. In questo caso, esso viene convertito in un simbolo al momento del suo inserimento nella libreria stessa. Il gruppo elementi nell´immagine, però, rimane come gruppo elementi.

zenon differenzia fra tre tipi diversi di librerie simboli:

Libreria simboli

Proprietà

Libreria simboli generale

Simboli sono disponibili in tutti i progetti. Il nodo Libreria simboli generale si trova nel Manager di progetto sotto i progetti attualmente caricati.

Denominazione al momento del collegamento nell´immagine: [Gruppo simboli]/[Nome simbolo]

Regole:

  • Il dialogo di selezione variabili offre tutti i progetti dell´area di lavoro per effettuare il collegamento.
  • Questi simboli vengono salvati nella cartella di programma di zenon e aggiornati al momento dell´avvio dell´Editor. Questi simboli non vengono salvati nel caso di un backup di progetto.
  • Interblocchi e alias per ALC non possono essere progettati.
    Attenzione: Quando si aggiungono dei simboli che contengono interblocchi o alias, queste impostazioni vengono rimosse.

Libreria simboli nel progetto globale

I simboli sono a disposizione di tutti i progetti del workspace.

Denominazione al momento del collegamento nell´immagine: Progetto globale_[Nome simbolo]

Regole:

  • i simboli copiati nella libreria simboli del progetto globale mantengono i loro collegamenti alle variabili senza modifiche.
  • il dialogo di selezione variabili offre tutti i progetti dell´area di lavoro per effettuare il collegamento. Alle variabili collegate viene anteposto il nome del relativo progetto.
  • Il nome di Variabile può essere modificato nella finestra delle proprietà. Si può, ad esempio, cancellare il prefisso contenente il nome del progetto di origine.
  • I simboli vengono salvati ogni qual volta si effettua un backup di progetto.
  • Interblocchi e alias per ALC non possono essere progettati.
    Attenzione: Quando si aggiungono dei simboli che contengono interblocchi o alias, queste impostazioni vengono rimosse.

Libreria simboli nel progetto

Simboli sono disponibili solo nel progetto attuale.

Denominazione al momento del collegamento nell´immagine: [Nome simbolo]

Regole:

  • I simboli vengono salvati nella cartella di progetto. La libreria di simboli del progetto si trova nel progetto attuale nel nodo Immagini e viene salvata in un backup di progetto.
  • Interblocchi e alias per ALC possono essere progettati. Queste proprietà vengono mantenute anche nel caso vengano aggiunti dei simboli.

I simboli possono essere copiati per Drag&Drop:

  • dalla Libreria simboli generale nella Libreria simboli nel progetto globale
  • dalla Libreria simboli nel progetto globale nella Libreria simboli nel progetto o viceversa

Non è possibile copiare direttamente dalla Libreria simboli nella Libreria simboli nel progetto oppure copiare dal progetto o dal progetto globale nella Libreria simboli generale.

Per poter lavorare in parallelo con tutte le librerie, l´anteprima delle librerie viene visualizzata in finestre separate. I nomi delle librerie vengono visualizzati nelle schede della finestra principale.

Simboli d´immagine e simboli provenienti da una.libreria simboli.

  • Simboli d'immagine: I simboli o i gruppi elementi contenuti in un´immagine
  • I simboli di una libreria: vengono modificati nella libreria e collegati nell´immagine.

attention Attenzione

I simboli della Libreria simboli generale vengono salvati localmente in un file apposito (*.sym) nella cartella di programma zenon. Questi file devono essere sempre aggiunti manualmente al backup di progetto nel caso di progetti multi-user e di trasmissione di progetti. I simboli della libreria del progetto locale o del progetto globale sono contenuti automaticamente nel corrispondente backup di progetto.

Suggerimento: salvate i simboli sempre localmente.

Menù contestuale - manager di progetto

Voce di menù | Azione
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa da file XML.
Apri in una nuova finestra... | Apre una finestra propria per la visualizzazione e la modifica dei simboli. (Di default si trova sul margine inferiore dell´editor)
Guida | Attiva la guida online

Controllo di simboli

i simboli vengono controllati in merito alla correttezza:

  • Durante la compilazione dei file del Runtime.
  • ogni volta che vengono generati i nuovi file di runtime quando si chiude l'editor.

I simboli mancanti vengono evidenziati in rosso nella finestra di emissione. La segnalazione di errore nomina i nomi dei relativi simboli ed immagini.

Menù simboli

Non appena un simbolo viene aperto nell´editor simboli, nella barra degli strumenti il punto menù Immagini viene sostituito da Simbolo.

Sono disponibili le seguenti azioni:

Voce di menù

Azione

Salva simbolo

Salva il simbolo attuale.

Salva tutti i simboli

Salva tutti simboli.

Modifica grandezza simbolo / colore di sfondo

Apre il dialogo per la configurazione della grandezza simbolo e del colore di sfondo.

Nota: Le modifiche del colore di sfondo riguardano sempre tutti i simboli nella libreria simboli globale.

Lista Simboli

Apre una lista di tutti i simboli che sono visualizzati nell'immagine attuale. Per ogni simbolo vengono indicate in una lista le sue singole componenti grafiche.

Modalità schermo intero

La modalità schermo intero esclude tutte le altre finestre e mostra solamente quella principale con tutti i documenti aperti (immagini, rapporti ....) in forma di immagine piena che occupa tutto lo schermo.

La modalità schermo intero può essere terminata tramite:

  • il pulsante visualizzato per chiudere la modalità schermo intero
  • la combinazione tasti Shift +F9

Ridisegna simbolo

Attualizza la visualizzazione dello schermo.

Mostra griglia

Visualizza o nasconde la griglia.

Posiziona sulla griglia

Visualizza o nasconde la griglia.

on: Tutti gli oggetti vengono allineati automaticamente alla griglia.

Utilizza ancoraggio tra elementi vicini

Attiva o disattiva i punti di appiglio

Usa: se si avvicina un oggetto al punto di appiglio di un altro oggetti, l´oggetto si aggancia a questo punto di appiglio.

Modifica ordinamento per il focus

Apre la lista dropdown che serve a stabilire la successione orizzontale o verticale per la Gestione tastiera.

Successione per sinistra/destra: Stabilisce la successione orizzontale.

Successione per sopra/sotto: Stabilisce la successione verticale.

Zoom

Modifica la grandezza della visualizzazione in percentuali definite fra 15 % e 400 %.

Esporta immagine/simbolo come file grafico

Salva l´immagine o il simbolo selezionati in un file grafico.
Si salva quanto segue:

  • Nelle immagini: l´immagine selezionata con tutti gli elementi e simboli.
  • Nell´Editor dei simboli: il simbolo selezionato.

Per effettuare il salvataggio, viene aperto il file manager. In questa sede, selezionate la posizione di salvataggio, il nome e il tipo file.

Inserisci grafica vettoriale

Apre il dialogo che serve ad inserire una grafica vettoriale esterna.

Noch in diesem Kapitel

Simboli Visualizzazione dettagli barra simboli e menù contestuale

Configurare la dimensione e il colore di sfondo

Separa proprietà dal collegamento

Crea e cancella simboli propri

Inserisci dei simboli in un'immagine

Lista Simboli

XML-Export e XML-Import


Simboli Visualizzazione dettagli barra simboli e menù contestuale

Manuale -> Immagini -> Simboli e gruppi elementi -> Simboli Visualizzazione dettagli barra simboli e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La libreria dei simboli vene gestita facendo uso del menù contestuale oppure della barra simboli:

Comandi nel menù contestuale e della barra simboli.

Posizione della barra degli strumenti. | Menù contestuale | Funzione
1 | Nuovo simbolo | Viene impostato un nuovo simbolo.
3 | Apri simbolo | Apre il simbolo nell´editor dei simboli per effettuare delle modifiche.
2 | Nuovo gruppo simboli... | Viene creato un nuovo gruppo simboli che può essere riempito di simboli selezionati della libreria, oppure con simboli crati ad hoc. (Copiare ed inserire) Disponibile solo nella biblioteca di simboli globale.
4 | Inserisci simbolo in immagine come gruppo elementi | Crea un gruppo elementi a partire dal simbolo e lo inserisce in un´immagine (per i dettagli vedi capitolo Gruppi elementi).
5 | Inserisci simbolo in immagine | Inserisce il simbolo nell´immagine (per i dettagli vedi il capitoloSimboli).
non esistente | Elemento collegato | Apre il sottomenù contenente gli elementi collegati e la possibilità di ritornare all´elemento originario.
6 | Torna all'elemento di partenza | Torna indietro all´elemento di partenza (solo barra simboli).
7 | Copia | Copia il simbolo selezionato negli appunti (solo nella visualizzazione gerarchica).
8 | Inserisci | Incolla il simbolo copiato nel gruppo attivo (solo nella visualizzazione gerarchica).
9 | Elimina | Cancella il simbolo selezionato, oppure il gruppo di simboli (solo nella visualizzazione gerarchica). Attenzione: non si può annullare la cancellazione!
10 | Espandi/riduci nodi | Nella visualizzazione gerarchica, permette di ingrandire o ridurre il nodo selezionato o tutti i nodi.
11 | Visualizzazione piatta | Ordina tutti i simboli in una lista piatta. Semplifica la ricerca di un determinato simbolo. Nota: in questo tipo di visualizzazione non possono essere né creati, né eliminati dei simboli; non è possibile neppure copiare oppure aggiungere simboli provenienti dagli appunti.
12 | Visualizzazione gerarchica | Ordina tutti i simboli in modo gerarchico in sottogruppi e mostra le relazioni di dipendenza.
13 | Esporta selezione in XML | Apre il dialogo per l´export in formato XML dei simboli selezionati. (Per i dettagli vedi capitolo Import / Export Simboli
14 | Esporta immagine/simbolo come file grafico... | Esporta l´immagine/il simbolo come file grafico. Il dialogo di selezione file mette a disposizione dell´utente i formati grafici supportati dal sistema. In linea di principio, vengono offerti tutti i Windows Imaging Component (WIC) codec installati sul sistema che supportano Salva. La dimensione del file dipende dall´immagine o dal simbolo da esportare.
15 | Importa XML | Importa simboli da un file XML (vedi capitolo Import/Export Simboli).
16 | Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
17 | Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
18 | Sostituisci testo nella cella selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
19 | Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
20 | Guida | Apre la guida online.


Configurare la dimensione e il colore di sfondo

Manuale -> Immagini -> Simboli e gruppi elementi -> Configurare la dimensione e il colore di sfondo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare la dimensione del simbolo e il colore di sfondo:

  1. Posizionate il focus sull´editor simboli.
  2. Selezionate nel gruppo proprietà Generale i parametri desiderati per la visualizzazione del simbolo nell´editor simboli:
    1. Colore di sfondo: Definisce il colore di sfondo dei simboli nell´editor simboli. Cliccando su Colore si apre la tavolozza.
      Nota: Le modifiche del colore di sfondo apportate nell´editor simboli riguardano sempre tutti i simboli nella libreria simboli globale.
    2. Larghezza [Pixel]: Indicazione della larghezza del simbolo in pixel.
    3. Altezza [Pixel]: Indicazione dell´altezza del simbolo in pixel.


Separa proprietà dal collegamento

Manuale -> Immagini -> Simboli e gruppi elementi -> Separa proprietà dal collegamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter sfruttare al meglio i simboli, qualche volta è necessario attribuire valori individuali a singole proprietà di elementi dei simboli. Ad esempio: se un simbolo motore ha una scritta nella quale è contenuto il nome.

Con questa funzione potete rendere disponibile, per esempio, la proprietà Testo. Se il simbolo viene trascinato nell´immagine, il testo è modificabile individualmente per ogni motore.

Questa funzionalità è a disposizione per tutte le proprietà.

Progettazione

Quando si apre un simbolo, viene aperto l´editor dei simboli. L´editor dei simboli è costituito da una finestra divisa in due settori; essa consente la modifica del simbolo selezionato.

Nel settore in alto viene modificato il simbolo; in quello in basso vengono mostrate in una lista le proprietà rese disponibili degli elementi di questo simbolo. Per rendere disponibili gli elementi, avete a disposizione diverse possibilità:

  1. Drag&Drop
    1. in primo luogo, trascinate le proprietà desiderate una alla volta per mezzo di Drag&Drop dalla finestra delle proprietà nel settore inferiore dell´editor dei simboli.
    2. Nota: dovete cliccare sempre sul nome delle proprietà (non sul valore) e trascinarle per Drag&Drop nell´editor.
  2. Menu contestuale della proprietà
    1. cliccate con il tasto destro del mouse sul nome della proprietà
    2. selezionate nel menù contestuale Rilascia [Proprietà]
    3. la proprietà viene inserita nella lista
  3. Barra simboli della proprietà
    1. cliccate con il tasto destro del mouse sul nome della proprietà
    2. cliccate nella barra dei simboli sul simbolo che serve a rilasciare (freccia verde verso l´alto sul campo testo)
    3. la proprietà viene inserita nella lista

Nota: se l´inserimento non viene offerto, oppure il simbolo viene visualizzato come disattivato, l´elemento non può essere rilasciato. Ragioni possibili:

  • nessun elemento d´immagine selezionato nell´Editor dei simboli
  • la proprietà è stata già rilasciata
  • L´elemento non supporta il rilascio (per es. ActiveX)

Questo settore è una lista sottoponibile a filtro. Se sussiste la necessità, potete effettuare il filtro sulla base di singole proprietà. Per le azioni è disponibile un menù contestuale.

Menù contestuale per lista di rilascio:

Parametri | Descrizione
Cancella proprietà selezionata | Cancella il rilascio dell´elemento.
Annulla | Annulla l´ultima azione.
Guida | Attiva la guida online

Modifica proprietà rilasciate

Se il simbolo viene visualizzato in un´immagine, è a disposizione nelle proprietà l´ulteriore nodo $_Nome elemento. In essa vengono visualizzate una per una tutte le proprietà rese accessibili. Queste ultime sono state sciolte dal principio del collegamento (rese disponibili) e, quando sono modificate, riguardano solo il simbolo in questione. Se nella finestra proprietà di un simbolo viene selezionata una proprietà di uno degli elementi, lampeggia questo elemento nell'immagine.

Le proprietà rilasciate possono essere modificate:

  • con le proprietà nel ramo $_Nome elemento
  • con il Linked Symbol Wizard

Linked Symbol Wizard

Per poter modificare in modo semplice e comodo delle proprietà rilasciate, avete a disposizione uno strumento che si chiama Linked Symbol Wizard:

  1. Cliccate due volte all´interno dell´immagine su un simbolo che:
    1. è collegato nell´immagine e
    2. dispone di proprietà rilasciate
  2. Si apre il Linked Symbol Wizard
  3. Selezionate la proprietà da modificare
  4. Inserite il nuovo valore
    Indicazione: Ogni modifica viene ripresa immediatamente!
  5. Chiudete il Wizard cliccando su Exit.

Parametri | Descrizione
Select an element in the symbol: | selezione di un elemento del simbolo fra quelli della lista a cascata.
Select the exported property to | selezione della proprietà rilasciata fra quelle della lista.
Visualizzazione proprietà | Visualizza la proprietà da modificare.
Campo di inserimento | Inserimento del nuovo valore della proprietà facendo uso di inserimento testo/inserimento numero, lista a cascata o dialogo di selezione, indipendentemente dalla proprietà.
Exit | Chiude il Wizard

info Informazioni su

Il Wizard non supporta tutte le possibili proprietà del simbolo.


Crea e cancella simboli propri

Manuale -> Immagini -> Simboli e gruppi elementi -> Crea e cancella simboli propri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Create dei simboli o nell´editor dei simboli, oppure in un´immagine. Gli elementi di un simbolo possono essere:

  • Elemento vettoriale
  • Elementi dinamici
  • Altri simboli: I simboli possono essere inseriti in gruppi elementi.

info Informazioni su

Gli elementi contenuti in un simbolo dovrebbero essere piazzati all´interno dell´area del simbolo e non uscirne. Se gli elementi superano i limiti del simbolo, si possono avere dei problemi di visualizzazione nel runtime. Ciò vale anche per quegli elementi che usano simboli (per esempio l´elemento combinato).

Nell´editor dei simboli:

  1. Selezionate nel menù contestuale oppure nella barra dei simboli Nuovo simbolo
  2. Cliccate nel campo di inserimento del nome elemento e assegnate un nome (non sono ammessi dei punti nel nome simbolo).
  3. Implementate il simbolo nell´editor dei simboli.
  4. Aggiungete eventualmente delle proprietà individuali (vedi sottocapitolo Elimina proprietà dalla trasmissione ereditaria )
  5. Salvate il simbolo

Nell´immagine:

  1. Selezionate uno o più elementi nell´immagine.
  2. Selezionate nel menù contestuale Simbolo -> Crea gruppo elementi (oppure-> aggiungi in gruppo elementi esistente)
    oppure nel menù Modifica -> Simbolo ->Crea gruppo elementi.
  3. Salvate l´immagine.

attention Attenzione

Caratteri e grafiche nei simboli per uso in diversi progetti:

Tipi di carattere I caratteri vengono definiti mediante ID. Assicuratevi che in tutti progetti in cui il simbolo viene usato, il carattere desiderato sia assegnato allo stesso ID.

Grafici: i grafici inseriti in un simbolo non vengono salvati con esso. I grafici corrispondenti devono essere copiati manualmente nel percorso delle grafiche del progetto corrispondente.

Inserire in modalità scollegata o collegare dei simboli in simboli.

In modo analogo a quanto detto per le immagini, anche nel processo di creazione di simboli avete la possibilità di collegare simboli esistenti oppure crearli come gruppo elementi (vedi Aggiungi simboli nell´immagine). A tal scopo dovete rispettare le seguenti regole:

  • Un simbolo non deve contenere alcuna ricorsione, il che significa che non deve riferirsi a sé stesso!
  • Simboli di progetto non possono essere usati al di là dei limiti del singolo progetto!
  • Simboli provenienti dalla libreria globale non possono contenere alcun collegamento a simboli di progetto.

info Informazioni su

Potete modificare i contenuti dei simboli solamente nell´editor dei simboli. Se le inserite come gruppo elementi in un´immagine, i contenuti non potranno più essere modificati nell´editor simboli.

attention Attenzione

Potete collegare i simboli della libreria di progetto solamente all´interno del progetto corrispondente. Un collegamento che vada al di lá del singolo progetto dei simboli della libreria di progetto non è possibile. Per utilizzare un simbolo di una libreria di un progetto in un altro, potete farne un gruppo elementi.

Cancella o scollega simbolo

Per cancellare un simbolo:

  1. Selezionate il simbolo nella libreria.
  2. Selezionate nel menù contestuale oppure nella barra dei simboli cancella

Per sciogliere un gruppo elementi in un´immagine:

  1. Selezionate il gruppo elementi nella libreria.
  2. Selezionate nel menù contestuale Simbolo -> Sciogliere
  3. Il gruppo elementi verrà separato nei suoi elementi.
  4. Se il simbolo è stato già aggiunto alla libreria dei simboli, esso rimane in quella sede invariato, ma viene cancellato dalla gestione simboli.

Per cancellare un simbolo:

  1. Selezionate il simbolo nella libreria.
  2. selezionate nel menù contestuale Cancella
  3. Il simbolo rimane inalterato nella libreria dei simboli, ma viene cancellato nella gestione dei simboli.

info Informazioni su

Per modificare singoli elementi di un simbolo senza annullare l´attribuzione dei simboli, selezionate:

  • Nel caso di simboli: Modifica nell'Editor dei simboli
  • Nel caso di gruppi elementi: Passa alla modalità modifica singola

Noch in diesem Kapitel

Trasferire i simboli propri nella libreria


Trasferire i simboli propri nella libreria

Manuale -> Immagini -> Simboli e gruppi elementi -> Crea e cancella simboli propri -> Trasferire i simboli propri nella libreria

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I gruppi elementi creati in un´immagine possono essere inseriti in una libreria simboli come simboli.

Per inserire un gruppo elementi come simbolo in una libreria simboli:

  1. Selezionate nel menù contestuale del gruppo elementi Simbolo -> Aggiungi nelle libreria dei simboli
  2. Si apre il dialogo che serve alla definizione del simbolo.
  3. Selezionate la libreria simboli oppure la cartella desiderata
  4. Confermate cliccando su OK.
  5. Passate alla libreria dei simboli selezionata.
  6. Il gruppo elementi è stato convertito in un simbolo e inserite con il nome Gruppo elementi_Nr. (Nr è una numerazione progressiva dei gruppi elementi esistenti, a cominciare dal numero 1.)
  7. Assegnate il nome desiderato.
  8. Per modificare ulteriormente il simbolo, oppure per assegnargli delle proprietà individuali (vedi Separa proprietà dalla trasmissione ereditaria), aprite il simbolo mediante un doppio clic, oppure con il comando contestuale Apri simbolo nell´editor dei simboli.


Inserisci dei simboli in un'immagine

Manuale -> Immagini -> Simboli e gruppi elementi -> Inserisci dei simboli in un'immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I simboli possono essere aggiunti in due modi in una immagine:

  • Gruppi elementi: Non sono più collegati con il simbolo nella libreria; le modifiche apportate al simbolo originario non hanno più alcun effetto sul gruppo elementi.
  • Simboli: Questi continuano ad essere collegati con il simbolo originario. Le modifiche al simbolo nella libreria cambiano anche il simbolo nell´immagine.

attention Attenzione

Potete collegare i simboli della libreria di progetto solamente all´interno del progetto corrispondente. Un collegamento che vada al di lá del singolo progetto dei simboli della libreria di progetto non è possibile. Per utilizzare un simbolo della libreria di un progetto in un altro, potete creare un gruppo elementi.

info Informazioni su

Se avete attivato la proprietà VisualizzaCornice intorno a elementi dinamici nell´editor, potete distinguere con uno sguardo gruppi elementi da simboli: Nel caso di simboli, una freccia viene visualizzato nell´angolo superiore destro. Trovate questa proprietà alla voce Opzioni -> Impostazioni nel settore Impostazioni.

Noch in diesem Kapitel

Gruppi elementi

Simboli

Selezione dei simboli nell'elemento combinato


Gruppi elementi

Manuale -> Immagini -> Simboli e gruppi elementi -> Inserisci dei simboli in un'immagine -> Gruppi elementi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Così inserite in un´immagine un simbolo come gruppo elementi:

  • Tenete premuto il tasto Ctrl e trascinate il simbolo per Drag&Drop all´interno dell´immagine.

    oppure

  • Selezionate nel menù contestuale del simbolo l´opzione Aggiungi simbolo nell´immagine come gruppo elementi per inserire il simbolo nell´immagine attuale come gruppo elementi.

I gruppi elementi possono essere poi divisi nei singoli elementi che li compongono, i quali possono essere elaborati. A tal scopo selezionate nel menù contestuale Simbolo -> Passa alla modalità modifica singola oppure nel menù Modifica -> Simbolo -> Modalità modifica singola Gruppo elementi.

I gruppi elementi non vengono modificati se il simbolo viene modificato nella biblioteca, dato che questi quando estratti non saranno più collegati ad esso.

Sostituisci variabili collegate

Nel caso di creazione di un gruppo elementi a partire da un simbolo che contiene delle variabili, si apre il dialogo che serve a sostituire variabili e funzioni. In questa sede, potete sostituire in modo automatizzato gli elementi esistenti con quelli che desiderate per questo simbolo. Ulteriori dettagli a proposito della sostituzione automatica di variabili e funzioni, li trovate nel capitolo Sostituisci collegamenti nell´immagine Editor.

Per sostituire delle variabili in simboli già inseriti, selezionate anzitutto nel menù contestuale del simbolo il comando Sostituisi Collega.

Suggerimento: Fate attenzione che le variabili vengano nominate fin dall´inizio in modo univoco e sensato..


Simboli

Manuale -> Immagini -> Simboli e gruppi elementi -> Inserisci dei simboli in un'immagine -> Simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I simboli non salvano nella libreria dei simboli nessuna variabile fisica esistente, ma solamente nomi variabili. Quando si inseriscono dei simboli in un´immagine in forma collegata, i nomi variabili depositati nel simbolo possono essere assegnati a variabili del progetto. Se il progetto contiene una variabile che corrisponde ad un nome depositato nel simbolo, essa viene collegata automaticamente (senza bisogno di una regola extra).

Inserisci simbolo in immagine

In tal modo inserite in un´immagine un simbolo collegato:

  • trascinate il simbolo per Drag&Drop nell´immagine.

    oppure

  • selezionate nel menù contestuale del simbolo Aggiungi simbolo nell´immagine

I simboli vengono salvati nell'immagine solo come link. Ogni modifica del simbolo nella libreria ha influenza immediata sul simbolo nell´immagine. Nel caso in cui, per esempio, un elemento dinamico viene aggiunto nel simbolo, esso è presente in tutte le immagini in cui si usa questo simbolo.
Eccezione: le modifiche apportate alla grandezza del simbolo si ripercuotono sull´immagine solo nel caso in cui lí sia stata selezionata nella proprietà del simbolo Dimensione bitmap Grandezza originaria.

Con i simboli potete fare quanto segue:

  • convertirli in gruppi elementi: Menù contestuale Simbolo -> Converti simbolo in gruppo elementi
  • Modificarli nell´editor del simboli: Simbolo-> Elabora nell´editor dei simboli
  • inserirli in un gruppo elementi: Simbolo-> Inserisci in gruppo di elementi esistente

I simboli non possono essere divisi negli elementi che li compongono e tali elementi non possono essere modificati nella modalità Modifica elementi (Menù contestuale ->Simbolo -> Passa alla modalità modifica singola oppure tramite menù Modifica-> Simbolo -> Modifica singola Gruppo elementi).

attention Attenzione

Usate con simboli solo caratteri scollegati, visto che i caratteri collegati non sono scalato con il simbolo. In tal modo si sposterebbe la posizione relativa dei testi rispetto alla grafica nel simbolo.

Noch in diesem Kapitel

Sostituisci variabili o funzioni

Regole di sostituzione - Nomi composti


Sostituisci variabili o funzioni

Manuale -> Immagini -> Simboli e gruppi elementi -> Inserisci dei simboli in un'immagine -> Simboli -> Sostituisci variabili o funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso dell´inserimento di un simbolo che contiene delle variabili, si apre il dialogo che serve a sostituire variabili e funzioni. In questa sede, potete sostituire in modo automatizzato gli elementi esistenti con quelli che desiderate per questo simbolo. Possono essere sostituiti anche ALC Aliase che vengono usati in elementi nel simbolo. Più inserimenti vengono divisi mediante un punto e virgola (;).

A questa finestra di dialogo giungete anche tramite la proprietà Anteprima nel nodo Regola di sostituzione dell´elemento..

info Informazioni su

La procedura per simboli può essere anche usata per container immagini nel caso di immagini del tipo Faceplate. Valgono le stesse proprietà e regole.

Eccezione: La proprietà Nomi gerarchici non è a disposizione.

Sostituisci variabili o funzioni

Regola di sostituzione

Proprietà | Descrizione
Regola di sostituzione | Configurazione di quali sequenze caratteri vengono sostituite e come.
Sorgente | Inserimento della sequenze caratteri da cercare. Wildcard consentite: * e ? Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oppure xxx*.
Sostituito con | Inserimento della sequenze caratteri che deve essere usata
Nome | Scambia informazione nel nome delle variabili
Identificazione | cambio dell’ informazione nell’ identificazione.
Rispetta minuscolo/maiuscolo | tiene presente nell´effettuare il cambio della corrispondenza di scrittura maiuscola e minuscola.
Nomi gerarchici | Consenti nomi composti Non è disponibile per ALC Aliase e Faceplate Container. Essi vengono sempre usati senza prefisso di simbolo.

Anteprima

Proprietà | Descrizione
Anteprima | Visualizzazione degli elementi selezionati e sostituiti.
Ok | Accetta le impostazioni e chiude il dialogo.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Altri dettagli concernenti la sostituzione automatica di variabili e funzioni li trovate nel capitolo Sostituisci collegamenti di variabili e funzioni .

Suggerimento: fate attenzione che le variabili vengano nominate fin dall´inizio in modo univoco e sensato..


Regole di sostituzione - Nomi composti

Manuale -> Immagini -> Simboli e gruppi elementi -> Inserisci dei simboli in un'immagine -> Simboli -> Regole di sostituzione - Nomi composti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se la proprietà Nomi gerarchici nel nodo Regola di sostituzione è attiva, i nomi delle variabili collegate sono composti dal nome oggetto del simbolo e dal nome variabile, o dalla identificazione variabile.

Questo meccanismo viene definito tramite la proprietà Attraverso il nome della variabile.

  • Attiva:
    Il nome della variabile collegata è formato dal nome oggetto del simbolo e il nome variabile (= la proprietà Nome nel gruppo Generale per la variabile).
  • Non attiva:
    Il nome della variabile collegata è formato dal nome oggetto del simbolo e dall´identificazione variabile (= proprietà Identificazione nel gruppo Generale per la variabile).

I due nomi vengono divisi da un punto:
"Nome simbolo.Variabile" oppure"Nome simbolo.Identificazione"

attention Attenzione

Se la proprietà Nomi gerarchici è attiva, ma non la proprietà Attraverso il nome della variabile, viene usata l´identificazione della variabile. Se questa Identificazione è vuota, la composizione del nome non funziona!

Esempio

Nome variabile: Motor.Drehzahl
Il nome simbolo è "Motor". L´elemento dinamico che viene utilizzato nel simbolo, ha come variabile collegata il carattere jolly "Drehzahl".
Il carattere jolly "Drehzahl" può essere digitato al momento della creazione del simbolo presso la proprietà della variabile.

I nomi composti funzionano anche con simboli complessi:
Se si ha un simbolo"Pumpe", che a sua volta contiene un simbolo "Motor" e un simbolo "Umrichter" con il carattere jolly di variabile "Leistung", il collegamento funziona se nel progetto esiste una variabile Pumpe.Motor.Leistung e una variabile Pumpe.Umrichter.Leistung.


Selezione dei simboli nell'elemento combinato

Manuale -> Immagini -> Simboli e gruppi elementi -> Inserisci dei simboli in un'immagine -> Selezione dei simboli nell'elemento combinato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per collegare un elemento combinato con un simbolo, procedete come segue:

  1. selezionate nelle proprietà dell´elemento combinato nel nodo Visualizzazione nella proprietà Rappresentazione Simbolo della libreria
  2. cliccate su Stati e test
  3. Si apre il dialogo di configurazione:

Le impostazioni generali per tutti i tipi di visualizzazione di stati le trovate nel capitolo Stati.

Parametri

Descrizione

Visualizza Elementi

Simbolo dalla libreria

Cliccando sul simbolo, si apre il dialogo per la selezione dei simboli.

Cliccando sulla X accanto al simbolo, si cancella il simbolo selezionato.

Modifica regola di sostituzione

Variabili e funzioni che sono contenuti nel simbolo, possono essere sostituite con l´aiuto di regole di sostituzione.

Attenzione: Se un nome variabile o funzione non va bene con lo schema, questo collegamento non può essere sostituito.

Colori

attivo solamente se nel settore Impostazioni specifiche viene disattivata la proprietà Colori simbolo originali.

Colore

Scelta del colore.

Colore di sfondo

Scelta del colore di riempimento

da ALC

Viene usato il colore delle fonti collegate.

Impostazioni specifiche

Colori simboli originali

Attivo: riprende il colore originale del simbolo. Disattiva proprietà Prendi il colore della variabile principale.

Lampeggio

Attivo: il simbolo lampeggia durante il runtime se viene raggiunto lo stato.


Lista Simboli

Manuale -> Immagini -> Simboli e gruppi elementi -> Lista Simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tramite Modifica -> Simbolo-> Barra simboli... aprite una lista che mostra tutti i simboli dell´immagine attiva:

Parametri | Descrizione
Simboli/gruppi di elementi esistenti | Lista dei simboli ed gruppi elementi esistenti nell´immagine.
Nr | Numero del simbolo o del gruppo elementi.
Nome | Nome del simbolo o del gruppo elementi.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Cliccando sul relativo titolo della colonna, potete ordinare i simboli sulla base di numero o nome. Il simbolo selezionato nella lista simboli nell'immagine è rappresentato in modo lampeggiante.


XML-Export e XML-Import

Manuale -> Immagini -> Simboli e gruppi elementi -> XML-Export e XML-Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

E' possibile l'import/export di simboli dalla libreria del progetto e dalla libreria dei simboli globale. Si possono importare o esportare singoli simboli selezionati, oppure tutta la libreria. Il percorso per l'export può essere scelto liberamente.

Esporta simboli

Per esportare dei simboli:

  1. selezionate i simboli desiderati
  2. selezionate nel menù contestuale oppure nella visualizzazione dettagli il comando Esporta in XML.. ..
    Alternativa: selezionate nel menù contestuale del nodo Progetto-libreria simboli il comando Esporta tutti in XML...
  3. si apre il dialogo di selezione per il luogo di salvataggio
  4. Selezionate il luogo di salvataggio desiderato
  5. assegnate un nome
  6. fate attenzione al tipo di dato XML
  7. confermate cliccando sul pulsante Salva

I simboli selezionati vengono esportate in un file XML e possono essere reimportate in qualsiasi momento in questo o in altri progetti.

Importa simboli

Per importare dei simboli:

  1. selezionate nel menù contestuale del nodo, oppure della visualizzazione dettagli di Libreria simboli - Progetto, oppure nella visualizzazione dettagli della Libreria simboli globale, il comando Importa file XML..
  2. si apre il dialogo di selezione per il luogo di salvataggio
  3. passate al luogo di salvataggio del file XML desiderato
  4. selezionate il file desiderato
  5. confermate l´import cliccando sul pulsante Apri

I simboli vengono importati.

Conflitti causati dal nome durante l´import

Quando si importa un simbolo, il sistema usa il nome salvato nel file XML (attributo ShortName) per la denominazione del simbolo che deve essere creato. Se esiste già un simbolo che ha lo stesso nome, l´import viene interrotto e appare una segnalazione di errore:

Parametri | Descrizione
Sì | Il simbolo citato nella segnalazione di errore viene sostituito nel corso dell´import da quello proveniente dal file XML. Nel caso si verifichi un altro conflitto, la segnalazione di errore apparirà di nuovo.
No | Il simbolo citato nella segnalazione di errore non verrà importato; viene mantenuto il simbolo già esistente. Nel caso si verifichi un altro conflitto, la segnalazione di errore apparirà di nuovo.
Sì tutti | Il simbolo citato nella segnalazione di errore viene sostituito nel corso dell´import da quello proveniente dal file XML. Quest´impostazione viene usata automaticamente nel caso in cui si verifichino altri errori dovuti all´uguaglianza di nomi. Tutti i simboli interessati vengono sostituiti.
No tutti | Il simbolo citato nella segnalazione di errore non verrà importato; viene mantenuto il simbolo già esistente. Quest´impostazione viene usata automaticamente nel caso in cui si verifichino altri errori dovuti all´uguaglianza di nomi. Tutti i simboli interessati vengono mantenuti.

Nota: Si usa solamente lo ShortName. Il nome file non gioca alcun ruolo nella denominazione del simbolo da importare, e, dunque, non può essere usato per la risoluzione del conflitto.


Livelli di visibilità

Manuale -> Immagini -> Livelli di visibilità

In modo simile a quanto accade nei programmi CAD, si possono definire nell´editor dei livelli di visibilità, che possono essere assegnati poi a singoli elementi. In tal modo è possibile nascondere nel caso di immagini complesse quegli elementi che non sono necessari, che poi, però, possono essere resi di nuovo visibili in qualsiasi momento. Sono a disposizione ben 15 livelli di visibilità. L´attribuzione di un livello viene effettuata nella proprietà Livello di visibilità nel nodoGenerale. L´attivazione o la disattivazione dei singoli livelli avviene facendo uso dei pulsanti della barra simboli Livelli di visibilità:

Simbolo

(da sinistra a destra)

Funzione

Mostra tutti i livelli di visibilità

Visualizza tutti i livelli.

Nascondi tutti i livelli di visibilità

Nasconde tutti i livelli.

Livello di visibilità <Nr>

Mostra o nasconde il livello di visibilità corrispondente.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.

info Informazioni su

I livelli di visibilità valgono solamente per l´Editor e non hanno alcun influsso sul Runtime.

Indicazioni sugli elementi di controllo: gli elementi di controllo vengono visualizzati nel Runtime sempre al primo posto. Ciò vale anche quando essi vengono coperti da altri elementi nell´Editor. In tal modo si vuole garantire che essi siano sempre raggiungibili.


Tipi di immagine

Manuale -> Immagini -> Tipi di immagine

Nella loro configurazione di base, le immagini vengono generate facendo ricorso al tipo Standard. Facendo uso di una lista a cascata, si può procedere alla selezione di speciali tipi di immagine fra quelli disponibili nelle proprietà di un´immagine.

attention Attenzione

Se si cambia un´immagine del tipo standard in un altro tipo speciale, quest´ultimo è connesso in modo fisso all´immagine e non può essere più modificato.

Tipi di immagine speciali

Per far fronte a compiti speciali, zenon offre una serie di tipi di immagine particolari. Dopo aver selezionato uno speciale tipo d´immagine, avete a disposizione nel menù contestuale Elementi di controllo tutti gli elementi possibili per quel tipo specifico di immagine. Il punto di menù Inserisci modello apre un dialogo di selezione che serve ad inserire dei layout predefiniti con determinati elementi di controllo in una posizione definita.

info Informazioni su

I tipi di immagini speciali devono essere creati solamente una volta, anche nel caso in cui vengano utilizzati più volte. Li si può aprire con differenti dati facendo uso dei filtri della funzione di cambio immagine.

Tipi di immagini speciali come immagine di partenza

Ogni tipo di immagine può essere teoricamente utilizzato anche come immagine di partenza.

Attenzione: sono aperti tipi di immagini speciali con filtro vuoto e, dunque, senza dati.

Noch in diesem Kapitel

Tipi di immagine speciali

Funzioni specifiche per tipo immagine

Active Directory Gestione user

Modello di impianti

Faceplate

Immagini filtro

Message Box

HTML

Blocco note

Video


Tipi di immagine speciali

Manuale -> Immagini -> Tipi di immagine -> Tipi di immagine speciali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tipi di immagini speciali in zenon:

Tipo di immagine

Descrizione

Active Directory Gestione user

Consente la gestione nel Runtime degli utenti e dei gruppi utenti Active Directory

Lista di informazioni allarmi

Raccoglie le segnalazioni d'allarme e le visualizza sotto forma di una lista.

Filtro lista informazione allarmi

Filtro per la Lista di informazioni allarmi.

Modello di impianti

Aprire modelli di impianto nel Runtime come immagine.

Post-elaborazione archivio

rappresentazione in forma di tabella e ad editare valori di archivio salvati.

Attenzione: Disponibile solo con licenza per il Server archivi.

Batch

Crea modelli per ricette Master nel modulo Batch Control.

Attenzione: disponibile solo con licenza per il Batch Control.

Comandi

Visualizzazione di comandi.
ATTENZIONE: disponibile solo con licenza per la Energy Edition.

Lista utenti

Lista degli utenti e possibilità di modificarli usando l´immagine del tipo Modifica utente.

Lista gruppi utenti

Lista dei gruppi utenti e possibilità di modificarli usando l´immagine del tipo Modifica utente.

Modifica utente

Creare, modificare e cancellare utenti.

Lista eventi cronologica (CEL)

Raccoglie gli eventi di processo e di sistema desiderati, nonché le impostazioni user e li visualizza sotto forma di lista.

Filtro CEL

Filtro per la Lista eventi cronologica

Trend esteso

Visualizza valori online e di archivio in forma di grafici lineari.

Faceplate

Accetta più immagini di diverso tipo in un´immagine.

Previsione di carico massimo

Immagine per la visualizzazione della Prognosi del carico massimo

Attenzione: disponibile solo con licenza per SICAM 230.

HTML

Permette la visualizzazione di un'immagine in HTML, adattata a Microsoft Internet-Explorer.

Industrial Maintenance Manager

Visualizzazione di informazioni di manutenzione.
ATTENZIONE: Disponibile solo con licenza per Industrial Maintainance Manager.

Nota: non è disponibile sotto Windows CE.

Industrial Performance Analyzer

Analizza gli allarmi al fine di localizzare i punti deboli di un impianto (tempi di interruzione di funzionamento).

Nota: non è disponibile sotto Windows CE.

Tastiera

Genera una tastiera virtuale configurabile a piacimento.

Load Management

Progettazione e visualizzazione del management dell´approvvigionamento di energia (elettricità, gas).

Attenzione: disponibile solo con licenza per Load Management.

Nota: non è disponibile sotto Windows CE.

Login

Finestra configurabile in modo individuale per Login temporaneo o permanente nel Runtime, nonché inserimento di una firma e Login tramite una funzione.

Message Box

Finestra configurabile in modo individuale per visualizzare i messaggi di sistema.

Message Control

Immagine per la gestione del Message Queue nel modulo Message Control.

Blocco note

Visualizza protocolli e file di testo che vengono creati da una richiesta di database, oppure che sono disponibili sotto forma di file di testo.

Production & Facility Scheduler

Gestisce orari e profili.

Attenzione: Disponibile solo con una licenza per il Production & Facility Scheduler (PFS).

Report Generator

Per l'emissione di protocolli, che sono stati realizzati attraverso il modulo generatore di report.

Attenzione: Disponibile solo con licenza per il Generatore di rapporti. Nel caso in cui i rapporti debbano essere solo visualizzati e non modificati, non è necessaria una licenza per il Runtime.

Report Viewer

Serve a visualizzare i report RDL per valori archivio, AML, CEL e online.

Attenzione: disponibile solo con licenza per Reporting.

Manager gruppi di ricette

Gestisce ricette e il loro uso all'interno di gruppi ricette.

Attenzione: Disponibile solo con licenza per il Manager gruppi ricette (RGM).

S7-Graph

Viene utilizzato per processi sequenziali con successione di passi alternativi o paralleli (Sequential Function Chart ). Visualizza nel runtime lo stato momentaneo della gestione del processo direttamente nel PLC.

Ricette standard

Per la gestione di ricette

Sequenze di comando

Creazione di processi, direttamente nel runtime. Da base fungono le azioni di comando configurate nell`Editor.

Attenzione: Disponibile solamente se si dispone di una licenza addizionale. Essa è ottenibile solamente in combinazione con quella della Energy Edition.

Diagnosi variabili

Per la visualizzazione di variabili nel Runtime e il settaggio di valori impostabili.

Nota: non è disponibile sotto Windows CE.

Video

Serve alla visualizzazione di registrazioni d'immagini online e registrazioni video salvate (*.avi).

Nota: non è disponibile sotto Windows CE.

Finestra di controllo

Permette di effettuare lo scorrimento con il mouse di immagini standard che sono più grandi della risoluzione immagine.

Filtro tempo

Permette di effettuare delle impostazioni di filtro generali per delle liste. Nella funzione Cambio immaginesi stabilisce quali liste verranno gestite tramite questo strumento.

Noch in diesem Kapitel

Imposta speciali tipi di immagine

Modelli per immagini standard e tipi di immagini speciali


Imposta speciali tipi di immagine

Manuale -> Immagini -> Tipi di immagine -> Tipi di immagine speciali -> Imposta speciali tipi di immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per impostare uno speciale tipo di immagine, procedete come segue:

  1. create una nuova immagine, oppure selezionatene una del tipo Standard
  2. nelle proprietà, e più precisamente nel nodo Generale in corrispondenza di Tipo di immagine, dovete cliccare sul tipo predefinito Standard

    Alternativo cliccate nella lista dettagliata Immagini sul tipo dell´immagine e selezionate quello che preferite fra quelli esistenti nella lista a cascata

  3. selezionate il tipo di immagine desiderato fra quelli della lista a cascata.
  4. scegliete nel menù Elementi di controllo gli elementi di controllo desiderati
    • Inserisci modello apre un dialogo di selezione che serve ad inserire dei layout predefiniti con determinati elementi di controllo in una posizione definita
    • Gli elementi che sono già presenti nell´immagine, vengono visualizzati in color grigio e non possono essere più selezionati

info Informazioni su

Limite concernente l´inserimento automatico di modelli:

se un elemento statico (per es. un elemento di controllo) si trova già nell´immagine, il sistema non crea né una cornice, né didascalie di cornice quando si inseriscono degli elementi di controllo di un modello.

Raccomandazione: dopo aver impostato uno speciale tipo di immagine, inserite anzitutto gli elementi di controllo del modello e, solo in un secondo momento, altri elementi.


Modelli per immagini standard e tipi di immagini speciali

Manuale -> Immagini -> Tipi di immagine -> Tipi di immagine speciali -> Modelli per immagini standard e tipi di immagini speciali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per speciali tipi di immagine (come immagini standard) si possono usare dei modelli che servono ad inserire e posizionare gli elementi. I modelli possono essere creati direttamente da ogni immagine. Per speciali tipi di immagine, vengono forniti in zenon dei modelli predefiniti.

I modelli vengono salvati in file ZIP compressi, che contengono a loro volta tre altri file:

  • Metadati: file XML con la descrizione del modello (nome, descrizione, grandezza, ecc.).
  • Elementi d´immagine: file XML con gli elementi di un´immagine esportati.
  • Anteprima: file Bitmap con l´anteprima del modello.

Modelli predefiniti

I modelli predefiniti sono a disposizione in diverse risoluzioni, nonché in forma ottimizzata per l´uso con touchscreen. Questi modelli non possono essere né modificati, né cancellati. I modelli predefiniti di COPA-DATA vengono salvati nella cartella di programma di zenon alla voce: \Templates\ScreenTypes\[SPRACHE]\[Nome per il tipo di immagine]\[Nome file].zip.

Esempio: il modello per AML in tedesco lo trovate sotto %Program Files (x86)%\COPA-DATA\zenon 9.0\Templates\ScreenTypes\GERMAN\Alarm Message list\

Nota: nell´Editor vengono caricati solamente modelli per le lingue impostate attualmente.

I modelli definiti dagli utenti

Gli utenti possono creare e salvare dei modelli individuali per ogni tipo di immagine. Questi modelli potranno essere in seguito modificati e cancellati.

I modelli definiti dagli utenti vengono salvati nella cartella di dati di zenon alla voce: Templates\ScreenTypes\<Nomer del tipo immagine>\<Nome file>.zip.
Per esempio: %ProgramData%\COPA-DATA\zenon700\Templates\ScreenTypes\Alarm Message List\3e9afbcf-f93d-46d9-a199-e00effe4811c.zip.

Nota: il percorso dipende dal fatto se esso è stato registrato al momento dell´installazione, oppure usando lo Startup Tool. Altrimenti il sistema userà la cartella del programma attuale come cartella di dati.

Noch in diesem Kapitel

Usare modelli

Crea modelli


Usare modelli

Manuale -> Immagini -> Tipi di immagine -> Tipi di immagine speciali -> Modelli per immagini standard e tipi di immagini speciali -> Usare modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare un modello per un´immagine:

  1. Aprite anzitutto l´immagine.
  2. Scegliete nel menu Elementi di controllo il comando Seleziona modello
  3. Si apre il dialogo con i modelli predefiniti e quelli definiti dagli utenti

    Indicazione: per le immagini del tipo Standard sono a disposizione solamente modelli definiti dagli utenti

  4. Selezionate il modello desiderato.
  5. Cliccate su Applica.
  6. Gli elementi definiti nel modello vengono inseriti nella posizione predefinita

Parametri | Descrizione
Campo liste Modelli (a sinistra) | Mostra tutti i modelli, sia quelli predefiniti che quelli definiti dall´utente.
Anteprima di modelli (in altro a destra) | Anteprima dell´immagine al momento in cui si riprende il modello selezionato.
Descrizione del modello (in basso a sinistra) | Descrizione del modello.
Elimina elementi d'immagine esistenti | Attivo: degli elementi già esistenti nell´immagine vengono cancellati quando si riprende il modello.
Acquisisci | Inserisce l´elemento del modello selezionato nell´immagine e chiude il dialogo.
Elimina | Chiude il dialogo senza aggiungere elementi.
Guida | Attiva la guida online


Crea modelli

Manuale -> Immagini -> Tipi di immagine -> Tipi di immagine speciali -> Modelli per immagini standard e tipi di immagini speciali -> Crea modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per i modelli definiti dagli utenti, si possono creare, cancellare, rinominare e spostare cartelle e modelli. I modelli predefiniti e forniti con il software non possono essere né modificati, né cancellati.

Crea cartelle o modelli

Per creare una cartella, selezionate:

  • il pulsante Nuova cartella nel dialogo
  • oppure il comando Nuova cartella nel menù contestuale
  • oppure usate il tasto Ins.

Per creare un modello:

  1. evidenziate nella lista dettagliata l´immagine desiderata
  2. selezionate nel menù contestuale oppure nella barra dei simboli il comando Crea modello per tipo di immagine
  3. si apre il dialogo che serve a creare dei modelli propri
  4. selezionate una cartella esistente, oppure createne una nuova
  5. assegnate un nome a questo nuovo modello.
  6. se volete, potete aggiungere una descrizione
  7. confermate la selezione cliccando su OK
  8. il modello viene inserito nella cartella evidenziata

Parametri | Descrizione
Campo liste Modelli (a sinistra) | Mostra tutti i modelli, sia quelli predefiniti che quelli definiti dall´utente. Consente di cancellare o rinominare cartelle e modelli usando il menu contestuale, oppure di aggiungere altre cartelle.
Anteprima di modelli (in altro a destra) | Anteprima dell´immagine al momento in cui si riprende il modello selezionato.
Descrizione del modello (in basso a sinistra) | Descrizione del modello.
Nuova cartella | Crea una nuova cartella. Si possono impostare diversi livelli.
Rinomina | Apre il campo con il nome per consentirne la modifica. Si può aprire il dialogo anche usando il tasto F2, oppure con due clic separati da un breve intervallo.
Elimina | Cancella dopo una richiesta di conferma da parte del sistema la cartella selezionata con tutte le sottocartelle.
Ok | Crea modello e chiude il dialogo.
annulla | Chiude il dialogo senza creare un modello.
Guida | Attiva la guida online

Elimina cartella

Per cancellare una cartella o un modello:

  1. evidenziate la cartella o i modello
  2. selezionate
    1. il pulsante Cancella nel dialogo
    2. oppure il comando Cancella nel menu contestuale
    3. oppure premete il tasto Canc.

La cartella o il modello verranno cancellati dopo una richiesta di conferma da parte del sistema. Nel caso delle cartelle, verranno cancellate anche le eventuali sottocartelle.

Rinomina cartelle o modelli

Per rinominare una cartella o un modello:

  • selezionate nel menù contestuale il comando Rinomina
  • oppure usate il pulsante Rinomina.
  • oppure selezionate l´elemento e aprite con il tasto F2 o con due clic a breve distanza l´uno dall´altro la descrizione per potere poi modificarla
  • oppure modificate nel caso dei modelli il testo nel campo Nome

Sposta cartelle o modelli

Le cartelle e i modelli possono essere spostati in altre cartelle per Drag & Drop usando il mouse.

Noch in diesem Kapitel

Menù contestuale Modello per crea tipo di immagine


Menù contestuale Modello per crea tipo di immagine

Manuale -> Immagini -> Tipi di immagine -> Tipi di immagine speciali -> Modelli per immagini standard e tipi di immagini speciali -> Crea modelli -> Menù contestuale Modello per crea tipo di immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Menù contestuale Modello per crea tipo di immagine

Nel dialogo che serve a creare dei nuovi modelli, sono contenuti anche dei menò contestuali.

Menù contestuale per cartella

Parametri | Descrizione
Nuova cartella | Crea una nuova cartella al di sotto del livello evidenziato.
Elimina | Cancella la cartella selezionata dopo che il sistema ha posto una domanda di conferma.
Rinomina | Apre la denominazione della cartella per consentire di rinominarla.
Guida | Attiva la guida online

Menù contestuale per modelli

Parametri | Descrizione
Elimina | Cancella il modello selezionato dopo che il sistema ha posto una domanda di conferma.
Rinomina | Apre la denominazione del modello per consentire di rinominarlo.
Guida | Attiva la guida online


Funzioni specifiche per tipo immagine

Manuale -> Immagini -> Tipi di immagine -> Funzioni specifiche per tipo immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si crea in un´immagine di un tipo speciale un elemento dinamico del tipo pulsante, è a disposizione l´ulteriore proprietà Operazione specifica per il tipo di immagine (nodo Variabile / funzione). Con questa proprietà potete collegare funzioni speciali dipendenti dal tipo di immagine ad un pulsante.

Quando delle funzioni specifiche per immagini non sono valide (per es. perché si è copiato un pulsante in´immagine di un altro tipo), il sistema provvederà a mettere in evidenza il collegamento non valido che potrà essere poi sostituito. Le funzioni non valide vengono rimosse in fase di compilazione.

attention Attenzione

Oltre ad una funzione specifica per un tipo di immagine, si può collegare al pulsante anche una funzione generale. Inoltre, possono essere eseguiti nel Runtime eventi VBA (come LeftClickDown).

In questo caso, tenete presente la successione di esecuzione al momento di premere il pulsante.

  1. Eventi VBA
  2. Tipo d´immagine - Funzione specifica
  3. Funzione generale

Una funzione viene eseguita solo dopo che l´evento precedente è concluso.

Finestra di dialogo - Elemento-Inserimento

Parametri | Descrizione
Lista delle funzioni | Lista di tutte le funzioni specifiche disponibili per il tipo di immagine. Le funzioni non disponibili per questo pulsante, vengono visualizzate di color grigio. Quando si clicca su di un inserimento, quest´ultimo viene selezionato per il collegamento.
Ok | Accetta le impostazioni e chiude il dialogo.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Active Directory Gestione user

Manuale -> Immagini -> Tipi di immagine -> Active Directory Gestione user

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tramite un´immagine del tipoActive Directory Gestione user potete accedere nel Runtime all´Active Directory di Windows. Potete creare, cancellare e modificare unità di organizzazione, utenti e gruppi utenti, nonché assegnare loro diritti in zenon.

info Informazioni su

Active Directory e AD LDS, nonché ADAM (per Windows XP) non sono a disposizione sotto Windows CE.

Dominio nel Runtime

Nel Runtime si usa il dominio dell´utente che ha avviato il Runtime per l´Active Directory Login. Possono effettuare il Login solo quegli utenti che appartengono a questo dominio.

Diritti utente

attention Attenzione

I diritti che vengono assegnati in zenon valgono per il progetto corrispondente, oppure per l´area di lavoro. I diritti, invece, che vengono assegnati in Active Directory valgono globalmente.

Se, dunque, si assegnano dei diritti a utenti o gruppi utenti di Active Directory, essi valgono per questi user in tutti i progetti di zenon!

Immagine del tipo Active Directory Creare Gestione user

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Gestione utenti Active Directory.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Immagine del tipo Active Directory Gestione user

Parametri | Descrizione
Inserisci modello | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Login | Elementi di controllo per il login in Active Directory.
Nome dominio | Inserimento e visualizzazione del nome dominio.
Nome utente | Inserimento e visualizzazione del nome utente AD.
Password | Inserimento della password.
Login | Con un click del mouse si registra un utente in AD.
Logout | Con un click del mouse si disattiva un utente.
Finestra Active Directory | Gli elementi di controllo per la visualizzazione e la gestione di Active Directory. Contiene la Visualizzazione dettagli Active Directory: Finestra nella quale viene visualizzata la struttura di Active Directory.
Crea nuova unità organizzativa (Tree) | Apre la finestra di dialogo per impostare nella struttura ad albero una nuova unità di organizzazione.
Elimina unità organizzativa (Tree) | Cancella l´unità di organizzazione selezionata nella struttura ad albero dopo una richiesta di conferma.
Su di un livello | Passa all´interno della struttura al livello superiore.
Crea nuova unità organizzativa | Imposta al di sotto dell´elemento selezionato nella struttura ad albero una nuova unità di organizzazione. Viene aperta la corrispondente finestra di dialogo.
Nuovo utente | Apre la finestra di dialogo che serve a creare un nuovo utente.
Definisci nuovo gruppo utenti | Apre la finestra di dialogo che serve a creare un nuovo gruppo utenti.
Modifica oggetto | Apre la finestra di dialogo che serve a modificare l´oggetto selezionato.
Elimina oggetto | Cancella l´oggetto selezionato.

I dettagli sull´uso inzenon e sulla configurazione di Active Directory li trovate nella guida relativa alla Gestione user, nei capitoli:

  • Active Directory Gestione user con il Runtime di zenon
  • Gestione user con Microsoft Active Directory

attention Attenzione

I diritti che vengono assegnati in zenon valgono per il progetto corrispondente, oppure per l´area di lavoro. I diritti, invece, che vengono assegnati in Active Directory valgono globalmente.

Se, dunque, si assegnano dei diritti a utenti o gruppi utenti di Active Directory, essi valgono per questi user in tutti i progetti di zenon!


Modello di impianti

Manuale -> Immagini -> Tipi di immagine -> Modello di impianti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con un´immagine del tipo modello di impianto, potete fare nel Runtime quanto segue:

  • effettuare un´operazione di filtro in altre immagini aperte alla ricerca di determinati gruppi di impianti
  • eseguire automaticamente una dopo l´altra tutte le funzioni collegate con un determinato gruppo di impianti

Il filtraggio sulla base di un gruppo di impianti interessa sempre immagini che sono già aperte. Se delle immagini vengono aperte o caricate di nuovo, essa verranno visualizzate senza il filtro dell´immagine modello di impianto.

info Informazioni su

Sono a vostra disposizione modelli di impianto di progetti globali e locali. Nel caso sussistano conflitti di nomenclatura, il sistema accorda la precedenza ai progetti di impianto locali.

Suggerimento: fate attenzione in fase di progettazione di modelli di impianto ad attribuire nomi univoci. Assegnate, ad esempio, a modelli di impianto globali un prefisso o suffisso corrispondente. In tal modo eviterete che i modelli di impianto abbiano lo stesso nome a livello globale e locale. E potete facilmente risalire all´origine dei modelli di impianto visualizzati nelle liste di selezione.

I dettagli concernenti la progettazione e l´uso di immagini del tipo modello di impianto, li trovate nella guida relativa a definizione di impianto, nel capitolo Immagine del tipo modello di impianto e Filtro durante il runtime.


Faceplate

Manuale -> Immagini -> Tipi di immagine -> Faceplate

Il termine Faceplate contraddistingue un´immagine di zenon che, tramite container immagini, può accettare più immagini collegate di diverso tipo, e le può visualizzare contemporaneamente nel Runtime. Con Faceplate si può fare, per esempio, quanto segue:

  • visualizzare più immagini parallelamente in un´immagine
  • applicare più filtri tempo parallelamente allo stesso tipo di immagine
  • applicare i dati di un´immagine mediante un filtro ad un´altra immagine

Tipi d´immagine consentiti per Faceplates

In Faceplates possono essere collegati i seguenti tipo di immagine:

  • AML
  • filtro-AML
  • Modello di impianti
  • CEL
  • filtro-CEL
  • Trend esteso
  • HTML
  • Generatore Report
  • Report Viewer
  • Standard
  • Filtro tempo:

Faceplates nella visualizzazione dettagli

Le sub-immagini collegate in Faceplates vengono visualizzate nella visualizzazione dettagli come gruppo al di sotto dell´immagine Faceplate.

Può essere effettuata un´operazione di filtro concernente le sub-immagini nella colonna Nome. Vengono visualizzati tutte le sub-immagini corrispondenti al filtro e i relativi Faceplate. Le sub-immagini possono essere copiate, ma non modificate.

Noch in diesem Kapitel

Crea un'immagine del tipo Faceplate

Sostituisci collegamenti

Configura cambio immagine

Usa Faceplate nel Runtime


Crea un'immagine del tipo Faceplate

Manuale -> Immagini -> Tipi di immagine -> Faceplate -> Crea un'immagine del tipo Faceplate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un´immagine del tipo Faceplate consiste di container immagini e i pulsanti opzionali Filtro e Filtro editabile.

Container immagini:

i container immagini mostrano il nome del container e nome e tipo dell´immagine collegata. Nel caso delle immagini già collegate, queste informazioni vengono evidenziate mediante un colore di sfondo definito automaticamente. In tal modo, queste informazioni coprono sempre nell´Editor contenuti dell´immagine collegata che sono collocati nella stessa posizione.

La grandezza del container può essere adattata a quella dell´immagine collegata. A tal scopo passate alla proprietà Dimensione dall'immagine collegata nel gruppo Posizione. Quando si clicca sul pulsante ..., il sistema riprender la grandezza dell´immagine collegata per il container.

Tipo d'immagine Faceplate

Elementi di controllo

Descrizione

Inserisci modello

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Container immagini

Elemento che viene collegata ad un´immagine esistete e visualizza nel Runtime il contenuto dell´immagine collegata.

In un´immagine del tipo Faceplate possono essere usati più container d´immagine.

Se è stata attivata l´opzione Cornice per gli elementi dinamici (Opzioni-> Impostazioni), un simbolo viene visualizzato nell´angolo in alto a destra del container. Esso indica che il contenuto è collegato.

Il contenitore contiene informazioni concernenti l´immagine collegata.

Filtro

Apre nel Runtime una finestra con i filtri configurati nell´Editor. Possono essere editati solamente quei filtri che sono stati abilitati alla modifica.

Filtro editabile

Apre nel Runtime una finestra contenente i filtri configurati nell´Editor e consente la modifica di tutti i filtri - indipendentemente dalle Impostazioni dell´Editor.

Crea un'immagine del tipo Faceplate

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Faceplate.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Indicazioni concernenti la progettazione

Per collegare un´immagine ad un container, avete le seguenti possibilità.

  • Drag & Drop:
    Trascinate un´immagine per Drag&Drop nel container. Quando si posiziona il mouse sopra la destinazione, il sistema mostra tramite simboli se l´immagine può essere collegata.
    Nota: se si trascinano più immagini contemporaneamente per Drag&Drop in un contenitore, viene collegata l´immagine che è stata selezionata per prima.
  • Selezione tramite proprietà:
    Selezionate un´immagine tramite la proprietà "Immagine" del gruppo Rappresentazione. Il sistema offre solamente tipi di immagine consentiti per effettuare il collegamento.
  • Finestra di dialogo in container:
    Cliccate due volte sul container vuoto per aprire la finestra di dialogo che serve alla selezione di un´immagine. Il sistema offre solamente tipi di immagine consentiti per effettuare il collegamento.
    Nota: quando cliccate due volte su un container già pieno, si apre l´immagine collegata.

Consigli:

  • con un doppio clic sul container immagini si apre:
    • se il container è vuoto: la finestra di dialogo che serve a collegare un´immagine
    • se il container è già configurato: l´immagine collegata in una nuova scheda.
  • Tramite la proprietà Visualizza anteprima in editor si può attivare/disattivare la visualizzazione dell´immagine collegata nel container. Nel caso in cui il sistema abbia problemi di performance, si consiglia di disattivare la visualizzazione.

info Informazioni su

Assegnano i nomi per la proprietà Nome elemento, fate attenzione a scegliere delle denominazioni univoche. Così assicurate che. impostando un cambio immagine, la selezione sia sicura.

Crea container immagini manualmente

Per creare container immagini manualmente:

  1. Aprite il menù Elementi di controllo.
  2. Selezionate Container immagini.
  3. Trascinate con il mouse il container immagini nell´immagine.

    Si apre il dialogo per selezionare un´immagine.

  4. Selezionate l´immagine desiderata fra quelle della lista e confermate la selezione cliccando su OK.
  5. Assegnate un nome univoco al container immagini.

Ripetete questi passi per tutti i container immagini desiderati.

info Informazioni su

Nell´Editor si possono creare solamente Faceplates con tipi di immagine consentiti. Per il tipo di immagine standard, tuttavia, si può creare in un secondo momento anche un tipo di immagine proibito. Se sono stati selezionati nell´Editor questi tipi di immagine, il sistema provvederà a sciogliere il collegamento. Nel Runtime verrà visualizzato un container vuoto.


Sostituisci collegamenti

Manuale -> Immagini -> Tipi di immagine -> Faceplate -> Sostituisci collegamenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le funzioni, variabili, variabili di interblocco e ALC-Aliase collegate in container possono essere sostituite automaticamente.

Per sostituire collegamenti:

  1. Navigate nelle proprietà del container fino a giungere al gruppo Regola di sostituzione
  2. configurate le sostituzioni che volete effettuare direttamente, oppure utilizzate la finestra di dialogo.
  3. Cliccando sul pulsante ... nella proprietà Anteprima si aprirà la finestra di dialogo per la configurazione e l´anteprima delle sostituzioni.

Mediante il meccanismo della selezione multipla si possono effettuare sostituzioni per più container contemporaneamente. In questo caso le regole devono essere definite tramite le proprietà. La finestra di dialogo con l´anteprima, però, non sarà a disposizione.

Regola di sostituzione

Proprietà | Descrizione
Regola di sostituzione | Configurazione di quali sequenze caratteri vengono sostituite e come.
Sorgente | Inserimento della sequenze caratteri da cercare. Wildcard consentite: * e ? Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oppure xxx*.
Sostituito con | Inserimento della sequenze caratteri che deve essere usata
Nome | Scambia informazione nel nome delle variabili
Identificazione | cambio dell’ informazione nell’ identificazione.
Rispetta minuscolo/maiuscolo | tiene presente nell´effettuare il cambio della corrispondenza di scrittura maiuscola e minuscola.
Nomi gerarchici | Consenti nomi composti Non è disponibile per ALC Aliase e Faceplate Container. Essi vengono sempre usati senza prefisso di simbolo.

Anteprima

Proprietà | Descrizione
Anteprima | Visualizzazione degli elementi selezionati e sostituiti.
Ok | Accetta le impostazioni e chiude il dialogo.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Altri dettagli concernenti la sostituzione automatica di variabili e funzioni li trovate nel capitolo Sostituisci collegamenti di variabili e funzioni .

Suggerimento: fate attenzione che le variabili vengano nominate fin dall´inizio in modo univoco e sensato..

La regola di collegamento definita viene applicata ai seguenti oggetti, sempre che essi siano presenti nell´immagine:

  • Funzioni
  • Variabili
  • Variabili di blocco
  • ALC-Alias

Procedura

In passaggi ad un´immagine del tipo Faceplate vengono visualizzati nella lista di anteprima del cambio immagine gli oggetti da sostituire sulla base delle regole configurata nel container immagini. Anche l´anteprima del container immagini mostra già gli oggetti sostituiti. Diversi container immagini possono usare la stessa immagine, ma definire delle diverse regole di collegamento.

Nel Runtime si applica all´immagine collegata in primo luogo la regola di sostituzione configurata a livello di container immagine Poi, se lo si è previsto in fase di configurazione, viene usata la regola di collegamento della funzione di cambio immagine.

Se una regola di sostituzione non può essere risolta durante il Runtime, il sistema crea un inserimento LOG.


Configura cambio immagine

Manuale -> Immagini -> Tipi di immagine -> Faceplate -> Configura cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una funzione per l´apertura di un´immagine del tipo Faceplate procedete come segue:

  1. Scegliete Nuova funzione.
  2. Selezionate Cambio immagine.
  3. Selezionate l´immagine del tipo Faceplate oppure una sub-immagine collegata in Faceplate.

    Si apre la finestra di dialogo per configurare e collegare i filtri.

  4. Configurate i filtri desiderati.
    Suggerimento: Potete configurare più filtri dello stesso tipo.
  5. Collegate container immagini con i filtri.
    Nota: si possono collegare solamente quei filtri che vengono supportati dal tipo di immagine nel container.
    Si possono applicare a sub-immagini filtri del tipo AML, CEL, tempo e modello di impianto.
  6. Confermate la configurazione cliccando sul pulsante OK

Dialogo filtro

Parametri

Descrizione

Filtro

Scheda per la configurazione dei filtri per container immagini in Faceplate.

Sostituisci collegamenti

Scheda in cui possono essere sostituite variabili collegate.

Sostituisci indici

Scheda in cui possono essere sostituiti indici.

Lista filtri

Lista di tutti i filtri impostati. Questi filtri possono essere assegnati a singoli container immagini.

La lista è in ordine alfabetico. Gli inserimenti in ogni gruppo possono essere ordinati cliccando sul titolo di colonna; l´ordinamento avviene per denominazione oppure Parametri filtro.

Checkbox

Attivo: Se si è attivata per la finestra di dialogo l´opzione Proponi questo dialogo a Runtime, questo filtro è a disposizione per la configurazione nel Runtime.

Inattivo: questo filtro non può essere modificato nel Runtime.

Default: attivo

Nuovo

Apre la Finestra di dialogo per la selezione di un tipo di filtro e crea un nuovo filtro corrispondente alla selezione nella lista.

Combinazione tasti: Tasto Ins

Modifica

Apre una finestra di configurazione dipendente dal tipo di filtro.
La finestra di dialogo può essere aperta anche con un doppio clic sul filtro nella lista.

Duplica

Copia il filtro selezionato e lo aggiunge con un nuovo nome nel gruppo dei filtri corrispondenti.

Rimuovi

Rimuove dalla lista il filtro scelto temporaneamente.

Combinazione tasti: tasto Canc.

Container immagini

Assegnazione di filtri a container immagini.

Lista filtri

Lista di tutti i container immagini esistenti e dei filtri ad essi rispettivamente assegnati.

I nomi dei container si compongono di: denominazioni per il container più nome dell´immagine più tipo di immagine.

Al di sotto del nome container vengono visualizzati i filtri già collegati. Ogni inserimento container dispone di un pulsante Collega filtro. Cliccate sul pulsante Collega filtro per aprire il dialogo che serve alla selezione di un filtro.

Collega filtro

Cliccando su questa opzione si apre la finestra di dialogo che serve alla selezione di un filtro il quale deve essere collegato al container. Vengono visualizzati solamente quei filtri che possono essere collegati con il container selezionato.

È possibile selezionare più filtri per container, ma non più filtri dello stesso tipo. I tipi di filtro che sono stati già collegati al container in questione, non saranno fra quelli offerti dal sistema per la selezione.

Questo pulsante viene visualizzato per ogni container di immagini alla fine della sua lista filtri.

Modifica

Apre una finestra di configurazione dipendente dal tipo di filtro.
La finestra di dialogo può essere aperta anche con un doppio clic sul filtro nella lista.

Rimuovi

Elimina il collegamento con il contenitore immagine del filtro scelto temporaneamente.

Combinazione tasti: tasto Canc.

Visualizza questa finestra di dialogo a Runtime

Attivo: Nel Runtime viene aperta questa finestra di dialogo prima dell´esecuzione della funzione.

Nel Runtime vengono offerti solamente quei filtri le cui checkbox sono state attivate nell´Editor ed i cui tipi di immagine sono adeguati; solo ad essi si potranno apportare delle modifiche. Tutti gli altri verranno visualizzati, ma non potranno essere modificati.

Nota: si può saltare questa impostazione nel Runtime nell´immagine con il pulsante Filtro editabile.

Ok

Accetta le impostazioni e chiude il dialogo.

Elimina

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

Tipi di immagine supportati per "Visualizza questa finestra di dialogo a Runtime"

Se l´opzione Visualizza questa finestra di dialogo a Runtime viene attivata, la finestra di dialogo che serve a modificare i filtri viene offerta nel Runtime prima dell´esecuzione del cambio immagine. Non tutti i tipi di immagine, però, supportano completamente questo meccanismo:

Lista dei tipi di immagine e filtri:

Legenda:

  • X: disponibile
  • 1/2/3: con limitazioni; vedi note.
  • --: non disponibile
Tipo di immagine | Filtro | Modificabile in RT
Lista di informazione allarmi | Lista informazione d'allarme (generale) | X
 | Lista informazione d'allarme (Impostazione colonne) | X
 | Modello di impianti | X
 | Lotto | 1
 | Progetto | X
 | Stato | X
 | Testo | X
 | Tempo | 2
Filtro lista informazione allarmi | Filtro lista informazione d'allarme (generale) | X
 | Lotto | 1
 | Lista lotti (Impostazioni colonne) | X
 | Testo | X
 | Immagini collegate | --
 | Tempo | 2
Modello di impianti | Modello di impianto (generale) | --
Lista Eventi Cronologica (CEL) | Modello di impianti | X
 | Lotto | 1
 | Lista cronologica eventi (generale) | X
 | Lista eventi cronologica (Impostazioni colonne) | X
 | Progetto | X
 | Stato | X
 | Testo | X
 | Tempo | 2
Filtro CEL | Lotto | 1
 | Lista lotti (Impostazioni colonne) | X
 | Filtro lista eventi cronologica (generale) | X
 | Testo | X
 | Immagini collegate | --
 | Tempo | 2
Trend esteso | Lotto | 1
 | Trend esteso (generale) | 3
 | Trend esteso (Impostazioni di stampa) | X
 | Trend esteso (Impostazioni di colonne) | X
 | Tempo | 2
HTML | HTML (generale) | X
Generatore Report | Generatore Report (File) | X
 | Generatore Report (Parametro) | X
 | Lotto | 1
 | Tempo | 2
Report Viewer | Report Viewer (Definizione report) | --
Standard |  | --
Filtro tempo: | Lotto | 1
 | Lista lotti (Impostazioni colonne) | X
 | Immagini collegate | --
 | Tempo | 2

Note:

  • 1 - lots: solo Nessun filtro lotto, o Applica direttamente filtro lotto.
    No Nome/Archivio da variabile.
  • 2 - Tempo: Periodo assoluto/relativo solo con Preset.
    No intervallo di tempo.
  • 3 - Trend esteso (generale): stesse limitazioni come nel caso di cambio immagine Trend esteso; per es., nessun cambio della sorgente dati, del tipo di diagramma, ecc.

Noch in diesem Kapitel

Imposta nuovo filtro

Collega filtro

Accetta filtri con cambio ad altri tipi di immagine

Sostituisci collegamenti e indizi


Imposta nuovo filtro

Manuale -> Immagini -> Tipi di immagine -> Faceplate -> Configura cambio immagine -> Imposta nuovo filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I filtri per container immagini vengono creati e amministrati nell´area in alto della scheda Filtro.

Per creare un filtro:

  1. cliccate sul pulsante Nuovo
  2. Si apre la finestra di dialogo per selezionare un tipo di filtro.

  3. Vengono mostrati:
    • Filtri generali
    • Filtri specifici per il tipo di immagine
  4. Selezionate il filtro desiderato:
    Potete selezionare più filtri contemporaneamente:
    • Tasto Ctrl+clic del mouse: seleziona tutti i filtri su cui si clicca
    • Clic del mouse -> Tasto Shift+clic del mouse: seleziona tutti i filtri fra il primo e il secondo clic.
    • Clic su denominazione filtro: seleziona tutti i filtri di questo gruppo
    • Tasto Ctrl+A: seleziona tutti i filtri
    • Tasto Ctrl+D: deseleziona tutti i filtri
    • Taste Shift+[Lettera]: seleziona il prossimo filtro con la corrispondente lettera iniziale.

    Se si seleziona solamente un filtro, cliccando su OK si aprirà il corrispondente dialogo di configurazione.
    Se si selezionano più filtri, non verrà aperta nessuna finestra di dialogo. Ogni filtro selezionato dovrà essere configurato manualmente dopo essere stato creato.

  5. Configurate il filtro.
  6. Terminate la configurazione cliccando su OK.

Tipi di filtro

Per Faceplates, sono disponibili diversi tipi di filtro. In fase di configurazione, vengono offerti sempre solamente quei filtri che sono adatti ai tipi di immagine presenti in Faceplate Se, ad esempio, nessuno dei tipi di immagine collegati usa lotti, il filtro lotti non verrà offerto.

Filtro

Descrizione

Filtri generali

Filtri che sono a disposizione indipendentemente dai tipi di immagine configurati.

Tempo

Configurazione del filtro tempo.

Testo

Limitazione della visualizzazione a segnalazioni che contengono determinati criteri di ricerca.

Lotto

Configurazione di un filtro lotti.

Disponibile se in Faceplate è collegata un´immagine del tipo AML, CEL, Trend esteso oppure Generatore di rapporti.

Stato

Configurazione dello Stato sulla base del quale si deve effettuare l´operazione di filtro.

Modello di impianti

Configurazione di un filtro su base Gruppo di impianti dal progetto globale o da quello locale.

Progetto

Selezione dei progetti di un progetto di integrazione sulla base dei quali deve essere effettuata l´operazione di filtro.

Nota: di norma disponibile solamente se sono stati creati più progetti in un progetto di integrazione. quando si effettua la configurazione filtro per faceplates, il sistema offre il filtro progetto anche per progetti Standalone.

Filtri specifici per il tipo di immagine

Filtri che vengono offerti dal sistema in dipendenza dai tipi d´immagine configurati.

Lista di informazione allarmi (generale)

Configurazione di quali sono gli allarmi ad essere visualizzati.

Lista di informazione allarmi (impostazioni di colonna)

Configurazione di quali sono le colonne della AML a venire visualizzate, in quale successione e ordine.

Modello di impianto (generale)

Configurazione dei filtri per un´immagine del tipo modello di impianto.

Lista Eventi Cronologica (generale)

Configurazione di quali sono gli eventi ad essere visualizzati.

Lista Eventi Cronologica (impostazioni di colonna)

Configurazione di quali sono le colonne della CEL a venire visualizzate, in quale successione e ordine.

Trend esteso (generale)

Configurazione delle seguenti impostazioni per il trend esteso:

  • Dati
  • Rappresentazione
  • Asse X

Trend esteso (impostazioni stampante)

Configurazione delle impostazioni stampante per il Trend esteso.

Trend esteso (impostazioni di colonna)

Configurazione delle impostazioni di colonna per il Trend esteso.

HTML (generale)

Configurazione dei filtri per un´immagine del tipo HTML.

Generatore Report (File)

Configurazione del File di report da aprire del generatore Report.

Generatore Report (parametri)

Configurazione dei parametri da usare per il generatore Report.

Report Viewer (Definizione report)

Configurazione delle Definizioni report da usare per il generatore Report.

Immagini collegate

Configurazione delle immagini collegate per filtro tempo, Lista di informazione allarmi e Lista Eventi Cronologica.


Collega filtro

Manuale -> Immagini -> Tipi di immagine -> Faceplate -> Configura cambio immagine -> Collega filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I filtri per container immagini vengono creati e amministrati nell´area in basso della scheda Filtro.

Per collegare un container immagini con un filtro:

  1. cliccate all´interno della finestra container immagini sul pulsante Collega filtro
  2. si apre la finestra di dialogo per collegare un filtro

  3. selezionate il o i filtri desiderati
  4. confermate il collegamento cliccando sul pulsante OK

Selezione filtri per collegamento

Ad ogni container immagini si possono collegare più filtri. Tuttavia, se ne può collegare solamente uno per tipo di filtro. I tipi di filtro che sono stati già collegati al container in questione, non saranno fra quelli offerti dal sistema per la selezione.

La lista è in ordine alfabetico. Gli inserimenti in ogni gruppo possono essere ordinati cliccando sul titolo di colonna; l´ordinamento avviene per denominazione oppure Parametri filtro.

Si possono selezionare contemporaneamente diversi filtri.

  • Tasto Ctrl+clic del mouse: seleziona tutti i filtri su cui si clicca
  • Clic del mouse -> Tasto Shift+clic del mouse: seleziona tutti i filtri fra il primo e il secondo clic.
  • Clic su denominazione filtro: seleziona tutti i filtri di questo gruppo
  • Tasto Ctrl+A: seleziona tutti i filtri
  • Tasto Ctrl+D: deseleziona tutti i filtri
  • Taste Shift+[Lettera]: seleziona il prossimo filtro con la corrispondente lettera iniziale.


Accetta filtri con cambio ad altri tipi di immagine

Manuale -> Immagini -> Tipi di immagine -> Faceplate -> Configura cambio immagine -> Accetta filtri con cambio ad altri tipi di immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si verifica il cambio a determinati tipi di immagine, immagini del tipo Faceplate oppure sub-immagini di un Faceplate possono essere selezionati come immagine richiamante o immagine da aggiornare. Se si seleziona l´immagine del tipo Faceplate come quella da aggiornare, viene usato il filtro per tutte le sub-immagini corrispondenti.

Tipi di immagine che consentono - nel caso di cambio immagine - di definire Faceplate e sub-immagini come sorgente/destinazione:

  • filtro-AML
  • Modello di impianti
  • filtro-CEL
  • Filtro tempo

Container immagini supportati in Faceplate, che viene scelto come immagine da aggiornare:

  • AML
  • filtro-AML
  • Modello di impianti
  • CEL
  • filtro-CEL
  • Trend esteso
  • Filtro tempo


Sostituisci collegamenti e indizi

Manuale -> Immagini -> Tipi di immagine -> Faceplate -> Configura cambio immagine -> Sostituisci collegamenti e indizi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda vengono elencate in una lista tutte le variabili e funzioni delle immagini collegate. Esse possono essere sostituite automaticamente, come anche nel caso di altri cambi immagini.

Vedi i dettagli:

  • Sostituisci collegamenti di variabili e funzioni
  • Sostituisci collegamenti al momento del cambio immagine
  • Sostituisci indici

Particolarità nella sostituzione nell´immagine del tipo Faceplate

Le impostazioni per la sostituzione di variabili e funzioni vengono usate in un´immagine del tipo Faceplate non solo per lo stesso Faceplate, ma anche per tutte le immagini embedded. Quelle sostituzioni che, usando le proprietà del gruppo Regola di sostituzione, sono già state configurate a livello di container, vengono visualizzate nella scheda Sostituisci collegamenti. Nel Runtime si applica all´immagine collegata in primo luogo la regola di sostituzione configurata a livello di container immagine Poi, se lo si è previsto in fase di configurazione, viene usata la regola di collegamento della funzione di cambio immagine.

Esempio:

Situazione di partenza:

  • l´immagine Faceplate contiene una variabile Test1 e un´immagine CEL.
  • Anche l´immagine CEL contiene una variabile Test1.
  • Al verificarsi del cambio immagine, la variabile Test1 viene sostituita da Test2.

Risultato:

  • l´immagine Faceplate viene aperta e mostra al posto della variabile Test1 quella Test2.
  • L´immagine del tipo CEL viene visualizzata come embedded.
  • Anche nell´immagine CEL, la variabile Test1 viene sostituita da Test2.


Usa Faceplate nel Runtime

Manuale -> Immagini -> Tipi di immagine -> Faceplate -> Usa Faceplate nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Runtime, nei posti in cui sono piazzati container immagini, vengono visualizzate anche le immagini che sono collegate ad essi. Queste ultime riprendono la dimensione del loro container e possono essere gestite come tutte le altre immagini aperte.

Nella seguente immagine Faceplate vengono visualizzati due container con diverse immagini.

info Informazioni su

Nell´Editor si possono creare solamente Faceplates con tipi di immagine consentiti. Per il tipo di immagine standard, tuttavia, si può creare in un secondo momento anche un tipo di immagine proibito. Se sono stati selezionati nell´Editor questi tipi di immagine, il sistema provvederà a sciogliere il collegamento. Nel Runtime verrà visualizzato un container vuoto.

Modifiche a modelli e immagini

Le immagini nei container vengono adattate a cornice e modelli.

L´immagine da visualizzare viene tagliata in modo corrispondente se:

  • la dimensione del modello viene configurata come minore a quella dell´immagine che esso deve visualizzare
  • un´immagine Faceplate viene aperta come Popup e la sua dimensione viene modificata

Noch in diesem Kapitel

Modifica filtri


Modifica filtri

Manuale -> Immagini -> Tipi di immagine -> Faceplate -> Usa Faceplate nel Runtime -> Modifica filtri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I filtri progettai nell´Editor per le imagini del container possono essere modificati nel Runtime a seconda delle impostazioni.

Filtri non modificabili

Per far in modo che non sia possibile modificare i filtri quando si apre un´immagine nel Runtime, disattivate nella Configurazione del cambio immagine l´opzione Proponi questo dialogo a Runtime (i filtri attivi sono modificabili nel Runtime).

Si può aggirare questo blocco con il pulsante Filtro editabile.

Filtri selezionati modificabili

Per far si che sia possibile modificare filtri all´apertura dell´immagine nel Runtime:

  • Attivate nella Configurazione del cambio immagine
    • nella lista Filtri il Checkbox per ogni filtro desiderato
    • l´opzione Proponi questo dialogo a Runtime (i filtri attivi sono modificabili nel Runtime)

Nota: Tenete presente le limitazioni concernenti i tipi di immagine supportati che sono state illustrate nel capitolo Tipi di immagine supportati per "Visualizza questa finestra di dialogo a Runtime".

Al momento dell´apertura dell´immagine nel Runtime viene visualizzata la finestra di dialogo per la selezione e la modifica dei filtri. Tutti i filtri di cui è consentita la modifica possono essere selezionati e modificati. Tutti gli altri filtri sono bloccati. I filtri bloccati, però, possono essere abilitati alla modifica usando il pulsante Filtro editabile.

Visualizzare e modificare tutti i filtri nel Runtime

Con il Pulsante Filtro editabile si può aprire nel Runtime la finestra di dialogo contenente tutti i filtri per consentirne la libera modifica.

Se si vuole che i filtri siano modificabili solo in certa misura, ma che un utente abbia nondimeno un accesso illimitato, si deve fare ciò che segue:

  1. progettate il cambio immagine con nessuna/limitate possibilità di accesso ai filtri
  2. Impostate un pulsante Filtro editabile nell´immagine
  3. assegnate a questo pulsante dei determinati diritti di accesso per utenti e gruppi utenti

Nel Runtime i filtri saranno modificabili solamente nei termini fissati in sede di configurazione del cambio immagine. L´utente che è abilitato a far uso del pulsante può modificare tutti i filtri progettati.


Immagini filtro

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro

Usando le immagini filtro potete configurare in modo individuale pagine filtro con proprie finestre di dialogo. Potete impostare questo dialoghi sulla base di diversi criteri, come, ad esempio, funzionalità touchscreen, filtro solo per aree speciali, possibilità di cambio lingua, ecc.

Sono a disposizione come immagini filtro:

  • Filtro lista informazione allarmi
  • Filtro CEL
  • Filtro tempo/lotto

Noch in diesem Kapitel

Crea immagine filtro

Cambio ad un´immagine filtro


Crea immagine filtro

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Crea immagine filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Create immagini filtro per:

  • Filtro lista informazione allarmi
  • Filtro CEL
  • Filtro tempo/lotto

Noch in diesem Kapitel

Crea tipo d'immagine lista informazioni d´allarme Filtro

Crea un'immagine del tipo filtro CEL

Crea un'immagine del tipo filtro tempo/lotto

Nomi predefiniti

Usa immagine filtro


Crea tipo d'immagine lista informazioni d´allarme Filtro

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Crea immagine filtro -> Crea tipo d'immagine lista informazioni d´allarme Filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La Immagine del tipo Filtro Lista di informazione allarmi consente di effettuare nel runtime delle impostazioni di filtro per la Lista di informazione allarmi Vengono configurati e resi disponibili all´utente solamente i filtro che sono realmente necessari L´aspetto può essere definito liberamente e, in tal modo, lo si può adattare ai differenti macchinari destinatari. Potete configurare anche tutte le impostazioni di filtro che sono presenti nel Filtro per la funzione Cambio ad un´immagine del tipo Lista allarmi.

In tal modo:

  • vengono configurati e resi disponibili all´utente solamente gli elementi di filtro che sono realmente necessari
  • il sistema visualizza a beneficio dell´utente solamente questi filtri, facilitandogli così la vita e consentendogli una visione d´insieme più semplice e chiara
  • avete la possibilità, inoltre, di definire in modo completamente libero l´aspetto e di assicurare in tal modo una facile gestione mediante un touchscreen

Per i dettagli concernenti l´uso durante il Runtime, vedi il capitolo Lista allarmi Usa filtri.

Per la definizione dei criteri di filtro, vedi capitolo Filtri Filtro per lista informazione allarmi.

attention Attenzione

Le immagini del tipo Lista informazioni allarmi Filtro, Lista eventi cronologica Filtri e Filtri tempo devono essere progettati con un proprio modello. Se esse usano lo stesso modello di altre immagini, durante il Runtime tutte le immagini basate su questo modello saranno chiuse alla chiusura dell´immagine.

Creare immagine del tipo "Filtro per lista informazione allarmi".

L´immagine del tipo Filtro per lista informazione allarmi serve a [descrizione].

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Filtro per lista informazione allarmi.
    3. Selezionare nella proprietà Modello il modello desiderato.
      Nota: L´immagine Filtro AML non deve basarsi sullo stesso modello di altre immagini!
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Noch in diesem Kapitel

Elementi di controllo

Modelli


Elementi di controllo

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Crea immagine filtro -> Crea tipo d'immagine lista informazioni d´allarme Filtro -> Elementi di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Elementi di controllo

L´immagine del tipo Lista allarmi Filtro può contenere i seguenti elementi di gestione e visualizzazione.

Elemento

Descrizione

Inserisci modello

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Ulteriori informazioni relative a questo tipo di immagine le trovate nel capitolo Modelli.

Filtri generali

Lista a cascata di diversi Filtri generali.

Aggiungi tutti gli elementi: Filtri generali

Aggiunge tutti gli elementi dell´area Filtri generali collocandoli in posti predefiniti. Gli elementi possono essere posizionati in modo individuale.

Aggiungi tutti gli elementi: Filtro generale (Touch)

Aggiunge tutti gli elementi dell´area Filtri generali collocandoli in posti predefiniti. Gli elementi possono essere posizionati in modo individuale. Gli elementi sono stati ottimizzati per la gestione touch.

Filtro variabili

Allarmi di quali variabili vengono visualizzati:
  • Nome variabile

Filtro sulla base del nome delle variabili.
  • Identificazione

Filtro sulla base dell´identificazione delle variabili.
  • Attenzione Case Sentitive

Si tiene presente la scrittura in lettere maiuscole o minuscole nell´effettuare il filtro delle variabili.

Tipo di allarme

Quali allarmi vengono visualizzati.
  • Solo allarmi non ripristinati

solo non ripristinati
  • Solo allarmi usciti

solo usciti
  • Solo allarmi pendenti

solo in attesa
  • Commento obbligatorio

Allarmi il cui ripristino comporta l´obbligo di scrittura di un commento
  • Tempo minimo per gli allarmi in attesa - giorni

Solo allarmi che sono in attesa perlomeno dal numero di giorni indicato.
  • Tempo minimo per gli allarmi in attesa - ore

Solo allarmi che sono in attesa perlomeno dal numero di ore indicato.
  • Tempo minimo per gli allarmi in attesa - minuti

Solo allarmi che sono in attesa perlomeno dal numero di minuti indicato.
  • Tempo minimo per gli allarmi in attesa - secondi

Solo allarmi che sono in attesa perlomeno dal numero di secondi indicato.
  • Tempo minimo per gli allarmi in attesa - millisecondi

Solo allarmi che sono in attesa perlomeno dal numero di millisecondi indicato.

Tipi di allarmi (Touch)

Elementi ottimizzati per la gestione touch per la visualizzazione del tipo di allarme, analogamente al punto di menù Tipo di allarme.

  • Solo allarmi non ripristinati
  • Solo allarmi usciti
  • Solo allarmi pendenti
  • Commento obbligatorio
  • Tempo min. allarmi in attesa - Pulsante: Giorni (in avanti)
  • Tempo minimo di allarmi in attesa - Touchbox: Giorni
  • Tempo min. allarmi in attesa - Pulsante: Giorni (indietro)
  • Tempo min. allarmi in attesa - Pulsante: Ore (in avanti)
  • Tempo minimo di allarmi in attesa - Touchbox: Ore
  • Tempo min. allarmi in attesa - Pulsante: Ore (indietro)
  • Tempo min. allarmi in attesa - Pulsante: Minuti (in avanti)
  • Tempo minimo di allarmi in attesa - Touchbox: Minuti
  • Tempo min. allarmi in attesa - Pulsante: Minuti (indietro)
  • Tempo min. allarmi in attesa - Pulsante: Secondi (in avanti)
  • Tempo minimo di allarmi in attesa - Touchbox: Secondi
  • Tempo min. allarmi in attesa - Pulsante: Secondi (indietro)
  • Tempo min. allarmi in attesa - Pulsante: Millisecondi (in avanti)
  • Tempo minimo di allarmi in attesa - Touchbox: Millisecondi
  • Tempo min. allarmi in attesa - Pulsante: Millisecondi (indietro)

Origine dati

Da dove provengono i dati:
  • Buffer circolare

Dal buffer circolare.
  • Dati storici

Da un archivio.
  • Descrizione: Numero massimo

Testo per campo di inserimento Numero massimo

  • Campo input: Numero massimo

Inserimento del numero massimo degli allarmi da visualizzare nel caso della visualizzazione di allarmi storici.

0: mostra tutti gli allarmi

Gruppi allarmi/eventi, classi allarmi/eventi /aree allarmi

Campo lista per Visualizzazione a gruppi:
  • Gruppi di allarmi/evento

Gruppi di allarmi/evento
  • Classi di allarme/evento

Classi di allarme/evento
  • Aree allarmi

Aree allarmi
Nota: Se è attiva l´opzione gerarchia allarmi via modello di impianto, la colonna "Area allarmi" è vuota.

Filtro tempo

Scelta di diversi Filtri tempo.

Inserisci tutti gli elementi

Apre la lista a cascata per la selezione di elementi predefiniti per determinati intervalli di tempo.

Intervallo tempo assoluto: visualizzazione classica

Elementi per il periodo assoluto nella visualizzazione classica.

Intervallo tempo assoluto: visualizzazione compatta

Elementi per il periodo assoluto nella visualizzazione compatta.

Periodo relativo

Elementi per il periodo relativo.

Da HH:MM:SS

Elementi per un periodo che inizia da un´ora definita.

Dal Giorno - HH:MM:SS

Elementi per un periodo che inizia con un giorno determinato e ad un´orario definito.

Dal Giorno, Mese - HH:MM:SS

Elementi per un periodo che inizia con un giorno determinato in un mese determinato e ad un´orario definito.

Intervallo tempo: 15/30/60 minuti

Elementi per un periodo di 15, 30 o 60 minuti.

Intervallo tempo: un giorno

Elementi per un periodo di un giorno.

Intervallo tempo: 1 o 2 settimane

Elementi per un periodo che dura una o due settimane.

Sia nella visualizzazione per una settimana, che per quella per due settimane, si può selezionare ogni settimana. Nel caso della visualizzazione per due settimane, viiene selezionato un intervallo di 14 giorni in dipendenza dalla settimana selezionata.

Intervallo tempo: un mese

Elementi per un periodo di un mese.

Intervallo tempo: un anno

Elementi per un periodo di un anno.

Inserisci tutti (Touch)

Apre la lista a cascata che serve alla selezione di elementi predefiniti per periodi determinati che sono stati ottimizzati per la gestione touch. Analogamente all´opzione Aggiungi tutti gli elementi, sono a disposizione:

  • Intervallo tempo assoluto: visualizzazione classica
  • Periodo relativo
  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS
  • Intervallo tempo: 15/30/60 minuti
  • Intervallo tempo: un giorno
  • Intervallo tempo: 1 o 2 settimane
  • Intervallo tempo: un mese
  • Intervallo tempo: un anno

Filtro tempo (didascalia)

Didascalia del tipo del filtro tempo.

Filtro tempo (Combobox)

Combobox Filtro tempo.

Filtro tempo (visualizzazione)

Campo per visualizzazione del tipo filtro tempo.

Filtro tempo (Radiogroup)

Pulsante di opzione che nascondono o mostrano determinati elementi nel Runtime:

  • Nessun filtro
  • Tempo filtro assoluto
  • Tempo filtro relativo
  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS
  • Intervallo tempo 15 minuti
  • Intervallo tempo 30 minuti
  • Intervallo tempo 60 minuti
  • Intervallo tempo 1 giorno
  • Intervallo tempo 1 settimana
  • Intervallo tempo 2 settimane
  • Intervallo tempo 1 mese
  • Intervallo tempo 1 anno

Tempo da

campi e didascalie per inserimenti di tempi "da".

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Dall'ora (didascalia)
  • Dall'ora (Combobox)
  • Dal minuto (didascalia)
  • Dal minuto (Combobox)
  • Dal secondo (didascalia)
  • Dal secondo (Combobox)
  • Da (controllo spin)

Tempo fino

Campi e didascalie per inserimenti di tempi "fino a".

  • Fino all'anno (didascalia)
  • Fino all´anno (Combobox)
  • Fino al mese (didascalia)
  • Fino al mese (Combobox)
  • Fino al giorno (didascalia)
  • Fino al giorno (Combobox)
  • Fino all´ora (didascalia)
  • Fino all´ora (Combobox)
  • Fino al minuto (didascalia)
  • Fino al minuto (Combobox)
  • Fino al secondo (didascalia)
  • Fino al secondo (Combobox)
  • Fino (controllo spin)

Tempo da (Touch)

Campi e didascalie per indicazioni "Da" - tempo, ottimizzati per la gestione touch.

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Dall'ora (didascalia)
  • Dall'ora (Combobox)
  • Dal minuto (didascalia)
  • Dal minuto (Combobox)
  • Dal secondo (didascalia)
  • Dal secondo (Combobox)
  • Da (controllo spin)

Tempo fino a (Touch)

Campi e didascalie per indicazioni "Fino" - tempo, ottimizzati per la gestione touch.

  • Fino all'anno (didascalia)
  • Fino all´anno (Combobox)
  • Fino al mese (didascalia)
  • Fino al mese (Combobox)
  • Fino al giorno (didascalia)
  • Fino al giorno (Combobox)
  • Fino all´ora (didascalia)
  • Fino all´ora (Combobox)
  • Fino al minuto (didascalia)
  • Fino al minuto (Combobox)
  • Fino al secondo (didascalia)
  • Fino al secondo (Combobox)
  • Fino (controllo spin)

Filtro assoluto

Campi e didascalie per inserimenti di filtri assoluti.

  • Da (didascalia)
  • Dalla data (visualizzazione calendario)
  • Dalla data (visualizzatore data)
  • Dal tempo (visualizzazione tempo)
  • Fino a (didascalia)
  • Fino alla data (visualizzazione calendario)
  • Fino alla data (visualizzatore data)
  • Fino a tempo (visualizzazione tempo)

Intervallo tempo

Campi e didascalie per inserimenti di intervalli di tempo.

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Settimana (didascalia)
  • Settimana (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Ora partenza (didascalia)
  • Ora partenza (Combobox)

Intervallo di tempo (Touch)

Campi e didascalie per indicazioni di intervalli di tempo ottimizzati per la gestione touch.

  • Dall'anno (didascalia)
  • Dall'anno (pulsante su)
  • Dall'anno (Touchbox)
  • Dall'anno (pulsante giù)
  • Dal mese (didascalia)
  • Dal mese (pulsante su)
  • Dal mese (Touchbox)
  • Dal mese (pulsante giù)
  • Settimana (didascalia)
  • Settimana (pulsante su)
  • Settimana (Touchbox)
  • Settimana (pulsante giù)
  • Dal giorno (didascalia)
  • Dal giorno (pulsante su)
  • Dal giorno (Touchbox)
  • Pulsante Dal giorno (indietro)
  • Ora partenza (didascalia)
  • Ora partenza (pulsante su)
  • Orario di inizio (Touchbox)
  • Ora partenza (pulsante indietro)

Lotti

Elementi per la selezione lotti nel Runtime.

Lista archivi

Lista degli archivi a disposizione.

Stato della lista archivi

Stato della lista archivi con numero per:

  • Disponibile
  • filtrato
  • visualizzato

Lista Lotti

Lista dei lotti a disposizione.

Stato della lista Lotti

Stato della lista lotti con numero per:

  • Disponibile
  • filtrato
  • visualizzato

Applica filtro tempo su lista lotti.

Applica il filtro tempo configurato alla selezione nella lista lotti.

Filtro nome lotto (Campo testo)

Inserimento di una successione di caratteri per filtrare i nomi lotto nella lista lotti.

Filtro nome lotto (Pulsante)

Pulsante per l´esecuzione del filtro sulla base di nomi lotto.

Filtro testo

Lista a cascata di diversi Filtri testo.

Aggiungi tutti gli elementi: Filtro testo

Aggiunge tutti gli elementi per filtri testo.

Nessun filtro testo

Pulsante di opzione per deseleziona filtri testo.

Trova (parole separate da uno spazio)

Pulsante di opzione per attivazione della ricerca

Descrizione: Testo di ricerca

Didascalia per campo ricerca.

Campo input: Testo di ricerca

Campo per inserimento dei criteri di ricerca.

Opzioni

Opzioni di ricerca
  • Attenzione Case Sensitive

Si deve tener conto della lettere maiuscole e minuscole.
  • Le parole non devono essere presenti nel testo nella loro interezza.

Il sistema cerca anche i frammenti.
  • Almeno una parola deve comparire nel testo

Almeno uno dei numerosi criteri di ricerca deve essere contenuto nel risultato.
  • Tutte le parole devono comparire nel testo

Tutti i criteri di ricerca devono essere contenuti nel risultato.
  • Il testo di filtro deve essere contenuto esattamente nel testo

Il testo indicato nel campo di inserimento deve essere contenuto esattamente nel risultato.

Apri lista bloccata

Apre la AML in stato di attesa. I nuovi allarmi non vengono aggiunti.

Chiudi finestra di dialogo

Ok | Pulsante Riprende le impostazioni di filtro e chiude l´immagine. Nota Faceplates: In faceplates possono essere usate delle immagini del tipoFiltro AML, Filtro CEL e Filtro tempo/lotti. Nella loro configurazione durante il Runtime, cliccando su OK si chiude il faceplate completo. Se si vuole che le impostazioni di filtro vengano salvate e il faceplate rimanga aperto, cliccate su Accetta.
Annulla | Pulsante interrompe la configurazione delle impostazioni di filtro.
Acquisisci | Pulsante Riprende le impostazioni di filtro.
Aggiorna | Pulsante Attualizza la visualizzazione filtrata.


Modelli

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Crea immagine filtro -> Crea tipo d'immagine lista informazioni d´allarme Filtro -> Modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Modelli

Presentazione | Descrizione
Campo liste Modelli (a sinistra) | Mostra tutti i modelli, sia quelli predefiniti che quelli definiti dall´utente.
Anteprima e descrizione (a destra) | Mostra l´anteprima e la descrizione del modello selezionato.
Standard | Aggiunge degli elementi standard.
Scada | Modelli speciali, ottimizzati per gestione con il mouse.
Solo filtri variabili & filtri testo | Aggiunge elementi per filtrare sulla base di variabili e testo.
Senza gruppi allarmi. | Aggiunge elementi per filtrare sulla base di variabili, testo e tempo minimo in attesa senza gruppi allarme.
Standard | Aggiunge degli elementi standard.
Filtri variabili, testo & tempo | Aggiunge elementi per filtrare sulla base di variabili, testo e tempo.
Filtri variabili, testo & tempo (dal mese) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo relativo da mese.
Filtri variabili, testo & tempo (dall´ora) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo relativo da ora.
Filtri variabili, testo & tempo (dal giorno) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo relativo da giorno.
Filtri variabili, testo & tempo (assoluto - tabella) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo assoluto.
Filtri variabili, testo & intervallo tempo (assoluto - visualizzazione compatta) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo assoluto in visualizzazione compatta.
Filtri variabili, testo & intervallo tempo (assoluto) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo assoluto.

Chiudi finestra di dialogo

Parametri | Descrizione
Elimina elementi d'immagine esistenti | Attivo: degli elementi già esistenti nell´immagine vengono cancellati quando si riprende il modello.
Acquisisci | Inserisce gli elementi del modello selezionato nell´immagine e chiude il dialogo.
Annulla | Chiude il dialogo senza aggiungere elementi.
Guida | Attiva la guida online


Crea un'immagine del tipo filtro CEL

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Crea immagine filtro -> Crea un'immagine del tipo filtro CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine del tipo Lista eventi cronologica Filtro consente di effettuare nel Runtime delle impostazioni di filtro individuali per la Lista eventi cronologica. Vengono configurati e resi disponibili all´utente solamente i filtro che sono realmente necessari L´aspetto può essere definito liberamente e, in tal modo, lo si può adattare ai differenti macchinari destinatari. Potete configurare anche tutte le impostazioni di filtro che sono presenti nel Filtro per la funzione Cambio ad un´immagine del tipo Lista Eventi Cronologica.

In tal modo:

  • vengono configurati e resi disponibili all´utente solamente gli elementi di filtro che sono realmente necessari
  • il sistema visualizza a beneficio dell´utente solamente questi filtri, facilitandogli così la vita e consentendogli una visione d´insieme più semplice e chiara
  • avete la possibilità, inoltre, di definire in modo completamente libero l´aspetto e di assicurare in tal modo una facile gestione mediante un touchscreen

Per i dettagli concernenti l´uso durante il Runtime, vedi il capitolo CEL Usa filtri.

Per la definizione dei criteri di filtro, vedi capitolo Filtri per cambio immagine CEL Filtri.

attention Attenzione

Le immagini del tipo Lista informazioni allarmi Filtro, Lista eventi cronologica Filtri e Filtri tempo devono essere progettati con un proprio modello. Se esse usano lo stesso modello di altre immagini, durante il Runtime tutte le immagini basate su questo modello saranno chiuse alla chiusura dell´immagine.

Crea immagine del tipo Lista eventi cronologica Filtro

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Filtro lista eventi cronologica.
    3. Selezionare nella proprietà Modello il modello desiderato.
      Nota: L´immagine Filtro CEL non deve basarsi sullo stesso modello di altre immagini!
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Noch in diesem Kapitel

Elementi di controllo

Modelli


Elementi di controllo

Elementi di controllo

L´immagine del tipo Lista eventi cronologica Filtro può contenere i seguenti elementi di gestione e visualizzazione.

Elemento

Descrizione

Inserisci modello

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Ulteriori informazioni relative a questo tipo di immagine le trovate nel capitolo Modelli.

Filtri generali

Lista a cascata di diversi Filtri generali.

Escludi messaggi di sistema dal filtro

Mostra nel Runtime un Checkbox per la visualizzazione o il filtro di segnalazioni del sistema. Le segnalazioni di sistema sono segnalazioni senza riferimento a variabili.

Gestione nel Runtime:

  • Attivo: Nel Runtime, le segnalazioni di sistema vengono sempre visualizzate. Ciò vale anche quando dovrebbero essere escluse dal filtro testo o variabili.
    Eccezione: Le segnalazioni di sistema, però, non sono visualizzate nonostante il checkbox sia stato attivato, quando vengono escluse dal Filtro tempo, oppure dai filtri per la Origine dei dati (buffer circolare oppure dati storici).

Esempio: Devono essere visualizzate solamente segnalazioni con il testo "XY". Nel caso in cui questa opzione sia stata attivata, però, verranno visualizzate anche le segnalazioni di sistema che non contengono questo testo.

Aggiungi tutti gli elementi: Filtri generali

Aggiunge tutti gli elementi dell´area Filtri generali collocandoli in posti predefiniti. Gli elementi possono essere posizionati in modo individuale.

Filtro variabili

Allarmi di quali variabili vengono visualizzati:
  • Nome variabile

Filtro sulla base del nome delle variabili.
  • Identificazione

Filtro sulla base dell´identificazione delle variabili.
  • Rispetta Maiusc./Minusc.

Si tiene presente la scrittura in lettere maiuscole o minuscole nell´effettuare il filtro delle variabili.

Origine dati

Da dove provengono i dati:
  • Buffer circolare

Dal buffer circolare.
  • Dati storici

Da un archivio.
  • Descrizione: Numero massimo

Testo per campo di inserimento Numero massimo

  • Campo input: Numero massimo

Inserimento del numero massimo degli allarmi da visualizzare nel caso della visualizzazione di allarmi storici.

0: mostra tutti gli allarmi

Impostazioni Runtime

  • Apri lista bloccata

Apre la AML in stato di attesa. I nuovi allarmi non vengono aggiunti.
  • Visualizza tempo relativo

Passa fra visuale normale e visuale tempo relativo, senza che l´inserimento selezionato perda il focus.

Tempo relativo: tutti gli inserimenti vengono visualizzati in intervallo di tempo in relazione all'inserimento selezionato.

Il tempo indicato è l'intervallo che è passato dall'evento selezionato. L'inserimento selezionato riceve automaticamente il "time-stamp" 0. Gli altri eventi hanno una:

  • differenza di tempo positiva rispetto all´inserimento selezionato se hanno avuto luogo più tardi
  • differenza di tempo negativa rispetto all´inserimento selezionato, se hanno avuto luogo più tardi

Gruppi allarmi/eventi, classi allarmi/eventi /aree allarmi

Campo lista per Visualizzazione a gruppi:
  • Gruppi di allarmi/evento

Gruppi di allarmi/evento
  • Classi di allarme/evento

Classi di allarme/evento
  • Aree allarmi

Aree allarmi

Filtro tempo

Menù a tendina di diversi Filtri tempo.

Inserisci tutti gli elementi

Apre la lista a cascata per la selezione di elementi predefiniti per determinati intervalli di tempo.

Intervallo tempo assoluto: visualizzazione classica

Elementi per il periodo assoluto nella visualizzazione classica.

Intervallo tempo assoluto: visualizzazione compatta

Elementi per il periodo assoluto nella visualizzazione compatta.

Periodo relativo

Elementi per il periodo relativo.

Da HH:MM:SS

Elementi per un periodo che inizia da un´ora definita.

Dal Giorno - HH:MM:SS

Elementi per un periodo che inizia con un giorno determinato e ad un´orario definito.

Dal Giorno, Mese - HH:MM:SS

Elementi per un periodo che inizia con un giorno determinato in un mese determinato e ad un´orario definito.

Intervallo tempo: 15/30/60 minuti

Elementi per un periodo di 15, 30 o 60 minuti.

Intervallo tempo: un giorno

Elementi per un periodo di un giorno.

Intervallo tempo: 1 o 2 settimane

Elementi per un periodo che dura una o due settimane.

Sia nella visualizzazione per una settimana, che per quella per due settimane, si può selezionare ogni settimana. Nel caso della visualizzazione per due settimane, viiene selezionato un intervallo di 14 giorni in dipendenza dalla settimana selezionata.

Intervallo tempo: un mese

Elementi per un periodo di un mese.

Intervallo tempo: un anno

Elementi per un periodo di un anno.

Inserisci tutti (Touch)

Apre la lista a cascata che serve alla selezione di elementi predefiniti per periodi determinati che sono stati ottimizzati per la gestione touch. Analogamente all´opzione Aggiungi tutti gli elementi, sono a disposizione:

  • Intervallo tempo assoluto: visualizzazione classica
  • Periodo relativo
  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS
  • Intervallo tempo: 15/30/60 minuti
  • Intervallo tempo: un giorno
  • Intervallo tempo: 1 o 2 settimane
  • Intervallo tempo: un mese
  • Intervallo tempo: un anno

Filtro tempo (didascalia)

Didascalia del tipo del filtro tempo.

Filtro tempo (Combobox)

Combobox Filtro tempo.

Filtro tempo (visualizzazione)

Campo per visualizzazione del tipo filtro tempo.

Filtro tempo (Radiogroup)

Pulsante di opzione che nascondono o mostrano determinati elementi nel Runtime:

  • Nessun filtro
  • Tempo filtro assoluto
  • Tempo filtro relativo
  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS
  • Intervallo tempo 15 minuti
  • Intervallo tempo 30 minuti
  • Intervallo tempo 60 minuti
  • Intervallo tempo 1 giorno
  • Intervallo tempo 1 settimana
  • Intervallo tempo 2 settimane
  • Intervallo tempo 1 mese
  • Intervallo tempo 1 anno

Tempo da

campi e didascalie per inserimenti di tempi "da".

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Dall'ora (didascalia)
  • Dall'ora (Combobox)
  • Dal minuto (didascalia)
  • Dal minuto (Combobox)
  • Dal secondo (didascalia)
  • Dal secondo (Combobox)
  • Da (controllo spin)

Tempo fino

Campi e didascalie per inserimenti di tempi "fino a".

  • Fino all'anno (didascalia)
  • Fino all´anno (Combobox)
  • Fino al mese (didascalia)
  • Fino al mese (Combobox)
  • Fino al giorno (didascalia)
  • Fino al giorno (Combobox)
  • Fino all´ora (didascalia)
  • Fino all´ora (Combobox)
  • Fino al minuto (didascalia)
  • Fino al minuto (Combobox)
  • Fino al secondo (didascalia)
  • Fino al secondo (Combobox)
  • Fino (controllo spin)

Tempo da (Touch)

Campi e didascalie per indicazioni "Da" - tempo, ottimizzati per la gestione touch.

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Dall'ora (didascalia)
  • Dall'ora (Combobox)
  • Dal minuto (didascalia)
  • Dal minuto (Combobox)
  • Dal secondo (didascalia)
  • Dal secondo (Combobox)
  • Da (controllo spin)

Tempo fino a (Touch)

Campi e didascalie per indicazioni "Fino" - tempo, ottimizzati per la gestione touch.

  • Fino all'anno (didascalia)
  • Fino all´anno (Combobox)
  • Fino al mese (didascalia)
  • Fino al mese (Combobox)
  • Fino al giorno (didascalia)
  • Fino al giorno (Combobox)
  • Fino all´ora (didascalia)
  • Fino all´ora (Combobox)
  • Fino al minuto (didascalia)
  • Fino al minuto (Combobox)
  • Fino al secondo (didascalia)
  • Fino al secondo (Combobox)
  • Fino (controllo spin)

Filtro assoluto

Campi e didascalie per inserimenti di filtri assoluti.

  • Da (didascalia)
  • Dalla data (visualizzazione calendario)
  • Dalla data (visualizzatore data)
  • Dal tempo (visualizzazione tempo)
  • Fino a (didascalia)
  • Fino alla data (visualizzazione calendario)
  • Fino alla data (visualizzatore data)
  • Fino a tempo (visualizzazione tempo)

Intervallo tempo

Campi e didascalie per inserimenti di intervalli di tempo.

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Settimana (didascalia)
  • Settimana (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Ora partenza (didascalia)
  • Ora partenza (Combobox)

Intervallo di tempo (Touch)

Campi e didascalie per indicazioni di intervalli di tempo ottimizzati per la gestione touch.

  • Dall'anno (didascalia)
  • Dall'anno (pulsante su)
  • Dall'anno (Touchbox)
  • Dall'anno (pulsante giù)
  • Dal mese (didascalia)
  • Dal mese (pulsante su)
  • Dal mese (Touchbox)
  • Dal mese (pulsante giù)
  • Settimana (didascalia)
  • Settimana (pulsante su)
  • Settimana (Touchbox)
  • Settimana (pulsante giù)
  • Dal giorno (didascalia)
  • Dal giorno (pulsante su)
  • Dal giorno (Touchbox)
  • Pulsante Dal giorno (indietro)
  • Ora partenza (didascalia)
  • Ora partenza (pulsante su)
  • Orario di inizio (Touchbox)
  • Ora partenza (pulsante indietro)

Lotti

Elementi per la selezione lotti nel Runtime.

Lista archivi

Lista degli archivi a disposizione.

Stato della lista archivi

Stato della lista archivi con numero per:

  • Disponibile
  • filtrato
  • visualizzato

Lista Lotti

Lista dei lotti a disposizione.

Stato della lista Lotti

Stato della lista lotti con numero per:

  • Disponibile
  • filtrato
  • visualizzato

Applica filtro tempo su lista lotti.

Applica il filtro tempo configurato alla selezione nella lista lotti.

Filtro nome lotto (Campo testo)

Inserimento di una successione di caratteri per filtrare i nomi lotto nella lista lotti.

Filtro nome lotto (Pulsante)

Pulsante per l´esecuzione del filtro sulla base di nomi lotto.

Filtro testo

Lista a cascata di diversi Filtri testo.

Aggiungi tutti gli elementi: Filtro testo

Aggiunge tutti gli elementi per filtri testo.

Nessun filtro testo

Pulsante di opzione per deseleziona filtri testo.

Trova (parole separate da uno spazio)

Pulsante di opzione per attivazione della ricerca

Descrizione: Testo di ricerca

Didascalia per campo ricerca.

Campo input: Testo di ricerca

Campo per inserimento dei criteri di ricerca.

Opzioni

Opzioni di ricerca
  • Attenzione Case Sensitive

Si deve tener conto della lettere maiuscole e minuscole.
  • Le parole non devono comparire completamente nel testo

Il sistema cerca anche i frammenti.
  • Almeno una parola deve comparire nel testo

Almeno uno dei numerosi criteri di ricerca deve essere contenuto nel risultato.
  • Tutte le parole devono esistere

Tutti i criteri di ricerca devono essere contenuti nel risultato.
  • L'intero testo deve coincidere

Il testo indicato nel campo di inserimento deve essere contenuto esattamente nel risultato.


Modelli

Modelli

Presentazione | Descrizione
Campo liste Modelli (a sinistra) | Mostra tutti i modelli, sia quelli predefiniti che quelli definiti dall´utente.
Anteprima e descrizione (a destra) | Mostra l´anteprima e la descrizione del modello selezionato.
Standard | Aggiunge degli elementi standard.
Scada | Modelli speciali, ottimizzati per gestione con il mouse.
Standard | Aggiunge degli elementi standard.
Filtri variabili, testo & intervallo tempo (assoluto - visualizzazione compatta) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo assoluto in visualizzazione compatta.
Filtri variabili, testo & intervallo tempo (assoluto) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo assoluto.
Filtri variabili, testo & tempo (dal mese) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo relativo da mese.
Filtri variabili, testo & tempo (dall´ora) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo relativo da ora.
Filtri variabili, testo & tempo (dal giorno) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo relativo da giorno.
Filtri variabili, testo & tempo (assoluto - tabella) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo assoluto.
Filtri variabili, testo & tempo (tipo selezionabile). | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo selezionabile.

Chiudi finestra di dialogo

Parametri | Descrizione
Elimina elementi d'immagine esistenti | Attivo: degli elementi già esistenti nell´immagine vengono cancellati quando si riprende il modello.
Acquisisci | Inserisce l´elemento del modello selezionato nell´immagine e chiude il dialogo.
Elimina | Chiude il dialogo senza aggiungere elementi.
Guida | Attiva la guida online


Crea un'immagine del tipo filtro tempo/lotto

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Crea immagine filtro -> Crea un'immagine del tipo filtro tempo/lotto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Facendo uso di un´immagine del tipo Filtro tempo è possibile effettuare delle impostazioni concernenti il filtro tempo durante il runtime. I seguenti tipi di immagine possono essere influenzati facendo uso di filtro tempo:

  • Lista di informazioni allarmi
  • Post-elaborazione archivio
  • Lista Eventi Cronologica (CEL)
  • Trend esteso

Il vantaggio di questo tipo di immagine è rappresentato dal fatto che possono essere configurati solamente gli elementi di filtro veramente necessari. Proprio per questo l´utente non si deve occupare di tutte le possibili impostazioni concernenti il filtro. Vengono visualizzate, infatti, solamente le impostazioni di filtro di cui l´utente ha veramente bisogno. Avete la possibilità, inoltre, di definire in modo completamente libero l´aspetto e di assicurare in tal modo una facile gestione mediante un touchscreen.

attention Attenzione

Le immagini del tipo Lista informazioni allarmi Filtro, Lista eventi cronologica Filtri e Filtri tempo devono essere progettati con un proprio modello. Se esse usano lo stesso modello di altre immagini, durante il Runtime tutte le immagini basate su questo modello saranno chiuse alla chiusura dell´immagine.

Nell´immagine del tipo "Filtro tempo" potete configurare tutte le impostazioni riguardanti il filtro tempo che sono presenti nel Filtro per la funzione cambio all´immagine corrispondente.

Crea un'immagine del tipo filtro tempo

Crea un'immagine del tipo filtro tempo

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine filtro tempo.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Noch in diesem Kapitel

Elementi di controllo

Modelli


Elementi di controllo

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Crea immagine filtro -> Crea un'immagine del tipo filtro tempo/lotto -> Elementi di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Elementi di controllo

Per le immagini del tipo Filtro tempo, sono disponibili, oltre agli elementi classici, anche altri elementi che sono stati ottimizzati per la gestione touch.

Elemento di controllo

Descrizione

Inserisci modello

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Ulteriori informazioni relative a questo tipo di immagine le trovate nel capitolo Modelli.

Inserisci tutti gli elementi

Apre la lista a cascata per la selezione di elementi predefiniti per determinati intervalli di tempo.

Intervallo tempo assoluto: visualizzazione classica

Elementi per il periodo assoluto nella visualizzazione classica.

Intervallo tempo assoluto: visualizzazione compatta

Elementi per il periodo assoluto nella visualizzazione compatta.

Periodo relativo

Elementi per il periodo relativo.

Da HH:MM:SS

Elementi per un periodo che inizia da un´ora definita.

Dal Giorno - HH:MM:SS

Elementi per un periodo che inizia con un giorno determinato e ad un´orario definito.

Dal Giorno, Mese - HH:MM:SS

Elementi per un periodo che inizia con un giorno determinato in un mese determinato e ad un´orario definito.

Intervallo tempo: 15/30/60 minuti

Elementi per un periodo di 15, 30 o 60 minuti.

Intervallo tempo: un giorno

Elementi per un periodo di un giorno.

Intervallo tempo: 1 o 2 settimane

Elementi per un periodo che dura una o due settimane.

Sia nella visualizzazione per una settimana, che per quella per due settimane, si può selezionare ogni settimana. Nel caso della visualizzazione per due settimane, viiene selezionato un intervallo di 14 giorni in dipendenza dalla settimana selezionata.

Intervallo tempo: un mese

Elementi per un periodo di un mese.

Intervallo tempo: un anno

Elementi per un periodo di un anno.

Inserisci tutti (Touch)

Apre la lista a cascata che serve alla selezione di elementi predefiniti per periodi determinati che sono stati ottimizzati per la gestione touch. Analogamente all´opzione Aggiungi tutti gli elementi, sono a disposizione:

  • Intervallo tempo assoluto: visualizzazione classica
  • Periodo relativo
  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS
  • Intervallo tempo: 15/30/60 minuti
  • Intervallo tempo: un giorno
  • Intervallo tempo: 1 o 2 settimane
  • Intervallo tempo: un mese
  • Intervallo tempo: un anno

Filtro tempo (didascalia)

Didascalia del tipo del filtro tempo.

Filtro tempo (Combobox)

Combobox Filtro tempo.

Filtro tempo (visualizzazione)

Campo per visualizzazione del tipo filtro tempo.

Filtro tempo (Radiogroup)

Pulsante di opzione che nascondono o mostrano determinati elementi nel Runtime:

  • Nessun filtro
  • Tempo filtro assoluto
  • Tempo filtro relativo
  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS
  • Intervallo tempo 15 minuti
  • Intervallo tempo 30 minuti
  • Intervallo tempo 60 minuti
  • Intervallo tempo 1 giorno
  • Intervallo tempo 1 settimana
  • Intervallo tempo 2 settimane
  • Intervallo tempo 1 mese
  • Intervallo tempo 1 anno

Tempo da

campi e didascalie per inserimenti di tempi "da".

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Dall'ora (didascalia)
  • Dall'ora (Combobox)
  • Dal minuto (didascalia)
  • Dal minuto (Combobox)
  • Dal secondo (didascalia)
  • Dal secondo (Combobox)
  • Da (controllo spin)

Tempo fino

Campi e didascalie per inserimenti di tempi "fino a".

  • Fino all'anno (didascalia)
  • Fino all´anno (Combobox)
  • Fino al mese (didascalia)
  • Fino al mese (Combobox)
  • Fino al giorno (didascalia)
  • Fino al giorno (Combobox)
  • Fino all´ora (didascalia)
  • Fino all´ora (Combobox)
  • Fino al minuto (didascalia)
  • Fino al minuto (Combobox)
  • Fino al secondo (didascalia)
  • Fino al secondo (Combobox)
  • Fino (controllo spin)

Tempo da (Touch)

Campi e didascalie per indicazioni "Da" - tempo, ottimizzati per la gestione touch.

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Dall'ora (didascalia)
  • Dall'ora (Combobox)
  • Dal minuto (didascalia)
  • Dal minuto (Combobox)
  • Dal secondo (didascalia)
  • Dal secondo (Combobox)
  • Da (controllo spin)

Tempo fino a (Touch)

Campi e didascalie per indicazioni "Fino" - tempo, ottimizzati per la gestione touch.

  • Fino all'anno (didascalia)
  • Fino all´anno (Combobox)
  • Fino al mese (didascalia)
  • Fino al mese (Combobox)
  • Fino al giorno (didascalia)
  • Fino al giorno (Combobox)
  • Fino all´ora (didascalia)
  • Fino all´ora (Combobox)
  • Fino al minuto (didascalia)
  • Fino al minuto (Combobox)
  • Fino al secondo (didascalia)
  • Fino al secondo (Combobox)
  • Fino (controllo spin)

Filtro assoluto

Campi e didascalie per inserimenti di filtri assoluti.

  • Da (didascalia)
  • Dalla data (visualizzazione calendario)
  • Dalla data (visualizzatore data)
  • Dal tempo (visualizzazione tempo)
  • Fino a (didascalia)
  • Fino alla data (visualizzazione calendario)
  • Fino alla data (visualizzatore data)
  • Fino a tempo (visualizzazione tempo)

Intervallo tempo

Campi e didascalie per inserimenti di intervalli di tempo.

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Settimana (didascalia)
  • Settimana (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Ora partenza (didascalia)
  • Ora partenza (Combobox)

Intervallo di tempo (Touch)

Campi e didascalie per indicazioni di intervalli di tempo ottimizzati per la gestione touch.

  • Dall'anno (didascalia)
  • Dall'anno (pulsante su)
  • Dall'anno (Touchbox)
  • Dall'anno (pulsante giù)
  • Dal mese (didascalia)
  • Dal mese (pulsante su)
  • Dal mese (Touchbox)
  • Dal mese (pulsante giù)
  • Settimana (didascalia)
  • Settimana (pulsante su)
  • Settimana (Touchbox)
  • Settimana (pulsante giù)
  • Dal giorno (didascalia)
  • Dal giorno (pulsante su)
  • Dal giorno (Touchbox)
  • Pulsante Dal giorno (indietro)
  • Ora partenza (didascalia)
  • Ora partenza (pulsante su)
  • Orario di inizio (Touchbox)
  • Ora partenza (pulsante indietro)

Lotti

Elementi per la selezione lotti nel Runtime.

Lista archivi

Lista degli archivi a disposizione.

Stato della lista archivi

Stato della lista archivi con numero per:

  • Disponibile
  • filtrato
  • visualizzato

Lista Lotti

Lista dei lotti a disposizione.

Stato della lista Lotti

Stato della lista lotti con numero per:

  • Disponibile
  • filtrato
  • visualizzato

Applica filtro tempo su lista lotti.

Applica il filtro tempo configurato alla selezione nella lista lotti.

Filtro nome lotto (Campo testo)

Inserimento di una successione di caratteri per filtrare i nomi lotto nella lista lotti.

Filtro nome lotto (Pulsante)

Pulsante per l´esecuzione del filtro sulla base di nomi lotto.

Ok

Pulsante Riprende le impostazioni di filtro e chiude l´immagine.

Nota Faceplates: In faceplates possono essere usate delle immagini del tipoFiltro AML, Filtro CEL e Filtro tempo/lotti. Nella loro configurazione durante il Runtime, cliccando su OK si chiude il faceplate completo. Se si vuole che le impostazioni di filtro vengano salvate e il faceplate rimanga aperto, cliccate su Accetta.

Annulla

Pulsante interrompe la configurazione delle impostazioni di filtro.

Acquisisci

Pulsante Riprende le impostazioni di filtro.

Aggiorna

Pulsante Attualizza la visualizzazione filtrata.

Messa in rilievo di elementi touch

Gli elementi di controllo per la gestione touch possono essere messi in evidenza mediante colori. A tal scopo, nell´immagine per gli elementi touch vengono configurate le seguenti proprietà del gruppo Riempimento:

  • Colore testo con Focus: colore testo se l´elemento ha il focus
  • Colore di sfondo con focus: colore di sfondo se l´elemento ha il focus
  • Colore testo senza Focus: colore testo se l´elemento non ha il focus
  • Colore di sfondo senza focus: colore di sfondo se l´elemento non ha il focus


Modelli

Modelli

Per le immagini del tipo Filtro tempo sono a disposizione modelli predefiniti.

Presentazione | Descrizione
Campo liste Modelli (a sinistra) | Mostra tutti i modelli, sia quelli predefiniti che quelli definiti dall´utente.
Anteprima e descrizione (a destra) | Mostra l´anteprima e la descrizione del modello selezionato.
Standard | Aggiunge degli elementi standard.
Scada | Modelli per la gestione mouse.
Assoluto | Aggiunge elementi per il periodo assoluto.
Assoluto calendario | Aggiunge elementi per il periodo assoluto con calendario.
Assoluto compatto | Aggiunge elementi per il periodo assoluto in design compresso.
Standard | Aggiunge degli elementi standard.
Dal mese | Aggiunge degli elementi per l´intervallo di tempo dal mese.
Dall´ora | Aggiunge degli elementi per l´intervallo di tempo dall´ora.
dal giorno | Aggiunge degli elementi per l´intervallo di tempo dal giorno.
Touch | Modello, ottimizzato per la gestione touch.
Assoluto | Aggiunge elementi per il periodo assoluto.
Standard | Aggiunge degli elementi standard.
Dal mese | Aggiunge degli elementi per l´intervallo di tempo dal mese.
Dall´ora | Aggiunge degli elementi per l´intervallo di tempo dall´ora.
dal giorno | Aggiunge degli elementi per l´intervallo di tempo dal giorno.
Anteprima di modelli (in altro a destra) | Anteprima dell´immagine al momento in cui si riprende il modello selezionato.
Descrizione del modello (in basso a sinistra) | Descrizione del modello.
Elimina elementi d'immagine esistenti | Attivo: degli elementi già esistenti nell´immagine vengono cancellati quando si riprende il modello.

Chiudi finestra di dialogo

Parametri | Descrizione
Elimina elementi d'immagine esistenti | Attivo: degli elementi già esistenti nell´immagine vengono cancellati quando si riprende il modello.
Acquisisci | Inserisce l´elemento del modello selezionato nell´immagine e chiude il dialogo.
Elimina | Chiude il dialogo senza aggiungere elementi.
Guida | Attiva la guida online


Nomi predefiniti

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Crea immagine filtro -> Nomi predefiniti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per il filtro tempo sono disponibili nomi predefiniti.

Attenzione: Sotto Windows CE non sono disponibili i nomi predefiniti.

Per selezionare un nome:

  1. Nella visualizzazione dettagli definite Filtro tempo, Filtro per Lista Eventi Cronologica oppure Filtro per lista informazione allarmi come tipo di immagine.
  2. Cliccate per due volte nel campo nella colonna "Nome".
  3. Selezionate il nome predefinito desiderato fra quelli del menù a tendina.
    • TIMEFILTER_ABSOLUTE
    • TIMEFILTER_DAY
    • TIMEFILTER_HOUR
    • TIMEFILTER_MONTH
    • TIMEFILTER_PERIOD
    • TIMEFILTER_PERIOD_DAY
    • TIMEFILTER_PERIOD_MINUTE
    • TIMEFILTER_PERIOD_MONTH
    • TIMEFILTER_PERIOD_WEEK
    • TIMEFILTER_PERIOD_YEAR
    • TIMEFILTER_RELATIVE

Nota: le immagini del tipo Filtro CEL e Filtro AML dispongono anche di un nome predefinito CEL_FILTER oppure AML_FILTER.


Usa immagine filtro

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Crea immagine filtro -> Usa immagine filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Immagini filtro

Le immagini di filtro consentono di trasmettere un filtro predefinito da un'immagine ad un'altra. Il filtro dell´immagine sorgente viene settato sull´immagine di destinazione. Le immagini possono essere anche di diversi tipi.

attention Attenzione

Per riprendere il tempo dall´immagine da aprire nel Runtime, il seguente intervallo di tempo deve essere selezionato nell´Editor per la funzione di cambio immagine per la Lista di informazione allarmi o la Lista Eventi Cronologica alla voce Filtro tempo: Imposta filtro come filtro temporale.

Definizione di apertura

Bisogna soddisfare le seguenti condizioni per fare sì che i filtri impostati siano anche utilizzabili:

  1. Come arco di tempo del filtro tempo, si sceglie Imposta filtro come filtro temporale.
  2. L´immagine (immagine del tipo Filtro Lista di informazione allarmi, Filtro Lista eventi cronologica oppure Filtro tempo/lotto) viene attivata con l´aiuto di un pulsante oppure di un elemento combinato. Solo così si può garantire la relazione fra immagine filtro e immagine sorgente.
  3. L´immagine sorgente e quella filtro devono essere progettate su diversi modelli o monitor. Solo se l´immagine sorgente è aperta, può essere aggiornato il filtro per l´immagine filtro. Ciò è possibile solamente se le due immagini non utilizzano lo stesso modello o lo stesso monitor.
  4. L´immagine che apre deve essere compatibile con l´immagine filtro che si vuole aprire (vedi tabella).
Immagine sorgente | Filtro AML | Filtro CEL | Filtro tempo
Post-elaborazione archivio | T | T | T
Trend esteso | T | T | T
Filtro tempo | T | T | X
Filtro lista informazione allarmi | X | C | T
Filtro CEL | C | X | T
Lista di informazione allarmi | X | C | T
Lista eventi cronologica (CEL) | C | X | T

Legenda:

  • C: le impostazioni comuni vengono attualizzate.
  • T: impostazioni temporali vengono aggiornate.
  • X: tutte le impostazioni vengono attualizzate.

info Informazioni su

nessun filtro

L´immagine filtro non viene sottoposta a filtro, ma aperta con i valori progettati, se:

  • una delle condizioni da 1 o a 3 è soddisfatta, oppure
  • l´impostazione Richiama immagine della funzione Cambio immagine non è attiva oppure
  • l´immagine non viene aperta tramite un elemento ad immagine

In questo caso, i pulsanti accetta, chiudui e aggiorna sono visualizzati in color grigio e non sono utilizzabili.

Aggiornamento

Al momento dell´apertura di un´immagine filtro (Filtro Lista di informazione allarmi, Filtro Lista eventi cronologica, Filtro tempo), vengono aggiornate le immagini progettate nella funzione Cambio immagine in due maniere:

  • nel caso in cui l´immagine filtro viene aperta tramite un elemento ad immagine, vengono aggiornate le immagini di destinazione che si trovano sullo stesso monitor dell´immagine sorgente.
  • Nel caso in cui invece l´immagine filtro viene aperta in un altro modo, oppure se l´impostazione Aggiorna su tutti i monitor è attivata, vengono aggiornate tutte le immagini di destinazione progettate.

L´aggiornamento avviene non appena cliccate sul pulsante Applica, oppure non appena chiudete l´immagine filtro con il pulsante Chiudi. Il pulsante Annulla rimuove le modifiche e chiude l´immagine filtro.

Aggiorna impostazioni di filtro

Facendo uso del pulsante Aggiorna, adottate le impostazioni attuali di filtro dell´immagine sorgente. Se l´immagine filtro non è stata aperta mediante un elemento ad immagine, oppure se l´impostazione Immagine che apre non è stata attivata, il sistema cerca su tutti i monitor un´immagine che può essere utilizzata per effettuare l´aggiornamento. La prima immagine che viene trovata, viene usata per l´aggiornamento.


Cambio ad un´immagine filtro

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Cambio ad un´immagine filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per impostare una funzione che serve ad aprire un´immagine filtro, procedete come segue:

  1. Scegliete Nuova funzione.
  2. Selezionate Cambio immagine.
  3. Selezionate l´immagine desiderata:
    • filtro-AML
    • filtro-CEL
    • Filtro tempo
  4. Verrà aperto il dialogo per la configurazione e il collegamento dei filtri per il tipo di immagine selezionato.
    Le schede visualizzate dipendono dal tipo d´immagine.
  5. Configurate le schede corrispondenti.

info Informazioni su

Schede per tipi d´immagine speciali:

  • Filtro-AML: immagini, generale, testo, tempo, lotti, impostazioni colonna
  • Filtro-CEL: immagini, generale, testo, tempo, lotti, impostazioni colonna
  • Filtro tempo: immagini, tempo, lotti, impostazioni colonna

Noch in diesem Kapitel

Immagini

Generale

Testo

Tempo

Lotto

Impostazioni colonna


Immagini

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Cambio ad un´immagine filtro -> Immagini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa tab potete stabilire quali immagini devono essere attualizzate tramite il filtro immagini.

Sono disponibili le seguenti impostazioni:

Il filtro sarà acquisito da questa immagine:

Parametro

Descrizione

Il filtro sarà acquisito da questa immagine:

Definizione dell´immagine da cui deve essere preso il filtro.

Immagine richiamante

Attivo: Le impostazioni di filtro vengono riprese dall´immagine a partire dalla quale si apre l´immagine filtro. Il pulsante Immagine è colorato in grigio. Potete anche non indicare esplicitamente un´immagine, visto che, in presenza di questa impostazione, l´attualizzazione filtro viene realizzata sempre dall´immagine che effettua l´apertura.

Nota: le impostazioni delle schede Generale, Testo e Tempo sono bloccate.

Immagine predefinita

Cliccando sul pulsante, si apre il Dialogo di selezione immagini.

Selezionate l´immagine dalla quale deve essere letto il filtro (nel momento in cui usate il pulsante Aggiornare nel runtime).

Per il passaggio ad immagini del tipo Filtro AML, Filtro CEL, Filtro tempo e modello di impianto, si possono selezionare anche sub-immagini di Faceplates. Allo scopo di distinguerle in modo chiaro da altre immagini, il sistema mette davanti al nome della sub-immagine quello dell´immagine Faceplate.

Attenzione: al momento dell´iniziale apertura dell´immagine filtro tramite la funzione, viene utilizzato il filtro progettato nella funzione, non quello dell´immagine indicata in questa sede!

Nota: dunque ha senso solamente selezionare un´immagine che può adottare, o riempire il filtro immagine.

L´immagine selezionata viene inserita nella lista di quelle da attualizzare. Se cancellate un´immagine dalla lista, viene inserita automaticamente la prossima immagine della lista.

Nota: non disponibile se avere attivato la checkbox Immagine che apre.

Immagini da aggiornare

Parametro | Descrizione
Immagini da aggiornare | Selezione delle immagini che devono essere aggiornate. Per il passaggio ad immagini del tipo Filtro AML, Filtro CEL, Filtro tempo e modello di impianto, si possono selezionare anche sub-immagini di Faceplates. Allo scopo di distinguerle in modo chiaro da altre immagini, il sistema mette davanti al nome della sub-immagine quello dell´immagine Faceplate.
Selezione Immagine | Cliccando sul pulsante si apre il dialogo per la Selezione delle immagini filtro. selezionate le immagini desiderate.
Aggiornamento | Definizione di dove deve avere effetto l´accettazione del filtro.
Aggiorna su tutti i Monitor | Attivo: Le immagini contenute nella lista di quelle da aggiornare vengono aggiornate su tutti i monitor a disposizione.


Generale

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Cambio ad un´immagine filtro -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa scheda è disponibile solamente per la Lista di informazioni allarmi e per la Lista eventi cronologica Filtro, e mostra i filtri standard per le liste corrispondenti. Vedi Lista di informazioni allarmi Filtro oppure Lista eventi cronologica Filtro.

AML

Filtro variabili

Parametro

Descrizione

Filtro variabili

Limitazione agli allarmi di determinate variabili

Nome variabile

Inserite il nome o la parte del nome delle variabili sulla base di cui deve essere effettuata l´operazione di filtro.

L´uso della wildcard * è possibile. Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Nota: I termini filtro inseriti nel Runtime o nell´Editor vengono salvati automaticamente anche sul calcolatore locale nello zenon6.ini e sono disponibili nella lista a discesa dove potranno essere selezionati per l´uso.

Attenzione: Nell´operazione di filtro, la virgola (,) serve "solo" da separatore fra diverse variabili da filtrare. La virgola non è un carattere consentito come criterio di filtro per i nomi variabili!
Ciò significa che non è possibile un filtro speciale per variabili array Dim 2 e Dim 3.

Identificazione

Indicate l´identificazione oppure la parte d´identificazione sulla base della quale volete effettuare l´operazione di filtro. Wildcard * è possibile.

L´uso della wildcard * è possibile. Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Nota: I termini filtro inseriti nel Runtime o nell´Editor vengono salvati automaticamente anche sul calcolatore locale nello zenon6.ini e sono disponibili nella lista a discesa dove potranno essere selezionati per l´uso.

Attenzione Case Sentitive

Attivo: si tiene presente la scrittura maiuscola e minuscola al momento di effettuare il filtro sulla base dei nomi o/e delle identificazioni variabili.

Tipo di allarme

Parametro

Descrizione

Tipo di allarme

Tipo degli allarmi che vengono visualizzati.

Solo allarmi non ripristinati

Attivo: Vengono visualizzati solo gli allarmi che non sono stati ancora ripristinati dall´utente.

Solo allarmi usciti

Attivo: Vengono visualizzati solamente gli allarmi che sono già usciti, il che significa che non si trovano più in zona critica.

Solo allarmi pendenti

Attivo: Vengono visualizzati solamente gli allarmi che sono ancora in attesa, i cui valori, cioè, si trovano ancora in zona critica.

Commento obbligatorio

Attivo: Vengono visualizzati solamente gli allarmi per cui esiste un obbligo di commento quando se ne effettua il ripristino.

Allarmi devono essere presenti da almeno

Definite con l´aiuto di Spincontrol per quanto tempo un allarme deve essere in attesa prima di essere visualizzato. Impostazioni possibili:

  • Giorni
  • Ore (Std.)
  • Minuti (Min.)
  • Secondi (Sek.)
  • Millisecondi (ms)

Origine dati

Parametro | Descrizione
Origine dati | Visualizzazione di alarmi attuali o attuali e storici.
Buffer circolare | Attivo: Vengono visualizzati solamente i dati provenienti dal Buffer circolare .
Dati storici Numero massimo | Attivo: Vengono visualizzati i dati provenienti dal buffer circolare e quelli storici della AML. Il numero massimo dei dati da visualizzare include quelli provenienti dal buffer circolare.

Gruppi/Classi- allarmi/eventi, Aree d' allarme

Parametro | Descrizione
Gruppi/Classi- allarmi/eventi, Aree d' allarme | Selezione di gruppi, classi e aree allarmi.
Gruppi di allarmi/evento | Selezionate nella lista dei Gruppi allarmi/eventi esistenti quelli da cui devono provenire gli allarmi da visualizzare.
Classi di allarme/evento | Selezionate nella lista delle Classi allarmi/eventi esistenti quelli da cui devono provenire gli allarmi da visualizzare.
Aree allarmi | Selezionate nella lista delle Aree allarmi esistenti quelli da cui devono provenire gli allarmi da visualizzare. Nota: Se è attiva l´opzione gerarchia allarmi via modello di impianto, la colonna "Area allarmi" è vuota.
Impostazioni Runtime | Comportamento della AML durante il runtime.
Apri lista bloccata | Attivo: Finché la lista viene visualizzata, non vengono aggiunti nuovi inserimenti.


Testo

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Cambio ad un´immagine filtro -> Testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda definite i valori standard per il filtro testo. Disponibile solamente per il filtro lista allarmi e per quello della lista eventi cronologica.

Filtra

Parametro | Description (Descrizione)
Filtra |
Nessun Filtro testo | Il filtro di testo non viene utilizzato.
Ricerca di (parole separate da spazi vuoti). | Il filtro testo viene utilizzato. Le ulteriori opzioni sono accessibili.
Campo di inserimento | Indicate le parole, oppure le sequenze di caratteri corrispondenti.

Opzioni

Parametro | Description (Descrizione)
Opzioni |
Attenzione Case Sentitive | Attivo: nell´effettuare l´operazione di filtro, il sistema distingue fra lettere maiuscole e minuscole.
Le parole non devono essere presenti nel testo nella loro interezza. | Attivo: si prendono in considerazione anche parti di parole nell´effettuazione dell´operazione di filtro.
Perlomeno una parola deve essere presente nel testo | Attivo: Almeno una parola della stringa di ricerca deve figurare nel testo.
Tutte le parole devono essere presenti nel testo | Attivo: tutte le parole della stringa di ricerca devono essere presenti nel testo La successione non ha nessuna importanza.
Testo filtro deve essere presente nel testo in modo esatto | Attivo: il testo deve essere esattamente come definito nella stringa di ricerca.


Tempo

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Cambio ad un´immagine filtro -> Tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda definite l´intervallo di tempo che deve essere usato all´apertura dell´immagine filtro.

Filtro

Scelta del filtro.

Parametro

Description (Descrizione)

Nessun filtro tempo

Attivo: Non viene usato nessun filtro temporale.

Nota: Nel Runtime verranno visualizzati tutti gli inserimenti a partire da 1. 1. 1990.

Filtro assoluto

Attivo: Viene indicato un periodo di tempo fisso nell´editor. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato.

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Periodo relativo

Attivo: Viene indicato un periodo di tempo relativo.

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attivo: Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione dell´area fra quelle della lista a cascata:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo tempo

Attivo: Viene indicato un intervallo di tempo fisso. Selezione dell´area fra quelle della lista a cascata:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 Minuti
  • 30 Minuti
  • 60 Minuti

Nel settore "Impostazioni"vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudi finestra di dialogo

Parametro | Description (Descrizione)
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Noch in diesem Kapitel

Periodo assoluto

Periodo relativo

Da

Intervallo tempo

Indicare intervallo nell´editor

Filtro tempo adattabile durante il Runtime


Periodo assoluto

Periodo assoluto

Con il filtro assoluto definite un intervallo di tempo fisso. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato. Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione periodo assoluto
  2. configurate il tempo desiderato nella parte delle Impostazioni

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attivo: Il filtro tempo viene configurato nel Runtime.
Default | Attivo: Il filtro tempo viene indicato nell´Editor. Nel Runtime si può fissare solamente il punto di partenza del filtro.
Da | Punto di partenza del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.
Fino a | Tempo di chiusura del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Periodo relativo

Periodo relativo

Viene indicato un periodo di tempo relativo.

Attenzione: questo filtro viene costantemente aggiornato e continua a funzionare.
Esempio: impostate un tempo relativo di 10 minuti e aprite alle ore 12:00 un´immagine con questo filtro tempo. In questo caso, verrano visualizzati i dati dalle 11:50 alle 12:00 al momento dell´apertura dell´immagine. Se l´immagine rimane aperta, il filtro viene aggiornato automaticamente. Alle 12:01 vedrete i dati dalle 11:51 alle 12:01 ecc.

Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione periodo relativo
  2. configurate il tempo desiderato nella parte delle Impostazioni

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attivo: Il filtro tempo viene configurato nel Runtime.
Default | Attivo: Il filtro tempo viene indicato nell´Editor. Nel Runtime si può fissare solamente il punto di partenza del filtro. Selezione dell´intervallo tempo relativo in giorni, ore, minuti e secondi.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Da

Da

Viene definito un tempo a partire dal quale il filtro è attivo. Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione Da
  2. selezionate il filtro desiderato fra quelli della lista a cascata.
    • Da HH:MM:SS
    • Dal Giorno - HH:MM:SS
    • Dal Giorno, Mese - HH:MM:SS
  3. configurate il tempo desiderato nella parte delle Impostazioni

Parametro

Descrizione

Impostazioni

Configurazione del filtro di tempo.

[Data/Ora]

In dipendenza dalle impostazioni effettuate per l´opzione Ab, in questa sede viene configurato un tempo a partire dal quale il filtro è attivo:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Attenzione! il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto l´orario delle 23:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.
  • Da HH:MM:SS

Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Esempio: facciamo il caso che indichiate come orario le 23:00:00. Se al momento dell´esecuzione della funzione sono le 23:30, viene effettuato il filtro dalle 23:00:00 fino al momento attuale. Se però sono le 22:30, allora il filtro viene effettuato dalle 23:00 del giorno precedente fino al momento attuale.
  • Dal Giorno - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nel mese corrente, si fa riferimento al tempo corrispondente del mese precedente.

Esempio: facciamo il caso che indichiate come giorno il 5 e come orario le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 del mese e sono le 23:30, il sistema effettua il filtro dal 5 del mese a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 del mese, il filtro viene effettuato a partire dal 5 del mese precedente alle 23:00 fino al momento attuale.

  • Dal Giorno, Mese - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nell´anno corrente, si fa riferimento al tempo corrispondente dell´anno precedente.

Esempio: facciamo il caso che indichiate comegiorno il 5, , come mese ottobre - e come ora le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 di ottobre e sono le 23:30, il sistema effettua il filtro dal 5 di ottobre a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 di ottobre, il filtro viene effettuato a partire dal 5 di ottobre precedente alle 23:00 fino al momento attuale.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Intervallo tempo

Intervallo tempo

Viene definito un intervallo di tempo nell´ambito del quale il filtro è attivo. Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione intervallo di tempo
  2. configurate il tempo desiderato nella parte delle Impostazioni

Parametro

Descrizione

Impostazioni

Configurazione del filtro di tempo.

Intervallo tempo

Selezione di un intervallo di tempo fra quelli proposti dal menù a tendina.

Nel Runtime si effettuerà un´operazione filtro sulla basa di questo intervallo di tempo. Il filtro si riferirà al momento dell´apertura dell´immagine.
Ad esempio: Il valore 60 minuti mostra tutti gli archivi dell´ultima ora.

Se questo dialogo viene offerto anche nel Runtime, si può selezionare il punto da cui deve incominciare a decorrere l´intervallo di tempo.

Modifica intervallo di tempo

Consente degli adattamenti del ciclo, spostamenti ed estensioni degli intervalli di tempo.

Attivo: L´analisi avviene secondo il seguente schema:

  • in primo luogo viene analizzata l´opzione Usa l´ultimo intervallo di tempo terminato.
  • Poi viene applicato Modifica periodo di.
  • Poi viene applicata l´opzione Spostamento intervallo avanti di.

Inattivo: non viene effettuata nessuna modifica all´intervallo di tempo.

Attenzione: A partire dalla versione 7.10, le azioni di filtro effettuate sulla base di questa funzione hanno prodotto altri esiti che nelle versioni precedenti.

Spostamento intervallo avanti di

Attivo: L´intervallo di tempo definito nel filtro viene spostato in avanti, nel futuro. Indicazione in ore - minuti - secondi.

Se si imposta uno spostamento pari o maggiore all´intervallo di tempo selezionato, il sistema visualizzerà una segnalazione che invita a verificare i dati della progettazione.

Modifica periodo di

Attivo: L´intervallo di tempo definito nel filtro viene modificato. Indicazione in ore - minuti - secondi.

Se si imposta una modifica e uno spostamento pari o maggiore all´intervallo di tempo selezionato, il sistema visualizzerà una segnalazione che invita a verificare i dati della progettazione.

Aggiungi tempo

Attivo: Il tempo indicato nell´opzione Modifica periodo di viene aggiunto a quello definito nell´opzione intervallo di tempo.

Sottrai tempo

Attivo: Il tempo indicato nell´opzione Modifica periodo di viene sottratto a quello definito nell´opzione intervallo di tempo.

Utilizza ultimo intervallo di tempo concluso

Attivo: Viene usato l´ultimo intervallo di tempo concluso.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Indicare intervallo nell´editor

Indicare intervallo nell´editor

Con questo metodo, indicate nell´editor già un intervallo di tempo fisso, che viene usato al momento dell´esecuzione della funzione nel runtime. Nel Runtime potete solamente fissare il punto temporale di partenza, ma non potete modificare alcuna impostazione di filtro.

Ad esempio: mettiamo che abbiate inserito un filtro tempo di 30 minuti. Nel runtime, potete solamente stabilire quando deve incominciare questo periodo di 30 minuti. Ma non potete neanche modificare il filtro in un filtro giorno.

attention Attenzione

Se usate questo tipo di filtro, non potete più adattare durante il Runtime anche tutti gli altri filtri che sono disponibili nella scheda Generale! Continua ad essere possibile filtrare sulla base di testo, stato e impianto.

Per impostare il filtro:

  1. nell´immagine deve essere disponibile il pulsante Filtro al fine di poter avviare il filtro stesso nel Runtime.
  2. selezionate il filtro desiderato
  3. configurate l´intervallo di tempo selezionato

Suggerimento per l´intervallo di tempo: attivate nel dialogo filtro l´opzione Proponi dialogo a Runtime. In tal modo potete adattare il punto temporale di partenza già prima dell´esecuzione della funzione. se non vi fate visualizzare il filtro al momento dell´apertura della funzione nel Runtime, verrà usato sempre l´intervallo di tempo attuale. Se avete attivato l´opzione Usa l´ultimo intervallo di tempo terminato, viene visualizzato l´ultimo intervallo di tempo.
Per esempio: mettiamo che abbiate impostato un filtro di 30 minuti. Quando si attiva la funzione sono le 10:45. Nel caso in cui l´opzione Usa l´ultimo intervallo di tempo terminato non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Nel caso in cui, però, l´opzione dovesse essere attiva, il filtro viene settato all´intervallo di tempo precedente dalle 10:00:00 alle 10:29:59.


Filtro tempo adattabile durante il Runtime

Filtro tempo adattabile durante il Runtime

Se seguite questo metodo, definite nell´Editor un filtro tempo: esso può essere adattato durante il Runtime prima di essere eseguito. Per impostare il filtro:

  1. nell´immagine devono essere presenti i pulsanti Filtro e Mostra filtro
  2. selezionate il filtro desiderato:
    • Periodo assoluto
    • Periodo relativo
  3. selezionate alla voce Impostazioni l´opzione Proponi data e ora attuale
  4. nel Runtime, verrà aperto il dialogo di filtro con la data e l´ora attuali.


Lotto

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Cambio ad un´immagine filtro -> Lotto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda potete stabilire quali lotti devono essere visualizzati.

Filtro

Impostazioni per l´uso del filtro lotti. Selezione di una delle opzioni:

  • Nessun filtro lotti
  • Usa direttamente filtro lotti
Parametro | Descrizione
Nessun filtro lotto | Attivo: Il filtro lotti viene disattivato e non può essere configurato. Nel Runtime non si effettuerà un´operazione filtro a base lotti.
Usa direttamente filtro lotti | Attivo: il filtro configurato in questa sede verrà utilizzato direttamente nel Runtime.

Archivio(i)

Configurazione delle operazioni di filtro su base archivi. Selezione di una delle opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametro

Descrizione

Nessun filtro

Attivo: non si effettua un´operazione di filtro su base nome archivi.

Statico

Attivo: si effettua un´operazione di filtro sulla base degli archivi la cui identificazione corrisponde alla successione caratteri indicata nel campo di inserimento.

Inserimento di identificazioni archivi nel campo di inserimento:

  • Più identificazioni sono divise mediante una virgola (,).
  • * oppure spazio vuoto: tutti gli archivi, nessun filtro.

Da variabile

Attivo: Nel Runtime viene usato il valore della variabile collegata qui come filtro per nomi archivi.

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Disponibile per tutti i moduli solo se è stata selezionata l´opzione Usa direttamente filtro lotti.

Informazioni concernenti le variabili nel Runtime:

  • Nel Runtime, la selezione variabili viene attivata solamente nel caso in cui si sia proceduto a collegare già nell´Editor una variabile valida. Il pulsante ... non è mai attivo nel Runtime. È dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, essa verrà registrata e letta. Ciò può causare dei ritardi nel caso di connessioni driver e protocolli lenti.

Attenzione: se il sistema non trova la variabile selezionata nel Runtime, non verrà effettuata alcuna operazione di filtro sulla base di nomi archivio. Ciò vale anche se risulta impossibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Nome(i)

Configurazione dell´operazione di filtro sulla base dei nomi. Selezione di una delle opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametro

Descrizione

Nessun filtro

Attivo: non si effettua un´operazione di filtro su base nome lotti.

Statico

Attivo: si effettua un´operazione di filtro sulla base dei nomi archivi che corrispondono alla successione caratteri indicata nel campo di inserimento.

Inserimento del nome lotto nel campo di inserimento:

  • Più identificazioni sono divise mediante un segno pipe (|).
  • * oppure spazio vuoto: tutti i lotti di tutti gli archivi visualizzati, nessun filtro.

Da variabile

Attivo: Nel runtime viene usato il valore della variabile collegata in questa sede come filtro per nomi lotti.

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Disponibile se è stata selezionata l´opzione Usa direttamente filtro lotti.

Informazioni concernenti le variabili nel Runtime:

  • Nel Runtime, la selezione variabili viene attivata solamente nel caso in cui si sia proceduto a collegare già nell´Editor una variabile valida. Il pulsante ... non è mai attivo nel Runtime. È dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.

Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, essa verrà registrata e letta. Ciò può causare dei ritardi nel caso di connessioni driver e protocolli lenti.

Attenzione: se il sistema non trova la variabile selezionata nel Runtime, non verrà effettuata alcuna operazione di filtro sulla base di nomi lotti. Ciò vale anche se risulta impossibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostazioni colonna

Manuale -> Immagini -> Tipi di immagine -> Immagini filtro -> Cambio ad un´immagine filtro -> Impostazioni colonna

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda definite in che modo la Lista archivi e la Lista lotti devono essere visualizzate nel runtime a partire dall´immagine del tipo Filtro tempo /lotto :

  • Selezione delle colonne che devono essere visualizzate.
  • Ordine delle colonne
  • Formattazione delle colonne:
    • Descrizione
    • Larghezza
    • Orientamento

Lista archivi

Parametro | Descrizione
Lista archivi | Configurazione della lista archivi Visualizzazione delle colonne configurate.
Scelta colonne | Cliccando sul pulsante si apre il dialogo per la selezione delle colonne e la loro organizzazione in una successione..
Formato colonne | Cliccando sul pulsante si apre il dialogo per formattare la lista.

Lista Lotti

Parametro | Descrizione
Lista Lotti | Configurazione della lista lotti. Visualizzazione delle colonne configurate.
Scelta colonne | Cliccando sul pulsante si apre il dialogo per la selezione delle colonne e la loro organizzazione in una successione..
Formato colonne | Cliccando sul pulsante si apre il dialogo per formattare la lista.
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Noch in diesem Kapitel

Scelta colonne

Formato colonne


Scelta colonne

Scelta colonne

Selezione e successione delle colonne.

Pulsante | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate da quelle disponibili a quelle selezionate. Dopo aver confermato il dialogo cliccando su OK, verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutte -> | Sposta tutte le colonne disponibili nelle colonne selezionate.
<- Cancella | Elimina le colonne evidenziate dalle selezionate e le visualizza nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, esse vengono eliminate dalla visualizzazione dettagliata.
<- Cancella tutte | Cancella tutte le colonne dalla lista delle colonne selezionate.
In su | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
In giù | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Formato colonne

Formato colonne

Configurazione delle proprietà delle colonne per le liste. Le impostazioni hanno effetto sulla lista corrispondente nell´Editor, oppure (nel caso di configurazione di un cambio immagine) nel Runtime.

Colonne disponibili

Parametri | Descrizione
Colonne disponibili | Lista delle colonne disponibili usando la Selezione colonne. La colonna evidenziata viene configurata tramite le opzioni nella sezione Impostazioni.

Impostazioni

Parametri

Descrizione

Impostazioni

Impostazioni per colonna selezionata.

Descrizione

Titolo della colonna

Il titolo colonna è traducibile online. Per poterlo tradurre, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene via pulsanti di opzione.

Impostazioni possibili:

  • Orientamento a sinistra: nella colonna, il testo si dispone prendendo come riferimento il bordo sinistro.
  • Centrato: nella colonna, il testo si dispone in posizione centrale.
  • Orientato a destra: nella colonna, il testo si dispone prendendo come riferimento il bordo destro.

Disattiva filtro colonne a Runtime

Attivo: Il filtro per questa colonna non può essere modificato durante il Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager Gruppi di Ricette

Colori definiti da utente

Proprietà per l´impostazione dei colori per ogni colonna definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto su Editor e Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per liste configurabili.
  • A Runtime, inoltre, può essere evidenziato il focus in un lista mediante diversi colori di testo e di sfondo. La configurazione di tali colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attivo: Vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando su "Colore", si apre la tavolozza che serve alla selezione di un colore.

Colore di sfondo

Colore per la visualizzazione dello sfondo delle celle. Cliccando su "Colore", si apre la tavolozza che serve alla selezione di un colore.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Message Box

Manuale -> Immagini -> Tipi di immagine -> Message Box

Tramite message boxes potete far visualizzare nel Runtime messaggi di sistema. 5 diversi tipi di messaggi di sistema possono essere configurati nel Runtime:

  • Message Box [Ok]
  • Message Box [Si, No]
  • Message Box [Si, No, Si Tutti, No Tutti]
  • Message Box [Ok, Annulla]
  • Message Box [Si, No, Annulla]

Nota: I tipi di message boxes elencati sopra vengono aperti solamente se vengono richiamati direttamente da un´immagine di zenon. I message boxes richiamati da una finestra di dialogo, rimangono immutati.

Noch in diesem Kapitel

Crea immagine del tipo Message Box

Gestione durante il runtime


Crea immagine del tipo Message Box

Manuale -> Immagini -> Tipi di immagine -> Message Box -> Crea immagine del tipo Message Box

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  1. Impostate una nuova immagine:

Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
Verrà aperta un´immagine vuota del tipo standard.

  1. Modificare le proprietà dell´immagine:

Assegnare un nome all´immagine nella proprietà Nome.

  1. Selezionate nella proprietà "Tipo di immagine" Message Box.
  2. Selezionate nella proprietà Modello il modello desiderato.

attention Attenzione

Tenete presente per il modello selezionato le seguenti impostazioni:

  • Attivate l´opzione Modello multi istanziabile
  • Attivate l´opzione Inibisci chiusura alla perdita del Focus
  • L´immagine Message Box non deve basarsi sullo stesso modello di altre immagini!
  • Disattivate l´opzione Min./Max. Pulsanti nelle proprietà di progetto Cornice.
  1. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.

Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.

attention Attenzione

Vi preghiamo di tenere assolutamente presenti le seguenti informazioni per l´immagine del tipo Message Box:

  • Non si può progettare una funzione di cambio immagine nell´immagine.
  • L´immagine del tipo Message Box non può essere richiamata tramite una funzione di cambio immagine.


Gestione durante il runtime

Manuale -> Immagini -> Tipi di immagine -> Message Box -> Gestione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sono disponibili i seguenti elementi di controllo:

Elemento di controllo | Azione
Titolo della Message Box | Header della message box.
Testo della Message Box | Contenuto della message box.
Pulsanti | Apre la finestra di dialogo per la selezione di un´azione.
Ok | Conferma l´azione e chiude la finestra di dialogo.
Elimina | Annulla l´azione e chiude il dialogo.
Sì | Applica le modifiche e chiude la finestra di dialogo.
No | Rigetta le modifiche e chiude il dialogo.
Sì tutti | Riprende e accetta tutte le modifiche e chiude il dialogo.
No tutti | Annulla tutte le modifiche e chiude il dialogo.
Icone | Alcuni messaggi di sistema hanno un´icona che ne simboleggia il tipo.
Punto esclamativo | Appare quando un messaggio di sistema è un avvertimento.
Informazione | Appare quando un messaggio di sistema fornisce un´informazione.
Punto interrogativo | Appare quando un messaggio di sistema pone una domanda.
Errore | Appare in un messaggio di sistema in forma di errore.

Nota: Le icone sono implementate come pulsanti privi di funzione. Sostituite la didascalia con file grafici per ottenere l´aspetto desiderato.


HTML

Manuale -> Immagini -> Tipi di immagine -> HTML

Permette la visualizzazione di un´immagine in HTML. Il Microsoft Web Browser Control installato attualmente sul computer viene usato come Rendering Engine.

info Informazioni su

Sotto Windows CE, i browser sono limitati nelle loro possibilità. È possibile che delle pagine non vengano visualizzate come ci si aspetterebbe.

Modalità compatibilità

Il comportamento della modalità compatibilità può essere adattato usando la Windows Registry.

Esempio: Settare la modalità compatibilità per Internet Explorer 11:

  1. portatevi alla chiave HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_BROWSER_EMULATION
  2. aggiungete il seguente valore DWORD: Zenrt32.exe
    (Fate attenzione alla scrittura maiuscola e minuscola)
  3. settate il suo valore decimale su: 11001

Nota: Su di un calcolatore a 64-Bit, aggiungete lo stesso valore DWORD nella seguente chiave:

HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Internet Explorer\Main\FeatureControl\FEATURE_BROWSER_EMULATION

Noch in diesem Kapitel

Crea un'immagine del tipo HTML

Cambio ad un´immagine del tipo HTML


Crea un'immagine del tipo HTML

Manuale -> Immagini -> Tipi di immagine -> HTML -> Crea un'immagine del tipo HTML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Crea un'immagine del tipo HTML

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine HTML.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Crea un'immagine del tipo HTML

Elemento di controllo | Descrizione
Inserisci modello | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Browser | Elementi di controllo per il browser.
Finestra navigazione | Visualizzazione del browser.
Campo indirizzo | Campo per l´inserimento dell´indirizzo (URL).
Pagina iniziale | Richiamo della pagina iniziale.
In avanti | sfoglia in avanti.
Indietro | sfoglia indietro.
Aggiorna | aggiorna la visualizzazione.
Interrompi | termina la navigazione.
Ricerca | Elementi di controllo per la ricerca. Cliccando su un link nel campo Ricerca, viene visualizzata la pagina corrispondente nel browser. Così possono essere visualizzati nel campo 'Ricerca', per esempio, una barra di navigazione oppure il risultato di una ricerca del motore di ricerca, senza che il suo contenuto venga modificato se si clicca su un link.
Trova | visualizzazione della ricerca.
Campo di ricerca | Cercare indirizzi o file.
Pagina iniziale | Ritornare all´inizio nella zona di ricerca
In avanti | Sfogliare avanti nel campo di ricerca
Indietro | Sfogliare indietro nel campo di ricerca
Aggiorna | Aggiorna la visualizzazione nel campo di ricerca.
Stop | Interrompere la ricerca
Filtro | Aprire box filtro


Cambio ad un´immagine del tipo HTML

Manuale -> Immagini -> Tipi di immagine -> HTML -> Cambio ad un´immagine del tipo HTML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una funzione per l´apertura di un´immagine del tipo HTML:

  • Scegliete Nuova funzione.
  • Selezionate Cambio immagine.
  • Scegliete la Immagine del tipo HTML
  • Si apre il dialogo di configurazione
  • Configurate i parametri per browser e ricerca.
    L´indirizzo browser può essere configurato in modo statico, oppure essere ripreso da un variabile.
  • Confermate la configurazione cliccando su OK.

Finestra di dialogo Cambio immagine - HTML

Indirizzi

Parametri

Descrizione

Indirizzi

Selezione del tipo di inserimento indirizzo per la pagina iniziale:

  • URL statico: Inserimento di un indirizzo fisso nel campo di inserimento Finestra navigazione, oppure selezione fra quelli proposti dal menù a tendina. .
  • URL da variabile: Selezione di una variabile nel campo variabile, che trasmette l´indirizzo nel Runtime.

Variabile

Inserimento della variabile che consegna nel Runtime gli URL della pagina iniziale. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile. La variabile può essere inserita anche direttamente nell´apposito campo.

Disponibile solamente se per Indirizzi è stata selezionata l´opzione URL da variabile.

Finestra navigazione

Inserimento dell´URL che deve essere aperto come pagina iniziale nel Runtime. Selezione dalla lista a cascata, oppure inserimento diretto nel campo apposito.

Disponibile solamente se per Indirizzi è stata selezionata l´opzione URL statico.

Trova

Selezione dell´URL che viene usato per la ricerca in Internet. Selezione dalla lista a cascata, oppure inserimento diretto nel campo apposito.

Cronologia

Parametri | Descrizione
Cronologia | Numero degli indirizzi che sono a disposizione per il menù a tendina.
Indirizzi di ricerca | Numero degli indirizzi di cui si prende nota per il campo di ricerca e sono a disposizione nel menù a tendina. Minimo: 0 Massimo: 20 Default: 10
Indirizzo browser | Numero degli indirizzi di cui si prende nota per la pagina iniziale. Minimo: 0 Massimo: 20 Default: 10

Generale

Parametri

Descrizione

Visualizza questa finestra di dialogo a Runtime
  • Attivo: Il dialogo viene visualizzato all´apertura dell´immagine nel runtime. Le impostazioni possono essere modificate e adattate.
  • Inattivo: Nel Runtime valgono le impostazioni che sono state effettuate in questa sede. Esse non possono essere più modificate.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Blocco note

Manuale -> Immagini -> Tipi di immagine -> Blocco note

Il blocco note consente la visualizzazione e (opzionalmente) la modifica di file di testo.

Noch in diesem Kapitel

Crea un'immagine del tipo Blocco note

Funzione Cambio ad un´immagine del tipo Blocco note.

Gestione durante il runtime


Crea un'immagine del tipo Blocco note

Manuale -> Immagini -> Tipi di immagine -> Blocco note -> Crea un'immagine del tipo Blocco note

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Crea un'immagine del tipo Blocco note

La dimensione di visualizzazione del blocco note liste dipende dalla grandezza del modello associato. Nella definizione del Cambio immagine bisogna stabilire quale file viene aperto.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine blocco note.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Elemento di controllo | Azione
Inserisci modello | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Finestra-blocco note | Rappresenta il blocco note selezionato.
Funzioni blocco note | Gli elementi di controllo per la gestione del blocco note.
File... | Apre la finestra di dialogo per la selezione di un file.
Aggiorna | Attualizza la finestra selezionata.
Salva | Salva il file di testo nella cartella indicata.
Salva con nome... | Apre il dialogo che serve alla selezione di un percorso di salvataggio e di un nome.
Chiudi | Chiede la finestra attiva in quel momento.
Stampa | Stampa il contenuto del blocco note sulla stampante definita.
Dialogo di stampa... | Apre, prima di effettuare la stampa, la finestra di dialogo che serve a selezionare una stampante.
Navigazione |  | Elementi di controllo che servono alla navigazione.
Riga in su |  | Passa una riga in su all´interno del file di testo.
Riga in giù |  | Passa una riga in giù su all´interno del file di testo.
Colonna a destra |  | Si sposta una colonna a destra all´interno del file di testo.
Colonna a sinistra |  | Si sposta una colonna a sinistra all´interno del file di testo.
Pagina in su |  | Si sposta una pagina in su all´interno del file di testo.
Pagina in giù |  | Si sposta una pagina in giù all´interno del file di testo.
Pagina a destra |  | Si sposta una pagina a destra all´interno del file di testo.
Pagina a sinistra |  | Si sposta una pagina a sinistra all´interno del file di testo.


Funzione Cambio ad un´immagine del tipo Blocco note.

Manuale -> Immagini -> Tipi di immagine -> Blocco note -> Funzione Cambio ad un´immagine del tipo Blocco note.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per impostare una funzione per aprire l´immagine blocco note, procedete come segue:

  • scegliete Nuova funzione
  • selezionate Cambio immagine
  • Scegliete la Immagine del tipo Blocco note
  • Si apre un dialogo per la definizione del file che deve essere visualizzato.

Parametri | Descrizione
Nome file | Selezione del file che deve essere visualizzato. Un clic sul comando ... apre il dialogo di selezione. Il file deve essere già stato impostato nel manager di progetto, e, più precisamente, nel nodo File/Testi e formati. Nel caso in cui non dovesse essere ancora stato impostato il relativo file, lo si può selezionare nel dialogo facendo uso del simbolo Aggiungi file. Tipi di dato consentiti: TXT, HTM, HTML, FRM.
Sola lettura | Attivo: Il testo può essere letto, ma non editato durante il runtime.


Gestione durante il runtime

Manuale -> Immagini -> Tipi di immagine -> Blocco note -> Gestione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sono disponibili i seguenti elementi di controllo:

Elemento di controllo | Azione
Finestra-blocco note | Rappresenta il blocco note selezionato.
Funzioni blocco note | Gli elementi di controllo per la gestione del blocco note.
File... | Apre la finestra di dialogo per la selezione di un file.
Aggiorna | Attualizza la finestra selezionata.
Salva | Salva il file di testo nella cartella indicata.
Salva con nome... | Apre il dialogo che serve alla selezione di un percorso di salvataggio e di un nome.
Chiudi | Chiede la finestra attiva in quel momento.
Stampa | Stampa il contenuto del blocco note sulla stampante definita.
Dialogo di stampa... | Apre, prima di effettuare la stampa, la finestra di dialogo che serve a selezionare una stampante.
Navigazione |  | Elementi di controllo che servono alla navigazione.
Riga in su |  | Passa una riga in su all´interno del file di testo.
Riga in giù |  | Passa una riga in giù su all´interno del file di testo.
Colonna a destra |  | Si sposta una colonna a destra all´interno del file di testo.
Colonna a sinistra |  | Si sposta una colonna a sinistra all´interno del file di testo.
Pagina in su |  | Si sposta una pagina in su all´interno del file di testo.
Pagina in giù |  | Si sposta una pagina in giù all´interno del file di testo.
Pagina a destra |  | Si sposta una pagina a destra all´interno del file di testo.
Pagina a sinistra |  | Si sposta una pagina a sinistra all´interno del file di testo.


Video

Manuale -> Immagini -> Tipi di immagine -> Video

Utilizzando un’immagine per la visualizzazione video si possono visualizzare in zenon riprese online oppure riprese video salvate. Il formato usato è .avi.

Durante il Runtime i video vengono visualizzati centrati nel modello assegnato. La gestione avviene tramite elementi di controllo.

Nota: il Codec necessario per riprodurre i video deve essere installato sul calcolatore.

info Informazioni su

La connessione di zenon con le telecamere integrate nei notebook via driver del produttore di questi ultimi, qualche volta è fonte di problemi. In questo caso:

  • installate un software per telecamera di un produttore terzo
  • selezionate poi la camera integrata come sorgente.

Noch in diesem Kapitel

Crea un'immagine del tipo Video

Funzione Cambio immagine - video

Gestione durante il runtime


Crea un'immagine del tipo Video

Manuale -> Immagini -> Tipi di immagine -> Video -> Crea un'immagine del tipo Video

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Crea un'immagine del tipo Video

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Video.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

info Informazioni su

L´opzione Inserisci modello aggiunge elementi di controllo predefiniti in posizioni predefinite nell´immagine. Possono essere integrati tutti gli elementi di controllo, che possono essere anche cancellati e posizionati liberamente. Possono essere aggiunti anche altri elementi dinamici e elementi vettoriali.


Funzione Cambio immagine - video

Manuale -> Immagini -> Tipi di immagine -> Video -> Funzione Cambio immagine - video

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con un´immagine del tipo Video possono essere visualizzati due tipi di video durante il runtime:

  1. Video salvati (*.avi)
  2. Video di una camera a circuito chiuso

Quali immagini vengono visualizzate dipende da quale scheda viene mostrata al momento di salvare il dialogo.

info Informazioni su

Se devono essere visualizzati sia file che immagini online, create due funzioni con cambio immagine per l´immagine.

Per impostare una funzione che serve ad aprire l´immagine Video, procedete come segue:

  • scegliete Nuova funzione
  • selezionate Cambio immagine
  • Scegliete la Immagine del tipo Video
  • Si apre il box di dialogo per la definizione della fonte immagine.
    • File-Video
    • Video online

Noch in diesem Kapitel

File-Video

Video online


File-Video

Manuale -> Immagini -> Tipi di immagine -> Video -> Funzione Cambio immagine - video -> File-Video

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I parametri necessari all´apertura di un´immagine del tipo Video per guardare i file video salvati, sono:

  • Indicazione del video che deve essere visualizzato.
  • Impostazioni relative a posizione, velocità, volume e fattore di zoom della visualizzazione.

Parametri | Descrizione
File Video | *.avi | File video salvato che deve essere visualizzato Attenzione: Vi preghiamo di tenere presente che, a causa di una limitazione di Windows, la lunghezza assoluta del percorso file non deve superare i 128 caratteri, perché altrimenti non è possibile visualizzare il video. Visto che il percorso assoluto è prestabilito, e che dunque la maggior parte dei caratteri a disposizione è già occupata, ai video dovrebbero essere assegnati dei nomi file brevi.

Opzioni e parametri

Parametri | Descrizione
Playbar | Visualizzazione di un regolatore scorrevole per la visualizzazione video.
Menù | Visualizzazione di un menù per il controllo del video da una barra di scorrimento (Possibile solo a barra attivata).
Video centrato | Posizione di partenza video quando si usa lo zoom ?attivo: Attivo: il video zoomato viene posizionato sempre al centro del modello. Disattivata: la finestra del video viene ingrandita a destra in basso.
Autostart | Il file video viene visualizzato subito all'apertura dell'immagine
Riproduzione continua | Alla fine del video, il file video viene attivato nuovamente
Velocità | Velocità di riproduzione in millesimi della velocità originale. Default: 1000 (velocità originale)
Zoom | Fattore zoom per ingrandimento o rimpicciolimento in percentuale della grandezza originale. Default: 100 (grandezza originale)
Volume | Volume in millesimi del volume originale. Default: 1000 (volume originale)
Freq.timer | Nota: non viene usato al momento. Frequenza timer Default: 500

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Video online

Manuale -> Immagini -> Tipi di immagine -> Video -> Funzione Cambio immagine - video -> Video online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I parametri necessari all´apertura di un´immagine del tipo Video per la visualizzazione di una telecamera a circuito chiuso:

  • Indicazione del driver video
  • Impostazioni per le opzioni di registrazione nel caso in cui si vogliano anche registrare dei video.

Parametri | Descrizione
Driver video | Selezione del driver video da utilizzare. Nota: il driver dovrebbe supportare Microsoft Capturing.
Opzioni di registrazione | Opzioni per la registrazione e il salvataggio di video come file AVI oppure bitmap. Se devono essere visualizzate solamente delle immagini online, non è necessario effettuare nessuna impostazione in questa sede.
Nome o descrizione breve | Nome del file da salvare
Assegna nome automaticamente | Il nome viene generato a inizio registrazione con l’orologio di sistema.
Attiva limite Cap. tempo Attiva limite registrazione | Limite temporale per la registrazione in secondi.
Formato | AVI o BMP
Autostart registrazione | La registrazione inizia subito all'apertura dell'immagine.
Usa Buffer DOS | Rilevante solamente per sistemi a 16 bit.
Frame rate | Numero di immagini al secondo per la registrazione.
Buffer video | Parte del buffer riservata per la visualizzazione video in MB.
Drop rate MAX | Massimo "Dropped Frames" consentito in percentuale durante la registrazione. Valore: da 0 fino 100 Default: 10
Video | Impostazioni specifiche del driver.
Visualizza… | Impostazione dipendente dal driver selezionato.
Formattare…. | Impostazione dipendente dal driver selezionato.
Comprimere…. | Impostazione dipendente dal driver selezionato.
- Origine…. | Impostazione dipendente dal driver selezionato.
Audio | Impostazioni per la registrazione sonora.
-Acquisisci audio | Attiva registrazione sonora.
Formato audio | Impostazioni specifiche del driver.


Gestione durante il runtime

Manuale -> Immagini -> Tipi di immagine -> Video -> Gestione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel modello, i video vengono visualizzati centrati.

Elemento di controllo | Descrizione
Filtro | Impostazioni filtro.
Hardware | Elementi di controllo per la gestione dei video.
Start | Esegui file video.
Stop | Stop/riprendi riproduzione.
Registrazione | Registrare video.
Pausa | Fermare il video durante l' esecuzione.
Video online | Elementi per la gestione di un video online.
Formato | Formato di emissione.
Sorgente | Fonte dati.
Visualizza | mostra video.
Compressione | Compressione dati.
File video | Elementi per la gestione di un file video.
Ingrandimento | Ingrandimento della sezione
Velocità | Velocità di riproduzione.
>> (Avanti) | Salta al passo (Frame) successivo.
<< (Indietro) | Salta un passo indietro.
Espelli | Espelli.


Funzioni immagine

Manuale -> Immagini -> Funzioni immagine

Se si crea la funzione standard dal menù contestuale nella visualizzazione dettagli, zenon genera automaticamente una funzione cambio immagine per l'immagine selezionata Ulteriori funzioni possono essere progettate facendo uso del nodo Funzioni e del comando Nuova funzione.

Noch in diesem Kapitel

Cambio immagine con variabile

Chiudi immagine

Immagine indietro

Cancella percorso per "Immagine indietro"

Spostare il centro dell'immagine

Cambio immagine

Focus: esegui funzione elemento

Attiva focus sul modello

Imposta focus

Elimina focus dal modello

Visualizza menù

Assegna monitor

Porta modello in primo piano

Chiudi modello

Stampa screenshot

Valore impostabile predefinito per immagine Keyboard

Visualizza finestra di controllo


Cambio immagine con variabile

Manuale -> Immagini -> Funzioni immagine -> Cambio immagine con variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione, si passa nel Runtime ad un´immagine il cui nome viene definito da una variabile stringa. La variabile viene selezionata con questa funzione.

Come parametro è da selezionare una variabile string dalla lista delle variabili.

Indicazione relativa a sistemi multi-monitor: non è possibile una scelta monitor. La funzione si riferisce sempre al primo monitor.


Chiudi immagine

Manuale -> Immagini -> Funzioni immagine -> Chiudi immagine

Con questa funzione si chiude durante il Runtime un´immagine definita. Se, nel caso di progetti multi-monitor, un´immagine è aperta su diversi monitor, si può scegliere quale immagine deve essere chiusa su quale monitor.

Per configurare la funzione:

  1. selezionate nella lista delle funzioni, e più precisamente nel nodo Immagini, la funzione Chiudi immagine
  2. selezionate l´immagine desiderata;
  3. nel caso di progetti multi-monitor, selezionate fra quelli proposti dalla lista il monitor virtuale su cui deve essere chiusa l´immagine:
    • Tutti
    • Monitor attuale
    • Certo monitor virtuale

Chiudi immagine

Parametri | Descrizione
Chiudi immagine | Configurazione di quali immagini vengono chiuse all´apertura della funzione.
Tutte le immagini con il nome | Tutte le immagini aperte che hanno il nome selezionato vengono chiuse. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine. Per i dettagli vedi la sezione Dialogo Selezione immagini.
Immagine richiamante | L´immagine richiamante viene chiusa. Anche quando sono aperte più immagini con lo stesso nome, viene chiusa solo quella dalla quale proviene la chiamata. Se si sceglie questa opzione, non si potrà configurare manualmente la selezione monitor. Raccomandazione: questa opzione si presta particolarmente alla chiusura di pop-up.

Selezione monitor

Parametri

Descrizione

Selezione monitor

Configurazione del monitor per il quale viene progettata la chiusura dell´immagine.

Monitor

Selezione del monitor fra quelli della lista.

  • Tutti i monitor
  • Monitor attuale
  • Selezione di un monitor virtuale
    (Nota: con l´apertura nel Runtime, vengono visualizzati i monitor reali).

È disponibile solo nel caso Sistemi multi-monitor, e solo per l´opzione Tutte le immagini con il nome.

Visualizza questa finestra di dialogo a Runtime

Attivo: Nel Runtime viene aperta questa finestra di dialogo prima dell´esecuzione della funzione.

Ok

Accetta le impostazioni e chiude il dialogo.

Elimina

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

Dialogo Selezione immagini

Nel dialogo di selezione "Immagini" si può procedere alla selezione di immagini per l´esecuzione di funzioni; tali immagini provengono da:

  • progetto attuale
  • sotto-progetti
  • tutti i progetti del workspace con l´opzione Mantieni progetto in memoria attiva

Parametri | Descrizione
Finestra Albero di progetto | Mostra tutti i progetti del workspace Si può procedere alla scelta di immagini selezionandole tra quelle del progetto attuale, o fra quelle di tutti i progetti in cui l´opzione Mantieni progetto in memoria sia attiva
Finestra Immagini | Scelta dell´immagine Se si selezionano più immagini, per l´esecuzione della funzione viene utilizzata l´immagine che si trova in cima alla lista.
Nessuna selezione | Elimina la selezione e chiude il dialogo.
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Immagine indietro

Manuale -> Immagini -> Funzioni immagine -> Immagine indietro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si può commutare rapidamente su immagini precedentemente aperte e nel frattempo chiuse nel funzionamento online . Queste immagini precedentemente aperte vengono amministrate dopo la chiusura in una memoria. La stessa funzione che è stata utilizzata per aprire l´immagine, sarà eseguita un´altra volta quando essa verrà aperta di nuovo.. Il che significa che filtri immagine non vengono salvati, ma devono essere creati di nuovo. Con l´esecuzione della funzione Cambio immagine vengono inserite nella memoria le immagini dei rispettivi Modelli resi disponibili.

Attenzione: vale ogni chiamata della funzione Cambio immagine, anche se non avviene direttamente, ma viene inserita come funzione-start nelle proprietà dell´immagine.

Per configurare la funzione:

  1. Stabilite nelle proprietà di progetto Modelli primari nel gruppo Aspetto grafico/Runtime generale di quali modelli si deve tener conto.
  2. Stabilite il numero delle immagini da tornare indietro con la proprietà di progetto Anzahl f. Bild zurück Fkt. del gruppo Funzioni.
  3. Configurate la funzione Immagine indietro
    Le funzioni selezionate nella funzione devono essere scelte anche nelle proprietà di progetto Modelli primari.
    Indicazione relativa a sistemi multi-monitor: non è possibile una scelta monitor. La funzione si riferisce sempre a tutti i monitor.

info Informazioni su

Un´immagine viene inserita nella lista Immagine indietro solo quando viene chiusa. Modelli rimasti aperti sullo sfondo, però, non sono considerati immagini chiuse. Se delle immagini vengono dunque aperte in più modelli che si trovano l´uno sull´altro, la lista Immagine indietro rimane vuota, visto che tutte le immagini sono aperte.

Suggerimento: non piazzate modelli direttamente uno sopra l´altro.

Cancella percorso

Il percorso "Immagine indietro" può essere cancellato nel Runtime:

  • in caso di cambio utente, automaticamente facendo uso della proprietà DelPicBackPathAtLogout nel gruppo Gestione user.
  • individualmente mediante la progettazione della funzione Cancella percorso per "Immagine indietro.


Cancella percorso per "Immagine indietro"

Manuale -> Immagini -> Funzioni immagine -> Cancella percorso per "Immagine indietro"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione, si può cancellare nel Runtime il percorso della Funzione Immagine indietro.

Per configurare la funzione:

  1. Selezionate nella lista delle funzioni, e più precisamente nel nodo Immagine indietro, la funzione Cancella percorso per "Immagine indietro".
  2. La funzione viene impostata.
  3. Collegate la funzione ad un bottone nell´immagine.

Nota: Nel Runtime, il percorso "Immagine indietro" può essere cancellato anche automaticamente in caso di un cambio utente. A tal scopo, deve essere configurata la proprietà di progetto DelPicBackPathAtLogout nel gruppo Gestione user.


Spostare il centro dell'immagine

Manuale -> Immagini -> Funzioni immagine -> Spostare il centro dell'immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione serve a spostare il centro dell' immagine globale , oppure a modificare il livello zoom.

Requisiti:

  • L´immagine deve essere più grande del modello.
  • Nelle proprietà dell´immagine, si deve disattivare nel gruppo Modello la proprietà Ricava dimensioni dal modello
  • La grandezza deve essere definita tramite le proprietà Larghezza [Pixel] e Altezza [Pixel].

info Informazioni su

Questa funzione non è disponibile con Windows CE.

Finestra di dialogo Centro dell'immagine e zoom

Parametri | Descrizione
Immagine | Selezione dell´immagine per il nuovo centro dell´immagine. Cliccando sul pulsante, si apre il dialogo che serve alla scelta dell´immagine.
Selezione punto centrale immagine | Definizione del centro dell´immagine.
Nome oggetto | Definire centro dell´immagine desiderato tramite un oggetto dalla lista degli oggetto.
Coordinate | Determinare le coordinate (x,y) per il centro dell´immagine desiderato.
Impostare livello di zoom | Impostazione dei livelli zoom.
in % | Impostare la percentuale dello zoom desiderato.
Grado | Selezionare il fattore zoom dai livelli di zoom definiti.
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Nota: A Visualizzazione globale aperta più volte, questa funzione viene applicata solamente alla visualizzazione globale aperta per ultima.


Cambio immagine

Manuale -> Immagini -> Funzioni immagine -> Cambio immagine

La funzione Cambio immagine consente di passare durante il runtime da un´immagine di processo all´altra.

Example Esempio

In un progetto c`è un´immagine Start e una del tipo Lista di informazione allarmi. Deve essere possibile durante il runtime passare fra queste due immagini. Per poter far ciò, ad esempio, si crea nell'immagine Start un pulsante, nonché una funzione del tipo cambio di immagine per portare all'immagine Lista delle segnalazioni di allarme. Poi si collega la funzione con il pulsante, per esempio, per Drag&Drop. Durante il runtime, poi, si potrà lasciare l´immagine Start e aprire quella Lista delle segnalazioni di allarme clicando su questo pulsante.

Progettare cambio immagine

Per configurare la funzione:

  1. create una nuova funzione
  2. navigate per raggiungere il nodo Immagini
  3. selezionate la funzione Cambio immagine
  4. si apre il dialogo per selezionare un´immagine
  5. selezionate un´immagine
  6. si aprirà il Dialogo per la sostituzione di variabili e funzioni
  7. chiudete il dialogo cliccando su OK.
  8. assegnate la funzione ad un pulsante

Dialogo Selezione immagini

Nel dialogo di selezione "Immagini" si può procedere alla selezione di immagini per l´esecuzione di funzioni; tali immagini provengono da:

  • progetto attuale
  • sotto-progetti
  • tutti i progetti del workspace con l´opzione Mantieni progetto in memoria attiva

Parametri | Descrizione
Finestra Albero di progetto | Mostra tutti i progetti del workspace Si può procedere alla scelta di immagini selezionandole tra quelle del progetto attuale, o fra quelle di tutti i progetti in cui l´opzione Mantieni progetto in memoria sia attiva
Finestra Immagini | Scelta dell´immagine Se si selezionano più immagini, per l´esecuzione della funzione viene utilizzata l´immagine che si trova in cima alla lista.
Nessuna selezione | Elimina la selezione e chiude il dialogo.
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Focus: esegui funzione elemento

Manuale -> Immagini -> Funzioni immagine -> Focus: esegui funzione elemento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione attiva l´elemento che possiede il focus nel modello desiderato.


Attiva focus sul modello

Manuale -> Immagini -> Funzioni immagine -> Attiva focus sul modello

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione setta il focus su un modello definito nel caso di una gestione tastiera nel runtime.

Per configurare la funzione:

  1. selezionate nella lista delle funzioni, e più precisamente nel nodo Immagini, la funzione Attiva focus sul modello
  2. si apre il dialogo per selezionare un modello
  3. Selezionate il modello desiderato.
  4. nel caso di un sistema multi-monitor, selezionate il Monitor virtuale per l´apertura del modello

Nel runtime, il modello su cui è stato settato il focus, viene visualizzato con una cornice. La larghezza della linea e il colore della cornice vengono definite nelle proprietà di progetto nel nodo Aspetto grafico/Immagini.

Dialogo Selezione modelli

Nella finestra di dialogo Selezione modelli si può procedere alla selezione di modelli per l´esecuzione di funzioni; essi provengono da:

  • progetto attuale
  • sotto-progetti
  • tutti i progetti del workspace con l´opzione Mantieni progetto in memoria attiva

Parametro | Descrizione
Finestra Albero di progetto | Mostra tutti i progetti del workspace Si può procedere alla scelta di modelli selezionandoli tra quelli del progetto attuale, o fra quelli di tutti i progetti in cui l´opzione Mantieni progetto in memoria sia attiva
Finestra Modelli | Selezione di un modello. Se si selezionano più modelli, per l´esecuzione della funzione viene utilizzato il modello che si trova in cima alla lista.
Nessuna selezione | Elimina la selezione e chiude il dialogo.
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Setta focus sul modello con modello aperto più volte.

Quando un modello viene mostrato più volte sul monitor, ad ogni esecuzione della funzione il focus cambia in direzione contraria alla successione di apertura. Se, per esempio, a modello richiamabile più volte, si aprono le immagini Immagine1, Immagine2 e Immagine3 e poi si setta il focus su questo modello, il focus sarà l´immagine aperta per ultima, cioè Bild3. Quando si richiamerà di nuovo la funzione Setta focus sul modello, il focus si sposterà su Immagine2, e così via.


Imposta focus

Manuale -> Immagini -> Funzioni immagine -> Imposta focus

Questa funzione setta il focus su un elemento definito nel caso di una gestione tastiera nel runtime e può essere usato per la navigare all´interno di un modello.

Proprietà | Azione
Direzione | Stabilire la direzione di spostamento del focus. Vale la successione definita nell´editor nel menu contestuale, oppure alla voce Modifica/Sposta successione per focus...-
su elemento | Stabilire l’elemento che deve ricevere il focus. Si deve inserire il nome oggetto dell’elemento


Elimina focus dal modello

Manuale -> Immagini -> Funzioni immagine -> Elimina focus dal modello

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione toglie il focus dal modello attuale durante il runtime. Per continuare la gestione con tastiera, il focus deve essere settato di nuovo su un modello.


Visualizza menù

Manuale -> Immagini -> Funzioni immagine -> Visualizza menù

Questa funzione gestisce la visualizzazione di menù principali.

  1. Create con Nuova funzione una nuova funzione
  2. Selezionate nel nodo Immagini la funzione Visualizza menù
  3. Definite l´azione da eseguire e il menù principale

Parametri | Descrizione
Azione | Selezione dell´azione:
Visualizza menù | Il menù selezionato viene visualizzato.
Nascondi menù | Il menù selezionato viene nascosto.
Cambia menù | Il menù attuale viene nascosto ed il menù selezionato viene visualizzato.
Se menù non disponibile | Viene visualizzato il menù selezionato qualora attualmente non sia visualizzato nessun altro menù.
Menù | Scelta del menù.
Visualizza questa finestra di dialogo a Runtime | Attivo: al momento dell´esecuzione della funzione durante il runtime, viene aperto questo dialogo.


Assegna monitor

Manuale -> Immagini -> Funzioni immagine -> Assegna monitor

In un progetto a più monitor si può assegnare con questa funzione ad un singolo monitor reale un determinato monitor virtuale.


Porta modello in primo piano

Manuale -> Immagini -> Funzioni immagine -> Porta modello in primo piano

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si possono portare in primo piano nel Runtime delle immagini che sono coperte da altre. Si seleziona un modello - e si effettua un´assegnazione monitor nel caso in cui si sia configurata l´opzione multi-monitor. Nel Runtime, tutte le istanze del modello definito vengono portate in primo piano sul monitor selezionato quando essere vengono eseguite. Questa funzione è utile soprattutto per le immagini ed i modelli che sono stati aperti con header.

Per configurare la funzione:

  1. selezionate nel menù contestuale del nodo Funzioni il comando Nuova funzione
  2. Scegliete nel dialogo di selezione del nodo la voce Immagini.
  3. Selezionate la funzione Porta modello in primo piano.
  4. Si apre il dialogo per selezionare un modello.
  5. Selezionate il modello desiderato e confermate cliccando su OK.
  6. Collegate la funzione ad un bottone

Dialogo di selezione per modelli

Parametri

Descrizione

Finestra Albero di progetto

Mostra tutti i progetti del workspace Si può procedere alla scelta di modelli selezionandoli tra quelli del progetto attuale, o fra quelli di tutti i progetti in cui l´opzione Mantieni progetto in memoria sia attiva

Finestra Modelli

Selezione di un modello.

Se si selezionano più modelli, per l´esecuzione della funzione viene utilizzato il modello che si trova in cima alla lista.

Nessuna selezione

Elimina la selezione e chiude il dialogo.

Monitor

Nel caso di sistemi multi-monitor, la selezione del monitor fra quelli offerti dal menù a tendina per questa funzione viene configurata:

  • Tutti i monitor
  • Monitor attuale
  • certo monitor virtuale

Ok

Accetta le impostazioni e chiude il dialogo.

Elimina

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.


Chiudi modello

Manuale -> Immagini -> Funzioni immagine -> Chiudi modello

Con questa funzione si chiude durante il Runtime il modello selezionato con tutte le immagini che si basano su di esso. Al contrario della funzione Immagine chiudi non è richiesta l’esatta indicazione del nome immagine. Se, nel caso di progetti multi-monitor, un modello è aperto su diversi monitor, si può scegliere quale modello deve essere chiuso su quale monitor.

Per configurare la funzione:

  1. selezionate nella lista delle funzioni, e più precisamente nel nodo Immagini, la funzione Chiudi modello
  2. Selezionate il modello desiderato.
  3. nel caso di progetti multi-monitor, selezionate fra quelli proposti dalla lista a cascata il monitor virtuale su cui deve essere chiuso il modello:
    • tutti
    • Monitor attuale
    • certo monitor virtuale

Chiudi modello

Parametri | Descrizione
Chiudi modello | Configurazione di quali modelli vengono chiusi all´apertura della funzione.
Tutti i modelli con il nome | Tutti i modelli aperti che hanno il nome selezionato vengono chiusi. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello. Per i dettagli vedi la sezione Dialogo Selezione modelli.
Modello richiamante | Il modello richiamante viene chiuso. Anche quando sono aperti più modelli con lo stesso nome, viene chiuso solo quello dal quale proviene la chiamata. Se si sceglie questa opzione, non si potrà configurare manualmente la selezione monitor.

Selezione monitor

Parametri

Descrizione

Selezione monitor

Configurazione del monitor per il quale viene progettata la chiusura del modello.

Monitor

Selezione del monitor fra quelli della lista.

  • Tutti i monitor
  • Monitor attuale
  • Selezione di un monitor virtuale
    (Nota: con l´apertura nel Runtime, vengono visualizzati i monitor reali).

È disponibile solo nel caso Sistemi multi-monitor, e solo per l´opzione Tutti i modelli con il nome.

Visualizza questa finestra di dialogo a Runtime

Attivo: Nel Runtime viene aperta questa finestra di dialogo prima dell´esecuzione della funzione.

Ok

Accetta le impostazioni e chiude il dialogo.

Elimina

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

Noch in diesem Kapitel

Dialogo Selezione modelli


Dialogo Selezione modelli

Manuale -> Immagini -> Funzioni immagine -> Chiudi modello -> Dialogo Selezione modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo Selezione modelli si può procedere alla selezione di modelli per l´esecuzione di funzioni; essi provengono da:

  • progetto attuale
  • sotto-progetti
  • tutti i progetti del workspace con l´opzione Mantieni progetto in memoria attiva

Parametro | Descrizione
Finestra Albero di progetto | Mostra tutti i progetti del workspace Si può procedere alla scelta di modelli selezionandoli tra quelli del progetto attuale, o fra quelli di tutti i progetti in cui l´opzione Mantieni progetto in memoria sia attiva
Finestra Modelli | Selezione di un modello. Se si selezionano più modelli, per l´esecuzione della funzione viene utilizzato il modello che si trova in cima alla lista.
Nessuna selezione | Elimina la selezione e chiude il dialogo.
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Stampa screenshot

Manuale -> Immagini -> Funzioni immagine -> Stampa screenshot

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Runtime, con questa funzione può essere stampato uno screenshot dell’intero schermo o di modelli (immagini di processo, liste, curve trend etc.).

Come parametri di trasferimento si devono indicare il modello ed opzioni addizionali. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo:

Proprietà

Descrizione

Seleziona area di stampa

Visualizzazione dell´area selezionata

Definisci area di stampa

Selezione dell´area da stampare.

Area schermo completa

Stampa uno screenshot dell´intero schermo. Nel caso di sistemi multi-monitor viene stampato il contenuto del monitor standard.

Lista modelli

Disponibile solo se la proprietà Area schermo completa è disattivata.

Selezionate il modello desiderato cliccandoci sopra due volte. Questo sarà visualizzato nel campo Seleziona area di stampa.

Nota: se il modello selezionato non è attivo nel Runtime, non si stampa nulla.

Monitor

Disponibile solo se è stato selezionato un modello e se la proprietà Area schermo completa è disattivata.

Selezionate il monitor desiderato fra quelli presenti nella lista a cascata.

  • tutti
  • Monitor attuale
  • certo monitor virtuale

Nota: Quando avete selezionato un modello che riguarda più monitor, dovete selezionare monitor attuale, in modo tale che venga stampato l'intero modello.

Opzioni Stampa

Con margine

Nell´effettuare l´operazione di stampa, si lascia un margine.

Invertito

Inverte settori chiari/scuri.

Fax

Devia la stampa a un fax Per far sì che ciò avvenga, bisogna che venga selezionato un fax nelle Impostazioni stampa come stampante per screenshot. .


Valore impostabile predefinito per immagine Keyboard

Manuale -> Immagini -> Funzioni immagine -> Valore impostabile predefinito per immagine Keyboard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Valore impostabile predefinito per immagine Keyboard è disponibile solamente per immagini-keyboard. Inoltre, deve essere stato creato il campo testo Inserimento valore impostabile. Questa funzione consente di impostare o anche di settare un valore definito in precedenza.

Parametri | Descrizione
Impostazione valore | Inserimento del valore impostabile.
Azione | Selezione dell´azione fra quelle del menù a tendina. (per le azioni possibili, vedi la tabella seguente)
Ok | Applica gli inserimenti, chiude il dialogo e crea una funzione con valore e azione.
Elimina | Rigetta gli inserimenti, chiude il dialogo e crea una funzione senza valore impostabile e azione.
Guida | Apre la guida online

Azioni nel menù a tendina:

Azione

Descrizione

Valore suggerito

l´impostazione valore viene scritta nell´immagine-keyboard

Accettare valore

Accade quanto segue:

  • l´impostazione valore viene scritta nell´immagine-keyboard
  • l´immagine Keyboard viene chiusa con OK

RGM: Accetta e invia valore

Se l´immagine keyboard viene richiamata da una tabella-ricetta RGM, allora:

  • l´impostazione valore viene scritta nell´immagine-keyboard
  • l´immagine Keyboard viene chiusa con OK
  • il valore ricetta viene scritto sulla variabile

RGM: Accetta valore e salva la ricetta

Se l´immagine keyboard viene richiamata da una tabella-ricetta RGM, allora:

  • l´impostazione valore viene scritta nell´immagine-keyboard
  • l´immagine Keyboard viene chiusa con OK
  • viene salvata la ricetta

RGM: scrivi e invia valore, nonché salva ricetta

Se l´immagine keyboard viene richiamata da una tabella-ricetta RGM, allora:

  • l´impostazione valore viene scritta nell´immagine-keyboard
  • l´immagine Keyboard viene chiusa con OK
  • il valore ricetta viene scritto sulla variabile
  • viene salvata la ricetta


Visualizza finestra di controllo

Manuale -> Immagini -> Funzioni immagine -> Visualizza finestra di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Visualizza finestra di controllo mostra durante il Runtime una finestra di controllo che visualizza in un sistema multi-monitor i monitor reali o i modelli esistenti. Cliccando con il mouse si può passare a un monitor o a un modello.

Per configurare la funzione:

  1. create una nuova funzione
  2. navigate per raggiungere il nodo Immagini
  3. selezionate la funzione Visualizza finestra di controllo
  4. si apre il dialogo per configurare la finestra di controllo
  5. selezionate la Vostra configurazione
  6. chiudete il dialogo cliccando su OK.
  7. assegnate la funzione ad un pulsante

Mostra dialogo Finestra di controllo

Impostazioni

Parametri | Descrizione
Impostazioni | Con questa funzione si può solo aprire, o chiudere la finestra di controllo o fare il toggle. La selezione avviene via pulsanti radio:
Visualizza | La finestra di controllo viene aperta.
Toggle | la visualizzazione passa da aperta a chiusa.
Chiudi | La finestra di controllo viene chiusa.

Visualizza nei :

Parametri | Descrizione
Visualizza nei : | Selezione della visualizzazione nella finestra di controllo. Vengono visualizzati o modelli o monitor.
Modelli | La finestra di controllo divide lo schermo in modelli.
Monitor | La finestra di controllo divide lo schermo in monitor.
Posizione | La posizione della finestra di controllo sullo schermo, calcolata in pixel a partire dall´angolo in alto a sinistra.

Stile della finestra

Parametri | Descrizione
Stile della finestra |
Con titolo | Attivo: la finestra di controllo dispone di una barra titolo Windows
Menù di sistema | Attivo: viene visualizzato il menù sistema Windows a barra titolo attivata
Con cornice | Attivo: La finestra di controllo viene visualizzata con una cornice. La dimensione della finestra può essere modificata trascinando la cornice. Selezione dello spessore della cornice mediante pulsanti radio:
Sottile | cornice spessa.
Grassetto | Cornice fine

Colori

Parametri | Descrizione
Colori | Impostazione dei colori della finestra di controllo. Cliccando su Colore si apre la tavolozza.
Colore sfondo | Colore dello sfondo della finestra
Visualizzazione attuale | Modelli/monitor attualmente visualizzati.
Cornice | Colore della cornice.
Selezionate | Modelli/monitor selezionati
Ok | Riprende le impostazioni, chiude il dialogo e crea una funzione con assegnazione.
Elimina | Rifiuta le impostazioni, chiude il dialogo e crea una funzione con impostazioni standard.
Guida | Apre la guida online


Import e Export

Manuale -> Import e Export

E' possibile importare parti di un progetto (per es. funzioni, variabili, immagini ecc.) in zenon, oppure esportarle da zenon. In tal modo si possono usare tali elementi in altri progetti, li si può salvare oppure modificare esternamente.

tutorial Informazioni sulla licenza

Import e export nella maggior parte dei formati sono contenuti nella licenza standard .

Eccezione: per l´export SQL è necessaria una licenza extra.

Noch in diesem Kapitel

Generale

Archivi

Immagini

Utenti

Tipi di dato

Funzioni

Menù

Matrici di reazione

Ricette standard

Gruppi ricette

Variabili

Interblocchi

Temporizzatori

Attribuzioni

Segnalazioni d'errore


Generale

Manuale -> Import e Export -> Generale

I dati esportati possono essere elaborati all´esterno per poi essere importati in un altro progetto o all´interno dello stesso progetto.

attention Attenzione

Limitazioni:

  • Formule:
    import e export via CSV oppure dBase non supportano impostazioni variabili specifiche per driver, come per es. nessuna formula. Esportatele e importatele via XML.
  • XML e compatibilità con le versioni precedenti:
    Non esiste compatibilità con le versioni precedenti con l´import/export XML. I dati di vecchie versioni di zenon possono essere ripresi. Ma il passaggio di dati da versioni più recenti a quelle precedenti non viene supportato, è dunque impossibile.

In un progetto Sono a disposizione le funzionalità seguenti per l´importazione/esportazione.

  • Definizione di variabili
    • Tipi di dato
    • Matrici di reazione
    • Attribuzioni
  • Immagini
    • Modelli
    • Carattere
  • Funzioni
    • Funzioni script
  • Server di archiviazione
  • Ricette standard
  • Gruppi di ricette
  • Temporizzatori
  • Interblocchi
  • Gestione menù
  • Gestione user

E possibile l´esportazione di tutti gli oggetti di un tipo oppure di un oggetto solo.

  • Tutti gli oggetti: Selezionate del ramo del Manager di progetto -> Menù contestuale XML "Esporta tutti...."
  • Singoli oggetti: Selezionate uno o più oggetti nella visuale dettagli -> Menù contestuale XML "esporta.... selezionati"

Gli oggetti nell´esportazione/importazione sono identificati secondo il loro nome e non secondo la loro identificazione interna, cioè se vengono importati dei progetti in un altro progetto, non possiedono la stessa identificazione interna.

Quando si realizza l´importazione di dati, una barra di progresso indica lo stato dell'importazione/esportazione.

attention Attenzione

Se al momento di effettuare un import nel progetto dovesse risultare che esiste un elemento dello stesso nome, questo viene sovrascritto tramite l'elemento del file d'importazione. (La sola eccezione sono i tipi di dato).

Le proprietà degli oggetti vengono elencate nel file di esportazione con la loro identificazione interna, la quale viene anche utilizzata in caso di accesso con VBA.

Troverà una descrizione dettagliata delle singole proprietà nell’ Help delle proprietà.

Alle proprietà che non esistono nel file XML (per es. perché sono state cancellate), vengono attribuiti i valori default quando si crea un nuovo elemento. Per gli elementi già presenti nel progetto, le proprietà non esistenti nel file XML non vengono modificate.

Example Esempio

Una variabile viene importata la prima volta senza offset. Questo viene inizializzato con il valore default 0. Con l'importazione di S7, l'offset viene modificato portandolo a 100. Più tardi la variabile viene importata una seconda volta; anche in questo caso manca l'offset nel file d'importazione. Viene mantenuto l'offset 100.

attention Attenzione

Il file XML da importare deve essere consistente. Al momento dell'import del file, viene effettuato un esame di plausibilità. Se ci sono degli errori nei dati importati, ci possono essere delle conseguenze indesiderate nel progetto, che potrebbero arrivare fino al non funzionamento dello stesso.

Di ciò se deve tener conto in modo del tutto particolare se nel file XML non sono presenti tutte le proprietà, visto che queste potrebbero essere settate con valori default! Per es.: una variabile binaria ha un valore limite di 300.


Archivi

Manuale -> Import e Export -> Archivi

Il file di esportazione per gli archivi si suddivide nelle seguenti sezioni:

Lista archivi

Quando si importano/esportano degli archivi, le variabili o le funzioni interessate non verranno importate/esportate automaticamente. Bisogna fare attenzione tenendo conto del caso specifico: dev´essere effettuata prima un'importazione/esportazione di funzioni e variabili. Si possono importare/esportare tutti gli archivi contemporaneamente oppure archivi selezionati.


Immagini

Manuale -> Import e Export -> Immagini

Esporta immagini

Con le immagini vengono esportate anche le variabili e funzioni ivi contenute. Il file di esportazione per le immagini contiene:

  • Immagini
  • Modelli
  • Simboli
  • Variabili
  • Funzioni

Per esportare delle immagini:

  1. selezionate l´immagine desiderata
  2. selezionate nel menù contestuale oppure nella visualizzazione dettagli il comando Esporta in XML.. ..
    Alternativa: selezionate nel menù contestuale del nodo Immagini il comando Esporta tutti in XML...
  3. si apre il dialogo di selezione per il luogo di salvataggio
  4. Selezionate il luogo di salvataggio desiderato
  5. assegnate un nome
  6. fate attenzione al tipo di dato XML
  7. confermate cliccando sul pulsante Salva

Le immagini selezionate vengono esportate in un file XML e possono essere reimportate in qualsiasi momento in questo o in altri progetti.

Importa immagine

Per importare delle immagini:

  1. selezionate nel menù contestuale del nodo Immagini oppure della visualizzazione dettagli Immagini il comando Importa file XML
  2. si apre il dialogo di selezione per il luogo di salvataggio
  3. passate al luogo di salvataggio del file XML desiderato
  4. selezionate il file desiderato
  5. confermate l´import cliccando sul pulsante Apri

Le immagini vengono importate.

Conflitti causati dal nome in caso di import

Quando si importa un´immagine, il sistema usa il nome depositato nel file XML (attributo ShortName) per la denominazione della nuova immagine che deve essere impostata. Se esiste già un´immagine che ha lo stesso nome, l´import viene interrotto e appare una segnalazione di errore:

Parametri | Descrizione
Sì | L´immagine citata nella segnalazione di errore viene sostituita nel corso dell´import da quella proveniente dal file XML. Nel caso si verifichi un altro conflitto, la segnalazione di errore apparirà di nuovo.
No | L´immagine citata nella segnalazione di errore non verrà importata; viene mantenuta l´immagine già esistente. Nel caso si verifichi un altro conflitto, la segnalazione di errore apparirà di nuovo.
Sì tutti | L´immagine citata nella segnalazione di errore viene sostituita nel corso dell´import da quella proveniente dal file XML. Quest´impostazione viene usata automaticamente nel caso in cui si verifichino altri errori dovuti all´uguaglianza di nomi. Tutte le immagini interessate vengono sostituite.
No tutti | L´immagine citata nella segnalazione di errore non verrà importata; viene mantenuta l´immagine già esistente. Quest´impostazione viene usata automaticamente nel caso in cui si verifichino altri errori dovuti all´uguaglianza di nomi. Tutte le immagini interessate vengono mantenute.

Nota: Si usa solamente lo ShortName. Il nome file non gioca alcun ruolo nella denominazione dell´immagine da importare, e, dunque, non può essere usato per la risoluzione del conflitto.

Variabili e funzioni in immagini

Gli Elementi dinamici e i Modelli vengono importati automaticamente con le immagini. Le variabile e le funzioni devono essere importate da questo file in maniera separata.

Vengono considerate però solo le variabili e funzioni del primo livello, cioè, le variabili e funzioni che sono collegate direttamente con l´immagine. Siccome da un lato i funzioni si possono riferire su delle variabili (p.e. valore impostabile) e dall´altro lato si possono riferire le variabili su delle funzioni (p.e. funzioni di valore impostabile), potrebbe essere necessario, di importare prima le variabili, poi le funzioni e alla fine un altra volta le variabili. Solo dopo tutti i collegamenti vengono assunti nel modo corretto.

Esempio: Un'immagine contiene un pulsante collegato con una funzione setta valore impostabile su una variabile. Con l´immagine viene importata la funzione, ma non la variabile.

info Informazioni su

In questo caso si consiglia l´uso del Wizard XML Import.

Noch in diesem Kapitel

Modelli

Carattere

Simboli


Modelli

Manuale -> Import e Export -> Immagini -> Modelli

I modelli possono essere esportati/importati indipendentemente dalle immagini.

I modelli vengono esportati con le coordinate definite originariamente (in dipendenza della risoluzione del calcolatore sorgente). Al momento di effettuare l'importazione bisogna tenere presente che i modelli non vengono adattati automaticamente alla risoluzione del calcolatore di destinazione.


Carattere

Manuale -> Import e Export -> Immagini -> Carattere

Nell´export dei caratteri vengono esportati:

  • Lista caratteri
  • Carattere

Tutti questi dati vengono automaticamente importati insieme ai tipi di carattere.


Simboli

Manuale -> Import e Export -> Immagini -> Simboli

E' possibile l'import/export di simboli dalla libreria del progetto e dalla libreria dei simboli globale. Si possono importare o esportare singoli simboli selezionati, oppure tutta la libreria. Il percorso per l'export può essere scelto liberamente.

Esporta simboli

Per esportare dei simboli:

  1. selezionate i simboli desiderati
  2. selezionate nel menù contestuale oppure nella visualizzazione dettagli il comando Esporta in XML.. ..
    Alternativa: selezionate nel menù contestuale del nodo Progetto-libreria simboli il comando Esporta tutti in XML...
  3. si apre il dialogo di selezione per il luogo di salvataggio
  4. Selezionate il luogo di salvataggio desiderato
  5. assegnate un nome
  6. fate attenzione al tipo di dato XML
  7. confermate cliccando sul pulsante Salva

I simboli selezionati vengono esportate in un file XML e possono essere reimportate in qualsiasi momento in questo o in altri progetti.

Importa simboli

Per importare dei simboli:

  1. selezionate nel menù contestuale del nodo, oppure della visualizzazione dettagli di Libreria simboli - Progetto, oppure nella visualizzazione dettagli della Libreria simboli globale, il comando Importa file XML..
  2. si apre il dialogo di selezione per il luogo di salvataggio
  3. passate al luogo di salvataggio del file XML desiderato
  4. selezionate il file desiderato
  5. confermate l´import cliccando sul pulsante Apri

I simboli vengono importati.

Conflitti causati dal nome durante l´import

Quando si importa un simbolo, il sistema usa il nome salvato nel file XML (attributo ShortName) per la denominazione del simbolo che deve essere creato. Se esiste già un simbolo che ha lo stesso nome, l´import viene interrotto e appare una segnalazione di errore:

Parametri | Descrizione
Sì | Il simbolo citato nella segnalazione di errore viene sostituito nel corso dell´import da quello proveniente dal file XML. Nel caso si verifichi un altro conflitto, la segnalazione di errore apparirà di nuovo.
No | Il simbolo citato nella segnalazione di errore non verrà importato; viene mantenuto il simbolo già esistente. Nel caso si verifichi un altro conflitto, la segnalazione di errore apparirà di nuovo.
Sì tutti | Il simbolo citato nella segnalazione di errore viene sostituito nel corso dell´import da quello proveniente dal file XML. Quest´impostazione viene usata automaticamente nel caso in cui si verifichino altri errori dovuti all´uguaglianza di nomi. Tutti i simboli interessati vengono sostituiti.
No tutti | Il simbolo citato nella segnalazione di errore non verrà importato; viene mantenuto il simbolo già esistente. Quest´impostazione viene usata automaticamente nel caso in cui si verifichino altri errori dovuti all´uguaglianza di nomi. Tutti i simboli interessati vengono mantenuti.

Nota: Si usa solamente lo ShortName. Il nome file non gioca alcun ruolo nella denominazione del simbolo da importare, e, dunque, non può essere usato per la risoluzione del conflitto.


Utenti

Manuale -> Import e Export -> Utenti

Il file di esportazione per gli Utentisi suddivide in:

Lista utenti

Utenti impostati localmente nel progetto possono essere esportati/importati.

attention Attenzione

Le password degli utenti vengono importate in modo cifrato! Perciò non possono essere direttamente modificate nel file di esportazione.


Tipi di dato

Manuale -> Import e Export -> Tipi di dato

Il file di esportazione per i Tipi di dato si suddivide in:

Lista tipi dato

Vedi per ulteriori informazioni la sezione: Import di variabili e tipi di dato .

Noch in diesem Kapitel

Creare tipi di dato manualmente


Creare tipi di dato manualmente

Manuale -> Import e Export -> Tipi di dato -> Creare tipi di dato manualmente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

attention Attenzione

Solo per esperti

Nel caso in cui si voglia creare manualmente un tipo di dato nel file XML, si dovrebbe usare la seguente definizione:

info Informazioni su

<Apartment ShortName=' zenon(R) type list' Version=' 0x00000000' >
<Type TypeID=' 3' IsComplex=' FALSE' >
<Name>UINT</Name>
</Type>
</Apartment>

Si dovrebbe lasciare perdere le restanti proprietà della definizione del tipo di dato.


Funzioni

Manuale -> Import e Export -> Funzioni

All´importazione/esportazione di funzioni, le variabili interessate etc. non verranno importate/esportate automaticamente. Nel caso preciso bisogna fare attenzione ad eseguire prima un importazione/esportazione dei relativi oggetti.

info Informazioni su

A partire dalla versione 6.50 di zenon, le informazioni concernenti il tempo sono salvate in una funzione su base XML in UTC (secondi dal 1/1/1970, ore 0:00). Ciò riguarda, per esempio, la funzione Cambio immagine verso i seguenti tipi di immagine:

  • Lista di informazioni allarmi
  • Filtro lista informazione allarmi
  • Post-elaborazione archivio
  • Lista Eventi Cronologica (CEL)
  • Filtro CEL
  • Trend esteso
  • Production & Facility Scheduler
  • Report
  • Filtro tempo

Nelle versioni precedenti di zenon rispetto alla 6.50, questa informazione temporale viene salvata su base stringa (per esempio 02.01.1970 01:00:00).

Noch in diesem Kapitel

Script


Script

Manuale -> Import e Export -> Funzioni -> Script

Il file di esportazione per gli script si suddivide in:

Lista script

Quando sono importati/esportati gli script, le funzioni interessate non verranno importati/esportati automaticamente. Bisogna fare attenzione caso per caso: dev´essere effettuata prima un'importazione/esportazione delle funzioni.

Ogni script appare nel file di esportazione con una sezione propria che contiene il nome dello script e i nomi delle funzioni collegate.


Menù

Manuale -> Import e Export -> Menù

Il file di esportazione per i Menùsi suddivide in:

Lista Menù

Quando sono importati/esportati i menù, le variabili, funzioni, pagine di help e le macro non vengono esportate/importate automaticamente. Bisogna fare attenzione tenendo conto del caso specifico: dev´essere effettuata prima un'importazione/esportazione di funzioni e variabili.


Matrici di reazione

Manuale -> Import e Export -> Matrici di reazione

Il file di esportazione per le Matrici di reazione si suddivide in:

Lista delle matrici di reazione


Ricette standard

Manuale -> Import e Export -> Ricette standard

Il file di esportazione per le Ricettesi suddivide in:

Lista ricette

Lista variabili

Lista driver

Lista tipi dato

Con le Ricette standard vengono esportate anche le Variabiliivi contenute. Le Ricette vengono importate automaticamente. Le variabili devono essere importate da questo file in maniera separata.

Oltre al XML Import/Export, c'è a disposizione per le Ricette standard anche l'ASCII Import.
Attenzione: Nel caso dell'ASCII-Import, le ricette possono essere importate solo singolarmente.

Per quello che riguarda la ricetta, viene salvato il valore Raw. Questo viene utilizzato attraverso VBA e, nel caso si esportino delle ricette, attraverso XML.


Gruppi ricette

Manuale -> Import e Export -> Gruppi ricette

Il file di esportazione per le Ricette Manager gruppi ricettesi suddivide in:

  • Lista dei gruppi ricette

Quando sono importate/esportate i gruppi di ricette e le loro ricette, le Variabili interessate non verranno esportate/importate automaticamente. Caso per caso bisogna fare attenzione che venga effettuata prima un'importazione/esportazione delle variabili.

Il file XML è costruito sulla base di gruppi ricette, il che significa che vengono importati singoli gruppi di ricette (con le loro variabili, ricette e valori delle ricette). Dopo un'importazione, saranno ancora disponibili i valori delle ricette esistenti che non si trovano nel file d'importazione. La stessa cosa vale per le ricette e le variabili collegate.

Quando si importa una singola ricetta di un gruppo, vale quanto segue: il gruppo ricette corrispondente deve essere selezionato. Nella finestra di emissione viene visualizzato il relativo messaggio.

info Informazioni su

Il RGM supporta accanto a XLM anche l'import ASCII delle ricette.
Attenzione: Nel caso dell'ASCII-Import, le ricette possono essere importate solo singolarmente.


Variabili

Manuale -> Import e Export -> Variabili

Le variabili possono essere esportate o importate con zenon:

  • XML: Export e import; nel caso dell´import, i dati vengono analizzati e, se ci sono dei conflitti, vengono proposte delle possibilità di soluzione degli stessi.
  • CSV: Export e Import; nel caso dell´import, i dati esistenti vengono sovrascritti.
  • DBF: Export e Import; nel caso dell´import, i dati esistenti vengono sovrascritti.
  • S7: Importa
  • Progetto TwinCAT: Importa

info Informazioni su

Con l´import/export via CSV non è possibile importare o esportare delle variabili complesse (variabili struttura, array).

Esporta

Il file di esportazione per le variabili si suddivide in:

  • Lista variabili
  • Lista driver
  • Lista tipi dato

L´esportazione delle variabili include quindi anche i driver e i tipi di dato. Vedi guida sulle Variabili, capitolo Esporta dati.

attention Attenzione

Anche nel file XML deve essere assolutamente indicato un driver, altrimenti non viene importata neanche una variabile! Da tenere presente è il fatto che le proprietà del driver nel file XML sono dipendenti dal progetto.

Importa

Nel processo di import delle variabili,, zenon apre un box di dialogo nel quale può essere assegnato un driver di origine tratto dal file XML ad un driver di destinazione nel progetto. Tutte le variabili del driver di origine vengono importate come variabili per il driver di destinazione. I tipi di dato vengono automaticamente importati assieme alle variabili. I driver devono essere creati nel progetto prima dell'import. Vedi sezione Import di variabili e tipi di dato.

attention Attenzione

Le modifiche che interessano le variabili vengono raccolte in una lista senza un ordine determinato. Per questa ragione, per ogni import può essere accettata solamente una modifica pro variabile. Se si vuole che vengano riprese diverse modifiche pro variabile, si può farlo solamente effettuando altrettanti procedimenti di importazione.

Esempio: se una variabile è stata rinominata e cancellata nel corso dello stesso procedimento di import, dopo la fine di quest´ultimo si potrà avere una variabile non cancellata, ma semplicemente rinominata.

Importazione di variabili struttura :

Strutture

Le strutture che differiscono da quelle esistenti, possono essere importate in strutture già esistenti. Le variabili che si basano su di esse vengono adattate automaticamente.

  • Gli elementi di struttura vengono identificati attraverso il loro nome.
  • Nel caso di elementi di struttura già esistenti, il tipo viene adattato nella misura in cui si differenzia.
  • Gli elementi non esistenti vengono aggiunti.
  • Gli elementi che non esistono nel nuovo elemento di struttura, vengono cancellati.

Variabili non attive

Quando si importano delle variabili strutturate, vengono importate sia variabili attive, che inattive. Gli elementi esistenti non vengono sovrascritti quando si effettua l´import. Se quindi si importa in un progetto una variabile inattiva e poi la si attiva, essa rimane attiva anche dopo un nuovo import XML.

Noch in diesem Kapitel

Import e export di variabili e tipi di dato

XML-Import

Import CSV

Esportazione CSV

Progetto S7

Import e export dBase


Import e export di variabili e tipi di dato

Manuale -> Import e Export -> Variabili -> Import e export di variabili e tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per quello che concerne l´import/export di variabili vale quanto segue:

  • L´import/export non può essere avviato dal progetto globale.
  • L´avvio avviene tramite:
    • Il menù contestuale di variabili o tipi di dato nella struttura ad albero del progetto
    • Oppure il menù contestuale di una variabile oppure di un tipo di dato
    • Oppure il simbolo nella barra simboli delle variabili.

attention Attenzione

Con l'import / la sostituzione di tipi di dato esistenti, vengono modificate tutte le variabili che si basano su questo tipo esistente tipo di dato.

Esempio:

Esiste un tipo di dato XYZ derivato dal tipo INT con variabili che si basano su questo tipo di dato. Anche il Vostro file XML che deve essere importato contiene un tipo di dato dal nome XYZ, tuttavia derivato dal tipo STRINGA. Se si importa questo tipo di dato, quello esistente viene sovrascritto e viene modificato il tipo di tutte le variabili basate si di esso. Cioè le variabili sono adesso STRING e non più INT.


XML-Import

Manuale -> Import e Export -> Variabili -> XML-Import

Nel caso di import XML di variabili o tipi dato, questi vengono analizzati per verificare la Attribuzione driver da parte zenon. In seguito l'utente ha la possibilità di decidere a che cosa debbono essere destinati i diversi tipi di dato / le diverse variabili:

  • importare
  • sovrascrivi
  • non importare

Il sistema propone solamente delle azioni sensate.

I seguenti conflitti impediscono l'effettuazione dell'import:

  • Il tipo di dato esiste già e le variabili collegate non possono essere convertite al tipo di dato da importare.
  • Il tipo di dato è complesso e gli elementi di quello già esistente si diversificano da quelli di quello da importare per numero o nome.
  • Il tipo di dato è complesso e pur essendo gli elementi uguali, essi si distinguono per i loro tipi di dato, il che rende una conversione delle variabili relative impossibile.
  • La variabile è di un tipo che non può essere importato (vedi sopra).
  • La variabile è di un altro tipo rispetto a quella esistente (semplice/complessa).
  • L'assegnazione del driver alla variabile non è corretta (il driver assegnato non supporta il tipo di dato relativo e/o l´area corrispondente).

Parametri

Descrizione

Elementi da importare

Fa una lista di tutte le variabile e tipi di dato che devono essere importati. Nel caso di variabili complesse, vengono visualizzate le variabili semplici ad esse attribuite. I tipi di dato strutturati possono essere "aperti" e gli elementi che li costituiscono vengono visualizzati a titolo di informazione per l'utente.

Dei simboli mostrano se l´elemento può essere importato (spunto verde), non può essere importato (X rossa), oppure se un conflitto deve essere risolto (simbolo blu).

Dettagli import

Descrive stato dell´import e offre delle possibili soluzioni in caso di conflitti.

Descrizione

Descrive lo stato dell´elemento

Azioni possibili

Spiega le azioni possibili.

Azione

Lista a cascata con tutte le possibili azioni e l'operazione selezionata. Se c'è una sola azione possibile, questa è selezionata in anticipo e non può essere modificata.

Importa nuovo tipo di dato/nuova variabile

La variabile / il tipo di dato non esistono ancora e vengono generate mediante l'import. (Default)

Non modificabile dall'utente.

Non importare nuovo tipo di dato/nuova variabile

La variabile/il tipo di dato esistono già e ci sarebbero problemi di conflittualità.

Non modificabile dall'utente.

Importare tipo di dato/variabile

La variabile/il tipo di dato esistono già, ma non esistono problemi di conflittualità.

L'utente può decidere se la variabile/il tipo di dato debbono essere sovrascritti o non importati. Di default la variabile/il tipo di dato vengono sostituiti (sovrascritti).

Limitazioni

  • La consistenza

    Il file XML da importare deve essere consistente. Al momento dell'import del file, viene effettuato un esame di plausibilità. Se ci sono degli errori nei dati importati, ci possono essere delle conseguenze indesiderate nel progetto, che potrebbero arrivare fino al non funzionamento dello stesso.

    Di ciò se deve tener conto in modo del tutto particolare se nel file XML non sono presenti tutte le proprietà, visto che queste potrebbero essere settate con valori default. Per es.: una variabile binaria ha un valore limite di 300.

  • Compatibilità con le versioni precedenti

    Nel caso dell´import/export XML non esiste nessuna forma di compatibilità verso il basso (versioni precedenti). I dati di vecchie versioni di zenon possono essere ripresi. Ma il passaggio di dati da versioni più recenti a quelle precedenti non viene supportato, è dunque impossibile.

  • Struttura di tipi di dato

    I tipi dato strutturato devono disporre dello stesso numero di elementi struttura. Se, per esempio, un tipo dato strutturato nel progetto ha tre elementi di struttura, mentre un tipo di dato omonimo nel file XML ne ha quattro, nessuna variabile basata su questo tipo dato del file di esportazione viene importato nel progetto.

Noch in diesem Kapitel

Associa driver

Attribuisci aree

Trattamento errori Import

Modificare esternamente il file XML


Associa driver

Manuale -> Import e Export -> Variabili -> XML-Import -> Associa driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Facendo uso del comando Import, si apre il dialogo che serve all´attribuzione driver:

Parametri | Descrizione
Tabella di attribuzione | Mostra l´attribuzione attuale.
Assegna Tipo di oggetto del driver | Apre il Dialogo per assegnazione del tipo di oggetto driver.
Annulla assegnazione | Elimina le attribuzioni esistenti.
Lista driver | Realizza una lista di tutti i driver esistenti nel progetto.
Crea nuovo driver | Apre il Dialogo che serve a creare un nuovo driver.
Associa driver | Attribuisce il driver selezionato della lista driver al driver selezionato nella tabella di attribuzione.
Ok | Riprende le impostazioni, chiude il dialogo e avvia l´import.
Elimina | Rifiuta le impostazioni e chiude il dialogo senza importare nulla.
Guida | Apre la guida online

Crea un nuovo driver

Durante l´import possono essere creati e attribuiti dei nuovi driver facendo uso del pulsante Nuovo driver. In questo momento viene aperto il dialogo che serve a Creare e a Configurare i nuovi driver.


Attribuisci aree

Manuale -> Import e Export -> Variabili -> XML-Import -> Attribuisci aree

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametri | Descrizione
Tabella di attribuzione | Mostra l´attribuzione attuale.
Reimposta | Elimina le attribuzioni esistenti.
Lista delle aree del driver di destinazione | Lista dei tipi di oggetto driver a disposizione.
Assegna Tipo di oggetto del driver | Attribuisce il tipo di oggetto driver selezionato del driver di destinazione al tipo di oggetto driver selezionato nella tabella di attribuzione.
Ok | Riprende le impostazioni e chiude il dialogo.
Elimina | Rifiuta le impostazioni e chiude il dialogo.
Guida | Apre la guida online


Trattamento errori Import

Manuale -> Import e Export -> Variabili -> XML-Import -> Trattamento errori Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso in cui il sistema importando variabili verifichi l´esistenza di incompatibilità, si aprirà un dialogo che serve a trattare gli errori.

Elementi da importare

Parametri | Descrizione
Elementi da importare | Lista degli elementi che devono essere importati. Gli elementi errati vengono evidenziati.

Importa dettagli

Parametri | Descrizione
Importa dettagli | Dettagli concernenti import
Descrizione | Descrizione degli errori

Azioni possibili

Parametri | Descrizione
Azioni possibili | Descrizione delle azioni che possono essere settate per questo tipo di errore.
Azioni | Menù a tendina che serve alla selezione dell´azione desiderata.
Ok | Accetta le azioni, chiude la finestra di dialogo e importa le variabili.
Elimina | Rigetta gli inserimenti e interrompe l´importazione delle variabili.


Modificare esternamente il file XML

Manuale -> Import e Export -> Variabili -> XML-Import -> Modificare esternamente il file XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I file XML possono essere modificati con un programma esterno dopo l´export o prima dell´import.

attention Attenzione

La modifica esterna dei file XML è uno strumento pensatosolamente per gli esperti.
Degli import errati possono danneggiare o distruggere il progetto. Per questo Vi consigliamo di realizzare un backup di progetto prima di ogni modifica.

La definizione header deve contenere i seguenti attributi:

Parametri | Descrizione
ShortName | Nome della variabile
DriverID | ID del driver Vi preghiamo di tener presente che l'identificazione di ogni driver è dipendente dal progetto. L'esatta identificazione del driver la ottenete creando nel Vostro progetto un driver e la variabile corrispondente ed esportandoli mediante XML.
TypeID | ID per il tipo di dato ATTENZIONE: anche il TYPEID dipende dal progetto. Trovate i dettagli su questo tema alla sezione concernente l'import di tipi di dato.
HWObjectType | Identificazione per il tipo di oggetto driver Qui viene definita l'area sul PLC, ad esempio "area blocco dati", "area merker", "output", "input", e così via. Vi preghiamo di tener presente che non ogni driver supporta tutti i tipi di oggetto. Le informazioni relative a quali tipi di oggetto sono supportati da un determinato driver, le potete trovare nella documentazione del driver stesso. Le esatte identificazione sono elencate nella categoria tpKanaltypes nel catalogo oggetti VBA.
HWObjectName | Nome del tipo di oggetto driver Informazione ridondante su HWObjectType. Questa proprietà serve non solo all'informazione.
IsComplex | TRUE = Variabile strutturata FALSE = variabile semplice
Matrix | Nome della matrice di reazione collegata Questa proprietà è vuota se non c'è una matrice di reazione collegata.

Esempi di sintassi per la modifica del file XML:

N° | Esempio | Stampa | Commento
1. | Creare una nuova variabile importando | <Variable ShortName='WIZ_VAR_10' DriverID='4' TypeID='2' HWObjectType='8' HWObjectName='SPS-Merker' IsComplex='FALSE' Matrix=''> |
2. | Eliminare una variabile esistente effettuando l'import | <Variable ShortName='WIZ_VAR_10' Delete='TRUE' DriverID='4' TypeID='2' HWObjectType='8' HWObjectName='SPS-Merker' IsComplex='FALSE' Matrix=''> | Se la variabile è presente nel progetto di zenon essa viene cancellata con l'utilizzo dell´attributo Delete. Vi preghiamo di fare attenzione che l'attributo non sua vuoto. Ciò significa che deve contenere, per esempio, TRUE o FALSE. In questo caso, non si tiene conto del contenuto dell'inserimento.
3. | Rinominare una variabile esistente effettuando l'import | <Variable ShortName='WIZ_VAR_10' Delete='TRUE' DriverID='4' TypeID='2' HWObjectType='8' HWObjectName='SPS-Merker' IsComplex='FALSE' Matrix='' NewName='Standard_1'> | Quando si rinomina una variabile, essa viene anzitutto importata, e solo in un secondo momento avviene il processo di rinomina. Se lo volete, dunque, potete assegnare alla variabile delle proprietà modificate e rinominarla nello stesso tempo. Se esiste già una variabile con lo stesso nome, l'operazione "rinomina" non può essere eseguita. In questo caso l'utente viene avvertito mediante un messaggio corrispondente visualizzato nella finestra di emissione.


Import CSV

Manuale -> Import e Export -> Variabili -> Import CSV

Con zenon le variabili possono essere esportate in file CSV e importate da file CVS per, per esempio, essere modificate con Microsoft Excel. Le variabili esportate in CSV vengono salvate sempre come file TXT in formato Unicode.

Nel caso in cui si sia proceduto ad effettuare l´export nonostante siano stati superati i limiti di compatibilità di Microsoft Excel, il file TXT non contiene tutti i dati da esportare

Specificazione del formato

  • Carattere di separazione: Tab
  • Fine del file: .txt
  • Codificazione: il file da esportare ha il codice Unicode. Anche per il file da importare vale la regola che esso deve essere in Unicode.

info Informazioni su

Import e export via CSV oppure dBase non supportano impostazioni variabili specifiche per driver, come per es. formule. A questo scopo, usate l´import/export via XML.

Compatibilità con Microsoft Excel

Export in Excel

Per poter importare in Microsoft Excel in modo corretto delle variabili esportate in file CSV, dovete tenere presente quanto segue:

  • Formato:
    Per far sì che Microsoft Excel usi il segno decimale corretto, nel sistema operativo il formato deve essere settato nelle Opzioni internazionali e della lingua su inglese. Attenzione: questa impostazione è obbligatoria nel caso di uso di segni di separazione decimali, visto che i valori verrebbero altrimenti interpretati e salvati in modo sbagliato.
  • Unicode:
    i file devono essere salvati in Microsoft Excel come Unicode Text (.txt). Essi vengono salvati come file TXT. Nelle versioni vecchie di Microsoft Excel, la denominazione può presentare anche delle lievi differenze.
    Attenzione: Se si usa un altro formato i dati non possono essere più importati correttamente!
  • Segno @:
    Microsoft Excel non interpreta il segno @ in una cella come testo e, perciò, è possibile che non consenta una eventuale modifica. Per poter modificare celle con il segno @, si deve cambiare il tipo di cella (categoria) da Standard a Testo. Per far ciò:
    • selezionate la cella oppure la colonna;
    • dopo aver cliccato con il tasto destro del mouse sulla cella, selezionate nel menu contestuale il comando Formatta celle
    • Nel dialogo, settate la categoria a Testo
  • Valori massimi:
    • Microsoft Excel 97-2003: 65536 righe, 256 colonne
    • Microsoft Excel 2007: 1048576 righe, 16384 colonne

attention Attenzione

Se si ha un numero di colonne superiore a 16384 oppure 256, e se si ha un numero di righe superiore a 1048576 oppure 65536, appare una finestra contenente la domanda se deve essere esportato un numero corrispondentemente minore di proprietà dinamiche (se possibile). Se si seleziona la limitazione, verrà esportato il maggior numero possibile di proprietà dinamiche.

Le proprietà statiche, invece, non vengono limitate.

Nel caso in cui non dovesse essere sufficiente l´eliminazione delle proprietà dinamiche, appare una corrispondente segnalazione.

Per quello che riguarda il numero maggiore di variabili, bisogna tener presente che l´header ha bisogno di una propria cella.

Import da Excel

Nell´effettuare l´import da Excel, non si deve cancellare l´ultima riga (vuota), altrimenti il file CSV non può essere importato in zenon.

Noch in diesem Kapitel

Presupposti minimi

Cancella o rinomina variabili nell´import

Compatibilità con Microsoft Excel

Esempio per import


Presupposti minimi

Manuale -> Import e Export -> Variabili -> Import CSV -> Presupposti minimi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Definizione dei formati

Formato | Contenuto
VariableName | Nome che deve portare la variabile.
DriverName | Denominazione del driver disponibile
DriverType | Tipo del driver disponibile
HWObjectType | Numero del driver Tipo oggetto, visto che il nome è dipendente dalla lingua. Viene denominato anche il Tipo di oggetto del driver e può essere scoperto sia tramite export di una variabile corrispondente, oppure con l´aiuto della documentazione driver.
TypeName | Nome del Tipo di dato esistente.

Contenuti

  • Driver di DRIVERTYPE importati e DRIVERNAME importato deve esistere:
    Se non si trova nessun driver con DRIVERTYPE e DRIVERNAME, il sistema cerca di collegare la variabile con un driver simile. In un primo momento, il sistema cerca un driver con DRIVERTYPE, poi conDRIVERNAME. Se anche in questo caso la ricerca non dovesse avere successo, il sistema cerca di collegare la variabile con Intern Driver, poi con un driver disponibile. Se non è disponibile nessun driver, oppure se non è possibile attribuire alla variabile nessun driver, la variabile stessa non viene importata. Con il dialogo Attribuzione driver (vedi capitolo Import di variabili e di tipi di dato) si può creare e/o modificare il collegamento corrispondente ancora prima di effettuare l´import. Questo dialogo viene aperto dopo la selezione del file da importare.
  • Tipo di dato semplice con TYPENAME importato e HWOBJECTTYPE: importato
    Se il tipo di dato non è disponibile con il corrispondente TYPENAME, la variabile non viene importata. Dopo che tutte le altre variabili sono state editate oppure importate, nella finestra di emissione appare una segnalazione che riporta quante variabili non sono state importate perché ciò era impossibile a causa della mancanza di tipi di dato.

Header

Deve esistere un header che descrive i valori delle proprietà:
l´header descrive le proprietà sulla base delle colonne. Il primo inserimento nell´header vale sempre per il primo inserimento nei valori, il secondo nell´header vale sempre per il secondo nei valori e così via. Il numero dei campi nell´header deve corrispondere al numero massimo dei campi dell´intero file.

  • L´header
    non deve stare necessariamente nella prima riga del file, ma deve essere la prima oppure la superiore di tutte le righe.
  • Caratteri maiuscoli/minuscoli:
    • non hanno nessuna importanza nell´header
    • Ne se tiene conto nei valori delle proprietà.
  • L´header deve essere continuo e non deve presentare spazi vuoti.
    Se si trova uno spazio vuoto (area fra caratteri di separazione) nell´header, l´import viene interrotto.
    Definizione campo vuoto: Due caratteri di separazione successivi senza contenuto fra di loro.
  • Segni vuoti all´inizio e alla fine
    all´interno di un campo (non ha importanza se con o senza virgolette) vengono interpretati come tali. Non viene rimosso nessuno spazio vuoto. Per questo motivo il valore oppure il campo devono essere assolutamente esatti.
  • Il segno di separazione
    non dovrebbe più trovarsi alla fine di una riga, a meno che non si tratti di un campo esistente che possiede un valore vuoto.
  • Tutti i campi (area fra segni di separazione) in cui si trova il segno di separazione, devono trovarsi fra virgolette.
    Questo riguarda solamente il campo corrispondente. I restanti campi che non soddisfano questi criteri, non devono trovarsi fra virgolette. Segni di separazione tabulatori all´interno di un campo che si trova fra virgolette, vengono rimossi automaticamente.
  • Se le virgolette devono essere utilizzate,
    l´intero campo (area fra i segni di separazione) deve trovarsi fra virgolette e, inoltre, tutte le virgolette volute devono essere direttamente raddoppiate. Il numero delle virgolette, dunque, deve corrispondere sempre a un numero pari.
    Esempi:
    • T"e"st diviene "T""e""st",
    • "AB"C" diviene """AB""C""",
    • AB"C diviene "AB""C"
  • Solo due virgolette in un campo senza testo non sono valide per valori vuoti.
  • Campi lasciati vuoti (2 separatori successivi)
    vengono interpretati come come un non esistente inserimento per questa colonna. Se il campo di una proprietà esistente per la variabile è vuoto e dunque non settato, viene usato il valore standard di questa proprietà.
  • Se esistono meno campi per valori di quelli fissati nell´header,
    i restanti campi valori non esistenti vengono interpretato come campi vuoti.
  • Se il numero di valori oppure di campi
    in una riga è maggiore a quello dei campi fissato nell´header, vengono ignorati gli ultimi valori/campi o quelli interessati.
  • Punto e virgola e virgola
    possono essere usati a piacere in campi (senza le virgolette).
  • I punti
    vengono interpretati sempre come segni di separazione dei valori decimali nel caso di valori numerici.
  • Non devono esistere delle righe vuote.
    Esse vengono ignorate.

Nomi, collegamenti e sostituzioni.

  • Ogni variabile deve avere un nome proprio nel file.
    Nel caso in cui ci dovessero essere più variabili con lo stesso nome, viene importata la prima, mentre tutte le altre vengono ignorate.
  • Devono esistere collegamenti.
    Matrici di reazione, funzioni, variabili, aree allarmi, gruppi allarmi/eventi, classi allarmi/eventi, interblocchi ecc, vengono collegati durante l´import solo nel caso in cui il collegamento esiste anche nel progetto. Se non esiste l´elemento con il nome, non viene collegato nessun elemento. Se una proprietà non può essere collegata, le restanti proprietà vengono comunque importate.
  • Le proprietà dinamiche (come, ad esempio, valori limite) hanno un´identificazione comune e un numero progressivo.
    Il numero progressivo inizia con0. La denominazione si effettua in modo simile al formato export XML. Per es.: Limits_8_Active, Limits_8_Text, Limits_8_LimitValue, …)
  • variabili array e variabili di tipi di dato complessi non vengono né esportati, né importati.
  • Variabili complesse disponibili vengono sovrascritte durante il processo di import.
  • Anche nel caso in cui esista lo stesso nome in un elemento di una variabile complessa, l´import di una variabile viene consentito. Se, ad esempio, il nome della variabile da importare è ABC.DEF, e la variabile DEF è un kind della una variabile ABC nell´editor di zenon, questa variabile viene aggiunta comunque.
  • Tutte le proprietà che vengono importate o esportate, hanno nomi colonne/header simili a quelli dell´import/export XML. Si può risalire a questi nomi nel modo più semplice effettuando l´export di una variabile corrispondente.
  • Nel caso di alcuni driver, ci sono delle proprietà specifiche per i driver stessi. Per risalire ai nomi colonne / header corrispondenti, il metodo migliore è effettuare l´export di una variabile con il driver corrispondente.

Limitazioni

Proprietà che non vengono esportate o importate:

  • ID_ComplexVariable
  • ID_Complex
  • HWObjectName
  • ID_DriverTyp
  • DriverID
  • TypeID
  • IsComplex
  • Tutte le proprietà IsLocal o Flag
  • IsSWProtokol, IsSW_Akt e IsSW_VBA


Cancella o rinomina variabili nell´import

Manuale -> Import e Export -> Variabili -> Import CSV -> Cancella o rinomina variabili nell´import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´effettuazione dell´import, delle variabili possono essere cancellate o rinominate. La cancellazione avviene per inserimento nel campo KANAL_D, la rinomina per inserimento nel campo KANAL_R. La variabile da cancellare o rinominare viene definita nel campo VariableName.

Rilasciare variabili..

Le variabili vengono cancellate se nel campo KANAL_D e nel campo VariableName del file CSV il sistema riconosce la presenza di inserimenti validi.

Campo | Funzione | valida se
KANAL_D | setta comando di cancellazione. | 1
VariableName | Nome della variabile da cancellare | Inserimento che non consiste esclusivamente di caratteri non stampabili

Per cancellare possono essere anche usati dei file CSV che constano solamente di questi due campi (formato short).

Rinomina variabili

Le variabili vengono rinominate se nel campo KANAL_R e nel campo VariableNamedel file CSV il sistema riconosce la presenza di inserimenti validi.

Campo | Funzione | valida se
KANAL_R | Nome originale della variabile che deve essere sostituito | Inserimento che non consiste esclusivamente di caratteri non stampabili
VariableName | Nuovo nome variabile. | Inserimento che non consiste esclusivamente di caratteri non stampabili

Per rinominare delle variabili possono essere anche usati dei file CSV che constano solamente di questi due campi (formato short).

attention Attenzione

Se in una riga si scrivono inserimenti validi sia per la cancellazione che per la rinomina, la variabile viene cancellata.

Segnalazioni nella finestra di emissione

Se, nell´ambito dell´import CSV, vengono cancellate o rinominate delle variabili, nella finestra di emissione dell´Editor compaiono delle segnalazioni che indicano se le azioni sono state condotte a termine con successo o no.

Segnalazione

Level

Descrizione

Variabile '%s' da rinominare non esistente.

Warning

La variabile da rinominare, referenziata dal nome indicato nel campo KANAL_R , non esiste.

Variabile '%s' da eliminare non esistente.

Warning

La variabile da cancellare, referenziata dal nome indicato nel campo VariableName, non esiste.

La variabile '%s' è stata rinominata in '%s'.

Normale

La variabile è stata rinominata con successo.

La variabile '%s' è stata cancellata.

Normale

La variabile è stata cancellata con successo.

%i di %i Variabili rinominati

Normale

o warning

Questa segnalazione viene emessa solamente se ci sono da eseguire delle ridenominazioni sulla base di campi KANAL_R validi, vale a dire non vuoti. Il primo carattere jolly (%i) corrisponde al numero delle ridenominazioni effettuate con successo, il secondo a quello delle ridenominazioni che sono state "commissionate".

Nel caso in cui non tutte le ridenominazione siano state condotte a termine con successo, l´emissione viene formattata come warning.

%i di %i Variabili eliminati.

Normale

oppure

Warning

Questa segnalazione viene emessa solamente se ci sono da eseguire cancellazioni tramite campi KANAL_D validi (valore numerico 1). Il primo carattere jolly (%i) corrisponde al numero delle cancellazioni effettuate con successo, il secondo a quello delle ridenominazioni che sono state comandate.

Se non tutte le cancellazioni sono state portate a termine con successo, l´emissione viene formattata come warning.


Compatibilità con Microsoft Excel

Manuale -> Import e Export -> Variabili -> Import CSV -> Compatibilità con Microsoft Excel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Export in Excel

Per poter importare in Microsoft Excel in modo corretto delle variabili esportate in file CSV, dovete tenere presente quanto segue:

  • Formato:
    Per far sì che Microsoft Excel usi il segno decimale corretto, nel sistema operativo il formato deve essere settato nelle Opzioni internazionali e della lingua su inglese. Attenzione: questa impostazione è obbligatoria nel caso di uso di segni di separazione decimali, visto che i valori verrebbero altrimenti interpretati e salvati in modo sbagliato.
  • Unicode:
    i file devono essere salvati in Microsoft Excel come Unicode Text (.txt). Essi vengono salvati come file TXT. Nelle versioni vecchie di Microsoft Excel, la denominazione può presentare anche delle lievi differenze.
    Attenzione: Se si usa un altro formato i dati non possono essere più importati correttamente!
  • Segno @:
    Microsoft Excel non interpreta il segno @ in una cella come testo e, perciò, è possibile che non consenta una eventuale modifica. Per poter modificare celle con il segno @, si deve cambiare il tipo di cella (categoria) da Standard a Testo. Per far ciò:
    • selezionate la cella oppure la colonna;
    • dopo aver cliccato con il tasto destro del mouse sulla cella, selezionate nel menu contestuale il comando Formatta celle
    • Nel dialogo, settate la categoria a Testo
  • Valori massimi:
    • Microsoft Excel 97-2003: 65536 righe, 256 colonne
    • Microsoft Excel 2007: 1048576 righe, 16384 colonne

attention Attenzione

Se si ha un numero di colonne superiore a 16384 oppure 256, e se si ha un numero di righe superiore a 1048576 oppure 65536, appare una finestra contenente la domanda se deve essere esportato un numero corrispondentemente minore di proprietà dinamiche (se possibile). Se si seleziona la limitazione, verrà esportato il maggior numero possibile di proprietà dinamiche.

Le proprietà statiche, invece, non vengono limitate.

Nel caso in cui non dovesse essere sufficiente l´eliminazione delle proprietà dinamiche, appare una corrispondente segnalazione.

Per quello che riguarda il numero maggiore di variabili, bisogna tener presente che l´header ha bisogno di una propria cella.

Import da Excel

Nell´effettuare l´import da Excel, non si deve cancellare l´ultima riga (vuota), altrimenti il file CSV non può essere importato in zenon.


Esempio per import

Manuale -> Import e Export -> Variabili -> Import CSV -> Esempio per import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´import di una variabile, devono essere presenti nel file le seguenti informazioni:

VariableName | DriverName | DriverType | HWObjectType | TypeName
Test | MeinTreiber | Intern | 33 | MeinDatentyp

Prima di procedere all´import di un file, è necessario assicurarsi che sia stato impostato nel progetto un driver dal nome „MeinTreiber" e del tipo Intern. Questo driver deve supportare il tipo di canale oppureHWObjectType. Inoltre, deve esistere anche il tipo di dato „MeinDatentyp". Dopo aver selezionato il file destinato per l´import, appare il dialogo per l´attribuzione driver. In questo dialogo si può procedere a collegare tutte le variabili da importare di un driver impostato nel progetto, con un altro driver. Se si desidera lo stesso driver, potete chiudere il dialogo cliccando direttamente su OK. A questo punto saranno importate le variabili.


Esportazione CSV

Manuale -> Import e Export -> Variabili -> Esportazione CSV

Con zenon, le variabili possono essere esportate in file CSV e importate da file CVS, per esempio, per essere modificate con Microsoft Excel.

Eccezione: tipi di dato complessi e variabili array non possono essere esportati.

attention Attenzione

L´export viene effettuato in un file di testo Unicode separato con Tab che finisce per .txt invece che con .csv.

Sfondo: Microsoft Excel salva file CSV come file di testo ANSI con ; come segno di separazione. Al momento del salvataggio in formato CSV in Excel, Unicode viene eliminato. Ma in tal modo i dati esportati per il progetto sarebbero danneggiati in modo irreparabile.

Opzioni di export

  1. Export di tutte le variabili esportabili nel progetto
  2. Esportare le variabili esportabili selezionate.
    • Disponibile solo se è stata selezionata almeno una delle variabili esportabili.

Quando si esportano delle variabili, si apre un dialogo che serve alla selezione del luogo dove salvare il file e del suo nome. La fine del nome del file è sempre .txt.

Nel caso in cui si dovessero trovare nel file da esportare troppe proprietà per la successiva modifica in Microsoft Excel, si apre una finestra di dialogo che Vi pone la domanda:

  • taglia proprietà o righe:
    solo una parte dei valori limite, per esempio, oppure solo una parte delle variabili viene esportata (dipende dal caso della limitazione). In primo luogo non vengono esportate quelle informazioni che non possono essere editate con le vecchie versioni di Microsoft Excel. Il file da esportare può essere modificato con un programma esterno.
  • Esporta tutte le proprietà
  • Interrompi export

Compatibilità con Microsoft Excel

Export in Excel

Per poter importare in Microsoft Excel in modo corretto delle variabili esportate in file CSV, dovete tenere presente quanto segue:

  • Formato:
    Per far sì che Microsoft Excel usi il segno decimale corretto, nel sistema operativo il formato deve essere settato nelle Opzioni internazionali e della lingua su inglese. Attenzione: questa impostazione è obbligatoria nel caso di uso di segni di separazione decimali, visto che i valori verrebbero altrimenti interpretati e salvati in modo sbagliato.
  • Unicode:
    i file devono essere salvati in Microsoft Excel come Unicode Text (.txt). Essi vengono salvati come file TXT. Nelle versioni vecchie di Microsoft Excel, la denominazione può presentare anche delle lievi differenze.
    Attenzione: Se si usa un altro formato i dati non possono essere più importati correttamente!
  • Segno @:
    Microsoft Excel non interpreta il segno @ in una cella come testo e, perciò, è possibile che non consenta una eventuale modifica. Per poter modificare celle con il segno @, si deve cambiare il tipo di cella (categoria) da Standard a Testo. Per far ciò:
    • selezionate la cella oppure la colonna;
    • dopo aver cliccato con il tasto destro del mouse sulla cella, selezionate nel menu contestuale il comando Formatta celle
    • Nel dialogo, settate la categoria a Testo
  • Valori massimi:
    • Microsoft Excel 97-2003: 65536 righe, 256 colonne
    • Microsoft Excel 2007: 1048576 righe, 16384 colonne

attention Attenzione

Se si ha un numero di colonne superiore a 16384 oppure 256, e se si ha un numero di righe superiore a 1048576 oppure 65536, appare una finestra contenente la domanda se deve essere esportato un numero corrispondentemente minore di proprietà dinamiche (se possibile). Se si seleziona la limitazione, verrà esportato il maggior numero possibile di proprietà dinamiche.

Le proprietà statiche, invece, non vengono limitate.

Nel caso in cui non dovesse essere sufficiente l´eliminazione delle proprietà dinamiche, appare una corrispondente segnalazione.

Per quello che riguarda il numero maggiore di variabili, bisogna tener presente che l´header ha bisogno di una propria cella.

Import da Excel

Nell´effettuare l´import da Excel, non si deve cancellare l´ultima riga (vuota), altrimenti il file CSV non può essere importato in zenon.


Progetto S7

Manuale -> Import e Export -> Variabili -> Progetto S7

Con zenon potete importare progetti Step 7. Quando si importa un progetto Step 7, vengono impostate le variabili corrispondenti in zenon.

Si possono usare diverse regole per effettuare la conversione di nomi variabile esistenti di progetti Step 7 quando li si importa in zenon.

Ridondanza

Per ogni station (Rack), solamente la prima CPU trovata viene resa disponibile per l´import.

Noch in diesem Kapitel

Presupposti per l´import di variabili da progetti Step 7.

Dialogo di import Importare progetto S7

Seleziona variabili


Presupposti per l´import di variabili da progetti Step 7.

Manuale -> Import e Export -> Variabili -> Progetto S7 -> Presupposti per l´import di variabili da progetti Step 7.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter importare delle variabili da un progetto Step 7 in zenon:

  • Il progetto Step 7 deve essere disponibile localmente sul disco fisso, oppure in rete.
  • Il progetto Step 7 non deve essere aperto contemporaneamente da una cartella Step 7 nel "S7 Simatic Manager".
    Se esso è aperto in quella sede, è possibile che l´import non possa essere effettuato con successo; ciò dipende dagli accessi riservati che il "S7 Simatic Manager" riserva a se stesso. Viene visualizzato, ad esempio, nessuna Stazione.
  • In Step 7 o PC S7 deve essere stato tradotto tutto, in modo tale che tutti gli oggetti possono essere ripresi in zenon.
  • A partire dalla versione 11, i progetti Step 7, prima di poterne effettuare l´import in zenon, devono essere esportati con il Variable Export Manager.

info Informazioni su

Se importate dei progetti PCS7, dovete accertarvi che esista per il progetto in questione il sottopercorso CSV_. In quest´ultimo ci deve essere per ogni stazione del progetto un file CSV_ con lo stesso nome della stazione stessa. Quando viene effettuato l´import, viene usato il nome gerarchico proveniente da questo file.

Particolarità dell´import a partire dalla versione 11 di Step 7.

A partire dalla versione 11, Step 7 è una componente del TIA framework della ditta Siemens. Per poterle importare in zenon, le variabili di un progetto TIA Step 7, prima dell´import in zenon, devono essere esportate con il Variable Export Manager.

tutorial Informazioni sulla licenza

A partire dalla versione 11 di Step 7, le variabili Step 7, prima dell´import in zenon, devono essere esportate con il Variable Export Manager.

Questo tool è contenuto nella licenza standard per l´Editor e il Runtime.

Noch in diesem Kapitel

Variable Export Manager

Interfaccia utente del Variable Export Manager

Export di variabili - Variable Export Manager


Variable Export Manager

Manuale -> Import e Export -> Variabili -> Progetto S7 -> Presupposti per l´import di variabili da progetti Step 7. -> Variable Export Manager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il Variable Export Manager esportate le variabili da Step 7 (a partire dalla versione 11) e le preparate per l´import in zenon.

Nel far ciò, tenete presente che per le versioni TIA 11, 12 e 13 sono da usare diversi Variablen Export Manager.

Visione globale:

  • Step 7 fino alla versione 11:
    Import automatico - non è necessaria nessuna ulteriore operazione da parte dell´utente.
  • Step 7 Versioni 11 e 12:
    Export di un progetto S7 via CD_TIAProject_Exporter.exe
    (Luogo di salvataggio: C:\Programma (x86)\COPA-DATA\zenon 7.50 SP0\)

    Import in zenon via Import esteso.

  • Step 7 Versione 13:
    Export di un progetto S7 via CD_TIA13Project_Exporter.exe
    (Luogo di salvataggio: C:\Program Files (x86)\COPA-DATA\zenon 7.50 SP0\)
    Import in zenon viaImport esteso.

Requisiti

Per preparare delle variabili di progetti Step 7 all´import in zenon, sul calcolatore su cui si effettua l´export devono essere soddisfatti i seguenti requisiti:

  • Deve essere installato il corrispondente TIA software della ditta Siemens.
  • Deve esserci il programma Variable Export Manager.
    Per usare il Variable Export Manager, copiate il programma corrispondente dalla cartella di installazione di zenon, oppure dal supporto di installazione di zenon; copiatelo su quel calcolatore su cui deve essere utilizzato il Variable Export Manager.


Interfaccia utente del Variable Export Manager

Manuale -> Import e Export -> Variabili -> Progetto S7 -> Presupposti per l´import di variabili da progetti Step 7. -> Interfaccia utente del Variable Export Manager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametri | Descrizione
Visuale stato di avanzamento | Mostra lo stato di avanzamento del processo di export.
Export | Avvia un nuovo export. È a disposizione non appena è stato terminato il processo precedente di export.
Cancel | Interrompe l´export.
Close | Chiude il Variable Export Manager. Nota: non attivo nel caso di export in atto.

info Informazioni su

Il Variable Export Manager è a disposizione solamente in lingua inglese in entrambe le versioni.


Export di variabili - Variable Export Manager

Manuale -> Import e Export -> Variabili -> Progetto S7 -> Presupposti per l´import di variabili da progetti Step 7. -> Export di variabili - Variable Export Manager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 11, per esportare variabili da progetti Step 7:

  1. Avviate il Variable Export Manager.
    Nota: Fate attenzione ad aprire la versione corretta del Variable Export Manager.
  2. Si apre il dialogo per selezionare un progetto Step 7.
  3. Selezionate il progetto desiderato.
    Nota: Progetti TIA sono caratterizzati dall´estensione file .ap11, .ap12 o ap13
  4. Cliccate sul pulsante Open per proseguire.
  5. Si apre il dialogo per selezionare il posto di salvataggio e un nome.
  6. Selezionate un posto di salvataggio e un nome per il file di export.
  7. Confermate i vostri inserimenti con Save.
  8. L´export viene avviato
  9. Copiate il file di export sul calcolatore su cui deve essere importato in zenon.
  10. Procedete con il consueto S7-Import.


Dialogo di import Importare progetto S7

Manuale -> Import e Export -> Variabili -> Progetto S7 -> Dialogo di import Importare progetto S7

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Scelta progetto

Parametri | Descrizione
File di progetto S7 | Posto di salvataggio e nome del file di import selezionato. Nota: possibili suffissi file sono .zst oppure .s7p.
... | Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione del file di import.
Driver di destinazione | Visualizzazione del driver selezionato. Nota: Questa visualizzazione è solo a titolo informativo. Non è più possibile effettuare delle modifiche in questo dialogo.
Struttura di progetto | Mostra la struttura del file di import o del file di progetto selezionato. Potete estendere la struttura ad albero mostrandone le componenti cliccando su [+], e potete richiuderla cliccando su [-].

Opzioni

Parametri | Descrizione
Solo variabili di superv. (BuB) | Se l´opzione è attiva, vengono importate solamente variabili "gestione e osservazione" (BuB). Default: Non attivo

Definizione nomenclatura variabili

Parametri | Descrizione
Il nome sarà composto dai Livelli tecnologici | Selezione dei livelli tecnici (1 - 5 e cerchio) della programmazione CFC (Continuous Function Chart) che volete usare per la denominazione delle variabili. Default: tutti i livelli , incluso Cerchio attivata.
Separatore | Selezione del carattere che deve separare i livelli tecnici scelti Default: \
Nomenclatura interna | Per i nomi degli oggetti creati si usa la nomenclatura interna. Esempio: S0 (per indirizzo rete = 0)
Nomenclatura WinCC | Per i nomi degli oggetti creati si usa la nomenclatura WinCC. Esempio: Programma S7
Combinato | Per i nomi degli oggetti impostati si usa sia la nomenclatura interna che quella di WinCC. Come separatore tra le colonne viene utilizzato un punto (.).

Destinazione di importazione

Parametri

Descrizione

Lista variabili

Le variabili vengono importate nelle liste variabili di zenon.

Durante l´import, il sistema verifica se esiste già una variabile con il nome corrispondente. In questo caso, vengono mantenuti gli specifici attributi di zenon. Ciò significa che avviene un processo di comparazione e unione (merge) fra le variabili importate e quelle già esistenti.

Nota: Se lo stesso progetto viene importato con diverse regole dl denominazione (nomenclature), anche le variabili verranno impostate di nuovo. In questo caso, non avviene il processo d´unione con variabili esistenti di cui si parlava sopra.

Proprio per questo motivo, fate attenzione a scegliere la stessa nomenclatura quando effettuate un nuovo import di un progetto già precedentemente importato.

File

Le variabile vengono importate nel file indicato (*.dbf). Potete modificare questo file e poi importarlo in zenon.

Percorso e nome file

Questa opzione è attiva solamente se come Destinazione dell´import si è scelto File.
L´inserimento del nome e del percorso file avviene tramite il pulsante "...".

...

Apre il dialogo che serve alla selezione del percorso di destinazione e all´inserimento del nome di destinazione.

Nota: tenete presente le limitate grandezze di campo del file DBF. Il superamento di tali dimensioni può avere come conseguenza la perdita di importanti informazioni nel corso dell´importazione.

Attiva solamente se File è stato selezionato come destinazione dell´import

Navigazione

Parametri | Descrizione
Esegui | Avvia l´import. Si apre la finestra di dialogo per selezionare le stazioni.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

info Informazioni su

Le impostazioni del dialogo di import sono ritentive vengono salvate. Quando riaprite il dialogo, vengono di nuovo visualizzate le impostazioni usate per ultime.

Noch in diesem Kapitel

Importare progetti Step 7 in COPA-DATA


Importare progetti Step 7 in COPA-DATA

Manuale -> Import e Export -> Variabili -> Progetto S7 -> Dialogo di import Importare progetto S7 -> Importare progetti Step 7 in COPA-DATA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per importare progetti Step 7:

  1. Navigate all´interno dell´Editor di zenon e passate al nodo Variabili.
  2. Cliccate con il tasto destro del mouse sul nodo Variabili.
  3. Nel menù contestuale selezionate l´inserimento Import/export esteso ->Importa pro S7.
  4. Si apre la finestra di dialogo Selezione driver per scegliere un driver.
  5. Selezionate il driver desiderato fra quelli proposti dalla lista di questo dialogo.
  6. cliccate sul pulsante OK.
  7. Si apre l´assistente per l´import.
  8. Seguite le istruzioni dell´assistente di importazione
    1. selezionate il progetto desiderato
    2. selezionate le Stazioni desiderate
    3. configurate le stazioni
    4. selezionate le Variabili

Noch in diesem Kapitel

Selezione stazione:

Impostazioni delle stazioni


Selezione stazione:

Manuale -> Import e Export -> Variabili -> Progetto S7 -> Dialogo di import Importare progetto S7 -> Importare progetti Step 7 in COPA-DATA -> Selezione stazione:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Selezione stazione:

Selezionate le Stazioni desiderate

Lista stazioni

Parametri

Descrizione

Lista delle stazioni

Elenca in una lista tutte le stazioni disponibili del file di progetto selezionato.

  • Indirizzo di rete/bus
  • Prefisso
  • Terminale
  • CPU

Avvertenza:

  • si può ordinare la lista, è possibile una selezione multipla.
  • CPU: Per ogni station (Rack), solamente la prima CPU trovata viene resa disponibile per l´import.

Seleziona tutti

Seleziona tutte le stazioni della lista.

Impostazioni...

Apre il dialogo di impostazione delle stazioni.
Questa finestra di dialogo offre ulteriori opportunità di filtro per la lista delle variabili da importare.

Navigazione

Parametri | Descrizione
Ok | Riprende la selezione e apre la finestra di dialogo per la selezione variabili. Nota: Questo processo può durare un po´di tempo (dipende dalla dimensione del progetto Step 7).
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostazioni delle stazioni

Manuale -> Import e Export -> Variabili -> Progetto S7 -> Dialogo di import Importare progetto S7 -> Importare progetti Step 7 in COPA-DATA -> Impostazioni delle stazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Impostazioni delle stazioni

In questo dialogo potete settare il filtro e potete effettuare diverse impostazioni. Ad esempio, il sistema può filtrare solamente le variabili di un certo tipo di dato, oppure le variabili di uno o più blocchi dati. In questa finestra di dialogo, inoltre, si possono definire anche altri criteri per l´assegnazione di nomi variabile.

Queste impostazioni influenzano la lista delle variabili che vengono offerte nel Dialogo di sezione delle variabili.

Impostazioni

Parametri | Descrizione
Indirizzo di rete/bus | Indica lIndirizzo di rete/bus e influenza il nome della stazione. Default: 1 Nota: inizia sempre con 0.

Pre-Filtro

Filtro delle variabili da importare sulla base di blocchi dati e tipi di dato,

Parametri

Descrizione

Attivo

Attiva il pre-filtro per:

  • Blocco dati
  • Tipi di dato
  • Aree

Attivo: usa le variabili e i tipi di dato visualizzati nella lista come pre-filtro. Differenze fra Step 7 e zenon non vengono visualizzate.

Inattiva: Durante l´import, il sistema confronta tutte le variabili e i tipi di dato di Step 7 e zenon. Le differenze verrano visualizzate. Il sistema visualizza gli elementi non esistenti proponendo di cancellarli o di effettuare il merge.

Default: Non attivo

Blocco dati

Lista dei blocchi dati esistenti nel progetto Step 7.

Selezionate i blocchi dati dai quali vorreste importate delle variabili.

Nota: Viene visualizzato in grigio se non è attivata la funzione di pre-filtraggio. Visualizzato in grigio anche se è attiva l´opzione Nessun blocco in Aree.

È possibile una selezione multipla.

Tipi di dato

Lista di tipi di dato.
Si tiene conto per l´import solo delle variabili che si basano sui tipi di dato selezionati.

Selezionate i tipi di dato su cui si basano le variabili che vorreste importare.

Nota: Viene visualizzato in grigio se non è attivata la funzione di pre-filtraggio. E' possibile una selezione multipla.

Aree

Selezionate l´area desiderata in cui il sistema cercherà le variabili.

  • Tutte le aree
  • Solo Blocchi dato
  • Nessun blocco dati
    Disattiva la possibilità di filtrare preventivamente le variabili sulla base di blocchi dati.

Opzioni

Criteri di filtro per effettuare il confronto fra le variabili già esistenti in zenon e quelle da importare.

Parametri | Descrizione
Non presentare variabili esistenti | Vengono offerte per l´import solamente quelle variabili che non esistono ancora in zenon.
Presenta solo le variabili esistenti | Il sistema cerca le variabili già esistenti. Per esse può essere effettuato il merging durante l´import.
Ricerca di variabili cancellate | Dopo la selezione delle variabili, tutte quelle che non esistono nel progetto Step 7 vengono visualizzate. Esse possono essere cancellate dal progetto zenon. Nota: non selezionabile se non è stata attivata l´opzione di pre-filtro.
Assegnazione delle variabili esistenti per indirizzo al posto del nome | Attiva: per le variabili già esistenti sul driver viene effettuato il merging via indirizzo variabile anziché via nome. In tal modo è possibile riprendere da un progetto Step7 dei nomi modificati. Default: Non attivo

Prefisso

Ulteriori configurazioni per la denominazione delle variabili da importare.

Parametri

Descrizione

Nessuno

Le variabili importate non ricevono nessun prefisso davanti al nome.

Indirizzo di rete/bus

I nomi importati ricevono per prefisso davanti al nome l´indirizzo di rete seguito da un punto.

Inserimento libero

Le variabili importate ricevono un prefisso liberamente selezionabile davanti al nome.

Quando vengono importate delle variabili, il prefisso che avete indicato viene posto davanti al nome della variabile da cui lo separerà un punto.

Nota: Fate attenzione di usare in caso di un altro import lo stesso prefisso! Altrimenti le variabili verranno create due volte.

Campo di inserimento

Campo di testo per l´inserimento del prefisso.
Nota: Il campo di inserimento è attivo solamente se è stata selezionata l´opzione Inserimento libero.

Navigazione

Parametri | Descrizione
Ok | Riprende la selezione e torna alla finestra di dialogo Selezione stazioni. Nota: Questo processo può durare un po´di tempo (dipende dalla dimensione del progetto Step 7).
Elimina | Annulla tutte le modifiche e chiude il dialogo.
Guida | Attiva la guida online


Seleziona variabili

Manuale -> Import e Export -> Variabili -> Progetto S7 -> Seleziona variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa finestra di dialogo vengono visualizzate tutte le variabili disponibili per l´import. Questa lista è il risultato delle vostre impostazioni nelle finestre di dialogo precedenti.

Variabili esistenti

Parametri

Descrizione

Progetto

Albero di progetto del progetto Step 7 originario.

Questa visione generale viene espansa con il pulsante [+] e ridotta con quello [-]. Dopo che si è selezionato il progetto, il sistema visualizza in una lista le variabili Step 7 in esso contenute.

Lista variabili

Lista di tutte le variabili disponibili per l´import.

  • Nome variabile
  • Commento
  • Area dati
  • Tipo di dati
  • Blocco dati
  • Offset
  • Bit
  • Attributi
  • Informazioni d'indirizzo.

Scegliete in questa lista quelle variabili che volete importare in zenon.

Nota: Questa lista può essere ordinata e filtrata. La lista può essere modificata e adattata cliccando con il tasto destro del mouse, sull´inserimento del menù contestuale Formatta colonne....

Variabili da importare

Parametri | Descrizione
Lista delle variabili selezionate | Scegliete nella lista le variabili che volete importare. Accettate la selezione usando il pulsante Aggiungi.
Aggiungi | Aggiunge le variabili selezionate nella finestra di anteprima alla lista di quelle da importare.
Rimuovi | Rimuove la/le variabile/i selezionata/e dalla lista delle variabili da importare.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo. Le variabili del progetto Step 7 vengono importate secondo le impostazioni in zenon.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo. Così tornate alla finestra di dialogo Importa progetto S7.
Guida | Apre la guida online.

Nella visione ad albero, potete selezionare o tutto il progetto, oppure le singole stazioni. A seconda della selezione, vengono visualizzate le variabili corrispondenti nella finestra di anteprima. Selezionate le variabili desiderate e cliccate sul pulsante Aggiungi per aggiungere le variabili all´import. Le variabili selezionate appaiono nella parte bassa del dialogo. Per cancellare le variabili da lì, selezionate le variabili desiderate e cliccate sul pulsante Rimuovi.

info Info

Con la combinazione di tasti Ctrl+Clic del mouse o Shift + clic del mouse , potete selezionare contemporaneamente più inserimenti.

  • Se tenete premuto il tasto Ctrl, potete selezionare più inserimenti singoli.
  • Tenendo premuto il tasto Shift e cliccando su due inserimenti, selezionate tutti gli inserimenti che si trovano fra i due selezionati.
  • Se tenete premuti contemporaneamente i tasti Ctrl e Shift e selezionate due inserimenti , vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio. Gli inserimenti selezionati prima vengono mantenuti

Quando avete aggiunto tutte le variabili desiderate, confermate cliccando su OK. Le variabili vengono impostate in zenon.


Import e export dBase

Manuale -> Import e Export -> Variabili -> Import e export dBase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I dati possono essere esportati in dBase e importati da dBase.

info Informazioni su

Import e export via CSV oppure dBase non supportano impostazioni variabili specifiche per driver, come per es. formule. A questo scopo, usate l´import/export via XML.

Importazione file DBF

Per avviare l´importazione:

  1. cliccate con il tasto destro del mouse sulla lista variabili.
  2. selezionate nel menù a tendina di Export/Import esteso ... il comando Importa file dBase
  3. seguite le indicazioni dell´assistente di importazione

Il formato del file è descritto nel capitolo Struttura file.

info Informazioni su

Tenete presente:

  • I tipi di oggetto driver e tipi di dato devono essere adattati nel file DBF al driver di destinazione, in modo tale che sia possibile importare le variabili.
  • dBase non supporta nessuna struttura o array (variabili complesse) durante l´operazione di import.

Esportazione file DBF

Per avviare l´export:

  1. cliccate con il tasto destro del mouse sulla lista variabili.
  2. selezionate nel menù a tendina di Export/Import esteso ... il comando Esporta su file dBase...
  3. seguite le indicazioni dell´assistente di esportazione

attention Attenzione

I file DBF:

  • devono corrispondere nella denominazione al formato 8.3 DOS per nomi file (8 caratteri alfanumerici per il nome, 3 caratteri estensione, nessuno spazio)
  • non devono contenere nessun punto (.) nel nome percorso.
    Per es., il percorso C:\users\Max.Mustermann\test.dbf non è valido.
    Sarebbe valido, invece: C:\users\MaxMustermann\test.dbf
  • devono essere depositati vicino alla catella originaria (Root), per soddisfare le eventuali limitazioni concernenti la lunghezza del nome file incluso percorso: al massimo 255 caratteri

Il formato del file è descritto nel capitolo Struttura file.

info Informazioni su

dBase non supporta nessuna struttura o array (variabili complesse) durante l´operazione di export.

Noch in diesem Kapitel

dBaseIV file variabile


dBaseIV file variabile

Manuale -> Import e Export -> Variabili -> Import e export dBase -> dBaseIV file variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´importazione e esportazione di variabili il file dBaseIV deve avere la struttura e il contenuto seguente.

attention Attenzione

dBase non supporta nessuna struttura o array (variabili complesse).

I file DBF devono:

  • corrispondere nella denominazione al formato 8.3 DOS per nomi file (8 caratteri alfanumerici per il nome, 3 caratteri estensione, nessuno spazio)
  • essere depositati vicino alla cartella (Root)

Struttura

Nome | Tipo | Gr. campo | Commento
KANALNAME | Char | 128 | Nome variabile. Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
KANAL_R | C | 128 | Nome originario di una variabile che deve essere sostituito con l´inserimento in “VARIABLENAME” (campo/colonna devono essere impostati manualmente). Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
KANAL_D | Log | 1 | Variabile viene cancellata coll'inserimento del valore 1 (campo, colonna devono essere creati manualmente).
TAGNR | C | 128 | Identificazione. Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
EINHEIT | C | 11 | Unità di misura tecnica
DATENART | C | 3 | Tipo di dato (p.e. Bit, Byte, Word, ...) corrisponde al tipo di dato.
KANALTYP | C | 3 | Parte della memoria nel PLC (p.e. area merker, area dati, ….) corrisponde al tipo di oggetto driver.
HWKANAL | Num | 3 | Indirizzo bus
BAUSTEIN | N | 3 | Indirizzo del blocco dati (unicamente variabili dall´area dati del PLC)
ADRESSE | N | 5 | Offset
BITADR | N | 2 | Per variabili bit: Indirizzo bit Per variabili Byte: 0=parte bassa, 8= parte alta per variabili stringa: Lunghezza stringa (max. 63 caratteri)
ARRAYSIZE | N | 16 | Quantità di variabili nell´array per variabili indice ATTENZIONE: Solamente la prima variabile è disponibile. Tutte le altre variabili sono accessibili solo attraverso VBA o il manager dei gruppi di ricette.
LES_SCHR | L | 1 | Autorizzazione di scrittura e lettura 0: Settare valore impostabile non permesso 1: Settare valore impostabile permesso
MIT_ZEIT | L | 1 | Settaggio valore tempo in zenon (solo se supportato dal driver)
OBJEKT | N | 2 | Numero ID specifico per i driver dell´oggetto primitivo Si compone di TREIBER-OBJEKTTYP e DATENTYP
SIGMIN | Float | 16 | Segnale del valore di origine minimo (risoluzione di segnale)
SIGMAX | F | 16 | Segnale del valore di origine massimo (risoluzione di segnale)
ANZMIN | F | 16 | Valore tecnico minimo (area di misurazione)
ANZMAX | F | 16 | Valore tecnico massimo (area di misurazione)
ANZKOMMA | N | 1 | Quantità delle cifre decimali per la rappresentazione dei valori (area di misurazione)
UPDATERATE | F | 19 | Frequenza update per le variabili matematiche (in sec, una cifra decimale possibile) non utilizzato con tutte le altre variabili
MEMTIEFE | N | 7 | Esistente per motivi di compatibilità
HDRATE | F | 19 | Frequenza di update HD per valori storici (in sec, possibile una cifra decimale)
HDTIEFE | N | 7 | Profondità HD per valori storici (Quantità)
NACHSORT | L | 1 | Valori HD come valori ulteriormente sorteggiati
DRRATE | F | 19 | Aggiornamento a livello emissione (per il server zenon DDE, in secondi, possibile una cifra decimale)
HYST_PLUS | F | 16 | Isteresi positiva, partendo dall´area di misurazione
HYST_MINUS | F | 16 | Isteresi negativa, partendo dall´area di misurazione
PRIOR | N | 16 | Priorità di aggiornamento della variabile
REAMATRIZE | C | 32 | Nome della matrice di reazione attribuita
ERSATZWERT | F | 16 | Valore di sostituzione, partendo dall´area di misurazione
SOLLMIN | F | 16 | Limite di valore impostabile Minimo, partendo dall´area di misurazione
SOLLMAX | F | 16 | Limite del valore impostabile massimo, partendo dall´area di misurazione
VOMSTANDBY | L | 1 | Richiedere variabile dal Server-Standby; il valore della variabile nella rete di ridondanza non viene richiesto dal server ma dal Server-Standby.
RESOURCE | C | 128 | Identificazione servizio Stringa libera per esportazione e visualizzazione in liste. Si può limitare la lunghezza tramite l´inserimento MAX_LAENGE nel project.ini .
ADJWVBA | L | 1 | Adattamento di valori non-lineari 0: Viene utilizzato l’adattamento non lineare dei valori 1: L’adattamento non lineare dei valori non viene utilizzato.
ADJZENON | C | 128 | Macro VBA collegata per la lettura delle variabili per adattamento non lineare dei valori.
ADJWVBA | C | 128 | Macro VBA collegata per la scrittura delle variabili al fine dell´adattamento non lineare dei valori.
ZWREMA | N | 16 | Matrice di reazione di conteggio collegata.
MAXGRAD | N | 16 | Gradiente massimo per la matrice di reazione di conteggio.
attention Attenzione
In caso di import, i tipi di oggetto driver e tipi di dato devono essere adattati nel file DBF al driver di destinazione, in modo tale che sia possibile importare le variabili.

Definizione di valore limite

Definizione per valore limite da 1 a 4, oppure stato da 1 a 4:

Nome | Tipo | Gr. campo | Commento
AKTIV1 | L | 1 | Valore limite attivo (esistente per ogni valore limite)
GRENZWERT1 | F | 20 | Valore tecnico o numero ID della variabile collegata per un valore limite dinamico (vedi VARIABILEx) (se sotto VARIABLEx è settato 1 e qui -1, non si sovrascrive la presente assegnazione di variabili).
SCHWWERT1 | F | 16 | Valore di soglia per il valore limite
HYSTERESE1 | F | 14 | Non utilizzata
BLINKEN1 | L | 1 | Imposta lampeggio
BTB1 | L | 1 | Salvataggio in CEL
ALARM1 | L | 1 | Allarme
DRUCKEN1 | L | 1 | Stampa (per CEL oppure allarmi)
QUITTIER1 | L | 1 | Ripristino obbligatorio
LOESCHE1 | L | 1 | Cancellazione obbligatoria
VARIABLE1 | L | 1 | Collegamento dinamico del valore limite il valore limite non è definito con un valore assoluto (vedi casella GRENZWERT).
FUNC1 | L | 1 | Collegamento funzione
ASK_FUNC1 | L | 1 | Esecuzione tramite la Lista di informazione allarmi
FUNC_NR1 | N | 10 | Numero ID della funzione collegata (settato “-1”, non si sovrascrive la funzione esistente all’importazione)
A_GRUPPE1 | N | 10 | Gruppo allarmi/eventi
A_KLASSE1 | N | 10 | Classe allarmi/eventi
MIN_MAX1 | C | 3 | Minimo, massimo
FARBE1 | N | 10 | Colore pari alla cifratura Windows
GRENZTXT1 | C | 66 | Testo valore limite
A_DELAY1 | N | 10 | Ritardo di segnalazione
INVISIBLE1 | L | 1 | Invisibile

Descrizioni nella colonna „annotazioni” si riferiscono ai termini usati nei box di dialogo per la definizione di variabili. In caso di problemi consultare capitolo definizione variabili.


Interblocchi

Manuale -> Import e Export -> Interblocchi

Il file di esportazione per gli Interblocchisi suddivide in:

  • Lista interblocchi

Quando sono importati/esportati gli interblocchi, le Variabili interessate non verranno esportate/importate automaticamente. Bisogna fare attenzione tenendo conto del caso specifico: dev´essere effettuata prima un'importazione/esportazione delle variabili.

Noch in diesem Kapitel

Gruppi di comando


Gruppi di comando

Manuale -> Import e Export -> Interblocchi -> Gruppi di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esporta

I gruppi comandi possono essere esportati in modo selettivo o tutti insieme.

info Informazioni su

I gruppi comandi e gli interblocchi generali non possono essere esportati insieme!

Importa

Per quello che concerne l´Import di gruppi comando, vale quanto segue:

  • La relazione fra gruppi comandi esistenti e quelli da importare viene creata mediante il nome. Se esiste già un gruppo comando con un determinato nome, esso viene attualizzato.
  • Se esiste già un interblocco generale con un determinato nome, viene creato un nuovo gruppo comandi con un nuovo nome.
  • Vengono creati gruppi comandi non esistenti.
  • Gli interblocchi generali presenti nel file di importazione non vengono importati.
  • Delle relazioni di variabili assolute vengono create mediante il nome.
  • I nuovi gruppi comandi ricevono un ID univoco e non ancora utilizzato.


Temporizzatori

Manuale -> Import e Export -> Temporizzatori

Il file di esportazione per i Temporizzatorisi suddivide in:

Lista delle funzioni tempo

Lista funzioni

Con le funzioni tempo vengono esportate anche le Variabili ivi contenute. Le Funzioni tempo vengono importate automaticamente. Le funzioni devono essere importate da questo file in maniera separata.


Attribuzioni

Manuale -> Import e Export -> Attribuzioni

Il file di esportazione per le Attribuzionisi suddivide in:

Lista di attribuzioni

Quando sono importate/esportate le attribuzioni, le variabili interessate non verranno esportate/importate automaticamente. Caso per caso bisogna fare attenzione che venga effettuata prima un'importazione/esportazione delle variabili.


Segnalazioni d'errore

Manuale -> Import e Export -> Segnalazioni d'errore

Gli errori che si sono verificati durante l´importazione o esportazione vengono visualizzati nella finestra di emissione.

Messaggio di errore | Causa possibile e soluzione
Errore: "Il file non può essere aperto, file in uso da un altro utente." | Questo file è bloccato per ogni forma di modifica. L´utente deve rendere disponibile il file in questione prima che sia possibile eseguire di nuovo l´import/export.
Errore: "Impossibile aprire o raggiungere il database." | Forse mancano i diritti per generare il file, oppure quest´ultimo è difettoso.
Errore: "La variabile non è valida e non verrà salvata." | La variabile non è valida. Controllare tutti i parametri delle variabili.
Errore: "La variabile non può essere trovata nel Database." | Errore nell´accettazione nella banca dati.
Errore: "La variabile contiene un indirizzo Hardware non valido." | Un indirizzo hardware della variabile non è corretto. Correggere l´indirizzo prima di effettuare di nuovo l´importazione.
Errore: "Il driver non ha disponibile nessun oggetto per l'Im-/Export, Im-/Export non verrà eseguito." | Il driver selezionato non dispone di nessun oggetto che possa essere importato o esportato.
Errore: "Impossibile cancellare la variabile. Variabile non disponibile." | Una variabile che è stata selezionata per essere cancellata, non esiste più.
Avviso: "Esiste già una variabile con il nuovo nome; l'import verrà completato con il nome precedente." | Una variabile, che deve essere rinominata effettuando l´import, non viene rinominata, visto che ce n`è già un´altra con lo stesso nome. Essa viene importata con il nome originario.
Avviso: "La variabile non può essere rinominata e verrà ricreata." | Una variabile, che deve essere rinominata, non può essere rinominata. Viene creata di nuovo.

Gli errori che si verificano nel XML-Import vengono trattati e risolti in un dialogo apposito.


Industrial Maintenance Manager (IMM)

Manuale -> Industrial Maintenance Manager (IMM)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'Industrial Maintenance Manager (IMM) serve alla cura dei dati relativi ai macchinari e alla manutenzione. E' possibile pianificare e gestire in modo semplice ed efficacie gli intervalli con cui effettuare le operazioni di manutenzione. Si ha sempre una visione generale completa di quali apparecchi, impianti, macchinari ecc. devono essere sottoposti a controllo oggi/questa settimana/il mese prossimo ecc. Viene protocollato, inoltre, quali lavori di manutenzione sono stati effettuati in passato.

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.

Noch in diesem Kapitel

Funzionalità

Limitazioni

Lavoro di preparazione

Creare un'immagine del tipo IMM

Lavoro di Manutenzione

Inserimento dati

Integrazione nel processo

Gestione durante il runtime

Funzioni


Funzionalità

Manuale -> Industrial Maintenance Manager (IMM) -> Funzionalità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • I dispositivi possono essere copiati e aggiunti; al nome del dispositivo viene aggiunto un numero progressivo.
  • La visualizzazione elenco può essere modificata e adeguata alle esigenze individuali nel filtro immagine. Possono essere modificati il nome, la larghezza delle colonne, e la loro successione.
  • Ogni lista può essere visualizzata e stampata come html via foglio di stile.
  • L`identificazione di impianto può essere creata solo usando il menù contestuale nella visualizzazione struttura ad albero.
  • Identificazioni di impianto multigerarchiche.
  • Si possono creare degli apparecchi tramite il menù contestuale nella struttura ad albero, oppure nella lista, a patto che sia stato selezionato un impianto nella visualizzazione struttura ad albero. Questo impianto, poi, viene inserito automaticamente nell'apparecchio in forma d´identificazione impianto.
  • Cliccando sulla testa della colonna, gli elementi vengono ordinati in ordine alfabetico.
  • Capacità multiprogetto
  • Server-Client
  • La cancellazione di dispositivi è soggetta ad un livello utente che prevede due modi di cancellazione. In primo luogo, abbiamo una cancellazione nel senso che i dati sono conservati nella banca dati; gli inserimenti storici, quindi, non vanno persi. In questo caso il Flag ACTIVE della banca dati viene settato a 0. In alternativa abbiamo una cancellazione definitiva: tutti i dati della banca dati, inclusi quelli concernenti le operazioni di manutenzione e la storia, vengono cancellati.
  • I checkbox nella struttura ad albero per le identificazioni impianti sono un filtro. Quando vengono attivati, sono visualizzati solo gli apparecchi, gli inserimenti storici e le attività di manutenzione relativi a questa specifica identificazione impianto.


Limitazioni

Manuale -> Industrial Maintenance Manager (IMM) -> Limitazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modulo salva i dati in una banca dati Microsoft SQL Server (sono possibili tutte le versioni SQL a cominciare dalla SQL Server 2000). Il server MS SQL non è contenuto nella versione del zenon. Potete utilizzare, però, la "SQL Server Express Edition" che viene installata con l'editor di zenon.

Gli altri server SQL, come, ad esempio, Oracle non vengono supportati.


Lavoro di preparazione

Manuale -> Industrial Maintenance Manager (IMM) -> Lavoro di preparazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Database

Progettazione


Database

Manuale -> Industrial Maintenance Manager (IMM) -> Lavoro di preparazione -> Database

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare una banca dati propria.

Avviate una nuova istanza del prompt dei comandi (Cmd.exe).

Avviate lo strumento osql.exe.

osql.exe -E -S Nome computer/Nome istanza

Istruzioni per la creazione di una banca dati

1> CREATE DATABASE Nome database

2> GO

Nome banca datie

un qualsiasi nome per la banca dati: per es. Maintenance

Con exit terminate il programma osql.exe.


Progettazione

Manuale -> Industrial Maintenance Manager (IMM) -> Lavoro di preparazione -> Progettazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vengono generate 4 tabelle nella banca dati. I nomi delle tabelle sono assegnati in modo fisso e corrispondono ai nomi usati nella Amministrazione punti di misurazione:

  • Tabella dispositivi: Devices
  • Tabella per elaborazione manutenzione: MaintenanceWorks
  • Tabella per lo storico: MaintenanceHistory
  • Tabella per i documenti: Documents

Connessione database

Si può modificare manualmente la stringa ODBC nelle proprietà di progetto, nel nodo Industrial Maintenance Manager, tramite la proprietà Database. Un clic sul pulsante ... apre il dialogo di configurazione.

Nuovo...

Cliccate su questo pulsante per aggiungere una nuova origine dati file

Scegliete nel campo di dialogo "Crea nuova origine dati" il driver SQL Server ; poi cliccate su Avanti per digitare il nome o il posto di salvataggio della nuovo file DSN.

Cliccate di nuovo su Avanti per visualizzare un riassunto delle nuove informazioni.

Cliccate su Termina per visualizzare il campo di dialogo specifico per il driver.

Se selezionate un nome server della lista, non sono più necessarie ulteriori impostazioni di configurazione.

Cliccate di nuovo su Avanti .

Cliccate di nuovo su avanti.

Adesso potete selezionare la banca dati precedentemente creata.

Cliccate su Termina.

Adesso potete testare la connessione progettata.

attention Attenzione

Quando si usano il Native Client 10 e 11, la password non viene ripresa automaticamente nella stringa provider. Essa deve essere inserita manualmente.

Per esempio: ...;User ID=sqlExampleUser1;Password=secretPassword;...


Creare un'immagine del tipo IMM

Manuale -> Industrial Maintenance Manager (IMM) -> Creare un'immagine del tipo IMM

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine IMM.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Parametri

Descrizione

Inserisci modello

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Lista

Lista dei processi che vengono visualizzati durante il Runtime.

Funzioni liste

Elementi di controllo per la gestione della lista.

Filtro

Applica filtri.

Nuova identificazione impianti

Crea una nuova identificazione impianti.

Cancella identificazione impianto

Cancella l´identificazione impianti selezionata.

Dispositivo

Elementi di controllo per dispositivi.
  • Nuovo

Aggiunge un nuovo dispositivo.
  • Modifica

Consente la modifica del dispositivo selezionato.
  • Elimina

Cancella un dispositivo.
  • Evidenzia come disattivato

Fa passare il dispositivo alla modalità inattiva.
  • Sostituisci

Sostituisce un dispositivo.

Copia

Copia l´elemento selezionato negli appunti

Inserisci

Inserisce l´elemento selezionato proveniente dagli appunti

Sostituisci contatore

Sostituisce un contatore.

Modifica manutenzione

Consente la modifica di un lavoro di manutenzione.

Esegui manutenzione

Passa a "Esegui manutenzione".

Esegui riparazione

Passa ad "Esegui riparazione".

Stampa lista

Stampa la lista.

Stampa dettagli

Stampa i dettagli.

Aggiorna

Aggiorna la visuale.

Profili filtro

Pulsanti per impostazioni filtro nel Runtime.

Selezione profili

Selezionare un profilo dalla lista.

Salva

Salva l´impostazione attuale come profilo.

Elimina

Cancella il profilo selezionato.

Importa

Importa profili filtro da un file di export

Esportazione

Esporta profili filtro in file

Noch in diesem Kapitel

Visuale durante il Runtime


Visuale durante il Runtime

Manuale -> Industrial Maintenance Manager (IMM) -> Creare un'immagine del tipo IMM -> Visuale durante il Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando la Immagine del tipo IMM viene aperta durante il Runtime, essa viene visualizzata divisa in due settori:

Noch in diesem Kapitel

Lato sinistro: Tree

Lato destro: Lista


Lato sinistro: Tree

Manuale -> Industrial Maintenance Manager (IMM) -> Creare un'immagine del tipo IMM -> Visuale durante il Runtime -> Lato sinistro: Tree

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametri | Descrizione
Data Master | Come sotto-nodi sono utilizzate le identificazioni impianto. Questi sotto-nodi sono dotati di un checkbox per limitare la selezione. Questa selezione determina l'emissione nella lista. Nei dati master, nei lavori di manutenzione e nella storia vengono visualizzati solo i dati relativi agli impianti selezionati. Nota: I dispositivi della lista possono essere trascinati mediante Drag&Drop su altri impianti.
Log | Qui vengono filtrati i dati storici sulla base di periodi di tempo. Con l´opzione Filtro libero si apre una finestra di dialogo che serve a scegliere il periodo desiderato.
Lavori di Manutenzione | Qui vengono filtrati i lavori di manutenzione da effettuare sulla base di periodi di tempo. Con l´opzione Filtro libero si apre una finestra di dialogo che serve a scegliere il periodo desiderato.


Lato destro: Lista

Manuale -> Industrial Maintenance Manager (IMM) -> Creare un'immagine del tipo IMM -> Visuale durante il Runtime -> Lato destro: Lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Qui viene visualizzato quanto è stato selezionato nella struttura ad albero (parte sinistra) in forma di lista. La lista può essere ordinata in senso ascendente o discendente per ogni colonna. In questo tipo di visualizzazione c'è anche un menù contestuale che, a seconda della selezione effettuata nella struttura ad albero, offre diverse funzioni.

Selezione dei dati master

Comando

Descrizione

Nuovo dispositivo

Alla voce Nuovo dispositivo si possono creare nuovi dati master. L'inserimento dei dati avviene tramite una finestra di dialogo con ha 3 schede. Nella prima pagina vanno inseriti i dati relativi al dispositivo. Nella pagina Lavori di manutenzione si può impostare un numero a piacere di lavori di manutenzione per il dispositivo in questione. Per offrire al progettista una visione d'insieme, in questa pagina i titoli dei lavori di manutenzione vengono visualizzati in una lista. Nell'ultima pagina si può assegnare al dispositivo anche un numero qualsiasi di documenti. Come per i lavori di manutenzione, anche questi vengono rappresentati in forma di lista, in modo tale da fornire una visione d'insieme chiara. Cliccando due volte su un documento, questo viene visualizzato, sempre che sia installato il programma relativo.

Nota: I dispositivi possono essere trascinati per Drag&Drop su altri impianti nei master data.

Modifica dispositivo

Simile a "Nuovo dispositivo", con la sola differenza che qui i campi sono riempiti con i dati già esistenti. Bisogna naturalmente selezionare un dispositivo.

Cambia dispositivo

Qui vengono modificate le variabili per conta impulsi e contatore di funzionamento! Su di esse si basa il calcolo per stabilire il momento in cui procedere ad eseguire la manutenzione. Se si effettua un cambio dispositivi, viene generato un inserimento storico relativo. L'intervallo temporale intercorrente fra i lavori di manutenzione, inoltre, viene resettato ed i nuovi valori della variabili vengono utilizzati come valori di partenza per il calcolo dei lavori di manutenzione successivi.

I dati relativi al dispositivo rimangono immutati; cambiano solo le variabili collegate. Queste devono essere inserite usando una finestra di dialogo. Nel caso in cui la variabile non esista, nella finestra di dialogo appare un avviso che fa presente che nessuna variabile valida è momentaneamente collegata al dispositivo.

Cambia contatori

Se si sostituisce un contatore, la variabile rimane la stessa, ma cambia lo stato del contatore (valore della variabile). Se si effettua un cambio di contatore, viene generato un inserimento storico relativo . Se si vuole, si può resettare qui l'intervallo in cui eseguire i lavori di manutenzione.

Si può impostare un nuovo valore iniziale per il dispositivo sostituito.

Elimina dispositivo

Il dispositivo selezionato può essere eliminato. Tutti i dati relativi (lavori di manutenzione, dati storici e documenti) vengono cancellati. Per sicurezza, il sistema chiede all´utente se vuole veramente cancellare i dati.

Inserire i master data.

Parametri

Descrizione

Nome

Nome del dispositivo.

Identificazione di impianto

Visualizzazione dell´identificazione di impianto

Targhetta di identificazione

Dati concernenti la targhetta

  • Tipo
  • Fabbricazione
  • Numero di serie

Descrizione libera

Campo d´inserimento per una libera descrizione.

Data di implementazione

Inserimento della data di messa in opera.

Variabili

Configurazione delle variabili.

Contatore cicli di funzionamento

Selezione delle variabili per il contatore cicli di funzionamento.

Cliccate sul pulsante ... e si apre la finestra di dialogo che serve alla selezione di una variabile.

Attenzione: l´intervallo di conteggio deve essere selezionato in modo tale che sia grande abbastanza da garantire che, in fase di funzionamento, passi sempre meno della metà del valore finale del contatore fra lo stato attuale e quello relativo all´ultimo lavoro di manutenzione.

Contatore mass.

Massimo consentito per lo stato contatore.

Ore di funzionamento

Selezione delle variabili per le ore di funzionamento.

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Attenzione: l´intervallo di conteggio deve essere selezionato in modo tale che sia grande abbastanza da garantire che, in fase di funzionamento, passi sempre meno della metà del valore finale del contatore fra lo stato attuale e quello relativo all´ultimo lavoro di manutenzione.

Contatore mass.

Massimo consentito per lo stato del contatore.

Variabile di risposta

Dopo l´effettuazione di un lavoro di manutenzione, il valore definito in quella sede viene scritto sulla variabile qui collegata. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Configurare lavori di manutenzione.

Parametri

Descrizione

Nome

Nome per incarico.

Commento

Commento relativo all´incarico.

Nota: Create un´interruzione di riga usando la combinazione di tasti Ctrl+INV.

Livello di autorizzazione

Inserimento del livello di autorizzazione necessario per l´esecuzione.

Intervallo di manutenzione

Configurazione dell´intervallo di manutenzione per:

  • Periodo in giorni
  • Contatore cicli di funzionamento
  • Ore di funzionamento

Interazione di processo

Proprietà per l´interazione.

Valore di risposta

Valore che viene scritto sulla variabile di responso collegata al dispositivo dopo l´esecuzione del lavoro di manutenzione.

Variabile di stato

Variabile che indica lo stato del lavoro di manutenzione.

  • 0: Manutenzione non in scadenza
  • 1: Manutenzione in scadenza

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

La variabile viene scritta quando l´immagine IMM viene attualizzata, oppure quando si esegue la funzione Determinazione manutenzioni in corso.

Modifica dati

Vengono supportate le seguenti possibilità di accesso ai file.

Unità locali | Disco fisso locale
Percorso UNC | per es. \\Nome server\Nome rilascio
Unità collegate | Disco fisso reso disponibile da un computer della rete

attention Attenzione

Requisito: per poter visualizzare i documenti, bisogna aver installato un Viewer corrispondente. per es. Adobe Acrobat Reader per file.pdf

Cambia dispositivo

Cambia contatori

Selezione lavori di manutenzione

Con un doppio clic su un lavoro di manutenzione, vengono visualizzati i dati relativi a quest'ultimo. Ma questi dati non possono essere modificati.

Esegui riparazione

Se si effettua una riparazione, viene generato dal sistema in primo luogo un inserimento storico, e, in secondo luogo, il lavoro di manutenzione viene considerato come non (!) eseguito e rimane così nella lista di quelli da eseguire. Viene generato un inserimento storico.

Simile alla "Esecuzione di un lavoro di manutenzione", con la sola differenza che appare in più la domanda se i contatori devono essere attualizzati oppure no.

Stampa lista

La lista visualizzata viene scritta 1:1 in un file XML e visualizzata in un HTML browser via foglio di stile. A questo punto il file HTML può essere salvato o direttamente stampato.

Stampa dettagli

I dati relativi ai lavori di manutenzione selezionati vengono stampati.

Modifica manutenzione

In questa sede si possono modificare i dati relativi ai lavori di manutenzione selezionati.

Esegui manutenzione

Se viene eseguito un lavoro di manutenzione, i contatori vengono attualizzati e viene generato un inserimento storico. Il lavoro di manutenzione, inoltre, viene considerato eseguito per questo intervallo e cancellato dalla lista di quelli da eseguire.

Alla voce "Documenti" vengono visualizzati in una lista i file collegati. Con un doppio clic su un file, questo viene aperto a patto che sia installato il necessario programma.

Selezione storia

Qui c'è un solo punto di menù, e cioè Stampa lista. Stesso procedimento come nel caso dei lavori di manutenzione - Stampa lista.


Lavoro di Manutenzione

Manuale -> Industrial Maintenance Manager (IMM) -> Lavoro di Manutenzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Determinare le modalità di un lavoro di manutenzione da effettuare è la funzione fondamentale dell'IMM. Tale lavoro di manutenzione può avere tre diversi intervalli:

- un periodo in giorni

- un contatore delle ore di funzionamento oppure

- un contaimpulsi.

Sulla base di questi intervalli, si determina quando deve essere effettuato un lavoro di manutenzione.

Nel caso in cui si raggiunga il limite di tolleranza, le operazioni di manutenzione da effettuare vengono riportate nella lista con una nota che fa presente che il livello di guardia è stato raggiunto. Quando si raggiunge l'intervallo per l'effettuazione dei lavori di manutenzione, questi ultimi vengono indicati come da effettuare e vengono inseriti nella lista delle operazioni di manutenzione.

La funzione "Rileva lavori di manutenzione"

Mediante la funzione Rileva lavori di manutenzione, viene prelevata dall'IMM la lista di tutte le operazioni di manutenzione da effettuare nel periodo di tempo prescelto. Queste ultime, poi, vengono utilizzate per la determinazione dei valori di stato progettati specifici per un determinato impianto.

Durante questa operazione, vengono scritte sulle variabili di stato relative dei valori impostabili numerici nella dimensione del numero complessivo dei lavori di manutenzione da effettuare, che si trovano negli impianti, che corrispondono al attinente criterio di filtro.

Se create nell'editor una nuova funzione Rileva lavori di manutenzione, compare il seguente dialogo di configurazione:

Periodo | In questa sede si definisce il periodo in cui vengono rilevati i lavori di manutenzione da effettuare (vedi IMM).

Noch in diesem Kapitel

Periodo

Contatore di ore e contaimpulsi


Periodo

Manuale -> Industrial Maintenance Manager (IMM) -> Lavoro di Manutenzione -> Periodo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell'inserimento dei dati relativi ai lavori di manutenzione può essere impostato un intervallo di tempo in giorni. un certo numero di giorni prima della scadenza dell'intervallo di tempo programmato il lavoro di manutenzione viene valutato dal sistema come manutenzione da eseguire e l'utente ne viene avvertito. (messaggio, "manutenzione da realizzare fra xx giorni).

Nel caso in cui sia raggiunto il periodo o lo stato del contatore dell'intervallo di manutenzione, la manutenzione stessa viene registrata con il testo "intervallo di manutenzione superato".

La data dell'ultima manutenzione effettuata viene aggiornata ogni volta che viene realizzato un lavoro di manutenzione. Al primo inserimento di lavori di manutenzione, la data relativa viene messa in quella della messa in opera.


Contatore di ore e contaimpulsi

Manuale -> Industrial Maintenance Manager (IMM) -> Lavoro di Manutenzione -> Contatore di ore e contaimpulsi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per calcolare un lavoro di manutenzione da fare, viene divisa la differenza del vecchio stato del contatore al momento dell'ultima manutenzione e di quello attuale per il numero dei giorni trascorsi dall'ultima manutenzione; questo valore viene poi aggiunto al vecchio. Se questo è maggiore a quello consentito, il sistema considera necessaria una manutenzione e lo indica nella lista.

Nel caso in cui una variabile dovesse avere un valore inferiore rispetto a quello che aveva al momento dell'ultima manutenzione, si riceve un messaggio corrispondente.


Inserimento dati

Manuale -> Industrial Maintenance Manager (IMM) -> Inserimento dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

E' possibile inserire i valori delle variabili nei dati di manutenzione solo se si crea un nuovo lavoro di manutenzione. Altrimenti rimane il vecchio valore.

Nel caso in cui si imposti un apparecchio e non ci sia alcuna variabile collegata, nel lavoro di manutenzione corrispondente rimane il valore iniziale. Anche in questa situazione i valori delle variabili nel lavoro di manutenzione non vengono sovrascritti se le le variabili vengono inserite posteriormente. Appare una comunicazione nel caso in cui la variabile necessaria per il calcolo della manutenzione abbia ancora il valore iniziale. Il valore della variabile può cambiare solo nel caso venga effettuata una riparazione, venga sostituito l'apparecchio o venga realizzato un lavoro di manutenzione.


Integrazione nel processo

Manuale -> Industrial Maintenance Manager (IMM) -> Integrazione nel processo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • Segnalazione di un'operazione di manutenzione eseguita con successo: al dispositivo può essere assegnata una variabile integer. Si deve, inoltre, definire nell´operazione di manutenzione il valore di restituzione di questa variabile. Se non si desidera alcuna differenza fra i diversi lavori di manutenzione, si può inserire in questa sede sempre lo stesso valore. Nel caso in cui non si indichi alcun valore, non viene settato alcun valore neppure nella variabile.
  • Risposta nel processo: ad ogni lavoro di manutenzione può essere collegata una variabile, che contiene lo stato della manutenzione. (Status Ok 0 e Status da eseguire 1)


Gestione durante il runtime

Manuale -> Industrial Maintenance Manager (IMM) -> Gestione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le seguenti funzioni sono disponibili:

  • Apparecchio nuovo : creare un nuovo apparecchio. Deve essere selezionata un´identificazione Impianti.
  • Modifica apparecchio : modificare un apparecchio. Bisogna naturalmente selezionare un apparecchio.
  • Apparecchio inattivo : Disattivare un apparecchio, il che significa che i dati non vengono più visualizzati, ma rimangono nella banca dati.
  • Esegui manutenzione: Deve essere selezionata un'operazione di manutenzione per poterla eseguire.
  • Attualizzare: I dati delle banca dati e le variabili vengono lette di nuovo.
  • Filtri : Apre il dialogo delle immagini filtro al fine di modificarne le colonne.
  • Stampa : Genera un html con la visualizzazione di lista desiderata. Viene riprodotta in modo fedele la modalità di visualizzazione attuale. Si può stampare la lista delle operazioni di manutenzione già effettuate e quelle che devono essere ancora esguite.
  • Stampa dettagli : I dettagli concernenti un lavoro di manutenzione visualizzati in formato html. Naturalmente è necessario che si selezioni un'operazione di manutenzione.


Funzioni

Manuale -> Industrial Maintenance Manager (IMM) -> Funzioni

Noch in diesem Kapitel

Cambio immagine

Determinazione manutenzioni in corso


Cambio immagine

Manuale -> Industrial Maintenance Manager (IMM) -> Funzioni -> Cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si crea una funzione per il cambio immagine verso un´immagine del tipo IMM, il sistema propone il dialogo che serve alla configurazione delle impostazioni delle colonne. Queste ultime possono essere configurate separatemente per:

  • Data Master
  • Lavori di Manutenzione
  • Log

Noch in diesem Kapitel

Data Master

Lavori di Manutenzione

Log


Data Master

Manuale -> Industrial Maintenance Manager (IMM) -> Funzioni -> Cambio immagine -> Data Master

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione dei Data Master da visualizzare:

  • Contatore ore di funzionamento corrente
  • Contatore operazioni correnti
  • Etichetta di impianto
  • Nome
  • Fabbricazione
  • Dispositivo
  • Data di implementazione
  • Numero di serie
  • Stato
  • Tipo
  • Tempo dall'ultima manutenzione

Parametri | Descrizione
Tipo colonne | Definizione per checkbox quali colonne devono essere visualizzate durante il Runtime. Descrizione non modificabile. Attivo: Colonna viene visualizzata durante il Runtime.
Descrizione | Definisce l´intestazione della colonna corrispondente. Può essere configurata per il cambio lingua. Il valore è editabile.
Larghezza | Definisce la larghezza della colonna in pixel. La si può fissare anche trascinando con il mouse nella lista con visualizzazione orizzontale dei nomi colonna. Il valore è editabile.
Sposta elemento verso l'alto | Sposta la colonna selezionata verso l´alto. Spostamento possibile anche tramite Drag&Drop.
Sposta elemento verso il basso | Sposta la colonna selezionata verso il basso Spostamento possibile anche tramite Drag&Drop.
Campo con visualizzazione orizzontale dei nomi colonna. | Mostra le colonne attivate nella lista. Si può definire la grandezza delle colonne trascinando per mezzo del puntatore del mouse che si muove al bordo della colonna stessa.


Lavori di Manutenzione

Manuale -> Industrial Maintenance Manager (IMM) -> Funzioni -> Cambio immagine -> Lavori di Manutenzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione dei lavori di manutenzione da visualizzare:

  • Contatore ore di funzionamento corrente
  • Contatore operazioni correnti
  • Etichetta di impianto
  • Nome
  • Scadenza
  • Dispositivo
  • Interno-Esterno
  • Commento
  • Stato
  • Lavoro di Manutenzione
  • Tempo dall'ultima manutenzione

Parametri | Descrizione
Tipo colonne | Definizione per checkbox quali colonne devono essere visualizzate durante il Runtime. Descrizione non modificabile. Attivo: Colonna viene visualizzata durante il Runtime.
Descrizione | Definisce l´intestazione della colonna corrispondente. Può essere configurata per il cambio lingua. Il valore è editabile.
Larghezza | Definisce la larghezza della colonna in pixel. La si può fissare anche trascinando con il mouse nella lista con visualizzazione orizzontale dei nomi colonna. Il valore è editabile.
Sposta elemento verso l'alto | Sposta la colonna selezionata verso l´alto. Spostamento possibile anche tramite Drag&Drop.
Sposta elemento verso il basso | Sposta la colonna selezionata verso il basso Spostamento possibile anche tramite Drag&Drop.
Campo con visualizzazione orizzontale dei nomi colonna. | Mostra le colonne attivate nella lista. Si può definire la grandezza delle colonne trascinando per mezzo del puntatore del mouse che si muove al bordo della colonna stessa.


Log

Manuale -> Industrial Maintenance Manager (IMM) -> Funzioni -> Cambio immagine -> Log

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione della storia da visualizzare:

  • Etichetta di impianto
  • Utente
  • Nome
  • Data
  • Dispositivo
  • Commento
  • Lavoro di Manutenzione
  • Contatore di lettura di Manutenzione

Parametri | Descrizione
Tipo colonne | Definizione per checkbox quali colonne devono essere visualizzate durante il Runtime. Descrizione non modificabile. Attivo: Colonna viene visualizzata durante il Runtime.
Descrizione | Definisce l´intestazione della colonna corrispondente. Può essere configurata per il cambio lingua. Il valore è editabile.
Larghezza | Definisce la larghezza della colonna in pixel. La si può fissare anche trascinando con il mouse nella lista con visualizzazione orizzontale dei nomi colonna. Il valore è editabile.
Sposta elemento verso l'alto | Sposta la colonna selezionata verso l´alto. Spostamento possibile anche tramite Drag&Drop.
Sposta elemento verso il basso | Sposta la colonna selezionata verso il basso Spostamento possibile anche tramite Drag&Drop.
Campo con visualizzazione orizzontale dei nomi colonna. | Mostra le colonne attivate nella lista. Si può definire la grandezza delle colonne trascinando per mezzo del puntatore del mouse che si muove al bordo della colonna stessa.


Determinazione manutenzioni in corso

Manuale -> Industrial Maintenance Manager (IMM) -> Funzioni -> Determinazione manutenzioni in corso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Determinazione manutenzioni in corso in corso estrae la lista di tutte le manutenzioni in corso che si riferisce al periodo di tempo selezionato; il sistema va a procurarsi questa lista dall´IMM. Queste manutenzioni, poi, vengono utilizzate per la determinazione dei valori di stato progettati specifici per un determinato impianto.

Al momento dell´esecuzione della funzione si verifica quanto segue:

  • vengono settati valori impostabili numerici sulle variabili di stato corrispondenti; questi valori impostabili corrispondono al numero complessivo delle manutenzioni in attesa che si trovano in impianti e corrispondono all´attribuzione di identificazioni impianti a variabili di stato.
  • Vengono attualizzate anche le variabili di stato progettate sul dispositivo e per la manutenzione.

Per configurare la funzione:

  • scegliete Nuova funzione.
  • Apre il ramo Applicazione.
  • selezionate Determinazione manutenzioni in corso
  • si apre il dialogo per la configurazione della funzione

Parametri | Descrizione
Periodo | Periodo di tempo per il quale vengono determinate le manutenzioni in corso. Nota: viene salvata l´ora locale. I dettagli li potete leggere nel capitolo Gestione di data e ora del manuale dedicato al Runtime.
Identificazione impianto | Inserimento delle identificazioni impianto che devono essere attribuite a una variabile di stato. Forma: le identificazioni impianto vengono inserite in forma di lista, separate da virgole. Le identificazioni impianto possono contenere anche wildcards. (Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)
Variabile di stato | Variabile numerica che, durante l'esecuzione della funzione, riceve come valore impostabile il numero dei lavori di manutenzione da effettuare negli impianti indicati alla voce identificazioni impianto.
Attribuzioni | Lista delle attribuzioni di identificazioni impianto a variabili di stato.
Aggiungi | Aggiunge una riga di attribuzione.
Rimuovi | Cancella l´attribuzione selezionata.

Example Esempio

Nell'impianto 1 sono da effettuare 2 lavori di manutenzione e nell'impianto 2 se ne deve effettuare 1.
Impianto 1 e impianto 2 sono gli unici impianti in questo esempio.
La funzione è progettata in modo analogo allo screenshot qui sopra.

Le variabili di stato ricevono i seguenti valori impostabili:

Wartungen_heute_alle = 3

Wartungen_heute_alle2 = 3

Wartungen_heute_Anlage1_2 = 3

Wartungen_heute_Anlag1 = 2

Wartungen_heute_Anlag2 = 1

info Informazioni su

La funzione viene eseguita nel funzionamento di rete sempre solo sul server.


Industrial Performance Analyzer

Manuale -> Industrial Performance Analyzer

Il modulo Industrial Performance Analyzer (IPA) serve a visualizzare e ad analizzare dati relativi ad allarmi e i tempi di stallo associati in differenti visualizzazioni elenco. L´IPA accede ad una banca dati SQL, in cui gli allarmi (se configurati in modo appropriato) vengono salvati.

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.

Grazie alle sue diverse impostazioni di filtro, l´IPA offre il massimo di flessibilità. Potete effettuare un filtro del vostro impianto, ad esempio, sulla base di singole aree e far in modo che vengano visualizzati solo gli allarmi che si sono verificati in un queste aree. L´IPA consente anche di individuare e rintracciare i punti deboli del vostro impianto. Ciò è di particolare aiuto soprattutto in fase di messa in opera dell´impianto stesso, per scoprire le cause di eventuali problemi e per poterli risolvere. In combinazione con il modulo Production & Facility Scheduler (PFS), poi, l´IPA consente di visualizzare i tempi di inattività cui sono già state sottratte le pause. Dai tempi di inattività effettivi, dunque, vengono sottratti i tempi di pausa. Così avete la possibilità di sapere qual è tempo, per così dire, "netto" di non funzionamento del vostro impianto. L´IPA, inoltre, può riprendere dal PFS gli orari dei turni e i nomi dei turni. Ciò facilita il processo di progettazione e aiuta a risparmiare tempo. Inoltre si deve effettuare la manutenzione degli orari di turno e dei nomi turno solamente in una sede. Un altro vantaggio è che c´è la garanzia che PFS e IPA usino gli stessi dati.

info Informazioni su

L'Industrial Performance Analyzer è concepito per l'uso con il PC e utilizza dunque il mouse e la tastiera come strumenti di inserimento. Non si può garantire la piena funzionalità con un touchscreen.

Noch in diesem Kapitel

Come funziona - Principi base

Progettazione nell'Editor

Gestione nel Runtime


Come funziona - Principi base

Manuale -> Industrial Performance Analyzer -> Come funziona - Principi base

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tutti i dati allarme configurati in modo adeguato (vedi Variabili), vengono salvati in una banca dati SQL. L'IPA supporta le banche dati compatibili con ODBC, come per esempio Oracle SQL Server, Microsoft SQL Server, Microsoft MSDE, MySQL Server ecc. Esse possono trovarsi sia localmente che in rete.

Nel Runtime, i dati allarmi corrispondenti vengono salvati in un buffer e, da lì, vengono scritti ciclicamente nella banca dati indicata. Il tempo del ciclo viene stabilito in fase di progettazione nell´Editor (vedi Impostazioni generali).

E´ possibile che più progetti Runtime scrivano nella stessa banca dati.

Grazie al salvataggio centrale dei dati allarme, si riesce a garantire un elevato grado di sicurezza e di disponibilità dei dati stessi.

Nel Runtime di zenon, la visualizzazione e l'analisi dei dati avviene mediante un´immagine del tipo "Industrial Performance Analyzer".


Progettazione nell'Editor

Manuale -> Industrial Performance Analyzer -> Progettazione nell'Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dovete effettuare le seguenti impostazioni per visualizzare e analizzare nel Runtime i dati allarmi con l´Industrial Performance Analyzer.

Noch in diesem Kapitel

Impostazioni generali

Variabili

Cambio lingua

Immagine del tipo Industrial Performance Analyzer.

Funzione: Cambio immagine

Funzione: Crea/stampa documento IPA


Impostazioni generali

Manuale -> Industrial Performance Analyzer -> Progettazione nell'Editor -> Impostazioni generali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Trovate l'area Industrial Performance Analyzer nelle proprietà di progetto. Qui definite le impostazioni dell'IPA che sono applicate al vostro intero progetto.

Sono disponibili le seguenti proprietà:

Parametri | Descrizione
IPA attivo | Selezionate questa proprietà per attivare IPA.
Database | Qui definite la banca dati nella quale l'IPA deve salvare i dati allarmi (vedi Banca dati)
Nome della tabella | Inserite un nome a piacere per la tabella dei vostri dati IPA. Una tabella con questo nome verrà creata automaticamente nella banca dati al momento in cui il Runtime accederà per la prima volta alla banca dati stessa.
Ciclo di salvataggio | Definite l´intervallo di tempo in cui i dati allarmi provenienti dal buffer devono essere scritti nella banca dati. I valori si trovano, in pratica, fra 2 e i 5 minuti.
Dimensione buffer | Indicate quanti allarmi devono essere salvati nel buffer. Il contenuto del buffer viene salvato nella banca dati alla fine di ogni ciclo. Poi il buffer è di nuovo vuoto. Se, nell'arco di un solo ciclo, si dovesse verificare un numero superiore di allarmi rispetto a quello impostato, gli allarmi più vecchi sono quelli che vanno perduti per prima.
Turno dal PFS | Selezionate questa proprietà per applicare i tempi per i turni definiti nel modulo Production & Facility Scheduler. Se abilitate questa proprietà, potete visualizzare durante l'analisi degli allarmi i tempi di inattività al netto delle pause.
Turno da variabile | Selezionate una variabile del tipo INT. Insieme alla proprietà "Turno dalla lista", potete così assegnare dei valori numerici ai nomi dei turni.
Predefinisci filtro tempo | Definite i diversi filtri tempo che potete usare nel Runtime.
Cause allarmi | Definite le diverse cause allarmi che potete usare nel Runtime.
Identificazione impianto | Definite le diverse identificazioni impianti che potete usare nel Runtime.
Ident. impianto da: | Decidete se volete usare l´inizio dell´identificazione di una variabile o l´inizio del nome di una variabile come parte dell´identificazione impianti.
Nome turno dal PFS | Selezionato questa proprietà per adottare i nomi turni per i turni definiti che si trovano nel modulo Production & Facility Scheduler.
Turno dalla lista | Definite dei nomi turno da assegnare a valori numerici. Usando il valore numerico delle variabili che avete indicato alla voce "Turno da variabile", nel Runtime verrà visualizzato per un allarme il nome turno rispettivo definito in questa sede.
Per cancellare | Selezionate nel menù a tendina il livello di autorizzazione del quale l´utente deve essere in possesso per poter cancellare inserimenti di banca dati dell´Industrial Performance Analyzer.
Per modificare | Selezionate nel menù a tendina il livello di autorizzazione del quale l´utente deve essere in possesso per poter modificare inserimenti di banca dati dell´Industrial Performance Analyzer.

Noch in diesem Kapitel

Database

Predefinisci filtro tempo

Cause allarmi

Identificazione impianto

Turno dalla lista


Database

Manuale -> Industrial Performance Analyzer -> Progettazione nell'Editor -> Impostazioni generali -> Database

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In corrispondenza della proprietà Banca dati, cliccate sul pulsante con i tre punti per passare al dialogo di selezione della origine dati.

  1. Per creare un nuovo file DSN, cliccare su Nuovo....
  2. Nella seguente finestra di dialogo, selezionare l´inserimento Server SQL e cliccare su Avanti.
  3. Digitare un nome per il file dell'origine dati e cliccare di nuovo su Avanti.
  4. Cliccare su Fine per chiudere la finestra di dialogo.
  5. Alla voce Server selezionare Server SQL e cliccare su Avanti.
  6. Non si deve modificare nulla nella finestra di dialogo che si aprirà. Cliccare su Avanti.
  7. Attivare il checkbox Modifica la banca dati standard in: e selezionare la banca dati desiderata. Cliccare su Avanti.
  8. In questo dialogo non si deve effettuare alcuna modifica. Cliccare su Fine per chiudere la finestra di dialogo.

Il dialogo conclusivo mostra un´altra volta le impostazioni effettuate. Qui si può testare l'origine dati. Confermare questa finestra di dialogo e la prossima cliccando su OK.

attention Attenzione

Quando si usano il Native Client 10 e 11, la password non viene ripresa automaticamente nella stringa provider. Essa deve essere inserita manualmente.

Per esempio: ...;User ID=sqlExampleUser1;Password=secretPassword;...


Predefinisci filtro tempo

Manuale -> Industrial Performance Analyzer -> Progettazione nell'Editor -> Impostazioni generali -> Predefinisci filtro tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionando questa impostazione si apre la seguente finestra di dialogo.

Parametri | Descrizione
Aggiungi... | Aggiunge un nuovo tempo filtro. Nella finestra di dialogo che apparirà, assegnare un nome univoco e stabilire un tempo di avvio e di conclusione.
Modifica... | Attivo solo se è stato selezionato un dialogo esistente. Nella finestra di dialogo che apparirà, si può modificare il nome, il tempo di avvio e quello di conclusione.
Elimina | Attivo solo se è stato selezionato uno più dialoghi fra quelli esistenti. Cancella i tempi filtro selezionati senza chiedere conferma.

I filtri tempo definiti qui, sono a disposizione nel Runtime. Qui potete definire, per esempio, i tempi dei vostri turni (turno di mattina, turno di sera ecc.) e potete poi usare questi intervalli di tempo nell´immagine del tipo "Industrial Performance Analyzer" per effettuare un'operazione di filtro.

Nota: viene salvata l´ora locale. I dettagli li potete leggere nel capitolo Gestione di data e ora del manuale dedicato al Runtime.

Noch in diesem Kapitel

Aggiungere un filtro tempo predefinito


Aggiungere un filtro tempo predefinito

Manuale -> Industrial Performance Analyzer -> Progettazione nell'Editor -> Impostazioni generali -> Predefinisci filtro tempo -> Aggiungere un filtro tempo predefinito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si aggiunge un nuovo filtro tempo, o se ne cambia uno già esistente usando la finestra di dialogo Definizione.

Parametri | Descrizione
Nome | Nome univoco del filtro tempo.
Tempo di avvio | Momento a partire dal quale è valido il filtro tempo.
Tempo di conclusione | Momento a partire dal quale finisce il filtro tempo.


Cause allarmi

Manuale -> Industrial Performance Analyzer -> Progettazione nell'Editor -> Impostazioni generali -> Cause allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionando questa impostazione si apre la seguente finestra di dialogo.

Parametri | Descrizione
Aggiungi... | Aggiunge una nuova causa allarmi. Nella finestra di dialogo che apparirà, assegnare un numero univoco e un nome univoco.
Modifica... | Attivo solo se è stato selezionato un dialogo esistente. Nella finestra di dialogo che apparirà, si può modificare sia il numero che il nome.
Elimina | Attivo solo se è stato selezionato uno più dialoghi fra quelli esistenti. Cancella le cause allarme selezionate senza chiedere conferma.

Le cause allarme definite qui, sono a disposizione nel Runtime. Si può assegnare ad ogni allarme una causa allarme nell´immagine del tipo "Industrial Performance Analyzer". Selezionate le cause allarme fra quelle disponibili in una lista che si amministra qui.

Noch in diesem Kapitel

Aggiungere causa allarme


Aggiungere causa allarme

Manuale -> Industrial Performance Analyzer -> Progettazione nell'Editor -> Impostazioni generali -> Cause allarmi -> Aggiungere causa allarme

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Usando la finestra di dialogo "Causa allarmi", si può aggiungere una nuova causa, oppure modificarne una già esistente.

Parametri | Descrizione
Numero | Numero univoco della causa allarme.
Nome | Causa univoca.


Identificazione impianto

Manuale -> Industrial Performance Analyzer -> Progettazione nell'Editor -> Impostazioni generali -> Identificazione impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionando questa impostazione, si apre la seguente finestra di dialogo.

Parametri | Descrizione
Aggiungi... | Aggiunge una nuova identificazione impianti. Nella finestra di dialogo che si aprirà, assegnare un nome all'identificazione impianti.
Modifica... | Attivo solo se è stato selezionato un dialogo esistente. Nella finestra di dialogo che si aprirà, si può modificare il nome dell´identificazione impianti.
Elimina | Attivo solo se è stato selezionato uno più dialoghi fra quelli esistenti. Cancella le identificazioni impianti selezionate senza chiedere conferma.

Le identificazioni impianti definite qui, sono a disposizione nel Runtime. L´identificazione impianti può apparire come prefisso nel nome delle variabili o nella loro identificazione (vedi proprietà Ident. impianto da in Impostazioni generali). Il prefisso deve terminare con il carattere _ . L´assegnazione ad un'identificazione impianti avviene solamente se questa corrisponde esattamente al prefisso.

Example Esempio

Identificazione impianti:

  • Anlage11

Nome variabile o identificazione variabile:

  • Anlage1_Variable1
  • Anlage11_Variable1

Solo la variabile Anlage11_Variabile1 viene assegnata all´identificazione impianti Anlage11.

L´identificazione impianti è un efficace strumento per effettuare un filtro sulla base degli impianti desiderati.

Noch in diesem Kapitel

Aggiungere un'identificazione impianti


Aggiungere un'identificazione impianti

Manuale -> Industrial Performance Analyzer -> Progettazione nell'Editor -> Impostazioni generali -> Identificazione impianto -> Aggiungere un'identificazione impianti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si può aggiungere una nuova identificazione impianti, oppure modificarne una già esistente, usando la finestra di dialogo Identificazione impianti.

Parametri | Descrizione
Identificazione impianti | Nome dell'identificazione impianti


Turno dalla lista

Manuale -> Industrial Performance Analyzer -> Progettazione nell'Editor -> Impostazioni generali -> Turno dalla lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionando questa impostazione, si apre la seguente finestra di dialogo.

Parametri | Descrizione
Aggiungi... | Aggiunge un nuovo nome turno. Nella finestra di dialogo che apparirà, assegnare un numero univoco e un nome univoco.
Modifica... | Attivo solo se è stato selezionato un dialogo esistente. Nella finestra di dialogo che apparirà, si può modificare sia il numero che il nome.
Elimina | Attivo solo se è stato selezionato uno più dialoghi fra quelli esistenti. Cancella i nomi turno selezionati senza chiedere conferma.

I nomi turno definiti qui, sono a disposizione nel Runtime. Aiutano ad effettuare l´operazione di filtro se si vuole che vengano visualizzati solamente gli allarmi che si sono verificati nel corso del rispettivo turno.

Noch in diesem Kapitel

Aggiungere nome turno dalla lista


Aggiungere nome turno dalla lista

Manuale -> Industrial Performance Analyzer -> Progettazione nell'Editor -> Impostazioni generali -> Turno dalla lista -> Aggiungere nome turno dalla lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si possono aggiungere nuovi turni, oppure modificare quelli già esistenti, usando la finestra di dialogo Nome turno.

Parametri | Descrizione
Numero | Numero univoco del turno.
Nome | Nome univoco del turno.


Variabili

Manuale -> Industrial Performance Analyzer -> Progettazione nell'Editor -> Variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si vuole che gli allarmi vengano salvati nella banca dati IPA, si deve attivare per ogni variabile in questione la proprietà Salva nel database IPA. Solo gli allarmi delle variabili per le quali è stata attivata questa proprietà vengono salvati nella banca dati e possono essere poi visualizzati e analizzati nell´immagine del tipo "Industrial Performance Analyzer".

attention Attenzione

Nel testo valore limite delle variabili e nella loro identificazione sono consentiti solo caratteri permessi per SQL-Statements.


Cambio lingua

Manuale -> Industrial Performance Analyzer -> Progettazione nell'Editor -> Cambio lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il cambio lingua è a disposizione nell´Industrial Performance Analyzer per le seguenti aree:

  • Gruppi allarmi/eventi, classi allarmi/eventi
  • Identificazione impianti

    Nota: visto che l´uso di '@' non è consentito per i nomi variabile, il cambio lingua è disponibile per le identificazioni impianti solo se avete selezionato Ident. impianto da Identificazione.

  • Cause allarmi
  • Nome turno

    Nota: visto che l´uso di '@' non è consentito nel Production & Facility Scheduler, il cambio lingua è disponibile per i nomi turno solamente se avete configurato degli inserimenti corrispondenti in Turno dalla lista.

I termini che devono essere usati per il cambio lingua devono essere contrassegnati con '@'. Ci si deve assicurare, inoltre, che nella tabella lingua ci siano degli inserimenti corrispondenti.


Immagine del tipo Industrial Performance Analyzer.

Manuale -> Industrial Performance Analyzer -> Progettazione nell'Editor -> Immagine del tipo Industrial Performance Analyzer.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare un'immagine del tipo Industrial Performance Analyzer.

L'immagine del tipo Industrial Performance Analyzer serve a visualizzare e ad analizzare nel Runtime i dati allarmi che il modulo Industrial Performance Analyzer salva nel database.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Industrial Performance Analyzer.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Elemento di controllo | Descrizione
Inserisci template... | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Finestra | Elementi di controllo per finestre.
Lista | Rappresentazione in forma tabellare dei dati allarmi. Le informazioni vengono lette dalla tabella nella banca dati e visualizzate in questa sede.
Tipo lista | Campo di testo che mostra il tipo di lista scelto.
Filtro inserito | Visualizzazione del filtro impostato.
Funzioni lista | Elementi di controllo per la gestione della lista.
Filtro... | Apre il dialogo filtro.
Filtro indietro | Carica l'ultima impostazione filtro. Vengono salvate le ultime 10 impostazioni.
Rimuovi filtro | Disattiva tutte le impostazioni filtro
Aggiorna database | Legge di nuovo i dati dalla banca dati.
Crea documenti... | Crea un documento con i dati selezionati e lo apre. I dati vengono visualizzati in forma di tabella.
Crea diagramma... | Visualizza i dati selezionati in forma di diagramma.
Impostazioni diagramma... | Definizione del layout del diagramma, per es. istogramma o grafica a torta.
Profilo filtro | Pulsanti per impostazioni filtro nel Runtime.
Scelta profilo | Selezionare un profilo dalla lista.
Salva profilo | Salva l´impostazione attuale come profilo.
Elimina profilo | Cancella il profilo selezionato.
Importa | Importa profili filtro da un file di export
Esporta | Esporta profili filtro in file


Funzione: Cambio immagine

Manuale -> Industrial Performance Analyzer -> Progettazione nell'Editor -> Funzione: Cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si crea una funzione di cambio immagine (vedi Funzioni) per aprire un'immagine di tipo Industrial Performance Analyzer, si aprirà il dialogo filtro IPA. Qui si settano i filtri e le impostazioni che devono essere tenuti in considerazione quando si passa all´immagine di tipo Industrial Performance Analyzer.

I dettagli relativi alle impostazioni del dialogo filtro si trovano nel capitolo Filtro.


Funzione: Crea/stampa documento IPA

Manuale -> Industrial Performance Analyzer -> Progettazione nell'Editor -> Funzione: Crea/stampa documento IPA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si può creare automaticamente un'analisi IPA e salvarla come documento HTML, oppure stamparla su una stampante standard Windows. La funzione si trova nel raggruppamento AML e CEL.

Le possibilità di filtro e la loro configurazione corrispondono a quelle della funzione di cambio immagine per aprire un'immagine di tipo Industrial Performance Analyzer. Nella scheda Destinazione documento si può decidere se l´analisi deve essere stampata sulla stampante standard Windows, oppure deve essere emessa in un file nella cartella di export.

Se si vuole salvare l´analisi in un file, spuntare la checkbox Su file e inserire un nome.

attention Attenzione

Fate attenzione ad inserire il nome file aggiungendo .html, affinché il sistema possa riconoscere senza problemi il file creato e voi lo possiate aprire immediatamente con un programma appropriato.

Esempio di nome file:

IPA_010109.html

Se non abilitate la checkbox, l´analisi verrà stampata.


Gestione nel Runtime

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si gestisce l'IPA nel Runtime mediante l´immagine del tipo Industrial Performance Analyzer. Questa immagine viene aperta con i parametri di filtro e di trasferimento configurati nell´Editor. Nel Runtime, dunque, si ha la visualizzazione che è stata configurata nell´Editor.

Ogni schermata ha il proprio ordine standard delle colonne (vedi capitolo Filtro). Si può però decidere di filtrare gli inserimenti in riferimento ad una qualsiasi colonna cliccando con il tasto sinistro del mouse sull'intestazione della colonna in questione. Se si vuole filtrare gli inserimenti in riferimento a più colonne, tenere premuto il tasto Ctrl e cliccare in successione sulle colonne desiderate. Così si ottiene un ordinamento a cascata. Se non si utilizza l´ordinamento di default, appare una freccia accanto al nome della colonna; essa indica che il filtro è effettuato sulla base di questa colonna. Gli inserimenti possono essere ordinati sia in direzione crescente che decrescente. Se cliccate una volta con il tasto sinistro del mouse su una colonna, gli inserimenti vengono ordinati in senso decrescente. Con un altro clic del tasto sinistro del mouse, si passa da una direzione all´altra.

Per consentire la gestione dell´Industrial Performance Analyzer e la visualizzazione dei dati allarmi nel Runtime, sono a disposizione nell´Editor degli elementi di controllo progettati (vedi Immagine del tipo Industrial Performance Analyzer).

Eliminare inserimenti

Si possono cancellare degli inserimenti dalla banca dati solamente usando l´interno Industrial Performance Analyzer. Per cancellare un inserimento, cliccare con il tasto destro del mouse sull´inserimento in questione. Nel menù contestuale che apparirà, selezionate l´inserimento Elimina la linea selezionata dal database. Se avete l´autorizzazione necessaria, l´inserimento verrà eliminato (vedi Impostazioni generali).

Causa allarme e commento

Ci sono due possibilità di inserire una causa allarme e/o un commento per un determinato allarme. Cliccare due volte sulla riga desiderata; Nella finestra di dialogo che apparirà, si può selezionare una causa allarme fra quella del menù a tendina Causa allarme e scrivere un commento a piacere nel campo Commento.

Si può passare alla finestra di dialogo in questione anche cliccando con il tasto destro del mouse sulla riga desiderata e selezionando nel menù contestuale Modifica causa allarme.

Noch in diesem Kapitel

Filtro

Crea documento

Diagramma


Filtro

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l'aiuto del dialogo di filtro si definisce l´aspetto dell´immagine del tipo Industrial Performance Analyzer. Si può decidere quali allarmi devono essere visualizzati e secondo quali criteri essi debbano essere ordinati.

Ogni tipo di lista visualizza determinate colonne e ha un ordinamento di default. Ci sono tre tipi di lista: lista somme, lista statistica e lista singola.

Lista somme

Nome lista | Colonne disponibili | Ordinamento di default
Class related | Classe allarmi/eventi, Numero, Durata totale | Colonna: Numero, a cominciare dal numero più grande.
Allarme legato a una sola variabile | Variabile, Identificazione, Numero, Durata totale, Durata totale lorda, Testo valore limite, Classe allarmi/aventi, Gruppo allarmi/eventi, Impianto, Progetto | Colonna: Numero, a cominciare dal numero più grande.
Gruppo collegato | Gruppo allarmi/eventi, Numero, Durata totale | Colonna: Numero, a cominciare dal numero più grande.
Impianto relativo | Impianto, Numero, Durata totale | Colonna: Numero, a cominciare dal numero più grande.

Lista statistica

Nome lista | Colonne disponibili | Ordinamento di default
Durata totale di interruzione dell'impianto | Impianto, Durata totale | Colonna: Durata totale, a cominciare dall'allarme più lungo.
N allarmi piu brevi | Stato, Variabile, Identificazione, Inizio, Durata, Durata lorda, Classe allarmi/eventi, Gruppo allarmi/eventi, Testo valore limite, Inizio turno, Fine del turno, Impianto, Progetto, Causa allarme, Commento | Colonna: Durata, a cominciare dall'allarme più corto.
N allarmi più frequenti: | Numero, Variabile, Identificazione, Inizio, Durata totale, Durata totale lorda, Classe allarmi/eventi, Gruppo allarmi/eventi, Testo valore limite, Impianto, Progetto, Causa allarme, Commento | Colonna: Numero, a cominciare dal numero più grande.
N allarmi più lunghi: | Stato, Variabile, Identificazione, Inizio, Durata, Durata lorda, Classe allarmi/eventi, Gruppo allarmi/eventi, Testo valore limite, Inizio turno, Fine del turno, Impianto, Progetto, Causa allarme, Commento | Colonna: Durata, a cominciare dall'allarme più lungo.
N ultimi allarmi | Stato, Variabile, Identificazione, Inizio, Durata, Durata lorda, Classe allarmi/eventi, Gruppo allarmi/eventi, Testo valore limite, Inizio turno, Fine del turno, Impianto, Progetto, Causa allarme, Commento | Colonna: Durata, a cominciare dall'allarme più vecchio.

Il numero desiderato n va inserito accanto a n=.

Lista singola

Nome lista | Colonne disponibili | Ordinamento di default
Lista allarmi | Stato, Variabile, Identificazione, Inizio, Durata, Durata lorda, Classe allarmi/eventi, Gruppo allarmi/eventi, Testo valore limite, Inizio turno, Fine del turno, Impianto, Progetto, Causa allarme, Commento | Colonna: Durata, a cominciare dall'allarme più vecchio.

Noch in diesem Kapitel

Database ed Anteprima

Data/Tempo

Identificazione impianti

Classi di allarme/eventi

Gruppi di allarmi

Altro

Inizio turno

Fine del turno

Cause allarmi

Definizione colonne


Database ed Anteprima

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Database ed Anteprima

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionare la modalità di visualizzazione desiderata alla voce Visuale.

I campi "Nome DSN" e "Tabella" mostrano la connessione con il Server SQL prescelto e il nome della tabella in cui IPA salva i dati allarme. Questi campi hanno solamente un carattere informativo. Non è possibile effettuare delle modifiche qui (vedi Database). Si possono effettuare delle impostazioni usando queste proprietà:

Parametri | Descrizione
Mostra griglia | Mostra una griglia quando visualizza i dati allarme.
n= | Indicare quanti inserimenti devono contenere le visuali n allarmi più brevi, n allarmi più frequenti, n allarmi più lunghi e n ultimi allarmi.


Data/Tempo

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Data/Tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per utilizzare questo filtro, attivate il checkbox attivo. Se poi chiudete il dialogo cliccando su OK, le vostre impostazioni verranno utilizzate per la visualizzazione. Se disattivate il checkbox attivo, le vostre impostazioni verranno mantenute. Però esse non saranno applicate alla visualizzazione.

Selezionare Oggi, Ieri, L'altro ieri oppure Selezionabile nel filtro data. Se si sceglie l'opzione Selezionabile, si deve indicare un'area data definibile liberamente. Se si sceglie l'opzione con tempo, si deve indicare anche l'orario desiderato per la data di inizio e per quella di fine. Se non si attiva l'opzione con tempo, l'intervallo di tempo considerato inizia alle ore 0 della data di inizio, e finisce alle ore 24 della data di fine.

Selezionate nel filtro tempo Selezionabile o Da definire liberamente. Se si sceglie l'opzione Selezionabile, indicare un intervallo di tempo definito liberamente. Se si sceglie l'opzione Da definire liberamente, selezionare intervalli di tempo che sono stati impostati precedentemente nell'Editor. Vedi capitolo Predefinisci filtro tempo.

Nota: viene salvata l´ora locale. I dettagli li potete leggere nel capitolo Gestione di data e ora del manuale dedicato al Runtime.

info Informazioni su

Gli intervalli di tempo di tempo alla voce Ora sono riferiti ai giorni, il che significa che sono validi per ogni giorno che è stato selezionato alla voce Data. Se alla voce "Data" è stata selezionata l'opzione Selezionabile, alla voce Inizio il 01.10.2008 e a quella Fine il 05.10.2008, l'intervallo di tempo selezionato alla voce Ora è valido per ognuno dei 5 giorni dell'intervallo che va dal primo al 5 Ottobre.


Identificazione impianti

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Identificazione impianti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per utilizzare questo filtro, attivate il checkbox attivo. Se poi chiudete il dialogo cliccando su OK, le vostre impostazioni verranno utilizzate per la visualizzazione. Se disattivate il checkbox attivo, le vostre impostazioni verranno mantenute. Però esse non saranno applicate alla visualizzazione.

Nel filtro dell´identificazione impianti si possono attivare uno o più impianti. Si possono selezionare gli inserimenti della lista di sinistra e li si può spostare in quella di destra usando i tasti freccia.

Verranno visualizzati gli allarmi degli impianti della lista di destra.

L´identificazione impianti avviene mediante il prefisso nel nome variabile o nell´identificazione variabile, a seconda di cosa abbiate deciso in fase di progettazione (vedi Impostazioni generali). Gestite la lista delle identificazioni impianti nell´Editor alla voce Identificazione impianti.

info Info

Si possono selezionare più inserimenti per l'operazione di filtro. Per selezionare più di un inserimento, tenere premuto il tasto Ctrlg o Shift. Se tenete premuto il tasto Ctrl, potete selezionare più inserimenti singoli. Tenendo premuto il tasto Shift vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati. Se tenete premuti contemporaneamente i tasti Ctrl e Shift vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti.


Classi di allarme/eventi

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Classi di allarme/eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per utilizzare questo filtro, attivate il checkbox attivo. Se poi chiudete il dialogo cliccando su OK, le vostre impostazioni verranno utilizzate per la visualizzazione. Se disattivate il checkbox attivo, le vostre impostazioni verranno mantenute. Però esse non saranno applicate alla visualizzazione.

Nel filtro delle classi allarme/eventi possono essere attivate uno o più classi allarme/eventi. Si possono selezionare gli inserimenti della lista di sinistra e li si può spostare in quella di destra usando i tasti freccia.

Verranno visualizzati gli allarmi delle classi della lista di destra.

info Informazioni su

Nel Runtime viene visualizzato solamente il nome della classe allarmi/eventi. In questo modo si ottiene un migliore ordinamento degli inserimenti. Non viene visualizzato il numero della classe allarmi/eventi.

info Info

Si possono selezionare più inserimenti per l'operazione di filtro. Per selezionare più di un inserimento, tenere premuto il tasto Ctrlg o Shift. Se tenete premuto il tasto Ctrl, potete selezionare più inserimenti singoli. Tenendo premuto il tasto Shift vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati. Se tenete premuti contemporaneamente i tasti Ctrl e Shift vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti.


Gruppi di allarmi

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Gruppi di allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per utilizzare questo filtro, attivate il checkbox attivo. Se poi chiudete il dialogo cliccando su OK, le vostre impostazioni verranno utilizzate per la visualizzazione. Se disattivate il checkbox attivo, le vostre impostazioni verranno mantenute. Però esse non saranno applicate alla visualizzazione.

Nel filtro dei gruppi allarmi/eventi possono essere attivati uno o più gruppi allarmi/eventi. Potete selezionare gli inserimenti della lista di sinistra e spostarli con i tasti freccia nella lista di destra.

Gli allarmi dei gruppi della lista di destra verranno visualizzati.

info Informazioni su

Nel Runtime viene visualizzato solamente il nome del gruppo allarmi/eventi. In questo modo si ottiene un migliore ordinamento degli inserimenti. Non viene visualizzato il numero del gruppo allarmi/eventi.

L'ordinamento non avviene in ordine alfabetico, ma secondo l´indice.

info Info

Si possono selezionare più inserimenti per l'operazione di filtro. Per selezionare più di un inserimento, tenere premuto il tasto Ctrlg o Shift. Se tenete premuto il tasto Ctrl, potete selezionare più inserimenti singoli. Tenendo premuto il tasto Shift vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati. Se tenete premuti contemporaneamente i tasti Ctrl e Shift vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti.


Altro

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Altro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si trovano alcune funzioni di filtro addizionali.

Parametri | Descrizione
Durata allarme | Filtro sulla base della durata dell'allarme. Vengono considerati solo gli allarmi la cui durata è compresa in questo intervallo di tempo.
Frequenza allarmi | Filtro sulla base della frequenza dell'allarme. Vengono considerati solo gli allarmi la cui frequenza rientra in questo ambito. Questo filtro è attivo solo se nella scheda "Database e Anteprima" è stata selezionata l'opzione n allarmi più frequenti della voce "Visuale liste".
Stato di allarme | Filtro sulla base dello stato dell'allarme. Selezionate una delle seguenti possibilità: in attesa, rientrati o entrambi.
Filtro testo valore limite | Filtro sulla base del testo valore limite dell'allarme. O normale in base al testo, p.e. “Test” visualizza tutti gli allarmi, che contengono “Test” nel testo allarme (rispetto della scrittura minuscolo/maiuscolo) o mediante regular expressions.
Filtro identificazione variabile | Filtro sulla base del testo dell'identificazione dell'allarme. O in base al testo e mediante regular expressions.
Filtro di progetto | Filtro sulla base del progetto dal quale sono stati scritti gli allarmi nella banca dati. Se si vuole filtrare sulla base di diversi progetti, li si deve indicare in questa sede usando " , " come separatore.

Noch in diesem Kapitel

Espressioni regolari (regular expressions)


Espressioni regolari (regular expressions)

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Altro -> Espressioni regolari (regular expressions)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'espressione "regular expressions" indica un modello di testo (quindi una stringa) costituito da caratteri normali (per es. lettere, cifre, ecc) e caratteri speciali, cosiddetti metacaratteri. Si può definire una determinata stringa sulla base della quale effettuare un'operazione di filtro o una ricerca in testi.

info Informazioni su

Non confondete le espressioni regolari con le Wildcard – per es. * corrisponde a qualsiasi carattere. Le espressioni regolari sono uno strumento molto più efficiente e consentono di definire in modo preciso i criteri di ricerca.

La seguente tabella contiene una lista completa dei metacaratteri ed una descrizione di come vengono usati nel contesto delle espressioni regolari:

Metacarattere | Descrizione
\ | Contrassegna il carattere successivo come carattere speciale, valore letterale, backreference o escape ottale. n, ad esempio, corrisponde al carattere n. \n corrisponde a un carattere di nuova riga. La sequenza \\ corrisponde a \, e \( corrisponde a (.
^ | L'ancoraggio ^ specifica che il criterio seguente deve iniziare in corrispondenza della posizione del primo carattere della stringa.
$ | L'ancoraggio $ specifica che il criterio precedente deve verificarsi alla fine della stringa di input.
* | Il quantificatore * trova zero o più corrispondenze con il carattere o gruppo di caratteri precedente. zo*, ad esempio, corrisponde a "z, zo, zoo ecc.
+ | Il quantificatore + trova una o più corrispondenze con il carattere o gruppo di caratteri precedente. zo+, ad esempio, corrisponde a zo, zoo, ecc., ma non a z.
? | Il quantificatore ? trova zero o una corrispondenza con il carattere ‑ o il gruppo di caratteri precedente. do(es)?, ad esempio, corrisponde a do in do o a does.
? | Quando questo carattere si trova subito dopo uno degli altri quantificatori (*, +, ?, {n}, {n,}, {n,m}), il quantificatore è "non-greedy" (o "lazy"). Un quantificatore "non-greedy" tenta di trovare una corrispondenza con un elemento il numero minimo di volte possibile, mentre un quantificatore "greedy" standard tenta di trovare una corrispondenza con un elemento il numero massimo di volte possibile. Nella stringa oooo, ad esempio, o+? corrisponde a una singola o, mentre o+ corrisponde a tutte le lettere o.
. | Il carattere punto (.) corrisponde a qualsiasi carattere eccetto \n. Per ottenere una corrispondenza a qualsiasi carattere, incluso \n, utilizzare un pattern come [\s\S].
(Pattern) | Sottoespressione che corrisponde a criterio e che consente di acquisire la corrispondenza. Per ottenere una corrispondenza con i caratteri di parentesi ( ), utilizzare \( oppure \).
x|y | Corrisponde a una x o a una y. Ad esempio, z|food corrisponde a z o food. (z|f)ood corrisponde a zood o food.
[xyz] | Set di caratteri. Trova la corrispondenza con qualsiasi carattere singolo compreso nel set di caratteri. Esempio: [abc], ad esempio, corrisponde alla lettera a in plain.
[^xyz] | Set di caratteri negativo. Negazione: corrisponde a qualsiasi carattere singolo non incluso nel set di caratteri. Esempio: [^abc] corrisponde alla lettera p in plain.
[a-z] | Intervallo di caratteri. Trova la corrispondenza di qualsiasi carattere singolo nell'intervallo da primo a ultimo. Esempio: [a-z] corrisponde a qualsiasi lettera minuscola compresa tra a e z.
[^a-z] | Intervallo di caratteri negativo. Trova la corrispondenza di qualsiasi carattere singolo non compreso nell'intervallo da primo a ultimo. Esempio: [a-z] corrisponde a qualsiasi lettera non compresa tra a e z.
\cx | Trova la corrispondenza con il carattere di controllo ASCII specificato da x, dove x è la lettera del carattere di controllo. \cM, ad esempio, corrisponde a Ctrl+M o al carattere di ritorno a capo. Il valore di x deve essere compreso nell'intervallo tra A e Z o tra a e z. In caso contrario, c verrà considerato come un carattere c‑letterale.
\f | Trova la corrispondenza di un carattere di avanzamento carta. Equivalente a \x0c e \cL.
\t | Trova la corrispondenza di un carattere di tabulazione. Equivalente a \x09 e \cI.
\v | Trova la corrispondenza di un carattere di tabulazione verticale. Equivalente a \x0b e \cK.
\num | Corrisponde a num, dove num rappresenta un numero intero positivo. E' un backreference che serve ad individuare le corrispondenze con occorrenze successive. Esempio: (.)\1 corrisponde a due caratteri identici consecutivi.


Inizio turno

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Inizio turno

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per utilizzare questo filtro, attivate il checkbox attivo. Se poi chiudete il dialogo cliccando su OK, le vostre impostazioni verranno utilizzate per la visualizzazione. Se disattivate il checkbox attivo, le vostre impostazioni verranno mantenute. Però esse non saranno applicate alla visualizzazione.

Nel filtro "Inizio turno" si possono attivare uno o più turni. Potete selezionare gli inserimenti della lista di sinistra e spostarli nella lista di destra usando i tasti freccia.

Il filtro "Inizio turno" si riferisce al turno che era attivo al momento di Allarme in entrata. La lista dei nomi turno si amministra nell'Editor alla voce Turno dalla lista (Proprietà di progetto, Industrial Performance Analyzer).

info Info

Si possono selezionare più inserimenti per l'operazione di filtro. Per selezionare più di un inserimento, tenere premuto il tasto Ctrlg o Shift. Se tenete premuto il tasto Ctrl, potete selezionare più inserimenti singoli. Tenendo premuto il tasto Shift vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati. Se tenete premuti contemporaneamente i tasti Ctrl e Shift vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti.


Fine del turno

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Fine del turno

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per utilizzare questo filtro, attivate il checkbox attivo. Se poi chiudete il dialogo cliccando su OK, le vostre impostazioni verranno utilizzate per la visualizzazione. Se disattivate il checkbox attivo, le vostre impostazioni verranno mantenute. Però esse non saranno applicate alla visualizzazione.

Nella scheda "Fine del turno" possono essere attivati uno o più turni. Potete selezionare gli inserimenti della lista di sinistra e spostarli nella lista di destra usando i tasti freccia.

Il filtro "Fine turno si riferisce al turno che era attivo al momento di Allarme in entrata. Gli allarmi dei turni sono visualizzati nella listbox di destra. La lista dei nomi turno si amministra nell´Editor alla voce Turno dalla lista. Proprietà di progetto, Industrial Performance Analyzer).

info Info

Si possono selezionare più inserimenti per l'operazione di filtro. Per selezionare più di un inserimento, tenere premuto il tasto Ctrlg o Shift. Se tenete premuto il tasto Ctrl, potete selezionare più inserimenti singoli. Tenendo premuto il tasto Shift vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati. Se tenete premuti contemporaneamente i tasti Ctrl e Shift vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti.


Cause allarmi

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Cause allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per utilizzare questo filtro, attivate il checkbox attivo. Se poi chiudete il dialogo cliccando su OK, le vostre impostazioni verranno utilizzate per la visualizzazione. Se disattivate il checkbox attivo, le vostre impostazioni verranno mantenute. Però esse non saranno applicate alla visualizzazione.

Nel filtro "Cause allarmi " si possono attivare una o più cause allarme. La lista delle cause allarme si amministra nell´Editor alla voce Cause allarmi.

info Info

Si possono selezionare più inserimenti per l'operazione di filtro. Per selezionare più di un inserimento, tenere premuto il tasto Ctrlg o Shift. Se tenete premuto il tasto Ctrl, potete selezionare più inserimenti singoli. Tenendo premuto il tasto Shift vengono selezionati tutti gli inserimenti che si trovano fra i due inserimenti selezionati. Se tenete premuti contemporaneamente i tasti Ctrl e Shift vengono selezionati tutti gli inserimenti che si trovano nello spazio intermedio e gli inserimenti selezionati prima vengono mantenuti.


Definizione colonne

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Filtro -> Definizione colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si possono adeguare le colonne impostate alle proprie esigenze personali.

Parametri | Descrizione
Visualizzazione lista… | Selezionare la lista desiderata fra quelle proposte dal menù a tendina.
Colonne disponibili | In questa lista sono visualizzate tutte le colonne disponibili per la visualizzazione lista scelta.
Definito dall'utente | Attivare questa checkbox per modificare e individualizzare i valori predefiniti per il titolo della colonna e la larghezza della colonna.
Titolo colonna | Indicare un nuovo titolo per la colonna selezionata.
Larghezza colonne | Definire la larghezza in pixel della colonna selezionata. Se si inserisce il valore 0, la colonna non verrà visualizzata.


Crea documento

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Crea documento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Oltre alla visualizzazione dei dati allarme, può anche essere creato un documento in formato HTML. Questi documenti possono essere stampati o salvati.

Dopo aver impostato i filtri e le opzioni di ordinamento, si può generare un documento cliccando con il tasto sinistro del mouse sul pulsante Crea documento.

Il layout del documento è definito con file XSL (Stylesheet). Sono disponibili i seguenti file predefiniti:

File XSL | Descrizione
Single_list.xsl | Visualizzazione allarme singolo
Statistical_duration.xsl | Visualizzazione statica della durata totale di interruzione dell'impianto.
Statistical_frequency.xsl | Visualizzazione statica dei n allarmi più frequenti, dei n allarmi più brevi, dei n allarmi più lunghi e dei n ultimi allarmi.
Sum_list_equipment.xsl | Lista totale del relativo impianto
Sum_list_single_alarm.xsl | Lista totale del relativo guasto singolo
Sum_list_group.xsl | Lista totale del relativo impianto
Sum_list_class.xsl | Lista totale della relativa classe.

Queste stylesheets si trovano nella seguente directory:

C:\ProgramData\COPA-DATA\zenon7.50\IPA\

Se il sistema trova più file Stylesheet, si apre una finestra di dialogo che chiede quale modello debba essere usato.


Diagramma

Manuale -> Industrial Performance Analyzer -> Gestione nel Runtime -> Diagramma

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la rappresentazione delle liste totali e per la lista statistica n allarmi più frequenti può essere generato a anche un diagramma in aggiunta al documento.

Il layout viene definito con le impostazioni del diagramma.

Nella scheda Diagramma generale si può scegliere fra i seguenti diagrammi:

Tipo di diagramma | Descrizione
Istogramma orizzontale | L'istogramma viene visualizzato orizzontalmente.
Istogramma verticale | L'istogramma viene rappresentato verticalmente.
Diagramma a torta | Per il diagramma a torta, si può scegliere fra la rappresentazione 3D o 2D.

Gli allarmi sommati possono essere visualizzati in riferimento al tempo o alla quantità. Alla voce Altro si può definire il colore delle barre. Qui si ha anche la possibilità di abilitare la visualizzazione di una griglia.

Nella scheda Descrizione vengono selezionati font e colore dei testi delle descrizioni del diagramma. Alla voce Stile, poi, si definisce il testo della descrizione da visualizzare.

Nella scheda Legenda si seleziona il font e il colore del carattere. Si definiscono qui anche le modalità di visualizzazione della legenda e in quale posizione essa deve essere collocata in relazione alla grafica.


Installazione e update

Manuale -> Installazione e update

Nel corso della prima installazione di zenon, si avvia automaticamente la routine di installazione e vi accompagna per tutta la durata del procedimento. Nel caso in cui abbiate disattivato l´opzione "Autostart da media", avviate l´installazione mediante l´esecuzione del file START.exe nella root directory del vostro supporto di installazione zenon.

Note sull´installazione:

  • Prima dell´installazione di zenon:
    • Si dovrebbero installare gli update attuali del sistema operativo.
      Nota: Se usate sempre la versione più attuale (Service Pack) del vostro sistema operativo, evitate i problemi di compatibilità e le lacune nel sistema di sicurezza.
    • Non ci deve essere nessun riavvio in sospeso.
  • Con Windows 7 Embedded Standard, zenon è installato usando la normale routine di installazione. Trovate i requisiti hardware nel capitolo Runtime sotto Windows Embedded Standard.
  • L´installazione di zenon per Windows CE avviene tramite la normale routine di installazione. Vengono installati i file per Windows CE nella versione 7.20. I dettagli li trovate nel capitolo Runtime per Windows CE.
  • Durante l´installazione di zenon, viene installato il COPA-DATA Multiple Network Protocol Driver (cdprotdrv.sys). Per avviare il driver, si deve riavviare il sistema operativo dopo la fine del processo di installazione.

attention Attenzione

A partire dalla versione 7.10, zenon non può essere installato su sistemi su quali è già installato Microsoft SQL Server Data Engine (MSDE). Ciò riguarda tutti i sistemi su cui sono installati zenon 6.01 oppure 6.20.

info Informazioni su

Se durante l´installazione viene visualizzato un messaggio di errore nel quale si dice che non è stato possibile avviare un servizio, allora:

  • riavviate il computer.
  • riavviate poi il setup di zenon

Noch in diesem Kapitel

zenon: installazione standard

Risoluzione dei problemi

Update di Windows

Il programma antivirus

Struttura di file

Porte libere

Installazione di una versione più vecchia dopo quella di zenon 7.50 (sistema operativo a 64-Bit)

Installazione parallela della versione 7.x e della versione 6.51

Requisiti di sistema

Percorsi per setup e per funzionamento

zenon per Windows CE

Runtime di zenon Logic per Windows CE

zenon Web Server

zenon Web Client

Update (Build Setups)

FAQ

Supporto tecnico


zenon: installazione standard

Manuale -> Installazione e update -> zenon: installazione standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon avvia automaticamente la sua routine di installazione non appena si collega il supporto di installazione di zenon; il sistema vi guida poi nell´effettuazione dell´intero processo di installazione. In alternativa, potete avviare l´installazione anche mediante l´esecuzione del file START.exe nella root directory del vostro supporto di installazione di zenon..

Per effettuare il processo di installazione è necessario disporre di diritti di amministratore!

attention Attenzione

Se necessario, il sistema riavvia il computer automaticamente durante il processo di installazione. Prima di iniziare l´installazione, chiudete tutti gli altri programmi.

Noch in diesem Kapitel

Schermata Start

zenon: installazione standard

Selezione dell´edizione - Tipo di installazione (installazione definita dall´utente)

Installazione e completamento


Schermata Start

Manuale -> Installazione e update -> zenon: installazione standard -> Schermata Start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella schermata iniziale vedrete la versione da installare, incluso il numero di build.

  1. Selezionate nel menù a tendina che si trova in alto a sinistra la lingua desiderata per l´installazione.
    Sono disponibili le seguenti lingue:
    • Tedesco
    • Inglese
    • Francese
    • Italiano
    • Spagnolo
  2. Potete avere delle informazioni su zenon cliccando sul pulsante desiderato:

    Apre un´animazione contenente informazioni attuali sulla versione di zenon.

    Apre la guida di zenon che potrà essere installata come PDF.

    Apre la guida Quick-Start in formato PDF con consigli per i primi passi della progettazione con zenon.

    Attenzione: questa pagina non può più essere visualizzata in un secondo momento. Se avete bisogno di informazioni sulla versione attuale, oppure della guida per l´installazione, aprite questa pagina adesso.

  3. Cliccando sul pulsante Avanti aprite la finestra che contiene le condizioni concernenti le licenze.
    Condizioni di licenza
  4. Confermate le condizioni di licenza attivando il checkbox corrispondente.

    Cliccando sul pulsante Stampa, potete anche stampare le condizioni di licenza

  5. Cliccando sul pulsante Avanti, aprite la finestra per selezionare il prodotto desiderato.
    Nota: il pulsante Avanti è disponibile solamente se avete accettato le condizioni del contratto di licenza cliccando sul campo opzione.


zenon: installazione standard

Manuale -> Installazione e update -> zenon: installazione standard -> zenon: installazione standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionate il prodotto desiderato. Si possono selezionare solamente i prodotti che non sono ancora installati. Se desiderate installare nuovamente qualcosa, dovete anzitutto disinstallare il prodotto precedentemente installato; a tale scopo usate il Pannello di controllo.

  • zenon Editor:
    Installa l´Editor di zenon e il Runtime di zenon. Le altre componenti richieste per l´Editor vengono installate automaticamente.
  • zenon Runtime:
    Installa solamemte il Runtime di zenon.
  • zenon Web Server:
    Installa il Webserver di zenon e i corrispondenti Web Client attuali di zenon.
  • zenon Web Client:
    Installa solamente il Web Client di zenon.

info Informazioni su

L´installazione comincia immediatamente quando si seleziona zenon Web Server, oppure zenon Web Client.

Quando si seleziona zenon Editor, o zenon Runtime si apre la finestra di dialogo che serve alla scelta dell´edizione.


Selezione dell´edizione - Tipo di installazione (installazione definita dall´utente)

Manuale -> Installazione e update -> zenon: installazione standard -> Selezione dell´edizione - Tipo di installazione (installazione definita dall´utente)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccando sul prodotto desiderato, aprite la finestra che serve a selezionare l´edizione.

  1. Selezionate la versione per la quale disponete di una licenza:
    • zenon Supervisor Edition
    • zenon Energy Edition
    • zenon Pharma Edition
    • zenon Operator Edition

  2. Cliccando sull´edizione desiderata, aprite la finestra che serve a selezionare il tipo di installazione.

    • Installa ora:
      Avvia l'installazione dell´edizione selezionata.
      È possibile che il computer venga riavviato dal sistema durante il processo di installazione. Seguite le istruzioni del Wizard
    • Definito da utente:
      Apre altre finestre che servono ad effettuare un´installazione individuale.
      Potete digitare qui un numero di serie già esistente e cambiare il percorso di installazione.

Installazione definita dall´utente

  1. Se, al momento di effettuare l´installazione, scegliete l´opzione Definito da utente, si apre la finestra che serve ad inserire il numero di serie:

    • Selezionate l´opzione Versione demo, se non disponete di nessuna licenza.
    • Se disponete già di una licenza, digitate il numero di serie e quello di attivazione.
      Nota: il sistema verifica la validità del numero di serie. Se la licenza è valida, appare una spunta di color verde accanto al campo di inserimento.
  2. Cliccando sul pulsante Avanti aprite la finestra che serve a definire la cartella di installazione:

    • Se necessario, definite la vostra cartella individuale per la versione a 32-bit e quella a 64-bit del programma.
      Per far ciò. cliccate sul pulsante Cambia...
    • Definite la cartella di destinazione per la banca dati del progetto.
      Attenzione: Questa cartella non può essere modificata in seguito. Il luogo di salvataggio scelto in questa sede deve disporre di uno spazio di memoria sufficiente. Tutti gli utenti hanno bisogno di diritti di scrittura.
    • Se volete installare anche il progetto demo, attivate il checkbox corrispondente.
      Il progetto demo fornisce degli esempi di possibili forme di uso in diversi settori industriali.
  3. Cliccate sul pulsante Installa
    Viene avviato il processo di installazione dell´edizione scelta.
    È possibile che il computer venga riavviato dal sistema durante il processo di installazione. Seguite le istruzioni del Wizard


Installazione e completamento

Manuale -> Installazione e update -> zenon: installazione standard -> Installazione e completamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La barra di stato vi informa sullo stato di avanzamento del processo di installazione e su quale passo dello stesso viene eseguito al momento.

  • Cliccando sul pulsante Annulla potete interrompere l´installazione.
    Il sistema vi chiede di confermare la vostra intenzione prima di procedere ad annullare effettivamente il processo di installazione.

Parametri | Descrizione
Sì | L´installazione viene interrotta. Viene visualizzata una finestra di dialogo in cui si informa che l´installazione non è stata portata a termine con successo.
No | Il processo di installazione prosegue.

Il processo di installazione può durare un po´di tempo. Non spegnete il vostro computer durante questo tempo. Assicuratevi anche del fatto che il vostro computer non passi automaticamente in sleep mode (modalità sospensione).

Completamento

Una finestra di dialogo vi informa che il processo di installazione è stato portato a termine con successo.

  • Cliccate sul pulsante Termina per completare l´installazione.
  • Riavviate il setup per installare altri prodotti, come, ad esempio,il zenon Web Server.

Installazione cancellata o erronea

Se si verifica un errore nella fase di installazione del programma, oppure se la stessa è stata interrotta, appare una finestra di dialogo che ne informa l´utente.

Cliccate sul pulsante Termina per chiudere il setup.


Risoluzione dei problemi

Manuale -> Installazione e update -> Risoluzione dei problemi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Controllo prima dell´installazione

Prima dell´installazione, viene eseguito un controllo volto a verificare l´esistenza dei requisiti necessari sul sistema. Nel caso in cui essi non dovessero essere soddisfatti, il sistema ve lo segnalerà e vi darà indicazioni per risolvere i problemi.

Errori durante l´installazione

Nel caso in cui dovessero verificarsi degli errori in fase di installazione, otterrete un messaggio di errore corrispondente.

Se doveste aver bisogno dell´aiuto del supporto tecnico di COPA-DATA per la soluzione di eventuali problemi:

  1. Create, se possibile, uno screenshot del messaggio di errore.
  2. Passate alla cartella %Temp%/SCADALOG.
  3. Qui troverete i file LOG dell´installazione.
  4. Create un file ZIP con il contenuto della cartella.
  5. Inviate file e screenshot a support@copadata.com

Nel caso in cui abbiate già chiuso la finestra contenente il messaggio d´errore, trovate i file di Log con tutte le informazioni di installazione per il server SQL nella cartella:
C:\Program Files\Microsoft SQL Server\110\Setup Bootstrap\LOG

Suggerimento: Il file Summary.txt fornisce un´indicazione su dove si potrebbe trovare l´errore.

info Informazioni su

Firewall: zenon configura automaticamente durante l´installazione il firewall installato con Windows. I firewall di altri produttori, invece, devono essere configurati correttamente dall´utente.

Frequenti fonti di errore nel corso della installazione:

  • Il programma antivirus è attivo e blocca l´installazione per l´erronea individuazione di virus. Soluzione: scollegare il computer dalla rete, disattivare il programma antivirus, eseguire nuovamente l´installazione.
  • Il firewall non è stato configurato correttamente. Soluzione: scollegare il computer dalla rete, disattivare il firewall, eseguire nuovamente l´installazione.
  • Installazione non corretta di SQL già presente nel sistema. Soluzione: creare backup di progetto; nel caso sia ancora possibile, disinstallare il server SQL; rinominare la cartella SQL; riavviare l´installazione.


Update di Windows

Manuale -> Installazione e update -> Update di Windows

Attenzione: Gli update Windows automatici influenzano il processo d´installazione!

Se, durante il setup di zenon, viene eseguito un update del sistema operativo di Windows, si possono verificare dei problemi nell´installazione di zenon.

Per evitare ciò:

  • Disattivate gli update automatici di Windows per il periodo dell´installazione.
  • Eseguite tali update prima di avviare l´installazione di zenon


Il programma antivirus

Manuale -> Installazione e update -> Il programma antivirus

I software antivirus possono determinare un rallentamento del processo d´installazione di zenon, o lo possono addirittura rendere impossibile.

Nota: se il programma antivirus da voi utilizzato crea problemi durante dell´installazione, disattivatelo finché essa non sarà completata. Tenete presente che i computer in questione saranno esposti a rischi più elevati in questo lasso di tempo. Riattivate il programma antivirus subito dopo l´installazione di zenon.


Struttura di file

Manuale -> Installazione e update -> Struttura di file

La struttura di file viene creata o estesa durante l'installazione.

I file di programma di zenon sono copiati in una cartella definita in fase di installazione.

Inoltre, durante l’installazione, il sistema richiede una cartella per i database-SQL del progetto. Sul supporto su cui viene salvato il progetto (SQL, immagini ecc) deve essere riservato abbastanza spazio, visto che vengono salvati in questa sede tutti gli attuali e futuri di dati di progetto.

Cartella | Percorso
Cartella programmi | Sistema a 32-Bit: %Program Files%\COPA-DATA\zenon7xxx Sistema a 64-Bit: %Program Files%\COPA-DATA\zenon7xxx %Program Files (x86)%\COPA-DATA\zenon7xxx
Cartella dei dati programma, per es. simboli globali, modelli di stampa, file di log, ecc., | %ProgramData%\COPA-DATA\zenon7xxx
Cartella database (SQL) | %ProgramData%\COPA-DATA\SQL
Cartella di sistema | %ProgramData%\COPA-DATA\System
Impostazioni Editor e profili | %Users%\UserName\AppData\Local\COPA-DATA\zenon\Editor
Impostazioni Diagnose Viewer | %Users%\UserName\AppData\Local\COPA-DATA\zenon\DiagView

Definizione della cartella Runtime e cartella dati

Cartella Runtime

L'Editor crea i file Runtime nella cartella Runtime;oppure essi vengono trasferiti in questa cartella con il meccanismo del trasporto remoto. Quando create un progetto, dovete indicare la cartella Runtime; la potete poi modificare in un secondo momento nelle proprietà di progetto. Nella trasferimento remoto, la cartella Runtime viene fissata nelle impostazioni del Trasporto Remoto.

Cartella dati

Il Runtime salva tutti i file dati creati nel Runtime (come, per esempio, file di allarme, file di allarme ecc) nella cartella dati. Di default, la cartella dati viene creata come sottocartella della cartella Runtime. Essa riceve automaticamente il nome del computer su cui è eseguito il Runtime. Si può modificare il luogo dove salvare i file nelle proprietà di progetto (Generale/Cartella dati).

Suggerimento: non ponete mai la cartella dati su un supporto rimovibile, come una chiavetta USB oppure una peiferica di rete. Si consiglia di memorizzare i dati localmente e di effettuarne un backup esternamente.

attention Attenzione

Se il percorso indicato non esiste o non è disponibile, dal Runtime non viene più scritto nessun dato. Ciò comporta una perdita completa (100%) dei dati. È possibile continuare a lavorare con il Runtime, ma esso deve essere riavviato non appena il percorso è di nuovo disponibile. Se la cartella è disponibile o meno, lo si può verificare con la variabile del driver di sistema [Risorse di sistema] Cartella Runtime non disponibile .


Porte libere

Manuale -> Installazione e update -> Porte libere

zenon e zenon Logic hanno bisogno di determinate porte per poter comunicare in rete. Se altri programmi, per esempio Server SQL già installati, occupano queste porte, ciò può creare problemi alla comunicazione di zenon. In zenon molti numeri di porta sono modificabili usando lo Startup Tool, oppure tramite le proprietà nell´Editor.

Per verificare l´assegnazione dei numeri di porta, procedete come segue:

  1. Inserite nella riga di comando netstat -a -n -o.

    In Windows, raggiungete la riga di comando nel modo seguente:

    • Premete i tasti Windows+R
    • Digitate cmd e confermate con OK
    • Si apre una finestra di inserimento DOS
    • Inserite in questa finestra il comando netstat.
  2. Ricevete una lista di tutte le porte TCP/IP e UDP attive.
  3. Controllate le porte in ascolto (stato: ASCOLTO) e verificate se per i numeri di necessari a zenon e zenon Logic l´ID processo (PID) corrisponde ai processi di zenon e zenon Logic.

    Trovate questi PID nella finestra Processi del Windows Task Managers; attivate a questo scopo nel menù Selezionare le colonne della vista, la colonna PID.

  4. Nel caso in cui un altro software dovesse utilizzare queste porte, riconfiguratelo.
    Quali siano le porte usate da zenon e zenon Logic, lo vedete nella tabella Assegnazione porta a zenon e zenon Logic. In questa sede potete anche verificare se in questi programmi i numeri di porta sono adattabili e modificabili.

Assegnazione porta a zenon e zenon Logic

Applicazione

Descrizione

Numeri di porta

Protocollo trasporto

stratonrt[k].exe

Runtime di zenon Logic Comunicazione polling e workbench di zenon Logic .
  • 1200-1210

TCP

stratonrt[k].exe

  • 4500-4510

TCP

stratonrt[k].exe

Ridondanza di zenon Logic.
  • 7000-7010

TCP

stratonrt[k].exe

Runtime di zenon Logic Comunicazione spontanea.
  • 9000-9010

TCP

zennetsrv.exe

Servizio di rete di zenon .
  • 1100-1100

TCP

zensyssrv.exe

Servizio di trasporto di zenon.
  • 1101

TCP

zendbsrv.exe

Servizio database di zenon.
  • 1103

TCP

zenAdminsrv.exe

Servizio di amministrazione di zenon.
  • 50777

TCP

zenLogSrv.exe

Servizio di registrazione di zenon.
  • 50780

TCP

zenvnc.exe

Servizio Desktop remoto di zenon.
  • 5600 (fisso)
  • 5610 (fisso)

TCP

CodeMeter.exe

Servizio dongle Code Meter.
  • 22350 (modificabile; ma non deve essere cambiato).

TCP

WkSvW32.exe

Servizio di rete WibuKey.
  • 22347 (fisso)

TCP

Zenrt32.exe

Message Control con Voice over IP.
  • 5060: SIP
  • 4000: RTP
  • 4001: RTCP (fisso)

SIP e RTP possono essere configurati usando l´Editor. RTCP viene settato automaticamente dal sistema.

UDP


Installazione di una versione più vecchia dopo quella di zenon 7.50 (sistema operativo a 64-Bit)

Manuale -> Installazione e update -> Installazione di una versione più vecchia dopo quella di zenon 7.50 (sistema operativo a 64-Bit)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se, su un sistema operativo a 64-Bit, dopo l´installazione di zenon 7.50 si installa una versione di zenon con un numero inferiore a 7.10, i servizi a 64-Bit di quest´ultima devono poi essere registrati di nuovo usando la riga di comando. La registrazione può essere effettuata usando un file batch, oppure manualmente.

Registrazione con file batch:

  1. Copiate dal supporto di installazione di zenon il file Register.bat.
  2. Lo trovate nella cartella: ...\AdditionalSoftware\Register Admin Service and Log Service (x64)\
  3. Eseguite il file sul computer in questione come amministratore.

Registrazione manuale:

  1. Avviate la riga comandi con diritti di amministratore
  2. Passate alla cartella Program Files%\Common Files\COPA-DATA\zenAdminSrv
  3. Avviate il servizio zenAdminSrv.exe con il parametro -service
  4. Passate alla cartella %Program Files%\Common Files\COPA-DATA\zenLogSrv
  5. Avviate il servizio zenLogSrv.exe con il parametro -service

Example Esempio

zenAdminSrv:

  • Cartella: C:\Program Files\Common Files\COPA-DATA\zenAdminSrv
  • Comando: zenAdminSrv.exe -service

zenLogSrv:

  • Cartella: C:\Program Files\Common Files\COPA-DATA\zenLogSrv
  • Comando: zenLogSrv.exe -service


Installazione parallela della versione 7.x e della versione 6.51

Manuale -> Installazione e update -> Installazione parallela della versione 7.x e della versione 6.51

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si installa una versione 7.x su un sistema su cui si trova già zenon 6.51, dopo l´installazione, si deve installare di nuovo Multiple Network Protocol Driver dopo un reboot.

Per far ciò:

  1. Riavviate il sistema.
  2. Per sistemi x64:
    1. Aprite sul supporto di installazione il percorso AdditionalSoftware\COPA-DATA Multiple Network Protocol Driver
    2. Eseguite il file chiamato MNDPx64Setup.bat
  3. Per i sistemi x86:
    1. Aprite sul supporto di installazione il percorso AdditionalSoftware\COPA-DATA Multiple Network Protocol Driver
    2. Eseguite il file chiamato MNDPx86Setup.bat

Ciò significa che il driver viene installato nuovamente e collegato in modo corretto alla scheda di rete.


Requisiti di sistema

Manuale -> Installazione e update -> Requisiti di sistema

zenon 7.50 può essere utilizzato su tutti gli attuali sistemi operativi Microsoft. zenon viene testato costantemente per verificarne la compatibilità con le versioni più recenti dei sistemi operativi, nonché con i più recenti Service Pack e Hotfix disponibili.

Le modifiche dovute a Service Packs, Hotfixes oppure Patches di Microsoft possono causare problemi di incompatibilità e pregiudicare la funzionalità del software. In questo caso, COPA-DATA provvederà a fornire una versione attualizzata di zenon il prima possibile. In questa eventualità, il supporto tecnico COPA-DATA è a vostra disposizione per fornirvi le informazioni del caso: support@copadata.com.

attention Attenzione

Al fine di garantire una visualizzazione ottimale di zenon nel Runtime, si consiglia di adottare per Windows Visualizzazione la impostazione standard (corrisponde 100%). Se si opta per valori maggiori, può succedere che elementi grafici, simboli, testi ecc. non siano visualizzati correttamente.

Microsoft .NET Framework

zenon ha bisogno per VSTA e WPF di Microsoft .NET Framework 3.5 (o versione con numero di serie superiore). Se il Framework non dovesse essere istallato, il sistema cercherà di istallarlo automaticamente. Se il .NET Framework è una componente del sistema operativo, non può essere installato automaticamente. In questo caso, il setup visualizza un messaggio d´errore e si interrompe. .NET Framework deve essere attivato manualmente con i seguenti sistemi operativi: pannello di controllo -> programmi e funzioni -> attiva o disattiva funzioni Windows.

Nota: NET Framework 4.5, oppure una versione più recente, è un presupposto per poter usare l´HTML Web Engine.

Quali processori fra i diversi sistemi operativi Windows CE vengano supportati, lo venite a sapere leggendo le informazioni relative contenute nel capitolo Versioni CE / Supporto dei processori . Trovate le istruzioni d´installazione per il Runtime sotto Windows CE nel capitolo Runtime.

Noch in diesem Kapitel

Sistemi operativi server e desktop.

Sistemi operativi server e desktop fino a Windows 8.1

Windows CE e Windows Embedded

Windows 10

Requisiti del sistema in caso di uso di DirectX

Software addizionale

Autorizzazione utente

Requisiti Software


Sistemi operativi server e desktop.

Manuale -> Installazione e update -> Requisiti di sistema -> Sistemi operativi server e desktop.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sistema operativi supportati e service pack necessari:

Sistema operativo | zenon Editor | zenon Runtime | zenon Web Server | zenon Web Client | zenon HTML Web Engine | zenon Logic Runtime | zenon Analyzer Server
Windows 7 (versioni Professional, Enterprise e Ultimate, in tutti i casi le versioni x86 e x64). | SP 1 | SP 1 | SP 1 | SP 1 | SP 1 | SP 1 | Impossibile eseguire
Windows Embedded Standard 7 (a condizione che esistano tutte le componenti necessarie del sistema operativo) | Impossibile eseguire | SP 1 | SP 1 | SP 1 | SP 1 | SP 1 | Impossibile eseguire
Windows 8 e 8.1 (versioni Standard, Professional e Enterprise, in tutti i casi le versioni x86 e x64). | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | Solo x64 con SP 0
Windows Embedded 8 Standard (a condizione che esistano tutte le componenti necessarie del sistema operativo) | Impossibile eseguire | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | Impossibile eseguire
Windows 10 (Professional, Enterprise e Ultimate, versioni x86 e x64). | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | Solo Home, Pro e Enterprise (sempre x64) con SP 0
Windows Server 2008 R2 (tutte le edizioni, eccetto Core.) | SP 1 | SP 1 | SP 1 | SP 1 | SP 1 | SP 1 | Impossibile eseguire
Windows Server 2012 e 2012 R2 (tutte le edizioni, eccetto Core.) | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | SP 0 | Solo x64 con SP 0


Sistemi operativi server e desktop fino a Windows 8.1

Manuale -> Installazione e update -> Requisiti di sistema -> Sistemi operativi server e desktop fino a Windows 8.1

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Visione generale dei sistemi operativi server e desktop fino a Windows 8.1.

 | Windows Embedded 7/8 Standard | Windows Embedded 8.1 Pro/Industry | Windows 7 SP1/Windows 8 e 8.1/ Server 2008 (R2) SP1, 2012 e 2012 R2 | Windows CE
Editor | -- | X | X | --
Runtime | X | X | X | --
Runtime per Windows CE | -- | -- | -- | X
Web Server | X | X | X | X
WEB Client | X | X | X | --
HTML Web Engine | X | X | X | --

attention Attenzione

A partire dalla versione 7.50, Windows CE non è più supportato. . Viene installata la versione 7.20 di zenon CE. Per usarla, devono essere creati i file Runtime per la versione 7.20.


Windows CE e Windows Embedded

Manuale -> Installazione e update -> Requisiti di sistema -> Windows CE e Windows Embedded

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Operating system | zenon Editor | zenon Runtime | zenon Web Server | zenon Web Client | zenon HTML Web Engine | zenon Logic Runtime | zenon Analyzer Server
Windows CE 6.0 (ARM e x86) Attenzione: supportato solo fino alla versione 7.20. A partire dalla versione 7.50, devono essere creati file Runtime per Runtime per 7.20. | Impossibile eseguire | Solo zenon Operator | Solo Pro Light | Impossibile eseguire | Impossibile eseguire | eseguibile | Impossibile eseguire
Windows Embedded Compact 7 (ARM e x86) Attenzione: supportato solo fino alla versione 7.20. A partire dalla versione 7.50, devono essere creati file Runtime per Runtime per 7.20. | Impossibile eseguire | Solo zenon Operator | Solo Pro Light | Impossibile eseguire | Impossibile eseguire | eseguibile | Impossibile eseguire


Windows 10

Manuale -> Installazione e update -> Requisiti di sistema -> Windows 10

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Overview of supported desktop operating systems for Windows 10

Windows version | zenon Supervisor / Operator | Everywhere by zenon | zenon Logic Runtime
Windows 10 Home | X | X (PC) | X
Windows 10 Mobile | -- | X (Mobile) | --
Windows 10 Pro | X | X (PC) | X
Windows 10 Enterprise | X | X (PC) | X
Windows 10 Education | X | X (PC) | X
Windows 10 Mobile Enterprise | -- | X (Mobile) | --
Windows 10 IoT Core | -- | -- | X
Windows 10 IoT Enterprise (Windows 10 Enterprise LTSB) | X | X (PC) | X

Key:

X: available
--: cannot run


Requisiti del sistema in caso di uso di DirectX

Manuale -> Installazione e update -> Requisiti di sistema -> Requisiti del sistema in caso di uso di DirectX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si usa DirectX Hardware oppure DirectX Software, devono essere soddisfatti i seguenti requisiti minimi:

Nota: Per i progetti di dimensioni più grandi, oppure in caso che più progetti vengano caricati allo stesso tempo, l´hardware deve avere delle prestazioni corrispondenti al carico cui lo si sottopone. Ciò può far sì che i requisiti minimi richiesti siano superiori.

Parametri

Requisiti minimi

Raccomandato:

CPU:

Single Core con supporto SSE2.

Quad Core o più Cores

Scheda grafica:

(solo DirectX Hardware)

Scheda grafica DirectX 11 Mainstream.

Nota: particolarmente quando si usa una chip grafica integrata, è possibile (a seconda del driver usato) che ci siano dei problemi relativi alla qualità della visualizzazione.

AMD dedicata DirectX 11 oppure scheda grafica nVidia High-End

Memoria grafica:

(solo DirectX Hardware)

1 GB VRAM

Nota: la dimensione di cui si ha effettivamente bisogno dipende dal numero di immagini aperte e degli elementi rappresentati.

2 GB VRAM

Driver scheda grafica:

(solo DirectX Hardware)

Il driver più recente del produttore della scheda grafica.

Sistema operativo:

DirectX Hardware e DirectX Software funzionano solamente su sistemi operativi con supporto di DirectX11.1:

Se il sistema non supporta DirectX 11.1, si passa automaticamente a Windows Basis .

Deve essere installato l´attuale runtime DirectX. Esso viene installato per zenon automaticamente con il setup. Per il Web Client, però, deve essere installato manualmente.

La compatibilità hardware DirectX della scheda grafica e del driver può essere verificata con il tool dei sistemi operativi di Windows dxdiag.exe.
Fino a Windows 7: controllate alla voce Visualizzazione il valore DDI-Version. Il valore 11, per esempio, sta per DirectX 11.
A partire da Windows 8: Nella scheda Display, alla voce Feature Levels vengono elencate tutte le versioni DirectX supportate. DirectX 11, per esempio, viene visualizzato come 11.0.


Software addizionale

Manuale -> Installazione e update -> Requisiti di sistema -> Software addizionale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

SQL Server

L´Editor di zenon lavora con una banca dati SQL. Essa viene installata insieme all´Editor di zenon:

  • Fino alla versione 6.20 SP4: SQL-Server 2000 (MSDE)
  • Dalla versione 6.21 SP0: SQL Server 2005 Express
  • Dalla versione 07:00 SP0: SQL Server 2008R2 SP1 Express
  • Dalla versione 07:10 SP0: SQL Server 2012 SP1 Express

attention Attenzione

Quando cambiate la versione del server SQL, tenete presente: si deve realizzare un backup ed un export dei progetti nella versione originale, e poi bisogna di nuovo importarli nella nuova versione.

Dongle

  • CodeMeter, il software necessario per la protezione dongle, viene sempre installato automaticamente.
  • Se è richiesto WibuKey, lo si può installare dal supporto di installazione.
    Percorso: \AdditionalSoftware\WIBU-SYSTEMS WibuKey


Autorizzazione utente

Manuale -> Installazione e update -> Requisiti di sistema -> Autorizzazione utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´installazione è necessario disporre dei diritti amministratore di Windows.

Per il funzionamento corrente, invece, è sufficiente disporre dei diritti utente standard di Windows. Il controllo account utente (UAC) può essere attivato con il livello massimo di sicurezza.


Requisiti Software

Manuale -> Installazione e update -> Requisiti di sistema -> Requisiti Software

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La versione PC e quella CE di zenon richiedono delle prestazioni diverse all´hardware. In questo capitolo trovate quelli che sono i requisiti hardware per le singole versioni dell´Editor e del Runtime, nonché del Webserver e del Web Client.

L´Editor usa come Server SQL un server Microsoft SQL e richiede all´hardware prestazioni maggiori rispetto al Runtime. Se l´Editor e il Runtime devono funzionare contemporaneamente su un sistema, i requisiti si sommano.

attention Attenzione

Si consiglia l´uso di schede grafiche con memoria grafica propria e supporto di DirectX. Schede grafiche Shared Memory potrebbero consumare troppa memoria e, di conseguenza, pregiudicare l´efficienza del funzionamento del sistema. A questo proposito, tenete presente quanto detto nel capitolo Requisiti del sistema nel caso di uso di DirectX. Se si vuole usare Multi-Touch, si deve tener presente la configurazione consigliata nel suddetto capitolo.

Noch in diesem Kapitel

Editor

Runtime

Runtime sotto Windows Embedded Standard

Runtime per Windows CE

Web Server

Web Client


Editor

Manuale -> Installazione e update -> Requisiti di sistema -> Requisiti Software -> Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I requisiti minimi si riferiscono ad un´installazione completa dell´Editor. Per i progetti di dimensioni più grandi, oppure in caso che più progetti vengano caricati allo stesso tempo, l´hardware deve avere delle prestazioni corrispondenti al carico cui lo si sottopone. Ciò può far sì che i requisiti minimi richiesti siano superiori.

Hardware | Presupposto minimo | Raccomandato:
CPU | Single Core con supporto SSE2. | Quad Core
Memoria RAM | Da 4 GB Nota: tanti più progetti sono presenti in memoria contemporaneamente, tanti più aumenta il fabbisogno di spazio di moemoria. | 8 GB
Disco fisso: | Perlomeno 4 GB di spazio di memoria libero per l´installazione completa, più spazio di memoria per i progetti. |
Risoluzione dello schermo | Extended VGA con 1024 x 768. | Sistema a doppio monitor: 2 volte 1920 x 1080.
Scheda grafica | 64 MB memoria dedicata. Schede con Shared Memory possono causare delle perdite di prestazione. A questo proposito, tenete presente quanto detto nel capitolo Requisiti del sistema nel caso di uso di DirectX. |
Periferiche di input: | Tastiera standard e mouse standard |
Interfaccia USB oppure unità DVD | Per l´installazione, in dipendenza del supporto di installazione. L´installazione è possibile anche attraverso la rete. I file di installazione possono essere anche scaricati dall´area clienti della Website di COPA-DATA. |
Interfaccia parallela oppure USB | In caso di licenza dongle, richiesta per dongle. Con dongle di rete, necessaria solamente per dongle server. |
Accesso rete (opzionale): | Raccomandati 10 Mbit/s con protocollo TCP/IP per il Trasporto Remoto, dongle di rete, backup di progetti su server file centrale, editor multiutente ecc. | 1000 MBit/s

Nota: quando si lavora con progetto multiutente complessi, tenete presente le informazioni contenute nel capitolo requisiti hardware.


Runtime

Manuale -> Installazione e update -> Requisiti di sistema -> Requisiti Software -> Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I requisiti minimi si riferiscono ad un´installazione completa del Runtime. Per i progetti di dimensioni più grandi, oppure in caso che più progetti vengano caricati allo stesso tempo, l´hardware deve avere delle prestazioni corrispondenti al carico cui lo si sottopone. Ciò può far sì che i requisiti minimi richiesti siano superiori.

Hardware

Requisito minimo

Raccomandato:

CPU

Single Core con supporto SSE2.

Quad Core

Memoria RAM

Da 512 MB.

Nota: I progetti con una grande quantità di dati, i progetti di rete, più progetti paralleli e progetti con funzionamento ridondante hanno bisogno di più spazio di memoria.

4096 MB

Disco fisso:

2 GB di spazio memoria libero per l´installazione runtime, più spazio memoria per i progetti.

Attenzione: Se memorizzate dei dati storici (per esempio dati d'archivio oppure allarmi-/dati CEL), sul disco fisso deve essere disponibile uno spazio memoria sufficiente; oppure si deve prevedere in fase di progettazione che i dati storici vengano spostati oppure cancellati.

Risoluzione dello schermo

VGA con 640 x 480.

Scheda grafica

64 MB memoria decisa. Schede con Shared Memory possono causare delle perdite di prestazione. A questo proposito, tenete presente quanto detto nel capitolo Requisiti del sistema nel caso di uso di DirectX.

Periferiche di input:

Tastiera e/o mouse. E´possibile anche una gestione touchscreen. Per l´opzione touchscreen, avete a disposizione molti tipi di keyboard adeguabili alle esigenze individuali. Esiste inoltre la possibilità di una gestione Multi-Touch.

Interfaccia USB

(opzionale)
  • Per l'installazione.
    È possibile un'installazione anche via rete, oppure altri supporti dati.
  • Per Dongle:
    Possibile anche dongle di rete.

Accesso rete (opzionale):

64 kBits/s per Progetti Client/Server standard.

100 Mbit/s Fullduplex per funzionamento ridondante.

1000 Mbit/s Fullduplex per Progetti Client/Serverstandard.

Connessione remota (opzionale)

Requisito minimo: Modem a 9600 bit/s.

1 MBit/s Fullduplex.

Impiego WAN (opzionale):

Connessione qualsiasi via router, per esempio via ISDN oppure DSL. Per cause tecniche, la trasmissione dati in WAN è più lenta che in una rete locale. Vi invitiamo a tener presente già in fase di progettazione le possibili frequenze di trasmissione dati della tecnica WAN da voi usata.

Message Control (opzionale):

I requisiti richiesti in questo caso li trovate nel capitolo Message Control.

Interfacce (opzionale):

Quali interfacce sono necessarie dipende dalle prestazioni richieste al PLC e/o alla connessione bus, ad esempio: interfacce seriali RS232 oppure RS422/485, ISA/PCI, ecc.


Runtime sotto Windows Embedded Standard

Manuale -> Installazione e update -> Requisiti di sistema -> Requisiti Software -> Runtime sotto Windows Embedded Standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I requisiti minimi si riferiscono ad un´installazione del Runtime adattata al sistema operativo Windows Embedded Standard 7 SP1 con aggiornamento piattaforma. Per quello che concerne i progetti di grandi dimensioni, l´hardware deve essere in grado di fornire delle prestazioni adeguate.

Questa tabella contiene solamente i valori che divergono da quelli dell´installazione standard. I parametri restanti corrispondono ai valori descritti nel capitolo Requisiti hardware per il Runtime.

Hardware

Requisiti minimi

Raccomandato:

Memoria RAM
  • 512 MB.

Nota: i progetti con una grande quantità di dati, i progetti di rete, più progetti paralleli e progetti con funzionamento ridondante hanno bisogno di più spazio di memoria.

2048 MB

Supporto di memorizzazione dati
  • 2 GB liberi di spazio di memoria sull´unità C:\ prima dell´installazione di .NET Framework 3.5 e 4.5
    800 MB liberi di spazio di memoria dopo l´installazione di .NET Framework.
  • Più lo spazio di memoria per i progetti, archivi, ecc.

80 GB

Attenzione: se salvate dei dati storici (per esempio dati d'archivio oppure allarmi-/dati CEL), deve essere disponibile sul disco fisso uno spazio di memoria sufficiente; oppure dovete prevedere in fase di progettazione che i dati storici vengano spostati oppure cancellati.


Runtime per Windows CE

Manuale -> Installazione e update -> Requisiti di sistema -> Requisiti Software -> Runtime per Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I requisiti minimi si riferiscono alla installazione completa del Runtime per Windows CE. Per quello che concerne i progetti di grandi dimensioni, l´hardware deve essere in grado di fornire delle prestazioni adeguate.

Hardware | Requisiti minimi | Raccomandato:
CPU | Perlomeno 400 MHz | 1 GHz
Memoria RAM | 64 MB | 1024 MB per Windows CE 6.0.
Supporto di memorizzazione dati | 64 MB spazio libero di memoria. Memoria ritentiva permanentemente impostata in scrittura per dati progetto. | 256 MB di spazio memoria libera o ancora di più.
Connessione di rete | Per Progetti Client/Server standard: 10 Mbit/s full duplex. |
attention Attenzione
A partire dalla versione 7.50, Windows CE non è più supportato. . Viene installata la versione 7.20 di zenon CE. Per usarla, devono essere creati i file Runtime per la versione 7.20.


Web Server

Manuale -> Installazione e update -> Requisiti di sistema -> Requisiti Software -> Web Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I requisiti minimi si riferiscono ad un´installazione completa del Webserver. Per i progetti di dimensioni più grandi, oppure in caso che più progetti vengano caricati allo stesso tempo, l´hardware deve avere delle prestazioni corrispondenti al carico cui lo si sottopone. Ciò può far sì che i requisiti minimi richiesti siano superiori.

Hardware | Presupposti minimi | Raccomandato:
CPU | Single Core con supporto SSE2. |
Memoria RAM | Da 1024 MB |
Disco fisso: | 256 MB spazio libero di memoria. | 1 GB spazio libero di memoria.
Accesso rete: | 10 Mbit/s Fullduplex. | 1000 Mbit/s Fullduplex.
Connessione remota (opzionale) | Presupposto minimo: dial-up modem a 9600 bit/s. | 1 MBit/s Fullduplex.


Web Client

Manuale -> Installazione e update -> Requisiti di sistema -> Requisiti Software -> Web Client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I requisiti minimi si riferiscono ad un´installazione completa del Web Client. Per i progetti di dimensioni più grandi, oppure in caso che più progetti vengano caricati allo stesso tempo, l´hardware deve avere delle prestazioni corrispondenti al carico cui lo si sottopone. Ciò può far sì che i requisiti minimi richiesti siano superiori.

Hardware | Requisito minimo | Raccomandato:
CPU | Single Core con supporto SSE2. | Quad Core
Memoria RAM | Da 1024 MB |
Disco fisso: | 64 MB di spazio di memoria libero per Web Client, più spazio di memoria per i progetti. | 80 GB spazio libero di memoria.
Accesso rete: | 10 Mbit/s Fullduplex. | 1000 Mbit/s Fullduplex.
Connessione remota (opzionale) | Requisito minimo: dial-up modem a 9600 bit/s. | 1 MBit/s Fullduplex.
Scheda grafica | 64 MB memoria decisa. Schede con Shared Memory possono causare delle perdite di prestazione. A questo proposito, tenete presente quanto detto nel capitolo Requisiti del sistema nel caso di uso di DirectX. |


Percorsi per setup e per funzionamento

Manuale -> Installazione e update -> Percorsi per setup e per funzionamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Percorsi per zenon:

  • Installazione
  • Editor
  • Runtime

info Info

Potete visualizzare molti percorsi standard usando il comando set:

  • Aprite la riga di comando (inserite cmd nell´aria di avvio di Windows)
  • Digitate il comando set
  • Cliccando sul pulsante Invio verranno visualizzate le cartelle standard di Windows e zenon

Nota: visto che i percorsi assoluti possono essere diversi a seconda del sistema operativo, in questo capitolo i percorsi sono visualizzati sempre come variabili di ambiente Windows. Per esempio %ProgramData%, invece di C:\ProgramData.

Installazione

Durante l´installazione, il sistema setta percorsi per:

  • l ´Editor di zenon
  • la cartella SQL di zenon

Solo i percorsi per l´Editor di zenon e la cartella SQL di zenon possono essere individualizzati.
Il setup richiede diritti di amministratore; ciò vale anche per la modifica dei percorsi di installazione.

Requisiti

I percorsi di installazione di software necessari di produttori terzi corrispondono ai percorsi standard del produttore corrispondente; essi non sono modificabili durante il setup.

Quali ulteriori pacchetti software vengono installati, dipende dal tipo di installazione:

  • Editor di zenon
  • Runtime di zenon
  • Web Client di zenon
  • Runtime di zenon Logic
Requisito: | Editor | Runtime | WEB Client | zenon Logic Runtime
Microsoft .NET Framework 3.5 SP1 | + | + | - | -
Microsoft .NET Framework 4.0 | + | + | - | -
Microsoft Visual C++ 2005 Redistributables | + | + | - | +
Microsoft Visual C++ 2010 Redistributables | + | + | + | +
Microsoft Visual C++ 2012 Redistributables | + | + | + | +
Microsoft Visual C++ 2015 Redistributables | + | + | + | -
Microsoft SQL-Server 2012 SP1 Express (a partire da 7.10) | + | - | - | -
VSTA | + | + | - | -
COPA-DATA Multiple Network Protocol Driver x86/x64 | + | + | - | +
CodeMeter Dongle Software x86/x64 | + | + | - | -
Report Viewer 10.0 (a partire da 7.00) | + | + | + | -
VBA 7.1 | + | + | + | -

zenon

L´installazione dell´Editor di zenon imposta due percorsi:

  • Editor di zenon:
    • Sistemi a 32-Bit: %ProgramFiles(x86)%\COPA-DATA\zenon [Version]
    • Sistemi a 64-Bit: %ProgramFiles%\COPA-DATA\zenon [Version]

    Questi percorsi possono essere individualizzati durante l´installazione.

  • Cartella SQL di zenon:
    • A partire dalla versione 7.10: %ProgramData%\COPA-DATA\SQL2012\

    Questi percorsi possono essere individualizzati manualmente attraverso zenDB.ini.

Editor di zenon

Nell´Editor di zenon vengono usati di default i seguenti percorsi:

Oggetto | Percorso
Workspace | %CD_USERDATA% Ad esempio: C:\Users\Public\Documents\zenon_Projects
Progetti | %CD_USERDATA% Ad esempio: C:\Users\Public\Documents\zenon_Projects Consigli per combinazioni di tasti: selezionare progetto -> Ctrl+Alt+D
Cartella SQL del progetto: | %ProgramData%\COPA-DATA\[SQL-Ordner]\[UID]\FILES Consigli per combinazioni di tasti: selezionare progetto -> Ctrl+Alt+E
project.ini | %ProgramData%\COPA-DATA\[SQL-Ordner]\[UID]\FILES\zenon\system
zenon6.ini | %ProgramData%\COPA-DATA\System Ad esempio: C:\ProgramData\COPA-DATA\System
Backup | %ProgramData%\COPA-DATA\[SQL-Ordner]\UID]\BACKUP %ProgramData%\COPA-DATA\[SQL-Ordner\UID]\FILES\[Projekte]
File compilati | %CD_USERDATA%\[Arbeitsbereich]\[Projekt]\RT
File esterni | %CD_USERDATA%\[Arbeitsbereich]\[Projekt]\RT\FILES\... Nota: impostabili nel progetto mediante la proprietà Archiviazione file.
File di sistema | Cartella di sistema di Windows.

Runtime di zenon

Nell´Editor di zenon vengono usati di default i seguenti percorsi:

Oggetto | Percorso
Progetti | %CD_USERDATA%\[Arbeitsbereich]\[Projekt]\RT
File esterni | %CD_USERDATA%\[Arbeitsbereich]\[Projekt]\RT\FILES\...
Archivi esportati, lista eventi cronologica e lista di informazione allarmi | %CD_USERDATA%\[Arbeitsbereich]\[Projekt]\Export Nota: viene creato al momento del primo export.
File di sistema | Cartella di sistema di Windows.

zenon Logic

I percorsi per zenon Logic vengono impostati in modo analogo a quelli per zenon.


zenon per Windows CE

Manuale -> Installazione e update -> zenon per Windows CE

Componenti

La versione CE di zenon è composta dalle seguenti componenti:

  • Runtime CE di zenon
  • DLL di lingua
  • DLL di rete
  • DLL driver
  • zenon6.ini
  • Servizio di trasporto

attention Attenzione

A partire dalla versione 7.50, Windows CE non è più supportato. . Viene installata la versione 7.20 di zenon CE. Per usarla, devono essere creati i file Runtime per la versione 7.20.

Requisiti per l´installazione del Runtime su sistemi remoti.

  • Sul terminal CE deve essere installato ed avviato il servizio di trasporto (SysSrvCE.exe) di zenon, oppure esistere una connessione ActiveSync. Istruzioni per l´installazione manuale mediante supporti dati, potete trovarle nel capitolo Installazione manuale e update del Runtime.
  • Per consentire un trasporto corretto, il terminale CE al quale devono essere trasmessi i nuovi dati, deve disporre di almeno 8 megabyte di memoria "Program Memory" . Questo parametro può essere adeguato usando il pannello di controllo. Proprietà del sistema.

Procedura

Dettagli su compatibilità, installazione ed update li potete trovare nei capitoli:

  • Versioni CE / Sostegno processore
  • Update del Runtime Windows CE

info Informazioni su

La licenza per il runtime per Windows CE viene registrata con il Trasporto Remoto. Quando instaurate la connessione con il sistema destinatario, potete indicare il numero di serie e il numero di licenza per la versione CE. Nel dispositivo CE, il numero di serie viene salvato nel file zenon6.ini; il numero di attivazione, invece, nella registry.

info Info

Se, al momento dello start di zenonrce.exe, viene eseguito anche il file syssrvce.exe, si può garantire che possa sempre essere instaurata una connessione TCP. Pertanto è necessario solamente un file per la funzionalità autostar. Tuttavia, si deve provvedere a configurare un intervallo di tempo (ritardo) fra i due start.

Causa: con lo start di zenonRCE, si avvia automaticamente anche zenLogSrvCE. Ma anche al momento dello start di syssrvce, il sistema avvia automaticamente zenLogSrvCE.

Se, dunque, zenonRCE e syssrvce vengono avviati nel giro di poco tempo, entrambi cercheranno di aprire zenLogSrvCE. Ciò causa un messaggio di errore.

Soluzione: per evitare il verificarsi di questo problema, configurate un intervallo di tempo (ritardo) fra lo start di zenonRCE e quello di zenLogSrvCE. Per far ciò, potete settare nello zenon6.ini l´inserimento STARTDELAY=. Così il Runtime (zenLogSrvCE) verrà avviato più tardi. Il sistema, poi, provvederà a verificare se zenLogSrvCE è già in esecuzione, e non tenterà più di avviarlo.

Noch in diesem Kapitel

Versioni CE e processori supportati

File di sistema

Update del Runtime Windows CE

Installazione manuale e update del Runtime.

Pocket PCs (PDA - Handheld PC)

Risoluzione dei problemi


Versioni CE e processori supportati

Manuale -> Installazione e update -> zenon per Windows CE -> Versioni CE e processori supportati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella versione 7.20 di zenon vengono supportate le seguenti versioni di Windows CE ed i seguenti processori:

Processori:

  • x86
  • ARM V4/V5

Versioni CE:

  • CE 6.00
  • Windows Embedded Compact 7

Le informazioni relative alle versioni CE e ai processori supportati da precedenti versioni di zenon, le trovate nella documentazione relativa, oppure le potete richiedere al supporto tecnico di COPA-DATA.

attention Attenzione

A partire dalla versione 7.50, Windows CE non è più supportato. . Viene installata la versione 7.20 di zenon CE. Per usarla, devono essere creati i file Runtime per la versione 7.20.


File di sistema

Manuale -> Installazione e update -> zenon per Windows CE -> File di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il runtime per Windows CE richiede l'esistenza di diversi file di sistema. Se manca uno di questi file, il sistema operativo genera un messaggio di errore durante l´avvio del Runtime, che avverte l'utente che una o più componenti non sono state trovate. I seguenti file di sistema sono assolutamente necessari:

File | Descrizione
mfc90u.dll | Necessario per il runtime Appare un messaggio di errore al momento dell'avvio se questo file non esiste.
msvcr90.dll | Necessario per il runtime Appare una segnalazione di errore al momento dell'avvio se questo file esiste.
atl90.dll | Non è necessario per avviare il Runtime, ma per utilizzare un driver con connessione di rete. o per usare zenon in rete. Se questo file non esiste, il dispositivo non può funzionare da client, oppure non funzionano le connessioni driver TCP/IP.
IMGDECMP.dll | Non è necessario per lo start del Runtime, ma per la visualizzazione di Trasparenza, se Alpha Blending non è integrato nel sistema operativo. Non è possibile un´animazione di file GIF con Windows CE.
VBSCRIPT.dll + JSCRIPT.dll | Non è necessario per l'avvio del Runtime. Questo file è necessario per la PCE (Process Control Engine)

Alcuni di questi file di sistema vengono installati al momento dell´installazione di zenon per CE; possono essere trasferiti al dispositivo CE usando, per esempio, il tool UpdateCE. Tutti questi file di sistema dovrebbero essere integrati già dal produttore di macchinari nell´immagine del sistema operativo del dispositivo CE.

attention Attenzione

Per i produttori di immagini del sistema operativo Windows CE:
le versioni di CE precedenti alla 6.0 hanno bisogno del file toolhelp.dll. Per assicurare che il file sia disponibile sul dispositivo CE e che il Toolhelp sia disponibile inSDK, attivate il seguente inserimento nel Platform Manager :
Core OS -> Display Based Device -> Core OS Services -> Debugging Tools>Toolhelp API. In tal modo, Toolhelp.dll è parte dell´Image.
Consiglio: vi consigliamo di usare sempre il Service Pack più recente di Platform Builder.

Nota: Il file toolhelp.dll non è necessario per Windows CE 6 e non dovrebbe essere utilizzato con CE 6.


Update del Runtime Windows CE

Manuale -> Installazione e update -> zenon per Windows CE -> Update del Runtime Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per effettuare un update del Runtime Windows CE:

  • Assicuratevi che il Transport Service di zenon (SysSrvCE.exe) sia eseguito sul dispositivo CE.
  • Assicuratevi di non aver instaurato una connessione remota con il dispositivo per mezzo dell´Editor di zenon.
  • Selezionate nel menù di zenon Opzioni, il comando Aggiorna Runtime di Windows CE
  • Si apre la finestra di dialogo che serve al trasferimento dei file Runtime.
  • Configurate la connessione.
  • Definite i file che volete trasferiti.
  • Selezionate la versione.
  • Avviate l´update.

Nota: se trasferite/installate il Runtime per la prima volta, tenete presente le indicazioni del capitolo Installazione manuale e Runtime-Update .

Configurare la connessione.

Configurate la connessione con il dispositivo Windows CE alla voce Connection.

Parametri | Descrizione
Serial | Impostazione per connessione seriale con il dispositivo Windows CE; deve essere selezionato il numero di porta.
TCP/IP | Impostazioni per connessione TCP/IP con il dispositivo Windows CE.
Adress | Indirizzo IP.
Name | Nome computer.
Syssrvce.exe starts with these settings | Impostazione per lo start di syssrvce.exe.
Serial | Attivo: viene selezionata la connessione seriale; deve essere scelto un numero di porta.
TCP/IP | Attivo: viene selezionata la connessione TCP/IP.
Connection with MS ActiveSync | Impostazioni per la connessione via MS ActiveSync
Use MS ActiveSync for initial transport of syssrvce.exe | Attivo: syssrvce.exe viene trasferito durante il primo transport via MS ActiveSync.
Destination folder | Cartella di destinazione.
Help | Apre la guida online.
Save | Salva tutte le modifiche.
Exit | Chiude il tool di Update CE e dà la possibilità di salvare prima le modifiche non ancora salvate.

Definire i file da trasferire

Parametri | Descrizione
Files to update | File che devono essere trasferiti.
HMI Runtime | Attivo: trasferisce i file di zenon al dispositivo di destinazione. Default: attivo
PLC Runtime | Attivo: trasferisce i file di zenon al dispositivo di destinazione. Default: inattivo
OS system files | Attivo: trasferisce i file necessari del sistema operativo. Default: attivo
Update zenon6.ini | Trasferisce lo zenon6.ini al dispositivo di destinazione. In tal modo vengono modificate anche le informazioni sulla licenza sul dispositivo di destinazione.
Options |
Language | Lingua desiderata sul sistema di destinazione. Default: English
HMI drivers | Selezione dei driver HMI da trasferire.
Available | Lista dei driver disponibili.
Selected | Lista dei driver selezionati.
Add | Aggiunge i driver selezionati alla lista dei driver scelti.
Add all | Aggiunge tutti i driver alla lista dei driver scelti.
Remove | Rimuove i driver selezionati dalla lista dei driver scelti.
Remove all | Rimuove tutti i driver dalla lista dei driver scelti.
Help | Apre la guida online.
Save | Salva tutte le modifiche.
Exit | Chiude il tool di Update CE e dà la possibilità di salvare prima le modifiche non ancora salvate.

Selezionare versione

Selezionate nella scheda Versions la versione adatta, nel caso in cui essa non venga riconosciuta automaticamente.

Parametri | Descrizione
WinCE version | Versione del sistema operativo Windows CE sul dispositivo di destinazione. Cliccando sul pulsante, si apre il menù a tendina che serve alla selezione.
Processor type | Processore del dispositivo.
Source path | Percorso per la cartella che contiene i file. Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare una cartella.
New | Aggiunge un nuovo inserimento vuoto nella lista.
Delete | Cancella l´inserimento selezionato dalla lista.
Test | Controlla le impostazioni.
Help | Apre la guida online.
Save | Salva tutte le modifiche.
Exit | Chiude il tool di Update CE e dà la possibilità di salvare prima le modifiche non ancora salvate.

Avvia update

Per instaurare una connessione:

  • Cliccate nella scheda Update su Start.

  • I dati per il trasferimento vengono verificati e visualizzati in una finestra.
  • Cliccando sul pulsante Next, avviate il trasferimento al dispositivo di destinazione.

Se il trasferimento non può essere avviato per la mancanza di file, sarà visualizzato un messaggio di errore contenente la lista dei file mancanti:

  • Se ricevete il messaggio di errore The current update was not completed, l'update è stato interrotto, oppure eseguito non correttamente.

info Informazioni su

Se volete sostituire zenVNCServer.exe per mezzo di un update, esso viene chiuso, e riavviato dopo l´update. Perché ciò accada, il file zenVNCSrvCE.exe

che si trova in UpdateCE.ini nella sezione [SOURCES_FILES_GENERAL], deve contenere i seguenti inserimenti (esiste di default):

  • zenVNCSrvCE.exe
  • zenVNCCfgCE.exe


Installazione manuale e update del Runtime.

Manuale -> Installazione e update -> zenon per Windows CE -> Installazione manuale e update del Runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Installazione e update sono possibili anche senta trasporto remoto e ActiveSync. Dovete anzitutto copiare manualmente i file necessari su una scheda di memoria per il dispositivo CE. E´ dunque necessario che conosciate la versione CE e il tipo di processore del dispositivo CE.

I seguenti file devono essere assolutamente copiati dalla cartella corrispondente per la piattaforma corretta sulla scheda di memoria che è destinata ad essere utilizzata per il dispositivo CE.

  • zenonRCE.exe (Runtime)
  • LogCliLibCE.dll (Diagnose-DLL)
  • zenon6.ini (File di configurazione:)
  • Cd_tooCE.dll (Hilfs-DLL)
  • ZenNetSrvCE.dll ((Rete)
  • CDHelper.dll (Hilfs-DLL)
  • Una delle seguenti DDL linguistiche: RChineCE.dll, RCzechCE.dll, REngliCE.dll, RFrancCE.dll, RGermaCE.dll, RItaliCE.dll, RRussiCE.dll, RSpaniCE.dll (La lingua selezionata è definita nel file zenon6.ini.)
  • syssrvce.exe (servizio di trasporto e Diagnose Server)
  • atl90.dll (File di sistema, possibilmente parte del sistema operativo)
  • mfc90u.dll (File di sistema, possibilmente parte del sistema operativo)
  • msvcr90.dll (File di sistema, possibilmente parte del sistema operativo)

Altri file, come ad esempio i driver oppure il software del desktop remoto (zenVNCCfgCE.exe e zenVNCSrvCE.exe), sono facoltativi.


Pocket PCs (PDA - Handheld PC)

Manuale -> Installazione e update -> zenon per Windows CE -> Pocket PCs (PDA - Handheld PC)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Pocket PC non vengono più supportati a partire dalla versione 7.


Risoluzione dei problemi

Manuale -> Installazione e update -> zenon per Windows CE -> Risoluzione dei problemi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Possibili errori:

Errore | Possibile soluzione
Errore di connessione nel corso di update via COM. | Essendo aperto, Windows Explorer rallenta il tempo di accesso. Chiudendo Explorer si risolve il problema.
Il servizio di trasporto non funziona. | Controllare la versione del servizio di trasporto. Perlomeno: versione 5.21 SP3 o con numero di serie più altro; oppure versione 5.50 SP1 o di numero superiore.
Il programma Runtime di update non riesce ad instaurare una connessione. | Chiudere le connessioni aperte dell´Editor con il servizio di trasporto CE.


Runtime di zenon Logic per Windows CE

Manuale -> Installazione e update -> Runtime di zenon Logic per Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'installazione del Runtime di zenon Logic (runtime PLC) in un sistema Windows CE si svolge in modo simile a quella del Runtime per Windows CE.

Requisiti: Servizio di trasporto eseguibile con CE.

Il Runtime di zenon Logic per Windows CE è costituito dalle seguenti componenti:

  • Runtime di zenon Logic
  • DLL di lingua
  • zenon Logic IO driver
  • zenon6.ini

Installazione

  • Nel menù "Opzioni" di zenon selezionate "Aggiorna Runtime Windows CE".
  • Si apre la finestra di dialogo che serve al trasferimento dei file runtime.
  • Attivate nella finestra "File" il checkbox "PLC Runtime", per copiare i file necessari zenon Logic nel percorso di esecuzione CE.
  • Passate alla scheda "Connection".

  • Definite la connessione con il dispositivo CE. Digitate l´indirizzo IP, oppure il numero di porta seriale.
  • Se volete che sia trasferito anche il file zenon6.ini, selezionate Update zenon6.ini. In tal modo, vengono modificate le informazioni concernenti la licenza sul dispositivo destinatario.
  • Selezionate nella finestra "CE Runtime versions" la versione giusta, nel caso in cui il sistema non dovesse riconoscerla automaticamente.

Update

Funziona come descritto nel capitolo Update Windows CE Runtime .

Attenzione: dovete attivare l´opzione PLC Runtime nella scheda "Files"!

info Informazioni su

Con Windows CE 6.0 vengono trasmessi sempre i file MFC.


zenon Web Server

Manuale -> Installazione e update -> zenon Web Server

Um den zenon Web Server oder zenon Web Server Pro zu installieren:

  1. Aktivieren Sie die WWW-Dienste auf dem Rechner.

    Der Ordner C:\inetpub\wwwroot muss existieren.

  2. Starten Sie das zenon Installationsmedium. Der Startbildschirm wird angezeigt.

    Falls Sie Autostart von Medien deaktiviert haben, führen Sie die Datei start.exe auf dem Installationsmedium aus.

  3. Wählen Sie zenon Web Server aus.
    Entsprechend der Version des Betriebssystems wird automatisch die 32-Bit oder 64-Bit Version des zenon Web Servers installiert.
  4. Folgen Sie der Installationsroutine.
  5. Starten Sie den Computer neu.

Die Setup-Dateien für den Web Client finden Sie nach der Installation in Unterverzeichnissen des zenon Web Server-Installationspfades (xxx steht für die jeweilige Version von zenon), z. B.: C:/Programme (x86)/COPA-DATA/zenonWebserver/zenon/controlversions/Versionxxx/zenon_Webclient_Setup_GERMAN.EXE
oder

C:/Inetpub/wwwroot/zenon/controlversions/Versionxxx/zenon_Webclient_Setup_GERMAN.EXE

Es werden auch die Beispiel-Webseiten (index*.html und init*.html) mitinstalliert. Diese sind im Unterverzeichnis zenon des zenon Web Server-Installationspfades zu finden, z. B.:
C:/Programme/zenonWebserver/zenon/index.htm
oder
C:/Inetpub/wwwroot/zenon/index.html

info Informazioni su

Der Dienst für den zenon Web Server wird nur in der lizenzierten Version automatisch gestartet. Im Demo-Modus muss der zenon Web Server manuell über die zenon Web Server-Konsole in den Systemeigenschaften gestartet werden.

Ulteriori informazioni

Trovate informazioni dettagliate concernenti il Webserver di zenon nella guida in linea, alla voce zenon Web Server e Web Server Pro: per le licenze, invece, nel capitolo Registrazione licenza.


zenon Web Client

Manuale -> Installazione e update -> zenon Web Client

Il zenon Web Client consiste soprattutto di un ActiveX Control, che visualizza delle informazioni in un browser. Tale visualizzazione avviene come in un normale client. La connessione al Runtime Server avviene tramite il zenon Webserver usando la comunicazione TCP/IP.

I file di setup per il Web Client li trovate, dopo l´installazione, nella sottodirectory del percorso di installazione del Webserver (xxx si riferisce alla versione relativa di zenon), per esempio: %Programfiles%/COPA-DATA/zenonWeb Server/zenon/controlversions/Versionxxx/zenon_Webclient_Setup_GERMAN.EXE
oppure

C:/Inetpub/wwwroot/zenon/controlversions/Versionxxx/zenon_Webclient_Setup_ITALIAN.EXE

Tutti i setup Web Client sono con firma digitale e possono essere resi disponibili su Internet per il download.

info Info

Il Web Client invia file di errore e file di log. Il Diagnose Server viene installato automaticamente al momento dell'installazione del Web Client.


Update (Build Setups)

Manuale -> Installazione e update -> Update (Build Setups)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Update (Build Setup)

Un update viene installato mediante l´installazione esistente e sostituisce solamente i file modificati con la nuova versione. Tutti i progetti e le impostazioni individuali rimangono inalterati. Vi preghiamo di tener presente che la qualità dei Build Setup non è mai sicura al 100%. Vengono testate solamente le correzioni delle bug contenute. Nel caso in cui dovessero verificarsi effetti indesiderati a causa di una correzione delle bug, non è detto che questi ultimi siano riconoscibili già al momento dell´effettuazione dei test. COPA-DATA, quindi, consiglia di usare sempre Service Packs. Questi ultimi, infatti, sono sempre soggetti ad un approfondito test di qualità.

Nota sul Web Client: per installare un update del Web Client di zenon, si deve anzitutto disinstallare il Web Client stesso.

Passaggio ad una nuova versione

Se volete installare una nuova versione di zenon, avviate la routine di installazione. La nuova versione viene installata parallelamente alla versione già esistente. Tutti i progetti e le impostazioni individuali rimangono inalterati. I progetti non vengono convertiti nella nuova versione durante l´installazione. Solo al momento della prima apertura dell´Editor, si verifica la conversione del singolo progetto nella nuova versione. Un box di dialogo vi avverte del verificarsi di tale processo. Viene effettuato un backup automatico della vecchia versione. Nel caso in cui vogliate usare solo la versione più attuale, disinstallate la versione precedente facendo uso della routine corrispondente del pannello di controllo Windows.

attention Attenzione

Se un´installazione comporta un cambio del server SQL (per es. update da zenon 7.00 a zenon 7.10 o versione ancora più recente), prima della installazione si deve effettuare un backup di tutti i progetti o del workspace. Questo backup viene caricato dopo l´installazione. I dettagli concernenti questo procedimento li trovate anche nella sezione Progetti-Multiuser/Update con cambio del server SQL.

Se, invece, avete intenzione di usare più versioni di zenon parallelamente, potete farlo usando lo Startup Tool. Vi facciamo presente che è possibile avviare solamente una versione alla volta. Quale sia la versione da avviare, lo stabilite in Startup Tool, che realizza tutte le impostazioni necessarie automaticamente. I dettagli relativi li potete trovare nel capitolo Startup Tool.

info Informazioni su

Le nuove versioni comportano sempre dei cambiamenti strutturali. Durante l´installazione, i progetti e le impostazioni rimangono inalterate. Al momento della prima apertura nell´Editor, i progetti vengono convertiti nella nuova versione, e, contemporaneamente, viene realizzata una copia di sicurezza della vecchia versione.

I progetti convertiti non possono più essere modificati nelle versioni precedenti. A partire dalla versione 6.2, l´Editor può creare dei progetti per diverse versioni del Runtime.

Delle importanti indicazioni concernenti la conversione dei progetti, le trovate nel testo di revisione. Esso viene fornito con il supporto di installazione ed è disponibile anche online.

Progetti multi-user

Per garantire il passaggio ad una nuova versione di zenon in progetti multi-user, senza avere una perdita di dati:

  1. Applicare su tutti i client tutti gli elementi per cui si è effettuato il check out -> Applica modifiche.
    Non ci deve essere niente "checked out". Ciò vale per tutti i progetti.
  2. Installate sul computer che funge da server la nuova versione di zenon.
  3. Convertite tutti i progetti server nella nuova versione: a tal scopo, caricate tutti i progetti nell´Editor del computer che funge da server.
  4. Installate la nuova versione di zenon sui computer che fungono da client.
  5. Caricate i progetti sui client e di nuovo fare check out.

Update con cambio del server SQL

Se un´installazione comporta il cambio del server SQL Servers (per es. da zenon 6.51 a zenon 9.0), sono necessari ulteriori passi. Questi passi vengono eseguiti:

  • dopo che si è effettuato il check in di tutti i progetti
  • prima di installare la nuova versione

Procedura nel caso di cambio del server SQL:

  1. check in su tutti i client di tutti gli elementi che sono "checked out" -> Applica modifiche.
  2. sul server multi-user aprite l´Editor nella versione iniziale
  3. create dei backup di tutti i progetti che volete modificare, o aprire con la nuova versione.
    • o nella forma di backup di progetto singoli
    • oppure come backup di un intero workspace
  4. installate la nuova versione sul server
  5. convertite tutti i progetti server nella nuova versione, caricando i backup di progetto prima creati nell´Editor.
  6. installate l´update su ogni client
  7. trasferite i progetti del server multi-user ai client
    (tenete presente il nuovo nome dell´istanza SQL)
  8. i progetti sono convertiti, sincronizzati e pronti ad essere utilizzati

Attenzione: assicuratevi che le impostazioni del firewall consentano lo scambio dati dal server multi-user ai clienti e viceversa.


FAQ

Manuale -> Installazione e update -> FAQ

Durante l´installazione si verificano degli errori soprattutto se la sostituzione o la creazione di file vengono impedite a causa di un programma antivirus, oppure processi di installazione già in corso. Di seguito trovate un elenco delle cause più frequenti di errore durante il processo di installazione e la risoluzione dei problemi.

zenon

Problema

Soluzione

L´installazione viene interrotta.

Tipico messaggio di errore: Error 1304. Error writing to file...

Disattivate il programma antivirus e chiudete programmi non necessari al momento.

Dei progetti demo sono stati installati, ma non vengono visualizzati. Non possono essere creati nuovi progetti.

Controllate il nome computer. Esso:

  • può avere la lunghezza massima di 15 caratteri
  • deve corrispondere alle convenzioni del nome computer NetBIOS

Messaggio di errore: non è stato possibile avviare un servizio.
  • prima di tutto riavviate il computer.
  • riavviate poi il setup di zenon

SQL Server

Generale

Problema | Soluzione
Il processo di installazione non può essere completato perché la password non soddisfa i requisiti. | Se, con l´opzione Local Security Policy di Windows, si imposta la lunghezza minima della password, che di default è 8, su un valore superiore a 10, l´installazione del server SQL non potrà essere portata a termine con successo, perché la password di zenon SQL consta di 10 caratteri.


Supporto tecnico

Manuale -> Installazione e update -> Supporto tecnico

Basic Support

Se avete bisogno di aiuto nella fase di installazione, i nostri collaboratori del Technischen Consulting sono a vostra disposizione.

Gli utenti con "basic-support" possono contattare la hotline al seguente indirizzo E-Mail support@copadata.com.

Advanced e Premium Support

Se disponete di un contratto di assistenza Advanced o Premium, usate il numero di telefono o l´indirizzo E-Mail indicati nel contratto stesso. Nel caso in cui, invece, vogliate passare da un contratto gratuito "Basic" al tipo "Advanced" o "Premium", rivolgetevi ai nostri collaboratori del reparto distribuzione (sales@copadata.com) che saranno felici di esservi d´aiuto.


Interblocchi

Manuale -> Interblocchi

Gli interblocchi consentono di gestire l’accesso a determinati oggetti di zenon durante il Runtime (Runtime) con il supporto di variabili. Sbloccare o bloccare impostazioni d'uso in dipendenza di variabili. Attivare o disattivare impostazioni d'uso in dipendenza di stati del processo.

Nel progetto è possibile inserire e utilizzare quanti interblocchi si desideri. Per ogni tipo di interblocco è possibile definire parallelamente diverse condizioni di interblocco.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Oggetti bloccabili

Tutti gli Elementi dinamici fatta eccezione per l´elemento trend e l´elemento di segnalazione.

Menù contestuale - manager di progetto

Parametri | Descrizione
Nuovo Interblocco | Crea un nuovo blocco e apre il dialogo cher serve alla selezione delle variabili.
Esporta tutti in XML | Esporta tutti gli inserimenti dell´interblocco in un file XML.
Importa XML | Importa file XML.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online

info Informazioni su

Le variabili per il blocco possono essere sostituite. I dettagli su questo argomento li trovate nel capitolo Sostituzione di variabili e funzioni in elementi dinamici.

Example Esempio

Una macchina funziona in modo completamente automatico e non può, dunque, essere commutata per la gestione manuale. La commutazione è possibile solo nel momento in cui un certo stato viene raggiunto (ad esempio STOP). Mediante l'interblocco è possibile bloccare nell'interfaccia di visualizzazione il bottone di commutazione manuale/automatico finché non sia raggiunto il suddetto stato (per es. STOP). In tal modo si possono evitare errori di gestione.

Noch in diesem Kapitel

Menù contestuale e Barra simboli Visualizzazione dettagliata

Progettazione nell'editor

Gestione durante il runtime


Menù contestuale e Barra simboli Visualizzazione dettagliata

Manuale -> Interblocchi -> Menù contestuale e Barra simboli Visualizzazione dettagliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra degli strumenti

Simbolo | Descrizione
Nuovo Interblocco | Crea un nuovo blocco e apre il dialogo che serve alla selezione delle variabili.
Nuova condizione | Crea una nuova condizione blocco.
Aggiungi variabile | Apre il dialogo che serve alla scelta di una variabile.
Copia | Copia la condizione selezionata.
Inserisci | Inserisce una condizione proveniente dagli appunti
Elimina | Cancella la condizione selezionata.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa da file XML.
Rinomina | Permette di rinominare un elemento. Possibile anche con un clic del mouse nel campo, oppure mediante il tastoF2.
Proprietà | Apre la finestra delle proprietà dell´elemento selezionato.
Guida | Attiva la guida online

Menù contestuale Blocchi

Parametri | Descrizione
Nuovo Interblocco | Crea un nuovo blocco e apre il dialogo che serve alla selezione delle variabili.
Inserisci | Inserisce i blocchi copiati provenienti dagli appunti
Esporta tutti in XML | Esporta tutti gli inserimenti dell´interblocco in un file XML.
Importa XML | Importa file XML.
Guida | Attiva la guida online

Menù contestuale Blocco singolo

Parametri | Azione
Aggiungi variabile | Apre il dialogo che serve alla selezione di una variabile.
Nuova condizione | Crea una nuova condizione blocco.
Copia | Copia il blocco selezionato.
Inserisci | Inserisce un blocco proveniente dagli appunti
Elimina | Cancella il blocco selezionato.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa da file XML.
Rinomina | Permette di rinominare un elemento. Possibile anche con un clic del mouse nel campo, oppure mediante il tasto F2.
Proprietà | Apre la finestra delle proprietà dell´elemento selezionato.
Guida | Attiva la guida online

Menù contestuale Gruppi variabili

Parametri | Azione
Aggiungi variabile | Apre il dialogo che serve alla scelta di una variabile.
Inserisci | Inserisce una condizione proveniente dagli appunti
Guida | Attiva la guida online

Menù contestuale Variabile singola

Parametri | Azione
Rimuovi variabile | Cancella dopo un'interrogazione di sicurezza la variabile selezionata.
Copia | Copia la variabile selezionata.
Inserisci | Inserisce la variabile proveniente dagli appunti
Proprietà | Apre la finestra delle proprietà dell´elemento selezionato.
Guida | Attiva la guida online

Menù contestuale Condizioni di blocco

Parametri | Azione
Nuova condizione | Crea una nuova condizione blocco.
Inserisci | Inserisce una condizione proveniente dagli appunti
Guida | Attiva la guida online


Progettazione nell'editor

Manuale -> Interblocchi -> Progettazione nell'editor

Noch in diesem Kapitel

Eseguire gli interblocchi

Formula editor


Eseguire gli interblocchi

Manuale -> Interblocchi -> Progettazione nell'editor -> Eseguire gli interblocchi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionando Interblocchi nel Manager di progetto, si aprono nella Finestra dettagli del manager di progetto tutti gli interblocchi creati nel progetto. Cliccando con il tasto destro del mouse su Interblocchi generali viene visualizzato un menù popup nel quale è possibile creare un nuovo interblocco.

Si può cambiare il nome del nuovo interblocco usando la Finestra di proprietà. Cliccando con il tasto destro del mouse su Variabili viene di nuovo visualizzato un menù popup. In tal modo si possono collegare all'interblocco in questione una o più variabili.

attention Attenzione

Una variabile non può essere contemporaneamente variabile di interblocco e variabile di responso. Questa configurazione porterebbe ad un ciclo infinito

Si può associare all'interblocco una determinata condizione. A questo scopo bisogna anzitutto definire nella Finestra di proprietà una o più condizioni. Per ogni condizione, poi, può essere inserita una formula binaria nella finestra di proprietà alla voce Collegamento logico.

info Informazioni su

Un elemento della interfaccia di visualizzazione è bloccato se la condizione di bloccaggio è soddisfatta (quindi si verifica il risultato 1 - VERO).

Interblocco: Nel caso in cui si siano associate ad un interblocco più condizioni, è sufficiente che una condizione sia soddisfatta per bloccare l'elemento!

Con l´editor per le formule si può stabilire che formule binarie e numeriche siano delle condizioni di interblocco. L´editor per le formule viene aperto nella finestra delle proprietà cliccando sulla proprietà Collegamento logico. L'editor per le formule consente di creare delle espressioni booleane mediante l'aiuto delle variabili collegate e degli operatori logici e a bit, ma anche degli operatori a confronto. Vedi anche il capitolo "Immagini/Operatori a confronto".

info Informazioni su

Sblocca: nel caso in cui al blocco siano collegate diverse condizioni, ognuna di esse deve venire sbloccata.


Formula editor

Manuale -> Interblocchi -> Progettazione nell'editor -> Formula editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The formula editor provides support when creating formulas with logical or comparative operators with a combined element, for interlockings and command processing. If additional variables are required for a formula, create these in the formula variables area of the status window by clicking on the Add button. existing formulas are displayed in the status list with the lettersF .

Note on the input of decimal points:

  • Decimal separator: Comma (,) is automatically converted into a dot (.):
  • Zero as a decimal point is removed automatically; 23,000 automatically becomes 23

Creating a formula

Click on the Formula button in the status window The formula editor opens

You select the bits for your formula in the left screen.

On the right, you find the operators for logical and comparative operations.

The formula created is displayed in the Formula area.

info Informazioni su

Up to 99 variables can be linked in one formula. X01 to X99. The length of the formula must not exceed 4096 characters.

The meaning of the bits:

Parameters

Description

value bits

32 value bits (from 0 -31) are available. They describe the variable value bit by bit. For binary variables, only bit 0 is of importance, for SINT and USINT only the bits from 0-7, etc.

Note: The value refers to the raw value (signal range) of the variables and not to the converted measuring range.

State bits

Here you find the most commonly used status bits. You find the exact definition and use of the status bits in the Status Bits List.

unreceipted

Not acknowledged is treated like a usual status bit. But here it is listed separately, because it does not belong to the classical variable statuses.

value and status

In the formulas, all values (value bits and status bits) are treated as binary values and can be logically linked with AND, OR, etc.
The total value and overall status are an exception to this. In order to get a Boolean result this total value has to be ORed with a constant bitwise. For this, we use the operator &.
For the result 0 (false) of this logical ORing we get the binary value 0 (false), otherwise 1 (true).

Example: see chapter Example bit by bit ORing

info Info

The status bits NORM and N_NORM are only available in the formula editor and cannot be engineered via the status.

If other settings outside the formula are set for the current status, they are combined with the formula with a logical AND.

Refer to the examples section for examples.

info Informazioni su

Formulas with binary X values and bitwise linking can be used with a maximum of 2 binary values. If more values are required, the linking must be carried out without binary X values.

Example:

X01.Value & X02.Value -> works

X01.Value & X02.Value & X03.Value -> does not work

But:

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> works

Noch in diesem Kapitel

List of status bits

Logical operators

Bit formulas

Comparison operators

Examples for formulas


List of status bits

Manuale -> Interblocchi -> Progettazione nell'editor -> Formula editor -> List of status bits

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Bit number | Short term | Long name | zenon Logic label
0 | M1 | User status 1; for Command Processing: Action type "Block"; Service Tracking of the IEC 850 driver | _VSB_ST_M1
1 | M2 | User status 2 | _VSB_ST_M2
2 | M3 | User status 3 | _VSB_ST_M3
3 | M4 | User status 4 | _VSB_ST_M4
4 | M5 | User status 5 | _VSB_ST_M5
5 | M6 | User status 6 | _VSB_ST_M6
6 | M7 | User status 7 | _VSB_ST_M7
7 | M8 | User status 8 | _VSB_ST_M8
8 | NET_SEL | Select in the network | _VSB_SELEC
9 | REVISION | Revision | _VSB_REV
10 | PROGRESS | In operation | _VSB_DIREC
11 | TIMEOUT | Runtime exceedance | _VSB_RTE
12 | MAN_VAL | Manual value | _VSB_MVALUE
13 | M14 | User status 14 | _VSB_ST_14
14 | M15 | User status 15 | _VSB_ST_15
15 | M16 | User status 16 | _VSB_ST_16
16 | GI | General query | _VSB_GR
17 | SPONT | Spontaneous | _VSB_SPONT
18 | INVALID | Invalid | _VSB_I_BIT
19 | T_CHG_A | Daylight saving time/winter time announcement | _VSB_SUWI
20 | OFF | Switched off | _VSB_N_UPD
21 | T_EXTERN | Real time external | _VSB_RT_E
22 | T_INTERN | Realtime internal | _VSB_RT_I
23 | N_SORTAB | Not sortable | _VSB_NSORT
24 | FM_TR | Error message transformer value | _VSB_DM_TR
25 | RM_TR | Working message transformer value | _VSB_RM_TR
26 | INFO | Information for the variable | _VSB_INFO
27 | ALT_VAL | Alternate value If no value was transferred, the defined alternate value is used otherwise the last valid value is used. | _VSB_AVALUE
28 | RES28 | Reserved for internal use (alarm flashing) | _VSB_RES28
29 | N_UPDATE | Not updated | _VSB_ACTUAL
30 | T_STD | Standard time | _VSB_WINTER
31 | RES31 | Reserved for internal use (alarm flashing) | _VSB_RES31
32 | COT0 | Cause of transmission bit 1 | _VSB_TCB0
33 | COT1 | Cause of transmission bit 2 | _VSB_TCB1
34 | COT2 | Cause of transmission bit 3 | _VSB_TCB2
35 | COT3 | Cause of transmission bit 4 | _VSB_TCB3
36 | COT4 | Cause of transmission bit 5 | _VSB_TCB4
37 | COT5 | Cause of transmission bit 6 | _VSB_TCB5
38 | N_CONF | Negative confirmation of command by device (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test bit (IEC870 [T]) | _VSB_T_BIT
40 | WR_ACK | Writing acknowledged | _VSB_WR_ACK
41 | WR_SUC | Writing successful | _VSB_WR_SUC
42 | NORM | Normal status | _VSB_NORM
43 | N_NORM | Deviation normal status | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Time invalid | not defined
50 | CB_TRIP | Breaker tripping detected | not defined
51 | CB_TR_I | Breaker tripping detection inactive | not defined
52 | OR_DRV | Value out of Range | not defined
53 | RES53 | reserved | not defined
54 | RES54 | reserved | not defined
55 | RES55 | reserved | not defined
56 | RES56 | reserved | not defined
57 | RES57 | reserved | not defined
58 | RES58 | reserved | not defined
59 | RES59 | reserved | not defined
60 | RES60 | reserved | not defined
61 | RES61 | reserved | not defined
62 | RES62 | reserved | not defined
63 | RES63 | reserved | not defined

info Informazioni su

In formulas all status bits are available. For other use the availability can be reduced.

You can read details on status processing in the Status processing chapter.


Logical operators

Manuale -> Interblocchi -> Progettazione nell'editor -> Formula editor -> Logical operators

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Logical links: Variables will only be checked for the logical value '0'; if the value does not equal '0', it will be considered as '1'.

In contrast to bit formulas, the technical range can be modified by a stretch factor -> (not equal '0' or '1').

Operator | Meaning
AND | logical 'AND'
NOT | Negation
OR | logical 'OR'
XOR | logical 'EXCLUSIVE OR'

The operators have the following priority in the formula calculation:

Priority | Operator
1 | & (operator for bit formulas)
2 | NOT
3 | AND
4 | XOR/OR

info Info

Up to 99 variables can be linked in one formula. X01 to X99.

info Info

The status bits NORM and N_NORM are only available in the formula editor and cannot be engineered via the status.


Bit formulas

Manuale -> Interblocchi -> Progettazione nell'editor -> Formula editor -> Bit formulas

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Bit formulas only have a logical high or low state. In contrast to logical formulas, the raw value is already predefined (0,1).

Operator | Description
& | AND
| | OR

Noch in diesem Kapitel

Example: ORing bitwise


Example: ORing bitwise

Manuale -> Interblocchi -> Progettazione nell'editor -> Formula editor -> Bit formulas -> Example: ORing bitwise

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You want to find out if one of the user status bits 1-8 (M1 ... M8) of the variable X01 is set.

Usual formula:

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8
This query can be made much easier by the logical ORing of the overall status.

Logical ORing:

X01.Status & 0xFF

The constant can be entered in hexadecimals, as described above:

0xFF corresponds to decimal 256; these are the first eight status bits (binary 11111111). If one of these bit is set to 1, the result of this bitwise ORing is 1 (true), otherwise it is 0 (false).

If, for example, all user status bits except the user status bit M7 should be queried, the binary statement for this would be: 10111111. Bit 7 is not of interest and is thus set to 0. This corresponds to 0xBF in hexadecimal. The expression for the formula is then: X01.Status & 0xBF.

Instead of ORing bitwise with a constant, the value can also be directly compared to a decimal number. If the comparison is wrong, the binary value is 0 (false) otherwise it is 1 (true).

Example:

You want to find out if the value is equal to the constant 202: The formula is:

X01.value = 202

If the value is equal to the constant 202, the result of the comparison is 1 (true) otherwise it is 0 (false).

Note: The bitwise ORing works with the OR character (|) in a similar manner to this example.


Comparison operators

Manuale -> Interblocchi -> Progettazione nell'editor -> Formula editor -> Comparison operators

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Comparison operators are for the direct comparison of two numeric values. The result of this comparison is a binary value. "0“ if the condition is not fulfilled and „1“ if the condition is fulfilled.

Operator | Description
< | less
> | greater
<= | Less than or equal
>= | greater or equal
= | Equal
<> | unequal

To the left and to the right of the comparison operator, there has to be a (total) value or a (total) status, single bits cannot be used with these comparison operators.

There can also be a constant to the right of the comparison operator.
These constants are entered as hexadecimal values or decimal values in the combined element. Hexadecimal figures are automatically converted to decimal values by clicking on OK (for example, 0x64 is in decimal figures 100).

Example Esempio

X01.value >= X02.value
The result is 1, if the value of X01 is higher than or equal to the value of X02

X01.value = 0x64
The result is 1, if the value of X01 is exactly equal to the numeric value 100 (= hex 0x64)

(X01.value = 0x64) OR (X01.value = 0x65)
The result is 1, if the value of X01 is exactly equal to the numeric value 100 or 101 (= hex 0x64 and hex 0x65)


Examples for formulas

Manuale -> Interblocchi -> Progettazione nell'editor -> Formula editor -> Examples for formulas

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Simple logical AND linking between two bit values

Example Example

Formula: X01.03 AND X02.03

This formula has the status TRUE, if both bit 3 of variable 1 and bit 3 of variable 2 both have the value 1.

comparison of an analogue value or status of a variable

Example Example

(X01.Value> X02.Value)

Compare analog values with each other on a logical basis

Example Example

(X01.Value> X02.Value) AND (X01.Value = X02.Value)

Compare with value bits and status bits

Example Example

(X01.Value> X02.Value) AND (X01.Value = X02.Value) OR (X01.03 = X02.03)

Compare a value with a decimal or hexadecimal value

Example Example

Formula: (X01.Value = 111)

Formula: (X01.Value = 0x6F)

If a hexadecimal values is used, this is later transferred to decimal by clicking on OK. If a decimal value is entered and confirmed, the value continues to be displayed as a decimal value after reopening.

info Info

It is not possible to use a comma or a period when entering values.


Gestione durante il runtime

Manuale -> Interblocchi -> Gestione durante il runtime

Noch in diesem Kapitel

Utilizzo interblocchi


Utilizzo interblocchi

Manuale -> Interblocchi -> Gestione durante il runtime -> Utilizzo interblocchi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando un interblocco viene associato ad uno degli Elementi dinamici, quest'ultimo viene bloccato o riattivato a seconda del risultato del collegamento logico nelle condizioni impostate per l'interblocco stesso. Se la condizione è soddisfatta (il risultato logico è 1), l'elemento è bloccato.

L’elemento dinamico, che deve essere bloccato, deve essere selezionato. Nella Finestra di proprietà, selezionare alla voce Runtime/ Autorizzazione/ Interblocco uno degli interblocchi generali creati nel progetto.

info Informazioni su

Per poter vedere durante il Runtime se un elemento è bloccato, è possibile abilitare nelle proprietà del progetto la visualizzazione di un simbolo di blocco per gli oggetti bloccati usando l'opzione Login / Visualizza simbolo di serratura Identificazione grafica attiva.

Inoltre è possibile determinare l´aspetto di un pulsante bloccato anche mediante la proprietà Pulsanti bloccati (Aspetto grafico) oppure Tasti bloccati (Gestione utenti).


Interfaccia SAP

Manuale -> Interfaccia SAP

Per collegare il livello SAP ERP (Enterprise-Resource-Planning) a quello del processo di zenon, i due programmi comunicano mediante un´interfaccia bidirezionale. In tal modo anche gli utenti SAP hanno la possibilità di accedere direttamente al livello del processo di zenon.

Il sistema di controllo invia segnalazioni concernenti eventi di qualsiasi tipo all'applicazione SAP. In tal modo le imprese collegano il loro livello del processo mediante un closed loop direttamente a quello SAP, e hanno una visione generale ed esaustiva di tutti i processi, dalla gestione degli ordini, alla produzione, fino alla fase della fornitura dei prodotti. Ad esempio: con questo strumento è possibile monitorare in tempo reale il fabbisogno delle scorte di magazzino, visto che il sistema di controllo fornisce dal livello SCADA delle informazioni precise concernenti il reale consumo di risorse. In tal modo l'impresa dispone dei dati rilevanti per gestire al meglio la produzione just in time, ma anche di quelli su cui basare una pianificazione a lungo termine.

Grazie ad un modulo di comunicazione integrato, zenon fornisce la possibilità di trasmettere dati di processo direttamente all´applicazione SAP e di richiamare funzioni zenon direttamente dalla applicazione SAP. In un ambiente SAP, questi dati vengono usati, fra l'altro, per eseguire i seguenti compiti:

  • Comunicazione dello stato degli ordini di processo.
  • Informazione relativa al consumo ed alla produzione di materiali
  • Informazioni concernenti lo stato delle risorse
  • Comunicazione di dati su eventi di processo selezionati.
  • Trasmissione di dati dati di ordine a zenon

Le segnalazioni di processo possono essere usate da SAP, per esempio, per eseguire compiti come la generazione di protocolli lotti e di azienda elettronici, oppure al fine di attualizzare una fase di processo o lo stato delle scorte di materiali.

tutorial Informazioni sulla licenza

È necessario disporre di una licenza per l´Editor e il Runtime (stand-alone, server, standby).

Interazioni

  • Messaggi di manutenzione: A partire da variabili di zenon, si possono creare messaggi di manutenzione e li si può inoltrare al sistema SAP. Essi possono inizializzare delle azioni nel sistema SAP, a seconda dei workflow lì definiti.
    In tal modo, per esempio, una segnalazione di manutenzione può attivare automaticamente la generazione di un incarico per un lavoro di manutenzione riguardante il dispositivo in questione, incarico destinato al tecnico responsabile.
  • Measurement documents: In zenon è possibile registrare i valori di variabili di processo sulla base di orari prestabiliti, per poi trasmetterli al sistema SAP come measurement documents. Questi measurement documents possono essere utilizzati nel sistema SAP al fine di pianificare e generare degli incarichi per lo svolgimento di lavori di manutenzione, oppure a fini statistici.
  • Chiamate funzione: Blocco funzione SAP RFC possono essere richiamati da zenon ed eseguiti durante il Runtime. La funzione zenon SAP contiene una lista di oggetti che visualizzano i parametri e le tabelle del Blocco funzione SAP RFC.
  • Programmi server: Richiamo e apertura di funzioni di zenon da un´applicazione SAP. Ad esempio, per trasmettere dati d´ordine a zenon.

Noch in diesem Kapitel

Generale e requisiti

Progettazione nell'editor


Generale e requisiti

Manuale -> Interfaccia SAP -> Generale e requisiti

Per poter sfruttare la diretta integrazione nel mondo di SAP, sul computer su cui è eseguito zenon, deve essere installato, oltre a zenon, anche la SAP GUI. Le librerie di programma fornite con SAP GUI sono assolutamente necessarie per comunicazione con il sistema di SAP. Questa SAP GUI è contenuta nel pacchetto standard di SAP.

Non sono necessarie altre operazioni di parametrizzazione del software SAP. Installare la SAP GUI è sufficiente a garantire lo scambio dei dati. I restanti parametri possono essere configurati direttamente nell´ambiente di sviluppo dell´Editor di zenon.

info Informazioni su

L´integrazione SAP in zenon si basa su SAP ECC 6.0 per lo scenario PM-PCS 4.0.

Requisiti in zenon

In zenon deve esserci una licenza per il modulo SAP Interface.

Blocchi funzione

Tramite l'interfaccia RFC, le azioni nel sistema SAP vengono eseguite mediante chiamate di blocchi funzioni (conosciuto come il Blocco funzione SAP RFC). Questi blocchi funzione sono forniti con il sistema SAP. Mediante il workbench ABAP, inoltre, possono essere programmati anche dei blocchi funzioni definiti dall'utente. ABAP è un linguaggio di programmazione sviluppato da SAP, con cui sono programmati tutti i blocchi funzione all´interno del sistema SAP. L'integrazione in zenon si limita in primo luogo ai blocchi funzioni standard forniti da SAP. Tuttavia, si è provveduto a creare nel sistema di controllo un'interfaccia flessibile che, in linea di principio, permette anche un'integrazione di blocchi funzioni definiti dai clienti.

Le descrizioni complete dei blocchi funzioni con i relativi parametri, le tabelle interne e le strutture utilizzate, possono essere lette dal sistema SAP grazie alle funzioni della RCF-API, o con l'aiuto di diversi blocchi funzione di zenon.

Programmi client e programmi server

Le applicazioni SAP fanno una differenza fra programmi client e programmi server rispetto alla chiamata di blocchi funzioni:

  • Programma client: viene richiamato da un sistema esterno (come, ad esempio, un´altra applicazione SAP), oppure un´applicazione esterna (per esempio zenon) ed eseguito nell´applicazione SAP.
  • Programma server: è richiamato dall´applicazione SAP su un altro sistema sul sistema esterno. Il sistema esterno esegue la chiamata funzione.

Noch in diesem Kapitel

Messaggio di segnalazione

Measurement documents

Chiamata funzioni

Programmi server


Messaggio di segnalazione

Manuale -> Interfaccia SAP -> Generale e requisiti -> Messaggio di segnalazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per effettuare una efficiente pianificazione è molto importante ricevere delle informazioni sugli errori verificatisi, sulle eventuali interruzioni della produzione ecc. I dati relativi alla produttività possono essere calcolati in modo sensato solo se sono noti anche i tempi di funzionamento e di malfunzione. Nel sistema SAP vengono usate a questo scopo le cosiddette Segnalazioni di manutenzione.

Come segnalazione di manutenzione può essere definito ogni allarme di una variabile di processo in zenon. Segnalazioni di errore vengono documentate di regola in SAP. Rilevanti sono quelle segnalazioni per la cui eliminazione sono necessarie delle prestazione di manutenzione.

Le segnalazioni di manutenzione sono generate dagli allarmi di zenon. Quando si verifica un allarme in una delle variabili connesse con l'elemento, nel modulo di manutenzione del sistema di SAP viene generata una segnalazione di manutenzione. In caso di Evento esce di un allarme, la segnalazione di manutenzione viene anzitutto ricercata facendo riferimento al suo numero specifico, e poi viene inserito il valore tempo dell'evento esce.

Per ogni segnalazione di SAP, in zenon può essere impostato un proprio gruppo di tipi di segnalazione. La proprietà decisiva di una segnalazione di manutenzione nel sistema SAP è il cosiddetto "tipo di segnalazione". Esso definisce come deve essere trattata la segnalazione di manutenzione nel workflow del sistema SAP. I possibili tipi di segnalazione sono predefiniti nel sistema SAP. Se al momento della creazione di una segnalazione di manutenzione non viene indicato un tipo di segnalazione definito nel sistema SAP, quest'ultimo non genera una segnalazione di manutenzione, ma fa presente che si è verificato un errore.

info Informazioni su

Se lo volete, potete indicare per ogni tipo di messaggio di manutenzione un impianto di manutenzione e un segnalatore. Nel caso in cui ciò non si verifichi, il sistema SAP inserisce i valori di Default corrispondenti.

Ogni segnalazione di manutenzione si riferisce ad una parte di impianto predefinita nel sistema SAP. Quest'ultima può essere un cosiddetto "posto tecnico" oppure un cosiddetto "Equipment". Ogni posto tecnico può a sua volta contenere altri posti tecnici e/o equipments.

Ogni posto tecnico e ogni equipment posseggono un'identificazione univoca che deve essere indicata al momento dell'indicazione della segnalazione di manutenzione. L'identificazione per posti tecnici e equipments viene prelevata dalla Identificazione servizio delle variabili collegate. Grazie alla proprietà „Posto tecnico/Equipment" si può fissare se una identificazione servizio va considerata come identificazione per un posto tecnico o per un equipment.

Alle cosiddette segnalazioni di manutenzione possono essere connesse solo delle variabili. Nel caso in cui si verifichi per una delle variabili connesse un allarme, nel sistema SAP viene creata una segnalazione di manutenzione con il parametro fissato, il valore e il testo del valore limite della variabile.

Le segnalazioni di manutenzione ricevono nel sistema SAP un numero univoco che viene depositato nell'inserimento allarme della variabile zenon in forma di commento. In tal modo è possibile una connessione fra evento allarme e il numero della segnalazione di manutenzione nel sistema SAP.

attention Attenzione

Nel caso di allarmi con testo di valore limite dinamico non è disponibile il campo di commento dell'inserimento; viene invece creato un inserimento nella lista eventi cronologica che permette una connessione di allarme e numero corrispondente.

Noch in diesem Kapitel

Background tecnico


Background tecnico

Manuale -> Interfaccia SAP -> Generale e requisiti -> Messaggio di segnalazione -> Background tecnico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I messaggi di manutenzione vengono creati nel sistema SAP mediante la chiamata dei blocchi funzione ALM_PM_MAINTNOT_CREATE e ALM_PM_MAINTNOT_SAVE. Con l'allarme in uscita viene inserito il "tempo uscita" nella segnalazione di manutenzione generata in precedenza tramite l'apertura dei blocchi funzione ALM_PM_MAINTNOT_MODIFY_DATA e ALM_PM_MAINTNOT_SAVE.

Questi blocchi funzione vengono creati al momento dell'installazione standard del modulo di manutenzione nel sistema SAP, e da questo momento sono a disposizione per le applicazioni esterne.

attention Attenzione

Con un adattamento individuale del sistema SAP alle esigenze del cliente, può succedere che questi blocchi funzione non siano più disponibili! In questo caso, il sistema SAP emette un messaggio di errore FU_NOT_FOUND.

Se si verifica in zenon l'evento Allarme rientrato per una delle variabili collegate, il sistema ricerca la segnalazione di manutenzione appartenente all'allarme tramite il codice documento e registra l'ora del verificarsi dell'allarme. Ciò avviene grazie ad una chiamata del blocco funzione ALM_PM_MAINTNOT_MODIFY_DATA Al blocco funzione viene trasferito nel parametro NUMBER il codice documento relativo alla segnalazione di manutenzione. I valori dei campi da modificare vengono indicati nel parametro NOTIFHEADER ; nel parametro NOTIF si seleziona mediante flag, quali campi debbono essere modificati.

Il messaggio di manutenzione modificato viene poi salvato nella banca dati SAP mediante la chiamata dei blocchi funzione ALM_ eBAPI_TRANSACTION_COMMIT.


Measurement documents

Manuale -> Interfaccia SAP -> Generale e requisiti -> Measurement documents

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nelle applicazioni SAP i valori di misurazione descrivono un determinato stato del sistema di produzione in un momento preciso del processo produttivo. Come valore di misurazione si può stabilire qualsiasi variabile presente in zenon. In questo modo i dati possono essere trasmessi in modo indipendente dal protocollo dal processo in tempo reale al livello superiore del Management.

In molti casi si offre la possibilità di concentrare in anticipo i dati di processo già al livello del processo stesso, per poi trasmetterli al sistema SAP per l'analisi seguente. In tal modo il sistema SAP riceve in modo mirato da zenon ad esempio dei valori medi oppure dei valori statistici calcolati sulla base di una intera serie di valori. Ciò impedisce che il livello del management riceva una pletora di dati allo stato per così dire grezzo.

Valori di misurazione e stati dei contatori vengono registrati in modo ciclico e vengono poi depositati in forma di prova di misurazione nel sistema SAP in corrispondenza di un punto di misurazione. Le proprietà del punto di misurazione nel sistema SAP definiscono se si debba trattate di un valore di misurazione o di un contatore. Come valore della prova di misurazione viene inserito il valore attuale della variabile.

Nel sistema SAP possono essere definiti per ogni posto tecnico o ogni equipment più punti di misurazione. Al momento di definire i punti di misurazione si stabilisce se il punto di misurazione contiene un valore di misurazione o un contatore. Gli stati dei contatori devono avere un valore crescente in modo uniforme, il che significa che ogni valore che viene inserito deve essere uguale o superiore a quello precedente.

I valori di misurazione e gli stati dei contatori vengono trasmessi al sistema SAP per mezzo di cosiddette "prove di misurazione".

La registrazione di valori di misurazione avviene nel sistema di controllo per mezzo di orari. Per ogni orario si può stabilire in quale giorno della settimana e in corrispondenza di quali ore devono essere registrati i valori di misurazione. Un orario può essere eseguito giornalmente oppure solo in determinati giorni della settimana. Per ogni orario possono essere inoltre indicate sia l'ora di inizio che quella di fine, nonché un intervallo di tempo. Fra l'ora di inizio e quella finale vengono registrati i valori di misurazione della variabili collegate ad intervalli indicati.

Ad ogni orario può essere collegata una serie di variabili. Al momento dell'esecuzione dell'orario, i valori attuali delle variabili vengono letti e per ogni valore delle variabili viene generato una prova di misurazione nel sistema SAP. Ogni punto di misurazione possiede un numero univoco che deve essere inserito nella prova di misurazione registrata. Il numero del punto di misurazione viene rilevato a partire dalla Identificazione servizio della variabile collegata.

info Informazioni su

La connessione fra una variabile del sistema di controllo ed un punto di misurazione SAP avviene tramite l'ID del punto di misurazione nel sistema SAP. Questo numero progressivo ed univoco deve essere inserito nella Identificazione servizio della variabile nel sistema di controllo.

Noch in diesem Kapitel

Background tecnico


Background tecnico

Manuale -> Interfaccia SAP -> Generale e requisiti -> Measurement documents -> Background tecnico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Measurement document per punti di misurazione e contatori vengono generati nel sistema SAP grazie al blocco funzione "MEASUREM_*". Il measurement document viene assegnato ad un punto di misurazione o ad un contatore. Se si tratti di punto di misurazione o di un contatore, viene stabilito al momento di creare il punto di misurazione. Il punto di misurazione o il contatore vengono identificati mediante un numero univoco nel sistema SAP.

Il measurement document contiene il punto di misurazione (data, ora), un valore di misurazione e la sua unità, la provenienza della segnalazione (produttore del measurement document ) e un breve testo. Se la data di misurazione non è specificata, si usa il momento della generazione del measurement document. L'unità del valore di misurazione può essere omessa; in questo caso viene usata l'unità di misura inserita nel punto di misurazione/contatore.

Settando il parametro COMMIT_WORK, si fa in modo che il documento venga scritto immediatamente nella banca dati SAP. I measurement document vengono creati nel sistema SAP grazie alla chiamata del blocco funzione MEASUREM_DOCUM_RFC_SINGLE_001.

info Informazioni su

Il blocco funzione MEASUREM_DOCUM_RFC_SINGLE_001 viene creato al momento della installazione standard del modulo di manutenzione nel sistema SAP.

attention Attenzione

Con un adattamento individuale del sistema SAP alle esigenze del cliente può succedere che questi blocchi funzione non siano più disponibili! In questo caso il sistema SAP fornisce una segnalazione di errore FU_NOT_FOUND.


Chiamata funzioni

Manuale -> Interfaccia SAP -> Generale e requisiti -> Chiamata funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel sistema SAP, si può richiamare qualsiasi funzione nel nodo interfacce di programmazione senza che sia necessario effettuare alcuna operazione di programmazione; se lo si vuole fare invece direttamente da zenon, sarà necessario solamente poco lavoro di programmazione. A tal scopo, un´immagine dell´interfaccia del blocco funzioni da richiamare viene visualizzata nell´Editor con i parametri, le tabelle e le strutture necessarie e collegata alle variabili o funzioni di zenon. La vera e propria chiamata funzione avviene mediante l´esecuzione di una funzione di zenon, a cui viene trasferita questa immagine come parametro.

Blocchi funzione

Le azioni nel sistema SAP e il trasferimento di dati al sistema SAP sono eseguiti mediante la chiamata di blocchi funzioni RFC. Questi blocchi funzioni sono forniti insieme al sistema SAP; tuttavia, è possibile anche creare dei blocchi funzioni definiti dall´utente facendo uso del workbench ABAP.

Parametri

Il trasferimento dati da e a blocchi funzioni avviene mediante parametri di import o export. Dal punto di vista del blocco funzioni nel sistema SAP, gli "input data" vengono "importati", mentre i "result data" vengono "esportati". La documentazione dei blocchi funzione nel sistema SAP è basata su questa prospettiva.

Oltre ai parametri di import e export, ci sono anche i cosiddetti "changing parameter", che servono sia al trasferimento di dati, che alla restituzione di risultati.

Tabelle interne

Dati in forma di tabelle oppure liste, possono essere trasferiti nelle cosiddette tabelle interne o temporanee a o da blocchi funzione.

Tipi di dato, strutture

Accanto ai comuni tipi di dato semplici (numerici, testo, data, tempo, ecc.), i dati possono essere anche trasferiti in strutture. I dati in tabelle sono trasferiti usualmente come strutture; ma anche i parametri possono riprendere dei dati strutturati.

Supporto del sistema SAP

Si possono leggere le descrizioni complete delle interfacce di blocchi funzioni, inclusi i loro parametri, tabelle interne e strutture utilizzate, nel sistema SAP.

L interfaccia SAP di zenon fa uso di questa opportunità mettendo a disposizione degli utenti un Assistente che serve alla selezione di blocchi funzione e alla lettura delle descrizioni delle interfacce.

Anche quando si verifica una chiamata funzione SAP, gli oggetti configurati vengono confrontati con la descrizione nel sistema SAP dell´interfaccia del blocco funzione richiamato.


Programmi server

Manuale -> Interfaccia SAP -> Generale e requisiti -> Programmi server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per consentire ad un´applicazione SAP di richiamare delle funzioni in un sistema esterno, vengono gestite delle destinazioni RFC (transazioneSM59). Tramite esse si stabilisce il modo in cui comunicano un sistema esterno e un´applicazione SAP. In linea di principio ci sono due possibilità:

  • Started: l´applicazione SAP avvia l´applicazione esterna.
  • Registered: il sistema esterno si registra nell´applicazione SAP usando un ID di programma univoco.

zenon usa il metodo Registered.

Il sistema esterno decide in che modo vengono trattate le chiamate funzioni in entrata via interfaccia RFC. A questo riguardo ci sono due possibilità:

  • Funzioni Callback:
    Sull´interfaccia RFC vengono registrate funzioni diCallback che vengono eseguite automaticamente dall´interfaccia stessa. Si raccomanda di ricorrere a questa possibilità soprattutto quando, già al momento dell´implementazione dell´applicazione esterna, è chiaro quali chiamate funzioni sono attese via interfaccia RFC.
  • Decisione basata sul nome:
    Il nome del blocco funzioni richiamato viene richiesto a livello di interfaccia. Sulla base del nome, il sistema decide quale azione deve essere eseguita. Con questa variante è possibile reagire in modo più flessibile e più generale alle chiamate funzioni.
    zenon usa questo metodo perché è l´utente a decidere quali chiamate funzioni devono essere a disposizione.

Alcune funzioni standard, come, ad esempio, RFC_PING, oppure RFC_SYSTEM_INFO, vengono registrate ed eseguite automaticamente dall´interfaccia RFC.


Progettazione nell'editor

Manuale -> Interfaccia SAP -> Progettazione nell'editor

L'effettuazione della parametrizzazione di punti di misurazione/segnalazioni di manutenzione e chiamate funzione nell'ambiente di sviluppo è possibile solo usando un´interfaccia SAP munita di licenza. Se essa è munita di licenza, nell´albero di progetto trovate il nodo SAP Interface con le impostazioni per la connessione SAP. Dettagli concernenti i parametri da impostare li trovate nei seguenti capitoli.

Menù contestuale Manager di progetto Nodo SAP ERP

Punto di menù | Azione
Salva | Salva modifiche nella progettazione SAP ERP.
Esporta tutte in XML... | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa degli inserimenti da un file XML.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Help | Attiva la guida online

Noch in diesem Kapitel

Barra degli strumenti e menù contestuali

Parametri di connessione ad un sistema SAP

Messaggi

Measurement documents

Chiamata funzioni


Barra degli strumenti e menù contestuali

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Barra degli strumenti e menù contestuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Simbolo

Azione

Nuova segnalazione di partenza

Aggiunge un nuovo messaggio vuoto alla lista dei messaggi di manutenzione

Nuova pianificazione orario

Aggiunge una nuova pianificazione orario vuota nella lista dei measurement document.

Nuova funzione SAP

Apre l´assistente per la selezione di un nuovo blocco funzioni SAP.

Aggiungi variabile

Apre il dialogo che serve alla selezione di variabili.

Nuovo parametro

Crea un nuovo parametro per la funzione evidenziata.

Nuova tabella

Crea una nuova tabella per la funzione evidenziata.

Nuovo campo struttura

Crea per il parametro evidenziato o la funzione evidenziata un nuovo campo struttura.

Crea funzione standard

Crea una funzione zenon "Esegui funzione SAP" per la funzione SAP evidenziata.

Torna all'elemento di partenza

Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza.
Nel menu contestuale esistente solamente, se aperto come elemento collegato.

Salva

Salva le modifiche nella progettazione SAP.

Elimina

Cancella l´inserimento selezionato dopo la conferma di una richiesta a fini di sicurezza.

Sposta in su

Sposta l´inserimento evidenziato di una posizione verso l´alto all´interno della visualizzazione dettagli.

Sposta in giù

Sposta l´inserimento di una posizione verso il basso all´interno della visualizzazione dettagli.

Espandi tutto

Espande tutte le strutture chiuse.

Cliccando sulla freccia accanto al simbolo, si apre il menù a tendina per la selezione di:

  • Espandi tutto
  • Riduci tutto
  • Espandi selezione
  • Riduci selezione

Esporta tutti in XML...

Esporta tutti gli inserimenti in un file XML.

Importa file XML

Importa degli inserimenti da un file XML.

Proprietà

Apre la finestra proprietà.

Guida

Apre la guida online.

Noch in diesem Kapitel

Menù contestuale - manager di progetto

Menù contestuale Nodo SAP ERP

Menù contestuale Nodo Segnalazioni di manutenzione

Menu contestuale Segnalazioni di manutenzione

Menù contestuale Nodo Measurement documents

Menù contestuale Pianificazione

Menù contestuale Lista variabili Segnalazioni di manutenzione e measurement documents

Menù contestuale Chiamata funzione

Singola funzione SAP Menù contestuale


Menù contestuale - manager di progetto

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Barra degli strumenti e menù contestuali -> Menù contestuale - manager di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Voce di menù. | Azione
Salva | Salva le modifiche nella progettazione SAP ERP.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa degli inserimenti da un file XML.
Profilo editor | Apre il menù a tendina con i profili editor predefiniti.
Guida | Apre la guida online.


Menù contestuale Nodo SAP ERP

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Barra degli strumenti e menù contestuali -> Menù contestuale Nodo SAP ERP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Punto di menù | Azione
Salva | Salva modifiche nella progettazione SAP ERP.
Esporta tutte in XML... | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa degli inserimenti da un file XML.
Guida | Attiva la guida online


Menù contestuale Nodo Segnalazioni di manutenzione

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Barra degli strumenti e menù contestuali -> Menù contestuale Nodo Segnalazioni di manutenzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Punto di menù | Azione
Nuovo metodo di avviso | Aggiunge un nuovo mesaggio alla lista.
Esporta messaggi di manutenzione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa degli inserimenti da un file XML.
Guida | Attiva la guida online


Menu contestuale Segnalazioni di manutenzione

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Barra degli strumenti e menù contestuali -> Menu contestuale Segnalazioni di manutenzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Punto di menù | Azione
Inserisci Variabile | Apre il dialogo che serve alla selezione di variabili.
Elemento collegato | Mostra gli elementi collegati alle segnalazioni di manutenzione in una lista a cascata e permette di passare a questi elementi.
Elimina | Cancella l´inserimento selezionato dopo la conferma di una richiesta a fini di sicurezza.
Esporta selezione in XML | Esporta gli inserimenti selezionati in un file XML.
Proprietà | Apre la finestra delle proprietà
Guida | Attiva la guida online


Menù contestuale Nodo Measurement documents

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Barra degli strumenti e menù contestuali -> Menù contestuale Nodo Measurement documents

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Punto di menù | Azione
Nuova pianificazione | Aggiunge una nuova pianificazione vuota nella lista.
Esporta tutti i Measurement document in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa degli inserimenti da un file XML.
Guida | Attiva la guida online


Menù contestuale Pianificazione

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Barra degli strumenti e menù contestuali -> Menù contestuale Pianificazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Punto di menù | Azione
Inserisci Variabile | Apre il dialogo che serve alla selezione di variabili.
Elemento collegato | Mostra gli elementi collegati alla Pianificazione in una lista a cascata e permette di passare a questi elementi.
Elimina | Cancella l´inserimento selezionato dopo la conferma di una richiesta a fini di sicurezza.
Esporta selezione in XML | Esporta gli inserimenti selezionati in un file XML.
Proprietà | Apre la finestra proprietà
Guida | Attiva la guida online


Menù contestuale Lista variabili Segnalazioni di manutenzione e measurement documents

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Barra degli strumenti e menù contestuali -> Menù contestuale Lista variabili Segnalazioni di manutenzione e measurement documents

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Punto di menù | Azione
Inserisci Variabile | Apre il dialogo che serve alla selezione di variabili.
Elemento collegato | Mostra gli elementi collegati alla variabile in un combobox e permette di passare a questi elementi.
Rimuovi variabili selezionate | Cancella le variabili selezionate dalla lista.
Guida | Attiva la guida online


Menù contestuale Chiamata funzione

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Barra degli strumenti e menù contestuali -> Menù contestuale Chiamata funzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale Nodo Chiamata funzione

Punto di menù | Azione
Nuova funzione SAP | Apre l´assistente che serve a selezionare un blocco funzioni SAP
Esporta tutte funzioni SAP in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa degli inserimenti da un file XML.
Guida | Attiva la guida online

Menù contestuale Tabella Chiamata funzione

Parametri | Descrizione
Nuova funzione SAP | Crea nuova funzione SAP
Crea funzione standard | Imposta una nuova funzione zenon per la chiamata della funzione SAP selezionata.
Elemento collegato | Mostra gli elementi collegati alla funzione SAP in un combobox e permette di passare a questi elementi.
Elimina | Cancella l´inserimento selezionato dopo la conferma di una richiesta a fini di sicurezza.
Esporta selezione in XML | Esporta gli inserimenti selezionati in un file XML.
Importa XML | Importa degli inserimenti da file XML.
Leggi Blocco funzione RFC dal sistema SAP | Legge la descrizione interfaccia del blocco funzioni dal sistema SAP. Se non è indicato nessun nome SAP, l´assistente provvederà a selezionare i blocchi funzione.
Visualizza la documentazione RFC | Legge la documentazione del blocco funzione dal sistema SAP e la visualizza con l´aiuto del web browser come file HTML.
Guida | Attiva la guida online


Singola funzione SAP Menù contestuale

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Barra degli strumenti e menù contestuali -> Singola funzione SAP Menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Funzione SAP Menù contestuale

Parametri | Descrizione
Nuovo parametro | Crea un nuovo parametro con una funzione SAP.
Nuovo Report | Crea una nuova tabella con una funzione SAP.
Crea funzione standard | Imposta una nuova funzione zenon per la chiamata della funzione SAP selezionata.
Elemento collegato | Mostra gli elementi collegati alla funzione SAP in un combobox e permette di passare a questi elementi.
Elimina | Cancella l´inserimento selezionato dopo la conferma di una richiesta a fini di sicurezza.
Esporta selezione in XML | Esporta gli inserimenti selezionati in un file XML.
Proprietà | Apre la finestra proprietà
Leggi Blocco funzione RFC dal sistema SAP | Legge la descrizione interfaccia del blocco funzioni dal sistema SAP. Se non è indicato nessun nome SAP, l´assistente provvederà a selezionare i blocchi funzione.
Visualizza la documentazione RFC | Legge la documentazione del blocco funzione dal sistema SAP e la visualizza con l´aiuto del web browser come file HTML.
Guida | Attiva la guida online

Menù contestuale della lista parametri di una funzione SAP.

Parametri

Descrizione

Nuovo parametro

Crea un nuovo parametro con una funzione SAP.

Nuovo Report

Crea una nuova tabella con una funzione SAP.

Nuovo campo struttura

Crea un nuovo campo struttura per parametri o tabelle.

Elemento collegato

Mostra gli elementi collegati alla funzione SAP in un combobox e permette di passare a questi elementi.

Elimina

Cancella l´inserimento selezionato dopo la conferma di una richiesta a fini di sicurezza.

Espandi/riduci nodi

Mostra o nascondi campi struttura di parametri e tabelle.
  • Espandi tutto

Mostra campi struttura di tutti i parametri e tabelle.
  • Riduci tutto

Nascondi campi struttura di tutti i parametri e tabelle.
  • Espandi selezione

Mostra campi struttura di parametri e tabelle selezionati.
  • Riduci selezione

Nascondi campi struttura di parametri e tabelle selezionati.

Guida

Attiva la guida online

Menù contestuale Lista Parametri di una funzione SAP con campo struttura selezionato

Parametri | Descrizione
Nuovo campo struttura | Crea un nuovo campo struttura per parametri o report.
Elemento collegato | Mostra gli elementi collegati alla funzione SAP in un combobox e permette di passare a questi elementi.
Elimina | Cancella i campi struttura selezionati.
Sposta in su | Sposta il campo struttura selezionato di una posizione verso l´alto.
Sposta in giù | Sposta il campo struttura selezionato di una posizione verso il basso.
Guida | Attiva la guida online


Parametri di connessione ad un sistema SAP

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Parametri di connessione ad un sistema SAP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per instaurare una connessione ad un sistema SAP, è necessario specificare alcuni parametri di base. Essi vengono configurati nelle proprietà per SAP ERP, nella finestra dettagli del Manager di progetto. Sono disponibili i seguenti gruppi:

Parametri | Descrizione
Sistema SAP ERP | Impostazioni per il sistema SAP ERP connesso.
Programma server | Impostazioni per programmi server.
Login SAP | Impostazioni per il login nel sistema SAP.
Messaggi | Impostazioni per messaggi.
Trova errori | Impostazioni per ricerca degli errori.

Dettagli sulle singole proprietà li trovate nella guida della singole proprietà.

Inserimenti nella CEL

La scrittura di voci di log nella CEL può essere gestita usando la proprietà Messaggi di Log nella CEL. Essa è attiva di default.

Trace

L´interfaccia SAP scrive protocolli comeTraces nell´attuale cartella di lavoro. In zenon, questa cartella è la cartella di programma, oppure quella di progetto. La variabile di ambiente RFC_TRACE_DIR può essere usata per determinare una cartella fissa destinata ai fileTrace..


Messaggi

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Messaggi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per effettuare un´efficiente pianificazione è molto importante ricevere delle informazioni sugli errori verificatisi, sulle eventuali interruzioni della produzione ecc. Il sistema SAP usa a questo scopo i cosiddetti messaggi di manutenzione. Ogni allarme di una variabile di processo definito in zenon può essere configurato come messaggio di manutenzione.

info Informazioni su

Nel caso in cui in una delle variabili collegate si verifichi un allarme, nel sistema SAP viene generato un messaggio di manutenzione del tipo indicato e con il testo di valore limite dell'allarme. Il numero della parte di impianto (posto tecnico o equipment) viene letto dalla identificazione servizio della variabile.

Menù contestuale Messaggio di manutenzione (gruppo)

Punto di menù | Azione
Nuovo metodo di avviso | Aggiunge un nuovo mesaggio alla lista.
Esporta messaggi di manutenzione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa degli inserimenti da un file XML.
Guida | Attiva la guida online

Menù contestuale Messaggio di manutenzione

Punto di menù | Azione
Inserisci Variabile | Apre il dialogo che serve alla selezione di variabili.
Elemento collegato | Mostra gli elementi collegati alle segnalazioni di manutenzione in una lista a cascata e permette di passare a questi elementi.
Elimina | Cancella l´inserimento selezionato dopo la conferma di una richiesta a fini di sicurezza.
Esporta selezione in XML | Esporta gli inserimenti selezionati in un file XML.
Proprietà | Apre la finestra delle proprietà
Guida | Attiva la guida online


Measurement documents

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Measurement documents

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nelle applicazioni SAP, i valori di misurazione descrivono un determinato stato del sistema di produzione in un momento preciso del processo produttivo. Qualsiasi variabile esistente in zenon può essere definita come valore di misurazione. In questo modo, dati indipendenti dal protocollo possono essere trasmessi dal processo real time al livello superiore del management. I valori di misurazione vengono trasferiti ad un sistema SAP sulla base di un piano temporale definito in modo fisso.

info Informazioni su

I valori attuali delle variabili collegate all´orario vengono letti in corrispondenza dei tempi stabiliti nell´orario stesso. Per ogni valore di variabile viene creato una ricezione di misura nel sistema SAP.

Menù contestuale Measurement document( gruppo)

Punto di menù | Azione
Nuova pianificazione | Aggiunge una nuova pianificazione vuota nella lista.
Esporta tutti i Measurement document in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa degli inserimenti da un file XML.
Guida | Attiva la guida online

Menù contestale measurement document

Punto di menù | Azione
Inserisci Variabile | Apre il dialogo che serve alla selezione di variabili.
Elemento collegato | Mostra gli elementi collegati alla Pianificazione in una lista a cascata e permette di passare a questi elementi.
Elimina | Cancella l´inserimento selezionato dopo la conferma di una richiesta a fini di sicurezza.
Esporta selezione in XML | Esporta gli inserimenti selezionati in un file XML.
Proprietà | Apre la finestra proprietà
Guida | Attiva la guida online


Chiamata funzioni

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Chiamata funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le azioni nel sistema SAP o in zenon, e il trasferimento di dati fra zenon e il sistema SAP, sono inizializzati ed eseguiti mediante la chiamata di blocchi funzioni RFC. I blocchi funzioni RFC standard sono forniti insieme al sistema SAP. Tuttavia, è possibile anche programmare dei blocchi funzione definiti dall´utente facendo uso del workbench ABAP.

Si può richiamare qualsiasi blocco funzione SAP direttamente da zenon. Per far ciò, un´immagine dell´interfaccia del blocco funzioni da richiamare viene visualizzata nell´Editor con i parametri, le tabelle e le strutture necessari e collegata alle variabili di zenon. La vera e propria chiamata funzione avviene mediante l´esecuzione di una funzione di zenon, a cui viene trasmessa questa immagine come parametro.

Nota: l´interfaccia SAP RFC consente solamente di effettuare una chiamata funzione alla volta. Per evitare una sovrapposizione di chiamate funzione, l´attività può essere monitorata con l´aiuto di una variabile.

Convenzione di denominazione SAP

Quando si creano nuovi oggetti generati dagli utenti in un´applicazione SAP, ci si dovrebbe attenere alla seguente convenzione di denominazione:

  • I nomi degli oggetti creati individualmente dovrebbero iniziare con Y oppureZ. Questo per evitare che tali oggetti vengano sovrascritti durante un update dell´applicazione SAP. Gli oggetti SAP originali non iniziano mai con Y o Z.

Noch in diesem Kapitel

Funzioni SAP

Programmi server

Selezionare blocco funzione con assistente

Documentazione dei blocchi funzione RFC

Parametri, tabelle e campi struttura

Collega variabili

Richiamare funzioni SAP con zenon


Funzioni SAP

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Chiamata funzioni -> Funzioni SAP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una funzione SAP richiama un blocco funzioni del sistema SAP in zenon. Essa contiene una lista di oggetti che rappresenta i parametri e le tabelle del blocco funzioni SAP. Con una funzione SAP possono essere collegate delle variabili che forniscono informazioni sullo stato di chiamata e il risultato dell´ultima chiamata.

Imposta funzione SAP

Le funzioni SAP vengono impostate tramite il punto di menù Nuova sezione SAPche si trova nel menù contestuale del nodo Chiamata funzione oppure della lista delle funzioni SAP.

Se è stata attivata la proprietà Usa assistente nelle opzioni del progetto, si avvia l´Assistente per effettuare la selezione di un blocco funzioni SAP. L´assistente legge la descrizione interfaccia del blocco funzioni selezionato dal sistema SAP e imposta tutti gli oggetti nell´Editor.

La funzione SAP può essere modificata anche manualmente:

  • Per confrontare la funzione SAP con la descrizione interfaccia nel sistema SAP, selezionate nel menù contestuale il comando Leggi Blocco funzione RFC dal sistema SAP. Se non si è ancora provveduto a indicare un nome di blocco funzione, l´Assistente verrà aperto per effettuare la selezione del blocco funzione. Le impostazioni già effettuare, in particolare le variabili collegate, non verranno modificate.
  • Al momento dell´impostazione di una funzione SAP, la proprietà Nome funzione riceve un nome generato automaticamente per la funzione SAP; esso potrà poi essere modificato a piacere. .
  • La proprietà RFC function block contiene il nome del blocco funzioni nel sistema SAP. Il nome indicato deve corrispondere a quello nel sistema SAP; in caso contrario, al momento della chiamata della funzione SAP, si verificherà la Exception FU_NOT_FOUND.

Noch in diesem Kapitel

Controllo attività

Segnalazioni d'errore

Programma server


Controllo attività

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Chiamata funzioni -> Funzioni SAP -> Controllo attività

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una variabile (numerica) collegata alla proprietà Attività può assumere tre differenti valori a seconda dello stato della funzione SAP:

  • 0: la funzione SAP non è attiva e non viene eseguita al momento.
  • 1: la funzione SAP è in attesa di attivazione (call queue): l´interfaccia SAP RFC consente solo una chiamata funzione alla volta.
  • 2: La chiamata funzione è inviata al sistema SAP e si attende la risposta di quest´ultimo.
    Dopodiché il valore della variabile 0 (non attiva).

Questa variabile può essere usata, per es., per un interblocco al fine di evitare la sovrapposizione di chiamate funzione.


Segnalazioni d'errore

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Chiamata funzioni -> Funzioni SAP -> Segnalazioni d'errore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le variabili forniscono informazioni sul risultato dell´ultimo richiamo della funzione SAP. Per rendere possibile ciò, le variabili sono collegate alla rispettive proprietà:

  • Codice di errore: contiene un codice numerico che corrispondente al risultato dell´ultimo richiamo.
  • Testo di errore: una breve descrizione dell´ultimo codice di errore verificatosi.
  • Descrizione di errore: descrizione dettagliata dell´ultimo errore, generata dall´ interfaccia SAP RFC.

Codici di errore dell´interfaccia RFC

Codice di errore | Testo di errore | Descrizione
-1 | Nessuna connessione verso sistema SAP | Non è possibile stabilire una connessione con il sistema SAP (errore di rete, registrazione ecc.).
0 | OK | Non si è verificato nessun errore.
1 | Error occurred | Errore sconosciuto, dettagli nella proprietà di descrizione errore.
2 | Exception raised | Exception Eccezione verificatasi nel blocco funzione (parametro non valido ecc.).
3 | System exception raised, connection closed | Exception Eccezione verificatasi nel sistema.
4 | Call received | Un´altra chiamata funzione è ancora attiva.

Nota:

  • Il linguaggio del testo di errore dipende dalla lingua di sistema del Runtime
  • Non tutti i codici compaiono quando vengono richiamati i blocchi funzioni.


Programma server

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Chiamata funzioni -> Funzioni SAP -> Programma server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per eseguire una funzione in zenon con una chiamata funzione come programma server, procedete come segue:

  1. Progettate una funzione SAP.
  2. Selezionate per la proprietà Funzione una funzione di zenon.
  3. Assicuratevi che, per la funzione di zenon, sia attivata la proprietà PC attuale.
  4. Attivate per la funzione SAP la proprietà Programma server.
  5. Definite, se necessario, un tempo di attesa che deve trascorrere prima e dopo la chiamata della funzione collegata, in modo tale che sia certo che i valori variabili possano essere scritti e letti correttamente. Questo intervallo di tempo lo impostate mediante la proprietà Tempo di attesa.
    Un tempo di attesa è raccomandabile soprattuto per variabili su controller a comunicazione lenta e/o nel caso di lunghi cicli di lettura.
  6. Collegate, se necessario, la proprietà Attività con una variabile. Al momento della chiamata del programma server, essa viene settata su attiva (2).

Procedura nel caso di entrata della chiamata funzione da un´applicazione SAP:

  • Viene eseguita la funzione < CD_PRODUCTNAME > indicata nella proprietà Funzione.
  • I valori parametro per import e export vengono sostitui dalle loro variabili collegate.

Se non c`è nessuna funzione di zenon collegata alla funzione SAP, solamente i valori parametro per import ed export vengono sostituiti dalle loro variabili collegate. Così, per esempio, è possibile calcolare mediante variabili matematiche i valori di parametri di export a partire dai valori dei parametri di import, senza che debba essere eseguita una funzione.


Programmi server

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Chiamata funzioni -> Programmi server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare programmi server:

  1. Passate al gruppo funzioni Sistema SAP ERP/Programma server.
  2. Per la proprietà ID Programma, inserite l´ID di programma della destinazione RFC, tramite la quale deve essere instaurata la connessione con l´applicazione SAP.
  3. Definite per ogni chiamata funzione SAP desiderata, se essa deve essere eseguita come programma server. A tal scopo, configurate le proprietà nel nodo Programma server delle chiamate funzioni.

La chiamata può avvenire anche tramite la interfaccia di programmazione.

Limitazioni

Per i programmi server valgono le seguenti limitazioni:

  • I programmi server possono essere registrati in zenon solamente su calcolatori standalone, oppure Server 1, ma non su client o Server 2. Quando avviene un cambio fra Server 1 e Server 2, i programmi server vengono deregistrati sul vecchio server e registrati di nuovo sul nuovo server.
    Informazione di background: le applicazioni SAP consentono la registrazione di più sistemi esterni sulla stessa destinazione RFC. Tuttavia non è definito il sistema sul quale il programma server viene eseguito.
  • In linea di principio, un sistema esterno può registrare un programma server più di una volta sul sistema di destinazione. Visto che in zenon la valutazione del programma server richiamato avviene esclusivamente sulla base del nome, ciò viene evitato. Se lo stesso blocco funzioni (stesso nome FB) è configurato in diverse funzioni SAP come programma server, viene annullata la registrazione di una registrazione preesistente con lo stesso nome. Così sarà sempre l´ultima funzione SAP registrata ad essere attiva.
  • Possono essere collegate solamente funzioni zenon che possono essere eseguite sul computer locale. . A tal scopo deve essere attivata per la funzione zenon la proprietà PC attuale del gruppo Esecuzione:. Se si sceglie nel dialogo di selezione un´altra funzione, quest´ultima non verrà applicata. Non è possibile effettuare un´operazione di filtro per trovare le funzioni che soddisfano questa condizione.
  • Le chiamate di funzioni SAP come programma client sono sempre asincrone.
    Se dunque la chiamata di una funzione SAP come client viene collegata ad una funzione SAP da richiamare come programma server, essa verrà eseguita solo dopo che l´esecuzione del programma server sarà completata. Valori di responso eventualmente necessari non giungeranno alla chiamata di programma server!

Segnalazioni d'errore

Se si verifica un errore al momento della chiamata di un programma server, verrà inviata una corrispondente Exception all´applicazione SAP:

  • Se l´applicazione SAP cerca di richiamare un programma server che non è stato registrato da zenon, viene inviata la Exception FUNCTION_NOT_IMPLEMENTED.
  • Se si verifica un errore al momento della chiamata della funzione zenon collegata, viene inviata la Exception INTERNAL_ERROR con una descrizione dell´errore occorso.
  • Anche quando la chiamata via API (Event ServerCall) restituisce un errore diverso da RFC_OK (tpSapErrorOk = 0), viene inviata la Exception INTERNAL_ERROR.
    Raccomandazione: Nell´implementare l´Events, assegnate alla proprietà LastError della funzione SAP un testo significativo.

Noch in diesem Kapitel

Chiamata attraverso l´interfaccia di programmazione


Chiamata attraverso l´interfaccia di programmazione

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Chiamata funzioni -> Programmi server -> Chiamata attraverso l´interfaccia di programmazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I programmi server possono essere eseguiti anche tramite l´interfaccia di programmazione di zenon. A tal scopo, l´interfaccia dell´oggetto SAPFunction è stata ampliata mediante l´aggiunta dei metodi StartServer e StopServer, nonché dell´evento ServerCall.

  • StartServer: Questo metodo registra la SAPFunction come programma server. Per la connessione con l´applicazione SAP si usano le impostazioni del progetto zenon.
  • StopServer: Cancella la registrazione della SAPFunction.
  • ServerCall: Quando c´è una chiamata funzione in entrata da un´applicazione SAP, viene inizializzato questo evento. Nell´ambito di questo evento, possono essere analizzati i valori dei parametri di import, e settati quelli di export.

Esempio di un programma server in VBA.

Questo esempio mostra, usando il blocco dati Z_RFC_ADD2, come l´oggetto SAPFunction viene inizializzato e registrato come programma server: :

Public WithEvents obFunRfcAdd As SapFunction

Public Sub FbAdd()

' Collection of the SAP functions in the project

Dim obFunctions As SapFunctions

Parameter that is transferred to the SAP function

Dim obParOper1 As SapParameter ' Parameter 'I_OPER1'

Dim obParOper2 As SapParameter ' Parameter 'I_OPER2'

' Parameter that is returned by the SAP function

Dim obParResult As SapParameter ' Parameter 'E_RESULT'

' ===Get collection of the SAP functions

Set obFunctions = thisProject.SapFunctions

' === Create SAP function "Z_RFC_ADD2" if not present

Set obFunRfcAdd = obFunctions.Item("Z_RFC_ADD2")

If obFunRfcAdd Is Nothing Then

Set obFunRfcAdd = obFunctions.CreateSapFunction("Z_RFC_ADD2")

If Not obFunRfcAdd Is Nothing Then

' === Create parameter if not present

Set obParameters = obFunRfcAdd.Parameters

If Not obParameters Is Nothing Then

First operand

Set obParOper1 = obParameters.Item("I_OPER1")

If obParOper1 Is Nothing Then

Set obParOper1 = obParameters.CreateSapParameter("I_OPER1")

End If

' Second operand

Set obParOper2 = obParameters.Item("I_OPER2")

If obParOper2 Is Nothing Then

Set obParOper2 = obParameters.CreateSapParameter("I_OPER2")

End If

' Result

Set obParResult = obParameters.Item("E_RESULT")

If obParResult Is Nothing Then

Set obParResult = obParameters.CreateSapParameter("E_RESULT")

End If

End If

End If

End If

=== Start Server program

If Not obFunRfcAdd Is Nothing Then

bOk = obFunRfcAdd.StartServer()

End If

End Sub

===Incoming function call

Private Sub obFunRfcAdd_ServerCall(ByVal obFunction As ISapFunction, ByRef Error As tpSapError)

If obFunction.Name = "Z_RFC_ADD2" Then

Set obParameters = obFunction.Parameters

If Not obParameters Is Nothing Then

Dim obParOper1 As SapParameter ' Parameter 'I_OPER1'

Dim obParOper2 As SapParameter ' Parameter 'I_OPER2'

Dim obParResult As SapParameter ' Parameter 'E_RESULT'

Dim Val1 As Integer

Dim Val2 As Integer

' === Get parameter objects

Set obParOper1 = obParameters.Item("I_OPER1")

Set obParOper2 = obParameters.Item("I_OPER2")

Set obParResult = obParameters.Item("E_RESULT")

=== Read input parameter

Val1 = obParOper1.Value

Val2 = obParOper2.Value

=== Set output parameter

obParResult.Value = Val1 + Val2

Error = tpSapError_Ok

Else

Error = tpSapError_Failure

End If

Else

Error = tpSapError_Failure

End If

End Sub

Private Sub obFunRfcAdd_ActivityChanged(ByVal obFunction As ISapFunction, ByVal Activity As tpSapActivity)

If the activity status of the SAP function changes,

the "ActivityChanged" event is triggered

thisProject.Variables.Item("Active").Value = obFunction.Activity

End Sub

Private Sub Project_Inactive()

=== End Server program

If Not obFunRfcAdd Is Nothing Then obFunRfcAdd.StopServer

When Runtime is ended at the latest, the object of the function module

must be deleted because otherwise there will be memory leaks.

thisProject.SapFunctions.DeleteSapFunction ("Z_RFC_ADD2")

End Sub


Selezionare blocco funzione con assistente

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Chiamata funzioni -> Selezionare blocco funzione con assistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per selezionare un blocco funzione di SAP:

  1. Nella visualizzazione dettagli dell´interfaccia SAP, selezionate il nodo Chiamata funzioni (Function calls)

  2. Selezionate nel menù contestuale oppure nella barra dei simboli il comando Nuova funzione SAP (New SAP function)
  3. Viene aperto l´assistente per la selezione del blocco funzione SAP.
    Nota: A tal scopo deve essere attivata nelle Opzioni del progetto di zenon l´impostazione usa assistente.

    Attenzione: Sottoponete il vostro progetto ad un test prima di richiamare dei blocchi funzione SAP nel vostro sistema di produzione. Eventuali errori che si dovessero verificare in occasione della chiamata funzione possono compromettere l´integrità dei dati nel sistema SAP.

  4. Selezionate il blocco funzioni desiderato

Finestra di dialogo Seleziona blocco funzione

Parametri | Descrizione
Scelta dei blocchi funzione | Combobox per la selezione di blocchi funzione SAP. Il criterio di ricerca può essere inserito personalmente, oppure scelto fra quelli proposti dalla lista a cascata.
Lista dei blocchi funzione | Lista dei blocchi funzione trovati che corrispondono al criterio di ricerca.
Indietro | Torna alla schermata iniziale dell´assistente.
Termina | Salva il blocco funzioni con tutti gli elementi SAP corrispondenti in una funzione SAP zenon.
Annulla | Imposta in zenon una funzione SAP vuota.


Documentazione dei blocchi funzione RFC

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Chiamata funzioni -> Documentazione dei blocchi funzione RFC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La documentazione di un blocco funzione SAP può essere aperta facendo uso del punto Visualizza la documentazione RFC del menù contestuale.

La documentazione

  • deve essere presente nel sistema SAP
  • viene letta nella lingua dell´utente SAP registrato
  • viene visualizzata nel web browser in formato HTML.

La documentazione già letta, viene salvata nella cartella "Temp" dell´utente Windows attuale, e verrà richiamata da lì quando la si vuole visualizzare di nuovo.

Design individuale della visualizzazione

Per realizzare un design individuale della visualizzazione della documentazione:

  1. create uno stylesheet con il nome sapdoc.css
  2. salvatelo nella cartella "Temp" dell´utente

Esempi di Stylesheet

BODY,H1,H2,H3,H4,H5,H6,P,TD,TH,UL,DL,DIV {font-family: Geneva, Arial, Helvetica, sans-serif;}

BODY,TD {font-size: 90%;}

H1 {font-size: 120%; color: 1c1e41;}

H2 {font-size: 110%; color: 1c1e41;}

H3 {font-size: 100%; color: 1c1e41;}

H4 {font-size: 90%; font-style: italic; color: 1c1e41;}

H5 {font-size: 90%; font-style: normal; font-weight: lighter; color: 1c1e41;}

TH {font-size: 90%; font-weight: bold; text-align: left; color: 1c1e41;}


Parametri, tabelle e campi struttura

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Chiamata funzioni -> Parametri, tabelle e campi struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la chiamata di una Funzione SAP, i dati vengono trasmessi via parametri e tabelle. I valori dei parametri, delle tabelle e dei loro campi struttura sono ripresi dalle variabili collegate (parametri in entrata o "incoming parameters"), o assegnati alle variabili collegate dopo la chiamata (parametro di ritorno o "return parameters").

Crea parametri, tabelle e campi struttura

Parametri, tabelle e campi struttura sono creati tramite il menù contestuale nella lista parametri di una funzione SAP.

  • denominazione
    • Quando sono creati tramite il menù contestuale, gli oggetti ricevono nomi generati automaticamente (proprietà Nome nel sistema SAP). Questi nomi devono essere poi modificati in modo che essi corrispondano ai nomi degli oggetti corrispondenti nel sistema SAP.
    • Quando si crea una funzione SAP con l´aiuto di un Assistente, i nomi vengono assegnati in modo automatico, corrispondentemente alla descrizione interfaccia nel sistema SAP.
  • Parametri e tabelle
    • Quando si verifica una chiamata della funzione SAP, vengono usati solamente quei parametri e quelle tabelle che sono anche nella descrizione interfaccia del blocco funzione nel sistema SAP.
    • Se non sono stati configurato o collegati a variabili parametri o tabelle non-opzionali, quando si verifica il richiamo della funzione SAP essi riprendono i valori iniziali. In generale ciò conduce al verificarsi di una Exception e, con ciò, alla comparsa di una segnalazione di errore al momento della chiamata funzione.
  • Proprietà informative
    • Alcune proprietà di parametri, tabelle e campi strutture (tipi, opzionali e info) hanno un carattere puramente informativo. Esse vengono popolate tramite l´assistente con le informazioni provenienti dalla descrizione interfaccia del sistema SAP quando viene creata una funzione SAP: le sie può modificare, però, in qualsiasi momento.
    • Esse non vengono analizzate al momento della chiamata della funzione SAP. Accade invece che vengono utilizzati gli input effettivi della descrizione interfaccia del sistema SAP.


Collega variabili

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Chiamata funzioni -> Collega variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mediante la proprietà Variabile si collegano le variabili a parametri, tabelle e campi struttura di una funzione SAP.

Per collegare delle variabili:

  • usate o la proprietà Variabile nella finestra delle proprietà: cliccando sul pulsante ... si apre il dialogo che serve alla selezione delle variabili
    oppure
  • trascinate la variabile desiderata per Drag&Drop con il mouse dalla lista delle variabili direttamente su un oggetto della lista parametri.

Se si collegano delle variabili strutturate con parametri e tabelle strutturati, le variabili e i campi struttura vengono popolati se possibile con gli elementi di struttura della variabile.

Attenzione: attualmente questo funziona solamente in caso di collegamento per Drag & Drop.

Chiamata di una funzione SAP

Al momento dell´apertura di una funzione SAP , vengono letti i valori della variabile che sono collegati a parametri e tabelle per la trasmissione dei dati al blocco funzione, e vengono poi assegnati ai parametri e alle tabelle.

Viceversa, i valori parametri e tabelle che vengono restituiti dalla chiamata funzione, vengono assegnati alle variabili collegate.

Numero righe delle tabelle

Gli oggetti per le tabelle possono essere collegati mediante una variabile con la proprietà Conteggio righe.

Accettazione dei valori.

  • prima di una chiamata funzione: Il valore della variabile determina il numero delle righe tabella elaborate in zenon e fornite da SAP (Number of Lines).
  • dopo la chiamata funzione: il valore indica il numero delle righe restituite dalla chiamata funzione.


Richiamare funzioni SAP con zenon

Manuale -> Interfaccia SAP -> Progettazione nell'editor -> Chiamata funzioni -> Richiamare funzioni SAP con zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le funzioni SAP vengono richiamate mediante la funzione di zenon Esegui funzione SAP. La funzione ha l´ID interno della funzione SAP da eseguire come parametro.

Per richiamare una funzione SAP di zenon dal Runtime:

  1. Create una nuova funzione zenon via Funzioni -> Menù contestuale-> Nuova funzione
  2. Selezionate nel nodo Applicazione l´inserimento Esegui funzione SAP.
  3. Si apre il dialogo per configurare la funzione.
  4. Selezionate la funzione SAP desiderata
  5. Confermate la configurazione cliccando sul pulsante OK

Finestra di dialogo Esegui funzione SAP

Parametri | Descrizione
Funzione SAP | Selezione di una funzione SAP fra quelle del menù a tendina. La funzione deve essere già stata impostata nel progetto.
Proponi dialogo a Runtime | Apre nel Runtime questa finestra di dialogo prima che la funzione venga eseguita.
Ok | Imposta la funzione con i parametri selezionati.
Annulla | Imposta la funzione senza parametri.
Guida | Apre la guida online

Suggerimento: Nell´Editor, si può impostare automaticamente una funzione usando il comando Imposta funzione standard che si trova nel menù contestuale di una funzione SAP selezionata; la funzione così impostata eseguirà poi quella SAP selezionata durante il Runtime.


Keyboard

Manuale -> Keyboard

In zenon, le keyboard svolgono la funzione di tastiere virtuali. Grazie ad una tastiera virtuale si possono effettuare degli inserimenti nel Runtime via touchscreen.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Nota: evitate l´uso combinato di keyboard (tastiera software) e di tastiera hardware.

Nell´Editor di zenon si possono configurare due diversi tipi di keyboard:

  • Tastiera automatica.
  • Tastiera progettabile.

Uso delle keyboard in zenon:

  • In zenon, le keyboard si usano per settare valori impostabili.
  • Nel modulo Batch Control si possono utilizzare delle keyboard individuali.
    • Ulteriori informazioni su questo argomento le trovate nella guida in linea relativa al Batch Control, nel capitolo Keyboard.
  • Nel Manager di gruppi ricette si può:
    • Collegare ad ogni parametro ricette un´immagine keyboard.
    • Definire keyboard per ogni tipo di dato-parametro.

Ulteriori informazioni su questo argomento le trovate nella guida in linea relativa al RGM, nel capitolo Keyboard.

Eccezione:

Manager gruppi ricette

Una stringa-keyboard viene aperta nel Manager di gruppi ricette per lo stato utente Tipo di azione.
Se, nel Manager di gruppi ricette, per un parametro ricetta di tipo booleano oppure numerico si cambia il tipo di azione in Stato utente, verrà aperta la stringa-keyboard configurata nel RGM. Se in questa sede non è collegata nessuna immagine keyboard, viene attivata nella tabella dei valori di ricetta la modalità di modifica diretta.

Elemento "Collega testo" con funzione collegata

Quando si collega un elemento del tipo Collega testo ad una funzione che consente di effettuare inserimenti, vale quanto segue:

  • La proprietà Settaggio valori attivo viene attivata automaticamente e bloccata per ulteriori modifiche.
  • La proprietà Setta valore impostabile tramite consente solamente la selezione dei seguenti elementi:
    • Box di dialogo : inserimento dipendente dalla configurazione.
    • Elemento: inserimento direttamente nell´elemento.

Configurazione del box di dialogo:

  • Utilizza immagine tipo Keyboard viene attivata automaticamente e bloccata per ulteriori modifiche.
  • Immagine tipo Keyboard: Scelta di un´immagine individuale.
    • Immagine individuale esistente: viene usata questa keyboard.
    • Vuoto: viene usata SETSTRINGKBD.

Noch in diesem Kapitel

Tastiera automatica

Keyboard progettabile

Uso combinato di tastiere hardware e keyboard virtuali


Tastiera automatica

Manuale -> Keyboard -> Tastiera automatica

Per utilizzare la keyboard automatica, procedete nel modo seguente:

  1. Aprite l´Editor di zenon
  2. Cliccate sul progetto al quale desiderate lavorare.
  3. Cliccate nelle proprietà su Interazione.
  4. Attivate in questa sede l´impostazione Tastiera automatica sotto il titolo Tastiera.

Questa impostazione non è attiva di default. Quando la attivate, il sistema genera la keyboard automatica, che verrà aperta automaticamente nel Runtime relativamente vicino all´elemento. Essa viene visualizzata lì dove si deve inserire un valore impostabile. Potete configurare alcune proprietà, come grandezza o posizione, tramite le proprietà nell´Editor.

Nota: non esistono keyboard automatiche per gli elementi di controllo profilo. In questo caso, consigliamo di creare una keyboard apposita da aprire mediante un pulsante. In tal modo è possibile inserire anche su un touchscreen un nome profilo usando la vostra keyboard personale, attivata manualmente. .

Noch in diesem Kapitel

Grandezza della keyboard

Posizione della keyboard


Grandezza della keyboard

Manuale -> Keyboard -> Tastiera automatica -> Grandezza della keyboard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´utente può definire liberamente la grandezza della keyboard.

A tale scopo:

  1. Aprite l`Editor di zenon.
  2. Cliccate sul progetto al quale desiderate lavorare.
  3. Cliccate nelle proprietà su Interazione.
  4. Attivate l´impostazione Tastiera automatica sotto il titolo Tastiera.
  5. Nel campo Dimensione Keyboard [%] inserite la grandezza desiderata in percentuale.

info Informazioni su

L´altezza dell´header è ricavata dalle impostazioni di visualizzazione. L´impostazione può essere modificata via Pannello di controllo-> Aspetto e personalizzazione-> Rappresentazione-> Avanzate-> Elemento: Titolo tavolozza.


Posizione della keyboard

Manuale -> Keyboard -> Tastiera automatica -> Posizione della keyboard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete definire nelle proprietà della keyboard quale deve essere la posizione preferita della tastiera software; potete configurare anche una posizione alternativa. Se la keyboard non dovesse avere posto sufficiente nella posizione da voi preferita, viene visualizzata nella posizione alternativa. Se anche qui non ci dovesse essere abbastanza spazio, la posizione viene definita dal sistema. Stabilite le posizioni mediante la combinazione di quattro valori.

Proprietà | Descrizione
Orizzontale | A sinistra (Default) posiziona l'angolo sinistro della keyboard in modo relativo all'angolo sinistro superiore o inferiore dell'elemento. A destra posiziona l'angolo destro della keyboard in modo relativo all'angolo destro superiore o inferiore dell'elemento.
Spostamento orizzontale [Pixel] | Distanza orizzontale (in pixel) dall´elemento selezionato per la posizione preferita della keyboard automatica. I valori positivi determinano uno spostamento della keyboard verso destra, i negativi, invece, verso sinistra. Default: 2.
Verticale | Con In su (Default) o In giù posizionate la tastiera rispettivamente sopra o sotto l'elemento.
Spostamento verticale [Pixel] | Distanza verticale (in pixel) dall´elemento selezionato per la posizione preferita della keyboard automatica. I valori positivi determinano uno spostamento della tastiera verso l'alto, i negativi, invece, verso il basso. Default: 2.


Keyboard progettabile

Manuale -> Keyboard -> Keyboard progettabile

L´utente può progettare o definire individualmente la keyboard. A tal scopo, procedete nel modo seguente:

  1. Aprite l´Editor di zenon.
  2. Cliccate sul progetto al quale desiderate lavorare.
  3. Impostate un nuovo modello alla voce Immagini->Modelli.

    Nota: le keyboard necessitano sempre di un modello proprio, che dovrebbe essere usato esclusivamente per le tastiere software.

  4. Definite le proprietà desiderate in relazione a posizione e grandezza della keyboard.
  5. Alla voce Immagini, impostate una nuova immagine del tipo Keyboard.
  6. Selezionate alla voce Elementi di controllo un modello per la keyboard.

Nelle proprietà, potete modificare a piacere il colore, la forma o la denominazione dei tasti della tastiera software.

Nota: Si raccomanda di usare il modello Standard.

Noch in diesem Kapitel

Crea un'immagine del tipo keyboard

Elementi di controllo

Tasti per il manager gruppi ricette

Scrittura automatica dei caratteri della tastiera

Keyboard nel Web Client


Crea un'immagine del tipo keyboard

Manuale -> Keyboard -> Keyboard progettabile -> Crea un'immagine del tipo keyboard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avete diverse possibilità di creare una nuova immagine del tipo keyboard:

Menù contestuale nel manager di progetto:

  1. Cliccate nel manager di progetto su Immagini
  2. Cliccando con il tasto destro del mouse, aprite il menù contestuale.
  3. Cliccate nel menù contestuale su Nuova immagine

Barra degli strumenti:

  1. Cliccate nel manager di progetto su Immagini
  2. Nella visualizzazione dettagli del manager di progetto, cliccate nella barra degli strumenti su Nuova immagine.

Avete diverse possibilità di definire il tipo della nuova immagine:

Visualizzazione dettagli del manager di progetto:

  1. Nella visualizzazione dettagli del manager di progetto, cliccate sul Tipo di immagine della nuova immagine.
  2. Nel menù a tendina selezionate il tipo di immagine keyboard.

Proprietà:

  1. Cliccate nelle proprietà su Generale.
  2. Alla voce Tipo di immagine, cliccate sulla freccia a destra e selezionate nel menù a tendina il tipo di immagine keyboard.
  3. Nelle proprietà del gruppo Generale, selezionate come nome una keyboard predefinita, oppure attribuite un nome a piacere:

Attenzione: le immagini keyboard con nomi riservati hanno la precedenza nel Runtime rispetto ad altre immagini keyboard, compresa quella keyboard automatica nel caso di gestione touch.

Quando un´immagine del tipo keyboard si apre per tutta la grandezza dello schermo, invece che solo come finestra di dialogo, può accadere che vengano coperti dei menù.

Suggerimento: In questo caso, impostate una funzione Chiudi modello che vi consente di chiudere il modello keyboard aperto.

Nelle proprietà dell´immagine, alla voce Generale, trovate diverse parole chiave alla voce Nome. Di seguito troverete informazioni relative al loro uso:

Nomi riservati

Per il tipo di immagine keyboard sono stati riservati i seguenti nomi:

Nome

Descrizione

DIALOGKBD

Se esiste già un'immagine con tale nome, essa verrà aperta nel Runtime in concomitanza dell'apertura di una finestra di dialogo, per esempio, per l´inserimento di un nuovo nome ricetta nel Manager gruppi ricette.

Attenzione: non è previsto che il DIALOGKBD venga utilizzato con l´elemento di controllo Inserimento valore impostabile e non si presta a questo scopo. L´uso di questa combinazione può portare al verificarsi di errori durante il funzionamento Runtime.

SETBOOLKBD

Se esiste un’immagine con questo nome, verrà aperta nel Runtime ogni volta che è necessario un inserimento per variabili binarie.

SETSTRINGKBD

Se esiste un'immagine con questo nome, sarà utilizzata nel Runtime al posto del box di inserimento standard per variabili stringa.

SETVALUEKBD

Se esiste un'immagine con questo nome, sarà utilizzata nel Runtime al posto del box di inserimento standard per variabili numeriche. L´elemento di controllo Inserimento valore impostabile deve essere aggiunto alla tastiera.

Attenzione: se è attivato il blocco maiuscole, non può essere effettuato nessun inserimento in una keyboard del tipo SETVALUEKBD ; ciò si deve al fatto che, al posto dei numeri, verrebbero inseriti i corrispondenti caratteri speciali.
Eccezione: nel caso delle tastiere francesi, per effettuare l´inserimento dei numeri si ha bisogno del tasto shift oppure del tasto Blocco maiuscole.

Nota: usate l´elemento di controllo Inserimento valore impostabile solamente per keyboard che vengono create per il settaggio di valori impostabili (SETVALUEKBD, SETSTRINGKBD). Esso viene automaticamente collegato alla variabile dell´elemento dinamico che deve ricevere il valore impostabile. Nel caso lo si usi con normali keyboard, si possono verificare degli esiti indesiderati.

Per quelle keyboard che devono servire al settaggio del valore impostabile, l´elemento di controllo Inserimento valore impostabile deve essere assolutamente progettato nell´immagine. In caso contrario, non è possibile inserire né un´indicazione di valore, né un valore impostabile.

Nota: Se nel progetto

  • esiste un´immagine del tipo keyboard con il nome riservato DIALOGKBD
  • e, nello stesso tempo, un´immagine del tipo Login
  • e la proprietà Keyboard automatica del gruppo Keyboard è attiva,

queste immagini non possono basarsi sullo stesso modello. In questo caso, DIALOGKBD verrebbe sempre usato automaticamente.

Nello zenon Editor, un pulsante keyboard ha più proprietà di un semplice pulsante. Esse possono essere visualizzate e configurate alla voce Rappresentazione. In tal modo si possono definite caratteri speciali.


Elementi di controllo

Manuale -> Keyboard -> Keyboard progettabile -> Elementi di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Elemento di controllo | Descrizione
Inserisci modello | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Alfanumerico sinistra | Definizione dei tasti di una keyboard impostata individualmente, parte sinistra di una normale tastiera standard.
Alfanumerico destra | Definizione dei tasti di una keyboard impostata individualmente, parte destra di una normale tastiera standard.
Tastierino numerico | Definizione dei tasti di una keyboard impostata individualmente, tasti numerici di una normale tastiera standard.
Tasti funzione | Definizione dei tasti di una keyboard impostata individualmente, tasti F- e Esc di una normale tastiera standard.

Raccomandazione: Usate un modello.

Elemento di controllo | Descrizione
Imposta valore | Elementi di controllo per Imposta valore.
Introduzione valore | Permette l'inserimento di un valore impostabile. Deve essere assolutamente configurato nell´immagine per SETBOOLKBD, SETSTRINGKBD e SETVALUEKBD.
Valore++ | Esegue addizioni. Addiziona 1 al valore.
Valore-- | Esegue sottrazioni. Sottrae 1 al valore.
Valore on | Il valore è 1, cioè true. Esempio: Macchinario è on.
Valore off | Il valore è 0, cioè false. Esempio: Macchinario è off.
Toggle Valore | Cambio True/False.
Ok | Setta il valore e chiude la finestra.
Elimina | Chiude la finestra.


Tasti per il manager gruppi ricette

Manuale -> Keyboard -> Keyboard progettabile -> Tasti per il manager gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si configura l´immagine keyboard, per il RGM sono disponibili i seguenti elementi di controllo speciali alla voce Elementi di controllo-> Specifico per Manager gruppi di ricette:

Elemento di controllo

Descrizione

Imposta valore

Il valore impostabile viene scritto sulla variabile, aggiornato nella ricetta e la keyboard viene chiusa.

Salva ricetta

La ricetta verra salvata

Settare valore e salva ricetta

Il valore impostabile viene scritto sulla variabile, aggiornato nella ricetta; quest´ultima viene salvata e poi viene chiusa la keyboard.

Visualizzazione valore come testo 1
fino
Visualizzazione valore come testo 32

I tasti possono essere collegati a valori limite di una matrice di reazione. A tal scopo, la variabile del parametro ricetta

  • deve essere collegata ad una Matrice di reazione numerica oppure una Matrice di reazione stringa e
  • deve contenere stati "è uguale ".

I tasti assegnati sono visualizzati nel Runtime e hanno il testo tratto dalla matrice di reazione.

Cliccando sul tasto, il valore collegato nella matrice di reazione viene scritto come proposta di valore ricetta nell´elemento di controllo Inserimento valore impostabile.


Scrittura automatica dei caratteri della tastiera

Manuale -> Keyboard -> Keyboard progettabile -> Scrittura automatica dei caratteri della tastiera

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esiste la possibilità di definire liberamente le didascalie dei tasti della keyboard, oppure di adottare quella del sistema operativo. A tale scopo, attivate o disattivate nelle proprietà dell´immagine, alla voce Visualizzazione l´opzione Layout tastiera automatica. La lingua viene ripresa dal sistema operativo, e il sistema scrive automaticamente i caratteri sui tasti. Questa opzione è molto utile se si vuole che anche in altri paesi si lavori con questa keyboard. Sono a disposizione tutti i layout di tastiera supportati da Windows. La funzionalità dei tasti della keyboard corrisponde a quella della tastiera hardware. In questo caso, la scrittura caratteri progettata verrà ignorata.

A questo proposito vale quanto segue:

  1. Attiva:
    • Per lettere, numeri e tasti F di un´immagine del tipo keyboard vengono riprese le didascalie originali del layout della tastiera del sistema operativo.
    • Non possono essere definite delle didascalie alternative.
    • Nel caso si siano definite altre didascalie per tasti, durante il Runtime il sistema ritorna a quelle originali. I tasti di funzione, quali, per esempio, Tab oppure Shift, continuano a poter essere dotati di una didascalia alternativa.

Al tastierino numerico della tastiera non vengono assegnate automaticamente delle didascalie, ed esse possono essere modificate durante il Runtime in qualsiasi momento, indipendentemente dall´impostazione della proprietà Layout tastiera automatica.

  1. Inattiva:
    • tutti i tasti possono essere dotati individualmente di una didascalia e verranno visualizzati con tale scritta durante il runtime.
    • Le didascalie dei tasti possono essere modificate nell´Editor, nelle proprietà, alla voce Visualizzazione.
    • Durante il Runtime vengono visualizzati i caratteri alternativi.


Keyboard nel Web Client

Manuale -> Keyboard -> Keyboard progettabile -> Keyboard nel Web Client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se una keyboard viene aperta nel runtime, essa rimane aperta anche se il runtime viene ridotto ad icona. Nella barra delle applicazioni del sistema di controllo viene visualizzata un menù a tendina per la keyboard.

attention Attenzione

Immagini del tipo keyboard modificate individualmente potrebbero non funzionare in modo corretto con il browser Mozilla Firefox.

Causa: Mozilla Firefox carica delle nuove finestre in background, senza attribuirgli il focus. A seconda di quanto stabilito in fase di progettazione, le immagini keyboard definite individualmente vengono chiuse non appena perdono il focus.

Soluzione: Usate un browser differente, come, ad esempio, Microsoft Internet Explorer o Google Chrome, oppure usate l´opzione frame "Chiudi alla perdita del focus".

La cosa non riguarda le keyboard automatiche!


Uso combinato di tastiere hardware e keyboard virtuali

Manuale -> Keyboard -> Uso combinato di tastiere hardware e keyboard virtuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le keyboard virtuali si comportano nel sistema operativo come delle tastiere hardware. Se delle keyboard virtuali vengono usate insieme a delle tastiere hardware, esse si influenzano reciprocamente. Le impostazioni riguardanti la tastiera hardware (per esempio la definizione del tasto shift) si ripercuotono sulla keyboard virtuale e viceversa.

Esempi:

  • Se sulla tastiera hardware si preme il tasto blocco maiuscole per il tasto shift (Blocco maiuscole), ciò vale anche per la keyboard virtuale. In questo caso, non potrete inserire dei numeri neanche sulla keyboard automatica.
  • Se si preme sulla tastiera hardware il tasto Num per disattivare il tastierino numerico, questo non funzionerà neanche sulla keyboard virtuale.

Nota: Si sconsiglia l´uso congiunto di keyboard e tastiera hardware.


Lista Eventi Cronologica (CEL)

Manuale -> Lista Eventi Cronologica (CEL)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella Lista eventi cronologica (CEL) possono essere protocollati gli eventi di sistema e gli inserimenti utente, come, ad esempio:

  • Riconoscimento allarmi
  • Elimina Allarme
  • Setta valore impostabile
  • Dichiarazione ricette
  • Modifica ricette
  • Dati archivi
  • Azioni utente
  • Azioni di rete

Gli inserimenti sono nella lingua impostata nel Runtime di zenon.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Noch in diesem Kapitel

Progettare la CEL

Funzioni

Gestione a Runtime


Progettare la CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestione della Lista eventi cronologica nel Runtime si effettua tramite le immagini del tipo Lista eventi cronologica e Lista eventi cronologica Filtro.

Editor

Per visualizzare e filtrare eventi durante il Runtime, si deve effettuare quanto segue nell´Editor:

  • progettare un´immagine del tipo Lista eventi cronologica

Potete inoltre:

  • gestire la visualizzazione di eventi mediante Filtri
  • modificare secondo le vostre esigenze i filtri disponibili nel Runtime con un´immagine del tipo Lista eventi cronologica Filtro

Runtime

Per la gestione nel Runtime si usano:

  • Cambio immagine CEL
  • Cambio immagine Filtro CEL
  • Le Funzioni CEL di zenon
  • Usa immagine del tipo Filtro CEL

Noch in diesem Kapitel

Creare un'immagine del tipo CEL

Crea un'immagine del tipo filtro CEL

Definire eventi per la CEL

Progettazione CEL mediante filtri

Buffer circolare CEL


Creare un'immagine del tipo CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Creare un'immagine del tipo CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare un´immagine del tipo Lista eventi cronologica

Un´immagine del tipo Lista eventi cronologica consente di protocollare e visualizzare nel Runtime degli eventi di sistema e delle azioni degli utenti. Definite quali inserimenti devono essere visualizzati in fase di progettazione. La visualizzazione può essere modificata facendo uso di Filtri, sia in fase di progettazione che nel Runtime. Le funzioni consentono l´export e la stampa degli eventi visualizzati.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Lista Eventi Cronologica.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Noch in diesem Kapitel

Elementi di controllo

Personalizzare l´aspetto della CEL


Elementi di controllo

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Creare un'immagine del tipo CEL -> Elementi di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserisci template

Parametri | Descrizione
Inserisci template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Elementi di controllo

Finestra

Parametri

Descrizione

Lista eventi cronologica (CEL)

Campo visualizzazione per la lista con i suoi eventi. L´aspetto è impostabile. Le colonne vengono definite al momento del cambio immagine usando il filtro impostazioni di colonna.

Si usa la proprietà Impostazioni colonna CEL che si trova nel gruppo Lista eventi cronologica (CEL) delle proprietà di progetto, per definire le impostazioni per l´export in CSV, XML e DBF. Esse servono anche come impostazione preliminare per la funzione di cambio immagine.

Filtro impostato

Mostra il filtro attualmente selezionato.

Stato Lista Eventi Cronologica

Mostra durante il Runtime lo stato della CEL.

  • Attivo: Gli eventi vengono protocollati nel progetto a seconda delle Impostazioni.
  • Inattivo: Gli eventi non vengono protocollati.

Lo stato viene fissato mediante la proprietà Abilita CEL. Una modifica diviene effettiva solamente dopo che il Runtime è stato riavviato.

Quantità totale

Numero di tutti gli eventi della lista.

Funzioni lista

Parametri

Descrizione

Filtro...

Apre il dialogo filtro.

Stop/Avanti

Gestisce l´aggiunta di nuovi eventi nella lista mentre essa è visualizzata:

Stop: Non vengono più aggiunti nuovi inserimenti alla lista. Il pulsante modifica la sua didascalia in Avanti.

Avanti: Nuovi inserimenti sono aggiunti alla lista. La didascalia sul pulsante cambia e diventa Stop. Per mettere in ordine cronologico nuovi inserimenti, si deve usare il pulsante Ordinare.

Ordinare

Dopo l´apertura della CEL durante il Runtime, i nuovi inserimenti non vengono messi in ordine cronologico, ma semplicemente aggiunti in fondo alla lista.

Quando si clicca su questo pulsante, la lista viene riordinata.

Per distinguere gli inserimenti ordinati da quelli che non lo sono, si può assegnare ad ogni categoria un colore differente; a tal scopo utilizzate le proprietà Testi ordinati e Testi non ordinati.

Visualizza tempo relativo

Attivo: I tempi relativi vengono visualizzati senza che l´elemento selezionato perda il focus.

Stampa

Stampa la lista nel modo in cui essa viene visualizzata al momento.

Stampa con dialogo

Apre, prima di effettuare la stampa, il dialogo con le impostazioni relative.

Campo commento

Parametri | Descrizione
Campo commento | Inserimento da parte dell´utente di un testo libero concernente l´evento selezionato. Lunghezza massima: 79 caratteri Per visualizzare il testo anche nella CEL, si deve attivare la colonna Commento nella Definizione colonna. Le modifiche vengono applicate premendo il pulsante Ins. Premendo il tasto Esc, oppure con la perdita del focus, la modifica viene rigettata. Le modifiche apportate ai commenti possono essere documentate attivando la proprietà Commento CEL.

Navigazione

Parametri | Descrizione
Navigazione | Gestisce gli elementi della lista.
Riga in su | Passa alla riga superiore.
Riga in giù | Passa alla riga inferiore.
Colonna a destra | Passa alla colonna immediatamente a destra.
Colonna a sinistra | Passa alla colonna immediatamente a sinistra.
Pagina in su | Passa alla pagina superiore.
Pagina in giù | Passa alla pagina inferiore.
Pagina a destra | Passa alla pagina immediatamente a destra.
Pagina a sinistra | Passa alla pagina immediatamente a sinistra.

Elementi compatibili

Parametri | Descrizione
Elementi compatibili | Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.
Filtro impostato | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Numero totale | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Stato Lista Eventi Cronologica | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Campo commento | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Chiudi modello | Chiude il modello su cui si basa l´immagine. Raccomandazione: Per chiudere i modelli, usate la funzione Chiudi modello. Per far sì che, dopo la chiusura, appaia l´immagine aperta prima, si deve progettare l´immagine del tipo CEL con un proprio modello.

Profili filtro

Profili filtro | Impostazioni di filtro che possono essere salvate dall'utente nel runtime.
Selezione profili | Seleziona un profilo dalla lista.
Salva | Salva un´impostazione come profilo
Elimina | Cancella il profilo selezionato.

info Informazioni su

Nell´elemento di controllo Mostra filtro viene visualizzato quello usato attualmente.

Nel caso di un:

  • filtro di testo: viene visualizzata l´espressione [Txt]
  • filtro di tempo relativo viene visualizzata un´espressione secondo lo schema seguente:
    [T,Rel:%dd,%dh,%dm;%ds]
    Esempio: [T,Rel:1d,0h,0m,0s] corrisponde ad un giorno.


Personalizzare l´aspetto della CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Creare un'immagine del tipo CEL -> Personalizzare l´aspetto della CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La visualizzazione tabellare della Lista eventi cronologica può essere modificata ed adeguata alle esigenze individuali. Le seguenti proprietà della CEL sono a disposizione del progettista per la personalizzazione della Lista Eventi Cronologica.

Nota: Il colore del testo degli inserimenti della CEL viene configurato nelle proprietà di progetto, usando le proprietà del gruppo Lista eventi cronologica (CEL)/Colori inserimenti CEL.

Barre di scorrimento, intestazione e griglia

Per definire la dimensione e l´aspetto di barre di scorrimento, intestazione e di una griglia per la tabella:

  1. Attivate nel gruppo Visualizzazione, la proprietà Funzionalità grafiche avanzate:
  2. Definite le proprietà desiderate nei gruppi Barra di scorrimento e Intestazione e griglia per l´elemento Lista eventi cronologica nell´immagine

info Informazioni su

Se si seleziona per la proprietà Stile di visualizzazione l´opzione File grafico, tutti gli elementi per cui non è stato selezionato un file grafico, vengono rappresentati con un effetto di riempimento. Per gli elementi di gestione delle liste, non si possono usare delle grafiche trasparenti.

Ordina durante il Runtime

Per evidenziare nel Runtime la colonna rilevante per l´ordinamento, e stabilire la successione in cui quest´ultimo deve essere effettuato, dovete progettare degli elementi grafici per l´header:

  1. Selezionate per la proprietà Stile di visualizzazione il valore File grafico
  2. Collegate le proprietà In ordine crescente e In ordine decrescente rispettivamente ad un file grafico
  3. Nel Runtime, la grafica selezionata per la rispettiva direzione di ordinamento viene visualizzata nella colonna rilevante per l´ordinamento stesso.
  4. Cliccando sulla grafica, si modifica la successione di ordinamento
  5. Cliccando sul titolo della colonna, si attiva la colonna stessa per effettuare l´ordinamento

Nota: se l´ordinamento avviene sulla base del time stamp, gli inserimenti con lo stesso time stamp sono ordinati anche sulla base della data e ora di creazione.

Gestire l´intestazione nel Runtime

Potete consentire agli utenti di gestire l´intestazione nel Runtime. In tal modo è possibile personalizzare dell´aspetto della visualizzazione nel Runtime:

  • Modifica larghezza
  • Modifica ordine

All´interno delle impostazioni di progetto, passate al gruppo Lista eventi cronologica (CEL) e selezionate nella proprietà Intestazioni CEL il valore Intestazione modificabile . In alternativa, potete anche far sì che l´intestazione sia non modificabile o invisibile.

Queste impostazioni valgono per tutte le intestazioni del progetto.

info Informazioni su

Potete impedire in qualsiasi momento la gestione o la visibilità dell´intestazione per ogni singola immagine del tipo Lista Eventi Cronologica: a questo scopo basta disattivare la proprietà Visualizza intestazione oppure Intestazione utilizzabile per la rappresentazione tabulare.

Anteprima

L´header e le barre di scorrimento vengono visualizzate nell´Editor in forma di anteprima quando si attiva la proprietà Funzionalità grafiche avanzate. Ciò rende molto più semplice configurare dettagli, quali colori, effetti di riempimento, effetti di luce oppure griglie.

Attenzione: visto che la grandezza delle barre di scorrimento nell´anteprima corrisponde alla dimensione che esse assumono nel runtime, la dimensione complessiva della lista nell´editor può divergere da quella del runtime. Ciò vale anche per le dimensioni dell´header e del carattere dello stesso.


Crea un'immagine del tipo filtro CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Crea un'immagine del tipo filtro CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine del tipo Lista eventi cronologica Filtro consente di effettuare nel Runtime delle impostazioni di filtro individuali per la Lista eventi cronologica. Vengono configurati e resi disponibili all´utente solamente i filtro che sono realmente necessari L´aspetto può essere definito liberamente e, in tal modo, lo si può adattare ai differenti macchinari destinatari. Potete configurare anche tutte le impostazioni di filtro che sono presenti nel Filtro per la funzione Cambio ad un´immagine del tipo Lista Eventi Cronologica.

In tal modo:

  • vengono configurati e resi disponibili all´utente solamente gli elementi di filtro che sono realmente necessari
  • il sistema visualizza a beneficio dell´utente solamente questi filtri, facilitandogli così la vita e consentendogli una visione d´insieme più semplice e chiara
  • avete la possibilità, inoltre, di definire in modo completamente libero l´aspetto e di assicurare in tal modo una facile gestione mediante un touchscreen

Per i dettagli concernenti l´uso durante il Runtime, vedi il capitolo CEL Usa filtri.

Per la definizione dei criteri di filtro, vedi capitolo Filtri per cambio immagine CEL Filtri.

attention Attenzione

Le immagini del tipo Lista informazioni allarmi Filtro, Lista eventi cronologica Filtri e Filtri tempo devono essere progettati con un proprio modello. Se esse usano lo stesso modello di altre immagini, durante il Runtime tutte le immagini basate su questo modello saranno chiuse alla chiusura dell´immagine.

Crea immagine del tipo Lista eventi cronologica Filtro

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Filtro lista eventi cronologica.
    3. Selezionare nella proprietà Modello il modello desiderato.
      Nota: L´immagine Filtro CEL non deve basarsi sullo stesso modello di altre immagini!
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Noch in diesem Kapitel

Elementi di controllo

Modelli

Nomi predefiniti

Immagini filtro


Elementi di controllo

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Crea un'immagine del tipo filtro CEL -> Elementi di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine del tipo Lista eventi cronologica Filtro può contenere i seguenti elementi di gestione e visualizzazione.

Elemento

Descrizione

Inserisci modello

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Ulteriori informazioni relative a questo tipo di immagine le trovate nel capitolo Modelli.

Filtri generali

Lista a cascata di diversi Filtri generali.

Escludi messaggi di sistema dal filtro

Mostra nel Runtime un Checkbox per la visualizzazione o il filtro di segnalazioni del sistema. Le segnalazioni di sistema sono segnalazioni senza riferimento a variabili.

Gestione nel Runtime:

  • Attivo: Nel Runtime, le segnalazioni di sistema vengono sempre visualizzate. Ciò vale anche quando dovrebbero essere escluse dal filtro testo o variabili.
    Eccezione: Le segnalazioni di sistema, però, non sono visualizzate nonostante il checkbox sia stato attivato, quando vengono escluse dal Filtro tempo, oppure dai filtri per la Origine dei dati (buffer circolare oppure dati storici).

Esempio: Devono essere visualizzate solamente segnalazioni con il testo "XY". Nel caso in cui questa opzione sia stata attivata, però, verranno visualizzate anche le segnalazioni di sistema che non contengono questo testo.

Aggiungi tutti gli elementi: Filtri generali

Aggiunge tutti gli elementi dell´area Filtri generali collocandoli in posti predefiniti. Gli elementi possono essere posizionati in modo individuale.

Filtro variabili

Allarmi di quali variabili vengono visualizzati:
  • Nome variabile

Filtro sulla base del nome delle variabili.
  • Identificazione

Filtro sulla base dell´identificazione delle variabili.
  • Rispetta Maiusc./Minusc.

Si tiene presente la scrittura in lettere maiuscole o minuscole nell´effettuare il filtro delle variabili.

Origine dati

Da dove provengono i dati:
  • Buffer circolare

Dal buffer circolare.
  • Dati storici

Da un archivio.
  • Descrizione: Numero massimo

Testo per campo di inserimento Numero massimo

  • Campo input: Numero massimo

Inserimento del numero massimo degli allarmi da visualizzare nel caso della visualizzazione di allarmi storici.

0: mostra tutti gli allarmi

Impostazioni Runtime

  • Apri lista bloccata

Apre la AML in stato di attesa. I nuovi allarmi non vengono aggiunti.
  • Visualizza tempo relativo

Passa fra visuale normale e visuale tempo relativo, senza che l´inserimento selezionato perda il focus.

Tempo relativo: tutti gli inserimenti vengono visualizzati in intervallo di tempo in relazione all'inserimento selezionato.

Il tempo indicato è l'intervallo che è passato dall'evento selezionato. L'inserimento selezionato riceve automaticamente il "time-stamp" 0. Gli altri eventi hanno una:

  • differenza di tempo positiva rispetto all´inserimento selezionato se hanno avuto luogo più tardi
  • differenza di tempo negativa rispetto all´inserimento selezionato, se hanno avuto luogo più tardi

Gruppi allarmi/eventi, classi allarmi/eventi /aree allarmi

Campo lista per Visualizzazione a gruppi:
  • Gruppi di allarmi/evento

Gruppi di allarmi/evento
  • Classi di allarme/evento

Classi di allarme/evento
  • Aree allarmi

Aree allarmi

Filtro tempo

Menù a tendina di diversi Filtri tempo.

Inserisci tutti gli elementi

Apre la lista a cascata per la selezione di elementi predefiniti per determinati intervalli di tempo.

Intervallo tempo assoluto: visualizzazione classica

Elementi per il periodo assoluto nella visualizzazione classica.

Intervallo tempo assoluto: visualizzazione compatta

Elementi per il periodo assoluto nella visualizzazione compatta.

Periodo relativo

Elementi per il periodo relativo.

Da HH:MM:SS

Elementi per un periodo che inizia da un´ora definita.

Dal Giorno - HH:MM:SS

Elementi per un periodo che inizia con un giorno determinato e ad un´orario definito.

Dal Giorno, Mese - HH:MM:SS

Elementi per un periodo che inizia con un giorno determinato in un mese determinato e ad un´orario definito.

Intervallo tempo: 15/30/60 minuti

Elementi per un periodo di 15, 30 o 60 minuti.

Intervallo tempo: un giorno

Elementi per un periodo di un giorno.

Intervallo tempo: 1 o 2 settimane

Elementi per un periodo che dura una o due settimane.

Sia nella visualizzazione per una settimana, che per quella per due settimane, si può selezionare ogni settimana. Nel caso della visualizzazione per due settimane, viiene selezionato un intervallo di 14 giorni in dipendenza dalla settimana selezionata.

Intervallo tempo: un mese

Elementi per un periodo di un mese.

Intervallo tempo: un anno

Elementi per un periodo di un anno.

Inserisci tutti (Touch)

Apre la lista a cascata che serve alla selezione di elementi predefiniti per periodi determinati che sono stati ottimizzati per la gestione touch. Analogamente all´opzione Aggiungi tutti gli elementi, sono a disposizione:

  • Intervallo tempo assoluto: visualizzazione classica
  • Periodo relativo
  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS
  • Intervallo tempo: 15/30/60 minuti
  • Intervallo tempo: un giorno
  • Intervallo tempo: 1 o 2 settimane
  • Intervallo tempo: un mese
  • Intervallo tempo: un anno

Filtro tempo (didascalia)

Didascalia del tipo del filtro tempo.

Filtro tempo (Combobox)

Combobox Filtro tempo.

Filtro tempo (visualizzazione)

Campo per visualizzazione del tipo filtro tempo.

Filtro tempo (Radiogroup)

Pulsante di opzione che nascondono o mostrano determinati elementi nel Runtime:

  • Nessun filtro
  • Tempo filtro assoluto
  • Tempo filtro relativo
  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS
  • Intervallo tempo 15 minuti
  • Intervallo tempo 30 minuti
  • Intervallo tempo 60 minuti
  • Intervallo tempo 1 giorno
  • Intervallo tempo 1 settimana
  • Intervallo tempo 2 settimane
  • Intervallo tempo 1 mese
  • Intervallo tempo 1 anno

Tempo da

campi e didascalie per inserimenti di tempi "da".

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Dall'ora (didascalia)
  • Dall'ora (Combobox)
  • Dal minuto (didascalia)
  • Dal minuto (Combobox)
  • Dal secondo (didascalia)
  • Dal secondo (Combobox)
  • Da (controllo spin)

Tempo fino

Campi e didascalie per inserimenti di tempi "fino a".

  • Fino all'anno (didascalia)
  • Fino all´anno (Combobox)
  • Fino al mese (didascalia)
  • Fino al mese (Combobox)
  • Fino al giorno (didascalia)
  • Fino al giorno (Combobox)
  • Fino all´ora (didascalia)
  • Fino all´ora (Combobox)
  • Fino al minuto (didascalia)
  • Fino al minuto (Combobox)
  • Fino al secondo (didascalia)
  • Fino al secondo (Combobox)
  • Fino (controllo spin)

Tempo da (Touch)

Campi e didascalie per indicazioni "Da" - tempo, ottimizzati per la gestione touch.

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Dall'ora (didascalia)
  • Dall'ora (Combobox)
  • Dal minuto (didascalia)
  • Dal minuto (Combobox)
  • Dal secondo (didascalia)
  • Dal secondo (Combobox)
  • Da (controllo spin)

Tempo fino a (Touch)

Campi e didascalie per indicazioni "Fino" - tempo, ottimizzati per la gestione touch.

  • Fino all'anno (didascalia)
  • Fino all´anno (Combobox)
  • Fino al mese (didascalia)
  • Fino al mese (Combobox)
  • Fino al giorno (didascalia)
  • Fino al giorno (Combobox)
  • Fino all´ora (didascalia)
  • Fino all´ora (Combobox)
  • Fino al minuto (didascalia)
  • Fino al minuto (Combobox)
  • Fino al secondo (didascalia)
  • Fino al secondo (Combobox)
  • Fino (controllo spin)

Filtro assoluto

Campi e didascalie per inserimenti di filtri assoluti.

  • Da (didascalia)
  • Dalla data (visualizzazione calendario)
  • Dalla data (visualizzatore data)
  • Dal tempo (visualizzazione tempo)
  • Fino a (didascalia)
  • Fino alla data (visualizzazione calendario)
  • Fino alla data (visualizzatore data)
  • Fino a tempo (visualizzazione tempo)

Intervallo tempo

Campi e didascalie per inserimenti di intervalli di tempo.

  • Dall'anno (didascalia)
  • Dall'anno (Combobox)
  • Dal mese (didascalia)
  • Dal mese (Combobox)
  • Settimana (didascalia)
  • Settimana (Combobox)
  • Dal giorno (didascalia)
  • Dal giorno (Combobox)
  • Ora partenza (didascalia)
  • Ora partenza (Combobox)

Intervallo di tempo (Touch)

Campi e didascalie per indicazioni di intervalli di tempo ottimizzati per la gestione touch.

  • Dall'anno (didascalia)
  • Dall'anno (pulsante su)
  • Dall'anno (Touchbox)
  • Dall'anno (pulsante giù)
  • Dal mese (didascalia)
  • Dal mese (pulsante su)
  • Dal mese (Touchbox)
  • Dal mese (pulsante giù)
  • Settimana (didascalia)
  • Settimana (pulsante su)
  • Settimana (Touchbox)
  • Settimana (pulsante giù)
  • Dal giorno (didascalia)
  • Dal giorno (pulsante su)
  • Dal giorno (Touchbox)
  • Pulsante Dal giorno (indietro)
  • Ora partenza (didascalia)
  • Ora partenza (pulsante su)
  • Orario di inizio (Touchbox)
  • Ora partenza (pulsante indietro)

Lotti

Elementi per la selezione lotti nel Runtime.

Lista archivi

Lista degli archivi a disposizione.

Stato della lista archivi

Stato della lista archivi con numero per:

  • Disponibile
  • filtrato
  • visualizzato

Lista Lotti

Lista dei lotti a disposizione.

Stato della lista Lotti

Stato della lista lotti con numero per:

  • Disponibile
  • filtrato
  • visualizzato

Applica filtro tempo su lista lotti.

Applica il filtro tempo configurato alla selezione nella lista lotti.

Filtro nome lotto (Campo testo)

Inserimento di una successione di caratteri per filtrare i nomi lotto nella lista lotti.

Filtro nome lotto (Pulsante)

Pulsante per l´esecuzione del filtro sulla base di nomi lotto.

Filtro testo

Lista a cascata di diversi Filtri testo.

Aggiungi tutti gli elementi: Filtro testo

Aggiunge tutti gli elementi per filtri testo.

Nessun filtro testo

Pulsante di opzione per deseleziona filtri testo.

Trova (parole separate da uno spazio)

Pulsante di opzione per attivazione della ricerca

Descrizione: Testo di ricerca

Didascalia per campo ricerca.

Campo input: Testo di ricerca

Campo per inserimento dei criteri di ricerca.

Opzioni

Opzioni di ricerca
  • Attenzione Case Sensitive

Si deve tener conto della lettere maiuscole e minuscole.
  • Le parole non devono comparire completamente nel testo

Il sistema cerca anche i frammenti.
  • Almeno una parola deve comparire nel testo

Almeno uno dei numerosi criteri di ricerca deve essere contenuto nel risultato.
  • Tutte le parole devono esistere

Tutti i criteri di ricerca devono essere contenuti nel risultato.
  • L'intero testo deve coincidere

Il testo indicato nel campo di inserimento deve essere contenuto esattamente nel risultato.


Modelli

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Crea un'immagine del tipo filtro CEL -> Modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Presentazione | Descrizione
Campo liste Modelli (a sinistra) | Mostra tutti i modelli, sia quelli predefiniti che quelli definiti dall´utente.
Anteprima e descrizione (a destra) | Mostra l´anteprima e la descrizione del modello selezionato.
Standard | Aggiunge degli elementi standard.
Scada | Modelli speciali, ottimizzati per gestione con il mouse.
Standard | Aggiunge degli elementi standard.
Filtri variabili, testo & intervallo tempo (assoluto - visualizzazione compatta) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo assoluto in visualizzazione compatta.
Filtri variabili, testo & intervallo tempo (assoluto) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo assoluto.
Filtri variabili, testo & tempo (dal mese) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo relativo da mese.
Filtri variabili, testo & tempo (dall´ora) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo relativo da ora.
Filtri variabili, testo & tempo (dal giorno) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo relativo da giorno.
Filtri variabili, testo & tempo (assoluto - tabella) | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo assoluto.
Filtri variabili, testo & tempo (tipo selezionabile). | Aggiunge elementi per filtrare sulla base di variabili, testo e intervallo di tempo selezionabile.

Chiudi finestra di dialogo

Parametri | Descrizione
Elimina elementi d'immagine esistenti | Attivo: degli elementi già esistenti nell´immagine vengono cancellati quando si riprende il modello.
Acquisisci | Inserisce l´elemento del modello selezionato nell´immagine e chiude il dialogo.
Elimina | Chiude il dialogo senza aggiungere elementi.
Guida | Attiva la guida online


Nomi predefiniti

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Crea un'immagine del tipo filtro CEL -> Nomi predefiniti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per il filtro tempo sono disponibili nomi predefiniti.

Attenzione: I nomi predefiniti non sono disponibili sotto Windows CE.

Per selezionare un nome:

  1. nella visualizzazione dettagli, definite come tipo di immagine Filtro tempo, Filtro per Lista Eventi Cronologica oppure Filtro per lista informazione allarmi come tipo di immagine.
  2. cliccate due volte nel campo "Nome" nella colonna "Nome".
  3. selezionate il nome predefinito desiderato fra quelli proposti dal menù a tendina.
    • CEL_Filter
    • TIMEFILTER_ABSOLUTE
    • TIMEFILTER_DAY
    • TIMEFILTER_HOUR
    • TIMEFILTER_MONTH
    • TIMEFILTER_PERIOD
    • TIMEFILTER_PERIOD_DAY
    • TIMEFILTER_PERIOD_MINUTE
    • TIMEFILTER_PERIOD_MONTH
    • TIMEFILTER_PERIOD_WEEK
    • TIMEFILTER_PERIOD_YEAR
    • TIMEFILTER_RELATIVE


Immagini filtro

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Crea un'immagine del tipo filtro CEL -> Immagini filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Immagini filtro

Le immagini filtro consentono di trasmettere un filtro predefinito da un'immagine ad un'altra. Il filtro dell´immagine sorgente viene settato sull´immagine di destinazione. Le immagini possono essere anche di diversi tipi.

attention Attenzione

Per riprendere il tempo dall´immagine da aprire nel Runtime, il seguente intervallo di tempo deve essere selezionato nell´Editor per la funzione di cambio immagine per la Lista di informazione allarmi o la Lista Eventi Cronologica alla voce Filtro tempo: Imposta filtro come filtro temporale.

Definizione di apertura

Le seguenti condizioni devono essere soddisfatte per fare sì che i filtri impostati siano anche utilizzabili:

  1. Come intervallo di tempo per il filtro tempo, si sceglie Imposta filtro come filtro temporale.
  2. L´immagine (del tipo Filtro Lista di informazione allarmi, Filtro Lista eventi cronologica oppure Filtro tempo/lotto) viene attivata usando un pulsante oppure un elemento combinato. Solo così si può garantire la relazione fra immagine filtro e immagine sorgente.
  3. L´immagine sorgente e quella filtro devono essere progettate su diversi modelli o monitor. Solo se l´immagine sorgente è aperta, può essere aggiornato il filtro per l´immagine filtro. Ciò è possibile solamente se le due immagini non utilizzano lo stesso modello o lo stesso monitor.
  4. L´immagine che apre deve essere compatibile con l´immagine filtro che si vuole aprire (vedi tabella).
Immagine sorgente | Filtro AML | Filtro CEL | Filtro tempo
Post-elaborazione archivio | T | T | T
Trend esteso | T | T | T
Filtro tempo | T | T | X
Filtro lista informazione allarmi | X | C | T
Filtro CEL | C | X | T
Lista di informazione allarmi | X | C | T
Lista Eventi Cronologica (CEL) | C | X | T

Legenda:

  • C: le impostazioni comuni vengono attualizzate.
  • T: le impostazioni temporali vengono aggiornate.
  • X: tutte le impostazioni vengono attualizzate.

info Informazioni su

Nessun filtro

L´immagine filtro non viene filtrata, ma aperta con i valori configurati, se:

  • Una delle condizioni da 1 a 3 è soddisfatta, oppure
  • L´impostazione Richiama immagine della funzione Cambio immagine non è attiva oppure
  • L´immagine non viene chiamata tramite un elemento ad immagine

In questo caso, i pulsanti Accetta, Chiudi e Aggiorna sono visualizzati in color grigio (inattivi) e non sono utilizzabili.


Definire eventi per la CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Definire eventi per la CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Definite quali eventi devono essere messi a protocollo nella Lista eventi cronologia servendovi di:

  1. proprietà del gruppo Abilita log nel nodo Lista eventi cronologica (CEL) delle proprietà di progetto
    • Elimina Allarme
    • Ripristino allarmi
    • Funzioni settaggio valore
    • Dichiarazione ricette
    • Modifica ricette
    • Inserimenti nell'archivio
    • Esportazione Archivi [h]
  2. Proprietà delle variabili
    • Allarmi/CEL nel gruppoValori limiti
    • Gruppo Salvataggio in CEL nel nodo Setta valore impostabile

Protocolla modifiche di valori impostabili

È possibile effettuare delle modifiche di valori impostabili usando diversi meccanismi. Essi vengono poi protocollati nella CEL a seconda di impostazione e modulo.

Parametri

Descrizione

Registrazione di Imposta valore impostabile Settare valore impostabile

Per ogni variabile, si può definire la registrazione di modifiche di valori impostabili. Per far ciò, avete a disposizione nella proprietà Abilita log del gruppo Setta valore impostabile le seguente opzioni:

Tutte: Vengono registrate tutte le modifiche effettuate tramite elementi dinamici e la funzione Settare valore impostabile.

Nessuna: Le modifiche non vengono protocollate.
Solo tramite elementi dinamici: Solo se si setta il valore impostabile tramite elementi dinamici un corrispondente inserimento viene messo a protocollo, non se la modifica avviene attraverso la funzione Settare valore impostabile.

Vecchio e nuovo valore

Con alla proprietà Vecchio e nuovo valore definite se deve essere messo a protocollo solo il nuovo valore o anche il vecchio.

Questa proprietà ha effetto anche sulla scrittura di valore impostabile via:

  • Elemento dinamico
  • Funzione Setta valore impostabile
  • Scrittura di valore impostabile tramite VBA

Settare valore impostabile tramite VBA

Se si attiva la funzione Settaggio dati tramite VBA, le modifiche apportate al valore impostabile tramite VBA vengono protocollate nella CEL.

Ricette standard e Manager gruppi ricette

Per quello che concerne le Ricette standard e il Manager gruppi ricette, il protocollaggio viene gestito mediante le proprietà del gruppo Abilita log nel nodo Lista eventi cronologica (CEL).

PFS / Schedulatore

Il Production Facility Scheduler e lo Schedulatore protocollano tutte le modifiche di valori impostabili nella lista eventi cronologica. Questa impostazione non è configurabile.

Nota: Viene protocollato solamente il nuovo valore. Non si tiene conto della proprietà Lista eventi cronologica (CEL).

Noch in diesem Kapitel

Controlla Scrivi valore impostabile

Lunghezza di testo statico di valore limite CEL


Controlla Scrivi valore impostabile

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Definire eventi per la CEL -> Controlla Scrivi valore impostabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando vengono scritti dei valori, ognuno di essi riceve un bit di stato. Se la scrittura viene effettuata con successo, viene settato anche il bit di stato corrispondente:

  • WR-ACK

    Il driver ha ricevuto un valore da scrivere.

  • WR-SUC

    Valore 1: Scrittura avvenuta con successo.

    Valore 0: Scrittura non effettuata con successo. Non è stato possibile settare il valore.

info Informazioni su

Nel caso di una ricarica del progetto o di un cambio server-standby, le segnalazioni di ritorno in attesa o le conferme di scrittura vengono rifiutate.

Questa combinazione di valori di stato permane finché non viene inizializzata una nuova modifica di valore. Poi entrambi gli stati sono settati su 0, finché il procedimento di scrittura non è concluso. Per la valutazione, nella matrice di reazione deve essere interrogata questa combinazione di bit:

WR-ACK, WR-SUC

Risultato:

  • WR-ACK 1, WR-SUC 1: Procedimento scrittura avvenuto con successo.
  • WR-ACK 1, WR-SUC 0: Procedimento scrittura avvenuto senza successo.

attention Attenzione

Il meccanismo verifica solamente se il processo di scrittura su PLC si è concluso con o senza successo. Ciò non significa, che il valore sia stato modificato effettivamente nel PLC, poiché esso può resettare/sovrascrivere il valore immediatamente. (Per esempio nella scrittura su output o transient bit, che vengono settati solamente a breve termine.)

Moduli

Questo meccanismo può essere usato con i seguenti moduli:

  • Funzione Setta valore impostabile Attivare opzione Attendi conferma scrittura nel dialogo di configurazione della funzione.
  • Ricette standard: Attivare proprietà Scrittura sincrona .
  • Manager gruppi di ricette: Attivare proprietà Scrittura sincrona.
  • Comandi

Inserimento nella CEL

  • Funzione Settare valore impostabile

    Per l´inserimento nella CEL, si deve attivare nelle proprietà di progetto, e più precisamente al nodo Lista eventi cronologica (CEL). la proprietà Funzioni settaggio valore. Ogni volta che si esegue la funzione, viene scritta nella CEL risposta positiva o negativa.

  • Ricette standard e Manager gruppi ricette

    Per l´inserimento nella CEL si usa una variabile di sistema, che passa a 1 nel caso la ricetta sia stata depositata con successo. Una variabile globale viene analizzata sul server, una locale sul client; questo per verificare quando è stata completata la scrittura dell´ultima ricetta eseguita.
    Con queste variabili si può generare un inserimento CEL per i valori limite o per le Matrici di reazione. La richiesta avviene con una matrice di reazione multianalogica o una multibinaria.


Lunghezza di testo statico di valore limite CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Definire eventi per la CEL -> Lunghezza di testo statico di valore limite CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´aiuto di questa proprietà Lunghezza testo statico per valori limiti CEL potete stabilire di quanti caratteri può consistere il testo di segnalazione nella CEL. Per ogni file CEL viene memorizzata la lunghezza permessa del testo di segnalazione nell´header. La modifica di questa proprietà avrà effetto solo quando viene generato un nuovo file CEL.

Nota: In caso di dBase-Export, la lunghezza è limitata a 254 caratteri.

CEL.BIN e rete

Nel file CEL.BIN sono salvati dei testi di segnalazione come stringhe dalla lunghezza variabile i quali vengono poi trasmessi in rete. Il che significa che gli inserimenti CEL che provengono dal buffer circolare non sono limitati in quanto alla lunghezza indipendentemente dalla proprietà Lunghezza testo statico per valori limiti CEL.


Progettazione CEL mediante filtri

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progettate le caratteristiche della visualizzazione degli eventi durante il Runtime servendovi dei filtri. Avete diverse possibilità di farlo:

  1. definire le informazioni che, durante il Runtime, devono essere visualizzate nella CEL:
    in tal modo stabilite quali informazioni devono essere visualizzate in relazione ad un determinato evento.
    Vedi i dettagli: impostazioni colonna per la Lista eventi cronologica.
  2. filtrare eventi per la CEL quando essa viene aperta e modificarli nel Runtime:
    In tal modo predefinite dei filtri, date all´operatore che lavora con il macchinario la possibilità di definirne dei propri.
    Per i dettagli sull´argomento vedi: Filtri per cambio ad immagine CEL.
  3. Definire in modo fisso filtri per il Runtime:
    In tal modo create dei filtri pensati per rispondere alle esigenze del loro uso concreto e nascondete i criteri di filtro non utili.
    Per i dettagli sull´argomento vedi: Filtri per cambio ad immagine CEL Filtro.

Attenzione: Nell´operazione di filtro, la virgola (,) serve "solo" da separatore fra diverse variabili da filtrare. La virgola non è un carattere consentito come criterio di filtro per i nomi variabili!
Ciò significa che non è possibile un filtro speciale per variabili array Dim 2 e Dim 3.

Noch in diesem Kapitel

Impostazioni colonna per la Lista eventi cronologica.

Filtri per cambio ad immagine CEL.

Filtri per cambio ad immagine CEL Filtro.


Impostazioni colonna per la Lista eventi cronologica.

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Impostazioni colonna per la Lista eventi cronologica.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quali informazioni devono essere visualizzate durante il Runtime nella CEL e anche esportate, lo stabilite nelle impostazioni colonne. Queste ultime le configurate nelle proprietà della Lista Eventi Cronologica nel progetto:

  1. Aprite il nodo Lista eventi cronologica (CEL) delle proprietà di progetto.
  2. Cliccate sulla proprietà Impostazioni colonna CEL
  3. Si aprirà il dialogo per le Impostazioni collona
  4. Configurate le colonne desiderate.
    Nota: Nella configurazione del cambio immagine, questa impostazione viene ripresa come Default e può essere modificata e adattata alle esigenze individuali nella scheda impostazioni di colonna.
  5. Nota: per il calcolo della larghezza delle colonne, il sistema si riferisce alla larghezza media del carattere scelto.

info Informazioni su

Nelle impostazioni di progetto, potete adottare un´impostazione di default per la successione e la grandezza delle colonne facendo uso della proprietà Impostazione colonna AML oppure Impostazioni colonna CEL. Se impostate una nuova funzione del tipo Cambio immagine verso un´immagine del tipo Lista di informazioni allarmi oppure Lista eventi cronologica, viene usata questa impostazione di default, che può essere modificata nella scheda corrispondente. L´impostazione viene salvata nel file project.ini.

Configurazione colonne

Parametro

Descrizione

Colonne

Nella listbox di questa scheda vengono visualizzati tutti i tipi di colonne che sono a Vostra disposizione.

Modificate la successione dei tipi di colonna servendovi del Drag&Drop all´interno della lista:

  • cliccate nella colonna Tipo colonna
  • spostate i singoli inserimenti come desiderate

In alternativa, potete adattare la successione facendo uso del pulsante Sposta in alto l´inserimento selezionato e Sposta in basso l´inserimento selezionato.
  • Checkbox:

selezione del tipo di colonna che deve essere visualizzato.
  • Descrizione:

inserimento testo libero per la descrizione della colonna.

Modifica descrizione: cliccate con il tasto sinistro del mouse sull´area corrispondente. Inserite nel campo di editazione il valore desiderato.

Nota: per la descrizione delle colonne, è a Vostra disposizione il cambio lingua di zenon.
  • Larghezza colonne:

definisce la larghezza della colonna in caratteri.

Modifica larghezza colonna: cliccate con il tasto sinistro del mouse sull´area corrispondente. Inserite nel campo di editazione il valore desiderato.
-1: La larghezza viene calcolata durante il Runtime sulla base della larghezza media del carattere.

Nota: per ragioni di compatibilità, le colonne, la cui larghezza non poteva essere modificata in precedenti versioni di zenon (indicazioni di tempo), ricevono il valore di -1.

  • Visualizzazione:

per i tipi di colonna

  • Simbolo classe allarme/eventi
  • Simbolo gruppo allarmi/eventi
  • Stato di Allarme

la forma della visualizzazione è selezionabile durante il Runtime. Selezionate la forma desiderata fra quelle della lista a cascata.

Sposta elemento verso l'alto

Sposta l´inserimento selezionato di una posizione verso l´alto.

Sposta elemento verso il basso

Sposta l´inserimento selezionato di una posizione verso il basso.

Campo anteprima

Mostra le colonne selezionate con la larghezza definita.

Potete adattare anche le larghezze delle colonne cliccando con il tasto sinistro del mouse a destra sulla fine di una colonna; tenendo premuto il tasto del mouse, poi, dovete spostarlo o a destra o a sinistra fino a raggiungere la larghezza desiderata.

Impostazioni di tabella

Ordinamento decrescente

Ordina gli inserimenti nella lista sulla base della colonna Tempo entra in successione decrescente. Questa impostazione vale per l´apertura dell´immagine.
Potete modificare l´ordine di successione cliccando sulla testa della colonna. La successione usata al momento viene visualizzata mediante una freccia posizionata sulla testa della colonna.

Mostra griglia

Mostra una griglia nella rappresentazione della lista nel runtime.

Usa un colore di sfondo alterno

Usa alternativamente il Colore Linea 1 e il Colore Linea 2 come colore di sfondo per la lista nel runtime.

Colore Linea 1

Colore che viene usato come colore di sfondo per tutte le righe dispari (1, 3, 5 ecc.) della lista nel runtime, se avete attivato Usare colore di sfondo alternativamente.

Colore Linea 2

Colore che viene usato come colore di sfondo per tutte le righe pari (2, 4, 6 ecc.) della lista nel runtime, se avete attivato Usare colore di sfondo alternativamente.

Visualizza nelle colonne tempo

Ora

Mostra il tempo di un inserimento nella lista nella seguente forma: HH:MM:SS

Data

Mostra la data di un inserimento nella lista nella seguente forma: TT:MM:JJJJ

Millisecondi

Estende l´inserimento di tempo ai millisecondi.

Nota: deve essere attivata se si vuole un´emissione in millisecondi di export o stampe.

Suggerimento: Se attivate la keyboard automatica nel runtime, essa viene aperta al momento della comparsa del campo destinato ad apportare le modifiche. Facendo uso di tale keyboard, potete anche configurare le colonne anche se usate un computer senza tastiera.

attention Attenzione

La larghezza delle colonne viene indicata in caratteri ed è dipendente dal tipo di carattere utilizzato.

Se la larghezza della colonna non corrisponde ad un multiplo di quella del carattere utilizzato, ci possono essere delle anomalie per quello che concerne la larghezza reale della colonna. La conseguenza di ciò può essere che il testo non sia visualizzato in modo completo, sia tagliato, oppure si venga a creare uno spazio vuoto.

Soluzione: Usate font con una larghezza di carattere fissa.


Filtri per cambio ad immagine CEL.

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con i filtri stabilite quali eventi devono essere visualizzati durante il Runtime e quali devono essere invece nascosti. I filtri possono essere definiti nell´Editor e - a seconda di quanto fissato nell´Editor - nel Runtime.

Per adattare la selezione dei filtri nel Runtime alle esigenze dell´operatore, usate invece che l´immagine Lista eventi cronologica, un´immagine del tipo Lista eventi cronologica Filtro.

Per impostare un cambio immagine per passare ad un´immagine del tipo Lista eventi cronologica:

  1. create una funzione Cambio immagine per passare ad un´immagine del tipo Lista eventi cronologica
  2. verrà aperto il dialogo filtro che presenta diverse schede con criteri di filtro:
    • Generale
    • Ora
    • Lotto
    • Impostazioni colonna
    • Testo
    • Imposta stati
    • Progetto (è a disposizione solamente nel Progetto di integrazione del Progetto multiuser.)
    • Progettazione impianto

Se ci sono variabili o indici collegati, c´è anche la possibilità di visualizzare le seguenti schede:

  • Sostituisci collegamenti
  • Sostituisci indici

Per i dettagli, Vi invitiamo a leggere nella guida dedicata alle Immagini i capitoli Sostituisci collegamenti di variabili e funzioni e Simboli.

Noch in diesem Kapitel

Generale

Ora

Lotti

Impostazioni di colonna

Testo

Imposta stati

Progetto

Definizione di impianto


Generale

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il filtro generale stabilite quali eventi debbano essere visualizzati e quale accesso avrete durante il Runtime all´impostazione. Differenziate gli eventi sulla base di:

  • Tipo
  • Sorgente dati
  • Variabili
  • Gruppi allarmi/eventi, classi e aree allarmi.

Sono disponibili le seguenti proprietà:

Filtro variabili

Parametri

Descrizione

Filtro variabili

Limitazione agli eventi di determinate variabili

Nome variabile

Inserite il nome o la parte del nome delle variabili sulla base di cui deve essere effettuata l´operazione di filtro.

L´uso della wildcard * è possibile. Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Nota: I termini filtro inseriti nel Runtime o nell´Editor vengono salvati automaticamente anche sul calcolatore locale nello zenon6.ini e sono disponibili nella lista a discesa dove potranno essere selezionati per l´uso.

Attenzione: Nell´operazione di filtro, la virgola (,) serve "solo" da separatore fra diverse variabili da filtrare. La virgola non è un carattere consentito come criterio di filtro per i nomi variabili!
Ciò significa che non è possibile un filtro speciale per variabili array Dim 2 e Dim 3.

Identificazione

Indicate l´identificazione oppure la parte d´identificazione sulla base della quale volete effettuare l´operazione di filtro. Wildcard * è possibile.

L´uso della wildcard * è possibile. Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Nota: I termini filtro inseriti nel Runtime o nell´Editor vengono salvati automaticamente anche sul calcolatore locale nello zenon6.ini e sono disponibili nella lista a discesa dove potranno essere selezionati per l´uso.

Rispetta Maiusc./Minusc.

Attivo: si tiene presente la scrittura maiuscola e minuscola al momento di effettuare il filtro sulla base dei nomi o/e delle identificazioni variabili.

Impostazioni Runtime

Parametri

Descrizione

Impostazioni Runtime

Comportamento della CEL durante il runtime.

Apri lista bloccata

Attivo: Finché la lista viene visualizzata, non vengono aggiunti nuovi inserimenti.

(Non è disponibile per la funzione esporta CEL.)

Mostra tempo relativo

tutti gli inserimenti vengono visualizzati in intervallo di tempo in relazione all'inserimento selezionato.

Il tempo indicato è l'intervallo che è passato dall'evento selezionato. L'inserimento selezionato riceve automaticamente il "time-stamp" 0. Gli altri eventi hanno una:

  • differenza di tempo positiva rispetto all´inserimento selezionato se hanno avuto luogo più tardi
  • differenza di tempo negativa rispetto all´inserimento selezionato, se hanno avuto luogo più tardi

Proponi dialogo a Runtime

Attivo: Prima di ogni apertura dell´immagine viene aperto il dialogo di filtro. Le impostazioni di filtro possono essere modificate. Quest´opzione non è disponibile sotto Windows CE.
Attenzione: Se nella scheda Lotti si seleziona anche l´opzione Mostra dialogo di selezione lotti, quest´ultimo verrà aperto nel Runtime. Esso non verrà più visualizzato nel caso di un reload.

Indicazioni per il filtro intervallo di tempo:

Proponi dialogo a Runtime attivo:

  • Il filtro viene aperto nel Runtime con un cambio immagine. All´aggiornamento del progetto, il filtro non verrà più offerto. Questo comportamento può differire con i singoli tipi di immagine, se il dialogo è stato visualizzato e poi chiuso con il cambio immagine.
  • Si usa sempre l´ultimo intervallo di tempo concluso.

Proponi dialogo a Runtime non attivo:

  • Utilizza ultimo intervallo di tempo concluso non attivo: Si usa l´ultimo intervallo di tempo concluso.
  • Utilizza ultimo intervallo di tempo concluso non attivo: Si usa l´intervallo di tempo attuale.

Sostituisci dialogo a Runtime con l'immagine

Definizione di un´immagine che deve essere aperta nel Runtime al posto della finestra di dialogo se l´opzione Proponi dialogo a Runtime è attiva. Vengono proposte solamente immagini del tipo Filtro CEL o Filtro Tempo.

Cliccare sul pulsante ... per aprire la finestra di dialogo che serve alla selezione di un´immagine.

Se non si trova l´immagine collegata a Runtime, il sistema cerca le immagini corrispondenti con nomi specifici.

Sorgente dati

Visualizzazione di eventi attuali o attuali e storici.

Buffer circolare

Attivo: Vengono visualizzati solamente i dati provenienti dal Buffer circolare .

Dati storici
Numero massimo

Attivo: Vengono visualizzati i dati provenienti dal buffer circolare e quelli storici della CEL.

Il numero massimo dei dati da visualizzare include quelli provenienti dal buffer circolare.

Gruppi/Classi- allarmi/eventi, Aree d' allarme

Parametri | Descrizione
Gruppi/Classi- allarmi/eventi, Aree d' allarme | Selezione di gruppi, classi e aree allarmi.
Gruppi di allarmi/evento | Selezionate nella lista dei Gruppi allarmi/eventi esistenti quelli da cui devono provenire gli allarmi da visualizzare.
Classi di allarme/evento | Selezionate nella lista delle Classi allarmi/eventi esistenti quelli da cui devono provenire gli allarmi da visualizzare.
Aree allarmi | Selezionate nella lista delle Aree allarmi esistenti quelli da cui devono provenire gli allarmi da visualizzare.

Filtro per messaggi di sistema

Parametri

Descrizione

Filtro per messaggi di sistema

Impostazioni di filtro per le segnalazioni di sistema. Le segnalazioni di sistema sono segnalazioni senza riferimento a variabili.

Escludi messaggi di sistema dal filtro

Impostazione per la visualizzazione di segnalazioni di sistema indipendentemente dalle impostazioni di filtro.

  • Attivo: Nel Runtime, le segnalazioni di sistema vengono sempre visualizzate. Ciò vale anche quando dovrebbero essere escluse dal filtro testo o di variabile.
    Esempio: Devono essere visualizzate solamente segnalazioni con il testo "XY". Nel caso in cui questa opzione sia stata attivata, però, verranno visualizzate anche le segnalazioni di sistema che non contengono questo testo.

Eccezioni:

  • Le segnalazioni di sistema, però, non vengono visualizzate nonostante il checkbox sia attivo, quando vengono escluse dal Filtro tempo, oppure dai filtri per l´Origine dei dati (buffer circolare oppure dati storici).
  • Le segnalazioni di sistema vengono visualizzate sempre, indipendentemente da questa impostazione, quando il sistema filtra per modelli di impianto.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

attention Attenzione

Riguarda zenon sotto Windows CE: I sistemi CE su cui deve essere visualizzato il dialogo di filtro, devono disporre di una risoluzione maggiore a 800*600 pixel, per far sì che il dialogo possa essere rappresentato nella sua completezza.


Ora

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Ora

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I filtri tempo vi consentono di limitare il numero di dati da visualizzare ed esportare. I filtri tempo possono essere usati in modo flessibile e possono essere impostati nell´editor, ma possono essere anche adattati nel runtime.

Nota: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

I filtri tempo possono sia essere pre-impostati nell´Editor, che modificato poi nel Runtime:

  • Periodo assoluto
  • Periodo relativo
  • Da
  • Intervallo tempo

Il filtraggio tempo può essere realizzato in due modi:

  1. Indica intervallo di tempo nell´Editor
    Si usano intervalli di tempo fissi. nell´editor viene indicato in intervallo tempo. Nel runtime si può effettuare il filtraggio solo sulla base di questo intervallo di tempo. Anche altri filtri (per es. filtri per nomi variabile, gruppi e classi allarmi/eventi ecc) non sono più modificabili durante il Runtime.
  2. Filtro tempo adattabile durante il Runtime
    Vengono utilizzati tempi predefiniti. Il filtro tempo viene impostato nell´editor e può essere modificato a piacere nel runtime.

Filtro tempo

Filtro

Scelta del filtro.

Parametro

Description (Descrizione)

Nessun filtro tempo

Attivo: Non viene usato nessun filtro temporale.

Nota: Nel Runtime verranno visualizzati tutti gli inserimenti a partire da 1. 1. 1990.

Filtro assoluto

Attivo: Viene indicato un periodo di tempo fisso nell´editor. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato.

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Periodo relativo

Attivo: Viene indicato un periodo di tempo relativo.

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attivo: Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione dell´area fra quelle della lista a cascata:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo tempo

Attivo: Viene indicato un intervallo di tempo fisso. Selezione dell´area fra quelle della lista a cascata:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 Minuti
  • 30 Minuti
  • 60 Minuti

Nel settore "Impostazioni"vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudi finestra di dialogo

Parametro | Description (Descrizione)
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Noch in diesem Kapitel

Periodo assoluto

Periodo relativo

Da

Intervallo tempo

Indicare intervallo nell´editor

Filtro tempo adattabile durante il Runtime


Periodo assoluto

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Ora -> Periodo assoluto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Periodo assoluto

Con il filtro assoluto definite un intervallo di tempo fisso. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato. Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione periodo assoluto
  2. configurate il tempo desiderato nella parte delle Impostazioni

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attivo: Il filtro tempo viene configurato nel Runtime.
Default | Attivo: Il filtro tempo viene indicato nell´Editor. Nel Runtime si può fissare solamente il punto di partenza del filtro.
Da | Punto di partenza del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.
Fino a | Tempo di chiusura del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Periodo relativo

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Ora -> Periodo relativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Periodo relativo

Viene indicato un periodo di tempo relativo.

Attenzione: questo filtro viene costantemente aggiornato e continua a funzionare.
Esempio: impostate un tempo relativo di 10 minuti e aprite alle ore 12:00 un´immagine con questo filtro tempo. In questo caso, verrano visualizzati i dati dalle 11:50 alle 12:00 al momento dell´apertura dell´immagine. Se l´immagine rimane aperta, il filtro viene aggiornato automaticamente. Alle 12:01 vedrete i dati dalle 11:51 alle 12:01 ecc.

Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione periodo relativo
  2. configurate il tempo desiderato nella parte delle Impostazioni

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attivo: Il filtro tempo viene configurato nel Runtime.
Default | Attivo: Il filtro tempo viene indicato nell´Editor. Nel Runtime si può fissare solamente il punto di partenza del filtro. Selezione dell´intervallo tempo relativo in giorni, ore, minuti e secondi.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Intervallo tempo

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Ora -> Intervallo tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Intervallo tempo

Viene definito un intervallo di tempo nell´ambito del quale il filtro è attivo. Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione intervallo di tempo
  2. configurate il tempo desiderato nella parte delle Impostazioni

Parametro

Descrizione

Impostazioni

Configurazione del filtro di tempo.

Intervallo tempo

Selezione di un intervallo di tempo fra quelli proposti dal menù a tendina.

Nel Runtime si effettuerà un´operazione filtro sulla basa di questo intervallo di tempo. Il filtro si riferirà al momento dell´apertura dell´immagine.
Ad esempio: Il valore 60 minuti mostra tutti gli archivi dell´ultima ora.

Se questo dialogo viene offerto anche nel Runtime, si può selezionare il punto da cui deve incominciare a decorrere l´intervallo di tempo.

Modifica intervallo di tempo

Consente degli adattamenti del ciclo, spostamenti ed estensioni degli intervalli di tempo.

Attivo: L´analisi avviene secondo il seguente schema:

  • in primo luogo viene analizzata l´opzione Usa l´ultimo intervallo di tempo terminato.
  • Poi viene applicato Modifica periodo di.
  • Poi viene applicata l´opzione Spostamento intervallo avanti di.

Inattivo: non viene effettuata nessuna modifica all´intervallo di tempo.

Attenzione: A partire dalla versione 7.10, le azioni di filtro effettuate sulla base di questa funzione hanno prodotto altri esiti che nelle versioni precedenti.

Spostamento intervallo avanti di

Attivo: L´intervallo di tempo definito nel filtro viene spostato in avanti, nel futuro. Indicazione in ore - minuti - secondi.

Se si imposta uno spostamento pari o maggiore all´intervallo di tempo selezionato, il sistema visualizzerà una segnalazione che invita a verificare i dati della progettazione.

Modifica periodo di

Attivo: L´intervallo di tempo definito nel filtro viene modificato. Indicazione in ore - minuti - secondi.

Se si imposta una modifica e uno spostamento pari o maggiore all´intervallo di tempo selezionato, il sistema visualizzerà una segnalazione che invita a verificare i dati della progettazione.

Aggiungi tempo

Attivo: Il tempo indicato nell´opzione Modifica periodo di viene aggiunto a quello definito nell´opzione intervallo di tempo.

Sottrai tempo

Attivo: Il tempo indicato nell´opzione Modifica periodo di viene sottratto a quello definito nell´opzione intervallo di tempo.

Utilizza ultimo intervallo di tempo concluso

Attivo: Viene usato l´ultimo intervallo di tempo concluso.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Indicare intervallo nell´editor

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Ora -> Indicare intervallo nell´editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Indicare intervallo nell´editor

Con questo metodo, indicate nell´editor già un intervallo di tempo fisso, che viene usato al momento dell´esecuzione della funzione nel runtime. Nel Runtime potete solamente fissare il punto temporale di partenza, ma non potete modificare alcuna impostazione di filtro.

Ad esempio: mettiamo che abbiate inserito un filtro tempo di 30 minuti. Nel runtime, potete solamente stabilire quando deve incominciare questo periodo di 30 minuti. Ma non potete neanche modificare il filtro in un filtro giorno.

attention Attenzione

Se usate questo tipo di filtro, non potete più adattare durante il Runtime anche tutti gli altri filtri che sono disponibili nella scheda Generale! Continua ad essere possibile filtrare sulla base di testo, stato e impianto.

Per impostare il filtro:

  1. nell´immagine deve essere disponibile il pulsante Filtro al fine di poter avviare il filtro stesso nel Runtime.
  2. selezionate il filtro desiderato
  3. configurate l´intervallo di tempo selezionato

Suggerimento per l´intervallo di tempo: attivate nel dialogo filtro l´opzione Proponi dialogo a Runtime. In tal modo potete adattare il punto temporale di partenza già prima dell´esecuzione della funzione. se non vi fate visualizzare il filtro al momento dell´apertura della funzione nel Runtime, verrà usato sempre l´intervallo di tempo attuale. Se avete attivato l´opzione Usa l´ultimo intervallo di tempo terminato, viene visualizzato l´ultimo intervallo di tempo.
Per esempio: mettiamo che abbiate impostato un filtro di 30 minuti. Quando si attiva la funzione sono le 10:45. Nel caso in cui l´opzione Usa l´ultimo intervallo di tempo terminato non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Nel caso in cui, però, l´opzione dovesse essere attiva, il filtro viene settato all´intervallo di tempo precedente dalle 10:00:00 alle 10:29:59.


Filtro tempo adattabile durante il Runtime

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Ora -> Filtro tempo adattabile durante il Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Filtro tempo adattabile durante il Runtime

Se seguite questo metodo, definite nell´Editor un filtro tempo: esso può essere adattato durante il Runtime prima di essere eseguito. Per impostare il filtro:

  1. nell´immagine devono essere presenti i pulsanti Filtro e Mostra filtro
  2. selezionate il filtro desiderato:
    • Periodo assoluto
    • Periodo relativo
  3. selezionate alla voce Impostazioni l´opzione Proponi data e ora attuale
  4. nel Runtime, verrà aperto il dialogo di filtro con la data e l´ora attuali.


Lotti

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Lotti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda configurate la riduzione della visualizzazione a determinati lotti. L´informazione lotti viene usata in aggiunta al filtro esistente. Se il filtro lotti è attivo, al momento del caricamento della Lista Eventi Cronologica (CEL) nel Runtime il sistema va a prendere dal server archivi una lista di tutti i lotti progettati in questa sede che corrispondono all´intervallo configurato.

Attenzione: Tutte le variabili e l´archivio lotti appartenenti ad un impianto devono essere collegati con l´impianto stesso nel modello di impianto.

info Informazioni su

Alcuni filtri in zenon possono essere configurati indipendentemente l´uno dall´altro nell´Editor e poi combinati a Runtime. Con il filtro lotto, questo è possibile solo fino ad un certo punto.

Il filtro lotto può offrire a Runtime una lista dei lotti esistenti. Si tratta di dati Runtime che non sono disponibili nell´Editor. .

Quando si configura il cambio immagine nell´Editor, si può usare la scheda Filtro tempo in combinazione con il filtro lotto solo come filtro preliminare per la finestra di dialogo di selezione lotti. Quando poi si seleziona un lotto di questa lista a Runtime, il filtro tempo viene sovrascritto con i dati del lotto selezionato per ottenere così un filtro esatto per il lotto selezionato.

Questo significa: quando si usa il dialogo di selezione lotti a Runtime e si seleziona un lotto, il filtro tempo non corrisponde a quello configurato nell´Editor.

Filtro

Impostazioni per l´uso del filtro lotti. Selezione di una delle opzioni:

  • Nessun filtro lotti
  • Usa direttamente filtro lotti
  • Visualizza dialogo di selezione lotto
    Nota: quando il filtro lotti viene visualizzato come finestra di dialogo, è possibile eseguire un filtro preliminare sulla base delle identificazioni archivi. Si raccomanda espressamente di utilizzare questa possibilità di filtro preliminare per migliorare le prestazioni.

Parametri

Descrizione

Nessun filtro lotto
  • Attivo: il filtro lotti viene disattivato e non può essere configurato. A Runtime non verrà eseguito un filtro sulla base dei lotti.

Applica direttamente filtro lotto
  • Attivo: il filtro configurato qui verrà utilizzato direttamente a Runtime.

Nota: non è possibile farsi visualizzare tutti i lotti in una lista e selezionarne uno manualmente. Se si vuole che venga visualizzato un determinato lotto, si deve configurare in modo corrispondente il filtro per archivi, nome e tempo. Questo presuppone una conoscenza esatta dei dati esistenti. In alternativa, si raccomanda di selezionare l´opzione Visualizza dialogo di selezione lotto.

Visualizza dialogo di selezione lotto

Attivo: a Runtime, la finestra di dialogo per la selezione lotti viene visualizzata:

  • Cliccando su Filtro, oppure
  • Con un cambio immagine, se è stata attivata l´opzione Proponi dialogo a Runtime (non disponibile per ogni funzione/ogni tipo di immagine)
    Nota: la finestra di dialogo non verrà visualizzato in caso di reload.

Le opzioni possono essere preselezionate nell´Editor.

Sostituisci dialogo a Runtime con l'immagine

Disponibile solo se è stata selezionata l´opzione Visualizza dialogo di selezione lotto.

Definizione di un´immagine che deve essere aperta a Runtime al posto del Dialogo di selezione lotto. Vengono proposte alla selezione solamente immagini di tipo Filtro tempo/lotto.

Cliccare sul pulsante ... per aprire la finestra di dialogo che serve alla selezione di un´immagine.

Se non si trova l´immagine collegata a Runtime, il sistema cerca le immagini corrispondenti con nomi specifici.

Nota: si può selezionare un´immagine "Filtro lotto" anche utilizzando l´opzione Proponi dialogo a Runtime. Questa immagine, però, non viene usata qui come filtro lotto, ma come filtro tempo. Le opzioni "filtro lotto" non vengono applicate correttamente in questa posizione.

Selezione lotto relativo

Attenzione: questa opzione è disponibile solamente per il Trend esteso. Con faceplate, quest´opzione viene visualizzata per tutti i tipi di immagine; anche qui, però, è disponibile solamente per il modulo ETM.

Configurazione per ETM:

Questa opzione è disponibile se l´opzione Visualizza dialogo di selezione lotto è attiva e se la proprietà Progetto WindowsCE è disattivata nelle proprietà di progetto.

  • Attivo: consente un confronto diretto di diversi lotti. La rappresentazione parte sempre dal punto zero.

Visione generale della implementazione della configurazione a Runtime:

Ora

Configurazione del filtro tempo per la selezione lotti. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Ultimo lotto
  • Applica filtro tempo dalla scheda "Tempo"

Parametri

Descrizione

Nessun filtro
  • Attivo: non si tiene conto dell´intervallo di tempo impostato nella scheda Ora. Verrano visualizzati tutti i lotti conclusi e ancora attivi.

Ultimo lotto

Attenzione: questa opzione funziona solo in combinazione con l´opzione Applica direttamente filtro lotto.

Consente la combinazione di Visualizza lotto corrente e Visualizza lotti conclusi. Almeno una di queste due opzioni deve essere attivata. Se sono entrambe disattivate, questo corrisponde all´impostazione Nessun filtro.

  • Attivo: inserimento del numero dei lotti conclusi di recente sulla base dei quali deve essere effettuata l´operazione di filtro. Inserimento del numero nel campo numerico, oppure configurazione mediante tasti frecce.

Esempio: il valore inserito per questa opzione è 3. Ci sono 2 lotti correnti e 10 sono conclusi. In questo caso il sistema visualizzerà i due lotti correnti e uno di quelli conclusi.

Nota: come intervallo di tempo per i lotti correnti, non viene utilizzato il valore impostato nel filtro tempo, ma l´ultimo anno. Questo filtro non viene eseguito come filtro preliminare, e non può essere dunque usato per avere un miglioramento delle performance.

Informazioni sulla compatibilità:
Se il progetto viene compilato per una versione precedente alla 7.11, vale quanto segue: se si selezionano i lotti correnti, oppure la combinazione fra lotti correnti e conclusi, saranno visualizzati a Runtime solamente i lotti chiusi.

Visualizza lotto corrente
  • Attivo: verrano visualizzati i lotti attivi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti attivi al momento, il sistema mostrerà anche lotti già conclusi finché non sarà raggiunto il limite impostato.
Esempio: devono essere visualizzati 3 lotti. Solamente 1 lotto è attivo, mentre 5 sono stati già chiusi. In questo caso, verranno visualizzati il lotto ancora attivo e 2 di quelli già terminati.

Visualizza lotti chiusi
  • Attivo: vengono visualizzati i lotti conclusi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti conclusi, il sistema mostrerà anche lotti ancora attivi finché non sarà raggiunto il limite impostato.

Applica filtro tempo dalla scheda "Tempo"
  • Attivo: il sistema esegue un filtro preliminare usando le impostazioni della scheda Zeit.

Nell´ambito di questo intervallo di tempo si potrà adattare l´effettivo intervallo del filtro. Selezione dal menù a tendina:

  • Inizio e fine esterni ai limiti del filtro: (Default)
    I lotti possono iniziare prima dell´ora di partenza impostata nel filtro Tempo e terminare dopo il tempo di conclusione configurato.
  • Inizio e fine interni ai limiti del filtro:
    I lotti devono iniziare e finire all´interno dei termini temporali impostati nel filtro Tempo per il loro inizio e la loro fine.
  • Inizio anche precedente al limite filtro:
    I lotti possono iniziare prima dell´ora di partenza impostata nel filtro Tempo, ma devono terminare prima o in corrispondenza del tempo di conclusione configurato.
  • Fine anche successiva al limite del filtro:
    I lotti possono terminare anche dopo il tempo di conclusione configurato nel filtro Tempo, ma devono iniziare dopo o in corrispondenza dell´ora di partenza configurata.
  • Inizio e fine coincidono con i limiti del filtro:
    I lotti vengono ridotti facendo riferimento ai termini temporali fissati per inizio e fine nel filtro Zeit.

Archivi

Configurazione delle impostazioni di filtro per gli archivi. Questo filtro si applica come filtro preliminare per la finestra di selezione lotti.

Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Statico
  • Da variabile

Parametri

Descrizione

Nessun filtro
  • Attivo: non si esegue nessuna operazione di filtro su base nome archivi.

Statico
  • Attivo: si filtrano gli archivi la cui identificazione corrisponde alla successione di caratteri impostata nel campo di inserimento.

Inserimento di identificazioni archivi nel campo di inserimento:

  • Più identificazioni sono divise da una virgola (,).
  • * oppure vuoto: tutti gli archivi, nessun filtro.

Da variabile
  • Attivo: a Runtime viene applicato il valore della variabile collegata qui come filtro per nomi archivi.

Quando si clicca sul pulsante ... si apre la finestra di dialogo che serve alla selezione di una variabile.

Disponibile per tutti i moduli solo se è stata selezionata l´opzione Applica direttamente filtro lotti.

Informazioni concernenti le variabili nel Runtime:

  • Nel Runtime, la selezione variabili viene attivata solamente nel caso in cui si sia proceduto a collegare già nell´Editor una variabile valida. Il pulsante ... non è mai attivo nel Runtime. È dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, essa verrà registrata e letta. Ciò può causare dei ritardi nel caso di connessioni driver e protocolli lenti.

Attenzione: se il sistema non trova la variabile selezionata a Runtime, non verrà eseguito nessun filtro sulla base di nomi archivio. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Nota riguardante l´ETM: nel modulo ETM gli archivi sono determinati dalle curve progettate nel cambio immagine. A Runtime, questo è possibile solamente in combinazione con l´opzione Lotto relativi . Con questa opzione, le variabili devono essere selezionate a Runtime, il che è fissato a sua volta dalla selezione possibile di archivi. Dopo essere stato filtrato, l´archivio deve essere uno di quelli sui quali si basano le curve configurate. In caso contrario non verrà visualizzato nessun dato. Questa impostazione può essere usata anche per limitare le curve visualizzate. Tuttavia queste continueranno ad essere visualizzate nella lista delle curve.

Esempio: ETM.

Curve configurate | Origine dati | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
A | AR | AR | Viene visualizzata nella lista delle curve e disegnata nel Trend.
B | EA |  | Viene visualizzata solamente nella lista delle curve.
C | EP |  | Viene visualizzata solamente nella lista delle curve.

Nota relativa alla post elaborazione archivio: l´archivio per cui viene aperta l´immagine è già selezionato nella funzione di cambio immagine. Visto che si può selezionare solamente un archivio, non ha senso impostare ulteriori limitazioni.

Esempio di post elaborazione archivio:

Archivio configurato | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
AR | EA | Non viene visualizzato nessun dato.

Nomi

Configurazione del filtro dei nomi. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Statico
  • Da variabile

Parametri

Descrizione

Nessun filtro
  • Attivo: non si esegue un filtro sulla base dei nome lotti.

Statico
  • Attivo: si filtrano i nomi lotti che corrispondono alla successione caratteri indicata nel campo di inserimento.

Inserimento del nome lotto nel campo di inserimento:

  • Più identificazioni sono divise da un segno pipe (|).
  • * oppure vuoto: tutti i lotti di tutti gli archivi visualizzati, nessun filtro.

Da variabile
  • Attivo: a Runtime si usa il valore della variabile collegata qui come filtro per i nomi lotti.

Quando si clicca sul pulsante ... si apre la finestra di dialogo per la selezione di una variabile.

Disponibile solo se è stata selezionata l´opzione Applica direttamente filtro lotto.

Informazioni concernenti le variabili nel Runtime:

  • Nel Runtime, la selezione variabili viene attivata solamente nel caso in cui si sia proceduto a collegare già nell´Editor una variabile valida. Il pulsante ... non è mai attivo nel Runtime. È dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, essa verrà registrata e letta. Ciò può causare dei ritardi nel caso di connessioni driver e protocolli lenti.

Attenzione: se non è possibile trovare la variabile selezionata a Runtime, non sarà eseguito nessun filtro dei nomi lotti. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostazioni di colonna

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Impostazioni di colonna

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo dialogo definirete quali colonne volete che siano visualizzate, in quale forma, successione ed ordine.

Nota: tutte le impostazioni che effettuerete in questa tab valgono come impostazioni di default per:

  • Immagine del tipo Lista eventi cronologica
  • Immagine del tipo Lista eventi cronologica Filtro
  • Export in CSV, dBase oppure XML

Queste impostazioni di default possono essere modificate al momento della definizione delle singole funzioni CEL.

info Informazioni su

Nelle impostazioni di progetto, potete adottare un´impostazione di default per la successione e la grandezza delle colonne facendo uso della proprietà Impostazione colonna AML oppure Impostazioni colonna CEL. Se impostate una nuova funzione del tipo Cambio immagine verso un´immagine del tipo Lista di informazioni allarmi oppure Lista eventi cronologica, viene usata questa impostazione di default, che può essere modificata nella scheda corrispondente. L´impostazione viene salvata nel file project.ini.

ColonneParametro

Descrizione

Colonne

Nella listbox di questa scheda vengono visualizzati tutti i tipi di colonne che sono a Vostra disposizione.

Modificate la successione dei tipi di colonna servendovi del Drag&Drop all´interno della lista:

  • cliccate nella colonna Tipo colonna
  • spostate i singoli inserimenti come desiderate

In alternativa, potete adattare la successione facendo uso del pulsante Sposta in alto l´inserimento selezionato e Sposta in basso l´inserimento selezionato.
  • Checkbox:

selezione del tipo di colonna che deve essere visualizzato.
  • Descrizione:

inserimento testo libero per la descrizione della colonna.

Modifica descrizione: cliccate con il tasto sinistro del mouse sull´area corrispondente. Inserite nel campo di editazione il valore desiderato.

Nota: per la descrizione delle colonne, è a Vostra disposizione il cambio lingua di zenon.
  • Larghezza colonne:

definisce la larghezza della colonna in caratteri.

Modifica larghezza colonna: cliccate con il tasto sinistro del mouse sull´area corrispondente. Inserite nel campo di editazione il valore desiderato.
-1: La larghezza viene calcolata durante il Runtime sulla base della larghezza media del carattere.

Nota: per ragioni di compatibilità, le colonne, la cui larghezza non poteva essere modificata in precedenti versioni di zenon (indicazioni di tempo), ricevono il valore di -1.

  • Visualizzazione:

per i tipi di colonna

  • Simbolo classe allarme/eventi
  • Simbolo gruppo allarmi/eventi
  • Stato di Allarme

la forma della visualizzazione è selezionabile durante il Runtime. Selezionate la forma desiderata fra quelle della lista a cascata.

Sposta elemento verso l'alto

Sposta l´inserimento selezionato di una posizione verso l´alto.

Sposta elemento verso il basso

Sposta l´inserimento selezionato di una posizione verso il basso.

Campo anteprima

Mostra le colonne selezionate con la larghezza definita.

Potete adattare anche le larghezze delle colonne cliccando con il tasto sinistro del mouse a destra sulla fine di una colonna; tenendo premuto il tasto del mouse, poi, dovete spostarlo o a destra o a sinistra fino a raggiungere la larghezza desiderata.

Impostazioni di tabella

Ordinamento decrescente

Ordina gli inserimenti nella lista sulla base della colonna Tempo entra in successione decrescente. Questa impostazione vale per l´apertura dell´immagine.
Potete modificare l´ordine di successione cliccando sulla testa della colonna. La successione usata al momento viene visualizzata mediante una freccia posizionata sulla testa della colonna.

Mostra griglia

Mostra una griglia nella rappresentazione della lista nel runtime.

Usa un colore di sfondo alterno

Usa alternativamente il Colore Linea 1 e il Colore Linea 2 come colore di sfondo per la lista nel runtime.

Colore Linea 1

Colore che viene usato come colore di sfondo per tutte le righe dispari (1, 3, 5 ecc.) della lista nel runtime, se avete attivato Usare colore di sfondo alternativamente.

Colore Linea 2

Colore che viene usato come colore di sfondo per tutte le righe pari (2, 4, 6 ecc.) della lista nel runtime, se avete attivato Usare colore di sfondo alternativamente.

Visualizza nelle colonne tempo

Ora

Mostra il tempo di un inserimento nella lista nella seguente forma: HH:MM:SS

Data

Mostra la data di un inserimento nella lista nella seguente forma: TT:MM:JJJJ

Millisecondi

Estende l´inserimento di tempo ai millisecondi.

Nota: deve essere attivata se si vuole un´emissione in millisecondi di export o stampe.

Suggerimento: Se attivate la keyboard automatica nel runtime, essa viene aperta al momento della comparsa del campo destinato ad apportare le modifiche. Facendo uso di tale keyboard, potete anche configurare le colonne anche se usate un computer senza tastiera.

attention Attenzione

La larghezza delle colonne viene indicata in caratteri ed è dipendente dal tipo di carattere utilizzato.

Se la larghezza della colonna non corrisponde ad un multiplo di quella del carattere utilizzato, ci possono essere delle anomalie per quello che concerne la larghezza reale della colonna. La conseguenza di ciò può essere che il testo non sia visualizzato in modo completo, sia tagliato, oppure si venga a creare uno spazio vuoto.

Soluzione: Usate font con una larghezza di carattere fissa.

info Informazioni su

Se avete progettato variabili con unità di misura, quest´ultima viene visualizzata quando viene inserita la variabile nella Lista eventi cronologica. Il presupposto perché ciò avvenga è che Vi facciate visualizzare il tipo di colonna Unità di misura.


Testo

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Filtra

Parametro | Description (Descrizione)
Filtra |
Nessun Filtro testo | Il filtro di testo non viene utilizzato.
Ricerca di (parole separate da spazi vuoti). | Il filtro testo viene utilizzato. Le ulteriori opzioni sono accessibili.
Campo di inserimento | Indicate le parole, oppure le sequenze di caratteri corrispondenti.

Opzioni

Parametro | Description (Descrizione)
Opzioni |
Attenzione Case Sentitive | Attivo: nell´effettuare l´operazione di filtro, il sistema distingue fra lettere maiuscole e minuscole.
Le parole non devono essere presenti nel testo nella loro interezza. | Attivo: si prendono in considerazione anche parti di parole nell´effettuazione dell´operazione di filtro.
Perlomeno una parola deve essere presente nel testo | Attivo: Almeno una parola della stringa di ricerca deve figurare nel testo.
Tutte le parole devono essere presenti nel testo | Attivo: tutte le parole della stringa di ricerca devono essere presenti nel testo La successione non ha nessuna importanza.
Testo filtro deve essere presente nel testo in modo esatto | Attivo: il testo deve essere esattamente come definito nella stringa di ricerca.


Imposta stati

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Imposta stati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo stato del checkbox indica se il bit di stato deve essere analizzato.

Stato del checkbox | Descrizione
punto nero | Il bit di stato non viene analizzato
0 | Vengono visualizzati solamente gli inserimenti per i quali il bit di stato si trova su false.
1 | Vengono visualizzati solamente gli inserimenti per i quali il bit di stato si trova su true.

Example Esempio

Se il checkbox SPONT è settato su 1, vengono visualizzati solamente gli allarmi che vengono causati da valori spontanei.

Nota: Dettagli sui bit di stato li potete trovare nel capitolo Gestione stati.


Progetto

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezione dei progetti di cui si deve tener conto per la CEL. Il filtro per la selezione dei sottoprogetti è a disposizione solamente nel Progetto di integrazione della Gestione multiprogetto.

La scelta nell´ambito del progetto di integrazione e di tutti i sottoprogetti avviene per selezione multipla tenendo premuto il tasto Ctrl e cliccando sui progetti desiderati.


Definizione di impianto

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL. -> Definizione di impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel filtro vengono visualizzati tutti i Modelli di impianto già esistenti. Con il menù contestuale o la barra degli strumenti è possibile creare nuovi modelli e gruppi.

info Informazioni su

Quando si usa un filtro "modello di impianto", sono sempre inclusi anche i messaggi di sistema. Ciò vale anche se, nel cambio immagine, nella scheda Generale, è stata disattivata l´opzione Escludi messaggi di sistema dal filtro.

Per aggiungere dei gruppi al filtro:

  1. Selezionate l´elemento desiderato
  2. Cliccate sul pulsante Aggiungi
  3. Ripetete l´operazione finché tutti i gruppi necessari non sono contenuti nella lista
    (non è possibile una selezione multipla)

Per eliminare dei gruppi dal filtro:

  1. Selezionate gli elementi desiderati
    (Selezione multipla: tenere premuto il tasto Ctrl, oppure quello Shift e cliccare sull´elemento desiderato).
  2. Cliccate sul pulsante Cancella

Elemento | Descrizione
Lista dei modelli di impianto | Offre modelli e gruppi fra i quali l´utente può scegliere.
Aggiungi | Aggiunge alla lista filtro il gruppo selezionato.
Elimina | Rimuove dalla lista filtro il gruppo selezionato.
Lista filtri | Mostra tutti i gruppi di impianti in riferimento ai quali deve essere effettuata l´operazione di filtro.
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Filtri per cambio ad immagine CEL Filtro.

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL Filtro.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per progettare un tipo di immagine Lista eventi cronologica Filtro:

  1. create una funzione Cambio immagine per passare ad un´immagine del tipo Lista eventi cronologica Filtri
  2. viene aperto il filtro con tutte le schede:
    • Immagini
    • Generale
    • Testo
    • Ora

Noch in diesem Kapitel

Immagini

Generale

Testo

Ora

Lotto

Impostazioni di colonna


Immagini

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL Filtro. -> Immagini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa tab potete stabilire quali immagini devono essere attualizzate tramite il filtro immagini.

Sono disponibili le seguenti impostazioni:

Il filtro sarà acquisito da questa immagine:

Parametro

Descrizione

Il filtro sarà acquisito da questa immagine:

Definizione dell´immagine da cui deve essere preso il filtro.

Immagine richiamante

Attivo: Le impostazioni di filtro vengono riprese dall´immagine a partire dalla quale si apre l´immagine filtro. Il pulsante Immagine è colorato in grigio. Potete anche non indicare esplicitamente un´immagine, visto che, in presenza di questa impostazione, l´attualizzazione filtro viene realizzata sempre dall´immagine che effettua l´apertura.

Nota: le impostazioni delle schede Generale, Testo e Tempo sono bloccate.

Immagine predefinita

Cliccando sul pulsante, si apre il Dialogo di selezione immagini.

Selezionate l´immagine dalla quale deve essere letto il filtro (nel momento in cui usate il pulsante Aggiornare nel runtime).

Per il passaggio ad immagini del tipo Filtro AML, Filtro CEL, Filtro tempo e modello di impianto, si possono selezionare anche sub-immagini di Faceplates. Allo scopo di distinguerle in modo chiaro da altre immagini, il sistema mette davanti al nome della sub-immagine quello dell´immagine Faceplate.

Attenzione: al momento dell´iniziale apertura dell´immagine filtro tramite la funzione, viene utilizzato il filtro progettato nella funzione, non quello dell´immagine indicata in questa sede!

Nota: dunque ha senso solamente selezionare un´immagine che può adottare, o riempire il filtro immagine.

L´immagine selezionata viene inserita nella lista di quelle da attualizzare. Se cancellate un´immagine dalla lista, viene inserita automaticamente la prossima immagine della lista.

Nota: non disponibile se avere attivato la checkbox Immagine che apre.

Immagini da aggiornare

Parametro | Descrizione
Immagini da aggiornare | Selezione delle immagini che devono essere aggiornate. Per il passaggio ad immagini del tipo Filtro AML, Filtro CEL, Filtro tempo e modello di impianto, si possono selezionare anche sub-immagini di Faceplates. Allo scopo di distinguerle in modo chiaro da altre immagini, il sistema mette davanti al nome della sub-immagine quello dell´immagine Faceplate.
Selezione Immagine | Cliccando sul pulsante si apre il dialogo per la Selezione delle immagini filtro. selezionate le immagini desiderate.
Aggiornamento | Definizione di dove deve avere effetto l´accettazione del filtro.
Aggiorna su tutti i Monitor | Attivo: Le immagini contenute nella lista di quelle da aggiornare vengono aggiornate su tutti i monitor a disposizione.


Generale

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL Filtro. -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il filtro generale stabilite quali eventi debbano essere visualizzati e quale accesso avrete durante il Runtime all´impostazione. Differenziate gli eventi sulla base di:

  • Tipo
  • Origine dei dati
  • Variabili
  • Gruppi allarmi/eventi, classi e aree allarmi.

Sono disponibili le seguenti proprietà:

Filtro variabili

Parametri

Descrizione

Filtro variabili

Limitazione agli eventi di determinate variabili

Nome variabile

Inserite il nome o la parte del nome delle variabili sulla base di cui deve essere effettuata l´operazione di filtro.

L´uso della wildcard * è possibile. Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Nota: I termini filtro inseriti nel Runtime o nell´Editor vengono salvati automaticamente anche sul calcolatore locale nello zenon6.ini e sono disponibili nella lista a discesa dove potranno essere selezionati per l´uso.

Attenzione: Nell´operazione di filtro, la virgola (,) serve "solo" da separatore fra diverse variabili da filtrare. La virgola non è un carattere consentito come criterio di filtro per i nomi variabili!
Ciò significa che non è possibile un filtro speciale per variabili array Dim 2 e Dim 3.

Identificazione

Indicate l´identificazione oppure la parte d´identificazione sulla base della quale volete effettuare l´operazione di filtro. Wildcard * è possibile.

L´uso della wildcard * è possibile. Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx oppure xxx*.

Nota: I termini filtro inseriti nel Runtime o nell´Editor vengono salvati automaticamente anche sul calcolatore locale nello zenon6.ini e sono disponibili nella lista a discesa dove potranno essere selezionati per l´uso.

Case sensitive

Attivo: si tiene presente la scrittura maiuscola e minuscola al momento di effettuare il filtro sulla base dei nomi o/e delle identificazioni variabili.

Origine dati

Parametri

Descrizione

Origine dati

Visualizzazione di eventi attuali o attuali e storici.

Buffer circolare

Attivo: Vengono visualizzati solamente i dati provenienti dal Buffer circolare .

Dati storici
Numero massimo

Attivo: Vengono visualizzati i dati provenienti dal buffer circolare e quelli storici della CEL.

Il numero massimo dei dati da visualizzare include quelli provenienti dal buffer circolare.

Impostazioni Runtime

Comportamento della CEL durante il runtime.

Apri lista bloccata

Attivo: Finché la lista viene visualizzata, non vengono aggiunti nuovi inserimenti.

(Non è disponibile per la funzione esporta CEL.)

Visualizza questa finestra di dialogo a Runtime

Attivo: Prima di ogni apertura dell´immagine viene aperto il dialogo di filtro. Le impostazioni di filtro possono essere modificate.

Mostra tempo relativo

tutti gli inserimenti vengono visualizzati in intervallo di tempo in relazione all'inserimento selezionato.

Il tempo indicato è l'intervallo che è passato dall'evento selezionato. L'inserimento selezionato riceve automaticamente il "time-stamp" 0. Gli altri eventi hanno una:

  • differenza di tempo positiva rispetto all´inserimento selezionato se hanno avuto luogo più tardi
  • differenza di tempo negativa rispetto all´inserimento selezionato, se hanno avuto luogo più tardi

Gruppi/Classi- allarmi/eventi, area allarmi

Parametri | Descrizione
Gruppi/Classi- allarmi/eventi, area allarmi | Selezione di gruppi, classi e aree allarmi.
Gruppi di allarmi/evento | Selezionate nella lista dei Gruppi allarmi/eventi esistenti quelli da cui devono provenire gli allarmi da visualizzare.
Classi di allarme/evento | Selezionate nella lista delle Classi allarmi/eventi esistenti quelli da cui devono provenire gli allarmi da visualizzare.
Aree allarmi | Selezionate nella lista delle Aree allarmi esistenti quelli da cui devono provenire gli allarmi da visualizzare.

Filtro per messaggi di sistema

Parametri

Descrizione

Filtro per messaggi di sistema

Impostazioni di filtro per le segnalazioni di sistema. Le segnalazioni di sistema sono segnalazioni senza riferimento a variabili.

Escludi messaggi di sistema dal filtro

Impostazione per la visualizzazione di segnalazioni di sistema indipendentemente dalle impostazioni di filtro.

  • Attivo: Nel Runtime, le segnalazioni di sistema vengono sempre visualizzate. Ciò vale anche quando dovrebbero essere escluse dal filtro testo o di variabile.
    Esempio: Devono essere visualizzate solamente segnalazioni con il testo "XY". Nel caso in cui questa opzione sia stata attivata, però, verranno visualizzate anche le segnalazioni di sistema che non contengono questo testo.

Eccezioni:

  • Le segnalazioni di sistema, però, non vengono visualizzate nonostante il checkbox sia attivo, quando vengono escluse dal Filtro tempo, oppure dai filtri per l´Origine dei dati (buffer circolare oppure dati storici).
  • Le segnalazioni di sistema vengono visualizzate sempre, indipendentemente da questa impostazione, quando il sistema filtra per modelli di impianto.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

attention Attenzione

Per zenon sotto Windows CE vale quanto segue: I sistemi CE su cui deve essere visualizzato il dialogo di filtro, devono disporre di una risoluzione maggiore a 800*600 pixel, per far sì che il dialogo possa essere rappresentato nella sua completezza.


Testo

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL Filtro. -> Testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Filtra

Parametro | Description (Descrizione)
Filtra |
Nessun Filtro testo | Il filtro di testo non viene utilizzato.
Ricerca di (parole separate da spazi vuoti). | Il filtro testo viene utilizzato. Le ulteriori opzioni sono accessibili.
Campo di inserimento | Indicate le parole, oppure le sequenze di caratteri corrispondenti.

Opzioni

Parametro | Description (Descrizione)
Opzioni |
Attenzione Case Sentitive | Attivo: nell´effettuare l´operazione di filtro, il sistema distingue fra lettere maiuscole e minuscole.
Le parole non devono essere presenti nel testo nella loro interezza. | Attivo: si prendono in considerazione anche parti di parole nell´effettuazione dell´operazione di filtro.
Perlomeno una parola deve essere presente nel testo | Attivo: Almeno una parola della stringa di ricerca deve figurare nel testo.
Tutte le parole devono essere presenti nel testo | Attivo: tutte le parole della stringa di ricerca devono essere presenti nel testo La successione non ha nessuna importanza.
Testo filtro deve essere presente nel testo in modo esatto | Attivo: il testo deve essere esattamente come definito nella stringa di ricerca.


Ora

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL Filtro. -> Ora

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda definite l´intervallo di tempo che deve essere usato all´apertura dell´immagine filtro.

I dettagli sulle opzioni filtro/tempo le trovate nel capitolo Filtri per cambio ad immagine Lista Eventi Cronologica/Tempo.

Filtro

Scelta del filtro.

Parametro

Description (Descrizione)

Nessun filtro tempo

Attivo: Non viene usato nessun filtro temporale.

Nota: Nel Runtime verranno visualizzati tutti gli inserimenti a partire da 1. 1. 1990.

Filtro assoluto

Attivo: Viene indicato un periodo di tempo fisso nell´editor. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato.

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Periodo relativo

Attivo: Viene indicato un periodo di tempo relativo.

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attivo: Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione dell´area fra quelle della lista a cascata:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo tempo

Attivo: Viene indicato un intervallo di tempo fisso. Selezione dell´area fra quelle della lista a cascata:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 Minuti
  • 30 Minuti
  • 60 Minuti

Nel settore "Impostazioni"vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudi finestra di dialogo

Parametro | Description (Descrizione)
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Lotto

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL Filtro. -> Lotto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda potete stabilire quali lotti devono essere visualizzati.

Filtro

Impostazioni per l´uso del filtro lotti. Selezione di una delle opzioni:

  • Nessun filtro lotti
  • Usa direttamente filtro lotti
Parametro | Descrizione
Nessun filtro lotto | Attivo: Il filtro lotti viene disattivato e non può essere configurato. Nel Runtime non si effettuerà un´operazione filtro a base lotti.
Usa direttamente filtro lotti | Attivo: il filtro configurato in questa sede verrà utilizzato direttamente nel Runtime.

Archivio(i)

Configurazione delle operazioni di filtro su base archivi. Selezione di una delle opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametro

Descrizione

Nessun filtro

Attivo: non si effettua un´operazione di filtro su base nome archivi.

Statico

Attivo: si effettua un´operazione di filtro sulla base degli archivi la cui identificazione corrisponde alla successione caratteri indicata nel campo di inserimento.

Inserimento di identificazioni archivi nel campo di inserimento:

  • Più identificazioni sono divise mediante una virgola (,).
  • * oppure spazio vuoto: tutti gli archivi, nessun filtro.

Da variabile

Attivo: Nel Runtime viene usato il valore della variabile collegata qui come filtro per nomi archivi.

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Disponibile per tutti i moduli solo se è stata selezionata l´opzione Usa direttamente filtro lotti.

Informazioni concernenti le variabili nel Runtime:

  • Nel Runtime, la selezione variabili viene attivata solamente nel caso in cui si sia proceduto a collegare già nell´Editor una variabile valida. Il pulsante ... non è mai attivo nel Runtime. È dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, essa verrà registrata e letta. Ciò può causare dei ritardi nel caso di connessioni driver e protocolli lenti.

Attenzione: se il sistema non trova la variabile selezionata nel Runtime, non verrà effettuata alcuna operazione di filtro sulla base di nomi archivio. Ciò vale anche se risulta impossibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Nome(i)

Configurazione dell´operazione di filtro sulla base dei nomi. Selezione di una delle opzioni:

  • Nessun filtro
  • Statico
  • Da variabile

Parametro

Descrizione

Nessun filtro

Attivo: non si effettua un´operazione di filtro su base nome lotti.

Statico

Attivo: si effettua un´operazione di filtro sulla base dei nomi archivi che corrispondono alla successione caratteri indicata nel campo di inserimento.

Inserimento del nome lotto nel campo di inserimento:

  • Più identificazioni sono divise mediante un segno pipe (|).
  • * oppure spazio vuoto: tutti i lotti di tutti gli archivi visualizzati, nessun filtro.

Da variabile

Attivo: Nel runtime viene usato il valore della variabile collegata in questa sede come filtro per nomi lotti.

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Disponibile se è stata selezionata l´opzione Usa direttamente filtro lotti.

Informazioni concernenti le variabili nel Runtime:

  • Nel Runtime, la selezione variabili viene attivata solamente nel caso in cui si sia proceduto a collegare già nell´Editor una variabile valida. Il pulsante ... non è mai attivo nel Runtime. È dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.

Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, essa verrà registrata e letta. Ciò può causare dei ritardi nel caso di connessioni driver e protocolli lenti.

Attenzione: se il sistema non trova la variabile selezionata nel Runtime, non verrà effettuata alcuna operazione di filtro sulla base di nomi lotti. Ciò vale anche se risulta impossibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostazioni di colonna

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL Filtro. -> Impostazioni di colonna

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda definite in che modo la Lista archivi e la Lista lotti devono essere visualizzate nel runtime a partire dall´immagine del tipo Filtro tempo /lotto :

  • Selezione delle colonne che devono essere visualizzate.
  • Ordine delle colonne
  • Formattazione delle colonne:
    • Descrizione
    • Larghezza
    • Orientamento

Lista archivi

Parametro | Descrizione
Lista archivi | Configurazione della lista archivi Visualizzazione delle colonne configurate.
Scelta colonne | Cliccando sul pulsante si apre il dialogo per la selezione delle colonne e la loro organizzazione in una successione..
Formato colonne | Cliccando sul pulsante si apre il dialogo per formattare la lista.

Lista Lotti

Parametro | Descrizione
Lista Lotti | Configurazione della lista lotti. Visualizzazione delle colonne configurate.
Scelta colonne | Cliccando sul pulsante si apre il dialogo per la selezione delle colonne e la loro organizzazione in una successione..
Formato colonne | Cliccando sul pulsante si apre il dialogo per formattare la lista.
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Noch in diesem Kapitel

Scelta colonne

Formato colonne


Scelta colonne

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL Filtro. -> Impostazioni di colonna -> Scelta colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Scelta colonne

Selezione e successione delle colonne.

Pulsante | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate da quelle disponibili a quelle selezionate. Dopo aver confermato il dialogo cliccando su OK, verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutte -> | Sposta tutte le colonne disponibili nelle colonne selezionate.
<- Cancella | Elimina le colonne evidenziate dalle selezionate e le visualizza nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, esse vengono eliminate dalla visualizzazione dettagliata.
<- Cancella tutte | Cancella tutte le colonne dalla lista delle colonne selezionate.
In su | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
In giù | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Formato colonne

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Progettazione CEL mediante filtri -> Filtri per cambio ad immagine CEL Filtro. -> Impostazioni di colonna -> Formato colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Formato colonne

Configurazione delle proprietà delle colonne per le liste. Le impostazioni hanno effetto sulla lista corrispondente nell´Editor, oppure (nel caso di configurazione di un cambio immagine) nel Runtime.

Colonne disponibili

Parametri | Descrizione
Colonne disponibili | Lista delle colonne disponibili usando la Selezione colonne. La colonna evidenziata viene configurata tramite le opzioni nella sezione Impostazioni.

Impostazioni

Parametri

Descrizione

Impostazioni

Impostazioni per colonna selezionata.

Descrizione

Titolo della colonna

Il titolo colonna è traducibile online. Per poterlo tradurre, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene via pulsanti di opzione.

Impostazioni possibili:

  • Orientamento a sinistra: nella colonna, il testo si dispone prendendo come riferimento il bordo sinistro.
  • Centrato: nella colonna, il testo si dispone in posizione centrale.
  • Orientato a destra: nella colonna, il testo si dispone prendendo come riferimento il bordo destro.

Disattiva filtro colonne a Runtime

Attivo: Il filtro per questa colonna non può essere modificato durante il Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager Gruppi di Ricette

Colori definiti da utente

Proprietà per l´impostazione dei colori per ogni colonna definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto su Editor e Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per liste configurabili.
  • A Runtime, inoltre, può essere evidenziato il focus in un lista mediante diversi colori di testo e di sfondo. La configurazione di tali colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attivo: Vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando su "Colore", si apre la tavolozza che serve alla selezione di un colore.

Colore di sfondo

Colore per la visualizzazione dello sfondo delle celle. Cliccando su "Colore", si apre la tavolozza che serve alla selezione di un colore.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Buffer circolare CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Progettare la CEL -> Buffer circolare CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Non appena compaiono, gli eventi vengono salvati in un buffer circolare (cel.bin) e un file eventi (*.cel) nella cartella runtime.

Buffer circolare

Il buffer circolare contiene gli eventi in attesa. Essi vengono gestiti con:

  • tempo entra in millisecondi come firma univoca

Dimensione buffer circolare

Il buffer circolare deve avere delle dimensioni sufficienti, che fisserete nelle proprietà di progetto facendo uso della proprietà Dimensione buffer circolare.

Durante il Runtime, i vecchi inserimenti vengono lasciati nella lista al momento dell´apertura dell´immagine CEL. Non appena ne vengono aggiunti dei nuovi, il numero degli inserimenti visualizzati può superare la dimensione progettata per il buffer circolare. Quando si apre nuovamente la lista, i vecchi inserimenti verranno cancellati in modo tale da rispettare la dimensione progettata. Questo comportamento serve a far in modo che si possa evitare la perdita di dati a lista aperta.

Attenzione: la visualizzazione di inserimenti in una misura che supera i valori definiti, ha la conseguenza di occupare una parte della memoria di lavoro. Essa non viene resa di nuovo disponibile al momento di una riapertura del sistema, ma continua a rimanere occupata.

Salva buffer circolare

Il buffer circolare viene salvato automaticamente alla chiusura del runtime come cel.bin. Se il runtime viene chiuso da eventi inaspettati come, ad esempio, una caduta di tensione, si verificherà una perdita di dati. Per evitare che ciò si verifichi, il buffer circolare può essere salvato manualmente facendo uso della proprietà Salva buffer circolare in modo spontaneo per ogni nuovo inserimento, oppure facendo uso della funzione Salva buffer circolare di AML e CEL.

File eventi

Tutti gli allarmi vengono scritti contemporaneamente nel buffer circolare e in un file CEL proprio (*.cel). Questo file viene generato automaticamente per ogni giorno e viene gestito mediante la proprietà Salvataggio dati CEL. Il nome del file consta della lettera C, seguita dalla data espressa nella formaJJMMTT e la desinenza.cel, per es. C100623.aml. Questi file vengono generati ogni giorno automaticamente e, in mancanza di spazio di memoria, devono essere esportati o cancellati dall´utente. file *.cel vengono salvati nella cartella ...\Cartella di progetto\Nome Computer\Nome del progetto.

Sincronizzazione di buffer circolare e file allarmi.

Il buffer circolare e il file CEL vengono sincronizzati. Questa sincronizzazione avviene sempre dal buffer circolare al file CEL.

Tempi di salvataggio

Il *.cel Lista eventi cronologica viene salvato in corrispondenza di ogni nuovo inserimento.

Il Buffer circolare (*.bin) viene salvato:

  • quando viene chiuso il Runtime
  • nel caso in cui sia attiva la proprietà Salva buffer circolare in modo spontaneo, con ogni nuovo inserimento
  • quando si esegue la funzione Salva buffer AML-CEL

Nota: se l´opzione Salva buffer circolare in modo spontaneo è disattivata, gli inserimenti nella CEL e nel buffer circolare potrebbero non corrispondere se dovesse esserci un´interruzione dell´alimentazione elettrica.


Funzioni

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni

Tramite funzioni si può gestire durante il Runtime la visualizzazione e la gestione della CEL.

attention Attenzione

Se le funzioni sono usate in rete, tenete presente il loro luogo di esecuzione.

Noch in diesem Kapitel

Modifica immagine CEL

Cambio immagine Filtro CEL

Funzioni per la Lista eventi cronologica.


Modifica immagine CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Modifica immagine CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aprire un´immagine del tipo Lista eventi cronologica durante il Runtime:

  1. impostate un´Immagine del tipo Lista eventi cronologica
  2. create una funzione Cambio immagine per questa immagine.
  3. definite le Proprietà di filtro desiderate

È possibile modificare queste proprietà di filtro durante il Runtime. Eccezione: Nell´Editor sono stati definiti filtri di tempo fissi.

Progettare cambio immagine

Per impostare un cambio immagine per passare ad un´immagine del tipo CEL:

  1. selezionate nel menù contestuale del nodo Funzione il comando Nuova funzione
  2. cliccate su Cambio immagine.
  3. si apre il dialogo che serve alla selezione immagine
  4. selezionate l´immagine del tipo CEL
    , oppure createla in questo dialogo cliccando sul simbolo Nuova immagine
  5. viene visualizzato il filtro con tutte le schede:
    • Generale
    • Ora
    • Impostazioni di colonna
    • Testo
    • Imposta stati
    • Progetto (è a disposizione solamente nel Progetto di integrazione del Progetto multiuser.)
    • Progettazione impianto

    Se ci sono variabili o indici collegati, c´è anche la possibilità di visualizzare le seguenti schede:

    • Sostituisci collegamenti
    • Sostituisci indici

  6. stabilite quale filtro deve essere quello predefinito nel Runtime
  7. confermate le impostazioni e chiudete il dialogo cliccando su OK
  8. collegate la funzione con un pulsante che serve a passare all´immagine durante il Runtime e far sì che le proprietà di filtro vengano messe a disposizione dal sistema.

info Informazioni su

Se ci si referenzia ad un immagine che non ha un filtro tempo, i Filtri tempo vengono disattivati.


Cambio immagine Filtro CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Cambio immagine Filtro CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aprire un´immagine del tipo Lista eventi cronologica Filtro durante il Runtime:

  1. impostate una Immagine del tipo Lista eventi cronologica Filtro
  2. create una funzione Cambio immagine per questa immagine.
  3. definite le Proprietà di filtro desiderate

Le proprietà di filtro possono essere gestite durante il Runtime solamente tramite i pulsanti definiti nell´immagine.

Progettare cambio immagine

Per impostare un cambio immagine per passare ad un´immagine del tipo Lista eventi cronologica Filtro:

  1. selezionate nel menù contestuale del nodo Funzioni il comando Nuova funzione
  2. cliccate su Cambio immagine.
  3. si apre il dialogo che serve alla selezione immagine
  4. selezionate l´immagine del tipo Lista eventi cronologica Filtro
    , oppure createla in questo dialogo cliccando sul simbolo Nuova immagine
  5. viene visualizzato il filtro con tutte le schede:
    • Immagini
    • Generale
    • Testo
    • Ora

  6. stabilite quale filtro deve essere quello predefinito nel Runtime
  7. confermate le impostazioni e chiudete il dialogo cliccando su OK
  8. collegate la funzione con un pulsante che serve a passare all´immagine durante il Runtime e far sì che le proprietà di filtro vengano messe a disposizione dal sistema.


Funzioni per la Lista eventi cronologica.

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la Lista eventi cronologica.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Diverse funzioni consentono la gestione di eventi nel Runtime.

Per creare una funzione per la Lista eventi cronologica:

  1. Passate al nodo Funzioni
  2. Selezionate nel menù contestuale oppure nella barra degli strumenti il comando Nuova funzione
  3. Si apre il dialogo per selezionare le funzioni
  4. Passate al nodo AML/CEL

  5. Selezionate la funzione desiderata.
  6. Configurate la funzione, se necessario
  7. Collegate la funzione ad un pulsante.

Noch in diesem Kapitel

Salva buffer AML-CEL

Esporta: lista CEL

Stampa lista allarmi o CEL

Stampa online on/off

Inizia una nuova pagina per la stampa online

Cambio stampa online


Salva buffer AML-CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la Lista eventi cronologica. -> Salva buffer AML-CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per mezzo di questa funzione, il contenuto del buffer circolare per allarmi e eventi, nonché i valori delle variabili matematiche possono essere salvati durante il Runtime. Gli inserimenti vengono salvati nei seguenti file:

File | Contenuto | Grandezza impostabile mediante la proprietà
ALARM.BIN | Allarmi | Dimensione buffer circolare
CEL.BIN | Inserimenti della lista eventi cronologica | Dimensione buffer circolare
SY_MA32.BIN | Valori di variabili matematiche (p.e. contatori) |

Per salvare il buffer circolare AML:

  1. create una nuova funzione
  2. selezionate Lista allarmi e CEL: Salvataggio buffer circolare
  3. collegate la funzione ad un bottone


Esporta: lista CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la Lista eventi cronologica. -> Esporta: lista CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per mezzo di questa funzione, gli eventi salvati con criteri di filtro possono essere esportati durante il Runtime in un file o in una banca dati.

Per esportare degli inserimenti CEL:

  1. Create una nuova funzione.
  2. Selezionate Esporta: lista CEL
  3. Si apre il dialogo per la selezione dei criteri di filtro

  4. Definite i criteri per:
    • Formato di esportazione
    • Generale
    • Ora
    • Testo
    • Stato
    • Progettazione impianto
    • Progetto
  5. Collegate la funzione ad un pulsante

Noch in diesem Kapitel

Formato di esportazione

CSV: Colonne esportate

dBase: Colonne esportate

SQL: Colonne esportate

XML: Colonne esportate


Formato di esportazione

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la Lista eventi cronologica. -> Esporta: lista CEL -> Formato di esportazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si può esportare in diversi formati. Quali colonne vengono esportate e come, dipende dalla fonte (AML/CEL) e dal formato in cui avviene l´export.

I dati vengono esportati in modo diverso per:

  • CSV
  • dBase
  • SQL
  • XML

info Informazioni su

L´export SQL avviene in modo incrementale. Se ci sono già dei dati esportati, vengono esportati solamente quelli nuovi o quelli modificati.

Scelta colonne

La selezione delle colonne da esportare dipende dal formato in cui avviene l´export:

  • CSV, DBF e XML: Selezione tramite il Dialogo della proprietà di progetto Impostazione colonna AML per la AML e Impostazioni colonna CEL per la CEL.
  • SQL: Impostazioni fisse per l´export incrementale, non suscettibili di ulteriore configurazione e modifica.
    Nota: Con la versione 7.20, è stata aggiunta la colonna RESLABEL per Identificazione servizio. Non si può dunque continuare ad usare le tabelle di esportazione già esistenti. La tabella deve essere rinominata per garantire un export corretto.

Configurazione export

Formato di export

Parametri

Descrizione

Formato di export

Scelta del tipo file. Formati possibili:

  • dBase: Formato DBaseIV (*.dbf):
  • CSV
  • XML
  • SQL

Da tenere presente per dBase:

  • I nomi file non possono essere più lunghi di 8 caratteri.
  • La larghezza colonna progettata viene usata per l´export. Se, per esempio, è impostato alla voce Impostazioni colonna un valore di 40 caratteri, verranno solo esportati al massimo 40 caratteri.
  • Viene esportato un massimo di 255 caratteri.

Opzioni

Parametri | Descrizione
Opzioni |
Esporta in Unicode | L´export in formato ASCII viene effettuato in Unicode.
Esportazione incrementale | Vengono esportate solamente le differenze rispetto all´export precedente.

Esporta su file

Parametri

Descrizione

Esporta su file

Determinazione del file in cui deve essere salvato l´export.

Nome file

Impostare il nome file individualmente.

Al massimo 32 caratteri alfanumerici, incluso suffisso.

Nota: i file esistenti che portano lo stesso nome vengono sovrascritti.

Genera automaticamente nome file

Attivo : Il nome file sarà generato automaticamente da un breve identificatore, da una chiave giornaliera e da un suffisso individuale.
Disattivo: Il nome file viene inserito dall´utente alla voce Nome file .

(File esistenti non vengono sovrascritti.)

Per i dettagli, vedi prossima tabella: Codificazione nome per assegnazione nome automatica

Suffisso

Identificazione libera, individuale. È a disposizione solamente per Genera automaticamente nome file.

Possibili inserimenti:

  • dBase: 1 carattere alfanumerico
  • ASCII e XML: 32 caratteri alfanumerici

Esempio

Visualizzazione del nome file completo nel caso di generazione automatica.

Cartella di esportazione configurata

Visualizzazione del percorso di esportazione attualmente impostato nelle proprietà di progetto. (Proprietà Cartella Runtime nel nodo Generale/Nome/Cartella.)

Esporta su database SQL

Parametri per l´export in una banca dati SQL

Connessione database

Configurazione della connessione alla banca dati. Un clic sul comando ... apre il dialogo di configurazione.

Tabella

Selezione della tabella in cui si deve scrivere.

Codificazione nome per assegnazione nome automatica

Nome

AJJMMTTP.XXX

A

Identificazione breve della Lista allarmi

AAMMGG

Indicazione della data:

  • AA: anno, a due cifre
  • MM: mese, a due cifre
  • GG: giorno, a due cifre

P

Identificazione libera, individuale:

  • dBase: 1 carattere alfanumerico
  • ASCII e XML: 32 caratteri alfanumerici

XXX

Fine del file:

  • DBF: dBase
  • TXT: CSV
  • XML: XML

Formale

  • Formato degli inserimenti di riga: viene ripreso dalle impostazioni della proprietà Impostazione colonna AML o.Impostazioni colonna CEL.
  • Separatore di colonne: punto e virgola (;)

attention Attenzione

Millisecondi per stampa e export

Nel caso in cui, stampando o esportando la AML o la CEL in CSV, XML oppure dBase, il tempo debba essere indicato in millisecondi, questa proprietà deve essere attivata nel Dialogo per le impostazioni di colonna. A tale scopo:

  • Navigate all´interno delle proprietà di progetto e passate al nodo Lista di informazione allarmi oppure a Lista eventi cronologica (CEL)
  • Cliccate sul pulsante ... della proprietà Impostazione colonna AML oppure di Impostazioni colonna CEL
  • Si aprirà il dialogo per la impostazione colonna
  • Attivate la checkbox della proprietà millisecondi

L´impostazione deve essere effettuata separatamente per AML e CEL.

Indicazioni su SQL

attention Attenzione

Assicuratevi che nel Runtime il provider configurato nella connessione sia disponibile sul computer Runtime.

Nota: Con l´Editor di zenon viene installato anche un client SQL. Visto che il Runtime di zenon non ha bisogno di un server SQL, non viene installato automaticamente nessun client SQL. Lo si può però scaricare dalla Web site di Microsoft; dovrà poi essere installato individualmente.

Al momento dell´installazione del provider, fate attenzione di installare la versione corretta. Quest´ultima deve andar bene con la versione di zenon usata. Ciò significa: Se si usa una versione a 32-Bit del Runtime di zenon, anche il provider deve essere una versione a 32-Bit. Ciò vale anche se esso viene installato su un sistema operativo a 64-Bit, e anche quando la stessa banca dati è un´applicazione a 64-Bit.

attention Attenzione

Quando si usano il Native Client 10 e 11, la password non viene ripresa automaticamente nella stringa provider. Essa deve essere inserita manualmente.

Per esempio: ...;User ID=sqlExampleUser1;Password=secretPassword;...


CSV: Colonne esportate

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la Lista eventi cronologica. -> Esporta: lista CEL -> CSV: Colonne esportate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´export in CSV serve soprattutto a rendere possibile l´elaborazione in altre applicazioni. I dati vengono esportati in conformità a quanto selezionato in Impostazione colonna AML o Impostazioni colonna CEL:

  • Vengono esportati solo i dati delle colonne selezionate.
  • La successione nel file di export corrisponde a quella definita nel finestra di dialogo.
  • Carattere di separazione: punto e virgola (;)
  • I titoli di colonna non vengono esportati.


dBase: Colonne esportate

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la Lista eventi cronologica. -> Esporta: lista CEL -> dBase: Colonne esportate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´export in un file dBase, i dati vengono esportati in conformità a quanto definito in Impostazione colonna AML o Impostazioni colonna CEL:

  • Vengono esportati solo i dati delle colonne selezionate.
  • La successione nel file di export è definita in modo fisso.

Colonne nella successione esportata:

Colonna | Tipo | Dimensione | Descrizione
DATUM_KOMM | Date | 8 | Allarme arrivato Data.
ZEIT_KOMMT | Character | 10 | Allarme arrivato Tempo.
ALARMTEXT | Character | 40 | Testo valore limite.
TAG_NR | Character | 40 | Identificazione variabile.
KOMMENTAR | Character | 45 | Commento.
STATUS | Character | 4 | Stato della variabile.
WERT | Character | 10 | Valore variabili.
USER | Character | 6 | Identificazione utente.
COMPUTER | Character | 48 | Nome PC.
VAR_NAME | Character | 32 | Nome variabile.
RESLABEL | Character | 15 | Identificazione servizio
PROJ_NAME | Character | 31 | Nome progetto.
CLASS | Character | 31 | Nome della classe di allarme.
GROUP | Character | 31 | Nome del gruppo di allarme.


SQL: Colonne esportate

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la Lista eventi cronologica. -> Esporta: lista CEL -> SQL: Colonne esportate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´export SQL, i dati vengono esportati in una successione definita in modo fisso.

Colonne nella successione esportata:

Colonna | Tipo | Descrizione
[VAR] | varchar(128) | Nome variabile.
[TAG] | varchar(128) | Identificazione variabile.
[RESLABEL] | varchar(128) | Identificazione servizio
[TEXT] | varchar(1024) | Testo valore limite.
[COMES_S] | int | Allarme arrivato; in tempo Unix (secondi dal 01/01/1970).
[COMES_MS] | int | Allarme arrivato Frazione di millisecondo.
[STATUS] | int | Stato della variabile.
[VALUE] | varchar(128) | Valore variabili.
[USERID] | varchar(128) | Identificazione utente.
[COMP] | varchar(128) | Nome PC.
[ACT_TEXT] | varchar(128) | Allarme: Commento.
[PRJ] | varchar(128) | Nome progetto.
[CLASS] | varchar(128) | Nome della classe di allarme.
[GROUP] | varchar(128) | Nome del gruppo di allarme.


XML: Colonne esportate

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la Lista eventi cronologica. -> Esporta: lista CEL -> XML: Colonne esportate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´export in un file XML, i dati vengono esportati in conformità a quanto definito in Impostazione colonna AML o Impostazioni colonna CEL:

  • Vengono esportati solo i dati delle colonne selezionate.
  • La successione nel file di export corrisponde a quella definita nel finestra di dialogo.
  • I titoli di colonna vengono usati come tag. Tutti i caratteri non consentiti vengono cancellati e sostituiti prima dell´export.
    Regole per la sostituzione:
    • Spazio vuoto: trattino basso (_)
    • Altri caratteri proibiti: Lineetta (-).


Stampa lista allarmi o CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la Lista eventi cronologica. -> Stampa lista allarmi o CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione, gli eventi salvati con condizioni di filtro possono essere emessi tramite una stampante durante il Runtime.

Per configurare la funzione:

  1. create una nuova funzione
  2. selezionate Stampa AML o CEL
  3. si apre il dialogo per la selezione della lista

  4. selezionate Lista eventi cronologica
  5. si apre il dialogo per la selezione dei criteri di filtro
  6. definite i criteri per:
    • Generale
    • Ora
    • Testo
    • Imposta stati
    • Carattere: selezione fra i caratteri definiti in zenon
  7. collegate la funzione ad un bottone

info Informazioni su

Durante il Runtime non si può passare fra CEL e AML. Per poter stampare entrambe le liste, si deve procedere a progettare due funzioni.

struttura riga

Data/Ora ingresso | Data/ora uscita | Data/ora tacitato | Testo lungo | Testo di stato

La parole chiave a disposizione per il file di formattazione (BTB.FRM per stampa online e BTB_G.FRM per stampa offline) ed esempi del loro uso, li trovate nel capitolo File di configurazione FRM nella sezione Gestione durante il Runtime.

Il file FRM si suddivide in tre parti:

  • Parte iniziale: Inizio pagina
  • Parte lista: Ciclica per riga
  • Piè di pagina: in fondo alla pagina

Principi fondamentali

Quando modificate i file FRM tenete presente:

  • separazione delle parti:
    • Inizio, parte lista e fine sono separati da %%.

      L’impostazione della struttura può essere utilizzata solamente una volta per la parte lista e la parte finale.

    • Attenzione: all´ultima riga devono seguire perlomeno due paragrafi vuoti. Altrimenti il piè di pagina non viene stampato!
  • Posizionamento dei singoli inserimenti:
    possono essere usati solamente degli spazi vuoti, nessun tab.
  • Modifica del file FRM in un Editor di testi:
    Il cambio riga automatico deve essere disattivato, perché altrimenti possono verificarsi degli effetti indesiderati nella formattazione.

Parole chiave

L´impostazione della lunghezza pagina si effettua nelle proprietà di progetto alla voce AML e CEL, oppure ci si serve dei file ALARM.frm oder ALAR_G.frm per AML oppure. BTB.frm und BTB_G.frm per CEL.

Attenzione:

  • la quantità di allarmi visualizzati per pagina risulta dal numero di righe impostato dall'utente (per esempio Righe per pagina 72) meno le righe utilizzate per l'intestazione pagina e per il piè di pagina..
  • Per potere utilizzare le parole chiave che analizzano la riattivazione (tempo, quantità) deve essere impostata l`opzione Utilizza tempo di riattivazione nella Lista di informazione allarmi.
  • Nel file di formattazione è inoltre possibile usare testi e parole chiave. Le parole chiave possono essere usate in tedesco o in inglese. Si consiglia l´uso di parole chiave inglese.
  • Non ogni parola chiave è adatta per ogni tipo di stampa (AML, CEL, online, offline).

La seguente tabella contiene le parole chiave in tedesco e inglese e le possibilità di sostituzione:

Deutsch (Tedesco) | Inglese | AML Offline | CEL Offline | AML Online | CEL Online | Descrizione
Parole chiave per la parte liste
@BMKENNUNG | @RESOURCELABEL | X | X | X | X | Identificazione servizio
@DATZEITKOMMT | @DTRECEIVED | X | X | X | X | Data e momento della comparsa dell´allarme
@DATZEITGEHT | @DTCLEARED | X | - | X | - | Data e momento della fine dell´allarme
@DATZEITOK | @DTACK | X | - | X | - | Data e momento del ripristino dell´allarme
@DATZEITREAKT | @DTREACTIVATE | X | - | X | - | Data e momento della riattivazione: La proprietà Utilizza tempo di riattivazione delle proprietà di progetto deve essere attivata.
@DATZEIT | @DTLASTEVENT | - | - | X | - | Data e ora di allarme in entrata o cancellato, o ripristinato o riattivato.
@ZEIT | @TLASTEVENT | - | - | X | X | Ora di allarme in entrata o uscito, o riconosciuto o riattivato.
@ZEITOK | @TACK | X | - | X | - | indica solamente il momento del ripristino
@ZTKOMMT | @TRECEIVED | X | X | X | X | indica solamente il momento della comparsa dell´allarme
@ZTGEHT | @TCLEARED | X | - | X | - | indica solamente il momento della fine dell´allarme
@ZTREAKT | @TREACTIVATE | X | - | X | - | indica solamente il momento della riattivazione
@TIMELASTING | @TACTIVE | X | - | X | - | Tempo di attesa (differenza fra Entra - Esce)
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nome progetto
@KANALNAME | @VARNAME | X | X | X | X | Nome variabile CEL: solo inserimenti con variabili
@AK | @ACLASSNR | X | X | X | X | Nome classi allarmi/eventi
@AG | @AGROUPNR | X | X | X | X | Numero gruppi allarmi/eventi
@AGNAME | @AGROUPNAME | X | X | X | X | Nome del gruppo-allarmi/eventi
@AKNAME | ACLASSNAME | X | X | X | X | Nome della classe-allarmi/eventi
@TAGNR | @IDENTIFICATION | X | X | X | X | Identificazione (denominazione propria della ditta)
@AMELDUNG | @TEXT | X | X | X | X | Testo messaggio allarme
@REAKTANZ | @NRREACTIVATE | X | - | X | - | Numero di riattivazioni
@STATUS | @STATUS | X | X | X | X | Informazioni di stato come nella Lista di informazione allarmi
@WERT | @VALUE | X | X | X | X | Valore variabile dell´allarme
@REAKTIONSTEXT | @COMMENT | X | X | X | X | Commento dalla Lista di informazione allarmi Nel caso si usino dei testi per valori limite dinamici, disponibile solo se Testi lunghi per valori limiti - AML oppure Testi lunghi per valori limiti - CEL sono attive.
@USER | @USERID | X | X | X | X | AML: Utente che ha confermato l´allarme
@RECHNER | @COMPUTER | X | X | X | X | AML: Calcolatore su cui l´allarme è stato confermato
Parole chiave per l´intestazione e il pie´ di pagina
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nome progetto
@SEITE | @PAGE | X | X | X | X | Numero di pagine
@HEADDATZEIT | @DTSYSTEM | X | X | X | X | Data sistema e ora sistema
@HEADDATUM | @DSYSTEM | X | X | X | X | Data sistema
@HEADZEIT | @TSYSTEM | X | X | X | X | Ora sistema
@USER | @USERID | X | X | X | X | Utente che stampa
@USERNAME | @USERNAME | X | X | X | X | Nome completo dell´utente che ha iniziato l´attività
@RECHNER | @COMPUTER | X | X | X | X | Calcolatore dal quale viene lanciata la stampa
[Text] | [Text] |  |  |  |  | Testo a piacere nella riga di emissione nella stampante.

attention Attenzione

Fra le parole chiave ci deve essere abbastanza spazio in modo tale che non si corra il rischio di non vedere degli inserimenti. In tal modo garantite che anche dei testi di valori limite lunghi siano visualizzati in modo corretto.

Esempio:

@TEXT (spazio fino a qui)

Impostazione millisecondi

attention Attenzione

Millisecondi per stampa e export

Nel caso in cui, stampando o esportando la AML o la CEL in CSV, XML oppure dBase, il tempo debba essere indicato in millisecondi, questa proprietà deve essere attivata nel Dialogo per le impostazioni di colonna. A tale scopo:

  • Navigate all´interno delle proprietà di progetto e passate al nodo Lista di informazione allarmi oppure a Lista eventi cronologica (CEL)
  • Cliccate sul pulsante ... della proprietà Impostazione colonna AML oppure di Impostazioni colonna CEL
  • Si aprirà il dialogo per la impostazione colonna
  • Attivate la checkbox della proprietà millisecondi

L´impostazione deve essere effettuata separatamente per AML e CEL.


Stampa online on/off

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la Lista eventi cronologica. -> Stampa online on/off

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´uso di questa funzione, la stampa online viene settata su uno stato:

  • attiva: avvia la stampa-online
  • disattiva: termina la stampa-online
  • attivo/disattivo: avvia o termina la stampa online

Per configurare la funzione:

  1. create una nuova funzione
  2. selezionate Cambio stampante-online
  3. si apre la finestra di dialogo dell´azione

  4. selezionate l´azione desiderata
  5. collegate la funzione ad un bottone


Inizia una nuova pagina per la stampa online

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la Lista eventi cronologica. -> Inizia una nuova pagina per la stampa online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione gestite durante il Runtime il cambio pagina nel caso della stampa online:

La pagina attuale della stampa ottiene il piè di pagina progettato e un avanzamento pagina. Il contatore pagina viene rimesso a 1 e si stampa l'intestazione.

Per configurare la funzione:

  1. create una nuova funzione
  2. selezionate Inizia stampa online di una nuova pagina
  3. collegate la funzione ad un bottone


Cambio stampa online

Manuale -> Lista Eventi Cronologica (CEL) -> Funzioni -> Funzioni per la Lista eventi cronologica. -> Cambio stampa online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione permette di cambiare durante il funzionamento online la stampante per la stampa online.

info Informazioni su

Questa funzione non è disponibile con Windows CE.

Per configurare la funzione:

  1. Create una nuova funzione.
  2. Selezionate Cambio stampante-online .

    Si apre la finestra di dialogo per la selezione della stampante

  3. Selezionate la stampante desiderata fra quelle presenti nel menù a tendina.
  4. Collegate la funzione ad un bottone

Parametro | Descrizione
selezione stampante | Selezione della stampante desiderata fra quelle della lista a cascata.
Visualizza questa finestra di dialogo a Runtime | Attivo: In caso che la funzione venga eseguita, il dialogo viene aperto e la stampante può essere definita durante il Runtime.


Gestione a Runtime

Manuale -> Lista Eventi Cronologica (CEL) -> Gestione a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime, la Lista eventi cronologica viene aperta mediante una Funzione di cambio immagine.

Gli elementi di controllo a disposizione e l´aspetto vengono progettati nell´Editor.

Finestra

Parametri

Descrizione

Lista eventi cronologica (CEL)

Campo visualizzazione per la lista con i suoi eventi. L´aspetto è impostabile. Le colonne vengono definite al momento del cambio immagine usando il filtro impostazioni di colonna.

Si usa la proprietà Impostazioni colonna CEL che si trova nel gruppo Lista eventi cronologica (CEL) delle proprietà di progetto, per definire le impostazioni per l´export in CSV, XML e DBF. Esse servono anche come impostazione preliminare per la funzione di cambio immagine.

Filtro impostato

Mostra il filtro attualmente selezionato.

Stato Lista Eventi Cronologica

Mostra durante il Runtime lo stato della CEL.

  • Attivo: Gli eventi vengono protocollati nel progetto a seconda delle Impostazioni.
  • Inattivo: Gli eventi non vengono protocollati.

Lo stato viene fissato mediante la proprietà Abilita CEL. Una modifica diviene effettiva solamente dopo che il Runtime è stato riavviato.

Quantità totale

Numero di tutti gli eventi della lista.

Funzioni lista

Parametri

Descrizione

Filtro...

Apre il dialogo filtro.

Stop/Avanti

Gestisce l´aggiunta di nuovi eventi nella lista mentre essa è visualizzata:

Stop: Non vengono più aggiunti nuovi inserimenti alla lista. Il pulsante modifica la sua didascalia in Avanti.

Avanti: Nuovi inserimenti sono aggiunti alla lista. La didascalia sul pulsante cambia e diventa Stop. Per mettere in ordine cronologico nuovi inserimenti, si deve usare il pulsante Ordinare.

Ordinare

Dopo l´apertura della CEL durante il Runtime, i nuovi inserimenti non vengono messi in ordine cronologico, ma semplicemente aggiunti in fondo alla lista.

Quando si clicca su questo pulsante, la lista viene riordinata.

Per distinguere gli inserimenti ordinati da quelli che non lo sono, si può assegnare ad ogni categoria un colore differente; a tal scopo utilizzate le proprietà Testi ordinati e Testi non ordinati.

Visualizza tempo relativo

Attivo: I tempi relativi vengono visualizzati senza che l´elemento selezionato perda il focus.

Stampa

Stampa la lista nel modo in cui essa viene visualizzata al momento.

Stampa con dialogo

Apre, prima di effettuare la stampa, il dialogo con le impostazioni relative.

Campo commento

Parametri | Descrizione
Campo commento | Inserimento da parte dell´utente di un testo libero concernente l´evento selezionato. Lunghezza massima: 79 caratteri Per visualizzare il testo anche nella CEL, si deve attivare la colonna Commento nella Definizione colonna. Le modifiche vengono applicate premendo il pulsante Ins. Premendo il tasto Esc, oppure con la perdita del focus, la modifica viene rigettata. Le modifiche apportate ai commenti possono essere documentate attivando la proprietà Commento CEL.

Navigazione

Parametri | Descrizione
Navigazione | Gestisce gli elementi della lista.
Riga in su | Passa alla riga superiore.
Riga in giù | Passa alla riga inferiore.
Colonna a destra | Passa alla colonna immediatamente a destra.
Colonna a sinistra | Passa alla colonna immediatamente a sinistra.
Pagina in su | Passa alla pagina superiore.
Pagina in giù | Passa alla pagina inferiore.
Pagina a destra | Passa alla pagina immediatamente a destra.
Pagina a sinistra | Passa alla pagina immediatamente a sinistra.

Elementi compatibili

Parametri | Descrizione
Elementi compatibili | Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.
Filtro impostato | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Numero totale | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Stato Lista Eventi Cronologica | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Campo commento | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Chiudi modello | Chiude il modello su cui si basa l´immagine. Raccomandazione: Per chiudere i modelli, usate la funzione Chiudi modello. Per far sì che, dopo la chiusura, appaia l´immagine aperta prima, si deve progettare l´immagine del tipo CEL con un proprio modello.

Profili filtro

Profili filtro | Impostazioni di filtro che possono essere salvate dall'utente nel runtime.
Selezione profili | Seleziona un profilo dalla lista.
Salva | Salva un´impostazione come profilo
Elimina | Cancella il profilo selezionato.

info Informazioni su

Nell´elemento di controllo Mostra filtro viene visualizzato quello usato attualmente.

Nel caso di un:

  • filtro di testo: viene visualizzata l´espressione [Txt]
  • filtro di tempo relativo viene visualizzata un´espressione secondo lo schema seguente:
    [T,Rel:%dd,%dh,%dm;%ds]
    Esempio: [T,Rel:1d,0h,0m,0s] corrisponde ad un giorno.

Configurazione della visualizzazione

Stabilite quali informazioni della CEL debbano essere visualizzate nelle Impostazioni colonna della progettazione CEL. Potete passare alle impostazioni colonna attraverso:

  • Proprietà di progetto -> Lista eventi cronologica (CEL) -> Impostazioni colonna CEL (solo scheda Impostazioni colonna )

    oppure

  • Funzione cambio ad un´immagine del tipo CEL ( Tutte le schede)

Visualizzazione nella colonna valore

Nella colonna Valore possono essere visualizzati solamente valori di tipi di dato numerici. Nel caso di inserimenti con un tipo di dato String, la colonna rimane vuota.

Campo commento

Inserimenti o modifiche nel campo del commento determinano le seguenti azioni:

  • Viene creato un Event per l´API (CelItemCommentChanged).
  • Nel caso dei client o server 2, il commento è mandato al Server 1.
  • Se è stata attivata la proprietà Commento CEL, quando si effettua una modifica, viene generato un inserimento nella CEL che si riferisce al cambio avvenuto.

Sintassi: <TimeStamp> - Valore vecchio "<Old Value>" - Valore nuovo: "<New Value>";

Noch in diesem Kapitel

Filtrare CEL

Stampa e esporta eventi


Filtrare CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Gestione a Runtime -> Filtrare CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli eventi possono essere visualizzati durante il Runtime nei seguenti modi:

  • applicazione filtro durante il Runtime
  • cambio immagine con filtro predefinito per passare ad un´ immagine del tipo CEL
  • cambio immagine con filtro in concomitanza con l´apertura di un´immagine del tipo CEL
  • cambio ad un´immagine del tipo Lista eventi cronologica Filtro

Filtrare durante il runtime

Nell´immagine del tipo CEL, potete usare dei filtri durante nel Runtime. Al fine di filtrare gli eventi visualizzati nella CEL:

  1. Deve esserci il pulsante Filtro.
  2. Cliccate sul pulsante Filtro.

    Si apre il Dialogo filtro della CEL

I filtri già impostati possono essere salvati nei Profili.

Cambio ad un´immagine del tipo Lista eventi cronologica

Gli eventi possono essere visualizzati già prefiltrati. Per far ciò:

  1. Configurate un Filtro per la funzione Cambio ad un´immagine del tipo CEL.

    Quando la si apre, la CEL viene visualizzata già filtrata

  2. Nel caso in cui, per la funzione, sia stata attivata l´opzione Proponi dialogo a Runtime, il filtro può essere definito nuovamente prima della visualizzazione
  3. È poi possibile definire altre impostazioni di filtro durante il Runtime servendosi del pulsante Filtro

Cambio ad un´immagine del tipo Lista allarmi-Filtro

Al fine di rendere accessibili all´utente durante il Runtime solamente quei filtri di cui ha bisogno, usate l´immagine del tipo Lista eventi cronologica Filtro. Per far ciò:

  1. Progettate un Cambio ad un´immagine del tipo Lista eventi cronologica Filtro
  2. Servendovi di questa funzione, aprite la CEL nel Runtime

    L´utente avrà una lista di informazione allarmi adattata alle sue esigenze personali

Noch in diesem Kapitel

Profili filtro

Usa filtro CEL


Profili filtro

Manuale -> Lista Eventi Cronologica (CEL) -> Gestione a Runtime -> Filtrare CEL -> Profili filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I profili filtro sono impostazioni di filtro che possono essere salvate e aperte dall'utente nel runtime con riferimento ad una determinata immagine.

Per poter utilizzare i profili filtro, si devono progettare nell´immagine i seguenti elementi di controllo:

Elemento di controllo | Descrizione
Profilo filtro | Gestione profili nel Runtime.
Selezione profilo | Selezione di un profilo salvato nel runtime fra quelli proposti dal menù a tendina.
Salva | Cliccando sul pulsante nel Runtime si salvano le impostazione di filtro come profilo.
Elimina | Cliccando sul pulsante (X) nel Runtime si cancella il profilo selezionato.

In tal modo, potete nel Runtime:

  • salvare filtri
  • usare i filtri salvati
  • cancellare profili filtro

I profili filtro possono essere anche esportati e importati con altri elementi di controllo.

Salvare profili filtro

Per creare un profilo filtro:

  1. definite delle condizioni di filtro durante il Runtime
  2. assegnate un nome usando la proprietà Profili filtro
  3. cliccate su Salva

Usare profili filtro

Per usare un profilo filtro:

  1. selezionate dal menù a tendina della proprietà Profili filtro un filtro
  2. il filtro viene applicato immediatamente.

Cancellare profili filtro

Per cancellare un profilo filtro:

  1. selezionate dal menù a tendina della proprietà Profili filtro un filtro
  2. cliccate sul pulsante X
  3. il profilo viene cancellato
  4. si può continuare ad usare il filtro cancellato finché non viene definito e selezionato uno nuovo.


Usa filtro CEL

Manuale -> Lista Eventi Cronologica (CEL) -> Gestione a Runtime -> Filtrare CEL -> Usa filtro CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine del tipo Lista eventi cronologica Filtro consente di effettuare nel Runtime delle impostazioni di filtro individuali per la Lista eventi cronologica. Potete configurare anche tutte le impostazioni di filtro che sono presenti nel Filtro per la funzione Cambio ad un´immagine del tipo CE.

In tal modo:

  • vengono configurati e resi disponibili all´utente solamente gli elementi di filtro che sono realmente necessari
  • il sistema visualizza a beneficio dell´utente solamente questi filtri, facilitandogli così la vita e consentendogli una visione d´insieme più semplice e chiara
  • avete la possibilità, inoltre, di definire in modo completamente libero l´aspetto e di assicurare in tal modo una facile gestione mediante un touchscreen

Immagini filtro

Le immagini di filtro consentono di trasmettere un filtro predefinito da un'immagine ad un'altra. Il filtro dell´immagine sorgente viene settato sull´immagine di destinazione. Le immagini possono essere anche di diversi tipi.

attention Attenzione

Per riprendere il tempo dall´immagine da aprire nel Runtime, il seguente intervallo di tempo deve essere selezionato nell´Editor per la funzione di cambio immagine per la Lista di informazione allarmi o la Lista Eventi Cronologica alla voce Filtro tempo: Imposta filtro come filtro temporale.

Definizione di apertura

Bisogna soddisfare le seguenti condizioni per fare sì che i filtri impostati siano anche utilizzabili:

  1. Come arco di tempo del filtro tempo, si sceglie Imposta filtro come filtro temporale.
  2. L´immagine (immagine del tipo Filtro Lista di informazione allarmi, Filtro Lista eventi cronologica oppure Filtro tempo/lotto) viene attivata con l´aiuto di un pulsante oppure di un elemento combinato. Solo così si può garantire la relazione fra immagine filtro e immagine sorgente.
  3. L´immagine sorgente e quella filtro devono essere progettate su diversi modelli o monitor. Solo se l´immagine sorgente è aperta, può essere aggiornato il filtro per l´immagine filtro. Ciò è possibile solamente se le due immagini non utilizzano lo stesso modello o lo stesso monitor.
  4. L´immagine che apre deve essere compatibile con l´immagine filtro che si vuole aprire (vedi tabella).
Immagine sorgente | Filtro AML | Filtro CEL | Filtro tempo
Post-elaborazione archivio | T | T | T
Trend esteso | T | T | T
Filtro tempo | T | T | X
Filtro lista informazione allarmi | X | C | T
Filtro CEL | C | X | T
Lista di informazione allarmi | X | C | T
Lista eventi cronologica (CEL) | C | X | T

Legenda:

  • C: le impostazioni comuni vengono attualizzate.
  • T: impostazioni temporali vengono aggiornate.
  • X: tutte le impostazioni vengono attualizzate.

info Informazioni su

nessun filtro

L´immagine filtro non viene sottoposta a filtro, ma aperta con i valori progettati, se:

  • una delle condizioni da 1 o a 3 è soddisfatta, oppure
  • l´impostazione Richiama immagine della funzione Cambio immagine non è attiva oppure
  • l´immagine non viene aperta tramite un elemento ad immagine

In questo caso, i pulsanti accetta, chiudui e aggiorna sono visualizzati in color grigio e non sono utilizzabili.

Aggiornamento

Al momento dell´apertura di un´immagine filtro (Filtro Lista di informazione allarmi, Filtro Lista eventi cronologica, Filtro tempo), vengono aggiornate le immagini progettate nella funzione Cambio immagine in due maniere:

  • nel caso in cui l´immagine filtro viene aperta tramite un elemento ad immagine, vengono aggiornate le immagini di destinazione che si trovano sullo stesso monitor dell´immagine sorgente.
  • Nel caso in cui invece l´immagine filtro viene aperta in un altro modo, oppure se l´impostazione Aggiorna su tutti i monitor è attivata, vengono aggiornate tutte le immagini di destinazione progettate.

L´aggiornamento avviene non appena cliccate sul pulsante Applica, oppure non appena chiudete l´immagine filtro con il pulsante Chiudi. Il pulsante Annulla rimuove le modifiche e chiude l´immagine filtro.

Aggiorna impostazioni di filtro

Facendo uso del pulsante Aggiorna, adottate le impostazioni attuali di filtro dell´immagine sorgente. Se l´immagine filtro non è stata aperta mediante un elemento ad immagine, oppure se l´impostazione Immagine che apre non è stata attivata, il sistema cerca su tutti i monitor un´immagine che può essere utilizzata per effettuare l´aggiornamento. La prima immagine che viene trovata, viene usata per l´aggiornamento.


Stampa e esporta eventi

Manuale -> Lista Eventi Cronologica (CEL) -> Gestione a Runtime -> Stampa e esporta eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli inserimenti della CEL possono essere documentati e archiviati come segue:

  • CEL stampa online: quando viene visualizzato nella lista, ogni evento viene emesso su un line printer
  • CEL stampa Offline: La CEL viene stampata allo stato attuale, come se fosse una lista completata
  • Esporta contenuti della CEL (filtrati)

La stampante da usare viene definita tramite File -> Configurazione generale -> Standard .

attention Attenzione

Per la stampa il sistema usa un file di configurazione *.frm:

  • online: ALARM.frm
  • offline: ALAR_G.frm.

Questo file FRM deve trovarsi nella struttura ad albero del progetto, più precisamene nel settore File, nella cartella Testi e formati.

Modelli per il file FRM li trovate nella cartella di installazione dizenon, più precisamente nella sottocartella FRM_QRF. Essi possono essere inseriti nel settore Testi e formati e modificati in questa sede.

Le parole chiave per i file FRM le trovate nel capitolo FRM-File di configurazione.

Noch in diesem Kapitel

Stampa online

Stampa offline

File di configurazione FRM

Esporta eventi


Stampa online

Manuale -> Lista Eventi Cronologica (CEL) -> Gestione a Runtime -> Stampa e esporta eventi -> Stampa online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso della stampa Online, ogni evento con inserimento nella CEL viene inviato subito alla stampante.

Attenzione: la stampa online avviene riga per riga, conformemente a ESC/P (Epson Standard Code for Printers) e richiede una stampante compatibile con Epson.

Per stampare online inserimenti della CEL:

  1. definite anzitutto una Stampante.
  2. navigate nelle proprietà proprietà di progetto e passate al nodo AML e CEL.
  3. attivate la proprietà Stampa attiva.
  4. Selezionate in corrispondenza della proprietà Stampa per nella Combobox, la voce Lista eventi cronologica.
  5. fissate il numero delle righe tramite la proprietà Righe per pagina (Default: 72).
  6. Configurate il file BTB.frm.
  7. Aggiungete il BTB.frm al nodo File/Testi e formati

info Informazioni su

Questa funzione non è disponibile con Windows CE.

Controllo stampa e stampante nel runtime

Cambio pagina

Si verifica un cambio pagina se:

  • una pagina è stata riempita nella sua interezza
  • nel caso della stampa online, se il Runtime viene chiuso
  • viene eseguita la funzione Stampa online Inizia nuova pagina

Interrompi stampa

Per interrompere la stampa online o per riprenderla:

  • eseguite la funzione Stampa online on/off

Cambiare e impostare la stampante

Per cambiare la stampante durante il Runtime:

  • eseguite la funzione Cambio stampante online

Per impostare la stampante scelta durante il Runtime:

  1. progettate per l´immagine un elemento di controllo Dialogo stampa
  2. cliccate durante il Runtime sul pulsante Dialogo stampa
  3. si apre il dialogo di configurazione

Stampante

Parametro | Descrizione
Stampante | Impostazioni per la stampante.
Nome: | selezione della stampante fra quelle della lista a cascata. La lista contiene tutte le stampanti configurate nel sistema operativo.
Proprietà... | Apre il dialogo per la configurazione della stampante selezionata.
Stato: | Visuale stato stampante. Solo informazione.
Tipo: | visualizzazione tipo stampante. Solo informazione
Luogo: | visualizzazione del luogo della stampante, se configurato. Solo informazione.
Commento: | visualizzazione di commento sulla stampante, se configurato. Solo informazione.

Carta

Parametro | Descrizione
Carta | Configurazione della stampa.
Dimensione | Selezione del formato pagina fra quelli della lista a cascata
Sorgente | Scelta dell´alimentazione carta fra le opzioni della lista a cascata.

Orientamento

Parametro

Descrizione

Orientamento

Scelta dell´orientamento della carta. Possibili parametri:

  • Verticale
  • Orizzontale

Rete

Apre il dialogo che serve alla selezione di una stampante in rete.

Ok

Riprende la configurazione e chiude il dialogo. Iin questo modo viene avviata l´operazione di stampa nel Runtime.

Annulla

Rifiuta la configurazione e chiude il dialogo. In questo caso viene interrotta l´operazione di stampam nel Runtime.

Esempio di formattazione

Progettazione in BTB.FRM:

Data: @DSYSTEM | Lista di informazione allarmi Progetto demo | Tempo @TSYSTEM Ora | Testo
data/ora in entrata | Esce | Testo messaggio | Testo stato
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Pagina | @PAGE |

Emissione sulla stampante:

Data: 20.03.2011 | Lista di informazione allarmi Progetto demo | Tempo: ore 12 | Testo
data/ora in entrata | Esce | Testo messaggio | Testo stato
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Segnalazione 1 | Limite superato
20.03.2011 13:00:00 | 13:05:35 | Messaggio demo | Limite 750 raggiunto
20.03.2011 13:03:59 |  | Segnalazione 2 | Valore limite
20.03.2011 13:11:23 |  | Segnalazione 3 | off
20.03.2011 13:03:59 | 13:12:45 | Messaggio demo | off
 | Pagina | 1 |


Stampa offline

Manuale -> Lista Eventi Cronologica (CEL) -> Gestione a Runtime -> Stampa e esporta eventi -> Stampa offline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Stampa offline significa che la CEL viene stampata nella forma in cui viene visualizzata al momento durante il Runtime. Questa stampa è un´immagine istantanea, compresi tutti i filtri che sono stati settati e le loro restrizioni. La stampa avviene indipendentemente dal fatto se le variabili possiedono l´opzione Stampa .

Stampa

Per stampare la CEL offline:

  1. definite anzitutto una Stampante
  2. configurate il file BTB_G.frm
  3. aggiungete il BTB_G.frm al nodo File/Testi e formati
  4. cliccate durante il Runtime sul pulsante Stampa o Dialogo stampa

Cambiare e impostare la stampante

Cambiare e impostare la stampante

Per cambiare la stampante durante il Runtime:

  • eseguite la funzione Cambio stampante online

Per impostare la stampante scelta durante il Runtime:

  1. progettate per l´immagine un elemento di controllo Dialogo stampa
  2. cliccate durante il Runtime sul pulsante Dialogo stampa
  3. si apre il dialogo di configurazione

Stampante

Parametro | Descrizione
Stampante | Impostazioni per la stampante.
Nome: | selezione della stampante fra quelle della lista a cascata. La lista contiene tutte le stampanti configurate nel sistema operativo.
Proprietà... | Apre il dialogo per la configurazione della stampante selezionata.
Stato: | Visuale stato stampante. Solo informazione.
Tipo: | visualizzazione tipo stampante. Solo informazione
Luogo: | visualizzazione del luogo della stampante, se configurato. Solo informazione.
Commento: | visualizzazione di commento sulla stampante, se configurato. Solo informazione.

Carta

Parametro | Descrizione
Carta | Configurazione della stampa.
Dimensione | Selezione del formato pagina fra quelli della lista a cascata
Sorgente | Scelta dell´alimentazione carta fra le opzioni della lista a cascata.

Orientamento

Parametro

Descrizione

Orientamento

Scelta dell´orientamento della carta. Possibili parametri:

  • Verticale
  • Orizzontale

Rete

Apre il dialogo che serve alla selezione di una stampante in rete.

Ok

Riprende la configurazione e chiude il dialogo. Iin questo modo viene avviata l´operazione di stampa nel Runtime.

Annulla

Rifiuta la configurazione e chiude il dialogo. In questo caso viene interrotta l´operazione di stampam nel Runtime.

Esempio di formattazione

Progettazione in BTB_G.frm:

Data: @DSYSTEM | ALM chiusa Progetto demo | Tempo @TSYSTEM Ora | Testo
data/ora in entrata | Esce | Testo messaggio | Testo stato
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Pagina | @PAGE |

Emissione sulla stampante:

Data: 20.03.2011 | ALM chiusa Progetto demo | Tempo: ore 12 | Testo
data/ora in entrata | Esce | Testo messaggio | Testo stato
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Segnalazione 1 | Limite superato
20.03.2011 13:00:00 | 13:05:35 | Messaggio demo | Limite 750 raggiunto
20.03.2011 13:03:59 |  | Segnalazione 2 | Valore limite
20.03.2011 13:11:23 |  | Segnalazione 3 | off
20.03.2011 13:03:59 | 13:12:45 | Messaggio demo | off
 | Pagina | 1 |


File di configurazione FRM

Manuale -> Lista Eventi Cronologica (CEL) -> Gestione a Runtime -> Stampa e esporta eventi -> File di configurazione FRM

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I file FRM (file formato) sono file di configurazione per la stampa di liste.

Il file FRM si suddivide in tre parti:

  • Parte iniziale: Inizio pagina
  • Parte lista: Ciclica per riga
  • Piè di pagina: in fondo alla pagina

Principi fondamentali

Quando modificate i file FRM tenete presente:

  • separazione delle parti:
    • Inizio, parte lista e fine sono separati da %%.

      L’impostazione della struttura può essere utilizzata solamente una volta per la parte lista e la parte finale.

    • Attenzione: all´ultima riga devono seguire perlomeno due paragrafi vuoti. Altrimenti il piè di pagina non viene stampato!
  • Posizionamento dei singoli inserimenti:
    possono essere usati solamente degli spazi vuoti, nessun tab.
  • Modifica del file FRM in un Editor di testi:
    Il cambio riga automatico deve essere disattivato, perché altrimenti possono verificarsi degli effetti indesiderati nella formattazione.

Parole chiave

L´impostazione della lunghezza pagina si effettua nelle proprietà di progetto alla voce AML e CEL, oppure ci si serve dei file ALARM.frm oder ALAR_G.frm per AML oppure. BTB.frm und BTB_G.frm per CEL.

Attenzione:

  • la quantità di allarmi visualizzati per pagina risulta dal numero di righe impostato dall'utente (per esempio Righe per pagina 72) meno le righe utilizzate per l'intestazione pagina e per il piè di pagina..
  • Per potere utilizzare le parole chiave che analizzano la riattivazione (tempo, quantità) deve essere impostata l`opzione Utilizza tempo di riattivazione nella Lista di informazione allarmi.
  • Nel file di formattazione è inoltre possibile usare testi e parole chiave. Le parole chiave possono essere usate in tedesco o in inglese. Si consiglia l´uso di parole chiave inglese.
  • Non ogni parola chiave è adatta per ogni tipo di stampa (AML, CEL, online, offline).

La seguente tabella contiene le parole chiave in tedesco e inglese e le possibilità di sostituzione:

Deutsch (Tedesco) | Inglese | AML Offline | CEL Offline | AML Online | CEL Online | Descrizione
Parole chiave per la parte liste
@BMKENNUNG | @RESOURCELABEL | X | X | X | X | Identificazione servizio
@DATZEITKOMMT | @DTRECEIVED | X | X | X | X | Data e momento della comparsa dell´allarme
@DATZEITGEHT | @DTCLEARED | X | - | X | - | Data e momento della fine dell´allarme
@DATZEITOK | @DTACK | X | - | X | - | Data e momento del ripristino dell´allarme
@DATZEITREAKT | @DTREACTIVATE | X | - | X | - | Data e momento della riattivazione: La proprietà Utilizza tempo di riattivazione delle proprietà di progetto deve essere attivata.
@DATZEIT | @DTLASTEVENT | - | - | X | - | Data e ora di allarme in entrata o cancellato, o ripristinato o riattivato.
@ZEIT | @TLASTEVENT | - | - | X | X | Ora di allarme in entrata o uscito, o riconosciuto o riattivato.
@ZEITOK | @TACK | X | - | X | - | indica solamente il momento del ripristino
@ZTKOMMT | @TRECEIVED | X | X | X | X | indica solamente il momento della comparsa dell´allarme
@ZTGEHT | @TCLEARED | X | - | X | - | indica solamente il momento della fine dell´allarme
@ZTREAKT | @TREACTIVATE | X | - | X | - | indica solamente il momento della riattivazione
@TIMELASTING | @TACTIVE | X | - | X | - | Tempo di attesa (differenza fra Entra - Esce)
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nome progetto
@KANALNAME | @VARNAME | X | X | X | X | Nome variabile CEL: solo inserimenti con variabili
@AK | @ACLASSNR | X | X | X | X | Nome classi allarmi/eventi
@AG | @AGROUPNR | X | X | X | X | Numero gruppi allarmi/eventi
@AGNAME | @AGROUPNAME | X | X | X | X | Nome del gruppo-allarmi/eventi
@AKNAME | ACLASSNAME | X | X | X | X | Nome della classe-allarmi/eventi
@TAGNR | @IDENTIFICATION | X | X | X | X | Identificazione (denominazione propria della ditta)
@AMELDUNG | @TEXT | X | X | X | X | Testo messaggio allarme
@REAKTANZ | @NRREACTIVATE | X | - | X | - | Numero di riattivazioni
@STATUS | @STATUS | X | X | X | X | Informazioni di stato come nella Lista di informazione allarmi
@WERT | @VALUE | X | X | X | X | Valore variabile dell´allarme
@REAKTIONSTEXT | @COMMENT | X | X | X | X | Commento dalla Lista di informazione allarmi Nel caso si usino dei testi per valori limite dinamici, disponibile solo se Testi lunghi per valori limiti - AML oppure Testi lunghi per valori limiti - CEL sono attive.
@USER | @USERID | X | X | X | X | AML: Utente che ha confermato l´allarme
@RECHNER | @COMPUTER | X | X | X | X | AML: Calcolatore su cui l´allarme è stato confermato
Parole chiave per l´intestazione e il pie´ di pagina
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nome progetto
@SEITE | @PAGE | X | X | X | X | Numero di pagine
@HEADDATZEIT | @DTSYSTEM | X | X | X | X | Data sistema e ora sistema
@HEADDATUM | @DSYSTEM | X | X | X | X | Data sistema
@HEADZEIT | @TSYSTEM | X | X | X | X | Ora sistema
@USER | @USERID | X | X | X | X | Utente che stampa
@USERNAME | @USERNAME | X | X | X | X | Nome completo dell´utente che ha iniziato l´attività
@RECHNER | @COMPUTER | X | X | X | X | Calcolatore dal quale viene lanciata la stampa
[Text] | [Text] |  |  |  |  | Testo a piacere nella riga di emissione nella stampante.

attention Attenzione

Fra le parole chiave ci deve essere abbastanza spazio in modo tale che non si corra il rischio di non vedere degli inserimenti. In tal modo garantite che anche dei testi di valori limite lunghi siano visualizzati in modo corretto.

Esempio:

@TEXT (spazio fino a qui)


Esporta eventi

Manuale -> Lista Eventi Cronologica (CEL) -> Gestione a Runtime -> Stampa e esporta eventi -> Esporta eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono differenti formati per esportare gli inserimenti della CEL:

  • dBase
  • CSV
  • XML
  • SQL

Esporta

Per esportare degli inserimenti CEL:

  1. impostate una funzione Esporta CEL
  2. collegate la funzione ad un bottone
  3. eseguite la funzione durante il Runtime

info Informazioni su

L´export SQL avviene in modo incrementale. Se ci sono già dei dati esportati, vengono esportati solamente quelli nuovi o quelli modificati.


Load Management

Manuale -> Load Management

The Load Management is a tool for the support of the economical management. It is for implementation of energy supply management for small and medium-sized power supply companies and also for industrial firms whose energy supply is arranged by special contracts.

The module includes two high-quality functions to support the user:

  • Forecast (short-term forecast): To avoid load peaks and to automate load shedding.
  • Optimization: Optimization of the determined energy consumption of a billing period.

The focus is on energy-related electrical equipment.

tutorial Informazioni sulla licenza

Must be licensed in Editor and Runtime.

Project manager context menu

Menu item | Action
Export XML all... | Exports all entries as an XML file.
Import XML... | Imports entries from an XML file.
Help | Opens online help.

Noch in diesem Kapitel

Introduction

How the system works when electricity is used as the power source

Principal thoughts

Load management method

Multi-level combined heat and power plants (CHPs)

Engineering of the module Load Management

Internal state of the components

Creation of the Runtime files

Operating load management in Runtime


Introduction

Manuale -> Load Management -> Introduction

The task of a Load Management is to optimize the operation of customers with special contracts, such as energy supply companies or industrial companies. Energy trend calculations are used as a significant aid; these serve as the basis for automated optimization of energy consumption.

Noch in diesem Kapitel

Initial situation in the electricity industry

Aims of an economic management

Rete gas


Initial situation in the electricity industry

Manuale -> Load Management -> Introduction -> Initial situation in the electricity industry

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

As a ruler in the energy industry a rate is used which includes both the investments of the provider and the arising costs for power generation and grid maintenance.

In order to set the price, these companies normally take into consideration a number of the peak power consumptions which arose over the year. The determination of the average power consumption takes place in a fixed measuring time, normally 15 to 30 minutes. In addition the price also includes the received power. Contracts concluded on this basis are valid on the long term.


Aims of an economic management

Manuale -> Load Management -> Introduction -> Aims of an economic management

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The aim of the economic management when using electricity as power source is to receive as much energy as possible from your provider for a price as low as possible (optimization).

Potential savings come along when expensive peak power consumptions are avoided. The peak power consumptions during a measuring period can be avoided by pointedly controlled interventions.

  • Load shedding at switchable devices
  • Input of own generators

In order to do this, it is necessary to anticipate the average power consumption of a measuring period (prediction). Thus a threatening violation of the set limit can be recognized timely and an appropriate intervention can be carried out.


Rete gas

Manuale -> Load Management -> Introduction -> Rete gas

A partire da zenon 7.50, il modulo Load Management supporta solamente reti elettriche.

La funzionalità "Rete gas" è stata rimossa. Quando si importa, converte e compila dei progetti di zenon realizzati con versioni precedenti, viene visualizzato un messaggio corrispondente nella finestra di emissione dell'Editor di zenon quando il progetto in questione ha ancora contenuti per reti gas.

Al momento dello start del Runtime di zenon, viene generato un inserimento CEL corrispondente.

Testo avviso

In caso di una progettazione con contenuti "Rete gas", viene visualizzato nella finestra di emissione dell'Editor di zenon il seguente messaggio:

La funzionalità "Rete gas" non è più supportata nel modulo Load Management e quindi non verrà importata.


How the system works when electricity is used as the power source

Manuale -> Load Management -> How the system works when electricity is used as the power source

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The measuring period for the supply with electrical power is normally 15 or 30 minutes. During this time, the average power received at the transfer point (from here on it is referred to as power or load) or the equivalent amount of energy, is determined and recorded.

The price is usually fitted to the three highest values which accrued for the measuring periods in different months. The price is then valid on the long term.

The average power which is used to calculate the price can be reduced when corresponding peak power consumptions are limited due to pointedly controlled interventions. This short term optimization can be achieved by the following interventions:

  • Load shedding at switchable devices
  • Increasing input of own generators

The aim of this optimization is to not exceed the contractual set limit for the power in a measuring period under no circumstances. Additionally, the energy consumption should stay very close below the set limit in order to receive as much energy as possible.

The consumption optimization is performed by way of a short-term trend calculation. The measured values which were gathered during the handling interval (typically 30, 60 or 180 seconds) are used to perform a trend analysis. The calculated trend is projected to the end of the period.


Principal thoughts

Manuale -> Load Management -> Principal thoughts

The following chapter deals with thoughts and examples which make it easier for the user to indentify and select changeable elements of your plant. The question is what elements and devices can be influenced by the Load Management directly or indirectly in a sensible way.

Noch in diesem Kapitel

Options in order to influence the output in the electrical power area

Power consumption characteristics of devices


Options in order to influence the output in the electrical power area

Manuale -> Load Management -> Principal thoughts -> Options in order to influence the output in the electrical power area

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Option

Description

Directly switchable devices

Devices which can be switched off briefly without interrupting any production processes are part of this group (industrial furnaces, pumps for water storages etc.).

The loads have a fixed value. In general the are depended on the device and therefore known of measureable.

Direct heatings

Because of their storage effect, these device can be switched off briefly without decreasing the quality of supply significantly (heating in warm water storages, electrically operated floor heatings etc.).

The loads consist of a consistent part and a part which is temperature-dependent. Additional the load is dependent on how long the device was switched off.

Monovalent heat pumps

In general these pumps are operated in the same way as direct heatings.

The temperature-dependent part is more distinctive and rise with falling outside temperatures (pumps used for generating heat including air conditioners) or rises with rising outside temperatures (air conditioners). The load is dependent on how long the device was switched off.

Bivalent heat pumps

These can choose between fuels they use. Beneath a certain temperature they are switched to a different fuel by their control unit of by the optimization.

At that no supply constraints emerge for the devices. These components are only switched in the long term and restrictively because the switching should not take place constantly.

When the temperature falls, the load increases up to the switching point. There it vanishes completely.

Night storage heatings

These devices are supplied with energy according to schedule or if there is any needed output during low rate periods. They are switched off during the remaining time.

The load depends essentially on the outside temperature. It is noticeable how many heatings are switched on (this is limited by the installed power) and how long they are charged.

Peak load aggregates and emergency power aggregates

These aggregates are switched on/off as required. In some cases these aggregates are controllable. The number of uses should be limited because the start of these aggregates coupled with additional costs on wear. In addition these aggregates should run for a minimum time in order to avoid thermal damages.

Combined heat and power units (CHPs)

These aggregates were primarily built to generate heat and are controlled by the heat demand during their operation (heat priority).

Some aggregates can be directly used to generate electric power (electric power demand). In general this operational mode is inefficient if the generated heat is not used at the same time. Therefore the use is only beneficial if the heat demand is corresponding or there is a possibility to store the heat.

The load reduction with regard to the take over point depends on the nominal size and for controlled or heat demand controlled aggregates from their working point.

It is quiet common to combine aggregates to groups. According to the heat demand, a certain quantity from the group is used. The maximum power lowering in the electrical power area is given by the number an nominal power of the used aggregates.

Lowering the voltage

In the electrical power area it is possible to lower the voltage in some grids. In order to achieve this, the transformers to the medium voltage level are switched to a lower level.

The voltage-dependence of the devices (ohmic load) causes another load demand provided that the voltage or output is not adjusted by subordinated controls.

The load reduction is dependent on the grid load, on the possible lowering of the voltage (minimum voltages must be adhered to) and on the composition of the devices.


Power consumption characteristics of devices

Manuale -> Load Management -> Principal thoughts -> Power consumption characteristics of devices

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to reconstruct the actual needed output, models must be used which represent the power consumption of the switched off components. These models are allocated to different classes.

Type | Description
Constant output | When switched on, an aggregate (pump, furnace) runs with a previously defined power consumption. Accordingly the output is reduced by the amount of the power consumption when the device is switched off. In this case it is enough to indicate the nominal power as a constant.
Directly temperature-dependent | The temperature dependence of the devices is directly dependent of weather effects and rises with thermal output approximately proportional to the negative gradient of the outdoor temperature. With respect to cooling capacity the behavior inverses itself.
Loading period model | At that the temperature makes itself felt with the size of the switch-on output and the length of the following loading period until the output drops when all heat stores are full.
Dependence on the switch-off time | At that several devices - because of the temporary cool down or warm up - are switched on dependent on the previous switch-off time. After a short period of time they switch themselves off again.
Dependent on the production process | In the industry sector behavior can occur - caused by production processes - which are subject to no behavior patterns or dependencies. These can only be determined by the production schedules.


Load management method

Manuale -> Load Management -> Load management method

The Load Management for electrical energy (electric current) is based on a time line analysis. At that the measured output progress is analyzed and extrapolated to the future. The forecast horizon of the Load Management corresponds to the remaining time of the measuring period.

Noch in diesem Kapitel

Input values

The model for the short term prognosis

Operating principle of the obtaining rule

Overlapping of schedule inputs


Input values

Manuale -> Load Management -> Load management method -> Input values

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

As input value the Load Management expects a value from a counter or a calculated value which is supplied by the drivers or the result of the calculation of a mathematical formula in zenon.

Attention: It must be made sure that the value is supplied exactly one time in the update interval. Values must not be absent or be there twice.

The dimension: MW, kW or kWh

The system is designed on the basis of kW and hour. Therefore all power and energy amounts which must be entered in parameterization masks refer to these dimension. Internally the Load Management functions calculate without the dimensions. Thus it does not really matter in what dimensions the values are delivered and interpreted as long as they refer to the same basis. The base unit can be either kW or MW.

info Informazioni su

Because the Load Management is a component which can cause high costs if it fails, it is very important the input values are secured. It is recommended that values for this module are secured by using sensible alternate values or an alternate value strategy.


The model for the short term prognosis

Manuale -> Load Management -> Load management method -> The model for the short term prognosis

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

For the projection of the current power progress it is necessary to design a mathematical model of the power progress. By extrapolation of the power progress of this model over the remaining time of the billing period, the expected power value at the end of the period is estimated.

Power trend

At the end of the period T the power P prog (T) is to calculate. In order to calculate the current power trend, a linear function in the form of a polygon is used, which is extrapolated to the end of the period.

P prog (T) = P const (t) + P trend (t) * ( T - t )

The mathematical polygon factors p0, p1 are named after their physical meaning in order to make it easier to understand.

Factor | Description
P prog | prognosticated power value
P const | Power constant (value of the last values)
P trend | Power trend (linear ascent(descent)
D | Point in time of the end of the measuring period
t | current time

Energy trend

Deducted from this the energy trend up to the end of the period E(T) can be calculated with the function

E prog (T) =P aver (t) * t + P const (t) * (T - t) + ½ * P trend (t) * (T - t)

Factor | Description
E prog | prognosticated energy value
P aver | average power value

The first addend describes the determined energy up to the time t. The energy can be either determined by the average power value as described in the formula or is given as a direct calculated energy value E(t).

The second addend continues the present constant power to the end of the period and calculates the constant energy amount from that.

The third addend describes the additional influence of the trend.

Concerning the energy calculation for the actual billing a value is necessary which is set back exactly at the beginning of the measuring period. Therefore it is not possible to use externally filtered values.

From the formula mentioned above the average value at the end of the period is determinable.

P prog aver (T) = E prog (T) / T

Parameters | Description
P prog aver | prognosticated average power value

Noch in diesem Kapitel

Calculation of the correction power

Actual value and real value forecast

Lowering the supply limit


Calculation of the correction power

Manuale -> Load Management -> Load management method -> The model for the short term prognosis -> Calculation of the correction power

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

During the measuring period the average power

P limit = agreed limit

can be obtained. Over the measuring period T this power equals

E limit = P limit * T

.

By comparing this power with the expected energy E prog (T) at the end of the period, the de- and exceedance of the agreed limit

E corr = E prog (T) - E limit

can be assessed. The de-/ or exceedance can be balanced by carrying out the corresponding switchings.

Minding that at time t only T-t balance time is available. Therewith a large correction power

P corr (t) = E corr / (T-t)

is necessary.


Actual value and real value forecast

Manuale -> Load Management -> Load management method -> The model for the short term prognosis -> Actual value and real value forecast

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The forecast is carried out for several trends in the Load Management module.

  • The first trend considers the power consumption. This trend calculates the ascent of the power requirement as actual value forecast.
  • A second trend factor considers the switchings which have taken place in the past.
  • A third trend factor calculates the influence of the switchings which will take place in the future.

The trend functions are laid on top of each other and result in the real value forecast. It describes the actual power consumption to the end of the billing period which is to be expected.


Lowering the supply limit

Manuale -> Load Management -> Load management method -> The model for the short term prognosis -> Lowering the supply limit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

As the load trend can never be exactly predicted and as there are usually deviations of the switchable loads, it is necessary to go slightly below the actual supply set value for security reasons.

This is why there is a percentage of Safety distance [%] for the supply limit during parameterization, which must be undershot before connections are triggered.

Digit | Description
1 | Supply limit (set value)
2 | Safety distance
3 | Deactivate hysteresis
4 | Activate hysteresis
5 | Hysteresis for switching

Around this limit a hysteresis can be built with the help of Attiva isteresi [%] and Disabilita isteresi [%] . In doing so the Attiva isteresi [%] eliminates a part of the Safety distance [%].

attention Attenzione

Take care that Attiva isteresi [%] is in any case smaller than the Safety distance [%]. Otherwise the system reacts too late if the agreed limit is exceeded


Operating principle of the obtaining rule

Manuale -> Load Management -> Load management method -> Operating principle of the obtaining rule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Closed Loop operation

Normally the obtaining rule is applied in the Closed Loop operation. There switch on and switch off times are calculated in accordance with the results of the optimization part. The switching is triggered directly by the corresponding switching commands.

info Informazioni su

In the Load Management module the immediate switching points do not have to be used at the devices. You can decide whether you want to make direct switching possible or whether switching must be cleared by the user first.

attention Attenzione

The unchecked use of the closed loop operation necessitates an intensive pilot stage. At that all switchings which are then done by the control must be checked by the user. This pilot stage must be adjusted to the size and complexity of the system. It is possible that the pilot stage lasts up to one year.

Noch in diesem Kapitel

Output determination for the devices

Switching process


Output determination for the devices

Manuale -> Load Management -> Load management method -> Operating principle of the obtaining rule -> Output determination for the devices

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The output determination for the devices is especially important with regard to the assessment of the effect caused by switchings. The problem is that the output of the switched off devices cannot be measured directly and must sometimes be estimated.

In the system two mechanisms are implemented in order to determine the output

  • Fixed value by parameterization

    The value (e.g. the nominal power) is considered by the optimization as fixed and is always available.

  • Measuring the current value.

    The value is measured and zenon describes this value with the help of a variable in the devices.

The initial value for the output of the device is determined with a polling of the variable value during the beginning of the optimization. In order to compensate errors due to fluctuations, the optimization calculates a gliding average value using the consecutively arriving measurements.

info Informazioni su

If a component is switched off when the optimization starts, its output is presumed as zero. Thus the SCADA function cannot determine a valid output value as prerequisite for the use of the component. The component must be switch on by hand once.

attention Attenzione

As long as not at least one value has arrived, the output value of the component is not known and cannot be used for the optimization.

Noch in diesem Kapitel

Primary factors

Secondary factors


Primary factors

Manuale -> Load Management -> Load management method -> Operating principle of the obtaining rule -> Output determination for the devices -> Primary factors

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The amount of the energy

In general the device selection is determined by the amount of energy which can be switched on or off.

If the requested amount of energy cannot be reached exactly, it is treated as a minimum value at a switch-off request and a maximum value at a switch-on request. The consumption limits can thus be safely adhered to.

info Informazioni su

During the Runtime the amount of energy can be adjusted dynamically with the help of a variable.

Availability

The availability controls if the device is usable in general. The availability can be set manually and is always set back when the component cannot be used because of operational reasons (e.g. at overhauls) or when the optimization should not use it.

Conditions which arise during the process can also determine the availability of the component and control its use by the optimization.

info Info

In the Runtime the availability can be adjusted dynamically with the help of a variable. For example time tables with respect to the availability can be implemented with the help of a scheduler or the Production & Facility Scheduler.


Secondary factors

Manuale -> Load Management -> Load management method -> Operating principle of the obtaining rule -> Output determination for the devices -> Secondary factors

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lock times and release times of the devices

With the help of the lock times you can control during which times the components are not available for the optimization. The times which are not designated as lock times represent the release times.

attention Attenzione

During the lock times the components are not influenced by the optimization - or only in the released direction. Thus the components remain in the state they had reached at the end of the release time.

Minimum and maximum switching times

You can specify the minimum and maximum time for the single switch states (on/off) for each used device and generator. The time indicates what time period must have elapse at least in order to trigger a switching in the opposite direction.

This parameter is important for aggregates because in order to avoid thermal damages and damages caused by soot they must not be switched off right after they were switched on. Thus for example a certain amount of time must have passed after the heating groups had been activated before they switch on.

Switching frequency

If devices and generators can only be switched a limited number of times in a certain time period, the components are no longer switched when this number is exceeded. Beside the number of switchings a time period must also be defined in order to carry out the parameterization.

Example Esempio

Maximum 25 switchings in 12 hours

Switching priorities

The switching of the components is planned in accordance with a priority schedule. At that switch-on and switch-off priorities are listed separately. The user can determine the priorities in accordance with the operation requirements. The component with the highest priority (highest numerical value) is switched first.

If there is a requirement to switch the components in a sorted order by having the device that was switched on first be the one switched off last, a number pattern must be applied to all components: ascending for the first switch-on and descending for the last switch-off.

info Informazioni su

If several devices have the same priority in one plant, the Load Management automatically ensures that on average all devices of the same level are switched equally often.


Switching process

Manuale -> Load Management -> Load management method -> Operating principle of the obtaining rule -> Switching process

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The term switch-off request on the part of the optimization always refers to the reaction of the device which decreases the needed output and therewith the obtained output because it is switched-off. Therefore the request for the switch-off can be fulfilled by switching on an aggregate.

Processes during a switching

Digit | Description
1 | Pre-warning on
2 | Output order ON
3 | Delay time for switch-on
4 | Pre-warning off
5 | Output order OFF
6 | Delay time for switch-off

Delay time for the switch-on (switch-on dead time)

Equals the time period from activating the switching order until the nominal power is reached.

This time - dependent on the aggregate - can be quite long; e.g. starting up the aggregate und synchronization, rearwards controlled heating etc.

Delay time for the switch-off (switch-off dead time)

Time period from activating the switching order until the output is zero. You must add the time of the activation of the switching order to the time when the total output is zero.

Forewarn time for the switching-on and the switching-off (length of forewarn time)

The switching times are planned to a second in order to exactly control the amount of energy. In order to give the user the opportunity to adhere to the times in the open-loop operation a certain lead time to carry out the switching is necessary. This is defiend by Tempo di preavviso. Hereby the user receives information about switchings which are planned before they are actually carried out.

attention Attenzione

As the Load Management module assumes that the switchings are carried out, the suggested switchings should be carried out in the corresponding time in respect to the exactness of the forecast.

Tactic of the switching schedule

In general the switching selection happens in a way that as few switchings as possible are carried out. This calms the grid operation and keeps up the availability of the devices whose use are limited by a maximum of switchings. In addition conflicts are minimized which can occur at the command output of the switchings.

The use of components with a much higher output than that is used for the correction is possible by a specific time control. The components are used for such a short time that the compensate the needed output.

Suppressed switchings at the beginning of a measuring period

At the beginning of a measuring period it is possible that larger switchings are carried out or large deviations to the actual output average value are set in order to compensate large amounts of energy at the end of the period. That is way it is necessary at the beginning of the period to give the system the opportunity to adjust itself to the new circumstances.

That is why a Down time begin tariff interval can be engineered in the system. During this time the optimization doe not carry out any switchings.

attention Attenzione

If for a long time no response is received for a switch command which was issued by the EMS (on the response variable), the Load Management assumes that the action failed und tries to carry out another switching (on the next available component). Therefore you must always ensure that the correct response about the success of a switchng operation is transferred to the Load Management.


Overlapping of schedule inputs

Manuale -> Load Management -> Load management method -> Overlapping of schedule inputs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The switching of aggregates and devices according to fixed times with the help of the Scheduler or the Production & Facility Scheduler is possible with several applications. As there is not explicit link between these modules and the short term optimization, these switchings are not monitored in regard of the output trend. They are also not displayed in the trend of the obtained output. They are interfering in the short time optimization with regard to its result.

In order that these interferences do not have radical effects, external switchings should be engineered in a way that they take place at period change. If this is not possible, they should be scheduled right after a period change so that the interfering influence on the control can still be compensated. These switchings should be finished within the Down time begin tariff interval and the influence of the switching on the input value should be present.


Multi-level combined heat and power plants (CHPs)

Manuale -> Load Management -> Multi-level combined heat and power plants (CHPs)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Multi-level CHPs can be regarded as one component. It is possible to describe CHPs with 2 to n levels.

The CHPs are controlled by a set value. Additionally different output levels can be defined which this set value can take on. The actual output of the CHP is registered by a measurement (variable) and sent to the Load Management.

attention Attenzione

A CHP is only available for the Load Management when it has reached its nominal power. The availability flag is set accordingly by the engineering. The Load Management cannot switch off the CHP but only switch it to its nominal power.

Noch in diesem Kapitel

Set value processing at CHPs

Planned switchings for CHPs

Priorities of CHPs

Time-dependent restrictions for CHPs

Manual operation of CHPs


Set value processing at CHPs

Manuale -> Load Management -> Multi-level combined heat and power plants (CHPs) -> Set value processing at CHPs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The number of values which the set value can become equals the number of the defined levels. The value which the set value can become always equals exactly one of the defined values for the levels. The Load Management does not allocate another number to the set value.

The initialization is carried out with the currently measured output. If this value does not equal a defined level, the next smaller level is allocated. The CHP is treated as unavailable as long as the measured output does not match a level. If the measured output is disturbed, the CHP is not available and the set value is initialized as recently as a valid measured value arrives.

As a measured output does not have to equal a set value exactly, a hysteresis is defined around the set value. A level counts as reached or set as soon as the current output value is within the hysteresis of the given set value. The hysteresis can be defined for each CHP individually.

The defined levels must not be skipped when allocating the set value. The Load Management appoints the set value only to the next higher or lower level.

A set value input is only carried out if the CHP shows an explicit level (considering the hysteresis) at that time. Otherwise the CHP is not available because the measured value does not equal a level.


Planned switchings for CHPs

Manuale -> Load Management -> Multi-level combined heat and power plants (CHPs) -> Planned switchings for CHPs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When planning the set value inputs for a CHP, the conditions for the set value inputs must be taken into consideration. If several levels of a CHP are necessary in order to cover the output, keep in mind that it is only possible to switch from one level to the next level when executing a switching schedule. At that the set value inputs for each level must be in accordance with the delay times for the switch-on and switch-off of each level.

attention Attenzione

You must consider that the forewarning is only given at a defined level setting. Thus you must regard the length of the forewarning time for the individual levels when creating the switching schedule.


Priorities of CHPs

Manuale -> Load Management -> Multi-level combined heat and power plants (CHPs) -> Priorities of CHPs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A CHP has a fixed switch-on and switch-off priority. The values can be controlled by variables. Thus priorities can be controlled flexible. The takeover of a new priority takes place at the next rate interval change.

The priorities are not set for each level individually but are valid for the whole CHP.

If a least two CHPs have the same priority, the rolling priority procedure is used. A more important condition for CHPs with same priority is that they are set to the same level if possible or that they differentiate by one level at the most. The prerequisite for this is that both the switch-on priority and the switch-off priority of these CHPs is the same.

The internal reference counter for the number of switchings is incremented when the CHP is switched on. This is exactly the case when the current output passes over from one level to the next higher level. At devices using electrical current the reference counter is incremented when the component is switched off. Thus within one priority level the switching between two CHPs is compared to the switch-on and switch-off of a device.


Time-dependent restrictions for CHPs

Manuale -> Load Management -> Multi-level combined heat and power plants (CHPs) -> Time-dependent restrictions for CHPs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

CHPs need special care with regard to their time behavior. The Load Management must consider special requirements at a level switch and at delay times while the CHP are running.

Noch in diesem Kapitel

Running time according to level switching

Expiration of the delay time


Running time according to level switching

Manuale -> Load Management -> Multi-level combined heat and power plants (CHPs) -> Time-dependent restrictions for CHPs -> Running time according to level switching

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The minimum and maximum running time of CHPs must be set for each level. Instead of four times for a component (minimum switch-on time, minimum switch-off time, maximum switch-on time and maximum switch-off time) there are only two times - minimum and maximum runtime per level - in order to describe a CHP with levels.

The minimum running time (switch-on time) of a level indicates how long the CHP has to run at the least on this level. After a level is reached, the optimization must wait at least this amount of time before a new set value input can be made for the next lower level.

The maximum running time of a level indicates how long a CHP is allowed to run on this level at the most. With the exception of the lowest level (nominal power), the CHP is switched to the next lower level after this time expires. At that a level counts as active even if the CHP actually runs on a higher level. The maximum running time of the individual levels must be attuned to other restrictions with regard to minimum running time and forewarning. Thus a timely switch to a lower level is possible. The optimization must also prevent set value inputs to a higher level when the maximum running time cannot be adhered to e.g. because of the minimum running time of the higher level.

info Informazioni su

Manual switching can cause violations of the defined restrictions. These are intercepted by the Load Management.

For the lowest level (nominal level) the maximum running time has a different meaning than for the other levels. The maximum running time of the lowest level indicates how long a CHP is allowed to run on this level alone at the most. After that the CHP must be switched to the next higher level.

Example for the parameterization of the individual levels:

Step | 0 | 1 | 2 | 3 | 4
Output | 100 | 200 | 300 | 400 | 500
minimum switch-on time (in seconds) | -- | 60 | 60 | 60 | 60
Forewarn time (in seconds) | -- | 210 | 0 | 0 | 0
Delay time for switch-on (in seconds) | -- | 30 | 30 | 30 | 30
Delay time for switch-off (in seconds) | -- | 30 | 30 | 30 | 30
Minimum value for the maximum switch-on time (in seconds) | 210 | 240 | 180 | 120 | 60

The times which must be entered in the parameterization for the switch-on or switch-off always refer to the level for which they are entered. This means that the switch-off time which is parameterized for one level is considered if a "switching" is carried out from this level to the next lower level. The switch-on time is considered if a "switching" is carried out from a lower level to this level.

As the lowest level represents the CHP running with nominal power, no information for minimal running time, forewarn time, delay time for switch-on and delay time for switch-off is necessary.

The minimal allowed values for the maximum switch-on times of each level are as follows:

  • For the first level:

    Forewarn time of the next higher level

  • For the last level:

    maximum/minimum switch-on time, forewarn time of the last level

  • For all other levels:

    maximum/minimum switch-on time, forewarn time of next higher level

    + delay time for switch-on for the next higher level

    + minimum value for the maximum switch-on time of the next higher level

    + forewarn time of the next higher level

    + delay time for switch-off for the next higher level

If for one CHP the maximum switch-on time for one level is below the calculated minimum value for the maximum switch-on time, the CHP is treated as not available and a corresponding availability identification is set for the readiness.


Expiration of the delay time

Manuale -> Load Management -> Multi-level combined heat and power plants (CHPs) -> Time-dependent restrictions for CHPs -> Expiration of the delay time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A set value remains at a certain level until that level is reached or until the defined delay time has passed. In case the delay time expires, the set value is re-initialized according to the currently measured performance. This requires determining the level of the current performance. The following cases can apply:

  • The current performance value matches the old level:

    The set value did not have any effect and is therefore reset to the old value.

  • The current value does not match any level:

    There can be a check whether the current performance has approached the new set value.
    In that case, the configured set value can be kept; otherwise, it must be reinitalized.

  • The current value matches another level:

    The performance of the CHP has changed in contrast to the set value input. This corresponds to a manual switch despite availability for the Load Management. See Manual switch for further steps.

Switching plans to the next levels must be revised or exchanged if the previously configured set value of a switching action for a CHP was not reached. For any further switching actions, different components will be preferred.


Manual operation of CHPs

Manuale -> Load Management -> Multi-level combined heat and power plants (CHPs) -> Manual operation of CHPs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If a measured value of the current output without set point input is outside of the level set by the Load Management, this component is accepted as not available because it is obvious that the Load Managementis not controlling it at the time.

If a measured value of the current output re-enters the hysteresis area of a defined level, the difference to the set value is registered and the difference at the level setting is assumed to be manual operation. The set value is set to the newly identified level.

A recognized manual operation is transmitted to the forecast so that it can be considered in the trend calculation.


Engineering of the module Load Management

Manuale -> Load Management -> Engineering of the module Load Management

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The engineering of the Load Management is carried out via a hierarchic tree structure. There corresponding sub-objects are linked to individual objects depending on their type. Sub-objects are added by selecting the corresponding menu item in the context menu of the selected node.

All objects have property Nome and Descrizione. The engineering of the individual objects is carried out via the property window.

All properties that can be amended in the property window are briefly described in the Property help window after you click on the respective property name.

info Informazioni su

All mentioned or shown properties are only visible if the module Load Management is licensed. The licensed Load Management module is a separate element in the project tree. The settings in the Load Management can be made with the help of this entry.

attention Attenzione

Within the Load Management all existing units (grids, device groups, generators, devices etc.) should have a distinct name in order to ensure the perfect function of the forecast and the optimization.

info Informazioni su

All values of variables which are used in the Load Management to state or adjust time values during the Runtime (e.g. switch-on time variable) are interpreted as seconds. Therefore a numerical value of 300 corresponds to a time period of 5 minutes (=300 seconds).

In order to ensure the correct functionality of the Load Management, you must create the following variables for a supply area:

  • Consumo totale attuale
  • Supply limit
  • Valore iniziale di previsione
  • First switching value
  • Area d'errore prevista
  • Valore finale di previsione
  • Last switching value
  • Gross actual deviation
  • Net actual deviation

info Informazioni su

Use the "Create and link variables automatically" command menu entry in the context menu for a supply area. This command automatically creates variables for the properties listed above and links the variables with the properties.

You must at least create the following variables for a generator/device in order to ensure the functionality of the Load Management.

  • Stato di Switch for the generator
  • Stato di Switch for the device
  • Disponibilità

Noch in diesem Kapitel

Minimum requirements

Load Management: Detail view of toolbars and context menus

Data for load management

Grids

Supply Area

Device Group

Generator

Device

Locking times

Creating a process screen

Engineering the screen switch function

Create function start/stop

Engineering switching operations preview


Minimum requirements

Manuale -> Load Management -> Engineering of the module Load Management -> Minimum requirements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Supply area

For the correct functionality of the Load Management, you must create at least the following variables for a supply area:

  • Consumo totale attuale
  • Supply limit
  • Valore iniziale di previsione
  • First switching value
  • Area d'errore prevista
  • Valore finale di previsione
  • Last switching value
  • Gross actual deviation
  • Net actual deviation

info Info

In the context menu for a supply area you can find the menu item Create variable. It automatically creates variables for the properties listed above and links the variables with the properties. Properties Consumo totale attuale and Supply limit are an exception. You must create them manually.

Generators/Devices

For the correct functionality of the Load Management, you must create at least the following variables for a generator/device:

  • for the device
    • Stato di Switch
    • Standby output variable
      or value for property Standby output
  • for the generator
    • Stato di Switch
    • Variabile per Potenza Nominale
      or value for property Nominal output
  • for the generator and the device
    • Disponibilità


Load Management: Detail view of toolbars and context menus

Manuale -> Load Management -> Engineering of the module Load Management -> Load Management: Detail view of toolbars and context menus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Entry | Description
New | Creates a new object, depending on the position in the tree.
New power grid | Creates a new power grid.
Copy | Copies selected element to the clipboard.
Paste | Pastes objects from the clipboard.
Delete | Deletes selected element after confirmation message.
Export selected XML | Exports all selected elements as an XML file.
Import XML... | Imports objects from an XML file.
Properties | Opens the property window for the selected element.
Help | Opens the online-help for the Load Management module.

Context menus grids

Entry | Description
New power grid | Creates a new power grid.
Paste | Inserts objects of the type Grid.
Export XML all... | Exports all defined grids to an XML file.
Import XML... | Imports objects of the type Grid.
Properties | Opens the property window for the selected element.
Help | Opens the online-help for the Load Management module.

Additional context menus:

Power grids

Noch in diesem Kapitel

Context menu for power grids


Context menu for power grids

Manuale -> Load Management -> Engineering of the module Load Management -> Load Management: Detail view of toolbars and context menus -> Context menu for power grids

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Context menu power grid

Entry | Action
New supply area | Creates a new supply area.
Copy | Copies the currently selected device group. You cannot copy more than one group at a time (no multi-select).
Paste | Inserts objects of the type Power Grid.
Delete | Deletes the currently selected device group. You cannot delete more than one group at a time (no multi-select).
Export XML all... | Exports all device groups of the selected grid.
Export selected XML | Exports the selected entries as an XML file.
Import XML ... | Imports objects from an XML file.
Properties | Opens the properties window.
Help | Opens the online-help for the Load Management module.

Context menu supply area

Entry | Action
Generator new | Creates a new generator in the selected supply area.
New device group | Creates a new device group in the supply area.
Create and link variables automatically | Automatically creates the minimum required variables for the selected supply area and links them to the suitable properties.
Copy | Copies the selected supply area to the clipboard. You cannot copy more than one supply area at a time (no multi-select).
Paste | Pastes objects from the clipboard. It is possible to paste objects of the type Supply area.
Delete | Deletes the currently-selected supply area. You cannot delete more than one supply area at a time (no multi-select).
Export selected XML | Exports the currently selected supply area. You cannot export more than one supply area at a time (no multi-select).
Import XML ... | Imports the configuration of supply areas from an XML file. Imports objects of the type Supply area.
Properties | Opens the properties window.
Help | Opens the online-help for the Load Management module.

Context menu generator (group)

Entry | Action
Generator new | Creates a new generator for the selected supply area.
Paste | Pastes objects of the type Generator from the clipboard.
Import XML... | Imports generator objects from an XML file.
Help | Opens the online-help for the Load Management module.

Context menu generator

Entry | Action
Copy | Copies selected generators to the clipboard.
Paste | Pastes objects of the type Generator from the clipboard.
Delete | Deletes selected generators. Before deletion, a dialog is opened requesting confirmation.
Export selected XML | Exports all selected generators of the selected supply are into an XML file.
Import XML... | Imports generator objects from an XML file.
Help | Opens the online-help for the Load Management module.

Context menu device groups (group)

Entry | Action
New device group | Creates a new device group.
Paste | Pastes objects of the type Device group from the clipboard.
Import XML... | Imports objects of the type Device group from an XML file.
Help | Opens the online-help for the Load Management module.

Context menu device group

Entry | Action
New device | Creates a new device in the selected device group.
Copy | Copies the selected device group to the clipboard. You cannot copy more than one group at a time (no multi-select).
Paste | Pastes objects of the type Device group, device from the clipboard.
Delete | Deletes the selected device group. You cannot delete more than one group at a time (no multi-select). Before deletion, a dialog is opened requesting confirmation.
Export selected XML | Exports all devices of the selected grid as an XML file. You cannot copy more than one group at a time (no multi-select).
Import XML ... | Imports objects of the type Supply area from an XML file.
Properties | Opens the properties window.
Help | Opens the online-help for the Load Management module.

Context menu device

Entry | Action
Copy | Copies the selected device group to the clipboard. You cannot copy more than one group at a time (no multi-select).
Paste | Pastes objects of the type Device group, device from the clipboard.
Delete | Deletes the currently selected device group. You cannot delete more than one group at a time (no multi-select). Before deletion, a dialog is opened requesting confirmation.
Export selected XML | Exports selected device group as an XML file. You cannot copy more than one group at a time (no multi-select).
Import XML... | Imports objects of the type Supply area from an XML file.
Properties | Opens the properties window.
Help | Opens the online-help for the Load Management module.


Data for load management

Manuale -> Load Management -> Engineering of the module Load Management -> Data for load management

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Load Management needs a historic data basis in order to calculate the trend and to perform the optimization. If no historic data are available for the data points, the Load Management cannot start the calculation. Therefore no calculated value is displayed for the Valore finale di previsione.

At the moment the Load Management has no interface to the Historian. This is not necessary for the short term optimization. For this the historic data which were recorded via option Salvataggio dati su disco fisso are enough.

The following settings depending on the period length are recommended for the recording of the HD data.

Number of past values

As guideline use the following rule-of-thumb:

The Historic data area which is provided by the Salvataggio dati su disco fisso has to be at least 1.5 times the size of the corresponding Orizzonte di previsione. If not enough data are available, the calculation of the optimization is not started.

attention Attenzione

At the beginning of the Orizzonte di previsione the Load Management needs a Consumo totale attuale for the displayed supply area. Thereby the new value must be transferred to the Load Management during the next but one Ciclo di ottimizzazione, i.e. if the optimization cycle is 30 seconds, the value must be transferred in the period between 30 an 60 seconds.

If the Load Management does not receive a value in this period, the new initialization of the Load Management can be carried out during the next billing period at the earliest.


Grids

Manuale -> Load Management -> Engineering of the module Load Management -> Grids

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The collective node contains all projects which have been created in the grid but does not offer any setting possibilities itself.

Options:

Menu/Entry | Description
New power grid | Creates a new power grid.
Paste | Pastes objects from the clipboard.
Export XML all... | Exports all defined grids to an XML file.
Import XML... | Imports objects from an XML file.
Help | Opens the online-help for the Load Management module.

You must place a distinct Nome with each created grid. In order to ease identification you can place a free Descrizione with each grid as an option. This is not mandatory.

info Informazioni su

For each project only 1 power grid can be created or administrated.


Supply Area

Manuale -> Load Management -> Engineering of the module Load Management -> Supply Area

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The supply area is the level of the object hierarchy which is used as a basis for the forecast and the optimization.

info Informazioni su

In order to start the Load Management for a particular supply area, a function of the type "Load Management" must be executed which has this supply area as parameter.

Settings for the supply area of a power grid

For supply areas the following settings are available:

  • Valore di ingresso: Defines variables for the supply of the current values and the supply limits.
  • Valori calcolati: Settings in order to adjust parameters for the forecast and the optimization with the help of variables during the Runtime.
  • Parametri: Important settings for the optimization of the supply area with direct influence to the switchings of the Load Management.
  • Infomazione di stato: Setting which variable holds the information about the availability of the Load Management screen.

All in the respective groups adjustable properties are described in the help window after you click on them.

Context menu entries

Menu/Entry | Description
Generator new | Creates a new generator in the selected supply area.
New device group | Creates a new device group in the supply area.
Creating variables | Automatically creates the minimum required variables for the selected supply area and links them to the suitable properties.
Cut | No function at the supply area.
Copy | Copies the currently selected supply area. You cannot copy more than one supply area at a time (no multi-select).
Paste | It is possible to paste objects of the type Supply area.
Delete | Deletes the currently selected supply area. You cannot delete more than one supply area at a time (no multi-select).
Export XML all... | Exports all supply areas of the selected grid.
Export selected XML | Exports the currently selected supply area. You cannot export more than one supply area at a time (no multi-select).
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the Load Management module.


Device Group

Manuale -> Load Management -> Engineering of the module Load Management -> Device Group

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Individual devices are combined in a device group. At that each device group can contain any number of devices.

Context menu entries at node "Device groups".

Menu/Entry | Description
New device group | Creates a new device group.
Paste | Inserts objects of the type Device group.
Export XML all... | Exports the device group including all defined devices within the group.
Import XML... | Imports objects of the type Device group.
Help | Opens the online-help for the Load Management module.

Context menu entries at the node of a device group:

Menu/Entry | Description
New device | Creates a new device in the selected device group.
Cut | No function at the device group.
Copy | Copies the currently selected device group. You cannot copy more than one group at a time (no multi-select).
Paste | Inserts objects of the type Device group, Device.
Delete | Deletes the currently selected device group. You cannot delete more than one group at a time (no multi-select).
Export XML all... | Exports all device groups of the selected grid.
Export selected XML | Exports the currently selected device group. You cannot copy more than one group at a time (no multi-select).
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the Load Management module.


Generator

Manuale -> Load Management -> Engineering of the module Load Management -> Generator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Using the node Generator you can create new Generators for the selected supply area using the context menu.

Generators serve to lower the currently obtained power. Basically it is possible to engage each generator or to set it on higher load (Picco). If a generator is engaged, the power currently obtained (Consumo medio corrente) is immediately lowered.

Context menu entries at node "Generator".

Menu/Entry | Description
Generator new | Creates a new generator for the selected supply area.
Paste | Inserts objects of the type Generator.
Export XML all... | Exports all generators of the supply area
Import XML... | Imports objects of the type Generator.
Help | Opens the online-help for the Load Management module.

Properties

In addition to name and identification, properties can be defined in different groups for the generator:

  • Capacity/Priority: Defines the basic behavior of pieces of equipment in the electric grid.
  • Tempo di Switch: Default of different life spans or timely requirements to single pieces of equipment.
  • Switching frequency: Definition of the maximum number of switchings per time unity.
  • Variabile di accensione: Variable for the adaption of important parameters during the Runtime.
  • Tempi di blocco: Excludes single pieces of equipment of the Load Management from the optimization.
  • Circuit stages: Define switching levels for combined heat and power units.

All adjustable properties are described in the help window after you click on them.

attention Attenzione

The switching priority is regarded by the Load Management taking all equipment into account. That means the same number circle is applied for generators and devices. Therefore the priorities for all defined equipment must be considered because it is not distinguished between generators and devices.

Context menu entries for the selected generator:

Menu/Entry | Description
Cut | No function at the device group.
Copy | Copies the currently selected device group. You cannot copy more than one group at a time (no multi-select).
Paste | Inserts objects of the type Device group, Device.
Delete | Deletes the currently selected device group. You cannot delete more than one group at a time (no multi-select).
Export XML all... | Exports all device groups of the selected grid.
Export selected XML | Exports the currently selected device group. You cannot copy more than one group at a time (no multi-select).
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the Load Management module.

Noch in diesem Kapitel

Switching steps


Switching steps

Manuale -> Load Management -> Engineering of the module Load Management -> Generator -> Switching steps

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The CHPs (combined heat and power units) are a special case within the Load Management. This special type of generators can adjust their output in levels. In order to define a CHP, you can define switching levels for a random device in the Load Management.

Basically you can define under the node Circuit stages settings for the Variabile setpoint, for the current output and for the Isteresi for each CHP.

For every CHP any number of switching levels can be defined:

Each switching level offers settings for the output, the forewarning of the switching and the switch-on and switch-off. All adjustable properties are described in the help window after you click on them.

attention Attenzione

If switching levels are defined for a generator, these settings overwrite the standard parameters of the generator. An according warning is displayed during compiling in the output window. "


Device

Manuale -> Load Management -> Engineering of the module Load Management -> Device

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the Load Management devices are the essential components which "use up" energy. By switching devices on or off the Load Management can interfere in a regulative way. At that it helps to avoid peak loads.

Context menu entries for the selected device group:

Menu/Entry | Description
New device | Creates a new device in the currently selected supply area.
Cut | No function at the device group.
Copy | Copies the currently selected device group. You cannot copy more than one group at a time (no multi-select).
Paste | Inserts objects of the type Device group, Device.
Delete | Deletes the currently selected device group. You cannot delete more than one group at a time (no multi-select).
Export XML all... | Exports all device groups of the selected grid.
Export selected XML | Exports the currently selected device group. You cannot copy more than one group at a time (no multi-select).
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the Load Management module.

Properties

In addition to name and identification, properties can be defined in different groups for the device:

Capacity/Priority: Defines the basic behavior of pieces of equipment in the electric grid.

Tempo di Switch: Default of different life spans or timely requirements to single pieces of equipment.

Switching frequency: Definition of the maximum number of switchings per time unity.

Variabile di accensione: Variable for the adaption of important parameters during the Runtime.

Tempi di blocco: Excludes single pieces of equipment of the Load Management from the optimization.

All adjustable properties are described in the help window after you click on them.

Context menu entries for the selected device:

Menu/Entry | Description
Cut | No function at the device group.
Copy | Copies the currently selected device group. You cannot copy more than one group at a time (no multi-select).
Paste | Inserts objects of the type Device group, Device.
Delete | Deletes the currently selected device group. You cannot delete more than one group at a time (no multi-select).
Export XML all... | Exports all device groups of the selected grid.
Export selected XML | Exports the currently selected device group. You cannot copy more than one group at a time (no multi-select).
Import XML ... | Imports objects of the type Supply area.
Help | Opens the online-help for the Load Management module.


Locking times

Manuale -> Load Management -> Engineering of the module Load Management -> Locking times

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

For both generators and devices it is possible to define times in which switchings can be carried out only restricted or not at all. Any number of lock times can be defined for each generator/device.

Any number of lock times can be defined for each element. You must ensure that the lock times do not overlap. If they do, it is possible that the component cannot be switched by the Load Management anymore.

info Informazioni su

The lock time parameters are set in the project and cannot be changed during the Runtime.


Creating a process screen

Manuale -> Load Management -> Engineering of the module Load Management -> Creating a process screen

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The operating of the Load Management module during the Runtime is done with a screen of the type Load Management. This screen must be created in the editor first. (You will find more information on the pre-defined screen types in the chapter Screens / Pre-defined screen types.)

After the screen is opened an empty screen is displayed. You can add control elements via menu Control elements.


Engineering the screen switch function

Manuale -> Load Management -> Engineering of the module Load Management -> Engineering the screen switch function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When creating a screen switch function for a screen of the type Load Management the following dialog is displayed:

Note: The dialog shown shows the values for a selected electricity grid and supply area, as well for configured variables. All fields are empty by default.

In the Runtime the Load Management screen is opened with the help of a screen switch function. The following parameters can be configured:

Parameters | Description
Grids | Selection of the grids. Shows the name of the configured grid.
Supply Areas | List of configured Supply areas of the selected grid. The selected supply area is displayed in the Runtime n of the optimization. Only one supply area can be displayed per screen. You have however the possibility to open several screens of the type Load Management parallel. At that several supply areas can be displayed parallel.

Graphical design

In this area, you configure the appearance of the load management screen in <CD_RUNTIME> Runtime.

Parameters

Description

Current value

Display color and line thickness of the current value in the configured load management screen in Runtime:

  • Color field
    Clicking on the color field opens the dialog to select the display color.
  • Width:
    Width of the displayed line in pixel.

Axes

Display color and line thickness of the axes in the configured load management screen in Runtime.

  • Color field
    Clicking on the color field opens the dialog to select the display color.
  • Width:
    Width of the displayed line in pixel.

Auxiliary lines

Display color and line thickness of the auxiliary lines in the configured load management screen in Runtime.

  • Color field
    Clicking on the color field opens the dialog to select the display color.
  • Width:
    Width of the displayed line in pixel.

Curves

Display color and line thickness of the curves in the configured load management screen in Runtime.

  • Color field
    Clicking on the color field opens the dialog to select the display color.
  • Width:
    Width of the displayed line in pixel.

Scale minimum

Lower limit of the range scale for the display of the characteristic curve in the configured Load Management screen in Runtime.

Scale maximum

Upper limit of the range scale for the display of the characteristic curve in the configured Load Management screen in Runtime.

Font

Setting the parameters for the font that is used for the axis captions and the trend curve in Runtime.

Select from drop-down list.

Billing period

Default: 15 min

Linked variables

The configured variables for the corresponding values are shown in this area.
Configuration is not possible in this dialog. Configuration is carried out directly in the properties of the elements of the module.

Parameters | Description
Media di previsione | xx Valori calcolati
Consumo medio corrente | Valori calcolati
Valore medio stimato per area valori | Valori calcolati
Valore finale di previsione | Valori calcolati
Current value | This field is only for display. You cannot change the value. The variable of the property Current value of the currently selected supply area is displayed.
Final value of forecast | This field is only for display. You cannot change the value. The variable of the property Final value forecast of the currently selected supply area is displayed.
Forecast average | This field is only for display. You cannot change the value. The variable of the property Forecast average of the currently selected supply area is displayed.
Supply limit | This field is only for display. You cannot change the value. The variable of the property Supply limit of the currently selected supply area is displayed.
Billing period (min.) | This field is only for display. You cannot change the value. Shows the currently set length of the Billing period for the selected supply area.

Switching operation

For the engineering of the switching operation you define the filter settings for the display in the Runtime in tab Column settings for the switching operations preview. You can find details in chapter Column settings for the switching operations preview.


Create function start/stop

Manuale -> Load Management -> Engineering of the module Load Management -> Create function start/stop

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

For each area you must start the optimization separately in the Runtime. For this you use the function Avvio Load Management.
In order to stop started areas, create the function Termine Load Management.

Note: These functions are only carried out on the server.

attention Attenzione

In the Runtime all started areas recorded by the licensing. Take care of sufficient licensing.

Hint: Stop the optimization of areas if they are not needed in order to use your license in an optimal way.. In order to stop areas regularly e.g. in the night or in certain shifts, you can control functions Avvio Load Management or Termine Load Management with the help of the Production & Facility Scheduler.

Load Management Start

Steps to create a function:

  • Create a new function
    In the toolbar or in the context menu of the Functions node, select the New function command.
    The dialog to select a function is opened.
  • In the Applicazione node, click on Avvio Load Management:
    The dialog to select the supply area is opened.

  • First select the desired grid from the Grids list.
    The available supply areas are listed in the list of supply areas.
  • Then select the desired supply area from the list of supply areas.
  • Click on the OK button to create the function.

Stop Load Management

  • Create a new function
    In the toolbar or in the context menu of the Functions node, select the New function command.
    The dialog to select a function is opened.
  • In the Applicazione node, click on Termine Load Management:
    The dialog to select the supply area is opened.

  • First select the desired grid from the Grids list.
    The available supply areas are listed in the list of supply areas.
  • Then select the desired supply area from the list of supply areas.
  • Click on the OK button to create the function.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Engineering switching operations preview

Manuale -> Load Management -> Engineering of the module Load Management -> Engineering switching operations preview

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Planned switching operations can be displayed as a preview in the Runtime.

In order to engineer the switching operations preview in the Runtime:

  1. Link a String variable to the desired Load Management supply area with the help of property Accensioni pianificate (group Infomazione di stato). The variable receives a list of all planned switching operations from the Load Management.

    Hint: A String variable from the internal driver makes most sense.
    For server operation set the calculation to Network. Thus the variable is distributed in the whole zenon network.

  2. Define the desired content of the switching operations preview. For this open tab Load Management Column settings for the switching operations preview in the dialog of the screen switch function to the screen Load Management.
  3. Insert the Table view: control element into the Load Management screen. Switching operations preview on.

    You can customize color and font using its properties.

Language switch

You can switch between languages for all information displayed in the switching operations preview with the help of the language table.

For this you can define the name for the column titles in the filter dialog. For example if you define a name such as @Switching time, @Object name or similar, these names are replaced by the corresponding entries from the language table in the Runtime.

In addition the whole content of the switching operations preview can be replaced:

  1. Object names are replaced by putting a @ in front of them during the Load Management engineering. For example: @Generator1
  2. Current value and switching value can either have a numerical content (with CHP steps) or @On/@Off

Noch in diesem Kapitel

Column settings for the switching operations preview

Switching operations preview in the Runtime


Column settings for the switching operations preview

Manuale -> Load Management -> Engineering of the module Load Management -> Engineering switching operations preview -> Column settings for the switching operations preview

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Via the column setting you can define which information is displayed in what order.

Note: The language of all information displayed in the switching operations can be switched via the language table:
Select the name with a @ before it, for example @Schaltzeit, so that this can be replaced with the corresponding language table entries in Runtime.

In the list field of this tab all available column types are displayed. With the help of a checkbox you decide which column types are displayed. You can change the description and the width of each column type by left-clicking the corresponding area and entering the desired value in the input field.

Parameters | Description
Column type | Type of the column. Cannot be edited. The display in the Runtime is activated or deactivated with the help of a checkbox.
Description | Defines the header of the respective column. You can configure it as language switchable. The value can be edited.
Width | Defines the width of the column in pixels. You can also define the width of the column by clicking and dragging the column with the mouse in the list with the horizontal display of the column names. The value can be edited.
Move selected entry up | Moves the selected column up. You can also move the columns with drag&drop.
Move selected entry down | Moves the selected column down. You can also move the columns with drag&drop.
Field with horizontal display of the column names | Shows the columns which are active in the list. You can define the size of the columns by clicking and dragging the column borders with the mouse.

attention Attenzione

The column width is dependent on the used font. If the column width is not a multiple of the character width of the used font, the actual column width can differ from the set column width.


Switching operations preview in the Runtime

Manuale -> Load Management -> Engineering of the module Load Management -> Engineering switching operations preview -> Switching operations preview in the Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the Runtime screen Switching operations preview displays the upcoming switching operations with date and consequence:


Internal state of the components

Manuale -> Load Management -> Internal state of the components

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Internally in the Load Management different states for the components are carried along. This states can be shown using a variable. We recommend to monitor the states with reaction matrix and e.g. to evaluate them in the Chronological Event List.

The variable Internal switching state of components can take on the following values:

General reasons (valid for all components)

Value | Description
0 | Not used (Booting).
100 | Service is possible.
101 | No switching request of the peak load forecast.
102 | Deactivated until the end of the rate interval.
103 | The switching forewarn command is invalid.
104 | Not enough time in order to forewarn.
105 | The forewarn time has not yet expired.
106 | It is not possible to add output at the end of the rate interval because of the parameterization.
107 | The switching state cannot be detected.
200 | Delay time has not expired yet.
201 | Component is set to "not available.
202 | Availability message is invalid.
203 | No variable is defined in order to determine the operation state.
204 | Parameterization is faulty.
205 | Dead time has not expired yet.
206 | Report of the current switching state is invalid.
207 | No data for the gliding average value of the output are available yet.
208 | Current output value is invalid.
209 | Is set to "implicit" (schedule medium-term).
210 | Text address or value for switch-on priority is invalid.
211 | Text address or value for switch-off priority is invalid.
212 | Blocking time is active, blocking time type OFF.
213 | Blocking time is active, blocking time type ON.
214 | Maximum number of switchings has already been reached.
215 | Switching command cannot be used.
216 | Minimum switching time has not been reached yet.
217 | Schedule data have not been written completely yet.
218 | General problem.
219 | Command variable cannot be used for switching.
220 | No command defined for sending the switching forewarning.
221 | Extended parameterization for minimum power-on time per time unit not valid.
222 | Because of other restrictions, it is not possible to stick to restriction "Adhere to minimum power-on time per time unit".
223 | Switched on implicitly because of "minimum switch-on time per time unit".
250 | Variable or value for minimum switch-on time is invalid.
251 | Variable or value for minimum switch-off time is invalid.
252 | Variable or value for maximum switch-on time is invalid.
253 | Variable or value for maximum switch-off time is invalid.
254 | Restrictions are not reasonable.

Reasons for storage

Value | Description
4000 | Current filling level value is invalid.
4001 | Current roll out (actual value) is invalid.
4001 | Roll out is implicit because of the manual set value.
4003 | Storage capacity limited because of filling level limit.
4004 | Storage is full.
4005 | Set value for storage is not defined.
4006 | Maximum roll in capacity and maximum roll out capacity are both 0.
4007 | Variable which is used to measure the current filling level is invalid.

Reasons for CHPs (generator)

Value | Description
5000 | The current output does not comply with a level output.
5001 | CHP does not run below nominal power.
5002 | The CHP only has one level can cannot be switched.
5003 | The CHP runs with nominal power and cannot be switched down further.
5004 | The highest switched on level cannot be switched off because of the minimal switch-on time per time unit.
5005 | The CHP is already running on its highest level.
5006 | The variable which is used to measure the current output is invalid.
5007 | The forewarning for a level was activated. Waiting for set value input.
5008 | The variable for the set value is invalid.
5009 | The order of the output guidelines by variables is not ascending.
5010 | The value of a parameterized maximum switch-on time of a level is too small.
5011 | Maximum running time of a level has been reached. The level is switched off.


Creation of the Runtime files

Manuale -> Load Management -> Creation of the Runtime files

After engineering the functions Avvio Load Management or Termine Load Management a consistency check of the engineering is carried out during the creation of the Runtime files. If problems occur, a corresponding message is displayed in the output window e.g. if necessary variables were not allocated.

Runtime does not start

If a project cannot be started in the Runtime, it can have the following reasons:

  • wrong engineering
  • missing license: With the function Avvio Load Management the license is checked. If the license is not available, the Load Management does not start and a corresponding entry is generated in the log.


Operating load management in Runtime

Manuale -> Load Management -> Operating load management in Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Screens of the Load Management make it possible to monitor the prognosis and the optimization during the Runtime in form of a trend screen.

The single operating elements are positioned in the screen with the help control elements (prognosis area and the display of the current supply area).

info Informazioni su

The screen in Runtime only serves for the display of optimization and prognosis data. No interventions can be carries out in the screen. Parameters of the Load Management module are exclusively controlled via variables.

For example a prognosis can look like this:

Digit | Description (properties of the supply area)
1 | Previous tariff interval
2 | Current tariff interval
3 | Supply limit
4 | First switching value
5 | Estimated final consumption
6 | Current average consumption value
7 | Start value of estimation
8 | Last switching value
9 | Estimated error range
10 | Forecast average value

info Informazioni su

With the preview, after an invalid value it is always the second valid value of the following values that is applied first. If no value change is established, the same value as the one last received is assumed. This ensures a preview that is as precise as possible.


Log delle modifiche

Manuale -> Log delle modifiche

Questa funzionalità offre la documentazione completa della progettazione. Tutti gli interventi in un progetto, come, ad esempio, modificare, cancellare, creare ecc, possono essere registrati in protocolli. Di default, il log delle modifiche di progetto è disattivato e deve essere attivato nell´editor.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Menu contestuale - Manager di progetto

Punto di menù | Azione
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Esporta tutti in CSV... | Esporta tutti gli inserimenti in un file CSV.
Attiva filtro esteso | Apre il dialogo per la progettazione di impostazioni di filtro estese.
Disattiva filtro esteso | Cancella le impostazioni del filtro esteso e disattiva le proprietà per la progettazione di impostazioni di filtro esteso.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online

Noch in diesem Kapitel

Progettazione nell'editor

Dati archiviati

Operazioni archiviabili

Esporta dati


Progettazione nell'editor

Manuale -> Log delle modifiche -> Progettazione nell'editor

Il log delle modifiche deve essere attivato nell´editor. A tale scopo:

  1. navigate nelle proprietà di progetto fino a giungere al gruppo Log delle modifiche
  2. attivate la proprietà Log delle modifiche attivo
  3. selezionate tramite la proprietà Livelli di dettaglio i dettagli che devono essere visualizzati:
    • Oggetto: Vengono visualizzati solamente i nomi per gli oggetti modificati.
    • Proprietà: Oltre all'indicazione degli oggetti, vengono registrate nel log delle modifiche anche le proprietà modificate e i rispettivi nuovi valori.
    • Cambio valori: In questa modalità oltre al nuovo valore di una proprietà, ne viene salvato anche il vecchio. In tal modo si garantisce una completa tracciabilità delle modifiche concernenti i valori. Questa impostazione consente il piu alto livello di dettaglio possibile.
  4. Nel caso di progetti multiuser, grazie alla proprietà Consenti modifiche automatiche, si può inoltre rendere disponibile automaticamente l´inserimento di un commento per l´accesso di scrittura;
    di default questa impostazione è disattivata, visto che essa può ridurre le performance del sistema.

Protezione del log delle modifiche

L´attivazione/disattivazione del log delle modifiche possono essere protetti nei confronti dell´effettuazione di modifiche da parte di user non autorizzati. A tale scopo:

  1. navigate nelle proprietà di progetto fino a giungere al gruppo Gestione user
  2. cliccate nel campo della proprietà Autorizzazion Funzioni
  3. si apre il Dialogo per la modifica della autorizzazione funzioni
  4. selezionate per attiva/disattiva log delle modifiche il livello di autorizzazione desiderato.

Noch in diesem Kapitel

Log delle modifiche progetto Visualizzazione dettagli Barra simboli e menù contestuale


Log delle modifiche progetto Visualizzazione dettagli Barra simboli e menù contestuale

Manuale -> Log delle modifiche -> Progettazione nell'editor -> Log delle modifiche progetto Visualizzazione dettagli Barra simboli e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale

Voce di menù | Azione
Filtro Modulo | Setta il filtro sul modulo dell´inserimento selezionato.
Filtro oggetti | Setta il filtro sull´oggetto dell´inserimento selezionato.
Attiva filtro esteso | Attiva le proprietà per la configurazione delle impostazioni di filtro esteso.
Disattiva filtro esteso | Cancella le impostazioni del filtro esteso e disattiva le proprietà per la progettazione delle impostazioni di filtro esteso.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Copia | Copia gli inserimenti selezionati negli appunti
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Esporta selezione in XML | Esporta tutti gli inserimenti selezionati in un file XML.
Esporta selezione in CSV | Esporta tutti gli inserimenti selezionati in un file CSV.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Guida | Apre la guida online.


Dati archiviati

Manuale -> Log delle modifiche -> Dati archiviati

Quando il log delle modifiche di progetto è attivo, le modifiche vengono visualizzate sulla base delle impostazioni selezionate nella lista dettagliata del manager di progetto. Il primo inserimento documentato è l’attivazione del log delle modifiche. Quando si disattiva il log delle modifiche, la disattivazione viene registrata come ultimo inserimento.

Inserimento

Descrizione

Stato

Stato dell´oggetto in progetti multiutente.

Verde: L´oggetto ha lo stato Consenti modifiche

Vuoto. L´oggetto ha lo stato Accetta modifiche

Data e ora

Data ed ora.

Azione

Tipo di intervento. Possibili valori:

  • Nuovo
  • Modificato
  • Eliminato
  • Nuovo - VBA
  • Modificato - VBA
  • Eliminato - VBA

Modulo

Il modulo (p.e. PFS, archivi, report) nel quale sono stati eseguiti i cambiamenti.

Oggetto

Oggetto che è stato modificato.

Elemento

Elemento che è stato modificato. Viene registrato il nome nel modo definito nella proprietà Nome elemento.

Proprietà

La proprietà dell’oggetto/elemento, che è stata modificata.

Valore vecchio

Il valore della proprietà prima della modifica.

Disponibile solo se nelle proprietà di progetto, alla voce Livelli di dettaglio, è stata selezionata l´opzione Modifiche di valori .

Valore nuovo

Valore della proprietà dopo la modifica.

Disponibile solamente se è stata selezionata nelle proprietà del progetto, alla voce Livelli di dettaglio,

l´opzione Proprietà oppure Modifiche di valore.

Utente

L´utente che ha effettuato la modifica. Se la gestione utenti non è attiva, oppure non c`è nessun utente registrato, viene letto e inserito l´utente Windows.

Computer

Il nome del computer sul quale è stata effettuata la modifica.

Commento

Testo a disposizione.

Le colonne possono essere disposte nell´ordine desiderato con il mouse via Drag&Drop. Ogni colonna può essere filtrata sulla base di determinati criteri di ricerca.

Nota: se cambiate certe proprietà che aprono un dialogo con impostazioni addizionali, non tutte le modifiche vengono registrate.
Ad esempio: nel modulo Batch Control, cambiate un parametro che è collegato ad una fase tramite una formula. Questo cambiamento non viene registrato. Se cambiate la formula, però, la modifica verrà registrata.

Noch in diesem Kapitel

Filtra dati


Filtra dati

Manuale -> Log delle modifiche -> Dati archiviati -> Filtra dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono due possibilità di filtrare la lista visualizzata nel log delle modifiche:

  1. Filtro esteso del log delle modifiche
  2. Filtra la visualizzazione lista

Filtro esteso del log delle modifiche

Potete accedere al filtro esteso facendo uso del menù contestuale sia nel manager di progetto, che nella visione dettagliata.

Impostazioni generali

Parametri | Descrizione
Numero massimo inserimenti | Definisce il numero massimo di data set da visualizzare nella lista. 0: numero illimitato. Default: 1000

Filtro tempo

Parametri

Descrizione

Periodo

Consente di effettuare un´operazione di filtro in base ad un determinato intervallo di tempo, oppure a partire da un determinato momento, o fino ad un determinato momento.

Attivo: Vengono visualizzati solamente gli inserimenti relativi all´intervallo di tempo indicato.
Default: disattivato

Da

Data e ora a partire dalle quali le modifiche devono essere visualizzate.

Fino a

Data e ora fino alle quali le modifiche devono essere visualizzate.


Operazioni archiviabili

Manuale -> Log delle modifiche -> Operazioni archiviabili

Nel log delle modifiche di progetto vengono protocollati:

Oggetto

Modifiche

zenon Logic
  • zenon Logic nuovo progetto
  • zenon Logic Cancella progetto
  • zenon Logic Modifica progetto

Archivi
  • Nuovo archivio
  • Elimina archivio
  • Modifica archivio
  • Inserisci Variabile
  • Cancella variabile

Utente
  • Nuovo utente
  • Elimina utente
  • Modifica utente

Immagini
  • Nuova immagine
  • Cancella immagine
  • Modifica immagine

File
  • Inserisci file
  • Elimina file
  • Modifica file

Tipi di dato
  • Nuovo tipo di dato
  • Cancellazione tipo di dato
  • Modifica tipo di dato

Elementi dinamici/ Elementi vettoriali
  • Nuovo elemento
  • Cancella elemento
  • Modifica elemento

Funzioni
  • Nuova funzione
  • Elimina funzione
  • Modifica funzione

Menu
  • Nuovo menu principale
  • Elimina menu principale
  • Modifica menu principale
  • Nuovo menu contestuale
  • Elimina menu contestuale
  • Modifica menu contestuale

Message Control
  • Al momento di salvare le modifiche

Process Control Engine
  • Al momento di salvare le modifiche

Progetto
  • Spostare un progetto nella struttura ad albero.

Backup progetto
  • Creazione di un backup di progetto con numero di versione

Matrici di reazione
  • Nuova matrice di reazione
  • Cancellazione matrice di reazione
  • Modifica matrice di reazione.

Report
  • Nuovo Report
  • Elimina report
  • Modifica report – al momento di salvare

Ricetta
  • Nuova ricetta
  • Elimina ricetta
  • Modifica ricetta
  • Inserisci Variabile
  • Cancella variabile
  • Modifica valore

Gruppi ricette
  • Nuovo gruppo ricette
  • Elimina gruppo di ricetta
  • Modifica gruppo di ricette
  • Nuova ricetta
  • Modifica ricetta
  • Elimina ricetta
  • Inserisci Variabile
  • Cancella variabile
  • Modifica valore
  • Modifica origine
  • Modifica di tipo sorgente

Modelli
  • Crea un nuovo modello
  • Elimina modello
  • Modifica modello

Schedulatore
  • Al momento di salvare le modifiche

Carattere
  • Nuovo Carattere
  • Elimina carattere
  • Modifica carattere

Script
  • Nuovo Script
  • Cancella script
  • Modifica script

Tabella lingua
  • Nuovo Inserimento
  • Elimina inserimento
  • Modifica inserimento

Driver
  • Driver nuovo
  • Eliminazione driver
  • Cambio driver

VBA
  • Al momento di salvare le modifiche nell'editor VBA, viene generato un record nel Log.

Variabili
  • Nuova Variabile
  • Cancella variabile
  • Modificare una variabile

Interblocchi
  • Nuovo Interblocco
  • Modifica interblocco
  • Elimina interblocco
  • Nuova Variabile
  • Cancella variabile

Temporizzatori
  • Nuovo temporizzatore
  • Elimina temporizztore
  • Modifica temporizzatore


Esporta dati

Manuale -> Log delle modifiche -> Esporta dati

I dati del log delle modifiche possono essere esportati nei formati XML e CSV.

Per esportare dei dati:

  1. Evidenziate gli inserimenti desiderati
    (è possibile una selezione multipla mediante le combinazioni di tasti Ctrl+ tasto sinistro del mouse, Shift+tasto sinistro del mouse, Ctrl+a)
  2. Selezionate nel menù contestuale la forma di export desiderata (XML, CSV).
  3. Si apre la finestra di dialogo per selezionare il posto in cui salvare il file.
  4. Assegnate un nome e confermate l´inserimento cliccando su Salva

Nota: i titoli degli inserimenti nei dati esportati sono in inglese.


Manager di gruppi ricette

Manuale -> Manager di gruppi ricette

Il Manager gruppi ricette offre delle altre possibilità oltre a quelle messe a disposizione dalle Ricette:

creazione del layout tabellare (formato standard o liberamente impostabile con il Generatore di rapporti), libera creazione del layout con elementi dinamici, ricetta richiamabile tramite OLE, richiamo indiretto di una ricetta (per esempio: in dipendenza di una variabile in occasione dell'apertura di un'immagine, libera divisione in gruppi).

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.

Percorsi

Fino alla versione 7.0 inclusa, per il RGM si poteva selezionare come percorso di salvataggio MS Access o dati binari. A partire dalla versione 7.10, nel Manager di gruppi ricette non viene più supportata la banca dati MS Access. Quando si apre un progetto esistente, il filing passa automaticamente a Dati binari. I dettagli su questo tema li trovate nella parte della guida dedicata alla conversione progetto, nel capitolo Manager di gruppi ricette Convertire banca dati.

Per le versioni precedenti alla 7.10, con possibilità di salvataggio in MS Access, dovete tenere presente quanto segue:

  • la lunghezza massima del testo di variabili di responso è di 300 caratteri
  • in rete, l´uso di MS Access può portare al verificarsi di errori durante il Runtime quando si usano apparecchi CE come Client o Server; in questo caso si deve usare il formato dati binari.
  • l´uso di caratteri Unicode nel nome ricetta, nel gruppo di ricetta o un commento, non viene supportato.

Noch in diesem Kapitel

Progettazione nell'editor

Funzioni

Gestione durante il runtime

Trattamento errori

Esempi


Progettazione nell'editor

Manuale -> Manager di gruppi ricette -> Progettazione nell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per progettare il RGM avete bisogno di regola di:

  • una Immagine del tipo Manager gruppi ricette
  • Gruppi ricette e Ricette
  • Funzioni per la gestione del Manager gruppi ricette durante il Runtime

Indicazioni sulla convenzione nomi: per le ricette sono consentiti caratteri alfanumerici. I seguenti caratteri non sono validi (\"'./*?<>!|).

Noch in diesem Kapitel

Menù contestuale - manager di progetto

Menù contestuali Visualizzazione dettagliata

Crea immagine del tipo "Manager gruppi ricette"

Creazione di un gruppo di ricette

Variabili per gruppi ricette

Aggiungi ricette al gruppo ricette

Versione ricetta

Stato Ricetta

List of status bits

Windows CE


Menù contestuale - manager di progetto

Manuale -> Manager di gruppi ricette -> Progettazione nell'editor -> Menù contestuale - manager di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Voce di menù | Azione
Nuovo gruppo ricette | Crea un nuovo gruppo ricette nella lista e apre il nome perché lo si possa modificare.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa da file XML.
Profilo | Apre la lista a cascata per l´attribuzione di un Profilo editor.
Guida | Apre la guida online


Menù contestuali Visualizzazione dettagliata

Manuale -> Manager di gruppi ricette -> Progettazione nell'editor -> Menù contestuali Visualizzazione dettagliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra degli strumenti

Parametri | Descrizione
Nuovo gruppo ricette | Crea un nuovo gruppo ricette nella lista e apre il nome perché lo si possa modificare.
Nuova ricetta | Crea una nuova ricetta nella lista e apre la cella perché lo si possa modificare.
Modifica ricetta | Apre il dialogo con le ricette
Modifica parametri variabili | Apre il dialogo con le ricette
Crea funzione standard | Apre il dialogo che serve alla selezione di una ricetta e alla definizione di un´azione.
Aggiungi variabile | Apre il dialogo che serve alla selezione di variabili.
Rimuovi variabile | Cancella una variabile selezionata dalla lista.
Sposta in su | Sposta la variabile selezionata verso l´alto.
Sposta in giù | Sposta la variabile selezionata verso il basso
Duplicare | Crea un nuovo gruppo ricette con i contenuti del gruppo ricette selezionato e assegna automaticamente un nome secondo lo schema: Nome originale+0; Default10 diviene Default100.
Elimina | Cancella un inserimento selezionato.
Esporta gruppi ricette selezionati in XML | Esporta tutti i gruppi ricette selezionati in un file XML.
Importa XML | Importa da file XML.
Importa ASCII | Importa da file ASCII.
Rinomina | Consente di rinominare l´oggetto selezionato.
Guida | Apre la guida online

Menù contestuale Gruppi ricette

Voce di menù | Azione
Nuovo gruppo ricette | Crea un nuovo gruppo ricette nella lista e apre il nome perché lo si possa modificare.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa la ricetta e il gruppo ricette da un file XML.
Guida | Apre la guida online

Menù contestuale Gruppo ricette selezionato

Voce di menù

Azione

Duplicare

Crea un nuovo gruppo ricette con i contenuti del gruppo ricette selezionato e assegna automaticamente un nome secondo lo schema: Nome originale+[numero progressivo]:
da Default10 diviene Default100, nel caso di un´ulteriore duplicazione Default101 ...

Nota: le variabili di ricetta collegate al gruppo vengono sostituite in base alle regole al momento di effettuare la duplicazione del gruppo ricette.

Elimina

Elimina i gruppi ricette selezionati dopo una richiesta di conferma per ragioni di sicurezza.

Gruppi di impianto...

Apre il dialogo che serve alla scelta di Gruppo di impianti.

Esporta gruppi ricette selezionati in XML

Esporta tutti i gruppi ricette selezionati in un file XML.

Importa XML

Importa da file XML.

Rinomina

Apre la cella contenente il nome del gruppo ricette per consentirne la modifica.

Guida

Apre la guida online

Menù contestuale Variabili

Voce di menù | Azione
Aggiungi variabile | Apre il dialogo che serve alla selezione di variabili.
Modifica parametri variabili | Apre il dialogo con le ricette
Guida | Apre la guida online

Menù contestuale Variabile selezionata

Voce di menù | Azione
Rimuovi variabile | Cancella variabile dalla lista.
Sposta in su | Sposta la variabile di un posto in sù nell´ambito della lista.
Sposta in giù | sposta la variabile di un posto in giù nell´ambito della lista.
Guida | Apre la guida online

Menù contestuale ricette

Voce di menù | Azione
Nuova ricetta | Crea una nuova ricetta nella lista e apre la cella perché lo si possa modificare.
Importa ASCII | Importa da file ASCII.
Guida | Apre la guida online.

Menù contestuale Ricetta selezionata

Voce di menù

Azione

Modifica ricetta

Apre il dialogo con le ricette

Crea nuova versione di ricetta

Crea una nuova versione della ricetta.

Crea funzione standard

Apre il dialogo che serve alla selezione di una ricetta e alla definizione di un´azione.

Duplica come versione ricetta

Crea una nuova versione della ricetta selezionata.

Duplicare

Crea una nuova ricetta con i contenuti della ricetta selezionata e assegna automaticamente un nome secondo lo schema: Nome originale+[numero progressivo]:
da Default10 diviene Default100, nel caso di un´ulteriore duplicazione Default101 ...

Nota: le variabili sorgente per il tipo di azione Collega a variabile possono essere sostituite duplicando la ricetta.

Elimina

Elimina la ricetta selezionata dopo una richiesta di conferma per ragioni di sicurezza.

Esporta ricetta selezionata in formato XML

Esporta la ricetta selezionata in un file XML.

Rinomina

Apre la cella contenente il nome della ricetta per consentirne la modifica.

Guida

Apre la guida online.


Crea immagine del tipo "Manager gruppi ricette"

Manuale -> Manager di gruppi ricette -> Progettazione nell'editor -> Crea immagine del tipo "Manager gruppi ricette"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´uso di un´immagine per il Manager gruppi ricette, le ricette vengono gestite nel runtime in modo singolo e riunite in gruppi.

Crea immagine del tipo "Manager gruppi ricette"

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine l´opzione Manager Gruppi di Ricette.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

info Informazioni su

Quando leggete, esportate, importate e salvate delle ricette durante il runtime, una barra di progresso Vi informa sullo stato di avanzamento dell´esecuzione dell´azione. Dettagli su questo tema lo trovate nel capitolo Creazione di variabili di sistema per ricette standard e Manager gruppi ricette

info Informazioni su

un valore decimale può essere scritto sia utilizzando che la virgola cheil punto; ma la virgola verrà trasformata automaticamente in unpunto.

Noch in diesem Kapitel

Elementi di controllo

Aspetto della lista ricette


Elementi di controllo

Manuale -> Manager di gruppi ricette -> Progettazione nell'editor -> Crea immagine del tipo "Manager gruppi ricette" -> Elementi di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserisci modello

Elemento di controllo | Descrizione
Inserisci modello | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Informazione

Elemento di controllo

Descrizione

Informazione

Informazioni su ricette, utenti e modifiche.

Nome gruppo ricette

Nome del gruppo ricette attualmente selezionato.

Lista ricette

Visualizza tutte le ricette/versioni ricetta della lista. La selezione contiene solamente ricette che sono contenute al momento dell´apertura dell´immagine nel Filtro di ricetta della Funzione Cambio immagine.

Durante il runtime può essere selezionato solamente un inserimento alla volta. La ricetta selezionata viene visualizzata nell´immagine e può essere poi modificata.

Se si usano anche gli elementi di controllo Nome ricetta e/o Versione ricetta, la selezione viene sempre sincronizzata. Se dunque si modifica la selezione in un elemento di controllo, cambia anche quella nella lista e viceversa. Se un criterio di filtro dovesse escludere l´inserimento scelto nella lista, in essa non sarà selezionato nulla.

Avvertenza:

  • le nuove ricette vengono aggiunte sempre alla fine della lista indipendentemente dai criteri di filtro.
  • Le modifiche dei dati ricette vengono visualizzati solo dopo che la ricetta è stata salvata.
  • Per quello che concerne i contenuti della lista, sono traducibili le seguenti cose:
    - Titoli nelle intestazioni
    - Testi di commenti
    - Testo dello stato ricetta

Nome ricetta

Lista a cascata con nomi ricetta per selezionare la ricetta da visualizzare.

Versione ricetta

Imposta una lista a cascata che contiene durante il Runtime tutti i numeri di versione della ricetta selezionata.

Stato Ricetta

Imposta una lista a cascata che contiene durante il Runtime tutti gli stati progettati. Viene visualizzato lo stato attuale della versione ricetta selezionata.

Durante il runtime, lo stato può essere modificato in questa sede. Esso verrà accettato solo dopo che la ricetta sarà stata salvata.

Suggerimento: la modifica dello stato nel Runtime può essere controllata o interrotta con l´evento VBA StatusChange.

Tabella valori ricette

Rappresentazione della ricetta selezionata in forma tabellare. La tabella può essere configurata direttamente nel Runtime.

Nota: non è disponibile sotto Windows CE. Sotto Windows CE, viene sostituita dalla Tabella valori ricette (obsoleta).

Selezione colonne (Tabella valori ricetta)

Apre il dialogo che serve alla selezione delle colonne da visualizzare.

Non è disponibile per Tabella valori ricette CE.

Selezione colonne (Tabella valori ricetta)

Apre la finestra di dialogo che serve alla formattazione delle colonne.

Non è disponibile per Tabella valori ricette CE.

Tabella valori ricette CE

Rappresentazione della ricetta selezionata in fissa forma tabellare. Sostituisce sotto Windows CE la Tabella valori ricette.

Scelta colonne

Apre il dialogo che serve alla selezione delle colonne da visualizzare della tabella valori ricetta.

Nota: Non disponibile per Tabella valori ricette CE.

Formato colonne

Apre il dialogo che serve a formattare le colonne della tabella valori ricette .

Nota: Non disponibile per Tabella valori ricette CE.

Filtro di ricetta

Lista a cascata con filtro ricetta .

Identificazione utente

Nome dell´ utente che ha modificato per ultimo la ricetta

Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.

Ultima ora di modifica

Data e ora dell´ ultima modifica della ricetta attuale

Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.

Scrittura in corso

Visualizzazione grafica della durata del settaggio delle ricette.

Modifica

Elemento di controllo

Descrizione

Modifica

Elementi di controllo per editare le informazioni.

Filtro

Definire o modificare le opzioni per la finestra delle ricette

Durante il runtime, usate la lista a cascata per filtrare le variabili visualizzate sulla base dei Testi filtro fissati in precedenza.

Leggi valori selezionati

I valori delle variabili selezionati nella tabella vengono letti dal PLC e inseriti nella tabella. Le modifiche devono essere salvate!

Scrivi valori selezionati

I valori delle variabili selezionati nella tabella vengono scritti nel PLC nella stessa maniera come rappresentati nella tabella.

Leggere tutti i valori

I valori di tutte le variabili selezionate nella ricetta sono letti dal PLC e inseriti nella ricetta. Le modifiche devono essere salvate!

Leggi tutti i valori & salva

Scrivere valori direttamente dal PLC nella ricetta e salvare immediatamente.

Scrivi tutti i valori

I valori di tutte le variabili che si trovano nella ricetta selezionata sono scritti nel PLC nella stessa maniera di come sono rappresentati nella tabella.

Tutti i valori ++

Tutti valori della ricetta selezionata vengono aumentati di 1.

Tutti i valori --

Tutti i valori della ricetta selezionata vengono diminuiti di 1.

Cambiare tutti i valori %

Se si utilizza questo bottone durante il runtime, tutti i valori della ricetta selezionata vengono modificati in corrispondenza del valore percentuale indicato nella finestra Valori % modifica, in dipendenza del segno posto di fronte a quello percentuale:

  • segno più (+): il valore viene aumentato corrispondentemente
    Es.: +20% -> 100 diviene 120
  • segno meno (-): il valore viene diminuito corrispondentemente
    Es.: -20% -> 100 diviene 80
  • nessun segno: il valore percentuale del valore attuale diventa il nuovo valore
    Es: 20% -> 100 diviene 20

% (Campo input)

Premendo questo pulsante, tutti i valori della ricetta selezionata sono aumentati (+) o diminuiti (-) della percentuale indicata.

Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.

Cambiare tutti i valori formula

Tutti valori della ricetta selezionata sono modificati tramite la funzione matematica indicata in Valore Formula.

Può essere eseguita esattamente un´operazione. Ciò ha effetto su tutte le variabili numeriche.

Le operazioni possibili sono l´addizione (+), la sottrazione (-), la moltiplicazione (*) e la divisione (/).

Il valore nella ricetta corrisponde all´operando sinistro, mentre l´utente definisce l´operazione nel Valore Formula e l´operando destro.
Ciò significa: $NewValue = $CurrentValue $Formula field.
$Formula field deve contenere l´operatore.

Esempio:

  • inserimento in Valore formula: +100
  • Risultato: tutti i valori vengono aumentati di 100.

Attenzione: si può indicare solamente un operatore, Più operatori portano a risultati imprevisti. Per esempio: l´inserimento /250+5 causerebbe un aumento di tutti i valori pari a 2505.

Forma (campo di inserimento)

Funzione matematica, tramite la quale il valore di tutte le variabili nella ricetta attuale deve essere modificato appena si preme il pulsante Modifica tutti i valori tramite formula.

Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.

Stampa tabella

Stampa la tabella sulla stampante definita.

Disponibile solo per Tabella valori ricette CE.
La stampa della Tabella valori ricette può avvenire anche via Report Viewer.

Esporta/Importa

Elemento di controllo | Descrizione
Esporta/Importa | Elementi di controllo per l´export e l´import.
Esporta gruppo di ricette (XML) | Esporta il gruppo ricette in un file XML.
Esporta ricetta (TXT) | Esporta la ricetta attuale in un file TXT.
Importa ricetta (TXT) | Importa la ricetta attuale in un file TXT.
Esporta ricetta(XML) | Esporta la ricetta attuale in un file XML.
Importare da un file XML. | Importa la ricetta o il gruppo ricette da un file XML. Se il file dispone di singole ricette, deve essere selezionato un gruppo ricette per l´import.

Gestione ricetta

Elemento di controllo

Descrizione

Gestione ricetta

Elementi di controllo per la gestione ricette.

Nuova ricetta

Creare una nuova ricetta

Rinomina ricetta

Rinominare la ricetta attuale

Salva ricetta

Salvare la ricetta attuale con lo stesso nome

Salva ricetta con nome

Salva la ricetta attuale con un altro nome La nuova ricetta contiene solamente le proprietà salvate nella ricetta originale.

Elimina ricetta

Cancellare la ricetta attuale

Nuova versione ricetta

Crea una nuova versione della ricetta. I valori della versione ricetta che è stata creata ricevono i valori di sostituzione.

Suggerimento: con il VBA Event VersionCreate si può controllare questa azione.

Duplica versione ricetta

Duplica la versione ricetta selezionata. Viene creata una nuova versione e i valori ricetta ricevono quelli della versione selezionata precedentemente.

Suggerimento: con il VBA Event VersionDuplicate si può controllare questa azione.

Leggere e duplicare versione ricetta

Duplica la versione ricetta selezionata e poi la legge.

Prima viene impostata una nuova versione della ricetta selezionata. I valori della ricetta ricevono quelli della versione scelta. In seguito vengono letti i valori per la nuova versione dal PLC.

Suggerimento: con il VBA Event VersionDuplicateRead si può controllare questa azione.

Elimina versione di ricetta

Cancella la versione ricetta selezionata. Se la versione ricetta selezionata è l´ultima versione rimasta di questa ricetta, verrà cancellata l´intera ricetta.

Suggerimento: con il VBA Event VersionDelete si può controllare questa azione.

Setta stato 1 - 10

Setta uno fra dieci possibili stati.

La funzione setta il valore di stato (1-10) sulla ricetta attualmente selezionata nell´immagine. Per accettare lo stato per la ricetta, si deve salvare la ricetta stessa.

Vengono settati solamente stati che sono stati progettati nel Manager gruppi ricette. Se si utilizza un valore di stato non disponibile, la variabile del driver di sistema per Funzione di ricetta/RGM in esecuzione viene settata su errore, e il sistema genera un inserimento nella CEL.

Nota: lo stato selezionato con questo pulsante viene visualizzato nella lista a cascata Stato ricetta. La Lista delle ricetta mostra invece sempre lo stato della ricetta come nel formato dati. Solo dopo il salvataggio la modifica dello stato viene veramente ripresa e poi visualizzata nella Lista delle ricette.

Verifica valori ricetta

Per valutare i valori ricetta, tutte le variabili collegate con la ricetta vengono lette e i valori momentanei vengono confrontati con quelli della ricetta.
I risultati sono visualizzati a colori nella colonna valore attuale.

  • Verde: I risultati corrispondono.
  • Rosso: Ci sono delle deviazioni.
  • Viola: Nessuna connessione con il PLC.

Attenzione: la funzione dell´elemento di controllo utilizza nella sincronizzazione con il PLC delle cifre decimali. Se, nel caso di variabili con il tipo di dato REAL, la proprietà Cifre decimali non è configurata in modo analogo alle impostazioni del PLC e differiscono le cifre decimali, la funzione mostra i valori differenti.

Gruppo di ricette

Elemento di controllo | Descrizione
Gruppo di ricette | Elementi di controllo per gruppo di ricetta.
Nuovo gruppo ricette | Crea un nuovo gruppo di ricette.
Modifica gruppo di ricette | Aggiunge nuove variabili al gruppo di ricette
Rinomina gruppo ricette | Rinomina il gruppo ricette attuale.
Salva gruppo di ricetta | Salvare il gruppo ricette atuale con lo stesso nome
Salva gruppo ricette con nome | Salva il gruppo ricette attuale con un altro nome
Elimina gruppo ricette | Cancella il gruppo ricette attuale.

Commento

Elemento di controllo

Descrizione

Commento

Convenzioni per i commenti

Commento 1 - 8

Righe di commento per la ricetta attuale

E' possibile un numero massimo di 8 valori commenti.

I campi commento dispongono di una proprietà Testo/Tradurre testo .

I campi commento vengono scritti anche nel caso di export XML e vengono letti nel corso dell´import.

In VBA, i campi commento possono essere letti e scritti tramite le DynProperties (Nome „Commentn", n=1 fino a 8) nell´oggetto „Recipes".

Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.

Navigazione lista ricetta

Elemento di controllo | Descrizione
Navigazione lista ricetta | Elementi di controllo per la navigazione in una lista ricette.
Gruppo di ricetta precedente | Sfogliare indietro di un gruppo di ricetta.
Gruppo ricette successivo | Sfogliare avanti di un gruppo ricette.
Primo gruppo ricette | Sfogliare al primo gruppo di ricette.
Ultimo gruppo ricette | Sfogliare all´ ultimo gruppo di ricette.
Ricetta precedente | Sfogliare una ricetta indietro nel gruppo di ricetta attuale.
Ricetta successiva | Sfogliare una ricetta in avanti nel gruppo ricette attuale.
Prima ricetta | Sfogliare alla prima ricetta nel gruppo di ricette attuale
Ultima ricetta | Sfogliare all´ ultima ricetta nel gruppo ricette attuale
Numero ricetta | Va´alla ricetta con il numero indicato. Nota: elemento di tipo Testo dinamico. La funzionalità viene assegnata mediante la proprietà Operazione specifica per il tipo di immagine.
Trova numero ricetta | Cercare e visualizzare la prima ricetta con il numero indicato nella finestra dell’ editor “numero fonte ricetta”.
Versione precedente | Alla versione precedente.
Versione successiva | Alla versione successiva.
Prima versione | Alla prima versione.
Ultima versione | All´ultima versione.

Navigazione tabella valori ricetta CE

Elemento di controllo | Descrizione
Navigazione tabella valori ricetta CE | Elementi di controllo per la navigazione in una tabella di valori ricetta CE.
Riga in su | Sfogliare nella tabella una riga in su.
Riga in giù | Sfogliare nella tabella una riga in giù.
Colonna destra | Sfogliare nella tabella una colonna a destra.
Colonna sinistra | Sfogliare nella tabella una colonna a sinistra.
Pagina in su | Sfogliare nella tabella una pagina in su.
Pagina in giù | Sfogliare nella tabella una pagina in giù.
Pagina a destra | Sfogliare nella tabella una colonna a destra.
Pagina a sinistra | Sfogliare nella tabella una pagina a sinistra.

Elementi compatibili

Elemento di controllo | Descrizione
Elementi compatibili | Elementi di controllo sostituiti da nuove versioni o cancellati, ma che, per ragioni di compatibilità, sono ancora a disposizione. Non si tiene conto di questi elementi in caso di aggiunta automatica di modelli.
Informazione | Elementi di controllo compatibili del gruppo Informazione.
Identificazione utente | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Tempo ultima modifica | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Modifica | Elementi di controllo compatibili del gruppo Modifica.
% (campo di inserimento) | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Forma (campo di inserimento) | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Commento | Elementi di controllo compatibili del gruppo Commento.
Commento 1 - 8 | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.
Navigazione lista ricetta | Elementi di controllo compatibili del gruppo Navigazione lista ricetta.
Numero ricetta | Elemento di controllo statico Win32. Nella versione 7.50 è stato sostituito da un campo del tipo Collega testo. Per la descrizione, vedi il nuovo elemento.

Nota: Per elementi di controllo del tipo collega testo oppure interruttore, la funzionalità corrispondente viene assegnata tramite la proprietà Operazione specifica per il tipo di immagine.


Aspetto della lista ricette

Manuale -> Manager di gruppi ricette -> Progettazione nell'editor -> Crea immagine del tipo "Manager gruppi ricette" -> Aspetto della lista ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La rappresentazione tabellare della Lista ricette può essere adattata ad esigenze individuali:

Impostazioni colonna

Le impostazioni colonne per la visualizzazione durante il runtime si effettuano al momento della configurazione del cambio immagine. Per i dettagli vedi la sezione Impostazioni colonne Lista ricette.

Barra di scorrimento

Per definire la dimensione e l´aspetto delle barre di scorrimento per le tabelle:

  1. Attivate nel gruppo Visualizzazione, la proprietà Funzionalità grafiche avanzate:
  2. definite le proprietà desiderate nei gruppi Barra di scorrimento e Intestazione e griglia

info Informazioni su

Se si seleziona la proprietà Stile di visualizzazione File grafico, tutti gli elementi per cui non è stato selezionato un file grafico, vengono rappresentati con un effetto di riempimento. Per gli elementi di gestione delle liste, non si possono usare delle grafiche trasparenti.

Altezza righe

Tramite la proprietà Visualizzazione/Zeilenhöhe [Pixel] si può definire l´altezza delle righe indipendentemente dalla dimensione del carattere.

Il valore di default è 0 Pixel. In tal modo l´altezza delle righe viene impostata indipendentemente dalla dimensione del carattere. Ogni valore superiore a 0 stabilisce un valore fisso in pixel per l´altezza delle righe. Se è definita una altezza di riga, le rappresentazioni grafiche non vengono scalate in modo corrispondente all´altezza della riga, ma vengono adattate alla dimensione del font.

Attenzione: se si seleziona un´altezza delle righe:

  • troppo grande, è possibile che nel runtime il sistema non visualizzi nulla.
  • minore di quella del font, le visualizzazioni grafiche non saranno complete, ma tagliate.

Anteprima

Attivando la proprietà Visualizzazione/Funzionalità grafiche avanzate, nell´Editor vengono visualizzate l´intestazione e le barre di scorrimento in forma di anteprima. In tal modo è possibile progettare con semplicità dettagli quali colore, effetti di riempimento, effetti di luce o griglia.

Attenzione: visto che la grandezza delle barre di scorrimento nell´anteprima corrisponde alla dimensione che esse assumono nel runtime, la dimensione complessiva della lista nell´editor può divergere da quella del runtime. Ciò vale anche per le dimensioni dell´header e del carattere dello stesso.


Creazione di un gruppo di ricette

Manuale -> Manager di gruppi ricette -> Progettazione nell'editor -> Creazione di un gruppo di ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un nuovo gruppo di ricette:

  1. Selezionate nel menù contestuale del nodo Ricette/Manager di gruppi ricette oppure nella visualizzazione dettagli, il comando Nuovo gruppo di ricette.
  2. Il sistema genera un nuovo gruppo ricette con un nome standard. Il nome è già evidenziato in modo da facilitare le ulteriori modifiche del nuovo gruppo.
    Attenzione: Se il gruppo ricette deve essere utilizzato come file binario, il nome deve contenere solamente caratteri alfanumerici.
  3. Ad ogni gruppo ricette devono essere aggiunte Variabili e Ricette.
    Nota: Si può aggiungere un numero massimo di 32.000 variabili a un gruppo di ricette.


Variabili per gruppi ricette

Manuale -> Manager di gruppi ricette -> Progettazione nell'editor -> Variabili per gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un gruppo di ricette consiste nelle variabili di processo selezionate e nelle ricette generate. Tutte le variabili di processo necessarie nelle ricette devono essere innanzitutto inserite nel sottomenù variabile facendo uso del menù contestuale.

Per impostare delle variabili:

  1. Cliccate con il tasto destro del mouse su Variabile.
  2. Selezionate nel menù contestuale il comando Inserire variabile.
  3. Si apre il dialogo per selezionare più variabili.
  4. Selezionate le variabili desiderate
    Indicazione: possono essere utilizzate anche variabili provenienti da altri progetti attivi. Assicuratevi che questi progetti siano disponibili anche nel Runtime. Nel complesso possono essere configurate al massimo 32.000 variabili per ogni gruppo di ricette.
  5. Terminate la configurazione cliccando sul pulsante OK

Per le singole variabili può essere configurato un limite di valore minimo e massimo valido per il gruppo di ricette corrispondente.

info Informazioni su

Archivfüllwert viene usato come valore standard:

  • per le variabili di nuove ricette
  • quando si aggiungono delle variabili a un gruppo di ricette in nuove ricette

info Informazioni su

Come segni di separazione decimale si possono usare sia la virgola che il punto. Il carattere decimale viene trasformato automaticamente in un punto.

Smista variabili

Potete smistare le variabili a piacere nelManager gruppi ricette:

Selezionate la variabile la cui posizione nella successione deve essere modificata e scegliete una delle seguenti azioni:

- scegliete su o giù nel menu contestuale
- spostate la variabile per Drag&Drop

In via alternativa, potete spostare le variabili al margine inferiore destro anche nel dialogo di selezione delle stesse usando i tasti con le frecce.

Elimina variabili

Per eliminare delle variabili, procedete come segue:

  1. selezionate le variabili desiderate
    (selezione multipla possibile))
  2. cliccate con il tasto destro del mouse sulle variabili selezionate
  3. selezionate nel menù contestuale il comando Cancella variabile
  4. le variabili verrano eliminate dopo che il sistema avrà posto una richiesta di conferma.
    Indicazione: Le variabili vengono cancellate dal gruppo ricette, ma rimangono nel progetto.

Noch in diesem Kapitel

Modifica parametri variabili

Variabile di riconoscimento


Modifica parametri variabili

Manuale -> Manager di gruppi ricette -> Progettazione nell'editor -> Variabili per gruppi ricette -> Modifica parametri variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel menù contestuale di Variabile, selezionate il punto Modifica parametri variabile.

Nel dialogo che si apre, procedete ad effettuare numerose impostazioni.

Parametri

Descrizione

Nome variabile

In questa colonna compaiono tutte le variabili che vengono utilizzate in questo gruppo ricette.

Valore min.

Definite il valore minimo che la variabile può assumere.

Nota: Le variabili binarie hanno come Valore minimo 0. Questo valore non può essere cambiato.

Valore max.

Definite il valore massimo che la variabile può assumere.

Nota: Le variabili binarie hanno come Valore max. 1. Questo valore non può essere cambiato.

Limiti impostazione valori da variabili

Si tiene presente dei limiti impostazione valori da variabili.

Interblocco

Facendo uso del Combobox, selezionate l´interblocco desiderato. (Vedi Interblocchi e visibilità)

Visibilità

Selezionate una variabile adatta mediante un clic con il tasto destro del mouse e selezionate il punto menu Scelta variabili. In alternativa potete inserire direttamente il nome della variabile desiderata. (Vedi Interblocchi e visibilità)

Filtro

Inserite un testo filtro. (Vedi Filtro.)

Tastiera

In questa colonna potete collegare ad ogni variabile una Immagine del tipo keyboard. Selezionate un'immagine adatta mediante un clic con il tasto destro del mouse e selezionate il punto di menù Scelta immagine. In alternativa potete inserire direttamente il nome dell'immagine desiderata.

Durante il funzionamento Runtime, viene aperta l´immagine keyboard connessa se si clicca con il tasto sinistro del mouse sul valore della variabile. Non è più possibile effettuare un inserimento diretto. Dopo essere usciti dall´immagine keyboard cliccando su OK, il nuovo valore viene inserito nella tabella valori ricetta. Inoltre avete a disposizione la funzione immagine Presettaggio valore impostabile. Essa permette di trasmettere un valore impostabile precedentemente definito mediante un clic del mouse.

Variabile grafica di ricetta

Collegamento di una Variabile grafica di ricetta.

info Informazioni su

Gestire la visibilità di variabili

Per gestire la visibilità e l´uso di variabili, sono a Vostra disposizione:

  • Filtro: definisce delle espressioni sulla base delle quali si può effettuare un filtro delle variabili Quelle variabili che non rispondono ai criteri di filtro, non verranno visualizzate. I filtri vengono gestiti dall´utente.
  • Visibilità: gestisce la visualizzazione delle variabili nella lista facendo uso del valore limite di una variabile. Quelle variabili che sono state settate su "non visibile", non verranno visualizzate. La visibilità viene gestita dal processo.
  • Diritti di accesso: definiscono con quale autorizzazione si può accedere alla gestione di una variabile. Quelle variabili per le quali l´utente non possiede i diritti di accesso necessari, verranno visualizzate, ma non potranno essere utilizzate. I diritti di accesso vengono gestiti dal progettista e dell´amministratore.

Noch in diesem Kapitel

Interblocchi e visibilità

Filtro


Interblocchi e visibilità

Manuale -> Manager di gruppi ricette -> Progettazione nell'editor -> Variabili per gruppi ricette -> Modifica parametri variabili -> Interblocchi e visibilità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

E' possibile sia tramite interblocchi che tramite la visibilità impedire all'utente di avere accesso a determinati settori della tabella ricette. La differenza consiste nel fatto che, nel caso si scelgano gli interblocchi, i settori in questione diventano di colore grigio; nel caso della visibilità, invece, essi non vengono affatto visualizzati.

Interblocco

Nella colonna oppure tramite la proprietà Interblocco, assegnate ad ogni variabile un interblocco. Selezionate l´interblocco desiderato fra quelli offerti dalla lista a cascata È possibile progettare ulteriori interblocchi nel modulo Interblocchi.

Durante il funzionamento Runtime, la riga viene visualizzata di default in modo normale o in colore grigio a seconda dello stato dell'interblocco. I colori di testo e sfondo possono essere definiti in modo individuale tramite le proprietà del RGM (gruppo Colori/Interblocco).

Ulteriori informazioni su questo tema le trovate al capitolo Blocco.

info Informazioni su

Rappresentazione con le funzioni report del Generatore Report:

Nel runtime, i nomi dell´interblocco non sono disponibili. Ciò significa che gli ID di interblocchi vengono visualizzati nella tabella ricette solamente se l´interblocco viene visualizzato per mezzo delle funzioni recipew o recipef.

Import VBA e XML

Nel caso di import XML di interblocchi, vale quanto segue:

  • Il nome dell´interblocco esiste nel progetto: L´interblocco per la variabile ricetta del file di importazione sostituisce quello esistente per l´interblocco configurato nella variabile ricetta.
  • Il nome dell´interblocco non esiste nel progetto: L´interblocco viene rimosso.
    Una stringa vuota nel file di importazione può essere usata per far sì che gli interblocchi configurati per la variabile ricetta possano essere eliminati come parametro per la variabile ricetta.

Ciò vale anche per la modifica di variabili ricetta via VBA.

Visibilità

Nella colonna visibilità, assegnate ad ogni variabile una variabile visibilità. Per far ciò:

  1. cliccate con il tasto destro del mouse all´interno della cella e selezionate la variabile che deve gestire la visibilità, oppure scrivete direttamente il nome di essa nella cella.
  2. fissate un valore limite per la variabile

Non appena la variabile supera il valore limite stabilito, viene nascosta la variabile assegnata nella tabella delle ricette.

info Informazioni su

La Tabella di valori ricetta CE viene ripristinata in seguito ad ogni modifica di uno stato assegnato. Tenete presente al momento della progettazione che un cambio molto frequente degli stati potrebbe creare dei problemi di performance nella gestione del sistema.

Ciò non vale per la Tabella di valori ricetta. Essa edita solamente quegli inserimenti che sono cambiati.


Filtro

Manuale -> Manager di gruppi ricette -> Progettazione nell'editor -> Variabili per gruppi ricette -> Modifica parametri variabili -> Filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I filtri consentono di escludere delle ricette dalla visualizzazione a livello utente.

I filtri vengono definiti tramite la proprietà Testo filtro delle variabili nella visione dettagliata del RGM. Alla variabile viene assegnato un criterio filtro selezionabile a piacere. Questo testo filtro viene utilizzato per limitare la visualizzazione nell'ambito dell'immagine del tipo Manager gruppi ricette. Questo filtro può essere settato:

  • durante il runtime, nell´immagine Manager gruppi ricette tramite la lista a cascata Filtro di ricetta.
  • durante il Cambio immagine per passare all´immagine del Manager gruppi ricette

Se non è stato selezionato in modo esplicito nessun filtro, vengono visualizzate tutte le variabili che non sono settate su Invisibile.

info Informazioni su

Il filtraggio si riferisce solamente alla visualizzazione nella tabella di valori ricetta. Nel caso in cui si salvi, ad esempio, una ricetta, vengono scritti tutti i valori della ricetta stessa.


Variabile di riconoscimento

Manuale -> Manager di gruppi ricette -> Progettazione nell'editor -> Variabili per gruppi ricette -> Variabile di riconoscimento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ad ogni gruppo ricette possono essere collegate delle variabili, che ricevono i dati ricetta per le azioni Scrivere, Leggere, Controllare e import XML. Queste variabili di responso specifiche per RGM si comportano come le globali Variabili del driver di sistema, ma vengono assegnate a singoli gruppi ricetta. In tal modo, è possibile analizzare parallelamente più gruppi ricette.

Può essere collegato un numero qualsiasi di variabili.
Nota concernente le versioni precedenti a zenon 7.10 SP0: Se è stata settata la proprietà DataSource su MS ACcess, la lunghezza del testo può essere al massimo di 300 caratteri. A partire dalla versione 7.10, viene usato automaticamente il database binario.

I seguenti dati ricetta possono essere settati su variabili:

  • Nome ricetta
  • Numero ricetta
  • Versione ricetta
  • Stato ricetta come testo
    (nella forma „1 - testo", con il testo che non viene tradotto, problema che può essere risolto tramite l´elemento di visualizzazione)
  • Stato ricetta come numero
  • Livello di autorizzazione gestione della ricetta
  • Orario ultima modifica
  • Utente dell´ultima modifica
  • Commento 1-8

Crea variabile di responso

Per creare una variabile di responso:

  1. selezionate il gruppo ricette
  2. navigate per raggiungere il nodo desiderato
    • Feedback scrittura ricetta
    • Feedback lettura ricetta
    • Feedback verifica dei valori di ricetta
    • Risultato di importazione XML
  3. cliccate sul pulsante ... accanto alla proprietà desiderata
  4. si apre il dialogo per collegare le variabili

Indicazioni sulle singole proprietà le trovate nella Guida proprietà. Il risultato di tutte le azioni viene reso disponibile localmente e per la rete mediante variabili del driver di sistema.

info Informazioni su

Le modifiche effettuate con VBA divengono visibili solamente dopo la riapertura del RGM.


Aggiungi ricette al gruppo ricette

Manuale -> Manager di gruppi ricette -> Progettazione nell'editor -> Aggiungi ricette al gruppo ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aggiungere una ricetta ad un gruppo ricette:

  1. cliccate con il tasto destro del mouse sul nodo Ricette nel gruppo ricette desiderato
  2. Selezionate nel menù contestuale Nuova ricetta
  3. viene impostata una nuova ricetta con un nome standard; il nome viene già messo in evidenza per consentire l´ulteriore elaborazione della ricetta.
  4. assegnate le proprietà desiderate per nome, numero, versione, autorizzazione e commenti

info Informazioni su

Se la ricetta viene utilizzata come file binario, il nome deve contenere solamente caratteri alfanumerici.

Assegnazione del nome al momento dell´impostazione

Le nuove ricette vengono create con un nome di default, per es. Rezept_0. Inoltre viene assegnato ad ogni ricetta un numero. Esso aumenta in modo incrementale per ogni nuova ricetta.

Il nome ricetta deve essere univoco. Il numero ricetta non viene controllato per verificarne la univocità. Esso viene usato solamente per aprire facendo uso della funzione Manager di gruppi ricette una ricetta tramite una variabile. Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima.

Example Esempio

Esistono già una Ricetta_0 con il numero ricetta 0 e una Ricetta_2 con il numero ricetta 2. Quando si crea una nuova ricetta, essa viene impostata con il nome Ricetta_1 e il numero ricetta 3.

Noch in diesem Kapitel

Modifica di una ricetta del gruppo ricette


Modifica di una ricetta del gruppo ricette

Manuale -> Manager di gruppi ricette -> Progettazione nell'editor -> Aggiungi ricette al gruppo ricette -> Modifica di una ricetta del gruppo ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per modificare una ricetta appartenente ad un gruppo ricette, procedete come segue:

  • cliccate con il tasto destro del mouse su una ricetta.
  • Selezionate il comando Modifica ricetta
  • Si apre il dialogo Gruppi ricette

Inserimento

Descrizione

Generale

Numero ricetta

Numero della ricetta

Scrittura sincrona

Attivo : alla scrittura di una ricetta vengono bloccati tutti gli elementi di controllo nell’immagine del Manager gruppi ricette, finchè arriva risposta dal driver, che tutti i valori della ricetta sono stati scritti con successo o finche è trascorso il Timeout .

Inattivo: I valori della ricetta vengono scritti senza attendere una risposta. Gli elementi di controllo sono riutilizzabili immediatamente. La risposta del driver avviene attraverso il bit di stato WR_SUC, che viene settato a 1 appena i valori sono stati scritti con successo.
Avvertenza:

  • Questa impostazione può essere modificata nel runtime nella finestra manager gruppi ricette alla voce rinomina ricetta .
  • L´indicazione dello stato di avanzamento funziona solamente se questa proprietà è attiva.

Timeout [ms]

Se in una ricetta è stata attivata l’opzionescrittura sincr., può essere inserito qui un timeout. Gli elementi di controllo dell’ immagine Manager gruppi ricette vengono di nuovo abilitati al massimo dopo questo tempo di timeout.
Se come Timeout è inserito il valore0, zenon calcola il tempo di attesa come segue:
30000+(100* Numero di punti dati)
Indicazione: Questa impostazione può essere modificata nel runtime nella finestra manager gruppi ricette alla voce rinomina ricetta .

Livello

Solo utenti, che hanno abilitato qui il loro livello di autorizzazione, possono modificare la ricetta nel runtime. Ciò non riguarda solo la modifica manuale della ricetta nell’immagine del Manager gruppi ricette, ma anche la cancellazione o la rinomina della ricetta, così come la lettura dall’hardware dei valori della ricetta.
Nota: i gruppi ricette possono essere modificati solo da un utente che possiede anche tutti i diritti di accesso per tutte le singole ricette contenute nel gruppo selezionato.

Inserimenti della lista

Nome variabile

Nome di una variabile.

Solo visualizzazione, non è possibile nessuna modifica.

Valore min.

Valore minimo che può essere trasmesso al PLC

Solo visualizzazione, non è possibile nessuna modifica.

Valore max.

Valore massimo che può essere trasmesso al PLC

Solo visualizzazione, non è possibile nessuna modifica.

Azione

Funzione che viene eseguita su variabili.

Inserimento lista è modificabile. Per i dettagli vedi capitolo Azioni.

Valore o Variabile

Valore che viene trasmesso al PLC all´ esecuzione della ricetta

Valore dipendente da Azione modificabile nella lista.

Unità di misura

Unità di misura di una variabile.

Solo visualizzazione, non è possibile nessuna modifica.

Modifica nel Runtime: Per i dettagli si veda il capitolo Gestione durante il runtime.

info Informazioni su

Per le ricette nel RGM vale quanto segue:

  • Il nome ricetta deve essere univoco.
  • Il numero ricetta non viene controllato per verificarne la univocità. Esso viene usato solamente per aprire facendo uso della funzione Manager di gruppi ricette una ricetta tramite una variabile. Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima.
  • La lunghezza di una stringa per una ricetta RGM è limitata a 249 caratteri.

Noch in diesem Kapitel

Azioni


Azioni

Manuale -> Manager di gruppi ricette -> Progettazione nell'editor -> Aggiungi ricette al gruppo ricette -> Modifica di una ricetta del gruppo ricette -> Azioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per definire un´azione, cliccate nella cella Azione della variabile corrispondente, e poi sul simbolo con la freccia. Dopo selezionate l´azione desiderata fra quelle proposte dalla lista a cascata. Nel caso in cui si rendano necessari degli inserimenti nella cella Valore o variabile, cliccate su di essa e digitate il valore. Al fine di selezionare le variabili, cliccate con il tasto destro sulla cella per aprire l´apposito dialogo.

Azione

Descrizione

Inserimento in Valore o variabile

Nessuna azione

Disattiva variabile in questa ricetta.

Nessun inserimento.

Stato utente

Informazione di stato. Setta il corrispondente bit di stato della variabile

Nota: possono essere settati solo bit di stato che sono evidenziati come settati dall´utente. I bit di stato settati automaticamente dal sistema non sono modificabili.

Attenzione: Per poter aprire una tastiera software, nel gruppo proprietà Tastiere deve essere collegata una keyboard alla proprietà Parametro stringa.

Indicare la Denominazione breve dello stato con:
=1 per settare e
=0 per resettare.

Si possono inserire diversi stati separandoli con un punto e virgola ( ;). Ad esempio:
M1=1; M5=0

Modificare valore di riserva

Setta il valore di sostituzione sul valore che viene indicato alla voce Valore o variabile.

Inserire valore di riserva.

Modifica valore spontaneo

Setta il Valore spontaneo sul valore che viene indicato alla voce Valore o variabile.

Inserire valore impostabile.

Disattivare valore spontaneo

Spegne il valore spontaneo settando il bit di stato OFF (Bit 20).

Nessun inserimento.

Attivare valore spontaneo

Attiva il valore spontaneo resettando il bit OFF.

Nessun inserimento.

Commutare su valore di riserva

Cambia da Valore spontaneo a Valore di sostituzione

Nessun inserimento.

Commuta su valore spontaneo

Cambia da Valore di sostituzione a Valore spontaneo

Nessun inserimento.

Imposta e modifica Valore di riserva

Passa dal Valore spontaneo al Valore di sostituzione e setta quest´ultimo sul valore che è indicato in Valore e variabile.

Inserire valore di riserva.

Imposta e modifica valore spontaneo

Passa dal Valore di sostituzione al Valore spontaneo e setta quest´ultimo sul valore che è indicato in Valore o variabile.

Inserire valore impostabile.

Collegare con variabile

Collega una variabile con un´altra.

Nome di una variabile.

Cliccando con il tasto destro del mouse nel campo si apre il dialogo che serve alla selezione delle variabili. Il valore della variabile viene trasmesso alla variabile selezionata della ricetta. E' possibile usare anche variabili di altri progetti caricati.

attention Attenzione

Se in una ricetta si usa la funzionalità Leggi tutti i valori con l´azione Collega con variabile, non vengono né interrogate le autorizzazioni, né viene protocollata l´azione. Nel caso si desideri esplicitamente il protocollaggio, quest´ultimo deve essere creato manualmente, per esempio tramite una macro VBA.

Nota sulla conformità con FDA: questa funzionalità, perciò, non può essere utilizzata per progetti che debbono soddisfare le rigide norme FDA.

Noch in diesem Kapitel

Controlla Scrivi valore impostabile


Controlla Scrivi valore impostabile

Manuale -> Manager di gruppi ricette -> Progettazione nell'editor -> Aggiungi ricette al gruppo ricette -> Modifica di una ricetta del gruppo ricette -> Azioni -> Controlla Scrivi valore impostabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Controlla Scrivi valore impostabile

Quando vengono scritti dei valori, ognuno di essi riceve un bit di stato. Se la scrittura viene effettuata con successo, viene settato anche il bit di stato corrispondente:

  • WR-ACK

    Il driver ha ricevuto un valore da scrivere.

  • WR-SUC

    Valore 1: Scrittura avvenuta con successo.

    Valore 0: Scrittura non effettuata con successo. Non è stato possibile settare il valore.

info Informazioni su

Nel caso di una ricarica del progetto o di un cambio server-standby, le segnalazioni di ritorno in attesa o le conferme di scrittura vengono rifiutate.

Questa combinazione di valori di stato permane finché non viene inizializzata una nuova modifica di valore. Poi entrambi gli stati sono settati su 0, finché il procedimento di scrittura non è concluso. Per la valutazione, nella matrice di reazione deve essere interrogata questa combinazione di bit:

WR-ACK, WR-SUC

Risultato:

  • WR-ACK 1, WR-SUC 1: Procedimento scrittura avvenuto con successo.
  • WR-ACK 1, WR-SUC 0: Procedimento scrittura avvenuto senza successo.

attention Attenzione

Il meccanismo verifica solamente se il processo di scrittura su PLC si è concluso con o senza successo. Ciò non significa, che il valore sia stato modificato effettivamente nel PLC, poiché esso può resettare/sovrascrivere il valore immediatamente. (Per esempio nella scrittura su output o transient bit, che vengono settati solamente a breve termine.)

Moduli

Questo meccanismo può essere usato con i seguenti moduli:

  • Funzione Setta valore impostabile Attivare opzione Attendi conferma scrittura nel dialogo di configurazione della funzione.
  • Ricette standard: Attivare proprietà Scrittura sincrona .
  • Manager gruppi di ricette: Attivare proprietà Scrittura sincrona.
  • Comandi

Inserimento nella CEL

  • Funzione Settare valore impostabile

    Per l´inserimento nella CEL, si deve attivare nelle proprietà di progetto, e più precisamente al nodo Lista eventi cronologica (CEL). la proprietà Funzioni settaggio valore. Ogni volta che si esegue la funzione, viene scritta nella CEL risposta positiva o negativa.

  • Ricette standard e Manager gruppi ricette

    Per l´inserimento nella CEL si usa una variabile di sistema, che passa a 1 nel caso la ricetta sia stata depositata con successo. Una variabile globale viene analizzata sul server, una locale sul client; questo per verificare quando è stata completata la scrittura dell´ultima ricetta eseguita.
    Con queste variabili si può generare un inserimento CEL per i valori limite o per le Matrici di reazione. La richiesta avviene con una matrice di reazione multianalogica o una multibinaria.


Versione ricetta

Manuale -> Manager di gruppi ricette -> Progettazione nell'editor -> Versione ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le ricette possono essere versionate. Le versioni vengono gestite tramite impostazioni nell´editor, nonché funzioni ed elementi di controllo durante il runtime.

Per creare una nuova versione ricetta nell´Editor, avete due possibilità:

  1. Nuova versione di ricetta: crea una nuova versione della ricetta selezionata.
    A tal scopo:
    1. selezionate la ricetta nella visione dettagliata del RGM
    2. selezionate nel menù contestuale il comando Crea nuova versione di ricetta

    oppure

  2. Duplica versione ricetta: crea una copia della versione di ricetta selezionata come nuova versione.
    A tale scopo:
    1. selezionate la versione di ricetta nella visione dettagliata del RGM
    2. selezionate nel menù contestuale il comando Duplica come versione ricetta

Una nuova versione della ricetta viene impostata sotto la ricetta stessa. Il numero versione viene assegnato automaticamente nella proprietà Versione ricetta. A destra della ricetta originale viene visualizzato il numero delle versioni disponibili.

Per creare una nuova versione ricetta nel runtime, usate la funzione Crea nuova versione di ricetta.

info Informazioni su

Può essere impostato un massimo di 89999 versioni ricetta.


Stato Ricetta

Manuale -> Manager di gruppi ricette -> Progettazione nell'editor -> Stato Ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo stato ricetta viene usato per l´identificazione e il filtro di una ricetta nel caso di:

  • proprietà Stato per ricetta
  • immagine del tipo RGM
  • Funzione Cambio ad un´immagine del tipo RGM
  • Funzione Manager gruppi ricette

Consiste di un indice assegnato da zenon e di un testo di stato individuale. Lo stato ricetta può essere impostato diversamente pro versione ricetta. Questa proprietà può essere modificata nell´immagine durante il runtime tramite funzioni e elementi di controllo.

Per creare uno stato ricetta:

  1. selezionate l´identificatore gruppi ricette nella visione dettagliata del RGM
  2. cliccate sulla proprietà Identificatore stato ricetta
  3. si aprirà il dialogo per progettare lo stato ricetta

Parametri

Descrizione

Identificatore stato ricetta

Creazione e gestione dell´identificatore stato ricetta

#

Indice dello stato. Questo viene assegnato automaticamente.

Testo di stato

Testo di stato come stabilito in questo dialogo:

  • creazione: cliccare sul pulsante Nuovo.
  • Modifica: cliccare sul testo consente di effettuare delle modifiche.

Questo testo può contenere anche parole chiave (con prefisso @) per il cambio lingua.

Nuovo

Crea un nuovo stato in fondo alla lista.

Elimina

Cancella il testo di stato selezionato.

Se lo stato da cancellare si trova in fondo alla lista, vengono cancellati testo di stato e numero d´indice.

Se lo stato da cancellare non si trova in fondo alla lista, viene cancellato il testo, ma viene mantenuto l´indice. In tal modo è possibile riempire le lacune in un secondo momento.

Ok

Riprende inserimenti e chiude il dialogo.

Annulla

Annulla tutte le modifiche e chiude il dialogo.

Guida

Apre la guida online


List of status bits

Manuale -> Manager di gruppi ricette -> Progettazione nell'editor -> List of status bits

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Bit number | Short term | Long name | zenon Logic label
0 | M1 | User status 1; for Command Processing: Action type "Block"; Service Tracking of the IEC 850 driver | _VSB_ST_M1
1 | M2 | User status 2 | _VSB_ST_M2
2 | M3 | User status 3 | _VSB_ST_M3
3 | M4 | User status 4 | _VSB_ST_M4
4 | M5 | User status 5 | _VSB_ST_M5
5 | M6 | User status 6 | _VSB_ST_M6
6 | M7 | User status 7 | _VSB_ST_M7
7 | M8 | User status 8 | _VSB_ST_M8
8 | NET_SEL | Select in the network | _VSB_SELEC
9 | REVISION | Revision | _VSB_REV
10 | PROGRESS | In operation | _VSB_DIREC
11 | TIMEOUT | Runtime exceedance | _VSB_RTE
12 | MAN_VAL | Manual value | _VSB_MVALUE
13 | M14 | User status 14 | _VSB_ST_14
14 | M15 | User status 15 | _VSB_ST_15
15 | M16 | User status 16 | _VSB_ST_16
16 | GI | General query | _VSB_GR
17 | SPONT | Spontaneous | _VSB_SPONT
18 | INVALID | Invalid | _VSB_I_BIT
19 | T_CHG_A | Daylight saving time/winter time announcement | _VSB_SUWI
20 | OFF | Switched off | _VSB_N_UPD
21 | T_EXTERN | Real time external | _VSB_RT_E
22 | T_INTERN | Realtime internal | _VSB_RT_I
23 | N_SORTAB | Not sortable | _VSB_NSORT
24 | FM_TR | Error message transformer value | _VSB_DM_TR
25 | RM_TR | Working message transformer value | _VSB_RM_TR
26 | INFO | Information for the variable | _VSB_INFO
27 | ALT_VAL | Alternate value If no value was transferred, the defined alternate value is used otherwise the last valid value is used. | _VSB_AVALUE
28 | RES28 | Reserved for internal use (alarm flashing) | _VSB_RES28
29 | N_UPDATE | Not updated | _VSB_ACTUAL
30 | T_STD | Standard time | _VSB_WINTER
31 | RES31 | Reserved for internal use (alarm flashing) | _VSB_RES31
32 | COT0 | Cause of transmission bit 1 | _VSB_TCB0
33 | COT1 | Cause of transmission bit 2 | _VSB_TCB1
34 | COT2 | Cause of transmission bit 3 | _VSB_TCB2
35 | COT3 | Cause of transmission bit 4 | _VSB_TCB3
36 | COT4 | Cause of transmission bit 5 | _VSB_TCB4
37 | COT5 | Cause of transmission bit 6 | _VSB_TCB5
38 | N_CONF | Negative confirmation of command by device (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test bit (IEC870 [T]) | _VSB_T_BIT
40 | WR_ACK | Writing acknowledged | _VSB_WR_ACK
41 | WR_SUC | Writing successful | _VSB_WR_SUC
42 | NORM | Normal status | _VSB_NORM
43 | N_NORM | Deviation normal status | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Time invalid | not defined
50 | CB_TRIP | Breaker tripping detected | not defined
51 | CB_TR_I | Breaker tripping detection inactive | not defined
52 | OR_DRV | Value out of Range | not defined
53 | RES53 | reserved | not defined
54 | RES54 | reserved | not defined
55 | RES55 | reserved | not defined
56 | RES56 | reserved | not defined
57 | RES57 | reserved | not defined
58 | RES58 | reserved | not defined
59 | RES59 | reserved | not defined
60 | RES60 | reserved | not defined
61 | RES61 | reserved | not defined
62 | RES62 | reserved | not defined
63 | RES63 | reserved | not defined

info Informazioni su

In formulas all status bits are available. For other use the availability can be reduced.

You can read details on status processing in the Status processing chapter.


Windows CE

Manuale -> Manager di gruppi ricette -> Progettazione nell'editor -> Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialogo filtro nel Runtime

Se nell´ambito delle opzioni della Tabella valori ricette nel cambio immagine si attiva la proprietà Con dialogo filtro, sotto Windows CE sono disponibili solamente un numero limitato di opzioni:

  • Filtro di ricetta
  • Impostazioni colonne (per tabella ricette)

Selezione ricette, Progettazione impianto e Impostazioni colonne per Lista ricette non sono disponibili.


Funzioni

Manuale -> Manager di gruppi ricette -> Funzioni

Se si crea la funzione standard dal menù contestuale nella sezione lista, zenon genera automaticamente una funzione Manager gruppi ricette per la ricetta selezionata.

Noch in diesem Kapitel

Funzione Cambio immagine Manager dei gruppi di ricette

Funzione Manager di gruppi ricette


Funzione Cambio immagine Manager dei gruppi di ricette

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il cambio ad un´immagine del tipo RGM definite una ricetta che deve essere eseguita al momento del cambio. Queste impostazioni possono essere adottate anche durante il runtime, sempre che sia attiva l´opzione Proponi dialogo a Runtime.

Per progettare il cambio immagine:

  1. create una nuova funzione.
  2. selezionate Cambio immagine
  3. scegliete l´immagine del tipo RGM
  4. selezionate le Vostre impostazione nelle singole schede
    • Tabella valori ricette: impostazioni per la ricetta.
    • Impostazioni colonne Tabella valori ricette: impostazioni per la visualizzazione durante il Runtime.
    • Filtro ricetta: definizione di quali ricette di un gruppo devono essere visualizzate nell´immagine del tipo Manager gruppi ricette.
    • Impostazioni colonne Lista ricette: Impostazioni per la visualizzazione della lista ricette.
    • Definizione d´impianto: selezione di modelli di impianti.

info Informazioni su

Potete effettuare le impostazioni per la visibilità di variabili durante il runtime in:

  • Modifica parametri variabili: Filtri , Visibilità
  • Modifica di una ricetta del gruppo ricette: Livelli di autorizzazione

Queste impostazioni si riferiscono solamente alla visualizzazione nella tabella ricette. Nel caso in cui si salvi, ad esempio, una ricetta, vengono scritti tutti i valori della ricetta stessa.

Noch in diesem Kapitel

Tabella valori ricette

Impostazioni colonne Tabella valori ricette

Filtro di ricetta

Impostazioni colonne in lista ricette

Definizione di impianto

Selezione colonne per lista ricette e tabella valori ricette

Formato colonne per la lista ricette e la tabella valori ricette


Tabella valori ricette

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Tabella valori ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda viene selezionata la ricetta che viene visualizzata nella tabella di valori ricetta. La tabella di valori ricetta è disponibile in due forme:

  • Tabella valori ricette: Tabella direttamente configurabile nel Runtime. Disponibile sotto Windows CE.
  • Tabella valori ricette CE: Rappresentazione della ricetta selezionata in fissa forma tabellare. Sostituisce sotto Windows CE la Tabella valori ricette.

Entrambe le tabelle possono essere configurate nell´Editor. Tuttavia, può essere inserita in un´immagine solamente una delle due tabelle alla volta. Per tutti i progetti, esclusi quelli Windows CE, si consiglia l´uso della Tabella valori ricetta. La configurazione del cambio lingua può differire per i due tipi di tabella. Quando, dunque, una Tabella valori ricette viene sostituita automaticamente da una Tabella valori ricette (CE) sotto Windows CE, vengono riprese le impostazioni del cambio lingua originale.

Configurazione

Scelta Ricetta/Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili
  • da un file

Cliccando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Parametri

Descrizione

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Nota: Se la selezione ricetta provoca un errore durante il runtime (ricetta non disponibile nel runtime, nessuna selezione effettuata, ricetta non contenuta nel filtro), non verrà selezionata nessuna ricetta, la visualizzazione della lista a cascata Ricetta rimane vuota.

Ricetta statica:

selezione di una ricetta già impostata.

Nome Ricetta da variabile:

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da variabile:

il numero ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato Ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più grande oppure Vesione più piccola, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato rilasciato.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Espandi

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Formattazione Tabella valori di ricetta

Impostazioni per la formattazione della tabella valori ricette

Parametri

Descrizione

Tabella

Selezione del file report. Clic sul pulsante apre il menù a tendina che serve alla selezione:

  • Utilizza tabella standard
  • Utilizza file di formattazione per la tabella

Usa tabella standard:

I valori ricetta vengono visualizzati nel Runtime in una Tabella valori ricetta oppure in una Tabella valori ricetta CE.

Utilizza file di formattazione per la tabella:

I valori di ricetta vengono visualizzati in un file di report (*.xrs). Questo file deve essere stato prima creato nel generatore di report. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di file XRS.

Nota: Quando si usa un formato file, nel Runtime viene visualizzata la Tabella valori ricetta CE.

Filtro per rappresentazione valori

Selezione del Filtro che deve essere attivo al momento del cambio per limitare la lista dei valori ricetta visualizzati.

Parametri

Descrizione

Criteri di filtraggio

Scelta del filtro. Cliccando sulla didascalia, si apre la lista a cascata che serve alla selezione di un filtro.

  • Criterio filtro statico
  • Criterio di filtro da variabile

Criterio filtro statico:

selezione di un filtro fra quelli proposti dalla lista a cascata, che è stato definito nella proprietà delle variabili Testo filtro.

Criterio filtro da variabile :

il criterio filtro viene ripreso nel Runtime da una variabile STRING.

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Parametri

Descrizione

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Nota: sotto Windows CE e con l´apertura tramite pulsante Filtro nell´immagine RGM, c´è a disposizione solamente un numero limitato di funzioni:

  • Filtro di ricetta
  • Impostazioni colonne (per tabella ricette)

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Blocca elaborazione in pagina

Blocca tutti gli elementi di controllo nell´immagine del tipo RGM. L´utente non può effettuare nessuna modifica al Manager gruppi ricette.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

info Informazioni su

Il nome ricetta deve essere univoco. Il numero ricetta non viene controllato per verificarne la univocità. Esso viene usato solamente per aprire facendo uso della funzione Manager di gruppi ricette una ricetta tramite una variabile. Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima.


Impostazioni colonne Tabella valori ricette

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Impostazioni colonne Tabella valori ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nota: Non è disponibile se, nel cambio immagine, è stata selezionata nella scheda Tabella valori ricetta per la formattazione della tabella valori ricetta l´opzione Usa file di formato per tabella:.

Tutte le colonne della tabella valori ricette sono configurabili a piacere. Le colonne possono essere visualizzate, ordinate e fornite di una denominazione come si vuole. Inoltre, si può nascondere la numerazione delle righe.

In questa scheda si configurano le colonne per la Tabella valori ricetta CE e la Tabella valori ricetta. A questo scopo sono a disposizione due strumenti.

  • Impostazione colonne per CE: Configura le impostazioni per la Tabella valori ricetta CE.
  • Definizione colonne: Configura le impostazioni per la Tabella valori ricetta.

Impostazione colonne per CE

Queste impostazioni si riferiscono alla Tabella valori ricetta CE. Vengono usate nella visualizzazione della tabella valori ricetta fissa sotto Windows CE. La configurazione della Tabella valori ricetta avviene nella parte inferiore del dialogo

Parametri | Descrizione
Tipo colonne | Tipo di colonna. Non modificabile. La visualizzazione durante il runtime viene attivata o disattivata tramite checkbox.
Descrizione | Definisce l´intestazione della colonna corrispondente. Può essere configurata per il cambio lingua. Il valore è editabile.
Larghezza | definisce la larghezza della colonna in caratteri. La si può fissare anche trascinando con il mouse nella lista con visualizzazione orizzontale dei nomi colonna. Il valore è editabile.
Sposta elemento verso l'alto | Sposta la riga selezionata verso l´alto. Spostamento possibile anche tramite Drag&Drop.
Sposta elemento verso il basso | Sposta la riga selezionata verso il basso Spostamento possibile anche tramite Drag&Drop.
Campo con visualizzazione orizzontale dei nomi colonna. | Mostra le colonne attivate nella lista. Si può definire la grandezza delle colonne trascinando per mezzo del puntatore del mouse che si muove al bordo della colonna stessa.
visualizza colonna di numerazione | Attivo: la prima colonna della tabella viene visualizzata con un numero di riga.

Impostazioni di colonna

Configurazione della Tabella valori ricetta.

Parametri | Descrizione
Tabella | Le colonne della tabella vengono selezionate cliccando sul pulsante Selezione colonne. L´ordinamento avviene cliccando sul titolo di colonna e mediante Drag&Drop con il mouse. Quando si effettua l´ordinamento delle colonne, due frecce rosse indicano dove viene inserita la colonna da spostare.
Scelta colonne | Un clic sul comando apre il dialogo che serve alla selezione della colonna da visualizzare.
Formato colonne | Un clic sul comando apre il dialogo che serve alla formattazione delle colonne.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo. Al momento della prima configurazione del cambio immagine, viene impostata la funzione, tuttavia senza destinazione.
Guida | Apre la guida online.


Filtro di ricetta

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Filtro di ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda definite quali ricette di un gruppo devono essere visualizzate nell´immagine del tipo Manager gruppi ricette. Vengono visualizzate solamente le ricette che vengono accettate nel filtro ricette del cambio immagine. L´operazione di filtro si basa sui nomi ricetta.

info Informazioni su

Se la selezione ricetta provoca un errore durante il runtime (ricetta non disponibile nel runtime, nessuna selezione effettuata, ricetta non contenuta nel filtro), non verrà selezionata nessuna ricetta, la visualizzazione della lista a cascata Ricetta rimane vuota.

Parametri

Descrizione

Filtro testo

Definisce criteri di filtro.

Nessun Filtro testo

Attivo: Il filtro di testo non viene utilizzato.

Ricerca di (parole separate da spazi vuoti).

Attivo: Il filtro ricetta viene utilizzato. Le ulteriori possibilità di impostazione sono accessibili.

Campo di inserimento

Indicate le parole, oppure le sequenze di caratteri corrispondenti.

Rispetta Maiusc./Minusc.

Attivo: Il sistema tiene conto della scrittura in lettere maiuscole e minuscole nell´effettuare il filtro.

Non tutte le parole devono essere presenti nel nome ricetta

Attivo: Il sistema tiene conto delle espressioni indicate nel Campo di inserimento anche se esse ricorrono nel nome ricetta solamente come parti di parola.

Almeno una parola deve essere contenuta nel nome ricetta

Attivo: Almeno una parola della stringa di ricerca deve figurare nel nome ricetta.

Tutte le parole devono essere presenti nel nome ricetta

Attivo: Tutte le parole della stringa di ricerca devono esistere nel nome ricetta; l´ordine non verrà considerato.

Il testo del filtro deve coincidere nel nome ricetta

Attivo: Tutti i termini della stringa di ricerca devono essere presenti nel nome ricetta, rispettando lo stesso ordine.

Filtro esteso

Impostazioni di filtro per versione e stato.

Versione

Filtro versione: selezione dalla lista a cascata oppure inserimento diretto.

Lista a cascata:

  • Versione più bassa
  • Versione più alta
  • Espandi

Questa impostazioni vengono combinate sempre con lo stato.

Inserimento diretto:

  • Inserimento numerico, separato da una virgola. Ad esempio: 1, 2, 6

Gli inserimenti possono consistere di numeri, virgola e spazi vuoti; il sistema ne controlla la validità. Gli inserimenti non corretti vengono messi in evidenza dal sistema al momento della conferma del dialogo con OK, oppure quando si passa da una scheda all´altra. Il dialogo rimane aperto e il focus viene posto sull´inserimento errato.

Stato

Criterio di filtro per lo stato. Scegli:

Lista a cascata:

  • Espandi
  • stato già progettato

Inserimento diretto:

  • Inserimento numerico, separato da una virgola. Ad esempio: 1, 2, 6

I testi di stato sono convertibili per quello che concerne la lingua.

Gli inserimenti possono consistere di numeri, virgola e spazi vuoti; il sistema ne controlla la validità. Gli inserimenti scorretti (per es.delle lettere) vengono messi in evidenza al momento della conferma del dialogo con OK. Il dialogo rimane aperto e il focus viene posto sull´inserimento errato.

Ok

Riprende le impostazioni di tutte le schede e chiude il dialogo.

Annulla

Rifiuta tutte le modifiche di tutte le schede e chiude il dialogo. Al momento della prima configurazione del cambio immagine, viene impostata la funzione, tuttavia senza destinazione.

Guida

Apre la guida online

Possibili combinazioni del filtro versione con il filtro di stato

Filtro versione | Filtro stato | Risultato
Versione più bassa | Espandi | Di tutte le ricette viene visualizzata solamente la rispettiva versione più bassa.
Versione più bassa | 1,2 | Di tutte le versioni ricetta con lo stato 1 oppure 2 viene visualizzata solamente la rispettiva versione più bassa.
Versione più alta | Espandi | Di tutte le ricette viene visualizzata solamente la rispettiva versione più alta.
Versione più alta | 1,2 | Di tutte le versioni ricetta con lo stato 1 oppure 2 viene visualizzata solamente la rispettiva versione più alta.
Espandi | Espandi | Vengono visualizzate tutte le versioni ricette.
Espandi | 1,2 | Vengono visualizzate tutte le versioni ricette con lo stato 1 oppure 2.
2,3 | Espandi | Vengono visualizzate tutte le versioni ricette 2 e 3 indipendentemente dallo stato.
2,3 | 1,2 | Viene visualizzata rispettivamente la versione ricette 2 e 3, se queste hanno o lo stato 1 oppure 2.


Impostazioni colonne in lista ricette

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Impostazioni colonne in lista ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda vengono configurate le impostazioni colonne per la visualizzazione della Lista ricette durante il runtime.

Attenzione: l´impostazione colonne per la lista ricette non è disponibile per progetto CE.

Parametri | Descrizione
Campo lista | Visualizzazione delle colonne configurate.
Selezione colonne | Apre il dialogo per la selezione delle colonne.
Formato colonne | Apre il dialogo che serve a formattare le colonne.
Ok | Accetta tutte le modifiche e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude il dialogo.
Guida | Apre la guida online.

ulteriori impostazioni, come barre di scorrimento, vengono configurate nelle proprietà del campo lista. per i dettagli vedi sezione Aspetto della lista ricette.


Definizione di impianto

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Definizione di impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa sede assegnate modelli di impianto e livelli:

Proprietà

Descrizione

Barra degli strumenti

Simboli per:

  • modifica di modelli di impianto locali
  • estensione o riduzione della visualizzazione
  • visualizzazione di informazioni

Lista dei modelli di impianto

Offre modelli e gruppi fra i quali l´utente può scegliere. La lista separa la visualizzazione in modelli di impianto del progetto globale e quelli dei progetti locali.

I modelli di impianto locali possono essere creati o cancellati.

Aggiungi

Aggiunge alla lista filtro il gruppo selezionato.

Rimuovi

Rimuove tutti i gruppi selezionati dalla lista filtro.

Lista filtri

Mostra tutti i gruppi di impianti in riferimento ai quali deve essere effettuata l´operazione di filtro.

Ok

Accetta le impostazioni e chiude il dialogo.

Annulla

Annulla la selezione e chiude il dialogo.

Attenzione: eventuali Modifiche nella struttura di modelli di impianto locali rimangono.

Guida

Apre la guida online.

Aggiungi gruppi

  • Selezionare il modello impianti desiderato.
    Attenzione: se ci sono conflitti di nomenclatura fra modelli di impianto globali e locali, verranno visualizzati i modelli di impianto locali e quelli globali verranno ignorati. Informazioni concernenti eventuali conflitti le ottenete cliccando sul simbolo corrispondente (triangolo con punto interrogativo) che si trova nella barra degli strumenti.
  • Selezionare un gruppo di impianti oppure un livello.
  • Con il pulsante Inserisci, aggiungere il nuovo gruppo alla lista in basso nella finestra di dialogo.
  • I sottogruppi non vengono aggiunti automaticamente.
  • Può essere collegato un numero qualsiasi di gruppi.

Cancella gruppi

  • Selezionare l´elemento desiderato nella lista che si trova nel settore inferiore del dialogo (selezione multipla possibile).
  • Cliccare sul pulsante Cancella

Nota: le modifiche in un elemento dell´albero rimangono, anche se non viene premuto il pulsante Annulla. Annulla significa solamente che nessun elemento viene selezionato.


Selezione colonne per lista ricette e tabella valori ricette

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Selezione colonne per lista ricette e tabella valori ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa sede configurate durante il Runtime le colonne che andranno visualizzate per lista ricette e tabella valori ricette. La seguente immagine è un esempio per la lista ricette. La configurazione delle colonne per la tabella valori ricetta avviene in modo analogo.

Pulsante | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate da quelle disponibili a quelle selezionate. Dopo aver confermato il dialogo cliccando su OK, verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutte -> | Sposta tutte le colonne disponibili nelle colonne selezionate.
<- Cancella | Elimina le colonne evidenziate dalle selezionate e le visualizza nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, esse vengono eliminate dalla visualizzazione dettagliata.
<- Cancella tutte | Cancella tutte le colonne dalla lista delle colonne selezionate.
In su | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
In giù | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Formato colonne per la lista ricette e la tabella valori ricette

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Cambio immagine Manager dei gruppi di ricette -> Formato colonne per la lista ricette e la tabella valori ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa sede formattate le colonne per la lista ricette e la tabella valori ricette.

Configurazione delle proprietà delle colonne per le liste. Le impostazioni hanno effetto sulla lista corrispondente nell´Editor, oppure (nel caso di configurazione di un cambio immagine) nel Runtime.

Colonne disponibili

Parametri | Descrizione
Colonne disponibili | Lista delle colonne disponibili usando la Selezione colonne. La colonna evidenziata viene configurata tramite le opzioni nella sezione Impostazioni.

Impostazioni

Parametri

Descrizione

Impostazioni

Impostazioni per colonna selezionata.

Descrizione

Titolo della colonna

Il titolo colonna è traducibile online. Per poterlo tradurre, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene via pulsanti di opzione.

Impostazioni possibili:

  • Orientamento a sinistra: nella colonna, il testo si dispone prendendo come riferimento il bordo sinistro.
  • Centrato: nella colonna, il testo si dispone in posizione centrale.
  • Orientato a destra: nella colonna, il testo si dispone prendendo come riferimento il bordo destro.

Disattiva filtro colonne a Runtime

Attivo: Il filtro per questa colonna non può essere modificato durante il Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager Gruppi di Ricette

Colori definiti da utente

Proprietà per l´impostazione dei colori per ogni colonna definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto su Editor e Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per liste configurabili.
  • A Runtime, inoltre, può essere evidenziato il focus in un lista mediante diversi colori di testo e di sfondo. La configurazione di tali colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attivo: Vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando su "Colore", si apre la tavolozza che serve alla selezione di un colore.

Colore di sfondo

Colore per la visualizzazione dello sfondo delle celle. Cliccando su "Colore", si apre la tavolozza che serve alla selezione di un colore.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Funzione Manager di gruppi ricette

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel runtime, questa funzione esegue delle azioni definite per ua ricetta selezionata del manager gruppi ricette.

Per configurare la funzione:

  1. create una nuova funzione.
  2. passate al gruppo Ricetta.
  3. selezionate la funzione Manager gruppi di ricette.

Si apre il dialogo per configurare la funzione.

Parametri

Descrizione

Azione

Selezione della funzione desiderata fra quelle della lista a cascata. La selezione non può essere più modificata in un secondo momento. Possibili funzioni:

  • Scrivi ricetta
  • Leggi ricetta
  • Controlla valore ricetta
  • Rinomina ricetta
  • Modifica stato ricetta
  • Crea nuova ricetta
  • Elimina ricetta
  • Duplicare
  • Duplica e leggi
  • Crea nuova versione ricetta
  • Elimina versione di ricetta
  • Duplica come nuova versione ricetta
  • Duplica e leggi come nuova versione ricetta
  • Scrivi valori ricetta su variabili ricetta grafiche
  • Scrivi variabili ricetta grafiche su valori ricetta
  • Esporta tutto in XML
  • Esporta gruppi ricette in XML
  • Esporta ricetta in XML
  • Importa XML
  • Salva dati ricette dettagliati sulla documentazione in XML
  • Esporta ricetta su file di testo
  • Importa ricetta in file testo

Ok

Accetta le impostazioni e chiude il dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

La funzione viene impostata, tuttavia senza azione.

Guida

Apre la guida online.

info Informazioni su

Il nome ricetta deve essere univoco per tutte le funzioni. Il numero ricetta non viene controllato per verificarne la univocità. Esso viene usato solamente per aprire facendo uso della funzione Manager di gruppi ricette una ricetta tramite una variabile. Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima.

Noch in diesem Kapitel

Scrivi ricetta

Leggi ricetta

Controlla valore ricetta

Rinomina ricetta

Modifica stato ricetta

Crea nuova ricetta

Elimina ricetta

Duplicare

Duplica e leggi

Crea nuova versione ricetta

Elimina versione di ricetta

Duplica come nuova versione ricetta

Duplica e leggi come nuova versione ricetta

Scrivi valori ricetta su variabili ricetta grafiche

Scrivi variabili ricetta grafiche su valori ricetta

Esporta tutto in XML

Esporta gruppi ricette in XML

Esporta ricetta in XML

Importa XML

Salva dati ricette dettagliati sulla documentazione in XML

Esporta ricetta su file di testo

Importa ricetta in file testo


Scrivi ricetta

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Scrivi ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione setta la ricetta selezionata durante il runtime.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato Ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Espandi

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Leggi ricetta

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Leggi ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I valori attuali delle rispettive variabili vengono letti e scritti nella ricetta selezionata (teaching).

Durante la lettura il sistema controlla se i valori delle Proprietà Valore minimo e Valore max sono rispettati. Se i valori sono superati verso l´alto o verso il basso, oppure se lo stato della variabile è INVALID, i valori non vengono scritti nella ricetta. Gli errori possono essere analizzati tramite le variabili di sistema.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato Ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Espandi

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Controlla valore ricetta

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Controlla valore ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione esegue un controllo della ricetta. A tal scopo, si comparano valore ricetta e valore attuale e il risultato viene trasmesso alla variabile di sistema corrispondente.

I valori ricetta possono essere controllati tramite la funzione Manager gruppi di ricette, oppure via VBA.

Manager di gruppi ricette

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato Ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Espandi

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online

attention Attenzione

La funzione utilizza nella sincronizzazione con il PLC delle cifre decimali. Se, nel caso di variabili con il tipo di dato REAL, la proprietà Cifre decimali non è configurata in modo analogo alle impostazioni del PLC e differiscono le cifre decimali, la funzione mostra i valori differenti.

Immagine

I valori di ricetta possono essere analizzati anche con un elemento di controllo nell´immagine RGM. Per i dettagli, vedi capitolo Crea immagine del tipo Keyboard.

VBA

I valori ricetta possono essere eseguiti anche automaticamente tramite VBA. A tal scopo si usa la funzione (Check()). Essa riprende i seguenti parametri o fornisce i seguenti valori di risposta:

Check(ByRef vList As Variant)as Long

  • Valore di risposta: corrisponde ai valori della variabile di sistema RGM Verifica valori ricetta - Risultato
  • vList: corrisponde ai valori delle variabili di sistema RGM Verifica valori ricetta - Differenze
    Per ogni inserimento si usa un nuovo indice array (nessun spostamento riga).

Variabili di sistema

Questa funzione esegue un controllo della ricetta. A tal scopo, si comparano valore ricetta e valore attuale e il risultato viene trasmesso alla variabile di sistema corrispondente. Le variabili possono essere selezionate e analizzate localmente o globalmente. Le variabili che non possono essere controllate a causa di errori nella comunicazione con il PLC (stato INVALID), vengono evidenziate tramite uno sfondo colorato (rosso).

Variabile

Tipo di dati

Descrizione

[Ricette: Standard e RGM] RGM verifica valori ricetta - Differenze (globale/locale)

STRING

Fa una lista di tutte le differenze delle variabili nella successione seguente:

[Nome variabile; Valore ricetta; Valore variabile; Unità]

Ogni inserimento viene scritto in una nuova riga.

Condizione: La variabile RGM Verifica valori ricetta - Risultato restituisce un valore = 1.

Attenzione: una variabile può essere impostata e analizzata sia a livello globale che locale.

[Ricette: Standard e RGM] RGM verifica valori ricetta - Autorizzazione utente (globale/locale)

DINT

Livello di autorizzazione della ricetta controllata per ultima.

[Ricette: Standard e RGM] RGM verifica valori in ricetta - Utente ultima modifica (globale/locale)

STRING

Nome dell´utente registrato al momento dell´ultima modifica apportata alla ricetta controllata per ultima.

[Ricette: Standard e RGM] RGM verifica valori ricetta - Risultato (globale/locale)

DINT

Risultati dell´analisi:

  • 0: tutti i valori corrispondono.
  • 1: perlomeno un valore variabile è diverso dal valore ricetta.
  • 2: Perlomeno una variabile è disturbata (INVALID.
  • 3: Verifica non possibile perché la colonna per l valore attuale non viene visualizzata. La variabile del driver di sistema viene resettata.

Segnalazioni d'errore:

  • -1: si è verificato un errore nella lettura dei valori variabile.
  • -2: Impossibile chiudere la gruppo di ricetta.
  • -3: Non è possibile modificare la ricetta

Attenzione: una variabile può essere impostata e analizzata sia a livello globale che locale.

[Ricette: standard e RGM] RGM verifica valori ricetta - Commento 1-8 (globale/locale)

STRING

Si possono aggiungere 8 commenti a una ricetta. La variabile contiene il commento del numero corrispondente alla ricetta analizzata per ultima.

[Ricette: Standard e RGM] RGM verifica valori ricetta - Nome gruppo di ricetta (globale/locale)

STRING

Nome del gruppo di ricetta della ricetta letta per ultima.

Condizione: La variabile RGM Verifica valori ricetta - Risultato restituisce un valore >= -1.

Attenzione: una variabile può essere impostata e analizzata sia a livello globale che locale.

[Ricette: Standard e RGM] RGM verifica valori ricetta - Nome ricetta (globale/locale)

STRING

Nome della ricetta controllata per ultima.

Condizione: La variabile RGM Verifica valori ricetta - Risultato restituisce un valore >= -1.

Attenzione: una variabile può essere impostata e analizzata sia a livello globale che locale.

[Ricette: Standard e RGM] RGM verifica valori ricetta - Numero ricetta (globale/locale)

UDINT

Numero della ricetta controllata per ultima.

Condizione: La variabile RGM verifica valori ricetta - Risultato restituisce un valore >= -1.

Attenzione: una variabile può essere impostata e analizzata sia a livello globale che locale.

[Ricette: Standard e RGM] RGM verifica valori ricetta - Stato ricetta (globale/locale)

DINT

Stato della ricetta controllata per ultima come numero.

[Ricette: Standard e RGM] RGM verifica valori ricetta - Stato ricetta Testo (globale/locale)

STRING

Stato della ricetta controllata per ultima come text. 1 - @Text

[Ricette: Standard e RGM] RGM verifica valori ricetta - Versione ricetta (globale/locale)

DINT

Versione della ricetta controllata per ultima.

[Ricette: Standard e RGM] RGM verifica valori in ricetta - Data/ora Ultima modifica (globale/locale)

STRING

Momento dell´ultima modifica apportata alla ricetta controllata per ultima.


Rinomina ricetta

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Rinomina ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione rinomina la ricetta selezionata e tutte le sue versioni.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta di destinazione.

Selezione della modalità in cui la ricetta di destinazione della rinomina viene creata:

  • Nome ricetta target statico
  • Crea nuova ricetta destinataria
  • Nome ricetta destinataria da variabile

Nome ricetta destinataria statico:

selezione di una ricetta esistente fra quelle proposte dalla lista a cascata.

Crea nuovo nome della ricetta di destinazione

Viene creata una nuova ricetta con un nome generato automaticamente.

Nome di ricetta di destinataria da variabile:

il nome della ricetta destinataria viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, la ricetta non verrà rinominata.

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Modifica stato ricetta

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Modifica stato ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione modifica lo stato di una ricetta.

Il sistema cerca di settare il valore di stato sulla ricetta selezionata, che viene poi salvata. Nel caso in cui il valore di stato indicato non dovesse essere valido (0 oppure un valore di stato non progettato), la ricetta rimane invariata e viene generato un inserimento CEL. La variabile Funzione di ricetta/RGM in esecuzione mostra in questo caso un errore (4).

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato Ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Espandi

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Ricetta di destinazione.

Definizione di stato per ricetta di destinazione.

Stato ricetta destinataria

Selezione del nuovo Stato ricetta destinataria da stati già esistenti, oppure tramite una variabile.

Stato ricetta destinataria statico:

selezione di uno Stato esistente fra quelli proposti dalla lista a cascata.

Stato ricetta destinataria da variabile:

lo stato ricetta viene ripreso come valore numerico da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Crea nuova ricetta

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Crea nuova ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione imposta una nuova ricetta nel gruppo ricette selezionato.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Elimina ricetta

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Elimina ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione cancella la ricetta selezionata con tutte le sue versioni.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Duplicare

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Duplicare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione duplica la ricetta selezionata. I valori attuali delle rispettive variabili vengono scritti nella nuova ricetta.

Nota: La funzione che consente di duplicare può essere eseguita nel Runtime solo se l´utente registrato dispone dei diritti corrispondenti che gli consentono di modificare ulteriormente la ricetta. Nel caso questi diritti manchino, il sistema provvederà ad visualizzare la finestra di dialogo che serve ad effettuare il login temporaneo. .

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo di ricetta statico

Selezione di un Gruppo ricette già esistente.

Nome gruppo di ricetta da variabile

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Attenzione: Non deve essere progettato per le versioni precedenti a zenon 7.00.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica

Selezione di una ricetta già esistente.

Nome ricetta da variabile

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Attenzione: Non deve essere progettato per le versioni precedenti a zenon 7.00.

Numero ricetta da variabile

il numero ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione di ricetta statica

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione di ricetta da variabile

la versione ricetta viene ripresa da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato Ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Espandi

Stato ricetta da variabile

lo stato ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Ricetta di destinazione.

Definizione di stato per ricetta di destinazione.

Crea ricetta di destinazione

Impostazioni per denominazione ricetta. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Nome ricetta target statico
  • Crea nuova ricetta destinataria
  • Nome ricetta destinataria da variabile

Nome ricetta target statico

Riprendere un nome esistente da quelli della lista a cascata.

Crea nuova ricetta destinataria

Il nome viene creato e assegnato dal sistema.

Nome ricetta destinataria da variabile

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Versione ricetta di destinazione

Selezione della Versione ricetta di destinazione da versioni già esistenti, oppure tramite una variabile.

Versione ricetta di destinazione statico

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta destinataria da variabile

la versione ricetta viene ripresa da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato ricetta destinataria

Selezione del nuovo Stato ricetta destinataria da stati già esistenti, oppure tramite una variabile.

Stato ricetta destinataria statico:

selezione di uno Stato esistente fra quelli proposti dalla lista a cascata.

Stato ricetta destinataria da variabile

lo stato ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Accetta le impostazioni e chiude il dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

Processo di duplicazione

Quando si duplica, una ricetta d'origine esistente con tutte le sue proprietà:

  • viene trasmessa ad una ricetta esistente; quest´ultima viene sovrascritta con tutte le impostazioni della ricetta d'origine
    oppure
  • viene creata nello stesso gruppo di ricette una nuova ricetta con tutte le impostazioni di quella d´origine.

Lo stato viene ripresto sempre dalla ricetta d'origine (e dalla sua versione ricetta).

La versione ricetta non fa parte dei dati trasmessi, dato che essa non è una proprietà della ricetta; il nome, però, continua ad essere specificato.

Quando si indica la versione ricetta e lo stato ricetta, vale quanto segue:

  • La versione ricetta specificata per il nome ricetta specificato, o per il nome ricetta specificato con lo stato ricetta specificato deve esistere.
  • Se non esiste ancora una ricetta con il nome specificato, viene creata una nuova versione 1 con il nome specificato, e lo stato viene settato come nella ricetta d'origine.

Specificazione tramite variabili

Se, durante la configurazione, la versione della ricetta di destinazione, oppure il suo stato vengono specificati usando variabili, la ricetta di destinazione stessa viene creata o sovrascritta solamente alle seguenti condizioni:

  • La versione di destinazione definita tramite il valore della variabile con lo stato definito usando il valore della variabile deve già esistere:
    • La ricetta di destinazione definita viene sovrascritta con la ricetta d'origine.
    • Il numero della versione ricetta rimane lo stesso.
    • Lo stato ricetta viene ripreso dalla ricetta d'origine.
  • Non esiste ancora una versione ricetta con questo nome:
    • Viene creata una versione ricetta 1, indipendentemente da quale valore ha la variabile per la versione di destinazione.
    • Lo stato ricetta viene ripreso dalla ricetta d'origine.
  • Esiste una ricetta col nome di destinazione, ma non c´è una versione ricetta che corrisponda al valore della variabile per la versione di destinazione: :
    • Non viene creata una versione nuova.
      Ciò vale anche quando non esiste più una versione ricetta 1.


Duplica e leggi

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Duplica e leggi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione duplica la ricetta selezionata. I valori attuali delle rispettive variabili vengono scritti nella nuova ricetta. In seguito, i valori vengono letti dal PLC. Se non dovesse essere possibile leggerli, i valori del duplicato non provengono più dal PLC, ma vengono copiati dalla ricetta originale.

Nota: La funzione che consente di duplicare può essere eseguita nel Runtime solo se l´utente registrato dispone dei diritti corrispondenti che gli consentono di modificare ulteriormente la ricetta. Nel caso questi diritti manchino, il sistema provvederà ad visualizzare la finestra di dialogo che serve ad effettuare il login temporaneo. .

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo di ricetta statico

selezione di un Gruppo ricette già impostato.

Nome gruppo di ricetta da variabile

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Attenzione: Non deve essere progettato per le versioni precedenti a zenon 7.00.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica

selezione di una ricetta già impostata.

Nome ricetta da variabile

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Attenzione: Non deve essere progettato per le versioni precedenti a zenon 7.00.

Numero ricetta da variabile

il numero ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione di ricetta statica

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione di ricetta da variabile

la versione ricetta viene ripresa da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato Ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Espandi

Stato ricetta da variabile

lo stato ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Ricetta di destinazione.

Definizione di stato per ricetta di destinazione.

Crea ricetta di destinazione

Impostazioni per denominazione ricetta. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Nome ricetta target statico
  • Crea nuova ricetta destinataria
  • Nome ricetta destinataria da variabile

Nome ricetta target statico

Riprendere un nome esistente da quelli della lista a cascata.

Crea nuova ricetta destinataria

Il nome viene creato e assegnato dal sistema.

Nome ricetta destinataria da variabile

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Versione ricetta di destinazione

Selezione della Versione ricetta di destinazione da versioni già esistenti, oppure tramite una variabile.

Versione ricetta di destinazione statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta destinataria da variabile

la versione ricetta viene ripresa da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato ricetta destinataria

Selezione del nuovo Stato ricetta destinataria da stati già esistenti, oppure tramite una variabile.

Stato ricetta di destinazione statico

selezione di uno Stato esistente fra quelli proposti dalla lista a cascata.

Stato ricetta destinataria da variabile

lo stato ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Accetta le impostazioni e chiude il dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

Processo di duplicazione

Quando si duplica, una ricetta d'origine esistente con tutte le sue proprietà:

  • viene trasmessa ad una ricetta esistente; quest´ultima viene sovrascritta con tutte le impostazioni della ricetta d'origine
    oppure
  • viene creata nello stesso gruppo di ricette una nuova ricetta con tutte le impostazioni di quella d´origine.

Lo stato viene ripresto sempre dalla ricetta d'origine (e dalla sua versione ricetta).

La versione ricetta non fa parte dei dati trasmessi, dato che essa non è una proprietà della ricetta; il nome, però, continua ad essere specificato.

Quando si indica la versione ricetta e lo stato ricetta, vale quanto segue:

  • La versione ricetta specificata per il nome ricetta specificato, o per il nome ricetta specificato con lo stato ricetta specificato deve esistere.
  • Se non esiste ancora una ricetta con il nome specificato, viene creata una nuova versione 1 con il nome specificato, e lo stato viene settato come nella ricetta d'origine.

Specificazione tramite variabili

Se, durante la configurazione, la versione della ricetta di destinazione, oppure il suo stato vengono specificati usando variabili, la ricetta di destinazione stessa viene creata o sovrascritta solamente alle seguenti condizioni:

  • La versione di destinazione definita tramite il valore della variabile con lo stato definito usando il valore della variabile deve già esistere:
    • La ricetta di destinazione definita viene sovrascritta con la ricetta d'origine.
    • Il numero della versione ricetta rimane lo stesso.
    • Lo stato ricetta viene ripreso dalla ricetta d'origine.
  • Non esiste ancora una versione ricetta con questo nome:
    • Viene creata una versione ricetta 1, indipendentemente da quale valore ha la variabile per la versione di destinazione.
    • Lo stato ricetta viene ripreso dalla ricetta d'origine.
  • Esiste una ricetta col nome di destinazione, ma non c´è una versione ricetta che corrisponda al valore della variabile per la versione di destinazione: :
  • Non viene creata una versione nuova.
    Ciò vale anche quando non esiste più una versione ricetta 1.


Crea nuova versione ricetta

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Crea nuova versione ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione imposta una nuova versione per la ricetta selezionata. I valori della ricetta ricevono quelli di sostituzione della variabile. Può essere impostato un massimo di 89999 versioni ricetta.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Elimina versione di ricetta

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Elimina versione di ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione cancella la versione ricetta selezionata. Se è disponibile solamente una versione ricetta, verrà cancellata l´intera ricetta.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato Ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Espandi

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Duplica come nuova versione ricetta

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Duplica come nuova versione ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione imposta una nuova versione per la ricetta selezionata. I valori della ricetta ricevono quelli della ricetta scelta.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato Ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Espandi

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Duplica e leggi come nuova versione ricetta

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Duplica e leggi come nuova versione ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione imposta una nuova versione per la ricetta selezionata. I valori della ricetta ricevono quelli della ricetta scelta. In seguito, i valori vengono letti dal PLC. Se non dovesse essere possibile leggerli, i valori del duplicato non provengono più dal PLC, ma vengono copiati dalla ricetta originale.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato Ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Espandi

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Scrivi valori ricetta su variabili ricetta grafiche

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Scrivi valori ricetta su variabili ricetta grafiche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione scrive valori ricetta su una variabile d´appoggio.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato Ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Espandi

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Scrivi variabili ricetta grafiche su valori ricetta

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Scrivi variabili ricetta grafiche su valori ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione scrive dei valori delle variabili d´appoggio su valori ricetta.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima. Se i valori delle variabili non sono validi, non viene aperta alcuna ricetta.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato Ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Espandi

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Esporta tutto in XML

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Esporta tutto in XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione esporta l´intero contenuto del RGM in un file XML.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scegli file

Impostazioni per l´assegnazione del nome file nel file di export. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Nome file statico
  • Nome file da variabile
  • Genera nome file automaticamente

A meno che non sia indicata un´altra cartella, il file di esportazione viene depositato nella cartella di export del progetto:

%CD_USERDATA%\[Project]\Export

Nome file statico:

il nome del file di esportazione viene definito direttamente dall’ utente Il nome file può essere indicato come percorso assoluto o relativo nei confronti del percorso di export. Esiste anche la possibilità di generare il nome file in modo dinamico, tramite Caratteri jolly.

Cliccando sul pulsante ... si apre il dialogo che consente la selezione di una cartella di salvataggio e l´assegnazione di un nome.

Se viene indicato un nome senza percorso, il file di export verrà scritto nella cartella runtime.

Nome file da variabile:

il nome del file di esportazione viene definito dal contenuto di una variabile String. Un clic sul comando ... apre il dialogo che serve alla selezione variabile. Anche la variabile può emettere il nome file con percorso assoluto, percorso relativo e caratteri jolly.

Genera automaticamente nome file:

il nome del file di export viene generato automaticamente. Esso è costituito dal prefisso RGM più il carattere jolly <DateTime>.

Ad esempio: RGM 10_11_2011 10_42_29.xml

Sovrascrivi file esistente

Attivo: un file già esistente nella cartella e che ha lo stesso nome, viene sovrascritto.

Inattivo: Il procedimento di export viene interrotto se esiste già un file dello stesso nome.

Default: inattivo

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online

Noch in diesem Kapitel

Carattere jolly per percorsi dinamici


Carattere jolly per percorsi dinamici

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Esporta tutto in XML -> Carattere jolly per percorsi dinamici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Caratteri jolly

Condizione

Risultato

<ProjectName>
  • Sempre

Nome progetto

<DateTime>
  • Sempre

Date e ora nel formato corrispondente alle impostazioni di sistema.

Tutti i caratteri non validi e non desiderati per i nomi file vengono sostituiti da un trattino (_).

Per il tedesco(Germania), per esempio, la data 24.12.2001, ore 16:04 e 59 secondi, viene visualizzata nel modo seguente: 24_12_2011 16_04_59

<RGMGroupName>
  • Export di un gruppo
  • Export di una ricetta
  • Import con selezione gruppo

Nome del gruppo ricette selezionato.

<RGMRecipeName>
  • Export di una ricetta

Nome della ricetta selezionata.

<RGMRecipeVersion>
  • Export di una ricetta

Numero di versione della ricetta selezionata.


Esporta gruppi ricette in XML

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Esporta gruppi ricette in XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione esporta il gruppo ricette selezionato con il contenuto in un file XML.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Scegli file

Impostazioni per l´assegnazione del nome file nel file di export. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Nome file statico
  • Nome file da variabile
  • Genera nome file automaticamente

A meno che non sia indicata un´altra cartella, il file di esportazione viene depositato nella cartella di export del progetto:

%CD_USERDATA%\[Project]\Export

Nome file statico:

il nome del file di esportazione viene definito direttamente dall’ utente Il nome file può essere indicato come percorso assoluto o relativo nei confronti del percorso di export. Esiste anche la possibilità di generare il nome file in modo dinamico, tramite Caratteri jolly.

Cliccando sul pulsante ... si apre il dialogo che consente la selezione di una cartella di salvataggio e l´assegnazione di un nome.

Se viene indicato un nome senza percorso, il file di export verrà scritto nella cartella runtime.

Nome file da variabile:

il nome del file di esportazione viene definito dal contenuto di una variabile String. Un clic sul comando ... apre il dialogo che serve alla selezione variabile. Anche la variabile può emettere il nome file con percorso assoluto, percorso relativo e caratteri jolly.

Genera automaticamente nome file:

il nome del file di export viene generato automaticamente. Esso è costituito dal prefisso RGM più il carattere jolly <RGMGroupName>.

Ad esempio: <RGM GroupName>.xml da come risultato per il Gruppo 1: Gruppe 1.xml.

Sovrascrivi file esistente

Attivo: un file già esistente nella cartella e che ha lo stesso nome, viene sovrascritto.

Inattivo: Il procedimento di export viene interrotto se esiste già un file dello stesso nome.

Default: inattivo

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online

Carattere jolly per percorsi dinamici

Caratteri jolly

Condizione

Risultato

<ProjectName>
  • Sempre

Nome progetto

<DateTime>
  • Sempre

Date e ora nel formato corrispondente alle impostazioni di sistema.

Tutti i caratteri non validi e non desiderati per i nomi file vengono sostituiti da un trattino (_).

Per il tedesco(Germania), per esempio, la data 24.12.2001, ore 16:04 e 59 secondi, viene visualizzata nel modo seguente: 24_12_2011 16_04_59

<RGMGroupName>
  • Export di un gruppo
  • Export di una ricetta
  • Import con selezione gruppo

Nome del gruppo ricette selezionato.

<RGMRecipeName>
  • Export di una ricetta

Nome della ricetta selezionata.

<RGMRecipeVersion>
  • Export di una ricetta

Numero di versione della ricetta selezionata.


Esporta ricetta in XML

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Esporta ricetta in XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione esporta la ricetta selezionata in un file XML. Anche il nome del gruppo ricette viene esportato. Se si rinominano i gruppi ricette dopo l´export, questa assegnazione andrà persa al momento dell´import.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato Ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Espandi

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Scegli file

Impostazioni per l´assegnazione del nome file nel file di export. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Nome file statico
  • Nome file da variabile
  • Genera nome file automaticamente

A meno che non sia indicata un´altra cartella, il file di esportazione viene depositato nella cartella di export del progetto:

%CD_USERDATA%\[Project]\Export

Nome file statico:

il nome del file di esportazione viene definito direttamente dall’ utente Il nome file può essere indicato come percorso assoluto o relativo nei confronti del percorso di export. Esiste anche la possibilità di generare il nome file in modo dinamico, tramite Caratteri jolly.

Cliccando sul pulsante ... si apre il dialogo che consente la selezione di una cartella di salvataggio e l´assegnazione di un nome.

Se viene indicato un nome senza percorso, il file di export verrà scritto nella cartella runtime.

Nome file da variabile:

il nome del file di esportazione viene definito dal contenuto di una variabile String. Un clic sul comando ... apre il dialogo che serve alla selezione variabile. Anche la variabile può emettere il nome file con percorso assoluto, percorso relativo e caratteri jolly.

Genera automaticamente nome file:

il nome del file di export viene generato automaticamente. Esso è costituito dal prefisso RGM più il carattere jolly <RGMRecipeName>.<RGMRecipeVersion>.

Ad esempio: <RGMRecipeName>.<RGMRecipeVersion> dà come risultato per la ricetta Ricetta 1 con la Versione 3: Rezept 1.3.xml.

Sovrascrivi file esistente

Attivo: un file già esistente nella cartella e che ha lo stesso nome, viene sovrascritto.

Inattivo: Il procedimento di export viene interrotto se esiste già un file dello stesso nome.

Default: inattivo

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Importa XML

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Importa XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione importa il contenuto del file XML indicato. Se in esso sono contenute delle singole ricette senza appartenenza ad un determinato gruppo, queste ricette vengono importate nel gruppo selezionato; in caso contrario la selezione del gruppo viene ignorata:

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette in cui le ricette senza appartenenza ad un gruppo devono essere importate. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili
  • tramite file di importazione

Cliccando sulla proprietà, si apre la lista a cascata che serve alla selezione del methode.

Se il file XML contiene già dei gruppi ricette, questa impostazione verrà ignorata.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nome gruppo ricette da file.

Il nome del gruppo ricette viene ripreso da un file che deve essere importato.

Scegli file

Impostazioni per la selezione del file da cui viene effettuato l´import. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Nome file statico
  • Nome file da variabile

La cartella standard per i dati esportati è la cartella di export del progetto:

%CD_USERDATA%\[Project]\Export

Nome file statico:

il nome del file di import viene definito direttamente dall’ utente Il nome file può essere indicato come percorso assoluto o relativo nei confronti del percorso di export. Esiste anche la possibilità di generare il nome file in modo dinamico, tramite Caratteri jolly.

Cliccando sul pulsante ... si apre il dialogo che consente la selezione di una cartella e di un file.

Nome file da variabile:

il nome del file di import viene definito dal contenuto di una variabile String. Un clic sul comando ... apre il dialogo che serve alla selezione variabile. Anche la variabile può emettere il nome file con percorso assoluto, percorso relativo e caratteri jolly.

Sovrascrivi ricette esistenti

Attivo: Le ricette già esistenti che hanno lo stesso nome vengono sovrascritte durante l´operazione di import.

Inattivo: Le ricette già esistente non vengono sovrascritte. Vengono impostate solamente le nuove ricette.

Default: inattivo

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online

Nota concernente l´import nel caso di variabili diverse.

Se si importa una ricetta da un file XML le cui variabili sono diverse da quelle della ricetta originale, accade quanto segue:

  1. viene importata la ricetta
  2. le variabili che sono nel file XML e nel Runtime vengono sovrascritte nella ricetta originale
  3. tutte le altre variabili vengono ignorate
  4. la variabile del driver di sistema restituisce il valore 2 (Import è stato completato senza errori)

Nota Block-Arrays: Nel caso in cui si sia modificato fra export e nuovo import di un gruppo di ricetta, la dimensione di un Block-Array, vale quanto segue:

  • Nel caso di una grandezza maggiore dell´Array (gruppo esiste già): le nuove variabili non vengono aggiunte al gruppo di ricetta.
  • Nel caso di una grandezza maggiore dell´Array (gruppo non esistente): le nuove variabili vengono aggiunte al gruppo di ricetta; il sistema visualizza una segnalazione nella finestra di emissione.
  • Nel caso di una grandezza minore dell´Array: le variabili mancanti vengono rimosse dal gruppo di ricetta.


Salva dati ricette dettagliati sulla documentazione in XML

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Salva dati ricette dettagliati sulla documentazione in XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione esporta dati ricette dettagliati sulla documentazione in un file XML.

Nota: questi dati non possono essere più importati. Essi costituiscono la base per l´esatta documentazione.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato Ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Espandi

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta


Esporta ricetta su file di testo

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Esporta ricetta su file di testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione esporta la ricetta selezionata in un file di testo.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette e della ricetta. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Ricetta

Impostazioni per la selezione ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Ricetta statica
  • Nome ricetta da nome variabile
  • Numero ricetta da numero variabile

Ricetta statica:

selezione di una ricetta già impostata.

Nome ricetta da nome variabile:

il nome ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Numero ricetta da numero variabile:

il numero ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima.

Versione ricetta

Selezione della Versione ricetta da versioni già esistenti, oppure tramite una variabile.

Versione ricetta statica:

selezione di una versione ricetta fra quelle proposte dalla lista a cascata. Possibile selezione:

  • Versioni ricette già esistenti.
  • versione più bassa;
    possibile anche la selezione di uno stato ricetta
  • Versione più alta;
    possibile anche la selezione di uno stato ricetta

Versione ricetta da variabile:

la versione ricetta viene ripresa da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se la versione ricetta viene presa da una variabile numerica, vale quanto segue:

  • Il valore 90000 corrisponde al valore statico di versione più bassa di ricetta
  • Il valore 90000 corrisponde al valore statico di versione più alta di ricetta

Stato Ricetta

Selezione dello Stato ricetta da stati già esistenti, oppure tramite una variabile.

Stato ricetta statico:

Lo stato ricetta viene valutato in combinazione con la versione. È disponibile solamente se la Versione ricetta ha il valore Versione più bassa oppure Versione più alta, oppure viene ripresa da una variabile.
Esempio: Versione più alta con stato start.

Selezione di uno stato ricetta fra quelli proposti dalla lista a cascata:

  • Stato esistente
  • Espandi

Stato ricetta da variabile:

lo stato ricetta viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nota: se lo stato ricetta viene preso da una variabile numerica, vale quanto segue:

  • il valore 0 viene interpretato come Tutti
  • se il sistema non riesce a trovare lo stato nella ricetta, l´esecuzione dell´azione viene interrotta

Scegli file

Impostazioni per l´assegnazione del nome file nel file di export. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Nome file statico
  • Nome file da variabile
  • Genera nome file automaticamente

A meno che non sia indicata un´altra cartella, il file di esportazione viene depositato nella cartella di export del progetto:

%CD_USERDATA%\[Project]\Export

Nome file statico:

il nome del file di esportazione viene definito direttamente dall’ utente Cliccando sul pulsante ... si apre il dialogo che consente la selezione di una cartella di salvataggio e l´assegnazione di un nome.

Se viene indicato un nome senza percorso, il file di export verrà scritto nella cartella runtime.

Nome file da variabile:

il nome del file di esportazione viene definito dal contenuto di una variabile String. Un clic sul comando ... apre il dialogo che serve alla selezione variabile.

Genera automaticamente nome file:

il nome del file di export viene generato automaticamente. Esso è costituito dal prefisso RGM più data e ora.

Ad esempio: RGM 10_11_2011 10_42_29.txt

Sovrascrivi file esistente

Attivo: un file già esistente nella cartella e che ha lo stesso nome, viene sovrascritto.

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Importa ricetta in file testo

Manuale -> Manager di gruppi ricette -> Funzioni -> Funzione Manager di gruppi ricette -> Importa ricetta in file testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione importa dati da un file di testo.

Parametri

Descrizione

Azione

Visualizza l´azione selezionata nel dialogo Funzione Manager gruppi ricette. Solo visualizzazione, non è possibile nessuna selezione.

Scelta Ricetta/
Gruppi di ricetta

Selezione del gruppo ricette in cui si deve importare. La selezione può avvenire:

  • in modo statico, fra inserimenti predefiniti
  • in modo dinamico, mediante variabili
  • tramite file di importazione

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Gruppo di ricette

Impostazioni per la selezione gruppi ricette. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Gruppo di ricetta statico
  • Nome gruppo di ricetta da variabile

Gruppo ricette statico:

selezione di un Gruppo ricette già impostato.

Nome gruppo ricette da variabile:

il nome gruppo ricette viene ripreso da una variabile. Un clic sul comando ... Apre il dialogo che serve alla scelta di una variabile.

Nome gruppo ricette da file.

Il nome del gruppo ricette viene ripreso da un file che deve essere importato.

Scegli file

Impostazioni per la selezione del file da cui viene effettuato l´import. Cliccando sulla descrizione, si apre la lista a cascata che serve alla selezione:

  • Nome file statico
  • Nome file da variabile

La cartella standard per i dati esportati è la cartella di export del progetto:

%CD_USERDATA%\[Project]\Export

Nome file statico:

il nome del file di import viene definito direttamente dall’ utente Cliccando sul pulsante ... si apre il dialogo che consente la selezione di una cartella e di un file.

Nome file da variabile:

il nome del file di import viene definito dal contenuto di una variabile String. Un clic sul comando ... apre il dialogo che serve alla selezione variabile.

Sovrascrivi ricette esistenti

Attivo: Le ricette già esistenti che hanno lo stesso nome vengono sovrascritte durante l´operazione di import.

Impostazioni Runtime

Impostazioni per la gestione durante il Runtime

Con dialogo filtro

Attivo: Nel runtime viene offerto un dialogo per consentire delle modifiche.

Blocca selezione gruppo di ricetta a Runtime

Attivo: viene bloccata la selezione del gruppo ricette durante il runtime.

Non è disponibile se è attiva l´opzione Proponi dialogo a Runtime.

Ok

Riprende le impostazioni e chiude il dialogo.

Annulla

Rifiuta le impostazioni e chiude il dialogo. La funzione viene impostata, tuttavia senza destinazione.

Guida

Apre la guida online


Gestione durante il runtime

Manuale -> Manager di gruppi ricette -> Gestione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel runtime è disponibile mediante un cambio immagine la immagine progettata nell´editor.

Progettazione: vedi sezione Imposta immagine del tipo Manager gruppi ricette.

Nota: I pulsanti sono attivi solamente se esiste la lista/tabella corrispondente.

Modifica ricetta e salva con nome

Una ricetta che viene modificata, è salvata solo quando si preme uno dei seguenti pulsanti:

  • Salva ricetta
  • Scrivi tutti i valori
  • Scrivi valori selezionati

Se si clicca sul pulsante Salva ricetta con nome, il sistema salva la ricetta in fase di modifica con un nome nuovo. Quelle modifiche della ricetta originale che non sono state salvate in questa sede, non saranno presenti neppure nella nuova ricetta.

Modifica nome ricetta o numero ricetta

Il nome ricetta deve essere univoco. Il numero ricetta non viene controllato per verificarne la univocità. Esso viene usato solamente per aprire facendo uso della funzione Manager di gruppi ricette una ricetta tramite una variabile. Se esistono diverse ricette che hanno lo stesso numero, zenon usa la ricetta che trova per prima.

Rinominare o cancellare ricette

Per poter rinominare o cancellare una ricetta, un utente deve disporre dell´autorizzazione operativa per tutte le versioni esistenti della ricetta stessa.

Attualità delle informazioni visualizzate

L´immagine RGM lavora durante il runtime con una copia della banca dati RGM. Al momento dell´apertura dell´immagine RGM durante il runtime, viene visualizzata l´informazione attuale della banca dati. Questa visualizzazione non viene aggiornata automaticamente.

Le modifiche vengono aggiornate nel modo seguente:

  • Se cambia il contenuto in un client a causa dell´esecuzione di una funzione, oppure a causa dell´elaborazione dell´immagine, la modifica non viene visualizzata nell´immagine aperta attualmente. Perché le modifiche vengano visualizzate, l´immagine deve essere chiusa e riaperta. In tal modo la banca dati viene letta di nuovo e il sistema visualizza poi lo stato attuale.
  • Nuovi gruppi ricette vengono visualizzati appena l´immagine viene riaperta, le variabili eventualmente solo dopo un reload del Runtime.
  • Le ricette o i gruppi ricette modificati vengono visualizzati nell´Editor solo dopo un reload del Runtime.

attention Attenzione

Se la variabile per la visibilità (proprietà Visibilità/Variabile) modifica il suo valore mentre è aperta un´immagine RGM che la contiene, viene riaperta l´immagine RGM. Le modifiche non salvate nell´immagine andranno perdute.

Accodamento in rete

A partire dalla versione 7.10, il RGM supporta l´accodamento per la comunicazione in rete. Le richieste RGM ricevono un ID univoco e vengono elaborate una dopo l´altra. Le versioni precedenti a zenon 7.10 non supportano l´accodamento . Il che significa che le richieste che raggiungono il server mentre è in corso l´elaborazione di un´altra richiesta, vengono rigettate. .

Noch in diesem Kapitel

Lista ricette

Tabella valori ricette

Keyboard

Informazioni di stato nel caso di ricette e manager gruppi ricette

Scrivere valori in una ricetta tramite un´immagine (variabili d´appoggio)


Lista ricette

Manuale -> Manager di gruppi ricette -> Gestione durante il runtime -> Lista ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella lista ricette può essere selezionato sempre un solo inserimento. La ricetta selezionata viene visualizzata nella Tabella valori ricette dell´immagine e può essere modificata facendo uso dei pulsanti (rinomina, cancella...). Le colonne possono essere ordinate via Drag&Drop (non sotto Windows CE).

Se la lista viene utilizzata insieme alle liste a cascata Nome ricette e/o Versione ricette, la selezione viene sincronizzata. Se dunque si modifica la selezione in una lista a cascata, cambia anche quella nella lista ricette e viceversa. Se l´inserimento selezionato nella lista non dovesse essere visibile come conseguenza di un criterio di filtro, nella lista non verrà selezionato nulla.

Nuove ricette e nuove versioni ricette vengono aggiunte alla fine della tabella indipendentemente dai criteri di filtro. dati ricetta modificati, come, ad esempio, il testo di un commento o lo stato, vengono visualizzati solamente dopo che la ricetta è stata salvata. I testi dei commenti e i titoli delle colonne vengono tradotti.

Aspetto della lista ricette: vedi sezione Aspetto della lista ricette.


Tabella valori ricette

Manuale -> Manager di gruppi ricette -> Gestione durante il runtime -> Tabella valori ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella tabella valori ricetta vengono visualizzati i valori e le azioni per le variabili della ricetta selezionata. La tabella di valori ricetta è disponibile in due forme:

  • Tabella valori ricette
  • Tabella valori ricette CE

Differenze fra le tabelle valori ricetta

Tabella valori ricette

Le colonne possono essere configurate in un determinato ordine via Drag&Drop e possono essere ordinate cliccando su un header colonna. Le colonne possono essere selezionate e formattate usando i pulsanti Tabella di valori ricetta Selezione colonne e Tabella di valori ricetta Formato colonne.

Sono a disposizione:

  • Ordine di scrittura: solo visualizzazione
  • Azione: editabile
  • Descrizione apparecchiatura: solo visualizzazione
  • Testo filtro: solo visualizzazione
  • Valore attuale: solo visualizzazione
  • Identificazione: solo visualizzazione
  • Unità di misura: solo visualizzazione
  • Valore massimo: solo visualizzazione
  • min. Val: solo visualizzazione
  • Nome variabile: solo visualizzazione
  • Valore o variabile: modificabile in dipendenza dell´inserimento nella colonna Azione
  • Visualizzazione valore come testo: modificabile in dipendenza dell´ inserimento nella colonna Azione (solo tramite immagine del tipo Keyboard)

Tabella valori ricette CE

La tabella si configura nel cambio immagine.

Uso nel Runtime

La Tabella valori ricetta viene usata se è soddisfatta questa condizione:

  • La Tabella valori ricetta è stata configurata nell´immagine e nel cambio immagine per l´opzione Formattazione della tabella valori ricetta è stato selezionato Usa tabella standard.

La Tabella valori ricetta CE viene usata se è soddisfatta una delle seguenti condizioni:

  • La Tabella valori ricetta CE è stata configurata nell´immagine.
  • La Tabella valori ricetta è stata configurata nell´immagine e nel cambio immagine per l´opzione Formattazione della tabella valori ricetta è stato selezionato Usa formato file per tabella.
  • Nelle proprietà di progetto è stata attivata la proprietà Progetto WindowsCE.

Noch in diesem Kapitel

Tabella valori tabella Selezione colonne

Tabella valori ricetta Formato colonne

Rappresenta, esporta o stampa tabella valori ricetta con il Report Viewer

Valori e azioni

Verifica valore ricetta

Visualizzazione testo


Tabella valori tabella Selezione colonne

Manuale -> Manager di gruppi ricette -> Gestione durante il runtime -> Tabella valori ricette -> Tabella valori tabella Selezione colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccando sul pulsante Selezione colonne si apre la finestra di dialogo che serve alla configurazione delle colonne da visualizzare nella tabella. Questo pulsante deve essere progettato nell´Editor.

Nota: Non è disponibile se, nel cambio immagine, è stata selezionata nella scheda Tabella valori ricetta per la formattazione della tabella valori ricetta l´opzione Usa file di formato per tabella:.

Pulsante | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate da quelle disponibili a quelle selezionate. Dopo aver confermato il dialogo cliccando su OK, verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutte -> | Sposta tutte le colonne disponibili nelle colonne selezionate.
<- Cancella | Elimina le colonne evidenziate dalle selezionate e le visualizza nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, esse vengono eliminate dalla visualizzazione dettagliata.
<- Cancella tutte | Cancella tutte le colonne dalla lista delle colonne selezionate.
In su | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
In giù | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.


Tabella valori ricetta Formato colonne

Manuale -> Manager di gruppi ricette -> Gestione durante il runtime -> Tabella valori ricette -> Tabella valori ricetta Formato colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccando sul pulsante Formato colonne si apre la finestra di dialogo che serve alla configurazione delle colonne. Questo pulsante deve essere progettato nell´Editor.

Nota: Non è disponibile se, nel cambio immagine, è stata selezionata nella scheda Tabella valori ricetta per la formattazione della tabella valori ricetta l´opzione Usa file di formato per tabella:.

Colonne disponibili

Parametri | Descrizione
Colonne disponibili | Lista delle colonne disponibili usando la Selezione colonne. La colonna evidenziata viene configurata tramite le opzioni nella sezione Impostazioni.

Impostazioni

Parametri

Descrizione

Impostazioni

Impostazioni per colonna selezionata.

Descrizione

Titolo della colonna

Il titolo colonna è traducibile online. Per poterlo tradurre, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene via pulsanti di opzione.

Impostazioni possibili:

  • Orientamento a sinistra: nella colonna, il testo si dispone prendendo come riferimento il bordo sinistro.
  • Centrato: nella colonna, il testo si dispone in posizione centrale.
  • Orientato a destra: nella colonna, il testo si dispone prendendo come riferimento il bordo destro.

Disattiva filtro colonne a Runtime

Attivo: Il filtro per questa colonna non può essere modificato durante il Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager Gruppi di Ricette

Colori definiti da utente

Proprietà per l´impostazione dei colori per ogni colonna definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto su Editor e Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per liste configurabili.
  • A Runtime, inoltre, può essere evidenziato il focus in un lista mediante diversi colori di testo e di sfondo. La configurazione di tali colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attivo: Vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando su "Colore", si apre la tavolozza che serve alla selezione di un colore.

Colore di sfondo

Colore per la visualizzazione dello sfondo delle celle. Cliccando su "Colore", si apre la tavolozza che serve alla selezione di un colore.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Rappresenta, esporta o stampa tabella valori ricetta con il Report Viewer

Manuale -> Manager di gruppi ricette -> Gestione durante il runtime -> Tabella valori ricette -> Rappresenta, esporta o stampa tabella valori ricetta con il Report Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per rappresentare e stampare una tabella valori ricetta come report:

  1. Create la corrispondente variabile del driver di sistema.
  2. Create il corrispondente report.
  3. Visualizzate il report nel Runtime, oppure stampatelo o esportatelo.

Creare variabile del driver di sistema

Create delle variabili del driver di sistema dal gruppo Manager di gruppi ricette. Per far ciò:

Create una nuova variabile.

  1. Selezionate SYSDRV come driver.
  2. Selezionate variabile del driver di sistema come tipo di oggetto.

  3. Cliccate su Avanti.
  4. Aggiungete la seguente variabile del driver di sistema:
    • RGM ultima ricetta selezionata - Nome gruppo (locale)
    • RGM ultima ricetta selezionata - Nome ricetta (locale)
    • RGM ultima ricetta selezionata - Versione ricetta (locale)
    • RGM ultima ricetta selezionata - Stato ricetta (locale)

  5. Cliccate su Termina.

Configurare il Report Viewer

Create un nuovo report RGMReport.rdl con i dataset Dati ricetta e Valori ricetta.
A tal scopo:

  1. Create un nuovo Report.
  2. Selezionate i dateset Dati ricetta e Valori ricetta.

  3. Confermate cliccando su OK
  4. Salvate il file nel Report Builder con il nome RGMReport.rdl, oppure rinominatelo in zenon.

Visualizzare un report, esportarlo direttamente oppure stamparlo

Visualizza report nel Runtime.

Per visualizzare il report nel Runtime:

  1. Create un´immagine del tipo Report Viewer, sempre che essa non esista già nel progetto.
  2. Create una funzione di cambio all´immagine del tipo Report Viewer.
  3. Selezionate come Report - File di definizione il file RGMReport.rdl creato in precedenza.
  4. Cliccate sul pulsante Leggi dataset dal file
  5. Il sistema visualizza i dataset.

  6. Selezionate il primo dataset, per es. Dati ricetta.
  7. Cliccate su Modifica.
  8. Si apre la finestra di dialogo per la configurazione.
    Passate alla scheda Filtro di ricetta.
  9. Cambiate l´impostazione delle quattro liste a cascata per gruppi di ricetta-/selezione ricetta
    da [...] statico
    a [...] da variabile.
  10. Assegnate ad ogni inserimento una delle quattro variabile del driver di sistema create in precedenza.

  11. Ripete questo passo per il secondo dataset (Valori ricetta).
  12. Chiudete la finestra di dialogo e la funzione e assegnate un nome alla funzione.
  13. Collegate questa funzione a un pulsante nell´immagine RGM per poterla usare nel Runtime.

Stampa o esporta un report

Per stampare o esportare un report direttamente:

  1. Create una nuova funzione.
  2. Passate al gruppo funzioni Generatore Report / Report Viewer / Analyzer.
  3. Selezionate la funzione Report Viewer: esporta / stampa.

  4. Selezionate l´azione desiderata per l´opzione Emetti Report:
    • Pubblica in PDF: Viene generato un documento PDF.
      Configurate il Nome file e il luogo di salvataggio, nonché l´opzione Sovrascrivi dati esistenti.
    • Pubblica su stampante: Stampa la tabella sulla stampante configurata.
  5. Passate alla scheda Definizione report
  6. Configuratela in modo analogo a quanto esposto nella documentazione di Visualizza report nel Runtime..
  7. Chiudete la finestra di dialogo e la funzione e assegnate un nome alla funzione.
  8. Collegate questa funzione a un pulsante nell´immagine RGM per poterla usare nel Runtime.


Valori e azioni

Manuale -> Manager di gruppi ricette -> Gestione durante il runtime -> Tabella valori ricette -> Valori e azioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I valori e le azioni possono essere modificati nel Runtime direttamente nella tabella valori ricetta.

Nota: Nell´Editor, le azioni e i valori vengono definiti al momento della modifica di una ricetta. Vedi Modifica di una ricetta del gruppo ricette/Azioni.

info Informazioni su

Se in una ricetta ci sono valori/azioni non validi, non verranno salvati. Se si modifica, per es., il tipo di azione, ma non si adatta in modo corrispondente il valore per l´azione, sarà possibile eseguire il comando Salva ricetta, ma non verranno ripresi i valori modificati, non validi.

Inserire valori

Nel Runtime, si possono modificare dei valori nella colonna Valore o variabile e in quella Visualizzazione valore come testo in modo diretto, oppure usando un´immagine del tipo Keyboard.

Per inserire dei valori nelle celle:

  1. Cliccate due volte sulla cella desiderata.
  2. Inserite il valore.

Nota:

  • È possibile inserire solamente quei valori che si trovano all´interno di Limiti definita per le variabili di ricetta per Valore min. e Valore max..
  • La modifica di un valore o di una variabile è possibile solamente se l´azione corrispondente è di uno dei seguenti tipi:
    • Modifica valore spontaneo
    • Commutare e modificare Valore spontaneo
    • Modificare valore di riserva
    • Commutare e modificare valore di riserva:
    • Stato utente
    • Collegare con variabile
  • Se per l´inserimento deve essere aperta una Keyboard, essa deve essere stata collegata con la variabile, oppure configurata per il tipo di dato.

Nota: I valori ricetta possono essere visualizzati invisibili usando variabili.

Filtrare valori

I valori possono essere visualizzati dopo essere stati filtrati facendo ricorso agli elemento di controllo Filtro. Se si seleziona un filtro nel Combobox, i valori corrispondenti divengono invisibili oppure vengono visualizzati. Se non si seleziona nessun filtro, verranno visualizzati tutti i valori, fatta eccezione per le variabili che sono impostate come invisibili.

Definire azioni

I valori nella colonna Azione possono essere modificati nel Runtime direttamente selezionandoli nella lista a cascata.

Per definire un´azione:

  1. Cliccate due volte nella cella Azione della variabile corrispondente.
  2. Cliccate sul simbolo con la freccia.
  3. Selezionate nel menù a tendina l´azione desiderata.
  4. Con la selezione, l´azione viene ripresa nella tabella valori ricetta.

Azioni possibili:

Azione

Descrizione

Inserimento in Valore o variabile

Nessuna azione

Disattiva variabile in questa ricetta.

Nessun inserimento.

Stato utente

Informazione di stato. Setta il corrispondente bit di stato della variabile

Nota: possono essere settati solo bit di stato che sono evidenziati come settati dall´utente. I bit di stato settati automaticamente dal sistema non sono modificabili.

Attenzione: Per poter aprire una tastiera software, nel gruppo proprietà Tastiere deve essere collegata una keyboard alla proprietà Parametro stringa.

Indicare la Denominazione breve dello stato con:
=1 per settare e
=0 per resettare.

Si possono inserire diversi stati separandoli con un punto e virgola ( ;). Ad esempio:
M1=1; M5=0

Modificare valore di riserva

Setta il valore di sostituzione sul valore che viene indicato alla voce Valore o variabile.

Inserire valore di riserva.

Modifica valore spontaneo

Setta il Valore spontaneo sul valore che viene indicato alla voce Valore o variabile.

Inserire valore impostabile.

Disattivare valore spontaneo

Spegne il valore spontaneo settando il bit di stato OFF (Bit 20).

Nessun inserimento.

Attivare valore spontaneo

Attiva il valore spontaneo resettando il bit OFF.

Nessun inserimento.

Commutare su valore di riserva

Cambia da Valore spontaneo a Valore di sostituzione

Nessun inserimento.

Commuta su valore spontaneo

Cambia da Valore di sostituzione a Valore spontaneo

Nessun inserimento.

Imposta e modifica Valore di riserva

Passa dal Valore spontaneo al Valore di sostituzione e setta quest´ultimo sul valore che è indicato in Valore e variabile.

Inserire valore di riserva.

Imposta e modifica valore spontaneo

Passa dal Valore di sostituzione al Valore spontaneo e setta quest´ultimo sul valore che è indicato in Valore o variabile.

Inserire valore impostabile.

Collegare con variabile

Collega una variabile con un´altra.

Nome di una variabile.

Cliccando con il tasto destro del mouse nel campo si apre il dialogo che serve alla selezione delle variabili. Il valore della variabile viene trasmesso alla variabile selezionata della ricetta. E' possibile usare anche variabili di altri progetti caricati.

Nota: Nel Runtime, anche la colonna Visualizzazione valore come testo è modificabile. A tal scopo, deve essere stata collegata una Keyboard. Le vostre impostazioni corrispondono a quelle della colonna Valore o variabile.
Sono escluse le seguenti azioni:

  • Stato utente: modificabile solo con una tastiera del tipo RGM.
  • Collega a variabile: non modificabile

attention Attenzione

Se in una ricetta si usa la funzionalità Leggi tutti i valori con l´azione Collega con variabile, non vengono né interrogate le autorizzazioni, né viene protocollata l´azione. Nel caso si desideri esplicitamente il protocollaggio, quest´ultimo deve essere creato manualmente, per esempio tramite una macro VBA.

Nota sulla conformità con FDA: questa funzionalità, perciò, non può essere utilizzata per progetti che debbono soddisfare le rigide norme FDA.

Identificazione di errori e interblocchi

I valori visualizzati nella tabella di valori ricetta sono verificati automaticamente e evidenziati in caso di presenza di errori Vengono evidenziate le seguenti celle:

  • Errore:
    • Valori al di là di quello massimo/minimo definito
    • Valori la cui azione si riferisce ad una variabile che non esiste, oppure non è raggiungibile.

    Default: rosso come colore di sfondo.
    Questo identificazione errore non è disponibile per la Tabella valori ricetta CE.

  • Le celle che mostrano parametri bloccati.
    Default: grigio come colore di sfondo.

La corrispondenza dei valori di PLC e ricetta può essere verificata e visualizzata mediante la funzione o il pulsante Controlla valore di ricetta.

I colori per testi e sfondo possono essere adattati individualmente mediante la proprietà del gruppo Colori (non disponibile per Tabella valori ricetta CE).

Priorità delle identificazioni colori.

Quando si usano diversi colori in una lista, valgono le seguenti priorità:

  1. Generale: Colore di selezione per le liste oggetti
  2. RGM: Interrogazione valore di ricetta
  3. RGM: Validazione online
  4. RGM: Interblocco
  5. Lista: Colore colonna


Verifica valore ricetta

Manuale -> Manager di gruppi ricette -> Gestione durante il runtime -> Tabella valori ricette -> Verifica valore ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella verifica valore ricetta, vengono confrontati il valore di ricetta e il valore attuale. Il risultato di tale verifica può essere visualizzato nella tabella valori ricetta, oppure trasmesso alla variabile del driver di sistema. .

I valori di ricetta possono essere verificati:

  • automaticamente, al momento del caricamento, del salvataggio e della lettura dei valori del PLC.
  • con il pulsante verifica valore ricetta.
  • mediante la funzione Manager gruppi di ricette.
  • via VBA.

Un valore non è valido se:

  • un´azione rimanda ad una variabile, ma nessuna variabile è collegata.
  • una determinata azione rimanda a valori che si trovano al di fuori dello spettro consentito (min./max.). Questo vale:
    • Modificare valore di riserva
    • Modifica valore spontaneo
    • Commutare e modificare Valore spontaneo
    • Commutare e modificare valore di riserva:

Colorazione

I risultati sono visualizzati a colori nella colonna valore attuale. I colori possono essere modificati e adattati tramite le proprietà del gruppo Colori/Interrogazione valore di ricetta. Questo adattamento non è disponibile per la Tabella di ricetta CE. Si possono configurare dei colori individuali anche per gli Interblocchi. In caso di errori, il sistema passa automaticamente tramite scorrimento al primo punto della tabella in cui è stato individuato un errore (colore rosso o viola).
Valori standard; Colorazione:

  • Verde: I risultati corrispondono.
  • Rosso: Il valore PLC differisce da quello della ricetta.
  • Blu: Nessuna connessione con il PLC.

Pulsante "verifica valori ricetta".

Per verificare immediatamente valori di ricetta durante il Runtime nella tabella valori ricetta:

  1. Progettate nell´immagine il pulsante verifica valore ricetta.
  2. Cliccate nel Runtime sul pulsante.
  3. Tutte le variabili collegate alla ricetta vengono lette e i valori attuali vengono confrontati con quelli della ricetta.

Attenzione: la funzione dell´elemento di controllo utilizza nella sincronizzazione con il PLC delle cifre decimali. Se, nel caso di variabili con il tipo di dato REAL, la proprietà Cifre decimali non è configurata in modo analogo alle impostazioni del PLC e differiscono le cifre decimali, la funzione mostra i valori differenti..

Funzione Manager gruppi di ricette

Per verificare valori di ricetta nel Runtime e per emettere il risultato di tale verifica con variabili del driver di sistema:

  1. Create una Funzione Manager gruppi di ricette.
  2. Se la funzione viene inizializzata ne Runtime, accade quanto segue:
    1. i valori di ricetta vengono verificati
    2. i risultati vengono trasmessi alle corrispondenti variabili del driver di sistema


Visualizzazione testo

Manuale -> Manager di gruppi ricette -> Gestione durante il runtime -> Tabella valori ricette -> Visualizzazione testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La colonna Visualizzazione valore come testo è modificabile solamente se è collegata una Keyboard. Per l´azione Collega a variabile non è possibile effettuare nessun inserimento.

Se volete visualizzare nel runtime il significato particolare di un valore all´interno di una ricetta:

  1. Impostate per la variabile che usate nella ricetta una matrice di reazione del tipo numerico o stringa.

    Il tipo della matrice di reazione deve andar bene con quello della variabile utilizzata.

  2. Nella matrice di reazione definite stati "è uguale a" ed indicate il significato desiderato (il testo da visualizzare).

Alternativa: Per far sì che il sistema visualizzi testi, potete anche usare Valori limite, oppure matrici di reazione del tipo binario con altri stati come "è uguale a". In questo caso, però, non potete usare la funzione Immagine del tipo Keyboard.

Visualizzazione nel runtime

La Tabella valori ricetta nell´immagine del tipo Manager gruppi ricette, mostra nella colonna Visualizzazione valore come testo i testi di valore limite collegati o dalla matrice di reazione, oppure dal valore limite che sono violati dal valore della ricetta. Se non sono collegati dei testi di valore limite, viene visualizzato il valore di ricetta.

In tabelle Report Generator di progettazione propria, potete arrivare alla stessa funzionalità con l´aiuto delle funzioni recipew e recipef con il parametro symbolik.

Se viene modificata una ricetta e, di conseguenza, viene violato uno stato o un valore limite, segue subito il testo di valore limite visualizzato. I valori possono essere modificati durante il Runtime nella tabella valori ricetta usando un´immagine del tipo Keyboard.

Inserimenti nella Lista eventi cronologica.

Nel caso di modifiche a valori delle ricette o nel caso di impostazione di una ricetta (valore ricette), non solamente i valori, ma anche i corrispondenti testi di valore limite vengono riportati nell´inserimento destinato alla CEL. Se non viene violato né uno stato, né un valore limite, viene inserito solamente il valore.


Keyboard

Manuale -> Manager di gruppi ricette -> Gestione durante il runtime -> Keyboard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon le Keyboard servono da tastiere virtuali, che permettono di effettuare durante il runtime degli inserimenti in apparecchi senza una tastiera hardware. Le Keyboard vengono impostate e configurate mediante un´immagine del tipo Keyboard. zenon mette a disposizione dei suoi utenti delle Keyboard generate automaticamente e altre impostabili dagli utenti stessi. Si possono configurare delle Keyboard con le quali effettuare inserimenti nella tabella valori ricetta nel Runtime. Cliccando in una cella della colonna Valore o variabile, si apre la Keyboard corrispondente.
Condizioni: Nell´Editor, la Keyboard è stata

  • o configurata per il corrispondente tipo di dato
  • oppure collegata alla variabile.

Sono a disposizione nel gruppo Tastiere le seguenti Keyboard:

  • Parametro binario
  • Parametro numerico
  • Parametro stringa

attention Attenzione

Per il tipo di azione Stato utente, per effettuare inserimenti è necessaria una String-Keyboard. Essa deve essere stata configurata come String-Keyboard globale.

Causa: Per la modifica di una variabile, si apre sempre la Keyboard che è collegata alla variabile e appartiene al suo tipo di dato. Per il tipo di azione Stato utente si ha bisogno di una String Keyboard. Essa non è collegata ad una variabile numerica e deve essere configurata apposta.

Progettazione: Progettate la Keyboard usando la proprietà Parametro stringa del gruppo di proprietà RGM Tastiere.

Tasti keyboard per RGM

Quando si configura l´immagine keyboard, per il RGM sono disponibili i seguenti elementi di controllo speciali alla voce Elementi di controllo-> Specifico per Manager gruppi di ricette:

Elemento di controllo

Descrizione

Imposta valore

Il valore impostabile viene scritto sulla variabile, aggiornato nella ricetta e la keyboard viene chiusa.

Salva ricetta

La ricetta verra salvata

Settare valore e salva ricetta

Il valore impostabile viene scritto sulla variabile, aggiornato nella ricetta; quest´ultima viene salvata e poi viene chiusa la keyboard.

Visualizzazione valore come testo 1
fino
Visualizzazione valore come testo 32

I tasti possono essere collegati a valori limite di una matrice di reazione. A tal scopo, la variabile del parametro ricetta

  • deve essere collegata ad una Matrice di reazione numerica oppure una Matrice di reazione stringa e
  • deve contenere stati "è uguale ".

I tasti assegnati sono visualizzati nel Runtime e hanno il testo tratto dalla matrice di reazione.

Cliccando sul tasto, il valore collegato nella matrice di reazione viene scritto come proposta di valore ricetta nell´elemento di controllo Inserimento valore impostabile.


Informazioni di stato nel caso di ricette e manager gruppi ricette

Manuale -> Manager di gruppi ricette -> Gestione durante il runtime -> Informazioni di stato nel caso di ricette e manager gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Durante il runtime, le informazioni di stato vengono rese disponibili nel caso di

  • Lettura / Scrittura
  • Esportare/importare
  • salvare

Quando si scrive una ricetta, questa variabile contiene il risultato dell'operazione di scrittura.

Valori

Scrivi ricetta

Variabile driver di sistema: Ricetta standard/RGM eseguita completamente (globale)

Valore | Risultato
0 | Setta valore di inizializzazione prima della ricetta
1 | Scrittura eseguita con successo
2 | Scrittura non eseguita perché esiste un errore di parametro
3 | Scrittura non eseguita con successo.
5 | Scrittura interrotta visto che si è terminato il Runtime.
6 | Intervenuto Timeout.

Nota: Se nel progetto è attivata la funzionalità di rete, la variabile di sistema Ricette standard/RGM- ricetta scritta completamente (locale) è rilevante per la funzione eseguita sul computer locale. .

info Informazioni su

Quando si parla di "scrittura" si intende la scrittura sul driver. Questo trasmette poi la ricetta al PLC. Ciò significa:

  • proprietà Scrittura sincrona disattivata: Il valore 1 per Ricetta standard/RGM-Ricetta scritta completamente non significa che i valori sono sul PLC. Significa solamente che essi sono stati scritti sul driver.
  • Proprietà Scrittura sincrona attiva: La modifica di valore avviene solo quando tutti i valori sul PLC sono attuali.

Nota: la visualizzazione dello stato di avanzamento della scrittura avviene solamente se Scrittura sincrona è attiva.

Ricetta in esecuzione

Variabile driver di sistema: Funzione di ricetta/RGM in esecuzione

Valore

Risultato

-1

viene eseguito

0

Valore di inizializzazione, letto con successo

1

L'utente non ha l'autorizzazione comando

2

Nessuna autorizzazione in rete

3

Annullamento per opera dell'utente

4

Errore - non è stato possibile leggere tutto con successo per es.

  • al momento dell'interruzione della comunicazione con l'hardware prima dell'inizio della lettura
  • non è presente sul PLC un blocco dati
  • Errore emerso durante la trasmissione

5

Errore nel salvataggio del file ricetta

6

Funzione cancellata via VBA

Tipo immagine Funzioni specifiche

Al momento di

  • leggere (variabile del driver di sistema: Fine lettura di tutti i valori di ricetta standard/RGM),
  • Esportare/importare e
  • salvare

una ricetta per mezzo di una funzione specifica per tipo di immagine; sono a disposizione i seguenti valori:

Valore

Risultato

0

Valore di inizializzazione attende la risposta del driver.

1

letto con successo

2

Errore nella lettura, esporta/importa oppure salva:

  • al momento dell'interruzione della comunicazione con l'hardware prima dell'inizio della lettura
  • non è presente sul PLC un blocco dati
  • Errore emerso durante la trasmissione


Scrivere valori in una ricetta tramite un´immagine (variabili d´appoggio)

Manuale -> Manager di gruppi ricette -> Gestione durante il runtime -> Scrivere valori in una ricetta tramite un´immagine (variabili d´appoggio)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Durante il runtime, è possibile modificare dei valori di ricette direttamente tramite immagini. A tal scopo si usano delle cosiddette variabili d´appoggio, che possono essere scritte e lette nel RGM mediante la funzione Manager gruppi di ricette.

Definisci variabile di ricetta grafica

Per ogni variabile esistente in un gruppo ricette, si può definire una variabile di ricetta grafica. Ogni variabile d´appoggio può essere usata solamente una volta per gruppo ricetta.. Non ogni variabile del gruppo ricette deve disporre di una variabile d´appoggio. Per definire una variabile d´appoggio:

  1. Evidenziate la variabile del gruppo di ricette.
  2. Navigate nelle proprietà fino a giungere al gruppo Generale.
  3. Cliccate sulla proprietà Variabile di ricetta grafica.
  4. Si apre il dialogo per selezionare una variabile.
  5. Selezionate la variabile grafica desiderata.
  6. Confermate cliccando su OK.

Procedura progettazione

  1. Per ogni variabile i cui valori devono essere modificabili durante il Runtime mediante un´immagine, definite in fase di progettazione una variabile grafica di ricetta.
    Impostate quest´ultima nella proprietà Generale/Variabile di ricetta grafica.
  2. Progettate un´immagine che rappresenta i valori ricetta modificabili, per esempio un serbatoio.
  3. Collegate l´immagine ad una Funzione Manager gruppi di ricette e selezionate l´azione Scrivi valori ricetta su variabili ricetta grafiche.
  4. Progettare un pulsante nell´immagine.
  5. Collegate il pulsante alla funzione Manager gruppi di ricette e selezionate l´azione Scrivi variabili di appoggio sui valori di ricetta.

Sequenza runtime

  1. Viene aperta l´immagine che serve a settare i valori per il RGM.
  2. Le variabili verranno sostituite con levariabili d´appoggio.
  3. Quando si apre l´immagine, si attiva la funzione Manager gruppi di ricette con l´azione Scrivi valori ricetta su variabili di appoggio.
  4. I valori ricetta vengono visualizzati nell´immagine e possono essere modificati.
  5. I valori modificati vengono scritti nella ricetta mediante il pulsante con la funzione Manager gruppi di ricette/Scrivi variabili ricetta sui valori di ricetta .
  6. Se dovesse verificarsi un errore, si può analizzarlo tramite le variabili del driver di sistema. e gli inserimenti in file LOG.


Trattamento errori

Manuale -> Manager di gruppi ricette -> Trattamento errori

Gli errori possono essere analizzati sia tramite le variabili del driver di sistema che le segnalazioni di errore. Le segnalazioni e le variabili del driver di sistema le trovate nel capitolo Guida Variabili del driver di sistema, Sezione Tema RGM.

File Log

Inserimento

Livello

Descrizione

COM Events

COM Event "RecipeCreate" returned with "bCancel == TRUE"

logLe_DEBUG

Segnalazione per COM Events, se l´azione in questione è stata interrotta tramite il parametro funzione bCancel:

  • RecipeCreate
  • VersionCreate
  • RecipeDuplicate
  • VersionDuplicate
  • VersionDuplicateRead
  • RecipeRename
  • RecipeDelete
  • VersionDelete

Se l´azione non è stata terminata nella funzione evento, non viene visualizzato nessun specifico inserimento log.

Variabile di ricetta grafica

RGM: Teached value out of Minimum max range. Variabile: "x1", Value: x2, FromShadow: x3

FAILED

Un valore letto viola il Valore minimo oppure il Valore max. dei limiti di valori impostabili della ricetta.

  • x1: Nome della variabile
  • x2: valore nominato della variabile
  • x3: indicazione valore di processo o valore di una variabile d´appoggio

Error while reading current value for CEL logging.

INTERNAL

Si è verificato un errore durante la lettura dei valori momentanei per il logging CEL (Esegui ricetta). Possibili cause:

  • un valore è al di fuori dei limiti di Valore minimo e Valore max.
    -> ulteriore inserimento RGM: Teached value out of Minimum max range. Variabile: "x1", Value: x2, FromShadow: x3
  • un valore ha lo stato INVALID
  • il timeout è stato raggiunto

Segnalazioni pop-up

Segnalazione | Descrizione
Il nome "Ricetta\Testo" contiene caratteri non consentiti (\"'./*?<>!|). | Il nome del gruppo ricette o il nome ricetta inseriti non sono conformi all linee guida per la denominazione. Fra parentesi ci sono dei caratteri non consentiti.
Cancellare versione "7" della ricetta "Ricetta1"? | Richiesta di conferma posta del sistema prima di cancellare una versione ricetta nell´immagine Manager gruppi ricette durante il runtime.


Esempi

Manuale -> Manager di gruppi ricette -> Esempi

Qui trovate degli esempi di progettazione:

Noch in diesem Kapitel

Scrittura della versione ricetta più grande con lo stato reso disponibile sul PLC.

Cambio lingua del testo di visualizzazione nell´elemento Collega testo


Scrittura della versione ricetta più grande con lo stato reso disponibile sul PLC.

Manuale -> Manager di gruppi ricette -> Esempi -> Scrittura della versione ricetta più grande con lo stato reso disponibile sul PLC.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per scrivere durante il runtime la versione ricetta più grande con lo stato rilasciato sul PLC:

  1. impostare testi di stato per gli stati ricetta:
    1. aprite la proprietà Identificatore stato ricetta in Manager Gruppi di Ricette
    2. create nel dialogo lo stato:

      - 1 bozza

      - 2 controllato

      - 3 rilasciato

      - 4 bloccato

      - 5 cancellato

    Suggerimento: in questa sede potete definire i testi di stato anche come parole chiave per il cambio lingua mettendogli davanti il simbolo @ (per es.: @rilasciato).

  2. Impostazione di più versioni ricetta:
    1. impostate un nuovo gruppo ricetta facendo uso del menu contestuale
    2. collegate variabili con il gruppo ricette
    3. impostate una nuova ricetta
    4. impostate una nuova versione per la ricetta
    5. cambiate lo stato nella seconda versione della ricetta portandolo a 3 rilasciato
  3. Impostazione della funzione:
    1. selezionate la ricetta e scegliete nel menu contestuale o nella barra simboli Crea funzione standard
    2. si apre il dialogo di configurazione
    3. selezionate Setta ricetta
    4. settate Versione ricetta su >
    5. selezionate in corrispondenza di Stato ricetta statico l´inserimento 3 rilasciato

Quando viene eseguita la funzione nel runtime, viene scritta sul PLC la versione più grande esistente della ricetta con lo stato 3 - rilasciato. Se adesso, per esempio, si imposta una nuova versione ricetta ed essa riceve lo stato 3 - rilasciato, alla prossima apertura della funzione questa nuova versione viene scritta sul PLC.


Cambio lingua del testo di visualizzazione nell´elemento Collega testo

Manuale -> Manager di gruppi ricette -> Esempi -> Cambio lingua del testo di visualizzazione nell´elemento Collega testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare il cambio lingua per un elemento del tipo Collega testo, innanzitutto impostate quest´ultimo nell´editor e cambiatelo poi nel runtime.

Nell’Editor

Per impostare un elemento dinamico del tipo Collega testo e per configurarlo:

  1. cliccate nella barra dei simboli degli elementi sul simbolo Collega testo e impostate l´elemento all´interno dell´immagine.
  2. Selezionate una variabile stringa.
  3. Attivate la proprietà Tradurre testo .

Nel runtime

Il valore proposto mostra un testo di default. Il testo è modificabile:

al momento di essere visualizzato, il testo viene modificato mediante il cambio lingua:


Menù

Manuale -> Menù

L'editor dei menù permette di creare dei menù conformi a Windows. Ci ne sono di due tipi:

  • Menù principali
  • Menù contestuali

Nota: Il sistema operativo non consente menù propri per singole immagini o modelli.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Menù contestuale - manager di progetto

Punto di menù | Azione
Nuovo menù principale | Aggiunge un nuovo menù principale nella lista menù della visualizzazione dettagli.
Nuovo menù contestuale | Aggiunge un nuovo menù contestuale nella lista menù della visualizzazione dettagli.
Esporta tutte in XML... | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa degli inserimenti da un file XML.
Profilo editor | Apre il menù contestuale con Profili Editor predefiniti.
Help | Attiva la guida online

Noch in diesem Kapitel

Progettazione nell'editor

Gestione durante il runtime


Progettazione nell'editor

Manuale -> Menù -> Progettazione nell'editor

Selezionate la voce menù Manager di progetto per aprire l'Editor dei menù nella sezione lista. Potete scegliere fra diversi menù principali e contestuali. Potete creare nuovi menù utilizzando il menù contestuale (voce Nuovo menù principale o Nuovo menù contestuale). Essi vengono poi visualizzati nella parte destra della sezione lista. E' naturalmente possibile esportare ed importare dei menù. Ulteriori informazioni su questo tema le potete trovare nel capitolo "Importazione/esportazione /Menù".

attention Attenzione

Il presupposto perché i menù principali vengano visualizzati durante il runtime è il seguente: Nelle proprietà di progetto deve essere attivata la proprietà Attiva menu principali (nodo Aspetto grafico).

Impostare un nuovo inserimento di menù

Per creare un nuovo inserimento di menù:

  1. selezionate l´ultimo inserimento
  2. confermate con il tasto Invio
  3. viene creato un nuovo campo di inserimento vuoto

Impostare un nuovo sottomenù

Per impostare un nuovo sottomenù dovete attivare nell´inserimento di menù sovraordinato la proprietà Sottomenù. Si aprirà un nuovo campo di inserimento per il sottomenù.

Spostare un inserimento di menù

  1. Selezionate l´inserimento desiderato (selezione multipla possibile).
  2. Trascinatelo nella nuova posizione tenendo premuto il tasto sinistro del mouse
  3. Nota: Se spostate dei sottomenù su una voce di menù che non è definita come sottomenù, gli inserimenti vengono impostati come menù principali
    Se spostate l´inserimento superiore, verrano spostati anche tutti i sottomenù.

Copiare un inserimento di menù

  1. Selezionate l´inserimento desiderato (selezione multipla possibile).
  2. selezionate nel menù contestuale oppure nella barra dei simboli Copia
  3. selezionate il posto in cui la copia sarà salvata

    Nota: Se copiate dei sottomenù su una voce di menù che non è definita come sottomenù, gli inserimenti vengono impostati come menù principali
    Se copiate l´inserimento superiore, verrano copiati anche tutti i sottomenù.

  4. Selezionate nel menù contestuale oppure nella barra dei simboli Aggiungi
  5. Trascinatelo nella nuova posizione tenendo premuto il tasto sinistro del mouse

Rinomina una voce di menù

  1. selezionate la voce di menù e modificatela nel modo seguente:
    • cliccate due volte oppure fate un doppio clic ritardato sulla voce
      oppure
    • premete il tasto F2 oppure il tasto Invio avendo selezionato la voce
      oppure
    • selezionate il comando Rinominare nel menù contestuale oppure nella barra dei simboli
  2. la voce esistente viene evidenziata
  3. inserite il nuovo nome
  4. confermate le modifiche nel modo seguente:
    • premendo il tasto Invio
    • passate ad un´altra voce di menù
  5. oppure rifiutate la modifica premendo il tasto Esc

Selezione multipla

Per modificare contemporaneamente più inserimenti

  • tenete premuto il tasto Ctrl e cliccate sugli inserimenti

    oppure

  • tenete premuto il tasto Shift e cliccate sugli inserimenti

    oppure

  • tenete premuto il tasto Shift e cliccate e usate i tasti con le frecce della tastiera

Per deselezionare un inserimento, cliccate sull´inserimento tenendo premuto il tasto Ctrl oppure Shift.

Per deselezionare tutti e attivare solamente un inserimento, cliccate sull´inserimento desiderato.

Noch in diesem Kapitel

Barra degli strumenti e menù contestuale per visualizzazione dettagli e dettagli

Define entries


Barra degli strumenti e menù contestuale per visualizzazione dettagli e dettagli

Manuale -> Menù -> Progettazione nell'editor -> Barra degli strumenti e menù contestuale per visualizzazione dettagli e dettagli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra degli strumenti

Punto di menù | Azione
Nuovo menù principale | Aggiunge un nuovo menù principale nella lista menù della visualizzazione dettagli.
Nuovo menù contestuale | Aggiunge un nuovo menù contestuale nella lista menù della visualizzazione dettagli.
Crea funzione standard | Apre il dialogo che serve alla selezione di una azione e crea una funzione adatta. L´azione viene documentata nella finestra di emissione.
Torna all'elemento di partenza | Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza. Nel menu contestuale esistente solamente, se aperto come elemento collegato.
Copia | Copia l´inserimento selezionato negli appunti.
Inserisci | Aggiunge il contenuto degli appunti.
Elimina | Cancella l´inserimento selezionato senza un´ulteriore controllo di sicurezza.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa degli inserimenti da file XML.
Rinomina | Apre l´inserimento di menù per consentire di rinominarlo.
Proprietà | Apre la finestra delle proprietà per l´inserimento.
Guida | Attiva la guida online

Menù contestuale Menù runtime

Punto di menù | Azione
Nuovo menù principale | Aggiunge un nuovo menù principale nella lista menù della visualizzazione dettagli.
Nuovo menù contestuale | Aggiunge un nuovo menù contestuale nella lista menù della visualizzazione dettagli.
Inserisci | Aggiunge la voce di menù copiata nel ramo corrispondente (menù principali oppure menù contestuali) come copia x di; x è un numero progressivo.
Guida | Attiva la guida online

Menù contestuale Menù principali

Punto di menù | Azione
Nuovo menù principale | Aggiunge un nuovo menù principale nella lista menù della visualizzazione dettagli.
Inserisci | Aggiunge la voce di menù copiata di un menù principale come copia x di; x è un numero progressivo
Guida | Attiva la guida online

Menù contestuale Menù contestuali

Punto di menù | Azione
Nuovo menù contestuale | Aggiunge un nuovo menù contestuale nella lista menù della visualizzazione dettagli.
Inserisci | Aggiunge la voce di menù copiata di un menù contestuale come copia x di; x è un numero progressivo
Guida | Attiva la guida online

Menù contestuale Menù

Punto di menù | Azione
Crea funzione standard | Apre il dialogo che serve alla selezione di una azione e crea una funzione adatta. L´azione viene documentata nella finestra di emissione.
Elemento collegato | Fa una lista di elementi collegati. Cliccando su un inserimento si apre l´elemento collegato nell`Editor.
Copia | Copia l´inserimento selezionato.
Inserisci | Aggiunge la voce di menù copiata come copia x di; x è un numero progressivo
Elimina | Cancella l´inserimento selezionato senza un´ulteriore controllo di sicurezza.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa degli inserimenti da file XML.
Proprietà | Apre la finestra delle proprietà per l´inserimento.
Guida | Attiva la guida online

Menù contestuale Dettagli

Punto di menù | Azione
Rinomina | Apre la voce di menù in modo tale che la si possa rinominare.
Crea nuovo davanti alla selezione | Aggiunge prima della voce di menù selezionata una nuova.
Copia | Copia la voce di menù selezionata negli appunti.
Inserisci | Aggiunge il contenuto degli appunti.
Elimina | Cancella la voce di menù selezionata senza un ulteriore controllo di sicurezza.
Proprietà | Apre la finestra delle proprietà per la voce di menù. .
Guida | Attiva la guida online


Define entries

Manuale -> Menù -> Progettazione nell'editor -> Define entries

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Generally there are three types of menu entries:

Parameters

Description

Tipo di azione

Sets out which type of action is to be carried out via the corresponding menu item in Runtime. Not all action types are available in the main menu, some are only available via the context menu.

  • Acknowledge alarm (context menu only)
  • Command processing(context menu only)
  • Acknowledge flashing (context menu only)
  • Function
  • Help
  • No action
  • Write set value
  • VBA macro (context menu only)

Sottomenù

Opens a sub-menu in Runtime.

Separator

A horizontal line divides menu entries.

Underline text: Entering a & causes the following characters to be displayed as underlined.

Plan entries

To configure a menu item in the main menu or context menu:

  1. Activate the corresponding menu cell
  2. In properties, select:
    • Tipo di azione: depending on menu type
      see also: Main menu action types and Context menu action types
    • ID menù: Entry ID
      Note: There are pre-defined types with a fixed ID available in the command processing at Command processing
    • Testo: clear labeling of the menu cells

attention Attenzione

The name of the Testo property must be unique. If two names the same are issued, further menu items with the same name are not displayed.

Noch in diesem Kapitel

Tipi di azione Menù principale

Tipi di azione Menù contestuale

Modi di rappresentazione grafici

Sottomenù


Tipi di azione Menù principale

Manuale -> Menù -> Progettazione nell'editor -> Define entries -> Tipi di azione Menù principale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Parametri | Descrizione
Funzione | Una funzione definita di zenon sarà eseguita tramite selezione della voce di menù nel runtime.
Guida | Visualizzazione di una pagina di help da un file CHM.
Nessuna azione | Non sarà eseguita nessuna azione.
Imposta valore | Mediante la selezione della voce di menù Setta valore impostabile, si può settare durante il Runtime un valore fisso oppure si può aumentare o diminuire il valore di una variabile in una determinata misura. L'inserimento viene effettuato mediante la maschera d'inserimento valori impostabili zenon. Se esiste nel progetto una delle tre immagini keyboard (SETVALUEKBD, SETBOOLKBD o SETSTRINGKBD), essa viene utilizzata automaticamente. Per questa azione una variabile può essere definita direttamente oppure può, nell'utilizzo come voce di menù contestuale, essere ripresa tramite clic su un elemento.


Tipi di azione Menù contestuale

Manuale -> Menù -> Progettazione nell'editor -> Define entries -> Tipi di azione Menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Parametri | Descrizione
Funzione | Una funzione definita di zenon sarà eseguita tramite selezione della voce di menù nel runtime.
Guida | Visualizzazione di una pagina di help da un file CHM.
Nessuna azione | Non sarà eseguita nessuna azione.
Imposta valore | Mediante la selezione della voce di menù Setta valore impostabile, si può settare durante il Runtime un valore fisso oppure si può aumentare o diminuire il valore di una variabile in una determinata misura. L'inserimento viene effettuato mediante la maschera d'inserimento valori impostabili zenon. Se esiste nel progetto una delle tre immagini keyboard (SETVALUEKBD, SETBOOLKBD o SETSTRINGKBD), essa viene utilizzata automaticamente. Per questa azione una variabile può essere definita direttamente oppure può, nell'utilizzo come voce di menù contestuale, essere ripresa tramite clic su un elemento.
Macro VBA | La selezione di questa voce di menù permette l´esecuzione di una macro VBA nel Runtime. Potete selezionare solamente le macro VBA che sono dichiarate come Init-Event.
Ripristina allarmi | Gli allarmi di tutte le variabili collegate all'elemento dinamico cui si riferisce il menù contestuale, vengono riconosciuti.
Ripristina lampeggio | Elimina il lampeggio di tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menù contestuale. Ma l'allarme non viene ripristinato.
Comandi | Apre la finestra di comando definita (solo nel caso si disponga di una licenza Energy).

Noch in diesem Kapitel

Comandi


Comandi

Manuale -> Menù -> Progettazione nell'editor -> Define entries -> Tipi di azione Menù contestuale -> Comandi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When creating a new action in the Command Processing, a menu ID corresponding to the action type and the switching direction for the Tipo di azione property is created and offered in the drop-down list. If the content corresponds to an ID defined as standard text for the action type and switching direction, the content is adapted if the action type or switching direction change.

To create a context menu for the Command Processing:

  1. Create the desired actions in the command processing
  2. In the properties of the context menu item select the Tipo di azione Command Processing
  3. Select the desired action and switching direction via the drop-down menu with the ID menù property
  4. Give it a clear label in the Testo property
    Note: If no entry is defined for Testo, the field is automatically filled with the "command processing" label.

attention Attenzione

The name of the Testo property must be unique. If two names the same are issued, further menu items with the same name are not displayed.

Because automatically created menu items with the same action result in the same text, there are macros available for these.

The character sequence ID_CMD_AUTO is reserved for automatically created menu items. These must always be used with macros, because otherwise only the menu item is inserted.

When checking for duplicate entries the following rules apply:

  • Manual menu points have priority over automatic ones.
  • If it is the same type then the last entry has twice the priority.
  • If a duplicate entry is found, a warning is set off in the log. This includes the menu ID and description. Automatically expandable entries have <auto> added to the ID.

Actions for Tipo di azione command processing

Action | Switching direction | Menu ID
ID_CMD_AUTO |  | This menu entry automatically shows all possible actions for an element, if no direct menu entry from the list is used already.
Pulse command | On (1) | ID_CMD_EBEF_ON
Pulse command | OFF (1) | ID_CMD_EBEF_OFF
Pulse command | NONE | ID_CMD_EBEF_NONE
Switching command | On (1) | ID_CMD_DBEF_ON
Switching command | OFF (2) | ID_CMD_DBEF_OFF
Switching command | NONE | ID_CMD_DBEF_NONE
Set value | NONE | ID_CMD_SVALUE
Set value | DIRECT | ID_CMD_SVALUE_DIR
Status input | NONE | ID_CMD_STATE
Status input | On (1) | ID_CMD_STATE_ON
Status input | OFF (0) | ID_CMD_STATE_OFF
Replace | NONE | ID_CMD_REPL_NONE
Replace | On (1) | ID_CMD_REPL_ON
Replace | OFF (0) | ID_CMD_REPL_OFF
Replace | DIST | ID_CMD_REPL_DEF
Replace | DIFF | ID_CMD_REPL_DIFF
Manual correction | NONE | ID_CMD_UPD_NONE
Manual correction | On (1) | ID_CMD_UPD_ON
Manual correction | OFF (0) | ID_CMD_UPD_OFF
Manual correction | DIFF | ID_CMD_UPD_DIFF
Manual correction | DIST | ID_CMD_UPD_DEF
Manual correction | DIRECT | ID_CMD_UPD_DIR
Block | NONE | ID_CMD_BLOCK
Release | NONE | ID_CMD_UNLOCK
Lock | NONE | ID_CMD_LOCK
Revision | OFF (0) | ID_CMD_REV_OFF
Revision | On (1) | ID_CMD_REV_ON
Mandatory command | On (1) | ID_CMD_FORCE_ON
Mandatory command | Off (0) | ID_CMD_FORCE_OFF
Mandatory command | NONE | ID_CMD_FORCE_NONE
info Informazioni su
Ulteriori informazioni sull´uso di menù contestuali nei comandi, le trovate nella guida relativa alla Energy Edition nella sezione Menu contestuale Comandi.

Noch in diesem Kapitel

Macros for the context menu


Macros for the context menu

Macros for the context menu

A macro is a defined character sequence that is replaced by another text when menu items are created in Runtime. Virtually all macros can occur more than once per menu item. They can also contain further macros as a result. In doing so, the expansion sequence must be considered. Macros are not case sensitive when configuring menus. If macros contain a macro as a result, the macro must be contained in capitals in the result. The entry is made with $ as a prefix and suffix.

The sequence of the expansion is from left to right in the following priority.

  1. $ALL$
  2. $NOTE$
  3. $TAG$
  4. $REMA<Status>$
  5. $RDIR$
  6. $DIR$
  7. $ACT$
  8. $NAME$

Macro

Description

$ALL$

Results in Action naming: Switching direction.

Corresponds to the combination of the $ACT$: macro $DIR$

Note: If a context menu is created for the command processing, the default text is $ALL$, even if the menu already has text configured for it but the action type changes to command processing.

$NOTE$

The whole text including the macro is interpreted as a note. If the resulting text is empty, the $ALL$ macro is used.

For the last macro, the note macro is again checked and the text to the right of this including the macro is deleted.

If the resulting text is empty or only consists of spaces, the menu item is not inserted.

$TAG$

Is replaced by the identification of the action variable.

The identification can be translated by the online language translation function. If no translation character (@) is contained, the whole identification is highlighted for translation.

$REMA<Status>$

<Status> is a Rema or limit value state, the text of which is used as a replacement.

If the status is not present, the menu item is not displayed.

The limit value text is translated linguistically according to the placement of @ .

The status can be a number between -231 and 231-1. Leading characters and a prefix are permitted. If characters are contained that cannot be converted to a number, or the number is outside the given area, the menu item is not displayed.

$RDIR$

Text for the switching direction from reaction matrix/limit value as in $DIR$ macro, with the exception of:

  • Action Write set value direct
    The text is taken from the rema/limit value of the status, which corresponds to the value of the set point to be set.
  • Action Status on and Status off
    Text is taken from the rema/limit value for the on or off statuses.
  • Action Correct direct
    The text is taken from the rema/limit value of the status, which corresponds to the value of the set point to be set.

$DIR$

Switching direction of the action.

$ACT$

Action naming of the action.

$NAME$

The $NAME$ macro can be used to create menus and provides the configured content of the Nome comando property, the language of which can also be switched in Runtime with a @ character.

Automatically created menu items

Automatically created menu items are created as a menu ID with ID_CMD_AUTO. In this case, macros must always be used, because otherwise only a menu item would be inserted.

Compatibility

Previous to version 6.51 text at automatic menu items was ignored. When converting projects that were created with versions earlier than 6.51, the macros $ALL$$NOTE$ are automatically inserted before the configured text. Therefore the menu items behave as before.

Online Language Switch

The labeling for the menu item in the Testo property is translated linguistically before macro expansion from the character @.

Note: If, for the $TAGS$ macro, no translation indicator (@) is contained, the complete text is translated.


Modi di rappresentazione grafici

Manuale -> Menù -> Progettazione nell'editor -> Define entries -> Modi di rappresentazione grafici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I menù possono essere influenzati dal punto di vista grafico mediante le seguenti proprietà.

Parametri

Descrizione

File grafico

Mostra in tutto il settore sinistro un file grafico.

Immagine di sfondo

Imposta un file grafico dietro l´inserimento di menù. La disposizione può essere in grandezza originale oppure allungata.

Checkmark

Mostra in tutto il settore sinistro un simbolo di spunta. Questo simbolo di spunta non ha nessun effetto sulla disponibilità della funzionalità collegata, ma serve solamente alla visualizzazione. Una gestione della visualizzazione e della funzionalità nel runtime può avvenire solamente mediante VBA/VSTA.

Visibile

Attivato: L´inserimento di menù viene visualizzato nel runtime e la funzionalità collegata è a disposizione. Una gestione della visibilità nel runtime può avvenire solamente mediante VBA/VSTA.

Separatore attivo

Mostra al posto dell´inserimento di menù una linea di separazione orizzontale per una suddivisione logica del menù.

La larghezza della linea di separazione può variare fra 0 e50 pixel e se ne può definire liberamente il colore.


Sottomenù

Manuale -> Menù -> Progettazione nell'editor -> Define entries -> Sottomenù

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare dei sottomenù:

  1. attivate la proprietà Sottomenù
  2. a destra verrà creato un nuovo campo di menù vuoto
  3. definite gli inserimenti per il sottomenù oppure ulteriori sottomenù

I sottomenù vengono messi in evidenza mediante una freccia a destra. I sottomenù possono essere realizzati in forma " a scatole".


Gestione durante il runtime

Manuale -> Menù -> Gestione durante il runtime

La gestione dei menù dell´Editor dei menù corrisponde a quella delle ben note funzionalità delle applicazioni Windows.

Nel Runtime, i menù sono collocati in un posto fisso che si trova nell´angolo in alto a sinistra dello schermo.

Nota: nel caso di allarmi in attesa, può essere che la barra allarmi copra i menù. In questo caso i menù possono essere gestiti solamente quando l´allarme in questione sarà stato ripristinato. Per evitare il verificarsi di questa evenienza, progettate il posizionamento della Barra stato allarmi in un altro posto, oppure attivate Cornice per il modello.

Noch in diesem Kapitel

Visualizzare menù nel runtime


Visualizzare menù nel runtime

Manuale -> Menù -> Gestione durante il runtime -> Visualizzare menù nel runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per visualizzare menù principali nel Runtime, si deve impostare la funzione corrispondente Mostra menù e la si deve collegare.

Menù contestuali vengono definiti nelle proprietà degli elementi dinamici relativi.

Gestione user

Se per il progetto è stata configurata una gestione user, la modalità di visualizzazione dei menù nel Runtime può essere modificata e adattata alle autorizzazioni operative.

info Informazioni su

Ulteriori informazioni sulla progettazione della gestione user le trovate nella guida riservata al tema Gestione user.

Progettazione nell'Editor

  1. Cliccate sul nodo principale del Vostro progetto.
  2. Passate al gruppo proprietà Gestione user .
  3. Selezionate nella proprietà Voci di menù bloccate il comportamento desiderato.
  4. Assegnate una Livello di autorizzazione: :
    per ordinare i corrispondenti Livello di autorizzazione: :
    1. Passate adesso al gruppo proprietà Autorizzazione .
    2. Impostate nella proprietà Livello di autorizzazione: il corrispondente livello di autorizzazione.

Noch in diesem Kapitel

Visualizzazione di menù principali

Visualizzare menù contestuali


Visualizzazione di menù principali

Manuale -> Menù -> Gestione durante il runtime -> Visualizzare menù nel runtime -> Visualizzazione di menù principali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione gestisce la visualizzazione di menù principali.

  1. Create con Nuova funzione una nuova funzione
  2. Selezionate nel nodo Immagini la funzione Visualizza menù
  3. Definite l´azione da eseguire e il menù principale

Parametri | Descrizione
Azione | Selezione dell´azione:
Visualizza menù | Il menù selezionato viene visualizzato.
Nascondi menù | Il menù selezionato viene nascosto.
Cambia menù | Il menù attuale viene nascosto ed il menù selezionato viene visualizzato.
Se menù non disponibile | Viene visualizzato il menù selezionato qualora attualmente non sia visualizzato nessun altro menù.
Menù | Scelta del menù.
Visualizza questa finestra di dialogo a Runtime | Attivo: al momento dell´esecuzione della funzione durante il runtime, viene aperto questo dialogo.
info Informazioni su
Nel Web Client di zenon (Web Server e Web Server Pro) non vengono visualizzati i menù principali. Sotto CE (zenon sotto Windows CE) i menù possono essere visualizzati solo negli standard che supporta Windows CE. Altri colori e caratteri rispetto a quelli Windows non possono essere selezionati esplicitamente nei menù con CE.

Se si crea la funzione standard dal menù contestuale nella visualizzazione dettagli, zenon genera automaticamente una funzione "Visualizza menù" per il menù selezionato.


Visualizzare menù contestuali

Manuale -> Menù -> Gestione durante il runtime -> Visualizzare menù nel runtime -> Visualizzare menù contestuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I menù contestuali possono essere utilizzati nel runtime per gli elementi dinamici. Per visualizzare un menù contestuale nel Runtime, collegate il menù con l´Elemento dinamico desiderato.

A tale scopo:

  1. navigate nelle proprietà dell´elemento dinamico fino a raggiungere il nodo Runtime
  2. selezionate la proprietà Menu
  3. selezionate il menù contestuale desiderato fra quelli offerti dalla lista a cascata

attention Attenzione

I menù contestuali vengono referenziati tramite il loro nome. Ciò significa: se si rinomina un menù contestuale, andrà perso il collegamento con l´elemento dinamico, collegamento che dovrà essere creato di nuovo.


Message Control

Manuale -> Message Control

Il modulo opzionale Message Control consente l´invio automatico di messaggi e il loro ripristino. L´invio di un messaggio viene inizializzato da una funzione che può essere collegata ad un evento. Le modalità a disposizione per effettuare l´invio sono le seguenti:

  • E-Mail tramite Microsoft Outlook o tramite SMTP
  • SMS tramite Modem GSM oppure tramite un server SMS
  • Messaggio vocale da file audio tramite Modem o via Voice over IP
  • Messaggio vocale Text-to-Speech tramite Modem o via Voice over IP

Lo stato della trasmissione può essere protocollato nella Lista eventi cronologica (CEL):

La configurazione avviene in due sezioni:

  • Impostazioni generali per l´invio: nella proprietà del gruppo Message-Control del workspace.
  • Impostazioni specifiche di progetto: nelle proprietà del nodo Message Control nel relativo progetto.

tutorial Informazioni sulla licenza

È necessario disporre di una licenza per l´Editor e il Runtime (stand-alone, server, standby). Non è disponibile per i client.

Menù contestuale Impostazioni specifiche del progetto nel Manager di progetto

Voce di menù | Azione
Guida | Apre la guida online.

Noch in diesem Kapitel

Compatibilità con la versione 6.xx

Requisiti

Limitazioni

AT-comani supportati

Configurare il Message Control

Message Control a Runtime

Messaggi e gestione degli errori


Compatibilità con la versione 6.xx

Manuale -> Message Control -> Compatibilità con la versione 6.xx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Differenze della versione 7 rispetto alle versioni precedenti.

Nella versione 7.00 SP0 di zenon il modulo Message Control presenta delle differenze sostanziali dalle versioni precedenti sia per quello che riguarda la configurazione che per quello che riguarda la tecnica d´invio.

Di seguito un elenco delle modifiche tecniche di rilievo:

  • non viene più utilizzato un server COM
  • non viene più utilizzata la componente aggiuntiva della ditta DerDack
  • la ZenMsgQueue viene sostituita da un´immagine specifica di tipo Message Control
  • la configurazione avviene nelle proprietà Message-Control del workspace (invio) e nelle proprietà Proprietà specifiche di progetto per il modulo Message Control nel progetto (legata al progetto)
  • non c´è più una lista dettagli
  • sono stati eliminati il modello turni e la funzionalità calendario
  • non sono più presenti "Runtime modificabili"
  • l´invio di E-Mail è possibile sia tramite Outlook che con un server SMTP; quest´ultimo tipo di invio consente l´invio di allegati
  • la configurazione dei tipi di invio non viene più salvata nel file messag32.ini, ma nel file zenon6.ini
  • Analisi dei testi di valore limite: finora l´analisi di testi composti nel modulo Message Control era differente da quella di testi di valore limite standard. A partire dalla versione 7.00 tali differenze non esistono più. @StringTabelle+%var1

I dettagli riguardanti la configurazione si trovano nel capitolo Configurare il Message Control.

attention Attenzione

Solo i progetti realizzati con le versioni a partire dalla 5.50 SP7 possono essere convertiti nella versione 7.

Conversione

A causa delle sostanziali modifiche apportate al software non è possibile garantire una compatibilità al 100% quando si converte un progetto nella nuova versione. Questo vale anche per la compilazione di file RT per versioni precedenti. Quando si effettua una conversione, tenere presente soprattutto quanto segue:

  • Utente:
    • Esiste un utente con lo stesso nome (nome di battesimo e cognome): viene usato questo utente e le informazioni vengono completate.
    • Non esiste nessun utente corrispondente: il sistema imposta un nuovo utente, il collegamento con la persona di riserva e con il gruppo utenti viene eliminato. L´utente viene inserito nel gruppo esistente o in quello creato al momento della conversione.
  • Gruppi utenti:
    • Esiste un gruppo con lo stesso nome: viene usato questo gruppo e vengono completate le informazioni .
    • Non esiste un gruppo utenti corrispondente: viene impostato un nuovo gruppo utenti.
  • Funzioni

    La funzione Esegui Database destinatari è stata eliminata:
    questa funzione non può più essere creata con l´Editor. Non viene però cancellata quando si effettua una conversione. La sua esecuzione a Runtime non ha alcun effetto e genera un inserimento nei LOG.

  • Paging:
    Il paging non è più disponibile come forma di invio. Alle funzioni esistenti per cui è prevista la modalità di invio Paging il sistema assegna al momento della conversione il tipo di invio GSM. Un messaggio che informa di questa modifica, verrà visualizzato nella finestra di emissione. Dopo la conversione, le impostazioni della funzione dovranno essere verificate.
  • RT file modificabili:
    Dato che la gestione utenti è stata modificata, non sono più necessari i RT file modificabili per il Message Control. Nella versione 7 non è prevista nemmeno la possibilità di importare vecchi dati Runtime. Se è necessario avere i file Runtime di un progetto realizzato con una versione precedente alla 7, li si deve prima importare in un Editor precedente alla versione 7 di zenon; solo poi li si potrà convertire.
  • Turni e calendario:
    La funzionalità per turni e calendario è stata eliminata. Alle funzioni esistenti con tipo di destinazione Paging il sistema assegna al momento della conversione il tipo Gruppo. Tuttavia non viene collegato nessun gruppo. Un messaggio che informa di questa modifica, apparirà nella finestra di emissione. Dopo la conversione, le impostazioni della funzione dovranno essere verificate.
  • SMS-Gateway:
    Visto che la semplice interfaccia non offre alcuna possibilità tecnica di poter ordinare i messaggi in modo univoco, a partire dalla versione 7 viene supportata solamente l´interfaccia estesa. Effettuando la conversione, ci si deve assicurare che anche il server SMS della ditta Dialogs venga configurato in modo corrispondente. In caso contrario non sarà possibile inviare messaggi.

Import e Export

Le versioni precedenti del Message Control e quelle a partire da zenon 7.00 SP0 salvano le loro impostazioni in file diversi:

  • fino alla versione 6.51 SPO inclusa: message32.ini
  • dalla versione 7:00 SP0: zenon6.ini

Importa impostazioni

Se si apre un progetto realizzato con una versione precedente di zenon nella versione 7, oppure in una versione dal numero di serie superiore, le impostazioni del file message32.ini vengono riprese e, nel limite del possibile, adattate. La progettazione deve essere sempre controllata manualmente, visto che non tutte le impostazioni possono essere convertite al 100% in modo corretto. In questo modo, ad esempio, la pianificazione dei turni verrà assegnata a gruppi la cui configurazione non è completa.

Esporta impostazioni

La configurazione può essere impostata dalla versione 7 nel file message32.ini per versioni precedenti. A questo scopo, cliccare sulla proprietà del workspace Message-Control/Esportazione impostazioni su Messag32.ini (v6.XX) e confermare la selezione quando il sistema lo richiede.

Attenzione: con l´esecuzione della proprietà Esportazione impostazioni su Messag32.ini (v6.XX), verranno sovrascritti tutti gli inserimenti corrispondenti del file message32.ini. Il file INI, dunque, può contenere degli inserimenti che non possono essere eseguiti nel modulo Message Control così come esso si presentava nelle versioni precedenti, oppure degli inserimenti che rendono inutili le configurazioni.

Noch in diesem Kapitel

Compatibilità con la versione 5.50


Compatibilità con la versione 5.50

Manuale -> Message Control -> Compatibilità con la versione 6.xx -> Compatibilità con la versione 5.50

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Non è possibile riprendere direttamente dei contenuti della versione 5.50 nella versione 7.50. Per convertire le configurazioni del modulo Message Control dalla versione 5.50 nella versione attuale, bisogna seguire la procedura seguente:

  1. Prima di tutto bisogna convertire i progetti nella versione 6.51 di zenon.
    Tutti gli utenti e i gruppi verranno aggiornati.
    Nota: tenere presente che questo passaggio intermedio è assolutamente necessario. Non è possibile una conversione diretta di una configurazione di progetto dalla versione 5.50 a quella attuale!
  2. Poi convertire il progetto dalla versione 6.51 a quella attuale di zenon.
  3. Nella versione corrente, verificare le impostazioni per utente e gruppi utenti.
    Se necessario, effettuare le correzioni necessarie nella versione attuale.

attention Attenzione

Tenere presente le indicazioni relative alla compatibilità contenute nel capitolo Compatibilità con la versione 6.xx.


Requisiti

Manuale -> Message Control -> Requisiti

I requisiti per utilizzare il Message Control dipendono dalla di modalità di trasmissione che si intende utilizzare:

Modalità

Requisito

E-Mail via Microsoft Outlook:

Istanza in esecuzione di Microsoft Outlook.

E-Mail via SMTP:

Il server Runtime che esegue l´operazione di invio, deve essere connesso ad una rete.

Deve esistere un E-Mail account. I server con accesso all´account devono essere raggiungibili.

SMS via GSM:

Un modem GSM deve essere connesso al computer e deve essere raggiungibile tramite un´interfaccia seriale (porta COM). Quando vengono installati, i modem USB creano di regola una porta COM virtuale, attraverso cui li si può raggiungere.

SMS via SMS-Gateway:

Server SMS dell´azienda DIALOGS Software GmbH

Messaggio vocale:

Modem vocale con funzionalità DTMF, oppure Voice over IP Server.

Text to speech Engine. (In parte contenuto nel sistema operativo. Estensibile con un pacchetto separato Text-To-Speech di COPA-DATA.)

Telefono:

Modem vocale con funzionalità DTMF.

Se si usa un adattatore ISDN, questo deve supportare le seguenti funzioni:

  • Supporto di messaggi vocali (LINEMEDIAMODE_AUTOMATEDVOICE)
  • Supporto di segnali DTMF (per accettare il codice PIN per il ripristino di un messaggio)
  • Supporto del Telephony Application Programming Interface (TAPI)

Voice over IP:

Accesso a Voice over IP.

Per pote usare VoIP, devono essere soddisfatte le seguenti condizioni:

  • Il provider VoIP deve supportare i protocolli SIP e RTP.
  • Nel firewall devono essere aperte le porte corrispondenti:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

Porte per il VoIP

Per il VoIP si usano 2 protocolli:

  • SIP: usa questa porta per il SIP.
    Nota: SIP-TLS non è supportato al momento. La tecnologia VoIP, perciò, non dovrebbe essere utilizzata in contesti critici che richiedono la crittografia.
  • RTP: usa porte per RTP e RTCP.
    Il numero di porta RTCP deve essere sempre maggiore di 1 rispetto al numero della porta RTP.

I numeri di porta per la modalità di invio Voice over IP possono essere configurati liberamente usando le proprietà del gruppo Voice over IP.

Aree:

  • SIP: 0 - 65535
  • RTP: 0 - 65534

Valori di default:

  • Porta SIP: 5060
  • Porta RTP: 4000
  • Porta RTCP: 4001
    Questo numero di porta non può essere modificato. E' sempre maggiore di 1 rispetto al numero della porta Porta RTP.


Limitazioni

Manuale -> Message Control -> Limitazioni

In determinate circostanze, la funzionalità del Message Control può essere limitata, o non essere disponibile.

Segnali DTMF con telefoni cellulari e Voice over IP

I segnali DTMF di alcuni telefoni cellulari possono talvolta essere interpretati in modo erroneo da alcuni provider VoIP.

Causa: alcuni telefoni cellulari inviano segnali DTMF molto lunghi. Può accadere sporadicamente che il provider Voice over IP li interpreti erroneamente come due brevi pressioni di tasti.

Soluzione: provare una combinazione differente di telefono cellulare e provider VoIP.

Rilevamento di segnali

I segnali di alcuni telefoni cellulari non vengono interpretati correttamente da alcuni provider VoIP.

Soluzione: provare una differente combinazione di telefono cellulare e provider VoIP-Provider.

Windows CE

Il modulo Message Control non è disponibile su Windows CE.


AT-comani supportati

Manuale -> Message Control -> AT-comani supportati

Il Message Control supporta i seguenti comandi AT:

Compito | Comando | Risposta | Commento sulla risposta
Test di connessione: | AT\r | \r\nOK\r\n | Alla fine
Query PIN status | AT+CPIN?\r | +CPIN: | Nel punto desiderato della risposta più \r\n alla fine
Inserisci PIN: | AT+CPIN="[PIN-Code]"\r | \r\nOK\r\n | Alla fine
Passa il modem in modalità SMS-PDU: | AT+CMGF=0\r | \r\nOK\r\n | Alla fine
Imposta il numero di telefono della centrale SMS: Nota: con il numero SMSC, inserire anche il codice del paese (00xy oppure +xy; xy sono le due cifre del prefisso internazionale di un paese). | AT+CSCA="[numero di telefono SMSC]"\r | \r\nOK\r\n | Alla fine
Verifica se il modem sia passato alla modalità SMS-PDU: | AT+CMGF?\r | \r\nOK\r\n | Alla fine
Verifica se il modem abbia settato la centrale SMS definita: | AT+CSCA?\r | \r\nOK\r\n | Alla fine
Invia il messaggio a questo numero. Il modem segnala Pronto per PDU se il comando è stato accettato: | AT+CMGS="[Lunghezza-PDU]"\r | \r\n>[Spazio vuoto] |
PDU per SMS da inviare al numero specificato in precedenza con completion flag: | [SMS-PDU][0x1A] | \r\nOK\r\n | Alla fine
Fare una lista di SMS della memoria con stato contrassegnato da flag: | AT+CMGL=[Flag]\r | \r\nOK\r\n | Alla fine
Cancella dalla memoria tutti gli SMS con stato contrassegnato da flag (indipendentemente dall´indice): | AT+CMGD=0,[Flag]\r | \r\nOK\r\n | Alla fine
Cancella dalla memoria gli SMS con l´indice definito: | AT+CMGD=[Index]\r | \r\nOK\r\n | Alla fine

Nota: per i comandi AT+CMGD è sufficiente che venga supportata una delle due versioni.

Argomenti:

  • \r --> Carriage Return --> 0x0D
  • \n --> Line Feed --> 0x0A

Trova errori

I messaggi di errore contengono nella risposta l´indicazione ERROR. È possibile trovare i dettagli riguardanti la risoluzione dei problemi e i test di connessione nel capitolo Messaggi e risoluzione dei problemi.


Configurare il Message Control

Manuale -> Message Control -> Configurare il Message Control

Si configura il Message Control usando:

  • le proprietà globali delle modalità di invio dei messaggi
  • le proprietà specifiche di progetto per il messaggio
  • le funzioni che vengono eseguite a Runtime per l´invio e la gestione dei messaggi

I messaggi possono essere inviati e ripristinati tramite:

  • E‑Mail
  • SMS
  • Messaggi vocali

Configurare l'invio di messaggi

Per configurare l´invio di un messaggio:

  1. Selezionare la modalità di invio dal gruppo corrispondente nel Message-Control.
  2. Attivare per questo gruppo la proprietà Attivo.
  3. Configurare la modalità
  4. Configurare le proprietà specifiche di progetto
  5. Configurare gli utenti o i gruppi utenti da raggiungere con questa modalità di invio.
  6. Creare una funzione Invia messaggio e

    collegarla

    1. ad un pulsante o
    2. nella proprietà Funzione di quei valori limite che, se violati, devono inviare questo messaggio

      In caso di collegamento di un valore limite, possono essere inviati i contenuti generati a Runtime in modo dinamico. Per usare più funzioni Invia messaggio per uno stesso valore limite, usare uno script che contiene queste funzioni e collegarlo al valore limite.

Configurazione del messaggio

Un messaggio si compone di diverse parti:

  • Oggetto: per le E-Mail, definito usando:
    • Oggetto (ID) nelle impostazioni globali di Outlook
    • Soggetto per E-Mail nelle impostazioni globali per E-‑Mails via SMTP
    • La proprietà Parte dinamica del soggetto nelle impostazioni specifiche di progetto per E-‑Mail via SMTP o Outlook
  • Descrizione e codice errato: definiti per i messaggi vocali usando:
    • Messaggio vocale Text-to-Speech

      oppure

    • Messaggio vocale da file audio
  • Testo del messaggio: definito per E-Mail, SMS e messaggi vocali:
    • Nella opzione Testo costante

Configurare la gestione della coda messaggi (Message Queue)

Per gestire i messaggi a Runtime:

  1. Creare un´immagine di tipo Message Control
  2. creare e configurare una funzione Cambio immagine per questa immagine
  3. Collegare la funzione ad un pulsante

In questo modo, è possibile verificare a Runtime lo stato dei messaggi e monitorare la coda messaggi.

Message Control a Runtime

Per usare il Message Control a Runtime:

  1. Attivare anzitutto il modulo Message Control usando
    • La proprietà Attivo all'avvio del Runtime: se si attiva questa proprietà, il Message Control si attiva automaticamente all'avvio del Runtime.
    • La funzione Attiva invio messaggio: Quando viene eseguita questa funzione, si avvia il Message Control. I messaggi verranno elaborati solo a partire da questo momento.

Quando si chiude il Runtime normalmente, viene salvata un´immagine della coda messaggi attuale. Quest´immagine può essere creata in qualsiasi momento anche a Runtime usando la funzione Salva coda d'attesa corrente. Il Message Control può essere disattivato a Runtime con la funzione Disattiva invio messaggio.

Sopprimi messaggio

Il Message Control ha una lista contenente gli elementi disattivati. Disattivato significa che gli allarmi dell´elemento non provocano nessun messaggio.

Se a una violazione di valore limite è collegata una funzione Invia messaggio, i messaggi vengono creati e inviati solo se né la variabile, né l´allarme sono soppressi.

  • La variabile è soppressa se la sua area, oppure uno dei gruppi impianti collegati sono contenuti nella lista degli elementi soppressi.
  • L´allarme è soppresso se il gruppo allarmi/eventi, la classe allarmi/eventi, oppure l´area allarmi sono contenuti nella lista degli elementi soppressi.

Questa lista può essere modificata a Runtime usando la funzione Sopprimi Gruppi/Classi/Aree/Strutture. Possono essere attivati e disattivati sia allarmi che impianti. Gli inserimenti soppressi verranno salvati nella CEL, a patto che per la proprietà Salva nella CEL si sia selezionata l'opzione Tutte le conferme o Solo le conferme negative.

In rete, l´attivazione o disattivazione di inserimenti avviene in modo ritentivo. Se, per esempio, si disattivano gli allarmi di una parte d´impianto per effettuare dei lavori di manutenzione, questa impostazione rimane attiva anche dopo la chiusura del Runtime e viene riutilizzata al riavvio del sistema.

Noch in diesem Kapitel

Impostazioni generali per l´invio

Proprietà specifiche di progetto

Crea immagine del tipo Message Control

Gestione user

Funzioni

Parametri per messaggi


Impostazioni generali per l´invio

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le modalità utilizzate per l´invio di messaggi vengono definite a livello globale e possono essere poi usate da ogni progetto e ogni workspace.

Le modalità disponibili per l´invio sono le seguenti:

  • Messaggio E-Mail tramite Outlook
  • Messaggio E-Mail tramite SMTP
  • Messaggio SMS via modem GSM
  • Messaggio SMS via server SMS
  • Messaggio vocale da file audio via modem
  • Messaggio vocale Text-to-Speech via modem
  • Voice over IP come file Audio
  • Voice over IP come Text-to-Speech

Per configurare le proprietà:

  1. Selezionare il workspace
  2. Selezionare il gruppo Message-Control nelle proprietà
  3. Attivare e configurare la modalità di invio desiderata

Le impostazioni vengono salvate nel file zenon6.ini nella sezione [Message Control].

attention Attenzione

Queste proprietà del gruppo Message-Control nel workspace non sono specifiche per il progetto. Le modifiche effettuate in questo sezione, dunque, saranno applicate a Runtime solo dopo il riavvio.

Noch in diesem Kapitel

Messaggio E-Mail tramite Outlook

Messaggio E-Mail via SMTP

Messaggio SMS tramite modem GSM

Messaggio SMS tramite SMS-Gateway

Messaggi vocali

Inserimenti nel file zenon6.ini


Messaggio E-Mail tramite Outlook

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio -> Messaggio E-Mail tramite Outlook

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inviare un messaggio come E-Mail tramite Microsoft Outlook, si deve:

  • Attivare la modalità di invio usando la proprietà Versandart aktiv
  • Verificare che sul PC che esegue la funzionalità sia presente un´istanza funzionante di Microsoft Outlook con un account attivo e con connessione alla rete/Internet

Se i messaggi sono impostati con obbligo di ripristino, si deve fare attenzione che la mail box venga controllata nell'intervallo di tempo a disposizione per il ripristino. Questo intervallo di tempo viene definito usando la funzione Invia messaggio (scheda Avviso di ricezione).

attention Attenzione

Per l'uso di Outlook con il modulo Message Control vale quanto segue:

  • Outlook a 32-Bit richiede la versione a 32-Bit di zenon.
  • Outlook a 64-Bit richiede la versione a 64-Bit di zenon.

Una combinazione delle due diverse versioni non è possibile.

Configurazione

  1. Attivare la modalità di invio usando la proprietà Attivo.
  2. Definire il nome del profilo Outlook che deve essere utilizzato mediante la proprietà Profilo
  3. Definire un oggetto univoco usando la proprietà Oggetto (ID).
    Questo oggetto serve da criterio per inoltrare i messaggi in arrivo al modulo Message Control. Le E-Mail che non contengono questo ID, non verranno inoltrate al Message Control. Esso deve:
    • Avere una lunghezza di almeno quattro caratteri
    • Rimanere immutato in caso di risposta
  4. Configurare le proprietà per Proprietà specifiche di progetto.
  5. Configurare gli utenti e i gruppi utenti.
  6. Creare le funzioni richieste e collegarle a pulsanti o eventi.

Funzionamento a Runtime

  1. Non appena viene avviato il Runtime, il sistema carica i messaggi.
  2. I messaggi vengono composti e inviati in base alle impostazioni e non appena viene eseguita una funzione corrispondente.
  3. Se un utente risponde ad un messaggio, la sua risposta verrà letta quando i messaggi vengono caricati e verrà inoltrata al Message Control.
  4. Questo modulo consente il ripristino.


Messaggio E-Mail via SMTP

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio -> Messaggio E-Mail via SMTP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inviare un messaggio come E-Mail tramite un server SMTP, si deve:

  • Attivare la modalità di invio usando la proprietà Attivo
  • Verificare che il PC che esegue il processo sia connesso al server E-Mail
  • Verificare che sia definito un account E-Mail
  • Verificare che il server Mail sia configurato con i suoi dati di accesso

Se i messaggi sono impostati con obbligo di ripristino, si deve fare attenzione che la mail box venga controllata nell'intervallo di tempo a disposizione per il ripristino. Questo intervallo di tempo viene definito usando la funzione Invia messaggio (scheda Avviso di ricezione).

Configurazione

  1. Attivare la modalità di invio usando la proprietà Attivo.
  2. Configurare le proprietà per:
    • Server di posta in arrivo
    • Server posta in uscita
  3. Configurare le proprietà per le impostazioni specifiche di progetto.
  4. Configurare gli utenti e i gruppi utenti.
  5. Creare le funzioni richieste e collegarle a pulsanti o eventi.

Funzionamento a Runtime

  1. Non appena viene avviato il Runtime, il sistema carica i messaggi.
  2. I messaggi vengono composti e inviati sulla base delle impostazioni e non appena viene eseguita una funzione corrispondente.
  3. Se un utente risponde ad un messaggio, la sua risposta viene letta quando i messaggi vengono caricati e viene inoltrata al Message Control.
  4. Questo modulo consente il ripristino.

Solo un thread alla volta può aprire connessioni. Una connessione viene aperta sempre per il thread che la richiede e viene chiusa subito dopo il completamento dello scambio dei dati. Durante l'invio di un messaggio, nessun altro thread può effettuare una query per la posta in entrata, né inviare un messaggio. Quando vengono scaricati i messaggi in entrata, nessun altro thread può avviare una query, né inviare messaggi.

Se si verifica un errore nell´esecuzione di una di questa procedure (come autenticazione fallita, oppure comando non supportato), tutte le connessioni attive vengono chiuse.

Le impostazioni corrette per la configurazione possono essere richieste al provider dell´account di posta elettronica utilizzato.

Procedura

Acquisizione delle Mail in entrata

  1. Avvio di una connessione con il server di posta in arrivo configurato sulla porta corrispondente.
    Se la connessione è protetta o meno da un meccanismo di sicurezza, dipende dalle impostazioni della proprietàCodifica
  2. Tutte le E-Mail nella casella della posta in arrivo vengono recuperate attraverso i comandi STAT e RETR. Il sistema decide se una E-‑Mail è rilevante in base all´oggetto. Il sistema ignora i messaggi non rilevanti. I messaggi rilevanti vengono inoltrati al Message Control e - finché la proprietà Lascia sul server le E-Mail già lette è disattivata - cancellati dal server con il comando DELE.
    Nota per E-Mail HTML: tutti i caratteri di controllo HTML vengono cancellati al momento della ricezione.
  3. La connessione viene chiusa con l´invio del comando QUIT e successivamente Chiudi connessione.

Invio di una E-Mail

  1. Il sistema instaura una connessione protetta o non protetta con il server SMTP in base cosa si definito in fase di configurazione.
  2. Se definito in fase di configurazione, viene eseguita un´autenticazione SMTP tramite il comando AUTH.
  3. Il messaggio da inviare viene trasmesso in formato MIME con i comandi-SMTP MAIL, RCPT e DATA
  4. La connessione SMTP viene chiusa con l´invio del comando QUIT e successivamente Chiudi connessione.
  5. Se c'è una connessione POP3, anche questa verrà chiusa.


Messaggio SMS tramite modem GSM

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio -> Messaggio SMS tramite modem GSM

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inviare un messaggio come SMS tramite modem GSM:

  • Attivare la modalità di invio usando la proprietà Attivo
  • Un modem GSM deve essere connesso al computer che esegue l´invio e deve essere raggiungibile mediante un´interfaccia seriale (porta COM)
    Nota: quando vengono installati, i modem USB creano di regola una porta COM virtuale, attraverso cui li si può raggiungere.
  • E' possibile che sia necessario usare il software del produttore per inizializzare il modem GSM, perché quest'ultimo possa collegarsi alla rete GSM.

Configurazione

  1. Attivare la modalità di invio usando la proprietà Attivo.
  2. Selezionare la porta COM del modem fra quelle proposte dal menù a tendina usando la proprietà Porta modem (seriale).
    La porta corretta è visualizzata nelle proprietà di sistema del modem.
    Nota: dopo una riconnessione del modem o un riavvio del computer, è possibile che sia necessario inizializzare il modem un´altra volta usando il software del produttore, prima di poterlo usare con il Message Control. Il numero di porta COM può cambiare con una riconnessione del modem o un riavvio del computer.
  3. Se necessario, inserire nella proprietà Codice PIN il PIN per il modem.
  4. Controllare la connessione cliccando su Verifica connessione.
  5. Inserire il numero di telefono dello Short Message Service Center nel campo proprietà Numero centro messaggi.
  6. Configurare le proprietà per Proprietà specifiche di progetto.
  7. Configurare gli utenti e i gruppi utenti.
  8. Creare le funzioni richieste e collegarle a pulsanti o eventi.

Funzionamento a Runtime

  1. Non appena si avvia il Runtime, il sistema instaura e configura la connessione con il modem.
  2. Vengono caricati i messaggi.
  3. I messaggi vengono composti e inviati sulla base delle impostazioni e non appena viene eseguita una funzione corrispondente.
  4. Se un utente risponde ad un messaggio, la sua risposta viene letta quando i messaggi vengono caricati e viene inoltrata al Message Control.
  5. Questo modulo consente il ripristino.
  6. Se dopo il recupero non esistono più messaggi multi-parte incompleti, i messaggi già letti vengono cancellati dal modem.
  7. Quando si chiude il Runtime, la connessione con il modem viene chiusa.

info Informazioni su

Se si riconnette il modem oppure si riavvia il modem, è consigliabile:

  • Eseguire il software di configurazione fornito dal provider GSM, in modo tale che il modem venga inizializzato e si connetta alla rete.
  • Verificare nel pannello di controllo se il modem, dopo essere stato riconnesso, continua ad usare la stessa porta COM.

Costanti, timeout e parametri

Inserimento

Valore

Descrizione

Timeout per comandi AT

10000 ms

Il modem ha 10 secondi di tempo per rispondere all'invio di un comando AT.

SMS intervallo Polling

20000 ms

Ogni 20 secondi il sistema controlla se sono arrivati nuovi SMS e se questi sono stati letti. Se dopo il recupero non esistono più messaggi multipart incompleti, tutti i messaggi già letti vengono cancellati.

COM-Timeout

Scrittura: 5 secondi

Lettura: lettura immediata

Ci sono 5 secondi a disposizione per scrivere i byte sulla porta COM (al massimo 400 in caso di SMS-PDU della massima grandezza).

Durante la lettura della porta COM il contenuto corrente del buffer ricevente viene letto e restituito immediatamente.

Configurazione COM-State
  • Baud: 9600
  • Modalità binaria
  • Check bit di parità: inattivo
  • Clear-to-Send e Data-Set-Ready: non monitorato
  • Data-Terminal-Ready e Request-To-Send Flow Control: attivato
  • Bit pro Byte: 8
  • Parità: nessuno
  • Stop Bit:1

Configurazione standard di un´interfaccia seriale.

Buffer

Limite

Valore max.

Descrizione

Dimensione del buffer di invio e grandezza del buffer di ricezione per l´interfaccia seriale in byte

4096

Le singole PDU hanno una grandezza massima di 400 byte. Quando si invia un SMS, le PDU vengono spedite singolarmente una dopo l´altra.

Al momento della ricezione, il sistema recupera in blocco tutti gli SMS arrivati dall´ultimo intervallo Polling. Il modem può cosi inviare almeno 10PDUs alla volta nel buffer di ricezione della porta seriale.

Dimensione del buffer generale per conversioni e SMS in entrata in byte

12288

Visto che una SMS-PDU occupa al massimo 400 byte nel buffer di ricezione, con questo buffer si possono ricevere al massimo 30 parti di SMS di grandezza massima nell´arco di un intervallo Polling di 20 secondi.

La grandezza massima di un SMS da inviare è pari a 6144 caratteri Unicode.


Messaggio SMS tramite SMS-Gateway

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio -> Messaggio SMS tramite SMS-Gateway

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inviare un messaggio come SMS tramite un SMS-Gateway :

  • Attivare la modalità di invio usando la proprietà Attivo
  • Deve essere disponibile e configurato un server SMS della ditta DIALOGS srl

Procedura

Configurazione del server SMS.

Per la corretta configurazione del server SMS, si prega di rivolgersi al produttore, DIALOGS srl.

Per un utilizzo con zenon, devono essere soddisfatte le seguenti condizioni:

  • Devono esistere le seguenti cartelle:
    • Cartella in entrata
    • Cartella in uscita
    • Cartella di stato
  • zenon sposta i messaggi in queste cartelle.
  • Il Gateway SMS legge e popola queste cartelle.
  • zenon monitora queste cartelle:
    Non appena in esse si trovano nuovi messaggi o informazioni, vengono passati al Message Control.

Configurazione in zenon

  1. Attivare la modalità di invio usando la proprietà Attivo.
  2. Configurare Cartella in uscita, Cartella in entrata e Cartella di stato.
  3. Configurare il Carrattere iniziale del file messaggi.
    Questa prima lettera è un riferimento univoco per il progetto. Se il SMS-Gateway viene utilizzato da più progetti, deve essere definito per ogni progetto un prefisso differente.
  4. Configurare la proprietà Prima lettera del file di blocco/semaforo: Definisce la prima lettera per i file di blocco/semaforo. Questa prima lettera è univoca per il progetto. Se il SMS-Gateway viene utilizzato da più progetti, deve essere definito per ogni progetto un prefisso differente.
  5. Configurare le proprietà Allarmi intelligenti.
    Se la proprietà viene attivata, gli SMS vengono trattati nel modo seguente:
    • tutti i messaggi in uscita vengono controllati. Se un messaggio inizia con il testo ALARM!, non viene inviato nel formato normale (ID; messaggio), ma nel formato seguente: ALARM! ID; messagge.
    • Se viene inviato un messaggio che inizia con ALARM!, il cellulare del ricevente passa automaticamente alla modalità "molto forte", sempre che questa modalità sia supportata dal telefono stesso.
    • Anche i messaggi in entrata vengono controllati per verificare la presenza di questa stringa di caratteri.
      Se in sesta posizione si trova un punto esclamativo (!), vengono eliminati i primi 6 caratteri e il messaggio viene inoltrato tramite il modulo Message Control.
  6. Configurare le proprietà per Proprietà specifiche di progetto.
  7. Configurare gli utenti e i gruppi utenti.
  8. Creare le funzioni richieste e collegarle a pulsanti o eventi.

Funzionamento a Runtime

  1. Non appena viene avviato il Runtime, il sistema carica i messaggi.
  2. I messaggi vengono composti e inviati sulla base delle impostazioni e non appena viene eseguita una funzione corrispondente.
  3. Se un utente risponde ad un messaggio, la sua risposta viene letta quando i messaggi vengono caricati e viene inoltrata al Message Control.
  4. Questo modulo consente il ripristino.


Messaggi vocali

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio -> Messaggi vocali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I messaggi vocali possono essere inviati come:

  • File audio via modem
  • Text-to-Speech via modem
  • Voice over IP come file audio
  • Voice over IP come Text-to-Speech

Le informazioni relative al processo a Runtime si trovano nei sottocapitoli e nel capitolo Messaggi vocali a Runtime.

Modem

Per poter inviare messaggi via modem, devono essere soddisfatte le seguenti condizioni:

  • Un modem deve essere collegato al computer che invia il messaggio e deve essere configurato.
  • Il telefono del destinatario deve supportare DTMF

Voice over IP

Per poter inviare messaggi via Voice over IP, devono essere soddisfatte le seguenti condizioni:

  • Voice over IP deve essere configurato:
    • Indirizzo server
    • Nome utente
    • Password
  • Il telefono del destinatario deve supportare DTMF
  • Il provider VoIP deve supportare i protocolli SIP e RTP
  • Le corrispondenti porte devono essere aperte nel Firewall:
    • SIP (Default: 5060)
    • RTP (Default 4000)
    • RTCP (Default 4001)

File audio

Per poter inviare messaggi come file audio, devono essere soddisfatte le seguenti condizioni:

  • Si deve salvare nel nodo File/Multimedia rispettivamente un file audio per:
    • Descrizione
    • Conferma
    • Inserimento errato

Text-to-Speech

Per poter inviare messaggi come Text-to-Speech, devono essere soddisfatte le seguenti condizioni:

  • Il telefono del destinatario deve supportare DTMF
  • Deve essere installato un modulo di sintesi vocale (TTS Engine).
  • Deve essere installato il file lingua adatto

Noch in diesem Kapitel

Messaggio vocale da file audio via modem

Messaggio vocale Text-to-Speech via modem

Voice over IP come file audio

Voice over IP come Text-to-Speech


Messaggio vocale da file audio via modem

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio -> Messaggi vocali -> Messaggio vocale da file audio via modem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inviare un messaggio vocale come file audio via modem, devono essere soddisfatte le seguenti condizioni

  • Attivare la modalità di invio usando la proprietà Voice Modem (File Audio)
  • Si deve salvare nel nodo File/Multimedia rispettivamente un file audio per:
    • Descrizione
    • Conferma
    • Inserimento errato
  • Un modem deve essere collegato e configurato sul computer che invia il messaggio.
  • Il telefono del destinatario deve supportare DTMF

Procedura

Configurazione

  1. Attivare la modalità di invio usando la proprietà Voice Modem (File Audio).
  2. Configurare le impostazioni per Timeout [min] e Ripeti testo di benvenuto.
  3. Selezionare il modem per effettuare l'invio usando la proprietà Nome linea.
    La selezione avviene con un menù a tendina contenente una lista di tutti i modem configurati nel pannello di controllo.
  4. Configurare le proprietà per le Proprietà specifiche di progetto.
  5. Configurare gli utenti e i gruppi utenti.
  6. Creare le funzioni richieste e collegarle a pulsanti o eventi.
  7. Questo metodo è con obbligo di ripristino.

Funzionamento a Runtime

  1. Una funzione richiama la modalità di invio.
  2. Viene iniziata una chiamata via modem.
  3. Il sistema considera la connessione instaurata non appena la chiamata viene segnalata alla controparte. Da questo momento viene riprodotto il testo di benvenuto. Si può riprodurlo di nuovo premendo il tasto #.
    Poi si deve inserire il PIN. Solo in seguito verrà riprodotto il messaggio.
  4. Il messaggio deve essere ripristinato dal destinatario con il codice valido:
    • Codice PIN per la conferma
    • Codice-NA per il rifiuto

    Il destinatario può anche fare quanto segue:

    • Riascoltare il file appena udito premendo il tasto cancelletto (#) sulla tastiera del telefono
    • Annullare un inserimento premendo il tasto asterisco (*);
      in questo caso verrà ripetuto il testo di benvenuto.

Nota: Solo alla chiusura della linea viene analizzato lo stato del messaggio (confermato, rifiutato e mancante). Finché la linea è aperta è possibile ricominciare dall'inizio premendo il tasto * e inserire di nuovo il codice. In questo modo si può - ad esempio - cambiare il PIN in NA.


Messaggio vocale Text-to-Speech via modem

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio -> Messaggi vocali -> Messaggio vocale Text-to-Speech via modem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inviare un messaggio vocale via Text-to-Speech:

  • Attivare la modalità di invio usando la proprietà Voice Modem (Text-to-Speech)
  • Un modem deve essere collegato al computer che invia il messaggio e deve essere configurato.
  • Il telefono del destinatario deve supportare DTMF
  • Deve essere installato un modulo di sintesi vocale (TTS Engine).
  • Deve essere installato il file lingua adatto

File lingua

A seconda della versione dell´Editor (a 32-Bit o a 64-Bit), si deve installare e configurare nel sistema operativo la voce adatta (compatibile con 32-Bit o 64-Bit)

Per far questo:

  1. Chiudere l´Editor.
  2. Selezionare la voce adatta alla versione dell´Editor usata (sapi.cpl):
    • Voce compatibile a 32-Bit per l`Editor a 32-Bit: C:\Windows\System32\Speech\SpeechUX\sapi.cpl
    • Voce compatibile a 64-Bit per l`Editor a 64-Bit: C:\Windows\SysWOW64\Speech\SpeechUX\sapi.cpl
  3. Avviare l´Editor e selezionate nella proprietà Voce del Message Control la voce configurata.

Procedura

Configurazione

  1. Attivare la modalità di invio usando la proprietà Voice Modem (Text-to-Speech).
  2. Configurare le impostazioni per Timeout [min] e Ripeti testo di benvenuto
  3. Selezionare il modem per effettuare l'invio usando la proprietà Nome linea.
    La selezione avviene con un menù a tendina contenente una lista di tutti i modem configurati nel pannello di controllo.
  4. Configurare le proprietà per Text-to-Speech.
    • Voce
    • Velocità riproduzione voce
    • Volume
  5. Configurare le proprietà per Proprietà specifiche di progetto.
  6. Configurare gli utenti e i gruppi utenti.
  7. Creare le funzioni richieste e collegarle a pulsanti o eventi.
  8. Questo metodo è con obbligo di ripristino.

Funzionamento a Runtime

  1. Una funzione richiama la modalità di invio.
  2. Viene iniziata una chiamata via modem.
  3. Il sistema considera la connessione instaurata non appena la chiamata viene segnalata alla controparte. A partire da questo momento viene riprodotta la descrizione. Si può riprodurla di nuovo premendo il tasto #.
    Poi si deve inserire il PIN. Solo dopo viene riprodotto il testo per la conferma.
  4. Il messaggio deve essere ripristinato oppure rifiutato dal destinatario con il codice valido:
    • Codice PIN per la conferma
    • Codice-NA per il rifiuto

    Il destinatario può anche fare quanto segue:

    • Riascoltare il file appena udito premendo il tasto cancelletto (#) sulla tastiera del telefono
    • Annullare un inserimento premendo il tasto asterisco (*); in questo caso verrà ripetuto il saluto

info Informazioni su

A seconda del sistema operativo e del software installato, sono già disponibili delle voci e delle lingue che zenon può utilizzare. Potete ottenere altre voci e lingue rivolgendovi al distributore di COPA-DATA. Attualmente sono disponibili: tedesco, inglese (US, UK e indiano), francese e spagnolo.


Voice over IP come file audio

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio -> Messaggi vocali -> Voice over IP come file audio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter inviare un messaggio come file audio via Voice over IP, devono essere soddisfatte le seguenti condizioni:

  • La modalità di invio deve essere stata attivata con la proprietà Voice over IP (File Audio)
  • Deve essere stata configurata l'opzione Voice over IP
  • Si deve salvare nel nodo File/Multimedia rispettivamente un file audio per:
    • Descrizione
    • Conferma
    • Inserimento errato
  • Il telefono del destinatario deve supportare DTMF
  • Il provider VoIP deve supportare i protocolli SIP e RTP
  • Le corrispondenti porte devono essere aperte nel Firewall:
    • SIP (Default: 5060)
    • RTP (Default 4000)
    • RTCP (Default 4001)

Procedura

Configurazione

  1. Attivare la modalità di invio usando la proprietà Voice over IP (File Audio).
  2. Configurate le impostazioni del gruppo Voice over IP:
    • Indirizzo server
    • Nome user
    • Password
  3. Configurare le proprietà per Proprietà specifiche di progetto.
  4. Configurare gli utenti e i gruppi utenti.
  5. Creare le funzioni richieste e collegarle a pulsanti o eventi.
  6. Questo metodo è con obbligo di ripristino.

Funzionamento a Runtime

  1. Una funzione richiama la modalità di invio.
  2. La chiamata viene avviata via server VoIP.
  3. Il sistema considera la connessione instaurata non appena la chiamata viene accettata dalla controparte. A partire da questo momento viene riprodotta la descrizione. Si può riprodurla di nuovo premendo il tasto #.
  4. La descrizione deve essere ripristinata dal destinatario mediante il codice valido per rispettivamente:
    • Codice PIN per la conferma
    • Codice-NA per il rifiuto

    Il destinatario può anche fare quanto segue:

    • Riascoltare il file appena udito premendo il tasto cancelletto (#) sulla tastiera del telefono
    • Annullare un inserimento premendo il tasto asterisco (*)

    La chiamata non viene terminata automaticamente. Deve essere terminata dal destinatario.

    Solo alla chiusura della linea viene analizzato lo stato del messaggio (confermato, rifiutato e mancante). Finché la linea è aperta è possibile ricominciare dall'inizio premendo il tasto * e inserire di nuovo il codice. In questo modo si può - ad esempio - cambiare il PIN in NA.

Nota:

  • se la chiamata non viene accettata, il sistema provvede a chiamare la persona di riserva, se configurata. In caso contrario la chiamata viene interrotta.
  • Nella lista dei messaggi verrà visualizzato il nome del file audio nella colonna Messaggi.


Voice over IP come Text-to-Speech

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio -> Messaggi vocali -> Voice over IP come Text-to-Speech

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inviare un messaggio vocale via Text-to-Speech, devono essere soddisfatte le seguenti condizioni:

  • La modalità di invio deve essere stata attivata usando la proprietà Voice over IP (Text-to-Speech)
  • Deve essere stato configurato Voice over IP
  • Il telefono del destinatario deve supportare DTMF
  • Deve essere installato un modulo di sintesi vocale (TTS Engine).
  • Deve essere installato il file lingua adatto
  • Il provider VoIP deve supportare i protocolli SIP e RTP
  • Le corrispondenti porte devono essere aperte nel Firewall:
    • SIP (Default: 5060)
    • RTP (Default 4000)
    • RTCP (Default 4001)

File lingua

A seconda della versione dell´Editor (a 32-Bit o a 64-Bit), si deve installare e configurare nel sistema operativo la voce adatta (compatibile con 32-Bit o 64-Bit)

Per far questo:

  1. Chiudere l´Editor.
  2. Selezionare la voce adatta alla versione dell´Editor usata (sapi.cpl):
    • Voce compatibile a 32-Bit per l`Editor a 32-Bit: C:\Windows\System32\Speech\SpeechUX\sapi.cpl
    • Voce compatibile a 64-Bit per l`Editor a 64-Bit: C:\Windows\SysWOW64\Speech\SpeechUX\sapi.cpl
  3. Avviare l´Editor e selezionate nella proprietà Voce del Message Control la voce configurata.

Procedura

Configurazione

  1. Attivare la modalità di invio usando la proprietà Voice over IP (Text-to-Speech).
  2. Configurare le proprietà del gruppo Voice over IP:
    • Indirizzo server
    • Nome user
    • Password
  3. Configurare le proprietà per Text-to-Speech.
    • Voce
    • Velocità riproduzione voce
    • Volume
  4. Configurare le proprietà per Proprietà specifiche di progetto.
  5. Configurare gli utenti e i gruppi utenti.
  6. Creare le funzioni richieste e collegarle a pulsanti o eventi.
  7. Questo metodo è con obbligo di ripristino.

Funzionamento a Runtime

  1. Una funzione richiama la modalità di invio.
  2. La chiamata viene avviata via server VoIP.
  3. Il sistema considera la connessione instaurata non appena la chiamata viene accettata dalla controparte. A partire da questo momento viene riprodotta la descrizione. Si può riprodurla di nuovo premendo il tasto #.
  4. La descrizione deve essere ripristinata oppure rifiutata dal ricevente con il codice valido:
    • Codice PIN per la conferma
    • Codice-NA per il rifiuto

    Il destinatario può anche fare quanto segue:

    • Riascoltare il file appena udito premendo il tasto cancelletto (#) sulla tastiera del telefono
    • Annullare un inserimento premendo il tasto asterisco (*); in questo caso verrà ripetuto il saluto

Nota:

  • se la chiamata non viene accettata, il sistema provvede a chiamare la persona di riserva, se configurata. In caso contrario la chiamata viene interrotta.
  • Nella lista dei messaggi verrà visualizzato il testo del messaggio nella colonna Messaggi.

info Informazioni su

A seconda del sistema operativo e del software installato, sono già disponibili delle voci e delle lingue che zenon può utilizzare. Potete ottenere altre voci e lingue rivolgendovi al distributore di COPA-DATA. Attualmente sono disponibili: tedesco, inglese (US, UK e indiano), francese e spagnolo.


Inserimenti nel file zenon6.ini

Manuale -> Message Control -> Configurare il Message Control -> Impostazioni generali per l´invio -> Inserimenti nel file zenon6.ini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Message Control viene configurato soprattutto attraverso le proprietà globali e quelle specifiche del progetto. Nel file zenon6.ini, le proprietà globali delle modalità di trasmissione vengono visualizzate nella sezione [Message Control]:

Nota: le modifiche devono essere effettuate sempre usando le proprietà dell'interfaccia di zenon.

Significato degli inserimenti INI:

Inserimento

Descrizione

[MESSAGE CONTROL]

Impostazioni per il modulo Message Control.

Raccomandazione: eseguire la configurazione usando le proprietà del gruppo Message-Control del workspace (inclusi sottogruppi) e le proprietà del gruppo Proprietà specifiche di progetto nel nodo Message Control dell´albero di progetto.

GSM_SMS=

Attivazione di SMS tramite GMS come tipo di invio.

  • 0: attivo
  • non 0: non attivo.

Default: 0

L´inserimento corrisponde nel Message32.ini all´inserimento [GSM]
On

Il sistema ne tiene conto quando esegue l´importazione o esportazione delle impostazioni INI.

Corrisponde alla proprietà Attivo nel gruppo Messaggio SMS (Modem GSM) dell´Editor.

GSM_SMS_COM=

La porta COM che viene usata per la connessione con il modem.

Default: vuoto

Corrisponde alla proprietà Porta modem (seriale) dell´Editor.

GSM_SMS_PIN=

Codice PIN usato per l´autenticazione nei confronti del modem.

Default: vuoto

Corrisponde alla proprietà Codice PIN dell´Editor.

GSM_SMS_SMSC=

Numero di telefono del centro messaggi del provider GSM.

Default: vuoto

Corrisponde alla proprietà Numero centro messaggi dell´Editor.

GSM_BULK_DELETE=

Comportamento nella cancellazione di un SMS:

  • 0: i messaggi vengono cancellati con il metodo Index. Gli SMS letti vengono cancellati singolarmente.
  • 1: i messaggi vengono cancellati con il metodo Statusflag. Tutti gli SMS letti vengono cancellati contemporaneamente.
    Nota: Questo metodo è più veloce e garante di prestazioni migliori, ma non viene supportato da tutti i modem.

Default: 0

Corrisponde alla proprietà Eliminazione SMS con la sintassi flag di stato dei comandi AT+CMGD dell´Editor.

Outlook=

Notifica tramite E-Mail via Outlook:

  • 0: disattivato.
  • 1: attivo

Default: 0

Corrisponde alla proprietà Attivo nel gruppo Messaggio E-Mail (Outlook) dell´Editor

Outlook_Profile=

Nome del profilo Outlook che deve essere utilizzato per l´invio.

Default: vuoto

Corrisponde alla proprietà Profilo dell´Editor.

POP_APOP=

Gestisce l´autenticazione sul server della posta in arrivo in caso di notifica via SMTP/POP.

  • 0: per l´autenticazione si usano utente (USER) e password (PASS).
  • 1: per l´autenticazione si usa il comando APOP invece di utente e password.

Default: 0

Corrisponde alla proprietà Utilizzare un commando APOP per l'autenticazione nel gruppo Messaggio E-Mail (SMTP) dell´Editor .

POP_KEEP_MAILS=

Definisce se le E-Mail lette devono rimanere sul server:

  • 0: Le E-Mail vengono cancellate dopo essere state caricate dal server.
  • 1: Le E-Mail vengono mantenute dopo essere state caricate dal server.

Default: 0

Nota: visto che POP3 non offre la possibilità di filtrare le Mail durante l´operazione di carico, vengono sempre caricate tutte le Mail contenute nella posta in arrivo. Se questa proprietà è attiva, aumenta l´utilizzo memoria sul server e possono diminuire le prestazioni nell´eseguire l´operazione di recupero dei messaggi.

Corrisponde alla proprietà Lascia sul server le E-Mail già lette dell´Editor.

POP_PASSWORD=

Password per il login sul server della posta in arrivo (POP3). La password viene salvata in forma crittografata e viene decodificata solamente per l´autenticazione.

Deve essere modificato solamente nell`Editor.

Default: vuoto

Corrisponde alla proprietà Password nel gruppo Server di posta in arrivo dell´Editor.

POP_POLL_INTERVALL=

Intervallo minimo in secondi fra due richieste POP3. Il valore non deve essere inferiore ai criteri del server POP3.

  • Minimo: 10
  • Massimo: 4294967295

Default: 60

Corrisponde alla proprietà Periodo minimo tra due richieste (s) dell´Editor.

POP_PORT=

Porta attraverso cui viene raggiunto il server POP3.

  • Valore massimo: 6553

Default per:

  • Connessione non sicura: 110
  • Connessione protetta: 995

Corrisponde alla proprietà Porta nel gruppo Server di posta in arrivo dell´Editor.

POP_SECURITY=

Il tipo di protezione della connessione con il server POP3.

  • 0: nessun protezione.
  • 1: SSLv2 e SSLv3
  • 2: TLSv1

Default: 0

Corrisponde alla proprietà Codifica nel gruppo Server di posta in arrivo dell´Editor.

POP_SERVER=

Indirizzo del server POP3.

Default: vuoto

Corrisponde alla proprietà Indirizzo server nel gruppo Server di posta in arrivo dell´Editor.

POP_USER=

Nome user per il server posta in arrivo

Default: vuoto

Corrisponde alla proprietà Nome user nel gruppo Server di posta in arrivo dell´Editor.

SMSGateway=

Notifica tramite SMS via SMS-Gateway:

  • 0: disattivato.
  • 1: attivo

Default: 0

Corrisponde alla proprietà Attivo nel gruppo Messaggio SMS (Gateway SMS) dell´Editor.

SMSGateway_Inbox=

Cartella della posta in entrata del server SMS per l´invio di SMS.

Default: vuoto

Corrisponde alla proprietà Cartella in entrata dell´Editor.

SMSGateway_OriginId=

Identificazione mittente per invio di SMS.

Default: vuoto

Corrisponde alla proprietà Identificazione chiamante dell´Editor.

SMSGateway_Outbox=

Cartella della posta in uscita del server SMS per l´invio di SMS.

Default: vuoto

Corrisponde alla proprietà Cartella in uscita dell´Editor.

SMSGateway_Prefix=

Prima lettera dei file SMS. Deve essere univoca per ogni singolo progetto.

Lunghezza: 1 carattere

Default: F

Corrisponde alla proprietà Carrattere iniziale del file messaggi dell´Editor.

SMSGateway_SemaphorPrefix=

Prima lettera del file di blocco.

Lunghezza: 1 carattere

Default: S

Corrisponde alla proprietà Prima lettera del file di blocco/semaforo dell´Editor.

SMSGateway_SmartAlarm=

Viene usato smart alarming. Deve essere univoco per ogni singolo progetto.

  • 0: disattivato.
  • 1: attivo

Default: 0

Corrisponde alla proprietà Allarmi intelligenti dell´Editor.

SMSGateway_Statusbox=

Cartella per il messaggio di stato in caso di invio di SMS.

Default: vuoto

Corrisponde alla proprietà Cartella di stato dell´Editor.

SMSGateway_TimeOut=

Tempo di timeout in minuti per messaggi in uscita. Determina alla scadenza di quale intervallo di tempo un messaggio viene considerato "non inviato con successo".

Default: 60

Corrisponde alla proprietà Timeout dell´Editor.

SMTP_AUTH=

Autenticazione sul server della posta in uscita.

  • 0: nessun protezione.
  • 1: registrare sul server POP3 prima dell´invio.
  • 2: SMTP AUTH con registrazione sul server SMTP prima dell´invio.

Default: 0

Corrisponde alla proprietà Autenticazione sul server di posta in uscita nel gruppo Server posta in uscita dell´Editor.

SMTP_OTHER_CREDS=

Determina se il server della posta in uscita utilizza altri dati di registrazione rispetto a quelli del server posta in arrivo.

  • 0: disattivato.
  • 1: attivo

Default: 0

Corrisponde alla proprietà nel gruppo Server posta in uscita dell´Editor.

SMTP_PASSWORD=

Dump esadecimale della password crittografata per l´autenticazione sul server della posta in uscita.

Default: vuoto

Corrisponde alla proprietà nel gruppo Server posta in uscita nell´Editor.

SMTP_OTHER_CREDS=

Dati di accesso per il server SMTP.

  • 0: I dati di accesso per il server posta in arrivo vengono utilizzate anche per il server della posta in uscita.
  • 1: Per l´autenticazione sul server della posta in uscita vengono utilizzati altri dati di accesso che sul server posta in arrivo.

Default: 0

Corrisponde alla proprietà Utilizza altre credenziali di accesso del server di posta in entrata nel gruppo Server posta in uscita dell´Editor.

SMTP_OUT_ADDR=

Indirizzo per le E-Mail in uscita.

Default: vuoto

Corrisponde alla proprietà Indirizzo delle E-Mail in uscita nel gruppo Server posta in uscita dell´Editor.

SMTP_POP_MAIL=

Notifica tramite E-Mail via SMTP/POP:

  • 1: attivo
  • 0: disattivato.

Default: 0

Corrisponde alla proprietà Attivo nel gruppo Server posta in uscita dell´Editor.

SMTP_PORT=

Definisce la porta usata dal server SMTP.

Massimo: 65535

Default: 25

Corrisponde alla proprietà Porta nel gruppo Server posta in uscita dell´Editor.

SMTP_SECURITY=

Tipo di crittografia per la connessione con il server SMTP.

  • 0: nessun protezione.
  • 1: SSLv2 e SSLv3
  • 2: TLSv1

Default: 0

Corrisponde alla proprietà Codifica nel gruppo Server posta in uscita dell´Editor.

SMTP_SERVER=

Il server SMTP inserito dall´utente.

Default: vuoto

Corrisponde alla proprietà Indirizzo server nel gruppo Server posta in uscita dell´Editor.

SMTP_SRV_IS_POP=

Questo inserimento stabilisce se il server POP3 viene usato come server SMTP.

  • 1: POP 3 è SMTP
  • 0: POP3 e SMTP sono server differenti

Default: 0

Corrisponde alla proprietà Utilizza server di posta in arrivo per le E-Mail in uscita nel gruppo Server posta in uscita dell´Editor.

SMTP_SUBJECT=

Oggetto per E-Mail in uscita e per stabilire se una E-Mail in entrata sul server è rilevante per il tipo di invio.

Anche le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate dal sistema. Le E-Mail che non contengono questo testo non verranno né inoltrate al Message Control, né cancellate dal server.

Default: MsgCtrl_Alert:

Corrisponde alla proprietà Soggetto per E-Mail nel gruppo Server posta in uscita dell´Editor.

SMTP_USER=

Nome user per il server della posta in uscita salvato.

Default: vuoto

Corrisponde alla proprietà Nome user nel gruppo Server posta in uscita dell´Editor.

SMTP_USER_IS_ADDR=

Stabilisce se il nome utente per l´autenticazione nei confronti del server di posta in uscita viene usato come indirizzo mittente per i messaggi in uscita. Viene usato solamente se l´inserimento SMTP_AUTH= non è 0.

  • 1: attivo
  • 0: non attivo.

Default: 0

Corrisponde alla proprietà Nome utente come indirizzo delle E-Mail in uscita nel gruppo Server posta in uscita dell´Editor.

Speech=

Notifica Text-to-Speech (via Modem)

  • 0: disattivato.
  • 1: attivo

Default: 0

Corrisponde alla proprietà Voice Modem (Text-to-Speech) nel gruppo Messaggio vocale dell´Editor.

Speech_Name=

Selezione della voce e della lingua per il Text-to-Speech.

Assicurarsi di scegliere la lingua corretta per l Editor:

  • Editor a 32-Bit: C:\Windows\SysWOW64\Speech\SpeechUX\sapi.cpl
  • Editor a 64-Bit: C:\Windows\System32\Speech\SpeechUX\sapi.cpl

Default: vuoto

Corrisponde alla proprietà Voce nel gruppo Text-to-Speech dell´Editor.

Speech_Rate=

Velocità della voce.

  • Minimo: -10
  • Massimo: 10

Default: 0

Corrisponde alla proprietà Velocità riproduzione voce nel gruppo Text-to-Speech dell´Editor.

Speech_Volume=

Volume della voce. Il numero corrisponde al valore percentuale del valore massimo della voce selezionata.

  • Massimo: 100
  • Minimo: 0: viene ripreso il valore dal sistema operativo senza alcuna modifica.

Default: 0

Corrisponde alla proprietà Volume nel gruppo Text-to-Speech dell´Editor.

Subject=

ID univoco che le Mail in entrata devono contenere per poter essere elaborate nel modulo Message Control.

Default: MsgCtrl_Alert:

Corrisponde alla proprietà Oggetto (ID) nel gruppo Messaggio E-Mail (Outlook) dell´Editor.

Telephone=

Notifica mediante file audio via Modem:

  • 0: disattivato.
  • 1: attivo

Default: 0

Corrisponde alla proprietà Voice Modem (File Audio) nel gruppo Messaggio vocale dell´Editor.

Telephone_IgnoreDisconnect=

Comportamento in caso di interruzione della connessione:

  • 1: una disconnessione (per es. quando il ricevente termina il colloquio) viene ignorata e il messaggio viene riprodotto completamente prima che la connessione venga interrotta.
  • 0: il messaggio viene terminato quando si interrompe la comunicazione.

Default: 0

Corrisponde alla proprietà Ignora disconnessioni nel gruppo Messaggio vocale dell´Editor .

Telephone_Line=

Inserimento del modem da usare. Questo deve essere già configurato sul computer.

Corrisponde alla proprietà Nome linea nel gruppo Impostazioni telefono dell´Editor.

Telephone_LineId=

ID-dispositivo generato automaticamente che identifica il modem selezionato. Serve a distinguere i diversi dispositivi quando si hanno più modem con lo stesso nome.

Attenzione: solo a scopo informativo. Non ne è consentita la modifica qui!

Corrisponde alla proprietà Id linea nel gruppo Impostazioni telefono dell´Editor.

Telephone_Timeout=

Tempo in minuti al cui scadere una connessione in attesa deve essere interrotta o terminata. L´intervallo di tempo deve essere maggiore a quello necessario per riprodurre e confermare il messaggio.

Default: 1

Corrisponde alla proprietà Timeout [min] nel gruppo Messaggio vocale dell´Editor.

Telephone_WelcomeMessageCount=

Numero delle ripetizioni del testo di benvenuto.

Default: 5

Corrisponde alla proprietà Ripeti testo di benvenuto nel gruppo Messaggio vocale dell´Editor.

VOIP_AUDIO=

Messaggio vocale come file audio via Voice over IP:

  • 0: disattivato.
  • 1: Voice over IP (File Audio)

Default: 0

Corrisponde alla proprietà Voice over IP (File Audio) nel gruppo Messaggio vocale dell´Editor.

Nota:

Per pote usare VoIP, devono essere soddisfatte le seguenti condizioni:

  • Il provider VoIP deve supportare i protocolli SIP e RTP.
  • Nel firewall devono essere aperte le porte corrispondenti:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

VOIP_DOMAIN=

indirizzo server del provider VoIP.

Default: (vuoto)

Corrisponde alla proprietà Indirizzo server nel gruppo Voice over IP dell´Editor.

VOIP_PASSWORD=

Password per l´accesso VoIP.

È salvata in forma criptata e può essere modificata solamente nell´interfaccia utente.

Default: (Vuota)

Corrisponde alla proprietà Password nel gruppo Voice over IP dell´Editor.

VOIP_RTP=

Numerop della porta RTP per VoIP.

Default: 4000

Corrisponde alla proprietà Porta RTP nel gruppo Voice over IP dell´Editor.

VOIP_SIP=

Numero della porta SIP per VoIP.

Default: 5060

Corrisponde alla proprietà Porta SIP nel gruppo Voice over IP dell´Editor.

VOIP_TTS=

Messaggio vocale per Voice over IP come Text-to-Speech:

  • 0: disattivato.
  • 1: Voice over IP (Text-to-Speech)

Default: 0

Corrisponde alla proprietà Voice over IP (Text-to-Speech) nel gruppo Messaggio vocale dell´Editor.

Nota:

Per pote usare VoIP, devono essere soddisfatte le seguenti condizioni:

  • Il provider VoIP deve supportare i protocolli SIP e RTP.
  • Nel firewall devono essere aperte le porte corrispondenti:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

VOIP_USER=

Nome utente per l´accesso VoIP.

Default: (Vuota)

Corrisponde alla proprietà Nome user nel gruppo Voice over IP dell´Editor.

info Informazioni su

Alcune proprietà possono accettare i valori di altre proprietà. Si salva sempre il valore inserito per ultimo. Perciò i valori degli inserimenti INI non devono sempre corrispondete necessariamente ai valori delle proprietà visualizzati nell´Editor.. La cosa interessa le seguenti proprietà:

  • SMTP_SERVER= -> Indirizzo server
  • SMTP_USER= -> Nome user
  • SMTP_PASSWORD= -> Password
  • SMTP_OUT_ADDR= -> Indirizzo delle E-Mail in uscita


Proprietà specifiche di progetto

Manuale -> Message Control -> Configurare il Message Control -> Proprietà specifiche di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le proprietà specifiche di progetto si trovano nella sezione Message Control del progetto in questione. Contengono le proprietà per la configurazione dei messaggio e del loro invio. Le proprietà generali relative ai metodi di trasmissione si configurano nelle proprietà Message-Control del workspace.

Attivazione del Message Control per il progetto

Il Message Control può essere attivato a Runtime come segue:

  • Proprietà Attivo all'avvio del Runtime: se si attiva questa proprietà, il Message Control si avvia automaticamente insieme al Runtime.
  • Funzione Attiva invio messaggio: con la chiamata di questa funzione si avvia il Message Control. I messaggi vengono elaborati solo a partire da questo momento.

Il Message Control può essere chiuso a Runtime con la funzione Disattiva invio messaggio.

Proprietà specifiche di progetto

Nelle proprietà specifiche di progetto si può definire:

  • La parte dinamica dell´oggetto usando la proprietà Parte dinamica del soggetto: i messaggi in entrata vengono filtrati sulla base di questo contenuto per essere poi inoltrati al Message Control.
  • Registrazione del messaggio usando la proprietà Salva nella CEL: Nella Lista eventi cronologica, i messaggi possono essere protocollati sulla base di diversi criteri:
  • Tutte le conferme:
    tutti i messaggi
  • Nessuna conferma:
    nessun messaggio
  • Solo conferme negative:
    solo messaggi che sono stati rifiutati, oppure a cui non è stata data risposta (anche ripetizioni).
    • Solo conferme positive:
      solo messaggi che sono stati già ripristinati.
  • Contrassegno dello stato del messaggio tramite colore e grafica: La colonna Stato dell´immagine Message Control può visualizzare lo stato di un messaggio con l'uso di una grafica e di un colore.
  • Regole per la ripetizione di chiamate interrotte.

info Informazioni su

Regole per chiamate interrotte:

  • se una chiamata viene interrotta senza conferma o rifiuto, e l´interruzione non viene classificata come errore hardware, accade quanto segue:
    • non si chiama di nuovo lo stesso destinatario
    • si procede a trasmettere il messaggio a persone di riserva non ancora avvertite, oppure a membri del gruppo
  • Se una chiamata viene interrotta da un errore hardware, si procederà a chiamare lo stesso destinatario per il numero di volte impostato nella proprietà Massimo numero tentativi.

Configurazione del messaggio

Un messaggio è composto da:

  1. Una parte statica: oggetto non modificabile, che viene definito nelle impostazioni globali per le E-Mail.
  2. Una parte dinamica: parte dell´oggetto specifica per un progetto. Viene definita con la proprietà Parte dinamica del soggetto.

Struttura della parte dinamica dell´oggetto:

  • Le parti del testo vengono separate da punto e virgola (;).
  • $: identifica un testo che contiene parametri.
  • Un parametro può:
    • Essere una chiave della tabella lingua: per es. @MyText;
    • Riferirsi ad una variabile, quando si esegue la funzione via AML oppure una violazione di valore limite: per es. %Var1;
    • Essere un inserimento composto nella tabella lingua: per es. %@Var2+MultipleText
  • @ identifica il cambio lingua
  • % identifica le variabili
  • %% identifica parametri Testo valore limite per le variabili

    Si può indicare una variabile fra i due simboli di percentuale.
    Se non se ne viene indicata nessuna, il valore si riferirà alla variabile principale.

    • I messaggi terminano con un punto e virgola (;).

Parametri

A Runtime

Azione

Chiave:

@MyText

Il sistema verifica se per la lingua attuale c'è un inserimento per @MyText nella tabella lingua.
  • Esistente: l´inserimento viene aggiunto al messaggio.
  • Non esistente: A seconda dell´impostazione della proprietà di progetto Visualizza parole chiave non tradotte, viene inserito nel messaggio @MyText oppure MyText.

Variabile:

%Var1%

Il sistema controlla se la variabile esiste e il valore può essere letto.

  • Esistente: il valore della variabile viene ripreso e inserito come stringa nel testo.
  • Non esistente/illeggibile: il testo xxx viene inserito nel messaggio.

Inserimento composto:

@StringTabelle+%var1Text

Il sistema controlla se:

  • 1. la variabile esiste e il valore può essere letto. Il valore viene aggiunto come stringa al testo-prefisso („MultipleText").
  • 2. per il testo esiste un inserimento nella tabella lingua.
  • Variabile e testo esistenti:
    il testo viene aggiunto al messaggio.
    Esempio: valore della variabile è 33. Allora il sistema controlla nella tabella lingua se esiste @StringTabelle33 e aggiunge il relativo testo.
  • Non esistente: A seconda dell´impostazione della proprietà di progetto Visualizza parole chiave non tradotte, viene inserito nel messaggio @MyText oppure MyText.

Esempio: $@Warning;%Var1;


Crea immagine del tipo Message Control

Manuale -> Message Control -> Configurare il Message Control -> Crea immagine del tipo Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine di tipo Message Control serve a gestire la coda di messaggi (Message-Queue) di un progetto a Runtime.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionare nella proprietà Tipo di immagine Message Control.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Elementi di controllo

Descrizione

Inserisci template

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Pulsanti

Pulsanti per azioni a Runtime.

Aggiorna

Aggiorna la visualizzazione. I dati correnti vengono caricati nell´immagine dalla coda di messaggi (Message Queue).

Il momento in cui è avvenuto l´ultimo update può essere visualizzato usando il campo Ultimo aggiornamento.

Elimina

Cancella l´inserimento selezionato dalla lista, Possono essere cancellati solamente i messaggi che non sono stati ancora inviati.

Filtro

Apre la finestra di dialogo per configurare il filtro per la visualizzazione.

Stop/Avanti

Avvia e termina l´update ciclico della lista.

Finestra

Liste e campi che possono essere visualizzati durante il Runtime.

Quantità notizie

Numero dei messaggi esistenti al momento.

Ultimo aggiornamento

Time stamp dell´ultimo update.

Gruppi allarme/evento soppressi

Gruppi allarme/evento per i quali i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda di messaggi (Message Queue).

Classi allarme/evento soppresse

Classi allarme/evento per i quali i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda di messaggi (Message Queue).

Aree allarme/evento soppresse

Aree allarme/evento per le quali i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda di messaggi (Message Queue).

Impianti soppressi

Impianti per i quali i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda messaggi (Message Queue).

Coda messaggi

Lista dei messaggi.

Contiene i messaggi inviati, confermati o cancellati, oppure quelli che sono ancora da inviare.

I messaggi vengono solamente visualizzati e non possono essere più modificati.

Le intestazioni colonna possono essere nominate individualmente e, se si utilizza come prefisso il carattere @, sono traducibili .

Profili filtro

Gestione profili.

Selezione profili

Apre la finestra di dialogo che serve a selezionare un profilo.

Salva

Salva le impostazioni attuali come profilo.

Elimina

Cancella il profilo.

Importa

Apre la finestra di dialogo per importare dei profili da un file.

Esporta

Apre la finestra di dialogo per esportare dei profili da un file.

info Informazioni su

Le colonne della lista possono essere configurate nell´Editor usando i Filtri per la funzione cambio immagine, e, a Runtime, usando il parametro della funzione Cambio immagine -> Visualizza questa finestra di dialogo a RT, oppure il pulsante Filtro. Si possono definire delle didascalie per le singole colonne della lista, traducibili nelle diverse lingue.


Gestione user

Manuale -> Message Control -> Configurare il Message Control -> Gestione user

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli utenti ed i gruppi utenti per il Message Control vengono creati e gestiti nella gestione user di zenon. Perché un utente possa utilizzare il Message Control, si deve attivare nella gestione user o la proprietà Utente Message Control, o la proprietà Gruppo Message Control.

Gli utenti ed i gruppi utenti vengono referenziati per nome.

attention Attenzione

Assicurarsi che i dati contatto richiesti per l'invio di messaggi siano stati configurati per ogni utente.

Se un utente o un gruppo utenti deve essere avvertito a Runtime e i dati necessari per la modalità di invio selezionata non sono disponibili, l'invio viene cancellato. Non verrà effettuato un altro tentativo di invio.

Per i gruppi, questo significa: se, ad esempio, il quarto utente di una lista non è stato configurato correttamente, vengono avvertiti solo i primi tre. Il processo viene cancellato per il quarto utente. Quest'ultimo e tutti gli user successivi della lista non riceveranno nessuna notifica. Non verrà fatto un tentativo di avvertire nuovamente primi tre utenti.

Utente

Parametri

Descrizione

Utente Message Control

Attivo: l´utente viene utilizzato dal modulo Message Control.

Telefono

Numero dell´apparecchio telefonico dell´utente abilitato a riprodurre messaggi Text-to-Speech. Viene usato per messaggi Text-to-Speech.

Inserimento in cifre. Sono, inoltre, consentiti:

  • Il segno (+) all´inizio come abbreviazione per lo 00 dei prefissi internazionali.
  • Nella gestione user AD , anche i seguenti caratteri separatori: meno (-), barra (/) e Spazio
    Nota: Nell´ambito della comunicazione fra AD e Message Control, vengono rimossi i caratteri separatori non appena i dati AD vengono mappati su un oggetto di zenon.

Cellulare

Numero del telefono cellulare dell´utente. Viene usato per messaggi via GSM e SMS.

Inserimento in cifre. Sono, inoltre, consentiti:

  • Il segno (+) all´inizio come abbreviazione per lo 00 dei prefissi internazionali.
  • Nella gestione user AD , anche i seguenti caratteri separatori: meno (-), barra (/) e Spazio
    Nota: Nell´ambito della comunicazione fra AD e Message Control, vengono rimossi i caratteri separatori non appena i dati AD vengono mappati su un oggetto di zenon.

E-Mail

Indirizzo E-Mail dell´utente.

Sostituto

È possibile indicare un sostituto da contattare nel caso in cui un utente non sia raggiungibile, oppure rifiuti di accettare il messaggio, Cliccando sul pulsante ..., si apre la finestra di dialogo che serve alla selezione di un utente. Il sistema consente di effettuare la scelta solamente fra quegli utenti che sono stati attivati come user del Message Control (vedi proprietà ).

Codice PIN

Codice PIN con cui l´utente conferma di aver ricevuto il messaggio.

Codice-NA

Codice PIN con cui l´utente rifiuta il ricevimento del messaggio (Not Available). Il messaggio verrà poi inviato al prossimo utente della lista.

Nel caso in cui non sia indicato nessun ulteriore utente nella lista, il messaggio verrà contrassegnato come "non ripristinato con successo" . Il sistema eseguirà la funzione assegnata a questa condizione. Inoltre, verrà generato in ogni caso il seguente inserimento CEL: rifiutato da".

Nota: Ulteriori informazioni riguardanti l´assegnazione di funzioni sono disponibili nel capitolo Conferma di ricezione - Impostazioni Conferma di ricezione.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

attention Attenzione

I codici di ripristino per PIN (conferma) e NA (rifiuto) devono essere differenti e non dovrebbero essere molti simili.

Se i codici sono identici, il codice viene interpretato come PIN e, dunque, come conferma del ricevimento del messaggio.

Se il sistema riceve un codice sconosciuto, il messaggio verrà inviato alla persona di riserva nel caso di SMS e E-‑Mail; nel caso di messaggi vocali, invece, verrà riprodotto il messaggio di errore.

Ordinamento all´interno di un gruppo utenti

Gli utenti possono essere ordinati all´interno di un gruppo usando la proprietà Ordinamento utenti.

Parametri | Descrizione
Utente | Lista di tutti gli utenti disponibili.
In su | Sposta l´utente selezionato di una posizione in sù.
In giù | Sposta l´utente selezionato di una posizione in giù.
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

A Runtime, l'ordinamento degli utenti della gestione utenti globale viene aggiunta a quella definita in questa proprietà. Gli utenti locali, dunque, sono visualizzati sempre prima di quelli globali.

info Informazioni su

I dettagli sulla gestione user in zenon si trovano nella parte della guida riguardante la Gestione user.


Funzioni

Manuale -> Message Control -> Configurare il Message Control -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´uso del Message Control a Runtime è gestito tramite funzioni.

Con queste:

  • Il Message Control viene attivato e disattivato
  • I messaggi vengono inviati
  • Viene aperta l´immagine di tipo Message Control per gestire la coda di messaggi
  • Viene salvata la coda di messaggi
  • Vengono disabilitati degli elementi per i messaggi

Noch in diesem Kapitel

Cambio ad un´immagine di tipo Message Control

Salva coda d'attesa corrente

Sopprimi Gruppi/Classi/Aree/Strutture

Invia messaggio

Attiva invio messaggio

Disattiva invio messaggio


Cambio ad un´immagine di tipo Message Control

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Cambio ad un´immagine di tipo Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il cambio ad un´immagine di tipo Message Control, si apre a Runtime l´immagine che serve a monitorare la coda di messaggi (Message Queue). Per configurare il cambio immagine:

  1. Creare una nuova funzione
  2. Selezionare Cambio immagine
  3. Si apre la finestra di dialogo di selezione dell´immagine
  4. Selezionare l´immagine desiderata di tipo Message Control
  5. Si apre la finestra di dialogo per configurare le impostazioni colonne
  6. Configurare le colonne
  7. Chiudere la configurazione cliccando su OK.
  8. Collegare la funzione con un pulsante per poterla richiamare a Runtime

Noch in diesem Kapitel

Impostazioni colonne


Impostazioni colonne

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Cambio ad un´immagine di tipo Message Control -> Impostazioni colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Impostazioni per filtrare i messaggi

Parametri | Descrizione
Campo lista | Visualizzazione delle colonne configurate.
Selezione colonne | Apre il dialogo per la selezione delle colonne.
Formato colonne | Apre il dialogo che serve a formattare le colonne.
Ok | Accetta tutte le modifiche e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude il dialogo.
Guida | Apre la guida online.

Noch in diesem Kapitel

Selezione colonne

Formato colonne


Selezione colonne

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Cambio ad un´immagine di tipo Message Control -> Impostazioni colonne -> Selezione colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Selezione colonne

Definizione delle colonne da visualizzare a Runtime.

Pulsante | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate da quelle disponibili a quelle selezionate. Dopo aver confermato il dialogo cliccando su OK, verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutte -> | Sposta tutte le colonne disponibili nelle colonne selezionate.
<- Cancella | Elimina le colonne evidenziate dalle selezionate e le visualizza nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, esse vengono eliminate dalla visualizzazione dettagliata.
<- Cancella tutte | Cancella tutte le colonne dalla lista delle colonne selezionate.
In su | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
In giù | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Formato colonne

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Cambio ad un´immagine di tipo Message Control -> Impostazioni colonne -> Formato colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Formato colonne

Formattazione delle colonne.

Configurazione delle proprietà delle colonne per le liste. Le impostazioni hanno effetto sulla lista corrispondente nell´Editor, oppure (nel caso di configurazione di un cambio immagine) nel Runtime.

Colonne disponibili

Parametri | Descrizione
Colonne disponibili | Lista delle colonne disponibili usando la Selezione colonne. La colonna evidenziata viene configurata tramite le opzioni nella sezione Impostazioni.

Impostazioni

Parametri

Descrizione

Impostazioni

Impostazioni per colonna selezionata.

Descrizione

Titolo della colonna

Il titolo colonna è traducibile online. Per poterlo tradurre, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene via pulsanti di opzione.

Impostazioni possibili:

  • Orientamento a sinistra: nella colonna, il testo si dispone prendendo come riferimento il bordo sinistro.
  • Centrato: nella colonna, il testo si dispone in posizione centrale.
  • Orientato a destra: nella colonna, il testo si dispone prendendo come riferimento il bordo destro.

Disattiva filtro colonne a Runtime

Attivo: Il filtro per questa colonna non può essere modificato durante il Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager Gruppi di Ricette

Colori definiti da utente

Proprietà per l´impostazione dei colori per ogni colonna definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto su Editor e Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per liste configurabili.
  • A Runtime, inoltre, può essere evidenziato il focus in un lista mediante diversi colori di testo e di sfondo. La configurazione di tali colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attivo: Vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando su "Colore", si apre la tavolozza che serve alla selezione di un colore.

Colore di sfondo

Colore per la visualizzazione dello sfondo delle celle. Cliccando su "Colore", si apre la tavolozza che serve alla selezione di un colore.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Salva coda d'attesa corrente

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Salva coda d'attesa corrente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione salva la coda messaggi attuale. Se si termina correttamente il Runtime, la coda messaggi salvata viene sostituita da un salvataggio valido della coda messaggi al momento della chiusura del Runtime. Per configurare questa funzione:

  1. Creare una nuova funzione
  2. Selezionare nel gruppo Message Control la funzione Salva coda d'attesa corrente
  3. Collegare la funzione ad un pulsante per poterla richiamare a Runtime

Questa funzione viene sempre eseguita sul computer che esegue il processo.


Sopprimi Gruppi/Classi/Aree/Strutture

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Sopprimi Gruppi/Classi/Aree/Strutture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Message Control ha una lista contenente elementi disattivati. Disattivati significa che i loro allarmi non inviano nessun messaggio. Questa lista può essere modificata con questa funzione. Si possono attivare e disattivare sia allarmi che definizioni di impianto. La progettazione avviene nell´Editor e può essere applicata a Runtime per consentire di apportare modifiche.

Se a un Valori limiti è collegata la funzione Invia messaggio, i messaggi vengono creati ed inviati solo se né la variabile, né l´allarme sono soppressi.

  • La variabile è soppressa se la sua area, oppure uno dei gruppi impianti collegati sono contenuti nella lista degli elementi soppressi.
  • L´allarme è soppresso se il gruppo allarmi/eventi, la classe allarmi/eventi, oppure l´area allarmi sono contenuti nella lista degli elementi soppressi.

Gli inserimenti soppressi vengono documentati nella CEL, se per la proprietà Salva nella CEL è stata selezionata l'opzione Tutte le conferme o Solo le conferme negative.

Configurare funzioni

Per configurare la funzione:

  1. Creare una nuova funzione
  2. Selezionare nel gruppo Message Control la funzione Sopprimi Gruppi/Classi/Aree/Strutture
  3. Si apre la finestra di dialogo per la configurazione degli elementi da sopprimere o da attivare
  4. Configurare gli elementi
  5. Chiudere la finestra di dialogo cliccando su OK.
  6. Collegare la funzione ad un pulsante per poterla richiamare a Runtime

Noch in diesem Kapitel

Generale

Definizione di impianto


Generale

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Sopprimi Gruppi/Classi/Aree/Strutture -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametri

Descrizione

Gruppi di allarmi/eventi

Lista dei gruppi allarmi/eventi configurati.

Aree allarmi

Lista delle aree allarmi configurate.

Classe di allarmi/eventi

Lista delle classi di allarmi/eventi configurate.

Attiva

Attivo: al momento della chiamata della funzione, gli elementi selezionati vengono inseriti nella lista degli elementi soppressi.

Disattiva

Attivo: al momento della chiamata della funzione, gli elementi selezionati vengono cancellati dalla lista degli elementi soppressi.

Visualizza questa finestra di dialogo a Runtime

Attivo: Al momento della chiamata della funzione, si apre questo dialogo e l´utente può adattare la configurazione prima dell´esecuzione della funzione.

I dialoghi vengono aperti nel Runtime sul computer attuale. Nel funzionamento di rete, il dialogo viene aperto sul client se la funzione viene richiamata sul client.

Ok

Accetta le impostazioni di tutte le schede e chiude la finestra di dialogo.

Annulla

Rifiuta le impostazioni di tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.

La selezione di elementi di una delle liste avviene con il clic del mouse. È possibile una selezione multipla. È sufficiente un altro clic del mouse; non è necessario premere altri tasti. Con un altro clic del mouse su un elemento selezionato, si annulla la selezione dello stesso elemento.


Definizione di impianto

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Sopprimi Gruppi/Classi/Aree/Strutture -> Definizione di impianto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Proprietà

Descrizione

Barra degli strumenti

Simboli per:

  • modifica di modelli di impianto locali
  • estensione o riduzione della visualizzazione
  • visualizzazione di informazioni

Lista dei modelli di impianto

Offre modelli e gruppi fra i quali l´utente può scegliere. La lista separa la visualizzazione in modelli di impianto del progetto globale e quelli dei progetti locali.

I modelli di impianto locali possono essere creati o cancellati.

Aggiungi

Aggiunge alla lista filtro il gruppo selezionato.

Rimuovi

Rimuove tutti i gruppi selezionati dalla lista filtro.

Lista filtri

Mostra tutti i gruppi di impianti in riferimento ai quali deve essere effettuata l´operazione di filtro.

Ok

Accetta le impostazioni e chiude il dialogo.

Annulla

Annulla la selezione e chiude il dialogo.

Attenzione: eventuali Modifiche nella struttura di modelli di impianto locali rimangono.

Guida

Apre la guida online.

Aggiungi gruppi

  • Selezionare il modello impianti desiderato.
    Attenzione: se ci sono conflitti di nomenclatura fra modelli di impianto globali e locali, verranno visualizzati i modelli di impianto locali e quelli globali verranno ignorati. Informazioni concernenti eventuali conflitti le ottenete cliccando sul simbolo corrispondente (triangolo con punto interrogativo) che si trova nella barra degli strumenti.
  • Selezionare un gruppo di impianti oppure un livello.
  • Con il pulsante Inserisci, aggiungere il nuovo gruppo alla lista in basso nella finestra di dialogo.
  • I sottogruppi non vengono aggiunti automaticamente.
  • Può essere collegato un numero qualsiasi di gruppi.

Cancella gruppi

  • Selezionare l´elemento desiderato nella lista che si trova nel settore inferiore del dialogo (selezione multipla possibile).
  • Cliccare sul pulsante Cancella

Nota: le modifiche in un elemento dell´albero rimangono, anche se non viene premuto il pulsante Annulla. Annulla significa solamente che nessun elemento viene selezionato.

A Runtime

Quando viene eseguita la funzione, l´impostazione configurata nella finestra di dialogo viene inviata come request al computer che esegue il processo . Qui viene analizzata la request.


Invia messaggio

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Invia messaggio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione consente l´invio di messaggi a Runtime. A questo scopo, collegare la funzione a:

  • un allarme (funzione per gruppo, classe o area)
  • un valore limite (proprietà Valori limiti/Funzione),
  • una matrice di reazione (funzione)
  • a un temporizzatore (usando il pulsante o PFS)

attention Attenzione

Assicurarsi che i dati contatto richiesti per l'invio di messaggi siano stati configurati per ogni utente.

Se un utente o un gruppo utenti deve essere avvertito a Runtime e i dati necessari per la modalità di invio selezionata non sono disponibili, l'invio viene cancellato. Non verrà effettuato un altro tentativo di invio.

Per i gruppi, questo significa: se, ad esempio, il quarto utente di una lista non è stato configurato correttamente, vengono avvertiti solo i primi tre. Il processo viene cancellato per il quarto utente. Quest'ultimo e tutti gli user successivi della lista non riceveranno nessuna notifica. Non verrà fatto un tentativo di avvertire nuovamente primi tre utenti.

Per configurare la funzione:

  1. Creare una nuova funzione.
  2. Selezionare nel gruppo Message Control la funzione Invia messaggio
  3. Si apre la finestra di dialogo di configurazione:

  4. Configurare
    • Invio
    • Notizia
    • Avviso di ricezione
  5. Chiudere il dialogo cliccando su OK.
    Nota: Cliccando su OK, gli inserimenti effettuati nelle schede vengono validati. Se il sistema scopre delle impostazioni sbagliate, l'utente ne viene informato per mezzo di un message box. L'utente, poi, può modificare la configurazione, oppure continuare salvando la configurazione errata.
  6. Collegare la funzione

    Se si collega ad un valore limite o ad una matrice di reazione, si possono inviare contenuti generati in modo dinamico a Runtime. Per usare più funzioni Invia messaggio per uno stesso valore limite, utilizzare uno script che contiene queste funzioni ed è collegato al valore limite.

info Informazioni su

A Runtime, la funzione Invia messaggio viene sempre eseguita sul computer che esegue il processo.

Noch in diesem Kapitel

Invio

Notizia

Avviso di ricezione


Invio

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Invia messaggio -> Invio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si configurano servizio, destinatario e stile.

Parametri

Descrizione

Servizio

Selezione del tipo di invio fra quelli offerti della lista a cascata. Sono a disposizione:

  • Messaggio E-Mail via Outlook
  • Messaggio E-Mail via SMTP
  • Messaggio vocale da file audio via modem
  • Messaggio vocale Text-to-Speech via modem
  • Messaggio SMS (via server SMS)
  • Messaggio SMS via modem GSM
  • Voice over IP come file audio
  • Voice over IP come Text-to-Speech

Nota: nel menù a tendina sono visualizzati solamente i servizi la cui proprietà Versandart aktiv è stata attivata nelle Proprietà Message Control del workspace.

Destinatario

Impostazioni riguardanti il destinatario.

Tipo

Selezione del tipo di destinatario fra quelli offerti dal menù a tendina. Possibile scelta:

  • Gruppo utenti: invio ad un gruppo.
    Scelta di un gruppo selezionando l'opzione nel menù a tendina (si apre il dialogo di selezione), oppure usando l´opzione Nome destinatario.
    Con l´opzione Stile si definisce il metodo di invio al gruppo.
  • Utente: invio ad un singolo utente (e alla persona definita nel suo profilo). Scelta di un utente selezionando l'opzione nel menù a tendina (si apre il dialogo di selezione), oppure usando l´opzione Nome destinatario.

Stile

Disponibile solo se per l´opzione Tipo si è selezionato Gruppo utenti.

Selezione dello stile d'invio fra quelli proposti dal menù a tendina. Stili possibili:

  • Chiamata di gruppo: tutti gli utenti del gruppo ricevono il messaggio contemporaneamente.
    (Nota: nelle versioni precedenti a zenon 7.00, questo stile corrisponde al tipo di invio Invio-gruppo.)
  • Richiamata: il messaggio viene inviato agli utenti nella successione definita nel gruppo, finché uno di loro non lo ripristina positivamente. Il sistema scorre la lista degli utenti del gruppo e li chiama in successione per una sola volta. Se nessuno degli utenti del gruppo ripristina il messaggio, l´operazione di invio termina.
  • Richiamata continua: in linea di principio, questa opzione corrisponde alla Richiamata, ma con la possibilità di ripetere l´operazione di invio: dopo l´ultimo destinatario, il sistema riprende l'operazione di invio ricominciando dall'inizio della lista. Il messaggio viene inviato finché non viene ripristinato positivamente da un destinatario.

Nota: Questa impostazione è indipendente dalla proprietà Massimo numero tentativi.

Nome destinatario

Disponibile solamente se l´opzione Nome da variabile è disattivata.

Apre la finestra di dialogo che serve alla selezione di un destinatario o di un gruppo di destinatari - a seconda di ciò che si è selezionato nell´opzione Tipo.

Nome da variabile

Attivo: la variabile viene letta a Runtime e, in base al suo valore, viene letto un utente o un gruppo utenti della gestione user. Cliccando sul pulsante ... si apre la finestra di dialogo pe la selezione di una variabile.

Ok

Riprende le modifiche in tutte le tab e chiude il dialogo.

È possibile chiudere la finestra di dialogo se tutte le opzioni necessarie sono state configurate.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.


Notizia

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Invia messaggio -> Notizia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si definisce il contenuto del messaggio. Le opzioni disponibili e la configurazione dipendono dallo strumento di invio scelto nell´opzione Servizio della scheda Invio.

I messaggi vengono configurati specificatamente per:

  • E-Mail via Outlook e SMS via GMS o SMS-Gateway
  • E-Mail via SMTP
  • Messaggio vocale da file audio
  • Messaggio vocale Text-to-Speech

I dettagli sulla configurazione dei parametri per i messaggi si trovano nel capitolo Parametri per messaggi.

info Informazioni su

Se dei parametri o valori di ulteriori variabili sono inclusi in un messaggio, queste variabili non sono registrate automaticamente sul driver. Se una variabile non è registrata nel momento in cui viene eseguita la funzione, la registrazione avviene durante l´esecuzione della stessa. In alcuni casi (per esempio nel caso di una comunicazione seriale lenta con l´hardware) ciò può provocare dei ritardi e rallentamenti, dato che il sistema deve attendere finché non arrivi il primo valore dal driver per poter essere analizzato dalla funzione.

Noch in diesem Kapitel

E-Mail via Outlook e SMS via GSM o SMS-Gateway

E-Mail tramite SMTP

Messaggio vocale da file audio

Messaggio vocale Text-to-Speech


E-Mail via Outlook e SMS via GSM o SMS-Gateway

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Invia messaggio -> Notizia -> E-Mail via Outlook e SMS via GSM o SMS-Gateway

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
E-Mail via Outlook e SMS via GSM o SMS-Gateway

Configurazione del testo di messaggio per:

  • E-Mail tramite Outlook
  • SMS tramite modem GSM
  • SMS tramite SMS-Gateway

Parametri

Descrizione

Messaggio di testo costante

Componente fissa del messaggio.

Il sistema analizza questo testo per verificare la presenza di caratteri jolly:

  • $: sta per testo "formattato". Poi il testo viene trattato come parametro.
  • Le parti di testo vengono considerate parametri se sono separate dal resto del testo mediante un punto e virgola (;) e terminano con un punto e virgola (;).
  • Un Parametro può essere:
    - Chiave dalla tabella lingua
    - Nome di una variabile
    - inserimento composto nella tabella lingua

I parametri possono essere copiati dalla Lista di Parametro testo dinamico valore limite. Ulteriori dettagli sul tema parametri si trovano nel capitolo Parametri per messaggi.

Testo da valore limite

Proprietà per ulteriori parametri da valori limite.

attivo:

Attivo: aggiunge al testo costante ulteriori parametri dal valore limite. La configurazione avviene tramite le opzioni:

  • Da variabile
  • Da variabile modificata
  • Parametro testo dinamico valore limite

Attenzione: se questa opzione è attiva, la funzione potrà essere richiamata solamente da violazioni di valori limite.

Da variabile

I parametri vengono ripresi dalla variabile definita. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di una variabile.

Da variabile modificata

I parametri vengono ripresi dalla variabile il cui valore limite è stato violato.

Parametro testo dinamico valore limite

Selezione del parametro della lista mediante attivazione del checkbox relativo. La sequenza viene definita mediante Drag & Drop con il mouse, oppure tramite i pulsanti Sposta in alto e Sposta in basso.

Colonna Caratteri jolly:
mostra i caratteri jolly che possono essere utilizzati nel testo di messaggio libero.
Se si modifica l´opzione Da variabile o Da variabile modificata, oppure la selezione variabili, l´esempio di inserimento viene adattato. I caratteri jolly possono essere copiati.

Struttura: %Variable%Parameter;(Origine)

  • %: segno di percentuale come prefisso per variabili e parametri
  • Variabile: Variabile. se non viene indicata alcuna variabile, il seguente parametro si riferisce alla variabile principale.
  • Parametri: Parametri
  • ;: Il punto e virgola termina la successione di caratteri
  • Sorgente: solo informativa, non viene utilizzata per il testo libero. Mostra con quali variabili può essere usato il parametro :
    Variabile principale attraverso valore limite
    Variabile principale attraverso AML
    Variabile aggiuntiva attraverso valore limite o AML

Per i dettagli, vedi il capitolo Parametri per messaggi e Testo valore limite Parametri.

Se si usano dei parametri non validi, nel messaggio viene emesso l´avviso di errore corrispondente.
<Parametro invalido: 'Parametri'>.

Sposta in alto

Sposta l´elemento selezionato di una posizione verso l'alto.

Sposta in basso

Sposta l´elemento selezionato di una posizione verso il basso.

Proponi dialogo a Runtime

Attivo: a Runtime, questa finestra di dialogo viene aperta prima dell´esecuzione della funzione.

Attenzione - Funzionamento a Runtime:

  • A Runtime, questa funzione viene sempre eseguita sul computer che esegue il processo. Se la funzione viene avviata su un client, il sistema visualizzerà la finestra di dialogo sul computer che funge da server primario.
  • Se non viene effettuato nessun inserimento, la finestra di dialogo sarà chiusa automaticamente dopo 30 secondi e la funzione verrà eseguita.
  • Se si effettuano delle modifiche nella finestra di dialogo e le si conferma cliccando su OK, i cambiamenti vengono ripresi e la funzione viene eseguita.
  • Se si chiude il dialogo cliccando su Annulla, non viene inviato nessun messaggio. Questo procedimento viene documentato nella CEL, a patto che si sia selezionata per la proprietà Salva nella CEL l'opzione Tutte le conferme, oppure Solo le conferme negative.

Ok

Riprende le modifiche in tutte le tab e chiude il dialogo.

È possibile chiudere la finestra di dialogo se tutte le opzioni necessarie sono state configurate.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.


E-Mail tramite SMTP

E-Mail tramite SMTP

E-Mail tramite SMTP

Configurazione del testo di messaggio per:

  • E-Mail tramite SMTP

Parametri

Descrizione

Messaggio di testo costante

Componente fissa del messaggio.

Il sistema analizza questo testo per verificare la presenza di caratteri jolly:

  • $: sta per testo "formattato". Poi il testo viene trattato come parametro.
  • Le parti di testo vengono considerate parametri se sono separate dal resto del testo mediante un punto e virgola (;) e terminano con un punto e virgola (;).
  • Un Parametro può essere:
    - Chiave dalla tabella lingua
    - Nome di una variabile
    - inserimento composto nella tabella lingua

I parametri possono essere copiati dalla Lista di Parametro testo dinamico valore limite. Ulteriori dettagli sul tema parametri si trovano nel capitolo Parametri per messaggi.

Allegato

Configurazione di un allegato per l`E-Mail. Possono essere inviati in allegato file d´immagine (screenshot). Cliccando sul pulsante ... si apre la finestra di dialogo che serve alla selezione di un file. Quest'ultimo deve essere salvato nel nodo File/Grafica.

Quando si invia il messaggio, il file selezionato viene aggiunto all'E-Mail come allegato.

Nota: per inviare file di altre cartelle o con qualsiasi tipo di formato, selezionare l´opzione da variabile.

Da variabile

Attivo: selezione di una variabile stringa. Cliccando sul pulsante ... si apre la finestra di dialogo che serve alla selezione di una variabile.

A Runtime, il sistema legge il valore delle variabili stringa e ne analizza il contenuto. Il percorso per l´allegato è definito secondo l´esito della seguente definizione:

  • Percorso assoluto: viene usato senza modifiche.
  • Non percorso assoluto: il valore delle variabili stringa viene concatenato al percorso per la cartella grafica di zenon.

Quando viene settato il percorso, il sistema non effettua un controllo per verificare quale estensione abbia il file. NON SI VERIFICA QUALE ESTENSIONE ABBIA IL FILE! Tramite il percorso ricavato da variabile, si può inviare qualsiasi formato file, in particolare anche documenti PDF e Office, da qualsiasi percorso si voglia.

Testo da valore limite

Proprietà per ulteriori parametri da valori limite.

attivo:

Attivo: aggiunge al testo costante ulteriori parametri dal valore limite La configurazione avviene usando le opzioni:

  • Da variabile
  • Da variabile modificata
  • Parametro testo dinamico valore limite

Attenzione: se questa opzione è attiva, la funzione potrà essere richiamata solamente da violazioni di valori limite.

Da variabile

I parametri vengono ripresi dalla variabile definita. Cliccando sul pulsante ... si apre la finestra di dialogo per la selezione di una variabile.

Da variabile modificata

I parametri vengono ripresi dalla variabile il cui valore limite è stato violato.

Parametro testo dinamico valore limite

Selezione del parametro della lista mediante attivazione del checkbox relativo. La sequenza viene definita mediante Drag & Drop con il mouse, oppure tramite i pulsanti Sposta in alto e Sposta in basso.

Colonna Caratteri jolly:
mostra i caratteri jolly che possono essere utilizzati nel testo di messaggio libero.
Se si modifica l´opzione Da variabile o Da variabile modificata, oppure la selezione variabili, l´esempio di inserimento viene adattato. I caratteri jolly possono essere copiati.

Struttura: %Variable%Parameter;(Origine)

  • %: segno di percentuale come prefisso per variabili e parametri
  • Variabile: Variabile. se non viene indicata alcuna variabile, il seguente parametro si riferisce alla variabile principale.
  • Parametri: Parametri
  • ;: Il punto e virgola termina la successione di caratteri
  • Sorgente: solo informativa, non viene utilizzata per il testo libero. Mostra con quali variabili può essere usato il parametro :
    Variabile principale attraverso valore limite
    Variabile principale attraverso AML
    Variabile aggiuntiva attraverso valore limite o AML

Per i dettagli, vedi il capitolo Parametri per messaggi e Testo valore limite Parametri.

Se si usano dei parametri non validi, nel messaggio viene emesso l´avviso di errore corrispondente.
<Parametro invalido: 'Parametri'>.

Sposta in alto

Sposta l´elemento selezionato di una posizione verso l'alto.

Sposta in basso

Sposta l´elemento selezionato di una posizione verso il basso.

Proponi dialogo a Runtime

Attivo: A Runtime, questa finestra di dialogo viene aperta prima dell´esecuzione della funzione.

Attenzione - Funzionamento a Runtime:

  • A Runtime, questa funzione viene sempre eseguita sul computer che esegue il processo. Se la funzione viene avviata su un client, il sistema visualizzerà la finestra di dialogo sul computer che esegue il processo
  • Se non viene effettuato nessun inserimento, la finestra di dialogo sarà chiusa automaticamente dopo 30 secondi e la funzione verrà eseguita.
  • Se si effettuano delle modifiche nella finestra di dialogo e le si conferma cliccando su OK, i cambiamenti vengono ripresi e la funzione viene eseguita.
  • Se si chiude il dialogo cliccando su Annulla, non viene inviato nessun messaggio. Questo procedimento viene documentato nella CEL, se si è selezionata per la proprietà Inserimenti nella CEL l´opzione Tutte le conferme oppure Solo le conferme negative.

Ok

Riprende le modifiche in tutte le tab e chiude il dialogo.

È possibile chiudere la finestra di dialogo se tutte le opzioni necessarie sono state configurate.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.


Messaggio vocale da file audio

Messaggio vocale da file audio

Configurazione del testo del messaggio per i messaggi vocali da file audio.

  • Modem
    o
  • VoIP

Parametri

Descrizione

Descrizione

Selezione del file che contiene il testo per la descrizione del messaggio.

Cliccando sul pulsante ... si apre la finestra di dialogo che serve alla selezione di file. Quest'ultimo deve essere inserito nel nodo File/Multimedia.

Si può ascoltare il testo cliccando sul pulsante Esegui.

Conferma

Selezione del file che contiene il testo del messaggio se la Descrizione viene confermata positivamente.

Cliccando sul pulsante ... si apre la finestra di dialogo che serve alla selezione di file. Quest'ultimo deve essere salvato nel nodo File/Multimedia.

Si può ascoltare il testo cliccando sul pulsante Esegui.

Codice errato

Selezione del file che contiene il testo in caso di inserimento sbagliato da parte del destinatario.

Cliccando sul pulsante ... si apre la finestra di dialogo che serve alla selezione di un file. Quest'ultimo deve essere salvato nel nodo File/Multimedia.

Si può ascoltare il testo cliccando sul pulsante Esegui.

Proponi dialogo a Runtime

Attivo: A Runtime, questa finestra di dialogo viene aperta prima dell´esecuzione della funzione.

Attenzione - Funzionamento a Runtime:

  • A Runtime, questa funzione viene sempre eseguita sul computer che esegue il processo. Se la funzione viene avviata su un client, il sistema visualizzerà la finestra di dialogo sul computer che esegue il processo
  • Se non viene effettuato nessun inserimento, la finestra di dialogo sarà chiusa automaticamente dopo 30 secondi e la funzione verrà eseguita.
  • Se si effettuano delle modifiche nella finestra di dialogo e le si conferma cliccando su OK, i cambiamenti vengono applicati e la funzione viene eseguita.
  • Se si chiude il dialogo cliccando su Annulla, non viene inviato nessun messaggio. Questo procedimento viene documentato nella CEL, a patto che si sia selezionato per la proprietà Inserimenti nella CEL Tutte le conferme oppure Solo le conferme negative.

Ok

Riprende le modifiche in tutte le tab e chiude il dialogo.

Nota: Cliccando su OK, gli inserimenti effettuati nelle schede vengono validati. Se il sistema scopre delle impostazioni sbagliate, l'utente ne viene informato per mezzo di un message box. L'utente, poi, può modificare la configurazione, oppure continuare salvando la configurazione errata.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.


Messaggio vocale Text-to-Speech

Messaggio vocale Text-to-Speech

Configurazione del testo del messaggio per i messaggi vocali Text-to-Speech.

  • Modem
    o
  • VoIP

Parametri

Descrizione

Descrizione

Inserimento del testo che deve essere riprodotto come descrizione tramite il Text-to-Speech Engine.

Il testo può essere inserito come messaggio di testo libero. Può contenere anche dei componenti dinamici. Questi ultimi vengono configurati in modo analogo ai testi dinamici.

Si può ascoltare il testo cliccando sul pulsante Esegui.

Conferma

Inserimento del testo che deve essere riprodotto in caso di conferma positiva della descrizione tramite il Text-to-Speech Engine.

Il testo può essere inserito come messaggio di testo libero. Può contenere anche dei componenti dinamici. Questi ultimi vengono configurati in modo analogo ai testi dinamici.

Si può ascoltare il testo cliccando sul pulsante Esegui.

Codice errato

Inserimento del testo che deve essere riprodotto tramite il Text-to-Speech Engine nel caso di inserimento sbagliato da parte del destinatario.

Il testo può essere inserito come messaggio di testo libero. Può contenere anche dei componenti dinamici. Questi ultimi vengono configurati in modo analogo ai testi dinamici.

Si può ascoltare il testo cliccando sul pulsante Esegui.

Proponi dialogo a Runtime
  • Attivo: A Runtime, questa finestra di dialogo viene aperta prima dell´esecuzione della funzione.

Attenzione: Comportamento durante il Runtime

In caso di chiamata di questa finestra di dialogo a Runtime, c'è da tenere presente quanto segue:

  • A Runtime, questa funzione viene sempre eseguita sul computer che esegue il processo. Se la funzione viene avviata su un client, il sistema visualizzerà la finestra di dialogo sul computer che esegue il processo
  • Se non viene effettuato nessun inserimento, la finestra di dialogo sarà chiusa automaticamente dopo 30 secondi e la funzione verrà eseguita.
  • Se si effettuano delle modifiche nella finestra di dialogo e le si conferma cliccando su OK, i cambiamenti vengono ripresi e la funzione viene eseguita.
  • Se si chiude il dialogo cliccando su Annulla, non viene inviato nessun messaggio. Questo procedimento viene documentato nella CEL, a patto che si sia selezionata per la proprietà Salva nella CEL (gruppo Proprietà specifiche di progetto) l'opzione Tutte le conferme, oppure Solo le conferme negative.

Ok

Riprende le modifiche in tutte le tab e chiude il dialogo.

Nota: Cliccando su OK, gli inserimenti effettuati nelle schede vengono validati. Se il sistema scopre delle impostazioni sbagliate, l'utente ne viene informato per mezzo di un message box. L'utente, poi, può modificare la configurazione, oppure continuare salvando la configurazione errata.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.


Avviso di ricezione

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Invia messaggio -> Avviso di ricezione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si definiscono le conferme necessarie e le relative reazioni.

attention Attenzione

I messaggi trasmessi in sincrono (messaggio vocale Text-To-Speech e messaggio vocale da file audio) possono essere confermati solo in modo sincrono usando lo stesso metodi d´invio. L´uso di altri metodi di invio per la conferma (come E-Mail o SMS) non è possibile. Il messaggio deve essere confermato immediatamente tramite la stessa connessione ancora aperta.

Impostazioni per la conferma di ricezione

Parametri | Descrizione
Avviso di ricezione | Impostazioni per la conferma.
Conferma di ricezione necessaria | Attivo: il messaggio viene cancellata dalla coda messaggi (Message-Queue) solo se è giunto un avviso di ricezione prima dello scadere del tempo di attesa, oppure quando il tempo di attesa è scaduto. Per i messaggi vocali, questa opzione è sempre attiva e non può essere disattivata.
Tempo di attesa | Tempo espresso in minuti entro il quale deve giungere un avviso di ricezione prima che il messaggio venga inoltrato ad una persona di riserva.
Codici di conferma | Impostazioni per i codici di conferma.
Utilizza codice specifico per il messaggio | Inattivo: vengono usati i codici definiti nelle proprietà della gestione user per Utente Message Control/Codice PIN e Utente Message Control/Codice-NA. Attivo: i codici definiti nelle seguenti opzioni codice PIN e codice NA, vengono usati per la conferma.
Codice PIN | Codice individuale usato per confermare il messaggio.
Codice-NA | Codice individuale usato per rifiutare il messaggio.
Esecuzione funzioni | Selezione delle funzioni che devono essere eseguite dopo che un messaggio è stato confermato, rifiutato o non riconosciuto affatto.
con conferma | Funzioni eseguite quando un messaggio viene confermato. Cliccando su Selezionare si apre la finestra di dialogo di scelta funzioni.
in assenza di conferma | Funzioni eseguite se non c´è alcuna reazione al messaggio. Cliccando su Selezionare si apre la finestra di dialogo di scelta funzioni.
con conferma negativa | Funzioni eseguite in caso di rifiuto di ricezione del messaggio. Cliccando su Selezionare si apre la finestra di dialogo di scelta funzioni.
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo. È possibile chiudere la finestra di dialogo se tutte le opzioni necessarie sono state configurate.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Configurazione della conferma di ricezione via E‑Mail

Nell´interpretazione di conferma di ricezione via E‑Mail, i primi 3 caratteri della riga "Oggetto" vengono ignorati.

Background: le conferme di ricezione hanno di regola i prefissi RE:, AW: ecc. Se i messaggi in uscita vengono raccolti nella stessa cartella di quelli in entrata, si deve evitare che i messaggi in uscita vengano interpretati come conferme di ricezione in entrata. Il sistema parte dal presupposto che le conferme di ricezione si differenzino dai messaggi in uscita in base ai 3 caratteri iniziali.

Configurazione: l´oggetto di una conferma di ricezione deve essere introdotto da tre caratteri qualsiasi.


Attiva invio messaggio

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Attiva invio messaggio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione attiva il Message Control per il progetto. Quando si richiama la funzione, il progetto viene registrato nel Message Control. A partire da questo momento, vengono creati e trasmessi messaggi.

Per configurare la funzione:

  1. Creare una nuova funzione
  2. Selezionare nel gruppo "Message Control" la funzione Attiva invio messaggio
  3. La funzione viene creata.

Nota: per essere sicuri di registrare un progetto al momento dell´avvio del Runtime, abilitare la proprietà Attivo all'avvio del Runtime nel gruppo Proprietà specifiche di progetto del Message Control.


Disattiva invio messaggio

Manuale -> Message Control -> Configurare il Message Control -> Funzioni -> Disattiva invio messaggio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione disattiva il Message Control per il progetto in cui essa si trova. Quando si richiama questa funzione, tutti i messaggi del progetto vengono eliminati dalla coda di messaggi (Message-Queue) e il progetto viene deregistrato dal Message Control. Poi il sistema procede a vuotare la coda di messaggi del progetto. Finché il Message Control è disattivato per un progetto, nessun nuovo messaggio potrà essere creato o trasmesso.

Per configurare la funzione:

  1. Creare una nuova funzione
  2. Selezionare nel gruppo "Message Control" la funzione Disattiva invio messaggio
  3. La funzione viene creata.


Parametri per messaggi

Manuale -> Message Control -> Configurare il Message Control -> Parametri per messaggi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il testo dei messaggi può essere configurato in modo dinamico. Prima dell´invio, il sistema verifica la presenza di caratteri jolly nei messaggi e li analizza. Durante questo processo vengono presi in considerazione i caratteri di controllo. Questo vale per:

  • E-Mail via Outlook e SMS via GSM o SMS-Gateway
  • E-Mail via SMTP
  • Messaggio vocale Text-To-Speech via Modem o VoIP
  • La proprietà Parte dinamica del soggetto.

Struttura di un messaggio

  • Le parti del testo vengono separate da punto e virgola (;).
  • $: identifica un testo che contiene parametri.
  • Un parametro può:
    • Essere una chiave della tabella lingua: per es. @MyText;
    • Riferirsi ad una variabile, quando si esegue la funzione via AML oppure una violazione di valore limite: per es. %Var1;
    • Essere un inserimento composto nella tabella lingua: per es. %@Var2+MultipleText
  • @ identifica il cambio lingua
  • % identifica le variabili
  • %% identifica parametri Testo valore limite per le variabili

    Si può indicare una variabile fra i due simboli di percentuale.
    Se non se ne viene indicata nessuna, il valore si riferirà alla variabile principale.

    • I messaggi terminano con un punto e virgola (;).

Sono a disposizione parametri parzialmente diversi per variabili principali, variabili aggiuntive e a seconda del tipo della chiamata funzione.

Attenzione: se si aggiungono delle ulteriori variabili con l´aiuto di un carattere jolly, queste devono essere prima abilitate, se non lo sono al momento dell´esecuzione della funzione, e poi devono essere lette. In questo caso l´invio viene ritardato. Variabili aggiuntive, quindi, dovrebbero essere usate con precauzione.

Lista parametri testo

Parametri

A Runtime

Azione

Chiave:

@MyText

Il sistema verifica se per la lingua attuale c'è un inserimento per @MyText nella tabella lingua.
  • Esistente: l´inserimento viene aggiunto al messaggio.
  • Non esistente: A seconda dell´impostazione della proprietà di progetto Visualizza parole chiave non tradotte, viene inserito nel messaggio @MyText oppure MyText.

Variabile:

%Var1%

Il sistema controlla se la variabile esiste e il valore può essere letto.

  • Esistente: il valore della variabile viene ripreso e inserito come stringa nel testo.
  • Non esistente/illeggibile: il testo xxx viene inserito nel messaggio.

Inserimento composto:

@StringTabelle+%var1Text

Il sistema controlla se:

  • 1. la variabile esiste e il valore può essere letto. Il valore viene aggiunto come stringa al testo-prefisso („MultipleText").
  • 2. per il testo esiste un inserimento nella tabella lingua.
  • Variabile e testo esistenti:
    il testo viene aggiunto al messaggio.
    Esempio: valore della variabile è 33. Allora il sistema controlla nella tabella lingua se esiste @StringTabelle33 e aggiunge il relativo testo.
  • Non esistente: A seconda dell´impostazione della proprietà di progetto Visualizza parole chiave non tradotte, viene inserito nel messaggio @MyText oppure MyText.

Esempio: $@Warning ;%Var1%Name;

Noch in diesem Kapitel

Testo da valore limite e testo costante


Testo da valore limite e testo costante

Manuale -> Message Control -> Configurare il Message Control -> Parametri per messaggi -> Testo da valore limite e testo costante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si possono configurare i messaggi con un testo definito liberamente. Quest'ultimo può contenere anche testi da valori limite ed elementi di testo dinamici. Non tutti i tipi di invio nel Message Control supportano testi da valori limite. Tuttavia, tutti i testi possono essere integrati con l'aggiunta di elementi dinamici.

Configurazione di testo da valore limite

Per collegare valori limite:

  1. Abilitare nella scheda Notizia l´opzione Testo da valore limite attivo (Message Control, funzione Invia messaggio).
    Nota: questa opzione non è disponibile per tutte le tipologie di invio. In questo caso, configurare l'opzione Messaggio di testo costante con elementi di testo dinamici. (Vedi capitolo Configurazione del messaggio di testo costante.)
  2. Attivare l'opzione Da variabile modificata.
  3. Attivate le Checkbox per i valori desiderati.
    Per i parametri, vedi Lista di parametri testo dinamico valore limite.
  4. Ordinare i parametri selezionati per Drag&Drop, oppure mediante i corrispondenti pulsanti.
  5. Assicurarsi che la violazione di valore limite attivi la funzione.

Configurazione del messaggio di testo costante

Struttura

$freierText;%Variable%Text;

simbolo di partenza-> testo costante fra punto e virgola -> contiene parametri con %% come prefisso

  • Simbolo di partenza: $
    grazie ad esso si tiene conto dei parametri nel testo costante.
  • Testo costante: viene inserito fra segni di punto e virgola. (;).
  • Prefisso per Parametro testo dinamico valore limite: 2 segni di percentuale (%% oppure % nome variabile %)

    Se non si indica nessuna variabile, il seguente parametro si riferisce alla variabile principale.

  • Fine della successione di caratteri: punto e virgola (;)

Esempio

$Text Message Control ;%%Name; Text ;%%LimitText; Text ;%Master%VariableStatus ;Text;

  • $: inizio del messaggio con il primo testo di messaggio.
  • %%Name: nome della variabile violata più testo
  • %%LimitText: testo di valore limite della variabile violata più testo
  • %Master%VariableStatus: stato della variabile` Master più testo

Nota: inserire degli spazi vuoti davanti ai segni di separazione. Così i singoli blocchi verrano separati correttamente con gli spazi vuoti-

Lista di parametri testo dinamico valore limite

Parametri | Variabile principale - Chiamata attraverso valore limite | Variabile principale - Chiamata attraverso AML | Variabile aggiuntiva AML/Valore limite
%%Name (Nome variabile:) | Nome della variabile, corrisponde alla proprietà Nome. | Nome della variabile, corrisponde alla proprietà Nome. | Nome della variabile, corrisponde alla proprietà Nome.
%%Identification (Descrizione) | Descrizione della variabile, corrisponde alla proprietà Identificazione. | Descrizione della variabile, corrisponde alla proprietà Identificazione. | Descrizione della variabile, corrisponde alla proprietà Identificazione.
%%LimitText (Testo valore limite) | Testo di valore limite dell´oggetto allarme con analisi del testo valore limite dinamico. | Testo di valore limite dell´oggetto allarme con analisi del testo valore limite dinamico. | Testo dello stato come definito nella proprietà Testo valore limite.
%%MessageCreateTimeStamp (Time stamp del messaggio) | Momento nel quale viene creato il messaggio. (Chiamata funzione, non violazione o invio). | Momento nel quale viene creato il messaggio. (Chiamata funzione, non violazione o invio). | Momento nel quale viene creato il messaggio. (Chiamata funzione, non violazione o invio).
%%ResourceLabel (Descrizione apparecchiatura) | Testo per l´identificazione servizio della variabile, corrisponde alla proprietà Identificazione servizio. | Testo per l´identificazione servizio della variabile, corrisponde alla proprietà Identificazione servizio. | Testo per l´identificazione servizio della variabile, corrisponde alla proprietà Identificazione servizio.
%%LimitTimeReceived (Orario di arrivo allarme) | Time stamp dell´oggetto allarme. | Time stamp dell´oggetto allarme. | -
%% (Valore attuale) | Nessun parametro. Valore della variabile al momento della chiamata funzione (senza unità). | Nessun parametro. Valore della variabile al momento della chiamata funzione (senza unità). | Nessun parametro. Valore della variabile al momento della chiamata funzione (senza unità).
%%VariableStatus (Stato) | Stato della variabile come stringa (al momento della chiamata funzione). | Stato della variabile come stringa (al momento della chiamata funzione). | Stato della variabile come stringa (al momento della chiamata funzione).
%%VariableTimeStamp (Time stamp della variabile) | Time stamp della variabile (al momento della chiamata funzione). | Time stamp della variabile (al momento della chiamata funzione). | Time stamp della variabile (al momento della chiamata funzione).
%%MessageTimeAcknowledge (Tempo per la conferma) | Tempo disponibile per confermare il messaggio in minuti. Disponibile solamente se l´opzione Conferma di ricezione necessaria è stata attivata. | Tempo disponibile per confermare il messaggio in minuti. Disponibile solamente se l´opzione Conferma di ricezione necessaria è stata attivata. | Tempo disponibile per confermare il messaggio in minuti. Disponibile solamente se l´opzione Conferma di ricezione necessaria è stata attivata.
%%Address (Indirizzo) | Indirizzo. | Indirizzo. | Indirizzo.
%%Unit (Unità) | Unità tecnica corrispondente alla proprietà Unità di misura. | Unità tecnica corrispondente alla proprietà Unità di misura. | Unità tecnica corrispondente alla proprietà Unità di misura.
%%AlarmArea (Area allarmi) | Area allarmi della variabile principale. | Area allarmi della variabile principale. | Area allarmi della variabile aggiuntiva.
%%LimitTimeAcknowledged (Time stamp riconoscimento allarme) | -- | Time stamp dell´oggetto allarme. | --
%%UserId (Identificazione utente) | -- | Identificazione dell´utente che ha iniziato l´azione. Corrisponde alla proprietà Autorizzazione utente. | --
%%UserName (Nome user) | -- | Nome completo dell´utente che ha iniziato l´azione. Corrisponde alla proprietà Nome completo. | --
%%ComputerName (Nome computer) | -- | Il nome del computer sul quale è stata iniziata l´azione. | --
%%Comment (Commento) | -- | Commento dell´oggetto allarme. | --
%%AlarmGroup (Gruppo allarme/eventi) | Gruppo allarmi/eventi dell´oggetto allarme (come testo). | Gruppo allarmi/eventi dell´oggetto allarme (come testo). | Gruppo allarmi/eventi dell´oggetto allarme (come testo).
%%AlarmClass (Classe allarmi/eventi) | Classe allarmi/eventi dell´oggetto allarme (come testo). | Classe allarmi/eventi dell´oggetto allarme (come testo). | Classe allarmi/eventi dell´oggetto allarme (come testo).
%%AlarmTimeActive (Time stamp allarme in attesa) | -- | Tempo per il quale l´allarme è in attesa. | --

Risoluzione dei problemi

Se si usano dei parametri non validi, nel messaggio viene visualizzata la segnalazione di errore corrispondente.
<Parametro non valido: 'Parametro'>.

Questo testo può essere modificato e tradotto con il cambio lingua. A questo scopo devono essere create due parole chiave:

  • <Parametro non valido:
  • >

Se i parametri vengono usati nel contesto sbagliato, o se è impossibile leggere un parametro (per es. perché una variabile non esiste), la stringa IDS_STRING2501 (---) viene inserita nel messaggio al posto del valore. Questo testo può essere modificato anche con l´aiuto del cambio lingua.


Message Control a Runtime

Manuale -> Message Control -> Message Control a Runtime

A Runtime, il Message Control viene avviato o automaticamente (proprietà Attivo all'avvio del Runtime attiva), oppure usando la funzione Attiva invio messaggio.

Se il Message Control è attivo e si verifica un evento per il quale è stato previsto l´invio di un messaggio:

  • Viene inviato un messaggio configurato per il caso in questione
  • Si analizza il suo ripristino
  • Vengono eseguite le funzioni usate per il ripristino

attention Attenzione

Nel corso dell’analisi dei messaggi nella cartella E-Mail, tutti i messaggi con soggetto corrispondente verranno interpretati e settati sullo stato "letti". Se la mail box del Message Control riceve anche altri messaggi, questi ultimi potranno eventualmente essere settati sullo stato "letto".

Gestione a Runtime

La coda di messaggi (Message Queue) può essere gestita con una immagine di tipo Message Control.

Si chiude il Message Control chiudendo il Runtime, oppure usando la funzione Disattiva invio messaggio.

Time stamp nella Lista di informazione allarmi e Message Control

Quando si richiama la funzione Invia messaggio, una copia dell´oggetto allarme viene trasmessa alla funzione. Il testo del messaggio viene creato e tradotto al momento della chiamata funzione. Se si attiva la funzione via AML, questa userà una copia dell´oggetto allarme proveniente dalla AML. Così il contenuto corrisponderà sempre ad una combinazione attuale di processo e stato allarme.

Message Queue Ritentività

Quando si chiude il Runtime in modo normale, viene salvata la coda di messaggi attuale. Quando poi si riavvia il Runtime, il sistema carica questa image, che viene poi elaborata dal Message Control. I dati vengono salvati in un file che ha il nome seguente: MessageRT_Image.bin. Vengono salvati i seguenti dati:

  • Messaggi attuali nella coda
  • Gruppi allarmi soppressi
  • Classi allarmi soppresse
  • Aree soppresse
  • Impianti soppressi

Rete

Le informazioni relative al comportamento nella rete si trovano nel capitolo Rete.

Ripristino

Ogni messaggio può essere identificato in modo univoco grazie ad un GUID. A seconda del metodo di trasmissione e del tipo di invio configurati, i messaggi possono essere ripristinati anche tramite altri mezzi di trasmissione da quelli usati per inviarli. I dettagli relativi al ripristino dei messaggi si trovano nel capitolo Ripristino dei messaggi.

Cambio lingua

I testi contenuti nei messaggi possono essere tradotti completamente. In questo caso, il sistema prende analizza:

  • L´area testo costante
  • Il parametro testo dinamico valore limite
  • Testo di un valore limite nella AML/CEL

Le colonne selezionabili nell´immagine di tipo Message Control sono traducibili se configurate in modo corrispondente.

Noch in diesem Kapitel

Aprire immagine del tipo Message Control

Ripristino dei messaggi

Messaggi vocali a Runtime

Rete

Processo: messaggio vocale


Aprire immagine del tipo Message Control

Manuale -> Message Control -> Message Control a Runtime -> Aprire immagine del tipo Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine di tipo Message Control offre a Runtime una visuale dell´attuale coda di messaggi (Message Queue) e degli elementi di controllo per l´analisi e il filtro. Il contenuto degli elementi visualizzati nel campo Coda messaggi (Messaging Queue) corrisponde al contenuto della coda messaggi al momento dell´apertura dell´immagine e non viene aggiornato automaticamente. La visualizzazione può essere aggiornata in qualsiasi momento cliccando sul pulsante Aggiorna. Il pulsante Stop/Avanti consente di effettuare un aggiornamento ciclico. Un campo di testo mostra il momento in cui è stato effettuato l´ultimo aggiornamento.

La Coda messaggi (Messaging Queue) contiene i messaggi che

  • Attendono di essere inviati
  • Sono in fase di invio
  • Sono stati già inviati
  • Sono stati confermati
  • Sono stati eliminati

Gruppi, classi, aree e impianti soppressi, i cui allarmi, cioè, non vengono visualizzati nella lista, vengono visualizzati in specifiche liste.

Le colonne della Coda messaggi (Messaging Queue) possono essere configurate individualmente (vedi Filtri) e dotate di una propria didascalia. Queste didascalie sono traducibili.

Elementi di controllo

Descrizione

Inserisci template

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Pulsanti

Pulsanti per azioni a Runtime.

Aggiorna

Aggiorna la visualizzazione. I dati correnti vengono caricati nell´immagine dalla coda di messaggi (Message Queue).

Il momento in cui è avvenuto l´ultimo update può essere visualizzato usando il campo Ultimo aggiornamento.

Elimina

Cancella l´inserimento selezionato dalla lista, Possono essere cancellati solamente i messaggi che non sono stati ancora inviati.

Filtro

Apre la finestra di dialogo per configurare il filtro per la visualizzazione.

Stop/Avanti

Avvia e termina l´update ciclico della lista.

Finestra

Liste e campi che possono essere visualizzati durante il Runtime.

Quantità notizie

Numero dei messaggi esistenti al momento.

Ultimo aggiornamento

Time stamp dell´ultimo update.

Gruppi allarme/evento soppressi

Gruppi allarme/evento per i quali i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda di messaggi (Message Queue).

Classi allarme/evento soppresse

Classi allarme/evento per i quali i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda di messaggi (Message Queue).

Aree allarme/evento soppresse

Aree allarme/evento per le quali i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda di messaggi (Message Queue).

Impianti soppressi

Impianti per i quali i messaggi sono stati soppressi e i cui allarmi, quindi, non vengono visualizzati nella coda messaggi (Message Queue).

Coda messaggi

Lista dei messaggi.

Contiene i messaggi inviati, confermati o cancellati, oppure quelli che sono ancora da inviare.

I messaggi vengono solamente visualizzati e non possono essere più modificati.

Le intestazioni colonna possono essere nominate individualmente e, se si utilizza come prefisso il carattere @, sono traducibili .

Profili filtro

Gestione profili.

Selezione profili

Apre la finestra di dialogo che serve a selezionare un profilo.

Salva

Salva le impostazioni attuali come profilo.

Elimina

Cancella il profilo.

Importa

Apre la finestra di dialogo per importare dei profili da un file.

Esporta

Apre la finestra di dialogo per esportare dei profili da un file.


Ripristino dei messaggi

Manuale -> Message Control -> Message Control a Runtime -> Ripristino dei messaggi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I messaggi possono essere confermati o rifiutati dal destinatario. A seconda della modalità di trasmissione scelta, il ripristino dei messaggi è o sempre obbligatorio, oppure opzionale.

Modalità di trasporto

Con ripristino

  • -: opzionale
  • +: obbligatorio

messaggio E-Mail via Outlook

-

messaggio E-Mail via SMTP

-

messaggio SMS via modem GSM

-

messaggio SMS via SMS-Gateway

-

Messaggio vocale da file audio

+

Messaggio vocale Text-to-Speech

+

Quando un messaggio non viene ripristinato, oppure lo si ripristina in modo sbagliato o rifiutandolo, viene inviato alla prima persona definita come sostituto. Se non è stato definito nessun sostituto, il messaggio non sarà inviato di nuovo. Lo stato viene protocollato nella CEL. Durante il ripristino di messaggi possono essere eseguite delle funzioni collegate.

info Informazioni su

Regole per chiamate interrotte:

  • se una chiamata viene interrotta senza conferma o rifiuto, e l´interruzione non viene classificata come errore hardware, accade quanto segue:
    • non si chiama di nuovo lo stesso destinatario
    • si procede a trasmettere il messaggio a persone di riserva non ancora avvertite, oppure a membri del gruppo
  • Se una chiamata viene interrotta da un errore hardware, si procederà a chiamare lo stesso destinatario per il numero di volte impostato nella proprietà Massimo numero tentativi.

Configurare la conferma

Per configurare la conferma o il rifiuto di messaggi:

  1. Aprire nella funzione Invia messaggio la scheda Avviso di ricezione.
  2. Attivare la checkbox Conferma di ricezione necessaria (sempre attiva in caso di messaggi vocali).
  3. Definire il tempo di attesa (Timeout) entro il quale il messaggio deve essere ripristinato.
    Dopo la scadenza del tempo di attesa, il messaggio viene inviato al prossimo utente definito come sostituto.
  4. Configurare i codici di conferma (PIN) e di rifiuto (codice NA) come segue:
    1. usando le proprietà dell´utente:
      Utente Message Control -> Codice PIN e Codice-NA
      o
    2. nella funzione tramite:
      Checkbox Utilizza codice specifico per il messaggio -> Codice PIN e Codice NA

    Se si configurano i codici sia usando le proprietà che tramite la funzione, valgono quelli definiti mediante la funzione.
    Suggerimento: quando si decide di configurare i codici tramite la funzione, è consigliabile farne cenno nel testo del messaggio in modo tale che il destinatario possa usare il codice giusto per l'attivazione o il rifiuto.

  5. Definire le funzioni che devono essere eseguite dopo la ricezione dei codici per:
    1. Messaggio è stato confermato
    2. Messaggio non è stato né confermato, né rifiutato
    3. Messaggio è stato rifiutato
  6. Chiudere il dialogo cliccando sul pulsante OK

Ripristino a Runtime

Quando viene inviato, ogni messaggio per cui è previsto il ripristino obbligatorio riceve un'identificazione propria e univoca (GUID). Tutte le azioni del messaggio vengono assegnate sulla base di questo identificatore. Se un messaggio è con ripristino obbligatorio, l'identificazione viene aggiunta al testo automaticamente.

Per ripristinare un messaggio, il destinatario deve inviare, a seconda della modalità di trasmissione usata, il numero del messaggio e il PIN in un formato definito.

È dunque possibile ripristinare i messaggi scritti anche attraverso mezzi di comunicazione diversi da quelli progettati. In questo caso, devono essere soddisfatti i seguenti presupposti:

  • Il messaggio deve essere stato inviato come E-Mail o SMS
  • La risposta deve essere una E-Mail o un SMS
  • La risposta deve contenere il GUID
  • La risposta deve contenere il codice per il ripristino
  • La modalità di trasmissione per la risposta deve essere configurata

Ripristino di E-‑Mail

Una E-Mail viene ripristinata nel modo seguente:

  • L'utente spedisce la risposta usando la funzione "Rispondi" del suo programma di posta elettronica.
  • L´oggetto originario della E-Mail non deve essere modificato. Ciò significa: i contenuti definiti in Outlook in Oggetto (ID) e per SMTP in Soggetto per E-Mail, devono rimanere inalterati. In zenon, infatti, un messaggio viene identificato e assegnato tramite questi contenuti.
  • L´oggetto, però, deve essere contrassegnato come risposta da almeno tre caratteri che lo precedono. Ad esempio RE:, oppure AW:.
  • Il testo di risposta deve contenere:
    • GUID: all´inizio del messaggio. Non ci devono essere altri caratteri davanti, neanche degli spazi vuoti.
    • Punto e virgola (;): separatore
    • Testo: contiene codice PIN o codice NA

    Per es.: 43d3c61d-ccc9-4c76-bc2c-61c2d12b0db3;0246

  • Il Message Control identifica le E-Mail da gestire in base all´oggetto.
    Attenzione: l'oggetto di una risposta deve essere contrassegnato come risposta. Quando arriva un messaggio, infatti, il sistema controlla se esso inizia con almeno tre caratteri come RE: oppure AW:.
  • Il Message Control analizza GUID e codice ed esegue poi le funzioni configurate nella funzione Invia messaggio.

Nota: se è stata configurata la modalità di trasmissione SMS, un messaggio inviato via E-Mail può essere ripristinato anche tramite SMS.

Ripristino di SMS

Un SMS viene ripristinato nel modo seguente:

  • L´utente spedisce la risposta usando la funzione "Rispondi" del suo cellulare.
  • Il testo di risposta deve contenere:
    • GUID: all´inizio del messaggio. Non ci devono essere altri caratteri davanti, neanche degli spazi vuoti.
    • Punto e virgola (;): separatore
    • Testo: contiene codice PIN o codice NA

    Per es.: 43d3c61d-ccc9-4c76-bc2c-61c2d12b0db3;0246

  • Il Message Control analizza GUID e codice ed esegue poi le funzioni configurate nella funzione Invia messaggio.

info Informazioni su

Gli SMS verso Smartphones possono essere ricevuti e ripristinati anche via Notifier App by zenon. L´App invia la risposta come SMS in formato Alarm-ID;PIN oppure Alarm-ID;NA.

Se è stata configurata la modalità di trasmissione E-Mail, un messaggio inviato via SMS può essere ripristinato anche con un´E-Mail.

Messaggi vocali

I messaggi vocali devono essere ripristinati sempre. Si ripristina un messaggio vocale nel modo seguente:

  • L´apparecchio telefonico del destinatario deve supportare DTMF.
  • Il modem ricevente dell'impianto deve supportare DTMF.
  • Il messaggio viene letto al destinatario con il testo della Descrizione.
  • Il destinatario ripristina il messaggio inserendo il PIN-Code o il NA-Code con i tasti numerici del suo telefono.
  • Il destinatario può:
    • Farsi ripetere i messaggi.
      Per farlo deve premere il tasto #. Il messaggio inviato (descrizione, messaggio o messaggio di errore) verrà ripetuto.
    • Resettare il codice inviato:
      Per farlo deve premere il tasto *. Il codice precedentemente inviato (PIN o NA) dal destinatario viene annullato. La riproduzione del messaggio inizia di nuovo con la descrizione.
  • Il Message Control analizza il codice ed esegue poi le funzioni configurate nella funzione Invia messaggio.

Nota: i messaggi vocali devono essere sempre ripristinati via telefono.


Messaggi vocali a Runtime

Manuale -> Message Control -> Message Control a Runtime -> Messaggi vocali a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La procedura di invio di messaggi vocali è la seguente:

  1. Una funzione richiama la modalità di invio desiderata.
  2. La chiamata viene avviata via VoIP-Server, oppure via modem.

    Nota: nella colonna Messaggi della lista messaggi viene visualizzato il nome del file audio in caso di invio per file audio, oppure il testo del messaggio in caso di Text-to-Speech.

  3. Stabilisci connessione: il sistema considera la connessione come stabilita non appena la chiamata viene segnalata alla controparte.
    Quando una chiamata viene accettata, non è possibile distinguere se viene accettata da una persona o da una segreteria telefonica.
  4. Se non è possibile instaurare una comunicazione, il sistema fa un altro tentativo.
    Il numero dei tentativi corrisponde al valore configurato nella proprietà Proprietà specifiche di progetto/Massimo numero tentativi. Il tempo intercorrente fra i tentativi corrisponde al valore configurato nella proprietà Proprietà specifiche di progetto/Tempo di attesa tra tentativi e timeout.
  5. Se non è possibile instaurare la connessione, se il messaggio viene rifiutato, oppure se si risponde con un PIN errato, il sistema provvede ad avvertire la persona di riserva.
    Se non è stata configurata nessuna persona di riserva, la chiamata viene interrotta.
  6. Non appena la chiamata è accettata, viene riprodotto un testo di benvenuto.

    La riproduzione di questo messaggio può essere richiesta dal destinatario premendo il tasto #.

  7. Il destinatario reagisce al messaggio confermandolo o rifiutandolo. Per farlo si deve inserire il codice corrispondente:
    • Conferma: Codice PIN
    • Rifiuto: Codice-NA
  8. Se sono state configurate delle funzioni da eseguire in caso di conferma da parte del destinatario, queste verranno eseguite in base al codice inserito.

Inserimento del codice

L'inserimento del codice avviene via DTFM. Vengono interpretati i seguenti segnali:

  • #: Ripetere il messaggio corrente.
  • *: cancellare i caratteri inseriti e avviare di nuovo il processo con il testo di benvenuto.
  • Cifre da 0 - 9: Inserimento del codice di 4 cifre.

Quando si inserisce il codice, vengono interpretate solamente i primi quattro segnali sonori. Tutti gli altri segnali sonori DTMF vengono ignorati per il PIN e il NA, ma causano la ripetizione del messaggio.

L' inserimento può essere corretto in qualsiasi momento usando il tasto *. In questo caso tutti i caratteri inseriti vengono cancellati e il processo ricomincia con la riproduzione del messaggio di benvenuto.


Rete

Manuale -> Message Control -> Message Control a Runtime -> Rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella rete, la coda messaggi (Message Queue) viene sincronizzata in modo permanente fra server e Server-Standby. I nuovi messaggi generati sul server vengono trasmessi al server in standby. All'avvio del server o del Server-Standby, la coda messaggi viene sincronizzata con il server primario o il Server-Standby. Visto che server e Server-Standby usano differenti risorse, i messaggi possono essere ripristinati solamente sul dispositivo che li invia.

Allo stesso modo, la lista degli elementi soppressi viene sincronizzata e salvata in modo ritentivo.

La funzione Invia messaggio viene eseguita solamente sul PC che funge da server primario. L´invio dal client non viene supportato.

Utente

Si amministrano gli user usando la gestione utenti di zenon. Gli utenti, dunque, possono essere gestiti e modificati sul server, Server-Standby e Client. È possibile anche la gestione tramite Webserver e Web Client.

Nessuna condivisione risorse

Server e Server-Standby non possono condividere nessuna risorsa. Non è neppure consentito usare delle identiche risorse per diverse modalità di trasmissione sullo stesso calcolatore. Ciò significa:

  • E-Mail (SMTP): server e Server-Standby usano diversi E-Mail-account.
  • E-Mail (Outlook): server e Server-Standby usano diversi profili Outlook.
  • GSM: server e Server-Standby usano diversi modem e schede SIM con differenti numeri di telefono.
  • SMS (SMS-Gateway): server e Server-Standby usano diversi file e cartelle.
  • Messaggi vocali: server e Server-Standby usano diversi modem e differenti numeri di telefono.
  • Ogni calcolatore:

    Usa un modem proprio e un numero di telefono proprio per:

    • SMS via GSM
    • SMS via SMS-Gateway
    • Messaggio vocale da file audio
    • Messaggio vocale Text-to-Speech

    Usa diversi account per:

    • Outlook
    • E-Mail via SMTP

Comportamento in caso di interruzione di funzionamento del server

Se il server smette di funzionare, il Server-Standby, dopo essere passato al ruolo di server, invia di nuovo tutti i messaggi con obbligo di ripristino che si trovano nella coda messaggi. Questo può provocare un doppio invio di messaggi, ma è garanzia del fatto che questi ultimi vengano correttamente ripristinati, dato che il ripristino può avvenire solamente su PC che invia i messaggi.

Dopo un´interruzione di funzionamento e un riavvio del computer, è possibile che sia necessario installare di nuovo i modem GMS e controllare le loro porte COM.


Processo: messaggio vocale

Manuale -> Message Control -> Message Control a Runtime -> Processo: messaggio vocale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il processo di invio del messaggio vocale e di ricezione della conferma corrisponde al seguente diagramma:

Legenda:

  • Y: Sì
  • N: No

Procedura

La procedura della funzione può essere suddivisa in processi principali e sotto-processi.

Processi principali:

  • Chiamata della funzione Invia messaggio
  • Descrizione testo
  • Fine della chiamata

Sotto-processi:

  • Sostituto
  • Codice errato
  • Conferma

Processi principali:

Chiamata della funzione "Invia messaggio":

  1. Funzione Invia messaggio eseguita
  2. Validazione: è stato raggiunto il valore configurato nella proprietà Massimo numero tentativi per la funzione?
    • Y: la funzione Invia messaggio viene terminata.
    • N: la chiamata viene eseguita.
  3. Validazione: la chiamata è annunciata al partner?
    • N: Il sistema attende per il tempo configurato nella proprietà Tempo di attesa tra tentativi e timeout. Poi la funzione Invia messaggio viene eseguita di nuovo.
    • Y: si attende una risposta.
  4. Validazione: è stato superato il tempo di attesa configurato nella proprietà Timeout [min] per la funzione?
    • Y: si prosegue con il processo Sostituto.
    • N: si attende l'accettazione della chiamata.
  5. Validazione: la chiamata viene accettata?
    • N: si prosegue con il processo Sostituto.
    • Y: si prosegue con il processo Descrizione testo.

Descrizione testo:

  1. La descrizione viene inviata.
  2. Validazione: viene inviato # o * dalla controparte?
    • Y: la descrizione viene inviata.
    • N: verifica del tempo di attesa.
  3. E' stato superato il tempo di attesa configurato nell'opzione Tempo di attesa della funzione Invia messaggio?
    • Y: si prosegue con il processo Fine della chiamata.
    • N: si attende l'inserimento del codice PIN o NA.
  4. Validazione: è stato inserito un codice PIN o NA corretto?
    • Y si prosegue con il processo Conferma.
    • N: si prosegue con il processo Codice errato.
  5. Validazione: codice ricevuto *?
    • Y: si prosegue con il processo Descrizione testo.
    • N: si prosegue con il processo Fine della chiamata.

Fine della chiamata

  1. Validazione: è stato ricevuto il PIN?
    • Y: eseguire la funzione collegata a PIN ricevuto, se esistente.
    • N: si prosegue con il processo NA.
  2. Validazione: è stato ricevuto il NA?
    • Y: eseguire la funzione collegata a NA ricevuto, se esistente.
    • N: si prosegue con il punto successivo Nessuna conferma.
  3. Nessuna conferma ricevuta: eseguire la funzione collegata, se esistente.
  4. Terminare la funzione Invia messaggio.

Sotto-processi:

Sostituto:

  • Validazione: è stato definito un sostituto?
    • Y: eseguita di nuovo la funzione per il sostituto.
      Si prosegue con la validazione: è stato raggiunto il valore configurato nella proprietà Massimo numero tentativi per la funzione?
    • N: si prosegue con il processo Fine della chiamata, punto 3: Nessuna conferma ricevuta.

Codice errato:

  • Validazione: inserimento di # oppure di cifra fra 0 e 9?
    • N: Validazione: codice ricevuto *?
    • Y: Indietro alla validazione: inserimento di # oppure di cifra fra 0 e 9?

Conferma:

  • Validazione: inserimento di # oppure di cifra fra 0 e 9?
  • N: Validazione: codice ricevuto *?
  • Y: Indietro alla validazione: inserimento di # oppure di cifra fra 0 e 9?


Messaggi e gestione degli errori

Manuale -> Message Control -> Messaggi e gestione degli errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Messaggi, note ed errori possono essere loggati e visualizzati con il Diagnose Viewer in un modulo apposito [Message Control]. I dettagli relativi ai messaggi si trovano nella sezione Inserimenti LOG.

Rete

Il traffico di rete può essere analizzato tramite software Wireshark. Se la trasmissione avviene in modo non criptato, tutti i comandi inviati al server e le sue risposte saranno visibili in chiaro, come testo normale, durante la cattura (Capture). In caso di connessioni cifrate, potrà essere controllato l'SSL / TLS Handshake, non lo scambio di dati utente.

Server

Per verificare se un server supporta determinati comandi, si può instaurare una sessione Telnet con il server.

In Windows 7 si installa il client Telnet nel modo seguente:

  1. Aprire il pannello di controllo.
  2. Aprire Programmi e funzioni.
  3. Aprire Attiva o disattiva funzionalità Windows.
  4. Selezionare la checkbox Client Telnet.
  5. Chiudere il dialogo cliccando su OK .
  6. Il client Telnet verrà installato.

La connessione può essere ora instaurata nella riga di comandi usando il comando telnet [Nome server o indirizzo IP] [Port p.es. 25 o 110].

Server di posta elettronica

La connessione con il server di posta elettronica può essere controllata mediante un client di posta elettronica (per es. Outlook). Se si usa una connessione non crittografata, l'analisi con Wireshark può visualizzare i comandi SMTP e POP3 supportati.

DNS

La risoluzione nomi può essere verificata con un programma come nslookup. nslookup consente di effettuare delle query (interrogazioni) ad un server DNS per la risoluzione di indirizzi IP o nome host, per poter ottenere da un dominio il relativo indirizzo IP o nome host e viceversa. Come prerequisito è necessario che nella configurazione IP del PC sia inserito un server DNS valido.

GSM

Per analizzare problemi con i modem GSM (Global System for Mobile Communication) è possibile usare, ad esempio:

  • Serial Port Monitoring:
    può monitorare la comunicazione fra zenon e il modem GSM.
  • HyperTerminal:
    consente di inviare dei comandi AT al modem.
    Per esempio: Microsoft Hyperterminal o Putty (Open Source).
    Nota: Hyperterminal è stato fornito da Microsoft solamente fino a Windows XP. Può essere copiato manualmente per altri sistemi operativi.

Comandi AT

Per la risoluzione dei problemi con comandi AT:

  1. Assicurarsi che sia istallato il driver adeguato per ii sistema operativo utilizzato. Si consiglia di usare il driver del produttore del modem.
  2. Verificare che il driver sia istallato nel modo corretto e che sia pronto all´uso.
  3. Usare Hyperterminal per instaurare la connessione con la porta COM del modem. Per esempio: Microsoft Hyperterminal o Putty (Open Source).
  4. Digitare nella finestra principale del terminal il comando AT AT.
    . Il modem dovrebbe rispondere OK.
  5. Testare i comandi AT che hanno generato una segnalazione di errore nel LOG file. Non dimenticare nessuna operazione preparatoria eventualmente necessaria per il modem, come, ad esempio, la creazione di un messaggio nella coda.
  6. Verificare se le risposte del modem corrispondono a quelle nella lista dei comandi AT supportati.

Noch in diesem Kapitel

Check list

Inserimenti LOG.


Check list

Manuale -> Message Control -> Messaggi e gestione degli errori -> Check list

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In caso di problemi, controllare:

Problema

Causa possibile

Soluzione

SMTP-Mail

Le E-Mail in uscita non vengono inviate, quelle in entrata non vengono ricevute.

La modalità di invio non è configurata in modo corretto. Un´indicazione in questo senso sono le segnalazioni nei LOG di tipo "Invio non attivo", "Server non raggiungibile", "Utente non trovato "autenticazione SMTP / POP3 fallita!".
  • La proprietà Versandart aktiv è attiva?
  • L´utente cui è destinata la E-Mail, è settato come "Utente Message Control" (proprietà Utente Message Control attivata)?
  • È stato configurato un indirizzo E-Mail per l´utente?
  • I dati utente vengono trasmessi al Runtime dopo ogni modifica (proprietà RT dati modificabili)?
  • La configurazione della modalità di invio è corretta? Confronta con i dati del provider E-Mail.

Il server è registrato in modo corretto, ma non è raggiungibile (messaggi di errore al momento dell´instaurazione della connessione).
  • Funziona la risoluzione nomi?
  • È possibile raggiungere il server (ping)?
  • Il firewall consente l´instaurazione di una connessione con la porta impostata? Sia il firewall del computer che quello del dominio possono bloccare l´instaurazione della connessione. Controllare con Telnet.

Il server non supporta un comando (messaggio di errore „Command not Supported", oppure qualcosa di simile nel file LOG).
  • Controllare se il server supporta il comando (per es. con Thunderbird o Telnet).

Se possibile, selezionare un´altra configurazione (per es. i comandi SMTP AUTH possono essere evitati mediante "Prima di inviare l' E-Mail accedere al server di posta in entrata"). L'APOP può essere disattivato e sostituito da utente e password.

Il server richiede una connessione crittografata. Dato che l´invio avviene in modalità non crittografata, il server interrompe la connessione.
  • In questo caso, l´analisi effettuata con Wireshark mostrerà che il server invia "STARTTLS". Visto che questo comando non viene supportato, la connessione dovrebbe essere assicurata via SSL o TLS.

Il server non supporta il meccanismo di protezione selezionato (messaggi di errore al momento di una connessione crittografata).
  • Selezionare un'altra configurazione di protezione oppure trasmissione in chiaro (non cifrata) del testo.

SMS-GMS

zenon non può stabilire una connessione con il modem.
  • Porta COM sbagliata (errore "File-Not-Found" quando ai prova ad aprire la porta COM).
  • La porta COM è occupata (per es. dal software di configurazione del produttore, errore "Access-Denied" quando ai prova ad aprire la porta COM).
  • Errore nella configurazione della porta COM/il modem non risponde.
  • Il modem non supporta il modo SMS-PDU (messaggio di errore "AT+CMGF", oppure messaggio di errore "PDU-Mode" nel Log)
  • Il modem richiede forse un PIN/questo PIN non è corretto? (messaggio di errore PIN in LOG)
  • Si tentato un inserimento di un PIN sbagliato per troppe volte? (messaggio di errore PUK nei LOG) In questo caso la connessione fra zenon e il modem torna ad essere possibile solo dopo aver inserito il PUK manualmente; in questo modo viene rimosso il blocco.
  • Controllare la porta COM e la configurazione del modem.
  • Controllare il PIN, eventualmente inserire manualmente il PUK.

La connessione viene instaurata, ma è impossibile inviare e ricevere messaggi
  • È stata prima stabilita una connessione con il software del produttore fra modem e rete GSM? La connessione con la rete viene stabilita per lo più solo dopo l´accesso al software del produttore!
  • Nonostante questo, il modem non è connesso con la rete (controllare con il software del produttore): Cercare un posto con una ricezione migliore.
  • Il numero di telefono SMSC inserito non è corretto. Prima dell'inserimento in zenon oppure quando viene stabilita per la prima volta che la connessione,controllare il numero. Questa verifica può essere effettuata anche con la proprietà Verifica connessione attivata. Caricare SMSC con HyperTerminal dal modem e notarlo.
  • Guardare i messaggi di errore nel LOG.
  • La prima volta, collegare il modem alla rete GSM usando il software del produttore
  • Spostare fisicamente il modem.
  • Controllare il numero di telefono.
    Il codice paese per il SMSC (00xy oppure +xy) è stato inserito correttamente?


Inserimenti LOG.

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti LOG.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimenti nel file LOG del Diagnose Viewer.

  • Messaggi vari
  • E-Mail via SMTP/POP
  • Voice over IP
  • SMS
  • OpenSSL Library

Noch in diesem Kapitel

Messaggi vari

E-Mail per SMTP/POP

Voice over IP

SMS

Inserimenti LOG - OpenSSL Library


Messaggi vari

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti LOG. -> Messaggi vari

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La lista di questi inserimenti LOG è organizzata in ordine alfabetico per livelli ed inserimenti.

  • Debug
  • Deep-Debug
  • MSG
  • Warnings

Noch in diesem Kapitel

Debug

Deepdebug

MSG

Warnings


Debug

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti LOG. -> Messaggi vari -> Debug

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Debug

Livello | Inserimento | Descrizione
DEBUG | Attaching to current call. | Aggancia alla chiamata attiva.
DEBUG | Connected | E' stata stabilita una connessione.
DEBUG | Couldn't send MessageDeleteRequest notification to Mainstation. | Il tentativo di inviare al computer che che gestisce il processo un Delete-Request-Telegramm è fallito.
DEBUG | Current Message %Nachricht Inhalt% | Il messaggio attuale (contenuto, impostazioni ecc.) verrà tracciato (registrato) nei Log.
DEBUG | File alignment request could not be send to mainstation. | Il tentativo di inviare una richiesta di sincronizzazione al computer che gestisce il processo è fallito.
DEBUG | Invalid code '%s' entered. | È stato inserito un codice non valido.
DEBUG | Mail to Benutzer '%s' was successfully added to the outbox. | Il messaggio all´utente [nome] è stato trasferito con successo nell´outbox di Outlook.
DEBUG | MessageDeleteRequest Response: %d messages were deleted from the queue. | E' stata ricevuta una Delete-Response: [numero] messaggi sono stati cancellati dalla coda (Queue).
DEBUG | Messaging canceled: The end of the Benutzer list for the Group (%s) has been reached. | E' stata raggiunta la fine del gruppo utenti [nome], l´invio messaggio viene interrotto.
DEBUG | Requesting File alignment from mainstation. | Verrà inviata una richiesta di sincronizzazione al computer che gestisce il processo.
DEBUG | Send SMS to Benutzer %s. | È stato mandato un SMS all´utente [indirizzo].
DEBUG | Sending mail to Benutzer '%s' using address: %s. | Viene preparato un messaggio per l´utente [Nome] e [inviato] all´indirizzo.
DEBUG | Sending MessageDeleteRequest for %d messages to Mainstation. | Viene inviata una Delete-Request per [numero] messaggi al computer che gestisce il processo.
DEBUG | SMS to Benutzer %s transmitted to the outbox. | Un SMS all´utente [indirizzo] è stato trasferito nell´outbox.
DEBUG | The #-sign was entered: Repeating the last message. | E' stato inserito un #: verrà ripetuto l´ultimo messaggio.
DEBUG | The *-sign was entered: Clearing the current key. | È stato inserito un *, il codice attuale inserito verrà resettato.
DEBUG | The current call be terminated now. | La chiamata attiva verrà terminata.
DEBUG | The is no call in progress, nothing to terminate. | Non c´è nessuna chiamata attiva, perciò nulla da terminare.
DEBUG | The line %s has been closed. | La linea [] è stata chiusa con successo.
DEBUG | The line %s has been opened. | La linea [] è stata aperta con successo.
DEBUG | The message %s should have been acknowledged by now, handling TimeOut. | Il messaggio [ID] dovrebbe essere già stato confermato, elaborazione TimeOut.
DEBUG | The message %s should have been sent by now, handling hardware TimeOut. | Il messaggio [ID] dovrebbe essere già stato inviato, elaborazione TimeOut.
DEBUG | The Message %s was NOT successfully sent to %s! | Non è stato possibile inviare il messaggio [ID] a [destinatario].
DEBUG | The Message %s was not successfully sent to %s, and will be send again! | Non è stato possibile inviare il messaggio [ID] a [destinatario]; il messaggio verrà inviato di nuovo.
DEBUG | The Message %s was successfully sent to %s! | Il messaggio [ID] è stato inviato con successo a [destinatario].
DEBUG | The next Benutzer (%s) for the group (%s) will be notified, previous Benutzer was:%s | Il prossimo utente [nome] del gruppo [nome] verrà avvertito; il precedente era l´utente [nome].
DEBUG | The sending of message %s was completed. | Il processo di invio del messaggio [ID] è stato completato.
DEBUG | Valid Acknowlegde-code entered. | È stato inserito un codice PIN valido per confermare il messaggio.
DEBUG | Valid NegAcknowlegde-code entered. | È stato inserito un codice NA valido per rifiutare il messaggio.


Deepdebug

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti LOG. -> Messaggi vari -> Deepdebug

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Deep-Debug

Livello | Inserimento | Descrizione
DEEPDEBUG | A changed notification of message(%s) was received, the old message object will be updated! | Il progetto ha ricevuto un telegramma di modifica per il messaggio con il GUID [numero]. L´oggetto locale (vecchio) viene aggiornato.
DEEPDEBUG | A delete message(s) request was received! | È stato ricevuto un telegramma Delete-Request.
DEEPDEBUG | A getqueue request was received, sending queue. | È stata ricevuta una richiesta di sincronizzazione. Vengono inviati la coda messaggi e lo stato attuali.
DEEPDEBUG | A remove notification of message(%s) was received, the message object will be removed from the list. (%s) | Il progetto ha ricevuto un remove telegram per il messaggio con GUID [numero]. L´oggetto locale (vecchio) viene cancellato.
DEEPDEBUG | All messages for project %s will be removed. | Tutti i messaggi del progetto [Nome] vengono cancellati dal Message Control.
DEEPDEBUG | An added notification of message(%s) was received, the message object will be added to the list. (%s) | Il progetto ha ricevuto un remove telegram per il messaggio con il GUID [numero]. Viene inserito il nuovo oggetto.
DEEPDEBUG | An ChangeSuppressionRequest was received. The local suppression-state will be updated! | È stata ricevuta una richiesta di cambio soppressione. Lo stato di soppressione verrà aggiornato.
DEEPDEBUG | An update of the message control state was received. The local state will be updated! | Il progetto ha ricevuto un telegramma MessageControl-StateChange per il messaggio con GUID [numero]. Viene inserito il nuovo oggetto.
DEEPDEBUG | Current message count is (%d) | Sono presenti [numero] messaggi nella coda. (L´inserimento viene generato al momento della creazione e della cancellazione di messaggi).
DEEPDEBUG | Firing MessageAcknowledged | Viene generato un evento MessageAcknowledged.
DEEPDEBUG | Firing MessageAcknowledgeTimeOut | Viene generato un evento MessageAcknowledgeTimeOut.
DEEPDEBUG | Firing MessageCreated | Viene generato un evento MessageCreated.
DEEPDEBUG | Firing MessageDeleted | Viene generato un evento MessageDeleted.
DEEPDEBUG | Firing MessageIn: (Identfier:'%s',Message:'%s') | Viene generato un evento MessageIn, il valore Id è %s, il testo del messaggio è %s
DEEPDEBUG | Firing MessageNegAcknowledged | Viene generato un evento MessageNegAcknowledged.
DEEPDEBUG | Firing MessageSendError | Viene generato un evento MessageSendError
DEEPDEBUG | Firing MessageSent | Viene generato un evento MessageSent.
DEEPDEBUG | Last index set to %d. | L´ultimo indice utilizzato è stato settato su [valore].
DEEPDEBUG | MessageAcknowledged fired | È stato generato un evento MessageAcknowledged.
DEEPDEBUG | MessageAcknowledgeTimeOut fired | È stato generato un evento MessageAcknowledgeTimeOut.
DEEPDEBUG | MessageChangedNotify received for Message %s ignored (no longer Mainstation)! | Il progetto ha ricevuto dal Message Control una Changed notification per message con il GUID [numero], ma non è più l´istanza che ha avviato il processo.
DEEPDEBUG | MessageCreated fired | È stato generato un evento MessageCreated.
DEEPDEBUG | MessageDeleted fired | È stato generato un evento MessageDeleted.
DEEPDEBUG | MessageIn fired: (Identfier:'%s',Message:'%s') | È stato generato un evento MessageIn, il valore Id è %s, il testo del messaggio è %s
DEEPDEBUG | MessageNegAcknowledged fired | È stato generato un evento MessageNegAcknowledged.
DEEPDEBUG | MessageSendError fired | È stato generato un evento MessageSendError.
DEEPDEBUG | MessageSent fired | È stato generato un evento MessageSent.
DEEPDEBUG | Messaging TimeOut watchdog activated for Project '%s' | Per il progetto [nome] è stato avviato il watchdog Timeout.
DEEPDEBUG | Messaging-Queue is being saved. | Verrà salvata l´attuale coda messaggi (Message-Queue).
DEEPDEBUG | Project %s signed off. | Viene cancellata la registrazione presso il Message Control.
DEEPDEBUG | Project %s signed on. | Il progetto viene registrato presso il Message Control.
DEEPDEBUG | SB state: %s(%u) | Stato Server-Standby: %s (%d).
DEEPDEBUG | Sending added notification for message %s to SB. | È stato creato l´oggetto del messaggio con GUID [numero]. Il "nuovo" oggetto viene inviato anche al Server-Standby.
DEEPDEBUG | Sending changed notification for message %s to SB. | L´oggetto del messaggio con il GUID [numero] è cambiato; il "nuovo" oggetto viene inviato al Server-Standby.
DEEPDEBUG | Sending MessageCtrl-StateChanged to SB. | Viene inviato un telegramma MessageControl-StateChange al Server-Standby.
DEEPDEBUG | Sending remove notification for message %s to SB. | L´oggetto del messaggio con il GUID [numero] è stato cancellato; un remove telegram viene inviato al Server-Standby.
DEEPDEBUG | Switch to server:%s | L´istanza attuale viene settata come server.
DEEPDEBUG | Switch to standby:%s | L´istanza attuale viene resettata come Server-Standby.
DEEPDEBUG | The message %s is added to the Queue. | Il messaggio con il Guid [numero] è stato inserito nella coda messaggi.
DEEPDEBUG | The Message (%s) was removed from the project queue. | Il messaggio con Guid [numero] è stato eleminato dalla coda messaggi.


MSG

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti LOG. -> Messaggi vari -> MSG

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

LOG-Level MSG & MSG

Livello | Inserimento | Descrizione
logLe_MSG | Logging on to default mapi profile %s | Quando non è stato selezionato nessun profilo, il tipo di invio individua il primo profilo e con esso effettua il loggin.
MSG | Logging off of MAPI profile %s. | Logout da profilo [Nome].
MSG | Logging on to mapi profile %s | Login su profilo [Nome].
MSG | MessageControl has been activated. | Il Message Control verrà attivato.
MSG | MessageControl has been deactivated. | Il Message Control è stato disattivato.
MSG | Selected dispatcher '%s' is busy->try again... | Il tipo di invio selezionato [tipo] è occupato: si tenterà di nuovo di inviare il messaggio più tardi.
MSG | The incoming message for %s contains the correct Ack-Code. | Il messaggio in arrivo [ID] contiene un codice PIN valido per la conferma del messaggio.
MSG | The incoming message for %s contains the correct NegAck-Code. | Il messaggio in arrivo [ID] contiene un codice NA valido per il rifiuto del messaggio.
MSG | The incoming message for %s does not contain a valid code. | Il messaggio in arrivo [ID] non contiene nessun codicen valido.


Warnings

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti LOG. -> Messaggi vari -> Warnings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Warnings

Livello

Inserimento

Descrizione

WARNINGS

A Send-Message function was executed for a Group which does not contain any Message Control users!

È stata eseguita una funzione "invia messaggio" per un gruppo vuoto, oppure che non contiene nessun utente attivato per il Message Control.

WARNINGS

Index exceeded 99999, starting from 0.

Indice massimo per il nome file raggiunto, si ripartirà da 0.

WARNINGS

TAPI returned [numero] available devices.

Numero dei modem contattabili via TAPI.

Questo messaggio viene generato nei Log quando vengono individuati da zenon gli apparecchi disponibili. Questo indica quali apparecchi sono contattabili dall´OS via TAPI.

WARNINGS

Not all required modes are supported: LINEBEARERMODE_VOICE:[ModemID],LINEMEDIAMODE_AUTOMATEDVOICE:[Modem ID],LINEFEATURE_MAKECALL:[Modem ID]-> the device [Modemname] can't be used!

Dopo che il sistema ha determinato il numero degli apparecchi TAPI, questi ultimi vengono filtrati sulla base dei modes necessari.

Nota: se un dispositivo non supporta una delle modalità necessarie, questo modem non sarà visualizzato. Questo inserimento Log indica in modo chiaro quale modalità non è disponibile.


E-Mail per SMTP/POP

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti LOG. -> E-Mail per SMTP/POP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La lista di questi inserimenti LOG è organizzata in ordine alfabetico per livelli e inserimenti.

  • Debug
  • Error
  • Warning

Noch in diesem Kapitel

Debug

Error

E-Mail per SMTP/POP - Warning


Debug

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti LOG. -> E-Mail per SMTP/POP -> Debug

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Debug

Livello | Inserimento | Descrizione
DEBUG | Attaching to current call. | Aggancia alla chiamata attiva.
DEBUG | Connected | E' stata stabilita una connessione.
DEBUG | Couldn't send MessageDeleteRequest notification to Mainstation. | Il tentativo di inviare al computer che che gestisce il processo un Delete-Request-Telegramm è fallito.
DEBUG | Current Message %Nachricht Inhalt% | Il messaggio attuale (contenuto, impostazioni ecc.) verrà tracciato (registrato) nei Log.
DEBUG | File alignment request could not be send to mainstation. | Il tentativo di inviare una richiesta di sincronizzazione al computer che gestisce il processo è fallito.
DEBUG | Invalid code '%s' entered. | È stato inserito un codice non valido.
DEBUG | Mail to Benutzer '%s' was successfully added to the outbox. | Il messaggio all´utente [nome] è stato trasferito con successo nell´outbox di Outlook.
DEBUG | MessageDeleteRequest Response: %d messages were deleted from the queue. | E' stata ricevuta una Delete-Response: [numero] messaggi sono stati cancellati dalla coda (Queue).
DEBUG | Messaging canceled: The end of the Benutzer list for the Group (%s) has been reached. | E' stata raggiunta la fine del gruppo utenti [nome], l´invio messaggio viene interrotto.
DEBUG | Requesting File alignment from mainstation. | Verrà inviata una richiesta di sincronizzazione al computer che gestisce il processo.
DEBUG | Send SMS to Benutzer %s. | È stato mandato un SMS all´utente [indirizzo].
DEBUG | Sending mail to Benutzer '%s' using address: %s. | Viene preparato un messaggio per l´utente [Nome] e [inviato] all´indirizzo.
DEBUG | Sending MessageDeleteRequest for %d messages to Mainstation. | Viene inviata una Delete-Request per [numero] messaggi al computer che gestisce il processo.
DEBUG | SMS to Benutzer %s transmitted to the outbox. | Un SMS all´utente [indirizzo] è stato trasferito nell´outbox.
DEBUG | The #-sign was entered: Repeating the last message. | E' stato inserito un #: verrà ripetuto l´ultimo messaggio.
DEBUG | The *-sign was entered: Clearing the current key. | È stato inserito un *, il codice attuale inserito verrà resettato.
DEBUG | The current call be terminated now. | La chiamata attiva verrà terminata.
DEBUG | The is no call in progress, nothing to terminate. | Non c´è nessuna chiamata attiva, perciò nulla da terminare.
DEBUG | The line %s has been closed. | La linea [] è stata chiusa con successo.
DEBUG | The line %s has been opened. | La linea [] è stata aperta con successo.
DEBUG | The message %s should have been acknowledged by now, handling TimeOut. | Il messaggio [ID] dovrebbe essere già stato confermato, elaborazione TimeOut.
DEBUG | The message %s should have been sent by now, handling hardware TimeOut. | Il messaggio [ID] dovrebbe essere già stato inviato, elaborazione TimeOut.
DEBUG | The Message %s was NOT successfully sent to %s! | Non è stato possibile inviare il messaggio [ID] a [destinatario].
DEBUG | The Message %s was not successfully sent to %s, and will be send again! | Non è stato possibile inviare il messaggio [ID] a [destinatario]; il messaggio verrà inviato di nuovo.
DEBUG | The Message %s was successfully sent to %s! | Il messaggio [ID] è stato inviato con successo a [destinatario].
DEBUG | The next Benutzer (%s) for the group (%s) will be notified, previous Benutzer was:%s | Il prossimo utente [nome] del gruppo [nome] verrà avvertito; il precedente era l´utente [nome].
DEBUG | The sending of message %s was completed. | Il processo di invio del messaggio [ID] è stato completato.
DEBUG | Valid Acknowlegde-code entered. | È stato inserito un codice PIN valido per confermare il messaggio.
DEBUG | Valid NegAcknowlegde-code entered. | È stato inserito un codice NA valido per rifiutare il messaggio.


Error

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti LOG. -> E-Mail per SMTP/POP -> Error

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Error

Livello | Inserimento | Descrizione
Error | [SMTP / POP3] not connected | Il sistema ha provato a inviare dei dati al server di posta in uscita, oppure ha tentato di acquisire dati dal server di posta in entrata, nonostante non ci sia una connessione funzionante con il server.
Error | Creating Connection failed. Errorcode: [Code] | Non è stato possibile creare l´oggetto per una connessione (sia criptata che non).
Error | Creating SSL/TLS Method failed. Errorcode: [Code] | Non è stato possibile creare il metodo SSL/TLS necessario per stabilire una connessione criptata.
Error | No Destination E-Mail-Address specified | Non è stato indicato nessun indirizzo per una E-Mail in uscita.
Error | Opening Connection failed. Errorcode: [Code] | Impossibile creare una connessione (sia criptata che non).
Error | Reading SSL Structure failed. Errorcode: [Code] | Impossibile leggere la struttura SSL/TLS di una connessione criptata.
Error | SMTP AUTH should be used, but the Server neither supports AUTH LOGIN nor the minimum implementation AUTH PLAIN | Deve essere usata l´autenticazione SMTP; il server, però, non ha inserito nella risposta EHLO i comandi necessari nella lista dei comandi di estensione supportati. (AUTH LOGIN e AUTH PLAIN, quest’ultimo è implementazione minima secondo l’RFC 2554.)
Error | The Server did not respond an OK Code to HELO. Response: [Risposta del server SMTP] | Il server di posta in uscita non ha risposto né al comando EHLO, né al comando HELO con un messaggio di OK. (La risposta verrà aggiunta al messaggio LOG.) Il server viene considerato non raggiungibile.
Error | The Server did not send a Waiting-For-Data-Response to the AUTH LOGIN [command / Benutzer data]: [Risposta del server SMTP] | Il server di posta in uscita non ha inviato la risposta attesa al comando AUTH LOGIN, oppure il nome utente corrispondente. (La risposta verrà aggiunta al messaggio LOG.)
Error | The Server did not send a Waiting-For-Data-Response to the AUTH PLAIN command: [Risposta del server SMTP] | Il server di posta in uscita non ha inviato la risposta attesa al comando AUTH PLAIN. (La risposta verrà aggiunta al messaggio LOG.)
Error | The Server did not send an OK-Response to the AUTH LOGIN password data: [Risposta del server SMTP] | Il server SMTP non ha confermato i dati relativi alla password AUTH LOGIN con OK. Il Login non è riuscito.
Error | The Server did not send an OK-Response to the AUTH PLAIN data: [Risposta del server SMTP] | Il server SMTP non ha confermato i dati AUTH PLAIN con OK. Il Login è fallito. (La risposta verrà aggiunta al messaggio LOG.)
Error | The Server did not send an OK-Response to the MAIL command: [Risposta del server SMTP] | Il server di posta in uscita non ha confermato con OK il comando MAIL (inviare una nuova E-Mail). (La risposta verrà aggiunta al messaggio LOG.)


E-Mail per SMTP/POP - Warning

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti LOG. -> E-Mail per SMTP/POP -> E-Mail per SMTP/POP - Warning

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Warning

Livello | Inserimento | Descrizione
WARNING | No Subject for the E-Mail specified | Non è stato indicato nessun oggetto per un´E-Mail in uscita. Questo non è un errore, ma un´E-Mail senza oggetto potrebbe essere bloccata da un filtro Spam.
WARNING | No Text for the E-Mail specified | Non è stato inserito nessun testo per un´E-Mail in uscita. Questo non è un errore, ma un´E-Mail senza testo potrebbe essere bloccata da un filtro Spam.
WARNING | The Server did not respond an OK Code to EHLO. Response: [Risposta del server SMTP] | Il server di posta in uscita ha risposto con un codice di errore al comando EHLO (la risposta è contenuta nel messaggio LOG). Il server SMTP non supporta nessuna estensione. Le estensioni vengono utlizzate nell´autenticazione SMTP. Non si tratta di un errore, dato che l´autenticazione SMTP non deve essere utilizzata e dato che le funzioni interessate eseguono a loro volta un procedimento di rilevamento degli errori.


Voice over IP

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti LOG. -> Voice over IP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimenti LOG per VoIP:

Errors

Livello

Inserimento

Descrizione

ERRORS

VoIP:Error in VoIP connection '%s'

Messaggio di errore dalla libreria per la connessione.

  • % viene sostituito dal testo codice corrente per lo stato SIP, o da un testo di errore specifico.
    Ad esempio: VoIP:Error in VoIP connection 'User not found'.

ERRORS

VoIP:Error during hardware initialization

Si è verificato un errore al momento dell´inizializzazione dell´hardware.

ERRORS

VoIP:Error when trying to make a call

Si è verificato un errore mentre era in corso il tentativo di eseguire una chiamata Voice over IP.


SMS

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti LOG. -> SMS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Error

Livello

Inserimento

Descrizione

ERROR

[Numero di telefono] is not a valid SMSC telephone number!

Il numero di telefono della Short Message Service Center non è corretto. Il codice del paese (00xy oppure +xy) è stato inserito correttamente?

Il controllo riguarda solamente i caratteri contenuti nel numero (eventualmente il segno + all´inizio, altrimenti solamente cifre), non l´esistenza reale del numero stesso, oppure se è veramente quello di uno Short Message Service Center!

ERROR

[Numero di telefono] is not a valid telephone number!

Il numero di telefono del destinatario è errato. Il controllo riguarda solamente i caratteri contenuti nel numero (eventualmente il segno + all´inizio, altrimenti solamente cifre), non l´esistenza reale del numero stesso!

ERROR

Error on opening the port [COM-Port]: [Numero di errore in HEX]

Non è stato possibile aprire la porta seriale indicata. È possibile consultare la documentazione MSDN per trovare il numero di errore indicato e per avere delle indicazioni sulle possibili ragioni che hanno causato l´errore.

ERROR

Error on configuring the port [COM-Porp] [state / timeouts / buffers]: [Numero di errore in HEX]

Non è stato possibile configurare la porta COM indicata. Vengono configurati state, timeout e buffer. Si può consultare la documentazione MSDN per trovare il numero di errore indicato.

ERROR

The total input buffer ([Numero] bytes) is too small for the [Numero] bytes received from the modem.

Il buffer di entrata è troppo piccolo per poter ricevere tutti i dati inviati dal modem. Il buffer di entrata viene impostato con una dimensione di 12 KB. Per ricevere un SMS della massima grandezza sono necessari circa 400 byte. Se all´interno di un intervallo di polling (vedi sotto) arrivano più di 12 KB di dati SMS, si verificherà l´errore menzionato.

ERROR

The modem returned an error to the [AT-Comando] command: [Segnalazione die errore]

Il modem ha risposto a un comando AT con un messaggio di errore. Questo verrà aggiunto al messaggio LOG. Nel messaggio di errore può essere contenuto un codice di errore AT.

Se è necessaria un´autenticazione mediante un codice PIN, quest´ultimo viene trasmesso con il comando AT+CPIN. Se si inserisce un codice errato, il modem risponderà a questa richiesta con un errore.

ERROR

The modem did not respond to the [Comandi AT] command.

Durante l´attesa alla risposta del modem a un comando AT si è verificato un timeout.

ERROR

The modem did not switch in SMS PDU mode.

Il modem ha confermato con OK il comando AT di attivazione della modalità SMS-PDU, ma non ha effettivamente attivato la modalità.

ERROR

The modem did not apply the SMSC telephone number.

Il modem ha confermato con OK il comando AT di impostazione del numero di telefono dello Short Message Service Center, ma non ha salvato il numero stesso come Short Message Service Center.

ERROR

Error: not connected

Si è tentato di inviare, ricevere o cancellare un SMS e non è stato possibile stabilire prima nessuna connessione con il modem.

ERROR

The modem returned an error to the transmission of the PDU: [Errore]

Il modem ha risposto alla trasmissione di un SMS-PDU con un messaggio di errore. Questo verrà aggiunto al messaggio LOG. Nel messaggio di errore può essere contenuto un codice di errore AT.

ERROR

The modem did not respond to transmission of the PDU.

Durante l´attesa alla risposta del modem alla trasmissione di un SMS-PDU si è verificato un timeout.

ERROR

Error on writing data: [Numero di errore in HEX]

Si è verificato un errore durante l´invio di dati attraverso una porta seriale. Si può consultare la documentazione MSDN per trovare il numero di errore.

ERROR

Not all bytes have been sent.

Nonostante la funzione di invio di dati tramite la porta seriale non abbia rilevato nessun errore, non sono stati inviati tutti i dati.

ERROR

Error on reading data: [Numero di errore in HEX]

Si è verificato un errore durante la ricezione di dati attraverso una porta seriale. Si può consultare la documentazione MSDN per trovare il numero di errore.

ERROR

The source SMSC telephone number [Numero di telefono] contains the not supported character [Carattere]

Il numero di telefono dello Short Message Service Center del mittente ricevuto al momento della ricezione dell´SMS, contiene un carattere non supportato.

ERROR

The source telephone number [Numero di telefono] contains the not supported character [Carattere]

Il numero di telefono del mittente ricevuto al momento della ricezione dell´SMS, contiene un carattere non supportato.

ERROR

The syntax of the timestamp [Data e ora] is incorrect.

L´ora/data della rete GSM ricevuta al momento della ricezione dell´SMS non corrisponde al formato previsto.

ERROR

The byte [Byte come HEX] could not be converted.

Non è stato possibile convertire un byte contenuto nel PDU, da una stringa HEX (esadecimale) in un numero.

ERROR

Insufficient buffer to convert SMS text [Testo]

Il buffer per la conversione di SMS in uscita (12 KB di 6144 caratteri) non è sufficiente.

ERROR

The format flag [Byte come HEX] is not supported.

La formattazione di un SMS in entrata non è supportata.

ERROR

Could not convert [Byte come HEX] from GSM 7-Bit-Alphabet. Baselanguage: [Byte come HEX], Extensionlanguage [Byte come HEX]

Non è stato possibile convertire Byte come HEX dall´alfabeto GMS 7-bit. La tabella base alphabet e la tabella estesa vengono aggiunte come Language Identifier (vedi standard 3GPP TS 23.038 V10.0.0 (2011-03).

ERROR

Insufficient data to decode multilanguage fragmented SMS!

Un SMS è arrivato in più parti; le singole parti usano diversi alfabeti. Le informazioni sugli alfabeti necessarie per la conversione, però, non sono complete.

ERROR

The input byte stream is not a valid unicode text.

Un messaggio Unicode ricevuto non contiene un testo valido (cioè con un numero pari di byte, visto che nel caso di Unicode sono necessari 2 byte per carattere).

ERROR

Insufficient Buffer to decode PDU

Durante la decodifica di una PDU, il buffer da 12 KB si è rivelato troppo piccolo.

ERROR

The PDU is not a valid byte stream.

Una PDU ricevuta non è un hexdump valido di un byte-stream.

ERROR

The PDU length does not match the SMS text length

Il numero di byte contenuti in una PDU ricevuta non corrisponde alla lunghezza specificata nei dati di controllo degli SMS.

ERROR

The Modem requests the PUK.

Il modem richiede per l´autenticazione il Personal Unlock Key (PUK). Quest´ultimo, però, non viene utilizzato dal Message Control; per questo motivo, il processo di connessione con il modem verrà interrotto a causa di un errore. Se si è inserito più volte il codice PIN sbagliato, la scheda SIM del modem richiede di effettuare l´autenticazione inserendo il codice PUK, dopodiché si dovrà procedere a definire un nuovo PIN.

Attenzione: inserimenti del PUK sbagliato possono rendere inutilizzabile la scheda SIM!

ERROR

The Modem responded with an unknown PIN Status: [Risposta del modem]

La richiesta dello stato PIN del modem ha avuto un risultato inatteso. La risposta del modem alla richiesta riguardante lo stato PIN verrà aggiunta al messaggio di LOG.

ERROR

The Modem requests a PIN and the PIN-Input is empty.

Il modem richiede un´autenticazione con un codice PIN, ma l´utente non ne ha inserito nessuno.

ERROR

The Modem did not respond with READY-State after PIN-Authentication: [String]

Nonostante la trasmissione del codice PIN sia stata confermata con OK dal modem, lo stato PIN del modem non è stato settato su "READY" (non è più necessario inserire il PIN ). La risposta del modem alla richiesta concernente lo stato PIN viene aggiunta al messaggio di LOG.

DEBUG

Port [COM-Port] opened successfully

La porta seriale del modem indicata è stata aperta con successo.

DEBUG

Modem configured successfully for SMS-PDU-Mode and SMSC [Numero di telefono]

Il modem è stato configurato con successo per la modalità SMS-PDU e il numero di telefono indicato dello Short Message Service Center .

DEBUG

Connection to modem closed.

Il collegamento con il modem e l´interfaccia seriale è stato chiuso.

DEBUG

SMS successfully sent to [Numero di telefono]

Un SMS è stato inviato con successo al numero di telefono indicato.

DEBUG

Successfully received SMS from [Numero di telefono]

Un SMS è stato ricevuto con successo dal numero di telefono indicato.

DEBUG

The Modem does not need a PIN.

Il modem non richiede un´autenticazione PIN.

DEBUG

Authentication with the PIN succeeded.

L´autenticazione con il codice PIN configurato ha avuto successo.


Inserimenti LOG - OpenSSL Library

Manuale -> Message Control -> Messaggi e gestione degli errori -> Inserimenti LOG. -> Inserimenti LOG - OpenSSL Library

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli errorcodes e gli errormessages dalla OpenSSL Library in formato „Errorcode: [Code]. Errormessage: [String]".

Le risposte del server hanno la seguente struttura:

  • le risposte del server POP3 iniziano con "OK" solamente se non ci sono degli errori.
  • le risposte del server SMTP iniziano con un codice di stato di tre cifre:
    • 2xx = OK
    • 3xx = attendo i dati
    • 4x e 5 xx = errore

Segnalazioni di errore nel Diagnose Viewer.

Livello

Inserimento

Descrizione

ERROR

No Destination E-Mail-Address specified

Non è stato indicato nessun indirizzo per una E-Mail in uscita.

ERROR

Creating SSL/TLS Method failed. Errorcode: [Code]. Errormessage: [String]

Non è stato possibile creare il metodo SSL/TLS necessario per stabilire una connessione criptata.

ERROR

Creating Connection failed. Errorcode: [Code]. Errormessage: [String]

Non è stato possibile creare l´oggetto per una connessione (sia criptata che non).

ERROR

Reading SSL Structure failed. Errorcode: [Code]. Errormessage: [String]

Impossibile leggere la struttura SSL / TLS di una connessione criptata.

ERROR

Opening Connection failed. Errorcode: [Code]. Errormessage: [String]

Impossibile creare una connessione (sia criptata che non).

ERROR

The Server did not respond an OK Code to HELO. Response: [Antwort des SMTP Servers]

Il server di posta in uscita non ha risposto né al comando EHLO, né al comando HELO con un messaggio di OK (la risposta verrà aggiunta al messaggio di LOG). Il server viene considerato non raggiungibile.

ERROR

The Server did not send a Waiting-For-Data-Response to the AUTH LOGIN [command / Benutzer data]: [Risposta del server SMTP]

Il server di posta in uscita non ha inviato la risposta attesa al comando AUTH LOGIN, oppure il nome utente corrispondente. La risposta verrà aggiunta al messaggio LOG.

ERROR

The Server did not send an OK-Response to the AUTH LOGIN password data: [Risposta del server SMTP]

Il server SMTP non ha confermato i dati relativi alla password AUTH LOGIN con OK. Il Login non è riuscito.

ERROR

The Server did not send a Waiting-For-Data-Response to the AUTH PLAIN command: [Risposta del server SMTP]

Il server di posta in uscita non ha inviato la risposta attesa al comando AUTH PLAIN. La risposta verrà aggiunta al messaggio LOG.

.

ERROR

The Server did not send an OK-Response to the AUTH PLAIN data: [Risposta del server SMTP]

Il server SMTP non ha confermato i dati AUTH PLAIN con OK. Il Login è fallito. La risposta verrà aggiunta al messaggio LOG.

ERROR

SMTP AUTH should be used, but the Server neither supports AUTH LOGIN nor the minimum implementation AUTH PLAIN

Deve essere usata l´autenticazione SMTP; il server, però, non ha inserito nella risposta EHLO i comandi necessari nella lista dei comandi di estensione supportati.

I comandi seguenti sono necessari: AUTH LOGIN e AUTH PLAIN, quest’ultimo è implementazione minima secondo l’RFC 2554.

ERROR

[SMTP / POP3] not connected

Il sistema ha provato a inviare dei dati al server di posta in uscita, oppure ha tentato di acquisire dei dati dal server di posta in entrata, nonostante non ci sia una connessione funzionante con il server.

ERROR

The Server did not send an OK-Response to the MAIL command: [Risposta del server SMTP]

Il server di posta in uscita non ha confermato con OK il comando MAIL (inviare una nuova E-Mail). La risposta verrà aggiunta al messaggio LOG.

ERROR

The Server did not send an OK-Response to the RCPT command: [Risposta del server SMTP]

Il server di posta in uscita non ha confermato con OK il comando RCPT (aggiungi un destinatario). La risposta verrà aggiunta al messaggio LOG.

ERROR

The Server did not send a Waiting-For-Data-Response to the DATA command: [Risposta del server SMTP]

Il server di posta in uscita non ha inviato la risposta attesa al comando DATA (dati Mail vengono trasmessi). La risposta verrà aggiunta al messaggio LOG.

ERROR

The Server did not send an OK-Respone to the transmitted Data: [Risposta del server SMTP]

Il server di posta in uscita non ha confermato con OK i dati Mail inviati. La risposta verrà aggiunta al messaggio LOG.

ERROR

APOP Authentication is required but the Server did not send APOP Data

Per effettuare il Login sul server di posta in entrata deve essere usato il comando APOP; il server di posta in entrata, però, non ha fornita i dati necessari.

ERROR

Creating APOP Digest failed. Errorcode: [Code]. Errormessage: [String]

Impossibile creare il MD5-Hash per l´autenticazione APOP.

ERROR

The Server did not send an OK-Response to the [POP3-Kommando] command: [Risposta del server POP3]

Il server di posta in entrata non ha confermato un comando con OK. La risposta verrà aggiunta al messaggio LOG.

Possono essere interessati i seguenti comandi: APOP, USER, PASS, STAT, RETR, DELE.

Nota: se nel comando DELE è contenuta ancora l´indicazione "Could not delete Mail", significa che è stata ricevuta una E-Mail, ma non è stato possibile cancellarla. Dato che la E-Mail è stata ricevuta con successo, verrà inoltrata al Message Control.

ERROR

The OK-Response to the STAT command did not have the expected Format: [Risposta del server POP3]

La risposta del server di posta in entrata al comando STAT non corrispondeva alla definizione formato secondo RFC 1939.

Formato: OK<spazio vuoto>[numero delle Mail nella casella di posta elettronica]<spazio vuoto>[dimensione complessiva di tutte le Mail nella casella di posta elettronica in bytes]

ERROR

[Sending / Receiving] Data failed. Errorcode: [Code]. Errormessage: [String]

Impossibile l´invio e la ricezione di dati tramite una connessione di rete OpenSSL.


Mobile applications for zenon

Manuale -> Mobile applications for zenon

With the mobile applications, you can visualize your zenon projects on mobile end devices, tablets and desktop computers. The basis of this display is an existing zenon project. There is no additional project configuration work required.

For display on mobile end devices, tablets and desktop computers, there are zenon apps available in the respective app store.
You can also create your own mobile applications for the visualization of your zenon project configuration. You can find further information and examples of code in the Everywhere Server data model chapter.

The following Apps are available:

  • Everywhere Server by zenon:
    Provides zenon data for mobile applications.
  • Everywhere Essentials QR Data App
    Visualizes real-time data from the productive Runtime to mobile devices. Individual variables can be entered. Alternatively, a QR code with the connection settings contained in it and variables to be displayed can be scanned.
    This app is available for devices with the Android and Apple iOS operating systems.
  • Everywhere App by zenon:
    This app allows simple access to zenon via smartphones, tablets and desktop computers.
    The following apps are available:
    • Everywhere App by zenon for Windows Mobile
    • Everywhere App by zenon for iPhone, iPad product range
    • Everywhere App by zenon for Windows Desktop
    • Everywhere App by zenon for Android
  • Notifier-App by zenon:
    Allows the receipt and acknowledgment of SMS messages that are sent by the Message Control module.
    This App is available for the Android operating system.

Once a server has been configured, the following functions are available via the app:

  • Real-time display of values of a zenon project
  • Authentication by means of the mobile application
  • Selection of the equipment model of the active project
  • Assignment of the configured user authorizations (via .INI entry)
  • Individual variables can be activated
  • Display of values in lists ...
    • ... with graphic progress bars
    • ... with dynamic pointer instruments
    • ... Alarm messages with time

Noch in diesem Kapitel

Everywhere Server by zenon

Everywhere Essentials QR Data App

Everywhere App by zenon

Notifier App by zenon


Everywhere Server by zenon

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Everywhere Server by zenon is for visualization of real-time data of a zenon project configuration on smartphones, tablets and desktop computers.

It runs in the context of zenon Runtime and is configured in zenon6.ini. No additional program need be started for configuration.

tutorial Informazioni sulla licenza

The Everywhere Server by zenon must be licensed.

Any device that supports the OData protocol can be used as a client.

In addition to its programming, an app is provided for smartphones, tablets and desktop computers.

These apps are available for free in the respective app stores.

Noch in diesem Kapitel

Licensing

Requirements

Data security

Configuration

CEL entries

Data model of the Everywhere Server


Licensing

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Licensing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Everywhere Server by zenon

L´Everywhere Server si va a prendere la licenza dal Runtime. La licenza per l´Everywhere Server viene data dal Runtime. Se il Runtime non dispone di una licenza corrispondente, non si potrà usare l´Everywhere Server .

Per questo motivo può succedere che il Runtime funzioni, ma l´Everywhere Server non può essere avviato per la mancanza delle necessarie autorizzazioni di licenza. In questo caso, vi preghiamo di usare il tool di registrazione licenza per ottenere la licenza di cui avete bisogno.


Requirements

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Requirements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To use the server for use with mobile applications, the following requirements must be met:

  • zenon from version 7.11 on
  • Users have to be configured in the project.
    For details about user administration, see also the Elements in the report area chapter.
  • For communication via HTTPS, the corresponding port must be enabled on the Server and the Client. This is port 8050 by default.
  • zenon Runtime must also be running on the computer on which Everywhere Server by zenon is running.
    This computer/server must at least be contactable in the internal network.

Requirement for the use of Everywhere App by zenon

The following requirements need only be met if the zenon project is visualized with Everywhere App by zenon:

  • An equipment model must be configured in the project.
    Variables can be linked from zenon 7.11 at each level.
    You can find details on the configuration of an equipment model in the Equipment modeling chapter.
  • zenon Runtime must also be running on the computer on which Everywhere Server by zenon is running.
    If the Everywhere App is only used in an internal network, no Internet connection is required.
    Tip: If the Everywhere Server by zenon is to be contactable from outside, it is highly recommended that a VPN connection is used and the Everywhere Server by zenon and the computer with the publishing service is placed in a DMZ.
    This computer must also have a public IP address. In this case, ensure that you define strict rules on the firewall.
    Attention: 192.168.xxx.xxx is not a public address!

info Informazioni su

You can find additional safety notices in the zenon Hardening Guide. If you are interested in this manual, please contact support@copadata.com.


Data security

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Data security

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Secure transfer of data via HTTPS is ensured by the use of the Transport Layer Security encryption protocol (TLS). The identity of the Server is checked by the Client. This guarantees the integrity, origin and target of the data transfer.

Overview of communication

  • Everywhere Server by zenon uses a server certificate.
    Everywhere Server is not started without a server certificate. This server certificate is created with the Everywhere - Certificate creator.exe tool.
    If several servers are in use, separate server certificates can be used for each server.
  • The server certificate is based on a root certificate.
    If several servers are in use, separate server certificates can be used for each server.
    These server certificates originate from the same root certificate.
    Advantage: different servers can be called up with a single root certificate.
  • The root certificate can be purchased or you can create one yourself.
    Root certificates are also called SLL certificates.
    Tip: If a root certificate or SLL certificate is purchased from a provider, there is no installation on the Client. These certificates are installed together with the installation of the operating system.


Configuration

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Everywhere Server by zenon is integrated into zenon Runtime. No additional program needs to be started. The necessary settings are made in zenon6.ini directly.

Tipp Suggerimento

All .ini entries can also be made with the Everywhere.Config.exe program. This program offers a graphical user interface. The configurations are also transferred to zenon6.ini.

zenon6.ini entries:

  • Open zenon6.ini in an text editor.
    Note: You can find zenon6.ini under the following path: %ProgramData%\COPA-DATA\System
  • Insert the server entries:

Inserimento

Descrizione

[EVERYWHERE]

Configurazione delle proprietà globali per l´Everywhere Server.

CERTIFCATE=

Certificate server subject per HTTPS

Oggetto del certificato. Il certificato deve essere salvato nel Machine Store, nel nodo MY (certificati propri).

Per esempio: CERTIFICATE=CN=MyComputerName

ENABLE=

  • 1: L´Everywhere Server viene avviato con il Runtime di zenon.
  • 0: L´Everywhere Server non viene avviato.

Default: 0

PORT=

HTTPS-Port per la comunicazione con Everywhere Server

Default: 8050

WRITE_ACCESS=
  • 0: Solo accesso di lettura possibile via Everywhere Server.
  • 1: Consente la scrittura di variabili e il ripristino di allarmi.

Default: 0

Per motivi che hanno a che fare con il sistema, solamene ANSI e Unicode sono supportati per la lettura dei file INI.

attention Attenzione

Il formato di salvataggio UTF-8 non viene supportato!

Perciò salvate sempre i vostri file INI come file di testo in formato ANSI o Unicode.

Tipp Suggerimento

You can find further information on .ini entries in the Configuration files manual.

Noch in diesem Kapitel

Configuration with the Everywhere.Config.exe

User authorization

Everywhere - Certificate creator

Create root certificate

Certificate on the client

Offer certificate for download

Certificates


Configuration with the Everywhere.Config.exe

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Configuration -> Configuration with the Everywhere.Config.exe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The .ini entries for the Everywhere Server can also be configured using the Everywhere.Config.exe program. You can find this program in the folder C:\Program Files (x86)\Common Files\COPA-DATA\STARTUP.

Informazioni su

The program Everywhere.Config.exe is only available in English.

Double-clicking on the program opens the configuration dialog:

Parameters | Description
Enable Everywhere server | If the checkbox is active, the Everywhere Server by zenon starts when zenon Runtime is started. Default: Inactive Note: If this checkbox is not active, all other settings are also inactive and grayed out.
Enable Everywhere write access | Activates write access to variables and alarms (acknowledgment) by the server. 0: read access only 1: Writing to variables and acknowledgment of alarms possible Default: 0
HTTPS port: | HTTPS port that is used by the Everywhere Server by zenon. Default: 8050
Server certificate | Server certificate for HTTPS communication. This can be selected in the drop-down list. This drop-down list contains all available certificates. Note: The certificate must contain a private key. If no server certificate is selected, Everywhere Server is not started! Certificates can be created with the Everywhere.CertificateCreator.exe tool.
Add | The Everywhere.CertificateCreator.exe program is opened by clicking on the button. This program is used for the creation of separate server certificates. The entry in the drop-down list is based on the Friendly name of the Everywhere.CertificateCreator.exe
OK | Accetta le impostazioni e chiude il dialogo.
Cancel | Annulla tutte le modifiche e chiude la finestra di dialogo.

Note: These configurations are saved in zenon6.ini.
You can find further information about these .ini entries in the Configuration files manual in the Everywhere Server [EVERYWHERE] chapter

attention Attenzione

The configuration is also applicable for all zenon installations on one computer.


User authorization

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Configuration -> User authorization

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The assignment of configured user authorizations is possible via the zenon6.ini file or in the zenon Editor.

In the Editor:

  • Click on the Workspace node
  • Select the Everywhere Server property group
  • Select, from the Livello di autorizzazione: drop-down list, the authorization level that is to have access to Everywhere Server.

info Informazioni su

Authorization level 0 means write and read access for all users.

You can find further information in the user administration manual in the Authorization levels chapter.

INI entry:

To configure the level of user authorization for Everywhere Server, the following must be added to the zenon6.ini file:

Inserimento | Descrizione
[PASSWORD] | Configurazione delle autorizzazioni operative per l´Everywhere Server.
EVWH_ACCESS= | Livello di autorizzazione che ha accesso all´Everywhere Server. Valore: Numero del livello di autorizzazione progettato. Default: 0 (= ognuno ha accesso)


Everywhere - Certificate creator

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Configuration -> Everywhere - Certificate creator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Everywhere - Certificate creator is used to create new server certificates. Certificates are required for secure communication between the client and server. You can find this program in the folder C:\Program Files (x86)\Common Files\COPA-DATA\STARTUP.

attention Attenzione

Android apps do not allow any self-signed certificates. Only official certificates can be used for communication to Android devices.

To start the program, double-click on Everywhere.CertificateCreator.exe. A configuration dialog is opened:

Parameters | Description
Server certificate |
Host name resp. IP address | Name or IP address via which the Everywhere Server is accessed by the clients. This is either the IP address or the name of the computer on which the service is running, or the address/name of the firewall/router that connects the computer to the internet.
Additional subject attributes (e.g. O=COPA-DATA, L=Salzburg,C=AT) | Additional attributes for the certificate (optional).
Friendly name | Name for the display in the program Everywhere.Config.exe.
Issuer (Authority certificate) | Issuer certificate or certificate that is to be used to verify the server certificate. The certificates present are shown in the drop-down list. The entry in the drop-down list is based on the Friendly name from the Create root certificate dialog.
Add private CA certificate | Opens dialog to configure the root certificate. Note: The root certificate is a mandatory part of the server certificate!
OK | Accetta le impostazioni e chiude il dialogo.
Cancel | Annulla tutte le modifiche e chiude la finestra di dialogo.

attention Attenzione

Administrator rights are required to execute this program.


Create root certificate

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Configuration -> Create root certificate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A root certificate is used on the mobile device for secure communication between the server and mobile devices (iPhone, Windows-Phone). This ensures that the end device is also actually connected to the given server.

attention Attenzione

Android apps do not allow any self-signed certificates. Only official certificates can be used for communication to Android devices.

To create your own root certificate:

  • Click on the Add private CA certificate button in the Everywhere - Certificate creator .
  • The configuration dialog is opened:

Parameters |  | Description
Subject |  |
Common name (CN) | General name Default: CA for Everywhere Server
Organization (O) |  | Company name Default: Company
Organizational unit (OU) |  | Name of the organizational unit (department name) Default: Department
Locality (L) |  | Locality name Default: Salzburg
State (ST) |  | State or district name Default: Salzburg
Country (C) |  | Country name Default: AT
Additional settings |  | Additional information
Friendly name |  | Short name Default: CA for Everywhere server
OK |  | Accepts the changes and opens the save dialog to save the root certificate.
Cancel |  | Annulla tutte le modifiche e chiude la finestra di dialogo.
info Informazioni su
The Everywhere - Certificate creator creates signatures with the sha256 hash algorithm.


Certificate on the client

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Configuration -> Certificate on the client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The certificate is checked on the Client. If this certificate has not been created by a root certificate from a generally-known authority (=purchase certificate), the certificate used must be installed on the Client.

attention Attenzione

Android apps do not allow any self-signed certificates. Only official certificates can be used for communication to Android devices.

Installation of a certificate on the Client

Unverified certificates must be installed on the Client in order for them to be accepted.

Carry out the following steps for the installation:

  1. Place the exported certificate (.cer file) on a web server or FTP server.
    You can find detailed instructions for this in the Offer certificate for download chapter.
  2. Open this certificate on the client using the browser.
  • Alternatively, it can also be sent as an email attachment and opened on the client.


Offer certificate for download

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Configuration -> Offer certificate for download

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A certificate on the client is required for encrypted connections. These instructions describe how this certificate is provided for download.

  1. Install IIS (optional)
    Install - if not already present - the Internet Information Services.
    To do this, open the Control Panel on the computer.
    1. Click on Start and then on Control Panel
    2. In the Control Panel, click on Programs and then on Turn Windows features on or off.
      The dialog to activate the Windows features is opened.
    3. Click on Internet Information Services in the Windows Features dialog.
    4. Tick the World Wide Web Services checkbox.
      Activate the corresponding services in the subnodes.
  2. Finish activation by clicking on the OK button.
    The selected components are installed.

    Note: If you install IIS using the Control Panel, you get the standard installation with a minimum number of features. If you need additional IIS features, such as application development features or web management tools, you must tick the checkbox for these features in the Windows Functions dialog field.
    You can also find further information in the zenon Web Server manual, in the Publishing service installation chapter.
  3. Copy certificate
    Copy the Everywhere certificate (example name: Certificate.cer) to the IIS root folder.
    Path: C:\inetpub\wwwroot
  4. Creation of index.html
    Create an additional page, index.html. Insert the following HTML code into the document:
    <!DOCTYPE html>
    <html>
    <head>
    <title>Certificate download</title>
    </head>
    <body>
    <a href="Certificate.cer"><font size="5">Click to download the certificate.</font></a>
    </body>
    </html>
    Note: Amend the name of the certificate. In this example, the certificate name is Certificate.cer.
  5. Configure MIME type in the IIS
    Add the new MIME type .cer in the IIS Manager:
    1. Open the Internet Information Services (IIS) Manager program.
    2. In the node of the Manager, switch to the node of your computer.
    3. In the IIS group, select the MIME types property symbol:
      The dialog to configure the MIME types is opened.
    4. Select the Add... entry in the context menu.
      The Add Mime Type dialog is opened.
    5. Enter .cer in the File name extension input field.
    6. Enter, in the MIME-type: input field, application/octet-stream.

The certificate can then be easily downloaded using the browser.

Installation script for IIS

You get the complete IIS 7.5 installation with all available feature packages with this script. If you do not require certain feature packages, you should edit the script so that only the required packages are installed.

start /w pkgmgr /iu:IIS-WebServerRole;IIS-WebServer;IIS-CommonHttpFeatures;IIS-StaticContent;IIS-DefaultDocument;IIS-DirectoryBrowsing;IIS-HttpErrors;IIS-HttpRedirect;IIS-ApplicationDevelopment;IIS-ASPNET;IIS-NetFxExtensibility;IIS-ASP;IIS-CGI;IIS-ISAPIExtensions;IIS-ISAPIFilter;IIS-ServerSideIncludes;IIS-HealthAndDiagnostics;IIS-HttpLogging;IIS-LoggingLibraries;IIS-RequestMonitor;IIS-HttpTracing;IIS-CustomLogging;IIS-ODBCLogging;IIS-Security;IIS-BasicAuthentication;IIS-WindowsAuthentication;IIS-DigestAuthentication;IIS-ClientCertificateMappingAuthentication;IIS-IISCertificateMappingAuthentication;IIS-URLAuthorization;IIS-RequestFiltering;IIS-IPSecurity;IIS-Performance;IIS-HttpCompressionStatic;IIS-HttpCompressionDynamic;IIS-WebServerManagementTools;IIS-ManagementConsole;IIS-ManagementScriptingTools;IIS-ManagementService;IIS-IIS6ManagementCompatibility;IIS-Metabase;IIS-WMICompatibility;IIS-LegacyScripts;IIS-LegacySnapIn;IIS-FTPPublishingService;IIS-FTPServer;IIS-FTPManagement;WAS-WindowsActivationService;WAS-ProcessModel;WAS-NetFxEnvironment;WAS-ConfigurationAPI


Certificates

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Configuration -> Certificates

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To install Everywhere Server by zenon correctly, carry out the following steps:

  1. Start the Everywhere.Config.exe program.
  2. Activate the Enable Everywhere server checkbox
  3. Enter the correct port in the Port (HTTPS) input field.
  4. Select a server certificate from the Server certificate drop-down list.

Create a server certificate

To create a server certificate:

  1. Click, in the Everywhere.Config.exe program, on the Add button to start the Everywhere - Certificate creator program.
  2. Enter your data into the input fields.
  3. Assign a Friendly name.
  4. Select an SLL certificate from the Issuer (Authority certificate) drop-down list.

attention Attenzione

Android apps do not allow any self-signed certificates. Only official certificates can be used for communication to Android devices.

Creation of a root certificate (SLL certificate)

Purchase a certificate from a provider of SLL certificates.
Installation on the Client becomes superfluous as a result, because common certificate providers are already installed on the end device by default.
Search for "SLL certificates" on the Internet. Some providers are, for example:

  1. GoDaddy (http://www.godaddy.com)
  2. VeriSign (http://www.verisign.com)
  3. CAcert (http://wiki.cacert.org/FAQ/AboutUs)

Alternatively, create your own root certificate:

  1. Click, in the Everywhere - Certificate creator, the Add private CA certificate button.
  2. Enter your data into the input fields.
  3. Assign a Friendly name.
  4. Click on the OK button
  5. The dialog to save the SLL certificate appears.
  6. Name your SLL certificate and save it.

info Informazioni su

This saved root certificate is the certificate that must be installed on the Client.


CEL entries

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> CEL entries

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When logging into the Everywhere Server, a CEL entry is created if

  • the login data sent was checked by Runtime.

    This happens:
    • On the first request of a client.
    • Every 5 minutes
    • Always before a write request if more than a second has passed since the last check.

For variables that have not been acknowledged, alarms and CEL entries are supported by an incremental transfer of value changes.

LOG entries:

Level error

Description

Level Error

Errors that occur during the execution of the Everywhere Server.

However not an error that has something to do with the execution of client requests.

Level Warning

Errors that occur during the execution of the Everywhere Server.

However not an error that has something to do with the execution of client requests.

Level Success

Successfully-executed client requests that lead to a change of the internal status of the Everywhere Server or the zenon Runtime.

Level Failed
  • Error in the execution of client requests
  • Error in the checking of credentials

Level Msg

Everywhere Server status:

  • Start / stop
  • Successful creation of sessions
  • Ending of sessions

Level Debug

Incoming and outgoing requests with

  • Session-ID,
  • URI (Uniform Resource Identifier)
  • Method and status

Level Deep Debug

Status of the Everywhere Server as well as incoming and outgoing requests, compiled into an entry (Level Msg + Level Debug).


Data model of the Everywhere Server

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Open Data Protocol (= OData) is used as an interface for the inclusion of data in your own web application. This protocol is a "WCF data service".

This data service is a "RESTful services" (REpresentational State Transfer Architecture – REST). Only methods for manipulating or querying the data model are defined in this (CRUD – Create – Read – Update – Delete).

Because these methods cover the HTTP commands ((GET, PUT, POST, DELETE) data services can be implemented very well via the HTTP protocol. In doing so, the desired object is identified by means of the URL and the operation via the respective HTTP command.

Tipp Suggerimento

PUT, CREATE and DELETE must "point" to different instances.
You can find further information in the official ODATA online documentation.
Link: http://www.odata.org/documentation/odata-version-2-0/operations/

The data is, like a relational database, organized in tables. Filter criteria can be defined for querying data (comparable to an SQL query).

Note: In contrast to traditional data services, a session-dependent data model is used in the Everywhere service. This means that the data model can - depending on the session - contain different data.

info Informazioni su

The Everywhere service is a WCF data service.
You can find details and comprehensive documentation for the OData services at: www.odata.org.

Noch in diesem Kapitel

Data model - static project data

Data model - project data that changes

Querying archives

Calling up the data model using a web browser

Examples

Using the app on a mobile device (Android)


Data model - static project data

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Data model - static project data

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Equipment Models (Collection)

  • Type: Everywhere.Service.Data.ZenonEquipmentModel
    • Name (string)
    • Guid (string, key)
    • EquipmentGroups (collection, Everywhere.Service.Data.ZenonEquipmentGroup)

EquipmentGroups (Collection)

  • Type: Everywhere.Service.Data.ZenonEquipmentGroup
    • Guid (string, key)
    • Name (string)
    • ParentGroup (Everywhere.Service.Data.ZenonEquipmentGroup)
    • ChildGroups (collection, Everywhere.Service.Data.ZenonEquipmentGroup)
    • Model (Everywhere.Service.Data.ZenonEquipmentModel)

Variables (Collection)

  • Type: Everywhere.Service.Data.ZenonEquipmentModel
    • EquipmentGroupGuids (String, commaseparated GUIDs of the related groups)
    • MinimumValue (Real)
    • MaximumValue (Real)
    • Unit (String)
    • ResourcesLabel (String)
    • Identification (String)
    • Name (String)
    • Id (int, key)

AlarmClasses (Collection)

  • Type: Everywhere.Service.Data.ZenonAlarmClass
    • EquipmentGroupGuids (String, commaseparated GUIDs of the related groups)
    • Description (String)
    • Number (int, key)
    • Name (String)

AlarmGroups (Collection)

  • Type: Everywhere.Service.Data.ZenonAlarmGroup
    • EquipmentGroupGuids (String, commaseparated GUIDs of the related groups)
    • Description (String)
    • Number (int, key)
    • Name (String)

Archives (Collection)

  • Type: Everywhere.Service.Data.ZenonArchive
    • Id (String, key)
    • Name (String)
    • Values (Collection, Everywhere.Service.Data.ZenonArchiveValue)

ArchiveValues (Collection)

  • Type: Everywhere.Service.Data.ZenonArchiveValue
    • ArchiveId (String, key)
    • VariableName (String)
    • Timestamp (Int64, Unixtime [ms], key)
    • Type (int, key, None = 0, Sum = 1, Average = 2, Min = 3, Max = 4)
    • Value (string)
    • VariableId (int, key)


Data model - project data that changes

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Data model - project data that changes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Below you can find the data model for values that update themselves.

Alarms (Collection)

  • Type: Everywhere.Service.Data.ZenonAlarm
    • Deleted (bool)
    • Acknowledged (bool, writeable)
    • VariableStatus (Int64)
    • Value (string)
    • AlarmClass (Everywhere.Service.Data.ZenonAlarmClass)
    • AlarmGroup (Everywhere.Service.Data.ZenonAlarmGroup)
    • UserId (String)
    • ReactivateNumber (int)
    • ReactivateStatus (Int64)
    • ReactivateTime (Int64, Unixtime [ms])
    • TimeAcknowledged (Int64, Unixtime [ms])
    • TimeCleared (Int64, Unixtime [ms])
    • TimeReceived (Int64, Unixtime [ms], key)
    • ComputerName (string)
    • Comment (string, writeable)
    • Text (string)
    • Variable (Everywhere.Service.Data.ZenonVariable)
    • AlarmStatus (int)
    • Cookie (int)
    • Id (int, key)

Example Esempio

The "Acknowledged" and "Comment" properties can be used to acknowledge an alarm in zenon or to save a comment.

These properties can then be transferred to the server with the "PUT" or "MERGE" command.

CEL (Collection)

  • Type: Everywhere.Service.Data.ZenonEvent
    • VariableStatus (Int64)
    • Value (string)
    • AlarmClass (Everywhere.Service.Data.ZenonAlarmClass)
    • AlarmGroup (Everywhere.Service.Data.ZenonAlarmGroup)
    • UserId (String)
    • TimeReceived (Int64, Unixtime [ms], key)
    • ComputerName (string)
    • Comment (string )
    • Text (string)
    • Variable (Everywhere.Service.Data.ZenonVariable)
    • Cookie (int)
    • Id (int, key)

OnlineVariables (Collection)

  • Type: Everywhere.Service.Data.ZenonOnlineVariable
    • Id (int, key)
    • Variable (Everywhere.Service.Data.ZenonVariable)
    • Status (Int64)
    • Timestamp TimeReceived (Int64, Unixtime [ms])
    • Value (string, writeable)

Example Esempio
  • To sign variables in again, a new instance must be created in the collection. This is carried out with the CREATE command.
    This registration is removed again with DELETE.
  • For identification of the online variable that was created on the client, its ID must be established. This ID corresponds to the ID of the zenon variable whose values are to be queried.
    PUT or MERGE writes a value to a variable.


Querying archives

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Querying archives

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Archive variables can only be queried from the respective project of the Everywhere Server. Cross-project variables are not supported.

Note on the querying of archive values:

In order to query archive data, the following properties must also be entered for the server query:

  • Archive ID
  • Start time
  • End time

attention Attenzione

Values without these filter criteria being stated cannot be queried.

Examples:

  • https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE/ArchiveValues?$format=json&$filter=ArchiveId%20eq%20%27FI%27%20and%20Timestamp%20gt%201377690800000L%20and%20Timestamp%20lt%201377690862000L
  • https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE/Archives%28%27FI%27%29/Values?$format=json&$filter=Timestamp%20gt%201379934601375L%20and%20Timestamp%20lt%201379934601377L%20and%20VariableName%20eq%20%27BodyShop1.Actual%27


Calling up the data model using a web browser

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Calling up the data model using a web browser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The data model of the Everywhere Server can be displayed in a web browser. This can be used to give you a quick overview and test the first programming lines.

To call up a data model, use Mozilla Firefox or Google Chrome (recommended).

Attention: Microsoft Internet Explorer does not support the full functionality!

URI address

https://server address or DNS name:port number\zendata\project name

Parameters | Description
https:// | URI schematic of the WWW communication protocol. https: stands for the secure transfer protocol Hypertext Transfer Protocol Secure
Server address or DNS name | IP address or DNS name of the Everywhere Server.
: | : (colon) Separates the server address from the port number.
Port number | Port number for communication, as configured in Everywhere Server.
zendata | Constant: is always zendata
Project name | Name of the zenon project configuration.

Example Esempio

https://89.26.13.1:8050/zendata/Demo_Automotive

Noch in diesem Kapitel

Logging in to the data model


Logging in to the data model

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Calling up the data model using a web browser -> Logging in to the data model

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If it is not possible to log in when in secure mode (https://), a warning sign appears in the browser.
This warning sign can be skipped by clicking on the respective button (Chrome: "Continue anyway", Firefox: "I am aware of the risk"). Communication then takes place unsecured.

The login dialog appears:

User name:

The user name is the session ID at the same time. This session ID comprises:

Time Stamp|Device ID|User Name

Parameters

Description

Timestamp

32-bit time stamp of the session:

  • UTC Unix time
    (UTF8 coded: 8-digit HEX string)
  • must be 8 digits

|

Pipe character
Alt GR key and <-key

Device ID

ID of the end device (mobile device, ...) - normally UUID. The device ID is device-dependent and must be unique.

|

Pipe character
Alt GR key and <-key

User name

User name, as configured in zenon. When entering this, note capitalization.
Note: The user name must not contain a colon.

Example Esempio

538497B4|550e8400-e29b-11d4-a716-446655440000|Manager

Password:

The password comprises:

Type of password sendingand password

Parameters

Description

Type of password sending

How the password is sent:

  • =
    (equal sign)
    unencrypted
  • +
    (plus sign)
    encrypted

Note: The password must be preceded with the type of sending (= or +). Otherwise logging in to the data model will not be successful!

Password

Password as configured in zenon.

Note: Pay attention to capital letters and small letters when entering the data!

Example Esempio

+Manager
Encrypted communication with the Everywhere Server - login with the password Manager.


Examples

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Examples

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You can find some examples of code here. Theses examples should show how values from the server can be updated.
Note: The examples use the Java programming language.

Noch in diesem Kapitel

Examples for browser display

Example of code - calling up OEntity objects from the server

Other examples of code


Examples for browser display

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Examples -> Examples for browser display

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A browser can be used to display your zenon project configuration in a browser.
Note: The web addresses shown here relate to the demo project of the Everywhere Server.

Data model - overview

To display a simplified overview of your data model in your browser, enter the following URI into the browser:

https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE

Data model - detailed overview

The following URI lists the complete data model:

https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE/$metadata

Display of variables

You get an overview of all variables with the URl:

https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE/Variables?$format=json

Display of variables with filtering

The display of variables can be filtered. The address below displays the variable with the ID 321

https://89.26.13.1:8050/zendata/DEMO_AUTOMOTIVE/Variables?$format=json&$filter=Id%20eq%20321

Note: You can find a precise description of all filters in the OData online documentation. You can find this documentation on the Internet at the address www.odata.org.


Example of code - calling up OEntity objects from the server

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Examples -> Example of code - calling up OEntity objects from the server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This example shows how information in relation to an OEntity object can be called up from the server. This data can thus be taken on for the user programming. This example also shows how properties can be called up from a data object.

/**

*

* @param position: Object at which position of the entityset should be returned

* @return the finished Item Alarm for the Listt of Alarms

*/

protected Alarm GetAlarmFromEntity(int position) {

Alarm retAlarm = new Alarm();

// We use position as listItemId. Here we could use some other unique id

// to reference the list data

ListView listViewAlarms = (ListView)findViewById(R.id.Alarmlist);

OEntity var = alarms.elementAt(position).getLink("Variable", OLink.class).getRelatedEntity();

int EntityItemCnt= alarms.count();

OProperty<String> varName = var.getProperty("Name", String.class);

OProperty<String> alarmText = alarms.elementAt(position).getProperty("Text", String.class);

String Header = varName.getValue() + " - " + alarmText.getValue();

// Body data

Bundle bodyBundle = new Bundle();

OProperty<?> alarmValue = alarms.elementAt(position).getProperty("Value");

String timeReceived = alarms.elementAt(position).getProperty("TimeReceived").getValue().toString();

String timeCleared = alarms.elementAt(position).getProperty("TimeCleared").getValue().toString();

String Acknowledged = alarms.elementAt(position).getProperty("Acknowledged").getValue().toString();

Date date = new java.util.Date(Long.parseLong(timeReceived));

String dateString = new SimpleDateFormat("dd.MM.yyyy HH:mm").format(date);

retAlarm.setAlarmName(varName.getValue());

retAlarm.setTimeReceived(dateString);

retAlarm.setValue(alarmValue.getValue().toString());

retAlarm.setAcknowledged(Acknowledged);

retAlarm.setCleared(timeCleared);

retAlarm.setAlmText(alarmText.getValue());

return retAlarm;

}


Other examples of code

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Examples -> Other examples of code

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Other examples for programming with OData are on the Internet.

The example given shows how how information relating to an OEntity objects can be called up from the server to the end device. This example also shows how properties of a data object can be received.

Link: https://github.com/vorburger/odata4j/tree/master/odata4j-core/src/test/java/org/odata4j

attention Attenzione

This Internet site is not shown in Internet Explorer!


Using the app on a mobile device (Android)

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Using the app on a mobile device (Android)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to use your own applications on a mobile end device (Android), compile it with the Eclipse program.
Eclipse is a programming tool for developing software and was originally used as an integrated development environment for the Java programming language.

info Informazioni su

Eclipse is available as a free download.

Installation:

In order to be able to use Eclipse for your development environment, install the program including the Android Developer Bundle.

The following components must be installed on the development computer:

  • The Android Developer Bundle
    The Android Developer Bundle is available free on the Internet.
    Link to the installer: http://developer.android.com/sdk/index.html
    It is important that the correct driver for the mobile device is installed on the Desktop computer. Otherwise no communication between the development computer and the end device is possible.
  • The Java Development and Runtime Environment
    The Java Development Environment (JRE) and the Java Runtime Environment (JSE) must be installed on the development computer.

    JRE and JSE can be downloaded directly form the Java website. Both environments must be installed separately.
    Link to download: www.oracle.com/technetwork/java/javase/downloads/index.html
  • Required libraries:
    To be able to use OData in Eclipse, you then need to link the appropriate library for your preferred development environment in Eclipse .
    Libraries for the common programming languages can be found on the OData Internet site. Select your desired programming language in the tabs shown in order to get to the respective downloads.
    Link to the libraries: www.odata.org/libraries.

Noch in diesem Kapitel

Recommended settings for the Eclipse programming environment


Recommended settings for the Eclipse programming environment

Manuale -> Mobile applications for zenon -> Everywhere Server by zenon -> Data model of the Everywhere Server -> Using the app on a mobile device (Android) -> Recommended settings for the Eclipse programming environment

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To configure Eclipse for mobile end devices, carry out the following steps:

  1. Select, the Run configurations... entry in the Run menu bar.
  2. The configuration dialog for a new Run configuration appears.
  3. Click on the symbol New launch configuration.
  4. In the Android Application tree, the new entry NEW_configuration is added.
  5. Name your Android app project in the Android tab.
  6. Click on the Browse... button to select your Android project. This is then transferred to the mobile device.
  7. Now connect your mobile end device to the development computer.

  8. Configure your target device in the Target tab.

  9. Ensure that the Always prompt to pick device property is activated.
    Note: In this case, you are asked before execution which device your app is to be executed on.
  10. Start the debug process:
  11. Start the app.
    Note: For the remaining entries, it is recommended that the existing default settings are left unchanged.
  12. After clicking on the Play or Debug buttons, you are requested to select your end device or your emulator in order to start the program.
  13. The app is then started automatically on the end device.


Everywhere Essentials QR Data App

Manuale -> Mobile applications for zenon -> Everywhere Essentials QR Data App

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The free Everywhere Essentials QR Data App visualizes real-time data from the productive Runtime to mobile devices. The relevant information is read from a QR code directly.

The QR code can be created for the App with the Everywhere Essentials QR Code Generator of an existing configuration.

Note: The App is available for devices with the Android and Apple iOS operating systems.

info Informazioni su

The Everywhere Essentials QR Data App visualizes the project data provided by the Everywhere Server.

Noch in diesem Kapitel

Installation

App Bar

Start screen

Profile List

Connection establishment

Result screen


Installation

Manuale -> Mobile applications for zenon -> Everywhere Essentials QR Data App -> Installation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Carry out the following steps in order to be able to use Everywhere Essentials QR Data App on your device:

  • Start the app store on your device.
  • Enter QR Data App or Essentials QR as a search term.
  • Select Everywhere Essentials QR Data App and install the app on your device.

To use the app:

  • Open the Everywhere Essentials QR Data App on your device.
    The start screen is shown.


App Bar

Manuale -> Mobile applications for zenon -> Everywhere Essentials QR Data App -> App Bar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The app bar is for navigation on Android devices.

Note: There is no app bar available for Apple iOS devices.

App Bar

Parameters | Description
zurück (symbol: curved arrow to the right) | Switches to the previous app screen.
Home (symbol: house) | Closes the app and switches back to the Start screen of the Android device.
nn (symbol: overlaid screens) | Overview of the last apps open on the device.
info Informazioni su
The appearance and functionality of the app bar is the same on all screens. This bar is very often already integrated into the hardware of an Android device. In this case, no app bar is displayed.


Start screen

Manuale -> Mobile applications for zenon -> Everywhere Essentials QR Data App -> Start screen

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Everywhere Essentials QR Data App starts either with the scan screen or with the screen for manual entry.

This depends on the view in which the app was last closed.

Noch in diesem Kapitel

Scan screen

Screen for manual entry


Scan screen

Manuale -> Mobile applications for zenon -> Everywhere Essentials QR Data App -> Start screen -> Scan screen

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

QR codes are scanned and the profile list is called up in the scan screen.

Action Bar - Action Buttons

Parameters | Description
Profiles (symbol: screw-wrench) | Calls up the Profil list.

Footer

Parameters | Description
Manual Input | Switches to manual input.

Scan process

To scan a QR code:

  • Focus on the QR code with your device's camera.
    After successful identification of the QR code:
    • The screen is highlighted with a thick edge.
    • Prominent parts of the QR code are also accentuated in color.
    • The name of the detected project or the detected equipment group is visualized in the footer
  • The app establishes a connection to Everywhere Server by zenon.
    Note: You can find detailed information on this in the Establishing a connection chapter.
  • After successful connection to Everywhere Server by zenon, the app switches to the event screen.
    The values of the variables identified are shown according to the configuration.


Screen for manual entry

Manuale -> Mobile applications for zenon -> Everywhere Essentials QR Data App -> Start screen -> Screen for manual entry

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

You can enter the variable name or the name of the equipment group manually in the screen for manual entry.

Action Bar - Action Buttons

Parameters | Description
Profiles (symbol: screw-wrench) | Calls up the Profil list.

Manual input

Parameters

Description

Input field

Input field for variable name or name of the equipment group.

Note: Pay attention to capital letters and small letters when entering the data!

Input type

Drop-down list to select the query type:

  • Variable
    The name entered corresponds to a variable name (Nome).
  • Equipment Group
    The name entered corresponds to the name of an equipment group (Nome).

Go

Button to start the query.

The result is then visualized in the event screen.

Footer

Parameters | Description
Scan QR Code | Switches to the scan screen.


Profile List

Manuale -> Mobile applications for zenon -> Everywhere Essentials QR Data App -> Profile List

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The profile overview lists existing profiles and administers these.

Action Bar - Action Buttons

Parameters

Description

<- Select profile

Switches back to the input screen:

  • Scan screen
  • Screen for manual entry

This depends on the view in which the profile overview was called up.

Action Overflow
(symbol: three vertical dots)

Click the button to open a drop-down list of the actions.

List of profiles

Lists all configured profiles. Selection of a profile by tapping on the profile name.

Parameters | Description
Add new profile | Creates a new profile and opens the screen to configure a profile. Note: You can find further information on the use of profiles when establishing a connection in the Establishing a Connection chapter.
Edit selected profile | Opens the screen to configure a profile.
Delete selected profile | Deletes the selected profile. Before deletion, you are requested to confirm the deletion of the profile.

Safety query

A confirmation dialog is called up before a profile is deleted.

Parameters | Description
No | The profile will not be removed from the list The dialog is closed in the process.
Yes | The profile is deleted The dialog is closed in the process.

Noch in diesem Kapitel

Edit Profile


Edit Profile

Manuale -> Mobile applications for zenon -> Everywhere Essentials QR Data App -> Profile List -> Edit Profile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, existing profiles can be changed and new profiles can be configured. In addition, you configure the granularity of the results display.

Note: Pay attention to capital letters and small letters when entering the data!

Action Bar - Action Buttons

Parameters | Description
<- Add Profiles | Switches back to the profile overview.
Save profile (symbol: floppy-disk) | Saves the profile settings and switches to the profile overview. A confirmation dialog is called up before saving.

Connection settings

Parameters | Description
Profile Name | Freely definable name of the connection.
Server | Name or IP address of the Everywhere Server to which a connection is to be created.
Port | HTTPS port for communication with the Everywhere Server Default: 8050
Project Name | Name of the Everywhere Server project.
User | User name for login at the Everywhere Server.
Password | Password for login at the Everywhere Server.

Display details

The properties are each activated or deactivated with a slider.

These settings have a direct effect on the characteristics of the display in the results screen.

Parameters | Description
Read Connection Settings from QR Code | The connection settings to the Everywhere Server are taken from the QR code. Default: active. If this property is deactivated or no connection settings are coded into the QR code, the connection settings of the last profile that was selected are used.
Show Variable Name | The variable name is displayed. Activates or deactivates the display of the variable name in the event screen. Default: active. Note: This corresponds to the Nome property in the zenon configuration.
Show Variable Identification | Activates or deactivates the display of variable detection in the results screen. Default: active. Note: This corresponds to the Identificazione property in the zenon configuration.
Show Variable Timestamp | Activates or deactivates the display of the time stamp in the event screen. Default: active. Note: This corresponds to the property in the zenon configuration.
Show Variable Status | Activates or deactivates the display of the variable status in the event screen. Default: active. Note: This corresponds to the StatusString property in the zenon configuration.
Show Identification after Scan | The login data for the Everywhere Server is shown whilst the connection is established. Default: Inactive.

Saving profiles - confirmation dialog

A confirmation dialog is called up before a profile is saved.

Parameters | Description
No | The profile will not be saved. The dialog is closed in the process.
Yes | The profile is saved The dialog is closed in the process.


Connection establishment

Manuale -> Mobile applications for zenon -> Everywhere Essentials QR Data App -> Connection establishment

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following rules are applicable before connection to an Everywhere Server by zenon:

  • If the QR code contains connection settings that have already been saved in an existing profile, the app establishes the connection immediately. The result is shown if the connection is successfully established without further interim steps in the results screen.
  • With manual entry of the value query or if no connection settings are included in the QR code, the connection settings of the current profile are always used.
  • If the QR code contains connection settings that are not yet saved in a profile, a new profile with the default settings is automatically created.
    The login data is queried in a dialog before the connection is established.
  • If the login data (User or Password) are not present or have been configured incorrectly, a dialog to enter the login data is called up.
  • An error message is shown if no connection to the Everywhere Server by zenon could be established.

Error when establishing connection

If no connection to the Everywhere Server by zenon could be established, the following error message is shown.

Noch in diesem Kapitel

Login dialog


Login dialog

Manuale -> Mobile applications for zenon -> Everywhere Essentials QR Data App -> Connection establishment -> Login dialog

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialog for the entry of the login data on the server.

Parameters

Description

User

Input field for user name.

Password

Input field for password.

Save Credentials in Profile

Checkbox to save the data entered.

  • If activated:
    Login data entered is saved in the profile.

If the checkbox is not activated, the login dialog is shown again the next time a connection is established.

Cancel

Annulla tutte le modifiche e chiude la finestra di dialogo.

No connection is established.

OK

Accetta le impostazioni e chiude il dialogo.


Result screen

Manuale -> Mobile applications for zenon -> Everywhere Essentials QR Data App -> Result screen

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Current variable values of the productive Runtime environment are visualized in this screen. The values are continually updated.

Note: The characteristics of the display depend on the setting in the profile settings.

Parameters

Description

< Value of [Input source]

Switches back to the input screen:

  • Scan screen
    Input source = variable name
  • Screen for manual entry
    Input source = equipment group

This depends on the view in which the profile overview was called up.

Examples


Everywhere App by zenon

Manuale -> Mobile applications for zenon -> Everywhere App by zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Apps allow the visualization of a zenon project on mobile end devices, tablets and desktop computers. The range of functions is identical. The graphical user interface varies depending on the operating system used.

The respective apps guide you through your project configuration step by step. You select the respective parameters you want and thus receive the attendant information. Navigation is intuitive and follows a chronological sequence.

The following Apps are available:

  • Everywhere App by zenon for MS Windows Phone
  • Everywhere App by zenon for iPhone and iPad
  • Everywhere App for Desktop for Desktop
  • Everywhere App by zenon for Android

tutorial Informazioni sulla licenza

All apps are available in the manufacturers' stores free of charge.

Noch in diesem Kapitel

Requirements

Installation

Everywhere App by zenon for MS Windows Phone

Everywhere App by zenon for iPhone and iPad

Everywhere App for Desktop

Everywhere App by zenon for Android


Requirements

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Requirements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Everywhere App by zenon visualizes the project configuration provided by Everywhere Server on a smartphone, tablet or desktop computer.

System requirements

  • Windows Phone 7.5 or higher (Windows Phone 8 or higher recommended)
  • iOS 6 or higher for Apple iPhone and iPad
  • Windows 8 or higher for Everywhere App for Desktop
  • Android 2.2.x - Froyo or higher

info Informazioni su

The Everywhere App by zenon user interface is only available in English.


Installation

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Installation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Carry out the following steps in order to be able to use Everywhere App by zenon on your device:

  • Start the app store.
  • Enter zenon or Everywhere App as a search term.
  • Select Everywhere App by zenon.

Tipp Suggerimento

A profile for a demo project is already installed during the installation. You can thus also test Everywhere App by zenon if you have not yet configured your own project with zenon.

Noch in diesem Kapitel

Note for OEM user:


Note for OEM user:

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Installation -> Note for OEM user:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

info Informazioni su

Always select Everywhere App by zenon!
The app is used for different products.

Everywhere App by zenon is compatible with all OEM project configurations.


Everywhere App by zenon for MS Windows Phone

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for MS Windows Phone

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Authentication

Profile List

Edit Profile

Equipment Model

Equipment Groups

Variable selection

Values view

Alarm List

Acknowledge alarms


Authentication

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for MS Windows Phone -> Authentication

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The login screen allows you to log in to an Everywhere Server by zenon and to select user profiles.

Parameters

Description

Profile

Name of the selected profile.

  • Tapping on the profile name opens the dialog to select an existing profile.
  • Tapping on the profile name also opens the dialog to create a new profile.

User name

User name for login at the Everywhere Server.

Password

Password for login at the Everywhere Server.

Note: Pay attention to capital letters and small letters when entering the data!

App Bar

login (Symbol >) | Logs the app into Everywhere Server and switches to the next screen.
... | Extends the display of the app bar.


Profile List

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for MS Windows Phone -> Profile List

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The profile overview lists existing profiles and administers these.

Parameters | Description
Profile List | Lists existing profiles. The profile that is currently selected is highlighted in color. Tapping on the desired profile activates the profile and switches to the login screen.

App Bar

Parameters | Description
edit (pencil symbol) | Tapping on the symbol switches to the symbol display from edit (pencil symbol) to add (+ symbol).
add (+ symbol) | Tapping on the edit symbol makes the add symbol available. Another tap opens the screen to configure a profile.
... | Extends the display of the app bar.

To edit an existing profile:

  • Tap the edit symbol in the app bar.
  • Tap an existing profile from the list.


Edit Profile

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for MS Windows Phone -> Edit Profile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, existing profiles can be changed and new profiles can be configured.

Parameters

Description

Profile name

Name of the profile:
Freely selectable

Server host name

Name of the Everywhere Server to which a connection is to be created.

Port HTTPS

Port address for the connection to the Everywhere Server.

Default: 8050

Project name

Project name for the connection to Everywhere Server.

Display variables by:

Display of the variables.
Select from drop-down list:

  • Name
    Variable display according to name
  • Identification
    Variable display according to identification
  • Res. Label
    Variable display according to resources label

Remember password:

(Slider)

Save password for input. The setting is also shown as text:

  • OFF: (slider left and bright)
    Password for login is not saved in the profile settings.
  • On: (slider left and dark)
    Password is saved in the profile settings.

Default: OFF

App Bar

Parameters | Description
Save (Symbol) | Saves the current settings and returns to the profile overview.
Delete (Recycle Bin symbol) | Deletes the selected profile.
... | Extends the display of the app bar.


Equipment Model

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for MS Windows Phone -> Equipment Model

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen shows the configured equipment model.

Tapping on the equipment model names switches to the next screen with the selection of the equipment groups.

App Bar

continue (Symbol >) | Logs the app into Everywhere Server and switches to the next screen.
logout (X-Symbol) | Ends connection to the server and returns to the login screen.
... | Extends the display of the app bar.


Equipment Groups

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for MS Windows Phone -> Equipment Groups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, the configured equipment groups are listed and selected.

Tapping on the equipment model names switches to the next screen with the selection of the allocated variables.

App Bar

continue (Symbol >) | Logs the app into Everywhere Server and switches to the next screen.
logout (X-Symbol) | Ends connection to the server and returns to the login screen.
... | Extends the display of the app bar.


Variable selection

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for MS Windows Phone -> Variable selection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, configured variables from the selected equipment group are listed and selected.

Lists all available variables. Select the variables by tapping.

Note: All variables can be selected or deselected with the Extended app bar.

App Bar

continue (Symbol >) | Logs the app into Everywhere Server and switches to the next screen.
logout (X-Symbol) | Ends connection to the server and returns to the login screen.
... | Extends the display of the app bar.

Extended app bar

(only visible if the app bar has been extended by tapping on ...)

select all variables | Activates/deactivates all variables in the list.
clear variables | Shows new screen with detail view of the selected variable(s). Inactive if no variable is selected.


Values view

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for MS Windows Phone -> Values view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen visualizes the values of the selected variables. There are two views available.

Variable list

Parameters

Description

Variablenliste

List of selected variables:

Tapping on the variable switches between "normal view" and "detailed view"

  • Normal view:
    Variable name
    Variable value (numerical)
    Variable value (bar display)
  • Detail view:
    Variable name
    Date and time of last update
    Communication type
    Data type of the variable
    value with pointer instrument display


Alarm List

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for MS Windows Phone -> Alarm List

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen visualizes active alarms in a list. Alarms can be acknowledged by tapping on the alarm entry.

Alarms

Parameters

Description

Liste mit Alarmeinträgen

List of active alarms:

  • Variable name
    Value
    Date and time of the alarm
    Acknowledged alarm: Yes/No
    Cleared alarm: Yes/No

Tapping on an alarm entry acknowledges that entry.

App Bar

...

Extends the display of the app bar.


Acknowledge alarms

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for MS Windows Phone -> Acknowledge alarms

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

An alarm can be acknowledged by tapping on the list entry.

Acknowledging an alarm with Everywhere App:

  1. Tap on the alarm entry in the alarm screen.
  2. A dialog is opened.
  3. Tap Yes if you want to acknowledge the alarm.
  4. No closes the acknowledgment dialog

After acknowledgment, the entry for the alarm (Acknowledged:) shows the date and time of acknowledgment.


Everywhere App by zenon for iPhone and iPad

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for iPhone and iPad

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Authentication

Profile List

Edit Profile

Equipment Model

Equipment groups and variables

Variable selection

Values view

Alarm List

Acknowledge alarms


Authentication

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for iPhone and iPad -> Authentication

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The login screen allows you to log in to an Everywhere Server by zenon and to select user profiles.

Parameters | Description
Profilname | Name of the selected profile.
(arrow symbol) | Opens the profile overview screen.
Username | User name for login at the Everywhere Server.
Passwort | Password for login at the Everywhere Server.
Login (button) | Logs the app into Everywhere Server and switches to the next screen.

Note: Pay attention to capital letters and small letters when entering the data!


Profile List

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for iPhone and iPad -> Profile List

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The profile overview lists existing profiles and administers these.

Parameters | Description
< Back | Switches back to the login screen
Edit | Switches the list of existing profiles into edit mode Note: if the Edit button is clicked, it is displayed as + symbol. A red - in a red cross is placed before it in the list of configured profiles. (the screen to edit the profiles opens by clicking on the profile name.)
> (Symbol) | Opens the screen to edit the profiles.
Profile name | List of the already-configured profiles.

Creating a new profile

  • To create a new profile, click on the + button

Editing a profile

To switch to the editing mode of a profile:

  • Tap on the > symbol, on the right next to the profile name.


Edit Profile

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for iPhone and iPad -> Edit Profile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, existing profiles can be changed and new profiles can be configured.

Parameters

Description

Cancel

Cancels input and returns to the profile overview.

Save

Saves the input and returns to the profile overview.

Profile name

Name of the profile:
Freely selectable

Server

Name of the Everywhere Server to which a connection is to be created.

HTTPS Port

Port address for the connection to the Everywhere Server.

Default: 8050

Project

Project name for the connection to Everywhere Server.

Display variables by:

(Toolbar)

Display of the variables.
Select from drop-down list:

  • Name
    Variable display according to name
  • Identification
    Variable display according to identification
  • Res. Label
    Variable display according to resources label

Remember password:

(Slider)

Save password for input:

  • OFF: (slider left and bright)
    Password for login is not saved in the profile settings
  • On: (slider right and dark)
    Password is saved in the profile settings

Default: OFF


Equipment Model

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for iPhone and iPad -> Equipment Model

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen shows the configured equipment model.

Parameters | Description
Logout | Ends connection to the server and returns to the login screen.
Project name | List of available projects on the Everywhere Server
> (Symbol) | Opens the screen to select an equipment model.


Equipment groups and variables

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for iPhone and iPad -> Equipment groups and variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen lists available equipment groups of the selected equipment model as well as the attendant variables.

Header

Parameters | Description
Back | Returns to previous screen. Note: Swipe to the right also returns to the previous screen.
Logout | Ends connection to the server and returns to the login screen.

EQUIPMENT GROUPS

Parameters | Description
List of equipment groups |
> (Symbol) |

Variables

Parameters | Description
Variable list | List of the available variables. Selection/deselection by simply tapping. Selected variables are indicated by a blue tick.

Footer

Parameters | Description
Select/Deselect all | Activates/deactivates all variables in the list.
Show Details | Shows new screen with detail view of the selected variable(s). Inactive if no variable is selected.


Variable selection

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for iPhone and iPad -> Variable selection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, configured variables from the selected equipment group are listed and selected.

Header

Parameters | Description
Back | Returns to previous screen. Note: Swipe to the right also returns to the previous screen.
Logout | Ends connection to the server and returns to the login screen.

Variables

Parameters | Description
Variable list | List of the available variables. Selection/deselection by simply tapping. Selected variables are indicated by a blue tick.

Footer

Parameters | Description
Select/Deselect all | Activates/deactivates all variables in the list.
Show Details | Shows new screen with detail view of the selected variable(s). Inactive if no variable is selected.


Values view

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for iPhone and iPad -> Values view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen visualizes the values of the selected variables. There are two views available.

Header

Parameters | Description
Back | Returns to previous screen. Note: Swipe to the right also returns to the previous screen.
Logout | Ends connection to the server and returns to the login screen.

Variable overview

Parameters

Description

Variable list

List of selected variables:

  • Normal view:
    Variable name
    Variable value (numerical)
    Variable value (bar display)
  • Detail view:
    Variable name
    Date and time of last update
    Communication type
    Data type of the variable
    value with pointer instrument display

Footer

Parameters | Description
Values (Symbol) | Switches to display of values of the variables. Blue background if active.
Alarms (Symbol) | Switches to display of alarms. Blue background if active.


Alarm List

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for iPhone and iPad -> Alarm List

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen visualizes active alarms in a list. Alarms can be acknowledged by tapping on the alarm entry.

Alarms

Parameters

Description

List with alarm entries

List of active alarms:

  • Variable name
    Value
    Date and time of the alarm
    Acknowledged alarm: Yes/No
    Cleared alarm: Yes/No

Tapping on an alarm entry acknowledges that entry.

Footer

Parameters | Description
Values (Symbol) | Switches to display of values of the variables. Blue background if active.
Alarms (Symbol) | Switches to display of alarms. Blue background if active.


Acknowledge alarms

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for iPhone and iPad -> Acknowledge alarms

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

An alarm can be acknowledged by tapping on the list entry.

Acknowledge an alarm with Everywhere App:

  1. Tap on the alarm entry in the alarm screen.
  2. A dialog is opened.
  3. Tap Yes if you want to acknowledge the alarm.
  4. No closes the acknowledgment dialog

After acknowledgment, the entry for the alarm (Acknowledged:) shows the date and time of acknowledgment.


Everywhere App for Desktop

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App for Desktop

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Authentication

Profile List

Edit Profile

Equipment model and equipment groups

Variable selection

Values view

Alarm List

Acknowledge alarms


Authentication

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Authentication

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The login screen allows you to log in to an Everywhere Server by zenon and to select user profiles.

Parameters

Description

Profile

Name of the selected profile.

  • Tapping or left-clicking opens the drop-down list to select an existing profile.

User name

User name for login at the Everywhere Server.

Password

Password for login at the Everywhere Server.

login

(Symbol)

Logs the app into Everywhere Server and switches to the next screen.

Note: Pay attention to capital letters and small letters when entering the data!

App Bar

Parameters | Description
edit (pencil symbol) | Tapping or left-clicking opens the screen to configure a profile.


Profile List

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Profile List

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The profile overview lists existing profiles and administers these.

Navigation

<-
(Symbol)

Switches to the previous screen.

Parameters

Description

Profile List

Lists existing profiles.

  • The profile that is currently selected is accentuated graphically.
  • Tapping or left-clicking on the desired profile selects the profile.
  • Tap or click the edit symbol to edit the selected profile.

App Bar

Parameters | Description
Edit (pencil symbol) | Switches the selected profile to editing mode.
Add (+ symbol) | Creates a new profile.
Delete (Recycle Bin symbol) | Deletes the selected profile.
Save (Disk symbol) | Saves changes to the selected profile. Note: Inactive if no profile is being edited.
Reset (X-Symbol) | Discards all inputs. Note: Inactive if no profile is being edited.

To edit an existing profile:

  • Tap or click on an existing profile from the list.
  • Tap or click on the edit symbol in the app bar.


Edit Profile

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Edit Profile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, existing profiles can be changed and new profiles can be configured.

Navigation

<-
(Symbol)

Switches to the previous screen.

Parameters

Description

Profile name

Name of the profile:
Freely selectable

Server host name

Name or IP address of the Everywhere Server to which a connection is to be created.

Port HTTPS

Port address for the connection to the Everywhere Server.

Default: 8050

Project name

Project name for the connection to Everywhere Server.

Display variables by:

(Drop-down list)

Display of the variables.
Select from drop-down list:

  • Name
    Variable display according to name
  • Identification
    Variable display according to identification
  • Res. Label
    Variable display according to resources label

Remember password:

(Slider)

Save password for input. The setting is also shown as text:

  • OFF: (slider left and bright)
    Password for login is not saved in the profile settings
  • On: (slider right and dark)
    Password is saved in the profile settings

Default: OFF

App Bar

Parameters | Description
Edit (pencil symbol) | Switches the selected profile to editing mode.
Add (+ symbol) | Creates a new profile.
Delete (Recycle Bin symbol) | Deletes the selected profile.
Save (Disk symbol) | Saves changes to the selected profile.
Reset (X-Symbol) | Discards all inputs.


Equipment model and equipment groups

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Equipment model and equipment groups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen shows the configured equipment model. Once an equipment model has been selected, the attendant equipment groups are displayed.

The attendant hierarchy is displayed by selecting an equipment group.
If a selected group contains variables, the view switches to the variable overview screen.

App Bar

Logout
(open lock symbol)

Ends connection to the server and returns to the login screen.


Variable selection

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Variable selection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, configured variables from the selected equipment group are listed and selected.

Select the variables by tapping or left-clicking.

<- (Symbol) | Switches to the previous screen.
-> (Symbol) | Switches to the next screen.
All | Activates/deactivates all variables.
Show only selected | Only the selected variables are displayed in the screen of the variable view. Inactive if there is not at least one variables selected.

App Bar

Logout
(open lock symbol)

Ends connection to the server and returns to the login screen.


Values view

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Values view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen visualizes the values of the selected variables. There are two views available.

Select the variables by left-clicking or tapping.

<- (Symbol) | Switches to the previous screen.
-> (Symbol) | Switches to the next screen.

Variable list

Parameters

Description

Variable display

Tapping or left-clicking on the variable switches between "normal view and "detailed view"

  • Normal view:
    Variable name
    Variable value (numeric)
    Variable value (bar display)
    Min, max and unit
  • Detail view:
    Variable name
    Date and time of the last update
    Communication type
    Data type of the variable
    Value in numerical display
    Value with pointer instrument display

App Bar

Logout
(open lock symbol)

Ends connection to the server and returns to the login screen.


Alarm List

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Alarm List

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen visualizes active alarms in a list. Alarms can be acknowledged by tapping on the alarm entry.

Select the alarms by tapping or left-clicking.

<-
(Symbol)

Switches to the previous screen.

Alarms

Parameters

Description

List with alarm entries

List of active alarms:

  • Variable name
    Value
    Date and time of the alarm
    Acknowledged alarm: Yes/No
    Cleared alarm: Yes/No

This alarm can be acknowledged by tapping or left-clicking.

App Bar

Logout
(open lock symbol)

Ends connection to the server and returns to the login screen.


Acknowledge alarms

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App for Desktop -> Acknowledge alarms

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

An alarm can be acknowledged by tapping on the list entry.

Acknowledging an alarm with Everywhere App for Desktop:

  1. Tap or click on the alarm entry in the alarm screen.
  2. A dialog is opened.
  3. Tap or click Yes if you want to acknowledge the alarm.
  4. No closes the acknowledgment dialog

After acknowledgment, the entry for the alarm (Acknowledged:) shows the date and time of acknowledgment.


Everywhere App by zenon for Android

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for Android

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Authentication

Profile List

Edit Profile

Equipment model and equipment groups

Variable selection

Values view

Acknowledging alarm list and alarms


Authentication

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for Android -> Authentication

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The login screen allows you to log in to an Everywhere Server by zenon and to select user profiles.

Action Bar - Action Buttons

Parameters | Description
Action Overflow (symbol: three vertical dots) | Click the button to open a drop-down list of the actions.
Edit current profile | Opens the screen to configure a profile.
Quit | Closes the app and switches back to the Start screen of the Android device.

Parameters | Description
Profile | Name of the selected profile. Tapping on the profile name opens the dialog to select an existing profile.
Username | User name for login at the Everywhere Server.
Password | Password for login at the Everywhere Server.
Login | Logs the app into Everywhere Server and switches to the next screen.

Note: Pay attention to capital letters and small letters when entering the data!

App Bar

Parameters | Description
zurück (symbol: curved arrow to the right) | Switches to the previous app screen.
Home (symbol: house) | Closes the app and switches back to the Start screen of the Android device.
nn (symbol: overlaid screens) | Overview of the last apps open on the device.

info Informazioni su

The appearance and functionality of the app bar is the same on all screens. This bar is very often already integrated into the hardware of an Android device. In this case, app bar is displayed.


Profile List

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for Android -> Profile List

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The profile overview lists existing profiles and administers these.

Action Bar - Action Buttons

Parameters | Description
< (Symbol) | Switches back one screen.
+ (Symbol) | Creates a new profile and switches to the Edit profile screen.

Parameters

Description

Profile List

Lists existing profiles.

A long click on an entry opens a context menu:

  • Edit profile
    Switches to the profile editing screen. Allows changes to an existing profile.
  • Delete profile
    Deletes selected profile

Tapping on the desired profile activates the profile and switches to the login screen.

To edit an existing profile:

  • Tap an existing profile from the list.
    Attention: Ensure that you tap on the list entry for a long time.
  • Select the Edit profile entry in the context menu that appears.
  • You switch to the Edit profile screen.


Edit Profile

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for Android -> Edit Profile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, existing profiles can be changed and new profiles can be configured.

Action Bar - Action Buttons

Parameters | Description
< (Symbol) | Switches back one screen.
Save (Disk symbol) | Saves the current settings and returns to editing the profiles.

Parameters

Description

Profile name

Name of the profile:
Freely selectable

Server host name

Name of the Everywhere Server to which a connection is to be created.

Port HTTPS

Port address for the connection to the Everywhere Server.

Default: 8050

Project name

Project name for the connection to Everywhere Server.

Display variables by:

Display of the variables.
Select from drop-down list:

  • Name
    Variable display according to name
  • Identification
    Variable display according to identification
  • Res. Label
    Variable display according to resources label

Remember password:

(Checkbox)

Save password for input. The setting is also shown as text:

  • inactive:
    Password for login is not saved in the profile settings
  • active:
    Password is saved in the profile settings.

Default: inactive.


Equipment model and equipment groups

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for Android -> Equipment model and equipment groups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen shows the configured equipment model. Tapping on an equipment model shows the equipment groups contained therein. Tapping on an equipment group name switches to the next screen with the selection of the allocated variables.

Action Bar - Action Buttons

Parameters | Description
< (Symbol) | Switches back one screen.
Logout: (symbol: curved arrow to the left) | Ends connection to the server and returns to the login screen.

Parameters | Description
[name of equipment group] | For easier orientation, either the equipment model name or the equipment group name - depending on the selection - is displayed in orange text above the list.
List of the configured equipment groups or variables. | Lists existing profiles: Clicking on the equipment group name switches to the overview of configured equipment groups. Clicking on an equipment group name switches to the variable overview and lists all variables configured in the equipment group in a list.


Variable selection

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for Android -> Variable selection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this screen, configured variables from the selected equipment group are listed and selected.

Action Bar - Action Buttons

Parameters | Description
< (Symbol) | Switches back one screen.
Favorites (star symbol) | Adds the selected variable(s) to the list of favorites.
Delete favorites (Recycle Bin symbol) | Deletes all variables from the list of favorites.
Action Overflow (symbol: three vertical dots) | Click the button to open a drop-down list of the actions.
Display favorites | Displays all variables from the list of favorites in a list.
Display variables | Displays all activated variables of the selected equipment group in a list. To activate a variable, the checkbox in the right column must be activated.
Logout | Ends connection to the server and returns to the login screen.
Display all | Selects all listed variables. This is visualized by a blue tick in the checkbox next to the variable name.


Values view

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for Android -> Values view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This screen visualizes the values of the selected variables. There are two views available.

Action Bar - Action Buttons

Parameters | Description
< (Symbol) | Switches back one screen.
Logout: (symbol: curved arrow to the left) | Ends connection to the server and returns to the login screen.

Variable list

Parameters

Description

Variable list

List of selected variables:

Clicking on the variable switches between "normal view" and "detailed view"

  • Normal view:
    Variable name
    Variable value (numerical)
  • Detailed view:
    Variable name
    Variable value
    Minimum and Maximum value
    Value in bar graph display


Acknowledging alarm list and alarms

Manuale -> Mobile applications for zenon -> Everywhere App by zenon -> Everywhere App by zenon for Android -> Acknowledging alarm list and alarms

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The alarms are integrated directly into the value view of the variables. If there is an alarm, a warning sign is shown next to the variable in the value view screen.

A long click on the variable entry opens the attendant alarm entry. The alarm can be confirmed in the subsequent dialog.

Action Bar - Action Buttons

Parameters | Description
< (Symbol) | Switches back one screen.
Logout: (symbol: curved arrow to the left) | Ends connection to the server and returns to the login screen.

Alarms

Parameters | Description
List with alarm entries | The word Alarms_ is placed in front of the variable name. A long tap on an alarm entry opens the dialog to acknowledge an alarm.

Confirm alarm dialog

Parameters

Description

Variablenname

Name of the variable with pending alarm.
The word "Alarm_" is placed in front of the variable name.

Wert

Value of the variable.

Aknowledged:

Alarm confirmed:

  • No:
    Alarm has not yet been confirmed
  • Yes:
    Alarm has already been confirmed

Default: No

Note: This field cannot be changed.

Clear

Alarm ended:

  • No:
    The alarm state still keeps occurring.
  • Yes:
    The alarm state no longer occurs.

Default: No

Note: This field cannot be changed.

Cancel

Closes the dialog and returns to the value view of the variables.

Acknowledge

Confirms alarm and closes the dialog.

Acknowledging an alarm with Everywhere App:

  1. Click on the alarm entry in the value view for a long time.
  2. A dialog is opened.
  3. Tap Acknowledge if you want to acknowledge the alarm.
  4. Cancel closes the acknowledgment dialog

After acknowledgment, the entry for the alarm (Acknowledged:) shows the date and time of acknowledgment.


Notifier App by zenon

Manuale -> Mobile applications for zenon -> Notifier App by zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Notifier App by zenon makes it possible to acknowledge alarms that are sent by means of Message Control as a SMS to a mobile device.

Note: The App is only available for devices with the Android operating system.

tutorial Informazioni sulla licenza

The Notifier App by zenon is freely available. It works together with the Message Control module. This requires a license.

Noch in diesem Kapitel

Functionality

Configuration

Receive and acknowledge alarm SMS


Functionality

Manuale -> Mobile applications for zenon -> Notifier App by zenon -> Functionality

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Notifier App by zenon shows SMSs that:

  • Have been sent by the Message Control module and
  • Contain certain key words or were sent by certain telephone numbers

After receipt, an alarm is played back on the receiving device for 30 seconds. If the message is opened within this time period, the user can acknowledge the alarm by SMS, reject it or ignore the alarm with a button. If a message is not reacted to in time, the information is filed to the Notification-Bar. If this is activated, a list of the alarms that have not yet been acknowledged and ignored is shown.

The current alarm list is always shown as a the start screen.

Navigation in the app is carried out by pressing the symbols or swiping.
The following are available from left to right:

  • Show alarm list
  • Configure keywords
  • Configure telephone numbers
  • Configure codes


Configuration

Manuale -> Mobile applications for zenon -> Notifier App by zenon -> Configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Key words and telephone numbers, as well as PIN and NA can be configured and alarms can be edited with the App.

To use the App:

  1. Download the Notifier App by zenon from the Store.
  2. Open the Notifier App.

  3. The configuration window is shown.

Configure app

On the configuration screen, you define:

  • Keywords: List with all keywords that have been set.
  • Phone numbers: List showing all telephone numbers to which the app is to react with an SMS.
  • PIN and NA-Code: PIN for positive acknowledgment and NA for reject.

You also edit the alarms entered in the alarm list.

Noch in diesem Kapitel

Configure keywords

Configure telephone numbers

Configure PIN and NA code


Configure keywords

Manuale -> Mobile applications for zenon -> Notifier App by zenon -> Configuration -> Configure keywords

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To configure keywords:

  1. Click on the symbol with the key for Keywords.
  2. A list of configured key words is shown.

  3. If a key word is selected, it can be deleted by means of a dialog.
  4. To create a new key word, click on the + button.
    Note: With Android version <3.0, adding is carried out by clicking on the Add New Item button.
  5. The dialog to add it is opened.

  6. Enter the key word and click on Add.

    Note: Only one single keyword can be entered. Spaces are not permitted:


Configure telephone numbers

Manuale -> Mobile applications for zenon -> Notifier App by zenon -> Configuration -> Configure telephone numbers

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To configure telephone numbers whose SMS is accepted as messages:

  1. Tap on the symbol with the telephone.
  2. A list of the configured telephone numbers is displayed.

  3. If a telephone number is selected, it can be deleted by means of a dialog.
  4. To create a new telephone number, click on the + button.

    Note: With Android version <3.0, adding is carried out by clicking on the Add New Item button.

  5. The dialog to add it is opened.

  6. Enter the telephone number and click on Add.

Attention: Telephone numbers must be entered in the format +[country code][number].
Example: +4369912345678


Configure PIN and NA code

Manuale -> Mobile applications for zenon -> Notifier App by zenon -> Configuration -> Configure PIN and NA code

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To configure PIN and NA code:

  1. Tap on the symbol with the stars for Codes.

  2. The codes for PIN and NA are shown.
  3. To enter or change a code, click in the input field.
  4. The touch keyboard to enter the PIN and NA is opened.

  5. Enter the 4-digit PIN required for acknowledgment.
  6. Enter the 4-digit NA required for rejecting the alarm.
  7. Click OK.


Receive and acknowledge alarm SMS

Manuale -> Mobile applications for zenon -> Notifier App by zenon -> Receive and acknowledge alarm SMS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Receive alarm SMS

Procedure for receipt of SMS:

  1. The Notifier App by zenon checks all incoming SMSs for key words and sender telephone number.
  2. If the telephone number and a word in the text of the SMS correspond to the set parameters, an alarm is played back for 30 seconds and a notice window is opened.

  3. To accept the alarm SMS and to react to this, click on OK.
    • If the SMS contains an alarm, the window to acknowledge the alarm is opened by clicking on OK.
    • If the SMS does not contain an alarm, the window is closed by clicking on OK. The App continues to run in the background.
  4. If you do not react within 30 seconds, then:
    1. The window is closed
    2. The alarm ends and information is sent to the Notification-Bar of the mobile device
    3. The alarm is saved in the alarm list

Respond to alarm SMS

Process when responding to a SMS:

  1. If the alarm SMS is received, a dialog with the message and response possibilities is opened.
  2. Select the desired reaction:
    1. YES: Acknowledges the alarm.
    2. NO: Rejects acknowledgment.
    3. Ignore: Ignores the alarm and moves it to the alarm list.

    Note: The respective authorization code (PIN/NA) must be stored in the App.

  3. Close the App.
    The App continues to run in the background after it has been closed.

Alarm window

Parameters | Description
SMS Text: | Display of the text of the SMS.
YES | Acknowledges the alarm. An SMS in Alarm-ID;PIN format is sent. The PIN must be stored in the configuration to do this.
NO | Declines acknowledgment of the alarm. An SMS in Alarm-ID;NA format is sent. The NA must be stored in the configuration to do this.
Ignore | Alarm is saved in the alarm list. This can be called up at any time using the symbol in the App and the alarm can be acknowledged or deleted.

info Informazioni su

You can also find details on acknowledging the Message Control module in the Acknowledging messages chapter in the Message Control manual.

Administering the alarm list

If the App is opened, you get to the alarm list by tapping on the symbol with the speech bubble.

  • Ignored messages are shown as deactivated (gray).
  • Messages with an unclear status are active and shown with a warning symbol.

If an alarm SMS is not reacted to quickly enough or the Notifier App by zenon is ended without an action, information is sent to the Notification-Bar of the mobile device. This is shown by alarm information. The type of messages depends on the mobile device.

Tap on the alarm symbol to react to this message. The alarm list is opened.

Processing messages

To process messages with an unclear status:

  1. Tap on the message.
  2. Acknowledge or ignore the message.

    Acknowledged alarms are removed from the list.
    Ignored alarms are shown as inactive.

Deleting messages

To remove ignored alarms from the list:

  1. Tap on the pen symbol at the top right.

    The alarm list is opened in editing mode and ignored alarms are displayed.

  2. Activate the checkbox in front of the alarm.
  3. Tap on the Delete symbol at the top right.

    All selected alarms are removed from the list.


MS Azure

Manuale -> MS Azure

MS Azure is the description for the online platform on which the cloud services can be rented (Microsoft Azure Cloud). This can be used for zenon and zenon Analyzer.

MS Azure Service Bus save types

The connection can be established with a Queue or an Event Hub:

  • MS Azure Queues:
    • Process Gateway: In an MS Azure Queue, data is written to the memory in the order in which it arrives. The queue is emptied again when reading and emptied according to the settings. Data always lands in a defined queue from which it can be read again.
      If there is no Internet connection when writing, no data is written. These are also not cached or entered later.
      If there is no Internet connection when reading, this is not displayed. As soon as there is a connection again, all data present in the queue is read and then the display is updated.
    • SQL Export: Data is written to an archive queue. The cloud-based service Archive Worker writes the data to a cloud-based SQL database. If there is no Internet connection, the data is cached locally in the Runtime folder and uploaded in the next export cycle once there is a connection.
  • MS Azure Event Hub:
    An MS Azure Event Hub writes data that has been received, subdivided in up to 16 partitions. This write process is quicker than writing to a Queue. zenon can use the Process Gateway to write data to an MS Azure Event Hub, but cannot read from it.

Use in zenon

In zenon, MS Azure serves as:

  • SQL evacuation location:
    zenon archives can also be evacuated to MS Azure by means of SQL export.
  • Cross-location exchange of data:
    Variables can be written to MS Azure Queues using Process Gateway.
    They can be read in again with the zenon AzureDrv driver. In doing so, no extra ports need to be configured for the incoming data.
  • Data storage location for third-party applications:
    The zenon Process Gateway can also write data to MS Azure Event Hubs. This data can thus be provided for other applications. However, it cannot be read again by zenon.

Use in zenon Analyzer

In zenon Analyzer, an MS Azure SQL database can be used as a linked server.

Noch in diesem Kapitel

Configuration of MS Azure

Configuration in zenon

Evacuate SQL archives

Saving data and reading it in again

zenon Analyzer - Linked MS Azure Server


Configuration of MS Azure

Manuale -> MS Azure -> Configuration of MS Azure

The configuration depends on the use in zenon.

MS Azure

In this section, you receive information on configuration steps in MS Azure when using zenon. You can get information on the general configuration of MS Azure and databases in MS Azure from the Microsoft MS Azure help.

For use with zenon, you need the following in MS Azure, depending on how it is used:

  • MS Azure SQL Server
  • An assigned database
  • The server name and Connection String of the database
  • The Namespace with
    • Queues
      or
    • Event Hubs
  • The Archive Worker cloud service

zenon archive can be evacuated to MS Azure and read back again. Reading in can be via zenon Analyzer.
To evacuate archives and read them in again:

  1. Create an SQL server and corresponding database in MS Azure, in which the data is to be saved.

  2. Ensure that the Public IP of the accessing computer is included in the Allowed IP Adresses of the server.

  3. In the options of the newly-created database, you have the possibility of copying the Connection String.
    To do this, click on View SQL Database connection strings.

    You need this Connection String later for the configuration file ServiceConfiguration.Cloud.cscfg.
    zenon needs the ADO.NET Connection String.

  4. Create and configure a new namespace in the Service Bus menu.
    You need the Messaging type. This cannot be subsequently changed.
    Further Shared Access Keys can subsequently be created.
    You need this Connection String later for the configuration file ServiceConfiguration.Cloud.cscfg.

    Note: Ensure that each computer that writes to the Queue has write authorizations.

  5. Configure the Access Keys.
    You need this Storage Account Name and the Access Key later for the ServiceConfiguration.Cloud.cscfg configuration file.

  6. Create a new cloud service.
    In doing so, the Archive Worker is created.
    You can find the required files in the following folder: %ProgramData%\COPA-DATA\zenon7.50\CloudService.

  7. Create the desired Queue or the desired Event Hub.

    If a zenon archive is to be evacuated, this Queue must have the name archivequeue. It is automatically created with the Archive Worker.
    Recommendation: To configure the zenon SQL evacuation, use the supplied zenon Package (see evacuate SQL archives section).


Configuration in zenon

Manuale -> MS Azure -> Configuration in zenon

The configuration in zenon or zenon Analyzer depends on the task:

  • Evacuate SQL archive: zenon archives are evacuated to MS Azure by means of SQL.
  • Save data and read it in again: Variables are saved in Azure in a Queue or an Event Hub using zenon Process Gateway Data from a Queue is read back into zenon using the zenon AzureDrv driver.

In zenon, you generally need the following information from MS Azure for configuration:

  • Connection String (server connection name)
  • Name Queue or Event Hub
  • Password

Note: Ensure that the necessary ports in the firewall are unlocked.
Default: 1433


Evacuate SQL archives

Manuale -> MS Azure -> Evacuate SQL archives

There is a configuration package available on the zenon installation medium to configure the evacuation of archives.
Path: %ProgramData%\COPA-DATA\zenon7.50\CloudService

It contains the following files:

  • AzureArchiveCloudService.cspkg (package)
  • ServiceConfiguration.Cloud.cscfg (Configuration file)

Configuration:

  • There must be a Queue with the name archivequeue in the Namespace on the MS Azure server.
  • The following must be entered in the zenon configuration file:
    • Path to the Service Bus (Connection String), in which the Archive Queue is automatically created
    • Connection String to the Azure SQL database
      Attention: A password must be provided
    • ArchiveStorage and Diagnostics: Connection String to a Table Storage in MS Azure.
      Can access the same Table Storage.
  • Configuration of the SQL evacuation in zenon
    • Save tab for archive properties:

      Write: Entry of the Connection Strings to the MS Azure Service Bus in the Use MS Azure service bus for writing.

      Read: Establish connection to the MS Azure database using the SQL database option.

Noch in diesem Kapitel

SQL evacuation in zenon


SQL evacuation in zenon

Manuale -> MS Azure -> Evacuate SQL archives -> SQL evacuation in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se, per il dislocamento di un archivio, si attiva l´opzione Usa service bus MS Azure per scrivere, tutti i valori d´archivio verranno aggiunti alla Azure Service Bus Queue con il nome archivequeue. Ciò deve esistere in MS Azure-Namespace delle connessione configurata.. Il nome di connessione MS Azure va inserito nel campo che si trova sotto l´opzione.

Configurazione

In MS Azure deve essere attiva perlomeno un´istanza di un AzureZenonArchiveWorker cloud service, che riceva i valori d´archivio dalla coda con il nome archivequeue e li aggiunga nell' MS Azure SQL-Storage. Il formato tabelle corrisponde a quello del classico dislocamento SQL di un archivio.

Il servizio cloud deve essere creato manualmente con il deploymentpackage AzureArchiveCloudService.cspkg, tramite l´interfaccia di configurazione MS Azure. . Trovate il pacchetto nella cartella %ProgramData%\COPA-DATA\zenon7.50\CloudServices.

Impostazioni:

  • Zenon.ArchiveServiceBus.ConnectionString: Corrisponde al nome di connessione MS Azure inella configurazione archivio.
  • Zenon.ArchiveSQLServer.ConnectionString: Indica il nome di connessione per la destinazione MS Azure SQL-Storage.
  • Ambiente: Produzione
  • Distribuire anche se uno o più ruoli contengono una singola istanza: attivare.
  • Avvia distribuzione: attivare.

Procedura

La lettura dei dati d'archivio avviene via connessione OLEDB e SQL SELECT statement. Il nome connessione OLEDB mostra, di regola, la stessa banca dati MS Azure SQL di quella dell´output connection name (Zenon.ArchiveSQLServer.ConnectionString) in AzureZenonArchiveWorker.


Saving data and reading it in again

Manuale -> MS Azure -> Saving data and reading it in again

Data can, for example also be saved throughout locations using the MS Service Bus. To do this, it is uploaded using the zenon Process Gateway and downloaded again using the AzureDRv driver. One of the advantages is that no exceptions need to be configured in the firewall when downloading. It is also possible to provide data for third party applications.

Two settings are possible for the target in the Namespace:

  • Queue: Data can be saved and called up again.
  • Event Hub: Data is saved for third-party applications. These can no longer be read by zenon or zenon Analyzer.

Noch in diesem Kapitel

Process Gateway: Saving data in MS Azure

zenon AzureDrv driver: Read data from MS Azure


Process Gateway: Saving data in MS Azure

Manuale -> MS Azure -> Saving data and reading it in again -> Process Gateway: Saving data in MS Azure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The AccessAzure module in Process Gateway can be used to upload data to MS Azure.

AccessAzure.dll writes variable values of Runtime to an MS Azure service bus Queue or Event Hub. Data from the Queue can then be obtained from the AzureDrv driver from MS Azure and integrated into processes of zenon. Data from an Event Hub is for third-party applications and can no longer be read by zenon.

The Process Gateway establishes a connection to MS Azure cyclically and writes messages to the service bus Queue or the Event Hub.

To read the values from the Servicebus Queue, the AzureDrv driver establishes a connection to the service bus Queue with the configured name and takes all messages received from it. These messages are unpacked and the online values contained therein are allocated to the variables. The key for this is the Indirizzo simbolico.
All messages that are already in the queue when the connection is first successfully established are loaded and discarded. It is always only the current values that are displayed.

This means: Each driver instance on each computer has its own Queue as an input signal.
Example: The service bus Queue for the MYSERVER1 computer and the onlinedata configured prefix is called the following in MS Azure: onlinedata_myserver1.

Numeric (DOUBLE) and alphanumeric (STRING) values are supported. The time stamp and the system status bits are transferred to the target variable.

info Informazioni su

You can find details on configuration and formats in the Process Gateway manual in the MS Azure section.

Configuration in the Process Gateway

Configuration dialog for MS Azure connection via Process Gateway.

Variables

In the Variables group, you configure the variables whose values are saved by zenon in an MS Azure Service Bus.

Parameters

Description

Available in Scada

Displays all variables available in zenon

With multi-project administration, variables from active projects can be selected.

Projects

List of all available projects.
The standard project is marked with a *.

Variables

List of all variables of the selected project.

List can be sorted; multiple selection is possible.

Hint: Double clicking on the variable moves it.

Button >

Selected variables from the list of variables are moved to the Exported into MS Azure list.

Button <

Selected variables are removed from the Exported into MS Azure list.

Exported into MS Azure

List of the variables that are written to the MS Azure Service Bus by the Process Gateway.

Naming:

  • Project name
  • # (as separator)
  • Variable name.

The key for the values in MS Azure is always PROJECTNAME#VARIABLENAME.

Hint: Double clicking on the variable moves it.

MS Azure Connections

All target connections in which the current values of the selected variable are to be inserted in MS Azure are to be entered into the MS Azure Connections group.

In doing so, the current variable values are added to the connection created in All at the same time.

Parameters

Description

List of MS Azure connections

Lists all connections to MS Azure configured. Each connection consists of the connection name (MS Azure Connection) and the Service Bus Queue Namen.

  • Creation of a new connection with the button New...
  • A selected connection can be amended with the Edit... button.

MS Azure Connection

MS Azure connection address.

Service Bus Queue name

Name of the queue in the MS Azure service bus.

New...

Opens dialog to configure the MS Azure connection.

Edit...

Opens existing connections to configure the MS Azure connection.

Delete

Deletes the selected MS Azure connection from the list.

MS Azure settings

Parameters

Description

Integrity period

Time interval in which the current values of the selected variables are written as an image to the MS Azure Service Bus queue.

If the value of a variable changes during this this interval, the value change is immediately transferred to the MS Azure queue.
Default: 5 s

Navigation

Parameters | Description
OK | Accetta le impostazioni e chiude il dialogo.
Cancel | Annulla tutte le modifiche e chiude la finestra di dialogo.

Configuration of connection to queue or event hub

In the connection dialog, you stipulate whether the connection to a Queue or an Event Hub is made and how this is addressed.

Configuration dialog for the connection to MS Azure:

Parameters

Description

MS Azure Connection

MS Azure connection address.

Note: You can read and copy this address in the Azure administration portal under Manage Connection Strings of the desired Servicebus Namespace.

Service Bus Queue / Event Hub Name

Name of the MS Azure Service Bus queue or the Event Hub. Selection by means of radio buttons.

Note: Only characters that appear in the name of an MS Azure Service Bus Queue or in an Event Hub are permitted. Use simple, short and meaningful names. Avoid special characters, language-specific letters and blank spaces.

Service Bus Queue

The name of the Service Bus Queue comprises:

  • A freely-configurable prefix
  • An underscore (_)
  • The NETBIOS computer name (without domain name suffix) in small lettering

If the name does not yet exist in the Namespace a Queue with this name is created.
Requirement: The corresponding rights are present.

Event Hub

  • Message format: Select in the drop-down list in the Format option.
  • Event Hub Name: Name of the Event Hubs in the MS Azure Service Bus
    The Event Hub must already be created with this name in the Namespace.

Queue
  • Active: The connection is established using the name of the Service Bus Queue.

Event Hub
  • Active: The connection is established using the name of the Event Hub . Selection of the message format using the Format option.

Format

Message format for connection via Event Hub.
Select from drop-down list:

  • XML
  • JSON
  • BOND (compact binary)

OK

Accetta le impostazioni e chiude il dialogo.

Cancel

Annulla tutte le modifiche e chiude la finestra di dialogo.

info Informazioni su

The Service Bus Queue Name can be freely configured.
This queue is automatically created in MS Azure during the first communication to MS Azure.

For each computer that calls up data from MS Azure, use the AzureDrv driver to create a separate MS Azure Connection.


zenon AzureDrv driver: Read data from MS Azure

Manuale -> MS Azure -> Saving data and reading it in again -> zenon AzureDrv driver: Read data from MS Azure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The AzureDrv driver gets data from the MS Azure Service Bus for processing in zenon.

Configuration

Configuration dialog of the connection to the MS Azure service bus:

Parameters | Description
MS Azure Service Bus Connection | Input of the name of the connection to the MS Azure service bus. You can read and copy these connection names in the MS Azure administration portal under Manage Connection Strings of the desired Servicebus Namespace.
Queue Name Prefix | Input of the prefix for the name of the Queue that is to be queried in Runtime. Note: Only characters that appear in the name of an MS Azure-Servicebus Queue are permitted.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

You can read further details in the AzureDrv manual.


zenon Analyzer - Linked MS Azure Server

Manuale -> MS Azure -> zenon Analyzer - Linked MS Azure Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Data from Linked SQL Servers can be edited in zenon Analyzer. These can also be located in MS Azure.

Configuration of a linked Microsoft Azure server

  1. In the dialog to administer the linked server, click on the New Microsoft Azure Server button.

    The dialog for configuring a server is opened.

  2. Assign a name for the server.
  3. Enter an instance name.
    Note: You can find this on Microsoft Azure.
  4. Enter the name of the database.
  5. Enter the user name for access.
  6. Enter the password for access.
  7. Click on OK.

    The linked server is created and the dialog for creation is closed.
    The new linked server is then given a connection test.
    If the test is not successful, there is a query asking whether the new settings are to be retained:

    • Yes: Settings are retained and are displayed in the list.
    • No: Settings are discarded and the server is removed from the list.

info Informazioni su

Each database on an SQL Azure instance must be added as its own linked server for technical reasons.

Dialog Configuration

Parameters | Description
Linked server name | Name of the linked server.
Microsoft SQL Azure instance name | Name of the SQL Azure instance. Can be read from Microsoft Azure. Syntax: [any desired character sequence].[database].windows.net
Database on Microsoft SQL Azure instance | Entry of the database name. Can be read from Microsoft Azure.
User name | Entry of the user name.
Password | Password. Is not displayed in plain text.
OK | Accetta le impostazioni e chiude il dialogo. A connection test is carried out afterwards. If the connection cannot be established, the option to reject the configuration is offered.
Cancel | Annulla tutte le modifiche e chiude la finestra di dialogo.

You can read more about the Linked Server in zenon Analyzer in the zenon Analyzer manual in the Manage linked servers section.


Multi-Touch

Manuale -> Multi-Touch

Con zenon, i touchscreen abilitati all´uso Multi-Touch possono essere gestiti anche tramite gesti Multi-Touch. Potete ottenere
un Esempio di progetto dal Vostro consulente zenon.

attention Attenzione

La gestione a due mani in Multi-Touch può essere realizzata anche tramite due pulsanti: uno causa il blocco, l´altro esegue l´azione.
A tal scopo, devono essere soddisfatti i seguenti punti:

  • Entrambi i punti di pressione devono essere progettati ognuno in un´immagine separata.
  • Entrambe le immagini devono essere basate ognuna su di un proprio modello.

Requisiti

Per Multi-Touch si consiglia:

  • l´attivazione di DirectX Hardware per la proprietà di zenon Aspetto grafico/Qualità grafica. Tenete presenti i requisiti minimi consigliati indicati nel capitolo Requisiti del sistema nel caso di uso di DirectX.

Configurare Multi-Touch

Per utilizzare Multi-Touch:

  1. Disattivate la proprietà di proprietà di progetto Progetto WindowsCE
  2. configurate Multi-Touch in:
    1. proprietà di progetto
    2. Proprietà delle immagini e
    3. Proprietà degli elementi dinamici

Adattamento nelle proprietà di progetto

Per adattare della proprietà di progetto:

  1. Passate al gruppo Interazione.
  2. Selezionate nel gruppo Multi-Touch, per la proprietà Analisi:
    • Windows 7: attiva i gesti
      , che vengono supportati da Windows 7, così come Multi-Touch in VSTA
      - Multi-Touch per le funzioni di zoom e scroll nella visualizzazione globale.
    • Windows 8: attiva i gesti
      , che vengono supportati da Windows 8, così come Multi-Touch in VSTA
      - supporto nativo Multi-Touch Windows 8.
  3. Selezionate le proprietà desiderate negli altri sottogruppi:
    • Visualizzazione inserimento per penna
    • Visualizzazione inserimento per touch

attention Attenzione

A partire da Windows 8, la visualizzazione dell´input tocco e penna può essere modificata nel pannello di controllo a livello globale:

  • se la visualizzazione è disattivata, non ci sarà alcuna visualizzazione neppure in zenon, indipendentemente da quello che si è configurato.
  • se si usa "Ottimizza risposta visiva per proiezione su monitor esterno"", la risposta visiva viene ottimizzata e visualizzata sempre anche in zenon, indipendentemente dalle impostazioni delle proprietà di progetto.

Default: Risposta visiva è attiva, ma non ottimizzata. Questo comportamento può essere configurato anche con zenon.

Adattamento immagini e elementi dinamici nei progetti

Nel progetto, trovate delle possibilità di configurare Multi-Touch con le seguenti proprietà:

  • Immagini, nei gruppi:
    • Interazione
    • Programmazione
    • Analisi gesture VSTA
  • per elementi dinamici nei gruppi:
    • Analisi gesture VSTA
    • Runtime/Clicca e mantieni

Noch in diesem Kapitel

Gesti

Configura interazione

Disabilitare il feedback in caso di scrolling

Analizza eventi

Riconoscimento gesti VSTA

Esempio di progetto per Windows 7

Navigazione con Multi-Touch nell´immagine globale .


Gesti

Manuale -> Multi-Touch -> Gesti

Con zenon Multi-Touch, avete a disposizione tutti i gesti basati su Windows. Potete vedere il numero degli input point messi a disposizione dal vostro sistema touch nelle proprietà di sistema nell´area Sistema.

Gesti Windows 7

Selezione di gesti usati spesso in zenon:

Gesti | Descrizione | Windows-Standard
Seleziona | Toccare un oggetto, e poi effettuare un movimento del dito in una direzione. | Trascinare con il mouse o selezione.
Premere e tap | Premere sull´oggetto e tap con un secondo dito. | Click destro.
Tap e tenere premuto | Premere, attendere la comparsa della ring animation, e rilasciare. | Click destro.
Movimenti | Rapido movimento di trazione in una direzione. | Spostare in su, in giù, in avanti o indietro.
Tap singolo/Tap doppio | Tap con un dito, oppure due tap in rapida successione. | Click/doppio click.
Slow moving | Muovere un dito o due dita in in su o in giù. | Scroll.
Zoom | Muovere due dita avvicinandole o allontanandole. | Zoom (Tasto Strg. più rotellina del mouse).
Tocco con due dita | Toccare contemporaneo con due dita. Il target si trova fra le due dita. | Nessuno.

Gesti Windows 8

Selezione di gesti usati spesso in zenon:

Gesti | Descrizione | Windows-Standard
Premere e tap | Premere sull´oggetto e tap con un secondo dito. | Click destro.
Tap e tenere premuto | Premere, attendere la comparsa della ring animation, e rilasciare. | Click destro.
Tap singolo/Tap doppio | Tap con un dito, oppure due tap in rapida successione. | Click/doppio click.
Flick | Muovere rapidamente un dito nella direzione in cui si vuole che scorra lo schermo. Serve a scorrere rapidamente all´interno di menù o pagine, oppure a muoversi lateralmente in hub. | Scrolling.
Pan | Toccare la pagina con un dito o due dita e spostare trascinando. | Scrolling.
Trascinare | Piazzare un dito sull´oggetto e trascinare con il dito. | Per passare fra schermate o menù. Selezionare e muovere oggetti.
Zoom | Muovere due dita avvicinandole o allontanandole. | Zoom (Tasto Strg. più rotellina del mouse).

Comportamento di zenon nel caso di gesti a due dita (Windows 8).

Se in Windows 8 si tocca lo schermo con due dita, l´azione dipende dagli elementi che vengono toccati.

Comportamento quando si tiene premuto un pulsante:

  • Primo dito tocca e tiene premuto un pulsante con funzione collegata: :
    • Il pulsante viene premuto.
  • Il secondo dito tocca lo schermo in un punto fuori del pulsante:
    • L´azione del pulsante viene interrotta, il pulsante viene visualizzato come non premuto.
      Attenzione: Non vale solo per l´ETM. Qui non è possibile annullare la stampa.
    • Azioni Multi-Touch già iniziate vengono annullate.
    • Si ricerca una nuova azione Multi-Touch (per es. zoom).

Comportamento con un secondo dito sul pulsante:

  • Primo dito tiene premuto un punto vuoto dello schermo:
    • Nessuna azione.
  • Secondo dito tocca e tiene premuto il pulsante:
    • Non viene inizializzata nessuna azione per il pulsante. Esso si comporta come se il anche il secondo dito si trovasse su un punto vuoto dello schermo. Sono possibili azioni Multi-Touch per l´immagine.


Configura interazione

Manuale -> Multi-Touch -> Configura interazione

Con i gesti Windows 8, l´interazione può essere configurata in molte aree via Multi-Touch tramite proprietà senza che sia necessario effettuare ulteriori operazioni di programmazione.

Condizione: Nelle proprietà di progetto, in corrispondenza del nodo Interazione per la proprietà Analisi si deve selezionare Windows 8. zenon deve essere funzionante su un computer con Windows 8 durante il Runtime.

Configurazione

Le interazioni possono essere configurate per:

  • Alcuni tipo di immagini
  • Elementi d’immagine dinamici
  • Touchbox

Quali azioni possono essere assegnate a quali gesti, dipende dall´immagine o dall´elemento d´immagine che deve essere configurato.

Per configurare interazioni per immagini:

  1. posizionate il focus sull´immagine desiderata.
  2. navigate all´interno delle proprietà e passate al nodo Interazione
  3. selezionate nei sottogruppi le proprietà desiderate

Per configurare interazioni per elementi d'immagine:

  1. posizionate il focus sull´elemento d´immagine desiderata.
  2. navigate all´interno delle proprietà e passate al nodo Runtime
  3. selezionate nei sottogruppi le proprietà desiderate

info Informazioni su

I modelli possono essere spostati anche con il mouse, se l´immagine non è una visualizzazione globale. A tale scopo deve essere attivata la proprietà Muovi modello via mouse. Nel Runtime, quando si clicca con il tasto sinistro del mouse su un´area vuota dello schermo e si muove il mouse stesso tenendo premuto il tasto, si muove l´intera immagine.

Interazioni

Le proprietàMuovi modello via mouse da una parte, e Sposta orizzontalmente e Sposta verticalmente dall´altra, non possono essere attivate contemporaneamente. Si può attivare o lo spostamento di un modello con il mouse, oppure lo spostamento orizzontale/verticale tramite gestione touch.

Attenzione al seguente caso eccezionale: nel seguente caso, entrambe le proprietà vengono settate e non sono poi configurabili.

  • La proprietà Sposta orizzontalmente, oppure Sposta verticalmente viene attivata.
  • La proprietà di progetto Analisi per Interazione viene settata su Windows 7, oppure disattivata.
  • La proprietà Muovi modello via mouse viene attivata.
  • Per la proprietà Analisi viene di nuovo selezionata l´opzione Windows 8.

Soluzione:

  • Selezionate per la proprietà Analisi di nuovo l´opzione Windows 7, oppure Disattivata.
  • .Disattivate la proprietà Muovi modello via mouse

Noch in diesem Kapitel

Sostituzioni


Sostituzioni

Manuale -> Multi-Touch -> Configura interazione -> Sostituzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le reazioni a gesti possono essere configurate individualmente per immagini ed elementi d'immagine:

  1. Per le immagini supportate, sono disponibili nel gruppo Interazione:
    • reazioni a Clicca e mantieni
    • reazioni a Doppio tocco
  2. Per gli elementi d'immagine dinamici, sono disponibili nel gruppo Runtime:
    • reazioni a Clicca e mantieni
  3. Nel gruppo Runtime, a seconda del tipo di immagine sono disponibili:
    • Doppio tocco
    • Toccare

Le reazioni sono usate per definire ciò che deve accadere quando il sistema riconosce che il rispettivo gesto viene eseguito sull´immagine o su un elemento d'immagine a runtime attivo.

  • Reazione: Selezione della reazione desiderata fra quelle contenute nel menù a tendina. Quali reazioni sono disponibili, dipende dal tipo di immagine(elemento.
  • Funzione: Selezione di una funzione progettata in zenon, quando si sceglie in Reazione Avvia funzione specifica.

Nota: Una differenza sostanziale fra immagini ed elementi d'immagine riguarda l´opzione Avvia funzione specifica: Per gli elementi d'immagine si possono configurare anche degli interblocchi e delle autorizzazioni utenti. Ciò non è possibile nel caso delle immagini, visto che l´immagine non supporta nessuna funzione-immagine.

Immagini

  • possono essere usate anche per ambienti runtime che non hanno compatibilità touch
  • sono compatibili con versioni precedenti: anche nuovi gesti possono essere supportati, e dei gesti possono ricevere delle nuove impostazioni.

Quando si copia un´immagine, vengono riprese le impostazioni che sono state settate.

Noch in diesem Kapitel

Manipulation

Doppio tocco

Tocco nel caso di elementi d'immagine

Clicca e mantieni


Manipulation

Manuale -> Multi-Touch -> Configura interazione -> Sostituzioni -> Manipulation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Immagini e determinate elementi d'immagine possono essere manipolati con gesti touch. Potete definire la reazione desiderata a un gesto la stabilite nell´Editor, nel gruppo Manipulation per:

  • Muovi (solo finestra di diagramma nel Trend esteso)
  • Sposta orizzontalmente
  • Sposta verticalmente
  • Zoom

Se vengono manipolati immagini o elementi d'immagine, dipende dall´impostazione della configurazione della dimensione:

  • Proprietà Ricava dimensioni dal modello attiva: Viene manipolata l´immagine (spostamento, zoom).
  • Visualizzazione globale: Viene manipolato l´elemento attivo nell´immagine, sempre che esso supporti ciò.
    Definizione di Visualizzazione globale: La proprietà Ricava dimensioni dal modello è disattivata e l´immagine è più grande del modello.

info Informazioni su

Le proprietàMuovi modello via mouse da una parte, e Sposta orizzontalmente e Sposta verticalmente dall´altra, non possono essere attivate contemporaneamente. Si può attivare o lo spostamento di un modello con il mouse, oppure lo spostamento orizzontale/verticale tramite gestione touch.

Attenzione al seguente caso eccezionale: nel seguente caso, entrambe le proprietà vengono settate e non sono poi configurabili.

  • La proprietà Sposta orizzontalmente, oppure Sposta verticalmente viene attivata.
  • La proprietà di progetto Analisi per Interazione viene settata su Windows 7, oppure disattivata.
  • La proprietà Muovi modello via mouse viene attivata.
  • Per la proprietà Analisi viene di nuovo selezionata l´opzione Windows 8.

Soluzione:

  • Selezionate per la proprietà Analisi di nuovo l´opzione Windows 7, oppure Disattivata.
  • .Disattivate la proprietà Muovi modello via mouse

Zoom

Un´immagine può essere zoomata solamente all´interno dei limiti che sono stati settati per le seguenti proprietà:

  • Larghezza (massima) [Pixel]
  • Altezza (massima) [Pixel]
  • Breite(Minimum) [Pixel]
  • Höhe(Minimum) [Pixel]

Quando, nell´effettuare lo zoom, si raggiunge un confine, il sistema cerca di continuare lo zoom nelle direzioni libere. In questo caso, si tiene conto delle proporzioni laterali.

Le immagini del tipo Faceplate non possono essere zoomate.

Zoom in ETM.

Nel modulo Trend esteso, si può zoomare con un gesto a due dita non solo la finestra, ma anche la grafica a curve.

Per lo zoom nell´ETM, ciò significa:

  • Zoom di grafiche: Entrambe le dita devono trovarsi sulla grafica.
  • Zoom di immagini: Entrambe le dita devono trovarsi sull´immagine. Nessun dito deve trovarsi sulla grafica.
  • Se due dita si trovano sulla grafica e due sull´immagine, verrà effettuato lo zoom sia della grafica, che dell´immagine.
  • Se un dito si trova sull´immagine e uno sulla grafica, l´immagine verrà spostata se ciò è previsto dalla configurazione.
  • Se, con un´azione in fase di esecuzione, si pigia un Button, questa azione non potrà più essere interrotta.

Faceplates

Con faceplates, sia l´immagine del tipo Faceplate che ogni container immagini hanno i loro gesti propri per la manipolazione. I gesti hanno effetto anche sui container immagini quando l´immagine del tipo Faceplate non è una visualizzazione globale.

Effetti dei gesti in dettaglio:


Doppio tocco

Manuale -> Multi-Touch -> Configura interazione -> Sostituzioni -> Doppio tocco

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Doppio tocco su immagini.

Per le immagini, sono disponibili le seguenti reazioni a Doppio tocco:

  • Nessuna reazione
  • Avvia funzione specifica
  • Visualizza finestra di stato

Doppio tocco su elementi in immagini

AML

La lista AML nell´immagine del tipo AML supporta come Reazione a Doppio tocco:

  • Nessuna reazione
  • Avvia funzione specifica
  • Ripristina allarme: per allarmi selezionati
  • Esegui funzione allarme: per allarmi selezionati
  • Richiama help per l'allarme: per allarmi selezionati
  • Lista stop/avanza: indipendente da allarmi.

Quando si effettua un doppio tocco su un inserimento della lista, quest´ultimo viene selezionato e viene eseguita la funzione corrispondente. Quando si effettua un doppio tocco al di fuori degli inserimenti della lista, vengono eseguite solamente delle funzioni indipendenti, e non quelle relative agli allarmi.

Trend esteso

La finestra di diagramma nell´immagine del tipo Trend esteso supporta come Reazione a Doppio tocco:

  • Nessuna reazione
  • Avvia funzione specifica
  • Zoom al 100 %
  • Rezoom

Liste in altre immagini

Alcune liste nell´ambito di immagini supportano come Reazione a Doppio tocco:

  • Nessuna reazione
  • Avvia funzione specifica


Tocco nel caso di elementi d'immagine

Manuale -> Multi-Touch -> Configura interazione -> Sostituzioni -> Tocco nel caso di elementi d'immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per gli elementi d'immagine, sono disponibili come Reazione su Toccare:

  • Nessuna reazione
  • Avvia funzione specifica
  • Riduci


Clicca e mantieni

Manuale -> Multi-Touch -> Configura interazione -> Sostituzioni -> Clicca e mantieni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Clicca e tieni premuto con immagini

Per le immagini, sono disponibili le seguenti reazioni a Clicca e mantieni:

  • Nessuna reazione
  • Avvia funzione specifica
  • Visualizza finestra di stato

Clicca e tieni premuto con elementi d´immagine

Per gli elementi d´immagine, sono disponibili le seguenti reazioni a Clicca e mantieni:

  • Nessuna reazione
  • Avvia funzione specifica
  • Aprire menù contestuale


Disabilitare il feedback in caso di scrolling

Manuale -> Multi-Touch -> Disabilitare il feedback in caso di scrolling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si raggiunge il limite dell´area effettuando lo scrolling, Windows fornisce di default un feedback visuale muovendo l´elemento.
Per il runtime di zenon ciò significa: se si fa lo scrolling all´interno di un elemento di controllo, il Windows-Feedback muove tutta la finestra runtime. Un utente può dunque lasciare il runtime eseguendo un´azione a due dita e passare al desktop, anche se non lo si desidera.

Soluzione: Si può disabilitare questa azione di Windows. A tal scopo è necessario avere perlomeno Windows Version 8.1, o una versione più recente.

Disabilitare il feedback visuale

Per disabilitare il feedback visuale:

  1. Aprite la Registry di Windows.
  2. Portatevi alla chiave HKEY_CURRENT_USER/Software/Microsoft/Wisp/Touch/
  3. Settate il valore per l´inserimento Bouncing su 0.

Nota: Adesso il Windows feedback è disattivato completamente e non funziona più anche in altre applicazioni.


Analizza eventi

Manuale -> Multi-Touch -> Analizza eventi

Gli eventi che devono essere analizzati tramite l´interfaccia di programmazione, possono essere definiti dettagliatamente per le immagini. L´analisi avviene via VSTA a livello d´immagine. Per configurare l´analisi di eventi, si deve anzitutto aver settato la proprietà Analisi nelle proprietà di progetto per Interazione, su Windows 8

  1. passate al gruppo Programmazione
  2. passate al sottogruppo Eventi Multi-Touch
  3. selezionate l´opzione desiderata fra quelle proposte dalla lista a cascata della proprietà Rounting eventi Raw:
    • Tutti gli eventi: vengono analizzati tutti gli eventi.
    • Disattivata: l´analisi è disattivata.
    • Solo eventi selezionati: vengono analizzati soli gli eventi attivati tramite le Checkbox.

Sono disponibili i seguenti eventi:

  • PointerDown
  • PointerEnter
  • PointerLeave
  • PointerUp
  • PointerUpdate
  • PointerWheel
  • PointerHWheel
  • PointerDeviceChange
  • PointerDeviceInRange
  • PointerDeviceOutOfRange
  • NCPointerDown
  • NCPointerUp
  • NCPointerUpdate
  • PointerActivate
  • PointerCaptureChanged

I dettagli concernenti gli eventi li trovate nella parte della guida Objectmodel, oppure nella guida Microsoft su MSDN (http://msdn.microsoft.com/en-us/library/hh454903(v=vs.85).aspx).


Riconoscimento gesti VSTA

Manuale -> Multi-Touch -> Riconoscimento gesti VSTA

Le proprietà per il riconoscimento dei gesti VSTA consentono di attivare e disattivare separatamente le flag dei testi di interazione. Trovate le proprietà per il riconoscimento dei gesti VSTA nelle proprietà per:

  • Immagini: I gesti che si riferiscono all´immagine.
  • Elementi dinamici I gesti che si riferiscono ad un singolo elemento dinamico.

Le proprietà sono a disposizione solamente se la proprietà Analisi è settata nelle proprietà di progetto per Interazione su Windows 8.

La configurazione selezionata è a disposizione nel Runtime e può essere modificata tramite VSTA.

I dettagli concernenti gli eventi li trovate nella parte della guida Objectmodel oppure nella guida Microsoft su MSDN (http://msdn.microsoft.com/en-us/library/windows/desktop/hh448838(v=vs.85).aspx).

Immagini

Le proprietà per il riconoscimento dei gesti VSTA per le immagini, le trovate nel gruppo Analisi gesture VSTA dell´immagine stessa. Non appena si attiva la proprietàRiconoscimento gesture attivo, saranno a disposizione i seguenti gesti per essere selezionati:

  • Manipulation
  • Exact
  • Translation X
  • Translation Y
  • Rails X
  • Rails Y
  • Translation Inertia
  • Rotation
  • Rotation Inertia
  • Scaling
  • Scaling Inertia
  • Cross Slide
  • Cross Slide Horizontal
  • Cross Slide Select
  • Cross Slide Speed Bump
  • Cross Slide Rearrange
  • Cross Slide Exact
  • Tap
  • Tap Double
  • Secondary Tap
  • Drag
  • Hold
  • Hold (Mouse)

Elementi dinamici

Le proprietà per il riconoscimento dei gesti VSTA per le gli elementi dinamici, le trovate nel gruppo Analisi gesture VSTA dell´elemento. Non appena si attiva la proprietàRiconoscimento gesture attivo, saranno a disposizione i seguenti gesti per essere selezionati:

  • Manipulation
  • Exact
  • Translation X
  • Translation Y
  • Rails X
  • Rails Y
  • Translation Inertia
  • Rotation
  • Rotation Inertia
  • Scaling
  • Scaling Inertia
  • Cross Slide Cross Slide Horizontal
  • Cross Slide Select
  • Cross Slide Speed Bump
  • Cross Slide Rearrange
  • Cross Slide Exact
  • Tap
  • Tap Double
  • Secondary Tap
  • Drag
  • Hold
  • Hold (Mouse)


Esempio di progetto per Windows 7

Manuale -> Multi-Touch -> Esempio di progetto per Windows 7

Questo esempio di progetto con Multi-Touch sotto Windows 7 è concepito per una risoluzione di 1920x1080. Contiene:

  • Pagina iniziale
  • Navigazione
  • Riga allarmi
  • Tipo d'immagine Login

Pagina iniziale

La pagina iniziale offre una visione generale di un´intera linea di produzione. . Diverse -Icons di macchinari sono visibili contemporaneamente. Potete passare ad altri macchinari facendo scroll mediante gesti. Tap su una Icon determina il passaggio al macchinario desiderato Nell´immagine si trovano anche:

  • Linea allarmi sul bordo superiore: mostra l´ultimo allarme verificatosi nell´intera linea di produzione. Potete trascinare la riga allarmi e ottenere così la visualizzazione completa della Lista allarmi.
  • Pulsante Login consente a più utenti di effettuare il Login.
  • Pulsante Exit: chiude il Runtime e ne è consentito l´uso solamente a quegli utenti che sono provvisti di diritti di amministratore.

Navigazione

Nella parte inferiore dello schermo, la navigazione rappresenta l´intera linea di produzione con l´aiuto di Icons in un´area orizzontale di scrolling. C`è anche un´immagine globale Energy. La si seleziona tramite il pulsante posto in basso al centro. La selezione di un macchinario avviene mediante Tap su una Icon visibile. In questo progetto può essere selezionato solamente il macchinario Filler. Se premete e tenere premuta l´Icon Filler abbastanza a lungo, viene visualizzato un effetto Glow. Si può scrollare la lista mediante il gesto Swipe; un Tap sulla lista che sta scorrendo, interrompe lo scroll.

La velocità dello scroll è determinata sulla base dell´accelerazione del movimento di Drag:

  • lento: segue il dito
  • più veloce: lo segue molto più a vicino.

Al momento dell´apertura dell´immagine di partenza, la navigazione è centrata sull´Icon Filler..

Riga allarmi

Sul margine superiore dello schermo è posizionata una riga allarmi. Essa mostra l´ultimo allarme verificatosi nell´intera linea di produzione. La potete aprire per visualizzare la Lista allarmi.
Gestione:

  • Apri:
    • Un Tap sulla barra apre la AML che va a coprire la metà dello schermo.
    • Medianti gesti, la AML può essere portata alla grandezza desiderata dall´utente.
  • Chiudi:
    • Un Tap al di fuori del modello chiude l´AML aperta.
    • L´AML può essere ritrascinata verso l´alto (chiudendola) anche manualmente.

Immagine di Login

L´immagine di Login offre un login basato su gesti nello stile di Windows 8. Prima di inserire la password, dovete selezionare un utente via Tap. Poi potete avviare l´inserimento della password dell´utente selezionato via Hovering. Ad esempio:

Amministratore:

Manutenzione:

Operatore:

Inoltre c`è un pulsante di logout che disabilita l´utente registrato al momento e apre l´immagine di Login. L´immagine di Login è una finestra di dialogo modale che oscura il background.

Noch in diesem Kapitel

Schermo macchinario

VSTA Code

Informazioni fondamentali su Multi-Touch con Windows 7

FAQs


Schermo macchinario

Manuale -> Multi-Touch -> Esempio di progetto per Windows 7 -> Schermo macchinario

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo schermo macchinario mette a disposizione dell´operatore la riga allarmi con la stessa funzionalità che ha sulla pagina di partenza, ma filtrata per il macchinario.

Inoltre, c´è il concetto Workspace con finestre posizionabili liberamente, che sono salvate in un Dock quando non vengono usate. Il Workspace si estende su più schermi ai quali potete passare via gesto Swipe, navigazione Tab, oppure pulsante di navigazione. Nella parte inferiore si trova un´area di attivazione per le operazioni a due mani e un pulsante home. In alto a destra si trova una visuale gestibile per il Workspace.

Dock

Icons possono essere trascinate dal Dock sul Workspace, dove vengono poi visualizzate come Faceplate nella grandezza di base configurata. Se un Faceplate è posizionato sul Workspace , la suaIcon appare disattivata. Quando si chiude un Faceplate, la sua Icon viene di nuovo visualizzata come attiva. Tap & hold su una disattivata Icon, localizza un aperto Faceplatee passa al da esso usatoWorkspace.

Workspace

Su ognuno dei quattro Workspaces configurabili individualmente, può essere posizionato e scalato un numero qualsiasi di Faceplates personalizzati.

  • Trascinare Faceplate sul margine verticale dello schermo: Dopo un ritardo di 2 secondi, si passa al prossimo Workspace e il Faceplate può essere posizionato liberamente.
  • Spostare il Faceplate sul margine verticale dello schermo (gesto (Swipe): Il Faceplate viene portato sul prossimo Workspace, il Workspace attuale rimane aperto.
  • Chiudi/rimuovi Faceplate: trascinare Faceplate sul dock, oppure verso il basso con un gesto Swipe verso il basso.
    In alternativa, ogni Faceplate può essere chiuso usando il pulsante X che si trova nell´angolo in alto a destra dello schermo.

I Faceplates aperti, la loro posizione, grandezza ecc, vengono salvati nel profilo utente. Un Faceplate può essere ingrandito o ridotto mediante i gestiZoom/Pinch. Ogni Faceplate può essere anche spostato. Un Faceplate selezionato viene portato in primo piano tramite Z-Order-Manipulation, ma rimane sempre dietro la riga allarmi. Con il prossimo login, tutti i dati relativi alla posizione e alla grandezza dei singoli Faceplates vengono letti e questi ultimi vengono posizionati di conseguenza.

Comando a due mani

Nell´angolo in basso a sinistra si trova un´area di attivazione per le operazioni a due mani. Se si cerca di usare un elemento bloccato, quest´area di attivazione inizia a lampeggiare e l´elemento può essere sbloccato grazie ad essa.

Possibilità di gestione a due mani:

  • Pulsante: per es. Home
  • Inserimento di valore impostabile: viene aperta la keyboard e si può inserire il valore impostabile,
  • Jog operation

Una verifica della successione di attivazione (attivazione prima di azione) è configurata nel progetto demo. Nel caso di jog operation (Faceplate operation), l´attivazione attiva viene controllata continuamente.

Menù circolare

Per consentire una veloce navigazione fra i Workspaces abbiamo implementato un menù circolare. Esso viene attivato via Tap&Hold in un punto qualsiasi dei Workspace e appare intorno al dito. La selezione del workspace avviene via Draggen del dito in una delle aree. Il cambio avviene quando il dito non è più a contatto con lo schermo. L´azione può essere interrotta via Draggen al di fuori o all´interno dell´area di menù.

Pulsante Home

Nell´angolo in basso a destra si trova un pulsante Home. Usando questo pulsante si può tornare alla schermata di partenza. Il pulsante Home è attivabile solamente con gestione a due mani.


VSTA Code

Manuale -> Multi-Touch -> Esempio di progetto per Windows 7 -> VSTA Code

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Descrizione di classe

MultiTouchManagement

Handling completo di tutta l´applicazione multitouch. Quando si creano le classi MultitouchManagement-, vengono istanziate le classi LoginWindow, NaviationsWindow e WindowManagement.

LoginWindow

In questa classe sono incluse le componenti fondamentali dell´user login e della password pattern recognition.

NavigationWindow

Tratta l´immagine di posizionamento faceplate "Icon" e gestisce tutto il processo di apertura dei Faceplatesche vengono richiamati di volta in volta..

WindowManagement

È preposto alla gestione di tutti gli eventi touch di tutti i faceplate (spostare, scalare, ecc.). Questa classe si occupa, inoltre, del salvataggio e della lettura di tutte le informazioni Faceplate necessarie nel Runtime.

WindowProperties

Per ogni Faceplate viene istanziata un´istanza ad hoc, che rende disponibili tutti i dati necessari del Faceplates . Tutte le istanze vengono salvate in un file XML quando si chiude il Runtime, e possono così offrire le ultime impostazioni valide del Faceplates quando si riavvia il Runtime.


Informazioni fondamentali su Multi-Touch con Windows 7

Manuale -> Multi-Touch -> Esempio di progetto per Windows 7 -> Informazioni fondamentali su Multi-Touch con Windows 7

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Events

Se si attiva la proprietà di progetto Multi-Touch attivo, si ottengono gli eventi per TouchManipulationStartEvent, TouchManipulationDeltaEvent e TouchManipulationCompleteEvent per corrispondenti eventi handler declaration nel Runtime. Mediante il metodo SetupTouchInertia si possono definire i parametri di inerzia per ogni immagine. La seguente immagine mostra un processo schematico degli eventi generati:

In generale, un TouchManipulationStartEvent viene generato per primo. Finché si esegue il gesto, vengono generati TouchManipulationDeltaEvents e, alla fine del gesto, un TouchManipulationCompleteEvent conclusivo. Il parametro trasmesso lContacts restituisce il numero delle dita attualmente sullo schermo.

Dopo la conclusione del gesto touch, i valori di inerzia vengono calcolati dal processore di inerzia sulla base dei valori trasmessi nel metodo SetupTouchInertia e terminati via TouchManipulationDeltaEvents e i valori di inerzia calcolati con un singolo TouchManipulationCompleteEvent.

Siccome nessun dito si trova sullo schermo durante il calcolo dei valori di inerzia, il parametro lContacts ha il valore 0. Il numero di TouchManipulationDeltaEvents di cui ha bisogno il processore di inerzia, dipende dai parametri trasmessi dal metodo SetupTouchInertia . A seconda dell´inerzia, il processore di inerzia ha bisogno di più o meno eventi per concludere i gesti.

Se, mentre vengono generati gli eventi inerzia calcolati, si inizia un nuovo gesto, non vengono più TouchManipulationDeltaEvents del vecchio gesto. Dopo un TouchManipulationCompleteEvents conclusivo, gli eventi del nuovo gesto vengono avviati immediatamente mediante un TouchManipulationStartEvents.

Inoltre, anche gli eventi TouchEvent, ElementMouseOver, ElementLeftButtonDown e ElementLeftButtonUp vengono generati in concomitanza con un gesto.

Multi-Touch nativo nella visualizzazione globale.

Per effettuare lo zoom e lo scrolling tramite eventi VBA/VSTA, non deve essere attiva la proprietà Multi-Touch per Zoom e Scrolling. Se si attiva questa proprietà, zenon si occupa della realizzazione dei gesti di zoom e scroll nell´immagine globale progettata. Per ulteriori informazioni su questo tema, Vi preghiamo di consultare la sezione: Navigazione con multitouch nell´immagine globale .


FAQs

Manuale -> Multi-Touch -> Esempio di progetto per Windows 7 -> FAQs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Domande frequenti e risposte pratiche.

Nota: Le proprietà Nome f. lista oggetti e Capitolo guida possono essere usate in zenon come proprietà liberamente definibili.

Come aggiungo un nuovo Faceplate?

L´esempio di progetto consiste di 13 Faceplates che sono visualizzati come Icons nell´immagine di navigazione Navigation_Bottom. Per generare un contesto fra le singole icone e il Faceplates da aprire, dovete rispettare le convenzioni di nomenclatura. I nomi delle rispettive Icons devono corrispondere esattamente a quelli delle immagini corrispondenti e dei loro modelli. Un collegamento fra le immagini può essere realizzato solamente se questa catena (Icon- modello - immagine) viene rispettata.

Per poter aprire le rispettive immagini, naturalmente dovete progettare anche una funzione di cambio lingua. Il nome di quest´ultima consiste del prefisso "scr" e del nome del Faceplates Se questa convenzione di nomenclatura è rispettata, il completo handling viene poi assunto dal multitouch management.

Come creare un feedback se il pulsante premuto oppure l´elemento visualizzazione valore richiede una gestione a due mani?

Per assicurare la gestione a due mani, entrambi i punti di pressione devono essere resi disponibili ognuno in una propria immagine con un proprio modello. Nel nostro esempio di progetto, questa immagine si chiama Enabler.

In fase di progettazione, l´interlocking deve essere collegato a enableArea per gli elementi gestibili a due mani. Questa impostazione fa sì che un feedback sia generato automaticamente non appena Enabler (gestione a due mani) non è premuto. Si può usare questo elemento solamente se Enabler è premuto.

Come creo un pulsante jog mode?

Per creare un pulsante con funzionalità jog operation:

  • assicuratevi che il nome di questo pulsante contenga la parte "HOLD".
  • passate nelle proprietà dell´elemento al nodo Runtime
  • inserite un riferimento secondo il seguente modello nella proprietà Nome f. lista oggetti: Nome variabile|Cambio valore
    ((Un esempio lo trovate nell´immagine Faceplate_Operation nel pulsante ^^^.)

Come creo un pulsante per il cambio del Workspace?

A tal scopo potete utilizzare il simbolo predefinito Tab. La variabile demoCurrentWorkspace rappresenta il valore del Workspace attivo al momento nell´intero progetto. Le seguenti impostazioni manipolano la variabile e riaggiustano tutte le immagini aperte:

Gruppo tab_inactive::

la proprietà Capitolo guida deve contenere l´inserimento WorkspaceSwitch.

la proprietà Nome f. lista oggetti deve contenere un inserimento secondo il seguente modello: demoCurrentWorkspace|PAGE (per esempio: demoCurrentWorkspace|3)

Come creare un nuovo utente?

Nell´immagine Login, dovete disegnare sui 16 possibili quadrati un pattern specifico per l´utente da usare per il login. Non appena toccate il primo quadrato, viene avviato il procedimento di inserimento della password. Esso viene concluso non appena il dito non ha più il contatto con lo schermo. Subito dopo l'inserimento del pattern, viene verificata la password. In caso di conferma positiva, il login viene effettuato automaticamente.

Durante l´input del password-pattern, viene creata in background una password tipografica (lettere), che può venire confrontata mediante una funzione con l´utente di progetto configurato. Il primo quadrato viene interpretato come 'A', il secondo come 'B' ecc.; questi caratteri sono combinati in una password coerente attraverso un line-dependent hovering dei quadrati.

Per aggiungere un nuovo utente:

  • create un nuovo utente nella Gestione user
  • create una password personale
  • assicuratevi che l´utente possa essere selezionato nell´immagine di Login e progettate le stesse proprietà che avete previsto per il pulsante appena configurato della selezione user

Come apro il menù circolare?

Il menù circolare si apre:

  • intorno ad un dito che tocca il workspace
    e
  • non si muove per più di 800 ms

Nel menù circolare avete la possibilità di passare dal Workspaces al Workspacedesiderato semplicemente trascinando il dito (gesto drag).

Come filtrare la pull down AML?

L´AML rimane sempre aperta e il filtro relativo ai macchinari viene eseguito tramite le opzioni di filtro della funzione di cambio all´immagine AML e AML-collapsed .

Come apro un macchinario?

I macchinari vengono visualizzati tramite una successione fissa di processi, come adattamenti dei filtri, funzioni di cambio immagine, apertura di aree di navigazione relative ai macchinari, posizionamento delle Faceplates dipendenti dai macchinari, ecc. In questo esempio di progetto, la successione delle funzioni da aprire viene configurata in uno script di zenon, che viene aperto al momento dell´attivazione della Icons del macchinario nell´immagine di partenza.

Dove vengono salvate le informazioni del Faceplates ?

Grandezza, posizione, workspace, visibilità e fattore di scala vengono scritti in un file di configurazione. Esso si trova in una sottocartella della cartella %HOMEPATH%\AppData\Local\Ing._Punzenberger_COPA-DA\.


Navigazione con Multi-Touch nell´immagine globale .

Manuale -> Multi-Touch -> Navigazione con Multi-Touch nell´immagine globale .

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I gesti Multi-Touch per zoom e scrolling possono essere utilizzati su pannelli con funzione touch anche al fine di navigare all´interno dell´immagine globale. A tale scopo è necessaria un´immagine del tipo Supervisione globale. La navigazione può essere implementata con:

  • Gesti touch Windows 7
  • Gesti touch Windows 8

Regole

  • Spostare: Se un´immagine in un container non è una visualizzazione globale, essa riprende le impostazioni dell´immagine faceplate.

Muovere una visualizzazione globale o visualizzazione globale in container di un faceplate.

  • L'immagine è più grande del modello: Il contenuto dell´immagine viene mosso.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: Nessuna reazione.

Visualizzazione globale separato in faceplate.

  • L'immagine è più grande del modello: viene mosso il contenuto dell´immagine.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: Nessuna reazione.

Muovere il modello senza bordo con il mouse, quando l´immagine è una visualizzazione globale ed ha le stesse dimensioni, oppure è più piccola del modello:

  • Con il tasto destro del mouse: Nessuna reazione.
  • Con il tasto sinistro del mouse: il modello viene spostato.

Modificare la grandezza della visualizzazione globale

Si può modificare la grandezza della visualizzazione globale.
Eccezione: Se la visualizzazione globale è un faceplate, la grandezza non può essere modificata.

Clic con il tasto destro del mouse:

  • L'immagine è più grande del modello: Viene mosso il contenuto.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: Nessuna reazione.

Conversione progetto

Valori di Sposta orizzontalmente e Sposta verticalmente in caso di conversione in zenon 7.20 di un progetto realizzato con una versione precedente:

  • L'immagine è più grande del modello: Spostare.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: Nessuna reazione.

Noch in diesem Kapitel

Navigazione sotto Windows 7

Navigazione sotto Windows 8


Navigazione sotto Windows 7

Manuale -> Multi-Touch -> Navigazione con Multi-Touch nell´immagine globale . -> Navigazione sotto Windows 7

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter usare gesti Multi-Touch sotto Windows 7 allo scopo di navigare nella Visualizzazione globale, dovete:

  • o essere attivati mediante la proprietà Multi-Touch per Zoom e Scrolling
  • o essere implementati tramite VBA/VSTA

Zoom e scrolling tramite la proprietà Multi-Touch per Zoom e Scrolling

Per utilizzare Multi-Touch senza VBA/VSTA:

  1. Attivate nelle proprietà di progetto, nel nodo Interazione per la proprietà Analisi, Windows 7.
  2. Disattivate nelle proprietà dell´immagine, e in particolare nel nodo Modello la proprietà Ricava dimensioni dal modello
  3. Attivate nelle proprietà dell´immagine, e in particolare nel nodo Interazione la proprietà Multi-Touch per Zoom e Scrolling

In tal modo è possibile effettuare lo scrolling e zoomare nell´immagine usando i gesti Multi-Touch. In questo modo gli eventi VBA/VSTA per zoom e scrolling vengono disattivati.

Zoom e scrolling tramite VBA/VSTA

Per realizzare zoom e scrolling tramite eventi VBA/VSTA, non deve essere attiva la proprietà Multi-Touch per Zoom e Scrolling.

In DynPicturesono a Vostra disposizione:

  • Property

    int ZoomLevel: Indica il livello attuale dello zoom nell´immagine globale (valore valido solamente nel Runtime e solo per un´immagine globale).

  • Stile

    SetZoomAndPos(float ZoomX, float ZoomY, int ZoomLevel, int CursorX, int CursorY, int PosX, int PosY, int PosMode):

    ZoomX -> Nuovo fattore di zoom direzione-X, se non usato, settare a 0

    ZoomY -> Nuovo fattore di zoom direzione-Y, se non usato, settare a 0

    ZoomLevel -> Livello zoom, se non usato, settare a -1

    CursorX -> Posizione cursore X

    CursorY -> Posizione cursore Y

    PosX -> Nuova posizione X (vedi PosMode)

    PosY -> Nuova posizione Y (vedi PosMode))

    PosMode -> Coordinate in Pos

    -1 = PosX, PosY vengono ignorati

    0 = punto centrale, coordinate originali

    1 = punto centrale, coordinate zoomate

    2 = in alto a sinistra , coordinate originali

    3 = in alto a sinistra , coordinate zoomate

    4 = coordinate zoomate del cursore da in alto a sinistra
    La posizione della finestra viene modificata in tal modo che, dopo lo zoom, il puntatore del mouse si trova sempre sullo stesso posto dell´immagine.

Attenzione: ZoomX, ZoomY e ZoomLevel non possono essere mai utilizzati contemporaneamente. O si indica uno ZoomLevel , oppure fattori zoom per gli assi x e y.


Navigazione sotto Windows 8

Manuale -> Multi-Touch -> Navigazione con Multi-Touch nell´immagine globale . -> Navigazione sotto Windows 8

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per navigare in una Visualizzazione globale con Multi-Touch sotto Windows 8:

  1. Attivate nelle proprietà di progetto, nel nodo Interazione per la proprietà Analisi, Windows 8.
  2. Per l´immagine, disattivate nel gruppo Modello la proprietà Ricava dimensioni dal modello, e stabilite che la grandezza dell´immagine sia maggiore di quella del modello.
  3. navigate nelle proprietà dell´immagine fino a giungere al gruppo Interazione
  4. Configurate le proprietà Zoomen e Verschieben.

Per il gesto "move" (sposta), potete definire la direzione: orizzontale, verticale o entrambe. Per far ciò usate le proprietà Horizontal verschieben e Vertikal verschieben.


OPC-Server

Manuale -> OPC-Server

Il server OPC rende disponibili le variabili utilizzate nel progetto a tutti gli "OPC Client Tool" standard.

L´uso dell´ OPC UA Server si presta allo svolgimento di molte operazioni. Esso è parte del COPA-DATA Process Gateway.

tutorial Informazioni sulla licenza

È necessaria una licenza sia per l´Editor che per il Runtime.

Noch in diesem Kapitel

Confronto fra OPC Server e OPC UA Server

Background tecnico

Installazione e registrazione del server OPC

Registrazione licenza del server OPC

Configurazione in zenon

Esplorazione del server OPC

Avvio e stop del server OPC

Logging

Richiesta di lettura asincrona

Accesso REMOTE via DCOM


Confronto fra OPC Server e OPC UA Server

Manuale -> OPC-Server -> Confronto fra OPC Server e OPC UA Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´OPC UA Server ha preso il posto dell´OPC Server. Si raccomanda l´uso dell´OPC UA server per la maggior parte delle applicazioni.

OPC Server

  • OPC Task Force dal 1995
  • Interfaccia universale per i sistemi di automazione.
  • Basato sulla tecnologia COM/DCOM di Microsoft.
  • OPC foundation dal 1996
  • Diverse specifiche per differenti applicazioni.

OPC UA Server

  • First vision 2003
  • Release della prima versione nel 2006, non ancora tutte le parti.

Confronto fra OPC Server e OPC UA Server

Parametri | OPC Server | OPC UA Server
Modello di dati | Limitato | Per tutte le applicazioni
Implementazione | Dipendente dal produttore | Indipendente dal produttore
Interoperabilità | No | Sì
Configurazione | Complicata | Semplice
Uso in rete | Sconsigliato (ragioni di sicurezza); Windows CE non può essere usato. | Sì
Tecnologia di rete | DCOM (soggetta ad errori, instabile) | OPC UA TCP binary Protocol
Prestazioni | Basse | Alte
Piattaforme | Solo Windows | Indipendente
Ridondanza | No | Sì
Fabbisogno di risorse | Alte | Più basso
Service-Oriented Architecture (SOA) | No | Sì
Sicurezza | Obsoleta | Al passo con gli standard attuali
Protezione connessione | No | Garantita
Windows CE | No | Sì


Background tecnico

Manuale -> OPC-Server -> Background tecnico

OPC è concepito per l´uso a livello di campo e a livello di controllo. Il server OPC rende disponibili i dati di processo del livello di controllo.

OPC Client e OPC Server

OPC Server

OPC definisce oggetti che sono descritti mediante interfacce oggetti. Nel server OPC ci sono due tipi di interfacce oggetti che possono essere indirizzate da un client OPC:

  • COM-Custom-Interface
  • OLE-Automation-Interface

Interfacce oggetti del server OPC

L’interfaccia COM è utilizzata da linguaggi orientati a puntatori a funzioni, come C++. Tramite l´interfaccia Automation, invece, si può comunicare con linguaggi di scripting come Visual Basic.

Gerarchia degli oggetti del modello OPC

Un server OPC è costituito da tre oggetti ordinati gerarchicamente:

  • Il server
  • Gruppi e
  • Item

Un server OPC rappresenta gli oggetti reali su item (variabili). Questi item sono unici nell´ambito del server OPC. Il client organizza gli item in uno o più gruppi OPC.

Noch in diesem Kapitel

Informazioni generali sul server OPC

Indirizzamento item

Informazione gruppi

Specifiche OPC supportate


Informazioni generali sul server OPC

Manuale -> OPC-Server -> Background tecnico -> Informazioni generali sul server OPC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il server OPC:

  • è un server "Out of Prozess"
  • è eseguito in un Single Thread Apartment (STA)
  • è registrato come MULTIPLEUSE COM server.
    Ciò significa: il server è eseguito solamente una volta come istanza di processo. Più client OPC si registrano sullo stesso server.
  • Funziona solo localmente.


Indirizzamento item

Manuale -> OPC-Server -> Background tecnico -> Indirizzamento item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il server OPC deve poter distinguere da quale progetto provengono le variabili, visto che diversi progetti possono essere avviati contemporaneamente nel Runtime. Perciò il server usa la seguente nomenclatura per le variabili di processo: Nome progetto.Nome variabile

Example Esempio

Project1.ActualValue

Project1 = nome del progetto attivo al momento nel Runtime

. (punto) = separatore

ActualValue = nome variabile di una determinata variabile.


Informazione gruppi

Manuale -> OPC-Server -> Background tecnico -> Informazione gruppi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il nome del gruppo può essere scelto a piacere. Ad esempio: Test group 1.

Il ciclo di update nel gruppo non viene preso in considerazione dal server OPC , perché quest´ultimo ha una connessione dati spontanea con il Runtime. Perciò verrà trasmessa al server OPC ogni modifica di valore, e non ci sarà un´interrogazione ciclica dello stesso.

info Informazioni su

Per ogni progetto di zenon i client OPC devono creare propri gruppi.


Specifiche OPC supportate

Manuale -> OPC-Server -> Background tecnico -> Specifiche OPC supportate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

OPC Data Access Servers Version 1.0

OPC Data Access Servers Version 2.0

Interfacce OPC supportate:

Interfacce | supportata
IOPCServer | Sì
IOPCBrowseServerAddressSpace | Sì
IOPCServerPublicGroups | No
IPersistFile | Sì
IOPCCommon (da 2.0) | Sì
IOPCSyncIO | No
IOPCItemProperties (da 2.0) | Sì
IConnectionPointContainer (da 2.0) | Sì


Installazione e registrazione del server OPC

Manuale -> OPC-Server -> Installazione e registrazione del server OPC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter usare il server OPC, bisogna installare le componenti OPC Core della OPC Foundation. Su computer con un sistema operativo a 64 bit, è necessario installare sia la versione a 32 bit, che quella a 64 bit. I setup li trovate sul supporto di installazione fra i programmi addizionali. È possibile che il computer debba essere riavviato dopo l´installazione.

Per motivi di sicurezza, il server OPC non viene registrato automaticamente (di default). Dopo l´installazione, dunque, un client OPC non può ancora trovare il server OPC. Il server OPC deve essere registrato in modo esplicito.

Registrazione del server OPC:

  1. Installate le OPC-DA Core Components della OPC Foundation.
    Il setup si trova sul supporto di installazione nella cartella AdditionalSoftware.
  2. Aprite una riga di comando con diritti di amministratore (Elevated Command Prompt).
  3. Inserite il comando di registrazione con i parametri desiderati.
    Inserimenti possibili:
    • zenopcsrv.exe /RegSrv:
      Registra il server OPC. Se l´operazione non ha successo, viene visualizzato un messaggio.
    • zenopcsrv.exe /RegSrvD:
      Registra il server OPC; anche se l´operazione viene portata a termine con successo, viene visualizzato un messaggio.
    • zenopcsrv.exe /UnregSrv:
      Annulla la registrazione del server OPC. Se l´operazione non ha successo, viene visualizzato un messaggio.
    • zenopcsrv.exe /UnregSrvD:
      Annulla la registrazione del server OPC; anche se l´operazione viene portata a termine con successo, viene visualizzato un messaggio

Nel caso si siano verificati errori, verificare se disponete delle autorizzazioni necessarie a compiere questa operazione.

Nota: cambi fatti mediante lo zenon Startup Tool, oppure l´installazione di una nuova versione di zenon, non modificano in alcun modo la registrazione del server OPC.


Registrazione licenza del server OPC

Manuale -> OPC-Server -> Registrazione licenza del server OPC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il server OPC funziona solamente se se ne registra la licenza in modo corretto. In caso contrario, riceverete la seguente segnalazione di errore:

L´attivazione della licenza avviene seguendo la procedura standard. Al momento di ordinare il server OPC dovete indicare su quale computer intendete installarlo e quale numero di serie Runtime usate lì. A questo punto riceverete dal licencing office un nuovo numero di serie e un nuovo numero di attivazione per questo computer. Con essi il server OPC è pronto all´uso. Questi numeri devono essere inseriti nello zenon6.ini tramite il tool "licence order" (Start – Programmi – COPA-DATA – Licence order).


Configurazione in zenon

Manuale -> OPC-Server -> Configurazione in zenon

Perché il server OPC possa ricevere dati dal Runtime, VBA deve essere attivato. Assicuratevi che le seguenti impostazioni nello zenon6.ini siano settate nel modo corretto:

[VBA]

EVENT=1 (Attiva o disattiva il meccanismo event per l´interfaccia VBA – COM).

Default =0

Questa impostazione deve essere settata su EVENT=1.

attention Attenzione

Se il meccanismo event è disattivato nel Runtime, tramite il server OPC avrete un accesso di sola scrittura alla variabile, mentre la lettura non funzionerà!
In questo caso il server OPC non riceverà nessun evento DataChange dal Runtime. Tutti i client OPC collegati visualizzeranno la segnalazione "disturbed" per quello che riguarda la qualità della connessione!

Altrimenti non ci sono ulteriori impostazioni da effettuare in zenon.

Il server OPC legge i dati del Runtime attuale e rende disponibili tutte le variabili di tutti i progetti attivi per la connessione.

info Informazioni su

Non appena viene avviato il Runtime, potete leggere tutte le variabili di tutti i progetti disponibili nel Runtime stesso. Ciò indipendentemente dal fatto se i progetti contenuti siano del tipo standalone, progetti client o server.


Esplorazione del server OPC

Manuale -> OPC-Server -> Esplorazione del server OPC

I client OPC usano due metodi differenti per riconoscere il server OPC e per esplorare le sue informazioni di variabili. Il riconoscimento del server OPC installato sul PC può avvenire in due modi.

  • Lettura del registro di sistema.
  • Esplorazione mediante il programma addizionale OPCEnum.exe

Il programma addizionale OPCEnum non viene fornito automaticamente. Può dunque succedere che un client OPC non sia in grado di trovare il server OPC, perché usa questo metodo di esplorazione. Consultate la documentazione del client OPC per scoprire se il metodo di esplorazione può essere modificato in modo tale da consentire la lettura del registry. (Nel caso di Matrikon OPC Explorer, dovete cercare sotto la voce Opzioni). Se non dovesse esserci questa opportunità, non vi resta altro che installare il programma OPCEnum.

Suggerimento: Se installate il Matrikon OPC Simulator Server (disponibile per il download gratuito), verrà installato anche OPCEnum.

info Informazioni su

Il server OPC rende disponibili all´esplorazione tutte le variabile esistenti nel Runtime attualmente in esecuzione. Dovete dunque assicurarvi che il Runtime sia attivo prima di avviare l´esplorazione delle variabili.


Avvio e stop del server OPC

Manuale -> OPC-Server -> Avvio e stop del server OPC

Il server OPC viene avviato automaticamente dal primo client che si collega al esso; viene terminato quando l´ultimo client interrompe la connessione.


Logging

Manuale -> OPC-Server -> Logging

Per il monitoraggio e l´analisi delle attività dello zenon OPC Server si usa il Diagnose Viewer.


Richiesta di lettura asincrona

Manuale -> OPC-Server -> Richiesta di lettura asincrona

La OPC interface IAsyncIO e la OPC interface IAsyncIO2 supportano richieste multiple di lettura asincrona.


Accesso REMOTE via DCOM

Manuale -> OPC-Server -> Accesso REMOTE via DCOM

Grazie alla tecnologia DCOM, da un client OPC si può avere accesso di lettura e/o scrittura allo zenon OPC server tramite la rete.

attention Attenzione

Il server OPC è ottimizzato per l´uso locale; se ne sconsiglia espressamente l´uso in rete!
Background: la comunicazione di rete OPC utilizza la tecnologia DCOM di Microsoft, che si è rivelata instabile e soggetta ad errori. Inconvenienti, quali disconnessioni (che si verificano quando, per es. si scollega il cavo di rete) e periodi di time-out molto lunghi, sono causa di gravi problemi nell´ambito delle applicazioni industriali.

Soluzione consigliata:

  • Uso di un server OPC_UA
    , oppure
  • Un Runtime di zenon viene installato sul computer su cui è eseguito l´OPC client e funge da client per i progetti desiderati. Per questo client viene avviato lo zenon OPC Server. In questo modo si può ottenere una connessione locale fra zenon OPC Server e OPC Client.

attention Attenzione

Assicuratevi che sia sempre l´utente dell´applicazione OPC Client a registrarsi sul server. In determinati casi, non si deve trattare necessariamente dell´utente loggato sul PC Client.
Per esempio, se l´applicazione viene avviata da un altro utente. Ciò accade, ad esempio, quando il Runtime (con un OPC Client driver che si connette al remote OPC Server) viene avviato mediante trasporto remoto. In questo caso, il client OPC è eseguito nel contesto del SYSTEM user locale e in quello dell´utente loggato.
In ogni caso, però, dovete inserire l´utente corretto sul PC su cui è attivo l´OPC Server, per la precisione nelle Autorizzazioni d´accesso!!

Noch in diesem Kapitel

Windows Firewall

Autorizzazione generale

Configurazione DCOM

Browsing remoto del server OPC


Windows Firewall

Manuale -> OPC-Server -> Accesso REMOTE via DCOM -> Windows Firewall

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Di default, il firewall di Windows blocca tutte le connessioni in entrata. Ciò significa che anche i tentativi di connessione del client OPC al server OPC vengono bloccati. Per questo motivo dovete disattivare completamente il firewall, oppure configurarlo in modo corretto.

Dato che, al momento della redazione di questo tutorial, la descrizione della corretta configurazione non era ancora disponibile, vi consigliamo al momento di disattivare completamente il Windows firewall.


Autorizzazione generale

Manuale -> OPC-Server -> Accesso REMOTE via DCOM -> Autorizzazione generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´utente - nel cui contesto è eseguito il client OPC - deve disporre dei diritti amministratore sul PC server; solo in questo caso il client OPC potrà effettuare il login sul PC con il server OPC e ottenere in quella sede i diritti necessari ad avviare e configurare il server OPC stesso.

A tal scopo, aprite il pannello di controllo sul PC su cui è installato il server OPC e cliccate sulla voce “User accounts". Con il comando 'Add…' (Aggiungi) inserite l´utente con cui il client OPC effettua il login e aggiungetelo al gruppo degli amministratori. Vedi l´esempio 'user' nel seguente screenshot.

info Informazioni su

La cosa migliore è usare lo stesso utente Windows sia sul server OPC che sul client OPC e aggiungerlo al gruppo amministratori.
Attenzione! Non è sufficiente creare su entrambi i computer un utente locale con lo stesso nome. Deve essere lo stesso utente di dominio!


Configurazione DCOM

Manuale -> OPC-Server -> Accesso REMOTE via DCOM -> Configurazione DCOM

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dovete effettuarla solamente sul PC che funge da server OPC. Sul PC client non dovrebbe essere necessario effettuare nessuna impostazione.

Noch in diesem Kapitel

PC wide settings

Impostazioni specifiche dell'applicazione


PC wide settings

Manuale -> OPC-Server -> Accesso REMOTE via DCOM -> Configurazione DCOM -> PC wide settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lanciate il programma DCOMCNFG dalla directory Windows\\System32.

Aprite la radice console e passate a Servizi componenti - Computer - Workspace.

Nel menù contestuale del workspace selezionate Proprietà

Apparirà una finestra di dialogo, nella quale - normalmente - non si deve modificare nulla nelle schede “Generali”, “Opzioni”, “Protocolli standard" e “MSDTC”.

Aprite la scheda "Default Properties" (Impostazioni standard). Dovete assicurarvi che qui l´opzione DCOM sia attivata per questo computer. Le altre impostazioni non sono rilevanti.

Sono state testate le seguenti impostazioni:

  • Activate COM internet service - non attiva
  • Standard authentication level - connetti
  • Standard identity change level - identifica
  • Additional security for allocation logging - non attiva

Nella scheda “COM standard security” troverete le impostazioni concernenti le autorizzazioni di accesso.

attention Attenzione

Le impostazioni "Edit limits..." per le autorizzazioni di accesso, nonché quelle relative all´autorizzazione di avvio e di attivazione, devono essere definite in ogni caso; in caso contrario il sistema operativo impedirà l´accesso remoto!

I limiti riguardanti le autorizzazioni di accesso, nonché quelli delle autorizzazioni di start e di attivazione, devono essere editati.

Noch in diesem Kapitel

Impostazione dell´autorizzazione d´accesso

Impostazione dell´autorizzazione start


Impostazione dell´autorizzazione d´accesso

Manuale -> OPC-Server -> Accesso REMOTE via DCOM -> Configurazione DCOM -> PC wide settings -> Impostazione dell´autorizzazione d´accesso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccate su "Edit limits…" Verrà visualizzata una finestra di dialogo, in cui potete procedere a definire le autorizzazioni d´accesso. Prima di tutto inserite gli utenti necessari (nel nostro esempio "Praktikant") e consentite l´accesso remoto! Dovete assolutamente consentire l´accesso remoto anche all´utente “ANONYMOUS-ANMELDUNG”.

attention Attenzione

Non cancellate mai l´utente “ANONYMOUS-ANMELDUNG”, e non negate mai l´accesso locale!
Così facendo, infatti, rendereste impossibile ogni traffico dati COM sul vostro PC!

info Informazioni su

Non cancellate mai l´utente “ANONYMOUS-ANMELDUNG”, e non negate mai l´accesso locale!
Così facendo, infatti, rendereste impossibile ogni traffico dati COM sul vostro PC! Adesso dovete configurare correttamente l´utente “ANONYMOUS-ANMELDUNG”. Per tutte le altre impostazioni è sufficiente l´utente con cui il client OPC effettua il login.


Impostazione dell´autorizzazione start

Manuale -> OPC-Server -> Accesso REMOTE via DCOM -> Configurazione DCOM -> PC wide settings -> Impostazione dell´autorizzazione start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Come nel caso dell´autorizzazione d´accesso, dovete aggiungere l´utente/gli utenti OPC client ed attivare per tutte le autorizzazioni l´opzione "Allow".


Impostazioni specifiche dell'applicazione

Manuale -> OPC-Server -> Accesso REMOTE via DCOM -> Configurazione DCOM -> Impostazioni specifiche dell'applicazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le impostazioni specifiche per la sicurezza dovrebbero essere configurate direttamente nell´applicazione, e non nelle impostazioni standard del workspace.

Lanciate il programma DCOMCNFG dalla directory Windows\\System32.

Aprite la radice console e passate a Servizi componenti - Computer - Workspace - Configurazione DCOM . Può essere che nella lista compaiano dei programmi non registrati in modo corretto. Confermate le MessageBox che verrano visualizzate cliccando su “Sì“. Così i programmi verranno aggiunti al registro di sistema.

Cercate il server OPC nella lista e cliccateci sopra con il tasto destro del mouse. Nel menù contestuale, selezionate le proprietà.

info Informazioni su

Il server OPC è indipendente dalla versione di zenon. Perciò il nome del server OPC può differire dal numero della versione del sistema di controllo da voi installato. Normalmente verrà visualizzato il nome del server OPC per la versione 5.21. Non preoccupatevi! Questo non ha alcun effetto sulla funzionalità. L´unica cosa importante è un univoco ID applicazione (AppID). Esso deve essere corretto. L´AppID dell´OPC server è: {CA2AF1F9-C031-42B7-8BF3-6C6041B23EAC}
Verificate che il percorso guidi all´OPC server corretto. Troverete il percorso del server OPC registrato sotto "Percorso locale".

Si apre una finestra di dialogo nella quale dovrete effettuare le seguenti impostazioni:

Nella scheda "General": Authentification level: Connect (Connetti)

Nella scheda "Execution place": Execute application on this computer (Esegui applicazione su questo computer)

Nella scheda "Security":

Launch und Activation Permissions (Autorizzazione start e attivazione) | Selezionate "Customize" (Personalizza). Cliccando su “Edit…” , aprite la finestra di dialogo per impostare l´autorizzazione. Aggiungete gli utenti necessari e attribuitegli tutte le autorizzazioni.
Access authorization (Autorizzazione d´accesso) | Selezionate "Customize" (Personalizza). Cliccando su “Edit…” , aprite la finestra di dialogo per impostare l´autorizzazione. Aggiungete gli utenti necessari e attribuitegli tutte le autorizzazioni di accesso.
Configuration authorization (Autorizzazione di configurazione) | Selezionate "Customize" (Personalizza). Cliccando su “Edit…” , aprite la finestra di dialogo per impostare l´autorizzazione. Aggiungete gli utenti necessari e attribuitegli le autorizzazioni di configurazione "full access" (Accesso completo) e "reading" (Lettura).

Nella scheda "End points": Cliccate su "Add..." (Aggiungi) e aggiungete "connection oriented TCP/IP" (TCP/IP orientato alle connessioni) con i punti standard.

Nella scheda "Identity": Selezionate Interactive user”


Browsing remoto del server OPC

Manuale -> OPC-Server -> Accesso REMOTE via DCOM -> Browsing remoto del server OPC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Come già descritto nella sezione dedicata all´esplorazione del server OPC, ci sono due metodi con cui un client OPC può trovare ed effettuare il browsing di un server OPC. Anche nel caso del browsing remoto, il client OPC può usare entrambe le procedure.

Noch in diesem Kapitel

Browsing mediante Registry entry

Browsing mediante OPC Enum


Browsing mediante Registry entry

Manuale -> OPC-Server -> Accesso REMOTE via DCOM -> Browsing remoto del server OPC -> Browsing mediante Registry entry

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il client OPC deve supportare il browsing via Registry e deve essere configurato in modo corrispondente. Inoltre, deve essere possibile accedere al registry del server remoto.


Browsing mediante OPC Enum

Manuale -> OPC-Server -> Accesso REMOTE via DCOM -> Browsing remoto del server OPC -> Browsing mediante OPC Enum

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il programma OPCEnum.exe deve essere installato sul PC con il server OPC (non è fornito automaticamente). Il programma OPC Enum (come il server OPC) deve essere configurato in modo corretto nella configurazione DCOM. (Attribuite al client OPC remoto l´autorizzazione d´accesso . Definite le impostazioni in modo analogo a quanto avete fatto per il server OPC). In caso contrario il client OPC non potrà stabilire una connessione DCOM con il programma OPC Enum e, di conseguenza, il browsing non sarà possibile.


PLC Diagnosis

Manuale -> PLC Diagnosis

Con lo strumento "PLC Diagnosis", i dettagli programma di un PLC possono essere visualizzati direttamente in un'immagine. A seconda del PLC, sono a disposizione diverse funzionalità. Al momento esistono: l´analisi delle catene sequenziali Simatic Graph 7 per la visualizzazione di informazioni relative a catene sequenziali di PLC S7; ed il zenon Logic Monitoring Viewer per la visualizzazione di tutti i programmi che vengono eseguiti nel zenon Logic Runtime (Soft SPS).

I passi attivi al momento nel PLC vengono visualizzati graficamente durante il Runtime. Le informazioni di allarme possono essere trasferite e visualizzate direttamente nella Lista di informazione allarmi.

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza. Disponibile come modulo con licenza obbligatoria per zenon Operator e sotto Windows CE.

Noch in diesem Kapitel

S7-Graph

zenon Logic Monitoring Viewer


S7-Graph

Manuale -> PLC Diagnosis -> S7-Graph

In zenon avete la possibilità di creare un´immagine del tipo S7-Graph In quest´immagine potete visualizzare le seguenti informazioni relative ad un PLC S7 con programmazione S7-Graph: la catena sequenziale, il passo attivo, il nome della catena sequenziale, il numero della stessa ecc.

Noch in diesem Kapitel

Cambio da ActiveX CD_Graph7Diag.ocx all´immagine del tipo S7-Graph

Requisiti per l'import automatico

Importa dati dal progetto S7-Graph

Immagine del tipo S7-Graph

Filtro per cambio immagine

Funzione "Valutazione euristica S7-Graph"

Descrizione analisi degli operandi


Cambio da ActiveX CD_Graph7Diag.ocx all´immagine del tipo S7-Graph

Manuale -> PLC Diagnosis -> S7-Graph -> Cambio da ActiveX CD_Graph7Diag.ocx all´immagine del tipo S7-Graph

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzionalità di ActiveX CD_Graph7Diag.ocx è stata sostituita dall´immagine del tipo S7-Graph e dalla funzione Euristica S7-Graph. Per passare da ActiveX all´immagine e alla funzione, oppure per visualizzare S7-Graph in zenon, effettuate i seguenti passi:

  1. Se non lo avete già fatto, eseguite l´import di S7-Graph in modo tale che vengano creati i necessari file e variabili.
  2. Create un´immagine del tipo S7-Graph.
  3. Create una funzione di "Cambio immagine" per aprire l´immagine del tipo S7-Graph. Nel dialogo di filtro che si aprirà, inserite le corrispondenti variabili e file (vedi Filtro per cambio immagine).
  4. Se avete bisogno dell´euristica, create la funzione "Valutazione euristica S7-Graph" e inserite anche in questa sede i corrispondenti file e variabili (vedi Funzione Valutazione euristica S7-Graph).

Cambi rispetto ad ActiveX

  • I pulsanti KOP e FUP sono adesso elementi di controllo autonomi.
  • L´euristica è slegata dalla rappresentazione vera e propria; perciò si ha bisogno di una propria funzione.
  • I pulsanti "Successivo" e "Precedente" consentono adesso una navigazione step-by-step nella visione dettagliata dei passi.


Requisiti per l'import automatico

Manuale -> PLC Diagnosis -> S7-Graph -> Requisiti per l'import automatico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sebbene l'import avvenga per lo più in modo automatico, si devono comunque effettuare alcune impostazioni preparatorie nel progetto S7-Graph per far sì che sia possibile importare dei comandi sequenziali in zenon. Devono essere soddisfatti i seguenti presupposti:

1. Impostazioni dei blocchi dati

Dovete assicurarvi che la configurazione dei blocchi dati sia corretta.

Effettuate le seguenti impostazioni nella scheda Salva e compila:

Parametri | Inserimento
Parametri FB | Definito dall´utente
Descrizione interfaccia | Strutture separate / carica in PLC
Esecuzione | Necessario "Con FC standard"
Proprietà delle catene | Dati di analisi criteri in DB

Effettuate la seguente impostazione alla voce Messaggi:

Parametri | Inserimento
Trattamento messaggi | Collega con ALARM_SQ / ALARM_S

2. Generare sorgenti

Per ogni catena sequenziale da importare deve essere creata una sorgente attuale. Ciò avviene nell'editor Graph7 mediante il comando File -> Genera sorgente. Bisogna fare attenzione che il nome della sorgente corrisponda al nome FB della catena sequenziale. Per una catena sequenziale nel blocco funzione 12, quindi, la denominazione della sorgente deve essere FB12 (oppure fb12).

3. Numero del blocco dati di istanza

Per consentire l'assegnazione di un FB della catena sequenziale al corrispondente DB di istanza (blocco dati di istanza), non si deve modificare l'impostazione standard (Numero DB = numero FB).


Importa dati dal progetto S7-Graph

Manuale -> PLC Diagnosis -> S7-Graph -> Importa dati dal progetto S7-Graph

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccate con il tasto destro del mouse sull´inserimento Variabili del Manager di progetto. Nel menù contestuale che comparirà, selezionate la voce Import/Export esteso e poi Importa da progetto S7-Graph.... Se avete già selezionato il nodo Variabili nella struttura ad albero del manager di progetto, potete aprire questo menù contestuale anche cliccando con il tasto destro del mouse nella visualizzazione dettagli del manager di progetto.

Nella finestra di dialogo che si aprirà, selezionate il driver utilizzato per la comunicazione con il PLC; poi confermate la selezione cliccando su OK.

attention Attenzione

Prima di effettuare l´import, tutto deve essere stato compilato in Step 7 o PC S7; solo così tutti gli oggetti potranno essere ripresi in zenon.

Importazione S7-Graph

info Informazioni su

Le impostazioni che effettuate in questo dialogo, vengono salvate. Quando riaprirete il dialogo, quindi, verranno visualizzate le vostre ultime impostazioni.

Potete impostare i seguenti parametri:

Parametri | Descrizione
Scelta progetto |
File di progetto S7 | Selezionate il file progetto desiderato (*.s7p).
Driver di destinazione | In questo campo verrà visualizzato il driver che avete selezionato in precedenza. Non avete la possibilità di modificare questa impostazione in questa finestra di dialogo.
Creazione elementi per S7-Graph |
Blocco dati | Crea variabili di tipo USINT che rappresentano il blocco dati di istanza della catena sequenziale. Tutte le informazioni di stato sono comunicate tramite questa variabile.
Variabile di messaggio | Crea una variabile interna del tipo STRING, che mostra il testo di stato dell´euristica.
Matrice di reazione | Crea una matrice di reazione di tipo numerico. La matrice di reazione serve al collegamento con le variabili Allarme-S. In tal modo, essa provoca l´attivazione di un allarme in zenon. L´importazione di allarmi per S7-Graph avviene tramite il PDIAG Import Wizard.
Allarmi con obbligo di ripristino | Se attivate questa checkbox, tutti gli allarmi creati tramite la matrice di reazione sono con obbligo di ripristino.
Definizione nomenclatura variabili |
Separatore | Qui stabilite quale segno sarà inserito fra la nomenclatura e il nome della catena sequenziale.
Nomenclatura interna | Usa la nomenclatura interna per gli oggetti creati. Esempio: S0 (per indirizzo di rete = 0)
Nomenclatura WinCC | Usa la nomenclatura WinCC per gli oggetti creati. Esempio: Programma S7
Combinato | Usa per i nomi degli oggetti creati sia la nomenclatura interna che quella di WinCC. Un punto è usato da separatore.

Confermate la finestra di dialogo cliccando su Esegui.

Nella finestra di dialogo successiva, selezionate le stazioni desiderate (CPU). Questa finestra di dialogo supporta anche una selezione multipla. Potete selezionare contemporaneamente più catene sequenziali tenendo premuto durante la selezione il tasto Ctrl, oppure quello shift. In questa finestra potete settarel´indirizzo di rete. Confermate la finestra di dialogo cliccando su OK. Verrà eseguita un´analisi del progetto S7. Il tempo richiesto da quest´operazione dipende dalle dimensioni del progetto stesso.

Nella finestra di dialogo successiva selezionate le catene sequenziali che volete importare. Questa finestra di dialogo supporta anche una selezione multipla. Potete selezionare contemporaneamente più catene sequenziali tenendo premuto durante la selezione il tasto Ctrl, oppure quello shift. Se per una catena sequenziale non è stato possibile trovare una sorgente, nel campo Commento apparirà l´inserimento !! Sorgente mancante !!. Queste catene sequenziali non potranno essere importate. Confermate la finestra di dialogo cliccando su OK. Adesso viene eseguito l´import e vengono creati gli oggetti corrispondenti in zenon. Vengono importati anche la sorgente della catena sequenziale (*.gr7) ed i suoi simboli (*.seq). Vengono salvati nell´Editor di zenon alla voce File -> Altri -> S7-Graph.

Noch in diesem Kapitel

Cambio lingua


Cambio lingua

Manuale -> PLC Diagnosis -> S7-Graph -> Importa dati dal progetto S7-Graph -> Cambio lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In fase di progettazione si può stabilire che i testi della catena sequenziale S7 siano traducibili. Di regola, in zenon i testi traducibili sono contrassegnati da un @ che li precede. Nel SIMATIC-Manager, tuttavia, non è possibile creare parole chiave anteponendole il segno @. Perciò il cambio lingua avviene mediante un confronto tra testi:

  1. Nella tabella lingua gli elementi corrispondenti vengono inseriti senza @.
  2. Vengono esplorati tutti i campi dinamici dell´immagine alla ricerca di una traduzione per:
    • Informazioni: Nome della sequenza concatenata attiva
    • Informazioni: Nome del passo attivo
    • tutti i testi della Visualizzazione grafica: Passi attivi
    • tutti i testi della Visualizzazione grafica: Catena intera
    • tutti i testi di Informazioni: Tabella simboli
  3. Ai campi statici si deve anteporre il prefisso @ e si deve creare un inserimento nella tabella lingua per:
    • Step back
    • Sequenza successiva
    • Scambio KOP/FUP

La visualizzazione dei testi di passi e transizioni, nonché di quelli nella tabella simboli, avviene in modo automatico, sempreché esistano gli inserimenti corrispondenti nei file .GR7 oppure in quelli .SEQ.

I dettagli concernenti il cambio lingua li trovate nella capitolo Cambio lingua della guida.


Immagine del tipo S7-Graph

Manuale -> PLC Diagnosis -> S7-Graph -> Immagine del tipo S7-Graph

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine del tipo S7-Graph sostituisce la funzionalità dell'ActiveX CD_Graph7Diag.ocx.

Creare un'immagine del tipo S7-Graph

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Nella proprietà Tipo di immagine selezionate S7-Graph.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Parametri | Descrizione
Inserisci template.. | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Finestra | Elementi per la visualizzazione grafica.
Sequenza attiva | Visualizzazione del passo o dei passi attivi della catena sequenziale progettata.
Intera catena (non di default) | Visione generale di una catena sequenziale. Rappresenta tutte le sequenze progettate. Si gestisce usando i pulsanti SFC successivo e SFC precedente.
Tabella simboli | Mostra in due colonne rispettivamente l´indirizzo e il nome simbolo corrispondente.
Informazione | Elementi a scopo informativo.
Nome della sequenza concatenata attiva | Visualizza il nome della catena sequenziale attiva.
Nome della sequenza attiva | Visualizza il nome del passo attivo.
Numero delle sequenze attive | Visualizza il numero del passo attivo.
Hardware | Elementi di gestione.
Scambio KOP/FUP | Usando questo pulsante potete passare dal tipo di visualizzazione KOP a quello FUP e viceversa.
Sequenza successiva (non di default) | Passa nel Runtime al passo successivo.
Sequenza precedente (non di default) | Passa nel Runtime al passo precedente.
SFC successivo (non di default) | Nel Runtime, passa alla sequenza successiva nella visuale del tipo Intera catena, sempreché ci siano più sequenze nel blocco funzionale.
SFC precedente (non di default) | Nel Runtime, passa alla sequenza precedente nella visuale del tipo Intera catena, sempreché ci siano più sequenze nel blocco funzionale.


Filtro per cambio immagine

Manuale -> PLC Diagnosis -> S7-Graph -> Filtro per cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se usate la funzione "Cambio immagine" per aprire un´immagine del tipo S7-Graph, verrà visualizzato il seguente dialogo.

Parametri | Descrizione
S7-Graph File |
Sorgente S7-Graph | Selezionate il file (*.gr7) generato dall´import S7-Graph. In questo file è contenuta tutta la logica (passi, transizioni, controlli ecc) della catena sequenziale.
Posizione mappa simboli | Selezionate il file (*.seq) generato con dall´import S7-Graph. Questo file contiene l´assegnazione di operandi assoluti (cioè indirizzi fisici) a operandi simbolici oppure simboli (cioè identificatore logici). Per esempio: Ingresso "E 1.0 = Pulsante 1"
Variabile |
Variabile Istanza-DB. | Variabile di zenon che rappresenta l´istanza blocco dati della catena sequenziale. Tutte le informazioni di stato vengono comunicate tramite questa variabile.
Visualizzazione |
Rappresentazione | Scegliete la modalità di rappresentazione desiderata: Ladder diagram (KOP) o Function plan(FUP). Se configurate nella vostra immagine il pulsante Scambio KOP/FUP, potete passare da una modalità all´altra durante il Runtime.
Larghezza linea [Pixel] | Definite lo spessore in pixel delle linee di collegamento fra gli elementi.
Carattere | Selezionate il carattere desiderato per tutti i testi nell´immagine del tipo S7-Graph fra quelli contenuti nel menù a tendina.
Colori | Definite i colori per gli stati "Basso livello" e "Alto livello" nonché per i "Simboli". Cliccate sul rettangolo colorato corrispondente per modificare il colore.


Funzione "Valutazione euristica S7-Graph"

Manuale -> PLC Diagnosis -> S7-Graph -> Funzione "Valutazione euristica S7-Graph"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione vi permette di eseguire un´analisi euristica S7-Graph senza che l´immagine del tipo S7-Graph debba essere attiva. Così, per esempio, il sistema può eseguire un´analisi anche in caso di un messaggio di errore S7-PDiag via una variabile d´allarme S. L´euristica analizza il passo momentaneamente interessato da un problema, al fine di determinarne la causa.

La funzione ha le seguenti proprietà:

Parametri | Descrizione
S7-Graph File |
Sorgente S7-Graph | Selezionate il file (*.gr7) generato dall´import di S7-Graph. In questo file è contenuta tutta la logica (passi, transizioni, controlli ecc) della catena sequenziale.
Posizione mappa simboli | Selezionate il file (*.seq) generato dall´import di S7-Graph. Questo file contiene l´assegnazione di operandi assoluti (cioè indirizzi fisici) a operandi simbolici oppure simboli (cioè identificatore logici). Per esempio: Ingresso "E 1.0 = Pulsante 1"
Variabili |
Variabile Istanza-DB. | Variabile di zenon che rappresenta l´istanza blocco dati della catena sequenziale. Tutte le informazioni di stato vengono comunicate tramite questa variabile.
Variabile di segnalazione | Variabile interna di tipo STRING, che mostra il testo di stato dell´euristica.


Descrizione analisi degli operandi

Manuale -> PLC Diagnosis -> S7-Graph -> Descrizione analisi degli operandi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter individuare rapidamente quale passo è disturbato e quale operando nelle transizioni ne è responsabile, la variabile informativa verrà valorizzata con un messaggio indicativo. Esso viene generato nelle seguenti fasi:

Noch in diesem Kapitel

1. 1. Ricerca del passo disturbato

2. Selezione della transizione modificata

3. 3 Trova gli operandi mancanti


1. 1. Ricerca del passo disturbato

Manuale -> PLC Diagnosis -> S7-Graph -> Descrizione analisi degli operandi -> 1. 1. Ricerca del passo disturbato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se la variabile di allarme inviata è di tipo UDINT, questa conterrà il numero del passaggio disturbato in caso di errore. Questo numero potrà servire per ulteriori analisi. Se viene inviata solamente una variabile BOOL, verrà utilizzato il primo passo attivo che al momento risulta disturbato.


2. Selezione della transizione modificata

Manuale -> PLC Diagnosis -> S7-Graph -> Descrizione analisi degli operandi -> 2. Selezione della transizione modificata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se nel passo disturbato sono presenti più transizioni ai passi successivi, verrà valutata solamente la transizione con numero di transizione minore.


3. 3 Trova gli operandi mancanti

Manuale -> PLC Diagnosis -> S7-Graph -> Descrizione analisi degli operandi -> 3. 3 Trova gli operandi mancanti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La possibile causa di disturbo individuata nel modo sopra descritto, viene visualizzata nella variabile di segnalazione. Il contenuto di questa variabile viene attualizzato quando eseguite la funzione "Valutazione euristica S7-Graph".

Per trovare gli operandi mancanti nella transizione definita, viene analizzato "l'albero delle condizioni" in modo gerarchico. Ciò può essere illustrato nel modo più semplice nella visualizzazione FUP (vedi esempio sottostante). Quando viene trovato un operando, sono possibili i seguenti diversi casi:

AND

Si seguono tutti i percorsi non soddisfatti al momento dell´analisi (nell'immagine sono di color rosso).

OR

Per ogni percorso si calcola il grado di soddisfazione, cioè il rapporto di input soddisfatti in relazione al numero complessivo degli input in entrata. Poi si segue solo quel percorso che vanta il più elevato grado di soddisfazione. Nel caso ci siano più percorsi con lo stesso livello di soddisfazione, viene usato il primo.

Con questo procedimento sistematico si trova una numero più piccola, ma tuttavia significativa, di operandi che può essere importante per il passaggio al passo successivo.

Nell'esempio seguente, l´algoritmo troverebbe solo l'operando M102.2, visto che esso rappresenta la quantità minore possibile di operandi necessaria per commutare la transizione da disturbata a non disturbata.


zenon Logic Monitoring Viewer

Manuale -> PLC Diagnosis -> zenon Logic Monitoring Viewer

info Informazioni su

Questo tool visualizza e analizza programmi zenon Logic. Con il Monitoring Viewer, i processi nel Runtime di zenon Logic possono essere visualizzati direttamente nell´immagine di zenon.

Noch in diesem Kapitel

Requisiti

Integrazione di ActiveX in un´immagine zenon

Rappresentazione dell'ActiveX nell'immagine di zenon nel Runtime.


Requisiti

Manuale -> PLC Diagnosis -> zenon Logic Monitoring Viewer -> Requisiti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6.20 SP3 di zenon, l'ActiveX X5Monitoring.ocx (che esegue la rappresentazione di programma zenon Logic) viene installato nella cartella di programma di zenon e registrato nel sistema operativo. In precedenti versioni di zenon l´installazione e la registrazione devono essere effettuate manualmente.

Questo programma è disponibile al momento solo per la versione PC di zenon.

Per poter usare il Monitoring Viewer di zenon Logic è necessaria una licenza per PLC Diagnosis.

Il wizard zenon Logic Monitoring Builder deve essere eseguito nel workbench di zenon Logic prima che lo zenon Logic Monitoring Viewer possa visualizzare l´attuale codice di programma, Il wizard si lancia nel workbench di zenon Logic, alla voce Tools > crea applicazione Monitoring... viene aperto il Wizard.

Bisogna disporre di una licenza per questo wizard.

Diverse proprietà possono essere modificate nel wizard. Per es. può essere definita l'autorizzazione all'osservazione di programmi e a forzare dei valori di variabili (completamente bloccato, protetto da password, aperto).

Il Wizard crea un file <ProjektName>.K5m e lo salva nella cartella di progetto di zenon.


Integrazione di ActiveX in un´immagine zenon

Manuale -> PLC Diagnosis -> zenon Logic Monitoring Viewer -> Integrazione di ActiveX in un´immagine zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell'Editor di zenon selezionate l'elemento dinamico ActiveX e, con l´aiuto del mouse, disegnatelo nell´immagine di zenon con la dimensione che desiderate. Si aprirà la finestra di dialogo per la selezione di un 'ActiveX Control. Selezionate X5Monitoring Control e cliccate sul pulsante "Proprietà ...."

Nella seguente finestra di dialogo indicate il percorso del file che è stato creato con il Monitoring Builder ed impostate i parametri di comunicazione:

info Informazioni su

Se non sono stati modificati dei percorsi mentre il Monitoring Builder Wizard era in esecuzione, il file Monitoring si trova nel percorso SQL del progetto di zenon. Trovate il GUID (per es. andando a vedere nelle proprietà del progetto zenon Logic in zenon) ed cercate il file *.K5m. Lo trovate normalmente nel percorso standard.

C:\ProgramData\COPA-DATA\SQL\<GIUID>/FILES/straton/<zenon Logic Projekt Name>/<zenon Logic Projekt Name.K5m>.

info Informazioni su

Nelle "Connection settings" usate solo indirizzi IP e non nomi calcolatori! Se 'applicazione zenon Logic è in esecuzione sullo stesso calcolatore di zenon, inserite 127.0.0.1 come indirizzo di local host.

Separato da due punti (:), inserite la Runtime port del Runtime di zenon Logic dopo l´indirizzo IP. Per lo più esso è 1200.


Rappresentazione dell'ActiveX nell'immagine di zenon nel Runtime.

Manuale -> PLC Diagnosis -> zenon Logic Monitoring Viewer -> Rappresentazione dell'ActiveX nell'immagine di zenon nel Runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Confermate entrambe le finestre di dialogo cliccando su “OK“. Dopo la generazione dei file Runtime di zenon e l'avvio del Runtime di zenon e zenon Logic, il codice PLC verrà visualizzato nella corrispondente immagine di zenon:

A seconda delle autorizzazioni impostate nel Monitoring Builder Wizard, possono essere osservati programmi oppure possono essere forzati.valori


Process Gateway

Manuale -> Process Gateway

The Process Gateway serves as a coupling to higher-level systems. Parts of the zenon process image of other applications can be made available and be updated.

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.

info Informazioni su

The Process Gateway user interface is only available in English.

Noch in diesem Kapitel

General

Requirements

Installation

DEC

DNP3 slave

ICCP-TASE.2

IEC870 Slave

MODBUS Slave

MS Azure

OPC UA Server

SNMP agent

SQL


General

Manuale -> Process Gateway -> General

It is thought as an add-on to the Runtime of the control system and only works in combination with it.

That means: If zenon Runtime has not been started, the Process Gateway does not start!

Noch in diesem Kapitel

Variable assignment using names

Variable assignment using names

In the Process Gateway, the respective assignment is carried out using the variable name.

This is important if:

  • Variable names in the project configuration are changed in zenon Editor.
  • Variables in the project configuration in the Editor are deleted.
  • zenon calls up a new start project.

In this case, module-independent error dialogs appear when Process Gateway is started.

attention Attenzione

If a variable assignment is erroneous, the Process Gateway is not started! The Process Gateway only starts if the incorrect variable assignment has been corrected.

The first error dialog lists the unknown variables.

  • In this case, amend the variable assignment again.
  • To do this, remove all incorrectly-assigned variables from the respective export area and re-add the corresponding variables.

The dialog that follows contains module-dependent error messages.

LOG entry

The following LOG entry is created in the event of incorrect variable assignment:

LOG entry | Description
Failed to update value for variable %s. | No COM connection to zenon could be established, or the variable is not (or no longer) available in zenon or has been renamed.


Requirements

Manuale -> Process Gateway -> Requirements

Runtime: On the computer on which the Process Gateway should run, the Runtime with the corresponding release version and a loaded project that corresponds to the configuration has to be started before it is started. If Runtime is stopped, the Process Gateway is also stopped automatically.

info Informazioni su

The Process Gateway uses the COM interface to access zenon data. The COM interface is used by VBA and is only available if zenon6.ini is present in the file under under [VBA] the entry EVENT=1.

Modules: There are different modules for the Process Gateway, that take over the communication to external applications. At the moment these modules are:

File | Description | Connection to
AccessDEC.dll | Slave for DEC | Hundamp;S-DEC-System
AccessDNP3.dll | Slave for DNP3 | DNP3 master
AccessICCP.dll | ICCP/TASE.2 protocol | ICCP Server
AccessIEC870Sl.dll | Slave for IEC 60870-5-01/104 | IEC 60870 master
AccessMODBUS.dll | Slave for Modbus | Modbus master
AccessOPCUA.dll | OPC US Server | OPC UA client
AccessSNMP.dll | SNMP agent | SNMP client
AccessSQL.dll | SQL Online-Interface | SQL databases
AccessAzure.dll | MS Windows Azure | Microsoft Azure

Note: The module to be started is selected and configured in its own INI file of the Process Gateway, not in zenon6.ini as is otherwise the case for zenon! This INI file is called zenProcGateway.INI and is located in the following folder: C:\ProgramData\COPA-DATA\System.

attention Attenzione

If the Modbus Slave driver is used, the Process Gateway only supports:

  • Function Code 3: Read multiple registers
  • Function Code 16: Write Multiple Registers


Installation

Manuale -> Process Gateway -> Installation

The add-on only consists of the zenProcGateway.exe file. It is preferable to copy this to the zenon program folder. However it is possible to have any folder as the installation folder. The module to be used with the zenProcGateway has to be in the same folder as zenProcGateway.exe. Exception: SNMP.

The configuration file zenProcGateway.ini is saved in the system folder. In this file, an entry DLL in the section [GENERAL] has to be set to the name of the module.

This INI file is called zenProcGateway.INI and is located in the following folder: C:\ProgramData\COPA-DATA\System.

Module | Entry in zenProcGateway.ini
DEC | [GENERAL] DLL=AccessDEC.dll
SQL | [GENERAL] DLL=AccessDEC.dll
MODBUS | [GENERAL] DLL=AccessMODBUS.dll
DNP3 | [GENERAL] DLL=AccessDNP3.dll
IEC870Sl | [GENERAL] DLL=AccessIEC870Sl.dll
SNMP | [GENERAL] DLL=AccessSNMP.dll
OPCUA | [GENERAL] DLL=AccessOPCUA.dll
ICCP/TASE.2 | [GENERAL] DLL=AccessICCP.dll

If a configuration file with a different name is to be used (e.g. for operation with multiple instances), you have to start zenProcGateway.EXE with the command line parameter /ini:<file> . That file must be in the system folder, too.

Example Esempio

zenProcGateway.EXE /ini:MyConfig.INI

Noch in diesem Kapitel

zenProcGateway.ini

Configuration Process Gateway


zenProcGateway.ini

Manuale -> Process Gateway -> Installation -> zenProcGateway.ini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[GENERAL]

Inserimento

Descrizione

[GENERAL]

Impostazioni generali per il Process Gateway, indipendentemente dal modulo prescelto.

DLL=

Selezione del file DLL da usare per il Process Gateway. Il file DLL selezionato determina la scelta del modulo.

  • AccessDEC.dll
  • AccessSQL.dll
  • AccessMODBUS.dll
  • AccessDNP3.dll
  • AccessIEC870Sl.dll
  • AccessSNMP.dll
  • AccessOPCUA.dll
  • AccessICCP.dll
  • AccessAzure.dll


Configuration Process Gateway

Manuale -> Process Gateway -> Installation -> Configuration Process Gateway

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To configure Process Gateway:

Create an INI file (optional):

  1. Create a project backup.
  2. Save this with the name zenProcGateway.ini in the folder C:\ProgramData\zenon\System.
  3. Create, in the text file, a text entry with the desired module (this example uses the DNP3 module):
    [GENERAL]
    DLL=AccessDNP3.dll

Per motivi che hanno a che fare con il sistema, solamene ANSI e Unicode sono supportati per la lettura dei file INI.

attention Attenzione

Il formato di salvataggio UTF-8 non viene supportato!

Perciò salvate sempre i vostri file INI come file di testo in formato ANSI o Unicode.

Configuration

Start the Process Gateway:

Start the program zenProcGateway.exe by double clicking on it. You can find the program by default on your computer in the following folder: C:\Program Files (x86)\COPA-DATA\zenon 7.20 SP0. Alternatively, you can also start the Process Gateway in the Startup Tool:

  1. Click, in the Startup Tool, the Tools button.
  2. In the following dialog Start something else ... Select Process Gateway from the list of tools.
  3. Click on the Start button.
  4. The dialog for configuring Process Gateway is opened.
  5. Clicking on the Settings button opens a configuration dialog for the selected module.

info Informazioni su

These configurations are considerably different from one another and depend on the selected module.

You can find documentation for the respective configuration dialog in the respective modules.

If the gateway is started without a valid configuration file or if this file does not contain an entry about the communication module, you will be offered a selection list with all available communication modules after the start:

Select the desired module and click on the button OK A corresponding INI file is created and filled with the INI entry for the selected module. You can then continue with the configuration of the Process Gateway.

Noch in diesem Kapitel

Project configuration

Module configuration

Security configuration


Project configuration

Manuale -> Process Gateway -> Installation -> Configuration Process Gateway -> Project configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If no special project name is defined in the configuration file (zenProcGateway.ini), all specifications refer to the first project loaded by the Runtime (integration project). Any project in the hierarchy of a multi project system can be accessed by setting the entry PROJECT in the section [GENERAL] of the configuration file (zenProcGateway.ini) to the corresponding project name.


Module configuration

Manuale -> Process Gateway -> Installation -> Configuration Process Gateway -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration of a single module depends on the type of this module. With the configuration button the configuration dialog of the module is opened.


Security configuration

Manuale -> Process Gateway -> Installation -> Configuration Process Gateway -> Security configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Process Gateway can be executed hidden to protect it from unauthorized access. If the Process Gateway is started in the command line with the parameter /hide (or -hide), it starts invisible and cannot be configured or stopped. The Process Gateway closes automatically when zenon is closed.


DEC

Manuale -> Process Gateway -> DEC

Noch in diesem Kapitel

Module configuration

Logging

Configuration file: specific entries for AccessDEC


Module configuration

Manuale -> Process Gateway -> DEC -> Module configuration

The following dialog appears after the Settings button is clicked:

Here the variables that should be connected can be selected. In the list on the left-hand side all variables which are available in zenon are displayed. These can be selected and moved to the DEC export list with the '>' button. With the button '<' they can be removed again. If a variable is moved to the export list, a dialog for the name assignment of the zenon variable to the DEC variable opens:

The assignment is defined with a four digit press number and the four digit parameter name. Entered characters are automatically changed to upper case. The variables selected in this way then are continuously synchronized in zenon or in the connected DEC system.

In the lower part of the configuration dialog the TCP/IP connection to the DEC system can be configured.

The port number indicates the port where the Process Gateway waits for incoming connections.

The timeout is the time without response, after that the connection is closed.


Logging

Manuale -> Process Gateway -> DEC -> Logging

All telegrams received by the DEC system and the responds from the Process Gateway can be logged.

To do this an entry LOGFILE in the section [DEC] of the configuration file with the name of the log file has to exist. This file then is created in the same folder as zenProcGateway.exe.

Example for this entry:
[DEC]
LOGFILE=zenProcGateway.log


Configuration file: specific entries for AccessDEC

Manuale -> Process Gateway -> DEC -> Configuration file: specific entries for AccessDEC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file must be in the system folder.

Nota: Il file di configurazione deve trovarsi nella cartella di sistema.

[DEC]

Inserimento | Descrizione
LOGFILE | Nome del file Log (se lo si desidera, per es. zenProcGateway.log)
PORT | Numero di porta dove il Process Gateway attende tentativi di connessione.
TCPTIMEOUT | Intervallo di timeout alla cui scadenza viene interrotta la connessione
REFRESHRATE | Intervallo in millisecondi in cui il sistema verifica se ci sono modifiche dell'immagine di processo di zenon.


DNP3 slave

Manuale -> Process Gateway -> DNP3 slave

Noch in diesem Kapitel

Module configuration

Communication - procedure

Device Profile

Configuration file: specific entries for Access DNP3

LATCH_ON and LATCH_OFF


Module configuration

Manuale -> Process Gateway -> DNP3 slave -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following dialog appears in the Process Gateway after the Settings button is clicked:

Variables

Here the variables that should be connected can be selected. On the left-hand side all variables which are available in zenon are displayed. You can select them there and move them to the DNP3 export list with the button >. With the button < they can be removed again.
As a result of the fact that variables are selected from a list, it is ensured that each variable is only used once.

The point list (Exported into DNP3) also contains the project reference of a variable. If a variable belongs to the default project, it is displayed with "[Project]#[Variable Name]" in the point list. If it belongs to the default project (marked with *), it is only listed in the point list with the variable name.

If a variable is moved to the export list, a dialog for the name assignment of the zenon variable to an object and point number in DNP3 opens.

The variables selected in this way then are available in the DNP3 slave and are continuously synchronized between zenon and the DNP3’s object database.

Allocation of object groups to event classes

The allocation of object groups to event classes is defined and fixed and is as follows:

Event Class 1: Binary inputs

Event Class 2: Analog inputs

Event Class 3: Binary Outputs, Analog Outputs, Running Counters, Octet Strings

Variables

Parameters | Description
Variables | Area for variable selection, depending on the selected project.
Available in SCADA | Area for the display of the available projects and the variables assigned to the selected project.
Projects | List of the projects available in the DNP3 module of the Process Gateway. The default project is marked with a * in front of the project name. This is generally the configured start project. Exception: A different file is configured in the INI file. Please also note the information on naming the variables for DNP3 in the Process Gateway.
Variables | List of all variables of the selected project available in zenon. These are also displayed by selecting a project by clicking in the Projects area. The variables are selected in this area and applied using the > button in the Exported into DNP3 area. Note: Multiple selection (Shift or ALT key) is possible.
Button > | Selected variables from the Variables list are moved to Exported into DNP3. Clicking on the > button opens the object settings dialog.
Button < | Selected variables are removed from the Exported into DNP3 list.
Exported into DNP3 | Export list of the assigned variables. Double clicking on the entry opens the object settings dialog. The variables selected in this way are available on the DNP3 slave. These variables are continually synchronized between zenon and the DNP3 object database. Please also note the information on naming the variables for DNP3 in the Process Gateway.

DNP3 connection

In the lower part of the configuration dialog the serial or TCP/IP connection for the DNP3 slave can be configured.

Parameters

Description

Unsolicited Responses

Button for the configuration of responses that that are not requested (Unsolicited Responses), which the Process Gateway sends to the DNP3 master.

Attention: The DNP3-Master can also request Unsolicited Responses from the Process Gateway. However to do this, the functionality must be activated in the Process Gateway.

The number of events and the maximum time delay can be configured for each event class.

Timeout and Retry are given for all event classes together.

Clicking on the button opens the configuration dialog.

Note: Entries are remanent.

Event Handling

Button for the configuration of event handling

Clicking on the button opens the configuration dialog.

Variations

Button for the configuration of the Variations per object group.

Clicking on the button opens the configuration dialog.

Local Session Link Adress

Link address of the slave.

Default: 3

Note: Only one active session is supported, regardless of whether serial or TCP/IP communication is used.

Remote Link Address (Master)

Link address of the master.

Default: 4

Note: Only one active session is supported, regardless of whether serial or TCP/IP communication is used.

Time Zone

Button to select the time format:

  • Local Time
  • UTC

Serial

Serial

Configurations of the serial interface for communication on the DNP3 slave

Port

Drop-down list for the configuration of the communication interface:

Value range: COM 1 to COM 64

Default: COM 1

Note: Only active if Serial is activated as the communication method.

Stop Bits

Drop-down list for the configuration of the number of stopbits transferred:

  • 1
  • 1.5
  • 2

Default: 1

Note: Only active if Serial is activated as the communication method.

Parity

Drop-down list for the configuration of the parity:

  • No
  • Odd
  • Even

Default: No (= no parity)

Note: Only active if Serial is activated as the communication method.

Data Bits

Drop-down list for the configuration of the number of data bits transferred:

  • 5
  • 6
  • 7
  • 8

Default: 8

Note: Only active if Serial is activated as the communication method.

Baudrate

Drop-down list to select the Baud rate for serial interface communication.

Selection options: 110, 300, 600, 1200, 2400, 4800, 9600, 19200, 38400, 56000, 57600, 115200, 128000, 256000

Default: 9600

Note: Only active if Serial is activated as the communication method.

TCP/IP

TCP/IP | Configurations for communication in a network via TCP/IP.
Port | Input field for the configuration of the "Listener-/Horch-" protocol port Default: 20000 Note: Only active if TCP/IP is activated as the communication method.

Close dialog

OK | Accetta le impostazioni e chiude il dialogo.
Cancel | Annulla tutte le modifiche e chiude la finestra di dialogo.

Noch in diesem Kapitel

Naming of the variables for DNP3 in the Process Gateway.

Variable selection - object settings

Unsolicited Responses

Event Handling

Variations per object group - variations


Naming of the variables for DNP3 in the Process Gateway.

Manuale -> Process Gateway -> DNP3 slave -> Module configuration -> Naming of the variables for DNP3 in the Process Gateway.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The variable name of the DNP3 slave for communication to the DNP3 master comprises the following components:

  • Project name
  • #
    A # character is inserted after the project name as a separator
    Attention: There is no project name and separator with start projects!
    If a variable name in the DNP3 module of the Process Gateway is not preceded by a project, the project defined in the INI file is automatically placed in front for communication to the DNP3 master.
    If there is no project defined in the INI file, this corresponds to the start project in Runtime.
    The start project is marked with a * in the module configuration, in the Available in SCADA group, in the Projects .
  • Variable name
    As configured in zenon.
  • Object type
    As configured in the Object Settings dialog.
  • Point index
    As configured in the Object Settings dialog.
  • Event handling
    As configured in the Object Settings dialog.


Variable selection - object settings

Manuale -> Process Gateway -> DNP3 slave -> Module configuration -> Variable selection - object settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If a variable is moved to the export list, a dialog for the name assignment of the zenon variable to an object and point number in DNP3 opens:

The variables selected in this way then are available in the DNP3 slave and are continuously synchronized between zenon and the DNP3’s object database.

Settings

Parameters

Description

Name

Name of the variable for which the configurations can be carried out.

Note: For information only and grayed out, because it cannot be changed.

Object

Drop-down list to select the driver data type to the driver

  • Analog inputs
  • Analog Output Status
    (written value is mirrored as a response after successful writing)
  • Binary inputs
  • Binary Output Status
  • Running Counters
  • String Data

Default: Binary inputs

Event Handling

Denotes which events can be processed:

  • Default
    Events are handled as defined in the object group.
    For this, please note the configuration in the event handling dialog.
  • SOE
    Events are treated as a Serie of Events).
  • Most recent
    Only the last change of a binary change event is retained.

Note: Inactive if the data type is string data.

Default: Default

Point

Pointindex for the event.

Default: 0

Note: Ensure that the point index is unique for each variable. It is recommended that that the point index is started at 0 and numbered incrementally.

Close dialog

OK | Accetta le impostazioni e chiude il dialogo.
Cancel | Annulla tutte le modifiche e chiude la finestra di dialogo. Note: The variable is in this case not available on the DNP3 slave.

info Informazioni su

If several variables have been selected during module configuration, a switch to the configuration dialog of the next variable is made by clicking on the OK or Cancel buttons. A separate configuration dialog is thus called up step by step for each selected variable.


Unsolicited Responses

Manuale -> Process Gateway -> DNP3 slave -> Module configuration -> Unsolicited Responses

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialog for the configuration of the Unsolicited Responses in the object settings:

Parameters

Description

Enable unsolicited response

Check box to activate the use of Unsollicited responses. If this check box is not activated, no unsolicited responses are generated.

Default: Inactive

Note: If this property is not active, all of the following entries are grayed out.

Attention: If this option is not active, no unsolicited responses are sent to the master. Even if these are requested by the master.

Timeout

Time in seconds for communication to the master. A time exceedance is triggered once this time has expired.

Input range: 1 to 60 s

Default: 5 s

Note: This setting depends on the type and speed of its communication to the master. In principle, the slower the communication, the higher the Timeout time.

Number of retries

Number of retries for communication to the master.

Input range: 0 - 65535
(0 = an infinite amount of attempts)

Default: 3

Example: If an unsolicited response is sent to the master, this is confirmed by the master. If this confirmation from the master remains outstanding, a confirmation is sent as many times as configured in Number of retries. A new unsolicited response is then created.

Event Class 1

Maximum Number of Events | Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response. Valori possibili: 0 - 255 Default: 5
Maximum Delay | Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response. Valori possibili: 0 - 65535 secondi (0 = nessun ritardo, cioè al cambio di valore). Default: 5

Maximum Number of Events and Maximum Delay work together. The value that is reached first triggers communication to the master.
Note: You can also prioritize the three event classes with these entries.

Event Class 2

Maximum Number of Events | Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response. Valori possibili: 0 - 255 Default: 5
Maximum Delay | Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response. Valori possibili: 0 - 65535 secondi (0 = nessun ritardo, cioè al cambio di valore). Default: 5

Event Class 3

Maximum Number of Events | Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response. Valori possibili: 0 - 255 Default: 5
Maximum Delay | Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response. Valori possibili: 0 - 65535 secondi (0 = nessun ritardo, cioè al cambio di valore). Default: 5

Close dialog

OK | Accetta le impostazioni e chiude il dialogo.
Cancel | Annulla tutte le modifiche e chiude la finestra di dialogo.


Event Handling

Manuale -> Process Gateway -> DNP3 slave -> Module configuration -> Event Handling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration dialog for event groups and their behavior when the value of variable is changed.

Possible options are:

  • Behavior on deletion
  • Behavior on value change
  • Buffer size

Parameters

Description

Delete on buffer overflow

Global setting for which event is deleted when the buffer is full:

  • Oldest
    Oldest entries are deleted.
  • Newest
    Most recent entries are deleted.

Default: Oldest

Binary Change Events

Parameters | Description
Buffer Size | Setting for buffer size for the respective event group. Input range: 1 - 65535 Default: 100

Binary Output Events

Parameters | Description
Buffer Size | Setting for buffer size for the respective event group. Input range: 1 - 65535 Default: 100

Analog Change Events

Parameters | Description
Buffer Size | Setting for buffer size for the respective event group. Input range: 1 - 65535 Default: 100

Analog Output Events

Parameters | Description
Buffer Size | Setting for buffer size for the respective event group. Input range: 1 - 65535 Default: 100

Counter Events

Parameters | Description
Buffer Size | Setting for buffer size for the respective event group. Input range: 1 - 65535 Default: 100

String Events

Parameters | Description
Buffer Size | Setting for buffer size for the respective event group. Input range: 1 - 65535 Default: 100

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.


Variations per object group - variations

Manuale -> Process Gateway -> DNP3 slave -> Module configuration -> Variations per object group - variations

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this dialog, (Variations) can be configured for the following object groups:

  • 1 Binary Input
  • 2 Binary Input Event
  • 10 Binary Output
  • 11 Binary Output Event
  • 20 Counter
  • 22 Counter Event
  • 30 Analog Input
  • 32 Analog Input Event
  • 40 Analog Output Status
  • 42 Analog Output Event

Different variations are supported depending on the object group:

Parameters | Description
Binary Input | Menù a tendina con le Variations supportate per il gruppo oggetti. Binary Input: 1: packet format 2: with flags Default: 1: packet format
Binary Input Event | Menù a tendina con le Variations supportate per il gruppo oggetti. Binary Input Event: 1: without time 2: with absolute time 3: with relative time Default: 3: with relative time
Binary Output | Menù a tendina con le Variations supportate per il gruppo oggetti. Binary Output: 1: packet format 2: with flags Default: 1: with flags
Binary Output Event | Menù a tendina con le Variations supportate per il gruppo oggetti. Binary Output Event: 1: status without time 2: status with time Default: 1: status without time
Counter | Menù a tendina con le Variations supportate per il gruppo oggetti. Counter: 1: 32 bit with flag 2: 16 bit with flag 5: 32 bit without flag 6: 16 bit without flag Default: 5: 32 bit without flag
Counter Event | Menù a tendina con le Variations supportate per il gruppo oggetti. Counter Event: 1: 32 bit with flag 2: 16 bit with flag 5: 32 bit flag and time 6: 16 bit flag and time Default: 1: 32 bit with flag
Analog Input | Menù a tendina con le Variations supportate per il gruppo oggetti. Analog Input: 1: 32 bit with flag 2: 16 bit with flag 3: 32 bit without flag 4: 16 bit without flag 5: single precision, floating-point with flag 6: double precision, floating-point with flag Default: 6: double precision, floating-point with flag
Analog Input Event | Menù a tendina con le Variations supportate per il gruppo oggetti. Analog Input Event: 1: 32 bit without time 2: 16 bit without time 3: 32 bit with time 4: 16 bit with time 5: single precision, floating-point without time 6: double precision, floating-point without time 7: single precision, floating-point with time 8: double precision, floating-point with time Default: 6: double precision, floating-point without time
Analog Output | Menù a tendina con le Variations supportate per il gruppo oggetti. Binary Input: 1: 32 bit with flag 2: 16 bit with flag 3: single precision, floating-point with flags 4: double precision, floating-point with flags Default: 2: 16 bit with flag
Analog Output Event | Menù a tendina con le Variations supportate per il gruppo oggetti. Analog Output Event: 1: 32 bit without time 2: 16 bit without time 3: 32 bit with time 4: 16 bit with time 5: single precision, floating-point without time 6: double precision, floating-point without time 7: single precision, floating-point with time 8: double precision, floating-point with time Default: 2: 16 bit without time

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.


Communication - procedure

Manuale -> Process Gateway -> DNP3 slave -> Communication - procedure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Value changes are executed via COM. An update in stack direction only occurs if:

  • It is the first value for the object (initial value).
  • The value changes (value change).
  • The status bits Invalid or Not current change (value change of the status bit).

The time stamp of the change is applied in the event of a change. This time stamp is applied from the COM event and transferred to the stack event. The Time Zone setting determines the type of time stamp:

  • Local time or
  • UTC time

The stack no longer checks for a value change, but the gateway cyclically takes the value changes from the queue of the COM threads and forwards them to the stack for entry into the event buffer of the corresponding object group. Event values and static vales (with poll in the stack) are read from the shadow of the item and no longer from the shared memory. The time stamp is applied from the COM event and transferred to the stack event as a local time with millisecond precision.

Binary and analog output variables are written from the master to the Process Gateway.

In addition, these variables send the value back to the master, the same thing that binary and analog input variables do if the assigned variables are changed in zenon Runtime.

As a result of the fact that variables are selected from a list, it is ensured that double selection is prevented.


Device Profile

Manuale -> Process Gateway -> DNP3 slave -> Device Profile

The template for the Device Profile is installed together with the DNP3 Process Gateway by the setup. You can find the file DNP3_ProcessGateway.xml in the following folder: %ProgramData%\COPA-DATA\zenon[Version]\CommunicationProfiles\Dnp3\ProcessGateway\


Configuration file: specific entries for Access DNP3

Manuale -> Process Gateway -> DNP3 slave -> Configuration file: specific entries for Access DNP3

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file must be in the system folder. This INI file is called zenProcGateway.INI and is located in the following folder: C:\ProgramData\COPA-DATA\System.

[DNP3]

Inserimento

Descrizione

SERIAL=

comunicazione seriale (1) o comunicazione via TCP/IP (0)

COMPORT=

interfaccia seriale (COM1 = 0, COM2 = 1,...)

BAUD=

Baud rate dell'interfaccia seriale.

BYTESIZE=

Quantità dei bit di dato dell'interfaccia seriale.

PARITY=

Impostazioni di parità dell´interfaccia seriale
(0=nessuna,1=dispari,2=pari)

STOPBITS=

Numero dei bit di stop dell'interfaccia seriale
(0=1, 1=1.5, 2=2)

LINKADDRLOC=

Indirizzo di collegamento per la sessione locale

LINKADDRREM=

Indirizzo di collegamento per la sessione remota

PORT=

Porta per la comunicazione via TCP/IP

Default: 20000

TIME_USE_UTC=

Formato del time stamp:

  • 0= Ora locale
  • 1 = UTC

Default: 0

Obj1BinInput=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: packet format
2: with flags

Default: 1: packet format

Obj2BinInputEvent=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: without time

2: with absolute time

3: with relative time

Default: 3: with relative time

Obj10BinOutput=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: packet format
2: with flags
Default: 1: with flags

Obj11BinOutputEvent=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: status without time
2: status with time

Default: 1: status without time

Obj20Counter=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit with flag
2: 16 bit with flag
5: 32 bit without flag
6: 16 bit without flag

Default: 5: 32 bit without flag

Obj22CounterEvent=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit with flag
2: 16 bit with flag
5: 32 bit flag and time
6: 16 bit flag and time

Default: 1: 32 bit with flag

Obj30AnalogInp=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit with flag
2: 16 bit with flag
3: 32 bit without flag
4: 16 bit without flag
5: single precision, floating-point with flag
6: double precision, floating-point with flag

Default: 6: double precision, floating-point with flag

Obj32AnalogInpEvent=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit without time
2: 16 bit without time
3: 32 bit with time
4: 16 bit with time
5: single precision, floating-point without time
6: double precision, floating-point without time

7: single precision, floating-point with time
8: double precision, floating-point with time

Default: 6: double precision, floating-point without time

Obj40AnalogOutStatus=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit with flag
2: 16 bit with flag
3: single precision, floating-point with flags
4: double precision, floating-point with flags

Default: 2: 16 bit with flag

Obj41AnalogOutput=

Menù a tendina con le Variations supportate per il gruppo oggetti.

1: 32 bit without time
2: 16 bit without time
3: 32 bit with time
4: 16 bit with time
5: single precision, floating-point without time

6: double precision, floating-point without time

7: single precision, floating-point with time
8: double precision, floating-point with time

Default: 2: 16 bit without time

UNSOLICITED_RESPONSES_ENABLED=

Attiva o disattiva Unsolicited Responses:

  • 0 = non attiva
  • 1 = attiva

Default: Non attiva (0)

UNSOLICITED_RESPONSES_CONFIRMATION_TIMEOUT=

Tempo in secondi per la comunicazione con il master. Dopo lo scadere di questo intervallo di tempo, viene inizializzato un timeout.

Intervallo di immissione: da 1 a 60 s

Default: 5 s

UNSOLICITED_RESPONSES_RETRY_COUNTER=

Numero di tentativi di stabilire la comunicazione con il master.

Intervallo di immissione: 0 - 65535
(0 = numero infinito di tentativi).

Default: 3

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_1=

Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response.

Valori possibili: 0 - 255
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_2=

Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response.

Valori possibili: 0 - 255
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_EVENTS_CLASS_3=

Numero massimo di eventi (per classi di eventi) che vengono inseriti nel buffer prima che venga inviato un unsolicited response.

Valori possibili: 0 - 255
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_1=

Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response.

Valori possibili: 0 - 65535 secondi
(0 = nessun ritardo, cioè al cambio di valore).
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_2=

Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response.

Valori possibili: 0 - 65535 secondi
(0 = nessun ritardo, cioè al cambio di valore).
Default: 5

UNSOLICITED_RESPONSES_MAXIMUM_DELAY_CLASS_3=

Ritardo massimo per classe di eventi al cui scadere viene scritto un nuovo inserimento dopo la scrittura di una unsolicited response.

Valori possibili: 0 - 65535 secondi
(0 = nessun ritardo, cioè al cambio di valore).
Default: 5

[VARIABLES]

Inserimento

Descrizione

COUNT

Numero delle variabili da esportare

EVENT_%d

Gestione degli eventi: Gestione degli eventi per ogni variabile.
Appartiene sempre a una variabile: p.es. EVENT_0 appartiene a NAME_0

Valori:

  • DEFAULT
    La gestione degli eventi avviene come nel gruppo oggetti.
  • MOST_RECENT
    Mantiene solamente l´ultimo cambio di un evento di modifica binario.
  • SOE
    Crea una serie di eventi.

Default: Default

NAME_n

Nome della variabile con il numero n (0<=n<COUNT)

OBJECT_n

Tipo oggetto DNP3 della variabile con il numero n (0<=n<COUNT)

POINT_n

Numero del dato DNP3 della variabile con il numero n (0<=n<COUNT)


LATCH_ON and LATCH_OFF

Manuale -> Process Gateway -> DNP3 slave -> LATCH_ON and LATCH_OFF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Command Control Code from the PLC is written to USINT variables as an 8-bit value via Process Gateway. The following applies for transfer to zenon variables:

Destination variable of the command | Result
BOOL: | Set value LATCH_ON: 1 Set value LATCH_OFF: 0
USINT: | Set value corresponds to control code.
all other variables: | Command failed.

Only direct control is supported. Select, SBO and Operate are not supported.

Master, control mode direct | Process Gateway | Value zenon USINT
LATCH_ON | Binary Output Statuses | 3
LATCH_OFF | Binary Output Statuses | 4
Pulse On | Binary Output Statuses | 1
Pulse Off | Binary Output Statuses | 2
Trip | Binary Output Statuses | 129
Close | Binary Output Statuses | 65

For zenon binary output statuses BOOL, only LATCH_ON/LATCH_OFF is supported.


ICCP-TASE.2

Manuale -> Process Gateway -> ICCP-TASE.2

The IEC 60870-6 TASE.2 ICCP protocol can be used with the AccessICCP.dll module via the zenon Process Gateway. ICCP-TASE.2 supports Conformance Blocks 1 and 2 as client and server. It acts in the same way as for establishing communication as a server.

Communication in the ICCP protocol is spontaneous. An ICCP server reports the value changes to the remote client - to its communication partner. An ICCP client cannot however write the values to the remote server. In order to guarantee a two-way exchange, both communication partners should have a client and a server.

Establishing communication

If a remote client has established a connection to the ICCP server in the zenon Process Gateway, the zenon Process Gateway takes on the address settings from the received request in accordance with ISO 8650-1 (for example: AP-title, AE-qualifier). The ICCP client automatically uses this OSI addressing parameter for further communication with the remote server.

After the initialization of the communication with the zenon ICCP server by a remote client, the verification of the bilateral table ID is carried out. At the same time, the zenon ICCP client establishes the connection to the other point. The client registers the variables to be communicated on the remote server as a DataSet and activates the spontaneous communication of the DSTransferSet.

Configuration of INI file

Path to the configuration file: %CD_SYSTEM%\zenProcGateway.ini.

Note: Some of the INI entries can only be configured in the INI file directly. Configuration by means of a dialog is not available for all entries.

Inserimento

Descrizione

[ICCP]

Gruppo

SERVER_PORT=

Numero della porta IP del server; la porta consente la connessione di altri client.

La porta viene aperta al momento dello start e rimane aperta.

Default: 102

MAX_CONNECTIONS=

Numero massimo di connessioni di altri client ICCP con il server.

Default: 0 (= illimitato)

MAJOR_VERSION_NUMBER=

Numero di versione principale del protocollo ICCP, per es.: 1996, 2000.

Default: 2000

MINOR_VERSION_NUMBER=

Numero di sottoversione del protocollo ICCP.

Default: 8

BILATERAL_TABLE_ID=

L´identificazione tabella bilaterale; viene sincronizzata quando si stabilisce la connessione fra tutti i server ICCP e client ICCP.

Nota: l´identificazione tabella bilaterale univoca deve essere la stessa su tutti i dispositivi che comunicano con il Process Gateway ICCP:

LOCAL_DOMAIN_NAME=

Nome di dominio ICCP locale; impostazione per il server; deve essere impostata in modo speculare rispetto al partner della comunicazione.

REMOTE_DOMAIN_NAME=

Nome di dominio ICCP remoto; impostazione per il client; deve essere impostata in modo speculare rispetto al partner della comunicazione.

[VARIABLES]

Gruppo dei riferimenti configurati fra variabili di zenon e variabili ICCP. È elencato quanto segue:

  • Parametri di ogni variabile ICCP
  • Numero delle variabili.
  • Nomi della variabili.

PARAM_0=

Parametri per variabile ICCP.

La numerazione inizia da 0. Il contatore viene incrementato di 1 ad ogni nuovo parametro. Questo identificatore corrisponde a quello del nome variabile.

PARAM_0 corrisponde a NAME_0.

Esempio:
PARAM_0=1,0,0,ICCP_Name

COUNT=

Numero dei riferimenti configurati

NAME_0=

Nome delle variabili di zenon.

La numerazione inizia da 0. Il contatore viene incrementato di 1 ad ogni nuovo parametro. Questo identificatore corrisponde a quello del parametro.

PARAM_0 corrisponde a NAME_0.

Esempio:
NAME_0=MyName

Noch in diesem Kapitel

Module configuration


Module configuration

Manuale -> Process Gateway -> ICCP-TASE.2 -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The module must be configured when it is started for the first time.

Parameters | Description
Library | Shows the names of the DLL.
Description | Describes functionality.
OK | Accepts selection and starts configuration dialog.
Cancel | Cancels start of the Process Gateway.

First start

To start the Process Gateway with the ICCP/TASE.2 module:

  1. Start the Process Gates
    (no other module can be configured).
  2. The dialog to select the module is opened
  3. Select ICCP/TASE.2 protocol
  4. click on OK
  5. The dialog for configuring the module is opened
  6. Configure the tabs
    • General
    • Server variables
    • Client variables

The dialog to select the module is not offered

Starts the Process Gateway with another module that has already been configured without offering the dialog to select a module, then:

  1. Close the Process Gateway
  2. Navigate to the INI file
  3. Add a comment for the module in the file or delete the INI file
  4. Restart the Process Gateway

Start with configured module

Start the Process Gateway with a module that has already been configured; a dialog with static data is opened.

Parameters | Description
Statistic information | Information on updates
Exit | Closes process gateway.
Configuration | Opens configuration dialog.
Help | Opens online help.

Configuration

Configuration is carried out using three tabs. It can be confirmed and closed by clicking on OK if all three tabs have been configured.

Parameters | Description
General | General settings.
Server variables | Configuration of the server variables. Selection of the variables that the ICCP server provides.
Client variables | Configuration of the client variables. Selection of the variables that are read by the ICCP client.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Noch in diesem Kapitel

General

Server variables

Client variables


General

Manuale -> Process Gateway -> ICCP-TASE.2 -> Module configuration -> General

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration of the general settings.

Connection

The Connection settings are any desired strings that are coordinated on all devices in the system.

The unique bilateral table ID must be the same on all devices that communicate with the ICCP Process Gateway. It is queried when a connection is made by both partners. The connection is disconnected if they do not correspond.

The domain names provide the names used at MMS protocol level to ICCP-variables that are communicating. It must be set as the same mirror image for the partners.

These comparison rules are prescribed by the ICCP standard.

Parameters | Description
Connection | Connection settings.
Biliteral Table ID | The bilateral table identification is compared with the client when the server establishes a connection. Access to the data is only permitted for authorized clients. Note: The ID must be configured as exactly the same on both sides of the communication.
Local Domaine Name | Name of the local ICCP-domain that is used for all server variables. Note: the name must be set as mirrored on the communication partners (= the same as on the remote client).
Remote Domain Name | Name of the remote ICCP-domain that is used for all client variables. Note: the name must be set as mirrored on the communication partners (= the same as on the remote server).
Error message | Display of missing configuration data.

Close dialog

Parameters | Description
OK | Accepts the settings of all tabs, saves the configuration in the zenProcGateway.ini file, starts the ICCP server and waits for incoming connections.
Cancel | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Help | Apre la guida online.

Error messages - example

Error messages are displayed in red font:


Server variables

Manuale -> Process Gateway -> ICCP-TASE.2 -> Module configuration -> Server variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selection and configuration of the variables that the zenon Process Gateway provides as an ICCP server. The value changes of the variables are sent to the remote ICCP client spontaneously.

Parameters

Description

Available in SCADA

List of all variables available in the zenon project.

Exported to ICCP

List of the variables exported to ICCP. Variables from the list are provided by the server for a remote ICCP client.

The list shows:

  • Name in zenon
  • Name in ICCP protocol (ICCP variable)
  • ICCP Type

The ICCP name and type can be amended using the Variable name, Data type and Extended type settings.

Cursor keys

Moving selected variables between the two lists.

  • Key >>:
    Copies all variables from zenon to ICCP.
  • Key <<:
    Removes all variables from the ICCP list.
  • Key >:
    Copies selected variables from zenon to ICCP
  • Key <:
    Removes selected variables from the ICCP list.

Variables can also be added to the list for zenon by double clicking on the variable for the ICCP list.

Variable name

ICCP name of the variable. Allows renaming of the zenon variable names highlighted in the list for ICCP.

Data type

Selection of an ICCP data type for the variables selected in the list:

  • State
  • Real
  • Discrete

Standard display of zenon variables on ICCP:

  • BOOL on State
  • REAL on Real
  • INTEGER on Discrete

Depending on the variables provided by zenon, data types can also be unavailable (grayed out).

Extended type

Selection of an ICCP variable addition for the variables selected in the list:

  • None: none
  • Quality flags: Quality
  • Timestamp: Quality + time stamp
  • Extended: Quality + time stamp + change counter
  • Timestamp Extended: Quality + extended timestamp

Depending on the variables provided by zenon, data types can also be unavailable (grayed out).

Close dialog

Parameters | Description
OK | Accepts the settings of all tabs, saves the configuration in the zenProcGateway.ini file, starts the ICCP server and waits for incoming connections.
Cancel | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Help | Apre la guida online.


Client variables

Manuale -> Process Gateway -> ICCP-TASE.2 -> Module configuration -> Client variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selection and configuration of the variables that the zenon Process Gateway uses as an ICCP client. The client transmits the value changes that it receives from the remote ICCP server to the zenon variables.

Parameters

Description

Available in SCADA

List of the variables available in the zenon project.

Exported to ICCP

List of the variables exported to ICCP.

The client configures the remote ICCP server for spontaneous transfer of values from the list. It then transmits the values received to the zenon variables.

The list shows:

  • Name in zenon
  • Name in ICCP protocol (ICCP variable)
  • ICCP Type

The ICCP name and type can be amended using the Variable name, Data type and Extended type settings.

Cursor keys

Moving selected variables between the two lists.

  • Key >>:
    Copies all variables from zenon to ICCP.
  • Key <<:
    Removes all variables from the ICCP list.
  • Key >:
    Copies selected variables from zenon to ICCP
  • Key <:
    Removes selected variables from the ICCP list.

Variables can also be added to the list for zenon by double clicking on the variable for the ICCP list.

Variable name

ICCP name of the variable. Allows renaming of the zenon variable names highlighted in the list for ICCP.

Data type

Selection of an ICCP data type for the variables selected in the list:

  • State
  • Real
  • Discrete

Standard display of zenon variables on ICCP:

  • BOOL on State
  • REAL on Real
  • INT on Discrete

Depending on the variables provided by zenon, data types can also be unavailable (grayed out).

Extended type

Selection of an ICCP variable addition for the variables selected in the list:

  • None: none
  • Quality flags: Quality
  • Timestamp: Quality + time stamp
  • Extended: Quality + time stamp + change counter
  • Timestamp Extended: Quality + extended timestamp

Depending on the variables provided by zenon, data types can also be unavailable (grayed out).

Close dialog

Parameters | Description
OK | Accepts the settings of all tabs, saves the configuration in the zenProcGateway.ini file, starts the ICCP server and waits for incoming connections.
Cancel | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Help | Apre la guida online.


IEC870 Slave

Manuale -> Process Gateway -> IEC870 Slave

Language

The driver and its dialogs for configuration are only available in English.

Structure

PLCs addressed with the IEC870SI driver, are divided into sectors. These sectors contain IOs (information objects) representing the actual variables. IOs refer to a variable of the process control system.

You can configure several PLCs with the IEC870SI driver. According to the used protocol, they are associated directly to a Master or polled by a Master.

Identification and addressing

  • 870-101: The PLC is identified by a link address.
  • 870-104: The PLC is identified by the IP address of the Master.
  • Sector: Addressed by COA.
  • IO: Addressed by type identification and IOA.

In the following chapters, you will read how to configure the IEC870SI driver, how communication takes place and you will read about compatibility issues.

info Informazioni su

For variables that are configured in the IEC870 Process Gateway as command variables, each command is logged as Send value via the COM interface in the CEL if the Settaggio dati tramite VBA property is active (Salvataggio in CEL group).

Noch in diesem Kapitel

Module configuration

Communication

Error analysis

Interoperability


Module configuration

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

There are many settings you can change in the IEC870SI driver All lists in the configuration window can be sorted. To change the sorting sequence, simply click on the column title.

Settings:

The settings for protocols 101 and 104 differ.

In the main window, you can choose the protocol you want to use and define general settings:

  • (Protocol) 870-101
    unlocks the settings for protocol 101 and locks all other input fields.
  • (Protocol) 870-104
    unlocks the settings for protocol 104 and locks all other input fields.

Devices

Devices are created and deleted in the Devices section of the main window. These devices are configured in the tabs.

The following device settings are available in Process Gateway for 870-101- and 870-104 protocols:

  • Device,
  • Sector
  • Sequence of Events SOE and
  • 104 settings

info Informazioni su

Only the general properties are documented in this section. You can find the protocol-dependent configurations in the section for the respective protocol or in the description of the respective device settings.

Parameters

Description

Settings

Configuration file

Name of the configuration file. This is where all active settings are stored and also loaded from. The name you enter must be a valid file name. Otherwise, no data can be stored. In this case, you will get an error message.

Only enter the file name without path. You do not have to add the file extension XML, as it will be added automatically during saving. The current INI directory will be used as path.

The file name will automatically be entered in the INI file of the process gateway as configuration.
You can find the INI file in the system folder of the process control system. It is called 'SCADAProcGateway.ini' - SCADA is the placeholder for the name of the process control system.

Import...

Loads configuration data from an XML configuration file. The current settings are replaced by the ones stored in the file. The current setting for the 'configuration file' remains the same.

Export...

Stores the current settings in a file.

Attention: Device that still have the default ID '????' (defined during creation) will not be exported. To export them, you must first configure the device in the configuration window "Device".

870-104

activates protocol 104, unlocks all input fields for 104 and locks settings for 101.

871-101

activates protocol 101, unlocks all input fields for 101 and locks settings for 104.

Deactivate standard DPI/DCS mapping and use internal mapping (not recommended).

Deactivates standard communication via DPI (Deep Packet Inspection) and DCS (Distributed Control System) and uses internal mapping for this.
Default: Inactive

Note: Not recommended!

Devices

List of configured devices.

Add

Adds a new device with standard settings. By default, it gets the invalid ID '????' and invalid IP/link addresses. Before you can use or export the device, you must configure it.

Delete

Deletes the selected device. This button is not active if no device has been selected.

Device

Tab for the configuration of the devices

Sector

Tab for the configuration of the sectors

SOE

Tab for the configuration of the sequence of events

104 settings

Tab for 870-104 protocol-specific configuration
Note: Not active if 870-101 is selected as a protocol.

OK

Accepts all changed settings. They will immediately be stored in the current configuration file (as defined in 'Configuration file').
Attention: After clicking on 'OK', all active Master connections will be closed and restarted with the new settings. There may be communication errors during that.

Cancel

Discards all changed settings. Nothing is stored.

Help

Apre la guida online.

Noch in diesem Kapitel

Settings for 870-101

Settings for 870-104

DPI / DCS mapping

Devices


Settings for 870-101

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> Settings for 870-101

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

info Informazioni su

Only the general properties of the 870-101 protocol are documented in this section. You can find further information in the general description of the respective device settings.

Parameters | Description
Settings |
870-104 | activates protocol 104, unlocks all input fields for 104 and locks settings for 101.
871-101 | activates protocol 101, unlocks all input fields for 101 and locks settings for 104.
Port | Port for the communication to the end device. Default: 2404 Note: Inactive if 870-101 is selected as a protocol.
Deactivate standard DPI/DCS mapping and use internal mapping (not recommended). | Deactivates standard communication and uses internal mapping for this. Default: Inactive
Devices | List of configured devices.
Add | Adds a new device with standard settings. By default, it gets the invalid ID '????' and invalid IP/link addresses. Before you can use or export the device, you must configure it.
Delete | Deletes the selected device. This button is not active if no device has been selected.
OK | Accepts all changed settings. They will immediately be stored in the current configuration file (as defined in 'Configuration file'). Attention: After clicking on 'OK', all active Master connections will be closed and restarted with the new settings. There may be communication errors during that.
Cancel | Discards all changed settings. Nothing is stored.
Help | Apre la guida online.


Settings for 870-104

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> Settings for 870-104

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

info Informazioni su

Only the general properties of the 870-104 protocol are documented in this section. You can find further information in the general description of the respective device settings.

Parameters | Description
Protocol 870-104 | activates protocol 104, unlocks all input fields for 104 and locks settings for 101.
Port | TCP port to which the Masters connect. Defined by the norm as 2404. Our drivers allow you to have several instances of the Process Gateway running at the same time. That is why you can change this port: Allowed port numbers: 1200 to 65535
Devices | List of configured devices.
Add | Adds a new device with standard settings. By default, it gets the invalid ID '????' and invalid IP/link addresses. Before you can use or export the device, you must configure it.
Delete | Deletes the selected device. This button is not active if no device has been selected.
OK | Accepts all changed settings. They will immediately be stored in the current configuration file (as defined in 'Configuration file'). Attention: After clicking on OK, all active Master connections will be closed and restarted with the new settings. There may be communication errors during that.
Cancel | Discards all changed settings. Nothing is stored.
Help | Apre la guida online.

Noch in diesem Kapitel

XML-File

Mapping of double point values


XML-File

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> Settings for 870-104 -> XML-File

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration of the IEC870SI is stored in an XML file. You can import and export different configurations with the buttons 'Export' and 'Import' in the main window.

The active configuration is stored in the INI file, for example:
[IEC 870]
SETTINGS=IEC870SLAVE.XML

You can choose any name. The path is the same as in the INI file.

Structure of the XML file

The names of most fields intuitively indicate their meaning. The settings correspond to those that are permitted in the dialog.

The values and structure of the XML file are verified when the file is read. Erroneous entries trigger an error message that is also logged.

attention Attenzione

XML entries are case sensitive. Pay attention to use correct upper and lower cases.

Name | Property
process_gateway_IEC870Slave | The root node must have this name. Otherwise, the reading process will stop with an error.
VERSION | Contains the current version of attributes and nodes.
Device_x | Nodes for the device configuration. X is replaced by a consecutive number, starting with 1. This way of naming nodes is not obligatory. A device is created for every node.
LinkAdr | In protocol 101, the link address is set here. It must be unique for all devices. For protocol 104, this entry has no meaning.
IpAdr | In protocol 104, the IP address of the Master is entered here. It must be unique for all devices. For protocol 101, this entry has no meaning.
Sector_x | Number of nodes per configured sector. X is replaced by the COA. This way of naming nodes is not obligatory. A sector is created for every node.
IO_x | Number of nodes per information object. X is replaced by a consecutive number, starting with 1. This way of naming nodes is not obligatory. An IO is created for every node.
ScadaVar | When the document is loaded, the existence of the specified variable in the project is verified. Variables without project reference are looked for in the default project. [ScadaProjectName#]ScadaVariableName. (Scada stands for the name of the process control system.)
TypeId | Type identification When the document is loaded, the system will check if the type ID with the specified variable data type is possible.
COA | Common object address Must be unique for every device per sector.
IOA | Information object address In combination with the type ID, it must be unique per sector.
Is101active | With the value '1', the protocol 101 is activated, otherwise 104 will be active.
BSTime | Time for background scan Unit of measurement: ms. 0 deactivates the background scan. Default: 0
CYTime | time for cyclical data transfer Unit of measurement: ms. 0 deactivates the cyclical transfer. Default: 0 Available in version 2 and above
KindOfTransfer | States the type of data transfer. 0: Spontaneous. Is also the default value. 1: backscan 2: Cyclic 3: off 4: Spontaneous transfer with buffering Default: 0 Available in version 3 and above
DeActDPIStd | DPI /DCS compliant (IEC60870 compliant) data transfer or internal control system format
Version | 6: describes an XML file with the following fields for SOE support
EnableSOE | 0 = inactive 1 = SOE active
MaxBufferedFilesSOE | Maximum number of buffered SOE files.
AutodeleteFilesSOE | 0 = no Autodelete 1 = Autodelete if maximum file number reached
MaxEventsPerFileSOE | Maximum number of ASDU per file
PostTrgToSOE | Post trigger timeout in [ms]
FileToSOE | File timeout in [ms]
Information Object Einstellung für die SOE Unterstützung | Additional settings that must be made at the Information Object for SOE support.
Version | 4: describes an XML file with the following fields for SOE support
KindOfTransfer | Defines when an update triggers a transfer. 0 Spontaneous 1 Background scan 2 periodic 3 no transfer
TrgSOE | 0 = inactive 1 = IO acts as trigger
EvDetectionSOE | Determines when a change to an IO value or status can trigger a write in the SOE file. 0 SOE active 1 Saves all changes. 2 Raising edges 3 Falling edges 4 Raising and falling edges
HysteresisNegative | Value of the negative hysteresis
HysteresisPositive | Value of the positive hysteresis

Example configuration for protocol 101:

Example configuration for protocol 104:


Mapping of double point values

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> Settings for 870-104 -> Mapping of double point values

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Double Point Value Mapping is a standard function of the zenon Energy driver. It only influences zenon Runtime and has no effect on the driver communication with a device. Configuration is carried out in the driver settings in the Basic Settings tab.

Note: It is recommended that you leave the Deactivate standard double point value mapping option in the driver configuration as the default, inactive.

The driver uses Double Point Value Mapping to convert values so that they are displayed in a user-friendly manner. However this only applies to the HMI.

The driver always communicates with one device with values for Double Points with 2-bit information. This corresponds to the definitions of the energy standard. That means:

Parameters | Double Point | Value | Meaning
Intermediate | 00b | 0 | Switches are neither open nor closed, for example the End-Position has not yet been reached
Off | 01b | 1 | Switch open
On | 10b | 2 | Close switch/switch closed
Fault | 11b | 3 | Error

Double Points are coded with 2-bits in the energy sector for historical reasons: The transmission of a telegram to a serial connection (RS232) with a series of values that only contain 0 was not safeguarded against transmission errors. In order to increase the certainty, it was decided in the first standards that the value for OFF is not to be sent as 0 but as 01b, which corresponds to decimal 1. These Double Point Values also precisely reflect the type of how two sensors record the physical position of a switch.

However, the values sent this way may be confusing for people:

  • OFF = 1
  • ON = 2

Humans are used to all other devices and systems:

  • OFF = 0
  • ON = 1

At the same time, Single Point Values are also defined with OFF = 0 in the same standard.

The user must always be aware of the technical level on which they are acting and receiving or sending information. In stressful situations, this can very easily lead to serious mistakes. For example, if ON is sent instead of OFF.

In order to avoid this dangerous error, the zenon Energy driver offers its own Double Point Value Mapping.

Mapping vor HMI

With the Double Point Value Mapping, all Double Points in zenon have the following values:

  • Intermediate = 2
  • Off = 0
  • On = 1
  • Fault = 3

info Informazioni su

This function can be deactivated in the driver settings. However some features such as Command Processing or ALC can no longer be used then.

Recommendation: Do not use numerical elements and numerical values to display OFF/ON or OPEN/CLOSE. Use combined elements with graphic symbols or text elements instead.

DPI mapping in IEC61850 client driver

In accordance with the IEC61850-7-3 standard, in Common Data Classes, Double Point Status (DPS) and Controllable Double Point (DPC), the stVal attribute has the data type CODED ENUM with the value range: intermediate-state (00) | off (01) | on (10) | bad-state (11). The driver therefore waits until a Double Point attribute of the data type CODED ENUM is mapped to the communication protocol as an MMS of the bit string data type. The stVal data attribute can thus have the following values: 0x00, 0x40, 0x80 and 0xC0. This basic data type is permitted in the SCL language with the name Dbpos (IEC61850-6). In zenon, this corresponds to a variable with data type UDINT (default) or STRING (if changed manually) - see assignment of datatypes.

In the driver configuration, the Deactivate standard double point value mapping option should remain inactive by default in order to use the modules from the zenon Energy Edition, for example the functions of Command Processing and ALC.

With the default settings, the driver assigns values of the stVal data attributes of DPS and DPC in accordance with the following table:

Position value in the end device | zenon Dbpos value - STRING | zenon Dbpos value - UDINT unmapped | zenon Wert - value mapped
Intermediate (00b) | '00' | 0 | 2
Off (01b) | '01' | 64 (0x40) | 0
On (10b) | '10' | 128 (0x80) | 1
Fault (11b) | '11' | 192 (0xC0) | 3

The driver only converts values for variables with the names */stVal and numerical data type that corresponds to bType 'Dbpos' in the SCL language (IEC61850-6). This means that the values of the */stVal variable with a data type set to STRING manually are excluded from mapping.

This means in Runtime (for example):

Position of the switch | UDINT mapped | UDINT unmapped | STRING
off | 0 | 64 | '01'
on | 1 | 128 | '10'


DPI / DCS mapping

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> DPI / DCS mapping

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

It is possible to configure whether DPI/DCS (double-point information/double command state) should be transferred in accordance with the IEC60870 standard or in the zenon internal display. The default is transfer (between Process Gateway and an IEC 60870 Master) in accordance with the norm.

Setting

Functionality

Deactivate standard

Active: Mapping is deactivated. Values for DPI/DCS correspond directly to the values of zenon.

Inactive: Values for DPI/DCS are mapped as follows, which also guarantees standard behavior for the Command Processing:

  • zenon value 0 = DPI/DCS value 1 (= OFF)
  • zenon value 1 = DPI/DCS value 2 (= ON)
  • zenon value 2 = DPI value 0
  • zenon value 3 = DPI value 3

This setting is automatically activated if an XML File with version 1 is read in.


Devices

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> Devices

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parameters | Description
Device | ID of the device Default: ???
Name | Name of the device
Add | Adds a new device with standard settings. By default, it gets the invalid ID '????' and invalid IP/link addresses. Before you can use or export the device, you must configure it.
Delete | Deletes the selected device. This button is not active if no device has been selected.

Devices are created or deleted on the left-hand side of the dialog.

Clicking on the Add button adds a device, which is configured in the Device, Sector, SOE and 104settings tabs. Several devices can be created. A simple click on the respective device in the list opens the attendant configuration.

Noch in diesem Kapitel

Device

Sector

104 settings


Device

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> Devices -> Device

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the part of the main window called 'Device' you can define the settings of the device. Certain areas are grayed out depending on the protocol selected. A precise definition of which input fields are available for which protocol is in the list below.

Parameters

Protocol

Description

Common Settings

Name

101
104

Name of the device for easy identification

File transfer directory

101

104

Defines the directory for transfer of files and directories.

Note: The files are sent to the master.

File Transfer in Control Direction Directory

101
104

Defines the directory in which the files for transfer of files and directories are stored.

Note: These files are received by the master.

All files with the NOF 255 (the temporary NOF for reverse file transfer) are ignored for the directory query.

Short pulse

101
104

Defines the size of the pulse for the Qualifier of Command with the value 'short pulse duration' (QOC = 1) in milliseconds.
Valid values: 0 to 4294967295

Default: 1000 ms
Note: In the debug mode, there will also be a pulse for values greater than/equal to 10000, even with QOC = 0. This allows you to test the pulse generation with our IEC870 drivers.

Long pulse

101
104

Defines the size of the pulse for the Qualifier of Command with the value 'long pulse duration' (QOC = 2) in milliseconds.
Valid values: 0 to 4294967295.

Default: 2000 ms

Max APDU size

104

Maximum length of APDU data as defined in the standard 870-5-104 5.
Valid values: between 25 and 253.

Default: 253

Max. user data

101

Maximum length of user data as defined in TF1.2 870-5-2 3.2 .
Valid values: between (19 + LAF size + COA size + COT size + IOA size) and (255).

Default: 253

Commands active

101

104

This options allows you to activate write access. Process information in control direction are executed. If this options is deactivated, an entry in the error protocol is created.

This setting can be individualized by means of a variable in zenon (IOA 2).

Default: active

870-101 specific

870-101 specific

COA size

101

Defines the length of the COA (Common Object Address/Common Address of ASDU).
Selection of address size from drop-down list:

  • 1 octet
  • 2 octets
  • Note: If the 60870-5-104 (TCP/IP) connection type is selected for link layer, the value 2 octets is expected in accordance with the standard. Only change the default value for a connection with a non-compliant PLC.

Default: 2

COT size

101

Defines the length of the COT (cause of transmission).

Selection of address size from drop-down list. Valid:

  • 1 octet
  • 2 octets
  • Note: If the 60870-5-104 (TCP/IP) connection type is selected for link layer, the value 2 octets is expected in accordance with the standard. Only change the default value for a connection with a non-compliant PLC.

Default: 2

IOA size

101

Defines the length of the IOA (Information Object Address).

Selection of address size from drop-down list. Valid:

  • 1 octet
  • 2 octets
  • 3 octets
  • Note: If the 60870-5-104 (TCP/IP) connection type is selected for link layer, the value 3 octets is expected in accordance with the standard. Only change the default value for a connection with a non-compliant PLC.

Default: 3

Link address

101

Link address Via the link address contained in the TF 1.2 frame, the master specifies the device that the command is intended for. With link addresses, a Master can communicate with multiple devices. The allowed range of the address depends on the setting 'links address size' in the main settings.
Link address size = 1 allows a range of 0 to 254
Link address size = 2 allows a range of 0 to 65534

Default: -1

Note: The current value is lost if the protocol is changed.

Master polling timeout

101

Shows the time in seconds in which the master must execute a query to the slave.

If there is no query within this time, the connection is ended.

Default: 0

Note: 0 deactivates the monitoring.

870-104 specific

IP-Adress

104

IP address of the Master. This allows to identify the device that the Master communicates with. All IP addresses except 255.255.255.255 are allowed.

Note: The current value is lost if the protocol is changed.


Sector

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> Devices -> Sector

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Sector tab lists all sectors defined in the device. If you select a sector, its Information Objects (IOs) will be displayed.

Parameters | Description
Sectors |
New | Activates the dialog for creating a new sector. You close this subsequent dialog and create a new sector by clicking on OK.
Edit | Activates the dialog for editing the selected sector. You can also launch the editor by double-clicking on the sector in the list. This button is inactive if no sector was selected.
Delete | Deletes the selected sector. This button is inactive if no sector was selected.
Information Objects |
New | Activates the dialog for creating new IOs. This subsequent dialog is closed and a new IO is created by clicking on 'OK'. This button is inactive if no sector was selected.
Edit | Activates the dialog for editing the selected IO. You can also launch the editor by double-clicking on the IO in the list. This button is inactive if no IO was selected.
Delete | Deletes the selected information object. This button is inactive if no IO was selected.

Noch in diesem Kapitel

Sector Settings

Information Objects

Data point selection

Mapping of the data types

Sector


Sector Settings

Sector Settings

Parameters

Description

Sector Settings

Name

Any name. For easy identification of a sector.

COA

The COMMON ADDRESS OF ASDUs (IEC 60870-5-101 7.2.4) by which the sector is addressed.
This number must be unique on the device side (1..254).

Time for Background scan [min]

Supports the requirements of IEC 60870 Norm Chapter 7.4.13 "Background Scan". The values are sent with COT = 2. Cycle time is stated in minutes.

Values are transferred cyclically in the time grid set up for all IOs with the "Background Scan" option activated.

Values are only transferred cyclically if no spontaneous value is transferred within the time set.

If the value is "0", cyclical transfer of values is deactivated for this sector.

Time for periodic transfer [s]

Support of cyclical data transfer corresponding to the norm (IEC 60870-5-5 6.3). The values are sent with COT = 1. Cycle time is stated in seconds.

Values are transferred cyclically for all IOs with the "Periodic data transfer" option activated. IOs are transferred cyclically and not spontaneously.

If the value is "0", cyclical transfer of values is deactivated for this sector.

Select before execute

If active, a prior select is necessary for an execute.

SBE Timeout [s]

Timeout in seconds within which the select sequence must be ended and an execute must be carried out.
Inactive if Select before execute is not active.
Default: 30 s
Input range: 1 to 65535

Transmition of integrated totals

Selection of the transfer mode (see IEC 60870-5-101 7.4.8) for the integrated totals - the IOs of type:

  • 15 (M_IT_NA_1)
  • 16 (M_IT_NA_1)
  • 37 (M_IT_NA_1)

No reset is supported. An FRZ with a reset triggers a warning.

For modes A to D, IOs are requested immediately after connecting to the master of zenon/zenon Logic. Value changes to integrated totals IOs are administered in their own buffer. This can buffer the larger value of (IT IO number) * 4, or 2048 value changes.

With general interrogation

Integrated Totals are also transferred during a general interrogation (C_IC_NA_1).

Mode A: Local freeze with spontaneous transmission

Integrated totals are transferred when a value is changed.

Mode B: Local freeze with counter interrogation

Integrated totals are only transferred with a counter interrogation command (C_CI_NA_1). To do this, a maximum of five seconds is waited after the interrogation is activated until all ITs have been supplied with values. ITs without a value are transferred with an invalid qualifier. The value changes are buffered until the interrogation is completed (freeze active). All ITs thus transfer the value of the point in time, when the last IT was supplied with a value.

Mode C: freeze and transmit by counter interrogation Transmition of integrated totalscommands

As with mode B.

Mode D: freeze by counter interrogation command, frozen values spontaneous

Transfer as with mode C, mode A is activated after conclusion of the interrogation.

OK

By pressing the button OK, you can check whether the COA is available in the device. If it is already in use you will receive an error message. If it is available, the setting is accepted and the dialog is closed.

Cancel

Discards all entries and closes the dialog.

Help

Apre la guida online.


Information Objects

Information Objects

Parameters

Description

Settings

Information Object

Defines the address under which the IO is addressed (IEC 60870-5-101 7.2.5). In combination with the type ID (Type identifications), it must be unique for each sector.

Default: 1

Type identification

Drop-down list with the supported Type identifications (IEC 60870-5-101 7.2.1).

Default: <0> Internal status

This setting is also called type ID.

It also determines the variables of the process control system that can be associated to the IO based on their data type.

Note: You can also find more detailed information on type ID in the chapters Assignment of data types and Interoperability.

SCADA variable

Defines the variable from the process control system associated with the IO.
Syntax: <Project name>#<variable name> define the project connection.
Variables without project reference are looked for in the default project.
While entering, the system checks if the specified variable exists in the according project and if it has a data type compatible with the type identification.
The Button '...' opens the dialog for variable selection.
Read more about this in the section 'Variable selection'.
(Scada stands for the name of the process control system.)

Data Transfer

Determines the type of data transfer for IOs

Default: Spontaneous

Spontaneous

IO data transfer is spontaneous.

Background Scan

IOs are transferred as a background scan in accordance with the IEC 60870 norm. A data point that does not receive a new spontaneous value within the set background scan time is automatically sent by the gateway after the time has expired. Values are only transferred if no spontaneous value has yet been transferred within the time set.

The setting is inactive if the background scan is locked at the sector (Time=0) or if the type ID used does not support the background scan.

M_SP_TA_1, M_SP_TB_1, M_DP_TA_1, M_DP_TB_1, M_ST_TA_1, M_ST_TB_1, M_ME_TA_1, M_ME_TB_1, M_ME_TC_1, M_ME_TD_1, M_ME_TE_1, M_ME_TF_1, M_BO_TB_1, M_BO_TA_1

For these type IDs, they are mapped to the corresponding TID without a time stamp when the background scan is sent.

The setting is not available for any other type ID.

Periodic Data Transfer

Periodic data transfer in accordance with IEC 60870-5-5-6.3 norm.

IOs are transferred cyclically and not spontaneously.

The setting is inactive if periodic data transfer is locked for the sector (Time=0) or if the type ID used does not support periodic data transfer.

The type ID =9,11,13 supports periodic transfer:

M_ME_NA_1, M_ME_NB_1, M_ME_NC_1

The setting is not available for any other type ID.

Off

Changes in value are not transferred. No value is sent for the IO during a general interrogation (GI).

Spontaneous, buffered when master is offline

The data is buffered until it can be read by the master again. All buffered data is sent with the status COT_spont (3). The last buffered value is sent with the status COT_inrogen (20) again.

Buffering can be activated for the type IDs <30..37>:

M_SP_TB_1, M_DP_TB_1, M_ST_TB_1, M_BO_TB_1, M_ME_TD_1, M_ME_TE_1, M_ME_TF_1 und M_IT_TB_1

The setting is not available for any other type ID.

Sequences of events

These settings define the IO-specific behavior for SOE. The SOE transfer (see IEC norm 60870-5-101 7.4.11.3.1) can also be activated for the type IDs <30..37>:

M_SP_TB_1, M_DP_TB_1, M_ST_TB_1, M_BO_TB_1, M_ME_TD_1, M_ME_TE_1, M_ME_TF_1 und M_IT_TB_1

Default: Inactive

Inactive

Data point is not used for SOE description.

Is automatically used for all type IDs that do not support SOE.

All events

Each value or status change triggers a write in the open file.

The setting is blocked if the type ID if not planned for the SOE function.

Raising Edge

If the value changes from 0 to <> 0, then it triggers the write mode in the open file.

The setting is blocked if the type ID if not planned for the SOE function.

Falling Edge

If the value changes from <> 0 to 0, then it triggers the write mode in the open file.

The setting is blocked if the type ID if not planned for the SOE function.

Raising + Falling Edge

A change of value from 0 to <> 0 or from <> 0 to 0 triggers a write in the open file.

The setting is blocked if the type ID if not planned for the SOE function.

File trigger

If a value is to be written due to the settings previously described, a new file is created and opened for the activated file, provided this has not yet been opened. The trigger event itself is also written to the SOE file.

The setting is blocked if the type ID if not planned for the SOE function.

Default: Inactive

Hysteresis

Value changes that are within the hysteresis are not transferred for the permitted TID if they have the Spontaneous selection.

A transfer is therefore triggered:

  • If type identification allows hysteresis.
    The type identifications <9> to <14> and <34> to <36> are not permitted.
  • With spontaneous transfer
  • With a value change that acts >= the hysteresis (according to the direction).

Negative

Negative Hysteresis, from measuring range

Default: 0

Note: only active if type identification is not <9> to <14> or <34> to <36>. This field is also inactive if the value Data Transfer is not spontaneous.

Erroneous and meaningless entries (such as text input or incorrect hysteresis values) are ignored and must be taken into account by the person configuring the project.

Positive

Positive hysteresis, from measuring range

Default: 0

Note: only active if type identification is not <9> to <14> or <34> to <36>. This field is also inactive if the value Data Transfer is not spontaneous.

Erroneous and meaningless entries (such as text input or incorrect hysteresis values) are ignored and must be taken into account by the person configuring the project.

OK

Your settings are verified after pressing the button "OK". If they are valid, they are accepted and the dialog is closed.

Cancel

Discards all entries and closes the dialog.

Help

Apre la guida online.

Note: The XML file of the configuration must, from zenon 7.11 onwards, contain the entry HysteresisNegative and HysteresisPositive for each IO.

info Informazioni su

The communication for Spontaneous data transfer, Background Scan and Periodic Data Transfer starts once the first general request has been received (C_IC_NA_1). For background scan and periodic data transfer, the start of the transfer cycle is calculated per IO from the time of the answer to the general query.


Data point selection

Data point selection

This dialog lists all available projects and their variables.

Parameters

Description

Projekte

An asterisk (*) marks the default project.

Variablen

The list of variables is filtered. You only see the variables that can be used with the 'type identification' selected for the IO. Selecting a project updates the list of variables.

OK

Assumes the selected variable. Alternatively, the variable can be assumed by double clicking. When loading, the currently configured project and the variable will be selected.

The same variable can be used several times:
for several IOs in the same sector or other sectors,
for the same device or another one.

If the dialog remains open and there is a reload in the Runtime, all lists will be emptied and refilled after the reload is finished.

Cancel

Discards all entries and closes the dialog.

Help

Apre la guida online.


Mapping of the data types

Mapping of the data types

The zenon data types are compared to the IEC60870 data types in the following table.

Process Gateway |  | zenon
IEC 60870-5-101 ASDU | Type identification | Data Type | Comment
M_SP_NA_1 | 1 | BOOL |
M_SP_TA_1 | 2 | BOOL |
M_SP_TB_1 | 30 | BOOL |
M_DP_NA_1 | 3 | USINT |
M_DP_TA_1 | 4 | USINT |
M_DP_TB_1 | 31 | USINT |
M_ST_NA_1 | 5 | USINT | Corresponds to whole VTI (IEC60870-5-101 7.2.6.5). Bit 8 is the Transient bit.
M_ST_TA_1 | 6 | USINT | See above
M_ST_TB_1 | 32 | USINT | See above
M_BO_NA_1 | 7 | UDINT |
M_BO_TA_1 | 8 | UDINT |
M_BO_TB_1 | 33 | UDINT |
M_ME_NA_1 | 9 | REAL | If, in zenon, values of the variables in the norm range for 'normalized values' <-1 .. 1-2-15> are gone below or exceeded, the value of the IO is amended in ASDU and the OV quality bit is set.
M_ME_TA_1 | 10 | REAL | See above
M_ME_TD_1 | 34 | REAL | See above
M_ME_NB_1 | 11 | INT |
M_ME_TB_1 | 12 | INT |
M_ME_TE_1 | 35 | INT |
M_ME_NC_1 | 13 | REAL |
M_ME_TC_1 | 14 | REAL |
M_ME_TF_1 | 36 | REAL |
M_IT_NA_1 | 15 | DINT |
M_IT_TA_1 | 16 | DINT |
M_IT_TB_1 | 37 | DINT |
M_EI_NA_1 | 70 | USINT | A value change from 126 to 127 causes End of initialization to be sent to the master
C_SC_NA_1 | 45 | BOOL | mirrors the command direction during execution
C_SC_TA_1 | 58 | BOOL | See above
C_DC_NA_1 | 46 | USINT | See above
C_DC_TA_1 | 59 | USINT | See above
C_RC_NA_1 | 47 | USINT | See above
C_RC_TA_1 | 60 | USINT | See above
C_SE_NA_1 | 48 | REAL | See above
C_SE_TA_1 | 61 | REAL | See above
C_SE_NB_1 | 49 | INT | See above
C_SE_TB_1 | 62 | INT | See above
C_SE_NC_1 | 50 | REAL | See above
C_SE_TC_1 | 63 | REAL | See above
C_BO_NA_1 | 51 | UDINT | See above
C_BO_TA_1 | 64 | UDINT | See above
C_IC_NA_1 | 100 | - | Is executed automatically and the execution is not reflected in zenon
C_CI_NA_1 | 101 | - | Is executed automatically and the execution is not reflected in zenon
C_RD_NA_1 | 102 | - | Is executed automatically and the execution is not reflected in zenon
C_CS_NA_1 | 103 | BOOL | The enable variable of the time synchronization
C_TS_NA_1 | 104 | - | Is executed automatically and the execution is not reflected in zenon
C_TS_TA_1 | 107 | - | See above
C_RP_NA_1 | 105 | USINT | QRP during execution
F_DR_TA_1 | 126 | USINT | For spontaneous directory transfer


Sector

Sector

XML fields

Parameters

Description

Version

The CNT_MODE field is expected from version 3 onwards.

CNT_MODE

Configured mode of integrated totals IOs.

Sector

The new items ToSBe and ob SBE are added for the sector:

  • ToSBe:
    Timeout [ms] for Select before execute: 1000 - 65535000
  • SBE:
    0 => not required 1 => necessary for execute

Configured mode

Parameters | Description
0 | With general interrogation. (Default)
1 | Mode A
2 | Mode B
3 | Mode C
4 | Mode D

Error codes

Code | Description
13 | Advise for integrated totals fail.
14 | Queue overrun. Integrated totals values lost.
16 | Advise failed for command variable
17 | List of value changes for command variables with SBE too long. Value change has been lost. 2048 value changes are buffered as a minimum, or four times the number of active Select Before Execute (SBE) - depending on which value is greater.
572 | Counter interrogation. Unsupported QCC.
573 | Counter interrogation. Unexpected IOA.
574 | Counter interrogation. Unsupported COT.
575 | Buffer for integrated totals interrogation data too small.

Warnings

Code | Description
1011 | QCC FRZ is only partly supported.
1012 | Counter interrogation already active.
1014 | Activation confirmation already confirmed.

Error message

Message | Description
Unsupported qualifier of counter interrogation. <command> | Unknown QCC. RQT is only supported with 5.
Counter interrogation processed without reset. < command> | Warning. Reset is not supported.
Can't advise IT data point. Device:(<device>)<device> Sector:(<COA>)<Sektorname> adv:0x<Advise-ID> | Data points for integrated totals could not be requested.
IT Values lost, queue full! Device:(<device>)<device> Sector:(<COA>)<Sektorname> <Wertänderung> | The buffer for the value changes of IT IOs is full. The value change is lost.


104 settings

Manuale -> Process Gateway -> IEC870 Slave -> Module configuration -> Devices -> 104 settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Set the timeout times and APDUs in the 104 tab.

Note: The input fields of this tab are only available if 870-104 has been selected as a protocol.

Parameters | Description
Timeouts | Timeout settings of the connection
T0: time-out of connection establishment | Timeout for establishing connection. Value range 0 - 4294967295 Default value: 30000
T1: Time-out send or test APDUs | Timeout for frame confirmation by the master. Value range: 0 - 4294967295 Default value: 15000
T2: Time-out for ack. in case of no data msg | Timeout, within which the master should confirm if no data is exchanged. Value range: 0 - 4294967295 Default value: 10000
T3: Time-out for sending test frames | Time after which a U-frame is sent to the master if no data is to be transferred. Value range: 0 - 4294967295 Default value: 20000
APDUs | Settings for the ISO 7816 standard: Application Protocol Data Unit (APDU).
k: Maximum difference receive sequence nr to send state | Number of maximum I-frames not yet confirmed by the master. Value range: 0 - 4294967295 Default value: 12
w: Latest acknowledge after receiving w I-Format APDUs | Number of I-frames received after a confirmation is sent. Value range: 0 - 4294967295 Default value: 8

info Informazioni su

The Reset to default button resets all input to the default values


Communication

Manuale -> Process Gateway -> IEC870 Slave -> Communication

This chapter explains details on communication in the Process Gateway:

  • Start
  • General query
  • Reset
  • Value changes
  • Priority
  • Read
  • Process Initialized
  • File transfer
    • Storage and naming of files for transfer
    • Spontaneous directory transfer
  • Sequence of Events (SOE)
    • Warnings
    • Error message
  • Time synchronization
  • DPI / DCS mapping
  • Select Before Operate
  • Qualifier of command
  • Invalid Bit Handling
  • Normalized Values
  • Monitoring command
  • Internal type T00
  • Pulse generation
  • Reload project online
  • Broadcasts
  • Realtime invalid - Statusbit T_INVAL
  • Test commands

Noch in diesem Kapitel

Start

General query

End of connection and resets

Transfer of the value changes

Reload project online

Data priorities

Internal type T00 (status variable)

Time synchronization

Broadcasts

Mapping of status bits in message direction

Commands

File transfer

Sequence of Events (SOE)

Read - T102 - request

Test - T104 and T107 - requests


Start

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When the process gateway is started, it loads the configured driver.

The driver then attempts to read its active configuration from the file entered in the INI file. If this is not possible, an error message is displayed and the configuration dialog is opened.

If the dialog is not left with OK, the application closes.

attention Attenzione

If the application is launched as invisible, there will be no configuration dialog. The Process Gateway will automatically quit if its configuration is invalid or missing.


General query

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> General query

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The general query triggers an establishment of the connection to zenon Runtime in the IEC870 slave. The receipt of the GI - C_IC_NA_1 - from a master is a requirement for spontaneous communication, background scan and periodic data transfer. This connection is built up in sectors.

If the connection cannot be established in Runtime, there is a negative confirmation of the general query. A query that is already active for the sector is ended and a warning is logged.

Value changes for IOs whose value has already been reported to the master are buffered as long as the GI is running.

During a project reload, it is not possible to connect to the RT. The general request will fail in this case.

attention Attention

In accordance with the IEC60870 standard, a master must start communication with a general query. For this reason, the slave closes the connection if the master has not sent a GI in the envisaged time.


End of connection and resets

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> End of connection and resets

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The reset in the slave is triggered if a master connects:

  • 870-101: All commands will be rejected until the function code for reset (0) has been received. The code causes a reset in the link layer and the application layer.
  • 870-104: As a result of the connection being disconnected, a master can detect the interruption immediately and starts the initialization process again.

Ending communication

In general, communication is ended if:

  • The Process Gateway application is ended
  • Changes to the configuration of the slave are activated
  • Runtime reloads
  • the master has established the connection but no general query was sent
  • The list of the value changes that have not been sent for the sector has overflowed
  • A non-supported command has been received (command is answered in the negative and the connection is ended for security reasons).
  • A command with a non-supported address is received (command is answered in the negative and the connection is ended for security reasons).

Noch in diesem Kapitel

'Reset process command' - T105 - request

'End of Initialization' - T70 - send


'Reset process command' - T105 - request

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> End of connection and resets -> 'Reset process command' - T105 - request

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The slave can inform zenon Runtime of the receipt of a C_RP_NA_1 command. To do this:

  • create an IO of type T105with IOA 0.

If a master is sent the command C_RP_NA_1, the value of the variable is set to 0 and then to the value of QRP.

The slave confirms receipt of the command to the master and changes the value of the corresponding T105 variable for Runtime but otherwise the command has no effect in the slave. The optional sending of the 'End of initialization' (T70) is not executed automatically.


'End of Initialization' - T70 - send

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> End of connection and resets -> 'End of Initialization' - T70 - send

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

From the process control system, it is possible to instigate an ASDU<70> - M_EI_NA_1 ('End of initialization') being sent to the master. To do this:

  • create an IO of type T70 with IOA 0.

The transfer is triggered if the current value of the variable is 126 and this is amended to 127. As COI (Cause of initialization), 2 (remote reset) is used.


Transfer of the value changes

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Transfer of the value changes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The IEC870 slave receives, from zenon Runtime, all value changes of the requested variables. Because, as a result of this, the list of process information that has not yet been transferred to the master can become very large, the list of outstanding value changes is limited.

Limit: at least 2048 values or 4 x number of IOs per sector.

If a master receives the values more slowly than they are generated in the process control system, the list can exceed this maximum. The slave can then no longer buffer the value changes that have not yet been transferred. The slave therefore terminates the connection to the master. The master is thus requested to obtain the next connection with a general query, so that it gets current, only recent variable values.

attention Attention

The Master must be able to recognize a communication interrupt, so he can react with a new general request. This is why no process commands will be executed until the Master has caused a reset.

Every time there is a chance of data loss (value changes were lost), a reset will be triggered.


Reload project online

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Reload project online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If one of the projects is reloaded in the zenon Runtime, the connection to all projects using the IOs in the sector will be closed. The device (Device) with the according sector must be reset. That means: The connection to the master is closed.

While the reload is active, you cannot establish a connection to the Runtime. This means that general requests are also not possible.


Data priorities

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Data priorities

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The driver supports class 1 and class 2 files.

Spontaneous communication, background scan and periodic data transfer belong to class 1.

The whole file transfer is treated as class 2. This makes sure that value changes will be transferred to the Master even during a file transfer.


Internal type T00 (status variable)

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Internal type T00 (status variable)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The internal type T00 is used for communication between the Slave and the process control system.

For the status variables, each numeric zenon variable can be assigned, for example internal drivers.

IOA 1

The variable provides the status information as to whether there is already a connection to the master. Create an IO of type T00 with IOA 1. If a connection is established, the value will change from 0 to 1.

IOA 2

A decision as to whether commands are carried out in control direction can be made for each sector by means of a zenon variable for each sector. For rejected commands, a master receives COT_actcon (7) + PN as confirmation. Rejected commands create a warning in the log.

The zenon variable must be of UINT or DWORD type and is assigned with T00 at IOA . If the value of the variable is = 1, the commands are approved. The variable must not have the status INVALID. The commands are always approved if no IO is configured.

This setting can be set globally using the Commands active property.

The enhanced meaning of the IOA 2 variable:

Value | Description
0 | Commands are rejected; sets PN bit
1 | Commands are approved
2 | Silent mode: accept without execution or error message
3.... | Reserved for future versions

info Informazioni su

Attendant warning message:

Commands for sector deactivated, execution prohibited. <Command text>

Warning: 1009 command in control direction was received, but rejected due to a missing enable.

IOA 3

Status variable is set to 1 if the number of SOE files in the transfer directory exceeds the maximum number of buffered files.

IOA 4

Variable provides status information on the current or most recently processed SOE file:

0 - initialization. As long as no SOE file was written.

1 - SOE file is opened

2 - file was closed

3 - too many SOE files in the directory

4 - error when writing the SOE file

5 - errors when creating the SOE file

IOA 5

Variable provides status information by means of file transfer in Monitoring Direction ("Standard Direction" - from the master to the slave).

0 - no transfer active

1 - section is selected

2 - section is requested

3 - waiting on section confirmation

4 - waiting on confirmation of file transfer

255 - error when transferring

IOA 6

Variable provides the number of SOE files present in the transfer directory.

IOA 7

Variable provides status information by means of file transfer in Control Direction ("Reverse Direction" - from the slave to the master).

The information is integrated in a DWORD as follows: [IOA of the transferred files] * 256 + [status information].

Possible status information:

1 = transfer is ongoing

2 - Transfer is ongoing - the transfer that had not been completed beforehand is terminated by the transfer that has currently been started.
Status 3 is also written for the transfer that has been terminated. However because the new status is immediately written afterwards, it cannot be guaranteed in the case of zenon that this is visible in Runtime.

3 - Transfer was terminated due to an error.

4 - File transfer was completed and file is available.


Time synchronization

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Time synchronization

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order for time synchronization to be carried out - on receipt of C_CS_NA_1 , there must be, at any desired Device/Sektor a type T103 IO connected to a process variable. The first IO that uses type T103 is used as an enable.

This variable must have a value of <> 0 and must not have any of the following status bits set:

  • INVALID (Bit 18)
  • OFF (Bit 20)
  • ALT_VAL (Bit 27)
  • BL_870 (Bit 44)

Non execution of the command due to a missing enable (value 0 or status) does not lead to the connection being terminated, the command is only confirmed negatively - COT_actcon + PN.

The missing configuration of the enable variable or the missing value of the enable variable leads to the connection being lost when the C_CS_NA_1 command is received.


Broadcasts

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Broadcasts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Global address 0xFF(FF) in the Common Address of ASDU (COA) is supported for the following Typ IDs:

  • C_IC_NA_1 - General query - ASDU<100>
  • C_CS_NA_1 - Time synchronization - ASDU<103>

No additional project configuration steps are necessary for this.

attention Attenzione

For Data Link Layer, the Broadcast Adress 0xFF(FF) - "all outstations" is not supported in 60870-4-101 communication.

The Broadcast Adress 0xFF(FF) - "all outstations" - in Data Link Layer in 60870-4-101 communication is not supported.


Mapping of status bits in message direction

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Mapping of status bits in message direction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The IEC870 slave supports the sending of quality bits for the information objects. The quality bits of the IO are set - in ASDUs in 'monitor direction' - using certain status bits of the linked zenon variable.

The quality bits are assigned to the status bits of the variables as follows:

Status bit in zenon | IEC60870 quality descriptor bits | Remarks
INVALID | IV (invalid) NT (not topical) | The slave forwards the INVALID status bit in message direction as two quality bits.
OFF | IV (invalid) |
OV_870 | OV (overflow) | OV_870 status bits that already have the variables in zenon are sent to the master. If values for Normalized Values (T09) go below or exceed the norm range <-1 .. 1-2-15>, the OV quality bit is set, even if the variable does not have the status bit in zenon.
BL_870 | BL (blocked) |
SB_870 | SB (substituted) |
ALT_VAL | SB (substituted) | Up to zenon version 7.10, it is mapped the same as the OFF bit.
NT_870 | NT (not topical) |
T_INVAL (time invalid) | Only in "Binary Time 2a" (CP24Time2a/CP56Time2a) BS[24]- IV (invalid) | The slave forwards the T_INVAL status bit in the time stamp of the IOs with "time tag" only.


Commands

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Commands

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A command received - T45..T64 - is set as the value for the zenon variables. In sectors without Select routing, a confirmation, which is always positive, is always sent to the master immediately - COT_actcon (7) and COT_actterm (10).

In such sectors, a Select is also immediately also confirmed automatically - COT_actcon + SE and the zenon variable change neither the value nor the status bit.

Noch in diesem Kapitel

Select routing

Pulse generation - 'Qualifier of Command'


Select routing

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Commands -> Select routing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Select routing can only be used together with Command Processing module - auto/remote actions.

If Select routing was configured for the sector being addressed, there is a wait in receipt of a Select until, via the command variable of zenon, the status SE_870 is acknowledged with COT_actcon (7) and possibly with N_CONF (corresponds to PN).

Only once this has happened is a confirmation to the master (for example a Control Center) triggered. All others for this IO are rejected as long as a selection is taking place.

Timeout, cancel and missing select

The following rules apply for the different possibilities for responding to a Select routing :

  • If Select routing is configured on a sector, one Select Timeout per IO is started for each Select.
  • The slave checks whether the Timeout has expired and then sets the variable to SE, COT_actterm (10) and PN.
  • If a Cancel - COT_deact (8) is received by the master for an ongoing Select , confirmation is provided with COT_deactcon (9) and the Select is deleted.
  • If an Execute or Cancel is received without a Select beforehand, it is responded to with PN - negative.


Pulse generation - 'Qualifier of Command'

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Commands -> Pulse generation - 'Qualifier of Command'

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The IEC870 slave supports pulse generation for commands received. The Qualifier of Command (QoC) is supported for all commands envisaged in the IEC60870 standard (T45,T46,T47 and T58,T59,T60).

For example, an pulse command received - an ASDU of type T45 - with QoC has the following effect on a zenon variable:

  • QoC 0: Undefined in accordance with IEC standard. Behaves in slave as in QoC 3 persistent output.
  • QoC 1: Short pulse. The zenon variable assumes the value 'ON' and changes, after the time defined in the Process Gateway settings to 'OFF'.
  • QoC 2: Long pulse. The zenon variable assumes the value 'ON' and changes, after the time defined in the Process Gateway settings to 'OFF'.
  • QoC 3: Persistent output. The zenon variable assumes the value 'ON' (or 'OFF') and retains the value. This must be reset to receive further commands.

As soon as communication is ended, the pulse for all other active pulse variables will be stopped (i.e. an OFF will be written). If a pulse is triggered for a running pulse generation, the active pulse generation will be stopped. The variable contains the value 'OFF'.

Note: For SCS (single command state), the value 'OFF' is always 0, for DCS (double command state) an 'OFF' is 00b at protocol level, then 2 or 0 in zenon, depending on the "DPI/DCS mapping" setting.

Note: In sectors with Select routing , pulse generation cannot be carried out because 'OFF' after Select is in conflict with Execute .


File transfer

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> File transfer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following applies for file transfer:

  • The values 1-4 are supported in the AFQ UI4
  • The values 0-6 are supported in the SCQ UI4;
    0 and 1 are both 'select file'

If a new transfer is started while another one is still active, the currently active transfer will be interrupted and the new one will be started.

Noch in diesem Kapitel

Storage and naming

Spontaneous directory transfer


Storage and naming

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> File transfer -> Storage and naming

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Use the following scheme for storage and naming:

<Configured folder>\<COA>\<IOA>.<NOF>

Only 1 = 'Name of file' is supported as NOF (transparent file).
The maximum size of files for transfer is 16.711.680 Bytes.

Example

Folder in the module configuration: C:\TEMP\IEC870

File 1100.1: For IO of sector COA=151 and IOA 1100

Save location: C:\TEMP\IEC870\151\1100.1


Spontaneous directory transfer

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> File transfer -> Spontaneous directory transfer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Spontaneous transfer of files in the folder for file transfer can be triggered by the process control system. To do this:

  • create an IO of type F_DR_NA_1 (T126) with IOA '0'.
Value | Meaning
Change from 1 to 2 | Starting transfer
3 | Transfer active
4 | Transfer finished
5 | Transfer failure

Nested activation is prevented.


Sequence of Events (SOE)

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Sequence of Events (SOE)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Settings in the main SOE window:

Parameters | Description
Use sequences of events | If active, the SOE for the selected device is activated. If inactive, all SOE settings to the IOs are ignored. Default: inactive

File settings per sector

Parameters | Description
Buffered SOE Files | If the number set for SOE files in the folder is reached for the sector, a spontaneous directory transfer (type ID "F_DT_TA_1") is triggered. If the number of files in the folder is doubled, the oldest file will start to be deleted (ring buffer function). Value range 1 to 1024. Default: 1024
Events per File | Number of value changes that are written in a file before it is closed. Value range: 1 to 4096. Default: 512
Automatically delete SOE file | If active, the reaction is that this is then automatically closed for type ID "F_AF_NA_1" (confirmation for file) for an SOE file.

Timeouts

Parameters | Description
Post trigger timeout | If no ASDU is written to the file within this period of time, this is then closed. The time period starts over with each ASDU written. Value range: 100ms to 120000ms Default: 1000ms
File timeout | Maximum time for which the file remains open (regardless of the number of events). Value range: 100ms to 120000ms Default: 5000ms

First value

The exchange of data for SOE starts immediately once the Gateway has been initialized. The exchange of data for data in monitoring direction only starts when a master has connected and triggered a general interrogation (GI). The first value that is initialized does not trigger an event and is thus also not entered into the file. The same applies if Runtime is ready again to exchange data after reloading.

File transfer

As part of the SOE function for transparent (1), event (3) is also supported as NOF.

Files are not transferred automatically if the maximum number of SOE files to be buffered is exceeded.

The IEC 60870 norm describes this with "may be activated". The Gateway does not support any file transfers activated by the Slave in the current version.

Directory Transfer

As part of the SOE function for transparent (1), event (3) is also supported as NOF.

Automatic directory transfer:

In accordance with the IEC 60870 norm, an automatic spontaneous directory transfer is activated for the following reasons with existing SOE files:

  • 24 hours after the last automatic directory transfer.
  • if the master connects
  • if the maximum number of files to be buffered is exceeded

Noch in diesem Kapitel

Warnings

Error message

LOG entries


Warnings

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Sequence of Events (SOE) -> Warnings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Warning message | Meaning
Sequences of events for device <Devicename> sector <Sectorname> are activated but no trigger defined | The device has SOE activated, on the server there is an IO with SOE active but the trigger was not activated for any IO. No file is created without a trigger. At least one IO must have the trigger activated for the sector.
SOE value change without trigger and file is closed. Value lost! Device:(<Device ID>)<Device-Name> Sector:(<COA>)<Sector name> <Value information> | A value change was not written because the SOE file is not open. Code:1010


Error message

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Sequence of Events (SOE) -> Error message

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Error message | Meaning
Sequence of events active but no directory for the file transfer defined! | SOE files are archived in the file transfer folder. Therefore a folder for file transfer must be present.
SOE values lost, queue full! Device:(<Device ID>)<Device-Name> Sector:(<COA>)<Sector name> <Value information> | for IOs that have a SOE activated, data is exchanged to the stack via a queue. This can assume a value of 2048 or 4 * the number of SOE IO’s in sector entries. If this number is exceeded, this error message is created and the value change is lost. Error code: 6
Can't create subdirectory for file transfer. Device:(<Device ID>)<Device name> Sector:(<COA>)<Sector name> system error:<System error code> | The subfolder for the sector is automatically created for SOE in the folder for file transfers. This error shows that this folder could not be created. SOE then indicates that this sector is NOT available. Error code: 10
System error code | Contains the error code returned from the operating system.
Can't advise SOE data point. Device:(<Device ID>)<Device name> Sector:(<COA>)<Sector name> adv:0x<Advise ID> | Data point request for SOE IOs failed. SOE then indicates that this sector is NOT available. Error code: 11
Write asdu to file <Filename> fail! Device:(<Device ID>)<Device name> Sector:(<COA>)<Sector name> <Value> system error: <System error code> | ASDU write to SOE file failed. Error code: 8
Illegal file name <Filename> detected! Device:(<Device ID>)<Device name> Sector:(<COA>)<Sector name> | Filenames for the file transfer have a defined format <IOA>.<NOF>. The file does not adhere to this convention. Error code: 12
Auto delete for file failed! System error: <System error code> <File transfer information> | Error code: 9
File transfer information | Contains the information that identifies the file transfer.


LOG entries

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Sequence of Events (SOE) -> LOG entries

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The sequence of events writes the following entries to the LOG file

Parameters | Description
deviceIp: | IP address from the device
devicename: | Name of device
COA: | Care of Address -> according to standard
SecName: | Sector description
TypeyId: | Command number
TypeIdAsTxt: | Command as text
IOA: | According to standard
AdviseID: | ID via which value changes are requested and assigned
Value: | Value transferred
TimeStamp: | Time of value change. From the driver or command
QUALDESC: | According to standard
SBEValue: | COT, select and pn mapped to unique enums: 0: Not select relevant 1: actcon+pn+select 2: actcon+select 3: deactcon+pn+select, 4: deactcon+select 5: actterm+pn+select, 6: actterm+select,
Confirmed: | 1 if select already confirmed
COT: | According to standard
CotTxt: | Cot asText
Qualifier: | According to standard and command
Originator: | According to standard
QU: | Qualifier of command QU 7.2.6.26
DCS: | 7.2.6.16 Double command (IEV 371-03-03)
ControlCommand: | Depending on control command

Example for 45:

<TypeId> <TypeIdAsTxt> Device:(<deviceip>)<devicename> Sector:(<IOA>)< SecName > ioa:<IOA> cot:(<COT>)<CotTxt> ori:<Originator> sel:<QOC S/E> qu:<QU> dcs:<DCS>

ValueChange cmd(<TypeyId>)<<TypeId>> <TypeIdAsTxt> ioa:<IOA> id:<AdviseID> value:<Wert> time:<TimeStamp> state:< QUALDESC > sir:<SBEValue>

LOG entry | Module/Level | Description
SBE IED processing. Device:(<deviceIp>)<devicename> Sector:(<COA>)<SecName> <ValueChange> SBE command: advise:<AdviseID> conf:<confirmed> <ControlCommand> | OSI7/Debug | Each value change that is processed for SBE creates this log message
Wrn:1014 SBE activation already confirmed! Device:(<DeviceIp>)<devicename> Sector:(<COA>)<SecName> <ValueChange> | OSI7/Warnung | Renewed conformation for Select received and ignored
Error:16 Advise for SBE data point fail. SBE command: advise:<AdviseId> conf:<confirmed> <ControlCommand> | Scada/error | Variable could not be requested.
Error:17 SBE value lost, queue full! Device:(<DeviceIp>)<devicename> Sector:(<COA>)<SecName> <ValueChange> | Scada/Error | Value change for SBE lost because the source is full.


Read - T102 - request

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Read - T102 - request

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Maximum 2048 read requests - C_RD_NA_1 - can be active at the same time. Once this limit has been reached, further read requests are rejected.

A read request is executed for each IO with the requested IOA .
Several requests for one IO can be active at the same time.
Read requests will be processed even if the general request is not finished yet.

The response to the read command does not need to be configured and automatically runs in the background.


Test - T104 and T107 - requests

Manuale -> Process Gateway -> IEC870 Slave -> Communication -> Test - T104 and T107 - requests

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The IEC870 slave responds to the master automatically with the two test commands C_TS_NA_1 (ASDU<104>) and C_TS_TA_1 (ASDU<107>).

This response does not need to be engineerd and runs in the background.

info Informazioni su

You can find further information on command IDs the Interoperability chapter.


Error analysis

Manuale -> Process Gateway -> IEC870 Slave -> Error analysis

Should there be communication problems, this chapter will assist you in finding out the error.

Noch in diesem Kapitel

Analysis tool

Error codes

Check list


Analysis tool

Manuale -> Process Gateway -> IEC870 Slave -> Error analysis -> Analysis tool

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Process Gateway behaves like a zenon driver and writes messages to a common log file. To display them correctly and clearly, use the Diagnosis Viewer program that was also installed with zenon. You can find it under Start/All programs/zenon/Tools 7.50 -> Diagviewer. In general:

I driver di zenon protocollano tutti gli errori nei file LOG. La cartella standard per i file Log è la sottocartella LOG della directory ProgramData, per es.:

%ProgramData%\COPA-DATA\LOG. I file LOG sono file di testo con una struttura speciale:

Attenzione: con le impostazioni standard, un driver registra solamente le informazioni errate. Con il Diagnosis Viewer, invece, si può estendere il livello di diagnosi per la maggiore parte dei driver anche a "Debug" e "Deep Debug". In questo caso, il driver protocollerà anche tutte le altre attività e tutti gli altri eventi fondamentali.

Nel Diagnosis Viewer si può anche:

  • Seguire nuovi inserimenti in tempo reale
  • Individualizzare le impostazioni di registrazione
  • Modificare la cartella in cui vengono salvati i file LOG

Nota:

  1. Il Diagnosis Viewer visualizza tutti gli inserimenti in UTC (tempo coordinato universale) e non nell´ora locale.
  2. Nella sua impostazione standard, il Diagnosis Viewer non visualizza tutte le colonne di un file LOG. Per visualizzare un numero maggiore di colonne, attivare la proprietà Add all columns with entry nel menù contestuale dell´intestazione della colonna.
  3. Se si usa solamente l´Error-Logging, la descrizione del problema si trova nella colonna Error text. Per altri livelli di diagnosi, invece, questa descrizione si trova nella colonna General text.
  4. In caso di problemi di comunicazione, molti driver registrano codici di errore che gli vengono trasmessi dal PLC. Questi codici vengono visualizzati nell´Error text e/o nell´ Error code e/o nel Driver error parameter(1 e 2). Delle indicazioni relative al significato dei codici di errore si possono trovare nella documentazione driver e nella descrizione del protocollo/PLC.
  5. Dopo aver eseguito i test, riportare il livello di diagnosi da Debug o Deep Debug alle impostazioni originarie. Con i livelli Debug e Deep Debug, infatti, c`è una grande quantità di dati che devono essere salvati sul disco fisso e questo potrebbe compromettere le prestazioni del sistema. Il sistema continua a registrare questi dati anche dopo che il Diagnosis Viewer è stato chiuso.

attention Attenzione

A causa delle limitate risorse disponibili, con Windows CE gli errori non vengono protocollati di default.

Note: Process Gateway is not available under Windows CE.

info Informazioni su

You can find further information on the Diagnosis Viewer in the Diagnose Viewer chapter.

Noch in diesem Kapitel

Logging


Logging

Manuale -> Process Gateway -> IEC870 Slave -> Error analysis -> Analysis tool -> Logging

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The driver supports a comprehensive logging function for:

  • Client name
  • zenProcGateway_IEC870Slave
  • Modules

Client name

The way the name of the client is displayed in the diagnosis viewer depends on the configuration. That is why the name changes if you change the TCP port, the COM port or the protocol. In this case, the logging settings may also change.

If the Process Gateway is started several times with the same settings, the same client name will be used. The error messages of the different instances can be distinguished by the process ID.

Example Esempio

zenProcGateway_IEC870Slave

  • 104 protocol with standard port 2404
  • 101 if COM1 selected.
  • If the configuration has not been loaded yet, error messages during startup will always be visible under this client.

zenProcGateway_IEC870Slave:COM4

  • 101 with COM4.
    The name contains the used COM port.

zenProcGateway_IEC870Slave:Port:12345

  • 104 with port 12345.
    The name contains the port for the Master connection.

Modules

Error messages are shown for all modules:

  • IEC870 Slave
  • OSI2
  • OSI7
  • SCADA Runtime (ScadaRT)

IEC870 Slave

Concerns the connection to the Process Gateway and its configuration.

Information about:

  • Errors during engineering

OSI2

Concerns the protocol level. This where framing with its according functions is implemented.

Information about:

  • Received data as byte dump
  • Sent data as byte dump
  • Function codes for 101
  • Errors on this level, e.g. in the framing
  • APCI for 104 (870-5-104 5)

Levels

  • Msg: Frame interpreting
  • Debug:
    Received and sent data
    Frame analysis.
    New Master connection.
  • Deep Debug: Every request about existence of characters. Produces a large number of logging entries!

OSI7

Concerns the application layer.
This is where commands are interpreted and executed.

Information about:

  • Logging 'process and system information'
  • Errors in the ASDUs

Levels:

  • Warning: Recursive interrogation
  • Msg: Process information, System information
  • Debug: Confirmed I-frames
  • Deep Debug: Interrogation runs. Produces a large number of logging entries!

SCADA Runtime (ScadaRT)

Messages for connection to the Runtime:

Information about:

  • advised and unadvised variables
  • updated variables
  • Deactivating the project

Levels

  • Debug:
    changed values
    project inactive


Error codes

Manuale -> Process Gateway -> IEC870 Slave -> Error analysis -> Error codes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following error codes can be displayed in the Diagnosis Viewer:

Error code | Meaning
570 | Value change for unknown cyclical IO
571 | Transfer buffer too small to transfer a cyclical IO

Error messages for file transfer in reverse direction

Error number | Error level | Description
20 | Error message | Creation of the temporary file for the file transfer in reverse direction was unsuccessful.
1017 | Warning | File transfer in reverse direction is already active, the ongoing one will be ended and a new one started.
21 | Error message | Segment data write error occurred
22 | Error message | Length of the data exceeds the expected file length
23 | Error message | Checksum of the transferred segments incorrect for the sector.
24 | Error message | Checksum for file incorrect.
25 | Error message | Segment data transferred for sector exceeds the data length defined at the start
26 | Error message | Sector data transfer is reported as finished but the amount of segment data transferred does not correspond to that stated at the start.
27 | Error message | File data is reported as completed but the given file length does not correspond.
581 | Error message | Unexpected IOA with SG
582 | Error message | Unexpected NOF with SG
583 | Error message | Unexpected NOS with SG
584 | Error message | Unexpected NOS with LS
585 | Error message | Unexpected NOS with LS
586 | Error message | Unexpected NOS with LS
587 | Error message | FR with non-supported NOF. We only support 1 == transparent


Check list

Manuale -> Process Gateway -> IEC870 Slave -> Error analysis -> Check list

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • Is the COM port in use by another application or are the settings incorrect?
  • Is the device (PLC) that you are trying to communicate with connected to the power supply?
  • Is the cable between PLC and PC/IPC connected correctly?
  • Have you analyzed the error file (which errors did occur)?
  • For additional error analyses, please send a project backup and the LOG file of the DiagViewer to the support team responsible for you.


Interoperability

Manuale -> Process Gateway -> IEC870 Slave -> Interoperability

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This companion standard presents sets of parameters and alternatives from which subsets must be selected to implement particular telecontrol systems. Certain parameter values, such as the choice of 'structured' or'unstructured' fields of the informationobject address of ASDUs represent mutually exclusive alternatives. This means that only one value of the defined parameters is admitted per system. Other parameters, such as the listed set of different process information incommand and in monitor direction allow the specification of the complete set orsubsets, as appropriate for given applications. This clause summarizes theparameters of the previous clauses to facilitate a suitable selection for aspecific application. If a system is composed of equipment stemming from different manufacturers, it is necessary that all partners agree on the selected parameters.

The interoperability list is defined as in IEC 60870-5-101 and extended with parameters used in this standard. The text descriptions of parameters which are not applicable to this companion standard are strike-through (corresponding check box is marked black).

NOTE In addition, the full specification of a system may require individual selection of certain parameters for certain parts of the system, such as the individual selection of scaling factors for individually addressable measured values.

The selected parameters should bemarked in the white boxes as follows:

[ ] Function or ASDU is not used
[ X ] Function or ASDU is used as standardized (default)
[ R ] Function or ASDU is used in reverse mode
[ B ] Function or ASDU is used in standard and reverse mode

The possible selection (blank, X , R , or B ) is specified for each specific clause or parameter.

A black check box indicates that the option cannot be selected in this companion standard.

1. System or device

(system-specific parameter, indicate definition of a system or a device by marking one of the following with ' X ')

[ ] System definition
[ ] Controlling station definition (Master)
[ X ] Controlled station definition (Slave)

2. Network Configuration: 101 only

(network-specific parameter, all configurations that are used are to be marked ' X ')

[ X ] Point-to-point | [ X ] Multipoint
[ X ] Multiple point to point | [ ] Multipoint-star

3. Physical Layer: 101 only

(network-specific parameter, all interfaces and data rates that are used are to be marked ' X ')

Transmission speed (control direction)

Unbalanced interchange Circuit V.24/V.28 Standard | Unbalanced interchange Circuit V.24/V.28 Recommended if >1 200 bit/s | Balanced interchange Circuit X.24/X.27
[ ] 100 bit/s | [ X ] 2400 bit/s | [ ] 2400 bit/s
[ ] 200 bit/s | [ X ] 4800 bit/s | [ ] 4800 bit/s
[ X ] 300 bit/s | [ X ] 9600 bit/s | [ ] 9600 bit/s
[ X ] 600 bit/s | [ X ] 19200 bit/s | [ ] 19200 bit/s
[ X ] 1200 bit/s | [ X ] 38400 bit/s | [ ] 38400 bit/s
 | [ X ] 56000 bit/s | [ ] 56000 bit/s
 | [ X ] 57600 bit/s | [ ] 64000 bit/s
 | [ X ] 115200 bit/s |
 | [ X ] 128000 bit/s |
 | [ X ] 256000 bit/s |

Transmission speed (monitor direction)

Unbalanced interchange Circuit V.24/V.28 Standard | Unbalanced interchange Circuit V.24/V.28 Recommended if >1 200 bit/s | Balanced interchange Circuit X.24/X.27
[ ] 100 bit/s | [ X ] 2400 bit/s | [ ] 2400 bit/s
[ ] 200 bit/s | [ X ] 4800 bit/s | [ ] 4800 bit/s
[ X ] 300 bit/s | [ X ] 9600 bit/s | [ ] 9600 bit/s
[ X ] 600 bit/s | [ X ] 19200 bit/s | [ ] 19200 bit/s
[ X ] 1200 bit/s | [ X ] 38400 bit/s | [ ] 38400 bit/s
 | [ X ] 56000 bit/s | [ ] 56000 bit/s
 | [ X ] 57600 bit/s | [ ] 64000 bit/s
 | [ X ] 115200 bit/s |
 | [ X ] 128000 bit/s |
 | [ X ] 256000 bit/s |

4. Link layer: 101 only

(network-specific parameter, all options that are used are to be marked ' X '. Specify the maximum frame length. If a non-standard assignment of class 2 messages is implemented for unbalanced transmission, indicate the Type ID and COT of all messages assigned to class 2.)

Frame format FT 1.2, single character 1 and the fixed time out interval are used exclusively in this companion standard.

Link transmission | Frame length [octets] | Address field of the link
[ ] Balanced transmission | [255] Maximum length L (both directions)* | [ ] not present (balanced transmission only)
[ X ] Unbalanced transmission |  | [ X ] One octet
 |  | [ X ] Two octets
 |  | [ X ] Structured
 |  | [ X ] Unstructured

*may be reduced by the system

Link Address 0xFF(FF) - broadcast to all outstations - is not supported.

The structure of Link Address is not interpreted.

When using an unbalanced link layer, the following ASDU types are returned in class 2 messages (low priority) with the indicated causes of transmission:

[ ] The standard assignment of ASDUs to class 2 messages is used as follows:

Type identification | Cause of transmission
9, 11, 13, 21 | <1>

[ X ] A special assignment of ASDUs to class 2 messages is used as follows:

Type identification | Cause of transmission
120 - 126 | All (as specified in the standard)

Note: (In response to a class 2 poll, a controlled station may respond with class 1 data when there is no class 2 data available).

5. Application Layer

Transmission mode for application data

Mode 1 (Least significant octet first), as defined in 4.10 of IEC 60870-5-4, is used exclusively in this companion standard.

Common address of ASDU

(system-specific parameter, all configurations that are used are to be marked ' X ')

ASDU adress
101 only [ X ] One octet | [ X ] Two octets

The ASDU address 0xFF(FF) - global address - is supported only for C_IC_NA_1 and C_CS_NA_1

Information object address

(system-specific parameter, all configurations that are used are to be marked ' X ')

Object adress
101 only [ X ] One octet | [ X ] Structured
101 only [ X ] Two octets | [ X ] Unstructured
[ X ] Three octets |

Cause of transmission

(system-specific parameter, all configurations that are used are to be marked ' X ')

Cause of transmission
101 only [ X ] One octet | [ X ] Two octets (with originator address) Originator address is set to zero if not used.

Length of APDU: 104 only

(system-specific parameter, specify the maximum length of the APDU per system)
The maximum length of APDU for both directions is 253. The maximum length may be reduced by the system.

[ 253 ] Maximum length of APDU per system

Selection of standard ASDUs

Process information in monitor direction

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameter | Type
[ B ] | <1>: = Single-point information | M_SP_NA_1
[ B ] | <2>: = Single-point information with time TAG | M_SP_TA_1
[ B ] | <3>: = Double-point information | M_DP_NA_1
[ B ] | <4>: = Double-point information with time TAG | M_DP_TA_1
[ B ] | <5>: = Step position information | M_ST_NA_1
[ B ] | <6>: = Step position information with time TAG | M_ST_TA_1
[ B ] | <7>: = Bitstring of 32 bit | M_BO_NA_1
[ B ] | <8>: = Bitstring of 32 bit with time TAG | M_BO_TA_1
[ B ] | <9>: = Measured value, normalized value | M_ME_NA_1
[ B ] | <10>: = Measured value, normalized value with time TAG | M_ME_TA_1
[ B ] | <11>: = Measured value, scaled value | M_ME_NB_1
[ B ] | <12>: = Measured value, scaled value with time TAG | M_ME_TB_1
[ B ] | <13>: = Measured value, short floating point value | M_ME_NC_1
[ B ] | <14>: = Measured value, short floating point value with time TAG | M_ME_TC_1
[ B ] | <15>: = Integrated totals | M_IT_NA_1
[ B ] | <16>: = Integrated totals with time TAG | M_IT_TA_1
[ ] | <17>: = Event of protection equipment with time TAG | M_EP_TA_1
[ ] | <18>: = Packed start events of protection equipment with time TAG | M_EP_TB_1
[ ] | <19>: = Packed output circuit information of protection equipment with time TAG | M_EP_TC_1
[ ] | <20>: = Packed single-point information with status change detection | M_SP_NA_1
[ ] | <21>: = Measured value, normalized value without quality descriptor | M_ME_ND_1
[ B ] | <30>: = Single-point information with time TAG CP56Time2a | M_SP_TB_1
[ B ] | <31>: = Double-point information with time TAG CP56Time2a | M_DP_TB_1
[ B ] | <32>: = Step position information with time TAG CP56Time2a | M_ST_TB_1
[ B ] | <33>: = Bitstring of 32 bit with time TAG CP56Time2a | M_BO_TB_1
[ B ] | <34>: = Measured value, normalized value with time TAG CP56Time2a | M_ME_TD_1
[ B ] | <35>: = Measured value, scaled value with time TAG CP56Time2a | M_ME_TE_1
[ B ] | <36>: = Measured value, short floating point value with time TAG CP56Time2a | M_ME_TF_1
[ B ] | <37>: = Integrated totals with time TAG CP56Time2a | M_IT_TB_1
[ ] | <38>: = Event of protection equipment with time TAG CP56Time2a | M_EP_TD_1
[ ] | <39>: = Packed start events of protection equipment with time TAG CP56Time2a | M_EP_TE_1
[ ] | <40>:= Packed output circuit information of protection equipment with time TAG CP56Time2a | M_EP_TF_1

Either the ASDUs of the set <2>, <4>, <6>, <8>, <10>, <12>, <14>, <16>, <17>, <18>, <19> or of the set <30> – <40> are used.

Process information in control direction

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameter | Type
[ X ] | <45>: = Single command | C_SC_NA_1
[ X ] | <46>: = Double command | C_DC_NA_1
[ X ] | <47>: = Regulating step command | C_RC_NA_1
[ X ] | <48>: = Set point command, normalized value | C_SE_NA_1
[ X ] | <49>: = Set point command, scaled value | C_SE_NB_1
[ X ] | <50>: = Set point command, short floating point value | C_SE_NC_1
[ X ] | <51>: = Bitstring of 32 bit | C_BO_NA_1
[ X ] | <58>: = Single command with time TAG CP56Time2a | C_SC_TA_1
[ X ] | <59>: = Double command with time TAG CP56Time2a | C_DC_TA_1
[ X ] | <60>: = Regulating step command with time TAG CP56Time2a | C_RC_TA_1
[ X ] | <61>: = Set point command, normalized value with time TAG CP56Time2a | C_SE_TA_1
[ X ] | <62>: = Set point command, scaled value with time TAG CP56Time2a | C_SE_TB_1
[ X ] | <63>: = Set point command, short floating point value with time TAG CP56Time2a | C_SE_TC_1
[ X ] | <64>:= Bitstring of 32 bit with time TAG CP56Time2a | C_BO_TA_1

Either the ASDUs of the set <45> – <51> or of the set <58> – <64> are used.

System information in monitor direction

(station-specific parameter, mark ' X ' if used)

Mark | Parameter | Type
[ X ] | <70> : = End of initialization | M_EI_NA_1

System information in control direction

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameter | Type
[ X ] | <100>: = Interrogation command* | C_IC_NA_1
[ X ] | <101>: = Counter interrogation command | C_CI_NA_1
[ X ] | <102>: = Read command | C_RD_NA_1
[ X ] | <103>: = Clock synchronization command (option see 7.6)* | C_CS_NA_1
[ X ] | <104>: = Test command | C_TS_NA_1
[ X ] | <105>: = Reset process command | C_RP_NA_1
[ ] | <106>: = Delay acquisition command | C_CD_NA_1
[ X ] | <107>: = Test command with time TAG CP56Time2a | C_TS_TA_1

*also with global address - with Common Address of ASDU = 0xFF(FF)

Parameter in control direction

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameter | Type
[ ] | <110>: = Parameter of measured value, normalized value | P_ME_NA_1
[ ] | <111>: = Parameter of measured value, scaled value | P_ME_NB_1
[ ] | <112>: = Parameter of measured value, short floating point value | P_ME_NC_1
[ ] | <113>: = Parameter activation | P_AC_NA_1

File transfer

(station-specific parameter, mark each Type ID ' X ' if it is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

Mark | Parameter | Type
[ B ] | <120>: = File ready | F_FR_NA_1
[ B ] | <121>: = Section ready | F_SR_NA_1
[ B ] | <122>: = Call directory, select file, call file, call section | F_SC_NA_1
[ B ] | <123>: = Last section, last segment | F_LS_NA_1
[ B ] | <124>: = Ack file, ack section | F_AF_NA_1
[ B ] | <125>: = Segment | F_SG_NA_1
[ X ] | <126>: = Directory {blank or X, only available in monitor (standard) direction} | F_DR_TA_1

Type identifier and Cause of transmission assignments

(station-specific parameters)

Shaded boxes: option not required.
Blank: functions or ASDU not used.

Mark Type Identification/Cause of transmission combinations:
' X ' if only used in the standard direction;
' R ' if only used in the reverse direction;
' B ' if used in both directions.

Type identification |  | Cause of transmission
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 20 to 36 | 37 to 41 | 44 | 45 | 46 | 47
<1> | M_SP_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<2> | M_SP_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<3> | M_DP_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<4> | M_DP_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<5> | M_ST_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<6> | M_ST_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<7> | M_BO_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<8> | M_BO_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<9> | M_ME_NA_1 | B | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<10> | M_ME_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<11> | M_ME_NB_1 | B | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<12> | M_ME_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<13> | M_ME_NC_1 | B | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<14> | M_ME_TC_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<15> | M_IT_NA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  | X1 | X |  |  |  |
<16> | M_IT_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  | X |  |  |  |
<17> | M_EP_TA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<18> | M_EP_TB_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<19> | M_EP_TC_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<20> | M_PS_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<21> | M_ME_ND_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<30> | M_SP_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<31> | M_DP_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<32> | M_ST_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<33> | M_BO_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<34> | M_ME_TD_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<35> | M_ME_TE_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<36> | M_ME_TF_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<37> | M_IT_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  | X |  |  |  |
<38> | M_EP_TD_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<39> | M_EP_TE_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<40> | M_EP_TF_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<45> | C_SC_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<46> | C_DC_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<47> | C_RC_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<48> | C_SE_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<49> | C_SE_NB_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<50> | C_SE_NC_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<51> | C_BO_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<58> | C_SC_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<59> | C_DC_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<60> | C_RC_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<61> | C_SE_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<62> | C_SE_TB_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<63> | C_SE_TC_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<64> | C_BO_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<70> | M_EI_NA_1* |  |  |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<100> | C_IC_NA_1 |  |  |  |  |  | X | X | X | X | X |  |  |  |  |  |  |  | X |
<101> | C_CI_NA_1 |  |  |  |  |  | X | X |  |  | X |  |  |  |  |  |  |  | X |
<102> | C_RD_NA_1 |  |  |  |  | X |  |  |  |  |  |  |  |  |  |  |  | X | X | X
<103> | C_CS_NA_1 |  |  |  |  |  | X | X |  |  |  |  |  |  |  |  |  | X | X |
<104> | C_TS_NA_1 |  |  |  |  |  | X | X |  |  |  |  |  |  |  |  |  |  |  |
<105> | C_RP_NA_1 |  |  |  |  |  | X | X |  |  |  |  |  |  |  |  |  | X | X |
<106> | C_CD_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<107> | C_TS_TA_1 |  |  |  |  |  | X | X |  |  |  |  |  |  |  |  |  |  |  |
<110> | P_ME_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<111> | P_ME_NB_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<112> | P_ME_NC_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<113> | P_AC_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<120> | F_FR_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<121> | F_SR_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<122> | F_SC_NA_1 |  |  |  |  | X |  |  |  |  |  |  |  | X |  |  |  | X | X |
<123> | F_LS_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<124> | F_AF_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  | X | X |
<125> | F_SG_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<126> | F_DR_TA_1* |  |  | X |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |

* Blank or X only

1 Optional.

2 Slave confirms deactivations of write command (TI <45> ... <64>) but by deactivated 'Select routing' the corresponding activation is already transferred to execution; COT_actcon and COT_actterm were already sent.

COT | Cause of Transmission |
<0> | not used |
<1> | periodic, cyclic | per/cyc
<2> | background scan | back
<3> | spontaneous | spont
<4> | initialized | init
<5> | request or requested | req
<6> | activation | act
<7> | activation confirmation | actcon
<8> | deactivation | deact
<9> | deactivation confirmation | deactcon
<10> | activation termination | actterm
<11> | return information caused by a remote command | retrem
<12> | return information caused by a local command | retloc
<13> | file transfer | file
<14...19> | reserved |
<20> | interrogated by station interrogation | inrogen
<21...36> | interrogated by interrogation of the group 1..16 | inro1..16
<37> | requested by general counter request | reqcogen
<38...41> | requested by counter interrogation of the group 1 ... 4 | reqco1..4
<42, 43> | reserved |
<44> | unknown type identification |
<45> | unknown cause of transmission |
<46> | unknown common address of ASDU |
<47> | unknown information object address |
<48, 63> | for special use (private range) |

6. Basic application functions

Station initialization

(station-specific parameter, mark 'X' if function is used)

[ ] Remote initialization

Cyclic data transmission

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions)

[ X ] Cyclic data transmission

Read procedure

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions)

[ X ] Read procedure

Spontaneous transmission

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions)

[ B ] Spontaneous transmission

Double transmission of information objects with cause of transmission spontaneous

(station-specific parameter, mark each information type ' X ' where both a Type ID without time and corresponding Type ID with time are issued in response to a single spontaneous change of a monitored object)

The following type identifications may be transmitted in succession caused by a single status change of an information object. The particular information object addresses for which double transmission is enabled are defined in a project-specific list.

[ ] Single-point information M_SP_NA_1, M_SP_TA_1, M_SP_TB_1 and M_PS_NA_1
[ ] Double-point information M_DP_NA_1, M_DP_TA_1 and M_DP_TB_1
[ ] Step position information M_ST_NA_1, M_ST_TA_1 and M_ST_TB_1
[ ] Bitstring of 32 bit M_BO_NA_1, M_BO_TA_1 and M_BO_TB_1 (if defined for a specific project)
[ ] Measured value, normalized value M_ME_NA_1, M_ME_TA_1, M_ME_ND_1 and M_ME_TD_1
[ ] Measured value, scaled value M_ME_NB_1, M_ME_TB_1 and M_ME_TE_1
[ ] Measured value, short floating point number M_ME_NC_1, M_ME_TC_1 and M_ME_TF_1

Station interrogation

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] global |  |
[ ] group 1 | [ ] group 7 | [ ] group 13
[ ] group 2 | [ ] group 8 | [ ] group 14
[ ] group 3 | [ ] group 9 | [ ] group 15
[ ] group 4 | [ ] group 10 | [ ] group 16
[ ] group 5 | [ ] group 11 | Information object addresses assigned to each group must be shown in a separate table.
[ ] group 6 | [ ] group 12

Clock synchronization

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Clock synchronization

[ ] Day of week used
[ ] RES1, GEN (time tag substituted/ not substituted) used
[ B ] SU-bit (summertime) used

optional, see 7.6

Command transmission

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Direct command transmission
[ X ] Direct set point command transmission
[ X ] Select and execute command
[ X ] Select and execute set point command
[ X ] C_SE ACTTERM used

[ X ] No additional definition
[ X ] Short-pulse duration (duration determined by a system parameter in the outstation)
[ X ] Long-pulse duration (duration determined by a system parameter in the outstation)
[ X ] Persistent output

[ setting ] Supervision of maximum delay in command direction of commands and set point commands
[ no limit ] Maximum allowable delay of commands and set point commands

Transmission of integrated totals

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Mode A: Local freeze with spontaneous transmission
[ X ] Mode B: Local freeze with counter interrogation
[ X ] Mode C: Freeze and transmit by counter-interrogation commands
[ X ] Mode D: Freeze by counter-interrogation command, frozen values reported spontaneously

[ X ] Counter read
[ X ] Counter freeze without reset
[ ] Counter freeze with reset
[ ] Counter reset

[ X ] General request counter
[ ] Request counter group 1
[ ] Request counter group 2
[ ] Request counter group 3
[ ] Request counter group 4

Parameter loading

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ ] Threshold value
[ ] Smoothing factor
[ ] Low limit for transmission of measured values
[ ] High limit for transmission of measured values

Parameter activation

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ ] Act/deact of persistent cyclic or periodic transmission of the addressed object

Test procedure

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Test procedure

File transfer

(station-specific parameter, mark 'X' if function is used).
File transfer in monitor direction

[ X*] Transparent file
[ ] Transmission of disturbance data of protection equipment
[ X ] Transmission of sequences of events
[ ] Transmission of sequences of recorded analogue values

* a data can be transparently transported by the system but not generated or evaluated. Maximum file size is 16711680 bytes.

File transfer in control direction

[ X ] Transparent file

Background scan

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ X ] Background scan

Acquisition of transmission delay

(station-specific parameter, mark ' X ' if function is only used in the standard direction, ' R ' if only used in the reverse direction, and ' B ' if used in both directions).

[ ] Acquisition of transmission delay

Definition of time outs: 104 only

Parameter | Default value | Remarks | Selected value
t0 | 30 s | Time-out of connection establishment | setting
t1 | 15 s | Time-out of send or test APDUs | setting
t2 | 10 s | Time-out for acknowledges in case of no data messages; t2 < t1 | setting
t3 | 20 s | Time-out for sending test frames in case of a long idle state; t3 > t1 | setting

Recommended range for timeouts t0 - t2 : 1s to 255s, accuracy 1s

Recommended range for timeout t3 : 0s to 48hrs, accuracy 1s
Long timeouts for t3 may be needed in special cases where satellite links or dialup connections are used (e.g. to establish connection and collect values only once per day or week). For dialup connections it may be necessary to give up the connection supervision completely. This is achievable by setting the timeout t3 to zero.

Maximum number of outstanding I format APDUs k and latest acknowledge APDUs (w): 104 only

Parameter | Default value | Remarks | Selected value
k | 12 APDUs | Maximum difference receive sequence number to send state variable | setting
w | 8 APDUs | Latest acknowledge after receiving w I format APDUs | setting

Recommended range of values k: 1 to 32767 APDUs, accuracy 1 APDU

Recommended range of values w: 1 to 32767 APDUs, accuracy 1 APDU (Recommendation: w should not exceed two-thirds of k)

Portnumber: 104 only

Parameter | Default value | Remarks
Portnumber | 2404 | setting

Redundant connections

[ ] Number N of redundancy group connections used

RFC 2200 suite

RFC 2200 is an official Internet Standard which describes the state of standardization of protocols used in the Internet as determined by the Internet Architecture Board (IAB). It offers a broad spectrum of actual standards used in the Internet. The suitable selection of documents from RFC 2200 defined in this standard for given projects has to be chosen by the user of this standard.

[ ] Ethernet 802.3
[ ] Serial X.21 interface
[ ] Other selection from RFC 2200:

List of valid documents from RFC 2200
1. ..........................................................................
2. ..........................................................................
3. ..........................................................................
4. ..........................................................................
5. ..........................................................................
6. ..........................................................................
7. etc.


MODBUS Slave

Manuale -> Process Gateway -> MODBUS Slave

Noch in diesem Kapitel

Module configuration

Hardware address of the MODBUS system

Configuration file: specific entries for AccessMODBUS


Module configuration

Manuale -> Process Gateway -> MODBUS Slave -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Clicking on the Settings button in the start dialog for the Process Gateway opens the dialog for selecting the variables. The variables selected in this way are continuously synchronized in zenon or in the MODBUS system.

Variables

Parameters

Description

Variables

Selection of variables that are exported to MODBUS and synchronized with zenon.

Available in Scada

Displays all variables available in zenon

With multi-project administration, variables from active projects can be selected.

  • Projects: shows all available projects; the standard project is marker with a *
  • Variables: offers all variables from the selected project to be transferred

Exported into MODBUS

Lists all variables exported to MODBUS and their offset. List can be sorted by clicking on headings.

  • Variables:
    List of all SCADA variables that are exported to the MODBUS.

    Variables that do not come from the standard project receive the project name as a prefix, separated by a # in front of the variable name.
  • Offset:
    Offset of the variable (MODBUS holding register offset)

Pfeiltasten

Allocation of the variables to MODBUS:

  • Clicking on the > button adds variables from the Available in Scada list to the Exported into MODBUS list. A dialog to allocate the address is opened (see Allocation dialog section).
  • Clicking on the < button removes variables from the Exported into MODBUS list and inserts them back into the Available in Scada list.

MODBUS Connection

MODBUS Connection

MODBUS connection settings.

Slave Adress

Modbus hardware address.

Default: 1

Serial

Active: Serial connection is used.

  • Port: Serial interface that is used for access to the MODBUS system.
  • Stop bits: number of stop bits.
    Default: 1
  • Parity: Parity setting:
    No (default)
    Odd
    Even
  • Data bit: number of data bits.
    Default: 8
  • Baud rate: baud rate of the serial interface.
    Default: 9600

TCP/IP

Active: TCP/IP connection is used.

  • Port: Port address for the connection.
  • Timeout: Waiting period.

OK

Accetta le impostazioni e chiude il dialogo.

Cancel

Annulla tutte le modifiche e chiude la finestra di dialogo.

Note:

  • Change of name of project or variables in the Editor:
    If a project name or a variable name is changed in the Editor, this change must subsequently be carried out in the configuration file, so that the name in the INI file and in the prefix of the Exported into MODBUS are amended accordingly.
  • Change to standard project:
    If the standard project is changed in multi-project administration, the variables must be amended.
    Variables of the standard project must not have a prefix. All other variables need a Projectname# prefix.

Allocation dialog

If a variable is moved to the Exported into MODBUS list via clicking the button >, a dialog for the name assignment of the zenon variable to an offset in MODBUS opens:

Parameters | Description
Name | Name of the variable. Note: The name of the variable is grayed out, because it can no longer be changed.
Offset | Offset: MODBUS holding register offset. Offset of the variable in MODBUS Attention: 0 is always entered as the offset by default.
OK | Accetta le impostazioni e chiude il dialogo.
Cancel | Annulla tutte le modifiche e chiude la finestra di dialogo.


Hardware address of the MODBUS system

Manuale -> Process Gateway -> MODBUS Slave -> Hardware address of the MODBUS system

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The MODBUS system of the Process Gateway has a MODBUS hardware address that can be defined. This is set in the configuration dialog with the Slave Adress property. The address 1 is given as standard.


Configuration file: specific entries for AccessMODBUS

Manuale -> Process Gateway -> MODBUS Slave -> Configuration file: specific entries for AccessMODBUS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file zenProcGateway.ini contains specific entries for MODBUS. The file must be in the system folder.

[MODBUS]

Inserimento | Descrizione
COMPORT | Interfaccia seriale (COM1 = 0, COM2 = 1,...). Può essere impostata usando il dialogo di configurazione.
BAUD | Baud rate della porta seriale Può essere impostata usando il dialogo di configurazione.
BYTESIZE | Quantità dei bit di dati dell'interfaccia seriale
PARITY | Impostazioni di parità dell'interfaccia seriale: 0=No 1=Odd 2=Even Può essere impostata usando il dialogo di configurazione.
STOPBITS | Quantità dei bit di stop dell'interfaccia seriale 0=1 1=1.5 2=2 Può essere impostata usando il dialogo di configurazione.
TIMEOUT | Intervallo di timeout in millisecondi per la comunicazione seriale.
HWADDRESS | Indirizzo hardware del sistema MODBUS. Default: 1 Può essere impostata usando il dialogo di configurazione.
REFRESHRATE | Tempo di update in millisecondi.
SERIELL | Comunicazione seriale o TCP/IP: 1 = seriale 0 = TCP/IP Può essere impostata usando il dialogo di configurazione.
PORT | Porta TCP/IP
TCPTIMEOUT | Intervallo di timeout TCP/IP in secondi.

[MODBUS VARIABLES]

Variabili che devono essere sostituite in AccessMODBUS.

Nota: a partire da zenon 7.11, questo inserimento sostituisce quello originario [VARIABLES]. Questo impedisce che per le variabili del progetto standard venga eseguita una sostituzione inutile tramite l´opzione Logicper connessione SCADA.

Inserimento

Descrizione

COUNT

Numero delle variabili da esportare

OFFSET_n

Indirizzo Modbus assegnato al numero corrispondente (n). La numerazione inizia da 0.

NAME_n

Nome della variabile assegnata al numero corrispondente (n). La numerazione inizia da 0.

Esempi:

  • OFFSET_0=0
    NAME_0=EMS_Supply area 1_forecast_final_consumption
    Variabile dal progetto di partenza.
  • OFFSET_1=2
    NAME_1=BASISTUTORIAL#Temperaturfühler
    Variabile dal progetto "BASISTUTORIAL"


MS Azure

Manuale -> Process Gateway -> MS Azure

AccessAzure.dll writes variable values of Runtime to an MS Azure service bus Queue or Event Hub. Data from the Queue can then be obtained from the AzureDrv driver from MS Azure and integrated into processes of zenon. Data from an Event Hub is for third-party applications and can no longer be read by zenon.

The Process Gateway establishes a connection to MS Azure cyclically and writes messages to the service bus Queue or the Event Hub.

To read the values from the Servicebus Queue, the AzureDrv driver establishes a connection to the service bus Queue with the configured name and takes all messages received from it. These messages are unpacked and the online values contained therein are allocated to the variables. The key for this is the Indirizzo simbolico.
All messages that are already in the queue when the connection is first successfully established are loaded and discarded. It is always only the current values that are displayed.

This means: Each driver instance on each computer has its own Queue as an input signal.
Example: The service bus Queue for the MYSERVER1 computer and the onlinedata configured prefix is called the following in MS Azure: onlinedata_myserver1.

Numeric (DOUBLE) and alphanumeric (STRING) values are supported. The time stamp and the system status bits are transferred to the target variable.

You can also find general information on MS Azure in the MS Azure manual.

Noch in diesem Kapitel

Module configuration

Message formats

Error message

Configuration file: specific entries for MS Azure


Module configuration

Manuale -> Process Gateway -> MS Azure -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration dialog for MS Azure connection via Process Gateway.

Variables

In the Variables group, you configure the variables whose values are saved by zenon in an MS Azure Service Bus.

Parameters

Description

Available in Scada

Displays all variables available in zenon

With multi-project administration, variables from active projects can be selected.

Projects

List of all available projects.
The standard project is marked with a *.

Variables

List of all variables of the selected project.

List can be sorted; multiple selection is possible.

Hint: Double clicking on the variable moves it.

Button >

Selected variables from the list of variables are moved to the Exported into MS Azure list.

Button <

Selected variables are removed from the Exported into MS Azure list.

Exported into MS Azure

List of the variables that are written to the MS Azure Service Bus by the Process Gateway.

Naming:

  • Project name
  • # (as separator)
  • Variable name.

The key for the values in MS Azure is always PROJECTNAME#VARIABLENAME.

Hint: Double clicking on the variable moves it.

MS Azure Connections

All target connections in which the current values of the selected variable are to be inserted in MS Azure are to be entered into the MS Azure Connections group.

In doing so, the current variable values are added to the connection created in All at the same time.

Parameters

Description

List of MS Azure connections

Lists all connections to MS Azure configured. Each connection consists of the connection name (MS Azure Connection) and the Service Bus Queue Namen.

  • Creation of a new connection with the button New...
  • A selected connection can be amended with the Edit... button.

MS Azure Connection

MS Azure connection address.

Service Bus Queue name

Name of the queue in the MS Azure service bus.

New...

Opens dialog to configure the MS Azure connection.

Edit...

Opens existing connections to configure the MS Azure connection.

Delete

Deletes the selected MS Azure connection from the list.

MS Azure settings

Parameters

Description

Integrity period

Time interval in which the current values of the selected variables are written as an image to the MS Azure Service Bus queue.

If the value of a variable changes during this this interval, the value change is immediately transferred to the MS Azure queue.
Default: 5 s

Navigation

Parameters | Description
OK | Accetta le impostazioni e chiude il dialogo.
Cancel | Annulla tutte le modifiche e chiude la finestra di dialogo.

Noch in diesem Kapitel

MS Azure Connection Settings


MS Azure Connection Settings

Manuale -> Process Gateway -> MS Azure -> Module configuration -> MS Azure Connection Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configuration dialog for the connection to MS Azure:

Parameters

Description

MS Azure Connection

MS Azure connection address.

Note: You can read and copy this address in the Azure administration portal under Manage Connection Strings of the desired Servicebus Namespace.

Service Bus Queue / Event Hub Name

Name of the MS Azure Service Bus queue or the Event Hub. Selection by means of radio buttons.

Note: Only characters that appear in the name of an MS Azure Service Bus Queue or in an Event Hub are permitted. Use simple, short and meaningful names. Avoid special characters, language-specific letters and blank spaces.

Service Bus Queue

The name of the Service Bus Queue comprises:

  • A freely-configurable prefix
  • An underscore (_)
  • The NETBIOS computer name (without domain name suffix) in small lettering

If the name does not yet exist in the Namespace a Queue with this name is created.
Requirement: The corresponding rights are present.

Event Hub

  • Message format: Select in the drop-down list in the Format option.
  • Event Hub Name: Name of the Event Hubs in the MS Azure Service Bus
    The Event Hub must already be created with this name in the Namespace.

Queue
  • Active: The connection is established using the name of the Service Bus Queue.

Event Hub
  • Active: The connection is established using the name of the Event Hub . Selection of the message format using the Format option.

Format

Message format for connection via Event Hub.
Select from drop-down list:

  • XML
  • JSON
  • BOND (compact binary)

OK

Accetta le impostazioni e chiude il dialogo.

Cancel

Annulla tutte le modifiche e chiude la finestra di dialogo.

info Informazioni su

The Service Bus Queue Name can be freely configured.
This queue is automatically created in MS Azure during the first communication to MS Azure.

For each computer that calls up data from MS Azure, use the AzureDrv driver to create a separate MS Azure Connection.


Message formats

Manuale -> Process Gateway -> MS Azure -> Message formats

Service Bus Queue

The messages in the Queue must have a serialized .NET class OnlineValueMessage.

Format:

public class OnlineValueMessage

{

public string strVarProject { get; set; }

public string strVarName { get; set; }

public long nVarID { get; set; }

public double fValue { get; set; }

public string strValue { get; set; }

public bool bValueIsString { get; set; }

public long nTime_s { get; set; }

public short nTime_milli { get; set; }

public long nStatus { get; set; }

}

Event Hub

When using the Event Hub as a connection, it is possible to choose between XML, JSON and BOND (compact binary) as a message format. Partition-Key is the zenon variable name.

Format BOND

namespace AzureServiceBusShared

struct ArchiveMessage

{

0: string strArvProject;

1: string strArvName;

2: string strVarProject;

3: string strVarName;

4: int64 nVarID;

5: int16 nCalc;

6: double fValue;

7: string strValue;

8: bool bValueIsString;

9: int64 nTime_s;

10: int16 nTime_milli;

11: int64 nStatus;

}

struct OnlineValueMessage

{

0: string strVarProject;

1: string strVarName;

2: int64 nVarID;

3: double fValue;

4: string strValue;

5: bool bValueIsString;

6: int64 nTime_s;

7: int16 nTime_milli;

8: int64 nStatus;

}


Error message

Manuale -> Process Gateway -> MS Azure -> Error message

Error message in the LOG file:

Error message | Debug Level | Description
Project %s inactive fail! | Error | The project-inactive event could not be processed by the Gateway in the given time.
Project %s active fail! | Error | The project-active event could not be processed by the Gateway in the given time.
Value change queue full: Value change for id:%u of project:%s lost! | Error | The queue for the value changes from Runtime is full. Additional values are discarded. The connection to Azure is probably too slow in order to forward all value changes.
Adding of %d Online Rows failed for '%s' Queue '%s | Error | The insertion of value changes into the service bus queue was unsuccessful.
Adding of %d Online Rows succeeded for '%s' Queue '%s' | Deep Debug: | The insertion of value changes into the service bus queue was successful.
Starting to add Online Rows failed for '%s' Queue '%s' | Error | The establishment of the a connection to the service bus queue was unsuccessful.
Creating Azure Wrapper failed | Error | The ManagedAzureWrapper.dll could not be loaded.


Configuration file: specific entries for MS Azure

Manuale -> Process Gateway -> MS Azure -> Configuration file: specific entries for MS Azure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file zenProcGateway.ini contains specific entries for MS Azure.

[Azure]

Inserimento | Descrizione
INTEGRITYPERIOD= | Intervallo in secondi del ciclo di scrittura.

[VARIABLES]

Inserimento

Descrizione

Name_n=

Nome della variabile per il Process Gateway.
Formato: SOURCEPROJECT#SOURCEVARIABLE..

Numerazione (n):

n rappresenta il numero progressivo della configurazione di connessione.

Questa numerazione inizia da 0.

Esempio:

  • 1 variabile dà come risultato n = 0
  • Con 3 variabili si ha, per il terzo inserimento, n = 2

Count=

Numero delle variabili.

Nota: in questo caso la numerazione inizia da 1. Otto connessioni danno come risultato Count=8.

[CONNECTIONS]

Inserimento

Descrizione

CONN_n=

Nome della connessione MS Azure.

Numerazione (n):

n rappresenta il numero progressivo della configurazione di connessione.

Questa numerazione inizia da 0.

Esempio:

  • 1 connessione dà come risultato n = 0
  • Con 3 connessioni si ha, per il terzo inserimento, n = 2

QUEUE_n=

Nome della coda MS Azure.

Per la numerazione (_n) valgono le stesse regole che si applicano a CONN

COUNT=

Numero delle connessioni MS Azure configurate.

Nota: in questo caso la numerazione inizia da 1. Due connessioni danno come risultato Count=2.


OPC UA Server

Manuale -> Process Gateway -> OPC UA Server

The OPC server makes the variables of the project available for standard OPC client tools.

info Informazioni su

The OPC UA server can be used for all zenon versions from 5.50.

The predecessor to the OPC UA servers is the OPC server. This is not part of the Process Gateway.

The OPC UA driver and all dialogs are only available in English.

Multi-Project capability

The OPC UA server is multi-project compatible from zenon 7.11 onwards. Variable from the Runtime project and all its subprojects can be selected. In doing so, the object name from the variable name and the project name are combined. Configurations for OPC UA clients that were created before zenon 7.11 are thus not compatible. These must be amended when using zenon 7.11 or higher.

Noch in diesem Kapitel

Confronto fra OPC Server e OPC UA Server

Module configuration

Start

Connection

Security

Alarms and states

Service Sets

Error message


Confronto fra OPC Server e OPC UA Server

Manuale -> Process Gateway -> OPC UA Server -> Confronto fra OPC Server e OPC UA Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´OPC UA Server ha preso il posto dell´OPC Server. Si raccomanda l´uso dell´OPC UA server per la maggior parte delle applicazioni.

OPC Server

  • OPC Task Force dal 1995
  • Interfaccia universale per i sistemi di automazione.
  • Basato sulla tecnologia COM/DCOM di Microsoft.
  • OPC foundation dal 1996
  • Diverse specifiche per differenti applicazioni.

OPC UA Server

  • First vision 2003
  • Release della prima versione nel 2006, non ancora tutte le parti.

Confronto fra OPC Server e OPC UA Server

Parametri | OPC Server | OPC UA Server
Modello di dati | Limitato | Per tutte le applicazioni
Implementazione | Dipendente dal produttore | Indipendente dal produttore
Interoperabilità | No | Sì
Configurazione | Complicata | Semplice
Uso in rete | Sconsigliato (ragioni di sicurezza); Windows CE non può essere usato. | Sì
Tecnologia di rete | DCOM (soggetta ad errori, instabile) | OPC UA TCP binary Protocol
Prestazioni | Basse | Alte
Piattaforme | Solo Windows | Indipendente
Ridondanza | No | Sì
Fabbisogno di risorse | Alte | Più basso
Service-Oriented Architecture (SOA) | No | Sì
Sicurezza | Obsoleta | Al passo con gli standard attuali
Protezione connessione | No | Garantita
Windows CE | No | Sì


Module configuration

Manuale -> Process Gateway -> OPC UA Server -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Start

To start the process gateway with the OPC UA module, this must be entered into the zenProcGateway.ini. The configuration of the certificate is queried when the process gateway is first started with the OPC UA module. If no independent certificates are to be used, the certificates can be automatically created by clicking on Yes.

After the Process Gateway has been started, statistical information on the number of updates in the time period displayed and the number of unsuccessful updates is displayed. The configuration can also be started in this dialog.

Parameters | Description
Exit | Closes process gateway.
Configuration | Opens configuration dialog.
Help | Opens help.

To configure the server and variables:

  1. Click on Configuration
  2. In the dialog that opens, you configure:
    • Server
    • Variables

Noch in diesem Kapitel

Server

Variables


Server

Manuale -> Process Gateway -> OPC UA Server -> Module configuration -> Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Clicking on Configuration in the Process Gateway statistics dialog opens the configuration dialog:

Parameters

Description

Name

Name of the server as it is shown on the client.

Port

TCP port via which the client establishes the connection.

Default: 4841

Certificates path

Path to the certificate files.

Server certificate path

File with the public key of the server. Used by the client for encrypting messages.

  • Format: DER
  • Suffix: .der

Server private key path

File with the private key of the server. Is used by the server to decrypt the messages from the client.

  • Format: PEM
  • No password.

Accept secure connections only

Active: Only secure connections are accepted for establishing a connection, with the signature or with signature and encryption:

  • Basic128Rsa15:
    RSA15 as key wrap algorithm and
    128-bit basic as algorithm for the message encryption
  • Basic256:
    256-bit basic as algorithm for message encryption

Default: Inactive

Note: for connections with a signature, the packages are secured against tampering, but the contents of the package are not encrypted.

Trust all client certificates
  • Active: All client certificates are accepted and the connection is made.
  • Inactive: All clients that want to connect with the server must send a valid certificate. This certificate is also checked to see if it is in the list of known client certificates (certificate trust list path).

Note: An OPCUA client without a secure connection does not send a certificate. For an OPCUA client with a secure connection, the certificate must always be stored in the Trust List folder.

Use zenon authentication
  • Active: Clients can only log on to the server with a valid user ID and password.
    Note: The user administration must be active.
  • Inactive: Anonymous login is possible.

Attention: The user name and password are not transferred in encrypted form in the OPCUA telegram. If necessary, use your own users in the project without assigned authorization levels.

Archive for historical data

Archive for historical data. Selection of the archive description from the drop-down list. Only one individual archive from one of the projects can be selected in Runtime. The archive must already have been created in the project.

OK

Riprende le modifiche in tutte le tab e chiude il dialogo.

Attention: All active connections are ended and the server is restarted with the new settings. Connection errors may occur in the process.

Cancel

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Help

Apre la guida online.

Noch in diesem Kapitel

Certificates

Generate new certificate


Certificates

Manuale -> Process Gateway -> OPC UA Server -> Module configuration -> Server -> Certificates

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

All certificates must correspond to the format X509.

Certificate store

The OPC UA server in the Process Gateway uses an OpenSSL Directory certificate store. The OPCUA server cannot currently be configured and the Windows Certificate Store (local user or local machine) cannot be used.

Server certificate

The server certificate created on initial startup is a self-signed certificate. The certificate contains a public key. A suitable 1024-large private RSA key is also generated.

As a uniform resource identifier (URI) in the SubjectAltName field, it contains the Full Qualitfied Domainname (FQN) of the computer and the default port number 4841 from the OPC UA server and a DNS entry with the computer name. The URI of the OPCUA servers is compiled dynamically and changes if, for example, the port number is changed. The server certificate is not changed in this case. A client that carries out a strict check of the server certificate can, under certain circumstances, reject the server certificate.

It is also possible to use your own certificate with a suitable private key. The certificate must comply with the guidelines for Application Instance certificates in accordance with the OPC UA standard. The SubjectAltName field must contain the URI of the server.

Certificate Trust List/Certificate Trust Chain

All certificates with the suffix .der are checked by the OPC UA server and classed as a trustworthy certificate. As an alternative to the self-designated Application Instance certificate of an OPC UA clients, the public root certificate of the Certificate Authority that was used to sign an Application Instance certificate of an OPC UA client can also be stored. The Application Instance certificate of the client does not need to be present on the server in this case.

Certificate Revocation List

If an OPC UA client uses an Application Instance certificate that is signed by a Certificate Authority, the Certificate Revocation List is also checked by the server in addition to the certificate. The OPC UA server checks all files with the suffix .crl in the Crl subfolder.
Attention: The .crl file must be stored in PEM format. Only one single .crl file can be present per certificate authority.

The connection is denied if:

  • The client certificate is included in the Revocationlist BadCertificateRevoked
  • The CRL is no longer current (BadCertificateTimeInvalid)

If, for a certificate that has been signed by a Certificate Authority, there is no Certificate Revocation List, it is assumed that there is none and the certificate is considered trustworthy.


Generate new certificate

Manuale -> Process Gateway -> OPC UA Server -> Module configuration -> Server -> Generate new certificate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If necessary, new certificates can be generated when the OPC UA server is started.
To do this:

  1. Remove the existing certificates.
    There are two possibilities for doing so:
    1. Delete the following folder: %programdata%\COPA-DATA\system\PKI.
      In doing so, all trusted certificates and certificate revocation lists are removed.
      Or:
    2. Delete the following files in order to get all other certificates and lists:

      zenopcua.der in the folder %programdata%\COPA-DATA\system\PKI\CA\certs

      zenopcua.pem in the folder %programdata%\COPA-DATA\system\PKI\CA\private

      zenopcua.crl in the folder %programdata%\COPA-DATA\system\PKI\CA\crl

  2. Open the zenprocgateway.ini configuration file.
  3. Navigate to the section [OPCUA].
  4. Remove the following entries:
    • CERTIFICATES_PATH=
    • SERVER_CERTIFICATE_LOCATION=
    • SERVER_PRIVATE_KEY_LOCATION=
  5. Start the OPCUA Process Gateway.
  6. Confirm the message box with yes in order to create new certificates.

attention Attenzione

If server certificates need to be renewed, each OPC UA client that needs a valid server certificate must receive the renewed certificate.


Variables

Manuale -> Process Gateway -> OPC UA Server -> Module configuration -> Variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Variables

Variables for the OPC UA Process Gateway can be selected automatically or individually.

There are variables from the current project and its subprojects available. The name on the server consists of the variable names and the project names.

attention Attenzione

Variables that do not have the Settaggio valori attivo property set in the Editor cannot be written to by an OPC UA client.

Defining variables

If no variables are defined in the OPC UA server configuration, then all variables from the zenon project are added to the OPC UA address space. All variables (including system variables) are visible for the clients. In doing so, each variable is given its own node with an automatically-issued numerical identifier and namespace index 80.

with manual configuration (at least one configured variable), the values defined by the user are used. The namespace index 80 and a string identifier with the variable names are also entered as standard.

Parameters

Description

Available in Scada

List of existing variables.

Filter

The existing variables can be displayed as filtered according to:

  • Project
  • Name

The placeholders (* or ?) are permitted for the filter text.

Exported to OPC UA

List of exported variables.

The variables can be sorted according to:

  • NS index
  • Identifier
  • Project
  • zenon name

Node Id

Namespace index

Defines the namespace index in the node ID for the selected OPC UA variable.

The value:

  • must not be empty
  • must be numerical
  • must be greater than 0

Identifier

Defines the identifier in the node ID for the selected OPC UA variable.

  • A numerical identifier is automatically created with numerical input.
  • If a GUID is entered, a GUID identified is created, otherwise the identifier is treated as a string.
    GUID-Form: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx)

The field must not be empty.

To export variables to OPC UA:

  1. Select the desired variables in Available in zenon (multiple selection is possible)
  2. Click on the arrow direction Exported to OPC UA

    To export all variables, click on the double arrow

The zenon variable name is used as browser name and display name.

info Informazioni su

For zenon variables with a slash (/) in the names, the / is replaced by a dot (.). The parts of the name separated by a slash are saved in their own subfolders.

Example: The zenon variable "Static/Scalar/Int32" is divided into:

  • An OPC UA variable "Int32"
  • I a folder called "Scalar",
  • which is a subfolder of the "Static" folder

This works with all data types, multi-dimensional arrays, umlauts in names and slashes at the end.


Start

Manuale -> Process Gateway -> OPC UA Server -> Start

When started, the process gateway loads the configured driver.

The driver tries to read the active configuration from the given INI file. If this is not possible, an error message will be given and the configuration dialog will be opened for you. If the configuration is not confirmed with OK, the process gateway is closed.

attention Attenzione

If the application is started as invisible, there is also no configuration dialog displayed. If the configuration is invalid or not present, the process gateway is automatically closed.


Connection

Manuale -> Process Gateway -> OPC UA Server -> Connection

The OPC UA process gateway only supports the OPC UA TCP binary protocol and does not contain a discovery server. The client must also connect directly to the server. The connection address corresponds to the scheme: opc.tcp://hostname.of.server:port

The connection can be secured.


Security

Manuale -> Process Gateway -> OPC UA Server -> Security

The module uses the security procedures that correspond to OPC UA (signing and encrypting messages) as defined in the standard. Certificates can be checked or all accepted, depending on the setting.

Secure connections

If the Accept secure connections only option is activated, then the server only accepts connections that use either sign or sign & encrypt as a security mode. Furthermore, Basic128Rsa15 or Basic256 must be used by the client as a Security Policy. If this option is deactivated, any desired combination of security mode and security policy is accepted.

User Administration

If user administration is activated in the zenon project and at least one user is created, the option use zenon user authentication is available. If it is activated, only clients that send a valid user/password combination have access to the data on the OPC UA server. If it is inactive, no check is carried out and both anonymous and all user/password combinations are accepted.


Alarms and states

Manuale -> Process Gateway -> OPC UA Server -> Alarms and states

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The OPC UA Process Gateway supports the zenon information model for alarms and states. It is activated as soon as a variable has at least a limit value.

From the time of activation, a linked client can be informed about limit values of a variable being exceeded. It is in a position to confirm the alarm, as in zenon Runtime.

The OPC weighting, as defined in the standard, is shown on the index of the alarm/event classes linked to the limit value. The index of an alarm/event class is automatically incremented by the zenon Editor with each new alarm/event class and can be checked in the properties. Up to 20 classes with the following allocation are supported:

OPC UA range | zenon alarm/event class | OPC weighting
HIGH | 20 | 1000
 | 19 | 950
 | 18 | 900
 | 17 | 850
MEDIUM HIGH | 16 | 800
 | 15 | 750
 | 14 | 700
 | 13 | 650
MEDIUM | 12 | 600
 | 11 | 550
 | 10 | 500
 | 9 | 450
MEDIUM LOW | 8 | 400
 | 7 | 350
 | 6 | 300
 | 5 | 250
LOW | 4 | 200
 | 3 | 150
 | 2 | 100
 | 1 | 50

If a variable with no alarm class is linked, the lowest possible classification 1 (LOW) is used.

Illustration zenon alarm as object

zenon variables and related alarms are illustrated in the OPC UA server as objects.

The screenshot displays the inclusion of the zenon project (TEST651) and the zenon variables (WIZ_VAR_10, WIZ_VAR_11, WIZ_VAR_12) as objects in the upper area. This includes the alarms when the limit values set up have been reached (Limit 750 reached! etc).

Logging

The driver supports a comprehensive logging function via the diagnosis viewer.


Service Sets

Manuale -> Process Gateway -> OPC UA Server -> Service Sets

Service Set | Is supported
Discovery Service Set |
FindServers | yes
GetEndpoints | yes
RegisterServer | no
SecureChannel Service Set |
OpenSecureChannel | Yes
CloseSecureChannel | Yes
Session Service Set |
CreateSession | yes
ActivateSession | yes
CloseSession | yes
Cancel | yes
NodeManagement Service Set |
AddNodes | no
AddReferences | no
DeleteNodes | no
DeleteReferences | no
View Service Set |
Browse | yes
BrowseNext | yes
TranslateBrowsePathsToNodeIds | yes
RegisterNodes | yes
UnregisterNodes | yes
Query Service Set |
QueryFirst | no
QueryNext | no
Attribute Service Set |
Read | yes
HistoryRead | yes
Write | yes
HistoryUpdate | no
Method Service Set |
Call | yes
MonitoredItem Service Set |
CreateMonitoredItems | yes
ModifyMonitoredItems | yes
SetMonitoringMode | yes
SetTriggering | yes
DeleteMonitoredItems | yes
Subscription Service Set |
CreateSubscription | yes
ModifySubscription | yes
SetPublishingMode | yes
Publish | yes
Republish | yes
TransferSubscriptions | yes
DeleteSubscriptions | yes


Error message

Manuale -> Process Gateway -> OPC UA Server -> Error message

Error mesages in the log file:

Error message | Debug Level | Description
Failed to validate client certificate | Error | The client certificate could not be validated. It is either invalid (the date of validity may have been overwritten) or it was not found in the list of known client certificates. Additional information including an error number describes the error in more detail.
Wrong user/password supplied while trying to activate session (User: %s) | Error | User authentication failed. The name for the user to be authenticated is displayed.
Login of user '%s' succeeded. | Deep Debug: | User authentication successful.
Variable '%s' could not be added to OPC UA address space, because node '%s' with the same node identifier already exists | Error | A variable defined by the user could not be created, because another variable with the same identifier already exists.
Failed to initialize server architecture: An internal error occurred as a result of a programming or configuration error. (0x80020000) | Error | A certificate file, private key file or certificate revocation list file is not in the correct format.


SNMP agent

Manuale -> Process Gateway -> SNMP agent

Noch in diesem Kapitel

SNMP architecture

Management Information Base (MIB)

MIB structure

Module configuration

Configuration file: specific entries for Access SNMP

Configuration of the Windows SNMP agent


SNMP architecture

Manuale -> Process Gateway -> SNMP agent -> SNMP architecture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Windows SNMP agent supports SNMP version 2 (SNMPv2c). It also supports the SNMP functions (GET, GETNEXT, GETBULK, SET, TRAP).

More details about Microsoft's implementation of the SNMP can be found on the Microsoft TechNet Website: “How SNMP Works” http://technet2.microsoft.com/windowsserver/en/library/bf555774-2d63-4e96-b432-c4b7bcac6b531033.mspx

Windows operating system components with a connection to the Process Gateway and the Runtime:


Management Information Base (MIB)

Manuale -> Process Gateway -> SNMP agent -> Management Information Base (MIB)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Management Information Base (MIB) is organized in the form of a tree structure, in which the SNMP agent provides the variables = (OID – Object Identifier). See below: the MIB structure, with additional variables provided via the Process Gateway.


MIB structure

Manuale -> Process Gateway -> SNMP agent -> MIB structure

Info block structure is always present |  |  |  |
OID | Description | Data Type | Access | Change is sent as Trap
1.3.6.1.4.1.300.1.1.0 | copadata.info.statusinfo, Runtime is (Online, Offline) | string | read | yes
1.3.6.1.4.1.300.1.2.0 | copadata.info.statusval, Runtime is 1=Online 0=Offline | integer | read | yes
1.3.6.1.4.1.300.1.3.0 | copadata.info.watchdog | integer | read | no
1.3.6.1.4.1.300.1.4.0 | copadata.info.project, name of project which the Process Gateway reads variables from | string | read | no

Variable structure (table) is dynamically adjusted, according to the configuration of the Process Gateway |  |  |  |
OID | Description | Data Type | Access | Change is sent as Trap
1.3.6.1.4.1.300.2.1.0 | copadata.variables.ifNumber, number of configured variables=OID | integer | read | yes
1.3.6.1.4.1.300.2.2.1.X | copadata.variables.ifTables.ifIndex, configured OID index from the Process Gateway configuration | integer | read | no
1.3.6.1.4.1.300.2.2.2.X | copadata.variables.ifTables.ifName, variable name | string | read | no
1.3.6.1.4.1.300.2.2.3.X | copadata.variables.ifTables.ifValue, variable value as Integer. All numerical data types are formatted to an SNMP Integer data type. ATTENTION: the decimal places of REAL and DOUBLE are lost. | integer | according to configuration in Process Gateway | no
1.3.6.1.4.1.300.2.2.4.X | copadata.variables.ifTables.ifValueAsString, variable value as String. All numerical data types are formatted to an SNMP String data type. | string | according to configuration in Process Gateway | yes
1.3.6.1.4.1.300.2.2.5.X | copadata.variables.ifTables.ifStatus, variable status value | integer | read | yes
1.3.6.1.4.1.300.2.2.6.X | copadata.variables.ifTables.ifTimestamp, variable time stamp | integer | read | yes


Module configuration

Manuale -> Process Gateway -> SNMP agent -> Module configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The following dialog appears after the Settings button is clicked:

Here the variables that should be connected can be selected. On the left-hand side all variables which are available in zenon are displayed. You can select them there and move them to the SNMP export list with the button > With the button < they can be removed again. If you move a variable to the export list, a dialog for the name assignment of the zenon variable to an OID address in the SNMP structure appears:

The variables selected in this way are then available on the SNMP server and are continuously synchronized between zenon and the SNMP OID structure. For every OID address you can define whether it can be write-accessed via SNMP SET. The exact structure of every OID address is described in the chapter "MIB structure.


Configuration file: specific entries for Access SNMP

Manuale -> Process Gateway -> SNMP agent -> Configuration file: specific entries for Access SNMP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file must be in the system folder.

Parameters | Description
[SNMP] |
REFRESHRATE | Update time in milliseconds

Parameters | Description
[VARIABLES] |
COUNT | number of variables to be exported
NAME_n | name of the variable with the number n (0<=<COUNT)
PARAM_n | Parameter SNMP OID table offset and the information R=read only / RW=read and write with the number n (0<=n<COUNT)

Export of variables

For the successful export the project name in zenProcgateway.ini in folder %CD_SYSTEM% must be entered correctly. Enter it here:

[DEFAULT]
PROJECT=

Attention: If the entry is wrong or missing the gateway is closed without any error messages. Thus the variable is not available.


Configuration of the Windows SNMP agent

Manuale -> Process Gateway -> SNMP agent -> Configuration of the Windows SNMP agent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To make sure that the Windows SNMP Agent (SNMP.exe) provides the zenon MIB partial structure, the Process Gateway file AccessSNMP.dll in the registry must be configured accordingly:

  1. Installation of the Windows SNMP service via the control panel:
    • Via module: Programs and functions - >Activate or deactivate Windows functions.

    Note: With Windows 8, the computer must be restarted once the SNMP service has been added.

  2. Installation of Process Gateway with the file AccessSNMP.dll in the folder
    %Program Files (x86)%\COPA-DATA\zenon 7.50
  3. Add the following keys and character strings using the registry editor. The paths and content are sometimes different for 32-bit systems and 64-bit systems:

    32-Bit:

    • [HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\SNMP\Parameters\ExtensionAgents]
      Name=ProcessGateway
      Value=SOFTWARE\COPA-DATA\SNMP\CurrentVersion
    • [HKEY_LOCAL_MACHINE\SOFTWARE\COPA-DATA\SNMP\CurrentVersion]
      Name=Pathname
      Wert=C:\Program Files\COPA-DATA\zenon 7.50 SP0\AccessSNMP.dll

    64-Bit:

    • [HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\SNMP\Parameters\ExtensionAgents]
      Name=ProcessGateway
      Value=SOFTWARE\COPA-DATA\SNMP\CurrentVersion
    • [HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\COPA-DATA\SNMP\CurrentVersion]
      Name=Pathname
      Wert=C:\Program Files (x86)\COPA-DATA\zenon 7.50 SP0\AccessSNMP.dll
  4. Start the SNMP service.
    This loads the process gateway file AccessSNMP.dll via the registry configuration.
    Further configuration settings for the Windows SNMP service: Control panel -> Administration-> Services-> SNMP service-> Properties
    1. Traps: tab Defines the IP address in the network to which traps are sent:

    • Communityname: Must be identical on manager and agent
    • Trap destinations: Addresses of the destinations as host names, IP addresses or IPX addresses
    1. Security: tab Defines the rights with which an SNMP client can access the SNMP agent:

    • Rights: Must be set to "READ WRITE"
    • Community: Must be identical on manager and agent


SQL

Manuale -> Process Gateway -> SQL

Noch in diesem Kapitel

Module configuration

Variable selection

Creating tables

Operation in a redundant system

Configuration file: specific entries for AccessSQL

Table format


Module configuration

Manuale -> Process Gateway -> SQL -> Module configuration

The configuration of the database connection consists of two parts.

  1. OLE-DB connection: This OLE-DB connection can be defined in the configuration dialog using the selection button for the connect string. Then the standard dialog for data connection properties is opened.
  2. Additionally the name of the table can be defined, if the standard name ONLINE_VALUES should not be used.
    This can be set with the TABLE entry in the [DATABASE] section of the configuration file (zenProcGateway.ini). The settings are taken over by the add-on when starting it.

attention Attenzione

If table names are defined manually in the configuration file (zenProcGateway.ini), these table names must also be amended or created in the database by hand.

Oracle databases

Use of the Process Gateway and AccessSQL.dll in conjunction with Oracle databases can cause errors: It it possible, with some ODBC drivers, that no online values are written to the database. The advanced ODBC logging then issues the error message "1843".

The problem can be solved by changing the ODBC driver. For example, the ODBC driver 9.02.00.05 for Oracle 9.2 works.


Variable selection

Manuale -> Process Gateway -> SQL -> Variable selection

In the configuration dialog the zenon variables that should be written to the SQL process image can be defined. In order to do this the variables available in the zenon project - listed in the left part - have to be added to the image - listed in the right part.


Creating tables

Manuale -> Process Gateway -> SQL -> Creating tables

After closing the configuration dialog with OK, the table structure of the SQL database is automatically generated. For the case, that it is created by hand:


Operation in a redundant system

Manuale -> Process Gateway -> SQL -> Operation in a redundant system

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In redundant operation two alternatives are available. In the first variation the SQL database runs locally on both servers and the Process Gateway also runs on both servers. As only online values are handled no further alignment between the databases is necessary. The big disadvantage of this version is the high network load that is a result from the additional reading of online values on the Standby Server.

In the second version the Process Gateway only runs on the Runtime server and writes data to a local or a remote SQL database. In this alternative no additional network load between the Runtime Server and the Standby Server occurs and in the case of the remote SQL database the Server is not strained by external requests to that database.


Configuration file: specific entries for AccessSQL

Manuale -> Process Gateway -> SQL -> Configuration file: specific entries for AccessSQL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The configuration file must be in the system folder.

Parameters | Description
[DATABASE] |
INITSTRING | OLE-DB connect-string to the SQL database
TABLE_ONL | name of the table that receives the process image
TABLE_VAR | name of the table that receives the variable IDs
REFRESHRATE | maximum refresh rate in milliseconds

Parameters | Description
[VARIABLES] |
COUNT | number of variables to be exported
NAME_n | name of variable number n (0


Table format

Manuale -> Process Gateway -> SQL -> Table format

Noch in diesem Kapitel

Table for process image

Table for variable IDs


Table for process image

Manuale -> Process Gateway -> SQL -> Table format -> Table for process image

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
VARIABLE | int[4] | ID of the zenon variable
VALUE | varchar[64] | current value as string
VALUE_NUM | float | current value as float
TIMESTAMP | int[4] | time stamp of the current value (as UNIX time)
TIMESTAMP2 | datetime | time stamp of the current value (as datetime)
Status | int[4] | status word of the current value


Table for variable IDs

Manuale -> Process Gateway -> SQL -> Table format -> Table for variable IDs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
VARIABLE | int[4] | ID of the zenon variable
NAME | varchar[128] | name of the control system variable


Production and Facility Scheduler (PFS)

Manuale -> Production and Facility Scheduler (PFS)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Production & Facility Scheduler (PFS) allows executiong actions (e.g. changing of a variable's set value, executing a function) for a period of time or in a time grid.

tutorial Informazioni sulla licenza

Must be licensed in Editor and Runtime.

Project manager context menu

Menu item | Action
New time model group | Opens the wizard for creating a new time model group.
New event | Creates a new event.
Editor profile | Opens the drop-down list with predefined editor profiles.
Help | Opens online help.

Noch in diesem Kapitel

General

Toolbar and context menu PFS

Views in the Production Facility Scheduler

Engineering with the Production and Facility Scheduler

Advanced configuration in the Production and Facility Scheduler

Object types

Properties

Dialogs

Execute PFS event

Screen type Production and Facility Scheduler

Screen switch - PFS


General

Manuale -> Production and Facility Scheduler (PFS) -> General

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The optional module Production & Facility Scheduler (PFS) enables actions to be executed in relation to a specific period of time or according to a time model.

The PFS can be configured in both the Editor and Runtime environments. Configuration within the Runtime environment can be restricted by applying user rights. All configurations established in relation to the Runtime environment can be read back to the Editor; otherwise these configurations are specific.

All stated times are independent of time zone and daylight saving time and standard time.

info Informazioni su

If the project is not displayed after the Editor is started:

  • open the menu Option
  • select the command Project manager


Toolbar and context menu PFS

Manuale -> Production and Facility Scheduler (PFS) -> Toolbar and context menu PFS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Symbol | Description
Create | Depend on the selected element, a new element is created and the respective dialog is opened.
Cut | Cuts the selected element.
Copy | Copies selected element.
Paste | Pastes the element from the clipboard.
Delete | Deletes selected element
Help | Opens online help.

Context Menu

Menu item

Action

Save

Saves changes in the engineering of the PFS.

Undo

Rejects all changes since the last time the PFS has been saved.

Properties

Opens the dialog for configuring:

  • Time change
  • Holidays
  • Table color
  • Record shift times

Switching point preview

Opens the switching point preview dialog.

Filter criteria ...

Opens the dialog for selecting filters.

Help

Opens online help.

info Informazioni su

You can find explanations on context menus of individual elements of the tree and the table in the respective chapters especially in chapter Object types.


Views in the Production Facility Scheduler

Manuale -> Production and Facility Scheduler (PFS) -> Views in the Production Facility Scheduler

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The visualization of the PFS is separated into two scopes: The hierarchical tree view on the left side and the table view on the right side.

Noch in diesem Kapitel

Tree view

Table view


Tree view

Manuale -> Production and Facility Scheduler (PFS) -> Views in the Production Facility Scheduler -> Tree view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The tree view enables users to easily identify on which level an object is located, and to which element(s) it relates. The tree view's congruence is illustrated by level lines. This is important information as the behavior of objects depends on their relations.
A context menu, specifically related to each type of object, can be opened by right-clicking on the required object.

This area also enables users to copy, move and delete objects, provided that they are authorised to perform such operations.


Table view

Manuale -> Production and Facility Scheduler (PFS) -> Views in the Production Facility Scheduler -> Table view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The right-hand area of the PFS environment displays, according to the type of object selected in the tree view, the data related to the object. Some objects (e.g. schedules) can be configured in greater detail in this area, whereas other objects only enable users to display their current configuration, which cannot be modified here. For example: Events

If editing in the table is possible, you can access the necessary commands via context menus. So you can define the desired settings.

With some object types, users can also enter data directly into the table's cells e.g. times to be used in schedules.


Engineering with the Production and Facility Scheduler

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this section, we will proceed, step by step, to create a first PFS project; throughout this procedure, we will perform the following operations:

  • Creating time model groups, models and schedules.
  • Creating absolute and relative times using links to variables or functions.
  • Creating and executing user-defined events.
  • Using editing functions such as copying, moving and deleting.
  • Linking schedules and models within the calendar.
  • Checking over the created configuration using the switching point preview mode.
  • Creating schedules in relation to the Runtime environment.

You should be familiar with creating projects, variables, functions, frames and screens. In this regard, only descriptions of the settings directly related to the PFS will be provided in the following section. If you need more information on these basic functionality, please refer to the appropriate chapter in the documentation.

info Informazioni su

Labels in lists such as calendar, schedules, events etc, are always displayed in the language the project was created.

Noch in diesem Kapitel

Task description

Step 1: Preparatory work

Step 2: Settings Production and Facility Scheduler

Step 3: Create time model groups

Step 4: Create model

Step 5: Create shifts and breaks

Step 6: Define holiday model

Step 7: User-defined event horn duration

Step 8: Thoughts about schedule structure

Step 9: Schedule for the hall

Step 10: Thoughts about the times

Step 11: Times for the schedule Hall

Step 12: Switching points schedule Hall

Step 13: Schedule line I

Step 14: Schedule line II

Step 15: Thoughts about calendar allocation

Step 16: Execute calendar allocation

Step 17: Checking the project

Step 18: PFS in the Runtime

Step 19: Execution in the Runtime

Step 20: Resume


Task description

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Task description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The task we must create is set as follows: a factory workshop (Hall I), containing two production lines (Line I and Line II) running on a shift from 06.00 to 18.00, must be heated, and its lighting system switched on and off. The heating needs a pre-heating time of 2 hours for line I and 1 hour for line II, where production line I has to be heated to 83° and production line II to 45°. If there is no production, heating should go down to 20°. Lights should be switched on 10 minutes earlier or switched off 10 minutes later. The production shift's start or end, as well as the various breaks' start and end, are signalled by a six-second horn tone. A break is scheduled for 15 minutes at 9.00, lunch break is scheduled for one hour at 12.00, and another break is scheduled for 15 minutes at 15.00. Production takes place 5 days a week; no production is scheduled on holidays or weekends. This workshop is located in Austria. Every 6 hours, the waste water pump must be activated for 30 seconds.


Step 1: Preparatory work

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 1: Preparatory work

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this step, we will carry out some preparatory tasks prior to configuring the PFS. We will create a project, a driver is implemented and the necessary variables for our example are created.

  1. Create a new project named PfsSample in a new workspace.
  2. In the context menu of the project select Runtime files ->RT changeable files....
  3. Deselect the Do not generate and transfer checkbox for the PFS. This way, any changes made to the PFS in the Editor will be recompiled; changes made in the Runtime environment will however be lost.
  4. Deselect the Do not decompile checkbox for the PFS. Changes made in the Runtime are transferred to the Editor with decompiling.
  5. Integrate the simulation driver. Accept all settings of the configuration.
  6. Create the following variables:
    • HD-Bit; Offset 10; Bit 0; Name: Horn
    • HD-Bit; Offset 10; Bit 1; Name: Light I
    • HD-Bit; Offset 10; Bit 2; Name: Light II
    • HD-Bit; Offset 10; Bit 3; Name: Waste water pump
    • HD-Word; Offset 11; Name: Heating P I
    • HD-Word; Offset 12; Name: Heating P II
  7. Activate the PFS by clicking on the appropriate node in the project manager. The empty PFS workspace should now be displayed on the screen.
  8. Maximize the window Project info by activating the option Float in main window or deactivating the option Allow docking in the context menu of the window. An enlarged display area within the project window proves very useful when configuring the PFS.


Step 2: Settings Production and Facility Scheduler

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 2: Settings Production and Facility Scheduler

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this step, we will configure parameters that apply to the whole of the PFS environment. To determine the appropriate holidays, you must specify in which country the current PFS project is set.


Step 3: Create time model groups

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 3: Create time model groups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this step, we will create a new time model group, and configure it according to our requirements.

In this case, Hall I will be designated as the time model group, as this hall requires specifically designed models (refer to time model object). Whenever several different models are required for one same calendar day, you will be required to divide a project into several different time model groups.

Expand the main node Production & Facility Scheduler. You should now see 3 additional entries. Time model groups, Events and Calendar

Right-click on the Time model group entry to open the context menu, and click on the Create item. Now page Time model group properties of the time model group is displayed. The Label field remains empty, as we are creating a new time model group.

Type Hall I in the Name field - i.e. the new time model group name. The time model group's designation (i.e. label) must be unique throughout the whole of the PFS environment. In this particular case, we are quite sure it is.

The Start of day (00:00:00) and End of Day (23:59:59) parameters can remain as such. These statements define the time model group's cycle for one full day.

Once you have made sure that the time model group designation is valid, click on OK to save these settings and create the new time model group.

You can now see a new entry has appeared under the Time model group header, called Hall I; this entry contains two further entries: Schedules and Time models.


Step 4: Create model

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 4: Create model

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Models are required to define relative times, and contain all the shift and break time information.

Select the Create menu item in the Time model context menu.

A new time model, named New time model has now been created. When it appears on screen, this entry automatically switches to "Rename" mode, as the presence of the input field reveals. Rename the entry to Workday. Should you involuntarily click anywhere else on the screen, the program exits "Rename mode" for this entry, and the model designation New time model remains. Click twice (but don't double-click!) on the New time model label to switch back to "Rename mode". You can also do this by selecting the Rename item in the relevant context menu. The designation provided must be unique throughout all of the time model group.


Step 5: Create shifts and breaks

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 5: Create shifts and breaks

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Shifts are a decisive element in the process of defining relative switching times. This consideration not only concerns relative events such as Shift start and Shift end, but also the identification of production start and production end times.

Select the top cell in the Shift/Break column. To create a new shift, select the Create shift context menu item. Be sure to provide a unique designation for the new shift. We name the shift 1. With the tab key or the mouse we move to the column Start time. Our shift should start at 06:00:00 a.m. and last until 06:00:00 p.m. So as a start time we enter 06:00:00 and as an end time 18:00:00.

Shifts are displayed on a grey background, whereas breaks are displayed as white areas.

Our working forces fortunately also get to take some breaks throughout the day, which we shall now define. To do so, select a cell from a line within the shift, and open the relevant context menu. To define a new break, select the Create break menu item. We shall call this new break Morning. We want our first break to start at 09:00:00 and end at 09:15:00.

We shall now proceed to create the lunch break. Designation: Lunch break; start: 12:00:00; End: 1:00:00 PM

There remains one break, namely the afternoon break, which we have yet to create. Name: Afternoon; start: 15:00:00; End:

Our model named Working day should now be configured as follows:


Step 6: Define holiday model

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 6: Define holiday model

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

As no production takes place on bank holidays - whereas such holidays can occur on any day between Monday and Friday -, holidays require the use of a specific model. This model is very simple, as it contains no shifts. In this situation, you should always remember that a model related to a special day has priority over default models used for "usual" Monday-to-Sunday weeks. The emphasis lies on "default models". To briefly explain this, let us simply say that single-day allocations have a higher priority level than special days. A model which does not comprise any shifts possesses the same priority level as a day to which no models are linked.

As described in step 4, create a model named Holiday. No shifts whatsoever are to be defined in this model.


Step 7: User-defined event horn duration

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 7: User-defined event horn duration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

We shall now configure the project in order to make a horn sound for 6 seconds, both at the start of shifts and breaks as well as at the end of shifts and breaks. This six-second horn tone can be defined very efficiently by means of a user-defined event.

What is a user-defiend event? User-defined events are in fact relative switching times, which are special owing to the fact that they can be defined by the user proceeding to define the project. To initiate a user-defiend event, select the PFS: execute event menu item. This function will define the execution time point for the function as a trigger for the required user-defined event. The actual execution of the event will then occur, according to any offset value you may have configured.

Now that we have broached the principle, let us proceed to the creation. Right-click on the Event entry to open the context menu, then create a new event by clicking on the Create item. The event is created with the name New user event, and the new entry automatically switches over to "Rename mode". As you recall, the procedure is very similar in style to that described in step 4, "Creating Models". Change the event's designation to Horn tone. The event's designation must be unique throughout the whole of the PFS environment.

Access the function administration area, and add the PFS: execute event function to the Horn Tone user-defined event.


Step 8: Thoughts about schedule structure

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 8: Thoughts about schedule structure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The project we are currently defining comprises two production lines, which we shall include in separate schedules. At the same time however, some tasks will be identical for both lines. On both lines, the lights must be switched on 10 minutes before the shift starts, and be left on for 10 minutes after the shift has ended. This will be represented in an additional, upper-level schedule. We shall here make good use of the program's capacity to hand times from previously defined schedules down to subsequent schedules. However, only the switching point in fact remains identical here, as each production line is equipped with its own lighting system. The waster water pump must also be activated, and this will follow in the additional upper-level schedule.

After this, we will still need to configure the horn. This configuration is identical on both lines, since only one horn equips both halls; hence, this will be treated in the additional upper-level schedule.

Hall schedule. Hall designation. We must configure the horn, the waste water pump and the lighting system's timing.

Schedule for Line I: Additional lower-level Hall schedule. Designation for Line I; lights must be switched on and off. Set temperature.

Schedule for Line II: Additional lower-level Hall schedule. Designation for Line II; lights must be switched on and off. Set temperature.

Now that we have established these principles, we shall create the schedules themselves.


Step 9: Schedule for the hall

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 9: Schedule for the hall

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The first schedule we must create contains the switching points for Hall I. In addition, it also contains all the switching times, which must be identical in the additional lower-level schedules.

Let us start by creating our first schedule. In order to do so, expand the Production & Facility Scheduler, Time model group, Hall I branches in the tree view so that the Schedule entry located near time model group Hall I is visible. Right-click on the Schedule entry to open the appropriate context menu, and click on the Create item. The various schedule-related settings are now displayed on screen. In the field Name specify the schedule name Hall. The schedule should now be active (i.e. the checkbox Activate schedule checkbox should be selected), and should not be defined as a structure schedule (the Structure schedule checkbox should not be selected).

We must be able to execute the user-defined event Horn Tone. To do so, we will add this specific function to the list of functions used in the schedule. Right-click on the Function list entry to open the appropriate context menu, and click on the item Add function. Confirm the previously defined function PFS - execute event [Horn tone]. This function shall now be added to the schedule's list of functions, and can be used as of now.

In addition, we want to create and save the variables Horn and Waste water pump, which will serve to activate the horn and waste water pump. To do so, we must add these variables to the schedule-specific list of variables. Open the relevant context menu, and click on the item Add variable. The list of variables that then appears onscreen enables you to add the required variables; to do so, double-click on a variable in the list of available variables, or select a variable before clicking on the button Add.

Once you have defined these actions, your schedule should be configured as follows.


Step 10: Thoughts about the times

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 10: Thoughts about the times

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Times serve to define the point in time for the execution of switching points. Two different types of time are available:

Absolute time: this type requires you to directly provide a specific time. The execution time itself will not change, regardless of whether the switching point has been executed or not. Execution will only be withheld if the schedule or the switching point have been deactivated, or if the schedule has not correctly been linked to the day. This type of time is ideal when an execution time has been categorically defined.

Relative time: In this case, the effective execution time depends not only on the configured type of event, but also on the way models are positioned in the calendar, on the type of day (standard day or holiday), and a number of other factors. The execution conditions are described in detail in the Time types section. Basically, the execution point of time depends on a number of other factors, hence the "relative time" denomination. The interest in using this type of time is that, in the event where a reference needs to be modified, all related execution times will be updated automatically. However, there is also one disadvantage which users should bear in mind. Owing to the fact that the execution time is not directly displayed, times defined using this time type cannot be supervised as easily as absolute times. The switching point preview mode however provides a solution to this problem.

So, which time types should we use to meet the requirements of our task? To answer this question, let us briefly consider how and why various actions should be carried out or various elements switched on/off.

First of all, the horn. It should sound for 6 seconds whenever shifts and breaks start or end. The start of the horn tone is directly related to each shift or break. We know when the shifts or breaks start and end. Thus, it should be possible to use these times directly. However, when a shift changes, these times must be adapted; therefore, other related times (e.g. silencing the horn) will need to be adapted likewise. This can be the cause of quite a few mistakes. By using the relative times Shift start, Shift end, Break start and Break end, any necessary adjustments will be performed automatically. To obtain a 6-second horn tone, we shall apply a 6-second offset to our user-defined event, which will define the horn deactivation.

The production lines lighting system. These depend directly on the shift times, and shall therefore be executed as Shift start and Shift end.

The production lines temperatures. These also depend directly on the shift.

The waste water pump. This element should be activated at specific intervals - every 6 hours - for 30 seconds. There is no specific relation to the shifts or breaks. Therefore, absolute times are definitely recommended here.

Now that we have analysed the various execution times, we can proceed to the configuration itself.


Step 11: Times for the schedule Hall

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 11: Times for the schedule Hall

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

We shall start by creating the starting time for the waste water pump operation. To do so, select the cell in the first row near the column Type of time. Open the relevant context menu, and select Create time grid; this opens a dialog, enabling you to create a time grid. Once you activate the checkbox As cyclic time, the additional fields are activated.

Fill in the required fields in the dialog according to the screen capture above. With our settings four absolute times are created. Midnight, 6:00 a.m., noon and 6:00 p.m.

30 seconds after activation, the pump must be switched off. Therefore, we shall now define another 4 switching times, applying, as we do so, a 30-second offset to the times we have already set. To obtain this offset, specify 00:00:30 as a start time.

We shall now proceed to configure the horn. Right-click on the table view to open the relevant context menu, and select Create time. A new absolute time period has now been created. However, we now require a relative time. Switch over to the Type of time column in the same line, and change the time type to Relative. Now, if you change back to the column Time, the time indication disappears, and a list box containing the available relative events is activated. Select the event Shift start. The offset value remains 0, as the horn must be activated immediately at the start of the shift. The horn must not only announce shift starts, but should also sound at shift ends, break starts and break ends. Therefore, create 3 additional relative times with the matching relative events. The horn should be switched off 6 seconds after being activated. To configure this, add a relative time with the relative event Horn Tone to the list. Horn Tone is the user-defined event we previously defined. Specify a 0.1 minute offset, i.e. 6 seconds. This value defines the horn tone duration.

We shall now deal with the heating issue. Create 2 relative times - for the shift start, use offset values of -120 and -60, respectively.

We are still missing the activation times for the lighting system. Create 2 relative times - for the shift start, use an offset value of -10, and for the shift end, use an offset value of 10.


Step 12: Switching points schedule Hall

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 12: Switching points schedule Hall

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

We have used times to define moments at which events are executed, and must now define what will actually happen at the specified time. This is what switching times are used for.

Let us begin with the waste water pump. Select the absolute time period 00:00:00. In the context neu click the entry Create switching point. A new line is added just after the selected time; this line represents the switching point. Switching points contain the following columns: Active, Type of link, Links, Action and Password. Let us take a quick look at these fields.

Active: This field enables you to deactivate a switching point. You can use it to block a switching point’s execution.

Type of link: This field specifies if a variable must be modified, for instance, or if a function must be performed. The other types of links are broached in the Switching point object section.

Links: According to the selected type of link, this field enables users to select the required variable or function.

Action: When the Variable link type is selected, this field contains the set value which must be written. When dealing with functions, this field is just as important as the Active field.

Password: Enables specific permissions to be requested for the configuration of the Runtime environment.

We shall now proceed to define the switching point. The currently selected column is Type of link. Select the item Variable from the list box. Now, change to the column Links. Select the Waste water pump from the list box. Now, change over to the column Action. In this column, specify a value of "1". This means that at 00:00:00, the set value will be set to 1 for the Waste water pump variable.

Now, create the following switching points, proceeding as described above:

  • 12:00:30 AM Variable: Waste water pump; Set value: 0
  • 6:00:00 AM Variable: Waste water pump; Set value: 1
  • 6:00:30 AM Variable: Waste water pump; Set value: 0
  • 12:00:00 PM Variable: Waste water pump; Set value: 1
  • 12:00:30 PM Variable: Waste water pump; Set value: 0
  • 6:00:30 PM Variable: Waste water pump; Set value: 1
  • 6:00:30 PM Variable: Waste water pump; Set value: 0

We shall now deal with the horn. As you recall, we have defined a number of relative times for the horn.
Shift start offset 0, Shift end offset 0, Break start offset 0, Break end offset 0 and Horn Tone offset 0,1.
Two switching points must be executed for the horn tone start and end, respectively. The first switching point activates the horn. The second switching point triggers the user-defined event Horn Tone.
The relative time Horn Tone must then deactivate the horn. So, let us proceed to create the required switching points. Unlike the waste water pump configuration above, this configuration uses 4 different times, thus requiring several switching points. For instance, for the time Shift start offset 0 we could activate the Create switching points function twice consecutively. However, a more convenient solution is provided. To do this select the time Shift start Offset 0. In the context menu activate Add switching points. The program now displays the Create switching points dialog. Select the function PFS Event [Horn Tone] and the variable Horn. Then click on Add to effectively add these to the results list. After you have clicked on OK, two switching points using the relevant Type and Link parameters will be created. You must still set the set value to 1 for the switching point variable Horn. Now, use the same method to define the switching points for the relative times Shift end, Break start and Break end. We shall now create the final switching point for the horn by defining for the relative time Horn tone a switching point which will sets the variable Horn to 0.

info Informazioni su

A decimal value can be entered with a colon as well as with a point, the decimal point will automatically be changed to a point.


Step 13: Schedule line I

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 13: Schedule line I

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When we previously considered the facility's structure, we decided to deal with the temperature and lighting system in additional, lower-level schedules.

Thus, we shall now create the schedule for Line I. To do so, select the schedule Hall in the tree view. Open the context menu and select Create to activate the Schedule Properties dialog, as we have already discussed. The Name should be Line I, and we shall not add any variables to the contents already provided. This section will provide the opportunity to learn about the subsequent modification of variable and function links.

Select Line I in the new schedule and the variable list in the tree view. We link the variable Light i and Heating P I with the schedule via the context menu and Add variable.

When you select schedule Line I, all times defined in previous schedules are displayed on a grey background in the table. Times displayed on a grey background identify times that have been "inherited" from previously defined schedules. If a previously defined item is altered in the "parent" schedule, times in the "child" schedules will be updated automatically.

We shall now define the switching times for the Temperature and Lighting system elements. To do so, proceed as you did in the schedule Hall.


Step 14: Schedule line II

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 14: Schedule line II

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Create a new schedule, named Line II, with the identical purpose of managing switching points.


Step 15: Thoughts about calendar allocation

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 15: Thoughts about calendar allocation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Times defined in schedules are not related to any dates; these relations will be defined by allocating the times to days in a calendar. This allocation process must be carried out separately for absolute and relative times. Allocations can be carried out for each separate time model group.

Noch in diesem Kapitel

Absolute times

Relative times


Absolute times

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 15: Thoughts about calendar allocation -> Absolute times

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When dealing with absolute times, the linking of the schedule to specific calendar days is a decisive element. In this case, the following types of links are supported:

Use schedule on this day.

Do not use schedule on this day.

Use schedule on this holiday.

Use schedule on weekdays.


Relative times

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 15: Thoughts about calendar allocation -> Relative times

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When dealing with relative times, the allocation of a model to a day is as decisive an aspect as the shifts defined within the model. In this case, the following types of links are supported:

Use model on this day.

Use holiday model if the concerned day is a holiday

Use model on weekdays.


Step 16: Execute calendar allocation

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 16: Execute calendar allocation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Select the entry Calendar in the tree view. The table now displays the current month. Each week has the lines Models - Hall I and Schedules - Hall I. Select the cell Schedules Hall I for Monday. Access the appropriate context menu, and select the Selecting schedules item to activate the schedule selection dialog. Select the schedule Hall, then click on the button Add to add this item to the results list. The complete identification Hall I. Hall, as derived from the schedule, is now displayed. Exit the dialog by clicking on OK; the Duration of series dialog is now displayed onscreen. Our schedule must be executed on a weekly basis, without any defined ending date, on days from Monday to Sunday. To define allocations to special days, access the Properties of the schedule Hall Calendar filling. This section also enables you to perform weekday allocation tasks. No calendar filling is necessary for schedules Line I and Line II, as these schedules do not use any switching points with absolute times.

Relative times will require model allocation tasks to be carried out, which we will proceed with as follows. Select the cell Model Hall I Monday. Access the appropriate context menu, and select Select model to activate the model linking dialog. Select the model Workday, then add this item to the results list. Click on OK to close the dialog; you will be asked to confirm whether this model should be defined as a default. Click on Yes: this model will now be linked to every Monday. If you click on No, the model will only be linked to this particular Monday. We shall activate this model for every Monday. You can now repeat this process for weekdays from Tuesday to Friday. However, a simpler possibility would be to access the page Properties - Calendar filling for time model group Hall I, and to proceed with allocations from there. Select the model Workday for weekdays ranging from Tuesdays to Fridays, and select the model Holiday for special days. If you now switch back to the calendar view, you will see which models are allocated to which days.


Step 17: Checking the project

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 17: Checking the project

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Editor allows you to check over the current schedule configuration and calendar filling. To do so, you will use the switching point overview mode. This preview mode enables you to view any requested period of time, including past periods.


Step 18: PFS in the Runtime

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 18: PFS in the Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the Runtime environment, the activated switching points are processed and executed second by second. This process begins when the Runtime environment is started up, and remains active until the Runtime environment is closed.

The PFS also enables you to proceed to the entire configuration within the Runtime environment, which differs only slightly from the Editor.

The main differences are as follows:

  • Auhtorization for viewing, modifying, adding and deleting entries is active.
  • Context menu functions can be activated in the screen type by means of switches.
  • The switching point preview mode displays user-defined events with reference to the event's existing triggering times.
  • Saving a modified configuration activates these triggering times instantaneously.

For our Runtime environment tests, we will configure:

  • A starting screen using the screen type Standard.
  • A PFS screen using the screen type Production and Facility Scheduler.
  • In the PFS screen, the default objects.
  • In the start screen, a button which activates the "Screen: Switch to" function to switch over to the PFS screen. We shall not broach filter settings at this point.
  • In the start screen, several display fields, which will be used to display the variables' states.


Step 19: Execution in the Runtime

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 19: Execution in the Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When executing an absolute switching point, date and time indications are decisive. Relative and absolute times, which bear no relation to dates, are defined - using the calendar filling process - in relation to absolute switching times. To proceed to our tests now, we will have to change the system time - the alternative being that you have a lot of time on your hands, and can afford to wait for the end of the day!

The PFS is well aware of any changes made to the time, and such alterations can therefore, according to the current configuration and actual change in time, generate diverse reactions. For proof, let us take a look at the Properties section of the Production & Facility Scheduler. The Time change page defines the way the PFS will react when the time is changed.

Noch in diesem Kapitel

Positive time change

Negative time change


Positive time change

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 19: Execution in the Runtime -> Positive time change

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Make up for switching points command initiates the execution of the switching points comprised in the period of time ranging from the command's execution to the corrected time, until the moment matching the new (i.e. corrected) time is reached.

The Recalculate switching points control initiates a recalculation of the switching points, proceeding from the corrected time onwards. Any switching points comprised in the period ranging from the command's execution time to the new (i.e. corrected) time are not executed.


Negative time change

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 19: Execution in the Runtime -> Negative time change

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Reject switching points command does not initiate any new calculations; thus, switching points will only be executed again once the command's execution time (i.e. former time) has been reached.

The Recalculate switching points control redefines the absolute switching points, proceeding from the corrected time onwards. With this command, the switching points will be executed again.

The above statements related to time correction issues are only applicable as long as the Runtime environment has not been closed down. In the event of a restart, the calculation of all switching points will always occur on the basis of the current system time. In addition, any corrections made to the system time must be greater than the time tolerance defined in the program.

Bearing in mind the way the PFS reacts in the event of change of time, we recommend that you only "increase" (i.e. proceed to "positive" time changes) the time when attempting to check over a configuration you have created. If you need to reinitialise the time, close the Runtime environment, change the time, and restart the Runtime environment.

For the time being, restart the Runtime environment, and change the time. For the sake of testing, a particularly "exciting" moment occurs at 12 o'clock: at this time indeed, the horn must be activated for 6 seconds. Test this function.

As we have only one trigger defined for the Horn Tone user-defined event, only the execution time point appears in the switching point overview. Execution time point: 12:00:06.


Step 20: Resume

Manuale -> Production and Facility Scheduler (PFS) -> Engineering with the Production and Facility Scheduler -> Step 20: Resume

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Throughout these 20 steps, we have learned about the basics of the PFS. You should now be able to create your own PFS projects.

The separation of the switching times into 3 schedules is not mandatory; we proceeded this way in order to illustrate the possibility of using "inherited" (i.e. previously defined) times. Had we used only one schedule, the configuration process would have required fewer operations.

Here is a short recap of the required steps:

  1. Create user-defined events.
  2. Creating the time model group
  3. Create the models.
  4. Create the schedule.
  5. Create the absolute times.
  6. Create the relative times.
  7. Create the switching points.
  8. Link the schedule to the calendar for the absolute times.
  9. Link the models to the calendar for the relative times.


Advanced configuration in the Production and Facility Scheduler

Manuale -> Production and Facility Scheduler (PFS) -> Advanced configuration in the Production and Facility Scheduler

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Drag&Drop

Filtering the PFS configuration

Mass processing

Structure schedules

Configuring Screen switch for PFS windows

Permissions for the Runtime environment

Using the PFS in a network

Converting projects

VBA interface


Drag&Drop

Manuale -> Production and Facility Scheduler (PFS) -> Advanced configuration in the Production and Facility Scheduler -> Drag&Drop

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Objects can be moved quickly and easily from one to another via drag&drop. Basically, this process is equivalent to a cut and paste operation. You must be aware that objects can only be moved towards objects of similar nature. The mouse pointer will visually indicate whether you can drop an object or not. If you attempt to drop an object on a forbidden target, the process is cancelled. This detail can prove useful, for instance if you have accidentally selected and started dragging an unrequested object to another branch in the tree view.


Filtering the PFS configuration

Manuale -> Production and Facility Scheduler (PFS) -> Advanced configuration in the Production and Facility Scheduler -> Filtering the PFS configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

As the number of time model groups, models, schedules and switching times grows, you will find it harder to find a specific object, or to display a relevant detailed overview. A filtering function has been designed to lessen this problem. In the tree view window, select the Filter criteria item in the Production & Facility Scheduler context menu to activate the Filter dialog. You can read more specifically about the Filter dialog in the PFS filter dialog section; for the time being, we will concentrate on utilizing the function.

Filtering is only performed on the actual display of objects. An object which does not match the filter is not be displayed. However it still exist. This indication should clear any misunderstanding that may arise - for instance, when a new schedule is created, and its name is added to a filtered schedule. This situation will indeed display an error message stating that the specified name already exists.

If new objects are created that do not correspond to the filter, these remain visible until the display is next updated. For example, the creation of a time that is outside of the filter. As long as you do not exit the current schedule, this time will remain visible. However, when the screen is next updated, the specified time will disappear - but it nonetheless remains available. The filter is first reused when the display is called up again.

Linked schedules and models within the calendar can be filtered in the same way.


Mass processing

Manuale -> Production and Facility Scheduler (PFS) -> Advanced configuration in the Production and Facility Scheduler -> Mass processing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Now, who has never run into the following problem: All absolute times between 06:00:00 a.m. and 08:00:00 p.m. should be moved by 00:43:25. Then you sit there, calculate and correct all the times, and that perhaps for a dozen of times. Mass processing was integrated to the PFS in order to meet such requirements. This function enables users to make changes to selected cells on a specific schedule level, according to the required type of column. The problem we previously mentioned can therefore be solved with just a few mouse clicks and data inputs.

By using this function in conjunction with filters, you can efficiently reduce the number of elements you wish to modify.

The following columns support the mass processing function:

Parameters | Description
Type of time | Enables you to change the type of time used.
Time | For absolute times the time can be changed. To do this open the dialog Change time.
Offset | For relative times the offset can be changed. To do this open the dialog Change offset.
Active | Allows you to change the activation status.
Action | Depending on the type of link, the activation or the macro to be executed can be changed. To do this open the dialog Change value.


Structure schedules

Manuale -> Production and Facility Scheduler (PFS) -> Advanced configuration in the Production and Facility Scheduler -> Structure schedules

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Structure schedules are used to create a visual structure for schedules in the tree view. A schedule becomes a structure schedule when you activate the Structure schedule checkbox in the Schedule properties dialog.

Structure schedules have no allocated variables or functions, nor do they have any allocated times or switching points. Structure schedules can replicate lower-level additional schedules, thus visually creating a logical congruence with these.


Configuring Screen switch for PFS windows

Manuale -> Production and Facility Scheduler (PFS) -> Advanced configuration in the Production and Facility Scheduler -> Configuring Screen switch for PFS windows

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When used on PFS screens, the filter dialog for the Screen: Switch to function allows you to define which type of data you wish to display, and to customise the table display accordingly.

Parameters | Description
Filtering the tree view | Select the object you wish to activate when switching to the screen. The object must match the defined filter criteria, or you must first deactivate the filter. Also refer to Tree view filter for Screen switch.
Filtering the table view | This function defines the table view format. Also refer to Table view filter for Screen switch.


Permissions for the Runtime environment

Manuale -> Production and Facility Scheduler (PFS) -> Advanced configuration in the Production and Facility Scheduler -> Permissions for the Runtime environment

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Permissions can be granted for each object contained in the tree view, according to the concerned object's functionality. In the Runtime environment, the currently logged in user can only execute a function if he knows the appropriate password. Permissions are always object-related.

If a user does not have the rights to see an object, this object and all it sub-objects are hidden. Even if the user has rights for one of the sub-objects.

The permission required to modify an object includes the right to modify permissions.


Using the PFS in a network

Manuale -> Production and Facility Scheduler (PFS) -> Advanced configuration in the Production and Facility Scheduler -> Using the PFS in a network

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The PFS can be installed within a network, in which case the execution of switching points will only occur at server level. If a standby server is available, it will process the switching point list appropriately, but will however not execute any of the switching points it contains. Process synchronisation is carried out according to the system's time.

The way in which the PFS reacts when changing from the standby to the server can be configured. The problem with such changes is that the standby server cannot tell when the last switching process from the server took place. This is why the setting Reject SB switch (accessible by successively selecting Properties, Time change in the Production & Facility Scheduler) was designed.

Reject switching points | When switching points are cancelled, the process continues onwards from the current position in the standby server. This can imply that a number of switching points may not be executed.
Recalculate switching points | Switching points are recalculated on the basis of the current time -30 seconds, and their execution then begins immediately. This can imply that a number of switching points may be executed twice.

When the server once again becomes available on the network and the standby server switches over to it, the server is synchronised using the current PFS data. This ensures that the execution of the switching points continues seamlessly.

Server | Executes switching points. Saves the current PFS configuration. Rejects changes made by clients (without confirmation) if the configuration changes have not been saved.
Client | Does not ensure any switching point execution. Project data can be edited. Receives notification whenever project data items have been changed following external changes made to the project. Triggering time points for user events are always defined according to the client's system time.
Standby | As long as the standby server is the client Reaction in the event of a changeover can be configured. Saves the current PFS configuration.


Converting projects

Manuale -> Production and Facility Scheduler (PFS) -> Advanced configuration in the Production and Facility Scheduler -> Converting projects

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When a project created using a program version prior to version 5.50 is activated, the profiles contained in the structure schedules are converted. Profiles are no longer supported in version 5.50 or later versions. For each profile, a structure schedule is created, containing the linked schedules. The linked schedules contain all the times which fall within the profile's activation/deactivation times.

The day information contained in the profile schedule is input into the calendar.

The configuration process can be viewed in the Editor's output window.


VBA interface

Manuale -> Production and Facility Scheduler (PFS) -> Advanced configuration in the Production and Facility Scheduler -> VBA interface

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The PFS contains a VBA interface, which is integrated to the VBA object Project. In addition, switching points can be linked to a VBA macro of the Execute_Value type. In this case, the switching point is applied as a parameter to the VBA Macro.

Further, the VBA Macro is responsible for performing switching processing tasks.


Object types

Manuale -> Production and Facility Scheduler (PFS) -> Object types

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Objects contain the configuration which users have defined for them. Two types of object types can be identified:

Editable object types and Fix defined object types

Noch in diesem Kapitel

Fixed object types

Editable object types

Production and Facility Scheduler object

Object time model groups

Object editable time model groups

Schedule object

Editable schedule object

Functions list object

Object time

Object switching point

Object time model

Shift object

Break object

Event object

Object user event

Calendar object

Variable list object

Functions object


Fixed object types

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Fixed object types

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Provided that the previous object (i.e. 'parent object') has been created and that the relevant display permission has been granted to users, these object types are always available. They cannot be moved, renamed or deleted. If these objects are masked, all the related 'child objects' also become unavailable.
E.g.: Time model groups always contain the fixed object types Schedules and Time models.


Editable object types

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Editable object types

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

These object types are created according to the number of objects required during the configuration process.


Production and Facility Scheduler object

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Production and Facility Scheduler object

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This constitutes the root object type for the whole of the PFS. Any settings defined in this object are then applied to the whole of the PFS. This is a fixed-type object.

Parameters | Description
Save | Saves the changes you have made. In the Runtime environment, all parameters are saved in the Runtime data, and a new calculation of the switching points is performed on the basis of the modified configuration.
Undo | After you have validated your choice by closing the confirmation dialog, all the changes you have made will be rejected. Please be aware that no cancellation is possible!
Properties | This item displays the settings pages for the PFS Properties section.
Switching point preview | Activates the switching point preview mode.
Filter criteria | Activates the Filter dialog.
Help | Activates the online help.


Object time model groups

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object time model groups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This object contains all time model groups defined in the PFS. This is a fixed-type object.

Parameters | Description
Create | Creates a new time model group and displays the Properties page for the new time model group.
Paste | If a time model group is currently stored in the clipboard, it can be pasted as a copy. When copies are created, their name is extended with a number, thus maintaining the uniqueness of their designation.
Authorization | Activates the object's rights dialog.
Help | Displays online help.


Object editable time model groups

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object editable time model groups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Time model groups contain their specific schedules and time models. In addition, these objects allow users to define fundamental settings related to relative switching times.

In the calendar, users can allocate schedules and models to each day for each time model group listed.

Each time model group always contains the Schedules and Time models fixed object types.

Parameters | Description
Copy | Copies the selected time model group or groups to the clipboard.
Rename | In the tree view the identification of the time model group changes to the edit mode. Only the identification can be changed. The new designation provided must be unique throughout the whole of the PFS environment.
Delete | Deletes all selected time model groups after a safety dialog requests you to confirm your choice.
Properties | Displays the page containing the time model group.
Authorizations | Opens the Permissions dialog.
Help | Activates online help.


Schedule object

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Schedule object

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This object contains all schedules of first order. This is a fixed-type object.

Context Menu

Menu item | Action
Create | Creates a new schedule.
Paste | Pastes a schedule from the clipboard.
Authorizations | Opens the authorization dialog.
Help | Opens the Onlinehelp.

Noch in diesem Kapitel

New schedule context menu

Context menu time display new schedule


New schedule context menu

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Schedule object -> New schedule context menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Menu item | Action
Create | Creates a new schedule.
Copy | Copies selected schedules.
Cut | Cuts selected schedules.
Paste | Pastes schedules from the clipboard.
Inactive/Active | Switches between active and inactive for selected schedules.
Rename | Makes it possible to rename the schedules.
Delete | Deletes the selected schedules after a confirmation message.
Properties | Opens the Properties window for the selected entry.
Authorizations | Opens the authorization dialog.
Help | Opens online help.


Context menu time display new schedule

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Schedule object -> Context menu time display new schedule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The displayed menu items depend on the area in which the right-click was carried out. Entries which are not displayed all the time receive the additon (optional).

Menu item | Action
Create time grid | Opens the dialog for creating a time grid.
Create time | Inserts a new time in the list.
Create switching point | Creates a new switching point.
Creating switching points | Opens the dialog for creating several switching points.
Delete time | Deletes the selected time.
Delete switching points | Deletes the selected switching point.
Change time(optional) | Opens the dialog for changing the time.
Absolute point of time(optional) | Activates option Relative point of time
Relative point of time(optional) | Activates option Absolute point of time
All values active(optional) | Sets valueactive.
All values inactive(optional) | Sets valueinactive.
Help | Opens online help.


Editable schedule object

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Editable schedule object

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Schedules are the core of the PFS. They contain the times and switching points necessary to the execution of important objects.

Schedules can be replicated into new schedules, in which case the "child" schedules "inherit" any times defined in the "parent" schedules. No limitations apply to the multiple schedule's organisational depth.

Parameters | Description
Create | Creates a new "child" schedule, and displays the relevant settings page.
Copy | The selected schedules are copied to the clipboard.
Cut | The selected schedules are cut and placed in the clipboard. Cut schedules are identified in a special manner, and will only disappear fully once they have been inserted (i.e. pasted) in another schedule. A schedule which you have cut cannot be pasted into itself or into the schedule located directly above it.
Paste | Inserts (i.e. pastes) schedules from the clipboard. The inserted schedule's designation is then modified, in order to preserve the uniqueness of each schedule's name.
Inactive/Active | Activates or deactivates the schedule. Switching points contained in deactivated schedules will not be executed!
Rename | Allows users to change the schedule's name. The new designation must be unique throughout the schedule level.
Delete | Deletes the selected schedules and their "child" schedules, after asking you to confirm your choice by answering a safety question.
Properties | This command displays the settings pages for the Schedule properties section.
Authorizations | Opens the Permissions dialog.
Help | Activates online help.


Functions list object

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Functions list object

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This object contains the array of functions related to the schedule. Only functions related to a schedule can indeed be used in said schedule. This is a fixed-type object.

Context menu function list

Menu item | Action
Add function | Enables users to allocate a new function to the schedule. When the list of defined functions appears onscreen, select the required function and validate it by clicking on OK.
Insert function | Inserts (i.e. pastes) functions from the clipboard into the list.
Authorizations | Opens the authorization dialog.
Help | Opens online help.

Context menu function

Menu item | Action
Copy | Copies selected functions.
Cut | Cuts selected functions.
Replace function | Opens the dialog for replacing selected functions.
Remove function | Deletes selected functions from the list.
Authorizations | Opens the Permissions dialog.
Help | Activates online help.


Object time

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Times define the time point at which linked switching points must be executed.

Two different types of time are available:

  • absolute
  • relative

Previously defined times are replicated in "child" schedules, in which they are displayed on a grey background.

Noch in diesem Kapitel

Absolute time type

Relative time type

Offset

Context menu time


Absolute time type

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object time -> Absolute time type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Times are directly defined in the Time field. If the schedule is linked to a specific day, any active switching times linked to the absolute time point are executed. The Offset field is of no importance here.

The time model group cycle or the model allocation fields are not used here either.


Relative time type

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object time -> Relative time type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

For this time type an event is selected at the time. This event is changed to an absolute switching point in the preview or in the Runtime. The criteria according to which the absolute switching point is created, depends on the event and the related engineering. An offset can be specified for each event, and will delay the execution time point accordingly.

Parameters

Description

Start of cyle

Performed daily at midnight.

Start of cycle without production

Activated on days which are not linked to any shift. The time point is the start of the day for the relevant time model group.

A day is also considered to be without production when, for instance, the last shift ends at only 02:00:00 on the same day.

Start of cycle with production

Activated on days for which at least one shift has been defined. The time point is the start of the day for the relevant time model group.

Begin of production

This event is executed at the start of the first shift, provided that the first shift follows a day without production.

End of production

This event is executed at the end of the last shift, provided that the last shift is followed by a day without production. Thus, if further production is scheduled to take place on the following day, the shift at the end of the day is not considered as an end of production.

Shift start

This event is executed at the start of each shift.

Shift end

This event is executed at the end of each shift.

Start of break

This event is executed at the start of each break.

End of break

This event is executed at the end of each break.

User-defined event

Various previously defined user-defiend events can be allocated. The switching point will be initiated when the trigger event related to the user-defined event occurs.

Shift start first shift

Executed at the start of the first shift in the time model group's cycle.

Shift end last shift

Executed at the end of the last shift in the time model group's cycle.

Shiftfree start

Activated at the end of the shift, if the start of the next shift occurs with an offset greater than 1 second.

Shiftfree end

Activated at the start of a shift following a shift-free period of time.

Shift-free start without production end

Activated at the start of a shift-free period of time, provided that no End of production is scheduled immediately after.

Shift-free end without production start

Activated at the end of a shift-free period of time, provided that no Start of production is scheduled immediately after.

Shift start first shift without production start

Activated at the start of the first shift, provided that no Start of production is scheduled simultaneously.

Shift end first shift without production end

Activated at the end of the last shift, provided that no End of production is scheduled simultaneously.

Shift start without production start

Activated at the start of the shift, provided that no Start of production is scheduled simultaneously.

Shift end without production end

Activated at the end of the shift, provided that no end of production is scheduled simultaneously.


Offset

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object time -> Offset

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When working with relative times, the execution time point can be modified by means of an offset. An offset cannot be greater than +/- 1 day -1 second. When working with user-defined events, only positive offsets can be specified. The offset is specified in minutes, seconds being defined after the decimal point with a precision of 1/100th of a minute.

Parameters | Description
Create time grid | This command displays the settings page required for the cyclic creation of an absolute time period.
Create time | Creates a new time.
Create switching point | Creates a new switching point at the given time.
Creating switching points | Enables users to define switching points for several variables or functions within once same task, if no switching points have previously been defined.
Delete time | Deletes the selected times, including all related switching points.
Delete switching points | Deletes the selected switching points.
Absolute time period | Changes the type of time to Absolute.
Relative time | Changes the type of time to Relative.
Help | Activates online help.


Context menu time

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object time -> Context menu time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The menu items not broached here are identical to those described in the Time type context menu section.

  • Change time: This menu item activates the time change dialog.


Object switching point

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object switching point

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The switching point defines the action to be executed once the execution time point is attained.

Noch in diesem Kapitel

Active

Type of link

Links

Action

Authorizations


Active

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object switching point -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This setting enables users to authorise or block the execution of a switching point.


Type of link

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object switching point -> Type of link

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The type of link defines which element must be executed. The following types of links can be specified:

Parameters | Description
Variable | The set value is defined using the value specified for the action.
Function | The function specified for the action is executed.
VBA Macro with Variable | The macro defined in Macro -> Browser -> ModuleScheduler -> ExecuteValue referring to the specified variable is executed.
VBA Macro with function | The macro defined in Macro -> Browser -> ModuleScheduler -> ExecuteValue referring to the specified function is executed.


Links

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object switching point -> Links

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Contains the list of the variables or functions linked to the schedule.


Action

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object switching point -> Action

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

According to the selected link type, the cell has the following significance:

Parameters | Description
Variable | The set value which must be defined for the relevant variable.
Function | Contains the state of the Active parameter.
VBA Macro with Variable | Name of the macro which must be executed.
VBA Macro with function | Name of the macro which must be executed.


Authorizations

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object switching point -> Authorizations

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Necessary authorization level needed for editing in the Runtime.


Object time model

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object time model

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This object contains all the time models defined for the current time model group. This is a fixed-type object.

A time model contains the definition of the shifts and pauses which are required for the relevant relative events.

Context menu time model

Menu item | Action
New time model | Creates a new time model.
Paste | Pastes time models from the clipboard.
Authorizations | Opens the authorization dialog.
Help | Opens online help.

Context menu time model

Menu item | Action
Copy | Copies the selected models.
Cut | Cuts selected models.
Rename | Makes it possible to rename the time model.
Delete | Deletes selected models.
Authorizations | Opens the Permissions dialog.
Help | Opens online help.

Noch in diesem Kapitel

Context time model group


Context time model group

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object time model -> Context time model group

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Context time model group

Menu item | Action
Create | Creates a new time model. When creating a new time model, you can immediately specify a new and unique name for it.
Paste | Inserts (I.e. pastes) time models from the clipboard to the list.
Authorizations | Opens the authorization dialog.
Help | Opens online help.

Context menu time model

Menu item | Action
Save | Saves changes in the engineering of the PFS.
Undo | Rejects all changes since the last time the PFS has been saved.
Properties | Opens the Properties window for the selected entry.
Switching point preview | Opens the switching point preview dialog.
Filter criteria ... | Opens the dialog for selecting filters.
Help | Opens online help.


Shift object

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Shift object

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A time model contains the defined shifts. Shifts are required to execute relative events. Shifts must not overlap, and must be defined within the limits of the time model group cycle.

Shifts are displayed on a grey background in the table view.

Parameters | Description
Create shift | Creates a new shift.
Create break | Creates a new break during the shift.
Delete shift | Deletes the selected shift, including all related breaks.
Help | Opens online help.

Nota: viene salvata l´ora locale. I dettagli li potete leggere nel capitolo Gestione di data e ora del manuale dedicato al Runtime.


Break object

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Break object

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Several breaks can be defined for one same shift. Breaks must not overlap, and must be defined within the shift.

Parameters | Description
Create break | Creates a new break during the shift.
Delete break | Deletes the break during the shift.
Help | Displays online help.


Event object

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Event object

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This object contains various user-defined events for the PFS. This is a fixed-type object.

Parameters | Description
Create | Creates a new user-defined event. When creating a new user event, you must specify a new and unique name for it.
Paste | Inserts (i.e. pastes) user-defined events from the clipboard.
Authorizations | Opens the Permissions dialog.
Help | Activates online help.


Object user event

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Object user event

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

User events are events created by the user. These are defined for the whole of the PFS environment. User events are initiated when a triggering time point is input by means of the Execute PFS event. The number of user events is only limited by the available disk space or memory.

Owing to the missing required triggers, the Editor does not display user events in the switching point preview mode. In the Runtime environment, triggers are kept in the memory for 14 days at most to allow previous switching points to be analyzed. When the Runtime environment is closed down, these triggers are deleted.

The table view window contains a list of all the defined user events (displayed on a grey background) as well as the schedules they are linked to.

Context menu event

Menu item | Action
Create | Creates a new user event.
Paste | Pastes a user event from the clipboard.
Authorizations | Opens the Permissions dialog.
Help | Activates online help.

Context menu user event

Menu item | Action
Copy | Copies the selected user event to the clipboard.
Rename | Enables users to specify a new name for the required user event.
Delete | Deletes the selected user events.
Authorizations | Opens the Permissions dialog.
Help | Activates online help.


Calendar object

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Calendar object

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The absolute and relative switching times defined in a schedule bear no actual relation to days, as only times are defined for them. The calendar enables users to define on which days a specific schedule must be executed. To this end, users can allocate an active model and active schedules to each day, for each time model group listed.

The calendar offers various views, which can be selected according to the level of detail required for the information.

Context menu calendar

Menu item | Action
Create | Creates a new calendar.
Paste | Pastes a calendar from the clipboard.
Authorizations | Opens the Permissions dialog.
Help | Activates online help.

info Informazioni su

In the calendar you can define single days as special days. On these days the schedules defined for special days are carried out. Every day (Monday to Sunday) can be defined as special day.

Noch in diesem Kapitel

Absolute time

Relative time

Month view

Week view

Day view

Types of model allocations

Schedule allocation types

Model allocations in the Calendar view

Model context menu

Context menu schedule


Absolute time

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Calendar object -> Absolute time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to execute absolute switching points on a specific day, the relevant schedule must be linked to the required day. To do so, select the Schedules cell on the required day. Open the context menu to access the schedule selection dialog, and create the link. The linked schedule identification is input into the cell. In Day view, these schedules can be displayed in full detail.


Relative time

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Calendar object -> Relative time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When executing relative times in conjunction with absolute switching points, the way a model is linked (or not) to a specific day is a decisive element. The calendar day always starts with the start of day defined for the time model group. Should the time model group's cycle extend beyond the day, any times defined prior to the start of the day are considered to belong to the previous day.

For example: Start of day, 02:00:00 - End of day, 01:59:59. When only one user-defined event trigger occurs on Monday 15.10.2001 at 00:30:00, the model defined for Sunday 14th shall be used. If the trigger in fact occurs around 02:00:00, the model defined for Monday shall be used.

e.g.: Start of day, 6:00:00 AM - End of day, 9:59:59 PM. When only one user-defined event trigger occurs on Monday 15.10.2001 at 00:30:00, the model defined for Monday15th shall be used.


Month view

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Calendar object -> Month view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The month view aims to display the complete month in the calendar window. Should the available display space not be sufficient, the interface will attempt to display the current day in the window. The large display area is designed to allow a quick overview.

Double-click on a schedule cell to open the relevant schedule(s) in the table view, where you can edit it (or them).

Context menu month view

Menu item | Action
Selecting models | Opens the dialog for selecting a model.
Select schedules | Opens the dialog for selecting schedules.
Day view | Switches to daily view.
Week view | Switches to weekly view.
Month view | Switches to monthly view.
Go to today | Switches to the current date.
Switch to date | Opens the dialog for selecting a date.
Show previous element | Displays the previous element.
Show next element | Displays the next element.
Help | Activates online help.


Week view

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Calendar object -> Week view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The weekly view displays the allocation pattern on a weekly basis.

Context menu weekly view

Menu item | Action
Selecting models | Opens the dialog for selecting a model.
Select schedules | Opens the dialog for selecting schedules.
Day view | Switches to daily view.
Week view | Switches to weekly view.
Month view | Switches to monthly view.
Go to today | Switches to the current date.
Switch to date | Opens the dialog for selecting a date.
Show previous element | Displays the previous element.
Show next element | Displays the next element.
Help | Activates online help.


Day view

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Calendar object -> Day view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Day view offers detailed information about the way schedules are linked to days.

Context menu daily view

Menu item | Action
Select schedules | Opens the dialog for selecting schedules.
Show schedule | Opens the selected schedule in a new window.
Day view | Switches to daily view.
Week view | Switches to weekly view.
Month view | Switches to monthly view.
Go to today | Switches to the current date.
Switch to date | Opens the dialog for selecting a date.
Show previous element | Displays the previous element.
Show next element | Displays the next element.
As default | The schedule must systematically be executed on the current weekday.
As single day | The schedule is executed on this day only.
Delete | When a schedule is defined as a default, an exception is made for this day. In the event of an execution on this day only, the single-day execution will be deleted.
Help | Activates online help.


Types of model allocations

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Calendar object -> Types of model allocations

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When using models, the following allocation types can be defined:

Use model on this day.

Use holiday model if the concerned day is a holiday

Use model on weekdays.


Schedule allocation types

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Calendar object -> Schedule allocation types

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Schedules can be allocated to days as follows:

Use schedule on this day.

Do not use schedule on this day.

Use schedule on holiday, if the concerned day is a holiday

Use schedule on weekdays.


Model allocations in the Calendar view

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Calendar object -> Model allocations in the Calendar view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Models can also be allocated directly in the Calendar view. Once you have selected the cells to define the models you wish to use for a specific time model group and day, the various models available for the time model group are listed. Select a model to allocate it to the current day. When you exit the cell, the PFS will ask you to confirm whether or not you wish to use the selected model as a default model for that day.


Model context menu

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Calendar object -> Model context menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This context menu can be accessed by right-clicking on the Model field in the monthly and weekly calendar view window.

Parameters | Description
Selecting models | Opens the model selection dialog.
Show model | Activates the table view Edit model.
Day view | Switches over to Day view.
Week view | Switches over to Week view.
Go to today | Switches over to Day view for the current date.
Switch to date | Switches over to Day view for the selected date.
Previous element | Accesses the previously displayed element.
Next element | Accesses the next element.
As default | Defines the current model as a standard model for the weekday for the current time model group.
Delete | Deletes the model allocation for the selected day. If the allocation concerns the standard model selected for the day, the weekday allocation for the time model group is deleted.
Help | Activates online help.


Context menu schedule

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Calendar object -> Context menu schedule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To activate this context menu, select the schedules' cell for a specific day, and right-click on a time model group. The menu items not specifically broached here are identical to those described in the Model context menu section.

Parameters

Description

Select schedules

Opens the schedule selection dialog.

Show schedule

Activates the table view Edit schedule.

As default

The schedule is entered as default for the selected week day.

As single day

The schedule is executed on this day only.

Delete

Opens a dialog for selecting what should be deleted:

  • Delete all elements: All schedule of this type are deleted.
  • Delete only this element: For this element an exception is created for the selected day.


Variable list object

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Variable list object

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This object contains the array of variables related to the schedule. Only variables related to a schedule can indeed be used for the relevant switching points. This is a fixed-type object.

Context menu variable list

Menu item | Action
Add variable | Adds a new variable to the schedule. This is also possible during Runtime.
Insert variable | Inserts (i.e. pastes) variables from the clipboard.
Authorizations | Opens the authorization dialog.
Help | Opens online help.

Context menu variable

Menu item | Action
Copy | Copies selected variables
Cut | Cuts selected variables.
Replace variable... | Opens the dialog for replacing selected variables.
Remove variable | Deletes selected variables from the list.
Authorizations | Opens the Permissions dialog.
Help | Activates online help.

Noch in diesem Kapitel

Object variable


Object variable

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Variable list object -> Object variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The set value of variables linked to a schedule can be modified using the switching points.

Parameters | Description
Copy | Copies the selected variables to the clipboard.
Cut | Copies the selected variables to the clipboard, and marks them for deleting. The variables are only deleted once they have effectively been inserted into another schedule. Switching points using these variables will be deleted.
Replace variable | Allows users to replace a variable with another variable. If the new variable is already available in the schedule, the original variable is deleted. All switching points using the original variable are transferred to the new variable.
Remove variable | Deletes the variable allocation link to the schedule. Switching points using these variables will be deleted.
Authorizations | Opens the Permissions dialog.
Help | Activates online help.


Functions object

Manuale -> Production and Facility Scheduler (PFS) -> Object types -> Functions object

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Functions linked to the schedule can be allocated at the level of the switching points, and executed this way.

Parameters | Description
Copy | Copies the selected functions to the clipboard.
Cut | The selected functions are copied to the clipboard and are marked for deletion. The functions are only deleted once they have effectively been inserted (i.e. pasted) into another schedule. Switching points using these functions will be deleted.
Replace function | Allows users to replace a selected function with another function. All switching points using the source function are modified in order to match the target function. If the target function is already linked to the schedule, the source function's allocation is deleted.
Remove function | Deletes the function's allocation link to the schedule. Switching points using this function will be deleted.
Authorizations | Opens the Permissions dialog.
Help | Activates online help.


Properties

Manuale -> Production and Facility Scheduler (PFS) -> Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to configure the properties of the Production & Facility Scheduler:

  • right-click Production & Facility Scheduler in the detail view of the project manager
  • select Properties in the context menu
  • select the tab you want to edit
    • Time change: offers settings for switching between daylight saving time and standard time
    • National holidays: configures national holidays
    • Table colors: defines the colors of the switching points
    • Record shift times: makes it possible to record shift data

Noch in diesem Kapitel

Time change

Holidays

Table colors

Link of a equipment model

Editable time model groups

Editable schedules


Time change

Manuale -> Production and Facility Scheduler (PFS) -> Properties -> Time change

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This page defines the PFS' reaction in the event where the system time is changed (e.g. summer time to winter time).

Possible options are:

Parameters | Description
Positive time change | The time is set ahead, the Systemtime is set into the future (e.g. summer time)
Make up for switching points | Actions between the current time and the newly set time, are executed directly after the time setting.
Recalculate switching points | Actions between the current time and the newly set time, are ignored and not executed. Switching points are recalculated.
Negative time change | The time is set back, the Systemtime is set into the past (e.g. winter time)
Reject switching points | Switching points are recalculated. Switiching points are calculated when the original time is reached.
Recalculate switching points | Action, between the current time and the newly set time, are recalculated. (That means that when the defined time is reached, they are executed.) This causes a double execution of swithing points in the corrected time period.
SB Switch | Standby Server switch, valid for timeout during redundance switch.
Reject switching points | The execution of switching points starts according to the current position of the Standby. Switching points in the switching period might not be executed.
Recalculate switching points | The switching points are recalculated and exectued according to the new time. This might cause a double execution of switching points.
Tolerance zone for time deviation | Tolerance, in how far the systemtime can be changed, without causing a recalculation of switching points according to the criteria described above.

attention Attenzione

Eseguite sempre il Cambio fra ora legale/solare usando il meccanismo di cambio orario automatico di Windows. Non modificate mai il tempo di sistema manualmente, visto che ciò potrebbe causare errori riguardanti indicazioni temporali rilevanti per il funzionamento di zenon.


Holidays

Manuale -> Production and Facility Scheduler (PFS) -> Properties -> Holidays

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This page is used to select country-specific holidays.

The base data for official holidays is in the Holidays.txt file in the %programdata%\COPA-DATA\zenon[Version] folder. It can be edited with a text editor.

Entries specific to a country begin with the country's identification, enclosed in angle brackets, followed by a key number as in Microsoft Office. The definition of holidays can be found in the following line, the name and date of the holiday.

For example:

[Austria] 45

All Saint's Day, 2006/11/1

All Saint's Day, 2007/11/1

All Saint's Day, 2008/11/1

All Saint's Day, 2009/11/1

All Saint's Day, 2010/11/1

All Saint's Day, 2011/11/1

All Saint's Day, 2012/11/1

Ascension Day, 2006/5/25

Ascension Day, 2007/5/17

Ascension Day, 2008/5/1

Ascension Day, 2009/5/21

Ascension Day, 2010/5/13

Ascension Day, 2011/6/2

Ascension Day, 2012/5/17

Assumption Day, 2006/8/15

Assumption Day, 2007/8/15

Assumption Day, 2008/8/15

Assumption Day, 2009/8/15

Assumption Day, 2010/8/15

Assumption Day, 2011/8/15

Assumption Day, 2012/8/15

...


Table colors

Manuale -> Production and Facility Scheduler (PFS) -> Properties -> Table colors

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This section defines the colors used to represent switching points in the calendar.

Possible options are:

Parameters | Description
Days |
Default | Calendar day without any specific characteristics.
Special day | Date is a holiday.
Change day light saving time -> standard time | Date of the change from day light saving time to standard time.
Change standard time -> day light saving time | Date of the change from standard time to day light saving time.
Time models |
Default | Time model used for this weekday is active.
Exception | Use time model on this day only.
Special day | The specific time model for holidays is being used.
Schedules |
Default | The schedule is active on this weekday
Special day | Schedule is active on this special day
Skip | Schedule is not active on this day only.
Single day | Schedule is active on this day only.
Multiple entry | Several properties match this day.


Link of a equipment model

Manuale -> Production and Facility Scheduler (PFS) -> Properties -> Link of a equipment model

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To link an equipment group with a time model group:

  1. select the time model group
  2. Select the Property command in the context menu
  3. the settings dialog of the time model is opened
  4. select Equipment modeling tab

  5. select the desired equipment group
  6. add it via button Add
  7. confirm by clicking OK as soon as you have added all desired equipment groups

Note: The linking of equipment model groups with time model groups is the requirement for recording shift times in a SQL data base. If several equipment model groups are linked, historic shift data are saved in several tables. If the link of a equipment model group to a time model group is changed, a new table with the GUID of the new equipment model group is created. For this, the following applies:

  • The data of the existing table are not taken over.
  • The existing table is however not deleted.


Editable time model groups

Manuale -> Production and Facility Scheduler (PFS) -> Properties -> Editable time model groups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The properties of the time model groups make it possible to adjust the time model group cycle times and to make model allocations. To open the dialog, access an existing time model group's context menu and click on menu item Properties ....

Noch in diesem Kapitel

Time model group properties

Default allocation of the models


Time model group properties

Manuale -> Production and Facility Scheduler (PFS) -> Properties -> Editable time model groups -> Time model group properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This settings page contains the designation and the time model group cycle information.

The following settings can be defined:

Setting | Description
Identification | Defines the time model group's name. This field cannot be left empty, and the designation provided must be unique throughout the PFS environment.
Start of day | Defines the start of the day for this time model group.
End of day | Defines the end of the day for this time model group.

Nota: viene salvata l´ora locale. I dettagli li potete leggere nel capitolo Gestione di data e ora del manuale dedicato al Runtime.


Default allocation of the models

Manuale -> Production and Facility Scheduler (PFS) -> Properties -> Editable time model groups -> Default allocation of the models

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This settings page enables users to specify a default model to be used on each weekday, as well as on holidays.


Editable schedules

Manuale -> Production and Facility Scheduler (PFS) -> Properties -> Editable schedules

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The settings page enable users to configure schedules, and to proceed to calendar-filling operations. To open the dialog box, access an existing schedule's context menu and click on the Properties item.

Noch in diesem Kapitel

Context menu time

Calendar filling


Context menu time

Manuale -> Production and Facility Scheduler (PFS) -> Properties -> Editable schedules -> Context menu time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This page enables users to configure the schedule, and to allocate the available variables or functions to the schedule.

Parameters | Description
Identification | Displays the schedule's name. This name (i.e. designation) must be unique throughout the whole of the schedule's level.
Schedule active | Switches the schedule to active or inactive mode. Switching points contained in inactive schedules will not be executed.
Structure schedule | A structure schedule does not comprise any allocated functions or variables. It is only used to structure the schedules.
List of functions | Contains the functions which have been linked to the schedule. Processing is carried out as usual with Functions objects.
Variable list | Contains the variables which have been linked to the schedule. Processing is carried out as usual with Variables objects.


Calendar filling

Manuale -> Production and Facility Scheduler (PFS) -> Properties -> Editable schedules -> Calendar filling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This settings page enables users to perform the weekday allocation process for the schedule.

Calendar filling

Activates the schedule for the relevant weekday. For more information, please also refer to the Calendar section.


Dialogs

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

PFS switching point preview

PFS filter dialog

Authorizations

Cyclic creation of switching times

Schedule selection

Schedule activation period

Model selection

Table view schedule editing

Model editing table view

Change time

Adjust offset

Change value

Creating switching points

Duplicate


PFS switching point preview

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> PFS switching point preview

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Production & Facility Scheduler context menu enables users to access the switching point preview mode.

The switching point preview mode is a powerful diagnosis tool enabling users to check over the PFS configuration. It defines and displays, according to the selected filter criteria, absolute and relative switching points and absolute execution times. Therefore, it enables users to assess the effects of the changes they have made before they actually apply them to the equipment. This preview can also be used to display a history of times. The definition is always performed on the basis of the current configuration.

User-defined events cannot be executed in the Editor. In the Runtime environment, trigger time points for user-defined events are kept in memory for 14 days at the most; therefore, the history of execution times can only be traced back in time over this period of time.

You can also filter the configured objects, for instance if you only wish to search within a specific schedule.

When you close the dialog by clicking on OK, the settings you have defined are saved, and will remain available until the next time you open access the dialog.

Search dialog in text fields

Fields Time model group, Schedule, Variable and Function support wildcards at the filtering:

Placeholder | Meaning
Text | The naming have to be Text
*Text | The naming have to end with Text
Text* | The naming have to start with Text
T??t | Any character is possible on second and third place.

Property

Description

Selection of the filter criteria

Time model group

Defines the filter to use with the equipment you are examining. Only switching points inherent to the relevant equipment will appear in the preview.
Attention: Input is case sensitive!

Schedule

Defines the filter to use with the schedule you are examining. Only switching points inherent to the relevant schedules will be displayed in the preview window.
Attention: Input is case sensitive!

Variable

Defines the filter to be applied to the variables you are searching. Only switching points linked to relevant variables and matching the criteria defined in the mask will be displayed in the preview window.
Attention: Input is case sensitive!

Function

Defines the filter to be applied to the functions you are searching. Only switching points linked to relevant functions and matching the criteria defined in the mask will be displayed in the preview window.
Attention: Input is case sensitive!

Filtering of

Selection of the data which are used for the creation of the preview via drop-down list:

  • editable data
    considers the changed data for determine the preview. The preview thus enables you to check over your configuration before saving any new settings.
  • saved data
    creates the preview on the basis of the configuration used for the switching points execution.

Switching point criteria

This option enables you to define the period of time for which you wish to create a preview.

Preview

Starts defining execution times according to the established criteria.

Contains the table with the switching points which are executed throughout the specified period and match the filter criteria. Deactivated switching points or switching points contained in deactivated schedules are highlighted.


PFS filter dialog

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> PFS filter dialog

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The filter dialog enables you to reduce the number of visible objects in the PFS to the objects matching the filter criteria.

Nota: viene salvata l´ora locale. I dettagli li potete leggere nel capitolo Gestione di data e ora del manuale dedicato al Runtime.

The filter function enables you to fill in a filter mask to isolate certain types of objects. When a filter is activated, the filtered branch is identified with a funnel symbol, designating the filtering process. The filtering function is case-sensitive.

Fields Time model group, Schedule, Variable and Function support wildcards at the filtering:

Placeholder | Meaning
Text | The naming have to be Text
*Text | The naming have to end with Text
Text* | The naming have to start with Text
T??t | Any character is possible on second and third place.

When "child" objects match the filter criteria, the "parent" objects are also displayed, even if they do not match the criteria defined in the filter. The exception to this rule is the time model group. If the time model group filter does not match the time model group criteria, the whole of time model group is masked, even in the event where some lower-level objects indeed match the filter criteria.


Authorizations

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Authorizations

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

These enable you to define the user password level required to perform the relevant actions on the object. If the object does not support a specific functionality, this setting is locked.

If the permissions are edited in the Runtime environment, these can then only be modified on levels at which the logged in user currently owns permissions.

Permissions are only taken into account in the Runtime environment.

Parameters | Description
Display | These levels enable users to display an object and all its related lower-level branches.
Create | These levels enable users to authorise or block the creation of lower-level objects.
Change | These levels enable users to modify the object's settings or permissions.
Rename | Levels allowing renaming operations.
Delete | Levels enabling users to delete an object and all its related lower-level branches.


Cyclic creation of switching times

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Cyclic creation of switching times

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This dialog enables you to create, in one single process, several absolute switching times within a defined period of time for a specific, configurable domain.

To open the dialog , access an existing schedule's context menu in the table view, and click on the "Create time grid" item.

Parameters | Description
Cycle/Time | Defines the time or the creation grid.
As cyclic time | When this option is activated, several switching times can be created.
Password level | Is not yet supported! Should be 0.
Start time | Time with which the creation process begins.
End time | Time with which the creation process ends.

Nota: viene salvata l´ora locale. I dettagli li potete leggere nel capitolo Gestione di data e ora del manuale dedicato al Runtime.


Schedule selection

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Schedule selection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This dialog enables you to select schedules which shall be linked to a day. When you select the required schedules and add these to the list, the schedules are then inserted into the list of linked schedules.

To open the dialog , access the calendar Day view's context menu, and click on the Selecting schedule item.


Schedule activation period

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Schedule activation period

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This dialog enables you to define the required schedules for a specific period or time, or to select them according to a model in the calendar.

To open the dialog:

  1. right click a line or cell with schedule in the calendar view
  2. select Select schedules in the context menu
  3. the dialog for selecting schedules will be opened

  4. highlight the desired schedules and confirm them by clicking OK
  5. the dialog for setting the duration of series is opened

Duration of series

Parameters | Description
Duration of series | Settings for the duration of series.
No end date | Execution starts with creating the series and does not have an end date (default setting). Series is executed weekly.
Starts on | Date for start.
Ends on | Date for end.

Serial pattern

Parameters

Description

Recurrence Pattern

Type of execution.

Detail field

Options for serial pattern depending on the selection of:

  • Daily
  • Weekly
  • Monthly
  • Yearly

Daily

Execution can be set in the detail field to:

  • Every [number] days: Enter a number for the execution rhythm.
    Default: 1
  • Every work day: Series is executed on every work day (in accordance with the set official holiday calendar).

Weekly

Execution can be set in the detail field to certain week days.

Monthly

Execution can be set in the detail field to:

  • on: Selection of the date
  • every month: Enter a number for the execution rhythm.

Yearly

Execution can be set in the detail field to certain dates.

Selected schedules

Parameters | Description
Selected schedules | List of selected schedules.
Select | Click on button in order to open the schedule selection dialog.
OK | Accepts input and closes dialog.
Cancel | Discards entries and closes the dialog.
Help | Opens online help.


Model selection

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Model selection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This dialog enables you to allocate one model per time model group to the required day.

  1. click on cell Models in the calendar view

  2. select Select models in the context menu
  3. select the desired model
  4. Click on the Add button
  5. confirm the dialog by clicking OK


Table view schedule editing

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Table view schedule editing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Right click on a schedule in the calendar view in order to open the context menu. Command Display schedule opens the configuration dialog.

This view enables you to modify the schedules linked within the calendar. The function scope is identical to that of the Time or Switching point tables.


Model editing table view

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Model editing table view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Right click on a time model in the calendar view in order to open the context menu. Command Display model opens the configuration dialog.

This view enables you to modify the models linked within the calendar. The editing possibilities are identical to those for shifts and breaks.


Change time

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Change time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This dialog enables you to delay the selected times according to an offset you have defined.

To open the dialog box, access a selected time entry's context menu, and click on the Change time command.


Adjust offset

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Adjust offset

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Enables you to modify the selected offsets.

To open the dialog box, access a selected offset's context menu, and click on the Adjust offset command.


Change value

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Change value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This command enables you to change the selected cells in the Action column.

To open the dialog box, access a selected value's context menu, and click on the Change value command.

Parameters

Description

Variable

Change value by

Changes the contents of the currently selected cells by the specified amount.

Change value to

Changes the contents of the currently selected cells to the specified amount.

Linear increasing starting with

Changes the contents of the currently selected cells by a defined amount. The amount is increased by one with each modified cell.

Linear decreasing starting with

Changes the contents of the currently selected cells by a defined amount. The amount is reduced by one with each modified cell.

Function

Change status to

Changes the activation of the currently selected switching points to the specified state:

  • active
  • inactive

Macro

Change macro to

Changes the macro to the selected macro.


Creating switching points

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Creating switching points

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The dialog box is opened via the context menu of a selected time entry and the command Create switching points.

In the upper list, select the entries for which you wish to create switching points, and insert these by clicking on the Add button in the lower list.

info Informazioni su

Di default, nel Runtime i punti di switch sono sempre impostati come non attivi (per motivi di sicurezza) e devono essere dunque esplicitamente attivati perché funzionino. Nell´Editor, invece, i punti di switch vengono impostati di default come attivi.


Duplicate

Manuale -> Production and Facility Scheduler (PFS) -> Dialogs -> Duplicate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The dialog can be called up during copying a schedule in order to control:

  • whether subordinate child schedules should be also copied when pasting
  • whether variables are substituted when pasting

Parameters | Description
only duplicate the current schedule | Inserts (i.e. pastes) only the top-level schedule from the clipboard.
duplicate the current schedule and the child schedule | The schedule will be inserted (i.e. pasted) along with all its related lower-level schedules. This embodies the standard method when this dialog is deactivated.
Open substitute dialog | Display the replacement dialog. This enables you to exchange variables when inserting them.
Display dialog box only if Ctrl-key is pressed | Suppresses the dialog. The schedule and the child schedules are always copied without substitution. In this case, pressing the Ctrl key during pasting will enable you to display the dialog. Note: This function can also be controlled via an entry in project.ini: [PFM] AnzeigenMitStrg = [Value] Values: 1: The dialog is only shown if the Ctrl button is pressed whilst the schedule is inserted. 0: The dialog is always displayed.
OK | Accepts input and closes dialog.
Cancel | Discards entries and closes the dialog.
Help | Opens online help.


Execute PFS event

Manuale -> Production and Facility Scheduler (PFS) -> Execute PFS event

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

By using this function a defined PFS event can be executed in the Runtime in order to trigger a relative time in the PFS.


Screen type Production and Facility Scheduler

Manuale -> Production and Facility Scheduler (PFS) -> Screen type Production and Facility Scheduler

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

By using a Production & Facility Scheduler screen you can administer schedules and time models.

This screen type is only available, if the PFS has been licensed, otherwise the screen type Scheduler can be selected. (You will find more information on the pre-defined screen types in the chapter 'Screens / Pre-defined screen types'.)

The creation of the PFS screen is done by the definition of a new screen of the screen type Production & Facility Scheduler.

On opening the screen an empty screen is opened and the Drop-down list Control elements in the menu line is filled.

By selecting the entry Add template in the menu Control elements pre-defined control elements are loaded with default values at pre-defined positions.

Control element | Description
Insert template | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Schedule window | The schedule is displayed.
General | General control elements:
Save |
Undo |
Switching point preview |
Filter criteria ... |
Cut |
Copy ... |
Paste ... |
Rename |
Delete |
Properties ... |
Settings ... |
Ascending |
Descending |
Lists |
Schedule window |
Buttons |
Time model group | Create time model group
Schedule | - Create schedule ... - Activate schedule - Add variable ... - Remove variable - Remove function - Replace links ... - Create time grid... - Create time... - Create switching point - Creating switching points ... - Delete time - Delete switching points
Time model | - Create time model ... - Create shift - Create break - Delete shift - Delete break
Event | - Create events
Calendar | - Selecting model ... - Select schedule ... - Show this day ?- Go to today? - Switch to date ... - As default - As single day - Forwards - Backwards - Day view - Week view - Month view
Mass processing | - All values active - All values inactive - abolute time period - time relative - Change time ... - change the value ... - Selecting event ... - Adjusting offset...

You will find more information on changed Runtime files in the chapter Project and Workspace / RT changeable files.


Screen switch - PFS

Manuale -> Production and Facility Scheduler (PFS) -> Screen switch - PFS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Filter tree view for screen switch

Filter table view for screen switch


Filter tree view for screen switch

Manuale -> Production and Facility Scheduler (PFS) -> Screen switch - PFS -> Filter tree view for screen switch

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The available settings are identical to those in the PFS filter dialog. An additional option enables you to specify whether or not you wish to activate the filter dialog before switching to screen activation. The object selected in the tree view will be selected again when you switch back to the screen.

Nota: viene salvata l´ora locale. I dettagli li potete leggere nel capitolo Gestione di data e ora del manuale dedicato al Runtime.


Filter table view for screen switch

Manuale -> Production and Facility Scheduler (PFS) -> Screen switch - PFS -> Filter table view for screen switch

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This settings page enables you to define the columns and titles which will be used in the various table views.

Parameters | Description
Available fields | According to the selected view, the available columns are displayed in the list. Only selected columns will be displayed at a later point.
Text | Contains the table's heading. This text can be identified as requiring translation by means of a @ character.
Width | Column width
Alignment | Alignment of the columns' headings.
Objects | Lists the various objects for which views can be configured.
Preferred view | Lists the possible views for the requested object.


Progetto e workspace

Manuale -> Progetto e workspace

Ogni progetto appartiene ad un workspace.

I diversi workspace e progetti vengono visualizzati nel Manager di progetto.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Noch in diesem Kapitel

Workspace

Progetto

Progetto di integrazione

Progetto globale

Configurazione del filtro progetti

Configurazione


Workspace

Manuale -> Progetto e workspace -> Workspace

Le aree di lavoro vengono salvate in un file con il suffisso .wsp6. Cliccando due volte su questo file, si avvia l`Editor di zenon nella versione a 32-Bit.

All’interno di un workspace si possono creare e gestire più progetti. Tutti i dati definiti e memorizzati per un workspace, fanno parte della banca dati interna di zenon.

La gestione di più progetti in un workspace è vantaggiosa quando più progetti in un impianto devono funzionare in una rete. E’ possibile modificare anche più progetti contemporaneamente.

In alternativa, si può creare un´ulteriore area di lavoro in un’altra cartella copiando lì i progetti.

Example Esempio

/CLIENTE1/PROGETTO: (uno o più progetti nel workspace)

/CLIENTE2/PROGETTO: (uno o più progetti nel workspace)

La struttura della banca dati viene definita tramite file di schema. Essi costituiscono la base per la creazione di una banca dati completamente nuova. Per il manager dei gruppi di ricette è disponibile un ulteriore file database nel formato MS-ACCESS (MDB).

attention Attenzione

Non sono disponibili dati preconfigurati!

Noch in diesem Kapitel

Crea nuovo workspace

Salva workspace

Modifica un workspace esistente

Backup e ripristino del workspace


Crea nuovo workspace

Manuale -> Progetto e workspace -> Workspace -> Crea nuovo workspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono due possibilità di creare un nuovo workspace:

  • Lista a cascata > File -> Workspace -> Nuovo oppure
  • Menù contestualedell'inserimento "workspace" nella visione ad albero / Inserimento Workspace / Nuovo

Parametri

Descrizione

Nome

Assegnate al Vostro nuovo workspace un nome che potete scegliete liberamente. Il nome di default <Workspace>non è valido e deve essere sostituito.

Sono consentiti: cifre, lettere e il carattere speciale di sottolineatura(_). Sono proibiti: dieresi, nonché caratteri speciali come ß-/\.

Dove salvare il workspace

Selezionate una cartella nella quale volete salvare il Vostro nuovo workspace. Come luogo in cui salvarlo, viene proposta di default la directory dell'utente.

File workspace

Il percorso viene generato automaticamente con le Vostre indicazioni.


Salva workspace

Manuale -> Progetto e workspace -> Workspace -> Salva workspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono due possibilità di salvare un workspace:

  • Menù a tendina/ File / workspace / Salva oppure Salva con nome oppure
  • Menù contestuale dell'inserimento "workspace" nell'albero del progetto / Inserimento Workspace / Salva oppure Salva con nome

Se selezionate la voce Salva con nome, potete essere voi a stabilire la cartella nella quale deve essere salvato il workspace. In questo caso, un workspace esistente viene salvato con un altro nome.

Parametri

Descrizione

Nome

Scegliete un nome a piacere con il quale volete salvare il vostro workspace. Il nome di default <Workspace> non è valido e deve essere sostituito.

Sono consentiti: cifre, lettere e il carattere speciale di sottolineatura(_). Sono proibiti: dieresi, nonché caratteri speciali come ß-/\.

Posizione di archiviazione

Selezionate una cartella nella quale volete salvare la vostra nuova area di lavoro. Il sistema propone di default la directory dell'utente.

File area di lavoro

Il percorso viene generato automaticamente con le vostre indicazioni.

I workspace sono salvati come file *.WSP.

info Informazioni su

Se nel workspace si trova un progetto con un numero di versione inferiore a quello dell´Editor, non si può selezionare il punto di menù "Workspace/Salva con nome.." Si deve prima convertire questo progetto nella versione dell´Editor, prima di poterlo salvare nel workspace.


Modifica un workspace esistente

Manuale -> Progetto e workspace -> Workspace -> Modifica un workspace esistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono due possibilità di aprire un workspace esistente:

  • Menù a tendina File-> Workspace-> Apri oppure
  • Menù contestuale del nodo Workspace nell´albero di progetto -> Comando Workspace-> Apri


Backup e ripristino del workspace

Manuale -> Progetto e workspace -> Workspace -> Backup e ripristino del workspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Informazioni sul backup e il ripristino di workspace esistenti, le potete trovare nel capitolo "Backup di progetto / sezione Backup e ripristino del workspace.


Progetto

Manuale -> Progetto e workspace -> Progetto

Quando il workspace è aperto, si può modificare o selezionare uno o più progetti del manager di progetto. Un progetto già esistente può essere inserito nel workspace attivo in qualsiasi momento.

Noch in diesem Kapitel

Crea nuovo progetto

Salva progetto

Inserisci progetto esistente

Modificare un progetto esistente

Sostituzione link progetto

Salva e rileggi progetto

Eliminare il progetto dal workspace

Elimina progetto


Crea nuovo progetto

Manuale -> Progetto e workspace -> Progetto -> Crea nuovo progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono due possibilità di creare un nuovo progetto:

  • Menù a tendina-> File ->Nuovo progetto oppure
  • Menù contestuale dell'inserimento "workspace" nell´albero di progetto / Inserimento Nuovo progetto...

Parametri

Descrizione

Tipo di progetto

Scegliete fra progetto standard e progetto globale.

Nome progetto

Assegnate al vostro nuovo progetto un nome a piacere.

Sono consentiti: cifre, lettere e il carattere speciale di sottolineatura(_). Sono proibiti: dieresi, nonché caratteri speciali come ß-/\.

Nota: Il nome di default <Progetto> non è valido e deve essere sostituito.

Cartella base

Cartella nella quale il nuovo progetto deve essere salvato.

Workspace

Scelta del workspace:

  • Aggiungi al workspace attivo:
    Il nuovo progetto viene aggiunto al workspace attivo al momento. Il sistema propone di default il salvataggio nel percorso del workspace.
  • Crea un nuovo workspace:
    Con il progetto, viene creato anche un nuovo workspace: Il nome del workspace viene inserito automaticamente nel campo "Cartella Runtime".

Nome workspace

Assegnate al vostro nuovo workspace un nome a piacere.

Sono consentiti: cifre, lettere e il carattere speciale di sottolineatura(_). Sono proibiti: dieresi, nonché caratteri speciali come ß-/\.

Nota: Il nome di default <Workspace> non è valido e deve essere sostituito.

Cartella Runtime

Lo spazio di memoria destinato di default al salvataggio della cartella di Runtime è già predefinito: può essere modificato in questa sede.

Nota: al di sotto della "Cartella Runtime" viene impostata automaticamente la cartella dati per i file Runtime. Il percorso può essere modificato ricorrendo alla proprietà Generale/Cartella dati. Tenete presente che il percorso deve essere sempre raggiungibile, perché altrimenti i dati Runtime non possono essere più scritti.

Opzioni

Progetto multiutente

Attivo: Più utenti possono modificare contemporaneamente lo stesso progetto (per i dettagli vedi progettazione distribuita.)

Server di progetto

Selezione del server di progetto per i progetto multiutente


Salva progetto

Manuale -> Progetto e workspace -> Progetto -> Salva progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per salvare un progetto con un nuovo nome, bisogna selezionare nel menù contestuale del progetto la voce Progetto/Salva con nome.... Nella finestra di dialogo che viene visualizzata, potete indicare il nuovo nome che desiderate dare al progetto.

Se cercate di salvare un progetto con un nome già assegnato, appare un box che ve lo fa notare.

info Informazioni su

Con tale funzionalità, per esempio, è possibile anche creare una copia di un progetto esistente che potrà poi essere modificato.

A tal scopo si deve anzitutto copiare il progetto A scegliendo nel menù contestuale "salva con nome"; poi lo si può modificare nel modo desiderato. In seguito viene salvato come "progetto B" (di nuovo mediante la voce del menù contestuale "salva con nome").

Se questa soluzione rappresenta un risparmio di tempo rispetto a "importa/esporta", dipende da quante differenze ci sono fra i due progetti in questione.


Inserisci progetto esistente

Manuale -> Progetto e workspace -> Progetto -> Inserisci progetto esistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inserire un progetto esistente nel workspace:

  • Cliccate con il tasto destro del mouse sul workspace.
  • Selezionate il comando "Inserisci progetto esistente...".
  • Si apre il dialogo che serve alla selezione del progetto.

Per avere delle informazioni dettagliate concernenti i singoli progetti, soprattutto sul tipo, aprite il nodo relativo al singolo progetto nella finestra di selezione. Ottenete delle informazioni su:

Informazione

Descrizione

Progetto multiutente

Visualizzata solo se il progetto è del tipo multiutente.

ID progetto

ID univoco del progetto

Versione database di sistema

Versione sistema-banca dati

Versione tabelle di sistema

Versione delle tabelle di sistema

Copie di progetto locali connesse

Visualizzazione delle copie di progetto su altri computer.

Solo in caso di progetti multiutente (contraddistinte mediante la lettera M nel simbolo).

Versione Editor

Versione dell´Editor con cui il progetto è stato creato o modificato l´ultima volta.

Tipo:

Indica il tipo di progetto:

  • Progetto standard
  • Progetto globale


Modificare un progetto esistente

Manuale -> Progetto e workspace -> Progetto -> Modificare un progetto esistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La selezione di un progetto esistente viene effettuata nel manager progetto facendo clic con il pulsante sinistro del mouse. Cliccando con il pulsante destro del mouse sul manager progetto, invece, appare il seguente menù contestuale.

Le funzioni a disposizione sono:

Parametri | Descrizione
File Runtime |
Compila modificati | Compila i file Runtime modificati per il progetto attivo.
Crea tutti | Compila tutti i file Runtime per il progetto attivo.
-Importare | Tutti i file modificabili nel Runtime vengono riletti nel percorso dell´Editor - Ricette Standard - Ricette del Manager gruppi di Ricette - Gestione User - Manager Orari e Profili.
Imposta come progetto di partenza | Setta il progetto Runtime di partenza per il calcolatore attuale
Avvia Runtime | Il Runtime viene avviato con il progetto definito come progetto di partenza.,
Progetto attivo | Setta il "progetto attivo" per la barra degli strumenti dell'Editor e la lista incrociata. Tutti gli altri progetti, per i quali non è stata attivata l'opzione “Mantieni progetto in memoria”, verranno disattivati.
Mantieni progetto in memoria | Il progetto rimane nella memoria di lavoro, anche se viene attivato un altro progetto.
Progetto |
- Rinomina ... | Modifica il nome del progetto.
- Salva come… | Salva il progetto sotto un nuovo nome in un nuovo percorso.
- Proprietà… | Apre la finestra di proprietà contenente le proprietà del progetto.
Rimuovi dal Workspace | Rimuove il progetto dall´area di lavoro attuale, senza però cancellarlo fisicamente.
- Elimina | Cancella il progetto fisicamente.
- Crea backup... | Crea backup del progetto.
- Ripristina backup... | Rilegge uno stato attuale del progetto nell'area di lavoro attuale.
Progetto Trasporto Remoto | Apre il sottomenù Progetto Trasporto Remoto; questo sottomenù Progetto Trasporto Remoto offre le seguenti funzioni:
- Stabilisci collegamento | Crea connessione remota con il computer di destinazione.
- Trasporta file Runtime modificati | Solo i file Runtime modificati vengono trasferiti al sistema remoto.
- Trasporta tutti i file Runtime | Tutti i file Runtime vengono trasferiti al sistema remoto.
- Ricevi tutte le tutte le cartelle Runtime di progetto | I file modificabili nel Runtime (p.e. ricette, gestione utenti ecc.) vengono riletti nei file dell´Editor.
- Imposta come progetto di partenza | Setta il progetto di partenza per il sistema remoto.
- Avvia Runtime | Viene lanciato il Runtime sul sistema remoto.
- Termina Runtime | Viene terminato il Runtime sul sistema remoto
- Aggiorna progetto | Esegue la funzione Aggiorna sul computer del Runtime.
- Richiedere file di errore | Richiede il file di errore dal calcolatore remoto
- Riavvia il sistema operativo remoto | Riavvia il sistema operativo sul sistema remoto.
- Rileva lo stato del sistema remoto | Richiede lo stato del sistema remoto.
- Cambia la password remota | Viene modificata la password per l'accesso remoto sul calcolatore del progetto
Profilo editor | Apre un sotto-menù in cui può essere selezionato un profilo impostato (vedi capitolo sul sistema di gestione dell'Editor)
Guida | Apre la guida online.

Protezione password

Ogni progetto può essere protetto per mezzo di una password. A tale scopo:

  • Create gli utenti necessari nella Gestione user.
  • Settate nelle proprietà di progetto, nel nodo Gestione user, nella proprietà Autorizzazion Funzioni, l´inserimento Aggiorna progetto ad un livello di autorizzazione maggiore di 0
  • Assegnate questo livello di autorizzazione a tutti gli utenti cui volete concedere accesso.

In tal modo, il progetto potrà essere aperto solamente da un utente esistente che dispone del livello di autorizzazione definito.


Sostituzione link progetto

Manuale -> Progetto e workspace -> Progetto -> Sostituzione link progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si copiano dei progetti, può rendersi necessario riassegnare i loro collegamenti a progetti sovraordinati. L´assistente Sostituzione link progetto supporta la sostituzione automatica di collegamenti di progetto a immagini, variabili e funzioni. Viene avviata una ricerca automatica di tutti i link di progetto esistenti, che poi possono essere sostituiti tramite immagini, funzioni, variabili di una altro progetto selezionabile liberamente.

Per sostituire link di progetto:

  1. Workspace e sottoprogetti devono essere salvati
  2. Selezionate nel menù contestuale del progetto di integrazione il comando Sostituzione link progetto
  3. Si apre la finestra di dialogo per selezionare un progetto.
  4. Selezionate le assegnazioni desiderate
  5. Confermate e chiudete il dialogo cliccando su OK.

Parametri

Descrizione

Lista sostituzioni

Lista dell´assegnazioni di progetto per la sostituzione di link:

  • Progetto vecchio:
    Contiene automaticamente tutti i progetti risorsa. Se questa lista è vuota, non esistono nel workspace dei progetti sovraordinati con collegamenti a sottoprogetti.
  • Progetto nuovo:
    Progetto che deve adottare i link. La selezione da una lista di possibili progetti avviene cliccando sul pulsante con la freccia.

Progetti possibili

I progetti con i quali possono essere sostituiti i progetti risorsa. Scelta progetto:

  • Selezionare il progetto vecchio desiderato.
  • Selezionare il nuovo progetto desiderato.
  • Cliccare sul pulsante con freccia che si trova a sinistra.

Reimposta:

  • Evidenziare l´assegnazione desiderata nella lista di sostituzioni.
  • Cliccare sul pulsante con freccia che si trova a destra.

Ok

Riprende l´assegnazione ed esegue la sostituzione.

Il numero dei collegamento di progetto sostituiti viene visualizzato nella finestra di emissione.

Annulla

Rifiuta le impostazioni e chiude il dialogo.

Guida

Apre la guida online.


Salva e rileggi progetto

Manuale -> Progetto e workspace -> Progetto -> Salva e rileggi progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Informazioni sul tema salvataggio e backup di progetti esistenti, le trovate nel capitolo Backup di progetto.


Eliminare il progetto dal workspace

Manuale -> Progetto e workspace -> Progetto -> Eliminare il progetto dal workspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per eliminare un progetto dal workspace nel quale si trova, selezionate nel menù contestuale del progetto la voce Progetto/ Rimuovi dal workspace.

Il progetto, però, non viene cancellato. (Vedi sezione Cancella un progetto).


Elimina progetto

Manuale -> Progetto e workspace -> Progetto -> Elimina progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Informazioni concernenti la cancellazione di progetti le trovato nel capitolo Backup di progetto / Cancella progetto.


Progetto di integrazione

Manuale -> Progetto e workspace -> Progetto di integrazione

zenon offre la possibilità di realizzare una struttura di progetto multi-gerarchica. In questo caso, si crea un progetto d'integrazione (progetto di livello superiore) con alcuni sotto-progetti.

Costituendo il centro del sistema, il progetto d'integrazione contiene immagini generali, in cui sono visualizzati i valori di processo dei sotto-progetti.

Dettagli: vedi tema gestione multi-progetto nella guida relativa alla Rete.

Example Esempio

Tramite Ricette nel progetto di integrazione, si possono gestire centralmente inserimenti di valori impostabili al fine di amministrare in modo ottimale i singoli progetti.

Utilizzando Archivi comuni a vari progetti nel progetto di integrazione, i dati dei sotto-progetti possono essere raccolti in una struttura centrale.

E' possibile utilizzare nel progetto di integrazione delle variabili di sottoprogetti.

Informazioni più dettagliate su Sostituisci link di progetto le trovate nel capitolo Sostituisci link di progetto.

attention Attenzione

Nominare i modelli: evitate di attribuire gli stessi nomi ai modelli dei progetti di integrazione e sottoprogetti. Perché:

  • Se è già aperto un modello dello stesso nome, questo viene usato per aprire l´immagine - indipendentemente da quale progetto esso appartiene.
  • Se non è ancora aperto nessun modello con il nome adatto, viene usato quello del progetto dell´immagine.

Percorsi file

I sottoprogetti che si trovano al momento della loro creazione nello stesso nodo del progetto di integrazione, usano sempre la stessa struttura di quest´ultimo. Ogni sottoprogetto viene inserito nel project.ini con percorso relativo al progetto di integrazione. Se si modifica il percorso Runtime per il progetto di integrazione, cambiano anche quelli per i sottoprogetti. Ciò è garanzia il Runtime trovi i percorsi necessari.

Nota: ulteriori informazioni su questo tema le trovate nella guida relativa alla rete, nel capitolo Il progetto di integrazione.

Noch in diesem Kapitel

Copia i sotto-progetti

Autorizzazione


Copia i sotto-progetti

Manuale -> Progetto e workspace -> Progetto di integrazione -> Copia i sotto-progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per evitare che, dopo la copia dei sotto-progetti, i collegamenti del progetto di integrazione rimandino ai sotto-progetti sbagliati, zenon offre la possibilità di sostituire i link di progetto senza copiare l'intero workspace. .

Anche senza dover fare una copia del progetto di integrazione, i collegamenti del progetto di integrazione con il sotto-progetto possono essere sostituiti usando i collegamenti con una copia del sotto-progetto.

Noch in diesem Kapitel

Copia dell'intero workspace


Copia dell'intero workspace

Manuale -> Progetto e workspace -> Progetto di integrazione -> Copia i sotto-progetti -> Copia dell'intero workspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Viene fatta una copia dell'intero workspace. Per ogni progetto viene eseguito un „Salva con nome“ e viene generata una nuova GUID. I progetti, però, conservano il loto nome originale. L'area di lavoro viene caricata automaticamente con i nuovi progetti. Con questa soluzione, l'intero progetto di integrazione viene esplorato alla ricerca di collegamenti a variabili e funzioni, che rimandano ad altri progetti. In tali collegamenti la GUID del progetto originale viene sostituita con quella del sotto-progetto copiato. Con tale soluzione, il sotto-progetto può essere adattato e potrà essere utilizzato immediatamente con il progetto di integrazione "pronto".


Autorizzazione

Manuale -> Progetto e workspace -> Progetto di integrazione -> Autorizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si possono implementare delle autorizzazione operative in zenon per progetti in rete e per progetti di integrazione senza rete.

Autorizzazione di rete

Per attivare l´autorizzazione operativa in rete:

  1. Nelle proprietà di progetto, passate al gruppo Rete
  2. Attivate la proprietà Autorizzazione attiva.
  3. Definite il Timeout per la richiesta [s]:
  4. Definite il Timeout per autorizzazione utenti [s]:
  5. Attenzione: selezionate un intervallo di tempo più corto del timeout di rete fissato nella proprietà Timeout [s]
  6. Configurate le funzioni per ottenere l´autorizzazione operativa o per concederla.

I dettagli li trovate nel capitolo Autorizzazione in rete nella guida per la Rete.

Autorizzazione operativa nel progetto di integrazione.

Per usare autorizzazioni operative in un progetto di integrazione:

  1. Nelle proprietà di progetto, configurate nel gruppo Interazione una variabile binaria per la proprietà Blocco utente.
  2. Analizzate i suoi valori di risposta.

Valore di risposta:

  • >0: Non esiste nessuna autorizzazione operativa. Il Runtime reagisce come in un progetto di rete quando l´autorizzazione operativa non esiste.
  • 0: Autorizzazione operativa disponibile. Il Runtime reagisce come in un progetto di rete quando l´autorizzazione operativa esiste.


Progetto globale

Manuale -> Progetto e workspace -> Progetto globale

Per progetto globale si intende un progetto che non è connesso ad un processo.

info Informazioni su

Si può creare ed usare solamente un progetto globale per workspace.

Il progetto globale dispone di una serie di moduli che sono a disposizione di tutti i progetti del workspace. Se degli oggetti sono presenti sia nel progetto globale che in quello locale, gli elementi del progetto locale hanno la precedenza.

Modulo

Descrizione

Variabili -> Allarme

Raggruppamento degli allarmi in gruppi, classi e aree.

Modelli

Modelli non esistenti nel progetto locale, vengono ripresi dal progetto globale. L'identificazione è costituita dal nome:

Stili

Gli stili consentono di fare quanto segue con le proprietà grafiche di elementi d'immagine:

Estrarle nell´ambito di gruppi di stili.

Gestirle in gruppi di stili.

Assegnarle ad altri elementi.

Gli stili vengono amministrati e gestiti sempre nel progetto globale.

Lista caratteri

Una lista caratteri non disponibile a livello locale viene ripresa dal progetto globale. L'identificazione è costituita dal nome: Tenete presente le conseguenze dell´esistenza di nomi uguali nel progetto globale e locale.

Tavolozza colori

Tutte le tavolozze di un progetto contengono sempre lo stesso numero di colori; il numero dei colori, dunque, può essere differente fra progetto globale e locale.

Attenzione: nel caso di conflitti durante il Runtime, le tavolozze del progetto locale hanno la precedenza.

Libreria simboli

I simboli sono a disposizione di tutti i progetti del workspace.

Denominazione al momento del collegamento nell´immagine: Progetto globale_[Nome simbolo]

Nota: Non è possibile copiare direttamente dalla Libreria simboli nella Libreria simboli nel progetto, oppure copiare dal progetto o dal progetto globale nella Libreria simboli generale.

File delle lingue

I file delle lingue vengono gestiti in tabelle lingua e vengono uniti al livello delle parole chiave e dei nomi file. Le parole chiave che non esistono nel progetto locale, vengono riprese dal progetto globale.

Gestione user

Gli utenti vengono riuniti mediante l'identificazione. Utenti non esistenti nei progetti locali vengono ripresi dal progetto globale.

Attenzione: utenti del progetto globale vengono visualizzati nel Runtime in tutti i sottoprogetti, ma non possono essere modificati mediante la gestione utenti del Runtime.

File

File non esistenti nel progetto locale, vengono ripresi dal progetto globale.

Log delle modifiche

Documenta tutte le modifiche nel progetto globale.

Definizione di impianto

Rappresenta tutti i livelli di un´azienda in modo corrispondente a ISA S88 e S95. Viene creata nel progetto globale e utilizzata nei progetti locali.

Backup di progetto

Per il backup del progetto globale.

info Informazioni su

Non è possibile aprire l`Editor VBA nel progetto globale.


Configurazione del filtro progetti

Manuale -> Progetto e workspace -> Configurazione del filtro progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il filtro progetti viene utilizzato in molte funzioni (Cambio immagine, esporta, stampa, ecc.). Esso consente la selezione di singoli progetti nella gestione multi-progetto.

attention Attenzione

Questo filtro è a disposizione solamente se ci sono più progetti in un progetto di integrazione.

Eccezione: quando si effettua la configurazione filtro per Faceplate, il sistema offre il filtro progetto anche per progetti singoli.

La selezione dal progetto di integrazione e da tutti i sottoprogetti avviene per selezione multipla tenendo premuto il tasto Ctrl e cliccando sui progetti desiderati.


Configurazione

Manuale -> Progetto e workspace -> Configurazione

La configurazione di un progetto avviene tramite:

Parametri | Descrizione
Configurazione generale | Registra prodotto Standard Pannello di controllo
Configurazione progetto | Progetto Gestione allarmi Lista eventi cronologica Gestione monitor Gestione utenti Backup del progetto Rinomina progetto Salva progetto con nome...

Noch in diesem Kapitel

Standard

Gestione progetto


Standard

Manuale -> Progetto e workspace -> Configurazione -> Standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionando il punto menù File\\Configurazione generale\\Standard..., sono impostabili le seguenti proprietà senza riferimento a un progetto:

Parametri | Descrizione
Stampante | Impostazioni globali stampante per tutti i progetti della banca dati.
Cartelle | Definizioni per progetti nuovi come standard

Noch in diesem Kapitel

Stampante

Cartella generale


Stampante

Manuale -> Progetto e workspace -> Configurazione -> Standard -> Stampante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la stampa si possono definire diverse stampanti.

Assegna stampante

Le stampanti possono essere assegnate per le seguenti funzioni:

Parametri | Descrizione
per stampa online AML o CEL | Stampate online per Lista di informazione allarmi o Lista Eventi Cronologica nel Runtime. Se AML oppure CEL si seleziona nel gruppo AML e CEL delle proprietà di progetto, oppure tramite i file ALAR.FRM oppure BTB.FRM.
per stampa offline AML o CEL | Stampante offline per Lista di informazione allarmi o Lista Eventi Cronologica. cliccando sul pulsante Stampa nell'immagine relativa. Configurazione del formato viene determinata tramite i file ALAR_G.FRM oppure BTB_G.FRM).
per protocolli e valori | Stampante per report e se è stata scelta la funzione Stampa valore attuale (Emissione di valori attuali e tabelle).
per Screenshots | Stampante per Screenshots.
per agenda | Stampante per le liste generali.

Per selezionare una stampante:

  1. Cliccate nel menù a tendina.

    Tutte le stampanti installate sul calcolatore saranno visualizzate per permettervi di effettuare la scelta

Per configurare la visualizzazione pagina:

  1. Cliccate sul pulsante ... accanto alla stampante

    Si apre la finestra di dialogo per l´impostazione pagina

Impostazione stampante

Stampante

Parametro | Descrizione
Stampante | Impostazioni per la stampante.
Nome: | selezione della stampante fra quelle della lista a cascata. La lista contiene tutte le stampanti configurate nel sistema operativo.
Proprietà... | Apre il dialogo per la configurazione della stampante selezionata.
Stato: | Visuale stato stampante. Solo informazione.
Tipo: | visualizzazione tipo stampante. Solo informazione
Luogo: | visualizzazione del luogo della stampante, se configurato. Solo informazione.
Commento: | visualizzazione di commento sulla stampante, se configurato. Solo informazione.

Carta

Parametro | Descrizione
Carta | Configurazione della stampa.
Dimensione | Selezione del formato pagina fra quelli della lista a cascata
Sorgente | Scelta dell´alimentazione carta fra le opzioni della lista a cascata.

Orientamento

Parametro

Descrizione

Orientamento

Scelta dell´orientamento della carta. Possibili parametri:

  • Verticale
  • Orizzontale

Rete

Apre il dialogo che serve alla selezione di una stampante in rete.

Ok

Riprende la configurazione e chiude il dialogo. Iin questo modo viene avviata l´operazione di stampa nel Runtime.

Annulla

Rifiuta la configurazione e chiude il dialogo. In questo caso viene interrotta l´operazione di stampam nel Runtime.

info Informazioni su

Le stesse stampanti sono utilizzabili con diversi parametri per diverse funzionalità.

Stampa sotto Windows CE

Con Windows CE non è disponibile nessun spooler di stampa. La stampa ha luogo durante il processo. La stampa, dunque, blocca anche la funzionalità del Runtime.
Sotto Windows CE la funzionalità della stampa è disponibile solamente se è già presente nella CE-Image. Non la si può aggiungere in seguito, né estenderla ad altre stampanti.

Alla stampa sotto Windows CE è applicabile quanto segue:

  • Stampa online:
    La stampa avviene sempre direttamente su LPT1. Questo numero di porta deve esistere sul dispositivo CE; inoltre deve essere connessa una stampante di linea.
  • Stampa offline:
    La stampa avviene sempre sulla stampante standard configurata sul sistema.
    La stampante non può essere configurata dal Runtime di zenon, né cambiata.

Nota: perché la stampa offline funzioni sotto Windows CE, il produttore del dispositivo deve rendere disponibile questa opzione nel CE-Image. Inoltre, ci deve anche essere la possibilità di definire la stampante standard, per esempio usando applicazioni come Pocketword o Notepad CE.


Cartella generale

Manuale -> Progetto e workspace -> Configurazione -> Standard -> Cartella generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella scheda Cartella vengono definiti i percorsi file standard per le categorie sotto elencate. Cliccando sul pulsante ... si apre l´Explorer al fine di rendere possibile la definizione del posto in cui salvare il tipo di file selezionato. Le posizioni di memorizzazione definite in questa sede verranno riprese nei nuovi progetti per servire da cartelle di default. Li si può modificare nella proprietà di progetto tramite l´opzione Percorsi. Esse vengono create relativamente alla cartella di Runtime.

Parametri | Descrizione
Grafica | File grafici Default: \Graphics
File esportati | Percorso per archivi, report, Lista Eventi Cronologica e Lista di informazione allarmi esportati. Default: \Export
Attribuzioni | Percorso per attribuzioni Default: \Allocation
Cartella rilettura archivi | Cartella per il backup di file di backup archivi. Quando vengono scaricati dati d'archivio dalla cartella di backup, vengono letti anche i dati di archivio del percorso Runtime e di tutte le sottocartelle della cartella di backup. Default: \Backup
Archivi esportati | Cartella in cui vengono salvati gli archivi dislocati. Default: \ExportArv
Guida online | Cartella per guida online. Default: \ONLINE_HELP


Gestione progetto

Manuale -> Progetto e workspace -> Configurazione -> Gestione progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tutti i dettagli di un progetto vengono configurati nelle proprietà di progetto. Per poter configurare le proprietà, dovete:

  • Selezionare il progetto nella struttura ad albero.
  • Aprire la finestra delle proprietà.

    (Apertura tramite menù contestuale del progetto o menù opzioni)

Noch in diesem Kapitel

Informazioni sul progetto

Cartelle relative al progetto

Qualità grafica

Runtime: file modificabili


Informazioni sul progetto

Manuale -> Progetto e workspace -> Configurazione -> Gestione progetto -> Informazioni sul progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Possono essere inserite le seguenti informazioni sul progetto:

Parametri | Descrizione
Autore | Autore del progetto
Manager | Manager del progetto
Azienda | Ditta relativa al progetto
Commento | Commento libero per il progetto


Cartelle relative al progetto

Manuale -> Progetto e workspace -> Configurazione -> Gestione progetto -> Cartelle relative al progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionando la proprietà Percorsi nelle proprietà di progetto Generale, viene aperta la finestra di dialogo che serve a definire i luoghi di salvataggio. Le posizioni di memorizzazione già contenute in questo dialogo sono stati riprese dalle impostazioni generali per cartelle. Cliccando sul pulsante ... si apre l´Explorer al fine di rendere possibile la definizione del posto in cui salvare il tipo di file selezionato. Essi vengono impostati relativamente alla cartella di Runtime.

Parametri | Descrizione
Grafica | File grafici Default: \Graphics
File esportati | Percorso per archivi, report, Lista Eventi Cronologica e Lista di informazione allarmi esportati. Default: \Export
Attribuzioni | Percorso per attribuzioni Default: \Allocation
Cartella rilettura archivi | Cartella per il backup di file di backup archivi. Quando vengono scaricati dati d'archivio dalla cartella di backup, vengono letti anche i dati di archivio del percorso Runtime e di tutte le sottocartelle della cartella di backup. Default: \Backup
Archivi esportati | Cartella in cui vengono salvati gli archivi dislocati. Default: \ExportArv
Guida online | Cartella per guida online. Default: \ONLINE_HELP


Qualità grafica

Manuale -> Progetto e workspace -> Configurazione -> Gestione progetto -> Qualità grafica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon, la qualità della grafica visualizzata può essere adattata alle risorse del sistema. L´impostazione avviene facendo uso della proprietà Qualità grafica nel gruppo Aspetto grafico. Queste impostazioni hanno effetto solamente sul Runtime. Nell´Editor si usa sempre DirectX.

Sono disponibili le seguenti opzioni specifiche:

  • Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.
  • DirectX Software: I calcoli grafici vengono effettuati dalla CPU. Possono essere usate più CPU, indipendentemente dalle grafiche da visualizzare. L´uso di DirectX Software può causare un elevato carico della CPU.
  • DirectX Hardware: Una parte dei calcoli grafici viene effettuata dalla scheda grafica, il che consente di aumentare le prestazioni. Se questa impostazione non viene supportata dal sistema utilizzato, zenon passa automaticamente a DirectX Software. In linea di principio si dovrebbe preferire l´uso di DirectX Hardware , mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario.

attention Attenzione
  • DirectX non è disponibile sotto Windows CE.
  • DirectX non può essere usato per OCX.

DirectX

DirectX permette di conseguire dei risultati grafici migliori rispetto a Windows Basis.

Per poter usare DirectX, devono essere soddisfatti alcuni presupposti:

Condizione:

Descrizione

DirectX Hardware oppure DirectX Software deve essere attivato.

Nelle proprietà di progetto, per la proprietà Aspetto grafico si deve selezionare DirectX Hardware oppure DirectX Software.

Il sistema operativo deve supportare DirectX 11.1.

DirectX Hardware e DirectX Software funzionano solamente su sistemi operativi con supporto di DirectX11.1:

Se il sistema non supporta DirectX 11.1, si passa automaticamente a Windows Basis .

Deve essere installato l´attuale runtime DirectX. Esso viene installato per zenon automaticamente con il setup. Per il Web Client, però, deve essere installato manualmente.

L´immagine o l´elemento devono supportare DirectX.

Solamente gli elementi e le immagini supportati possono essere visualizzati mediante DirectX.

Per DirectX Hardware, devono essere soddisfatti i presupposti minimi.

Per I dettagli concernenti i requisiti minimi, consultate il capitolo Requisiti del sistema nel caso di uso di DirectX. Se tali requisiti non vengono soddisfatti, si passa automaticamente a DirectX Software.

Se il sistema operativo non fornisce nessuna accelerazione hardware (per esempio nel caso di Remote Desktop), è possibile che non si possa usare DirectX Hardware.

DirectX 11.1

Per l´uso di DirectX 11.1 vale quanto segue:

  • Per Windows 8 e le versioni più recenti del sistema operativo, DirectX 11.1 è nativo.
  • Per Windows 7 e Server 200R2 senza Service Pack e per le versioni ancora più vecchie del sistema operativo, DirectX 11.1 non è disponibile e non può essere utilizzato.
  • Per Windows 7 SP1 e Server 2008 R2 SP1 deve essere installato un Windows service pack.

Installare Service Pack per Windows 7 SP1 e Server 2008 R2 SP1.

Per installare il Service Pack:

  1. Scaricate dalla pagina del supporto tecnico di Microsoft l´aggiornamento piattaforma KB2670838.
  2. Selezionate la versione che corrisponde al vostri sistema operativo.
    • 32 Bit
    • 64 Bit
  3. Eseguite il file di registrazione corrispondente.

Nota: Ciò riguarda solamente Windows 7 SP1 e Server 2008 R2 SP1. DirectX 11.1 è già presente in versioni più recenti. L´update non può essere installato in versioni precedenti.

Noch in diesem Kapitel

DirectX: Trattamento errori


DirectX: Trattamento errori

Manuale -> Progetto e workspace -> Configurazione -> Gestione progetto -> Qualità grafica -> DirectX: Trattamento errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli errori vengono emessi nel Diagnose Viewer.

DirectX non viene inizializzato.

Se DirectX non può essere inizializzato all´apertura di un´immagine oppure durante il funzionamento del sistema, esso prova di nuovo ad inizializzare DirectX. Durante questo processo, l´Editor e il Runtime di zenon continuano a funzionare normalmente. Potete utilizzare questi tempo per cercare di risolvere il problema. Si può risalire alle possibili cause del problema e cercare delle possibili soluzioni usando il Diagnose Viewer.

Mentre è in corso il tentativo di inizializzare di nuovo DirectX, appare una barra che mostra lo stato di avanzamento. Per interrompere il tentativo di inizializzare di nuovo DirectX, procedete come segue:

  1. Cliccate sul pulsante Annulla.
  2. Confermate la segnalazione di errore che apparirà.
  3. A seconda del punto dove avete interrotto il processo, verrà chiuso o l`Editor, o il Runtime.

Nota: gli errori che impediscono di inizializzare di nuovo DirectX vengono indicati dal sistema mediante una corrispondente segnalazione di errore.

Diagnosis Viewer

DirectX mette a disposizione nel Diagnose Viewer dei messaggi propri con rispettivamente:

  • un messaggio di errore,
  • le possibili cause dell´errore stesso,
  • Codici di errore.

l´emissione avviene in un modulo ad hoc, DirectX. Nel caso di errori, viene emesso il testo corrispondente nel campo Error, nel caso di avvisi e indicazioni di Debug, viene emessa la segnalazione corrispondente nel campo testo Generale:

  • Per l´apertura di un´immagine, viene emesso perlomeno un messaggio di DEBUG in cui si avverte che l´operazione è stata eseguita con successo.
  • Gli avvisi rimandano a degli eventi che possono influenzare il funzionamento del sistema.
  • Se si verifica un errore a cui non è possibile ovviare, viene emessa una segnalazione di errore (Error).

info Informazioni su

Se una segnalazione non viene visualizzata per intero in un report del Diagnose Viewer, dovete aprire l´inserimento con un doppio clic, in modo tale da far apparire tutta la segnalazione.

Lista check per monitoraggio degli errori

Attivando i messaggi di Debug nel Diagnose Viewer si può verificare se DirectX funziona o meno. Se l´esito di questa verifica è positivo, il sistema visualizza un messaggio corrispondente.

  • Avvisi specifici DirectX oppure segnalazioni di errore sono visualizzati nel Diagnose Viewer?
  • Nella proprietà di progetto Qualità grafica è impostata l´opzione DirectX Hardware o DirectX Software?
  • Sono soddisfatti i presupposti minimi per l´uso di DirectX? Per I dettagli concernenti i requisiti minimi, consultate il capitolo Requisiti del sistema nel caso di uso di DirectX.
  • DirectX viene supportato dall´immagine o dall´elemento?
  • La visualizzazione con Windows Basic funziona correttamente?
  • La visualizzazione con un altro driver funziona correttamente?
  • La visualizzazione con una scheda grafica di un altro produttore funziona correttamente?


Runtime: file modificabili

Manuale -> Progetto e workspace -> Configurazione -> Gestione progetto -> Runtime: file modificabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon esistono dei dati che possono essere soggetti ad una modifica sia nell'editor che nel runtime. Sono file per:

  • Manager di gruppi ricette
  • Ricette standard
  • Gestione user
  • Schedulatore

Proteggere i file runtime in modo tale che non siano sovrascritti

Se tutti i file runtime venissero creati e trasmessi nuovamente, i file modificati nel runtime nel frattempo verrebbero sovrascritti. Per evitare l´effetto non voluto che dati vengano sovrascritti, si può scegliere in questa sede Non rigenerare e ritrasmettere, selezionando quali file non devono essere creati o trasmessi nuovamente.

Proteggere i file Editor in modo tale che non siano sovrascritti

I dati modificati nel runtime possono essere riletti nell´editor. In tal modo, i dati corrispondenti nell´editor verranno sovrascritti. Per evitare l'effetto non voluto di sovrascrivere dati, si può scegliere qui selezionando Non decompilare quali file non devono essere riletti.

Dialogo RT dati modificabili

Accedete al dialogo per la configurazione dei file runtime modificabili tramite le proprietà di progetto Generale/RT dati modificabili:

I seguenti tipi di file sono selezionabili:

Parametri | Descrizione
Manager di gruppi ricette | Gruppi di ricette e ricette del manager dei gruppi di ricette Nel corso della trasmissione, nuovi file vengono trasmessi e impostate delle nuove sottocartelle, mentre i file e le sottocartelle cancellate sono eliminate anche nel sistema di destinazione.
Ricette standard | Ricette standard
Gestione user | Gestione utenti per Login e gestione diritti nel Runtime.
Schedulatore | Modifiche nei modelli di tempo e orari del PFS.

attention Attenzione

Effettuando una conversione di progetto fate attenzione a convertire anche i file Runtime modificabili. I file Runtime devono essere importati nella versione di partenza dell´Editor, e, dopo l´update, di nuovo caricati nel Runtime. Per i dettagli al proposito, consultate il capitolo Procedimento consigliato per convertire i file Runtime , che si trova nella parte della guida concernente la Conversione di progetto.

Trasmissione dei file

Durante il runtime

Per poter trasmettere i file durante il Runtime:

  1. vengono trasmessi tutti i file
  2. vengono trasmessi solamente i file modificati

Entrambe le possibilità sono praticabili per i file definiti in RT dati modificabili.

Dal Runtime

Ci sono due possibilità di leggere file dal Runtime:

  1. Importa tutti file Runtime:
    1. importa tutti i file Runtime nella cartella che è stata definita nella proprietà Cartella Runtime
    2. indipendentemente dall´impostazione della proprietà RT dati modificabili
  2. Importa i file runtime:
    1. importa i file definiti nella proprietà RT dati modificabili e
    2. sostituisce la progettazione nell´Editor con questi file Runtime
    3. sistema particolarmente adatto a riprendere i dati di un sistema remoto nell´Editor

Errore di connessione

Nella trasmissione vengono sovrascritti dei file esistenti in modo corrispondente a quanto previsto nelle impostazioni.

Se emergono degli errori durante la trasmissione oppure se la connessione si interrompe, i file devono essere trasmessi di nuovo e completamente.


Reporting

Manuale -> Reporting

Il reporting integrato in zenon serve alla documentazione, analisi e presentazione dei dati del processo basate sui dati online e di archivio attinti da zenon. Il reporting si articola in:

  • Generatore Report
  • Report Viewer

Entrambe queste varianti di reporting non sono disponibili sotto Windows CE.

tutorial Informazioni sulla licenza
  • Nell’Editor: devono essere entrambe provviste di una licenza.
  • Nel runtime:
    Report Viewer: Fa sempre parte del pacchetto standard.
    Report Generator: è integrato nel pacchetto standard del software, ma solo limitatamente alla pura e semplice visualizzazione dei report. Se si vuole usare il Report Generator per scrivere valori di archivio o valori impostabili, bisogna acquistare una licenza anche per il Runtime.

Per realizzare un reporting più ampio e indipendente dalle piattaforme, un reporting che vada dal livello del processo a quello dei sistemi ERP, avete a disposizione zenon Analyzer. il Vostro distributore di COPA-DATA è a Vostra disposizione per fornirvi le informazioni desiderata.

Noch in diesem Kapitel

Generatore Report

Report Viewer


Generatore Report

Manuale -> Reporting -> Generatore Report

Il Generatore di rapporti serve alla documentazione, all'analisi e alla presentazione di dati di processo effettuata sulla base di dati online e di archivio. Il Generatore Report lavora con orientamento alle celle. Si possono assegnare determinate funzioni e formati ad ogni cella.

La progettazione dei report avviene mediante il tipo di immagine Report. Il filtro, il calcolo, l´emissione e la visualizzazione dei dati avviene tramite le Funzioni Report. Queste ultime vengono inserite usando i dialoghi, oppure manualmente. I valori possono essere letti e - se consentito nell´immagine - anche modificati. Il Generatore di report soddisfa i requisiti di Regelblatt 13 e ATV H260

Menù contestuale - manager di progetto

Punto di menù | Azione
Nuovo Report | Imposta un nuovo report nella lista della visuale dettagliata.
Aggiungi Report esistente.. | Apre il Manager file che serve alla selezione di un file report esistente.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online

info Informazioni su

I bit di stato NORM e N_NORM non vengono visualizzati nel report, o il bit di stato NORM non può essere modificato usando il report.

Noch in diesem Kapitel

Progettazione nell'editor

Gestione durante il runtime

Esempio Dati archivio nei report


Progettazione nell'editor

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter usare i report nel Runtime, nell´Editor si deve:

  • impostare una Immagine del tipo Report
  • creare un Report e configurarlo
  • progettare una Funzione di cambio nel Runtime

Procedura consigliata per la progettazione del report:

  • Crea report
  • Formatta report
  • Imposta filtro archivio
  • Progettare funzioni report

Noch in diesem Kapitel

Crea tipo d'immagine Report Generator

Imposta nuovo report

Impostazioni stampante

Info File

Cerca e sostituisci nel report

Formattazioni

Imposta filtro archivio

Funzioni di report

Le funzioni di zenon per il Generatore Report.


Crea tipo d'immagine Report Generator

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Crea tipo d'immagine Report Generator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Crea tipo d'immagine Report Generator

Nell´immagine del tipo Report vengono visualizzati a Runtime i report realizzati con il generatore Report, che possono poi essere configurati, ammesso che si disponga delle autorizzazioni necessarie. La grandezza della visualizzazione dipende da quella del modello prescelto. Quale report deve essere visualizzato, può essere definito nel cambio immagine oppure durante il Runtime.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine generatore Report.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Parametri

Descrizione

Inserisci modello...

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Immagine

Elementi di controllo per visualizzazione finestre.

Finestra Report

Finestra per la visualizzazione dei report.

Filtro impostato

Mostra durante il Runtime il filtro tempo configurato attualmente.

Funzioni

Pulsanti per la gestione durante il Runtime.

Filtro

Seleziona file report e modifica le condizioni di filtro.

Aggiorna

Ricreare completamente il report (valori e visualizzazione).

Stampa

Stampa report nel Runtime.

Esporta

Esporta report.

Salva archivio

Salvare valori modificati nell’archivio.

Salva report

Il report viene salvato nel Runtime (*.xrs).

Attenzione: Al momento del salvataggio del report, le formule e le funzioni vengono sostituite dai valori attuali. Non sono più disponibili le funzioni in questi report (file .xrs). Non sarà più possibile neanche modificare questi report nell´Editor.

Raccomandazione: impostate i file originali di Report in modalità "protetti da scrittura" e salvate le modifiche in un nuovo file usando il comando Salva con nome .

Salva report con nome

Il report viene salvato nel runtime con un nuovo nome (*.xrs), essendo sostituite le formule e funzioni dai valori attuali.

Leggi valori selezionati

Il driver legge di nuovo i valori selezionati

Imposta valore selezionato

I valori selezionati vengono scritti sul driver.

Leggere tutti i valori

Il driver legge di nuovo tutti i valori.

Scrivi tutti i valori

Tutti i valori vengono scritti sul driver.

Navigazione

Elementi di controllo per la navigazione.

Riga in su

Passare una riga più in alto

Riga in giù

Passare una riga più in basso

Colonna a destra

Spostarsi di una colonna a destra

Colonna a sinistra

Spostarsi di una colonna a sinistra

Pagina in su

Passare alla pagina precedente

Pagina in giù

Passare alla pagina successiva

Pagina a destra

Spostarsi di una pagina a destra

Pagina a sinistra

Spostarsi di una pagina a sinistra

Profilo filtro

Pulsanti per impostazioni filtro nel Runtime.

Scelta profilo

Selezionare un profilo dalla lista.

Salva

Salva l´impostazione attuale come profilo.

Elimina

Cancella il profilo selezionato.

Importa

Importa profili filtro da un file di export

Esportazione

Esporta profili filtro in file


Imposta nuovo report

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Imposta nuovo report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prima di impostare un nuovo report, bisognerebbe definire la stampante report, perché la formattazione pagine di un report dipende dalla stampante impostata. Una successiva modifica delle impostazioni stampante potrebbero rendere necessaria la riformattazione del report esistente.

Per creare un nuovo report:

  • navigate all´interno del manager di progetto fino a giungere al nodo Generatore Report
  • selezionate nel menù contestuale il comando Nuovo report
  • viene generato un nuovo report nella lista dettagliata
  • si apre un foglio elettronico vuoto nella finestra principale

Funzionalità del foglio elettronico:

  • Attribuzione di informazioni di processo tramite Funzioni Report
  • visualizzazione formattata di contenuti di celle, colonne e righe
  • Somme parziali
  • Attribuzione dei blocchi di editing

info Informazioni su

Nel caso di inserimento nelle celle vale la regola: Un valore decimale può essere separato sia tramite una virgola che mediante un punto. Il separatore decimale viene trasformato automaticamente in un punto .

Vedi per ulteriori informazioni

Imposta pagina
Impostazioni stampante
Formattazione
Funzioni report

Noch in diesem Kapitel

Menù Report

Menù "Modifica".

Menù Formato

Barra simboli del Generatore di rapporti

Menù contestuale e Barra simboli Visualizzazione dettagliata

Struttura della finestra tabelle

Menù contestuale datasheet


Menù Report

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Imposta nuovo report -> Menù Report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si seleziona un Report, nella barra dei menù appare il menù Report:

Parametri

Descrizione

Salva report

Salva tutte le modifiche nel report attivo. I cambiamenti effettuati in altri report non verranno salvati.

Esporta funzioni Report

Esporta tutte le funzioni del report attivo in un file di testo.

Struttura: colonna / riga =funzione(parametro)

Ridisegna Report

Ridisegna il report.

Ricalcola report

Ricalcola il report.

Imposta pagina

Apre il dialogo che serve all´impostazione della pagina.

Stampa report

Stampa il report sulla stampante definita per il progetto nelle impostazioni standard.

Area Stampa

Imposta oppure reimposta le aree di stampa:

  • Imposta area di stampa: definisce l´area evidenziata del report come area di stampa.
  • Reimposta area di stampa: cancella l´impostazione dell´area di stampa

Anteprima pagina report

Passa dalla visuale di layout all´anteprima di stampa. Con il tasto sinistro del mouse si può zoomare nella visuale.

Uscire dall´anteprima di stampa: premere il tasto Esc.

Informazioni file report

Apre il dialogo che serve a gestire le informazioni del file report.


Menù "Modifica".

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Imposta nuovo report -> Menù "Modifica".

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si seleziona un report, il menù Modifica mette a disposizione dell´utente funzioni speciali per report:

Comando

Descrizione

Taglia

Taglia l´area evidenziata e la copia negli appunti.

Copia

Aggiunge il contenuto degli appunti.

Inserisci

Copia l´area evidenziata negli appunti.

Incolla speciale

Mette a disposizione delle opzioni di inserimento estese per operazioni cella:
  • Tutto

Inserisce tutto quanto contenuto negli appunti.
  • Formule

Inserisce solamente formule
  • Valore

Inserisce solamente valori Va perso il riferimento alle formule.
  • Formato

Riprende solamente il formato.

Riempi

Copia il contenuto della prima cella di una selezione e lo trasferisce in tutte le altre celle.

  • in giù

Il riempimento avviene dall´alto in basso.
  • a destra

Il riempimento avviene verso destra.

Elimina

Cancella dalle celle selezionate:
  • Tutto

tutto
  • Contenuto

Solo contenuti.
  • Formato

Solo formati.

Cancella colonna/riga

Cancella le colonne o le righe selezionate.

Inserisci colonna/riga

Inserisce nuove colonne o righe. L´inserimento avviene sopra la riga o a destra della colonna. Viene aggiunto un numero di righe/colonne pari a quello evidenziato nel foglio elettronico.

Cerca/Sostituisci

Apre il Dialogo che serve alla ricerca e sostituzione nel foglio elettronico.


Menù Formato

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Imposta nuovo report -> Menù Formato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il menù "Formato" mette a disposizione delle proprietà e delle funzioni per la formattazione della tabella di report:

Parametri

Descrizione

Celle

Opzioni di formattazione per le celle:

  • Carattere
  • Disegno
  • Cornice
  • Orientamento
  • Numeri
  • Liste

Riga

Opzioni di formattazione per le righe:

  • Altezza riga: apre il dialogo che serve alla definizione dell´altezza riga
  • Formato righe: apre il dialogo per tutte le proprietà delle righe

Colonna

Opzioni di formattazione per le colonne:

  • Larghezza colonna: apre il dialogo che serve alla definizione della larghezza della colonna
  • Formato colonne: apre il dialogo per tutte le proprietà delle colonne

Report

Apre il Dialogo che serve a formattare il report. .

Assistente alle funzioni

Apre l´assistente che serve a creare le Funzioni di report.

Filtro

Apre Filtro report per consentire la selezione di archivi.


Barra simboli del Generatore di rapporti

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Imposta nuovo report -> Barra simboli del Generatore di rapporti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per il generatore di rapporti avete a disposizione una barra di simboli nell´editor: nel caso in cui non dovesse essere visibile, la si può visualizzare mediante:

  1. aprite il menù Opzioni -> Impostazioni -> Tab: Barra degli strumenti
  2. attivate il checkbox accanto al Generatore di rapporti
  3. confermate la selezione cliccando su OK

Simbolo

(da sinistra a destra)

Funzione

Stampa report

Stampa il rapporto con la stampante impostata come standard.

Anteprima pagina report

Apre il rapporto in un´anteprima. Il rapporto può essere ingrandito oppure ridotto (zoom); lo si può sfogliare e stampare.

Ridisegna Report

Attualizza la visualizzazione.

Ricalcola funzioni

Calcola nuovamente le formule nel report

Assistente alle funzioni

Apre un dialogo che serve di aiuto per la configurazione delle funzioni.

Carattere

Apre un dialogo che serve alla formattazione delle celle con attenzione particolare al tab Carattere.

orientamento testo

Apre un dialogo che serve alla formattazione delle celle con attenzione particolare al tab Orientamento.

Cornice

Apre un dialogo che serve alla formattazione delle celle con attenzione particolare al tab Cornice.

Disegno

Apre un dialogo che serve alla formattazione delle celle con attenzione particolare al tab Disegno.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.


Menù contestuale e Barra simboli Visualizzazione dettagliata

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Imposta nuovo report -> Menù contestuale e Barra simboli Visualizzazione dettagliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Punto di menù | Azione
Nuovo Report | Imposta un nuovo report nella lista della visuale dettagliata.
apri report | Apre il report selezionato, oppure vi pone il focus se esso è già aperto.
Crea funzione standard | Crea una funzione di zenon per il Report Generator. L´azione viene documentata nella finestra di emissione.
Torna all'elemento di partenza | Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza. Nel menu contestuale esistente solamente, se aperto come elemento collegato.
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Aggiungi Report esistente.. | Apre il Manager file che serve alla selezione di un file report esistente.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Guida | Apre la guida online.


Struttura della finestra tabelle

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Imposta nuovo report -> Struttura della finestra tabelle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando li si edita nell´Editor, i report vengono visualizzati divisi in due parti nella finestra principale:

  • il settore a sinistra contiene la tabella per la bozza
  • quello di destra mostra un´anteprima dell´emissione

La grandezza di queste due parti può essere modificata individualmente. A tal scopo, spostate il puntatore del mouse sul bordo destro della barra di scorrimento della tabella; quando esso assume l´aspetto dello strumento di spostamento, portate la barra di scorrimento nella posizione desiderata.

Riga di inserimento

La tabella contiene una riga di inserimento che si trova sul bordo superiore. Se non si è provveduto ad attivare nelle Proprietà del report la proprietà Modificare nella cella, questa riga non verrà visualizzata. In questo caso, gli inserimenti dovranno essere effettuati direttamente nella cella.


Menù contestuale datasheet

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Imposta nuovo report -> Menù contestuale datasheet

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Punto di menù

Azione

Taglia

Cancella gli inserimenti evidenziati e li sposta negli appunti.

Copia

Copia gli inserimenti selezionati negli appunti

Inserisci

Aggiunge il contenuto degli appunti.

Incolla speciale

Consente di selezionare negli appunti il contenuto da inserire:

  • Tutto: verrà ripreso e inserito tutto il contenuto
  • Formule: verranno riprese solamente le formule
  • Valore: riprende solamente il valore
  • Formato: riprende solamente il formato

Riempi

Copia il contenuto della prima cella di una selezione e lo trasferisce in tutte le altre celle. Si può stabilire se le celle devono essere riempite procedendo dall´alto al basso o da sinistra a destra.

Elimina

Consente di selezionare il contenuto di un cella che deve essere cancellato:

  • Tutto: cancella l´intero contenuto con il formato
  • Contenuto: cancella il contenuto, ma mantiene il formato
  • Formato: cancella solamente il formato e mantiene il contenuto

Inserisci colonna/riga

Inserisce una nuova cella al di sopra di un´altra cella selezionata, oppure una nuova colonna a sinistra di un´altra colonna selezionata. Se sono state selezionate più righe/colonne, viene inserito un numero corrispondente di nuove righe/colonne.

Cancella colonna/riga

Cancella le righe o colonne selezionate

Report...

Apre il dialogo che serve a formattare il report.

Cella...

Apre il dialogo che serve a formattare una cella.

Colonna...

Apre il dialogo che serve a formattare le colonne.

Riga...

Apre il dialogo che serve a formattare le righe.

Funzioni...

Apre l´assistente che serve a creare le Funzioni di report.

Nota: l´assistente offre uno spettro di più di 150 funzioni. Altre funzioni possono essere inserite manualmente nella riga inserimenti del datasheet.


Impostazioni stampante

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Impostazioni stampante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il layout del report (margini della pagina, grandezza della pagina) dipende dalla stampante configurata. Giungete alle impostazioni per la stampante di report attraverso File -> Configurazione generale-> Standard -> Stampante per protocolli e valori.

In questa sede definite

  • la stampante e
    • il formato della carta per la stampa
    • la sorgente della carta per la stampante
    • orientamento della stampa

attention Attenzione

La stampante desiderata deve essere selezionata prima della creazione del report, perché la formattazione delle pagine di un report dipende dalla stampante impostata. Una successiva modifica della stampante potrebbe rendere necessaria la riformattazione del report esistente.

Configurazione della stampante

Stampante

Parametro | Descrizione
Stampante | Impostazioni per la stampante.
Nome: | selezione della stampante fra quelle della lista a cascata. La lista contiene tutte le stampanti configurate nel sistema operativo.
Proprietà... | Apre il dialogo per la configurazione della stampante selezionata.
Stato: | Visuale stato stampante. Solo informazione.
Tipo: | visualizzazione tipo stampante. Solo informazione
Luogo: | visualizzazione del luogo della stampante, se configurato. Solo informazione.
Commento: | visualizzazione di commento sulla stampante, se configurato. Solo informazione.

Carta

Parametro | Descrizione
Carta | Configurazione della stampa.
Dimensione | Selezione del formato pagina fra quelli della lista a cascata
Sorgente | Scelta dell´alimentazione carta fra le opzioni della lista a cascata.

Orientamento

Parametro

Descrizione

Orientamento

Scelta dell´orientamento della carta. Possibili parametri:

  • Verticale
  • Orizzontale

Rete

Apre il dialogo che serve alla selezione di una stampante in rete.

Ok

Riprende la configurazione e chiude il dialogo. Iin questo modo viene avviata l´operazione di stampa nel Runtime.

Annulla

Rifiuta la configurazione e chiude il dialogo. In questo caso viene interrotta l´operazione di stampam nel Runtime.


Info File

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Info File

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel dialogo Report -> Informazioni file report possono essere salvate delle informazioni sul file report in questione.

Parametri | Descrizione
Nome file | Nome del file report. Solo informazione, non modificabile in questa sede. Può essere modificato nella lista dettagliata.
Cartella | Posto di salvataggio del file report. Solo informazione, non modificabile in questa sede.
Titolo | Libero inserimento di testo
Tema | Libero inserimento di testo
Autore | Libero inserimento di testo
Commento | Libero inserimento di testo


Cerca e sostituisci nel report

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Cerca e sostituisci nel report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per cercare nel foglio di lavoro delle formule, sequenze di caratteri o valori e per sostituirli:

  1. selezionate il report desiderato
  2. scegliere nel menù Modifica il comando Trova / Sostituisci.
  3. si apre il dialogo per cercare e sostituire

Parametri

Descrizione

Introduzione espressione

Inserimento delle sequenze caratteri per cerca e sostituisci

Cerca per

sequenza di caratteri che il sistema cerca

Sostituito con

sequenza di caratteri che deve sostituire quella trovata.

Sostituisci

Sostituisce la corrispondenza visualizzata con la sequenza caratteri inserita in Sostituisci con.

Sostituisci tutti

Sostituisce tutte le corrispondenze con la sequenza caratteri inserita in Sostituisci con.

Trova successivo

Cerca la prossima corrispondenza con la chiave di ricerca.

Opzioni ricerca

Opzioni di ricerca

Cerca in

Selezione dalla lista a cascata:

  • Formule: cerca nelle formule
  • Stringa: cerca nelle stringhe
  • Valore: cerca nei valori

Trova stringa parziale

cerca anche in parti delle celle.

Rispetta minuscolo/maiuscolo

tiene presente la scrittura minuscola/maiuscola.

Chiudi

Chiude il dialogo.

Guida

Apre la guida online


Formattazioni

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Formattazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si dovrebbero effettuare le necessarie operazioni di formattazione prima della creazione di un report:

  • Pagina: imposta proprietà della stampa per la pagina
  • Report: imposta proprietà del report
  • Cella: Stabilire la formattazione delle celle (orientamento, cornice, carattere, modello, tipo, liste)
  • Colonne e righe: Formattazione per le colonne o righe selezionate

Giungete alle impostazioni attraverso le liste a cascata Report e Format nella barra menu, oppure mediante il menù contestuale del foglio elettronico.

Suggerimento: Fate in modo di predisporre un numero sufficiente di righe/colonne per l´emissione di report con grandi quantità di dati.

Noch in diesem Kapitel

Imposta pagina

Formatta report

Formatta cella

Formatta colonne e righe


Imposta pagina

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Formattazioni -> Imposta pagina

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il comando Imposta pagina... del menù Report apre il dialogo per la configurazione della pagina del report. Esso contiene le schede:

  • Margini
  • Intestazione e piè di pagina

Noch in diesem Kapitel

Margini

Intestazione e Píé di pagina


Margini

Margini

Parametri

Descrizione

Imposta margini

Imposta i margini indipendentemente dalle impostazioni della stampante

su

Distanza del report dal margine superiore.

In giù

Distanza del report dal margine inferiore.

sinistra

Distanza del report dal margine sinistro.

destra

Distanza del report dal margine destro.

Header

Distanza dell´intestazione dal testo.

Possibili valori: da 0 a 20; 0 = nascosto.

Il valore selezionato deve essere abbastanza grande da permettere una corretta visualizzazione del carattere nella dimensione scelta alla voce Intestazione e piè di pagina.

Piè di pagina

Distanza del piè di pagina dal testo.

Possibili valori: da 0 a 20; 0 = nascosto.

Il valore selezionato deve essere abbastanza grande da permettere una corretta visualizzazione del carattere nella dimensione scelta alla voce Intestazione e piè di pagina.

Generale

Area Stampa

Stabilisce l´area di stampa a partire dalla cella A1. Inserimento nel campo testo: Coordinate del Final value dell´area.

Esempio: D5 stabilisce che l´area di stampa va dalla cella A1 a D5.

Nota: l´area di stampa deve contenere perlomeno 2 righe e 2 colonne Tutte le istruzioni con A o 1, dunque, non sono valide e non verranno eseguite.
Esempi: A7: non valida; D1: non valida; B2: non valida.

Stampante

Selezione della stampante per il report. Cliccando sulla lista a cascata si apre la lista di tutte le impostazioni stampante di zenon.

Default: Valori e Report

Adatta area di stampa alla stampante

Attivo: area di stampa viene adattata alle impostazioni della stampante selezionata.

Nota: l´area di stampa deve contenere perlomeno 2 righe e 2 colonne Tutte le istruzioni con A o 1, dunque, non sono valide e non verranno eseguite.
Esempi: A7: non valida; D1: non valida; B2: non valida.

Stampare righe statiche colonne

Attivo: stampa righe/colonne statiche .

Centratura

Orientamento del report sulla pagina da stampare

Verticale

Centra il report verticalmente.

Orizzontale

Centra il report orizzontalmente.

Orientamento

Impostazione del formato pagina

Verticale

Stampa in formato verticale.

Orizzontale

Stampa in formato orizzontale.

Direzione di stampa

Ordine delle pagine stampate in caso di più pagine

Da sinistra a destra

Stampa più pagine da sinistra a destra.

Dall'alto in basso

Stampa di più pagine dall’alto verso il basso.


Intestazione e Píé di pagina

Intestazione e Píé di pagina

Parametri

Descrizione

Header

Definizione della zona d´intestazione

Sezione di sinistra

Testo con orientamento a sinistra per la parte (1/3) a sinistra dell´intestazione.

Sezione centrale

Orientamento centrato per il centro l´intestazione

Sezione di destra

Testo con orientamento a destra per la parte (1/3) destra dell´intestazione.

Carattere

Apre il dialogo che consente di selezionare il carattere, la dimensione del carattere e degli effetti del testo del piè di pagina.

Piè di pagina

Definizione della zona di piè di pagina

Sezione di sinistra

Testo con orientamento a sinistra per la parte (1/3) a sinistra del piè di pagina

Sezione centrale

Orientamento centrato per il centro del piè di pagina.

Sezione di destra

Testo con orientamento a destra per la parte (1/3) destra del piè di pagina.

Carattere

Apre il dialogo che consente di selezionare il carattere, la dimensione del carattere e degli effetti del testo del piè di pagina.

Fate in modo di effettuare le impostazioni relative a intestazione/piè di pagina nel Margini in modo tale che la grandezza il carattere possa essere visualizzato nella sua interezza.

Parole chiave

Parole chiave per l´intestazione e il piè di pagina

&[Page]

Numero di pagina

&[Pages]

Numero totale di pagine

&[Date]

Data attuale di stampa

&[Time]

Ora attuale di stampa

&[File]

Nome file


Formatta report

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Formattazioni -> Formatta report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la formattazione dell´intero report sono disponibili le seguenti impostazioni:

  • Generale: impostazioni generali per il report
  • colonne: impostazioni generali per le colonne, come numero ecc.
  • Righe: impostazioni generali per le righe, come numero ecc.

Per procedere alla formattazione, selezionate il comando Report nel menù Formato, oppure il comando Formatta report del menù contestuale del foglio di report.

Noch in diesem Kapitel

Generale

Colonne

Righe


Generale

Generale

Parametri | Descrizione
Titolo | titolo report
Seleziona | Stabilisce come avviene la selezione quando si clicca.
tutta la riga | Attivo: viene selezionata tutta la riga.
una cella | Attivo: viene selezionata solamente la cella su cui si clicca; non è possibile una selezione multipla.
Opzioni |
Calcolo automatico | Attivo: aggiorna automaticamente i calcoli se la dimensione in entrata viene modificata.
Mostra griglia | Attivo: mostra la rete di linee della griglia nell´Editor.
Modifica celle | Attivo: gli inserimenti saranno effettuati direttamente nella cella; la riga di inserimento nella finestra di report viene esclusa.
Referenza clic | Attivo: La cella su cui si è cliccato viene ripresa nella riga di inserimento quando si digitano delle formule come coordinate report. Per esempio: invece di inserire A12, si clicca sulla cella A12.


Colonne

Colonne

Parametri | Descrizione
Impostazioni di colonna |
Numero colonne | Definisce il numero massimo di colonne. Valore consentito: da 0 fino 31000
Colonne statiche | Numero delle colonne che vengono sempre visualizzate. Lo scrolling avviene solo dopo le colonne statiche.
Visualizza pulsante nella prima colonna | Attivo: Mostra i numeri righe.
Attiva formattazione colonne | Attivo: La larghezza delle colonne può essere modificata trascinando i bordi dell´intestazione con il mouse.


Righe

Righe

Le proprietà progettabili delle righe sono:

Parametri | Descrizione
Quantità righe | Definisce il numero massimo di righe. Valore consentito: da 0 fino 31000
Righe statiche | Numero delle righe che vengono sempre visualizzate. Lo scrolling avviene solo dopo le colonne statiche.
Mostra pulsante nella prima riga | Attivo: Mostra intestazione colonna >(A, B, C, ...).
Attiva la formattazione righe | Attivo: La larghezza delle righe può essere modificata trascinando i bordi della numerazione righe con il mouse.


Formatta cella

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Formattazioni -> Formatta cella

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la formattazione delle celle sono disponibili le seguenti impostazioni:

Orientamento

Cornice

Carattere

Disegno

Tipo di cella

Liste

Per effettuare la formattazione, selezionate:

  • nel menù contestuale del foglio di report il comando Formatta cella; in questo modo si aprirà il dialogo
  • oppure il sottomenù desiderato in Report ->Formatta cella per aprire il dialogo con le tab corrispondenti

Noch in diesem Kapitel

Orientamento

Cornice

Carattere

Disegno

Tipo di cella

Liste Combobox


Orientamento

Orientamento

Nella scheda Orientamento viene definita la rappresentazione dei contenuti della cella.

Per il posizionamento verticale sono a disposizione:

  • Generale
  • In su
  • Al centro
  • In giù
  • Cambio riga

Per il posizionamento orizzontale sono a disposizione:

  • Generale
  • Sinistra
  • Centro
  • Destra

info Informazioni su

Se il testo deve essere visualizzato verticalmente, selezionate nella scheda Carattere la proprietà verticale.


Cornice

Cornice

Usate la scheda Cornice per stabilire se ed in quale forma deve essere visualizzata una cornice intorno ad una cella. Potete definire per ogni lato della cornice (sopra, sotto, sinistra, destra) un tipo e un colore:

  1. Stabilite tipo e colore.
  2. Assegnateli cliccando con il mouse all´intera cornice o a singoli lati della stessa.

Parametri | Descrizione
Selezione cornice | Cliccando al centro, si attivano tutti e quattro i lati della cornice. Cliccando su un lato della cornice, si attiverà solamente quest´ultimo.
Tipo di linea | Selezione del tipo di linea fra quelli della lista a cascata.
Colore di linea | Selezione del colore linea fra quelli della lista a cascata.


Carattere

Carattere

Per quello che riguarda i caratteri, sono a disposizione le impostazioni standard di Windows.

Parametri | Descrizione
Carattere | Selezione del carattere.
Stile carattere | Scelta dello stile carattere.
Dimensione carattere | Selezione della dimensione carattere in punto.
Effetti |
Barrato | Attivo: il testo nella cella appare barrato.
Sottolineato | Attivo: il testo della cella viene sottolineato.
Colore | Non se ne tiene conto!! Il colore per l’utilizzo dei caratteri, deve essere impostato, per esempio, in un elemento dinamico.
Script | Non se ne tiene conto!! Viene usata universalmente la visualizzazione Unicode.
Esempio | Mostra le conseguenze della selezione sul testo nella cella.


Disegno

Disegno

Nella scheda Disegno si definiscono il colore e disegno della cella.

Parametri | Descrizione
Disegno | Selezione del disegno celle fra quelli della lista a cascata.
Primo piano | Selezione del colore di primo piano fra quelli della lista a cascata.
Sfondo | Selezione del colore di sfondo fra quelli della lista a cascata.


Tipo di cella

Tipo di cella

Nella scheda Tipo cella stabilite il formato di emissione. Potete scegliere fra:

  • Generale: Emissione di valori, dati e dati binari.
  • Combobox: creazione di liste
  • Tipo di dati: Definizione di tipi di dato
  • File grafico: inserisci una grafica

Le chiavi di formattazione corrispondenti vengono descritte nel capitolo Chiavi di formattazione.

Generale

Parametri

Descrizione

Formato stringa

Selezione del formato di emissione
  • Valore

Valori numerici. Per i dettagli vedi capitolo Tipo di dato numerici.
  • Data

Indicazione della data. I dettagli li trovate nel capitolo Tipi di dato per data e ora.
  • Tempo

Indicazioni di tempo. I dettagli li trovate nel capitolo Tipi di dato per data e ora.
  • Valore binario

Valori binari. Per i dettagli vedi capitolo Tipo di dato logici.

Bloccato

Attivo: blocca la cella per la modifica nell´Editor e inserimenti nel report online.

Example Esempio

Formato stringa per un´emissione valore:
*0.00 = valore qualsiasi con 2 cifre decimali

dd/mm/yy hh:mm = 01/01/10 12:30 (corrispondente alle impostazioni del sistema operativo

Combobox

Il tipo di cella combox mette a disposizione delle liste a cascata che servono alla selezione di inserimenti predefiniti. Prima di poter usare questo tipo di cella, bisogna aver creato una lista nella scheda Combobox Liste.

Parametri

Descrizione

Combobox Nome liste

Nome del file lista. Esso deve essere già definito nella scheda Combobox Liste.

Altezza drop:

Altezza di visualizzazione

Larghezza drop:

Larghezza della visualizzazione

Bloccato

Attivo: blocca la cella per la modifica nell´Editor e inserimenti nel report online.

Modalità di selezione

Tipo di visualizzazione
  • con testo

ordina alfabeticamente in base la testo.
  • con codice

ordina in base al codice
  • con indice

ordina secondo la successione delle immissioni degli inserimenti nella lista.

Tipo di dato

Con tipo di dato viene creato un modello di inserimento nel report. Le funzioni esistenti vengono cancellate da questa cella. L´utente riceve un´indicazione del modo in cui i dati devono essere inseriti nella cella.

Parametri

Descrizione

Formato stringa

Inserimento del formato, dipendente dal tipo di dato.

Tipo di dato

  • Data/Ora

Inserimento di un valore data/valore tempo.

I dettagli sul formato stringa li trovate nel capitolo Tipi di dato per data e ora.
  • Float

Inserimento di un valore float.

Per i dettagli sul formato stringa vedi capitolo Tipo di dato numerici.
  • Integer

Inserimento di un valore integer.

Per i dettagli sul formato stringa vedi capitolo Tipo di dato numerici.
  • Logico

Inserimento di un valore binario.

Per i dettagli sul formato stringa vedi capitolo Tipo di dato logici.

Progettabile: si/no; Vero/falso.
  • Testo

Inserimento di testo.
  • Non definito

Nessun tipo di dato è definito

Bloccato

Attivo: blocca la cella per la modifica nell´Editor e inserimenti nel report online.

File grafico

I file grafici devono essere creati prima della selezione nel Manager di progetto: Nodo File -> Graifica -> [Menù contestuale] Aggiungi file.

Parametri | Descrizione
File grafico | Selezione del file grafico. I formati supportati sono BMP, JPG, GIF, PNG e WMF.
Dimensione originale | Attivo: la grafica viene visualizzata nella grandezza originale. Inattiva: la grafica viene adattata alla grandezza della cella. Default: inattivo
Bloccato | Attivo: blocca la cella per la modifica nell´Editor e inserimenti nel report online.


Liste Combobox

Liste Combobox

Nella scheda Liste Combobox vengono definite delle liste per il tipo cella Combobox.

Parametri

Descrizione

Liste Combobox

Lista a cascata per la selezione di liste esistenti.

Nuovo

Apre il Dialogo per la creazione di una nuova lista.

Elimina

Cancella la lista selezionata.

Contenuto della lista selezionata

Mostra i contenuti delle liste selezionate.

Inserimento attuale:

Configurazione dell´inserimento.

Testo

Inserimento del testo nella forma in cui deve apparire nella lista nel runtime.

Codice

Inserimento di un numero per ordinare la lista.

0: nessun ordine secondo Code. La lista può essere ordinata nel Runtime in ordine alfabetico, oppure sulla base della successione dell´inserimento.

Valore minimo: 0

Valore massimo: 9999999999

Aggiungi

Il nuovo inserimento viene inserito in Contenuto della lista selezionata sulla base delle impostazioni effettuate al momento della creazione della lista.

  • No: l´inserimento viene aggiunto alla fine della lista.
  • Secondo il testo: ordine alfabetico.
  • Secondo Code: il numero di codice determina la successione (crescente) nella lista.

Inserisci

Il nuovo inserimento viene aggiunto al di sopra dell'inserimento selezionato nella Contenuto della lista selezionata.

Elimina

Cancella l'inserimento selezionato in Contenuto della lista selezionata.

Crea nuova lista

Parametri | Descrizione
Nome lista | Nome della lista
Ordinamento | I criteri dell´ordinamento per la visualizzazione in Contenuto della lista selezionata e nel Runtime
Non ordinato | l´inserimento viene aggiunto alla fine della lista.
Secondo il testo(Default) | ordine alfabetico
Per codici | il numero di codice determina la successione (crescente) nella lista.


Formatta colonne e righe

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Formattazioni -> Formatta colonne e righe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si seleziona un'intera riga o un'intera colonna, il menù contestuale mette disposizione il comando Formatta colonna oppure Formatta riga.

Come in Formatta cella, abbiamo a disposizione le seguenti schede:

Orientamento

Cornice

Carattere

Disegno

Nota: Queste impostazioni riguardano sempre solamente il titolo colonna o il titolo riga. Non hanno alcun effetto sulle altre celle di una colonna o righe. Queste ultime devono essere sempre formattate usando il dialogo Formatta celle.

In questo dialogo c`è anche un'altra scheda Colonna o Riga.

Noch in diesem Kapitel

Colonna

Riga


Colonna

Colonna

Nella scheda Colonna di definiscono quelle proprietà che riguardano l´intera colonna:

Parametri

Descrizione

Definizione

Titolo

Definisce il titolo della colonna.

$C: Lettere del numero di colonna in sequenza crescente

E: espande il numero di colonne portandole automaticamente al numero corretto, se in una delle sue celle è presente una funzione archiv*, aml o cel. "E" non deve essere utilizzata se si usano anche altre funzioni di report. "E" può essere usata più volte in un report.
Default: $C

Larghezza in pixel

Larghezza della colonna in pixel.

Opzioni

Escludi

Attivo: Escludi colonna,
Inattivo: La colonna viene mostrata.

Per mostrare di nuovo una colonna nascosta: selezionate le due colonne vicine e settate la proprietà Escludi su inattiva.

Attenzione: le funzioni che si trovano nelle celle nascoste, non verranno eseguite. Per eseguire una funzione che si trova in una cella non visualizzata: settate l´altezza riga oppure la larghezza colonna su 0.

Protezione

Attivo: la celle della colonna vengono protette contro eventuali tentativi di modifica della formattazione.
Inattivo: è possibile formattare le celle di questa colonna.


Riga

Riga

In questo box di dialogo possono essere definite delle proprietà valide per tutta la riga selezionata.

Parametri

Descrizione

Definizione

Titolo

Definisce il titolo della riga.

$R: Lettere del numero di riga in sequenza crescente

E: espande il numero di righe portandole automaticamente al numero corretto, se in una delle sue celle è presente una funzione archiv*, aml o cel. "E" non deve essere utilizzata se si usano anche altre funzioni di report. "E" può essere usata più volte in un report.

Default: $R

Larghezza in pixel

Altezza della riga in pixel.

Opzioni

Escludi

Attivo: Escludi riga.
Inattivo: La riga viene mostrata.

Per mostrare di nuovo una riga nascosta: selezionate le due righe vicine e settate la proprietà Escludi su inattiva.

Attenzione: le funzioni che si trovano nelle celle nascoste, non verranno eseguite. Per eseguire una funzione che si trova in una cella non visualizzata: settate l´altezza riga oppure la larghezza colonna su 0.

Protezione

Attivo: la celle della riga vengono protette contro eventuali tentativi di modifica della formattazione.
Inattivo: è possibile formattare le celle di questa riga.


Imposta filtro archivio

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Imposta filtro archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si intende utilizzare valori di archivio nel report, bisogna definire questi valori prima dell’attivazione delle funzioni di report. Per impostare il filtro archivi:

  • scegliere nel menù Formato il comando Filtro.

Parametri | Descrizione
Parametri | Lista delle variabili selezionate da archivi I numeri posti prima delle variabili vengono usati nelle Funzioni di archivio e protocollo per ordinare le variabili stesse.
Nuovo | Apre il dialogo che serve alla selezione di variabili.
Modifica | Apre il dialogo che serve alla selezione di variabili.
Elimina | Cancella la variabile selezionata dalla lista Parametri.
Archivi | Definizione di un filtro variabili. Wildcards * e ? sono segni consentiti all´inizio alla fine di un´espressione.
Sostituito con | Inserimento dell´espressione che deve sostituire la stringa cercata.
Sostituisci | Esegue l´operazione "cerca e sostituisci". Il risultato viene visualizzato in un box di segnalazione.

Filtro "Nuovo" oppure "Modifica"

Quando si clicca su Nuovo oppure Modifica, si apre il dialogo che serve alla selezione delle variabili:

Parametri

Descrizione

Parametri

Visualizzazione degli archivi esistenti. È possibile selezionare interi archivi oppure singole variabili.

Ogni variabile ottiene automaticamente un numero di ordine crescente, che viene utilizzato nelle Funzioni Report.per archivi per richiamare le variabili. In tal modo è possibile usare lo stesso report anche per diversi progetti.

Salva

Mette a disposizione del report archivi/variabili selezionate.

Elimina

Lascia il dialogo senza riprendere la selezione.

Ogni variabile ottiene automaticamente un numero di ordine crescente, che viene utilizzato nelle Funzioni Report.per archivi per richiamare le variabili.


Funzioni di report

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Funzioni di report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l’organizzazione del report vengono messe a disposizione diverse funzioni che servono ad effettuare la formattazione ed i calcoli.

  • Funzioni di elaborazione:

    accesso definito a dati selezionati di zenon (valori online e di archivio, user, nome calcolatore ecc).

  • Funzioni di report
    • funzioni di formattazione
    • funzioni di calcolo

Sono a disposizione i seguenti gruppi di funzioni:

  • Funzioni banca dati
  • Data e funzioni di tempo
  • Funzioni logiche
  • Funzioni di archivio e protocollo
  • Funzioni statistiche
  • Funzioni matematiche e trigonometriche
  • Funzioni di testo
  • Funzioni del manager dei gruppi di ricette
  • Altre funzioni

Le funzioni di uso più frequente possono essere progettate ricorrendo all´Assistente alle funzioni.

Invio

Le funzioni vengono inserite con le righe di inserimento del report.

Se volete che più celle ricevano lo stesso inserimento/la stessa funzione:

  1. selezionate anzitutto la cella origine e quella di destinazione
  2. scegliete poi nel menù contestuale il comando Riempi e la direzione desiderata (a destra oppure giù)

    I riferimenti alle coordinate delle celle verranno poi adattate automaticamente.

Esempio di inserimenti

Parametri | Descrizione
=archiv(1,valore,giu) | Tutti i valori della variabile di archivio 1 vengono visualizzati a partire dalla cella procedendo verso il basso.
=sum(A4:D4) | I contenuti delle celle da A4 fino a D4 verranno sommati. La cella deve essere formattata come valore.
=now() | Restituisce la data attuale/il tempo attuale.

info Informazioni su

Le funzioni di report possono causare delle segnalazioni di errore nell´Editor se non sono stati inseriti correttamente tutti i dati necessari per il calcolo. Per controllare se la progettazione è corretta, testate il report nel Runtime.

Direzione

Opzioni

Descrizione

destra

Il valore verrà inserito a destra (riga).

Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi.

Attenzione: se si imposta una funzione archivesp con una sola colonna, il valore verrà inserito verso il basso (nella colonna).

In giù

Il valore verrà inserito in basso (colonna).

Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi.

Attenzione: se si imposta una funzione archivesp con una sola riga, il valore verrà inserito verso destra (nella riga).

info Info

Per usare il modulo Generatore di report sia nell´Editor che nel Runtime (standalone, Server / Standby, Client), è necessario acquistare una licenza.

Se il modulo non viene provvisto di una licenza nel runtime, non sono disponibili le seguenti funzioni:

  • Salva archivi (per inserimenti manuali)
  • e setta valore impostabile

È possibile l´accesso per la lettura.

Noch in diesem Kapitel

Convenzioni

Assistente alle funzioni

Funzioni di archivio e di protocollo

Funzioni banca dati

Data e funzioni di tempo

Funzioni logiche

Funzioni matematiche e trigonometriche

Funzioni del manager dei gruppi di ricette

Funzioni statistiche

Funzioni di testo

Altre funzioni

Chiavi di formattazione


Convenzioni

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Funzioni di report -> Convenzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Valgono le seguenti convenzioni:

Parametri | Descrizione
numero: | (num); quale tipo di separatore viene usato per le cifre decimali, dipende dalle impostazioni del sistema operativo (1,0 oppure 1.0).
Campo: | (A1:A10)
Stringa: | Le successioni caratteri vengono separate mediante virgolette ("), p.es. "ABC"..
Radianti: | Le funzioni angolo s´inseriscono in radianti.

Conversione gradi in radianti

gradi | misura arco | radiante:
0,00 | 0 | 0
45,00 | p/4 | 0,78539816339744828
90,00 | p/2 | 1,5707963267948966
135,00 | 3p/4 | 2,3561944901923448
180,00 | p | 3,1415926535897931
225,00 | 5p/4 | 3,9269908169872414
270,00 | 3p/2 | 4,7123889803846897
315,00 | 7p/4 | 5,497787143782138
360,00 | 2p | 6,2831853071795862


Assistente alle funzioni

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Funzioni di report -> Assistente alle funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´assistente alle funzioni aiuta nella progettazione di funzioni di report. Esso mette a disposizione dell´utente le funzioni di uso più frequente. Tutte le altre funzioni vengono inserite manualmente nella riga di inserimento.

Per aprire l´assistente alle funzioni:

  1. cliccate nella cella desiderata
  2. selezionate nel menù contestuale il comando Funzioni
  3. si apre l´assistente
  4. la selezione effettuata nell´assistente viene ripresa nella riga di inserimento;
    le eventuali parentesi aperte devono essere chiuse manualmente

Parametri | Descrizione
Sintassi | Risultato della selezione di funzione e parametro
Funzione | Selezione della funzione.
Parametri | Selezione dei parametri che sono a disposizione per la funzione scelta.


Funzioni di archivio e di protocollo

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Funzioni di report -> Funzioni di archivio e di protocollo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Basi:

Tutte le funzioni archivio si basano sulla fase archive (FILTERINDEX,PARAMETER,RICHTUNG).

Le estensioni vengono evidenziate nel nome funzione tramite lettere aggiuntive.

Abbreviazioni | Descrizione | Commento
r | read only | L´archivio può essere solamente letto. I valori modificati non possono essere salvati.
sp | Colonne | Offre una speciale formattazione per la definizione delle celle da utilizzare.
m | Matematica | Ha effetto solamente su Valore e Tempo.
ex | extended | Offre trattamenti speciali.
w | write | E' possibile scrivere.

Indice filtro

L´indice filtro crea l´ordine fra i numeri del filtro archivi usati nelle funzioni di report e le variabili degli archivi.

Example Esempio

=archive (5,"valore","giù")

FILTERINDEX = 5

Viene utilizzato per la funzione di report l´inserimento riportato nel filtro al numero 5.

Parametri

Opzioni | Possibile valore
valore | [1-n]
stato | [1-n]
tempo | [1-n]
quantità | [1]

Direzione

Opzioni | Descrizione
destra | Il valore verrà inserito a destra (riga). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si imposta una funzione archivesp con una sola colonna, il valore verrà inserito verso il basso (nella colonna).
In giù | Il valore verrà inserito in basso (colonna). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si imposta una funzione archivesp con una sola riga, il valore verrà inserito verso destra (nella riga).

Tutte le funzioni archivio possono essere create con l´Assistente funzioni.

Per emettere informazioni di stato vengono utilizzate le impostazioni del file project.ini nella sezione [STATUS], o quelle dall´attribuzione definita internamente. Se è stata modificata la descrizione di stato nel project.ini, viene emesso il nome cambiato. (Suggerimento: consente di conservare la compatibilità di progetto con vecchi nomi di stato).

In modalità online, l’intervallo di tempo della query può essere definito o nella chiamata alla funzione , oppure a Runtime all’apertura di un file di Report.

Modifica inserimenti archivi

I valori di archivio possono essere modificati a Runtime, a patto che sia consentito dalle autorizzazioni utente. Le modifiche vengono salvate o manualmente tramite l´elemento di controllo Salva, oppure automaticamente al momento del salvataggio del file report. Lo stato di un inserimento modificato viene settato automaticamente su Manual value.

info Informazioni su

Modifica di campi stinga nel Report: Se un testo consta solamente di numeri, quando lo si salva, gli spazi vuoti vengono eliminati di default. Se si desidera avere degli spazi vuoti, essi devono rappresentati mediante i caratteri ASCII 255 (Alt+255).

Noch in diesem Kapitel

Trattamento di inserimenti archivio

Progettazione con assistente alle funzioni

archive

archiveex

archiveexr

archivem

archivemr

archivemsp

archivemspr

archiver

archivesp

archivespr

archivespw

archivew

archivetime

batch

batchnr

wmz

wmzz


Trattamento di inserimenti archivio

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Funzioni di report -> Funzioni di archivio e di protocollo -> Trattamento di inserimenti archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Trattamento di inserimenti archivio

Gli inserimenti di archivio possono essere visualizzati in un report e modificati, ammesso che si sia in possesso delle autorizzazioni necessarie; dopo averli modificati, si può salvare gli inserimenti nell´archivio. Per aiutarvi nella creazione delle funzioni di report, è a Vostra disposizione un Assistente alle funzioni.

Lettura e scrittura di inserimenti di archivio

I seguenti contenuti di un inserimento archivio possono essere letti per la visualizzazione in un report.

  • Valore
  • Stato
  • Tempo

I seguenti inserimenti di archivio possono essere modificati nel report mediante calcoli o inserendoli di nuovo; i cambiamenti potranno poi essere salvati:

  • Valore
  • Stato

Gli inserimenti di archivio modificati vengono salvati a Runtime facendo uso del pulsante Salva archivio. Il salvataggio delle modifiche può essere impediato mediante:

  • attivazione dell´opzione Sola lettura nella funzione di zenon Cambio all´immagine report
  • attivazione dell´opzione Bloccato nel dialogo Formattazione cella

Se il valore di un inserimento di archivio viene modificato, al momento del salvataggio nell´archivio lo stato viene settato su MAN_VAL.

Eccezione: se si modifica anche lo stato dell´inserimento di archivio, verrà inserito solamente lo stato cambiato. In quei casi in cui è necessario soddisfare anche le norme FDA, in fase di progettazione bisogna stabilire che non è consentita alcuna modifica dello stato tramite report. Gli inserimenti di archivio con lo stato MAN_VAL appaiono colorati di blu al momento della lettura in un report .

Rappresentazione

Gli inserimenti archivio si possono rappresentare come successione valori di archivio o come successione valori di archivio formattata. Partendo dalla cella nella quale la funzione archivio è progettata, si visualizzavano gli inserimenti archivio dell’arco di tempo del protocollo aperto a destra oppure in giù. In assenza di inserimenti archivio, si emette nella cella, nella quale la funzione archivio è definita, un -.

Successione valori di archivio

Gli inserimenti archivio letti vengono visualizzati di seguito senza celle vuote.

Successione valori di archivio formattata

Gli inserimenti archivio sono visualizzati con un definito numero di

  • inserimenti archivio per riga
  • celle vuote tra 2 inserimenti
  • righe vuote tra le righe

.

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P3 = righe vuote fra i valori


Progettazione con assistente alle funzioni

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Funzioni di report -> Funzioni di archivio e di protocollo -> Progettazione con assistente alle funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Progettazione con assistente alle funzioni

Potete progettare le funzioni di report per gli archivi usando l´assistente alle funzioni:

  1. selezionate anzitutto nel menu contestuale della cella desiderata il comando Funzioni.
  2. Si apre l´assistente.
  3. Selezionate la funzione archivio desiderata.

  4. La funzione archivio viene inserita nella sintassi.
  5. Cliccando su archivi, si apre il Filtro archivio.

  6. Selezionate l´inserimento desiderato.

  7. Il numero di referenza dell´inserimento (per es. 4) viene ripreso nella stringa della sintassi.
  8. Selezionate il parametro desiderato, per es. valore).

  9. Il parametro viene ripreso nella stringa.
  10. Selezionate la direzione desiderata dell´inserimento nella tabella:
    • giù: la funzione riempe la colonna
    • a destra: la funzione riempe la riga
      Attenzione: se usate la funzione archivesp, dovete prevedere un numero adeguato di colonne/righe! Se si sceglie, per es., " a destra", ma c`è solo una colonna disponibile, i valori verranno inseriti dall´alto in basso (in quest´unica colonna esistente).

  11. La direzione viene ripresa nella stringa.
  12. Viene chiusa la parentesi.

  13. Cliccando su OK, la funzione viene ripresa nella cella.


archive

archive

Con questa funzione possono essere letti il valore, lo stato e il tempo di un inserimento archivio. Le modifiche vengono salvate o manualmente tramite l´elemento di controllo Salva, oppure automaticamente al momento del salvataggio del file report. Lo stato di un inserimento modificato viene settato automaticamente su Manual value.

Sintassi: =archive(INDICE FILTRO,PARAMETRO,DIREZIONE)

Parametro di trasferimento | Ambito | Commento
INDICE FILTRO |  | Inserimento corrispondente del Filtro archivio.
PARAMETRO | "valore", "stato", o "tempo" o “numero” | Viene letto e visualizzato il parametro desiderato dall'archivio.
DIREZIONE | giù, destra | Definisce la direzione in cui si procede per riempire le celle, a partire dalla cella in cui è stata creata la funzione.

Example Esempio

In un report, tutti i valori di archivio della variabile d’archivio 1 devono essere visualizzati verso il basso.

=archive(1,"valore","giù")


archiveex

archiveex

Sintassi: =archiveex(INDICE_FILTRO,PARAMETRO,DIREZIONE,STATO,TESTO_DI_SOSTITUZIONE,NN_TESTO,NN_VALORE DI SOSTITUZIONE,ZYKLUSVERSATZ)

Parametro di trasferimento

Ambito

Commento

INDICE FILTRO

[1-n]

Inserimento corrispondente del Filtro archivio.

PARAMETRO

"valore", "stato", o "tempo" o “numero”

Viene letto il parametro desiderato dall'archivio e visualizzato.

DIREZIONE

giù, destra

Riempimento nella rispettiva direzione.

STATUS

SPONT, MAN_VAL, INVALID

Stato dei valori da visualizzare

TESTO DI SOSTITUZIONE

Testo da visualizzare se lo stato della variabile di archivio non corrisponde a STATO.

NN_TESTO

Testo per il limite di non rilevabilità; non è case-sensitive.

NN_VALORE DI SOSTITUZIONE

Riferimento cella o valore fisso Se viene inserito nella cella TESTO DI SOSTITUZIONE e la tabella viene di seguito salvata, sarà inserito nell´archivio NN_VALORE DI SOSTITUZIONE.

ZYKLUSVERSATZ

Se ne tiene conto solamente nel caso di Filter Type:

  • Tempo-giorno
  • Tempo-mese
  • Tempo-anno
  • Tempo-settimana
  • Tempo-2 settimane
  • Tempo-15 min
  • Tempo-30 min.
  • Tempo-60 min

Example Esempio

=archiveex(1,"tempo","giù",SPONT,MAN_VAL,-,NN,G2,-2)


archiveexr

archiveexr

Sintassi: =archiveexr(INDICE_FILTRO,PARAMETRO,DIREZIONE,STATO,TESTO_DI_SOSTITUZIONE,NN_TESTO,NN_VALORE DI SOSTITUZIONE,ZYKLUSVERSATZ)

Parametro di trasferimento

Ambito

Commento

INDICE FILTRO

[1-n]

Inserimento corrispondente del Filtro archivio.

PARAMETRO

"valore", "stato", o "tempo" o “numero”

Viene letto il parametro desiderato dall'archivio e visualizzato.

DIREZIONE

giù, destra

Riempimento nella rispettiva direzione.

STATUS

SPONT,MAN_VAL, INVALID

Stato dei valori da visualizzare

TESTO DI SOSTITUZIONE

Testo da visualizzare se lo stato della variabile di archivio non corrisponde a STATO.

NN_TESTO

Testo per il limite di non rilevabilità; non è case-sensitive.

NN_VALORE DI SOSTITUZIONE

Riferimento cella o valore fisso Se viene inserito nella cella TESTO DI SOSTITUZIONE e la tabella viene di seguito salvata, sarà inserito nell´archivio NN_VALORE DI SOSTITUZIONE.

ZYKLUSVERSATZ

Se ne tiene conto solamente nel caso di Filter Type:

  • Tempo-giorno
  • Tempo-mese
  • Tempo-anno
  • Tempo-settimana
  • Tempo-2 settimane
  • Tempo-15 min
  • Tempo-30 min.
  • Tempo-60 min


archivem

archivem

Questa funzione consente la modifica automatica di valori o tempi di un inserimento di archivio mediante l´addizione di una costante al valore. Le modifiche vengono salvate o manualmente tramite l´elemento di controllo Salva, oppure automaticamente al momento del salvataggio del file report. Lo stato di un inserimento modificato viene settato automaticamente su Manual value.

Sintassi: =archivem(INDICE_FILTRO,PARAMETRO,DIREZIONE,MATH)

Parametro di trasferimento

Ambito

Commento

INDICE FILTRO

[1-n]

Inserimento corrispondente del Filtro archivio.

PARAMETRO

"valore", "stato", o "tempo" o “numero”

Viene letto il parametro desiderato dall'archivio e visualizzato.

DIREZIONE

giù, destra

Riempimento nella rispettiva direzione.

MATH

  • costante: con segno
  • Cifre decimali: Separatore punto (.)
  • Correzione di un tempo: valore indicato in minuti

Il valore viene letto e visualizzato nel protocollo con le rispettive modifiche. I valori corretti possono essere salvati con salva archivio.

attention Attenzione

Ogni volta che si esegue "Salva archivio", vengono corretti i valori della costante impostata.


archivemr

archivemr

Questa funzione consente la modifica automatica di valori o tempi di un inserimento di archivio mediante l´addizione di una costante al valore.

Sintassi: =archivemr(INDICE FILTRO,PARAMETRO,DIREZIONE)

Parametro di trasferimento

Ambito

Commento

INDICE FILTRO

[1-n]

Inserimento corrispondente del Filtro archivio.

PARAMETRO

"valore", "stato", o "tempo" o “numero”

Viene letto il parametro desiderato dall'archivio e visualizzato.

DIREZIONE

giù, destra

Riempimento nella rispettiva direzione.

MATH

  • Costante: con segno
  • Cifre decimali: Separatore punto (.)
  • Correzione di un tempo: valore indicato in minuti

attention Attenzione

I valori modificati non possono essere salvati nell´archivio!

Il valore viene letto e visualizzato nel protocollo con le rispettive modifiche. I possibili parametri sono solamente tempo e valore.=archivemr (4,valore,destra,6.5)

Tutti i valori archivio letti vengono aumentati di 6,50 per la loro rappresentazione nel report. .

=archivemr(4,tempo,destra,-1)

I tempi degli inserimenti di archivio vengono portati di 1 minuto indietro per la loro rappresentazione nel report.

Possibilità d´uso: per esempio per valori mensili che sono a disposizione solamente dopo la fine del mese (data/ora per es. 00:01:00).


archivemsp

archivemsp

Questa funzione consente la modifica automatica di valori o tempi di un inserimento di archivio mediante l´addizione di una costante al valore; essa permette anche di fissare le celle per gli inserimenti. Il valore viene letto e visualizzato nel protocollo con le rispettive modifiche. Le modifiche vengono salvate o manualmente tramite l´elemento di controllo Salva, oppure automaticamente al momento del salvataggio del file report. Lo stato di un inserimento modificato viene settato automaticamente su Manual value.

Sintassi: =archivemsp(INDICE_FILTRO,PARAMETRO,DIREZIONE)

Parametro di trasferimento

Ambito

Commento

INDICE FILTRO

[1-n]

Inserimento corrispondente del Filtro archivio.

PARAMETRO

"valore", "stato", o "tempo" o “numero”

Viene letto il parametro desiderato dall'archivio e visualizzato.

DIREZIONE

giù, destra

Riempimento nella rispettiva direzione.

P1

Numero dei valori di archivio da emettere nella prima riga.

P2

Numero delle celle vuote tra due valori.

P3

Numero delle celle vuote tra due successioni valori.

MATH

  • Costante: con segno, costante: con segno
  • Cifre decimali: Separatore punto (.)
  • Correzione di un tempo: valore indicato in minuti

attention Attenzione

Ogni volta che si esegue Salva archivio, vengono corretti i valori della costante impostata!

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P3 = righe vuote fra i valori

Example Esempio

=archivemsp(4,"tempo","destra",16,1,0,-0.5)

Tutti gli inserimenti tempo con il numero di filtro 4 vengono portati indietro di 30 secondi; sono previsti 16 inserimenti con una colonna vuota e nessuna riga vuota.


archivemspr

archivemspr

Questa funzione consente la modifica automatica di valori o tempi di un inserimento di archivio per la rappresentazione nel report mediante l´addizione di una costante al valore. Il valore viene letto e visualizzato nel protocollo con le rispettive modifiche. I parametri impostabili sono solo Tempo e Valore.

attention Attenzione

I valori modificati non possono essere salvati nell´archivio!

Sintassi: =archivemspr(INDICE_FILTRO,PARAMETRO,DIREZIONE)

Parametro di trasferimento

Ambito

Commento

INDICE FILTRO

[1-n]

Inserimento corrispondente del Filtro archivio.

PARAMETRO

"valore", "stato", o "tempo" o “numero”

Viene letto il parametro desiderato dall'archivio e visualizzato.

DIREZIONE

giù, destra

Riempimento nella rispettiva direzione.

P1

Numero dei valori di archivio da emettere nella prima riga.

P2

Numero delle celle vuote tra due valori.

P3

Numero delle celle vuote tra due successioni valori.

MATH

  • Costante: con segno, costante: con segno
  • Cifre decimali: Separatore punto (.)
  • Correzione di un tempo: valore indicato in minuti

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P3 = righe vuote fra i valori

Example Esempio

=archivemsp(4,"tempo","destra",16,1,0,-0.5)

Tutti gli inserimenti tempo con il numero di filtro 4 vengono portati indietro di 30 secondi; sono previsti 16 inserimenti con 1 colonna vuota e 0 righe vuote.


archiver

archiver

Questa funzione consente di leggere valore, stato e tempo di un inserimento di archivio. Non sono possibili delle modifiche.

Sintassi: =archiver(INDICE_FILTRO,PARAMETRO,DIREZIONE)

Parametro di trasferimento | Ambito | Commento
INDICE FILTRO | [1-n] | Inserimento corrispondente del Filtro archivio.
PARAMETRO | "valore", "stato", o "tempo" o “numero” | Viene letto il parametro desiderato dall'archivio e visualizzato.
DIREZIONE | giù, destra | Riempimento nella rispettiva direzione.

A differenza della funzione archive, in questo caso non è possibile effettuare degli inserimenti manuali nel Runtime.

Campo di applicazione: per esempio quando un inserimento deve essere visualizzato più volte in un report, ma deve essere editabile solo in una posizione. Tutti gli inserimenti dell’arco di tempo del report vengono visualizzati a partire dalla cella, nella quale è definita la funzione, in basso oppure a destra nel protocollo.


archivesp

archivesp

Con questa funzione possono essere letti il valore, lo stato e il tempo di un inserimento archivio. Le modifiche vengono salvate o manualmente tramite l´elemento di controllo Salva, oppure automaticamente al momento del salvataggio del file report. Lo stato di un inserimento modificato viene settato automaticamente su Manual value.

Sintassi: =archivesp(INDICE_FILTRO,PARAMETRO,DIREZIONE,P1,P2,P3)

Parametro di trasferimento | Ambito | Commento
INDICE FILTRO | [1-n] | Inserimento corrispondente del Filtro archivio.
PARAMETRO | "valore", "stato", o "tempo" o “numero” | Viene letto il parametro desiderato dall'archivio e visualizzato.
DIREZIONE | giù, destra | Riempimento nella rispettiva direzione
P1 |  | numero dei valori di archivio da emettere nella prima riga
P2 |  | numero delle celle vuote tra due valori
P3 |  | numero delle celle vuote tra due successioni valori

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P3 = righe vuote fra i valori

Per emettere informazioni di stato vengono utilizzate le impostazioni del file project.ini nella sezione [STATUS], o quelle dall´attribuzione definita internamente. Se è stata modificata la descrizione di stato nel project.ini, viene emesso il nome cambiato. (Suggerimento: consente di conservare la compatibilità di progetto con vecchi nomi di stato).


archivespr

archivespr

Con questa funzione si possono leggere solamente il valore, lo stato e il tempo dell’inserimento archivio.

Sintassi: =archivespr(INDICE_FILTRO,PARAMETRO,DIREZIONE,P1,P2,P3)

Parametro di trasferimento | Ambito | Commento
INDICE FILTRO |  | Inserimento corrispondente del Filtro archivio.
PARAMETRO | "valore", "stato", o "tempo" o “numero” | Viene letto il parametro desiderato dall'archivio e visualizzato.
DIREZIONE | giù, destra | Riempimento nella rispettiva direzione
P1 |  | numero dei valori di archivio da emettere nella prima riga
P2 |  | numero delle celle vuote tra due valori
P3 |  | numero delle celle vuote tra due successioni valori

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P3 = righe vuote fra i valori

A differenza della funzione archivesp, in questo caso non possono essere inseriti valori manualmente nelle celle. Queste funzioni vengono utilitzzate quando un inserimento deve essere visualizzato più volte in un report, ma emesso solo in una posizione. Tutti gli inserimenti dell’arco di tempo del report vengono visualizzati a partire dalla cella, nella quale è definita la funzione, in basso oppure a destra nel protocollo.

Example Esempio

=archivespr(1,"valore","giù",12,1,3)

Tutti i valori dell´inserimento archivio con il numero di filtro 1 vengono scritti verso il basso; sono previsti 12 inserimenti con 1 spazio vuoto 3 colonne vuote.


archivespw

archivespw

Questa funzione sopprime la visualizzazione in Repor degli inserimenti archivio letti e consente la definizione delle celle da utilizzare. Durante il salvataggio, gli inserimenti di archivio vengono sovrascritti con valori e stati (per esempio calcolati) presenti in altre posizioni.

Sintassi: =archivespw(INDICE_FILTRO,PARAMETRO,DIREZIONE,P1,P2,P3,SZ_VALORE,SZ_STATO)

Parametro di trasferimento | Ambito | Commento
INDICE FILTRO | [1-n] | Inserimento corrispondente del Filtro archivio.
PARAMETRO | "valore", "stato", o "tempo" o “numero” | Viene letto il parametro desiderato dall'archivio e visualizzato.
DIREZIONE | giù, destra | Riempimento nella rispettiva direzione.
P1 |  | Numero dei valori di archivio da emettere nella prima riga.
P2 |  | Numero delle celle vuote tra due valori.
P3 |  | Numero delle celle vuote tra due successioni valori.
SZ_WERT | Cella start valori | Cella iniziale a partire dalla quale si trovano i valori calcolati.
SZ_STATUS | Cella di partenza Stato | Indicazione di testo di stati di un testo fisso MAN_VAL), oppure indicazione della cella inizia, da cui i testi di stati devono essere ripresi.

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P3 = righe vuote fra i valori

Testi di stato

La progettazione viene eseguita non attraverso una guida introduttiva ma direttamente nella cella. A questo proposito vale quanto segue:

  • Per formulare i testi di stato bisogna usare i testi brevi definiti che si trovano nel file project.ini, oppure quelli della progettazione di default interna al sistema. Ciò vale indipendentemente dal fatto se gli stati sono indicati in modo fisso, oppure vengono letti da un´altra cella.
  • Diversi stati sono divisi mediante un punto e virgola (;).
  • I valori calcolati vengono aggiornati indipendente dal fatto che i valori nuovamente calcolati si siano modificati rispetto ai valori letti.
  • Lo stato commuta su “Valore manuale” (MAN_VAL).


archivew

archivew

Questa funzione sopprime la visualizzazione degli inserimenti archivio nel report. Durante il salvataggio, gli inserimenti di archivio vengono sovrascritti con valori e stati (per esempio calcolati) presenti in altre posizioni. Questa funzione può essere usata per comprimere, per esempio, dei valori mensili in valori annuali.

Sintassi: =archivew(INDICE_FILTRO,PARAMETRO,DIREZIONE,P1,P2,P3,SZ_VALORE,SZ_STATO)

Parametro di trasferimento | Ambito | Commento
INDICE FILTRO | [1-n] | Inserimento corrispondente del Filtro archivio.
PARAMETRO | "valore", "stato", o "tempo" o “numero” | Viene letto il parametro desiderato dall'archivio e visualizzato.
DIREZIONE | giù, destra | Riempimento nella rispettiva direzione.
SZ_WERT | Cella start valori | Cella iniziale a partire dalla quale si trovano i valori calcolati.
SZ_STATUS | Cella di partenza Stato | Indicazione di testo di stati di un testo fisso MAN_VAL), oppure indicazione della cella inizia, da cui i testi di stati devono essere ripresi.

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P3 = righe vuote fra i valori

Testi di stato

La progettazione viene eseguita non attraverso una guida introduttiva ma direttamente nella cella. A questo proposito vale quanto segue:

  • Per formulare i testi di stato bisogna usare i testi brevi definiti che si trovano nel file project.ini, oppure quelli della progettazione di default interna al sistema. Ciò vale indipendentemente dal fatto se gli stati sono indicati in modo fisso, oppure vengono letti da un´altra cella.
  • Diversi stati sono divisi mediante un punto e virgola (;).
  • I valori calcolati vengono aggiornati indipendente dal fatto che i valori nuovamente calcolati si siano modificati rispetto ai valori letti.
  • Lo stato commuta su “Valore manuale” (MAN_VAL).

Example Esempio

Compressione di valori mensili in valori annuali:

in un protocollo mensile con valori giornalieri si calcola in quanti giorni si è superato il limite di un valore x. La somma delle violazioni del limite è visualizzata in una cella del report.

  • In un archivio è definito un valore che presenta un inserimento al mese.
  • Questo inserimento viene letto nel report tramite archivew.
  • =archivew(4,"valore","giù",B12,C12)
    • 4: Variabile da filtro archivio
    • valore: parametro della variabile che deve essere visualizzata
    • giù: direzione nella quale deve avvenire la lettura dei valori
    • B12: cella di partenza, corrisponde alla cella calcolata
    • C12: definisce il valore di stato da emettere
  • Al salvataggio del valore di archivio, la somma viene scritta sul valore di archivio.


archivetime

archivetime

La funzione archivetime fornisce, in dipendenza dal filtro del tempo impostato, l’informazione di tempo per l'avvio e la fine dell’interrogazione archivio nello stato online.

Sintassi: =archivetime(INDICE FILTRO,PARAMETRO)

Parametro di trasferimento | Ambito | Commento
INDICE FILTRO | [1-n] | Inserimento corrispondente del Filtro archivio.
PARAMETRO | absolutzeitvon, absolutzeitbis | Tempo d´inizio e tempo della fine dell´interrogazione archivio


batch

batch

Questa funzione emette il primo nome Lotto per l´archivio selezionato nell´area filtro del report.

Sintassi: =batch(FILTERINDEX)

Parametro di trasferimento | Ambito | Commento
INDICE FILTRO | [1-n] | Inserimento corrispondente del Filtro archivio.

Example Esempio

=batch(1)

Primo nome lotto per l´archivio della variabile che occupa il primo posto nel filtro archivio.


batchnr

batchnr

Questa funzione emette diverse informazioni concernenti i lotti. L´emissione avviene in una lista che viene analizzata dall´alto in basso, oppure da sinistra a destra. Vengono mostrati:

  • nomi dei lotti
  • Ora partenza
  • ora fine

Sintassi: =batchnr(INDICE_FILTRO,PARAMETRO,DIREZIONE)

Parametro di trasferimento | Ambito | Commento
INDICE FILTRO | [1-n] | Inserimento corrispondente del Filtro archivio.
PARAMETRO | namen, vonzeit, biszeit | Viene letto il parametro desiderato dall'archivio e visualizzato.
DIREZIONE | giù, sinistra | Riempimento nella rispettiva direzione.


wmz

wmz

La funzione =wmz restituisce il risultato dell´archivio del contatore calore. Sovraffollamento contatore non viene tenuto in considerazione automaticamente.

Sintassi: =wmz(INDICE FILTRO, ARCHIVIATO, SOVRAFFOLLAMENTO, VALORE INIZIALE, VALORE FINALE,INFO CONTATORE,ERRORCOUNTER)

Parametro di trasferimento

Ambito

Commento

INDICE FILTRO

[1-n]

Inserimento corrispondente del Filtro archivio.

ATTIVO

0 = disattivato
>0 = attivato

Con 0 la funzione non viene eseguita.

SOVRAFFOLLAMENTO

valore o riferimento cella

Con un sovraffollamento di 1000, il sistema rivela un errore in corrispondenza di una valore archivio a partire da 1000 e più alto.

VALORE INIZIALE

Riferimento cella

Primo valore valido dell´archivio.

VALORE TERMINALE

Riferimento cella

Ultimo valore valido dell´archivio.

INFO CONTATORE

Riferimento cella

Inizio del cambio contatore. Direzione a destra dal riferimento cella.

Consiste di quattro inserimenti cella:

  • Data e tempo del primo valore dopo il cambio contatore.
  • Valore primo del cambio contatore.
  • Valore dopo il cambio contatore.
  • Cella vuota.

ERRORCOUNTER

Riferimento cella

Emette il numero degli errori rilevati in una cella.

Cause errori:

  • valori >= come definito in SOVRAFFOLLAMENTO.
  • valori <= 0
  • Nel caso di due valori archivio successivi, il primo valore è maggiore a quello successivo.

La somma di tutti i valori validi viene scritta nella cella della funzione.


wmzz

wmzz

La funzione wmzz(Indice filtro, direzione,P1,P2,P3,attivato, Sovraffollamento) restituisce il risultato dell´archivio del contatore calore a coppie, vale a dire viene restituita la differenza di due valori archivio successivi.

Il valore 0 viene restituito quando:

  • il primo valore è >= il valore successivo.
  • uno dei due valori è >= SOVRAFFOLLAMENTO.
  • uno dei due valori è = 0.

Sintassi: =wmzz(Indice filtro, direzione,P1,P2,P3,attivato, Sovraffollamento)

Parametro di trasferimento | Ambito | Commento
INDICE FILTRO | [1-n] | Inserimento corrispondente del Filtro archivio.
DIREZIONE | giù, destra | Riempimento nella rispettiva direzione.
P1 |  | numero dei valori di archivio da emettere nella prima riga
P2 |  | numero delle celle vuote tra due valori
P3 |  | numero delle celle vuote tra due successioni valori
ATTIVO | 0 = disattivato 1 = attivato | Con 0 la funzione non viene eseguita.
SOVRAFFOLLAMENTO | valore o riferimento cella | Con un sovraffollamento di 1000, il sistema rivela un errore in corrispondenza di una valore archivio a partire da 1000 e più alto.

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P3 = righe vuote fra i valori


Funzioni banca dati

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Funzioni di report -> Funzioni banca dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione permette di leggere banche dati di Access o SQL.

Sintassi: =sqldao(BANCA DATI,SQL-INTERROGAZIONE,PARA1,PARA2)

attention Attenzione

SQLDAO non funziona con:

  • ntext
  • sql_variant
  • nvarchar(MAX)
  • nchar(MAX)

Parametro di trasferimento | Commento
DATENBANK | Nome del *.mdb Datenbank o del provider OLEDB.
Interrogazione SQL | Qui possono essere usate le istruzioni standard 'SELECT', 'INSERT', 'UPDATE', 'DELETE' e 'EXECUTE' Con %d %d possono essere attribuiti 2 parametri integer oppure con %s %s 2 parametri string.
PARA1 | parametro per l´interrogazione SQL
PARA2 | parametro per l´interrogazione SQL

Progettazione con assistente alle funzioni

Avete accesso alle banche dati MS Access e a quello con provider OLEDB. A tal scopo usate la seguente sintassi:

Database

Sintassi

Banca dati MS Access

=sqldao(Banca dati,SQL-interrogazione,PARA1,PARA2)

2. Banche dati con provider OLEDB

Sostituite il riferimento alla banca dati con una stringa di inizializzazione OLEDB. Potete

  • inserire questa stringa manualmente oppure
  • crearla cliccando sul pulsante Provider OLEDB.

Banca dati con provider OLEDB

Quando si clicca sul pulsanteProvider OLEDB si apre il dialogo Proprietà di Data Link:

Qui definite la connessione con la banca dati desiderata:

  • Tipo del provider OLEDB.
  • Origine dati
  • Informazioni di autenticazione
  • ecc.

Se si conferma il dialogo cliccando su OK, viene generata la stringa di inizializzazione, che viene inserita nel campo Sintassi .

Sintassi: =sqldao(Provider,SQL-interrogazione,Para1,Para2)

attention Attenzione

La stringa di inizializzazione deve cominciare sempre con il segno Provider=. Fate attenzione alla scrittura in lettere maiuscole e minuscole, dato che la stringa è case sensitive!

Impostazioni per MS Access e OLEDB

Parametro di trasferimento

Descrizione

Database

Nome del database *.mdb :
Luogo di salvataggio: cartella di progetto che è sovraordinata alla cartella Runtime.
Per es.:
Percorso Runtime: sottocartella di C:\Users\Public\Documents\zenon_Projects\Multi\TEST_PROJEKT

Percorso *.mdb: direttamente nella cartella C:\Users\Public\Documents\zenon_Projects\Multi\TEST_PROJEKT

La cartella di progetto viene definita nelle proprietà di progetto.

Provider

Provider OLEDB; la stringa di inizializzazione deve sempre iniziare con il segno Provider= (case sensitive).

Interrogazione SQL

Qui possono essere usate interrogazioni di banca dati standard "Select".

Con %d %d possono essere attribuiti 2 parametri integer oppure con %s %s 2 parametri stringa.

Para1, Para2

Parametro per l´interrogazione SQL.

Noch in diesem Kapitel

Esempio Access

Esempio SQL


Esempio Access

Esempio Access

Esempi per MS Access

Esempio di banca dati: Adress.mdb

Nome | Nome di battesimo | Strada | Residenza | Telefono | CanAdresse
Müllner | Egon | Am Rheinberg 22 | 5020 Salzburg | 0662/329354 | 1
Roider | Jürgen | Mozartgasse 7 | 5020 Salzburg | 0662/329354 | 2
Leitner | Hans | Strubergasse 6 | 5020 Salzburg | 0662/329354 | 3
Müller | Peter | Blumengasse 6 | 80003 München | 089/234243 | 5
Weinberger | ww | Hafnergasse 5 | 7020 Klagenfurt | 0222/2222 | 6

Esempio 1

Devono essere emessi tutti gli inserimenti dalla tabella Indirizzi con nome campo Nome.

Funzione: =sqldao("Adress.mdb","SELECT Adressen.name FROM Adressen ;",1,1)

Adress.mdb | Banca dati access (deve trovarsi nel percorso di banca dati del progetto)
SELECT | Comanda al modulo di banca dati jet di Microsoft di ritrasmettere le informazioni dalla banca dati come gruppo di blocchi dati.
Adressen.name | Tabella.nome di campo
FROM | Indica le tabelle o interrogazioni, nei quali sono contenuti i campi elencati nel comando SELECT.
Indirizzi | Tabella

Risultato:

Müllner

Roider

Leitner

Müller

Weinberger

Esempio 2

  • Limite inferiore Contenuto di cella E1
  • Limite superiore: Contenuto di cella E2
  • Nome del campo per l´analisi: CanAdresse
  • Devono essere emessi tutti gli inserimenti dalla tabella Indirizzi con nome campo Nome e Nome di battesimo.
  • La condizionemCanAdresse deve essere maggiore del contenuto della cella E1 e minore del contenuto della cella E2.

Funzione: =sqldao(Adress.mdb,SELECT Adressen.name,Adressen.Vorname FROM Adressen WHERE (((Adressen.CanAdresse)>%d) AND ((Adressen.CanAdresse)<%d)) ;,E1,E2)

Adress.mdb | Banca dati access (deve trovarsi nel percorso di banca dati del progetto)
SELECT | Comanda al modulo di banca dati jet di Microsoft di ritrasmettere le informazioni dalla banca dati come gruppo di blocchi dati.
Indirizzi.nome | Tabella.nome di campo
, | separatore SQL
Indirizzi.nome | Tabella.nome di campo
FROM | Indica le tabelle o interrogazioni, nei quali sono contenuti i campi elencati nel comando SELECT.
Indirizzi | Tabella
WHERE | Indica quali blocchi dati delle tabelle elencate nella sezione FROM sono interessati da un comando SELECT-, UPDATE- o DELETE.
(((Adressen.CanAdresse)>%d) | Condizione: Tabella.nome di campo
AND | Collegamento
(((Adressen.CanAdresse)<%d) | Condizione: Tabella.nome di campo
; | SQL Statement Conclusione
E1, E2: | Riferimenti cella (integer)

Risultato per E1 = 1, E2 = 6

Roider | Jürgen | 2
Leitner | Hans | 3
Müller | Peter | 5

info Informazioni su

Per ulteriori informazioni al riguardo di commenti SQL vedi help online di access.


Esempio SQL

Esempio SQL

Esempio di banca dati con provider OLEDB

=sqldao("Provider=SQLNCLI.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=<databasename>;Data Source=<database instance>;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=<PCNAME>;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT <tablename>.<columnname> FROM <tablename>;",0,0)

Parametro di trasferimento | Commento
DATENBANK | "Provider=SQLNCLI.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=<databasename>;Data Source=<database instance>;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=<PCNAME>;Use Encryption for Data=False;Tag with column collation when possible=False"
Interrogazione SQL | "SELECT <tablename>.<columnname> FROM <tablename>;"
PARA1 | 0
PARA2 | 0

Valori per esempio

Database: "AdventureWorks"

Installazione: AdventureWorksDB.msi

Sorgente: http://msftdbprodsamples.codeplex.com/releases/view/4004

Nome del PC: "PC1"

Autenticazione: "Windows NT"

Istanza SQL Server: "SQLEXPRESS"

SELECT

SELECT

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT TOP 100 [AddressID],[AddressLine1],[AddressLine2],[City],[StateProvinceID],[PostalCode] FROM [AdventureWorks].[Person].[Address] ORDER BY AddressID;",0,0)

SELECT con parametro stringa (cella H2)

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT TOP 100 [AddressID],[AddressLine1],[AddressLine2],[City],[StateProvinceID],[PostalCode] FROM [AdventureWorks].[Person].[Address] WHERE (City = N'%s') ORDER BY AddressID;",H2,0)

SELECT con parametro numerico (cella H2)

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT TOP 100 [AddressID],[AddressLine1],[AddressLine2],[City],[StateProvinceID],[PostalCode] FROM [AdventureWorks].[Person].[Address] WHERE (StateProvinceID = %d) ORDER BY AddressID;",H2,0)

INSERT

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","INSERT INTO [AdventureWorks].[Sales].[Currency] (CurrencyCode,Name,ModifiedDate) VALUES ('AAA','NewValue','');",0,0)

UPDATE

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","UPDATE Sales.Currency SET Name = 'ModifiedValue' WHERE CurrencyCode = 'AAA';",0,0)

DELETE

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","DELETE Sales.Currency WHERE CurrencyCode = 'AAA';",0,0)

EXECUTE

EXECUTE con parametro numerico (cella J2)

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","EXECUTE dbo.uspGetBillOfMaterials %d, '2001-05-08 12:35:29.123';",J2,0)


Data e funzioni di tempo

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Funzioni di report -> Data e funzioni di tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione fornisce i valori data e tempo.

Trovate la chiave di formattazione nel capitolo Tipo di dato per data e ora.

Noch in diesem Kapitel

date

datevalue

day

hour

minute

month

=now

second

time

today

weekday

year


date

date

La funzione date (iYear, iMonth, iDay) restituisce la data a partire dai valori numerici per anno (iYear), mese (iMonth) e giorno (iDay).

Sintassi: =date(iYear,iMonth,iDay)

Parametro di trasferimento | Ambito | Commento
iYear | [0100-2200] |
iMonth | [1-12] | Valori che si trovano al di fuori dello spettro di quelli validi, vengono modificati portandoli al suo limite superiore o inferiore.
iDay | [1-(28,29,30,31)] | Valori che si trovano al di fuori dello spettro di quelli validi, vengono modificati portandoli al suo limite superiore o inferiore.

Formato risultante: date

Formattazione standard: dddd dd/mm/yyyy

Example Esempio

=date(2010,5,12) dà 12.05.2010

Cella A1=2010, Cella A2=5, Cella A3=12, Cella A4=date(A1,A2,A3) dà 12.05.2010


datevalue

datevalue

La funzione datevalue date_text fornisce la data dal testo data (date_text).

Sintassi: =datevalue(date_text)


day

day

La funzione day(date) determina il giorno dal valore data.

Sintassi: =day(date)

Formato di risultato: Integer

Example Esempio

=now()con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Cella A2=day(A1) dà 5


hour

hour

La funzione hour(time) determina l’ora dal valore di tempo..

Sintassi: =hour(time)

Formato di risultato: Integer

Example Esempio

=now()con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Cella A2=hour(A1) dà 12


minute

minute

La funzione minute(time) restituisce i minuti di un valore di tempo.

Sintassi: =minute(time)

Formato di risultato: Integer

Example Esempio

=now()con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Cella A2=minute(A1) restituisce 46


month

month

La funzione month(date) determina il mese dal valore data.

Sintassi: =month(date)

Formato di risultato: Integer

Example Esempio

=now()con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Cella A2=month(A1) dà 6


=now

=now

La funzione now() fornisce la data e il tempo attuale.

La cella viene automaticamente dotata con il string di formato "dd/mm/yyyy".

Sintassi: =now()

Example Esempio

=now()dà 05.06.2001
=now()dà con stringa formato "hh:mm:ss dd/mm/yy" 12:46:24 05.06.10


second

second

La funzione second(time) restituisce i secondi di un valore di ora.

Sintassi: =second(time)

Formato di risultato: Integer

Example Esempio

=now() con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Cella A2=second(A1) dà 24


time

time

La funzione time(iHour, iMinute, iSecond) restituisce il tempo a partire dai valori numerici per l´ora (iHour), minuto (iMinute) e secondo (iSecond).

La cella viene automaticamente dotata con il string di formato "hh:mm:ss"

Sintassi: =time(iHour,iMinute,iSecond)

Parametro di trasferimento | Ambito | Commento
iHour | [0-23] | Valori che si trovano al di fuori dello spettro di quelli validi, vengono modificati portandoli al suo limite superiore o inferiore.
iMinute | [0-59] | Valori che si trovano al di fuori dello spettro di quelli validi, vengono modificati portandoli al suo limite superiore o inferiore.
iSecond | [0-59] | Valori che si trovano al di fuori dello spettro di quelli validi, vengono modificati portandoli al suo limite superiore o inferiore.

Formato di risultato: time

Example Esempio

=time(12,24,48) dà 12:24:48

Cella A1=12, Cella A2=24, Cella A3=48 , Cella A4=time(A1,A2,A3) dà 12:24:48


today

today

La funzione today() restituisce la data attuale.

La cella viene automaticamente dotata con il string di formato "dd/mm/yyyy".

Sintassi: =today()

Example Esempio

=now()dà 05.06.2001
=today()dà con stringa formato "hh:mm:ss dd/mm/yy" 00:00:00 05.06.10


weekday

weekday

La funzione weekday(date) restituisce il giorno dal valore di data..

Sintassi: =weekday(date)

valore d´emissione | Giorni settimanali
1 | Domenica
2 | Lunedì
3 | Martedì
4 | Mercoledì
5 | Giovedì
6 | Venerdì
7 | Sabato

Formato di risultato: Integer

Example Esempio

=now()con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Cella A2=weekday(A1) dà 3


year

year

La funzione year(date) determina l’anno dal valore di data.

Sintassi: =year(date)

Formato di risultato: Integer

Example Esempio

=now()con formato stringa hh:mm:ss dd/mm/yy restituisce 12:46:24 05.06.10
Cella A2=year(A1) restituisce 2010


Funzioni logiche

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Funzioni di report -> Funzioni logiche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa sezione riassume tutte le funzioni logiche del Report Generator.

Noch in diesem Kapitel

and

exact

false

if

isblank

iserror

islogical

isnontext

isnumber

isref

istext

not

or

true


and

and

La funzione and(logical,logical) fornisce il valore VERO, se i due argomenti sonoVERI.

La cella viene dotata automaticamente con il string di formato True;False.

Sintassi: =and(logical,logical)

Esempio

cella A1 | cella A2 | Cella A3=and(A1,A2)
false | false | false
false | true | false
true | false | false
true | true | true


exact

exact

La funzione exact(string1,string2), fornisce il valore WAHR, se le due stringhe di testo sono identiche, tenendo in considerazione la scrittura maiuscola e minuscola.

Sintassi: =exact(string1,string2)


false

false

La funzione false() fornisce il valore logico FALSO.

La cella viene dotata automaticamente con il string di formato True;False.

Sintassi: =false()

Example Esempio

L´inserimento in cella A1False dà =false()


if

if

La funzione if(exprTest,valTrue,valFalse) restituisce il contenuto di valTrue (valore o stringa), se l´argomento exprTest è VERO, in caso contrario il contenuto di valFalse. È possibile l´annidamento di funzioni if, per realizzare, per es., collegamenti and.

Sintassi: =if(exprTest,valTrue,valFalse)


isblank

isblank

La funzione isblank(ref) fornisce il valore logicoWAHR, se la cella di riferimento è vuota.

Sintassi: =isblank(ref)

Esempio

Contenuto A1 | A1 | Risultato
Espressione logica | No | False
Testo | Il tipo di dati è un testo | False
Spazio |  | True
numero: | 123.00 | False
Error | #ARG! | False


iserror

iserror

La funzione iserror(ref) fornisce il valore logico WAHR, se nella cella di riferimento viene individuato un errore.

Sintassi: =iserror(ref)

Esempio

Contenuto A1 | A1 | Risultato
Espressione logica | No | False
Testo | Il tipo di dati è un testo | False
Spazio |  | False
numero: | 123.00 | False
Error | #ARG! | True


islogical

islogical

La funzione islogical(ref) fornisce il valore logico VERO, se la cella di riferimento contiene un valore logico.

Sintassi: =islogical(ref)

Esempio

Contenuto A1 | A1 | Risultato
Espressione logica | No | True
Testo | Il tipo di dati è un testo | False
Spazio |  | False
numero: | 123.00 | False
Error | #ARG! | False


isnontext

isnontext

La funzione isnontext(ref) fornisce il valore logico VERO, se la cella di riferimento non contiene una stringa di testo.

Sintassi: =isnontext(ref)

Esempio

Contenuto A1 | A1 | Risultato
Espressione logica | No | True
Testo | Il tipo di dati è un testo | False
Spazio |  | True
numero: | 123.00 | True
Error | #ARG! | False


isnumber

isnumber

La funzione isnumber(ref) fornisce il valore logico VERO, se la cella di riferimento contiene un valore numerico.

Sintassi: =isnumber(ref)

Esempio

Contenuto A1 | A1 | Risultato
Collegamento logico | No | False
Testo | Il tipo di dati è un testo | False
Spazio |  | False
numero: | 123.00 | True
Error | #ARG! | False


isref

isref

La funzione isref(ref) fornisce il valore logico VERO, se la cella di riferimento contiene un riferimento a un’altra cella.

Sintassi: =isref(ref)

Esempio

Contenuto A1 | A1 | Risultato
Espressione logica | No | False
Testo | Il tipo di dati è un testo | False
Spazio |  | False
numero: | 123.00 | False
Error | #ARG! | False
Referenza | =B1 | True


istext

istext

La funzione istext(ref) fornisce il valore logico VERO, se la cella di riferimento non contiene una stringa di testo.

Sintassi: =istext(ref)

Esempio

Contenuto A1 | A1 | Risultato
Collegamento logico | No | False
Testo | Il tipo di dati è un testo | True
Spazio |  | False
numero: | 123.00 | False
Error | #ARG! | False


not

not

La funzione not(logical) restituisce l’opposto logico dell’argomento.

La cella viene dotata automaticamente con il string di formato True;False.

Sintassi: =not(logical)

Esempio

cella A1 | Cella A2=not(A1)
false | True
true | False


or

or

La funzione or(logical,logical) restituisce il valore logico VERO, se uno o entrambi gli argomenti sonoVERI.

La cella viene dotata automaticamente con il string di formato True;False.

Sintassi: =or(logical,logical)

Esempio

cella A1 | cella A2 | Cella A3 =or(A1,A2)
false | false | false
false | true | true
true | false | true
true | true | true


true

true

La funzione true() restituisce il valore logicoVERO.

La cella viene dotata automaticamente con il string di formato True;False.

Sintassi: =true()

Example Esempio

L´inserimento in cella A1True dà =true()


Funzioni matematiche e trigonometriche

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Funzioni di report -> Funzioni matematiche e trigonometriche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per i report sono a disposizione delle funzioni matematiche molto utili. Non le si può progettare attraverso l´assistente alle funzioni, ma le si deve inserire direttamente nella riga di inserimento.

Noch in diesem Kapitel

abs

acos

acosh

asin

asinh

atan

atanh

atan2

ceil

column

columns

cos

cosh

degree

even

exp

fact

factdouble

floor

int

ln

log10

mod

odd

pi

product

quotient

radiante

rand

randbetween

round

row

rows

sign

sin

sinh

sqrt

sqrtpi

tan

tanh

trunc


abs

abs

La funzione abs (num fornisce come risultato il valore assoluto di un numero. Il valore assoluto di un numero è il numero senza segno.

Sintassi: =abs(num)

num: è il numero reale, di cui intende richiedere il valore assoluto.

Example Esempio

=abs(2,2) dà 2

=abs(-2,2) dà 2


acos

acos

La funzione acos (num) fornisce l’arcocoseno di un numero.

Sintassi: =acos(num)


acosh

acosh

La funzione acosh (num fornisce l’inverso del coseno iperbolico di un numero.

Sintassi: =acosh(num)


asin

asin

La funzione asin (num) fornisce l’arcoseno di un numero.

Sintassi: =asin(num)


asinh

asinh

La funzione asinh (num) fornisce l’inverso del seno iperbolico di un numero.

Sintassi: =asinh(num)


atan

atan

La funzione atan (num) fornisce l’arcotangente di un numero.

Sintassi: =atan(num)


atanh

atanh

La funzione atanh (num) fornisce l’inverso della tangente iperbolica di un numero.

Sintassi: =atanh(num)


atan2

atan2

La funzione atan2 (x,y) fornisce l’arcotangente partendo da una coordinata x e y.

Sintassi: =atan2(x, y)


ceil

ceil

La funzione ceil (num) fornisce il valore arrotondato per eccesso sull’intero maggiore di un numero.

Sintassi: =ceil(num)

Example Esempio

=ceil(2,2) dà 3

=cei(-2,2) dà -3


column

column

La funzione column (ref) fornisce il numero di colonna di un rifermento (per es. C3=2) nel campo valori da 0 a n.

Sintassi: =column(ref)


columns

columns

La funzione columns (range) fornisce il numero delle colonne nel campo indicato.

Sintassi: =columns(range)


cos

cos

La funzione cos(num) restituisce il coseno di un numero.

Sintassi: =cos(num)

Esempio

=cos(inserimento)

 | Invio | Risultato
grado | radiante: | coseno
0,00 | 0 | 1,000
45,00 | 0,78539816339744828 | 0,707
90,00 | 1,5707963267948966 | 0,000
135,00 | 2,3561944901923448 | -0,707
180,00 | 3,1415926535897931 | -1,000
225,00 | 3,9269908169872414 | -0,707
270,00 | 4,7123889803846897 | -0,000
315,00 | 5,497787143782138 | 0,707
360,00 | 6,2831853071795862 | 1,000


cosh

cosh

La funzione cosh(num) fornisce il coseno iperbolico di un numero.

Sintassi: =cosh(num)


degree

degree

La funzione degree(num) converte il valore radiante in gradi..

Sintassi: =degree(num)

Esempio

=degree(inserimento)

Invio | Risultato
Radians() | Degree()
0 | 0
0,78539816339744828 | 45
1,5707963267948966 | 90
2,3561944901923448 | 135
3,1415926535897931 | 180
3,9269908169872414 | 225
4,7123889803846897 | 270
5,497787143782138 | 315
6,2831853071795862 | 360


even

even

La funzione even(num) fornisce il prossimo valore intero pari maggiore. Valori negativi sono arrotondati lontano dallo zero.

Sintassi: =even(num)

Example Esempio

=even(2,2) dà 4

=even(-2,2) dà -4


exp

exp

La funzione exp(num) potenzia la base e col numero indicato come argomento.

Sintassi: =exp(num)

Example Esempio

=exp(0) dà 1

=exp(1) dà 2,718282

=exp(10) dà 22026,465795


fact

fact

La funzione fact(int) fornisce il fattoriale di un numero.

Sintassi: =fact(int)

Example Esempio

=fact(0) dà 1 (1)

=fact(1) dà 1 (1)

=fact(2) dà 2 (1*2)

=fact(3) dà 6 (1*2*3)

=fact(4) dà 24 (1*2*3*4)

=fact(5) dà 120 (1*2*3*4*5)


factdouble

factdouble

La funzione factdouble(num) restituisce il doppio fattoriale di un numero. In questo modo viene definito il prodotto di ogni secondo numero.

Sintassi: =factdouble(num)

Example Esempio

=factdouble(0) dà 0 (0)

=factdouble(1) dà 1 (1)

=factdouble(2) dà 2 (2)

=factdouble(3) dà 3 (1*3)

=factdouble(4) dà 8 (2*4)

=factdouble(5) dà 15 (1*3*5)


floor

floor

La funzione floor(num) fornisce il valore arrotondato sull'intero inferiore di un numero. Numeri negativi si arrotondano verso lo zero.

Sintassi: =floor(num)

Example Esempio

=floor(2,2) dà 2

=floor(-2,2) dà -2


int

int

La funzione int(num) fornisce il valore arrotondato sull'intero inferiore di un numero. Valori negativi sono arrotondati lontano dallo zero.

Sintassi: =int(num)

Example Esempio

=int(2,2) dà 2

=int(-2,2) dà -3


ln

ln

La funzione ln(num) restituisce il logaritmo naturale di un numero..

Sintassi: =ln(num)

Example Esempio

=ln(1) dà 0

=ln(2,718282) dà 1

=ln(22026,465795) dà 10


log10

log10

La funzione log10(num) dà il logaritmo in base 10 di un numero.

Sintassi: =log10(num)

Example Esempio

=log10(1) dà 0

=log10(10) dà 1

=log10(100) dà 2

=log10(1000) dà 3


mod

mod

La funzione mod (num, divisor) restituisce il resto della divisione di un valore (num) attraverso il divisore (divisor).

Sintassi: =mod(num,divisor)

Example Esempio

=mod(0,3) dà 0

=mod(1,3) dà 1

=mod(2,3) dà 2

=mod(3,3) dà 0

=mod(4,3) dà 1


odd

odd

La funzione odd (num) fornisce il maggior numero dispari intero. Valori negativi sono arrotondati lontano dallo zero.

Sintassi: =odd(num)

Example Esempio

=odd(2,2) dà 3

=odd(-2,2) dà -3


pi

pi

La funzione pi() fornisce il valore per pi: 3,1415926535897931

Sintassi: =pi()

Formattazione standard: *0.######

Example Esempio

=pi() restituisce con formattazione standard 3,141593


product

product

La funzione product (range) fornisce il prodotto dei valori nel campo definito.

Sintassi: =product(range)

Esempio

Celle A1 a A10: numeri qualsiasi

Cella B1=product(A1:A10)

Cella/colonna | A | B
1 | 1 | 3628800
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

Il risultato per l´area da A1 a A10 è pari a 3628800.


quotient

quotient

La funzione quotient (num,divisor) restituisce il quoziente di una divisione.

Sintassi: =quotient(num,divisor)

Example Esempio

=quotient(0,3) dà 0

=quotient(1,3) dà 0

=quotient(2,3) dà 0

=quotient(3,3) dà 1

=quotient(4,3) dà 1


radiante

radiante

La funzione radians (num) converte i gradi in radianti..

Sintassi: =radians(num)

num: Inserimento in gradi

Esempio

=radians(inserimento)

Invio | Risultato
0,00 | 0
45,00 | 0,78539816339744828
90,00 | 1,5707963267948966
135,00 | 2,3561944901923448
180,00 | 3,1415926535897931
225,00 | 3,9269908169872414
270,00 | 4,7123889803846897
315,00 | 5,497787143782138
360,00 | 6,2831853071795862


rand

rand

La funzione rand() restituisce ad ogni ricalcolo della tabella un numero a caso nell’area tra 0.000 und 1.000

Sintassi: =rand()


randbetween

randbetween

La funzione randbetween(min,max) fornisce ad ogni ricalcolo della tabella un numero a caso nell’intervallo tra min e max.

Sintassi: =randbetween(min,max)


round

round

La funzione round(num,digits) restituisce un numero arrotondato (num) al numero di decimali specificato (digits).

Sintassi: =round(num,digits)


row

row

La funzione row(ref) restituisce il numero di riga della cella di riferimento nell’intervallo da 0 a n.

Sintassi: =row(ref)


rows

rows

La funzione rows(range) restituisce il numero delle righe all´interno del campo indicato.

Sintassi: =rows(range)


sign

sign

La funzione sign(num)() fornisce il valore

  • 1 se il numero (num) è positivo,
  • -1 se il numero è negativo
  • 0 se il numero è 0

Sintassi: =sign(num)

Example Esempio

=sign(2,2) dà 1

=sign(-2,2) dà -1

=sign(0,0) dà 0


sin

sin

La funzione sin(num) restituisce il seno di un numero. .

Sintassi: =sin(num)

num: Inserimento in radianti

Esempio

=sin(inserimento)

 | Invio | Risultato
grado | radiante: | seno
0,00 | 0 | 0,000
45,00 | 0,78539816339744828 | 0,707
90,00 | 1,5707963267948966 | 1,000
135,00 | 2,3561944901923448 | 0,707
180,00 | 3,1415926535897931 | 0,000
225,00 | 3,9269908169872414 | -0,707
270,00 | 4,7123889803846897 | -1,000
315,00 | 5,497787143782138 | -0,707
360,00 | 6,2831853071795862 | -0,000


sinh

sinh

La funzione sinh(num) restituisce il seno iperbolico di un numero.

Sintassi: =sinh(num)


sqrt

sqrt

La funzione sqrt(num) restituisce la radice quadrata di un numero.

Sintassi: =sqrt(num)

Example Esempio

=sqrt(1) dà 1

=sqrt(2) dà 1,414214

=sqrt(3) dà 1,73205 1

=sqrt(4) dà 2


sqrtpi

sqrtpi

La funzione sqrtpi(num) restituisce la radice quadrata di un valore pi.

Sintassi: =sqrtpi()

Example Esempio

=sqrtpi(1) restituisce 3,141593 = 1*pi

=sqrtpi(2) dà 4,442883 = sqrt(2)*pi

=sqrtpi(3) dà 5,441398 = sqrt(3)*pi

=sqrtpi(4) dà 6,283185 = sqrt(4)*pi


tan

tan

La funzione tan(num) restituisce la tangente del numero.

Sintassi: =tan(num)


tanh

tanh

La funzione tanh(num) restituisce la tangente iperbolica di un numero.

Sintassi: =tanh(num)


trunc

trunc

La funzione trunc(num) fornisce il valore arrotondato sull'intero inferiore di un numero. Numeri negativi si arrotondano verso lo zero.

Sintassi: =trunc(num)

Example Esempio

=trunc(2,2) dà 2

=trunc(-2,2) dà -2


Funzioni del manager dei gruppi di ricette

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Funzioni di report -> Funzioni del manager dei gruppi di ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con le seguenti funzioni report del Manager di gruppi ricette possono essere visualizzate anche le variabili di altri progetti caricati che vengono utilizzati nelle ricette. Queste funzioni possono essere usate solo con immagini del tipo Manager gruppi ricette.

Per la progettazione di queste funzioni potete usare l´Assistente alle funzioni.

Noch in diesem Kapitel

recipea

recipef

recipew


recipea

recipea

La funzione =recipeaInhalt) mostra dei dati generali di una ricetta del manager dei gruppi di ricette.

Sintassi: =recipea(Inhalt)

Contenuto | Descrizione
muser | Utente che ha modificato la ricetta per ultimo.
mzeit | Tempo dell´ultima modifica.
rez | Nome della ricetta.
rezg | Nome del gruppo ricette al quale appartiene la ricetta.
reznum | Numero della ricetta
text1 a text 8 | Commenti degli utenti dalla ricetta 1 alla 8.
text2 | Commento utente 2 della ricetta.
version | Numero di versione della ricetta.
status | Stato della ricetta come testo. Per es.: 1 - Mustertext

Example Esempio

=recipea(reznum)


recipef

recipef

La funzione =recipef Contenuto, Variabile mostra dei dati orientati alle variabili di una ricetta del manager dei gruppi di ricette. Questi dati possono essere posizionati liberamente nel report.

Sintassi: =recipef(Contenuto,Variabile)

Contenuto | Descrizione
nome | nome della variabile.
identificazione | identificazione della variabile.
type | Tipo sorgente.
unità | Unità di misura tecnica della variabile.
valore | Valore per la variabile nella ricetta.
simbolico | Visualizzazione di testi di valori limite dalla matrice di reazione o valore limite come testo.
min | Minimo dell´area d´inserimento consentita per la variabile in questa ricetta.
max | Massimo dell´area d´inserimento consentita per la variabile in questa ricetta.
istwert | Se la variabile definita non è presente nella ricetta selezionata, la cella viene evidenziata tramite un -.
interblocchi | Visualizzazione degli Interblocchi . Visto che i nomi non sono disponibili durante il Runtime, vengono visualizzati solamente gli ID degli interblocchi selezionati nel Manager gruppi ricette.
visibilità: | Mostra la visibilità delle variabili.
Variabile ricetta grafica | Mostra il nome della Variabile d'appoggio collegata. Nel Runtime solo visualizzazione. Configurazione nell´Editor.
filtro | Testo filtro che è stato selezionato nel RGM.
keyboard | Mostra la Keyboard collegata.
limiti di valori impostabili | Sì: Riprende i limiti di valori impostabili dalla variabile. Nel Runtime solo visualizzazione. Configurazione nell´Editor.

Example Esempio

=recipef("valore","temperature")


recipew

recipew

La funzione =recipew(contenuto, direzione) mette a disposizione in forma tabellare dei dati orientati alla variabile di una ricetta del manager dei gruppi di ricette.

Sintassi: =recipew(contenuto, direzione)

Contenuto | Descrizione
nome | nome della variabile.
identificazione | identificazione della variabile.
type | Tipo sorgente.
unità | Unità di misura tecnica della variabile.
valore | Valore per la variabile nella ricetta.
simbolico | Visualizzazione di valori come testo.
min | Minimo dell´area d´inserimento consentita per la variabile in questa ricetta.
max | Massimo dell´area d´inserimento consentita per la variabile in questa ricetta.
istwert | Se la variabile definita non è presente nella ricetta selezionata, la cella viene evidenziata tramite un -.
interblocchi | Visualizzazione degli Interblocchi . Visto che i nomi non sono disponibili durante il Runtime, vengono visualizzati solamente gli ID degli interblocchi selezionati nel Manager gruppi ricette.
visibilità: | Mostra la visibilità delle variabili.
Variabile ricetta grafica | Mostra il nome della Variabile d'appoggio collegata. Nel Runtime solo visualizzazione. Configurazione nell´Editor.
filtro | Testo filtro che è stato selezionato nel RGM.
keyboard | Mostra la Keyboard collegata.
limiti di valori impostabili | Sì: Riprende i limiti di valori impostabili dalla variabile. Nel Runtime solo visualizzazione. Configurazione nell´Editor.

Example Esempio

=recipew(nome,giu)


Funzioni statistiche

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Funzioni di report -> Funzioni statistiche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per i report sono a disposizione delle funzioni statistiche molto utili. Non le si può progettare attraverso l´assistente alle funzioni, ma le si deve inserire direttamente nella riga di inserimento.

Noch in diesem Kapitel

avg

count

counta

countblank

max

min

percentile

stdev

stdevp

sum

sumsq

var

varp


avg

avg

La funzione avg (range) fornisce il valore medio dei valori in un campo.

Sintassi: =avg(range)

Esempio

Cella A4= avg(A1:A3)

Colonna/riga | A
1 | 1
2 | 3
3 | 5
4 | 3

Il valore medio delle celle A1 fino a A3 restituisce 3


count

count

La funzione count (range) fornisce il numero dei valori numerici nel campo indicato.

Sintassi: =count(range)

Esempio

Cella A5 = count (A1:A4)

Colonna/riga | A
1 | 1
2 | Testo
3 |
4 | 3
5 | 2

Il numero dei valori numerici delle celle A1 a A4 restituisce 2.


counta

counta

La funzione counta (range) fornisce il numero delle celle non vuote nel campo indicato

Sintassi: =counta(range)

Esempio

Cella A5=counta(A1:A4)

Colonna/riga | A
1 | 1
2 | testo
3 |
4 | 3
5 | 3

Il numero delle celle non vuote nei campi restituisce A1 a A4 dà 3.


countblank

countblank

La funzione countblank (range) fornisce il numero delle celle vuote nel campo indicato.

Sintassi: =countblank(range)

Esempio

Cella A5 = countblank(A1:A4)

Colonna/riga | A
1 | 1
2 | Testo
3 |
4 | 3
5 | 1

Il numero delle celle non vuote nei campi da A1 a A4 restituisce 1.


max

max

La funzione max (range) fornisce il valore massimo del campo indicato.

Sintassi: =max(range)

Esempio

Celle A1 a A10: numeri qualsiasi

Cella B1=max(A1:A10)

Colonna/riga | A | B
1 | 1 | 10
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

Il valore massimo nel campo da A1 a A10 si trova nella cella A10 ed è pari a 10.


min

min

La funzione min (range) fornisce il valore minimo del campo indicato.

Sintassi: =min(range)

Esempio

Celle A1 a A10: numeri qualsiasi

Cella B1=min(A1:A10)

Colonna/riga | A | B
1 | 1 | 1
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

Il valore minimo nel campo da A1 a A10 si trova nella cella A10 ed è pari a 1.


percentile

percentile

La funzione percentile (range,num) fornisce come risultato un valore soglia, a partire dal quale sono accettate delle osservazioni.

Sintassi: =percentile(range,num)

Range: rappresenta una matrice o un area dati, che descrive la posizione relativa dei dati.

Num: Integer von 0-100

Esempio

Celle A1 a A10: numeri qualsiasi

cella B1=percentile(A1:A10,90)

Colonna/riga | A | B
1 | 1 | 9,1
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

Il valore soglia per l´area da A1 a A10 è pari a 9,1.


stdev

stdev

La funzione stdev (range) fornisce una stima della deviazione standard partendo da una prova di valori nel campo definito.

Formula:

Sintassi: =stdev(range)

Esempio

Celle A1 a A10: numeri qualsiasi

Cella A11=stdev(A1:A10)

Colonna/riga | A
1 | 745,00
2 | 730,00
3 | 732,00
4 | 768,00
5 | 769,00
6 | 747,00
7 | 718,00
8 | 723,00
9 | 766,00
10 | 739,00
11 | 18,785633

La deviazione standard per l´area che va dalla cella A1 alla cella A10 viene stimata sulla base del campione 18,785633.


stdevp

stdevp

La funzione stdevp (range) fornisce una stima della deviazione standard partendo dalla totalità di valori nel campo definito.

Formula:

Sintassi: =stdevp(range)

Esempio

Celle A1 a A10: numeri qualsiasi

Cella A11= stdevp(A1:A10)

Colonna/riga | A
1 | 745,00
2 | 730,00
3 | 732,00
4 | 768,00
5 | 769,00
6 | 747,00
7 | 718,00
8 | 723,00
9 | 766,00
10 | 739,00
11 | 17,821616

La deviazione standard per il campo che va dalla cella A1 alla cella A10 viene stimata 17,821616.


sum

sum

La funzione sum (range) fornisce la somma dei valori nel campo definito.

Sintassi: =sum(range)

Esempio

Celle A1 a A10: numeri qualsiasi

Cella B1=sum(A1:A10)

Colonna/riga | A | B
1 | 1 | 55
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

La somma di tutti i valori nel campo da A1 a A10 è pari a 55.


sumsq

sumsq

La funzione sumsq (range) fornisce la somma dei quadrati dei valori nel campo definito.

Sintassi: =sumsq(range)

Esempio

Celle A1 a A10: numeri qualsiasi

Cella A11=sumsq(A1:A10)

Colonna/riga | A | B
1 | 1 | 1
2 | 2 | 4
3 | 3 | 9
4 | 4 | 16
5 | 5 | 25
6 | 6 | 36
7 | 7 | 49
8 | 8 | 56
9 | 9 | 81
10 | 10 | 100
11 | 385 | 385

Controllo:

Celle B1 a B 10: quadrati da A1 a A10

Cella B11= sum(B1:B10)


var

var

La funzione var (range) fornisce una stima della varianza di un saggio di valori nell’intervallo definito.

Formula:

Sintassi: =var(range)

Esempio

Celle A1 a A10: numeri qualsiasi

Cella A11=var(A1:A10)

Colonna/riga | A
1 | 745,00
2 | 730,00
3 | 732,00
4 | 768,00
5 | 769,00
6 | 747,00
7 | 718,00
8 | 723,00
9 | 766,00
10 | 739,00
11 | 352,9

Sulla base del campione, la varianza per l´area che va dalla cella A1 alla cella A10 viene stimata 352,9.


varp

varp

La funzione varp (range) fornisce una stima della varianza della totalità dei valori nell’intervallo definito.

Formula:

Sintassi: =varp(range)

Esempio

Celle A1 a A10: numeri qualsiasi

Cella A11=varp(A1:A10)

Colonna/riga | A
1 | 745,00
2 | 730,00
3 | 732,00
4 | 768,00
5 | 769,00
6 | 747,00
7 | 718,00
8 | 723,00
9 | 766,00
10 | 739,00
11 | 317,61

La varianza stimata per il campo che va dalla cella A1 alla cella A10 è pari a 317,61.


Funzioni di testo

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Funzioni di report -> Funzioni di testo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per i report, sono disponibili diverse funzioni testo. Non le si può progettare attraverso l´assistente alle funzioni, ma le si deve inserire direttamente nella riga di inserimento. Eccezione: paint

Noch in diesem Kapitel

char

clean

code

find

fixed

left

len

lower

mid

paint

proper

replace

rept

right

search

substitute

trim

upper


char

char

La funzione char(code) fornisce il simbolo ASCII attribuito al numero definito alla voce code.

Sintassi: =char(code)

code:numero compreso fra 1 e 255.

Example Esempio

=char(88) dà X

Se la cella A1 contiene il valore 35, la funzione =char (A1) fornisce come risultato il carattere #.

Usate la funzione code per determinare il codice ASCII per il carattere.


clean

clean

La funzione clean(string) cancella tutti i simboli di controllo di una sequenza di caratteri-testo.

Sintassi: =clean(string)


code

code

La funzione code(string) fornisce il code ASCII del primo simbolo in una sequenza di caratteri-testo.

Se la stringa fra parentesi corrisponde al testo che deve essere codificato, essa viene messa fra virgolette. Se essa rimanda ad un´altra cella, viene inserita quest´ultima.

Sintassi: =code(string)

Example Esempio

=code("z") dà 122.

La cella A1 contiene il testo zoom:

=code(A1) dà 122.

Per determinare il carattere corrispondente al codice ASCII, usate la funzione char.

attention Attenzione

La funzione code(string) fornisce il code ASCII del primo simbolo in una stringa testo.


find

find

La funzione find(keystring,string,start) restituisce la posizione di una successione caratteri (keystring) all´interno du una stringa di testo (string). Si determina la posizione dal simbolo di partenza start nella stringa testo considerando la scrittura maiuscola e minuscola.

Sintassi: =find(keystring,string,start)

Example Esempio

cella A1 cd

cella A2 ABCDabcd

Cella A3: 1

cella A4 =find(A1,A2,A3): Risultato =7


fixed

fixed

La funzione fixed(num,decimals) formatta un numero e lo trasforma in una determinata sequenza di caratteri.

Sintassi: =fixed(num,decimals)

  • num: valore numerico o riferimento cella
  • decimals: Numero delle cifre decimali

Example Esempio

Cella A1 = 12345.672

=fixed(A1,2) dà 12345,67

=fixed(A1,1) dà 12345,6

Il separatore e la visualizzazione dipendono anche dalle impostazioni regionali e da quelle di formattazione nella Cella.

Nota: la funzione fixed() non può essere combinata con un formato stringa come l´indicazione di unità di misura.

Differenza nei confronti di zenon 5.50 e delle versioni precedenti

Nelle versioni fino alla 5.50, la funzione fixed() dispone anche dell´argument no_seps. L´argument è opzionale e gestisce la visualizzazione di segni di separazione delle migliaia.

Sintassi: =fixed(num,decimals,no_seps)

  • no-seps:
    • 0: Viene inserito un separatore delle migliaia
    • 1: Non viene utilizzato un separatore delle migliaia

Nelle versioni successive, i numeri vengono generalmente visualizzati senza separatori delle migliaia.


left

left

La funzione left(string,num) fornisce il numero di caratteri definito in (num) da una sequenza di caratteri di testo, iniziando dal primo carattere.

Sintassi: =left(string,num)

  • string: sequenza di caratteri fra virgolette o riferimento alla cella con la sequenza caratteri
  • num: numero di caratteri che devono essere letti cominciando dal primo

Example Esempio

Cella A1 = abcdefgh

=left(A1,3) dà abc

=left(A1,5) dà abcde

Per leggere dei caratteri cominciando con l´ultimo di una sequenza, usate la funzione right.


len

len

La funzione len(string) fornisce il numero dei simboli di una sequenza di caratteri testo.

Sintassi: =len(string)

Example Esempio

Cella A1 = abc
=len(A1) dà 3

CellaA1 = abcdefgh
=len(A1) dà 8


lower

lower

La funzione lower(string) converte in minuscolo tutte le lettere maiuscole contenute in una stringa di testo.

Sintassi: =lower(string)

Example Esempio

CellaA1 = AbCdEf
=lower(A1) dà abcdef

Per convertire le lettere minuscole in maiuscole, usate la funzione upper.


mid

mid

La funzione mid(string,numStart,numLen) estrae

  • da una sequenza caratteri defintita string
  • una nuova sequenza
  • con un numero di caratteri definito tramite l´argomento numLen
  • e a partire dalla posizione definita mediante numStart.

Sintassi: =mid(string,numStart,numLen)

Example Esempio

Cella A1 = abcdefgh
=mid(A1,2,4) dà bcde


paint

paint

La funzione =paint(referenz) prosegue la sequenza di caratteri indicata nella cella referenziata, nel caso in cui essa non ci dovesse essere abbastanza spazio nella cella referenziata. In questo modo è possibile visualizzare delle lunghe sequenze caratteri in diverse celle, e facilitarne così la lettura.

Sintassi: =paint(referenz)

Example Esempio

La cella A1 contiene i caratteri: abcdefghijklmn

A causa della sua larghezza, nella cella A1 viene visualizzato solo: abcdefg

=paint(A1) nella cella A2 porta alla seguente visualizzazione:

A1: abcdefg

A2: hijklmn

Questa funzione può essere progettata con l´assistente alle funzioni.


proper

proper

La funzione proper(string) converte in maiuscolo la prima lettera di una parola. Le rimanenti lettere nella stringa di testo vengono convertite in minuscolo. L´inizio della parola è il primo carattere alfabetico della sequenza. Se una sequenza di caratteri contiene più caratteri non alfabetici, una nuova parola inizia dopo ogni carattere non alfabetico.

Sintassi: = proper (string)

Example Esempio

Cella A1 = AbCdEf
=proper(A1) dà Abcdef

Cella A1 = aBcDeF
=proper(A1) dà Abcdef

Cella A1 = 1aBcD2eF
=proper(A1) dà 1Abcd2Ef


replace

replace

La Funzione replace(string,numStart,numLen,stringNew)

  • sostituisce nella sequenza caratteri string
  • a partire dalla posizione definita mediante numStart
  • un numero di caratteri definito mediante numLen
  • con caratteri di altra stringa, stringNew

Sintassi: =replace(string,numStart,numLen,stringNew)

Example Esempio

Cella A1 = abcdefgh
Cella A2 = xyz
=replace(A1,3,2,A2) dà abxyzefgh

In questo esempio, nella stringa abcdefgh i caratteri cd (3° posto nella stringa, quantità 2 caratteri) vengono sostituiti da xyz.


rept

rept

La funzione rept(string,num) ripete la successione di caratteri string per il numero di volte definito in num.

Sintassi: =rept(string,num)

Example Esempio

Cella A1 = abc
cella A2 = 3
=rept(A1,A2) dà abcabcabc


right

right

La funzione right(string,num) restituisce il numero di caratteri definito in (num) da una sequenza di caratteri di testo, iniziando dall´ultimo carattere.

Sintassi: =right(string,num)

  • string: sequenza di caratteri fra virgolette o riferimento alla cella con la sequenza caratteri
  • num: numero di caratteri che devono essere letti cominciando dall´ultimo

Example Esempio

Cella A1 = abcdefgh

=right(A1,3) dà fgh

=right(A1,5) dà defgh

Per leggere dei caratteri cominciando dal primo di una sequenza, usate la funzione left.


search

search

La funzione search(keystring,string,start) fornisce

  • la posizione di un testo cercato keystring
  • all´interno di una sequenza di caratteri string
  • a partire dalla posizione start start

Sintassi: =search(string,keystring,start)

Esempio

Cella A4=search(A1,A2,A3)

Cella/colonna | A
1 | abcdeABCDEabcde
2 | cd
3 | 1
4 | 3

La funzione nella cella A4 trova il testo cercato cd nella cella A1 nella posizione 3.


substitute

substitute

La Funzione substitute(string,oldstring,newstring,instance)

  • sostituisce nella sequenza caratteri string
  • una sequenzaoldstring
  • con una nuova sequenza caratteri newstring.
  • ;instance stabilisce la posizione di oldstring
    • instance=0 sostituisce tutte le sequenze trovate

La funzione considera le lettere maiuscole e minuscole.

Sintassi: =substitute(string, oldstring, newstring, instance)

Example Esempio

Cella A1 = abcdef ABCDEF abcdef ABCDEF abcdef ABCDEF
Cella A2 = XYZ

Esempio 1:

=substitute(A1,"ABCDEF",A2,0) restituisce abcdef XYZ abcdef XYZ abcdef XYZ

In questo esempio la sequenza di caratteri ABCDEF viene sostituita nell'intera stringa abcdef ABCDEF abcdef ABCDEF abcdef ABCDEF con XYZ.

Esempio 2:

=substitute(A1,"abcdef",A2,2) dà abcdef ABCDEF XYZ ABCDEF abcdef ABCDEF

In questo esempio, abcdef, la seconda sequenza di caratteri trovata nella stringa abcdef ABCDEF abcdef ABCDEF abcdef ABCDEF, viene sostituita con XYZ.

Nota: le sequenze all´interno della funzione vengono messe fra virgolette ("Zeichenkette").


trim

trim

La funzione trim(string) consente al massimo uno spazio vuoto fra due caratteri. Tutti gli altri spazi vuoti verranno eliminati.

Sintassi: =trim(string)

Example Esempio

Cella A1 = Troppi spazi vuoti vengono ridotti a uno.
=trim(A1) dà: troppi spazi vuoti vengono ridotti a uno


upper

upper

La funzione upper(string) converte in maiuscolo tutte le lettere minuscole contenute in una stringa di testo.

Sintassi: =upper(string)

Example Esempio

Cella A1 = AbCdEf
=upper(A1) dà ABCDEF

Per convertire le lettere maiuscole in minuscole, usate la funzione lower.


Altre funzioni

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Funzioni di report -> Altre funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Funzioni di report riunisce altre funzioni che non sono state assegnate a nessun sottogruppo.

Per la progettazione di queste funzioni potete usare l´Assistente alle funzioni.

Noch in diesem Kapitel

alarm

cel

progetta alarm e cel con assistente funzioni

compare

comparesp

comparespsum

comparesum

computername

maxsp

minsp

Parametri

select

selectmode

Username

variabler

variablerw


alarm

alarm

Questa funzione mostra delle informazioni provenienti dalla gestione allarmi in forma di una lista formattata in un Report.

Sintassi: =alarm(FILTRO,PARAMETRO,DIREZIONE)

Parametro di trasferimento

Ambito

Commento

FILTRO

Configurazione mediante Filtro AML.

PARAMETRO
  • nome
  • identificazione
  • testo
  • stato
  • valore
  • entra
  • esce
  • riconosciuto
  • tempo riattivazione
  • stato riattivazione
  • numero riattivazioni
  • attesa
  • quantità_h
  • quantità_t
  • quantità_m
  • utente
  • cmputer
  • cmmento
  • classe
  • gruppo
  • progetto
  • quantità

Selezione della colonna filtro da leggere.

Avvertenza:

  • progetto: esistente nel fltro AML solamente nel caso di progetti multiuser.
  • numero: solo per un progetto
  • quantità_h solo per un progetto
  • quantità_t: solo per un progetto
  • quantità_m: solo per un progetto

DIREZIONE
  • In giù
  • sinistra

Riempimento nella rispettiva direzione.

Il filtro tempo deriva dalla definizione nel Filtro Cambio immagine Report.

Direzione

Opzioni | Descrizione
destra | Il valore verrà inserito a destra (riga). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si imposta una funzione archivesp con una sola colonna, il valore verrà inserito verso il basso (nella colonna).
In giù | Il valore verrà inserito in basso (colonna). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si imposta una funzione archivesp con una sola riga, il valore verrà inserito verso destra (nella riga).
info Informazioni su
Per assicurare che la funzione possa inserire in modo dinamico nel Runtime righe o colonne senza sovrascriverne delle altre, la didascalia della corrispondente riga o colonna deve essere settata su E (per "Expand").


cel

cel

Questa funzione mostra delle informazioni provenienti dalla Lista eventi cronologica (CEL) in forma di una lista formattata in un Report. La progettazione con l´assistente funzioni funziona in modo analogo a quella con la funzione aml.

Sintassi: =cel(FILTRO,PARAMETRO,DIREZIONE)

Parametro di trasferimento

Ambito

Commento

FILTRO

Configurazione mediante Filtro CEL.

PARAMETRO
  • nome
  • identificazione
  • testo
  • stato
  • valore
  • entra
  • utente
  • cmputer
  • cmmento
  • classe
  • gruppo
  • progetto
  • quantità

Selezione della colonna filtro da leggere.

Avvertenza:

  • progetto: esistente nel fltro CEL solamente nel caso di progetti multiuser.
  • numero: solo per un progetto

DIREZIONE

giù, sinistra

Riempimento nella rispettiva direzione.

Il filtro tempo deriva dalla definizione nel Filtro Cambio immagine Report.

Direzione

Opzioni | Descrizione
destra | Il valore verrà inserito a destra (riga). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si imposta una funzione archivesp con una sola colonna, il valore verrà inserito verso il basso (nella colonna).
In giù | Il valore verrà inserito in basso (colonna). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si imposta una funzione archivesp con una sola riga, il valore verrà inserito verso destra (nella riga).
info Informazioni su
Per assicurare che la funzione possa inserire in modo dinamico nel Runtime righe o colonne senza sovrascriverne delle altre, la didascalia della corrispondente riga o colonna deve essere settata su E (per "Expand").


progetta alarm e cel con assistente funzioni

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Funzioni di report -> Altre funzioni -> progetta alarm e cel con assistente funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
progetta alarm e cel con assistente funzioni

Potete progettare delle funzioni per AML e CEL con l´assistente funzioni Questo esempio concerne aml, ma vale anche per cel:

  1. selezionate anzitutto nel menu contestuale della cella desiderata il comando Funzioni Report.
  2. Si apre l´assistente.
  3. Scegliete alarm..

  4. La funzione report alarm viene inserita nella sintassi.
  5. Cliccando su Variabile apre il Filtro per AML. (Con la cel si aprirà il Filtro per CEL.)
  6. Configurate il filtro.
  7. Selezionate il parametro desiderato cliccando due volte, per esempio identificazione).

  8. Il parametro viene ripreso nella stringa.
  9. Selezionate la direzione desiderata dell´inserimento nella tabella mediante un doppio clic:
    • giù: la funzione riempe la colonna
    • a destra: la funzione riempe la riga

  10. La direzione viene ripresa nella stringa.
  11. Viene chiusa la parentesi.
  12. Cliccando su OK, la funzione viene ripresa nella cella.


compare

compare

La funzione compare (area,"Condizione") permette di cercare tutti i numeri avendo la stessa condizione in una zona definita e emette il numero delle cellule corrispondenti.

Sintassi: =compare(area,"Condizione")

Campo: celle che vengono prese in considerazione per effettuare il confronto

Condizione: il contenuto rilevante per l´analisi (inserimento sempre fra virgolette)

Example Esempio

=compare(A1:A10,6>"=5")

Confronta nella colonna A le celle da 1 a 10 e fornisce il numero dei valori che sono maggiori o uguali a 5.


comparesp

comparesp

Questa funzione comparesp (cella di partenza,direzione,P1,P2,P3,P4,"Condizione") confronta i valori in una determinata area in un formato speciale con una condizione e restituisce il numero di celle corrispondenti.

Sintassi: =comparesp(cella di partenza,direzione,P1,P2,P3,P4,"Condizione")

Parametri | Descrizione
Cella di partenza | Cella con il primo valore.
Direzione | "a destra" o "giù"
P1 | Numero dei valori di archivio da emettere nella prima riga.
P2 | Numero delle celle vuote tra due valori.
P3 | Numero delle celle vuote tra due successioni valori.
P4 | Numero massimo dei valori da verificare.
Condizione | Condizione di paragone. Va sempre indicata fra virgolette.

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P3 = righe vuote fra i valori

Example Esempio

=comparesp(A1,giù ,12,0,0,12,"=5")


comparespsum

comparespsum

Questa funzione comparespsum(cella di partenza,direzione,P1,P2,P3,P4,condizione) confronta i valori in una determinata area in un formato speciale con una condizione e restituisce la somma di celle corrispondenti.

Sintassi: =comparespsum(cella di partenza,direzione,P1,P2,P3,P4,condizione)

Parametri | Descrizione
Cella di partenza | Cella con il primo valore.
Direzione | "a destra" o "giù"
P1 | Numero dei valori di archivio da emettere nella prima riga.
P2 | Numero delle celle vuote tra due valori.
P3 | Numero delle celle vuote tra due successioni valori.
P4 | Numero massimo dei valori da verificare.
Condizione | Condizione di paragone. Va sempre indicata fra virgolette.

Gestisci celle

I parametri P1, P2 e P3 definiscono quali celle della tabella verranno riempite:

  • P1: Quantità
  • P2: celle vuote fra due emissioni valore; a seconda della DIREZIONE (giù, a destra) si tratta di righe vuote o colonne vuote
  • P3: celle vuote fra due successioni valori; a seconda della DIREZIONE (giu, a destra) si tratta di righe vuote o colonne vuote

Tutti gli inserimenti dell’arco di tempo del protocollo vengono visualizzati a partire dalla cella, nella quale è stata creata la funzione, verso il basso o verso destra con la formattazione righe stabilita nel report attraverso i parametri P1-P3.

Se si sceglie la direzione giù, vale quanto segue:

  • P1 = numero delle celle da riempire di valori
  • P2 = righe vuote fra i valori
  • P3 = colonne vuote

Se si sceglie la direzione a destra, vale quanto segue:

  • P1 = numero delle colonne da riempire
  • P2 = colonne vuote fra i valori
  • P3 = righe vuote fra i valori

Example Esempio

=comparespsum(A1,giù ,12,0,0,12,"=5")


comparesum

comparesum

La funzione comparesum (area di confronto, reference per la somma, "condizione") confronta i valori di un range definito con una condizione e restituisce la somma dei valori ricavati da una zona di riferimento.

Sintassi: =comparesum(area di confronto, reference per la somma, "condizione")

  • Campo: celle che vengono prese in considerazione per effettuare il confronto
  • Reference per la somma: valore che viene emesso quando la condizione è soddisfatta

Condizione: il contenuto rilevante per l´analisi (inserimento sempre fra virgolette)

Example Esempio

=comparesum(B2:B11,A2,"=5")

Le celle B2 a B11 vengono analizzate sulla base del criterio =5. Nelle righe per cui vale quanto sopra, vengono sommati i valori delle celle corrispondenti nella colonna A.


computername

computername

La fuzione computername() fornisce il nome del computer sul quale viene eseguito il report.

Sintassi: =computername()

Non sono necessari parametri di trasferimento.


maxsp

maxsp

La funzione maxsp richiede il valore massimo da una zona e lo visualizza. La visualizzazione può essere in colore oppure sottolineata.

Sintassi: =maxsp(range,num)

Parametro di trasferimento | Ambito | Commento
range | A1-ATWH31000 | Numero massimo di colonne: 31000 Numero massimo di righe: 31000
num | -1 0-15 | -1: sottoloneato 0 ... 15: Il colore corrisponde a quello nel dialogo Crea nuovo carattere (immagini/caratteri). Trovate la lista di attribuzioni sotto questa tabella.

Attribuzione Colore carattere

I colori caratteri vengono ripresi dal sistema operativo. Qui trovate una lista di colori che illustra il modo in cui sono utilizzati in Windows.

Nota: Se si effettuano delle modifiche che concerno l´ordine dei colori o se ne definiscono dei nuovi nel sistema operativo, cambiano anche quelli definiti per maxsp.

Esempio

Il valore maggiore nelle tabelle da A1 a B4 deve essere visualizzato sottolineato.

Inserimento nell'Editor:

Colonna/riga | A | B | C
1 | 8 | 5 | =maxsp(A1:B4,-1)
2 | 20 | 2 |
3 | 12 | 10 |
4 | 32 | 14 |

risultato nel Runtime


minsp

minsp

La funzione minsp(range,num) richiede il valore minimo da una zona e lo visualizza. La visualizzazione può essere in colore oppure sottolineata.

Sintassi: =minsp(range,num)

Parametro di trasferimento | Ambito | Commento
range | A1-ATWH31000 |
num | -1 0-15 | -1: sottoloneato 0 ... 15: Il colore corrisponde a quello nel dialogo Crea nuovo carattere (immagini/caratteri). Trovate la lista di attribuzioni sotto questa tabella.

Attribuzione Colore carattere

I colori caratteri vengono ripresi dal sistema operativo. Qui trovate una lista di colori che illustra il modo in cui sono utilizzati in Windows.

Nota: Se si effettuano delle modifiche che concerno l´ordine dei colori o se ne definiscono dei nuovi nel sistema operativo, cambiano anche quelli definiti per minsp.

Example Esempio

Cella C1=minsp(A1:B4,-1)


Parametri

Parametri

I parametri consentono la definizione di un report che, attraverso la funzione di zenon Esegui report e i diversi parametri con essa utilizzati, esegue diversi compiti. Così è possibile fare in modo, per es., che un solo report venga usato per la visualizzazione degli archivi di più controller. Oppure è possibile configurare un report che rappresenti dei valori in diverse unità di misura. Sintassi: =parameter(Numero)

Sono a disposizione 10 parametri:

  • 1 - 5: Tipo stringa
  • 6 - 10: Tipo DWord

Progettazione

  1. assegnate nel report i parametri desiderati alle celle adatte

  2. completate i parametri con eventuali operazioni di calcolo o riferimenti necessari
  3. durante il Runtime, poi, selezionate i valori per i parametri usando una funzione Esegui report, oppure il pulsante Apri file e la scheda Parametri

Suggerimento: se volete visualizzare in un report dati di diversi archivi (per es. B 5 PLC), definite un rapporto comune. Gestite la visualizzazione mediante le funzioni 5 zenon, che mettono a disposizione i valori per i parametri. E’ possibile semplicemente copiare queste funzioni, dovete solamente modificare i valori impostati nella scheda Parametri.

Esempi di parametri

  • =parameter(1): assegna alla cella il parametro (1)
  • =parameter(6)*A1/100: assegna alla cella il parametro (6), moltiplica il valore che è stato fissato nella tab Parametro per il valore dalla cella A1 e lo divide per 100


select

select

La funzione =select (indirizzo cella) definisce la cella da selezionare all´apertura dei report. Come parametro è da indicare l´indirizzo della cella.

Sintassi: =select(indirizzo cella)

Example Esempio

=select(B3)


selectmode

selectmode

La funzione selectmode(Modo di selezione) fissa il modo di selezione.

Sintassi: =selectmode(Modo di selezione)

Example Esempio

=selectmode(3)


Username

Username

La funzione username offre il nome dell'utente attualmente registrato in zenon.

Sintassi: =username()

Non sono necessari parametri di trasferimento.


variabler

variabler

La funzione =variabler (Nome variabile,proprietà) restituisce informazioni su una variabile.

Sintassi: =variabler(Nome variabile,proprietà)

Parametri | Descrizione
nome | Nome variabile.
testo | Testo valore limite attuale nel caso du una violazione di valore limite.
valore | Valore attuale della variabile.
unità | Unità della variabile.
identificazione | identificazione della variabile.
mmin | Area di misurazione minima della variabile.
mmax | Area di misurazione massima della variabile.
stato | Stato attuale della variabile.
gw1 | Valore limite 1 della variabile.
gw2 | Valore limite 2 della variabile.
gw3 | Valore limite 3 della variabile.
gw4 | Valore limite 4 della variabile.

info Informazioni su

Il report viene creato più velocemente se le variabili richiamate sono advidsed.

progettazione con assistente alle funzioni

  1. selezionate nel menù contestuale della tabella report Funzioni Report
  2. selezionatevariabler
  3. cliccate sul pulsante Variabile
  4. selezionate la variabile desiderata:
    si possono selezionare più variabili; esse verranno inserite verso il basso a partire dalla cella che è stata definita nella funzione di report.
  5. selezionate la proprietà da visualizzare

Example Esempio

=variabler("WIZ_VAR_10","name")


variablerw

variablerw

La funzione variablerw(Nome variabile,Proprietà,Azione) restituisce informazioni sulla variabile e scrive valori in variabili.

Sintassi: =variablerw(Nome variabile,Proprietàm ,Azione)

Proprietà | Descrizione
nome | Nome variabile.
testo | Testo valore limite attuale nel caso du una violazione di valore limite.
valore | Valore attuale della variabile.
unità | Unità della variabile. Nota: non può essere usata con Cambio unità di misura. Da usare solamente con vecchi progetti. Se un´unità di una variabile definita nel cambio unità di misura viene modificata facendo uso di questa funzione report, deve essere effettuata di nuovo la configurazione nel cambio di unità di misura.
identificazione | identificazione della variabile
mmin | Area di misurazione minima della variabile. Nota: non può essere usata con cambio unità.
mmax | Area di misurazione massima della variabile. Nota: non può essere usata con cambio unità.
stato | Stato attuale della variabile.
gw1 | Valore limite 1 della variabile.
gw2 | Valore limite 2 della variabile.
gw3 | Valore limite 3 della variabile.
gw4 | Valore limite 4 della variabile.

info Informazioni su

Il report viene creato più velocemente se le variabili richiamate sono advidsed.

progettazione con assistente alle funzioni

  1. selezionate nel menù contestuale della tabella report Funzioni Report
  2. selezionatevariabler
  3. cliccate sul pulsante Variabile
  4. selezionate la variabile desiderata:
    si possono selezionare più variabili; esse verranno inserite verso il basso a partire dalla cella che è stata definita nella funzione di report.
  5. selezionate la proprietà da visualizzare
  6. inserite l´azione desiderata

Example Esempio

=variablerw("WIZ_VAR_10","valore","leggere"

Scrivi valore sulla variabile

Per scrivere un valore proveniente dal generatore Report su una variabile, indicate il nome della variabile, la proprietà "valore" e la cella che contiene il valore stesso.

=variablerw(Nome variabile,"valore",Cella)

Esempio: =variablerw("valore intera","valore",A2)


Chiavi di formattazione

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Funzioni di report -> Chiavi di formattazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le chiavi di formattazione definiscono l’emissione formattata delle informazioni di celle in dipendenza del contenuto di celle (tipi di dati).

La definizione avviene:

  • nella lista a cascata Formato -> Celle -> Numeri -> Tab Tipo di cella -> Generale/Formato stringa

    oppure

  • nel menù contestuale Tabella di report -> Cella -> Tab Tipo di cella -> Generale/Formato stringa

Noch in diesem Kapitel

Tipi di dati numerici

Tipi di dati logici

Tipi di dati per la data ed il tempo


Tipi di dati numerici

Tipi di dati numerici

Le chiavi di formattazione per i tipi di dato numerici sono caratteri jolly simbolici, che vengono sostituiti dal valore formattato.

  • Come separatore delle migliaia si usa la virgola, come separatore decimale il punto.
  • Ogni simbolo che non rappresenta una chiave di formattazione si riprende come simbolo testo nelle emissione.
  • Se non si indica nessuna chiave di formattazione, il formato *0.* viene utilizzato come impostazione standard.

    Nota: per l´impostazione standard sono consentite al massimo 15 cifre decimali.

Chiave di formattazione | Descrizione
, (virgola) | Inserisce il separatore delle migliaia tre posizioni prima del separatore decimale
. (punto) | Inserisce il separatore decimale.
; (punto e virgola) | Separa le chiavi di formattazione per ambiti di valori positivi e negativi.
# | Si sostituisce solamente se la rispettiva posizione esiste.
* | Si visualizzano tutte le cifre prima e dopo la virgola
0 (zero) | Se la posizione nel valore non è presente, essa viene riempita con lo zero.
/ | Il simbolo successivo viene trattato da stringa testo.

Esempi

Dati | Chiave di formattazione | Testo formattato | Descrizione
-0.2 | *0.00 | -0.20 | Vengono emesse sempre due cifre decimali.
123 | *00000 | 00123 | Le prime 5 posizioni vengono emesse con zeri in testa..
104 | ->*<- | ->104<- | In linea generale, i numeri vengono emessi tra i due simboli ->...<-.
0.2500 | *0.* | 00:25 | Nel caso di valori tra -1.0 e 1.0, all´inizio viene posto sempre uno zero.
12 | +*0.00;-*0.00 | +12.00 | I valori positivi sono caratterizzati da un + e quelli negativi da -.


Tipi di dati logici

Tipi di dati logici

Con i tipi di dati logici si possono visualizzare in modo informazioni del tipo SI/NO. in modo molteplice. Il testo di emissione viene fissato mediante la chiave di formattazione.

  • Formato: Testo;Testo2
  • Emissione
    • valori positivi incluso zero = Testo 1
    • valori negativi = Testo 2

Con la funzione if (exprTest,valTrue,valFalse) si possono descrivere le informazioni di emissione indipendentemente dalla formattazione delle celle.

Esempio

Dati | Chiave di formattazione | Testo formattato | Descrizione
1 |  | Sì | Se non si indica una chiave di formattazione, il sistema usa True/False come Default.
-1 | Si;No | No |


Tipi di dati per la data ed il tempo

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Funzioni di report -> Chiavi di formattazione -> Tipi di dati per la data ed il tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Tipi di dati per la data ed il tempo

Für die Ausgabe von Datums- und Zeitinformationen stehen eine Vielzahl von Formatierungsschlüssel zur Verfügung. Si utilizzano il formato emissione definito nelle impostazioni internazionali Windows per il modo di inserimento e per l’emissione senza chiave di formattazione.

info Informazioni su

Le denominazioni di giorni e mesi possono essere progettate nel Runtime in modo tale da essere traducibili.

Ogni simbolo che non rappresenta una chiave di formattazione si riprende come simbolo testo nelle emissione.

Chiave di formattazione | Valore | Descrizione
m | 1 - 12 | Mese numero breve
mm | 01 - 12 | Mese numero lungo
mmm | Gen - Dic | Mese breve
mmmm | Gennaio - Dicembre | Mese lungo
d | 1 - 31 | Giorno breve
dd | 01 - 31 | Giorno lungo
ddd | Do - Sa | Giorno della settimana breve
dddd | Domenica - Sabato | Giorno della settimana lungo
yy | 00 - 99 | Anno breve
yyyy | 1700 - 2900 | Anno lungo (0x viene interpretato come 190x)
/ |  | separatore data internazionale
h | 0 - 23 o 1 - 12 | Ora breve, o 24 h oppure 12 h con ap
hh | 00 - 23 o 01 - 12 | Ora lungo, o 24 h oppure 12 h con ap
mm | 00-59 | Minuti, solamente dopo h oppure hh
ss | 00-59 | Secondi
ff | 000-999 | Millisecondi
ap | am, pm (oppure equivalente internazionale) | am oppure pm
: (due punti) |  | separatore tempo internazionale

Esempio

Dati | Chiave di formattazione | Testo formattato
22.09.95 14:05 | dddd dd/mm/yyyy | venerdì 22.09.1995
22.09.95 14:05 | dd/mmmm yyyy | 22 settembre 1995
22.09.95 14:05 | dd/mm/yy hh:mm | 22.09.95 14:05
22.09.95 14:05 | hh:mm:ff | 14:05:000


Le funzioni di zenon per il Generatore Report.

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon mette a disposizione delle funzioni per la gestione del Generatore Report nel Runtime.

La funzione Cambio immagine passa all´immagine Report e consente la definizione di filtri.

Delle funzioni speciali consentono la stampa, l´esportazione oppure l´esecuzione di un report nel Runtime. Per creare una funzione di zenon per il Generatore Report:

  1. navigate nel menu contestuale delle funzioni e passate a: Nuova Funzione. -> Generatore Report
  2. selezionate la funzione desiderata:
    • Stampare report
    • Esportare report
    • Esegui report

Noch in diesem Kapitel

Cambio lingua Report

Filtro report

Report Generator: esegui report

Report Generator: stampa

Report Generator: esporta


Cambio lingua Report

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Cambio lingua Report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare il Report nel Runtime, progettate una funzione di cambio ad un´immagine del tipo Report:

  1. create una nuova immagine del tipo Report
  2. selezionate nel nodo Funzioni del menu contestuale, la voce Nuova Funzione
  3. selezionate la funzione Cambio immagine
  4. scegliete l´immagine del tipo Report
  5. viene visualizzato il Filtro report
  6. Selezionate le proprietà desiderate
  7. collegate la funzione ad un pulsante nell´immagine, per poter passare al Runtime


Filtro report

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si creano delle funzioni di zenon, viene visualizzato il filtro report per la configurazione del report:

  • File: selezione del file report e delle condizioni nel Runtime
  • Parametri: Parametro di trasferimento
  • Tempo: Intervallo tempo
  • Lotti: filtro su lotti
  • Collegamenti: Sostituisci funzioni
  • Indici: Sostituisci indici

Noch in diesem Kapitel

File

Parametri

Tempo

Lotti

Sostituisci collegamenti

Sostituisci indici


File

File

Nella scheda File, stabilite quale report viene chiamato al momento del cambio immagine, oppure se questa decisione deve essere presa a Runtime.

Parametri

Descrizione

Formato file

Selezione del file report (*.xrs) progettato nell’editor .

Proponi dialogo a Runtime

Attivo: Prima di ogni apertura dell´immagine viene aperto il dialogo di filtro. Le impostazioni di filtro possono essere modificate. Quest´opzione non è disponibile sotto Windows CE.
Attenzione: Se nella scheda Lotti si seleziona anche l´opzione Mostra dialogo di selezione lotti, quest´ultimo verrà aperto nel Runtime. Esso non verrà più visualizzato nel caso di un reload.

Indicazioni per il filtro intervallo di tempo:

Proponi dialogo a Runtime attivo:

  • Il filtro viene aperto nel Runtime con un cambio immagine. All´aggiornamento del progetto, il filtro non verrà più offerto. Questo comportamento può differire con i singoli tipi di immagine, se il dialogo è stato visualizzato e poi chiuso con il cambio immagine.
  • Si usa sempre l´ultimo intervallo di tempo concluso.

Proponi dialogo a Runtime non attivo:

  • Utilizza ultimo intervallo di tempo concluso non attivo: Si usa l´ultimo intervallo di tempo concluso.
  • Utilizza ultimo intervallo di tempo concluso non attivo: Si usa l´intervallo di tempo attuale.

Sola lettura

Attivo: gli inserimenti possono essere solamente letti. Non è possibile modificarli e salvarli.

Leggi archivi dalla cartella di backup

Attivo: gli archivi esportati vengono letti dalla cartella di backup definita nella configurazione di progetto.

Quando vengono scaricati dati d'archivio dalla cartella di backup, vengono letti anche i dati di archivio del percorso Runtime e di tutte le sottocartelle della cartella di backup.

La configurazione file è differente per:

  • Stampa report
  • Esporta report
  • Esegui report


Parametri

Parametri

I parametri consentono di usare un report per differenti archivi. A questo scopo vengono definiti nel report usando la funzione report parameter ( Numero ) i campi da usare in modo flessibile. Quali parametri usare di volta in volta, si stabilisce nella scheda Parametri della funzione Cambio immagine. Così è possibile fare in modo, per es., che un solo report venga usato per la visualizzazione degli archivi di più controller. Oppure è possibile configurare un report che metta a disposizione valori in diverse unità di misura.

Sono a disposizione 10 parametri:

  • 1 - 5: Tipo stringa
  • 6 - 10: Tipo DWord

Se per esempio è necessario visualizzare dei dati d’archivio di 5 PLC, è possibile creare un singolo report e passare 5 diversi parametri con 5 funzioni di ‘cambio immagine’.


Tempo

Tempo

I filtri tempo vi consentono di limitare il numero di dati da visualizzare ed esportare. I filtri tempo possono essere usati in modo flessibile e possono essere impostati nell´editor, ma possono essere anche adattati nel runtime.

Nota: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

I filtri tempo possono sia essere pre-impostati nell´Editor, che modificato poi nel Runtime:

  • Periodo assoluto
  • Periodo relativo
  • Da
  • Intervallo tempo

Il filtraggio tempo può essere realizzato in due modi:

  1. Indica intervallo di tempo nell´Editor
    Si usano intervalli di tempo fissi. nell´editor viene indicato in intervallo tempo. Nel runtime si può effettuare il filtraggio solo sulla base di questo intervallo di tempo. Anche altri filtri (per es. filtri per nomi variabile, gruppi e classi allarmi/eventi ecc) non sono più modificabili durante il Runtime.
  2. Filtro tempo adattabile durante il Runtime
    Vengono utilizzati tempi predefiniti. Il filtro tempo viene impostato nell´editor e può essere modificato a piacere nel runtime.

Filtro tempo

Filtro

Scelta del filtro.

Parametro

Description (Descrizione)

Nessun filtro tempo

Attivo: Non viene usato nessun filtro temporale.

Nota: Nel Runtime verranno visualizzati tutti gli inserimenti a partire da 1. 1. 1990.

Filtro assoluto

Attivo: Viene indicato un periodo di tempo fisso nell´editor. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato.

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Periodo relativo

Attivo: Viene indicato un periodo di tempo relativo.

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attivo: Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione dell´area fra quelle della lista a cascata:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo tempo

Attivo: Viene indicato un intervallo di tempo fisso. Selezione dell´area fra quelle della lista a cascata:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 Minuti
  • 30 Minuti
  • 60 Minuti

Nel settore "Impostazioni"vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudi finestra di dialogo

Parametro | Description (Descrizione)
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Nota: Nel passaggio ad un´immagine del tipo generatore Report deve essere configurato un filtro tempo. L´opzione Nessun filtro tempo non è a disposizione.

Noch in diesem Kapitel

Periodo assoluto

Periodo relativo

Da

Intervallo tempo

Indicare intervallo nell´editor

Filtro tempo adattabile durante il Runtime


Periodo assoluto

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Tempo -> Periodo assoluto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Periodo assoluto

Con il filtro assoluto definite un intervallo di tempo fisso. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato. Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione periodo assoluto
  2. configurate il tempo desiderato nella parte delle Impostazioni

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attivo: Il filtro tempo viene configurato nel Runtime.
Default | Attivo: Il filtro tempo viene indicato nell´Editor. Nel Runtime si può fissare solamente il punto di partenza del filtro.
Da | Punto di partenza del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.
Fino a | Tempo di chiusura del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Periodo relativo

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Tempo -> Periodo relativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Periodo relativo

Viene indicato un periodo di tempo relativo.

Attenzione: questo filtro viene costantemente aggiornato e continua a funzionare.
Esempio: impostate un tempo relativo di 10 minuti e aprite alle ore 12:00 un´immagine con questo filtro tempo. In questo caso, verrano visualizzati i dati dalle 11:50 alle 12:00 al momento dell´apertura dell´immagine. Se l´immagine rimane aperta, il filtro viene aggiornato automaticamente. Alle 12:01 vedrete i dati dalle 11:51 alle 12:01 ecc.

Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione periodo relativo
  2. configurate il tempo desiderato nella parte delle Impostazioni

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attivo: Il filtro tempo viene configurato nel Runtime.
Default | Attivo: Il filtro tempo viene indicato nell´Editor. Nel Runtime si può fissare solamente il punto di partenza del filtro. Selezione dell´intervallo tempo relativo in giorni, ore, minuti e secondi.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Da

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Tempo -> Da

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Da

Viene definito un tempo a partire dal quale il filtro è attivo. Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione Da
  2. selezionate il filtro desiderato fra quelli della lista a cascata.
    • Da HH:MM:SS
    • Dal Giorno - HH:MM:SS
    • Dal Giorno, Mese - HH:MM:SS
  3. configurate il tempo desiderato nella parte delle Impostazioni

Parametro

Descrizione

Impostazioni

Configurazione del filtro di tempo.

[Data/Ora]

In dipendenza dalle impostazioni effettuate per l´opzione Ab, in questa sede viene configurato un tempo a partire dal quale il filtro è attivo:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Attenzione! il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto l´orario delle 23:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.
  • Da HH:MM:SS

Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Esempio: facciamo il caso che indichiate come orario le 23:00:00. Se al momento dell´esecuzione della funzione sono le 23:30, viene effettuato il filtro dalle 23:00:00 fino al momento attuale. Se però sono le 22:30, allora il filtro viene effettuato dalle 23:00 del giorno precedente fino al momento attuale.
  • Dal Giorno - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nel mese corrente, si fa riferimento al tempo corrispondente del mese precedente.

Esempio: facciamo il caso che indichiate come giorno il 5 e come orario le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 del mese e sono le 23:30, il sistema effettua il filtro dal 5 del mese a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 del mese, il filtro viene effettuato a partire dal 5 del mese precedente alle 23:00 fino al momento attuale.

  • Dal Giorno, Mese - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nell´anno corrente, si fa riferimento al tempo corrispondente dell´anno precedente.

Esempio: facciamo il caso che indichiate comegiorno il 5, , come mese ottobre - e come ora le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 di ottobre e sono le 23:30, il sistema effettua il filtro dal 5 di ottobre a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 di ottobre, il filtro viene effettuato a partire dal 5 di ottobre precedente alle 23:00 fino al momento attuale.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Intervallo tempo

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Tempo -> Intervallo tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Intervallo tempo

Viene definito un intervallo di tempo nell´ambito del quale il filtro è attivo. Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione intervallo di tempo
  2. configurate il tempo desiderato nella parte delle Impostazioni

Parametro

Descrizione

Impostazioni

Configurazione del filtro di tempo.

Intervallo tempo

Selezione di un intervallo di tempo fra quelli proposti dal menù a tendina.

Nel Runtime si effettuerà un´operazione filtro sulla basa di questo intervallo di tempo. Il filtro si riferirà al momento dell´apertura dell´immagine.
Ad esempio: Il valore 60 minuti mostra tutti gli archivi dell´ultima ora.

Se questo dialogo viene offerto anche nel Runtime, si può selezionare il punto da cui deve incominciare a decorrere l´intervallo di tempo.

Modifica intervallo di tempo

Consente degli adattamenti del ciclo, spostamenti ed estensioni degli intervalli di tempo.

Attivo: L´analisi avviene secondo il seguente schema:

  • in primo luogo viene analizzata l´opzione Usa l´ultimo intervallo di tempo terminato.
  • Poi viene applicato Modifica periodo di.
  • Poi viene applicata l´opzione Spostamento intervallo avanti di.

Inattivo: non viene effettuata nessuna modifica all´intervallo di tempo.

Attenzione: A partire dalla versione 7.10, le azioni di filtro effettuate sulla base di questa funzione hanno prodotto altri esiti che nelle versioni precedenti.

Spostamento intervallo avanti di

Attivo: L´intervallo di tempo definito nel filtro viene spostato in avanti, nel futuro. Indicazione in ore - minuti - secondi.

Se si imposta uno spostamento pari o maggiore all´intervallo di tempo selezionato, il sistema visualizzerà una segnalazione che invita a verificare i dati della progettazione.

Modifica periodo di

Attivo: L´intervallo di tempo definito nel filtro viene modificato. Indicazione in ore - minuti - secondi.

Se si imposta una modifica e uno spostamento pari o maggiore all´intervallo di tempo selezionato, il sistema visualizzerà una segnalazione che invita a verificare i dati della progettazione.

Aggiungi tempo

Attivo: Il tempo indicato nell´opzione Modifica periodo di viene aggiunto a quello definito nell´opzione intervallo di tempo.

Sottrai tempo

Attivo: Il tempo indicato nell´opzione Modifica periodo di viene sottratto a quello definito nell´opzione intervallo di tempo.

Utilizza ultimo intervallo di tempo concluso

Attivo: Viene usato l´ultimo intervallo di tempo concluso.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Indicare intervallo nell´editor

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Tempo -> Indicare intervallo nell´editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Indicare intervallo nell´editor

Con questo metodo, indicate nell´editor già un intervallo di tempo fisso, che viene usato al momento dell´esecuzione della funzione nel runtime. Nel Runtime potete solamente fissare il punto temporale di partenza, ma non potete modificare alcuna impostazione di filtro.

Ad esempio: mettiamo che abbiate inserito un filtro tempo di 30 minuti. Nel runtime, potete solamente stabilire quando deve incominciare questo periodo di 30 minuti. Ma non potete neanche modificare il filtro in un filtro giorno.

attention Attenzione

Se usate questo tipo di filtro, non potete più adattare durante il Runtime anche tutti gli altri filtri che sono disponibili nella scheda Generale! Continua ad essere possibile filtrare sulla base di testo, stato e impianto.

Per impostare il filtro:

  1. nell´immagine deve essere disponibile il pulsante Filtro al fine di poter avviare il filtro stesso nel Runtime.
  2. selezionate il filtro desiderato
  3. configurate l´intervallo di tempo selezionato

Suggerimento per l´intervallo di tempo: attivate nel dialogo filtro l´opzione Proponi dialogo a Runtime. In tal modo potete adattare il punto temporale di partenza già prima dell´esecuzione della funzione. se non vi fate visualizzare il filtro al momento dell´apertura della funzione nel Runtime, verrà usato sempre l´intervallo di tempo attuale. Se avete attivato l´opzione Usa l´ultimo intervallo di tempo terminato, viene visualizzato l´ultimo intervallo di tempo.
Per esempio: mettiamo che abbiate impostato un filtro di 30 minuti. Quando si attiva la funzione sono le 10:45. Nel caso in cui l´opzione Usa l´ultimo intervallo di tempo terminato non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Nel caso in cui, però, l´opzione dovesse essere attiva, il filtro viene settato all´intervallo di tempo precedente dalle 10:00:00 alle 10:29:59.


Filtro tempo adattabile durante il Runtime

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Tempo -> Filtro tempo adattabile durante il Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Filtro tempo adattabile durante il Runtime

Se seguite questo metodo, definite nell´Editor un filtro tempo: esso può essere adattato durante il Runtime prima di essere eseguito. Per impostare il filtro:

  1. nell´immagine devono essere presenti i pulsanti Filtro e Mostra filtro
  2. selezionate il filtro desiderato:
    • Periodo assoluto
    • Periodo relativo
  3. selezionate alla voce Impostazioni l´opzione Proponi data e ora attuale
  4. nel Runtime, verrà aperto il dialogo di filtro con la data e l´ora attuali.


Lotti

Lotti

In questa scheda configurate la riduzione della visualizzazione a determinati lotti. L´informazione lotti viene usata in aggiunta al filtro esistente. Il filtro lotti corrisponde a quello negli archivi:

info Informazioni su

Alcuni filtri in zenon possono essere configurati indipendentemente l´uno dall´altro nell´Editor e poi combinati a Runtime. Con il filtro lotto, questo è possibile solo fino ad un certo punto.

Il filtro lotto può offrire a Runtime una lista dei lotti esistenti. Si tratta di dati Runtime che non sono disponibili nell´Editor. .

Quando si configura il cambio immagine nell´Editor, si può usare la scheda Filtro tempo in combinazione con il filtro lotto solo come filtro preliminare per la finestra di dialogo di selezione lotti. Quando poi si seleziona un lotto di questa lista a Runtime, il filtro tempo viene sovrascritto con i dati del lotto selezionato per ottenere così un filtro esatto per il lotto selezionato.

Questo significa: quando si usa il dialogo di selezione lotti a Runtime e si seleziona un lotto, il filtro tempo non corrisponde a quello configurato nell´Editor.

Filtro

Impostazioni per l´uso del filtro lotti. Selezione di una delle opzioni:

  • Nessun filtro lotti
  • Usa direttamente filtro lotti
  • Visualizza dialogo di selezione lotto
    Nota: quando il filtro lotti viene visualizzato come finestra di dialogo, è possibile eseguire un filtro preliminare sulla base delle identificazioni archivi. Si raccomanda espressamente di utilizzare questa possibilità di filtro preliminare per migliorare le prestazioni.

Parametri

Descrizione

Nessun filtro lotto
  • Attivo: il filtro lotti viene disattivato e non può essere configurato. A Runtime non verrà eseguito un filtro sulla base dei lotti.

Applica direttamente filtro lotto
  • Attivo: il filtro configurato qui verrà utilizzato direttamente a Runtime.

Nota: non è possibile farsi visualizzare tutti i lotti in una lista e selezionarne uno manualmente. Se si vuole che venga visualizzato un determinato lotto, si deve configurare in modo corrispondente il filtro per archivi, nome e tempo. Questo presuppone una conoscenza esatta dei dati esistenti. In alternativa, si raccomanda di selezionare l´opzione Visualizza dialogo di selezione lotto.

Visualizza dialogo di selezione lotto

Attivo: a Runtime, la finestra di dialogo per la selezione lotti viene visualizzata:

  • Cliccando su Filtro, oppure
  • Con un cambio immagine, se è stata attivata l´opzione Proponi dialogo a Runtime (non disponibile per ogni funzione/ogni tipo di immagine)
    Nota: la finestra di dialogo non verrà visualizzato in caso di reload.

Le opzioni possono essere preselezionate nell´Editor.

Sostituisci dialogo a Runtime con l'immagine

Disponibile solo se è stata selezionata l´opzione Visualizza dialogo di selezione lotto.

Definizione di un´immagine che deve essere aperta a Runtime al posto del Dialogo di selezione lotto. Vengono proposte alla selezione solamente immagini di tipo Filtro tempo/lotto.

Cliccare sul pulsante ... per aprire la finestra di dialogo che serve alla selezione di un´immagine.

Se non si trova l´immagine collegata a Runtime, il sistema cerca le immagini corrispondenti con nomi specifici.

Nota: si può selezionare un´immagine "Filtro lotto" anche utilizzando l´opzione Proponi dialogo a Runtime. Questa immagine, però, non viene usata qui come filtro lotto, ma come filtro tempo. Le opzioni "filtro lotto" non vengono applicate correttamente in questa posizione.

Selezione lotto relativo

Attenzione: questa opzione è disponibile solamente per il Trend esteso. Con faceplate, quest´opzione viene visualizzata per tutti i tipi di immagine; anche qui, però, è disponibile solamente per il modulo ETM.

Configurazione per ETM:

Questa opzione è disponibile se l´opzione Visualizza dialogo di selezione lotto è attiva e se la proprietà Progetto WindowsCE è disattivata nelle proprietà di progetto.

  • Attivo: consente un confronto diretto di diversi lotti. La rappresentazione parte sempre dal punto zero.

Visione generale della implementazione della configurazione a Runtime:

Ora

Configurazione del filtro tempo per la selezione lotti. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Ultimo lotto
  • Applica filtro tempo dalla scheda "Tempo"

Parametri

Descrizione

Nessun filtro
  • Attivo: non si tiene conto dell´intervallo di tempo impostato nella scheda Ora. Verrano visualizzati tutti i lotti conclusi e ancora attivi.

Ultimo lotto

Attenzione: questa opzione funziona solo in combinazione con l´opzione Applica direttamente filtro lotto.

Consente la combinazione di Visualizza lotto corrente e Visualizza lotti conclusi. Almeno una di queste due opzioni deve essere attivata. Se sono entrambe disattivate, questo corrisponde all´impostazione Nessun filtro.

  • Attivo: inserimento del numero dei lotti conclusi di recente sulla base dei quali deve essere effettuata l´operazione di filtro. Inserimento del numero nel campo numerico, oppure configurazione mediante tasti frecce.

Esempio: il valore inserito per questa opzione è 3. Ci sono 2 lotti correnti e 10 sono conclusi. In questo caso il sistema visualizzerà i due lotti correnti e uno di quelli conclusi.

Nota: come intervallo di tempo per i lotti correnti, non viene utilizzato il valore impostato nel filtro tempo, ma l´ultimo anno. Questo filtro non viene eseguito come filtro preliminare, e non può essere dunque usato per avere un miglioramento delle performance.

Informazioni sulla compatibilità:
Se il progetto viene compilato per una versione precedente alla 7.11, vale quanto segue: se si selezionano i lotti correnti, oppure la combinazione fra lotti correnti e conclusi, saranno visualizzati a Runtime solamente i lotti chiusi.

Visualizza lotto corrente
  • Attivo: verrano visualizzati i lotti attivi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti attivi al momento, il sistema mostrerà anche lotti già conclusi finché non sarà raggiunto il limite impostato.
Esempio: devono essere visualizzati 3 lotti. Solamente 1 lotto è attivo, mentre 5 sono stati già chiusi. In questo caso, verranno visualizzati il lotto ancora attivo e 2 di quelli già terminati.

Visualizza lotti chiusi
  • Attivo: vengono visualizzati i lotti conclusi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti conclusi, il sistema mostrerà anche lotti ancora attivi finché non sarà raggiunto il limite impostato.

Applica filtro tempo dalla scheda "Tempo"
  • Attivo: il sistema esegue un filtro preliminare usando le impostazioni della scheda Zeit.

Nell´ambito di questo intervallo di tempo si potrà adattare l´effettivo intervallo del filtro. Selezione dal menù a tendina:

  • Inizio e fine esterni ai limiti del filtro: (Default)
    I lotti possono iniziare prima dell´ora di partenza impostata nel filtro Tempo e terminare dopo il tempo di conclusione configurato.
  • Inizio e fine interni ai limiti del filtro:
    I lotti devono iniziare e finire all´interno dei termini temporali impostati nel filtro Tempo per il loro inizio e la loro fine.
  • Inizio anche precedente al limite filtro:
    I lotti possono iniziare prima dell´ora di partenza impostata nel filtro Tempo, ma devono terminare prima o in corrispondenza del tempo di conclusione configurato.
  • Fine anche successiva al limite del filtro:
    I lotti possono terminare anche dopo il tempo di conclusione configurato nel filtro Tempo, ma devono iniziare dopo o in corrispondenza dell´ora di partenza configurata.
  • Inizio e fine coincidono con i limiti del filtro:
    I lotti vengono ridotti facendo riferimento ai termini temporali fissati per inizio e fine nel filtro Zeit.

Archivi

Configurazione delle impostazioni di filtro per gli archivi. Questo filtro si applica come filtro preliminare per la finestra di selezione lotti.

Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Statico
  • Da variabile

Parametri

Descrizione

Nessun filtro
  • Attivo: non si esegue nessuna operazione di filtro su base nome archivi.

Statico
  • Attivo: si filtrano gli archivi la cui identificazione corrisponde alla successione di caratteri impostata nel campo di inserimento.

Inserimento di identificazioni archivi nel campo di inserimento:

  • Più identificazioni sono divise da una virgola (,).
  • * oppure vuoto: tutti gli archivi, nessun filtro.

Da variabile
  • Attivo: a Runtime viene applicato il valore della variabile collegata qui come filtro per nomi archivi.

Quando si clicca sul pulsante ... si apre la finestra di dialogo che serve alla selezione di una variabile.

Disponibile per tutti i moduli solo se è stata selezionata l´opzione Applica direttamente filtro lotti.

Informazioni concernenti le variabili nel Runtime:

  • Nel Runtime, la selezione variabili viene attivata solamente nel caso in cui si sia proceduto a collegare già nell´Editor una variabile valida. Il pulsante ... non è mai attivo nel Runtime. È dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, essa verrà registrata e letta. Ciò può causare dei ritardi nel caso di connessioni driver e protocolli lenti.

Attenzione: se il sistema non trova la variabile selezionata a Runtime, non verrà eseguito nessun filtro sulla base di nomi archivio. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Nota riguardante l´ETM: nel modulo ETM gli archivi sono determinati dalle curve progettate nel cambio immagine. A Runtime, questo è possibile solamente in combinazione con l´opzione Lotto relativi . Con questa opzione, le variabili devono essere selezionate a Runtime, il che è fissato a sua volta dalla selezione possibile di archivi. Dopo essere stato filtrato, l´archivio deve essere uno di quelli sui quali si basano le curve configurate. In caso contrario non verrà visualizzato nessun dato. Questa impostazione può essere usata anche per limitare le curve visualizzate. Tuttavia queste continueranno ad essere visualizzate nella lista delle curve.

Esempio: ETM.

Curve configurate | Origine dati | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
A | AR | AR | Viene visualizzata nella lista delle curve e disegnata nel Trend.
B | EA |  | Viene visualizzata solamente nella lista delle curve.
C | EP |  | Viene visualizzata solamente nella lista delle curve.

Nota relativa alla post elaborazione archivio: l´archivio per cui viene aperta l´immagine è già selezionato nella funzione di cambio immagine. Visto che si può selezionare solamente un archivio, non ha senso impostare ulteriori limitazioni.

Esempio di post elaborazione archivio:

Archivio configurato | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
AR | EA | Non viene visualizzato nessun dato.

Nomi

Configurazione del filtro dei nomi. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Statico
  • Da variabile

Parametri

Descrizione

Nessun filtro
  • Attivo: non si esegue un filtro sulla base dei nome lotti.

Statico
  • Attivo: si filtrano i nomi lotti che corrispondono alla successione caratteri indicata nel campo di inserimento.

Inserimento del nome lotto nel campo di inserimento:

  • Più identificazioni sono divise da un segno pipe (|).
  • * oppure vuoto: tutti i lotti di tutti gli archivi visualizzati, nessun filtro.

Da variabile
  • Attivo: a Runtime si usa il valore della variabile collegata qui come filtro per i nomi lotti.

Quando si clicca sul pulsante ... si apre la finestra di dialogo per la selezione di una variabile.

Disponibile solo se è stata selezionata l´opzione Applica direttamente filtro lotto.

Informazioni concernenti le variabili nel Runtime:

  • Nel Runtime, la selezione variabili viene attivata solamente nel caso in cui si sia proceduto a collegare già nell´Editor una variabile valida. Il pulsante ... non è mai attivo nel Runtime. È dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, essa verrà registrata e letta. Ciò può causare dei ritardi nel caso di connessioni driver e protocolli lenti.

Attenzione: se non è possibile trovare la variabile selezionata a Runtime, non sarà eseguito nessun filtro dei nomi lotti. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Sostituisci collegamenti

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Sostituisci collegamenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Sostituisci collegamenti

Delle variabili o delle funzioni collegate possono essere sostituite in modo durevole nell`Editor sulla base di regole. La sostituzione non si limita alle variabili o alle funzioni definite nelle proprietà del gruppo Variabile / funzione. Possono essere sostituite anche tutte le altre variabili usate nell´immagine, come ad es. le variabili per Visibilità, Lampeggio, Dimensione e rotazione dinamica e altre ancora.

Per sostituire variabili o funzioni sulla base di regole direttamente sull´elemento:

  1. selezionate l´elemento desiderato e aprite il menu contestuale cliccando con il tasto destro del mouse su un elemento
  2. selezionate Sostituisci collegamenti
  3. si apre il dialogo che serve a sostituire i collegamenti

Proprietà | Descrizione
Sorgente | Inserimento del segmento string da cercare. Possono essere usati i caratteri jolly * e ?. I caratteri jolly sono consentiti solamente come prefisso o suffisso, cioè *xxx o xxx*.
Destinazione | Immissione della nuova parte di stringa
Nome | Scambia informazione nel nome delle variabili
Identificazione | cambio dell’ informazione nell’ identificazione.
Rispetta minuscolo/maiuscolo | tiene presente nell´effettuare il cambio della corrispondenza di scrittura maiuscola e minuscola.
Acquisisci | Cambio di stringhe cercate della sorgente con quelle definite nella destinazione.
Funzioni /Variabili | apre la lista di selezione per variabili/funzioni riferita alla riga selezionata nella lista Cliccando su una variabile della lista, si definisce una nuova variabile di destinazione. Alternativa: cliccate due volte sulla variabile di destinazione corrispondente.

Sostituisci

a) sostituzione con selezione manuale

  • selezionate l´elemento della lista che volete sostituire, come sorgente.
  • selezionate un elemento di destinazione facendo uso del pulsante Variabile/Funzione.
  • L´elemento attuale viene sostituito dal nuovo.

b) Sostituzione automatica con regole

  • Definite nel campo di inserimento sorgente i parametri per gli elementi che volete sostituire.
  • Definite facendo uso del campo di inserimento "destinazione" il parametro per la nuova variabile/funzione.
  • Fissate per mezzo di Nome/identificazione ciò che deve essere cambiato.
  • Cliccate su Applica

info Informazioni su

La variabile di destinazione oppure la funzione di destinazione possono trovarsi anche in un progetto diverso rispetto a quello della variabile o funzione sorgente. Ma tutti i progetti interessati debbono essere lanciati e disponibili sullo stesso computer nel runtime.

info Informazioni su

Per la sostituzione si usano gli ID di variabile interna. Ciò significa che, se variabili o funzioni usate vengono rinominate, la sostituzione rimane.

attention Attenzione

Nel sostituire variabili, fate attenzione al tipo e alla risoluzione del segnale. Se sostituite una variabile con una non compatibile per tipo, ciò può provocare degli errori nell´esecuzione. In questo caso il sistema visualizza un messaggio di avviso; ma la sostituzione viene effettuata lo stesso.

info Informazioni su

Sostituito per Drag&Drop gli elementi che possono contenere solamente una variabile o una funzione, consentono il cambio per Drag&Drop. Trascinate con il mouse la nuova variabile o funzione sull´elemento. Essa sostituirà automaticamente quella esistente.

Esempio

Tutte le variabili il cui nome contiene Tank1 devono essere sostituite con variabili con Tank4.

  1. Indicate nel campo di testo Fonte Tank1. Mettete il segno * alla fine di ogni variabile che inizia con Tank1.
  2. Inserite nel campo Ziel Tank4.
  3. Cliccate su Applica.
  4. Le variabili Tank1_max e Tank1_min vengono sostituite con quelle Tank4_max e Tank4_min.


Sostituisci indici

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Filtro report -> Sostituisci indici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Sostituisci indici

Con il cambio immagine nel runtime, le variabili e le funzioni possono essere sostituite in modo dinamico usando regole di indicizzazione, o parametri specifici per l´elemento.

Possibilità di sostituzione:

  • Mediante variabili di indicizzazione: per es. {X01}
  • Usando parametro specifici per l´elemento: {PARAM}
  • Senza variabile di indicizzazione o parametri

attention Attenzione

Visto che i nomi vengono sostituiti, alle variabili e alle funzioni dovrebbero essere sempre dati nomi differenti. Nel caso di una uguaglianza di nome, le variabili e le funzioni in questione verrebbero sostituite.

Esempio: esistono una variabile test e una funzione test e la variabile test deve essere sostituita, questo caso lo sarebbe anche la funzione test.

Suggerimento: nominate le variabili e le funzioni assegnando a ciascuna categoria un prefisso (per es. var_ e func_). In tal modo avrete una visione d´insieme chiara anche nelle liste.

attention Attenzione

Al contrario di quanto succede con l´opzione Sostituisci collegamenti, la sostituzione via indici è basata puramente sui nomi e non su ID di variabili interni.

Ciò significa che, se variabili e funzioni usate nel cambio immagine vengono rinominate, queste modifiche devono essere effettuate anche nella stessa funzione di cambio lingua.

Sostituisci dialogo indici

Regole di indicizzazione

Parametri

Descrizione

Regole di indicizzazione

Configurazione delle regole per la sostituzione di variabili e funzioni.

Origine

Inserimento della sorgente che deve essere usata

Destinazione

Inserimento della destinazione. Possono essere usati anche parametri per valori da variabili di indicizzazione, come ad es. ({X01} e parametri {PARAM} per funzioni.

Rispetta minuscolo/maiuscolo
  • Attivo: nell´effettuare l´operazione di sostituzione, il sistema distingue fra lettere maiuscole e minuscole.

Lista delle regole

Lista delle regole definite

Aggiungi regola

Cliccando su questo pulsante, si aggiunge alla lista la regola definita via sorgente e destinazione.

Informazioni: Se c´è una regola selezionata nella lista, essa verrà sovrascritta. Per aggiungere una nuova regola, la selezione deve essere eliminata precedentemente.

Rimuovi regola

Cliccando su questo pulsante, si cancella la regola selezionata dalla lista.

Freccia in su

Quando si clicca su questo pulsante, la regola selezionata viene spostata di un posizione più in alto nella lista.

Freccia in giù

Quando si clicca su questo pulsante, la regola selezionata viene spostata di un posizione più in basso nella lista.

Nota: Il metodo Sostituisci indici può essere usato anche senza variabili di indicizzazione. Si indicano le variabili nella lista delle regole.
Vantaggio: Se si aggiungono dei sub-elementi alla struttura, la funzione non deve essere modificata e adeguata una seconda volta, come avverrebbe con il metodo Sostituisci collegamenti.

Variabile di indice

Parametri

Descrizione

Variabile di indice

Configurazione delle variabili di indicizzazione.

Lista delle regole

Mostra le variabili di indicizzazione selezionate.

Aggiungi

Quando si clicca su questo pulsante, si apre la finestra di dialogo che serve ad aggiungere o cancellare variabili di indicizzazione.

Le variabili selezionate vengono aggiunte una dopo l´altra e dotate di un parametro. Quest´ultimo può essere usato nelle regole di sostituzione per la corrispondente variabile di indicizzazione. Il valore di queste variabili viene usato di regola durante la sostituzione.

Replacement preview

Parametri | Descrizione
Replacement preview | Elenca tutte le sostituzioni configurate. Quando si clicca su un inserimento, il sistema riempie anche le opzioni sorgente e destinazione nella sezione "regole di indicizzazione".

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

attention Attenzione

Se si usano delle variabili indice in un progetto di rete, il client deve anzitutto andare a prendere il valore dal server. Poi viene eseguito il calcolo. Su apparecchi con scarsa prestazione hardware, ciò può causare ritardi nel cambio immagine.
Suggerimento: attivate le variabili indice in un progetto di rete sempre con l´opzione HD attivo.


Report Generator: esegui report

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Report Generator: esegui report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Report Generator: esegui report esegui report consente di eseguire automaticamente nel Runtime un report in background. Se una funzione di scrittura è progettata nel report, dei valori calcolati nel report possono essere automaticamente scritti negli Archivi oppure nell´immagine di processo.

Per configurare la funzione:

  1. create una nuova funzione
  2. selezionate nella sezione Report Generator l´inserimento Esegui report
  3. verrà aperto il dialogo Filtro report

    Nota: le impostazioni della scheda File sono diverse. In questo capitolo vengono spiegate le impostazioni valide per Esegui report; tutte le altre impostazioni le trovate nel capitolo Filtro report.

    • Parametri
    • Tempo
    • Lotto
  4. Selezionate le proprietà desiderate
  5. collegate la funzione ad un pulsante nell´immagine, per poter passare al Runtime

Configurazione del scheda File.

La configurazione del scheda File è molto simile a quella del cambio lingua.

Parametri

Descrizione

Formato file

Selezione del file report (*.xrs) progettato nell’editor .

Proponi dialogo a Runtime

Attivo: Questo dialogo di filtro viene offerto a Runtime prima dell´apertura dell´immagine.

Leggi archivi dalla cartella di backup

Attivo: gli archivi esportati vengono letti dalla cartella di backup definita nella configurazione di progetto.

Quando vengono scaricati dati d'archivio dalla cartella di backup, vengono letti anche i dati di archivio del percorso Runtime e di tutte le sottocartelle della cartella di backup.

info Informazioni su

Con questa funzione vengono eseguite nel report anche tutte le azioni di scrittura.


Report Generator: stampa

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Report Generator: stampa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Report Generator: esegui report Stampa report consente di stampare un report senza che sia necessario prima aprirlo. Per configurare la funzione:

  1. create una nuova funzione
  2. selezionate nella sezione Report Generator l´inserimento Stampa report
  3. verrà aperto il dialogo Filtro report
  4. Nota: le impostazioni della scheda File sono diverse. In questo capitolo vengono spiegate le impostazioni valide per Stampa report; tutte le altre impostazioni le trovate nel capitolo Filtro report:
    • Parametri
    • Tempo
    • Lotto
  5. Selezionate le proprietà desiderate
  6. collegate la funzione ad un pulsante nell´immagine, per poter passare al Runtime

Configurazione della scheda File.

Parametri

Descrizione

Formato file

Selezione del file report (*.xrs) progettato nell’editor .

Proponi dialogo a Runtime

Attivo: Questo dialogo di filtro viene offerto a Runtime prima dell´apertura dell´immagine.

Con dialogo per annullare

Attivo: durante la preparazione del report per la stampa, appare un pulsante per annulare la stampa.

Leggi archivi dalla cartella di backup

Attivo: gli archivi esportati vengono letti dalla cartella di backup definita nella configurazione di progetto.

Quando vengono scaricati dati d'archivio dalla cartella di backup, vengono letti anche i dati di archivio del percorso Runtime e di tutte le sottocartelle della cartella di backup.

info Informazioni su

Con la funzione Stampa report si possono leggere degli inserimenti archivio. Non sono possibili delle azioni di scrittura.


Report Generator: esporta

Manuale -> Reporting -> Generatore Report -> Progettazione nell'editor -> Le funzioni di zenon per il Generatore Report. -> Report Generator: esporta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel funzionamento online con questa funzione un report può essere scritto nello sfondo su un file. Il file di esportazione viene salvato nella sottocartella \Export della cartella di progetto. (aprire da zenon: seleziona progetto, Ctrl+Alt+D stampa.) Si indicano come parametri di trasferimento i parametri file, il filtro ed il tempo.

La funzione Esporta report consente di esportare un report in un file senza che sia necessario prima aprirlo. Per configurare la funzione:

  1. create una nuova funzione
  2. selezionate nella sezione Report Generator l´inserimento Esporta report
  3. verrà aperto il dialogo Filtro report
  4. Nota: le impostazioni della scheda File sono diverse. In questo capitolo vengono spiegate le impostazioni valide per Esporta report; tutte le altre impostazioni le trovate nel capitolo Filtro report.
    • Parametri
    • Tempo
    • Lotto
  5. Selezionate le proprietà desiderate
  6. collegate la funzione ad un pulsante nell´immagine, per poter passare al Runtime

info Informazioni su

Quando si esporta un report usando la funzione Esporta report, vengono esportate per le Unità di misura le unità cambiate. Le unità di base non sono interessate dall´export.

Configurazione della scheda File.

Parametri

Descrizione

Formato file

Selezione del file report (*.xrs) progettato nell’editor .

Proponi dialogo a Runtime

Attivo: Questo dialogo di filtro viene offerto a Runtime prima dell´apertura dell´immagine.

Leggi archivi dalla cartella di backup

Attivo: gli archivi esportati vengono letti dalla cartella di backup definita nella configurazione di progetto.

Quando vengono scaricati dati d'archivio dalla cartella di backup, vengono letti anche i dati di archivio del percorso Runtime e di tutte le sottocartelle della cartella di backup.

File di esportazione

Proprietà del file nel quale viene esportato il report.

Nome

Nome del file.
Al massimo 8 caratteri alfanumerici. Se non si indica nessun nome ed è disattivata la funzione "Assegna nome automaticamente", il sistema usa automaticamente il nome dummy.

Attenzione: l´uso di caratteri speciali può causare la perdita di dati.

Formato

Formato del file di esportazione.
  • TXT

File testo
  • XRS

file report di zenon
  • XML

File XML

Assegna nome automaticamente

Attivo: Il nome file viene generato automaticamente. Esso consta dell´identificazione breve, della data codificata e dell´estensione file selezionato.

Codificazione nome per assegnazione nome automatica

Codice | Descrizione
xx | Identificazione breve: 2 caratteri I due primi caratteri del nome assegnato alla voce "Nome", oppure quelli attribuiti dal sistema du.
AA | anno: a due cifre
MM | mese: a due cifre
GG | giorno: a due cifre
HH | ora: a due cifre
MM | minuti: a due cifre
SS | secondo: a due cifre

Esempio

  • Il file report Report viene esportato il 9/ 6. 2010 alle 11:52 in formato XRS
  • Nome file automatico: re100506091152.xrs

info Informazioni su

Con la funzione Esporta report potete solamente leggere gli inserimenti di archivio. Non sono possibili delle azioni di scrittura.


Gestione durante il runtime

Manuale -> Reporting -> Generatore Report -> Gestione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime i report vengono visualizzati, configurati e gestiti medianti i pulsanti progettati allo scopo. Durante il Runtime sono a disposizione i seguenti elementi di gestione:

Parametri

Descrizione

Inserisci modello...

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Immagine

Elementi di controllo per visualizzazione finestre.

Finestra Report

Finestra per la visualizzazione dei report.

Filtro impostato

Mostra durante il Runtime il filtro tempo configurato attualmente.

Funzioni

Pulsanti per la gestione durante il Runtime.

Filtro

Seleziona file report e modifica le condizioni di filtro.

Aggiorna

Ricreare completamente il report (valori e visualizzazione).

Stampa

Stampa report nel Runtime.

Esporta

Esporta report.

Salva archivio

Salvare valori modificati nell’archivio.

Salva report

Il report viene salvato nel Runtime (*.xrs).

Attenzione: Al momento del salvataggio del report, le formule e le funzioni vengono sostituite dai valori attuali. Non sono più disponibili le funzioni in questi report (file .xrs). Non sarà più possibile neanche modificare questi report nell´Editor.

Raccomandazione: impostate i file originali di Report in modalità "protetti da scrittura" e salvate le modifiche in un nuovo file usando il comando Salva con nome .

Salva report con nome

Il report viene salvato nel runtime con un nuovo nome (*.xrs), essendo sostituite le formule e funzioni dai valori attuali.

Leggi valori selezionati

Il driver legge di nuovo i valori selezionati

Imposta valore selezionato

I valori selezionati vengono scritti sul driver.

Leggere tutti i valori

Il driver legge di nuovo tutti i valori.

Scrivi tutti i valori

Tutti i valori vengono scritti sul driver.

Navigazione

Elementi di controllo per la navigazione.

Riga in su

Passare una riga più in alto

Riga in giù

Passare una riga più in basso

Colonna a destra

Spostarsi di una colonna a destra

Colonna a sinistra

Spostarsi di una colonna a sinistra

Pagina in su

Passare alla pagina precedente

Pagina in giù

Passare alla pagina successiva

Pagina a destra

Spostarsi di una pagina a destra

Pagina a sinistra

Spostarsi di una pagina a sinistra

Profilo filtro

Pulsanti per impostazioni filtro nel Runtime.

Scelta profilo

Selezionare un profilo dalla lista.

Salva

Salva l´impostazione attuale come profilo.

Elimina

Cancella il profilo selezionato.

Importa

Importa profili filtro da un file di export

Esportazione

Esporta profili filtro in file

info Informazioni su

come separatore decimale viene utilizzato un punto. Quando si inserisce un valore, si può usare sia il punto che la virgola. In caso si usi una virgola, sarà il sistema a modificare il separatore automaticamente.

Esempio: Se si digita 10,5, il risultato sarà 10.5

Noch in diesem Kapitel

Filtro lotti in caso di cambio immagine


Filtro lotti in caso di cambio immagine

Manuale -> Reporting -> Generatore Report -> Gestione durante il runtime -> Filtro lotti in caso di cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se aprite un´immagine del tipo Report, che viene filtrata su base lotti, viene visualizzato il seguente filtro:

Parametri

Descrizione

Filtro Lotto

Selezione del lotto sulla base del quale deve essere effettuata l´operazione di filtro. Il filtro consiste delle due liste:

  • Lista archivi: Lista degli archivi
  • Lista lotti: lista dei lotti assegnati all´archivio selezionato.

Lista archivi

Scelta dell’archivio desiderato.

Nodo *:

  • raccoglie tutti i lotti di tutti gli archivi visualizzati.
  • Chiave è il nome lotto.
  • Il tempo d´inizio è quello del lotto che comincia prima.
  • Il tempo di conclusione è quello del lotto che finisce per ultimo.

Lista lotti

Visualizzazione dei lotti assegnati all´archivio selezionato.

Filtro mediante l´inserimento di un testo, una data, un´ora oppure un intervallo di tempo - a seconda del tipo.

Gli inserimenti vengono ordinati quando si clicca sull´header.

Nome lotto

Mostra i nomi di tutti i lotti disponibili.

Filtro: inserimento di una successione di caratteri. Vengono visualizzate solamente le charge con la successione caratteri corrispondente.

Data di start

Mostra la data di fine di tutti i lotti disponibili.

Filtro: inserimento di una data di start o selezione di una data dal calendario.

Ora partenza

Disponibile solamente se indicate una data di inizio.

Visualizzazione del tempo di fine di tutti i lotti disponibili.

Filtro: inserimento di un´ora di partenza. * sta per l´orario 0:00:00.

Data di fine

Mostra la data di fine di tutti i lotti disponibili.

Filtro: inserimento di una data di fine o selezione di una data dal calendario.

Tempo di fine

Disponibile solamente se indicate una data di fine.

Visualizzazione del tempo di fine di tutti i lotti disponibili.

Filtro: inserimento di un´ora di partenza. * sta per l´orario 23:59:59.

Durata

Questa colonna Vi indica la durata di tutti i lotti disponibili.

Solo visualizzazione.

info Informazioni su

Vengono visualizzate anche le charge non ancora portate a termine, sempre che esse corrispondano ai criteri di filtro.

info Informazioni su

Il valore della variabile charge viene scritto all´inizio della charge sia nel file Index, che nell´header del file ARX. Ogni volta che questa variabile cambia, questi inserimenti vengono adattati. Al momento della fine della charge, il valore attuale della variabile charge viene scritto definitivamente nel file Index e nell´header.

Solo quando una charge è conclusa, il nome charge è scritto in modo fisso.


Esempio Dati archivio nei report

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo esempio, create dei dati di archivio in un report. A tale scopo:

  1. aprite anzitutto un nuovo report utilizzando il menù contestuale e la voce Nuovo report.
  2. definite l´area titolo
  3. riempite il Settore dati
  4. impostate una Immagine del tipo Report e create una funzione

Noch in diesem Kapitel

Area titolo

Area dati

Visualizza report nel Runtime.


Area titolo

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report -> Area titolo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´area titolo contiene nelle due prime righe:

  • testi come titoli per i dati
  • Date and Time (Data e ora)
  • Logo delle ditta

L´area titolo viene formattata in modo tale da rimanere fissa nel caso di lunghi report e da non sparire dalla visuale quando si fa lo scrolling nel documento.

Noch in diesem Kapitel

Testi

Date and Time (Data e ora)

Immagini come logo dell´azienda

Settore titolo fisso nel caso di report di più pagine.


Testi

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report -> Area titolo -> Testi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserite i seguenti testi come titoli per il report:

  • Time
  • Hall 1
    • Tank 1
    • Tank 2
  • Hall 2
    • Tank 1
    • Tank 2


Date and Time (Data e ora)

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report -> Area titolo -> Date and Time (Data e ora)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Data e ora del report vengono progettati per le celle A1 e E1 con funzioni di report. A tale scopo:

  1. inserite in A1 e E1 la funzione =now().
  2. in entrambe le celle verrà adesso visualizzata la data attuale
  3. per far in modo che in E1 appaia l'ora anziché la data, dobbiamo modificare la formattazione delle celle
    1. selezionate la cella E1
    2. aprite il dialogo di formattazione usando il menù Formato/Celle/Numeri
    3. selezionate adesso la stringa di formattazione come mostra la seguente immagine

  4. il risultato:


Immagini come logo dell´azienda

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report -> Area titolo -> Immagini come logo dell´azienda

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le immagini nelle celle vengono trattate dal Report Generato non come contenuto della cella, ma come formattazione. Per questo motivo, la progettazione avviene anche attraverso la formattazione celle:

  1. importate l´immagine desiderata nel manager di progetto nel nodo File/Grafiche
  2. selezionate la cella E2 usando il tasto sinistro del mouse.
  3. aprite adesso con il tasto destro del mouse il menu contestuale del report e selezionate il comando Formattazione cella.
  4. nel box di dialogo passate alla pagina Tipo di cella.
  5. cambiate il tipo di cella in File grafico.
  6. selezionate l´immagine desiderata dalla lista a cascata di destra

  7. il risultato:


Settore titolo fisso nel caso di report di più pagine.

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report -> Area titolo -> Settore titolo fisso nel caso di report di più pagine.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avere sempre sotto controllo i titoli di riga e di colonna in report che comprendono più pagine, bisogna evitare che questi si muovano quando viene eseguito lo scroll all´interno del report. A questo scopo, definite delle aree di titolo fisse.

Per fissare i titoli riga:

  1. selezionate nel menù Formato il comando Report
  2. si apre il dialogo di configurazione
  3. aprite la scheda Colonne

    Oltre al numero complessivo delle colonne, potete indicare in questa sede anche il numero delle Colonne statiche . Il numero fissato di colonne statiche non viene più considerato nell´operazione di scrolling.

  4. inserite adesso alla voce Colonne staticheun 1.
  5. poi passate alla scheda Righe:.

    I nostri titoli si trovano nelle righe da 1 a 4.

  6. inserite adesso alla voce Colonne statiche un 4.
  7. confermate tutte le modifiche cliccando sul pulsante OK


Area dati

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report -> Area dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´area dati:

  • progettate la visualizzazione di Tempo e Valori
  • fate in modo che vengano visualizzati Somma e Media valori

Noch in diesem Kapitel

Tempo

Valori

Somma e media valori


Tempo

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report -> Area dati -> Tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella colonna A viene rappresentato il tempo dei valori di archivio visualizzati.

info Informazioni su

Come base prendiamo un archivio ciclico. In questo modo, gli inserimenti di tutte le variabili avvengono contemporaneamente ed è sufficiente una colonna tempo per tutti gli inserimenti.

Per progettare il tempo:

  1. selezionate la cella A5.
  2. scegliere nel menù Formato il comando Assistente alle funzioni.
  3. si apre l´assistente alle funzioni

  4. selezionate adesso la funzione archive cliccando due volte.
  5. il pulsante Archivio viene visualizzata nella parte inferiore del dialogo

  6. cliccate su Archivio
  7. si apre il dialogo che serve alla selezione di un archivio:

  8. cliccate su Nuovo.
  9. verranno visualizzati gli archivi impostati nel nodo Server archivi
  10. scegliete le variabili come mostrato nello screenshot

  11. cliccate su Salva
  12. scegliete la variabile H1_Tank1

  13. confermate la Vostra selezione cliccando su OK.
  14. riapparirà l`assistente alle funzioni
  15. selezionate adesso il parametro tempo cliccando due volte

  16. selezionate adesso il parametro giù cliccando due volte
  17. la funzione è adesso pronta all´uso (=archive(1,"tempo","giù")

  18. chiudete l´assistente cliccando sul pulsante OK

Nella colonna A verrà inserito il tempo dell´archiviazione variabili a partire dalla riga 5 procedendo verso il basso.

info Informazioni su

I parametri devono essere selezionati sempre cliccando due volte. Solo dopo che la funzione è stata terminata con l´aggiunta di una grappetta nell´anteprima e non vengono più proposti degli ulteriori parametri, è completato il processo di parametrizzazione della funzione stessa. Se si clicca sul pulsante OK prima che tutti i parametri siano stati selezionati, l´assistente si chiude prima che la funzione sia stata configurata per intero!


Valori

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report -> Area dati -> Valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I valori per i serbatoi (Tanks) nei padiglioni (Halle) 1 e 2, li progetterete in modo analogo alla confogurazione del tempo. Tenete presente le seguenti differenze:

  • Le variabili archivio non devono più essere create. Esistono già e le si può selezionare immediatamente. Assegnate a ogni serbatoio (Tank) la variabile corrispondente.
  • Al posto del parametro tempo, selezionate valore.

Copia funzione

Non appena avete impostato una funzione, potete copiarla in un´altra cella e poi editarla nel modo desiderato:

A tale scopo:

  1. selezionate la cella da modificare
  2. cliccate poi nella riga di modifica
  3. nella funzione che adesso viene visualizzata, i numeri di referenza rimandano alle corrispondenti variabili di archivio, così come esse vengono assegnate automaticamente nella selezione archivio al momento in cui viene creata una funzione.
  4. sostituite, perciò, l´1 come primo parametro nella colonna C con un 2
    , nella colonna D con un 3
    e nella colonna E con un 4


Somma e media valori

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report -> Area dati -> Somma e media valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per questo report, progettate adesso la visualizzazione di somma e valore medio.

A questo scopo dovete stabilire quante righe sono necessarie per gli inserimenti archivio. Ciò lo impostate già nel Generatore di report. Il numero degli inserimenti nella lista dipende dalle impostazioni di filtro con cui il report verrà aperto in seguito (funzioni Esegui Report, Stampa Report, Esporta Report) .

Nel nostro esempio sceglieremo un intervallo di due minuti. Visto che il nostro archivio registra i valori in un ciclo di cinque secondi, nel nostro report ci saranno 24 inserimenti. Perciò:

  1. inserite nella cella A29 il testo somma:
  2. inserite nella cella A30 il testo Medio: on
  3. Nella cella B29 inserite la funzione =sum(B5:B25)
  4. nella cella B30 inserite la funzione =avg(B5:B25)
  5. copiate la cella B29 dopo C29, D29 e E29
  6. copiate la cella B30 dopo C30, D30 e E30
  7. salvate il report con il nome Archiv.xrs

info Informazioni su

Quando inserite le funzioni, potete digitare la denominazione della cella, oppure cliccare sulla cella in questione con il mouse.

Se copiate nel Generatore di report delle funzioni con riferimenti celle, questi ultimi vengono adattati automaticamente.


Visualizza report nel Runtime.

Manuale -> Reporting -> Generatore Report -> Esempio Dati archivio nei report -> Visualizza report nel Runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter vedere il report nel Runtime, avete bisogno di quanto segue:

  • un´immagine del tipo Report
  • una funzione di cambio immagine

Crea tipo d'immagine Report

Per creare un tipo di immagine Report:

  1. create una nuova immagine dal nome Report
  2. selezionate Report come tipo di immagine
  3. selezionate il modello MAIN
  4. cliccate nella nuova immagine
  5. scegliere nel menù Elementi di controllo il comando Default
  6. integrate, eventualmente, l´immagine inserendo altri elementi di controllo di cui avete bisogno

Crea funzione

Create una funzione Cambio immagine, per aprire l´immagine nel Runtime A tale scopo:

  1. inserite nell´immagine di start un nuovo pulsante
  2. denominatelo Report
  3. navigate per raggiungere il nodoFunzioni

    create una nuova funzione.

  4. selezionate Cambio immagine
  5. selezionate l´immagine Report
  6. si apre il filtro report

  7. cliccate sul pulsante Formato-File
  8. scegliete Archiv.xrs
  9. aprite la scheda Tempo

  10. Per il nostro esempio, settate
    1. il formato tempo su Tempo relativo e
    2. il tempo sul valore 2 minuti.

    Ulteriori informazioni sul filtro tempo le trovate nella parte della guida concernente la Lista di informazione allarmi, nel capitolo Filtro tempo

  11. chiudete il filtro cliccando su OK
  12. assegnate la funzione al pulsante progettato
  13. avviate la funzione nel Runtime


Report Viewer

Manuale -> Reporting -> Report Viewer

Il Report Viewer serve a visualizzare i report RDL, i dati archivio, quelli AML e quelli CEL, nonché i valori online. Mediante due intervalli tempo configurabili, si possono confrontare anche due intervalli storici.

I file RDL che rappresentano il modello di report per il Runtime, vengono creati e modificati nell´Editor. I report standard forniti con il software, mettono a disposizione degli utenti 7 dataset predefiniti. Altri dataset possono essere creati liberamente; solamente lo schema tabelle per le quattro categorie di dati è predefinito.

Nella funzione di cambio all´immagine del tipo Report Viewer vengono definite le sorgenti dati che riforniscono nel Runtime i dataset fissati nel file RDL. Per ognuno dei dataset usati nel file RDL deve essere creato nella funzione Cambio immagine un dataset con lo stesso nome e la stessa sorgente dati. A seconda del tipo di dataset, si possono definire le variabili sorgente e i criteri di filtro.

attention Attenzione

I report visualizzati con lo zenon Report Viewer, sono visualizzati in modo dipendente dalle impostazioni per la dimensione carattere di Windows.
Ciò significa: Nel caso di modifiche della dimensione, i report non vengono scalati usando l´adattamento di schermo automatico di zenon. In caso di modifica della scala delle immagini, il contenuto non viene adeguato.

Tipiche fasi di progettazione:

  1. creare un nuovo File di definizione Report o importarne uno già esistente
  2. creare un´immagine del tipo Report Viewer
  3. creare una Funzione di cambio immagine e configurare i Dataset
  4. Configura Pubblicazione come PDF oppure sulla stampante
  5. configurare il file RDL
  6. richiamare nel Runtime la funzione mediante pulsante o menu

Limitazioni

I report non possono avere un dimensione qualsiasi, visto che l´elaborazione di grandi quantità di dati in un dataset può influenzare in modo negativo le prestazioni del Runtime. La dimensione di un report è limitata all´emissione di 5000 valori/righe per dataset.

Nota: Nel caso di dataset con file d'archivio, vengono emessi 5000 valori per ogni variabile contenuta nell´archivio.

attention Attenzione

L´esecuzione in parallelo di più funzioni di Report Viewer (stampa, esporta) può provocare un sovraccarico del Runtime.

Noch in diesem Kapitel

Progettazione nell'editor

File definizione Report

Gestione durante il runtime

Trattamento errori


Progettazione nell'editor

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter usare il Report Viewer nel Runtime, dovete fare quanto segue nell`Editor:

  1. creare un tipo d'immagine Report Viewer
  2. creare un file RDL o importarlo se non ce n´è nessuno
  3. impostare una funzione di cambio all´immagine del tipo Report Viewer
  4. configurare un dataset nel cambio lingua
  5. adattare il File di definizione Report (RDL) al dataset definito in zenon
  6. inserire un pulsante nell´immagine di partenza o nell´immagine menu per il richiamo del Report Viewer nel Runtime

Cartella per il file di definizione Report (RDL)

I file RDL vengono salvati nel nodo della struttura ad albero del progetto File/Report Viewer. I file RDL esistenti possono essere importati in questo nodo, dove potranno essere poi modificati. In alternativa, si può procedere alla creazione di nuovi file.

Menù contestuale; Modelli report

Punto di menù | Azione
Report; Nuovo file di definizione | Apre il Dialogo che serve a creare un nuovo file RDL sulla base di dataset già definiti.
Report; apri file di definizione | Apre il programma collegato ai file RDL al fine di modificare un file di definizione esistente. Di default, zenon cerca anzitutto il MS Report Builder, poi il MS Report Designer.
Crea funzione standard | Disponibile solamente nella barra degli strumenti. Crea un cambio ad un´immagine da selezionare del tipo Report Viewer ed inserisce il file RDL selezionato nell´opzione Report-File di definizione.
Torna all'elemento di partenza | Nell´ambito degli elementi collegati, ritorna a quello partendo dal quale si era passati al modello report. Questo comando è presente nel menù contestuale solamente se ci sono degli elementi collegati.
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Importa file di definizione Report esistente | Apre il dialogo che serve ad importare un file di definizione Report già esistente. Questi file devono essere del tipo RDL 2.0.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Guida | Apre la guida online.

Noch in diesem Kapitel

creare un´immagine del tipo Report Viewer

Cambio ad immagine del tipo Report Viewer

Funzione esporta o stampa report:


creare un´immagine del tipo Report Viewer

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> creare un´immagine del tipo Report Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

creare un´immagine del tipo Report Viewer

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Report Viewer.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Parametri | Descrizione
Inserisci modello | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Finestra Report | Funzioni e profili per il report.
Filtro impostato | Mostra durante il Runtime i filtri tempo configurati attualmente.
Aggiorna | Carica di nuovo la definizione report e i dati e visualizza il report con i dati aggiornati.
Stampa | Stampa il report sulla stampante definita per valori e protocolli.
Crea PDF | Salva il report attualmente visualizzato come file PDF nella cartella definita per l´export.
Genera file Excel | Salva il report attualmente visualizzato come file Excel nella cartella definita per l´export.


Cambio ad immagine del tipo Report Viewer

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare il Report Viewer nel Runtime, progettate una funzione di cambio ad un´immagine del tipo Report Viewer:

  1. create una nuova immagine del tipo Report Viewer
  2. selezionate nel nodo Funzioni del menu contestuale, la voce Nuova Funzione
  3. selezionate la funzione Cambio immagine
  4. scegliete l´immagine del tipo Report Viewer
  5. viene visualizzato il Filtro report
  6. configurate, se lo desiderate, la sostituzione del filtro tempo nella Tab Runtime
  7. passate alla scheda Definizione report
  8. selezionate il file RDL
  9. definite il Filtro modulo e/o il Filtro tempo
  10. definite i Datasets desiderati
  11. collegate la funzione ad un pulsante nell´immagine, per poter passare al Runtime
  12. modificate i Datasets nel file RDL in modo corrispondente alle Vostre impostazioni nel cambio immagine

Noch in diesem Kapitel

Definizione Report

Runtime

Filtro ricette Batch Control

Filtro tempo

Lotti

Dialogo Nuovo Dataset

Datasets nel Report Viewer


Definizione Report

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Definizione Report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda configurate i data set e i filtri che devono essere visualizzati.

Parametri

Descrizione

File di definizione Report

File RDL che viene usato per la definizione report. Questo file deve essere nel nodo File/Modelli di report. Un clic sul comando ... apre il dialogo che serve alla selezione del file.

Leggi record dal file

Se si clicca su questo pulsante, il sistema legge i record dal File RDL definito nell´opzione File di definizione Report e li inserisce nella lista Datasets.

A questo proposito vale quanto segue:

  • Tutti i dataset che, per quantità di colonne e denominazione possono essere assegnati ad un <tipo di Dataset> esistente in CD_PRODUCTNAME, vengono creati automaticamente.
  • I dataset sconosciuti, invece, verranno ignorati.
  • Nel caso in cui ci fosse bisogno di un filtro tempo, verrà collegato il primo (Filtro tempo 1).
    Se non dovesse esistere ancora nessun filtro tempo, ne viene creato e collegato automaticamente uno con impostazioni standard (relativo, ultima ora).

Nota: la lista Datasets deve essere vuota per far sì che i dataset di un file RDL possano essere aggiunti automaticamente, I dataset già esistenti dovranno dunque essere cancellati prima di utilizzare la funzione.

Filtro

Lista dei filtri disponibili con visualizzazione del nome e del tipo di filtro. Sono a disposizione:

  • Filtro specifico per modulo:
    Filtro ricette Batch Control
  • Filtro tempo
    I filtri tempo vengono nominati automaticamente mediante una numerazione progressiva.

Configurazione:

  • Cliccando su Filtro specifico per modulo si apre la finestra di dialogo per la configurazione di un filtro Batch.
  • Cliccando sul pulsante Nuovo filtro tempo... si apre la finestra di dialogo la configurazione di un filtro tempo.

Cliccando due volte sul titolo del gruppo, si apre il primo filtro configurato per il gruppo in questione.

Nuovo filtro tempo

Apre il dialogo che serve alla configurazione di un nuovo server.

Modifica

Apre il filtro tempo evidenziato nella lista per consentirne la modifica.

Elimina

Cancella il filtro tempo selezionato nella lista.
I seguenti filtri tempo vengono rinominati automaticamente.

Attenzione: Quando si cancella un filtro tempo, si deve configurare nuovamente l´assegnazione dei data set allo stesso filtro tempo. In caso contrario, verranno visualizzati nel runtime intervalli di tempo errati.

Datasets

Visualizzazione dei Datasets configurati. La lista contiene:

  • Nome Dataset
  • Origine dati
  • Filtro tempo

Nuovo

Apre il dialogo per la creazione di una nuova variabile.

Modifica

Apre il Dialogo per la modifica della definizione dell´elemento selezionato.

Elimina

Cancella l´elemento selezionato e la sua definizione dalla lista.

Ok

Riprende le modifiche in tutte le tab e chiude il dialogo.

Elimina

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.

info Informazioni su

Se nel file RDL è impostata una sorgente dati che non è stata progettata nel filtro di una funzione Report Viewer, il sistema provvederà a sostituire i record mancanti con inserimenti vuoti. In tal modo, il report verrà visualizzato anche in questo caso in modo corretto.


Runtime

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda configurate la sostituzione del primo filtro tempo con un´immagine del tipo filtro tempo/lotto. In tal modo, per esempio, potete aprire e usare un´immagine con filtri tempo propri, anziché con il filtro tempo configurato nel cambio immagine.

Parametri

Descrizione

Impostazioni Runtime

Impostazioni per azioni durante il Runtime.

Sostituire filtro 1 a runtime con un´immagine

Sostituisce nel Runtime il primo filtro tempo configurato con un´immagine del tipo filtro tempo/lotto. Viene visualizzata l´immagine collegata attualmente.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine. Vengono proposte solamente immagini del progetto da aprire e solo quelle del tipo Filtro tempo/lotto.

Se si seleziona un´immagine filtro, nella visualizzazione dettagli della funzione viene visualizzata nella colonna Parametri anche l´informazione BOX SCREEN: senza un´immagine collegata viene visualizzato solo BOX.

Ok

Riprende le modifiche in tutte le Tab e chiude il dialogo.

Elimina

Annulla tutte le modifiche e chiude il dialogo.

Guida

Attiva la guida online


Filtro ricette Batch Control

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Filtro ricette Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per il caso del passaggio ad un´immagine del tipo report viewer, si può settare un filtro per le ricette del modulo BatchControl. Per effettuare un´operazione di filtro sulla base di ricette:

  1. aprite al momento del cambio immagine la scheda definizione report
  2. navigate fino a Filtro
  3. cliccate nella scheda Filtro specifico per modulo su Batch Control: Filtro di ricetta
  4. si apre il dialogo per configurare il filtro

Applica filtro ricette a

Parametri

Descrizione

Applica filtro ricette a

Selezione del tipo di ricetta a cui deve essere applicato il filtro:

  • ricetta master
  • Ricetta di controllo

ricetta master

Attivo: viene effettuata un´operazione di filtro sulla base di ricette master.

Ricetta di controllo

Attivo: viene effettuata un´operazione di filtro sulla base di ricette di controllo.

Nota: Anche le relative ricette master devono essere selezionate. Se non si sceglie nessuna ricetta master per la ricetta di controllo, nel runtime il filtro non potrà trovare le ricette cercate.

Suggerimento: Se la ricetta master non è conosciuta, si consiglia di effettuare un´operazione di filtro su tutte le ricette master con un carattere jolly.

Impostazioni filtro ricetta

Parametri

Descrizione

Impostazioni filtro ricetta

Opzioni per il filtro ricette

Selezione della lista ricette dall'immagine di controllo Batch richiamata

Attivo: durante il Runtime, viene usata la prima ricetta selezionata dell´immagine Batch, da cui viene aperta l´immagine report viewer. Impostazioni individuali in questa finestra di dialogo non sono disponibili.

Inattivo: le impostazioni di filtro vengono modificate individualmente facendo uso di questa finestra di dialogo.

ricetta master

Parametro per la selezione della ricetta di controllo. Selezione dal menù a tendina:

  • Nome con wildcard:
    Nel campo di inserimento si può digitare un nome con carattere jolly. Il sistema filtra sulla base di questo nome.
  • Nome da variabile:
    Il nome della ricetta master viene definito da una variabile nel runtime. Cliccando sul pulsante ... apre il dialogo che serve alla scelta di una variabile.
  • ID dalla variabile:
    L´ID della ricetta master viene definito da una variabile nel runtime. Cliccando sul pulsante ... apre il dialogo che serve alla scelta di una variabile.

Versione

Selezione della versione fra quelle contenute nella combobox.

  • Tutte:
    La versione indicata è ignorata e si utilizza ogni versione trovata.
  • Versione prefissata:
    Il sistema effettua un´operazione di filtro per cercare la versione inserita in questo campo.
    Versione più alta possibile: 4294967295
  • Versione da variabile:
    Si cerca la ricetta che era nella variabile collegata al momento dell´esecuzione. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.
  • Solo la versione più vecchia:
    Viene usata solamente la ricetta con il numero di versione più vecchio.

Solo la versione più recente:
Viene usata solamente la ricetta con il numero di versione più recente.

Stato ricetta master

Stato della ricetta. Selezione dalla lista a cascata:

  • Rilasciata o obsoleta
  • Rilascia
  • Imposta come obsoleta

Filtra risultati per

definite quale ID fra quelli disponibili nella lista a cascata deve essere selezionato quando si filtra sulla base di nomi.

  • Solo ID più vecchi
  • Solo ID più recenti

Visto che si può usare un report solamente per una ricetta, non è possibile effettuare un filtro per "tutte le ricette".

Ricetta di controllo

Parametro per la selezione della ricetta di controllo. Selezione dalla lista a cascata:

  • Nome con wildcard
    Nel campo di inserimento si può digitare un nome con carattere jolly. Il sistema filtra sulla base di questo nome.
  • Nome da variabile
    Il nome della ricetta di controllo viene definito da una variabile nel runtime. Cliccando sul pulsante ... apre il dialogo che serve alla scelta di una variabile.
  • ID dalla variabile
    L´ID della ricetta master viene definito da una variabile nel runtime. Cliccando sul pulsante ... si apre il dialogo che serve alla scelta di una variabile.
    Il sistema può trovare esattamente una sola ricetta se il valore della variabile al momento dell´esecuzione è un ID valido di una ricetta di controllo.
  • ID Task dalla variabile:
    Trova ricette di controllo che appartengono alle ricette master già trovate e che dispongono dell´ID task indicato. Si può collegare ogni tipo di variabile. Il valore viene convertito automaticamente in STRING.
    Nota: se la variabile non contiene nessun valore, nessun report verrà inviato al Report Viewer.

Stato ricetta di controllo

Selezione dello stato ricetta fra quelli della lista a cascata:

  • Espandi
  • preparata
  • In esecuzione
  • Completata
  • Terminato con errore
  • Imposta come obsoleta

Filtra risultati per

definite quale ID fra quelli disponibili nella lista a cascata deve essere selezionato quando si filtra sulla base di nomi o job ID.

  • Solo ID più vecchi
  • Solo ID più recenti

Ok

Riprende tutte le modifiche, crea filtri e chiude il dialogo.

Elimina

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.

Nota: selezione variabile tramite nome o ID: Per la selezione di variabili sulla base di nome o ID, possono essere scelte rispettivamente variabili numeriche e variabili stringa. I tipi di dato vengono convertiti nella forma rispettivamente corretta.


Filtro tempo

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Filtro tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I filtri tempo vi consentono di limitare il numero di dati da visualizzare ed esportare. I filtri tempo possono essere usati in modo flessibile e possono essere impostati nell´editor, ma possono essere anche adattati nel runtime.

Nota: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Cliccando sul pulsante Nuovo oppure Modifica nel settore Filtro tempo della Tab Definizione report, si apre la finestra di dialogo che serve alla configurazione di un filtro tempo. Può essere collegato un numero qualsiasi di filtri tempo.

I filtri tempo possono sia essere pre-impostati nell´Editor, che modificato poi nel Runtime:

  • Periodo assoluto
  • Periodo relativo
  • Da
  • Intervallo tempo

Il filtraggio tempo può essere realizzato in due modi:

  1. Indica intervallo di tempo nell´Editor
    Si usano intervalli di tempo fissi. nell´editor viene indicato in intervallo tempo. Nel runtime si può effettuare il filtraggio solo sulla base di questo intervallo di tempo. Anche altri filtri (per es. filtri per nomi variabile, gruppi e classi allarmi/eventi ecc) non sono più modificabili durante il Runtime.
  2. Filtro tempo adattabile durante il Runtime
    Vengono utilizzati tempi predefiniti. Il filtro tempo viene impostato nell´editor e può essere modificato a piacere nel runtime.

Filtro tempo

Filtro

Scelta del filtro.

Parametro

Description (Descrizione)

Nessun filtro tempo

Attivo: Non viene usato nessun filtro temporale.

Nota: Nel Runtime verranno visualizzati tutti gli inserimenti a partire da 1. 1. 1990.

Filtro assoluto

Attivo: Viene indicato un periodo di tempo fisso nell´editor. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato.

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Periodo relativo

Attivo: Viene indicato un periodo di tempo relativo.

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attivo: Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione dell´area fra quelle della lista a cascata:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo tempo

Attivo: Viene indicato un intervallo di tempo fisso. Selezione dell´area fra quelle della lista a cascata:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 Minuti
  • 30 Minuti
  • 60 Minuti

Nel settore "Impostazioni"vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudi finestra di dialogo

Parametro | Description (Descrizione)
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Nota: se si setta l´opzione Nessun filtro tempo come tipo di filtro tempo, nel runtime vengono visualizzati tutti gli inserimenti da 1. 1. 2000.

attention Attenzione

Un´immagine del tipo Report Viewer può disporre di più filtri tempo. Se nella scheda Runtime, facendo uso di un´immagine del tipo Filtro tempo, si setta un filtro su un´immagine del tipo Report Viewer, verrà scambiato solamente il primo filtro tempo con le impostazioni dell´immagine filtro. Gli altri tipi di filtro del filtro tempo saranno settati automaticamente su Nessun filtro tempo.

Noch in diesem Kapitel

Periodo assoluto

Periodo relativo

Da

Intervallo tempo

Indicare intervallo nell´editor

Filtro tempo adattabile durante il Runtime


Indicare intervallo nell´editor

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Filtro tempo -> Indicare intervallo nell´editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Indicare intervallo nell´editor

Con questo metodo, indicate nell´editor già un intervallo di tempo fisso, che viene usato al momento dell´esecuzione della funzione nel runtime. Nel Runtime potete solamente fissare il punto temporale di partenza, ma non potete modificare alcuna impostazione di filtro.

Ad esempio: mettiamo che abbiate inserito un filtro tempo di 30 minuti. Nel runtime, potete solamente stabilire quando deve incominciare questo periodo di 30 minuti. Ma non potete neanche modificare il filtro in un filtro giorno.

attention Attenzione

Se usate questo tipo di filtro, non potete più adattare durante il Runtime anche tutti gli altri filtri che sono disponibili nella scheda Generale! Continua ad essere possibile filtrare sulla base di testo, stato e impianto.

Per impostare il filtro:

  1. nell´immagine deve essere disponibile il pulsante Filtro al fine di poter avviare il filtro stesso nel Runtime.
  2. selezionate il filtro desiderato
  3. configurate l´intervallo di tempo selezionato

Suggerimento per l´intervallo di tempo: attivate nel dialogo filtro l´opzione Proponi dialogo a Runtime. In tal modo potete adattare il punto temporale di partenza già prima dell´esecuzione della funzione. se non vi fate visualizzare il filtro al momento dell´apertura della funzione nel Runtime, verrà usato sempre l´intervallo di tempo attuale. Se avete attivato l´opzione Usa l´ultimo intervallo di tempo terminato, viene visualizzato l´ultimo intervallo di tempo.
Per esempio: mettiamo che abbiate impostato un filtro di 30 minuti. Quando si attiva la funzione sono le 10:45. Nel caso in cui l´opzione Usa l´ultimo intervallo di tempo terminato non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Nel caso in cui, però, l´opzione dovesse essere attiva, il filtro viene settato all´intervallo di tempo precedente dalle 10:00:00 alle 10:29:59.


Filtro tempo adattabile durante il Runtime

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Filtro tempo -> Filtro tempo adattabile durante il Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Filtro tempo adattabile durante il Runtime

Se seguite questo metodo, definite nell´Editor un filtro tempo: esso può essere adattato durante il Runtime prima di essere eseguito. Per impostare il filtro:

  1. nell´immagine devono essere presenti i pulsanti Filtro e Mostra filtro
  2. selezionate il filtro desiderato:
    • Periodo assoluto
    • Periodo relativo
  3. selezionate alla voce Impostazioni l´opzione Proponi data e ora attuale
  4. nel Runtime, verrà aperto il dialogo di filtro con la data e l´ora attuali.


Lotti

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Lotti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda configurate la riduzione della visualizzazione a determinati lotti. L´informazione lotti viene usata in aggiunta al filtro esistente. Se il filtro lotti è attivo, nel Runtime il sistema va a prendere dal server archivi una lista di tutti i lotti progettati in questa sede che corrispondono all´intervallo configurato.

info Informazioni su

Alcuni filtri in zenon possono essere configurati indipendentemente l´uno dall´altro nell´Editor e poi combinati a Runtime. Con il filtro lotto, questo è possibile solo fino ad un certo punto.

Il filtro lotto può offrire a Runtime una lista dei lotti esistenti. Si tratta di dati Runtime che non sono disponibili nell´Editor. .

Quando si configura il cambio immagine nell´Editor, si può usare la scheda Filtro tempo in combinazione con il filtro lotto solo come filtro preliminare per la finestra di dialogo di selezione lotti. Quando poi si seleziona un lotto di questa lista a Runtime, il filtro tempo viene sovrascritto con i dati del lotto selezionato per ottenere così un filtro esatto per il lotto selezionato.

Questo significa: quando si usa il dialogo di selezione lotti a Runtime e si seleziona un lotto, il filtro tempo non corrisponde a quello configurato nell´Editor.

Filtro

Impostazioni per l´uso del filtro lotti. Selezione di una delle opzioni:

  • Nessun filtro lotti
  • Usa direttamente filtro lotti
  • Visualizza dialogo di selezione lotto
    Nota: quando il filtro lotti viene visualizzato come finestra di dialogo, è possibile eseguire un filtro preliminare sulla base delle identificazioni archivi. Si raccomanda espressamente di utilizzare questa possibilità di filtro preliminare per migliorare le prestazioni.

Parametri

Descrizione

Nessun filtro lotto
  • Attivo: il filtro lotti viene disattivato e non può essere configurato. A Runtime non verrà eseguito un filtro sulla base dei lotti.

Applica direttamente filtro lotto
  • Attivo: il filtro configurato qui verrà utilizzato direttamente a Runtime.

Nota: non è possibile farsi visualizzare tutti i lotti in una lista e selezionarne uno manualmente. Se si vuole che venga visualizzato un determinato lotto, si deve configurare in modo corrispondente il filtro per archivi, nome e tempo. Questo presuppone una conoscenza esatta dei dati esistenti. In alternativa, si raccomanda di selezionare l´opzione Visualizza dialogo di selezione lotto.

Visualizza dialogo di selezione lotto

Attivo: a Runtime, la finestra di dialogo per la selezione lotti viene visualizzata:

  • Cliccando su Filtro, oppure
  • Con un cambio immagine, se è stata attivata l´opzione Proponi dialogo a Runtime (non disponibile per ogni funzione/ogni tipo di immagine)
    Nota: la finestra di dialogo non verrà visualizzato in caso di reload.

Le opzioni possono essere preselezionate nell´Editor.

Sostituisci dialogo a Runtime con l'immagine

Disponibile solo se è stata selezionata l´opzione Visualizza dialogo di selezione lotto.

Definizione di un´immagine che deve essere aperta a Runtime al posto del Dialogo di selezione lotto. Vengono proposte alla selezione solamente immagini di tipo Filtro tempo/lotto.

Cliccare sul pulsante ... per aprire la finestra di dialogo che serve alla selezione di un´immagine.

Se non si trova l´immagine collegata a Runtime, il sistema cerca le immagini corrispondenti con nomi specifici.

Nota: si può selezionare un´immagine "Filtro lotto" anche utilizzando l´opzione Proponi dialogo a Runtime. Questa immagine, però, non viene usata qui come filtro lotto, ma come filtro tempo. Le opzioni "filtro lotto" non vengono applicate correttamente in questa posizione.

Selezione lotto relativo

Attenzione: questa opzione è disponibile solamente per il Trend esteso. Con faceplate, quest´opzione viene visualizzata per tutti i tipi di immagine; anche qui, però, è disponibile solamente per il modulo ETM.

Configurazione per ETM:

Questa opzione è disponibile se l´opzione Visualizza dialogo di selezione lotto è attiva e se la proprietà Progetto WindowsCE è disattivata nelle proprietà di progetto.

  • Attivo: consente un confronto diretto di diversi lotti. La rappresentazione parte sempre dal punto zero.

Visione generale della implementazione della configurazione a Runtime:

Ora

Configurazione del filtro tempo per la selezione lotti. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Ultimo lotto
  • Applica filtro tempo dalla scheda "Tempo"

Parametri

Descrizione

Nessun filtro
  • Attivo: non si tiene conto dell´intervallo di tempo impostato nella scheda Ora. Verrano visualizzati tutti i lotti conclusi e ancora attivi.

Ultimo lotto

Attenzione: questa opzione funziona solo in combinazione con l´opzione Applica direttamente filtro lotto.

Consente la combinazione di Visualizza lotto corrente e Visualizza lotti conclusi. Almeno una di queste due opzioni deve essere attivata. Se sono entrambe disattivate, questo corrisponde all´impostazione Nessun filtro.

  • Attivo: inserimento del numero dei lotti conclusi di recente sulla base dei quali deve essere effettuata l´operazione di filtro. Inserimento del numero nel campo numerico, oppure configurazione mediante tasti frecce.

Esempio: il valore inserito per questa opzione è 3. Ci sono 2 lotti correnti e 10 sono conclusi. In questo caso il sistema visualizzerà i due lotti correnti e uno di quelli conclusi.

Nota: come intervallo di tempo per i lotti correnti, non viene utilizzato il valore impostato nel filtro tempo, ma l´ultimo anno. Questo filtro non viene eseguito come filtro preliminare, e non può essere dunque usato per avere un miglioramento delle performance.

Informazioni sulla compatibilità:
Se il progetto viene compilato per una versione precedente alla 7.11, vale quanto segue: se si selezionano i lotti correnti, oppure la combinazione fra lotti correnti e conclusi, saranno visualizzati a Runtime solamente i lotti chiusi.

Visualizza lotto corrente
  • Attivo: verrano visualizzati i lotti attivi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti attivi al momento, il sistema mostrerà anche lotti già conclusi finché non sarà raggiunto il limite impostato.
Esempio: devono essere visualizzati 3 lotti. Solamente 1 lotto è attivo, mentre 5 sono stati già chiusi. In questo caso, verranno visualizzati il lotto ancora attivo e 2 di quelli già terminati.

Visualizza lotti chiusi
  • Attivo: vengono visualizzati i lotti conclusi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti conclusi, il sistema mostrerà anche lotti ancora attivi finché non sarà raggiunto il limite impostato.

Applica filtro tempo dalla scheda "Tempo"
  • Attivo: il sistema esegue un filtro preliminare usando le impostazioni della scheda Zeit.

Nell´ambito di questo intervallo di tempo si potrà adattare l´effettivo intervallo del filtro. Selezione dal menù a tendina:

  • Inizio e fine esterni ai limiti del filtro: (Default)
    I lotti possono iniziare prima dell´ora di partenza impostata nel filtro Tempo e terminare dopo il tempo di conclusione configurato.
  • Inizio e fine interni ai limiti del filtro:
    I lotti devono iniziare e finire all´interno dei termini temporali impostati nel filtro Tempo per il loro inizio e la loro fine.
  • Inizio anche precedente al limite filtro:
    I lotti possono iniziare prima dell´ora di partenza impostata nel filtro Tempo, ma devono terminare prima o in corrispondenza del tempo di conclusione configurato.
  • Fine anche successiva al limite del filtro:
    I lotti possono terminare anche dopo il tempo di conclusione configurato nel filtro Tempo, ma devono iniziare dopo o in corrispondenza dell´ora di partenza configurata.
  • Inizio e fine coincidono con i limiti del filtro:
    I lotti vengono ridotti facendo riferimento ai termini temporali fissati per inizio e fine nel filtro Zeit.

Archivi

Configurazione delle impostazioni di filtro per gli archivi. Questo filtro si applica come filtro preliminare per la finestra di selezione lotti.

Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Statico
  • Da variabile

Parametri

Descrizione

Nessun filtro
  • Attivo: non si esegue nessuna operazione di filtro su base nome archivi.

Statico
  • Attivo: si filtrano gli archivi la cui identificazione corrisponde alla successione di caratteri impostata nel campo di inserimento.

Inserimento di identificazioni archivi nel campo di inserimento:

  • Più identificazioni sono divise da una virgola (,).
  • * oppure vuoto: tutti gli archivi, nessun filtro.

Da variabile
  • Attivo: a Runtime viene applicato il valore della variabile collegata qui come filtro per nomi archivi.

Quando si clicca sul pulsante ... si apre la finestra di dialogo che serve alla selezione di una variabile.

Disponibile per tutti i moduli solo se è stata selezionata l´opzione Applica direttamente filtro lotti.

Informazioni concernenti le variabili nel Runtime:

  • Nel Runtime, la selezione variabili viene attivata solamente nel caso in cui si sia proceduto a collegare già nell´Editor una variabile valida. Il pulsante ... non è mai attivo nel Runtime. È dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, essa verrà registrata e letta. Ciò può causare dei ritardi nel caso di connessioni driver e protocolli lenti.

Attenzione: se il sistema non trova la variabile selezionata a Runtime, non verrà eseguito nessun filtro sulla base di nomi archivio. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Nota riguardante l´ETM: nel modulo ETM gli archivi sono determinati dalle curve progettate nel cambio immagine. A Runtime, questo è possibile solamente in combinazione con l´opzione Lotto relativi . Con questa opzione, le variabili devono essere selezionate a Runtime, il che è fissato a sua volta dalla selezione possibile di archivi. Dopo essere stato filtrato, l´archivio deve essere uno di quelli sui quali si basano le curve configurate. In caso contrario non verrà visualizzato nessun dato. Questa impostazione può essere usata anche per limitare le curve visualizzate. Tuttavia queste continueranno ad essere visualizzate nella lista delle curve.

Esempio: ETM.

Curve configurate | Origine dati | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
A | AR | AR | Viene visualizzata nella lista delle curve e disegnata nel Trend.
B | EA |  | Viene visualizzata solamente nella lista delle curve.
C | EP |  | Viene visualizzata solamente nella lista delle curve.

Nota relativa alla post elaborazione archivio: l´archivio per cui viene aperta l´immagine è già selezionato nella funzione di cambio immagine. Visto che si può selezionare solamente un archivio, non ha senso impostare ulteriori limitazioni.

Esempio di post elaborazione archivio:

Archivio configurato | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
AR | EA | Non viene visualizzato nessun dato.

Nomi

Configurazione del filtro dei nomi. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Statico
  • Da variabile

Parametri

Descrizione

Nessun filtro
  • Attivo: non si esegue un filtro sulla base dei nome lotti.

Statico
  • Attivo: si filtrano i nomi lotti che corrispondono alla successione caratteri indicata nel campo di inserimento.

Inserimento del nome lotto nel campo di inserimento:

  • Più identificazioni sono divise da un segno pipe (|).
  • * oppure vuoto: tutti i lotti di tutti gli archivi visualizzati, nessun filtro.

Da variabile
  • Attivo: a Runtime si usa il valore della variabile collegata qui come filtro per i nomi lotti.

Quando si clicca sul pulsante ... si apre la finestra di dialogo per la selezione di una variabile.

Disponibile solo se è stata selezionata l´opzione Applica direttamente filtro lotto.

Informazioni concernenti le variabili nel Runtime:

  • Nel Runtime, la selezione variabili viene attivata solamente nel caso in cui si sia proceduto a collegare già nell´Editor una variabile valida. Il pulsante ... non è mai attivo nel Runtime. È dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, essa verrà registrata e letta. Ciò può causare dei ritardi nel caso di connessioni driver e protocolli lenti.

Attenzione: se non è possibile trovare la variabile selezionata a Runtime, non sarà eseguito nessun filtro dei nomi lotti. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Dialogo Nuovo Dataset

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Dialogo Nuovo Dataset

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per impostare un nuovo dataset:

  1. definite nel Cambio ad un´immagine del tipo Report Viewer il file RDL che ne è alla base
  2. cliccate nel settore Datasets sul pulsante Nuovo
  3. si apre il dialogo per la creazione del dataset
  4. selezionate la sorgente dati desiderata
  5. confermate la Vostra selezione cliccando su OK
  6. si apre il Dialogo per la configurazione del tipo definito

Parametri

Descrizione

Origine dati

Selezione della sorgente dati:

Generale

  • Lista di informazione allarmi
  • Lista Eventi Cronologica
  • Valore del archivio
  • Valori Online
  • Impostazioni di filtro

Manager di gruppi ricette

  • RGM dati ricetta
  • RGM valori ricetta

Batch Control

  • ricetta master
  • Ricetta di controllo
  • Immagine ricetta
  • Struttura matrice
  • Struttura PFC
  • Funzioni di base
  • Parametri
  • Transizioni
  • Allocazione aggregati
  • Istanze ricette parziali

Ok

Conferma la selezione e apre il Dialogo per la configurazione del tipo.

Elimina

Chiude il dialogo senza nuova configurazione.

Guida

Apre la guida online


Datasets nel Report Viewer

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le impostazioni per i diversi dataset dipendono dal tipo della sorgente dati da configurare.

  • Generale
    • Dati AML
    • Dati CEL
    • Dati Archiv
    • Valori Online
    • Impostazioni di filtro
  • RGM
    • RGM dati ricetta
    • RGM valori ricetta
  • Batch Control
    • ricetta master
    • Ricetta di controllo
    • Immagine ricetta
    • Struttura matrice
    • Struttura PFC
    • Funzioni di base
    • Parametri
    • Transizioni
    • Allocazione aggregati
    • Istanze ricette parziali

Noch in diesem Kapitel

Dati AML

Dati CEL

Valore del archivio

Valori Online

Impostazioni di filtro

RGM dati ricetta

RGM valori ricetta

Data set per Batch Control

ricetta master

Ricetta di controllo

Immagine ricetta

Struttura matrice

Struttura PFC

Funzioni di base

Parametri

Transizioni

Allocazione aggregati

Istanze ricette parziali


Dati AML

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Dati AML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Dati AML

Configurazione dei dati AML:

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • non deve essere vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Numero massimo

Numero massimo di righe per il report.
nel caso in cui il report, in corrispondenza dei suoi criteri di filtro, dovesse contenere un numero maggiore di righe di quello definito in questa sede, verranno emesse solamente le prime n righe. n corrisponde al valore inserito in questa sede.

Valori consentiti: 1 - 5000

Default: 1000

Filtro tempo

Selezione del filtro tempo fra quelli della lista a cascata. Contiene i filtri tempo definiti nella tab definizione report.

Scheda Generale

Impostazioni per:

  • Filtro variabili
  • Tipo di allarme
  • Origine dati
  • Gruppi allarmi/eventi, classi allarmi/eventi e aree allarmi

I dettagli li trovate nella guida Gestione allarmi, capitolo Generale.

Scheda Testo

Impostazioni per il filtro testo

I dettagli li trovate nella guida Gestione allarmi, capitolo Testo.

Scheda Stato

Informazioni sull´analisi dei bit di stato.

I dettagli li trovate nella guida Gestione allarmi, capitolo Stato .

Scheda Definizione di impianto

Scelta modello di impianto

I dettagli li trovate nella guida Progettazione impianto, capitolo Dialogo Progettazione impianto

Ok

Riprende le impostazioni e chiude il dialogo.

Elimina

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online


Dati CEL

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Dati CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Dati CEL

Configurazione dei dati CEL:

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • non deve essere vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Numero massimo

Numero massimo di righe per il report.
nel caso in cui il report, in corrispondenza dei suoi criteri di filtro, dovesse contenere un numero maggiore di righe di quello definito in questa sede, verranno emesse solamente le prime n righe. n corrisponde al valore inserito in questa sede.

Valori consentiti: 1 - 5000

Default: 1000

Filtro tempo

Selezione del filtro tempo fra quelli della lista a cascata. Contiene i filtri tempo definiti nella scheda definizione report.

Scheda Generale

Impostazioni per:

  • Filtro variabili
  • Origine dati
  • Gruppi allarmi/eventi, classi allarmi/eventi e aree allarmi

I dettagli li trovate nella guida Lista eventi cronologica, capitolo Generale.

Scheda Testo

Impostazioni per il filtro testo

I dettagli li trovate nella guida Gestione allarmi, capitolo Testo.

Scheda Stato

Informazioni sull´analisi dei bit di stato.

I dettagli li trovate nella guida Gestione allarmi, capitolo Stato .

TScheda Definizione di impianto

Scelta modello di impianto

I dettagli li trovate nella guida Progettazione impianto, capitolo Dialogo Progettazione impianto

Ok

Riprende le impostazioni e chiude il dialogo.

Elimina

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online


Valore del archivio

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Valore del archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Valore del archivio

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • non deve essere vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Numero massimo

Numero massimo di righe per il report.
nel caso in cui il report, in corrispondenza dei suoi criteri di filtro, dovesse contenere un numero maggiore di righe di quello definito in questa sede, verranno emesse solamente le prime n righe. n corrisponde al valore inserito in questa sede.

Valori consentiti: 1 - 5000

Default: 1000

Compressione

Tipo di compressione:

  • Limita: emette solo i primi n valori per ogni archivio nel caso in cui i criteri di filtro dovessero fornire un numero di inserimenti che supera questa quantità.
  • Somma: l´intervallo di tempo è diviso in n intervalli equidistanti ed i valori di archivio che si trovano all´interno vengono addizionati. I valori di stato vanno persi.
  • Media valori: l´intervallo di tempo è diviso in n intervalli equidistanti e viene calcolata una media dei valori di archivio che si trovano all´interno. I valori di stato vanno persi.
  • Minimo: l´intervallo di tempo è diviso in n intervalli equidistanti ed i valori di archivio che si trovano all´interno vengono minimizzati.
  • Massimo: l´intervallo di tempo è diviso in n intervalli equidistanti ed i valori di archivio che si trovano all´interno vengono massimizzati.

Il timestamp corrisponde al rispettivo inizio dell´intervallo di tempo.

Filtro tempo

Selezione del filtro tempo fra quelli della lista a cascata. Contiene i filtri tempo definiti nella tab definizione report.

Archivio - Nome variabile

Lista delle variabili selezionate.

Aggiungi

Apre il dialogo che serve alla selezione di più variabili.

Elimina

Cancella la variabile selezionata dalla lista.

Ok

Riprende le impostazioni e chiude il dialogo.

Elimina

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online


Valori Online

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Valori Online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Valori Online

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • non deve essere vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Variabili

Lista delle variabili selezionate con:

  • Nome
  • Identificazione
  • Indirizzo
  • Progetto

Aggiungi

Apre il dialogo che serve alla selezione di più variabili.

Elimina

Cancella la variabile selezionata dalla lista.

Ok

Riprende le impostazioni e chiude il dialogo.

Elimina

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online


Impostazioni di filtro

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Impostazioni di filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Impostazioni di filtro

Il Dataset rappresenta i filtri tempo definiti e il loro uso da parte di altri dataset. Nel report verrano visualizzati:

  • Dataset
  • filtri tempo impostati
  • condizioni di filtro

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • non deve essere vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Ok

Accetta le impostazioni e chiude il dialogo.

Elimina

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.


RGM dati ricetta

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> RGM dati ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
RGM dati ricetta

Configurazione dei RGM dati ricetta:

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • non deve essere vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Ok

Riprende le impostazioni e chiude il dialogo.

Elimina

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online

Filtro di ricetta

Configurazione dei filtri ricette

Parametri

Descrizione

Scelta progetto

Selezione del progetto per i dati ricetta fra quelli proposti dalla lista a cascata

Gruppo di ricette

Selezione del gruppo ricette.

La selezione può avvenire:

  • in modo statico, a partire da inserimenti predefiniti (Gruppo ricette statico)
  • in modo dinamico, tramite variabili (Nome gruppo di ricetta da variabile)

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Scelta del gruppo:

  • dal menù a tendina
  • inserimento di un testo filtro con wildcard (? per esattamente un carattere, e * per 0 oppure per un numero qualsiasi di caratteri).
  • tramite una variabile stringa: il valore di testo della variabile verrà interpretato come nome gruppo, o testo filtro con wildcard.

Ricetta

Selezione della ricetta fra quelle del gruppo ricette selezionato.

La selezione può avvenire:

  • in modo statico, a partire da inserimenti predefiniti (Ricetta statica)
  • in modo dinamico, tramite variabile (Nome ricetta da variabile)

Cliccando sulla proprietà, si apre il Combobox che serve alla selezione del metodo.

Scelta del nome:

  • dalla lista a cascata
  • Inserimento di un testo filtro con wildcard (? per esattamente un carattere, e * per zero oppure per un numero qualsiasi di caratteri).
  • via variabile stringa: il valore di testo della variabile verrà interpretato come nome ricetta, o testo filtro con wildcard.

Versione di ricetta statica

Selezione della versione ricetta fra quelle del gruppo ricette selezionato.

La selezione può avvenire:

  • in modo statico, a partire da inserimenti predefiniti (Versione di ricetta statica)
  • in modo dinamico, tramite variabile (Versione di ricetta da variabile)

Cliccando sulla proprietà, si apre il Combobox che serve alla selezione del metodo.

Scelta della versione:

  • Inserimento dal menù a tendina:
    - versione più grande
    - versione più piccola
    - tutte
    - versioni ricette (disponibile solamente se la selezione del gruppo e della ricetta ha come risultato una sola ricetta; selezione senza wildcard)
  • Inserimento di una lista di versioni ricetta, con le versioni separate da virgole (,), per es. „1, 3, 5".
  • Una variabile stringa che fornisce una lista di numeri di versione separati da una virgola (,).
  • Una variabile numerica con un numero di versione (1 - 89999), oppure i valori:
    - 90000 per„versione più piccola"
    - 90001 per„versione più grande"
    - 90002 per„tutte le versioni"

Stato ricetta statico

Selezione dello stato ricetta fra quelle del gruppo ricette selezionato.

La selezione può avvenire:

  • in modo statico, a partire da inserimenti predefiniti (Stato ricetta statico)
  • in modo dinamico, tramite variabile (Stato di ricetta da variabile)

Cliccando sulla proprietà, si apre il Combobox che serve alla selezione del metodo.

Selezione dello stato:

  • Inserimento della lista a cascata:
    - tutti
    - stato ricetta individuale.
  • Lista di stati ricetta separati da virgole (,). per es. „1, 2, 7"
  • Una variabile stringa che fornisce come testo una lista di numeri di stato separati da una virgola (,).
  • una variabile numerica con un numero di stato (1 - 4294967294; 0xFFFFFFFE), oppure il valore
  • 0 per tutti

Ok

Riprende le impostazioni e chiude il dialogo.

Elimina

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online

Possibili combinazioni di versione ricetta e stato ricetta:

Filtro versione | Filtro stato | Risultato
Versione più bassa | Espandi | Di tutte le ricette vengono visualizzate solamente le versioni più piccole.
Versione più bassa | 1,2 | Di tutte le versioni ricetta che hanno lo stato 1 oppure 2 vengono visualizzate solamente le più piccole versioni.
Versione più alta | Espandi | Di tutte le ricette vengono visualizzate solamente le versioni più grandi.
Versione più alta | 1,2 | Di tutte le versioni ricetta che hanno lo stato 1 oppure 2 vengono visualizzate solamente le più grandi versioni.
Espandi | Espandi | Vengono visualizzate tutte le versioni ricette.
Espandi | 1,2 | Vengono visualizzate tutte le versioni ricette con lo stato 1 oppure 2.
2,3 | Espandi | Vengono visualizzate tutte le versioni ricette 2 e 3 indipendentemente dallo stato.
2,3 | 1,2 | Viene visualizzata rispettivamente la versione ricette 2 e 3, se questa ha lo stato 1 oppure 2.

Per ulteriori informazioni sul RGM, vi preghiamo di consultare la guida concernente il Manager di gruppi ricette.

Progettazione impianto

Selezione di un modello di impianto.

Selezionate il modello di impianto desiderato fra quelli della lista, oppure createne uno nuovo.

Nota: i modelli di impianto vengono gestiti nel progetto globale. Per poter creare un nuovo modello di impianto, dunque, deve esistere un progetto globale.


RGM valori ricetta

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> RGM valori ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
RGM valori ricetta

Configurazione dei valori ricetta RGM. Le variabili di visibilità vengono analizzate per l´emissione dei valori di ricetta. Nel Report Viewer vengono visualizzati solamente i valori di ricetta che hanno lo stato visibile:

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • non deve essere vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Ok

Riprende le impostazioni e chiude il dialogo.

Elimina

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online

Filtro di ricetta

Configurazione dei filtri ricette

Parametri

Descrizione

Scelta progetto

Selezione del progetto per i dati ricetta fra quelli proposti dalla lista a cascata

Gruppo di ricette

Selezione del gruppo ricette.

La selezione può avvenire:

  • in modo statico, a partire da inserimenti predefiniti (Gruppo ricette statico)
  • in modo dinamico, tramite variabili (Nome gruppo di ricetta da variabile)

Cliccando sulla proprietà, si apre il combobox che serve alla selezione del metodo.

Scelta del gruppo:

  • dal menù a tendina
  • inserimento di un testo filtro con wildcard (? per esattamente un carattere, e * per 0 oppure per un numero qualsiasi di caratteri).
  • tramite una variabile stringa: il valore di testo della variabile verrà interpretato come nome gruppo, o testo filtro con wildcard.

Ricetta

Selezione della ricetta fra quelle del gruppo ricette selezionato.

La selezione può avvenire:

  • in modo statico, a partire da inserimenti predefiniti (Ricetta statica)
  • in modo dinamico, tramite variabile (Nome ricetta da variabile)

Cliccando sulla proprietà, si apre il Combobox che serve alla selezione del metodo.

Scelta del nome:

  • dalla lista a cascata
  • Inserimento di un testo filtro con wildcard (? per esattamente un carattere, e * per zero oppure per un numero qualsiasi di caratteri).
  • via variabile stringa: il valore di testo della variabile verrà interpretato come nome ricetta, o testo filtro con wildcard.

Versione di ricetta statica

Selezione della versione ricetta fra quelle del gruppo ricette selezionato.

La selezione può avvenire:

  • in modo statico, a partire da inserimenti predefiniti (Versione di ricetta statica)
  • in modo dinamico, tramite variabile (Versione di ricetta da variabile)

Cliccando sulla proprietà, si apre il Combobox che serve alla selezione del metodo.

Scelta della versione:

  • Inserimento dal menù a tendina:
    - versione più grande
    - versione più piccola
    - tutte
    - versioni ricette (disponibile solamente se la selezione del gruppo e della ricetta ha come risultato una sola ricetta; selezione senza wildcard)
  • Inserimento di una lista di versioni ricetta, con le versioni separate da virgole (,), per es. „1, 3, 5".
  • Una variabile stringa che fornisce una lista di numeri di versione separati da una virgola (,).
  • Una variabile numerica con un numero di versione (1 - 89999), oppure i valori:
    - 90000 per„versione più piccola"
    - 90001 per„versione più grande"
    - 90002 per„tutte le versioni"

Stato ricetta statico

Selezione dello stato ricetta fra quelle del gruppo ricette selezionato.

La selezione può avvenire:

  • in modo statico, a partire da inserimenti predefiniti (Stato ricetta statico)
  • in modo dinamico, tramite variabile (Stato di ricetta da variabile)

Cliccando sulla proprietà, si apre il Combobox che serve alla selezione del metodo.

Selezione dello stato:

  • Inserimento della lista a cascata:
    - tutti
    - stato ricetta individuale.
  • Lista di stati ricetta separati da virgole (,). per es. „1, 2, 7"
  • Una variabile stringa che fornisce come testo una lista di numeri di stato separati da una virgola (,).
  • una variabile numerica con un numero di stato (1 - 4294967294; 0xFFFFFFFE), oppure il valore
  • 0 per tutti

Ok

Riprende le impostazioni e chiude il dialogo.

Elimina

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online

Possibili combinazioni di versione ricetta e stato ricetta:

Filtro versione | Filtro stato | Risultato
Versione più bassa | Espandi | Di tutte le ricette vengono visualizzate solamente le versioni più piccole.
Versione più bassa | 1,2 | Di tutte le versioni ricetta che hanno lo stato 1 oppure 2 vengono visualizzate solamente le più piccole versioni.
Versione più alta | Espandi | Di tutte le ricette vengono visualizzate solamente le versioni più grandi.
Versione più alta | 1,2 | Di tutte le versioni ricetta che hanno lo stato 1 oppure 2 vengono visualizzate solamente le più grandi versioni.
Espandi | Espandi | Vengono visualizzate tutte le versioni ricette.
Espandi | 1,2 | Vengono visualizzate tutte le versioni ricette con lo stato 1 oppure 2.
2,3 | Espandi | Vengono visualizzate tutte le versioni ricette 2 e 3 indipendentemente dallo stato.
2,3 | 1,2 | Viene visualizzata rispettivamente la versione ricette 2 e 3, se questa ha lo stato 1 oppure 2.

Per ulteriori informazioni sul RGM, vi preghiamo di consultare la guida concernente il Manager di gruppi ricette.

Progettazione impianto

Selezione di un modello di impianto.

Selezionate il modello di impianto desiderato fra quelli della lista, oppure createne uno nuovo.

Nota: i modelli di impianto vengono gestiti nel progetto globale. Per poter creare un nuovo modello di impianto, dunque, deve esistere un progetto globale.


Data set per Batch Control

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Data set per Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Data set per Batch Control

Per il modulo Batch Control sono disponibili i seguenti data set:

  • ricetta master
  • Ricetta di controllo
  • Immagine ricetta
  • Struttura matrice
  • Struttura PFC
  • Funzioni di base
  • Parametri
  • Transizioni
  • Allocazione aggregati
  • Istanze ricette parziali


ricetta master

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> ricetta master

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
ricetta master

Configurazione di un data set per una ricetta master nel modulo Batch Control.

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • non deve essere vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Ok

Riprende le impostazioni e chiude il dialogo.

Elimina

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online


Ricetta di controllo

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Ricetta di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Ricetta di controllo

Configurazione di un data set per una ricetta di controllo nel modulo Batch.

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • non deve essere vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Ok

Riprende le impostazioni e chiude il dialogo.

Elimina

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online


Immagine ricetta

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Immagine ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Immagine ricetta

Configurazione di un data set per immagini ricette nel modulo Batch Control. Si può indicare per le immagini non solo il dettaglio pubblicazione, ma anche il tipo di visualizzazione nel Runtime.

Generale

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • non deve essere vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Dettaglio pubblicazione

Configurazione del dettaglio pubblicazione:

  • Completa: il report contiene dati dell´intera ricetta, incluse le sue ricette parziali.
  • Solo livello ricetta principale: il report contiene solamente dati della ricetta principale.
  • Solo livello ricetta parziale: il report contiene solo dati delle ricette parziali contenute nella ricetta.

Ok

Riprende le impostazioni e chiude il dialogo.

Elimina

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online

Rappresentazione

Parametri | Descrizione
Aspetto PFC | Visualizzazione per ricette PFC
Grafica di sfondo | Definizione del colore di sfondo. Cliccando su colore, si apre il dialogo che serve alla selezione di un colore o di una tavolozza.
Opacità | Impostazione del grado di copertura tramite slider.
Mostra griglia | Attivo: Viene visualizzata la griglia
Colore griglia | Definizione del colore griglia. Cliccando su colore, si apre il dialogo che serve alla selezione di un colore o di una tavolozza.
Aspetto matrice | Visualizzazione di ricette matrice.
Grafica di sfondo | Definizione del colore di sfondo. Cliccando su colore, si apre il dialogo che serve alla selezione di un colore o di una tavolozza.
Opacità | Impostazione del grado di copertura tramite slider.
Colore griglia | Definizione del colore griglia. Cliccando su colore, si apre il dialogo che serve alla selezione di un colore o di una tavolozza.
Ok | Riprende le impostazioni e chiude il dialogo.
Elimina | Rifiuta le modifiche e chiude il dialogo.
Guida | Apre la guida online


Struttura matrice

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Struttura matrice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Struttura matrice

Configurazione di un data set per la struttura di una ricetta matrix nel modulo Batch Control.

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • non deve essere vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Dettaglio pubblicazione

Configurazione del dettaglio pubblicazione:

  • Completa: il report contiene dati dell´intera ricetta, incluse le sue ricette parziali.
  • Solo livello ricetta principale: il report contiene solamente dati della ricetta principale.
  • Solo livello ricetta parziale: il report contiene solo dati delle ricette parziali contenute nella ricetta.

Ok

Accetta le impostazioni e chiude il dialogo.

Elimina

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.


Struttura PFC

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Struttura PFC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Struttura PFC

Configurazione di un data set per la struttura di una ricetta PFC nel modulo Batch Control.

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • non deve essere vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Dettaglio pubblicazione

Configurazione del dettaglio pubblicazione:

  • Completa: il report contiene dati dell´intera ricetta, incluse le sue ricette parziali.
  • Solo livello ricetta principale: il report contiene solamente dati della ricetta principale.
  • Solo livello ricetta parziale: il report contiene solo dati delle ricette parziali contenute nella ricetta.

Ok

Riprende le impostazioni e chiude il dialogo.

Elimina

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online


Funzioni di base

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Funzioni di base

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Funzioni di base

Configurazione di un data set per fasi nel modulo Batch Control.

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • non deve essere vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Dettaglio pubblicazione

Configurazione del dettaglio pubblicazione:

  • Completa: il report contiene dati dell´intera ricetta, incluse le sue ricette parziali.
  • Solo livello ricetta principale: il report contiene solamente dati della ricetta principale.
  • Solo livello ricetta parziale: il report contiene solo dati delle ricette parziali contenute nella ricetta.

Ok

Riprende le impostazioni e chiude il dialogo.

Elimina

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online


Parametri

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Parametri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Parametri

Configurazione di un data set per parametro nel modulo Batch Control.

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • non deve essere vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Dettaglio pubblicazione

Configurazione del dettaglio pubblicazione:

  • Completa: il report contiene dati dell´intera ricetta, incluse le sue ricette parziali.
  • Solo livello ricetta principale: il report contiene solamente dati della ricetta principale.
  • Solo livello ricetta parziale: il report contiene solo dati delle ricette parziali contenute nella ricetta.

Ok

Riprende le impostazioni e chiude il dialogo.

Elimina

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online


Transizioni

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Transizioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Transizioni

Configurazione di un data set per transizioni nel modulo Batch Control.

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • non deve essere vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Dettaglio pubblicazione

Configurazione del dettaglio pubblicazione:

  • Completa: il report contiene dati dell´intera ricetta, incluse le sue ricette parziali.
  • Solo livello ricetta principale: il report contiene solamente dati della ricetta principale.
  • Solo livello ricetta parziale: il report contiene solo dati delle ricette parziali contenute nella ricetta.

Ok

Riprende le impostazioni e chiude il dialogo.

Elimina

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online


Allocazione aggregati

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Allocazione aggregati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Allocazione aggregati

Configurazione di un data set per allocazione aggregati nel modulo Batch Control.

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • non deve essere vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Configurazione del dettaglio pubblicazione:

  • Completa: il report contiene dati dell´intera ricetta, incluse le sue ricette parziali.
  • Solo livello ricetta principale: il report contiene solamente dati della ricetta principale.
  • Solo livello ricetta parziale: il report contiene solo dati delle ricette parziali contenute nella ricetta.

Ok

Riprende le impostazioni e chiude il dialogo.

Elimina

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online


Istanze ricette parziali

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Cambio ad immagine del tipo Report Viewer -> Datasets nel Report Viewer -> Istanze ricette parziali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Istanze ricette parziali

Configurazione di un data set per istanze ricetta parziale nel modulo Batch Control.

Parametri

Descrizione

Nome Dataset

Nome del dataset:

  • non deve essere vuoto.
  • deve corrispondere esattamente al nome del dataset nel file RDL
  • non deve contenere né spazi vuoti, né caratteri speciali

Ok

Riprende le impostazioni e chiude il dialogo.

Elimina

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online


Funzione esporta o stampa report:

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Funzione esporta o stampa report:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la funzione Report Viewer: esporta / stampa si possono emettere report durante il Runtime in formato PDF, come file Excel,oppure come stampa online in un thread proprio. Visto che il rendering del file è asincrono, il Runtime può essere gestito anche durante il rendering. L´esecuzione di funzioni di livello prioritario inferiore, però, viene bloccata finché il Report Viewer non ha completato il rendering. Si può effettuare l´emissione in formato PDF o come stampa report anche usando elementi di controllo nell´immagine; in questo caso, però, la gestibilità Runtime può risultare limitata fino al termine dell´operazione di emissione

Per creare la funzione :

  1. selezionate nel nodo Funzioni il comando Nuova Funzione...
  2. si aprirà la selezione funzioni

  3. navigate per raggiungere il nodo Generatore Report / Report Viewer / Analyzer
  4. selezionate la funzione Report Viewer: esporta / stampa
  5. si apre il dialogo di configurazione
  6. Dettagli sulla configurazione della finestra di dialogo:
    • come PDF: vedi capitolo Emissione in formato PDF
    • sulla stampante: vedi capitolo Configurazione dell´emissione su stampante
    • come documento Excel: vedi capitolo Emissione in formato Excel.
    • Definizione report: vedi capitolo Definizione report in Cambio ad un´immagine del tipo Report Viewer

info Informazioni su

La rappresentazione grafica del report può variare leggermente fra i diversi formati di output.

Noch in diesem Kapitel

Emissione in formato PDF

Configurazione dell´emissione su stampante

Configurare output in Excel


Emissione in formato PDF

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Funzione esporta o stampa report: -> Emissione in formato PDF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per emettere il report in formato PDF:

  1. come opzione per Pubblica report selezionate Pubblica in PDF
  2. assegnate un nome file fisso, oppure selezionate una variabile che definisca il nome file nel Runtime.
  3. decidete se i dati già esistenti devono essere sovrascritti.
  4. confermate la configurazione cliccando sul pulsante OK

Parametri

Descrizione

Pubblica report

Selezione fra le varianti proposte dalla lista a cascata del modo in cui il report deve essere emesso:

  • Pubblica in PDF: crea un documento PDF che corrispondente a quanto stabilito in fase di configurazione.
  • Pubblica su stampante: Emette il report sulla stampante definita.

Salva PDF in

Selezione dell´assegnazione di un nome file fra quelli di una lista a cascata:

  • Nome file statico: il nome viene inserito nel campo di testo, oppure viene selezionato dal file explorer dopo aver cliccato sul pulsante ....
  • Nome file da variabile: cliccando sul pulsante ... si apre la finestra di dialogo che serve a selezionare una variabile, che invia durante Il Runtime il nome file per il report.

Composizione del nome file statico:

nel caso dei nomi file statici, gli elementi che li compongono sono costituiti da caratteri jolly:

  • <ProjectName>: Nome del progetto
  • <DateTime>: data e ora corrispondenti alle impostazioni di sistema
  • <Date>: data corrispondente alle impostazioni di sistema
  • <Time>: tempo corrispondente alle impostazioni di sistema

I caratteri jolly possono essere inseriti anche cliccando con il tasto destro del mouse sul campo di testo che si trova sopra il menù contestuale corrispondente all´attuale posizione del cursore.

Il nome file può essere assegnato come percorso assoluto, oppure come percorso relativo (relativo alla cartella di export del progetto).

Percorso di salvataggio per PDF:

Come nella cartella definita per l´export.
Percorso standard: %PUBLIC%\Documents\zenon_Projects\[PROJECTNAME]>\Export

Sovrascrivi file esistente

Attivo: i dati esistenti nel percorso di salvataggio vengono sovrascritti.

Ok

Riprende le modifiche di tutte le schede e chiude il dialogo.

Elimina

Annulla tutte le modifiche e chiude il dialogo.

Guida

Attiva la guida online


Configurazione dell´emissione su stampante

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Funzione esporta o stampa report: -> Configurazione dell´emissione su stampante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per emettere il report su una stampante:

  1. per l´opzione Pubblica report selezionate Pubblica su stampante
  2. confermate la configurazione cliccando sul pulsante OK

Parametri

Descrizione

Pubblica report

Selezione fra le varianti proposte dalla lista a cascata del modo in cui il report deve essere emesso:

  • Pubblica in PDF: crea un documento PDF che corrispondente a quanto stabilito in fase di configurazione.
  • Pubblica su stampante: Emette il report sulla stampante definita.

Ok

Riprende le modifiche di tutte le schede e chiude il dialogo.

Elimina

Annulla tutte le modifiche e chiude il dialogo.

Guida

Attiva la guida online


Configurare output in Excel

Manuale -> Reporting -> Report Viewer -> Progettazione nell'editor -> Funzione esporta o stampa report: -> Configurare output in Excel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per emettere il report come file Excel:

  1. Selezionate nel menù a tendina Pubblica report, la voce Incarico come Excel.
  2. Selezionate nel menù a tendina Esporta report su il tipo della denominazione file.
    I nomi file possono essere progettati liberamente, o li si può ricavare da variabili.
  3. Decidete se i dati già esistenti devono essere sovrascritti.
  4. confermate la configurazione cliccando sul pulsante OK

Parametri

Descrizione

Pubblica report

Selezione fra le varianti proposte dalla lista a cascata del modo in cui il report deve essere emesso:

  • Pubblica in PDF: crea un documento PDF che corrispondente a quanto stabilito in fase di configurazione.
  • Pubblica su stampante: Emette il report sulla stampante definita.
  • Incarico come Excel: crea un file Excel del report.

Esporta report su

Selezione dell´assegnazione di un nome file fra quelli di una lista a cascata:

  • Nome file statico: il nome viene inserito nel campo di testo, oppure viene selezionato dal file explorer dopo aver cliccato sul pulsante ....
  • Nome file da variabile: cliccando sul pulsante ... si apre la finestra di dialogo che serve a selezionare una variabile, che invia durante Il Runtime il nome file per il report.

Composizione del nome file statico:

per i nomi file statici (Nome file statico), le componenti del nome vengono compilate usando caratteri jolly:

  • <ProjectName>: Nome del progetto
  • <DateTime>: data e ora corrispondenti alle impostazioni di sistema
  • <Date>: data corrispondente alle impostazioni di sistema
  • <Time>: tempo corrispondente alle impostazioni di sistema

I caratteri jolly possono essere inseriti anche cliccando con il tasto destro del mouse sul campo di testo che si trova sopra il menù contestuale corrispondente all´attuale posizione del cursore.

Il nome file può essere assegnato come percorso assoluto, oppure come percorso relativo (relativo alla cartella di export del progetto).

Percorso salvataggio file:

Come nella cartella definita per l´export.
Percorso standard: %PUBLIC%\Documents\zenon_Projects\[PROJECTNAME]>\Export

Sovrascrivi file esistente

Attivo: i dati esistenti nel percorso di salvataggio vengono sovrascritti.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


File definizione Report

Manuale -> Reporting -> Report Viewer -> File definizione Report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I file definizione Report (RDL) devono essere del tipo 2 per poter essere usati nel Report Viewer di zenon. I file RDL del tipo 3 possono essere solamente visualizzati, ma le features non disponibili nella versione 2, appariranno vuote.

Per creare dei propri dataset o per modificare quelli esistenti, è necessario un software specifico per gestire i file RDL. A questo scopo, avete a disposizione le seguenti opzioni:

  • SQL Server Data Tool (SSDT):

    Viene fornito da COPA-DATA a partire dalla versione zenon 7.10, e viene installato automaticamente con l´installazione zenon.

    SSDT consiste di Microsoft Visual Studio 2010 con altri tipi di progetto che sono disponibili solamente per SQL Server Business Intelligence, ed è l´ambiente primario per progetti businessservices, come il reporting. Vengono messi a disposizione dei modelli per la creazione degli oggetti necessari per le soluzioni Business Intelligence, nonché designer, tool e assistenti per modificare questi oggetti.

    Quando si apre un file RDL per editarlo con SSDT, può essere che venga visualizzata una finestra di dialogo che serve a settare le impostazioni per Visual Studio 2010:

    selezionate l´opzioneBusiness Intelligence Settings e cliccate sul pulsante Start Visual Studio.

  • Microsoft Report Builder 2.0:

    Lo si può scaricare dal sito dei downloads di Microsoft. Mette a disposizione un wizard per la configurazione dei dataset; lo consigliamo a quegli utenti che non dispongono di conoscenze specifiche concernenti la configurazione di file RDL.
    Attenzione: prima di scaricare il tool, fate attenzione alle condizioni di Microsoft concernenti le licenze!
    Gli utenti di zenon Analyzer dispongono già del Report Builder 3 e della licenza SQL necessaria per il Report Builder. Tuttavia bisogna installare e usare il Report Builder 2 per modificare i dataset del Report Viewer.

  • Software di altri produttori:

    Per modificare i file di definizione Report, si può usare anche un software di altri produttori.

Se sono installati sia il MS Report Builder che il Microsoft SQL Server Data Tools, si può scegliere in un dialogo quale tool si desidera usare.

attention Attenzione

Tenete presente:

  • i file RDL dovrebbero essere creati e modificati sempre usando lo stesso tool.
  • Si deve evitare di mescolare le versioni 2 e 3 dei file RDL.
  • Se si è salvato un file RDL con SSDT, non lo si potrà modificare con il MS Report Builder 2.0.

DataSource

Le proprietà del datasource (sovraordinato ai dataset) non possono essere modificate.

Le proprietà standard sono:

Parametri | Descrizione
Nome | DataSource1
Connection | Use a connection embedded in my report
Select connection type | XML

Modifica di file RDL in progetti con progettazione distribuita

Quando editate file RDL nell´ambito di un sistema a progettazione distribuita, tenete presente che i file non sono settati automaticamente su"Consenti modifiche" (Checkout) quando vengono aperti.

  • È possibile aprire file RDL con il SSDT o il MS Report Builder per modificarli e salvare i cambiamenti localmente, senza che il file sia stato settato su"Consenti modifiche" (Checkout). Queste modifiche, però, possono essere riprese sul server e e andranno dunque perse in caso di sincronizzazione o con Consenti modifiche (Checkout). Viene ripresa automaticamente la versione più vecchia del server.
  • Si può anche aprire su un computer un file RDL che su un altro computer è stato settato su Consenti modifiche" (checkout), in modo tale da poterlo modificare e da poter salvare i cambiamenti localmente. Il file non è protetto per la scrittura quando si attiva l´opzione "Consenti modifiche" (checkout). Anche le modifiche apportate a livello locale verranno sovrascritte al momento della sincronizzazione.

Per salvare le modifiche apportate a lungo termine, bisogna settare il file RDL su "Consenti modifiche" (Checkout) prima di aprirlo.

attention Attenzione

I file RDL possono essere rinominati solamente nell´Editor di zenon.

Quando i file RDL sono stati rinominati in SSDT o MS Report Builder, il nuovo nome non viene ripreso in progetti con progettazione distribuita e le modifiche andranno perdute.

Noch in diesem Kapitel

Configurare dataset per un nuovo report.

Creare e modificare file RD con MS Report Builder 2.0

Creare e modificare file RDL con Microsoft Business Intelligence Development Studio.

Definizione dei data set


Configurare dataset per un nuovo report.

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Configurare dataset per un nuovo report.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un nuovo file RDL con i dataset già definiti:

  1. passate al nodo File/Report Viewer.
  2. selezionate nel menù contestuale oppure nella barra dei simboli della visualizzazione dettagli il comando Report; Nuovo file di definizione.
  3. Verrà aperto il dialogo per la selezione e la configurazione dei dataset per il report.
  4. Configurate i dataset desiderati
  5. Cliccando sul pulsante OK chiudete il dialogo e avviate il MS Report Builder.
  6. Configurate il file RDL nel Report Builder e salvatelo.

Dialogo: selezionare dataset per report

Parametri | Descrizione
Dataset disponibili | Visualizza in una lista tutti i dataset disponibili. Cliccando sul pulsante > oppure cliccando due volte su un dataset, aggiungete alla lista Dataset selezionati un nuovo dataset del tipo scelto.
Pulsante > | Aggiunge alla lista Dataset selezionati un nuovo dataset del tipo scelto
Dataset selezionati | Ordina in una lista tutti i dataset progettati. Uso tastiera: F2 … rinomina il dataset selezionato. Canc… cancella il dataset selezionato.
Rinomina | Consente di rinominare il dataset selezionato (se si usa la tastiera: F2). Il nome del dataset deve essere univoco. Una modifica verrà accettata solamente se il nome rimane univoco.
Elimina | Il dataset selezionato viene cancellato (se si usa la tastiera: Canc
Ok | Accetta le impostazioni e chiude il dialogo.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Creare e modificare file RD con MS Report Builder 2.0

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Creare e modificare file RD con MS Report Builder 2.0

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il MS Report Builder può essere scaricato gratuitamente dal sito di download di Microsoft.
Attenzione: prima di scaricare il tool, fate attenzione alle condizioni di Microsoft concernenti le licenze!
Gli utenti di zenon Analyzer dispongono già del Report Builder 3 e della licenza SQL necessaria per il Report Builder. Tuttavia bisogna installare e usare il Report Builder 2 per modificare i dataset del Report Viewer.

Installate il Report Builder e controllate se è collegato correttamente a zenon.

Crea file RDL

Per creare un nuovo file RDL:

  1. selezionate nell´Editor di zenon nel nodo File/Report Viewer del menu contestuale o nella barra simboli, il comando Nuovo file definizione Report. Si apre il dialogo per la configurazione del Dataset desiderato.
  2. Non appena confermate il dialogo cliccando su OK, verrà avviato il MS Report Builder:

  3. Adattate i dataset alla configurazione nella funzione di cambio lingua nel modo seguente:
    • rinominandoli: i nomi dei dataset devono coincidere esattamente con quelli dei dataset nel cambio immagine
    • cancellandoli: i dataset che non hanno un´esatta corrispondenza nel cambio immagine e, perciò, non possono essere riforniti di dati, causano l´emissione di messaggi di errore nel Runtime
    • crearne dei nuovi: i dataset che sono stati configurati nel cambio immagine, ma che non hanno una corrispondenza nel file RDL, causano l´emissione di messaggi di errore nel Runtime.
  4. Scegliete nel menu Insert il comando Table -> Table Wizard.
  5. il wizard verrà avviato.
  6. Selezionate il dataset desiderato

  7. Piazzate i campi come desiderate.

  8. Cliccate su Next e selezionate il layout.

  9. Cliccate su Next e selezionate lo stile della visualizzazione.

  10. Cliccate su Finish.
    Il dataset viene visualizzato con la tabella pronta.

  11. Cancellate la tabella-esempio.
  12. Piazzate la nuova tabella nel punto desiderato
  13. Cambiate il titolo a piacere.

  14. Ripetete l´operazione con tutti i dataset da configurare.
  15. Salvate il file RDL.

Risultato nel Runtime:

Modifica file RDL

Per modificare un file RDL, cliccate due volte sul file in questione, oppure scegliete il comando Apri file definizione Report. Per modificare un file RDL, seguirete una procedura analoga a quella che avete usato per crearne uno.

Noch in diesem Kapitel

Gestire dataset


Gestire dataset

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Creare e modificare file RD con MS Report Builder 2.0 -> Gestire dataset

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Report Builder potete fare quanto segue con i dataset:

  • li potete rinominare
  • Elimina
  • crearne dei nuovi

Il numero e il nome dei dataset di un file RDL devono sempre corrispondere con i dataset definiti nel cambio immagine.

attention Attenzione

Tenete presente:

  • la datasource non può essere editata.
  • I dataset non possono essere editati.

Rinomina dataset

Per rinominare un dataset:

  1. c poi con il tasto destro del mouse sul dataset
  2. selezionate nel menù contestuale il comando Dataset Properties
  3. si apre il dialogo per l´impostazione delle proprietà del dataset
  4. assegnate il nome desiderato nella proprietà Nome

    Indicazioni: il nome deve corrispondere alla denominazione nel Cambio immagine. Non deve contenere né spazi vuoti, né caratteri speciali.

  5. lasciate immutate tutte le altre impostazioni
  6. Chiudete il dialogo cliccando su OK.

Cancellare dataset

Per cancellare un dataset:

  1. selezionate il dataset da cancellare nella finestra Report Data al di sotto della DataSource

  2. selezionate nel menù contestuale il comando Delete
  3. il dataset viene cancellato dopo una richiesta di conferma

Crea un nuovo dataset

Per impostare un nuovo dataset:

  1. cliccate con il tasto destro del mouse sulla DataSource
  2. selezionate nel menù contestuale Add Dataset

  3. viene creato un nuovo dataset e si apre la finestra delle proprietà

  4. Assegnate il nome desiderato.

    Indicazioni il nome deve corrispondere alla denominazione nel Cambio immagine. Non deve contenere né spazi vuoti, né caratteri speciali.

  5. aggiungete la query adeguata; avete tre possibilità di farlo:
    1. Query Designer: apre il dialogo che consente di inserire la query manualmente
    2. Importa: importa da un file RDL esistente
    3. copia manuale da un dataset esistente: aprite il Quell-Dataset corrispondente, copiate il contenuto della query, inseritelo nel campo Query nel nuovo Dataset
  6. Chiudete il dialogo cliccando su OK.

Importa query

Per importare una query da un file RDL esistente:

  1. cliccate nel dialogo delle proprietà del dataset sul pulsante Import
  2. si apre l´assistente per la selezione file
  3. cercate e aprite il file RDL desiderato
  4. il dialogo di import viene visualizzato

  5. selezionate il dataset desiderato

  6. cliccate su Import
  7. la query del Quell-Dataset viene inserita nel dataset attualmente aperto


Creare e modificare file RDL con Microsoft Business Intelligence Development Studio.

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Creare e modificare file RDL con Microsoft Business Intelligence Development Studio.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Microsoft Business Intelligence Development Studio viene fornito e installato con zenon.

Per creare e modificare file RDL con Microsoft Business Intelligence Development Studio, dovete procedere il linea di massima come nel caso di Report Builder 2.0.

Ci sono soprattutto le seguenti differenze:

  • per far in modo che sia possibile modificare il report, bisogna anzitutto creare un nuovo progetto del tipo Report Server Project e una nuova cosiddetta Solution in Microsoft Business Intelligence Development Studio.
    Essi vengono creati automaticamente quando si apre il file RDL con un doppio clic. Quando si chiude il Business Intelligence Development Studio, potete salvare il progetto e la solution nella cartella temporanea; poi il sistema non vi inviterà più a farlo.
    I dataset e il report possono essere adesso modificati in Microsoft Business Intelligence Development Studio.
  • Nel Microsoft Business Intelligence Development Studio non esiste un wizard per le tabelle, il che significa che le tabelle dei dataset devono essere configurate manualmente.
  • Non viene eseguito nessun controllo della versione:
    così è possibile aggiungere delle features della versione 3 a file RDL della versione 2. Esse, però, non verranno visualizzate nel Runtime.
  • Nel Microsoft Business Intelligence Development Studio, i dataset sono separati dalle datatsources. La datasource non deve essere modificata.

Istruzione

Un´ampia introduzione all´uso del Microsoft Business Intelligence Development Studio la trovate online sulla website di Microsoft.

Lingua | Link
Inglese: | http://msdn.microsoft.com/en-en/library/ms173767.aspx
Tedesco: | http://msdn.microsoft.com/de-de/library/ms173767.aspx
Francese: | http://msdn.microsoft.com/fr-fr/library/ms173767.aspx
Italiano: | http://msdn.microsoft.com/it-it/library/ms173767.aspx

Cancella dataset

Nel Microsoft Business Intelligence Development Studio i dataset non necessari devono essere cancellati, perché essi possono causare problemi durante il Runtime.

Per cancellare dei dataset:

  1. cliccate su View.
  2. selezionate Report Data
  3. passate a Datasets
  4. cancellate tutti i dataset non necessari

Visualizza finestra data set

Se la finestra Dataset non viene visualizzata, può essere aperta con i passaggi seguenti:

  • selezionare report
  • cliccare sul menù View nel menù principale
  • scorrere fino alla fine della lista
  • selezionare Report Data
    Nota: se questo inserimento di menù non viene visualizzato, significa che non si è selezionato nessun report.

Dopo la selezione del report, si può anche premere la combinazione di tasti Ctrl+ALt+D.


Definizione dei data set

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le colonne dei tipi di data set sono definite in modo fisso.

Definizione dei data set per:

  • AML
  • CEL
  • Archivio
  • Online
  • Impostazioni di filtro
  • RGM
    • RGM dati ricetta
    • RGM valori ricetta
  • Batch Control
    • ricetta master
    • Ricetta di controllo
    • Immagine ricetta
    • Struttura matrice
    • Struttura PFC
    • Funzioni di base
    • Parametri
    • Transizioni
    • Allocazione aggregati
    • Istanze ricette parziali

Nota: se report zenon Analyzer devono essere riutilizzati nel Report Viewer, vale quanto segue:

  • i testi suscettibili di cambio lingua sono già tradotti
  • valori con unità intercambiabile sono espressi in unità di calcolo
  • i data/ora corrispondono all´ora locale del computer che gestisce il processo

info Informazioni su

Quando si crea un report, il sistema provvede a controllare la successione dei campi dati con riferimento alla loro denominazione. In tal modo si stabilisce di quale dataset potrebbe trattarsi. Il numero dei campi dati, tuttavia, può variare. Ciò può far sì che un dataset venga mal interpretato.

Ad esempio: Un dataset con un solo campo dal nome PROJECT può essere interpretato dal sistema come dataset per AML, CEL, archivio, oppure dati-online, visto che tutti questi dataset iniziano con un campo dal nome PROJECT.

Noch in diesem Kapitel

AML

CEL

Archivio

Online

Impostazioni di filtro

RGM dati ricetta

RGM valori ricetta

ricetta master

Ricetta di controllo

Immagine ricetta

Struttura matrice

Struttura PFC

Funzioni di base

Parametri

Transizioni

Allocazione aggregati

Istanze ricette parziali


AML

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> AML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
PROJECT | STRING | Nome del progetto.
VARIABILE | STRING | nome della variabile.
IDENTIFICATION | STRING | identificazione della variabile.
TEXT | STRING | Testo dell´inserimento.
TIMECOMES | DATE | Momento della comparsa dell´allarme.
TIMEGOES | DATE | Momento.
TIMEACKN | DATE | Momento del ripristino.
TIMEREACT | DATE | Momento della riattivazione.
COUNTREACT | INTEGER | Numero di riattivazioni.
STATEREACT | INTEGER | Stato della riattivazione.
STATUSFLAGS | INTEGER | Bit di stato.
VALUE | FLOAT | Valore della variabile.
UNIT | STRING | Unità di misura.
COMMENT | STRING | Commento dell´utente.
CLASS | STRING | Classe allarme/evento.
GROUP | STRING | Gruppo allarme/evento.
USER | STRING | nome dell’utente.
COMPUTER | STRING | Nome del computer.
RESSOURCESLABEL | STRING | Identificazione servizio


CEL

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
PROJECT | STRING | Nome del progetto.
VARIABILE | STRING | nome della variabile.
IDENTIFICATION | STRING | identificazione della variabile.
TEXT | STRING | Testo dell´inserimento.
TIMECOMES | STRING | Momento della comparsa dell´evento.
STATUSFLAGS | INTEGER | Bit di stato.
VALUE | FLOAT | Valore della variabile.
UNIT | STRING | Unità di misura.
COMMENT | STRING | Commento dell´utente.
CLASS | STRING | Classe allarme/evento.
GROUP | STRING | Gruppo allarme/evento.
USER | STRING | nome dell’utente.
COMPUTER | STRING | Nome del computer.
RESSOURCESLABEL | STRING | Identificazione servizio


Archivio

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
PROJECT | STRING | Nome del progetto.
ARCHIVE | STRING | Nome dell'archivio.
VARIABILE | STRING | nome della variabile.
IDENTIFICATION | STRING | identificazione della variabile.
CHANNELSPEC | STRING | Variabile compreso tipo di compressione.
TIMESTAMP | STRING | Data e ora.
STATUSFLAGS | INTEGER | Bit di stato.
VALUE | FLOAT | Valore della variabile.
UNIT | STRING | Unità di misura.
STRVALUE: | STRING | Valore come stringa.
RESSOURCESLABEL | STRING | Identificazione servizio


Online

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
PROJECT | STRING | Nome del progetto.
VARIABILE | STRING | nome della variabile.
IDENTIFICATION | STRING | identificazione della variabile.
TIMESTAMP | STRING | Data e ora.
STATUSFLAGS | INTEGER | Bit di stato.
VALUE | FLOAT | Valore della variabile.
UNIT | STRING | Unità di misura.
STRVALUE: | STRING | Valore come stringa.
RESSOURCESLABEL | STRING | Identificazione servizio


Impostazioni di filtro

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Impostazioni di filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
Dataset | STRING | Dataset usato, per es. AML.
FilterType | STRING | Tipo di filtro, per es. Time.
FilterData | STRING | Impostazioni del filtro, per es. T:. Rel:0d, 1h, 0m, 0s;


RGM dati ricetta

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> RGM dati ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
PROJECTNAME | STRING | Nome del progetto.
GROUPNAME | STRING | Nome del gruppo ricette.
NAME | STRING | Nome ricetta.
NUMBER | UINT | Numero ricetta.
STATUSNUMBER | UINT | Numero di stato.
STATUSTEXT | STRING | Testo di stato.
VERSION | UINT | Versione.
COMMENT1 | STRING | Commento 1
COMMENT2 | STRING | Commento 2
COMMENT3 | STRING | Commento 3
COMMENT4 | STRING | Commento 4
COMMENT5 | STRING | Commento 5
COMMENT6 | STRING | Commento 6
COMMENT7 | STRING | Commento 7
COMMENT8 | STRING | Commento 8
USERLEVEL | UINT | Autorizzazione utente.
CHANGETIME | DATETIME | Data della modifica.
CHANGEUSER | STRING | User registrato al momento dell´effettuazione della modifica.


RGM valori ricetta

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> RGM valori ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
PROJECTNAME | STRING | Nome del progetto.
GROUPNAME | STRING | Nome del gruppo ricette.
NAME | STRING | Nome ricetta.
VERSION | UINT | Versione.
RESSOURCESLABEL | STRING | Identificazione servizio
NOME VARIABILE | STRING | Nome variabile.
VARIABLETAG | STRING | Identificazione variabile.
SYMBOLVALUE | STRING | Indirizzo simbolico per variabile.
VALUE | STRING | Valore.
UNIT | STRING | Unità.
MIN | DOUBLEWORD | Valore minimo.
MAX | DOUBELWORD | Valore massimo.
ACTION | STRING | Azione ricetta RGM da eseguire.
FILTRO | STRING | Filtro di variabili ricetta.


ricetta master

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> ricetta master

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
MrId | INTEGER | ID della ricetta
MrName | STRING | Nome della ricetta.
MrDescription | STRING | Descrizione della ricetta
MrStatus | STRING | Stato della ricetta.
RecipeType | STRING | Tipo della ricetta.
ReeStatus | STRING | Stato del REE.
ReeModus | STRING | Modo del REE.
ApprovalTime | DATE | Data in corrispondenza del quale la ricetta è stata approvata.
ApprovalUserID | STRING | ID dell´utente da cui la ricetta è stata approvata.
ApprovalUserName | STRING | Nome dell´utente da cui la ricetta è stata approvata.
OutdatedTime | DATE | Data in corrispondenza del quale la ricetta è stata settata su "obsoleta".
OutdatedUserID | STRING | ID dell´utente da cui la ricetta è stata settata su "obsoleta".
OutdatedUserName | STRING | Nome dell´utente da cui la ricetta è stata settata su "obsoleta".
MrVersion | STRING | Versione della ricetta master.
MrSourceVersion | STRING | Versione della ricetta d'origine del modello.


Ricetta di controllo

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Ricetta di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
CrId | INTEGER | ID della ricetta di controllo.
CrName | STRING | Nome della ricetta di controllo.
CrDescription | STRING | Descrizione della ricetta di controllo
CrStatus | STRING | Stato della ricetta di controllo.
MrId | INTEGER | ID della ricetta master.
MrName | STRING | Nome della ricetta master.
MrDescription | STRING | Descrizione della ricetta master.
MrStatus | STRING | Stato della ricetta master.
RecipeType | STRING | Tipo della ricetta.
ReeStatus | STRING | Stato del REE.
ReeModus | STRING | Modo del REE.
CrJobID | STRING | ID Task della ricetta di controllo.
ApprovalTime | DATE | Data in corrispondenza della quale la ricetta master è stata approvata.
ApprovalUserID | STRING | ID dell´utente da cui la ricetta master è stata approvata.
ApprovalUserName | STRING | Nome dell´utente da cui la ricetta master è stata approvata.
CreationTime | DATE | Data della creazione della ricetta di controllo.
CreationUserID | STRING | ID dell´utente da cui la ricetta è stata creata.
CreationUserName | STRING | Nome dell´utente da cui la ricetta è stata creata.
StartingTime | DATE | Data in cui la ricetta è stata avviata.
StartingUserID | STRING | ID dell´utente da cui la ricetta è stata avviata.
StartingUserName | STRING | Nome dell´utente da cui la ricetta è stata avviata.
OutdatedTime | DATE | Data in cui la ricetta master è stata settata su "obsoleta".
OutdatedUserID | STRING | ID dell´utente da cui la ricetta master è stata settata su "obsoleta".
OutdatedUserName | STRING | Nome dell´utente da cui la ricetta master è stata settata su "obsoleta".
MrVersion | STRING | Versione della ricetta master.
MrSourceVersion | STRING | Versione della ricetta d'origine del modello.


Immagine ricetta

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Immagine ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
Nome | STRING | Nome della ricetta.
Description | STRING | Descrizione della ricetta
RecipePart | STRING | Ricette master, ricette di controllo o istanza ricetta parziale.
OperationTemplateID | INTEGER | ID del modello ricetta parziale.
Type | STRING | Tipo della ricetta: ricetta PFC o ricetta matrice.
ImagePNG | STRING | Screenshot della ricetta. Deve essere impostato appositamente.

Crea immagine

  1. Inserite nel Report Builder una nuova immagine.
  2. Settate la sorgente su Database.
  3. Per la proprietà Use this field: inserite ImagePNG.
  4. Per la proprietà MIME type: inserite image/png.
  5. Inserite l´immagine tramite l´apposita opzione-inserimento, oppure per Drag & Drop nella tabella.
  6. Adattate nell´area proprietà denominata Size la dimensione usando l´opzioneOrginal Size .
  7. Modificate, se necessario, anche la proprietà Padding per definire la distanza dell´immagine dai margini della cella.


Struttura matrice

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Struttura matrice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
StepNr | INTEGER | Numero del passo.
StepDescr | STRING | Descrizione del passo.
ObjectID | INTEGER | ID dell´oggetto nella ricetta.
ObjectName | STRING | Nome dell´oggetto nella ricetta.
ObjectDescr | STRING | Descrizione dell´oggetto nella ricetta.
ObjectType | STRING | Tipo dell´oggetto nella ricetta. (fase, transizione,...)
ObjectUnit | STRING | Aggregato dell´oggetto.
OperationTemplateID | INTEGER | ID del modello ricetta parziale. 0 = ricetta principale.
OperationTemplateName | STRING | Nome del modello ricetta parziale. Vuoto = ricetta principale


Struttura PFC

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Struttura PFC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
ChartRow | INTEGER | Riga nella ricetta.
ChartCol | INTEGER | Colonna nella ricetta.
ObjectID | INTEGER | ID dell´oggetto nella ricetta.
ObjectName | STRING | Nome dell´oggetto nella ricetta.
ObjectDescr | STRING | Descrizione dell´oggetto nella ricetta.
ObjectType | STRING | Tipo dell´oggetto nella ricetta. (fase, transizione,...)
ObjectUnit | STRING | Aggregato dell´oggetto.
PrevIds | STRING | ID degli oggetti precedenti.
NextIds | STRING | ID degli oggetti successivi.
PrevNames | STRING | Nomi degli oggetti precedenti.
NextNames | STRING | Nomi degli oggetti successivi.
PrevTypes | STRING | Tipi degli oggetti precedenti.
NextTypes | STRING | Tipi degli oggetti successivi.
CellsSpan | STRING | Numero delle colonne usate (larghezza dell´oggetto).
OperationTemplateID | INTEGER | ID del modello ricetta parziale. 0 = ricetta principale.
OperationTemplateName | STRING | Nome del modello ricetta parziale. Vuoto = ricetta principale


Funzioni di base

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Funzioni di base

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
ObjectID | INTEGER | ID dell´oggetto nella ricetta.
ChartRow | INTEGER | Riga nella quale si trova la fase nella ricetta.
ChartCol | INTEGER | Colonna nella quale si trova la fase nella ricetta.
PhaseName | STRING | Nome della fase.
PhaseDescr | STRING | Descrizione della fase.
UnitID | INTEGER | ID dell´aggregato.
UnitName | STRING | Nome dell´aggregato.
UnitDescr | INTEGERSTRING | Descrizione dell´aggregato.
OperationInstID | INTEGER | ID dell´istanza della ricetta parziale in cui si trova la fase nella ricetta.
OperationInstName | STRING | Nome dell´istanza della ricetta parziale in cui si trova la fase nella ricetta.
TOAllocation | STRING | Tempo di attesa per assegnazione aggregato
TOInterlocking | STRING | Tempo di attesa interblocco.
MinExecTime | STRING | Tempo minimo di esecuzione.
ExplanationMinExecTimeNeeded | BOOL | Necessario indicare una ragione per la modifica del tempo di minimo esecuzione.
MaxExecTime | STRING | Tempo massimo di esecuzione.
TOFollowingCond | STRING | Tempo di attesa per condizione successiva
CondInterlocking | STRING | Condizione di blocco
CondDone | STRING | Condizione per conclusione.
CondFailure | STRING | Condizione per disturbo della comunicazione.
CondPausing | STRING | Condizione per pausing.
CondHolding | STRING | Condizione per "holding".
CondStopping | STRING | Condizione per stop.
CondAborting | STRING | Condizione per interruzione.
CondRestarting | STRING | Condizione per restarting.
CondEscaping | STRING | Condizione di uscita.
CondConnReconnect | STRING | Condizione per ripristino della comunicazione.
CondPlcError | STRING | Condizione per errore PLC.
CSName | STRING | Nome del modo di operazione.
CSDescription | STRING | Descrizione della strategia di controllo.
CSTag | STRING | Parametro della strategia di controllo.
ActiveCSNumber | INTEGER | Numero della strategia di controllo attiva.


Parametri

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Parametri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
TagName | STRING | Nome del parametro.
TagDescr | STRING | Descrizione del parametro.
TagType | STRING | Tipo di parametro.
TagValue | STRING | Valore del parametro.
MeasUnit | STRING | Unità di misura
ValueMin | STRING | Valore minimo.
ValueMax | STRING | Valore massimo.
EditableInRecipe | BOOL | Indica se editabile nella ricetta.
EditableInCr | BOOL | Indica se editabile nella ricetta di controllo.
ExplanationNeeded | BOOL | Indica se è necessario fornire una ragione per la modifica.
TagModified | BOOL | Indica se il parametro è stato modificato.
Variabile | STRING | Variabile del parametro.
DataType | STRING | Tipo di data della variabile.
PhaseID | INTEGER | ID della fase.
PhaseName | STRING | Nome della fase.
OperationInstID | INTEGER | ID dell´istanza di ricetta parziale.
OperationInstName | STRING | Nome dell´istanza di ricetta parziale.


Transizioni

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Transizioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
ObjectID | INTEGER | ID della transizione nella ricetta.
ChartRow | INTEGER | Riga della ricetta
ChartCol | INTEGER | Colonna della ricetta
Condition | STRING | Condizione per la transizione.
OperationInstID | INTEGER | ID dell´istanza ricetta parziale nella quale si trova la transizione.
OperationInstName | STRING | Nome dell´istanza ricetta parziale nella quale si trova la transizione.


Allocazione aggregati

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Allocazione aggregati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
ObjectID | INTEGER | ID dell´allocazione aggregati nella ricetta.
ChartRow | INTEGER | Riga della ricetta
ChartCol | INTEGER | Colonna della ricetta
AllocationData | STRING | Allocazione aggregati e numero degli aggregati allegati.
OperationInstID | INTEGER | ID dell´istanza di ricetta parziale in cui si trova l´allocazione aggregati.
OperationInstName | STRING | Nome dell´istanza di ricetta parziale in cui si trova l´allocazione aggregati.


Istanze ricette parziali

Manuale -> Reporting -> Report Viewer -> File definizione Report -> Definizione dei data set -> Istanze ricette parziali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nome colonna | Tipo di dato | Descrizione
ObjectID | INTEGER | ID dell´istanza ricetta parziale nella ricetta.
ChartRow | INTEGER | Riga della ricetta
ChartCol | INTEGER | Colonna della ricetta
OperationName | STRING | Nome della ricetta parziale:
OperationDescr | STRING | Descrizione della ricetta parziale.
OperationType | STRING | Tipo ricetta: ricetta PFC o ricetta matrice.
OperationTemplateID | INTEGER | ID del modello ricetta parziale.


Gestione durante il runtime

Manuale -> Reporting -> Report Viewer -> Gestione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime, l´immagine del tipo Report Viewer viene aperta tramite una funzione di cambio immagine. A seconda di quanto fissato in fase di configurazione, possono essere visualizzati report per AML, CEL e valori online. Se avete progettato le funzioni corrispondenti, questi report:

  • aggiorna: Carica di nuovo definizione report e dati e visualizza report
  • stampa: stampa sulla stampante definita per valori e protocolli
  • esporta: esporta come file PDF nella cartella di export definita

Parametri | Descrizione
Aggiorna | Carica di nuovo la definizione report e i dati e visualizza il report con i dati aggiornati. Dopo la modifica del file di report nell´Editor, l´immagine deve essere aperta di nuovo, un reload non è sufficiente.
Stampa | Stampa il report sulla stampante definita per valori e protocolli. Nota: La stampa può essere anche dislocata in un proprio thread . Ciò assicura che il Runtime possa essere gestito anche a stampa in corso.
Crea PDF | Salva il report attualmente visualizzato come file PDF nella Cartella definita per l´export. Percorso standard: %PUBLIC%\Documents\zenon_Projects\[PROJECTNAME]>\Export Nota: La creazione di un documento PDF può essere anche disclocata in un proprio thread . Ciò assicura che il Runtime possa essere gestito anche durante la creazione del documento e la sua esportazione.
Lista report | Visualizza i report definiti nella Funzione di cambio lingua. Si può effettuare una ricerca all´interno di questa lista. Le liste particolarmente lunghe vengono suddivise in più pagine.

Navigazione, zoom e ricerca

La barra superiore del report mette a disposizione degli elementi che consentono di:

  • Navigazione
  • Zoom
  • Ricerca

Parametri

Descrizione

Navigazione pagine

Mostra il numero di pagine e quella attuale. Consenta la navigazione all´interno del documento tramite

  • Tasti freccia
  • selezione di una determinata pagina

Zoom

Selezione di un livello zooom fra quelli proposti dalla lista a cascata:

  • Page Width (larghezza della pagina)
  • Whole Page (pagina intera)
  • 500%
  • 200%
  • 150%
  • 100% (default)
  • 75 %
  • 50 %
  • 25%

Ricerca

Inserimento di una chiave di ricerca nell´apposito campo.

  • Find: mostra la prima corrispondenza di testo
  • Next: passa alla prossima corrispondenza di testo

Non possono essere usate delle wildcard.


Trattamento errori

Manuale -> Reporting -> Report Viewer -> Trattamento errori

Segnalazioni di errore in popup

Messaggio di errore | Descrizione
DataTable missing for DataSet: <DatasetName> | Un dataset viene usato nella definizione report, ma nella configurazione non c´è nessuna tabella con questo nome. Il report non può essere visualizzato.
DataSet not used for DataTable: <TableName> | È stata definita una tabella, ma la definizione report non usa questo nome per un dataset. Questo messaggio appare quando il sistema constata che manca una tabella.


Rete

Manuale -> Rete

Le reti di zenon possono essere impostate e configurate in modo veloce e sicuro.

zenon in rete consente, fra l´altro, quanto segue:

  • Accesso completo al Runtime di diversi calcolatori
    In questo modo, azioni, come il riconoscimento di allarmi su un workspace, sono visibili su tutti gli altri computer della rete.
  • Protocolli e archiviazione centrale
  • Creazione di sistemi ridondanti (vedi Ridondanza, Ridondanza circolare)
  • Cambio ridondanza con metodi di analisi integrati.
  • Creazione di sistemi distribuiti (vedi Gestione multi-progetto)
  • Uso di zenon Web Server e zenon Web Client per un accesso via Web Browser.
  • Uso di zenon in un ambiente Terminal Server
  • Uso di crittografia avanzata
  • Lavoro contemporaneo allo stesso progetto da diverse postazioni (vedi progettazione distribuita)

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Semplice gestione della rete di zenon

La funzionalità di rete di zenon consente di utilizzare progetti in modo distribuito su diversi calcolatori. . Con essa si possono creare strutture di rete molto efficienti e complesse. Si possono configurare delle strutture in modo tale che determinati contenuti di progetto siano visibili solamente su quella postazione che è destinata a svolgere un certo compito (un particolare calcolatore). L´Editor di zenon aiuta gli utenti a creare e configurare queste strutture.

La gestione integrata della topologia visualizza in termini grafici le relazioni fra i singoli progetti, con i computer corrispondenti e i ruoli da essi svolti. Una routine di controllo verifica la struttura configurata per saggiarne la completezza e scoprire eventuali errori di configurazione.

Con le funzioni dei nodi di rete, zenon controlla anche se la topologia di rete scelta può funzionare.

info Informazioni su

Per i progetti di rete, tenete presente in quali ruoli (server primario, Server-Standby, client) moduli e funzioni possono essere gestiti ed eseguiti.

WAN

Di default zenon trasferisce dati in modo spontaneo all'interno di una rete. In caso di progettazioni di grandi dimensioni, si raccomanda di limitare il monitoraggio in fase di esecuzione (Runtime monitoring) fra client e server primario. La distanza di comunicazione tra client e server primario può essere interrotta automaticamente. I router stabiliscono una comunicazione solo quando uno scambio dati è veramente necessario.

zenon Web Server

Lo zenon Web Server consente di accedere al Runtime via Intranet o Internet. Questo non richiede nessun adattamento o cambiamento del progetto. L´accesso avviene tramite il zenon Web Client. Questo offre la stessa funzionalità e visualizzazione del Runtime di zenon. Lo zenon Web Server è disponibile come:

  • zenon Web Server: mera funzionalità di monitoraggio.
  • zenon Web Server Pro: completa funzionalità di monitoraggio e gestione. È possibile interagire direttamente col processo tramite il WEB.
  • zenon Web Server Pro Light: limitata funzionalità dello zenon Webserver Pro per l'uso dello zenon Operator.

info Informazioni su

Ulteriori informazioni su questo tema si trovano nella parte della guida dedicata allo Everywhere Server by zenon.

Noch in diesem Kapitel

Ruoli dei computer

Requisiti

Impostare la rete di zenon

Crittografia forte della comunicazione di rete

zenon sul Terminal Server

Gestire e controllare la topologia di rete

Ridondanza

COPA-DATA PRP

Routing

Autorizzazione di rete

Funzioni di zenon per la rete

Comportamento dei moduli di zenon in rete.

Messaggi di rete del driver di sistema


Ruoli dei computer

Manuale -> Rete -> Ruoli dei computer

Con zenon è possibile creare diverse topologie di rete. A partire dal semplice modello client-server, per arrivare a modelli complessi e multi-gerarchici.

Anche in zenon vengono usati termini specifici del settore IT, come, ad es., server e client. Tuttavia, al fine di consentire un´identificazione certa di tutti i componenti individuali anche nel caso di complesse strutture multi-gerarchiche con diversi computer e progetti, in zenon si parla sempre di ruoli. I ruoli sono da considerare sempre dal punto di vista del progetto.

A seconda di quanto definito in fase di configurazione, il Runtime di zenon può avviare su uno stesso calcolatore uno o più progetti (vedi anche la gestione multi-progetto). In questo caso, il computer su cui viene avviato il Runtime assume uno dei seguenti ruoli per il progetto corrispettivo:

  • Server primario
  • Server-Standby
  • Client

Questi ruoli vengono illustrati negli esempi seguenti che prendono in considerazione diversi tipi di topologie.

info Info

Quando, in questa documentazione, si parla di server primario, server-standby oppure client, si intende sempre il ruolo che il computer in questione svolge nell´ambito del progetto.

Noch in diesem Kapitel

Terminologia

Modello Client-Server

Modello ridondante

Modelli multi-gerarchici


Terminologia

Manuale -> Rete -> Ruoli dei computer -> Terminologia

Nella rete di zenon si usano i seguenti termini per la descrizione dei ruoli dei computer:

Parametri

Descrizione

Server:

Calcolatore con connessione con il PLC. Il server assume la gestione esclusiva del processo e dei dati di progetto. La comunicazione viene monitorata mediante un watchdog.

Nel caso in cui il server dovesse smettere di funzionare, il Server-Standby ne assume le funzioni, sempre che si sia provveduto a definire un Server-Standby. Non appena il server è pronto a riprendere le sue funzioni, lo fa in modo automatico e sincronizza tutti i dati.

Server-Standby:

In sistemi ridondanti, il Server-Standby assume il ruolo di server quando quest´ultimo smette di funzionare. Si comporta come un client nelle rete, ma salva tutti i dati, esattamente come il server. Nel caso della ridondanza hardware, il Server-Standby comunica indipendentemente in modo bidirezionale con il PLC ridondante.

Il Server-Standby lavora con un buffer interno. In questo modo si evita una perdita di dati nel tempo di inattività che intercorre fra il momento in cui il server smette di funzionare e quello in cui il Server-Standby ne assume i compiti.

Client:

Ogni computer su cui viene avviato il Runtime è un client. I client si connettono al server in modo tale da poter ricevere o inviare i dati del processo.

Server dati:

Il server dati è un calcolatore con una comunicazione diretta con il processo, ma che non riveste il ruolo di server. Nel funzionamento normale, il server dati invia tutti i dati al server che ne gestisce il salvataggio e la distribuzione. Nel caso in cui il server o la rete smettono di funzionare, il server dati continua a lavorare come stazione singola e garantisce così che l'impianto ed il processo rimangano gestibili. I dati vengono sincronizzati non appena viene ristabilita la connessione con il server.
Campo di applicazione: sistemi di gestione on-site con hardware non particolarmente performante, per es. IPC o teminali CE. La completa archiviazione dei dati e la loro distribuzione viene effettuata dal server dati. Nel caso di un´interruzione del funzionamento del server, rimane intatta la possibilità di gestire il sistema on-site. Questo non è il caso nel modello convenzionale client-server.

info Informazioni su

Server e client non sono definiti in relazione ad un calcolatore, ma in relazione al progetto.

Se il nome del server o quello del Server-Standby vengono modificati, non possono essere ricaricati. Verranno attualizzati solo dopo il riavvio del Runtime.


Modello Client-Server

Manuale -> Rete -> Ruoli dei computer -> Modello Client-Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel modello Client-Server, un computer è il server primario; tutti gli altri computer sono client.

  • Il computer 1 è il server primario per il progetto A.
  • Il computer 2 è il client per il progetto A.

info Informazioni su

Ulteriori informazioni si trovano nella parte della guida dedicata alla EW_SERV_BY.


Modello ridondante

Manuale -> Rete -> Ruoli dei computer -> Modello ridondante

Nel modello ridondante, un computer è il server primario e un altro è il Server-Standby. Tutti gli altri computer sono client.
Se il server primario smette di funzionare, il Server-Standby ne assume il ruolo. Tutti i client si connettono al nuovo server primario.

Ridondanza senza client

  • Il computer 1 è il server primario per il progetto A.
  • Il computer 2 è il Server-Standby per il progetto A.
  • Se il computer 1 smette di funzionare, il computer 2 diventa il nuovo server primario per il progetto A.

Ridondanza con client

  • Il computer 1 è il server primario per il progetto A.
  • Il computer 2 è il Server-Standby per il progetto A.
  • Se il computer 1 smette di funzionare, il computer 2 diventa il nuovo server primario per il progetto A. Tutti i client si connettono automaticamente al computer 2.

info Informazioni su

Ulteriori informazioni si trovano nella parte della guida dedicata alla EW_SERV_BY.


Modelli multi-gerarchici

Manuale -> Rete -> Ruoli dei computer -> Modelli multi-gerarchici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

E' possibile creare diverse topologie multi-gerarchiche con l'aiuto della gestione multi-progetto. In questo caso, è possibile avviare più progetti su uno stesso calcolatore. Il computer assumerà un determinato ruolo per il progetto.

info Informazioni su

I progetti multi-gerarchici possono essere eseguiti anche senza rete, su un computer standalone.

Esempi

Modello Multi-Client

  • Il computer 1 è il server primario per il progetto A.
  • Il computer 2 è il server primario per il progetto B.
  • Il progetto I viene eseguito sul computer 3 (progetto di integrazione) come progetto standalone e avvia i progetti A e B.
    • Il computer 3 è client per entrambi questi progetti.

Modello Multi-Server

  • Il progetto I viene eseguito sul computer 1 (progetto di integrazione) come progetto standalone e avvia i progetti A e B.
    • Il computer 1 è il server primario per entrambi questi progetti.
  • Il progetto I viene eseguito sul computer 2 (progetto di integrazione) come progetto standalone e avvia i progetti A e B.
    • Il computer 2 è client per entrambi questi progetti.
  • Il computer 3 è il client per il progetto A.
  • Il computer 4 è il client per il progetto B.

Modello multi-server multi-client

  • Il progetto I viene eseguito sul computer 1 (progetto di integrazione) come progetto standalone e avvia i progetti A, B, C e D.
    • Il computer 1 è il server primario per i progetti A e B.
    • Il computer 1 è client per i progetti C e D.
  • Il progetto I viene eseguito sul computer 2 (progetto di integrazione) come progetto standalone e avvia i progetti A, B, C e D.
    • Il computer 2 è client per i progetti A e B.
    • Il computer 2 è il server primario per i progetti C e D.
  • Il progetto I viene eseguito sul computer 3 (progetto di integrazione) come progetto standalone e avvia i progetti A, B, C e D.
    • Il computer 3 è client per i progetti A, B, C e D.

info Informazioni su

Ulteriori informazioni si trovano nella parte della guida dedicata alla EW_SERV_BY.


Requisiti

Manuale -> Rete -> Requisiti

Il requisito basilare per usare la rete di zenon è disporre di una rete Windows funzionante.

Generale

Devono essere soddisfatti i seguenti prerequisiti :

  • TCP/IP come protocollo di rete.
  • Risoluzione nome funzionante, a scelta via DNS, WINS o file HOST locali.
  • TCP Port 1100 libera:
    Quando viene caricato un progetto di rete, il Runtime di zenon avvia automaticamente il servizio di rete zenNetSrv. Questo servizio apre la porta 1100. Per questo motivo essa deve essere raggiungibile da un apparecchio remoto e non deve essere bloccata da un firewall.

info Info

Le reti di zenon funzionano con tutti i sistemi operativi supportati..

IPv4 e IPv6

La rete di zenon consente di scegliere se usare di IPv4 o IPv6. Non è possibile un funzionamento duale. L´impostazione viene effettuata:

  • nella Network configuration dello Startup Tool
    ; oppure
  • nello zenon6.ini

Se questa impostazione viene modificata, tutti i processi di zenon in corso devono essere riavviati.
I servizi interessati sono:

  • zenAdminSrv
  • zenSysSrv
  • zenLogSrv
  • zenDBSrv.

I seguenti componenti non sono interessati dall´impostazione; usano sempre IPv4:

  • Comunicazione driver con i PLC
  • Comunicazione protocollo via ProcessGateways
  • Comunicazione Workbench e Runtime in zenon Logic

attention Attenzione

IPv6 funziona solamente a partire dalla versione 7.00 di zenon. Se si usa IPv6, non si può avviare nessuna versione precedente a zenon 7.00.

Porte usate

Per la comunicazione all’interno di zenon vengono utilizzate esclusivamente porte TCP, e non porte UDP.

Le porte seguenti sono necessarie per usare zenon in rete:

Servizi | File | Compito | Porta TCP
Servizio di rete | zenNetSrv.exe | Comunicazione Runtime. | 1100
Servizio di trasporto | zenSysSrv.exe | Trasferimento dati via Trasporto Remoto (Editor). | 1101
zenon Web Server | zenWebSrv.exe | Gateway fra Web Client e Runtime | 1102

I numeri di porta possono essere modificati individualmente nella scheda Listening ports delllo Startup Tool. Tenete presente che, in questo caso, la modifica va effettuata in tutti i dispositivi interessati.

info Informazioni su

Ulteriori informazioni su questo argomento si trovano nella guida in linea relativa al Tools, nel capitolo Startup Tool.

Porte standard

Applicazione | Porta standard
zenon |
Network Service | 1100
Transport Service | 1101
WEB Service Classic | 1102
DB Service | 1103
SQL Browser Service, (per la progettazione multiutente nell´Editor) | 1434
zenAdminSrv.exe | 50777
Logging Service | 50780
zenVNC.exe | 5600 - 5610
SNMP Trap Service | 50782
zenLicenseSr | 50783
zenLicenseStub | 50789
zenLicenseCenter | 50689
WEB Service Tunneling | 8080
zenon Logic |
Il numero di porta assegnato a zenon Logic o straton dipende dal progetto e dal servizio. Per es.: il primo progetto zenon Logic occupa 1200 e 9000, i secondo progetto 1201 e 9001 ecc | 1200 - 1210 4500 - 4510 7000 - 7010 9000 - 9010
zenon Analyzer |
Administration Service | 50777
Analyzer Connector Service | 50778
Analyzer License Service | 50779
ZAMS | 50781
Driver |
Driver Simulation | 6000 - 6020
Process Gateway OPC Server | 135
Process Gateway SNMP | 161
Process Gateway Modbus | 502
Process Gateway IEC60870-5 104 slave | 2402
Process Gateway DEC | 5555
Process Gateway DNP3 Slave | 20000

Controllare i requisiti

Risoluzione nomi

Per controllare la risoluzione nomi:

  1. Avviate il prompt dei comandi di Windows
    cmd.exe
  2. Eseguite il seguente comando:
    ping [NOMECOMPUTER]
  3. Se la risoluzione nomi è corretta, ricevete l´indirizzo IP del calcolatore con Runtime come risposta, altrimenti sarà visualizzata una segnalazione di errore

Porte TCP

Per verificare se la porta TCP 1100 è raggiungibile:

  1. Avviate il Runtime di zenon con un progetto di rete su un calcolatore remoto.
    In questo modo verrà avviato il programma zenNetSrv.exe e verrà aperta la porta TCP 1100.
  2. Avviate il prompt dei comandi di Windows
    cmd.exe
  3. Eseguite il seguente comando:
    telnet RECHNERNAME 1100
  4. Non appena si instaura una connessione, il contenuto del prompt dei comandi sparisce. In caso contrario appare una segnalazione di errore..

attention Attenzione

Il comando Telnet non è parte del sistema operativo Windows e deve essere installato separatamente. Delle indicazioni su questo tema si trovano nella guida riguardante il sistema operativo (criterio di ricerca Telnet).

Noch in diesem Kapitel

Sincronizzazione ora


Sincronizzazione ora

Manuale -> Rete -> Requisiti -> Sincronizzazione ora

Con i progetti di rete, tutti i computer devono lavorare in rete in modo sincrono. zenon esegue automaticamente la sincronizzazione necessaria.

In una topologia che prevede diversi server primari (come, per es., nel caso della ridondanza circolare), si raccomanda di realizzare la sincronizzazione tramite un servizio ora esterno (per es. DCF77), oppure mediante le risorse di Windows. In questo caso si deve disattivare la sincronizzazione ora automatica di zenon.

attention Attenzione

Se la differenza di tempo fra il server e il client è di più di 5 secondi, non viene più sincronizzato nessun file.

Disattiva sincronizzazione tempo automatica in zenon.

Se si vuole attivare o disattivare la sincronizzazione tempo manualmente, si deve modificare il seguente inserimento nello zenon6.ini:

[Netz]

TIMESYNCH=1 -> sincronizzazione tempo automatica attiva (default)

TIMESYNCH=0 -> sincronizzazione tempo automatica disattivata

Sincronizzazione tempo esterna usando il sistema operativo

Se la sincronizzazione tempo automatica è stata disattivata in zenon, la sincronizzazione può avvenire tramite il sistema operativo. A questo scopo bisogna definire un server del tempo (con o senza un servizio ora esterno come DCF77) che gestisce la sincronizzazione tempo degli altri calcolatori.

Nella topologia classica Client-Server/Standby (senza gestione multi-progetto), il server primario è il master orario attivo. Questo dovrebbe aggiornare il proprio orario se possibile da solo, tramite un servizio ora esterno. I rispettivi client prendono l'ora attuale da questo server (a seconda dei tempi di timeout configurati) e sincronizzano il proprio orario in modo corrispondente. La comunicazione avviene via SNTP (Simple Network Time Protokoll). Il ritardo del trasferimento viene preso in considerazione nel processo.

info Informazioni su

Watchdog

La sincronizzazione ora avviene periodicamente in corrispondenza del timeout impostato.

Se si usa l´impostazione standard di 30 secondi per la proprietà Network communication timeout nello Startup Tool, il servizio di rete (zenNetSrv.exe) di ogni client invia un watchdog al servizio di rete (zenNetSrv.exe) del server primario ogni 10 secondi durante il funzionamento online. Se il server primario risponde entro 30 secondi almeno ad uno dei tre watchdog, il relativo client presuppone che la connessione di rete funzioni correttamente.

Configurazione nello Startup Tool:

Application -> Options...> Scheda Network configuration -> Option Network communication timeout.

Configurazione nello zenon6.ini:

In alternativa, l'impostazione può essere effettuata direttamente nello zenon6.ini:

[Netz]

NET_TIMEOUT_MSEC=30000

(Timeout in millisecondi, default: 30000.)

Non dimenticate la configurazione addizionale necessaria in WAN.

Attenzione: il tempo di timeout minimo è di 5 secondi. Se si imposta un valore inferiore, il sistema lo interpreta come l'inserimento un timeout di 5 secondi.

Comandi sotto Windows

Per la sincronizzazione ora esterna tramite Windows, inserite il seguente comando con i relativi argomenti necessari nella console dell'elaborazione dei comandi: NET TIME [\\nome computer | /DOMAIN[:nome dominio] : /RTSDOMAIN[:nome dominio]] [/SET] [/YES]

Argomento

Descrizione

NET TIME
  • Sincronizza l´orologio del computer con quello di un altro computer o quello di un altro dominio
    oppure
  • Visualizza l´orario per un computer o un dominio

Se questo comando viene eseguito senza ulteriori argomenti, verranno visualizzati la data corrente e l´ora corrente del computer che è stato definito come server di riferimento ora per il dominio.

Nome Computer

Il nome del computer che deve essere controllato o sincronizzato.

DOMAIN[:Nome dominio]

L´ora viene sincronizzata con il controller di dominio primario del dominio Nome dominio.

RTSDOMAIN[:Nome dominio]

L´ora del computer viene sincronizzata con un affidabile server di riferimento ora del dominio Nome dominio.

/SET

Sincronizza l’orologio del calcolatore con l’orologio del computer indicato oppure del dominio indicato. Dopo aver impostato il comando, verranno visualizzati l´ora del server e la richiesta se deve essere settato questo orario.

/YES

Visualizza l'ora attuale del server e la sincronizza con il calcolatore locale senza una richiesta di conferma.

Example Esempio

NET TIME \\Server /SET /YES

Noch in diesem Kapitel

Sincronizzazione ora in WAN


Sincronizzazione ora in WAN

Manuale -> Rete -> Requisiti -> Sincronizzazione ora -> Sincronizzazione ora in WAN

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In una WAN e per connessioni dial-up, il valore standard di 30 secondi per il timeout significa, che la connessione sarebbe probabilmente mantenuta in modo permanente.

Selezionate dunque in una WAN un tempo di timeout che avvii l'instaurazione di una connessione solo ad intervalli desiderati.

Tenete presente, però, che: tanto più lungo è il timeout, tanto più tardi il sistema riconosce che il server ha smesso di funzionare. Se, ad esempio, selezionate come timeout 64800, il tempo di timeout sarà di 18 ore. Il sistema instaura una connessione ogni 6 ore e invia un watchdog. Ne consegue che il sistema si accorgerà che il server ha smesso di funzionare solo dopo 18 ore.

info Informazioni su

Se nello zenon6.ini non c´è nessun inserimento di definizione del timeout, il sistema usa automaticamente quello standard di 30 secondi quando viene avviato Runtime.

Funzione "Cambio immagine"

Quando c'è un cambio immagine, il sistema richiede dati in modo attivo. Procedura:

  • Il sistema controlla se negli ultimi 30 secondi è stato inviato un watchdog al server primario.
  • In caso contrario viene inviato immediatamente un watchdog al server primario. Il tempo di attesa per la risposta è di 40 secondi.
  • Se il sistema riconosce che il server ha smesso di funzionare, il servizio di rete di zenon cerca automaticamente di riconnettersi ogni 30 secondi.

Nella rete WAN, questo provocherebbe ad un permanente tentativo di instaurare la connessione. Questo comportamento può essere modificato mediante inserimenti nello zenon6.ini:

  1. Aprire lo zenon6.in.
  2. Passare alla seziont
    [NETZ]
  3. Creare o modificare l´inserimento.

    NET_CONNECTWAIT_MSEC=30000
    Esso definisce il valore in millisecondi per un reconnect.

    Valore massimo: tempo di timeout.

  4. Creare o modificare l´inserimento.

    NET_CONNECTCOUNT=

    Esso definisce il numero delle ripetizioni per ogni Reconnect pro ciclo.

    Il valore di default è 0 ripetizioni, il che significa un tentativo di Reconnect.


Impostare la rete di zenon

Manuale -> Rete -> Impostare la rete di zenon

Topologie

zenon supporta numerose topologie di rete:

  • Rete Client-Server:
    Lo stesso progetto viene eseguito sul server e su tutti i client.
  • Rete multi-server:
    Un client può accedere a diversi server e dunque visualizzare i dati di diversi progetti contemporaneamente.
  • Modello multi-server multi-client:
    Tutti i client e server comunicano fra di loro. Si può accedere da ogni progetto anche ad altri progetti.

Configurazione di rete

Per rendere un progetto capace di funzionare in rete:

  1. Nelle proprietà di progetto passare al nodo Rete
  2. Attivare la proprietà Rete attiva
  3. Usare la proprietà Server 1 per definire il computer che deve assumere il ruolo di server nell´ambito del progetto.
    Nota: l'indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore.

Se necessario, configurare in questo momento anche

  • Server-Standby: proprietà Server 2:
  • Ridondanza: proprietà Tipo di ridondanza:
  • Messaggio di chiusura: definisce se, quando si termina il Runtime su un server, i client vengono informati 70 secondi in anticipo.

Adesso la configurazione delle proprietà di base è stata completata. Ripetere questi passaggi per tutti i client della rete di zenon. Si possono impostare anche dei calcolatori remoti usando lo strumento del Trasporto Remoto.

attention Attenzione

Assegnazione di un nome a Server 1 e Server 2:

  • Si deve inserire il nome calcolatore.
    Non è consentito l'inserimento di un indirizzo IP.
  • Non è permesso usare localhost.

Noch in diesem Kapitel

Modello Client-Server

Gestione multi-progetto

Trasparenza orizzontale.

Ottimizzazione di progetti con un gran numero di client


Modello Client-Server

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel classico modello Client-Server si usa solamente un progetto che viene avviato su tutti i computer coinvolti. Uno di essi sarà il server primario per questo progetto. Tutti gli altri computer collegati sono client.

Per poter impostare un modello client-server, nel progetto deve verificarsi quanto segue:

  • La proprietà Rete attiva deve essere attivata.
  • Nella proprietà Server 1 deve essere inserito il nome del computer che deve svolgere il ruolo di server primario.

Raccomandazione: scegliere come server primario il calcolatore più potente della rete.

Nel modello client-server di zenon:

  • Solo il server primario ha una connessione diretta con il PLC
  • Il server primario gestisce tutti i dati di processo (per es. dati online, dati di archivio, allarmi, ricette, ecc.)
  • Il server primario gestisce tutti i dati di progetto (per es. immagini, funzioni, variabili definite, ecc.)
  • Ogni altro calcolatore della rete si avvia come client
  • Ogni client instaura una connessione con il server primario quando viene avviato il Runtime,
    • sincronizza i dati di progetto e
    • visualizza i dati di processo attuali

info Informazioni su

Il modello client-server viene supportato completamente da Windows CE. I dispositivi Windows CE possono essere usati sia come server primari che come client.

Noch in diesem Kapitel

Ridondanza

Configurare il server

Configurazione dei client.


Ridondanza

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server -> Ridondanza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I server SCADA ridondanti vengono utilizzati quando è necessario avere un controllo completo sul processo e salvaguardare al 100% la sicurezza dei dati, anche nel caso in cui un server dovesse smettere di funzionare.

Questo obiettivo di un salvataggio certo di tutti i dati si può conseguire affiancando ad un server di progetto un altro server, il cosiddetto Server-Standby. Quest´ultimo riconosce automaticamente l´eventuale disfunzione del server. Se il server primario smette di funzionare per qualsiasi ragione, il Server-Standby ne assume la completa funzionalità.

Per evitare che vadano perduti dei dati nell´intervallo di tempo intercorrente fra l'emergere del problema di funzionamento del server e il riconoscimento del problema stesso, il Server-Standby immagazzina in un buffer i dati generati in questo periodo. Questa memorizzazione nel buffer avviene anche quando il Server-Standby non è il server primario. Dopo che il server ha smesso di funzionare,si ricorre a questo buffer in modo tale che non c'è nessuna perdita di dati. Il sistema di controllo garantisce in tal modo ridondanza senza perdita di dati.

A seconda di come è stata configurata la proprietà Tipo di ridondanza, il server originario viene avviato dopo il restart o come server, o come Server-Standby.

Tipo di ridondanza

Descrizione

Non dominante

Il server originario (Server 1) viene avviato come Server-Standby Server 2 mantiene il ruolo di server.

Dominante

Il server originario (Server 1) riassume il ruolo di server dopo che sono stati sincronizzati tutti i dati. Server 2 viene retrocesso al ruolo di Server-Standby.

Ponderata

A seconda della valutazione configurata, il server originario viene avviato o come server o come Server-Standby.

info Info

Se il Server-Standby funziona e poi viene avviato il server, quest´ultimo si procura tutti i dati Runtime dallo standby. Nel caso in cui abbiate apportato delle modifiche al progetto mentre il server non era in funzione, e nel caso che abbiate effettuato l´update solo sul server (non funzionante), questi cambiamenti vengono sovrascritti nel momento in cui il server si va a procurare i dati dallo standby.

In questo caso dovete effettuare l´update dei dati prima dell´avvio del server anche sullo standby, oppure spegnere lo standby prima di avviare il server. Quando poi riavviate lo standby con il server in azione, esso si procura automaticamente i nuovi dati dal server.

Configurare lo Standby.

  • Nelle proprietà della rete (proprietà di progetto), inserire oltre al Server (proprietà: Server 1) anche il nome dello Standby Servers (proprietà: Server 2).
  • Per trasferire i file Runtime, procedere come nel caso del client.

Il sistema di controllo supporta due diverse forme di ridondanza:

Ridondanza software | Il PLC non è ridondante. Solo il sistema di controllo è eseguito in modo ridondante. (Caso standard)
Ridondanza hardware | Sia il PLC che il sistema di controllo sono ridondanti.


Configurare il server

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server -> Configurare il server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il server primario instaura la connessione con il PLC e gestisce tutti i dati, sia quelli online, che quelli di progettazione. I client sincronizzano i loro dati con il server primario.

Per configurare il server primario.

  1. Attivare la proprietà Rete attiva.
  2. Definire il computer che deve fungere da server primario per il progetto in questione usando la proprietà Server 1.
    Nota: Non è consentito usare l´indirizzo IP; bisogna inserire il nome del calcolatore.
  3. Fare attenzione a configurare correttamente le variabili del driver interno
  4. Opzionale: se necessario, create gli script AUTOSTART e AUTOEND per i client

attention Attenzione

Assegnazione di un nome a Server 1 e Server 2:

  • Si deve inserire il nome calcolatore.
    Non è consentito l'inserimento di un indirizzo IP.
  • Non è permesso usare localhost.
  • Se il computer di sviluppo, quello cioè con cui avete creato il progetto, è allo stesso tempo il server primario, la configurazione è terminata.

Se il computer di sviluppo non è il server desiderato, trasferire la configurazione del progetto in questione al computer desiderato. I dati possono essere trasferiti via Trasporto Remoto o tramite la topologia di rete.

info Informazioni su

Ulteriori informazioni su questo argomento si trovano nel capitolo Gestire e controllare la topologia di rete, oppure nella parte della guida dedicata al Trasporto Remoto.


Configurazione dei client.

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server -> Configurazione dei client.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I client possono essere impostati via Trasporto Remoto, tramite la topologia di rete, oppure manualmente. E' raccomandata la configurazione via Trasporto Remoto, oppure tramite topologia di rete.

A questo proposito, vale quanto segue:

  • Se il computer di sviluppo dovesse essere anche un client, avviare il Runtime localmente su questo calcolatore.
  • Configurare tutti gli altri client o con il Trasporto Remoto, con la Topologia di rete, oppure manualmente.
  • Se sui client devono essere eseguiti processi speciali, si deve creare sul server uno script che definisce il comportamento al momento dello start (script AUTOSTART_CLIENT) e a quello della chiusura (script AUTOEND_CLIENT).

info Informazioni su

Ulteriori informazioni su questo argomento si trovano nel capitolo Gestire e controllare la topologia di rete, oppure nella parte della guida dedicata al Trasporto Remoto.

Noch in diesem Kapitel

Impostare client con il Trasporto Remoto

Impostare client via topologia di rete

Impostare client manualmente

Comportamento a Runtime


Impostare client con il Trasporto Remoto

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server -> Configurazione dei client. -> Impostare client con il Trasporto Remoto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Di default, il Trasporto Remoto trasferisce i file Runtime sempre al computer definito come server nel gruppo Rete delle proprietà di progetto. Per impostare dei client dal computer di sviluppo via Trasporto Remoto, si deve anzitutto configurare nuovamente la destinazione della trasmissione del Trasporto Remoto prima di passare ad impostare il client.

Per impostare dei client usando il Trasporto Remoto:

  1. Aprire il nodo Generale delle proprietà di progetto.
  2. Cliccare sulla proprietà Trasporto remoto
    Si apre la finestra di dialogo Trasporto Remoto.
  3. Nel settore Connetti, inserire il nome del client in rete nella proprietà Nome.
  4. Confermare la configurazione cliccando sul pulsante OK
  5. Instaurare una connessione via Trasporto remoto con il client.
    Per continuare ad usare il Trasporto Remoto, la cosa migliore è usare il simboli della barra degli strumenti.
  6. Trasferire al client tutti i file Runtime con il Trasporto Remoto.
  7. Impostare il progetto di partenza per il client con il Trasporto Remoto.
  8. Avviare il Runtime sul client con il Trasporto Remoto.
  9. Terminare la connessione instaurata via Trasporto Remoto.

info Informazioni su

Ulteriori informazioni sull'argomento si trovano nella parte della guida dedicata alla EW_SERV_BY.


Impostare client via topologia di rete

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server -> Configurazione dei client. -> Impostare client via topologia di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La topologia di rete è uno strumento che si presta molto bene ad impostare più client contemporaneamente. I file Runtime possono essere trasferiti a più computer contemporaneamente usando la selezione multipla.

info Informazioni su

Ulteriori informazioni su questo tema si trovano nella parte della guida dedicata alla EW_SERV_BY.


Impostare client manualmente

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server -> Configurazione dei client. -> Impostare client manualmente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare dei client per l´avvio del Runtime:

  1. Chiudere il zenon Editor e il zenon Runtime.
  2. Aprire il file zenon6.ini con un editor dei testi.
    Il file si trova nella cartella %ProgramData%\COPA-DATA\System\
  3. Cancellare la rigaVBF30 =.... oppure commentare questa riga.

    (Nota: questo inserimento definisce quale progetto deve essere caricato quando viene avviato il Runtime).

  4. Lasciare chiuso l´Editor e avviare il Runtime.
  5. Si apre una finestra di dialogo che chiede quale progetto debba essere caricato.

  6. Attivare la checkbox dell'opzione Carica progetto dal Runtime Server.

  7. Configurare i campi di inserimento:
    1. Server Runtime:
      computer impostato come server primario. Il nome può essere inserito direttamente, oppure essere selezionato da una lista usando il pulsante ....
      Ulteriori informazioni relative alla progettazione in caso di rete ridondante si trovano subito dopo queste istruzioni step-by-step.
    2. Nome progetto:
      Nome del progetto in esecuzione sul server primario.
      Nota: assicurarsi di aver inserito il nome progetto corretto. Se il nome della cartella non corrisponde a quello di progetto, quest'ultimo deve essere modificato qui!
    3. Cartella di destinazione progetto:
      Cartella per il Runtime sul disco fisso locale del client. Si può selezionare una cartella esistente usando il pulsante ..., oppure si può inserire manualmente un percorso usando la tastiera. Se si inserisce una cartella non ancora esistente, questa viene generata automaticamente.
    4. Confermare l´inserimento cliccando su OK.
  8. Queste configurazioni hanno il seguente effetto nel Runtime di zenon.
    Il Runtime:
    1. Stabilisce una connessone con il server primario
    2. Copia i suoi file Runtime nella cartella di destinazione del progetto
    3. Avvia il Runtime.
    4. Richiede (se necessario) un riavvio del Runtime
  9. L´inserimento VBF30=... nel file zenon6.ini viene settato nella cartella di destinazione del progetto.

    Così il Runtime avvia automaticamente il progetto di rete sul client ad ogni nuovo start.

attention Attenzione

Ripetere questa operazione per ogni client.

Configurazione del server Runtime in una rete ridondante.

Con una configurazione ridondante della rete di zenon, la distribuzione dei ruoli di server primario e Server-Standby dipende dal tipo di ridondanza progettato. Non è sempre chiaramente riconoscibile se il Server 1 o il Server 2 configurati ha il ruolo del server primario.

'Per la configurazione nella finestra di dialogo Runtime Server, quindi, indicate sempre entrambi i server. I nomi server sono separati l'uno dall'altro da un punto e virgola (;). E' consentito l'uso di spazi vuoti per i nomi server.

Assicurarsi che la successione dei server indicati corrisponda alla sequenza definita nella configurazione del progetto. Il client Runtime non si avvia se i nomi computer non corrispondono.

Se si cambia la configurazione di Server 1 o Server 2, questa modifica viene scoperta durante il reload su client. A Runtime verrà visualizzata una finestra di dialogo che informa dell' avvenuta modifica della configurazione server e forza un riavvio del client.

Assicurarsi che, se necessario, i nuovi file Runtime siano trasferiti di nuovo al client.


Comportamento a Runtime

Manuale -> Rete -> Impostare la rete di zenon -> Modello Client-Server -> Configurazione dei client. -> Comportamento a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime, i progetti di rete possono essere gestiti nello stesso modo da tutti i calcolatori della rete e vengono visualizzati in modo uguale. Se, al momento dell´avvio del Runtime, non è definito nessun progetto valido, si aprirà la finestra di dialogo che serve a stabilire il progetto Runtime. Per i dettagli al proposito vedere sezione Impostare client manualmente .

Differenze fra il server primario e i client:

  • Solamente il server primario del progetto ha una connessione con l´hardware e gestisce i dati di processo.
  • Gli altri calcolatori (client) ricevono da questo:
    • I valori attuali delle variabili
    • I messaggi di sistema della Lista eventi cronologica
    • Le informazioni relative agli allarmi
    • Ricette
    • Dati d'archivio
    • ecc.

Il trasferimento dal server primario ai client avviene in modo spontaneo (per es. modifica valore di un driver) e gestito dagli eventi (per es. apertura di un'immagine zenon di tipo Trend esteso, che ha bisogno di dati archivio del server primario).

Monitoraggio della connessione

Se si usa l´impostazione standard di 30 secondi per la proprietà Network communication timeout nello Startup Tool, il servizio di rete (zenNetSrv.exe) di ogni client invia un watchdog al servizio di rete (zenNetSrv.exe) del server primario ogni 10 secondi durante il funzionamento online. Se il server primario risponde entro 30 secondi almeno ad uno dei tre watchdog, il relativo client presuppone che la connessione di rete funzioni correttamente.


Gestione multi-progetto

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestione multi-progetto consente di realizzare delle soluzioni decentralizzate. I sotto-progetti possono essere distribuiti a diversi calcolatori. I singoli calcolatori, a loro volta, possono essere server primario, Server-Standby o client per i corrispettivi sotto-progetti.

Per mezzo della gestione multi-progetto è possibile:

  • Modificare contemporaneamente nell'Editor diversi progetti di un workspace.
  • Avviare a Runtime diversi progetti simultaneamente e accedere dunque direttamente a variabili, funzioni, archivi anche da altri progetti.

info Informazioni su

La gestione multi-progetto non è disponibile con lo zenon Operator. In questo caso è possibile creare e amministrare nell´Editor solamente un progetto e un progetto globale per workspace. Il Runtime può avviare solamente un progetto.

Struttura

Requisito è l´esistenza di un progetto di integrazione che viene caricato a Runtime come progetto di partenza.

zenon crea una struttura ad albero multi-gerarchica in cima alla quale si trova il progetto di integrazione. La gestione multi-progetto consente di mettere i progetti in una relazione logica gli uni con gli altri.

info Informazioni su

Configurare e controllare la topologia usando la topologia di rete di zenon .

Lavorare in modo efficiente con la gestione multi-progetto e la gerarchia dei progetti

zenon consente di riutilizzare in modo coerente i dati e le immagini dei progetti esistenti. La gestione multi-progetto di zenon crea una relazione logica fra i singoli progetti e li mette in relazione gerarchica gli uni nei confronti degli altri. L´utente può visualizzare questa gerarchia di progetti in modo grafico nell´Editor di zenon trascinando i progetti con il mouse alla posizione desiderata e creando così una struttura ad albero multi-gerarchica.

Il progetto che si trova in cima a questa struttura gerarchica è il progetto di integrazione. Tutti gli altri sono subordinati al progetto di integrazione. Nella struttura di progetto, i dati dei singoli progetti sono disponibili e accessibili anche dagli altri.

La struttura multi-progetto di zenon è comparabile ad un raccoglitore:

  • In qualsiasi momento è possibile aggiungere degli altri fogli – cioè progetti zenon. Il raccoglitore contiene sempre automaticamente tutte le informazioni dei fogli in esso contenuti. Si può sfogliare le pagine di questo raccoglitore in qualsiasi momento e vedere le informazioni in esse contenute, senza dover estrarre i singoli fogli. Nella struttura multi-progetto di zenon, gli utenti possono passare da un´immagine all´altra e da un progetto all´altro senza dover estrarli dalla struttura.
  • Il progetto di integrazione può essere paragonato all´indice di un raccoglitore. Serve da progetto di navigazione centrale e consente di visualizzare immagini o dati appartenenti ai progetti subordinati. I singoli progetti sono autarchici e possono continuare ad essere gestiti in modo autonomo. L´accesso da un progetto ai dati o alle immagine di un altro, avviene attraverso le interfacce standard di zenon. Le estensioni o le modifiche vengono fatte direttamente nei singoli progetti. Gli eventuali lavori di manutenzione hanno effetto solamente sul progetto in questione, mentre il sistema complessivo non ne viene interessato.

Gestione multi-progetto significa

  • Strutture piccole e semplici.
  • Manutenzione semplice, veloce e chiara dei singoli progetti.
    È possibile, ad esempio, disattivare singoli progetti senza che questo abbia influenza sugli altri. Allo stesso modo è possibile distribuire i progetti su differenti PC.
  • Distribuzione del carico.
  • Possibilità di gestione di più progetti contemporaneamente, perché tutti i progetti che si trovano su un PC sono attivi simultaneamente.
  • La struttura di rete multi-gerarchica permette la raccolta di dati (valori di misurazione, allarmi, segnalazioni di sistema, dati di archivio, ecc.) in un progetto di livello superiore.
  • Nessun limite al numero di progetti attivi per ogni PC.
  • Riunione di progetti in grandi stazioni di controllo
  • Struttura a nodi – separazione rete fisica

Noch in diesem Kapitel

Definizione della struttura nell´Editor

Trasferire e avviare progetti

Gestione progetti


Definizione della struttura nell´Editor

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto -> Definizione della struttura nell´Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La struttura viene creata nell´Editor con il semplice Drag&Drop. Si ha bisogno, oltre che di progetti produttivi, anche di un progetto di integrazione che gestisca tutti i progetti subordinati. Dato che i progetti standalone non inviano dati ad altri computer, in ogni (sotto)progetto deve essere definito un server primario. Lo stesso progetto di integrazione può essere anche un progetto produttivo con capacità di rete.

Esempio

In questo esempio useremo tre progetti:

  • Progetto di integrazione IPRO
  • Progetto produttivo PRO1
  • Progetto produttivo PRO2

Per creare la struttura:

  1. Creare tre progetti:
    • IPRO
    • PRO1
    • PRO2
  2. Definire per ogni computer un server primario.
    (Il progetto di integrazione può essere eseguito anche come progetto standalone).
  3. Tenendo premuto il tasto sinistro del mouse, trascinare all'interno del manager di progetto PRO1 su IPRO.
  4. Fare la stessa cosa con PRO2
  5. Nel manager di progetto,PRO1 e PRO2 verranno adesso visualizzati come rami del progetto IPRO.

Così è stata creata la struttura gerarchica.

info Informazioni su

Affinché sia possibile selezionare gli elementi di sotto-progetti (come immagini, variabili o funzioni), deve essere attivata l´opzione Mantieni progetto in memoria nel menù contestuale del progetto.


Trasferire e avviare progetti

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto -> Trasferire e avviare progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per mezzo della topologia di rete, il progetto di integrazione può essere trasferito automaticamente insieme a tutti i sotto-progetti al rispettivo computer di destinazione. Se il progetto di integrazione è anche progetto di partenza, vengono trasferiti automaticamente anche tutti i sotto-progetti.

Trasferire e avviare progetti manualmente

Per trasferire e avviare dei progetti manualmente, si può usare il Trasporto Remoto.
In questo caso, ogni progetto viene trasferito singolarmente ai computer corrispondenti.

  • Trasferire con il Trasporto Remoto tutti i file Runtime di PRO1 al suo server primario.
  • Impostare con il Trasporto Remoto il progetto di partenza.
  • Avviare il Runtime con il Trasporto Remoto.
  • Chiudere la connessione online.
  • Fare lo stesso con PRO2

info Info

Per trasferire in questo esempio il progetto di integrazione e i due sotto-progetti ad un client via Trasporto Remoto, sono necessarie 3 operazioni Trasporto remoto (per ogni progetto un´operazione).

In questo caso è preferibile usare lo strumento della topologia di rete, visto che tutti i progetti possono essere trasferiti contemporaneamente anche a diversi computer.

Ulteriori informazioni

  • I dettagli relativi alla topologia di rete si trovano nel capitolo Gestire e monitorare la topologia di rete.
  • La configurazione del calcolatore con un esempio di trasferimento automatico dei sotto-progetti, si trova nella sezione Configurazione del calcolatore in rete.
  • I dettagli relativi al trasferimento dati si trovano nel manuale sul Trasporto Remoto.


Gestione progetti

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto -> Gestione progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono diverse possibilità di accedere ai dati di sotto-progetti; fra le altre:

  • Progetto di integrazione
  • Navigazione fra i progetti
  • Usare variabili o funzioni di un altro progetto
  • Depositare delle ricette in diverse variabili di diversi progetti
  • Creare archivi per usarli in più progetti
  • Creare AML o CEL condivise da più progetti

attention Attenzione

Nell´effettuare la configurazione, si deve tener presente in quali ruoli (server prioritario, Server-Standby, client) vengono eseguiti moduli e funzioni. Una lista delle possibili configurazioni si trova in: Comportamento dei moduli in rete.

Noch in diesem Kapitel

Il progetto di integrazione


Il progetto di integrazione

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto -> Gestione progetti -> Il progetto di integrazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il progetto di integrazione gestisce sotto-progetti a cui si può accedere a Runtime. Il progetto di integrazione può essere utilizzato nella gestione multi-progetto sia come semplice progetto di gestione (per es. per navigare ai sotto-progetti), che come vero e proprio progetto produttivo (con una propria connessione PLC, archiviazione, ecc.). Se il progetto di integrazione viene impostato come quello di partenza, a Runtime tutti i sotto-progetti vengono automaticamente avviati allo start di quello di integrazione.

In un progetto di integrazione, ad esempio, si possono creare con pochi clic del mouse delle Liste di informazione allarmi, o Liste Eventi Cronologiche centrali, per tutti i progetti subordinati. Così gli allarmi di tutti i sotto-progetti possono essere visualizzati in ordine cronologico nella Lista di informazione allarmi del progetto di integrazione.

attention Attenzione

Quando si imposta la gestione multi-progetto, bisogna assicurarsi che la navigazione funzioni.

info Informazioni su

Per avere la possibilità di cancellare sotto-progetti, questi ultimi devono essere modificabili. Un sotto-progetto creato con una versione precedente dell´Editor rispetto a quella con cui è stato realizzato il progetto di integrazione, ad esempio, può essere cancellato solo dopo la conversione.

Noch in diesem Kapitel

Navigazione fra i progetti

Variabili e funzioni

Archivi

Ricette

Allarmi e CEL


Navigazione fra i progetti

Manuale -> Rete -> Impostare la rete di zenon -> Gestione multi-progetto -> Gestione progetti -> Il progetto di integrazione -> Navigazione fra i progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Navigazione fra i progetti

Quando si lavora con diversi sotto-progetti in un progetto di integrazione, è assolutamente necessario far sì che si possa passare a Runtime in qualsiasi momento da un sotto-progetto ad un altro, oppure al progetto di integrazione.
Suggerimento: creare un modello che si trova sempre in primo piano. Creare poi un´immagine con pulsanti di navigazione basata su questo modello.

Cambio immagine a sottoprogetti

Per passare fra immagini di singoli progetti, usare la funzione Cambio immagine di zenon. Per far in modo che la possibilità di navigare fra le immagini sia sempre disponibile, creare in primo luogo un modello che si trova sempre in primo piano:

  1. Creare un nuovo modello che offra posto agli elementi di navigazione.
  2. Assegnarli la proprietà Sempre in primo piano
  3. Attivare le proprietà Tipo di cornice e Titolo (così si potrà spostare il modello a Runtime).
    Naturalmente si può usare anche un modello senza cornice e titolo che si trova in una posizione fissa.
  4. Creare un´immagine con pulsanti per la navigazione basata su questo modello.

Esempio: cambio fra PRO1 e PRO2

  1. Creare una nuova funzione di Cambio immagine.
  2. Se nel workspace attuale c'è più di un progetto, la finestra di dialogo di selezione immagini verrà estesa alla selezione di un progetto.

  3. Selezionare PRO1.
  4. Selezionare l´immagine di partenza del PRO1 e chiudere la finestra di dialogo cliccando su OK.
  5. Ripetere i punti da 1 a 4 per PRO2.
  6. Aggiungere all´immagine di navigazione due pulsanti testo con la didascalia PRO1 e PRO2.
  7. Collegate i due pulsanti alle due funzioni appena create.

attention Attenzione

zenon non verifica nell´Editor se la struttura di rete permette effettivamente a Runtime un accesso al progetto/immagine selezionato.

Per esempio, nell´Editor si può creare nel progetto PRO1 un cambio ad un´immagine del progetto di integrazione. Questo cambio, però, funzionerà a Runtime solo se anche il progetto di integrazione è stato avviato. Questo cambio immagine non funzionerà su un calcolatore su cui è stato avviato solamente il progetto PRO1 (progetto di partenza).


Variabili e funzioni

Variabili e funzioni

Si può accedere direttamente a variabili e funzioni di altri progetti dello stesso workspace usando gli Elementi dinamici.

Esempio: variabile

  1. Aprire l´immagine di partenza di IPRO.
  2. Aggiungere un nuovo elemento dinamico Valore numerico.
  3. Si apre la finestra di dialogo per la selezione delle variabili.

  4. Qui non si possono selezionare solamente variabili del progetto IPRO. Per selezionare una variabile di un altro progetto:
    1. Cliccare su un progetto della lista a sinistra.
    2. Verranno visualizzate le variabili del progetto in questione.
    3. Selezionare la variabile desiderata
  5. Selezionare una variabile appartenente al PRO1 o PRO2.

Per le funzioni, procedere in modo analogo.

attention Attenzione

zenon non verifica nell´Editor se la struttura di rete permette effettivamente a Runtime un accesso al progetto selezionato e alle sue variabili/funzioni!

Per esempio, nell´Editor si può selezionare nel progetto PRO1 una variabile del progetto di integrazione. Questo collegamento, però, funzionerà a Runtime solo se è stato avviato anche il progetto di integrazione. Questo collegamento non funzionerà. su un calcolatore su cui è stato avviato solamente il progetto PRO1 (progetto di partenza).


Archivi

Archivi

In un archivio possono essere registrati i valori di variabili di diversi progetti dell´area di lavoro. I valori in tal modo registrati possono poi essere filtrati, visualizzati in forma di lista o come trend, stampati o esportati come avviene per i dati di normali archivi.

Esempio archivio

  1. Aprite nel progetto IPRO il nodo Server di archiviazione.
  2. Create un uovo archivio con il nome BA - BASIS.
  3. Aprite il menù contestuale della lista variabili e selezionate Aggiungi variabili.
  4. Si apre la finestra di dialogo per la selezione delle variabili.

  5. Qui non si possono selezionare solamente variabili del progetto IPRO. Per selezionare variabili di altri progetti:
    1. Cliccate su un progetto nella parte sinistra della lista:
      appariranno le relative variabili che potranno essere selezionate.
    2. Selezionare la variabile desiderata
  6. Scegliere delle variabili da PRO1 e PRO2.
  7. Nella lista variabili dell´archivio viene indicato prima del nome della variabile il nome del relativo progetto.

attention Attenzione

zenon non verifica nell´Editor se la struttura di rete permette effettivamente a Runtime un accesso al progetto selezionato e alle sue variabili.

Per esempio, nell´Editor si può selezionare nel progetto PRO1 una variabile del progetto di integrazione. Questo collegamento, però, funzionerà a Runtime solo se è stato avviato anche il progetto di integrazione. Su un calcolatore su cui è stato avviato solamente il progetto PRO1 (progetto di partenza), questa connessione non funzionerà!

Dopo che avrete completato la selezione delle variabili, apparirà una finestra di dialogo che vi ricorda quanto segue: nei sistemi ridondanti la registrazione senza lacune non è garantita in ogni caso.

Esempio

  • Il progetto PRO1 viene eseguito in modo ridondante; un computer è il server primario, un secondo il server-standby.
  • Lo stesso vale anche per il progetto PRO2.
  • Il progetto di integrazione con i progetti subordinati PRO1 e PRO2 viene avviato su un terzo calcolatore. Esso è client per i sottoprogetti.

Se vengono archiviate variabili dei progetti PRO1 e PRO2 nel progetto di integrazione, il calcolatore riceve i dati tramite la rete dal rispettivo server prioritario di PRO1 e PRO2.
Se, ad esempio, il server prioritario di PRO1, per il periodo che passa fino a che il Server-Standby di PRO1 non assume il ruolo di server, si troverebbero dei valori di sostituzione nell´archivio delle variabili di PRO1 .

Nota: il buffer standby della ridondanza senza perdita di dati, salva solo le variabili del progetto in cui il calcolatore è stato configurato come uno dei due server.
Soluzione: per garantire una registrazione senza perdita di dati, l´archiviazione deve verificarsi localmente nel sottoprogetto eseguito in modalità ridondante.


Ricette

Ricette

In una ricetta si possono scrivere valori su variabili di diversi progetti del workspace.

Esempio: ricetta

  1. Nel progetto IPRO aprire il nodo Ricette.
  2. Creare alla voce Ricette - Ricette standard una nuova ricetta con il nome Ricetta 1.
  3. Aprire il menù contestuale della Ricetta 1 e selezionare Aggiungi variabile
  4. Si apre la finestra di dialogo per la selezione delle variabili.

  5. Qui non si possono selezionare solamente variabili del progetto IPRO. Per selezionare variabili di altri progetti:
    1. Cliccare su un progetto della lista a sinistra.
    2. Verranno visualizzate le variabili del progetto in questione.
    3. Scegliere delle variabili da PRO1 e PRO2.
    4. Nella lista variabili della ricetta viene indicato poi, prima del nome della variabile, anche il nome del progetto di provenienza.

Per il Manager di gruppi ricette, procedere in modo analogo.

attention Attenzione

zenon non verifica nell´Editor se la struttura di rete permette effettivamente a Runtime un accesso al progetto selezionato e alle sue variabili.

Per esempio, nell´Editor si può selezionare nel progetto PRO1 una variabile del progetto di integrazione. Questo collegamento, però, funzionerà a Runtime solo se è stato avviato anche il progetto di integrazione. Su un calcolatore su cui è stato avviato solamente il progetto PRO1 (progetto di partenza), questo collegamento non funzionerà.


Allarmi e CEL

Allarmi e CEL

In zenon, i messaggi di sistema e gli allarmi dei diversi progetti di un workspace possono essere visualizzati in una sola lista. Questi inserimenti possono essere filtrati, visualizzati, stampati oppure esportati come i dati di normali Liste di informazione allarmi o Liste Eventi Cronologiche.

Esempio: AML

  1. Creare un' immagine di tipo AML
  2. Inserire gli elementi di controllo nell´immagine usando il comando Elementi di controllo -> Inserisci template...
  3. Creare una funzione di cambio immagine per questa immagine.
  4. Si aprirà il dialogo di filtro per le liste allarmi.
  5. Aprire la scheda Progetto
  6. Selezionare i progetti che devono essere visualizzati nella AML di IPRO.
    Scelta multipla: tasto Ctrl più clic del mouse.

  7. Aprire la scheda Impostazioni colonne.
  8. Selezionare per la visualizzazione a Runtime anche la proprietà Nome progetto.
    Così si avrà la possibilità di sapere a Runtime da quale progetto proviene un allarme.

Per la Lista Eventi Cronologica, procedere in modo analogo.


Trasparenza orizzontale.

Manuale -> Rete -> Impostare la rete di zenon -> Trasparenza orizzontale.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestione multi-progetto consente anche di realizzare la cosiddetta trasparenza orizzontale.

Trasparenza orizzontale significa che tutti i progetti che si trovano allo stesso livello, possono essere aperti su un PC. Il presupposto di ciò è un progetto di integrazione con relativi strumenti di navigazione, che avvii questi progetti.

Esempio

Diversi terminal appartengono allo stesso macchinario Ogni terminale ha il proprio progetto di visualizzazione. Per mezzo della trasparenza orizzontale è possibile aprire e gestire su ogni terminale non solo il proprio progetto, ma anche tutti gli altri. In questo modo, l’intero macchinario può essere monitorato e gestito da ogni terminale.


Ottimizzazione di progetti con un gran numero di client

Manuale -> Rete -> Impostare la rete di zenon -> Ottimizzazione di progetti con un gran numero di client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Grandi progetti di rete, in certe circostanze con impostazioni standard, possono sovraccaricare il server primario effettuando il reload contemporaneo di più client per un lungo lasso di tempo. La dimensione del carico dipende da diversi fattori (risorse del server primario, banda disponibile ecc.).
Valori di riferimento:

  • File Runtime di 10 MB oppure di dimensioni maggiori
  • Più di 50 client

In questo caso si può ottimizzare l´operazione di reload in modo tale da impedire una sincronizzazione contemporanea di tutti i client. La configurazione corrispondente si effettua nel project.ini.

Possibili inserimenti INI per l'ottimizzazione del processo di reload di client nella rete di zenon:

  • RELOADDELAY_SEC
  • CLIENT

Ritardo di reload casuale (RELOADDELAY_SEC)

Con l' inserimento INIRELOADDELAY_SEC , il reload viene ritardato da un valore casuale.
Procedura:

  1. Aprire il project.ini nella cartella \Projekt_SQL_Ordner\FILES\zenon\system\.
    Suggerimento: selezionare il progetto nel manager di progetto e premete la combinazione di tasti Ctrl+Alt+E ll Windows Explorer apre la cartella \Projekt_SQL_Ordner\FILES\
  2. Passare alla sezione [NETZ].
  3. Creare l´inserimento RELOADDELAY_SEC=[valore].
  4. Selezionare per Valore un valore per il posticipo

Nel corso del processo di reload, il sistema calcola per ogni client un ritardo casuale in secondi che si trova fra 0 e il valore selezionato. 0 significa nessun ritardo (comportamento standard). Il valore selezionato non ha alcun effetto sui progetti standalone, sul server primario o sul Server-Standby.

Nota: questo inserimento dovrebbe essere settato solamente in caso di progetti molto grandi e di notevoli ritardi nell´effettuazione del processo di reload. Nei progetti normali, invece, le impostazioni standard sono più efficaci.

Ritardo di reload definito (CLIENTx)

Con l' inserimento INI CLIENTx , si possono definire tempi di reload differenti per i client.

  1. Aprire il project.ini nella cartella \Projekt_SQL_Ordner\FILES\zenon\system\.
    Suggerimento: selezionare il progetto nel manager di progetto e premete la combinazione di tasti Ctrl+Alt+E ll Windows Explorer apre la cartella \Projekt_SQL_Ordner\FILES\
  2. Passare alla sezione [NETZ].
  3. Creare per ogni client un inserimento CLIENTx=[Valore].
    x = numerazione progressiva per i client.
    CLIENT[numero progressivo]=Nome client,[Ritardo di reload in secondi]
  4. Selezionare per valore un valore per il posticipo.
    Per esempio:
    • CLIENT0=VM-CDSBG104,5
    • CLIENT1=WKS001,10

Attenzione: la numerazione dei client deve essere progressiva e senza soluzioni di continuità.. Se. per es., ci sono inserimenti per CLIENT0, CLIENT1, CLIENT2, CLIENT3 e CLIENT5, il sistema considera solo quelli relativi ai seguenti client: Client0, Client1, Client2 e Client3. Il ritardo di reload configurato per Client5 viene ignorato.

info Informazioni su

Per i client senza un inserimento CLIENTx vale il ritardo di reload casuale configurato nell'inserimento RELOADDELAY_SEC.

Se anche questo inserimento è vuoto, il reload viene effettuato immediatamente.


Crittografia forte della comunicazione di rete

Manuale -> Rete -> Crittografia forte della comunicazione di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon consente di proteggere per mezzo di una crittografia forte la comunicazione nella rete di zenon. A partire dalla versione 7.0 di zenon, la crittografia forte funziona per tutti i sistemi operativi supportati e per il zenon Web Client.

Quando la crittografia è attiva, la comunicazione fra server primario, Server-Standby, client e zenon Web Client avviene in modo cifrato; lo zenon Webserver si limita ad inoltrare i pacchetti dati e non è interessato dalla crittografia.

info Informazioni su

La comunicazione di rete era crittografata anche in precedenti versioni di zenon. Con la versione 7, però, è cambiato il metodo. Il termine "crittografia" in relazione a zenon 7 (e versioni successive) comporta una sempre maggiore cifratura.

Noch in diesem Kapitel

Nozioni di base

Attivare la crittografia

Password - Crittografia di rete

Checklist in caso di errori

Messaggi d'errore


Nozioni di base

Manuale -> Rete -> Crittografia forte della comunicazione di rete -> Nozioni di base

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La crittografia per il Runtime di zenon è a disposizione a partire dalla versione 7.00. Quando la crittografia è attiva, la comunicazione con le versioni precedenti di zenon non è possibile. La crittografia non pregiudica nessuna delle funzionalità di zenon.

Basi della crittografia a partire dalla versione 7.00 di zenon

Per usare la crittografia forte della rete di zenon bisogna tenere presente quanto segue:

  • La password viene cifrata individualmente su ogni calcolatore e salvata nello zenon6.ini. Ciò significa:
    • La password non può essere trasferita ad un altro calcolatore copiando lo zenon6.ini.
    • Quando cambiano i componenti hardware, soprattutto a livello di adattatore di rete, la password può perdere la sua validità e deve essere inserita di nuovo.
  • La crittografia deve sempre essere attivata o disattivata per tutti i componenti che fanno parte della rete di zenon. La comunicazione fra sistemi crittografati e non crittografati non è possibile. Gli zenon Web Server fungono solamente da computer proxy e non sono interessati dalla crittografia.
  • Se la crittografia viene attivata su un calcolatore, viene applicata sempre a tutti i progetti di questo computer per i quali è stata attivata la proprietà Rete attiva.

info Informazioni su

AES 192 di Microsoft viene usato come algoritmo di crittografia per la comunicazione di rete.

SHA 256 di Microsoft viene usato per generare la chiave dalla password inserita.

Compatibilità:

La crittografia non è compatibile con le versioni precedenti alla zenon 7.00 SP0. Ciò significa:

Sistema 1 | Sistema 2 | Comunicazione.
zenon 7 crittografata | zenon 7 crittografata | Sì
zenon 7 non crittografata | zenon 7 non crittografata o zenon prima della versione 7 non crittografata | Sì
zenon 7 crittografata | zenon 7 non crittografata o zenon prima della versione 7 non crittografata | No

Gli errori vengono protocollati nel file LOG del Diagnose Viewer.

Esempio

La seguente immagine mostra un esempio di una rete con server primario, Server-Standby, due client, un Webserver e due Web Client. Su tutti i dispositivi è eseguita la versione 7.00 SP0 di zenon. I dispositivi sono stati configurati nel modo seguente:

  • La crittografia è stata attivata sul server primario usando lo Startup Tool.
  • La crittografia viene attivata anche sul Server-Standby e sul client A via Trasporto Remoto al momento del trasferimento dei file Runtime.
  • Il Client B e il Web Client B comunicano ancora in modalità non crittografata.
  • Sul Web Client A, la crittografia è attivata usando lo Startup Tool.
  • Visto che il Web Server non analizza i pacchetti dati, ma si limita a inoltrarli, non è necessaria alcuna forma di crittografia. Teoricamente, sul Web Server potrebbe essere installata anche una versione precedente, e, ciò nonostante, i Web Client sarebbero in grado di instaurare delle connessioni crittografate.

Questa configurazione porta al risultato seguente:

  • Il Server-Standby comunica con successo con il server primario.
  • Il client A può registrarsi sul server primario e scambiare dei dati.
  • Visto che il client B invia dei messaggi non crittografati e questi vengono rifiutati dal server primario a causa della crittografia attiva, il client B non può comunicare con il server primario e, perciò, è offline.
  • Il Web Client A si registra sul server via Webserver ed è in grado di scambiare dati.
  • I messaggi non crittografati del Web Client B vengono inoltrati dal Webserver al server primario, ma vengono rifiutati da quest'ultimo Il Web Client B non può comunicare con il server primario e, perciò, è offline.

Non appena la crittografia viene attivata via Trasporto Remoto o tramite Startup Tool sul client B e per Encrypt network communication sul Web Client B, anche questi possono instaurare delle connessioni con il server primario.


Attivare la crittografia

Manuale -> Rete -> Crittografia forte della comunicazione di rete -> Attivare la crittografia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La crittografia può essere attivata in modi diversi:

  • Via Startup Tool per il computer locale e il Web Client.
  • Via Trasporto Remoto

Tipp Suggerimento

Per attivare la crittografia in rete in modo semplice e veloce, raccomandiamo di effettuare la configurazione su un calcolatore usando il Trasporto Remoto.

Noch in diesem Kapitel

Localmente tramite Startup Tool

Via Trasporto Remoto


Localmente tramite Startup Tool

Manuale -> Rete -> Crittografia forte della comunicazione di rete -> Attivare la crittografia -> Localmente tramite Startup Tool

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per attivare la crittografia sul computer locale o per il Web Client:

  1. Aprire lo zenon Startup Tool.
  2. Cliccare su Application -> Options

    Si aprirà la finestra di dialogo delle impostazioni.

  3. Selezionare la scheda Network configuration.

  4. Attivare la checkbox Encrypt network communication..
  5. Digitare la password e verificarla.
  6. Confermare cliccando su OK.


Via Trasporto Remoto

Manuale -> Rete -> Crittografia forte della comunicazione di rete -> Attivare la crittografia -> Via Trasporto Remoto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La crittografia può essere attivata su calcolatori remoti via Trasporto Remoto. Questo, tuttavia, è possibile solamente se la connessione Trasporto remoto è protetta da una password.

Per attivare la crittografia via Trasporto remoto:

  1. Cliccare sul pulsante corrispondente che si trova nella barra degli strumenti del Trasporto Remoto

    Oppure selezionare nel menù contestuale del progetto: Trasporto Remoto -> Stabilisci collegamento

    Verrà aperta la finestra di dialogo per stabilire un collegamento

  2. Inserire la password di connessione, oppure crearne una nel caso non ne sia stata definita ancora nessuna.
  3. Attivare la checkbox Configurazione codifica di comunicazione di rete
  4. Cliccare su OK.

    Si apre la finestra di dialogo per la crittografia della comunicazione di rete

  5. Attivare la checkbox Codifica comunicazione di rete
  6. Assegnare una password (per i criteri, vedi capitolo Password - Crittografia di rete.)
    Per trasferire velocemente la configurazione locale ad altri computer, la password locale può anzitutto essere letta via Acquisisci configurazione locale.
  7. Confermare la finestra di dialogo cliccando sul pulsante OK


Password - Crittografia di rete

Manuale -> Rete -> Crittografia forte della comunicazione di rete -> Password - Crittografia di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la password per la crittografia della comunicazione in rete vale quanto segue:

  • Lunghezza minima: 8 caratteri
  • Lunghezza massima: 20 caratteri
    La lunghezza visualizzata viene settata sempre a 20 caratteri, in modo tale da poter nascondere quella reale.
  • Caratteri consentiti:
    • Lettere: A - Z; a - z
    • Cifre: 0 - 9
    • Caratteri speciali
  • Caratteri proibiti:
    • Spazio vuoto
    • Tasto INV (Tasto Return)
  • Composizione: una password deve contenere perlomeno 1 cifra e 1 lettera


Checklist in caso di errori

Manuale -> Rete -> Crittografia forte della comunicazione di rete -> Checklist in caso di errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In caso di errori, controllare:

  • Tutti i calcolatori hanno accesso alla rete e funziona la risoluzione dei nomi fra i calcolatori?
  • La proprietà Rete attiva è stata attivata nell´Editor per questo progetto?
  • Il Runtime di zenon viene usato nella versione 7.00 SP0, oppure in una versione successiva (rilevante in caso di crittografia attiva)?
  • Per i progetti con crittografia, è corretta la configurazione su tutti i calcolatori?
    (L'impostazione USE_ENCRYPTION nello zenon6.ini: la stessa su tutti i calcolatori, o 0, o 1 oppure non esistente.)
  • La password è stata configurata in modo corretto?
  • Su uno dei calcolatori coinvolti è stato cambiato l´hardware dopo la configurazione della crittografia?
  • Funziona un ping sul calcolatore?
    • Sì: connessione di rete esistente, l´errore riguarda la comunicazione.
    • No: controllare la rete.
  • È possibile instaurare una connessione con Telnet?
    • La connessione viene instaurata: entrambi i calcolatori comunicano allo stesso livello. Controllare la password.
    • La connessione viene instaurata e poi va persa: un calcolatore comunica in modo cifrato, un altro in modo non cifrato.
    • La connessione è difettosa: il Runtime di zenon non viene eseguito sul calcolatore di destinazione.

    Nota: Telnet deve essere installato apposta sui sistemi operativi di Windows più recenti. La connessione avviene di regola tramite la porta 1100.
    Il comando Telnet è dunque open [IPAdresse] 1100

  • Sono disponibili le funzioni (di sistema operativo) necessarie (soprattutto sui terminali CE)?
    • La mancanza di funzioni necessarie fa sì che non sia possibile avviare il Runtime.
  • Se il Service-Provider oppure uno degli algoritmi non è disponibile, viene scritto un Messaggio di errore nel file Log al momento dello start del Runtime.

Gli errori vengono protocollati nel file Log del Diagnose Viewer.


Messaggi d'errore

Manuale -> Rete -> Crittografia forte della comunicazione di rete -> Messaggi d'errore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli errori vengono visualizzati o nella finestra di emissione dell´Editor di zenon, oppure in pop-up e/o vengono protocollati nei file Log del Diagnose Viewer.

Nessuna connessione

Se un client è stato configurato con una password di crittografia errata (diversa da quella sul server primario) si vede dal verificarsi deli eventi seguenti:

  • Il client è offline, nonostante il server primario sia raggiungibile via ping.
  • Il server primario scrive dei messaggi di errore nel file LOG:

    SysMod Error: Serialize in Object Project:[Nome progetto] Modul: [Numero modulo]

    oppure:

    NET Error During Decryption[Numero errore]

Pop-up e messaggi di errore

Il sistema indica il verificarsi di errori di crittografia mediante delle finestre d'avviso (pop-up) e inserimenti in file LOG, oppure nella Finestra di emissione di zenon .

Noch in diesem Kapitel

Messaggi di errore in pop-up

Messaggi di errore nella finestra di emissione

Messaggi di errore nei file LOG.


Messaggi di errore in pop-up

Manuale -> Rete -> Crittografia forte della comunicazione di rete -> Messaggi d'errore -> Messaggi di errore in pop-up

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Startup Tool e Web Client

I seguenti messaggi di errore vengono emessi dallo zenon Startup Tool come pop-up per la crittografia locale, oppure dall'Encrypt Network Communication Tool per la configurazione del Web Client.

Questi messaggi sono sempre in lingua inglese. I messaggi del Runtime stesso, invece, sono nella lingua che è stata settata.

Messaggio di errore | Descrizione
The password has to be entered in both text boxes! | Configurando la crittografia, l´utente ha lasciato vuoto uno dei due campi di inserimento (Password oppure Conferma password).
The passwords you typed do not match. Please retype the password in both boxes. | Il contenuto del campo di inserimento per la conferma della password è diverso da quello del campo di inserimento per la password.
The network password does not fullfill the password criterias! Password criterias: - Minimum length = 8 - Maximum length = 20 - At least one character of the latin charset - At least one number - No spaces | La password inserita non soddisfa i criteri. I criteri di validità della password vengono visualizzati nel messaggio di errore.
The network password could not be encrypted! | Si è verificato un errore nella cifratura della password di rete
The network encryption configuration in the file zenon6.ini is invalid. Please enter a new configuration. | Quando è stata aperta la scheda Network configuration, il sistema ha constatato che lo zenon6.ini non contiene una configurazione valida per la crittografia di rete. Si deve inserite una nuova configurazione.
The network encryption password in zenon6.ini is invalid. | La password che il sistema legge dallo zenon6.ini non è valida e deve essere inserita nuovamente.
La password per la crittografia di rete non è valida e deve essere inserita nuovamente! | Messaggio che compare al momento dello start del Runtime se la password non può essere verificata.

Trasporto remoto

I seguenti messaggi di errore vengono visualizzati come pop-up dal Trasporto Remoto quando viene crittografata la comunicazione con il computer remoto.

Messaggio di errore | Descrizione
Per la configurazione della crittografia di rete la connessione tramite trasporto remoto deve essere protetta da password! | Il sistema ha cercato di configurare la crittografia remota senza proteggere la connessione del Trasporto Remoto con una password.
La password dev'essere inserita in entrambi campi! | Configurando la crittografia, l´utente ha lasciato vuoto uno dei due campi di inserimento (Password oppure Conferma password).
Le due password non corrispondono! | Il contenuto del campo di inserimento per la conferma della password è diverso da quello del campo di inserimento per la password.
La password inserita non soddisfa i criteri! Criteri per la validità della password: perlomeno 8 caratteri al massimo 20 caratteri perlomeno una lettera perlomeno un numero nessun spazio vuoto | La password inserita non soddisfa i criteri. I criteri di validità della password vengono visualizzati nel messaggio di errore.
E' avvenuto un errore durante la cifratura della password! | Durante la cifratura della password di rete si è verificato un errore. Se questo errore si verifica durante la configurazione via Trasporto Remoto, viene scritta una segnalazione di errore più dettagliata nel Log.
Nella decifrazione della crittografia della password di rete dallo zenon6.ini si è verificato un errore! | Non è stato possibile decifrare la password salvata nello zenon6.ini. Se questo errore si verifica durante la configurazione via Trasporto Remoto, viene scritta una segnalazione di errore più dettagliata nel Log.
La configurazione della crittografia nello zenon6.ini non è valida e deve essere reinserita! | La password letta dallo zenon6.ini non è valida. È necessario procedere all´inserimento di una nuova password.


Messaggi di errore nella finestra di emissione

Manuale -> Rete -> Crittografia forte della comunicazione di rete -> Messaggi d'errore -> Messaggi di errore nella finestra di emissione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli errori vengono visualizzati nella finestra di emissione in forma di messaggi:

Messaggio | Level | Descrizione
Il server segnala un errore nel mettere insieme i dati per la configurazione della crittografia! | ERRORE | Lo zenSysSrv remoto segnala un errore nella compilazione delle informazioni per la crittografia della password per la crittografia di rete. Non è stato possibile leggere le informazioni adapter.
*** Configura la crittografica della comunicazione di rete sul sistema di destinazione: |  | Questa segnalazione si trova all´inizio del messaggio finale che appare dopo la realizzazione della configurazione della crittografia di un apparecchio remoto tramite Trasporto Remoto. Segue poi una segnalazione concernente il successo della configurazione remota.
Il server segnala un errore nel salvataggio della configurazione della crittografia! | ERRORE | Il Remote zenSysSrv segnala un errore nel salvataggio della configurazione della crittografia sull´apparecchio remoto. La configurazione non è stata salvata.
La configurazione è stata salvata con successo sul server. | SEGNALAZIONE | Il Remote zenSysSrv segnala che la configurazione della crittografia è stata salvata con successo.
La versione del Remote zenSysSrv è troppo bassa! La crittografia non può essere configurata! | ERRORE | Il sistema ha cercato di configurare la crittografia su un apparecchio remoto che ha una versione di zenSysSrv precedente a 7.00 SP0. La crittografia è disponibile solo a partire dalla versione zenon 7.00 SP0; per questo motivo un zenSysSrv anteriore non è in grado di configurarla.


Messaggi di errore nei file LOG.

Manuale -> Rete -> Crittografia forte della comunicazione di rete -> Messaggi d'errore -> Messaggi di errore nei file LOG.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli errori nella comunicazione crittografata in rete vengono documentati in inserimenti LOG. Gli Error-ID dei messaggi di errore nella seguente tabella sono System-Error-Codes oppure COM-Error-Codes. Informazioni più dettagliate sull'argomento si trovano nella MSDN Library.

Inserimento LOG.

Level

Descrizione

NET Error During Acquiring Cryptography Context [Error-ID]

ERRORS

La creazione di un service provider per la crittografia è fallita.

NET Error During Creating Hash [Error-ID]

ERRORS

La creazione di un valore Hash non è riuscita.

NET Error During Using Hash [Error-ID]

ERRORS

La modifica di un valore Hash non è riuscita.

NET Error During Destroying Hash [Error-ID]

ERRORS

Il rilascio di un valore Hash non più necessario non è riuscito.

NET Error During Deriving Key [Error-ID]

ERRORS

La creazione della chiave per la crittografia simmetrica non è riuscita.

NET Error During Configuring Key [Error-ID]

ERRORS

L´impostazione del parametro per la crittografia simmetrica non è riuscita.

NET Error Cryptography Not Initialized!

ERRORS

Una funzione di crittografia o decifrazione è stata richiamata, ma l´inizializzazione dei parametri necessari (service provider, chiave) non è riuscita.

NET Error Invalid Pointer passed!

ERRORS

Ad una funzione di crittografia o decifrazione sono stati assegnati dei parametri non validi.

NET Error Message Length Must Not Be 0!

ERRORS

La chiamata della funzione di crittografia o decifrazione è avvenuta con un messaggio vuoto.

NET Error During Buffer Length Calaulation [Error-ID]

ERRORS

Il calcolo della grandezza necessaria del buffer per la crittografia non è riuscito.

NET Error Buffer Length Must Not Be 0!

ERRORS

Il buffer per la crittografia o decifrazione non è stato creato.

NET Error During Decryption 0x%x

ERRORS

Nel corso della decifrazione si è verificato un errore.

NET Error During Encryption 0x%x

ERRORS

Nel corso della crittografia si è verificato un errore.

NET Error: Encryption Is Required And Project [Projekt] Received Plaintext Network Message

ERRORS

La crittografia è attiva ed è arrivato un messaggio non crittografato. In questo caso il messaggio viene rifiutato.

NET Error: Encryption Is Not Supported And Project [Projekt] Received Encrypted Network Message

ERRORS

La crittografia non è attiva ed è arrivato un messaggio crittografato. In questo caso il messaggio viene rifiutato.

NET Cryptography Successfully Initialized

DEBUG

I parametri necessari per la crittografia e la decifrazione sono stati inizializzati con successo. I parametri vengono inizializzati all´avvio del Runtime.

NET Uninitializing Cryptography

DEBUG

I parametri necessari per la crittografia e la decifrazione vengono rilasciati. Questo accade quando viene chiuso il Runtime. Se la connessione Log viene interrotta prima che il sistema rilasci parametri, il messaggio non viene visualizzato nel Diagnose Viewer.

NET Error During Buffer Size Calculation [Error ID]

ERRORS

Si è verificato un errore nel calcolo della grandezza necessaria del buffer per compilare le informazioni necessarie per crittografia e decifrazione della password di rete.

NET Error During Buffer Size Calculation: No Adapters

ERRORS

Il computer non ha un adattatore di rete. Per questa ragione la password di rete non può essere crittografata e decifrata.

NET Error During Adapter Info Query [Error ID]

ERRORS

Si è verificato un errore quando il sistema è andato a leggere le informazioni dell´adattatore per la crittografia e decifrazione della password di rete.

NET Error Passwort Not Properly Formatted

ERRORS

L'HexDump della password di rete cifrata ha un formato non valido.

NET Error During Decrypting Password [Error ID]

ERRORS

Si è verificato un errore nella decifrazione della password di rete

NET Error During Encrypting Password [Error ID]

ERRORS

Si è verificato un errore nella crittografia della password di rete

NET Cryptography Is Disabled

DEBUG

La crittografia della comunicazione in rete è disattivata.

NET Error No Password

ERRORS

La crittografia è attiva, ma non è stata inserita nessuna password.

NET Error Password Could Not Be Decrypted

ERRORS

Non è stato possibile decifrare la password per la crittografia di rete.

NET Password successfully loaded

DEBUG

La password per la crittografia di rete è stata caricata con successo.

Network Cryptography Disabled By Remote Configuration

DEBUG

Lo zenSysSrv segnala che la crittografia della traffico di rete è stata disattivata sul calcolatore dalla configurazione del Trasporto Remoto.

Network Cryptography Enabled By Remote Configuration

DEBUG

Lo zenSysSrv segnala che la crittografia del traffico di rete è stata attivata sul calcolatore dalla configurazione del Trasporto Remoto.

Network Cryptography Remote Configuration Error

ERRORS

Una configurazione inviata dal Trasporto Remoto per la crittografia di rete è errata.

Error During Buffer Size Calculation [Error ID]

ERRORS

Si è verificato un errore nel calcolo della grandezza necessaria del buffer per compilare le informazioni necessarie per crittografia e decifrazione della password di rete per la configurazione tramite Trasporto Remoto.

Error During Buffer Size Calculation: No Adapters

ERRORS

Il computer non ha un adattatore di rete. Per questa ragione la password di rete non può essere cifrata o decifrata e, quindi, non può essere settata via Trasporto Remoto (deve essere connessa via COM). L´uso della crittografia di rete su un calcolatore senza adattatore di rete, però, non ha senso.

Error During Adapter Info Query [Error ID]

ERRORS

Si è verificato un errore quando il sistema è andato a leggere le informazioni dell´adattatore per la crittografia e decifrazione della password di rete per la configurazione via Trasporto Remoto.

NET Error During Decrypting Password: The Password is Invalid!

ERRORS

La password non è più valida visto che i

dati iniziali per crittografia dipendente dal calcolatore sono cambiati.

Questo errore può essere corretto configurando di nuovo la password.

Per lo più, però, il processo di decifrazione viene interrotto già prima del controllo di validità della password, perché la vecchia password non può essere decifrata con i nuovi dati di decifrazione.

Questo causa l'errore „NET Error During Decrypting Password 0x80090005", che viene normalmente visualizzato invece di „NET Error During Decrypting Password: The Password is Invalid!". Un'altra conseguenza è che la password, che ha perso la sua validità sul computer in questione, causa la visualizzazione di messaggi di errore quando i pacchetti di rete vengono inviati o ricevuti. . Il messaggio di errore „NET Error Cryptography Not Initialized!" viene scritto nel file LOG.


zenon sul Terminal Server

Manuale -> Rete -> zenon sul Terminal Server

Il Runtime di zenon può essere utilizzato anche in combinazione con una soluzione terminal-server.

Limitazioni:

  • L´Editor non può essere eseguito su un Terminal Server.
  • La simulazione progetto non è disponibile per i client sul Terminal Server.

info Informazioni su

Bisogna tenere presente che il nome del Terminal Client venga risolto. Ciò significa: il nome del dispositivo che avvia la connessione terminal, è il nome del client per la rete di zenon.

Attenzione: assicurarsi di aver aperto tutte le porte corrispondenti quando si usa un firewall.

Ci sono diversi produttori che offrono soluzioni terminal-server. Tutti i test con zenon sono stati effettuati con il Windows Terminal Server (Windows Remote Desktop Services).

attention Attenzione

Per poter usare zenon con un Terminal Server, la registrazione della licenza deve avvenire con un dongle di rete.

Più istanze del Runtime

Su un computer può essere avviata sempre solo un'istanza del Runtime di zenon alla volta. Ciò indipendentemente dal fatto se il Runtime viene avviato come file EXE, come Web Client, oppure come Runtime Control (OCX).

Eccezione: sul Terminal Server o sul Terminal Client può essere avviata un´istanza Runtime pro utente come file EXE, come Web Client, oppure come Runtime Control (OCX). Solo un'istanza all volta può essere eseguita all'interno di un contesto utente.

Noch in diesem Kapitel

Come funziona il terminal server

Vantaggi e svantaggi

Come funziona zenon sul Terminal Server

Impostazioni obbligatorie

Confronto fra zenon Remote Desktop e Terminal Server


Come funziona il terminal server

Manuale -> Rete -> zenon sul Terminal Server -> Come funziona il terminal server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con i Terminal Server è possibile rendere disponibili dati e applicazioni centralmente, indipendentemente dal dispositivo finale. Le soluzioni Terminal Server consentono di avviare diverse istanze shell (desktop) separate le une dalle altre sul Terminal Server. Se un client si connette al Terminal Server, viene creata una nuova istanza shell, e al client viene assegnata una propria interfaccia grafica. Le applicazioni vengono eseguite sul Terminal Server stesso e i dati sono salvati sul Terminal Server. Sul client avviene solamente l´inserimento (tramite tastiera, mouse ecc,) e l'emissione (visualizzazione, audio, ecc.).

info Info

Non tutti i software sono compatibili con Terminal Server.


Vantaggi e svantaggi

Manuale -> Rete -> zenon sul Terminal Server -> Vantaggi e svantaggi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'uso di zenon su un Terminal Server ha i seguenti vantaggi e svantaggi:

Vantaggi

  • Si deve effettuare la manutenzione di un solo computer (il Terminal Server).
  • I client non devono fornire delle performance particolarmente alte (Thin Clients).
  • I client possono avere dei sistemi operativi differenti (Windows, Windows CE, Linux, Unix, MacOS, iOS, Android ecc.)
  • Elevato grado di sicurezza dei dati, visto che nessun dato viene salvato sul client.

Svantaggi

  • Tutti i programmi avviati di tutte le istanze sono eseguiti su un computer (il Terminal Server).
    Questo:
    • Deve avere una capacità tale da poter eseguire tutti i programmi lanciati.
    • Deve avere una RAM sufficiente per tutti i programmi lanciati.
  • Tutte le interfacce devono essere condivise. Ad esempio, adattatore di rete, porte COM, porte parallele.
  • Il carico della rete può essere considerevole se c´è un numero elevato di client (per es. in caso di trasferimento di dati grafici).
  • La risoluzione dell´immagine viene definita dal primo client che è stato avviato. L'uso di più risoluzioni può essere implementato sul Terminal Server usando un inserimento nello zenon6.ini (SERIALIZE=1). In questo modo, tutte le immagini vengono ricalcolate per ogni client, il che fa aumentare ancora di più la prestazione richiesta al Terminal Server.


Come funziona zenon sul Terminal Server

Manuale -> Rete -> zenon sul Terminal Server -> Come funziona zenon sul Terminal Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Su un Terminal Server, il funzionamento come:

  • zenon Client è possibile senza limitazioni.
  • sistema standalone di zenon ha senso ed è possibile solo:
    • come progetto di integrazione sovraordinato per avviare più sotto-progetti client.
    • senza driver, connessioni a banche dati ecc.
  • zenon server primario non è possibile

Rappresentazione schematica

Esempio di topologia di una rete Terminal Server con zenon:

Computer | Descrizione
Runtime Server | zenon Runtime Server primario
Terminal Server | Terminal Server e un numero x di Runtime Client
Terminal RDP Client a - D | Terminal Client (solo inserimento ed emissione)


Impostazioni obbligatorie

Manuale -> Rete -> zenon sul Terminal Server -> Impostazioni obbligatorie

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per far sì che il Runtime di zenon possa essere avviato più volte sul Terminal Server, si devono effettuare alcune impostazioni. Le impostazioni per la registrazione, la risoluzione dello schermo e il servizio di trasmissione, possono essere effettuate usando lo zenon Startup Tool.

info Informazioni su

I seguenti parametri vengono settati automaticamente quando si effettua la registrazione via Startup Tool:

  • Inserimenti INI:
    [TERMINAL]
    CLIENT=1
    SERIALIZE=1
  • Registrazione di ZenSysSrv.exe come servizio
  • Cancellazione di ZenDBSrv.exe

Impostazioni generali

  1. Registrazione

    Registrare l´uso sul Terminal Server via zenon Startup Tool.
    In alternativa, si possono configurare manualmente i corrispondenti inserimenti INI.

    Inserimento zenon6.ini:
    Il seguente inserimento deve essere aggiunto nello zenon6.ini sul Terminal Server. Non è necessaria nessuna impostazione sul Runtime Server primario.

    [TERMINAL]
    CLIENT=1

    1: Il Runtime può essere avviato più volte; tutte le impostazioni per il funzionamento Terminal server vengono effettuate automaticamente dal Runtime.
    0: Il Runtime può essere avviato solamente una volta a sessione Terminal Server. L'uso sul Terminal Server non è possibile (impostazione standard).

  2. Adattamento automatico della risoluzione immagine

    L´impostazione standard prevede che sia il primo client sul Terminal Server a definire la risoluzione dell´immagine. Questa impostazione può essere modificata sul Terminal Server con il seguente inserimento nello zenon6.ini:

    [TERMINAL]
    SERIALIZE=1

    1: ogni client riceve la sua propria risoluzione.
    0: il primo client definisce la risoluzione.

  3. Trasferimento

    Il servizio di trasporto (ZenSysSrv.exe) deve essere registrato a avviato come servizio Windows e non come file Standard-Exe. Questa impostazione viene effettuata automaticamente in caso della registrazione via Startup Tool; ma può essere settata anche manualmente.

    Impostazione manuale:

    1. Avviare il programma dalla riga di comando mediante l'opzione-service.

      Ad esempio: C:\Programme (x86)\COPA-DATA\zenon750\zenSysSrv.exe -service

    2. Poi avviare il Windows Service Manager. Il servizio verrà avviato automaticamente ad ogni riavvio del computer.

    Nota: il setup registra il servizio di trasporto sempre come Standard-EXE. Per questo motivo, il servizio di trasporto deve essere registrato nuovamente come servizio Windows dopo ogni nuova installazione.

  4. Cartella Runtime

    Tutti gli utenti devono avere un accesso di scrittura alla cartella Runtime. Tutti gli utenti Windows (Utenti Windows: tutti) nel Windows Explorer devono avere un accesso completo alla cartella Runtime e a tutte le sottocartelle.

attention Attenzione

Se è settato TERMINAL=1, la simulazione progetto non è più disponibile.

Reload selettivo di singoli progetti

I progetti possono essere sincronizzati anche in modo selettivo. In questo caso, i client sincronizzano i progetti solamente se sono state fatte delle modifiche. Per attivare il meccanismo di reload selettivo:

  1. Aprire il file zenon6.ini con un Editor di testi.
  2. Passare alla sezione [TERMINAL]
  3. Modificare o creare l´inserimento: CLIENT_NO_FILE_ALIGN=
  4. Valori possibili:

    0: i progetti vengono sempre ricaricati da tutti i client

    1: reload selettivo attivo. Solo il client di zenon che viene avviato nella "console session" del Terminal Server, sincronizza i file Runtime con il server di zenon

Dopo la sincronizzazione dei file Runtime, il "console client" scrive il file reloadindicator.tmp nella cartella che contiene il file project.ini del progetto. I "session client" sul Terminal Server verificano ogni 10 secondi se questo file è disponibile. Se il file c´è e il suo timestamp è più recente della data dell'ultimo reload, viene avviata automaticamente una session-client.

Inserimento zenon6.ini per il reload selettivo

[TERMINAL]

CLIENT=1

CLIENT_NO_FILE_ALIGN=1

SERIALIZE=1

info Informazioni su

Ulteriori informazioni su questo argomento si trovano nella parte della guida relativa ai file di configurazione, nel capitolo Terminal Server[TERMINAL].


Confronto fra zenon Remote Desktop e Terminal Server

Manuale -> Rete -> zenon sul Terminal Server -> Confronto fra zenon Remote Desktop e Terminal Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le principali differenze fra la soluzione Terminal Server e il Remote Desktop di zenon sono le seguenti:

Connessione zenon Remote Desktop | Connessione Terminal Server
Tutte le stazioni connesse vedono sempre lo stesso desktop. Se, per esempio, un utente lancia un programma, tutti vedono lo stesso programma, lo stesso puntatore del mouse, gli stessi inserimenti effettuati con la tastiera, ecc. | Ogni stazione connessa ha un proprio desktop - una propria istanza. Solo queste vedo cosa vi accade. Le azioni del mouse e gli inserimenti effettuati con la tastiera riguardano solamente questa istanza.
 | Questo significa anche che: In ogni istanza può essere avviato separatamente un programma, per es. un Editor di testi. Il programma sarà poi eseguito sul Terminal Server più volte e consumerà anche più risorse.
info Informazioni su
Ulteriori informazioni sull'argomento si trovano nella parte della guida dedicata allo zenon Remote Desktop


Gestire e controllare la topologia di rete

Manuale -> Rete -> Gestire e controllare la topologia di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La topologia di rete viene visualizzata in una scheda propria del manager di progetto.

La visualizzazione è divisa in tre settori:

  • Albero topologico (in alto a sinistra):
    mostra i progetti attivi; il progetto globale non viene visualizzato.
  • Albero risultati (in alto a destra):
    solo una visualizzazione di risultati; rappresenta l´albero della topologia di un computer selezionato.
  • Lista computer (sotto):
    lista e configurazione dei computer in rete.

Noch in diesem Kapitel

Albero topologico

Albero risultati

Lista computer

Messaggi di errore della verifica della topologia


Albero topologico

Manuale -> Rete -> Gestire e controllare la topologia di rete -> Albero topologico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´albero topologico mostra i progetti attivi in forma gerarchica.

Parametri

Descrizione

Nome progetto

Viene definito nella scheda "Albero di progetto" e non può essere modificato qui.

Rete attiva

Mostra se l´opzione rete è attiva per questo progetto. L´impostazione può essere modificata usando la proprietà Rete attiva.

  • Sì
    Il progetto è un progetto di rete.
  • No
    Il progetto non è un progetto di rete.

Server 1

Visualizza il server primario definito per questo progetto. L´impostazione può essere modificata con il menù contestuale, il simbolo nella barra degli strumenti oppure la proprietà Server 1.

Server 2

Visualizza il Server-Standby definito per questo progetto. L´impostazione può essere modificata con il menù contestuale, il simbolo nella barra degli strumenti oppure la proprietà Server 2.

Noch in diesem Kapitel

Barra degli strumenti e menù contestuale


Barra degli strumenti e menù contestuale

Manuale -> Rete -> Gestire e controllare la topologia di rete -> Albero topologico -> Barra degli strumenti e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Proprietà | Descrizione
Imposta PC come Server primario | Definisce il computer evidenziato nella Lista computer come server primario per il progetto selezionato nell´albero topologico.
Imposta PC come Server standby | Definisce il computer evidenziato nella Lista computer come Server-Standby per il progetto selezionato nell´albero topologico.
Elimina Server primario | Cancella il server primario definito per il progetto evidenziato. Nota: il computer configurato viene cancellato dalla proprietà Server 1.
Elimina Server Standby | Cancella il Server-Standby definito per il progetto evidenziato. Nota: il computer configurato viene cancellato dalla proprietà Server 2.
Help (Simbolo ?) | Apre la guida online.


Albero risultati

Manuale -> Rete -> Gestire e controllare la topologia di rete -> Albero risultati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´albero risultati mostra l´albero di progetto del computer selezionato nella Lista computer a partire dal progetto che è impostato come progetto di partenza per il computer selezionato; l´albero risultati visualizza le impostazioni di questo progetto.

L´albero risultati è vuoto se:

  • Il progetto di partenza del computer selezionato non è stato trovato.
  • E' stato selezionato più di un computer della lista.

Parametri

Descrizione

Nome progetto

I progetti che sono assegnati al computer selezionato.

Ruolo

Ruolo del computer:

  • Server primario
  • Server-Standby
  • Client

Server primario

Nome del computer che funge da server primario a Runtime.

Server-Standby

Nome del computer che funge da Server Standby a Runtime.

Verifica del risultato

Visualizza in forma dettagliata i messaggi di errore relativi alla verifica topologica.


Lista computer

Manuale -> Rete -> Gestire e controllare la topologia di rete -> Lista computer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La lista computer mostra i calcolatori configurati e ne permette la configurazione. La lista si riferisce al workspace ed è salvata nel file workspace (*.wsp6).

E' possibile ordinare e filtrare le colonne di questa lista. La larghezza delle colonne può essere modificata cliccando con il tasto destro del mouse.

Parametri

Descrizione

Nome PC

Nome del computer. Può essere modificato:

  • Cliccando nella cella:
    Cliccando su pulsante ... si apre il menù a tendina con i computer attualmente disponibili in rete.
    Nota: questa possibilità esiste solamente per gli inserimenti già esistenti.
  • Inserimento Modifica PC nel menù contestuale o nella barra degli strumenti.
    Apre la finestra di dialogo per configurare i computer nella rete.
  • Proprietà Nome PC.

Progetto di partenza

Progetto di partenza assegnato al computer. Può essere modificato:

  • Cliccando nella cella:
    Selezione dal menù a tendina.
    Nota: questa possibilità esiste solamente per gli inserimenti già esistenti.
  • Inserimento Progetto di partenza nel menù contestuale oppure nella barra degli strumenti. Imposta come progetto di partenza quello selezionato nell'Albero topologico.
  • Proprietà Progetto di partenza.

Cartella runtime del progetto di partenza

Cartella per file di progetto del computer di destinazione. I file del progetto di partenza vengono salvati in questa cartella. Tutti gli altri progetti in relazione ad esso, corrispondono alla struttura della Cartella Runtime impostata sul computer locale.

Ad esempio:
Cartella runtime del progetto di partenza: C:\Projekte\Top = ubicazione del progetto di partenza.
I sotto-progetti sono salvati in C:\\Projekte .

Suggerimento: usare il nome del progetto come nome della cartella per creare automaticamente la stessa struttura esistente sul computer di progettazione.

Il Cartella runtime del progetto di partenza può essere modificato:

  • Cliccando due volte sul computer:
    Apre la finestra di dialogo per la configurazione dei computer nella rete.
  • Cliccando nella cella: possibile un inserimento manuale.
  • Proprietà Cartella runtime del progetto di partenza.

Verifica del risultato

Mostra il risultato del controllo topologico.

  • OK:
    Tutti i progetti sono privi di errori.
  • Errore rilevato - Per i dettagli vedere la visuale dettagli:
    Uno o più progetti presentano un errore.
  • Grave errore rilevato - Per i dettagli vedere la visuale dettagli:
    Un progetto presenta un errore grave. Errori gravi causano il termine del processo di verifica.
  • Non controllato a causa di un grave errore presente nella topologia.
    Il computer non è stato controllato per intero perché la verifica è stata interrotta a causa di un errore grave.

I messaggi di errore dettagliati vengono visualizzate nell´albero risultati.

Noch in diesem Kapitel

Barra degli strumenti e menù contestuale

Finestra di dialogo di configurazione computer in rete


Barra degli strumenti e menù contestuale

Manuale -> Rete -> Gestire e controllare la topologia di rete -> Lista computer -> Barra degli strumenti e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimento

Descrizione

Aggiungi PC...

Apre la finestra di dialogo per la configurazione dei computer nella rete.

Modifica PC...

Apre la finestra di dialogo per la configurazione dei computer in rete con i dati inseriti per questo computer.

Elimina PC

Elimina il computer dalla topologia dopo una richiesta di conferma.
È possibile una selezione multipla.

Attenzione: la cancellazione di server primario o Server-Standby porta al verificarsi di gravi errori nella topologia.

Imposta progetto di partenza

Imposta come progetto di partenza quello selezionato nell'albero topologico.

Trasferire i file runtime di tutti i progetti del terminale.

Trasferisce tutti i progetti validi per il computer selezionato al calcolatore di destinazione. Il risultato viene visualizzato nella finestra di emissione.

Guida

(Simbolo ?)

Apre la guida online.


Finestra di dialogo di configurazione computer in rete

Manuale -> Rete -> Gestire e controllare la topologia di rete -> Lista computer -> Finestra di dialogo di configurazione computer in rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le seguenti impostazioni sono necessarie per configurare i computer:

Parametri

Descrizione

Nome PC

Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare un computer fra quelli della lista dei calcolatori disponibili attualmente nella rete.

Nota: se ci sono molti computer disponibili in rete, l'apertura di questa finestra di dialogo può durare un po' di tempo.

Progetto di partenza

Selezione del progetto di partenza fra quelli del menù a tendina.

Vengono visualizzati tutti i progetti esistenti nel workspace caricato attualmente.

Cartella Runtime del progetto di partenza

Cartella per file di progetto del computer di destinazione. I file del progetto di partenza vengono salvati in questa cartella. Tutti gli altri progetti in relazione ad esso, corrispondono alla struttura della Cartella Runtime impostata sul computer locale.

Suggerimento: usare il nome del progetto come nome della cartella per creare automaticamente la stessa struttura esistente sul computer di progettazione.

Per esempio:
Nome progetto= I_Project
Alla voce Cartella runtime del progetto di partenza inserire: C:\Projects\I_Project
I sotto-progetti vengono salvati in relazione a questo percorso in C:\Projects\Projektname, per es.:
il nome progetto è SubProject1; in questo caso la cartella Runtime si trova in C:\Projects\SubProject1.

Requisiti:
Le cartelle Runtime sono state lasciate con le impostazioni standard e i progetti sono stati creati a livello file.

In caso contrario può accadere che i sotto-progetti non possano essere trasferiti, perché la cartella relativa non è generabile da parte del progetto di partenza.

Esempio:
Il progetto di integrazione ha la seguente directory impostata come cartella Runtime: C:\Workspace\Projects\I_Project. La cartella Runtime impostata per il sotto-progetto è: C:\Subproject. La cartella Runtime del progetto di partenza viene impostata su C:\Project. Il sotto-progetto non può essere trasferito perché la cartella relativa sarebbe ..\..\Project. Questo non può funzionare perché la cartella Runtime per il sotto-progetto si troverebbe "sotto" C:\.
Soluzione: Settate la proprietà di progetto Cartella Runtime in modo corretto. Il modo migliore di farlo è quello di fare in modo che le cartelle Runtime si trovino allo stesso livello.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Messaggi di errore della verifica della topologia

Manuale -> Rete -> Gestire e controllare la topologia di rete -> Messaggi di errore della verifica della topologia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La verifica topologica viene effettuata ogni volta che si modificano le impostazioni della topologia. Così si può vedere subito l´effetto di ogni modifica. La topologia viene controllata anche quando si passa alla visuale topologica.

Test implementati

  • Nella struttura ad albero esiste il progetto definito nella topologia?
  • E´stato definito un server primario?
  • Sono stati impostati come server primario e Server-Standby dei computer diversi?
  • Il client può raggiungere il suo Server primario/Server-Standby?
  • Il server primario può raggiungere i suoi client?
  • Il Server-Standby può raggiungere i suoi client?
  • Esiste nella topologia il server primario per un progetto?
  • Esiste nella topologia il Server-Standby per un progetto?
  • Un computer compare più di una volta nel percorso dal client al server primario?

Non si verifica se:

  • Un client viene aggiornato dal server primario solamente su un percorso, oppure esistono diversi percorsi?

Da client a server

  • Il client raggiunge il suo server primario attraverso la catena dei server primari?
  • Si è passati da un computer che esegue il routing al suo Server-Standby?

    Informazioni: Il server deve essere raggiungibile per il client anche tramite il Server standby del progetto che è interessato dal ruoting.

Messaggi d'errore

Gli errori rilevati nel corso della verifica topologica vengono visualizzati nell´albero risultati, più precisamente nella colonna "Verifica del risultato".

Errore

Causa

Soluzione

Progetto di partenza sconosciuto!

Il progetto di partenza non è stato trovato.

Correggere la configurazione di progetto, oppure includere nel workspace il progetto mancante.

Il computer è configurato come Server e come Server Standby!

Server e Server-Standby devono essere computer diversi.

Definite dei computer diversi come Server e Server-Standby.

Non è stato configurato nessun computer come server primario!

Il progetto è un progetto di rete, ma non è stato configurato nessun server.

Definite un computer che deve fungere da server.

Il progetto non è stato avviato sul terminale [nome]! Tuttavia è necessario perché livelli di gerarchia maggiori ne richiedono l'accesso!

Il progetto non è caricato sul computer in questione. Il routing per il progetto viene però effettuato mediante questo computer.

Adeguare la topologia o il progetto di partenza per il computer, oppure disattivare la proprietà Attiva routing.

Riferimento circolare sul Server: il computer [nome] è collegato a sua volta al Client [nome]!

Il percorso di routing dal client al server funziona in circolo. Il computer che funge da nodo, rimanda di nuovo al client.

Adeguare la topologia o il progetto di partenza per il computer, oppure disattivare la proprietà Attiva routing.

Riferimento circolare sul Server Standby: il PC [nome] è collegato a sua volta al Client [nome]!

Il percorso di routing dal client al Server-Standby funziona in circolo. Il computer che funge da nodo, rimanda di nuovo al client.

Adeguare la topologia o il progetto di partenza per il computer, oppure disattivare la proprietà Attiva routing.

Il computer [nome] non è contenuto nella lista computer!

Il computer manca nella lista dei calcolatori per la topologia.

Aggiungere il computer alla topologia.

Non controllato a causa di un grave errore presente nella topologia

Non è stato possibile effettuare un controllo per questo calcolatore a causa di un altro grave errore,

Eliminare altri errori in modo che sia possibile effettuare il controllo anche di questo calcolatore.

Percorso di accesso circolare: [Nome del PC]

Il percorso di routing dal client ad un Server-Standby funziona in circolo.

Il campo "Nome computer" contiene i nomi dei calcolatori interessati.

Struttura:
Il primo computer è sempre il client. Il separatore fra i nomi calcolatori indica se il computer successivo è server o Server-Standby.

  • > indica che il computer successivo è il server.
  • "+" indica che il computer successivo è il Server-Standby.

Ad esempio: PC 1 +PC 2>PC 3

Modificare la topologia o il progetto di partenza per il computer oppure disattivare la proprietà Attiva routing.

Esiste un riferimento circolare del server verso il client!

Il server viene trovato sulla base dei nodi nel corso della ricerca del computer client.

Modificare la topologia o il progetto di partenza per il computer oppure disattivare la proprietà Attiva routing.

Il server [nome] non riesce a raggiungere questo client!

Il percorso del server indicato verso il client non è chiuso. Il client è contenuto nella lista client sul server, ma non viene sincronizzato. (Sul client non spariscono i punti blu)

Modificare la topologia o il progetto di partenza per il computer oppure disattivare la proprietà Attiva routing.


Ridondanza

Manuale -> Rete -> Ridondanza

La ridondanza in zenon garantisce che, anche nel caso in cui il server primario dovesse smettere di funzionare, non ci sia un´interruzione dei processi e una perdita di dati. In zenon si parla in questo caso di ridondanza senza perdita di dati.

Ridondanza senza perdita di dati significa che, anche nell'intervallo di tempo che passa fra il momento in cui server primario smette di funzionare e quello in cui il sistema rileva il problema, nessun dato va perso. Questo obiettivo viene raggiunto nel modo seguente:

  • Il Server-Standby riconosce che il server primario ha smesso di funzionare e ne assume automaticamente la piena funzionalità.
  • Per evitare che dei dati vadano persi nell´intervallo di tempo intercorrente fra il verificarsi del problema di funzionamento del server primario ed il rilevamento del problema stesso, il Server-Standby salva in un buffer tutti i dati generati in questo periodo.
  • Dopo che il server primario ha smesso di funzionare, avviene il merge di questo buffer con gli ultimi dati del server e i nuovi dati in entrata, in modo tale che non ci sia perdita di dati.

info Info

Per lo zenon Operator (a seconda del suo ruolo) vale quanto segue in caso di connessioni al server con licenza Supervisor:

Client

  • La connessione a Server 1 e Server 2 è possibile.
  • Il client si collega al Server-Standby quando il server primario smette di funzionare.
  • Vengono supportate più istanze di un driver.
  • Tutte le variabili di tutti i driver vengono visualizzate e possono essere scritte.
  • È possibile leggere gli archivi.
  • Il cambio di ridondanza può essere eseguito.

Server-Standby:

  • Start come Server-Standby è possibile.
  • Deve essere confermato un messaggio di avvertimento.
  • Vengono visualizzate le variabili del Server-Standby.
  • Vengono visualizzati gli archivi del Server-Standby.
  • Solo la prima istanza di un driver viene avviata sul Server-Standby.
  • Dopo il cambio della ridondanza, le variabili della seconda istanza di un driver hanno lo stato INVALID. Questo stato rimane anche dopo un ulteriore cambio.

Server dati:

  • Si può avviare più di un´istanza di un driver. Ma solamente una delle istanze può inviare valori al Runtime. Pertanto lo zenon Operator si comporta in modo analogo ad un pannello CE, su cui, per ragioni tecniche, può essere avviato solamente un driver.

Stand-Alone

  • Deve essere confermato un messaggio di avvertimento.
  • Le variabili del Server-Standby non vengono visualizzate.

info Informazioni su

Le modifiche al progetto devono essere effettuate solamente sul server primario; il Server-Standby e i client collegati eseguono automaticamente la sincronizzazione online dei dati. Questo garantisce che lo stato del progetto sia lo stesso su tutti i computer della rete.

Ridondanza software e hardware

All'interno dei sistemi ridondanti in zenon, si differenzia fra ridondanza software e ridondanza hardware.

Ridondanza circolare

La ridondanza circolare di zenon è una forma speciale di ridondanza che consente di ottenere una ridondanza senza perdita di dati per più progetti con una semplice configurazione e con l´uso di modeste risorse hardware.

Ridondanza di zenon e ridondanza di zenon Logic

I dettagli relativi alla combinazione della ridondanza di zenon e della ridondanza di zenon Logic si trovano nella guida dedicata allo zenon Logic Runtime).

info Info

Se c´è solamente un controller a disposizione che offre solo un canale di comunicazione, si può attivare nelle Impostazioni generali della configurazione driver l´opzione Stop al server standby. In questo modo verrà fermato il driver sul Server-Standby e riavviato solamente quando verrà settato come server.

Noch in diesem Kapitel

Tipi di ridondanza

Impostare il Server Standby

Setup speciali nella comunicazione fra server primario e Server-Standby

Metodo di analisi integrato per cambio di ridondanza

La ridondanza circolare di zenon

Redundancy Management Tool


Tipi di ridondanza

Manuale -> Rete -> Ridondanza -> Tipi di ridondanza

All'interno dei sistemi ridondanti realizzati con zenon si distingue fra:

  • ridondanza software:
    • Solo il server primario comunica in modo bidirezionale (scrittura e lettura) con il PLC.
    • La comunicazione del Server-Standby è di sola lettura. Inoltre il Server-Standby bufferizza i dati per assumere il ruolo di server primario in caso che quest'ultimo smetta di funzionare senza che nessun dato vada perso.
  • Ridondanza hardware:
    • Anche i PLC sono configurati in modo ridondante.
    • Il server primario comunica con il primo controller con accesso di scrittura e lettura.
    • Il Server-Standby comunica con il secondo controller con accesso di scrittura e lettura.

info Informazioni su

Ulteriori informazioni sulla configurazione del Server-Standby si trovano nel capitolo Impostare il Standby Server.

Noch in diesem Kapitel

Ridondanza software

Ridondanza hardware

Ridondanza hardware

Ridondanza in una rete ponderata

Configurazione della ridondanza senza perdita di dati


Ridondanza software

Manuale -> Rete -> Ridondanza -> Tipi di ridondanza -> Ridondanza software

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I seguenti componenti sono necessari per realizzare la ridondanza software:

  • Un PLC
  • Due computer ridondanti (server primario e Server-Standby)

Il server primario comunica in modo bidirezionale con il PLC, il Server-Standby comunica ai soli fini della lettura con il PLC e sincronizza i suoi dati con il server primario.

Se il server primario smette di funzionare:

  • Il Server-Standby diviene il nuovo server primario.
  • La ridondanza senza perdita di dati garantisce la completezza dei dati anche durante il tempo che passa fra il momento in cui il server smette di funzionare e il passaggio al Server-Standby.
  • Il nuovo server primario comunica in modo bidirezionale con il PLC.


Ridondanza hardware

Manuale -> Rete -> Ridondanza -> Tipi di ridondanza -> Ridondanza hardware

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella rete di zenon ci sono due tipi di ridondanza hardware:

  • Dominante e non dominante
    • In una rete non dominante, il server primario comunica con il primo controller in modo bidirezionale.
    • Il Server-Standby comunica in modo bidirezionale con il secondo controller.
    • Il Server-Standby si sincronizza con il server primario.
    • Il secondo controller si sincronizza con il primo controller.
  • Ponderata
    In rete ponderata, dei criteri configurabili vengono analizzati in una matrice. A seconda del risultato di questa analisi, vengono assegnati i ruoli server.
    Attenzione: si prega di tenere presenti le limitazioni in una rete ponderata quando un terminale CE funge da server dati.


Ridondanza hardware

Manuale -> Rete -> Ridondanza -> Tipi di ridondanza -> Ridondanza hardware

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In una rete di tipo non dominante o dominante, il server primario comunica in modo bidirezionale con il primo PLC, il Server-Standby comunica in modo bidirezionale con il secondo PLC.
Il Server-Standby si sincronizza con il server primario, il secondo PLC con il primo PLC.

Se il server primario smette di funzionare:

  • Il Server-Standby diviene il nuovo server primario.
  • La ridondanza senza perdita di dati garantisce la completezza dei dati anche durante il tempo che passa fra il momento in cui il server smette di funzionare e il passaggio al Server-Standby..
  • Il nuovo server primario comunica in modo bidirezionale con il secondo PLC


Ridondanza in una rete ponderata

Manuale -> Rete -> Ridondanza -> Tipi di ridondanza -> Ridondanza in una rete ponderata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la ridondanza hardware in una rete ponderata, sono dei criteri di analisi a decidere quale computer deve svolgere il ruolo di Server primario e quale quello di Server-Standby.

Quest´analisi è liberamente configurabile e può includere più criteri diversi. Ad ogni criterio sono assegnati dei punti di analisi (la cosiddetta ponderazione). La somma di questi punti è poi decisiva nell´assegnazione dei diversi ruoli server.

info Informazioni su

Se uno dei due server (non importa quale funzione esso svolga al momento) perde l´altro server (per es.: problema di funzionamento dell´hardware), passa automaticamente a svolgere il ruolo di server primario.

Cause di ritardo del cambio di ruolo server:

  • I moduli interni non sono ancora inizializzati in modo completo. Questo è possibile se un driver ritarda il procedimento di cambio ruolo server.
  • Il cambio di ruolo server è già attivo, ma non è ancora completato.
  • La sincronizzazione file è ancora attivo.
  • È in corso un reload.

Nota: a causa dell´attivazione automatica ciclica del cambio ruolo server, quest'ultimo viene solamente ritardato, fino al momento in cui il processo è consentito.

attention Attenzione

Se, in una rete ponderata, l'esito dell'analisi avvia il processo di cambio server, non c´è nessuna garanzia che le funzioni in attesa nella coda del vecchio server primario possano essere portate a termine con successo prima che dell´effettuazione del cambio.

Questo perché, durante il cambio di ridondanza in una rete ponderata, per poco tempo entrambi i server assumono il ruolo di server primario. In questo lasso di tempo, Server 1 e Server 2 sincronizzano i loro dati. La durata di questo lasso di tempo dipende dal carico della rete e può essere compreso tra 200 e 500 millisecondi.

Sincronizzazione tempo

In una rete ponderata, la sincronizzazione tempo di Server 1 e Server 2 dovrebbe essere sempre disattivata via zenon.

A questo proposito si raccomanda:

  • Di disattivare la sincronizzazione tempo automatica in zenon.
  • Di attivare su Server 1 e Server 2 la sincronizzazione tempo esterna via sistema operativo.

info Informazioni su

Informazioni dettagliate su questo argomento si trovano nel capitolo Sincronizzazione tempo in rete.

Noch in diesem Kapitel

Ridondanza in una rete ponderata

Configurazione dell´analisi della ridondanza

Ritardo di commutazione, banda morta e isteresi

Inserimenti LOG in una rete ponderata


Ridondanza in una rete ponderata

Manuale -> Rete -> Ridondanza -> Tipi di ridondanza -> Ridondanza in una rete ponderata -> Ridondanza in una rete ponderata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l'impostazione di una rete ponderata devono essere configurate le seguenti proprietà del gruppo Rete:

  1. Rete attiva deve essere attivata.
  2. Server 1 e Server 2
  3. Il Tipo di ridondanza è ridondanza software
  4. Il Tipo di ridondanza è ponderata
  5. Analisi della ridondanza nel campo Valutazioni
    I dettagli sull´analisi si trovano nel capitolo "Configurazione dell´analisi della ridondanza".
  6. Ritardo di commutazione[s]
  7. Banda morta post-commutazione[s]
  8. Isteresi (dei punti di analisi)


Configurazione dell´analisi della ridondanza

Manuale -> Rete -> Ridondanza -> Tipi di ridondanza -> Ridondanza in una rete ponderata -> Configurazione dell´analisi della ridondanza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La finestra di dialogo per configurare l´analisi della ridondanza (Review ridondanza) si apre cliccando su "..." nel campo Valutazioni del gruppo delle proprietà Rete.

Il risultato di quest´analisi viene valutato con le variabili del driver di sistema [Rete] Risultato valutazione Server 1 e [Rete] Risultato valutazione Server 2.
Nota: Ulteriori informazioni sulle variabili del driver di sistema relative alla rete si trovano nella guida in linea riguardante il driver di sistema, nel capitolo Tema - Rete.

I campi di questa finestra di dialogo possono essere filtrati ed ordinati.

Parametri

Descrizione

Nomi delle variabili

Lista delle variabili che vengono usate per l´analisi.

Nota: possono essere usate al massimo 200 variabili per l´analisi della ridondanza.

Carico

Valore del criterio di controllo.
Indica il valore del singolo criterio di controllo nel complesso di tutti i risultati di controllo.

I valori di tutte le variabili che sono vere, vengono sommati.
Ambito di inserimento: 0 - 1000
Default: 100

Comparazione

Indica il tipo di comparazione con il verificarsi dal quale il valore del carico viene preso in considerazione per l´analisi complessiva.

Menù a tendina:

  • non utilizzato
    Non viene eseguita nessuna comparazione con il carico.
  • Solo stato OK /Valore OK
    Il sistema controlla solamente se c´è un valore. Non appena viene rilevato un valore valido, il valore del carico viene usato per la valutazione complessiva.
  • Valori superiori al limite sono OK
    I valori superiori o uguali al limite indicato usano il valore del carico nella valutazione complessiva.
  • Valori inferiori al limite sono OK
    I valori minori o uguali al limite indicato usano il valore del carico nella valutazione complessiva

Default: non utilizzato

Valore limite

Limite per la comparazione nel caso siano state selezionate le opzioni "Valori superiori al limite sono OK" oppure "Valori inferiori al limite sono OK"

Default: 0

Nota: se l'opzione selezionata per la comparazione è "non utilizzato" oppure "Solo stato OK /Valore OK", gli inserimenti di questo campo non hanno alcuna influenza sulla valutazione.

Aggiungi...

Apre la finestra di dialogo per la selezione delle variabili.

Elimina

Cancella la variabile selezionata dalla lista
Nota: È possibile una selezione multipla.

Rimuovi filtro

Elimina i criteri di filtro

Chiudi finestra di dialogo

Parametri

Descrizione

Ok

Accetta le impostazioni e chiude il dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.

Example Esempio

Una variabile viene configurata nella finestra "Review ridondanza" con le seguenti impostazioni:

  • Carico: 50
  • Comparazione: Valori superiori al limite sono OK
  • Valore limite: 50

Settare il valore della variabile su 55. La condizione diventa vera e il carico di 50 viene sommato al risultato della variabile del driver di sistema [Rete] Risultato valutazione Server 1.

Un´altra variabile viene configurata con le seguenti impostazioni:

  • Carico: 30
  • Comparazione: Valori inferiori al limite sono OK
  • Valore limite: 10

Finché il valore di questa seconda variabile è =< 10, il carico viene aggiunto alla variabile del driver di sistema.

Se il valore della seconda variabile è, per es., 5, la variabile [Rete] Risultato valutazione Server 1 (se anche la variabile prima descritta è vera) è 80.


Ritardo di commutazione, banda morta e isteresi

Manuale -> Rete -> Ridondanza -> Tipi di ridondanza -> Ridondanza in una rete ponderata -> Ritardo di commutazione, banda morta e isteresi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ritardo di commutazione

Il Ritardo di commutazione[s] è quel lasso di tempo (tempo di tolleranza) nel corso del quale le modifiche di valore nei risultati dell´analisi non provocano un cambio nei ruoli server. Così, piccoli problemi passeggeri, come per es. una breve interruzione di funzionamento, non provocano un immediato cambio del server.

Nota: un ulteriore miglioramento del risultato di analisi durante il ritardo di commutazione configurato, non resetta il timer.

Example Esempio

Se si configura un Ritardo di commutazione[s] di 30s, l´analisi sull´attuale Server-Standby deve dare un risultato migliore di almeno 30s a quello del Server primario per provocare un cambio nella gerarchia dei server.

Dopo un cambio nella gerarchia server, i timer di Banda morta post-commutazione[s] e Ritardo di commutazione[s] ritardo di commutazione possono procedere parallelamente; devono cioè essere entrambi scaduti per provocare un cambiamento di ruoli server.

Banda morta post-commutazione

Questa impostazione impedisce un reset provocato dall'analisi del server primario durante il tempo configurato.

Nota: la funzione "Cambio ridondanza" può essere eseguita.

Example Esempio

Se l´analisi del Server-Standby attuale - dopo l´ultimo cambio avvenuto nell´ambito della banda morta configurata - restituisce un risultato superiore a quello dell´attuale server, non si verifica un nuovo cambio di ruoli finché non sarà scaduto questo lasso di tempo. Il "tempo di misurazione" inizia nel momento in cui è realizzato il cambio di ruoli fra i server.

Se il risultato dell´analisi aumenta nel corso della banda morta dello Standby diventando maggiore a quello del server, per poi però diminuire prima dello scadere di questo lasso di tempo a valori inferiori o uguali a quelli del server, non avviene alcun cambio di ruoli server.

Isteresi (in punti di analisi)

Configurazione dell'Isteresi con punti di analisi. Se è stata configurata un´Isteresi, prima di un cambio di ridondanza il sistema verifica se i risultati dell'analisi fra i due calcolatori (Server 1 e Server 2) corrispondono ai punti di valutazione configurati. Il cambio viene inizializzato nel momento in cui viene raggiunto il valore impostato.

Example Esempio

Server 1 è server primario.

Il risultato dell' analisi di Server 1 e Server 2 è 0.

L'Isteresi è stata configurata con un valore pari a 100 .

Se cambia l´esito dell´analisi di Server 2 a 99 non accade nulla; ma se il valore raggiunge 100 , il sistema effettua ad un cambio di ruoli server.

Noch in diesem Kapitel

Ritardo di commutazione - Esempio


Ritardo di commutazione - Esempio

Manuale -> Rete -> Ridondanza -> Tipi di ridondanza -> Ridondanza in una rete ponderata -> Ritardo di commutazione, banda morta e isteresi -> Ritardo di commutazione - Esempio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Ritardo di commutazione - Esempio

In questo esempio, il cambio dei due server viene provocato da un risultato superiore dell'analisi di Server 2.

Quando la causa che provoca il cambio si è verificata, deve passare il tempo impostato come tempo di ritardo prima che il Server 2 diventi server primario.

Anche quando il Server 1 potrebbe assumere nuovamente il ruolo di server primario, deve trascorrere il tempo di ritardo di commutazione impostato prima che il Server 1 torni ad essere il server primario.

Come si vede nell'immagine, Server 2 assume il ruolo di server primario solo dopo che la differenza fra le variabili di analisi del sistema è diventata maggiore all'isteresi del ritardo di commutazione. Dopo la commutazione viene attivato il conteggio della banda morta post-commutazione configurata.

Server 2 assume il ruolo di Server-Standby nel momento in cui la differenza ritorna ad essere maggiore all'isteresi, dopo che è trascorso il tempo del ritardo di commutazione.

Nota: il cambio di ruoli dei due server viene visualizzato nel grafico tramite la linea tratteggiata verticale.


Inserimenti LOG in una rete ponderata

Manuale -> Rete -> Ridondanza -> Tipi di ridondanza -> Ridondanza in una rete ponderata -> Inserimenti LOG in una rete ponderata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I seguenti inserimenti di LOG vengono scritti nel Diagnose Viewer per la rete ponderata:

Inserimento nei LOG.

Debug Level

Descrizione

LOG SendData Project:RATED_NET To:CDSBG079.COPA-DATA.INTERNAL Modul:10 Prior:0 Class:CD_CSystemDaten

Debug

Dati della classe CD_CSystemDaten vengono trasportati via connessione 0 (watchdog) al computer cdsbg079 .

Il modulo indica il modulo di zenon che riceve i dati.

Modulo 10: Modulo di rete Esecuzione sincrona

LOG SendData Project:RATED_NET To:W7X64 Modul:10 Prior:0 Class:CD_CSrv1SystemDaten

Debug

Come sopra, la destinazione è Server2 e la sorgente Server1

LOG ReceiveData Project:RATED_NET To:S Modul:10 Class:CD_CSrv2SystemDaten

Debug

Come sopra, la destinazione è Server e la sorgente Server1

<Beschreibung> Prj:<ProjektName> client:<ClientRechner> Cmd:<CommandTxt>(<CommandNum>) Timeout:<Timeout>, ReqId:<ReqId> reload:<Reload> stat1:<SubCommand> stat2:<Stat2> string:<AddText> list:<ItemCnt>

Descrizione della funzione per la quale viene creato il messaggio. Per esempio: Server received system data.; Client send watchdog; ecc.

ClientRechner: sorgente o destinazione a seconda della direzione

CommandTxt: comando come testo normale. Ad esempio: Server_REQ_DateiListe

CommandNum: identificazione numerica del comando.

  • 0 = Server_REQ_LifeMsg,
  • 1 = Server_REQ_DateiListe,
  • 2 = Server_REQ_GetDatei,
  • 3 = Client_REQ_UpdateProjekt,
  • 4 = Server_REQ_RedundanzUmschaltung,
  • 5 = NETSRV_ConnectionClosed,
  • Timeout: Timeout in ms

ReqId: Request Id

Reload: 1 se il server è in reload, altrimenti 0

SubCommand: Numero del sotto-comando Significato dipendente da CommandNum

Per Command 0 ServerReqLifeMsg:

  • 1 = STAT_CLIENT_ABGEWIESEN,
  • 2 = STAT_CLIENT_ANGENOMMEN
  • 3 = STAT_CLIENT_SERVERCLOSE
  • 4 = STAT_CLIENT_SERVERSWITCH
  • 5 = STAT_CLIENT_SB_ANGENOMMEN
  • 6 = STAT_SB_SERVER_TO_SB
  • 7 = STAT_PEER_ALIVE

Per comando 4 cambio della ridondanza:

  • 0 = IdleChangeOfDominance
  • 1 = AdviseChangeOfDominance
  • 2 = ConfirmChangeOfDominance

Stat2: Comando addizionale - informazione specifica. Per esempio: Nel caso del comando Server_Req_LifeMsg, subcommand:: STAT_CLIENT_ANGENOMMEN, risposta per la registrazione di un client sul server è il numero di versione progetto in HiWORD.

AddText: Testo addizionale.

ItemCnt: Numero degli oggetti della lista.

Client send watchdog. Prj:RATED_NET client:ATSZG-WKS053.COPA-DATA.INTERNAL Cmd:Server_REQ_LifeMsg(0) Timeout:30000, ReqId:0 reload:0 stat1:2(STAT_CLIENT_ANGENOMMEN) stat2:1 string: list:0 quantifier:<Quant> role:<RoleTxt>(<RoleNum>)

Messaggio dal Server Server 1 al Server 2

Quant: Valutazione attuale.

RoleTxt: Ruolo attuale come testo

RoleNum: Ruolo attuale come numero

Server received system data. Prj:RATED_NET client:WKS053-W7X64 Cmd:Server_REQ_LifeMsg(0) Timeout:30000, ReqId:0 reload:0 stat1:2(STAT_CLIENT_ANGENOMMEN) stat2:1 string: list:0 expSrv1role:<ExpRoleTxt>(<ExpRoleNum>)

ExpRoleTxt: Ruolo atteso da Server2 per Server 1 come testo.

ExpRoleNum: Ruolo atteso come numero

Manual role switch for project %s denied.

WARNINGS

Un cambio manuale della ridondanza non può essere effettuato perché c´è un cambio di ruoli server già attivo.

Current evaluated server1 role: %s(%i) Performing manual role switch.

DEBUG

Viene eseguito un cambio manuale della ridondanza. Server 1 deve cambiare il suo ruolo in corrispondenza di questo messaggio. .

Unknown standby logon! Project:<PrjName> new client <Pc>!

ERROR

Il messaggio viene loggato quando un client si registra come Standby Server, ma il nome client non corrisponde a quello di Server 1 oppure Server 2. L'identificazione avviene mediante l´host name.

PrjName: progetto presso il quale si registra il Server-Standby.

PC: nome con cui si registra il Server-Standby.

Unknown standby logon! Project:<PrjName> new client <Pc>!

ERROR

Il messaggio viene loggato quando un client si registra come Standby Server, ma il nome client non corrisponde a quello di Server 1 oppure Server 2. L'identificazione avviene mediante l´host name.

PrjName: progetto presso il quale si registra il Server-Standby.

PC: nome con cui si registra il Server-Standby.


Configurazione della ridondanza senza perdita di dati

Manuale -> Rete -> Ridondanza -> Tipi di ridondanza -> Configurazione della ridondanza senza perdita di dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare la ridondanza senza perdita di dati per un progetto di zenon servono due calcolatori.

Definire nelle proprietà di progetto:

  1. Il computer che deve svolgere il ruolo di Server prioritario per il progetto
  2. Il computer che deve svolgere il ruolo di Server-Standby per il progetto

Funzionamento della ridondanza senza interruzioni

  • Un computer è il server prioritario e l´altro il Server-Standby del progetto.
  • Come in un normale modello client/server, il server prioritario ha il controllo di tutti i dati.
  • Il Server-Standby si comporta verso l´esterno (nei confronti dell´utente) come ogni altro computer della rete nel quale è eseguito il progetto in questione.
  • Il Server-Standby salva autonomamente tutti i dati storici, come allarmi, eventi e archivi e sincronizza altri dati (ricette, utenti ecc.) con il server prioritario.
  • Se il server prioritario smette di funzionare per qualsiasi ragione, il Server Server-Standby passa al ruolo di server ed ne assume tutti i compiti.
    • Per evitare che vadano persi dei dati nell´intervallo di tempo intercorrente fra il verificarsi del problema di funzionamento del server prioritario e il rilevamento del problema stesso, il Server-Standby bufferizza sempre tutti i dati generati.
      Dopo che il server prioritario ha smesso di funzionare, si ricorre a questo buffer, il che permette di evitare che si perdano dati.
  • Tutti i client si connettono al nuovo server primario.
  • Quando il server primario originario torna online, il sistema si comporta diversamente a seconda del tipo di modalità di ridondanza che è stata configurata:

Dominante

  • Il server primario originario torna online.
    Così facendo:
    • Si collega al server primario corrente.
    • Sincronizza tutti i dati
    • Riprende poi il ruolo di server primario
  • Il calcolatore che nell´originale configurazione svolgeva il ruolo di Server-Standby, torna a ricoprire il suo ruolo originario.
  • Tutti i client si connettono al nuovo server primario.

Non dominante

  • Il server primario originario torna online.
    Così facendo:
    • Si collega al server primario corrente.
    • Sincronizza tutti i dati
    • Diventa Server-Standby.
  • Il server primario attuale rimane server primario.
  • Tutti i client mantengono il collegamento con quest'ultimo.

Ponderata

  • Nel caso della modalità di ridondanza ponderata, i ruoli di server primario e Server-Standby vengono assegnati sulla base di una matrice di analisi.
  • Entrambi i computer eseguono un calcolo sulla base dei criteri di valutazione configurati.
    Il server primario attuale è quel computer per il quale l'analisi restituisce il valore maggiore.
  • Se l' analisi restituisce lo stesso valore per entrambi i computer, non avviene nessun cambio di ruoli.
  • Allarmi e inserimenti CEL vengono scritti entrambi dal server primario.
  • I client si connettono al server primario.

info Info

Le modifiche al progetto devono essere effettuate solamente sul server primario; il Server-Standby e i client collegati eseguono automaticamente la sincronizzazione online dei dati. Questo garantisce che lo stato del progetto sia lo stesso su tutti i computer della rete.

Ridondanza software e hardware

All'interno dei sistemi ridondanti in zenon, si differenzia fra ridondanza software e ridondanza hardware.

Ridondanza circolare

Una particolare forma di ridondanza è rappresentata dalla cosiddetta ridondanza circolare di zenon, un meccanismo che consente una semplice configurazione di una ridondanza senza perdita di dati per molti progetti con l´uso di modeste risorse hardware.

Ridondanza di zenon e ridondanza di zenon Logic

I dettagli relativi alla combinazione della ridondanza di zenon e della ridondanza di zenon Logic si trovano nella guida dedicata allo zenon Logic Runtime).

info Info

Se c´è solamente un controller a disposizione che offre solo un canale di comunicazione, si può attivare nelle Impostazioni generali della configurazione driver l´opzione Stop al server standby. In questo modo verrà fermato il driver sul Server-Standby e riavviato solamente quando verrà settato come server.


Impostare il Server Standby

Manuale -> Rete -> Ridondanza -> Impostare il Server Standby

Per impostare il Server Standby:

  1. Nell'Editor di zenon, passare al gruppo Rete delle proprietà di progetto.
  2. Inserire nella proprietà Server 2 il nome del computer che deve fungere da Server-Standby nell´ambito del progetto.
    Nota: il computer deve avere una connessione con il PLC.

    Si può inserire il nome del computer:

    1. Selezionandolo nel menù a tendina che si apre cliccando sul pulsante ...
      Si apre la finestra di dialogo Select the desired computer che contiene tutti i computer disponibili in rete.
      Nota: questo processo può durare molto tempo, a seconda del numero di computer disponibili in rete.
    2. Digitando il nome del server nel relativo campo di inserimento.
  3. Selezionare nella proprietà Tipo di ridondanza il tipo di ridondanza desiderato scegliendolao fra quelli proposti dal menù a tendina.

info Informazioni su

Sono consentiti server di differenti domini!
In questo caso, configurare il nome server includendo il nome del dominio.

Per esempio: terminal_01.mydomain.net


Setup speciali nella comunicazione fra server primario e Server-Standby

Manuale -> Rete -> Ridondanza -> Setup speciali nella comunicazione fra server primario e Server-Standby

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tenere presenti queste regole nella seguente situazione:

  • Il server primario ha smesso di funzionare
  • Il Server-Standby ne ha assunto il ruolo
  • Il server primario originario viene riavviato
  • Il server primario originario va a prendersi i dati Runtime dal server primario attuale (quello che originariamente svolgeva il ruolo di Server-Standby).

In casi eccezionali si possono verificare dei conflitti, se:

  1. Sono state effettuate delle modifiche solamente al progetto del server primario originario che si è bloccato
  2. A causa di problemi insorti in rete, non è chiaro quale calcolatore è il server primario

1. Modifiche di progetto effettuate con il server primario bloccato

Se si effettuano delle modifiche ad un progetto nel periodo di tempo nel quale il Runtime è bloccato sul server primario originario, e se le si carica prima della sincronizzazione solamente su questo calcolatore (bloccato), questi cambiamenti saranno sovrascritti non appena il server primario originario andrà a prendersi i dati dal server primario attuale (quello che originariamente svolgeva il ruolo di Server-Standby).

Per evitare questo: prima di riavviare il server primario originario (quello definito come tale in fase di configurazione della rete), carcate i dati modificati anche sul server primario attuale (quello che originariamente svolgeva il ruolo di Server-Standby).

2. Modifiche di progetto in modalità di ridondanza e/o server usati

Le seguenti modifiche vengono accettate solamente dopo che il riavvio del server primario:

  • Modifica del Tipo di ridondanza.
  • Modifica delle proprietà Server 1 e/o Server 2 nel gruppo Rete delle proprietà di progetto.

attention Attenzione

In questo caso non è sufficiente effettuare un reload del progetto nel Runtime perché i cambi necessari siano applicati! Per accettare tutte le modifiche, riavviate il server primario.

3. Non è chiaro chi svolge il ruolo di server a causa di problemi di funzionamento della rete

In casi eccezionali può succedere che entrambi i calcolatori siano server primari. Una causa può essere, per esempio, la perdita della connessione di rete per mancato switch, cavi disconnessi ecc. In questo caso la comunicazione fra server primario, Server-Standby e client è falsata.

Se questo problema viene risolto e i due calcolatori (che sono in un certo momento contemporaneamente server primari) riprendono a comunicare l´uno con l´altro, quello configurato originariamente come server primario riassume il rango prioritario nella gestione dei dati. Ciò significa: i dati più attuali del Server-Standby potrebbero essere sovrascritti.

Per evitare questo:

  1. Controllare sempre la distribuzione dei ruoli in rete con la variabile di sistema [Rete] Server primario attuale:
    in questo modo si può verificare quale ruolo ha il Runtime, e si possono scoprire doppi server.
  2. Chiudere il Runtime di zenon sul server primario che ha perso la connessione di rete.
  3. Ripristinare poi la connessione di rete.
  4. Riavviare il Runtime di zenon su questo computer.
  5. Il Runtime avvia poi il progetto con il computer come Server-Standby, aggiorna i propri dati e solo dopo torna a svolgere il ruolo originario di server prioritario.

Suggerimento: monitorare la connessione di rete con il Redundancy Management Tool.

attention Attenzione

I file immagine del tipo PNG non possono essere sovrascritti quando sono visualizzati nel Runtime.

Background: il Runtime blocca i file .png aperti. In tal modo si evita che possano venire sovrascritti.

Soluzione: Prima che il Trasporto Remoto venga inizializzato, bisogna assicurarsi che immagini con file *.png:

  • non siano aperte nel Runtime
  • non vengano utilizzate da un altro programma.

Ciò vale anche per la ricarica dei file Runtime modificati. La sincronizzazione Runtime in rete non funziona per un´immagine *.png, se essa è aperta su un computer zenon coinvolto nel processo (Standby-Server, Client).


Metodo di analisi integrato per cambio di ridondanza

Manuale -> Rete -> Ridondanza -> Metodo di analisi integrato per cambio di ridondanza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella rete dominante, il Server-Standby (come server prioritario) invia regolarmente un telegramma al Server 1 (dominante), in modo tale che quest´ultimo (non appena dispone di una connessione), possa riassumere il proprio ruolo. In una rete ponderata, invece, non viene più inviato nessun telegramma in questo caso.

Se ci sono due server, è la valutazione a deciderne il ruolo.

Uso del comportamento dominante in zenon Logic

  • Un driver può ritardare il passaggio al ruolo di server sul server dominante. Questa funzione non esiste più in una rete ponderata con server che hanno eguali diritti.
  • Gli archivi ricevono un extra byte per inserimento sia sul Server-Standby, che sul Server 2. Questo garantisce che gli archivi siano differenti e siano coinvolti nel processo di sincronizzazione.
  • Inoltre, la topologia di rete per i driver continua ad usare i termini dominante e Standby, nonché i ruoli di server o Standby. Tuttavia, viene valutato solamente il ruolo, perciò non è necessaria nessuna modifica.
  • A zenon Logic vengono fornite informazioni su definizione e ruolo via CStratonVM::UpdatePrjSTates.. L´unica cosa ad essere analizzata è se un calcolatore è stato configurato come Server-Standby e non è server primario. In questo caso, zenon Logic non è attivo.


La ridondanza circolare di zenon

Manuale -> Rete -> Ridondanza -> La ridondanza circolare di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La ridondanza circolare di zenon consente di realizzare un meccanismo di ridondanza senza perdita di dati, che coinvolge diversi progetti; questo meccanismo ha l´ulteriore vantaggio di non richiedere un grande dispiego di risorse hardware.

Per ogni progetto ridondante si ha bisogno normalmente di 2 computer: uno che funge da server prioritario e uno che svolge il ruolo di Server-Standby. 3 progetti, dunque, richiederebbero 6 calcolatori. Con la ridondanza circolare di zenon bastano 3 computer per gestire in modo ridondante tre progetti. Per ogni ulteriore progetto si ha bisogno di un altro computer. zenon unisce i vantaggi della gestione multi-progetto a quelli della ridondanza senza perdita di dati.

Concetto della ridondanza circolare

La ridondanza circolare utilizza le possibilità dalla gestione multiprogetto. Più progetti possono essere attivi contemporaneamente su un computer. Ogni computer è server prioritario per un progetto e Server-Standby per un secondo "progetto vicino", e può essere client per altri progetti. Ne risulta una struttura circolare. Invece che, per esempio, di 4 computer e licenze per 2 progetti, di 6 per 3 o di 8 per 4, si ha bisogno della metà delle risorse.

Topologia con 3 progetti

  • Il computer 1 è server prioritario per il progetto A e Standby Server per il progetto B.
  • Il computer 2 è server prioritario per il progetto B e Standby Server per il progetto C.
  • Il computer 3 è server prioritario per il progetto C e Standby Server per il progetto A.

    Il cerchio si chiude.

  • Ogni computer può fungere allo stesso tempo da client per gli altri progetti.
  • Risorse necessarie: 3 calcolatori e 3 licenze Runtime

info Info

Si ha bisogno di un progetto di integrazione per avviare un progetto su più di un computer.

Normalmente si avrebbe bisogno di ben 6 calcolatori e 6 licenze Runtime per realizzare un sistema come quello dell' esempio. La ridondanza circolare di zenon, ovviamente, non è limitata a tre progetti; la si può usare per connettere in circolo quanti progetti si vuole. Siccome i computer possono essere anche i client di altri progetti, è semplice realizzare una linea di produzione sicura, a basso costo, sicura e il cui potenziale può essere sfruttato al massimo.

Sincronizzazione tempo con la ridondanza circolare di zenon

Se la Sincronizzazione tempo di zenon è attiva, il Server-Standby e i client ricevono il tempo attuale sempre dal server prioritario. Questo non ha senso se si usa la ridondanza circolare di zenon, perché i singoli PC sono contemporaneamente server prioritari e Server-Standby (per diversi progetti). In questo caso, per esempio, il computer 1 riceverebbe il tempo dal 2, il 2 dal 3 e così via.

Raccomandazione: in questo caso, si consiglia di disattivare il meccanismo di sincronizzazione tempo di zenon e di effettuare una sincronizzazione esterna. La procedura da seguire in questo caso è illustrata nel capitolo Sincronizzazione tempo in rete.


Redundancy Management Tool

Manuale -> Rete -> Ridondanza -> Redundancy Management Tool

Il Redundancy Management Tool monitora l´adattatore di rete e la sua connessione alla rete. Se il dispositivo non è più connesso alla rete (per es. perché viene staccato il cavo di rete), il Redundancy Management Tool ferma il Runtime. L´utente può interrompere questo processo entro un intervallo di tempo configurabile. Se la connessione alla rete viene ristabilita, il Redundancy Management Tool riavvia il Runtime.

Start e configurazione

Il Redundancy Management Tool può essere configurato con un'apposita finestra di dialogo o mediante la riga di comando.

Per aprire la finestra di dialogo:

  • Usandola cartella di avvio di Windows:
    Start -> Tutti i programmi -> COPA-DATA -> Tools 7.50 -> Redundancy Management Tool
  • Usando lo Startup Tool:
    Tools -> zenon_redman
  • Avvio diretto del file zenon_redman.exe dalla cartella di programma di zenon.

Dopo che è stato avviato il Redundancy Management Tool, il simbolo corrispondente appare nella parte destra della barra delle applicazioni di Windows. Cliccando due volte sul simbolo, si apre la finestra di dialogo per la configurazione del tool.

Status

Informazioni relative allo stato dell' adattatore di rete.

Parametri

Descrizione

Network Adapter Connection State

Informazione sullo stato:

  • Connected:
    Esiste una connessione alla rete.
  • Disconnected:
    La connessione alla rete è stata interrotta.

Runtime State

Stato del Runtime di zenon.

  • Running:
    il Runtime è attivo.
  • Stopped by Redundancy Management Tool:
    Il Runtime è stato chiuso dal tool.
  • Stopped:
    il Runtime non è attivo.

Settings

Configurazione dell'adattatore di rete da monitorare.

Parametri | Descrizione
Monitoring Network Adapter | Selezione dell´adattatore di rete da monitorare fra quelli del menù a tendina. La lista visualizza tutti gli adattatori di rete disponibili sul computer.
Runtime Shutdown Delay | Impostazione del tempo di ritardo in secondi prima della chiusura del Runtime. In questo intervallo di tempo l´operatore può cancellare il processo di chiusura del Runtime. Default: 10 s Valore massimo: 2147483647 s I valori maggiori vengono interpretati come 0.
OK | Accetta le impostazioni e chiude il dialogo. Le impostazioni vengono riprese nel file INI.

File INI

Se si sceglie di configurare usando la finestra di dialogo, il file RedMan.ini. viene creato nel percorso %ProgramData%\COPA-DATA\System. Questo file contiene i seguenti inserimenti.

Parametri | Descrizione
[DEFAULT] |
ADAPTER= | Connessione LAN selezionata.
DELAY= | Valore impostato per il tempo di ritardo.

Riga di comando

Il Redundancy Management Tool può essere avviato anche attraverso la riga di comando.

Possibili parametri:

  • ADAPTER=[Nome]
    Definisce l´adattatore di rete da monitorare.
  • DELAY=[secondi]
    Indica il tempo di attesa dopo un'interruzione della connessione.
    Valore massimo: 2147483647. I valori maggiori vengono interpretati come 0.
  • HELP,?
    Visualizza l´help relativo ai parametri della riga di comando.

info Informazioni su

Nel caso di una configurazione mediante la riga di comando:

  • Queste impostazioni sono applicate direttamente.
  • La configurazione è disattivata nella finestra di dialogo.

Non viene scritto nessun file INI.

A Runtime

A Runtime, il Redundancy Management Tool monitora continuamente la connessione di rete. Se la connessione si interrompe, il Redundancy Management Tool visualizza un avvertimento. Il Runtime viene chiuso allo scadere del tempo configurato come tempo di ritardo.

Non appena la connessione viene ripristinata, il Redundancy Management Tool riavvia il Runtime.

Cliccando sul pulsante Cancel, si interrompe il conto alla rovescia e si impedisce che il Runtime venga chiuso. Dopo il ripristino della connessione, la finestra di dialogo verrà visualizzata di nuovo quando si verificherà un´altra interruzione. L´utente può decidere di interrompere il processo di chiusura del Runtime, oppure di consentire che il tool chiuda il Runtime.

info Informazioni su

Lo stato attuale della connessione e del Runtime viene sempre visualizzato anche nel dialogo di configurazione.

Gestione errori

Messaggi d'errore

Gli errori vengono visualizzati con dei messaggi pop-up.

Messaggio | Significato
GetAdapterAddresses not supported on this platform! Error code '%u'! | La versione del sistema operativo non viene supportata.
GetAdapterAddresses did not return information about network adapters. Error code '%u'! | Nessun adattatore di rete trovato.

File LOG del Diagnosis Viewer

Nei file LOG del Diagnosis Viewer sono documentati:

Inserimento | Debug Level | Significato
Network link '%s' down for '%u' seconds. zenon Runtime will be terminated. | Errore | Connessione non riuscita: il Runtime viene chiuso.
Network link '%s' is up. Restarting zenon Runtime now. | Informazioni | La connessione di rete è di nuovo disponibile: il Runtime viene riavviato.


COPA-DATA PRP

Manuale -> Rete -> COPA-DATA PRP

zenon supporta il Parallel Redundancy Protokoll (PRP) per la comunicazione hardware ridondante in rete.

La comunicazione PRP avviene direttamente a livello di protocollo, indipendentemente dall'Editor di zenon e dal Runtime di zenon. Non è necessario effettuare configurazioni speciali in zenon. Per usare il protocollo, il computer deve essere configurato in modo corrispondente.

Il servizio di rete COPA-DATA PRP, necessario per l'uso di PRP, si trova sul supporto di installazione. Una descrizione dettagliata dei passaggi di configurazione necessari si trova nel capitolo Installazione e configurazione di questo manuale.

tutorial Informazioni sulla licenza

Il servizio di rete è fornito con il prodotto.
Per usarlo, è richiesta una licenza valida di zenon sul computer.

Noch in diesem Kapitel

Requisiti di sistema

Requisiti hardware

Installazione e configurazione

PRP Configuration and Diagnostics Tools


Requisiti di sistema

Manuale -> Rete -> COPA-DATA PRP -> Requisiti di sistema

La comunicazione PRP è supportata per i seguenti sistemi operativi:

  • Windows 7
  • Windows 8

attention Attenzione

Per ragioni di sistema, Windows 10 non è supportato per la comunicazione PRP.


Requisiti hardware

Manuale -> Rete -> COPA-DATA PRP -> Requisiti hardware

Per la comunicazione PRP valgono i seguenti requisiti hardware:

  • La scheda di rete utilizzata deve supportare i jumbo frames.
  • La configurazione dell'indirizzo MAC amministrato localmente deve essere possibile sulla scheda di rete utilizzata.

attention Attenzione

La comunicazione PRP è supportata solamente in una rete ridondante.


Installazione e configurazione

Manuale -> Rete -> COPA-DATA PRP -> Installazione e configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare la comunicazione PRP, eseguire i seguenti passaggi di configurazione:

  1. Scollegare il cavo di alimentazione del computer con le due schede di rete prima di eseguire l'installazione.
  2. Riavviare il computer.
  3. Configurare il vostro adattatore di rete.
  4. Creare un bridge di rete nelle impostazioni di sistema (= Bridge).
  5. Installare il COPA-DATA PRP driver.
  6. Configurare la connessione PRP.

Attenzione:

  • Per eseguire l'installazione bisogna avere i diritti amministratore sul computer.
  • Il sistema deve essere riavviato per completare l'installazione.
  • Seguire le istruzioni per i singoli passaggi.

attention Attenzione

Fare attenzione ad eseguire i passaggi della configurazione nella successione indicata.

Noch in diesem Kapitel

Configurazione dell'adattatore di rete (primo di quattro passaggi)

Combinare i due adattatori di rete - Bridge (secondo di quattro passaggi)

Installazione del driver COPA-DATA PRP (terzo di quattro 4 passaggi).

Configurazione della connessione PRP (quarto di quattro passaggi)


Configurazione dell'adattatore di rete (primo di quattro passaggi)

Manuale -> Rete -> COPA-DATA PRP -> Installazione e configurazione -> Configurazione dell'adattatore di rete (primo di quattro passaggi)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel primo passaggio, modificare la configurazione di entrambi gli adattatori di rete. La finestra di dialogo di configurazione e la denominazione delle proprietà estese dipendono dalla scheda di rete usata.

Adattatore di rete 1

Configurare il primo adattatore di rete.

  1. Aprire le proprietà di sistema Modifica impostazioni scheda.
    Queste impostazioni si trovano in Pannello di controllo=> Rete e Internet => Centro connessioni di rete e condivisione
  2. Selezionare l'adattatore di rete desiderato.
  3. Con il tasto destro del mouse selezionare nel menù contestuale l'inserimento Proprietà.
    Si apre la finestra di dialogo di configurazione delle proprietà dell'adattatore di rete.
  4. Cliccare sul pulsante Configura...
    Si apre la finestra delle proprietà dell'adattatore di rete.
  5. Passare alla scheda Avanzate.
  6. Nella lista Settings, selezionare l'inserimento Jumbo Packet.
    Nota: il nome di questo inserimento può essere diverso a seconda della scheda di rete.
  7. Selezionare un valore nel menù a tendina Value.
    Scegliere il valore più piccolo fra quelli disponibili che è maggiore di 1530 Byte.
    Attenzione: non deve essere selezionata l'impostazioneDeaktiviert.
  8. Nella scheda Avanzate selezionare l'impostazione Locally-administered address.
  9. Digitare nel campo di inserimento Value: un indirizzo MAC univoco. Il formato dell'indirizzo MAC dipende dall'hardware utilizzato.
    Esempi:
    • 0A:80:41:ae:fd:7e
    • 0A-80-41-ae-fd-7e
    • 0A8041aefd7e
  10. Assicurarsi che entrambe le connessioni usino lo stesso indirizzo MAC.
    Modificare questo indirizzo nel campo di inserimento Value:
    • L'indirizzo MAC deve cominciare con 0A!
    • L'indirizzo MAC nella rete locale deve essere univoco.
  11. Terminare la configurazione della scheda di rete cliccando sul pulsante OK

Adattatore di rete 2

Ripetere i passaggi per il secondo adattatore di rete.
Fare attenzione ad inserire lo stesso indirizzo MAC indicato nella configurazione precedente.

attention Attenzione

Assicurarsi che:

  • L'indirizzo MAC usato sia lo stesso per entrambi gli adattatori di rete.
  • Non sia utilizzato da un altro computer in rete.


Combinare i due adattatori di rete - Bridge (secondo di quattro passaggi)

Manuale -> Rete -> COPA-DATA PRP -> Installazione e configurazione -> Combinare i due adattatori di rete - Bridge (secondo di quattro passaggi)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo passaggio, si combinano i due adattatori di rete con un bridge di rete. A questo scopo, adattare la configurazione di entrambi gli adattatori di rete usati.

Creare un bridge di rete nelle impostazioni di sistema.

  1. Aprire le proprietà di sistema Modifica impostazioni scheda.
    Queste impostazioni si trovano in Pannello di controllo=> Rete e Internet => Centro connessioni di rete e condivisione
  2. Selezionare i due adattatori di rete che si vuole usare per la comunicazione PRP.
    Nota: assicurarsi che entrambi gli adattatori siano già stati configurati in modo corrispondente. Una modifica della configurazione di un adattatore di rete diventa effettiva solo dopo che si è creato un nuovo bridge.
    Attenzione: entrambi gli adattatori di rete devono essere stati configurati con lo stesso indirizzo MAC!
  3. Con il tasto destro del mouse, selezionare il comando Connessioni con bridging.
    Verrà realizzato un bridge di rete per lì adattatore selezionato. Questo processo viene visualizzato per mezzo di una apposita finestra di dialogo.
  4. Il bridge creato viene visualizzato nel Pannello di controllo.

    Attenzione: il bridge deve contenere solamente due adattatori.


Installazione del driver COPA-DATA PRP (terzo di quattro 4 passaggi).

Manuale -> Rete -> COPA-DATA PRP -> Installazione e configurazione -> Installazione del driver COPA-DATA PRP (terzo di quattro 4 passaggi).

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo passaggio, si installa il servizio di sistema necessario per la comunicazione PRP.

Installare il COPA-DATA PRP driver

  1. Selezionare il bridge appena creato.
  2. Con il tasto destro del mouse, selezionare nel menù contestuale l'inserimento Proprietà.
    Si apre la finestra di dialogo di configurazione delle proprietà del bridge.
  3. Cliccare sul pulsante Installa....
    Si apre la finestra di dialogo per installare un tipo di funzionalità di rete.
  4. Selezionare Servizio come funzionalità di rete da installare.
  5. Cliccare sul pulsante Aggiungi...
    Si apre la finestra di dialogo per la selezione del servizio di rete.
  6. Cliccare sul pulsante Supporto dati...
    Si apre la finestra di dialogo per la selezione del luogo dove è salvato il programma di installazione del servizio di rete.
  7. Cliccare sul pulsante Sfoglia.
  8. Passare alla seguente cartella del computer locale:
    • \Programme (x86)\Common Files\COPA-DATA\CDPrpFlt\
      per i sistemi operativi a 32-Bit.
    • \Programme (x86)\Common Files\COPA-DATA\CDPrpFlt\
      per i sistemi operativi a 64-Bit.
  9. Scegliere il file CDPrpFlt.inf.
    Attenzione: assicurarsi di selezionare l'installer corretto per il sistema operativo utilizzato (32-Bit o 64-Bit).
  10. Confermare la selezione cliccando su OK.
    Si apre la finestra di dialogo per la selezione del servizio di rete.
  11. Selezionare il servizio di rete COPA-DATA PRP driver.
  12. Confermare la selezione cliccando su OK
    • Confermare la richiesta di conferma di Windows cliccando sul pulsante "Installa".
      Attenzione: a questo punto potrebbe essere necessario riavviare il computer.

      Nota: questa richiesta di conferma non verrà visualizzata se è stato già abilitato il box "... Considera sempre attendibile" in occasione di precedenti installazioni di componenti di programma di zenon
  13. Dopo che l'installazione è stata portata a termine con successo (e dopo il riavvio del computer), il servizio è visibile nella finestra delle proprietà dell'adattatore di rete, nella lista degli elementi utilizzati.
  14. Assicurarsi che la connessione LAN e il servizio di rete COPA-DATA PRP driver siano abilitati (segno di spunta nei checkbox corrispondenti).

attention Attenzione

Assicurarsi che l'uso nel sistema produttivo non sia pregiudicato dal necessario riavvio del computer.


Configurazione della connessione PRP (quarto di quattro passaggi)

Manuale -> Rete -> COPA-DATA PRP -> Installazione e configurazione -> Configurazione della connessione PRP (quarto di quattro passaggi)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prima di eseguire la configurazione, assicurarsi che la connessione LAN e il servizio di rete COPA-DATA PRP driver siano attivi.

Configurazione PRP

  1. Avviare il programma PRPCfgDiag.exe.
    Questo software si trova nella cartella C:\Programmi Files (x86)\Common Files\COPA-DATA\STARTUP del vostro computer.
    Si apre la finestra di dialogo PRP Configuration and Diagnostics.

    Nota: il PRP Configuration and Diagnostics Tool è disponibile solo in lingua inglese.
  2. Cliccare sul pulsante Configuration.
    Si apre la finestra di dialogo per la selezione degli adattatori di rete.

    Nota: Il contenuto del menù a tendina si basa sulle impostazioni di sistema.
  3. Selezionare nel menù a tendina l'adattatore di rete per LAN_A e LAN_B.
  4. Confermare l'assegnazione cliccando su OK.
  5. Concludere la configurazione cliccando sul pulsante Exit.

info Informazioni su

Una descrizione dettagliata del PRP Configuration and Diagnostics Tools si trova nel capitolo PRP Configuration and Diagnostics Tool .


PRP Configuration and Diagnostics Tools

Manuale -> Rete -> COPA-DATA PRP -> PRP Configuration and Diagnostics Tools

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

IlPRP Configuration and Diagnostics Tool svolge due compiti:

  • Visualizzazione
    Visualizzazione del traffico dati inviati via PRP. La visualizzazione avviene separatamente per i due adattatori di rete utilizzati.
  • Configurazione
    Assegnazione degli adattatori di rete configurati.

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

Il programma PRPCfgDiag.exe è incluso nel pacchetto d zenon.
Trovate questo software sul vostro computer nella cartellla C:\Programmi Files (x86)\Common Files\COPA-DATA\STARTUP.

Requisiti

Per configurare ilPRP Konfigurations- und Diagnose Tool e per usarlo, si ha bisogno di quanto segue:

  • Due adattatori di rete combinati in bridge nelle impostazioni di sistema.
    Nota: In questo bridge possono essere configurati solamente i due adattatori che sono usati per la comunicazione PRP. Non devono essere contenuti altri adattatori di rete in questo bridge.
  • Il driver CDPrpFlt deve essere installato.

info Informazioni su

Le informazioni relative all'installazione e alle necessarie preparazioni da effettuare nelle impostazioni di sistema si trovano nel capitolo Installazione e configurazione.

Noch in diesem Kapitel

Statistica

Configurazione


Statistica

Manuale -> Rete -> COPA-DATA PRP -> PRP Configuration and Diagnostics Tools -> Statistica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il flusso di dati viene visualizzato nella finestra di dialogo Statistics. La visualizzazione avviene separatamente per i due adattatori LAN.

Il flusso di dati viene sempre registrato, anche quando il tool non è aperto.

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

Parametri

Descrizione

Send count

Visualizzazione del frame Ethernet inviato.

Receive count

Visualizzazione del frame Ethernet ricevuto.

Error count

Visualizzazione di frame PRP erronei.

Mismatch count

Visualizzazione dei frame PRP ricevuti/inviati differentemente quando il traffico di dati via rete dei due adattatori LAN presenta delle divergenze.

Link status

Stato della scheda di rete:

  • Active
    La scheda di rete assegnata è attiva e il flusso di dati viene trasferito.
  • Inactive
    La scheda di rete assegnata non è attiva. Non si ricevono PRP-Supervision frames. Non c'è nessuna stazione PRP nella rete, oppure si è verificato un errore.

Configuration

Apre la finestra di dialogo per la configurazione.

Exit

Chiude il programma.
Nota: i dati continuano ad essere registrati.


Configurazione

Manuale -> Rete -> COPA-DATA PRP -> PRP Configuration and Diagnostics Tools -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo "Configuration" avviene quanto segue:

  • Si assegna l'adattatore usando il menù a tendina.
    Il contenuto del menù a tendina si basa sulle impostazioni del bridge di rete.
    Ulteriori informazioni a questo proposito si trovano nel capitolo Installazione e configurazione.
  • Viene visualizzato l'indirizzo MAC multicast.
  • Vengono visualizzati i messaggi di errore relativi alla configurazione degli adattatori di rete in una finestra di emissione.

attention Attenzione

Il computer deve essere riavviato dopo che sono state fatte delle modifiche alla configurazione.

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

Parametri

Descrizione

Primary physical LAN Adapter

Assegnazione di un adattatore di rete alla connessione fisica per l'adattatore LAN primario.

Nel menù a tendina vengono elencati quegli adattatori che sono contenuti nel bridge configurato.
Le informazioni a questo proposito si trovano nel capitolo Installazione e configurazione.

Secondary physical LAN Adapter

Assegnazione di un adattatore di rete alla connessione fisica per l'adattatore LAN sec0ndario/ridondante.

Nel menù a tendina vengono elencati quegli adattatori che sono contenuti nel bridge configurato.
Le informazioni a questo proposito si trovano nel capitolo Installazione e configurazione.

LAN_A/LAN_B Multicast MAC

Indirizzo MAC multicast per PRP-Supervision frames.
Questo indirizzo per la comunicazione in rete è predefinito e non può essere modificato.

Nota: assicurarsi che questo indirizzo non venga usato da nessun altro adattatore nella rete!

L'ultimo byte può essere configurato nel campo di inserimento. Il formato di input di questo inserimento è HEX.

Error message

Finestra di emissione per i messaggi di errore.

OK

Accetta tutte le modifiche e passa alla finestra di dialogo Statistic.

Cancel

Rifiuta tutte le modifiche e passa alla finestra di dialogo Statistic.


Routing

Manuale -> Rete -> Routing

Si raccomanda vivamente di non usare più la proprietà Attiva routing per la configurazione di un progetto. Di default, questa proprietà è disattivata di per la rete di zenon.

Procedura

Nel routing, i pacchetti dei progetti subordinati vengono inviati attraverso il server dal primo progetto Client (ECP) del ramo. Il computer funge da computer nodo e può instradare i pacchetti. Tutti i pacchetti di rete provenienti dall´esterno passano per questo calcolatore. Questa impostazione, però, può provocare dei "colli di bottiglia" ed influenza le possibili topologie di rete. Ha senso utilizzarla solo in strutture di rete particolari, come, ad esempio, in reti WAN lente, oppure in reti con routing.

  • Esempio:
    Se, in una struttura di rete composta da diversi calcolatori, non tutti i computer possono raggiungere gli altri, uno di questi deve agire da router.
  • Implementazione:
    Il Server 1 e il Server 2 dei progetti subordinati vengono modificati su quello di ECP; questo è il Server 1/Server 2 attivo a Runtime.

Noch in diesem Kapitel

Considerazioni generali sul routing

Compatibilità:


Considerazioni generali sul routing

Manuale -> Rete -> Routing -> Considerazioni generali sul routing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si devono tenere presenti due regole fondamentali configurando strutture di rete con routing, Se una di queste due regole non viene rispettata, potrebbero verificarsi dei problemi di comunicazione o altri effetti indesiderati dipendenti dalla rispettiva struttura.

  • Regola 1: Server e livelli
    Un PC che agisce da server, può essere usato solo in un livello (ricordanza circolare) più volte da server o da Standby Non può più essere definito come server in un livello superiore o inferiore!
  • Regola 2: Progetti Standalone

    Se il progetto di partenza è un progetto standalone, si può usare al di sotto un solo livello di progetti di rete!

Client invia al suo server

  • Il client manda il pacchetto al server attivo nel progetto a Runtime.
  • Se il progetto su questo computer non è server, il pacchetto continua ad essere inviato finché non arriva al server.
  • Questa funzionalità non viene influenzata da un progetto di integrazione.

Server invia ad un client con routing.

  1. Se il server ha una connessione diretta con il client, il pacchetto viene inviato lì.
  2. Se non esiste una connessione con il computer di destinazione, il server invia il pacchetto a tutti i computer su cui il progetto è attivo e per i quali funge da server.
  3. Se il nodo ha una connessione diretta con il client, il pacchetto viene inviato lì.
  4. Se il computer funge da nodo, il pacchetto viene inviato a tutti i computer che si sono connessi al computer nodo. Se il computer di destinazione è anche il computer sorgente, il pacchetto non viene inoltrato.
  5. La procedura riprende dal punto 3.

Nota: i punti 2 e 4 vengono eseguiti solo se il routing è attivo su quei computer.

info Informazioni su

Il server e il Server-Standby non devono corrispondere a quelli configurati sui computer client, ma possono variare a seconda della topologia di rete sui singoli computer.

Che cosa è una connessione client?

Per connessione client si intende una connessione servizio di rete che viene instaurata da un client con il server primario o il Server-Standby. La si riconosce dal fatto che esiste la connessione con la porta 1100 sul computer di destinazione.

attention Attenzione

Non è certo che un puro computer client aggiunto ad una topologia funzionante funzionerà. Soprattutto su puri computer client, il routing può determinare il fatto che alcuni progetti non possano essere raggiunti dal server.

Controlla routing

Per controllare le impostazioni relative al routing, usate la procedura descritta in "Gestire topologia di rete".


Compatibilità:

Manuale -> Rete -> Routing -> Compatibilità:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Regole per il routing prima della versione 6.50 di zenon:

  1. Il primo progetto client di rete di un ramo su un PC definisce il server e il Server-Standby per tutti i progetti subordinati nel ramo. Questo vale anche:
    • Se un progetto subordinato su questo PC è server o Server-Standby.
    • Per progetti che in verità non hanno un Server Standby.
  2. Se il progetto superiore non è un progetto di rete o non è un server, i rami dei sotto-progetti del progetto di partenza vengono presi in considerazione parallelamente. In questo modo diversi computer possono essere server per i progetti subordinati. Per i rami valgono le regole a partire del punto 1.
  3. I progetti standalone non vengono presi in considerazione per la topologia, fatta eccezione per il progetto di partenza.
  4. Se il progetto di partenza non è server (dunque standalone, client oppure standby che non gestisce il processo), il routing non è attivato nel servizio di rete. Questo riguarda solamente la direzione dal server al client.

Regole per il routing a partire dalla versione 6.50 di zenon:

Di default, la proprietà Attiva routing è disattivata a partire dalla versione 6.50.

Senza routing

Se nel progetto di partenza sul computer non è attiva la proprietà Attiva routing, il routing non viene eseguito. In questo caso, ogni progetto si collega direttamente al computer corrispondente dove è server. Il computer non è un nodo ed i pacchetti non vengono inoltrati da questo calcolatore.

Con routing

Le regole sono quelle valide per le versioni precedenti alla 6.50.

Eccezione:

  • Un progetto che si trova sul computer che agisce da server o da standby, rimane server o standby anche se il progetto superiore usa un altro server o standby.


Autorizzazione di rete

Manuale -> Rete -> Autorizzazione di rete

Un progetto di rete può essere gestito con le impostazioni di base da tutte le stazioni nello stesso modo.

Gestire significa in questo caso intervenire attivamente nel processo, cioè:

  • Settare valori
  • Eseguire le ricette
  • Ripristinare allarmi
  • ecc.

C'è dunque il pericolo che due utenti vogliano impostare contemporaneamente da due stazioni diverse un valore differente per la stessa variabile.

In questo caso:

  • Entrambe le azioni vengono eseguite.
  • Il valore inserito per ultimo sovrascrive tutti i precedenti

Tuttavia zenon vi offre l´opportunità di consentire la gestione del progetto solamente da una stazione alla volta. In questo caso, l´operatore deve procurarsi l'autorizzazione operativa in rete sulla sua stazione, prima di poter gestire il progetto. L´apertura di immagini e l'accesso di lettura a liste come AML, CEL, ricette, ecc., è possibile in qualsiasi momento da ogni stazione.

info Informazioni su

Le autorizzazioni operative per progetti senza rete possono essere implementate usando l´analisi di una variabile binaria per la proprietà di progetto Blocco utente. Per i dettagli a questo proposito rimandiamo al capitolo Autorizzazioni operative della guida dedicata alla Gestione di progetto e workspace.

Procedura

Se la proprietà Autorizzazione attiva è attiva, vale quanto segue:

  • Se si vuole eseguire un'azione, bisogna anzitutto ottenere la rispettiva autorizzazione.
  • Se la gestione è bloccata da un altro computer, si apre una finestra di dialogo sul calcolatore che provoca il blocco.
  • L´utente che provoca il blocco può rendere disponibile l´autorizzazione oppure no.
  • Se non c´è nessuna risposta, l´autorizzazione viene resa di nuovo disponibile allo scadere di un timeout predefinito.
  • Se il sistema rileva un´interruzione della connessione di rete, l´autorizzazione per questo calcolatore viene azzerata.

Per i dettagli vedere i capitoli:

  • Configura autorizzazioni operative
  • Autorizzazione operativa a Runtime

Variabili di sistema per l'autorizzazione operativa

Le variabili di sistema forniscono informazioni relative all'autorizzazione operativa:

  • [Rete] Autorizzazione di rete: computer in possesso:
    Nome del calcolatore che ha l'autorizzazione operativa (tipo di dato Stringa)
  • [Rete] Autorizzazione rete: disponibile su questo PC:
    Il computer ha l'autorizzazione operativa (tipo di dato: Bool)
  • [Rete] Autorizzazione negata:
    Il computer richiede l'autorizzazione operativa, ma non la riceve (tipo di dato: Bool)

info Informazioni su

Ulteriori informazioni su questo argomento si trovano nella parte della guida relativa ai SYSDRV nel capitolo Tema - [Rete].

Noch in diesem Kapitel

Configura autorizzazioni operative

Autorizzazione operativa a Runtime


Configura autorizzazioni operative

Manuale -> Rete -> Autorizzazione di rete -> Configura autorizzazioni operative

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per consentire l´autorizzazione operativa in rete, si deve:

  • Attivare le autorizzazioni operative e configurare dei timeout
  • Configurare delle funzioni per ottenere e rilasciare l´autorizzazione operativa a Runtime

Attivare le autorizzazioni operative

L'autorizzazione operativa in rete deve essere attivata nelle proprietà di progetto.

  • Nelle proprietà di progetto, passare al gruppo Rete
  • Attivare la proprietà Autorizzazione attiva.
  • Definire il Timeout per la richiesta [s]:

    definisce l´intervallo di tempo entro il quale il computer può rispondere alla richiesta di rilascio dell'autorizzazione. Allo scadere di questo tempo, l´autorizzazione operativa viene rilasciata automaticamente.

    Default: 60 secondi

  • Definire il Timeout per autorizzazione utenti [s]:

    definisce l´intervallo di tempo entro il quale il computer che ha l´autorizzazione operativa, deve contattare il server prioritario. Allo scadere di questo tempo, l´autorizzazione operativa viene rilasciata automaticamente. Così il sistema rileva il verificarsi di interruzioni nella connessione di rete. Non è dunque possibile che un computer non raggiungibile blocchi l'autorizzazione operativa.

    Default: 60 secondi.

    Attenzione: selezionare un intervallo di tempo inferiore al Timeout di rete.

Funzioni per autorizzazione operativa a Runtime

Per ottenere le autorizzazioni operative oppure per renderle disponibili, devono esistere nel Runtime le relative funzioni. A questo scopo, creare due pulsanti cui verranno poi assegnate le funzioni corrispondenti:

  • Richiedi autorizzazione:
    Ottiene l´autorizzazione per il calcolatore dell'utente.
  • Rilascia autorizzazione:
    Rende di nuovo disponibile l´autorizzazione senza una richiesta esplicita.

Richiedi autorizzazione

  1. Creare una nuova funzione.
  2. Selezionare nel gruppo Rete la funzione Autorizzazione di rete.
  3. Si apre la finestra di dialogo di selezione dell'autorizzazione di rete.

  4. Selezionare Richiedi.

Quando si esegue questa funzione nel Runtime, si ottiene l'autorizzazione di rete per la propria stazione.

Rilascia autorizzazione

  1. Creare una nuova funzione.
  2. Selezionare nel gruppo Rete la funzione Autorizzazione di rete.
  3. Si apre la finestra di dialogo di selezione dell'autorizzazione di rete.
  4. Selezionare Rilascia.

Quando si esegue questa funzione nel Runtime, si rende di nuovo disponibile l'autorizzazione di rete.


Autorizzazione operativa a Runtime

Manuale -> Rete -> Autorizzazione di rete -> Autorizzazione operativa a Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se la proprietà Autorizzazione attiva è attiva, le operazioni di gestione attive vengono eseguite a Runtime solamente se la stazione in questione ha un´autorizzazione operativa.

Esempio

Si vuole scrivere un valore impostabile su una una variabile e non si dispone dell'autorizzazione operativa corrispondente:

  1. Il valore impostabile non viene inviato all´hardware quando si clicca sul pulsante.
  2. Si apre invece una finestra di messaggio contenente l'informazione che l'utente non è in possesso dell´autorizzazione operativa per questo progetto.
  3. Cliccare sul pulsante Procura autorizzazione operativa configurato in fase di progettazione.

Nessun altro computer blocca l´autorizzazione operativa:

L'autorizzazione è disponibile:

  • Si ottiene l´autorizzazione.
  • Si può scrivere il valore impostabile.
  • Dopo aver eseguito l'operazione, si può rimettere l'autorizzazione a disposizione degli altri utente usando la funzione Rilascia autorizzazione di rete.

Un altro computer blocca l´autorizzazione operativa:

L´autorizzazione è bloccata:

  • Si apre una finestra di dialogo sul computer che causa il blocco.
  • L´utente di questo computer deve rilasciare l´autorizzazione in modo esplicito.
    • Sì: l´autorizzazione viene trasmessa all´altro computer.
    • No: l´autorizzazione rimane bloccata.
    • Nessuna reazione: incomincia a scorrere un conto alla rovescia che corrisponde al timeout definito nella proprietà Timeout per autorizzazione utenti [s]. Giunti a 00:00, l´autorizzazione viene rilasciata automaticamente.


Funzioni di zenon per la rete

Manuale -> Rete -> Funzioni di zenon per la rete

Funzioni speciali di zenon per la rete:

  • Autorizzazione di rete
  • Cambio ridondanza
    1. Nella modalità di ridondanza: Dominante
    2. Nella modalità di ridondanza: Non dominante
    3. Nella modalità di ridondanza: Ponderata

In generale, quando si usano delle funzioni in rete, bisogna tener presente il luogo di esecuzione. Per alcune funzioni, il luogo di esecuzione può essere configurato liberamente, per altre è fisso.

Noch in diesem Kapitel

Autorizzazione di rete

Cambio ridondanza in una rete ponderata


Autorizzazione di rete

Manuale -> Rete -> Funzioni di zenon per la rete -> Autorizzazione di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per ottenere le autorizzazioni operative oppure per renderle disponibili, devono esistere nel Runtime le relative funzioni. A questo scopo, creare due pulsanti cui verranno poi assegnate le funzioni corrispondenti:

  • Richiedi autorizzazione:
    Ottiene l´autorizzazione per il calcolatore dell'utente.
  • Rilascia autorizzazione:
    Rende di nuovo disponibile l´autorizzazione senza una richiesta esplicita.

Richiedi autorizzazione

  1. Creare una nuova funzione.
  2. Selezionare nel gruppo Rete la funzione Autorizzazione di rete.
  3. Si apre la finestra di dialogo di selezione dell'autorizzazione di rete.

  4. Selezionare Richiedi.

Quando si esegue questa funzione nel Runtime, si ottiene l'autorizzazione di rete per la propria stazione.

Rilascia autorizzazione

  1. Creare una nuova funzione.
  2. Selezionare nel gruppo Rete la funzione Autorizzazione di rete.
  3. Si apre la finestra di dialogo di selezione dell'autorizzazione di rete.
  4. Selezionare Rilascia.

Quando si esegue questa funzione nel Runtime, si rende di nuovo disponibile l'autorizzazione di rete.


Cambio ridondanza in una rete ponderata

Manuale -> Rete -> Funzioni di zenon per la rete -> Cambio ridondanza in una rete ponderata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione si può passare manualmente dal server prioritario al Server-Standby a Runtime. Il server prioritario attuale diventerà Server-Standby e viceversa.

Questa funzione è disponibile per tutte le modalità di ridondanza (proprietà Tipo di ridondanza dell'Editor di zenon):

  • Non dominante
  • Dominante
  • Ponderata

Nota: la funzione "Cambio ridondanza" è disponibile solamente se è attiva la proprietà Rete attiva.

Esempi di applicazione:

Possibili applicazioni pratiche sono:

  • Manutenzione del server primario.
  • Migliore collegamento hardware del Server-Standby.
  • Nella rete ponderata:
    Disattivare temporaneamente l'analisi.

attention Attenzione

Questa funzione non si presta a testare la ridondanza, visto che il comportamento è diverso da quello in caso di malfunzionamento del server.

Ritardo di commutazione

Alcuni moduli di zenon possono ritardare il cambio di ridondanza. Per es., un comando in esecuzione ritarda il cambio di ridondanza.

Rimandiamo alle descrizioni dei moduli che si trovano nel capitolo Comportamento dei moduli di zenon di questo manuale.

Noch in diesem Kapitel

Configurazione in zenon

Finestra di dialogo di configurazione del cambio ridondanza


Configurazione in zenon

Manuale -> Rete -> Funzioni di zenon per la rete -> Cambio ridondanza in una rete ponderata -> Configurazione in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare una funzione di tipo "Cambio ridondanza"

La funzione di tipo Cambio ridondanza serve a controllare i ruoli di Server primario e Server-Standby in una rete di zenon.

Progettazione

Passi da compiere per creare una funzione:

  1. Creare una nuova funzione:

    Selezionare nella barra degli strumenti, oppure nel menù contestuale del nodo "Funzioni" il comando Nuova funzione.
    Si apre la finestra di dialogo per la selezione di una funzione.

  2. Passare al nodo Rete
  3. Selezionare la funzione Cambio ridondanza.
    Si apre la finestra di dialogo per la configurazione del cambio ridondanza.
  4. Configurare il comportamento del cambio ridondanza.
  5. Assegnate un nome alla funzione nella proprietà Nome.

Tipp Suggerimento

Configurare una funzione di cambio ridondanza separata per ogni direzione di switch.


Finestra di dialogo di configurazione del cambio ridondanza

Manuale -> Rete -> Funzioni di zenon per la rete -> Cambio ridondanza in una rete ponderata -> Finestra di dialogo di configurazione del cambio ridondanza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo Cambio ridondanza si configura il comportamento di un Cambio ridondanza previsto.

Direzione di switch

Parametri | Descrizione
Toggle: | Server primario e Server-Standby si scambiano i ruoli.
Server 1 | Il Server 1 diventa (o rimane) Server primario.
Server 2 | Il Server 2 diventa (o rimane) Server primario.
Nessuna (riattiva valutazione) | Non avviene nessun cambio. Si impedisce, invece, che si verifichi un cambio per l'intervallo di tempo configurato nel campo proprietà Tempo di soppressione. Se il Tempo di soppressione è 0 , il cambio ridiventa possibile immediatamente. Nota: questa opzione è disponibile solo im una rete ponderata.

Tempo di soppressione

Parametri

Descrizione

Tempo di soppressione

Il tempo, espresso in minuti, nel corso del quale non avviene nessun cambio automatico di ridondanza dovuto ad una modifica nell'analisi.
Se il valore impostato è 0, il cambio automatico viene eseguito nel modo configurato nelle regole di valutazione.

Intervallo di valori: da 0 a 10080 minuti (= una settimana)

Questo significa: il server primario attuale (Server 1 o Server 2) rimane server primario durante questo intervallo di tempo, indipendentemente dal risultato dell'analisi.

Se Banda morta post-commutazione[s] e Tempo di soppressione sono stati configurati diversamente in una rete ponderata, prevale il valore maggiore.

Nota: questa opzione è disponibile solo im una rete ponderata.

Navigazione

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.
info Informazioni su
Ulteriori informazioni si trovano nel capitolo Ritardo di commutazione, banda morta e isteresi di questo manuale.


Comportamento dei moduli di zenon in rete.

Manuale -> Rete -> Comportamento dei moduli di zenon in rete.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con i progetti di rete si deve tener presente come si comportano i singoli moduli e le singole funzioni in rete.

Noch in diesem Kapitel

AML e CEL

Server di archiviazione

Batch Control

Gestione user

File

Trend esteso

Funzioni

Message Control

Interfacce di programmazione

Lista incrociata

Generatore Report & Report Viewer

Ricette

Sequenze di comando

Script

Driver nella rete di zenon

zenon Web Client nella rete ridondante

Temporizzatori

Attribuzioni


AML e CEL

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> AML e CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gestione allarmi

Gli allarmi vengono gestiti sul server prioritario. Il server prioritario risponde alle richieste dei client riguardanti gli allarmi. Le modifiche vengono sincronizzate fra server prioritario e Server-Standby.

info Informazioni su

Quando il server-standby assume il ruolo di server primario in caso di disfunzione o guasto del server primario originale, viene rifornito dei dati mancanti relativi a AML, CEL e archivi. Questi dati mancanti provengono dal buffer interno del server-standby. Questo buffer viene rifornito di valori dai driver.

Lista eventi cronologica (CEL)

La CEL viene gestita sul server primario. Le modifiche vengono sincronizzate fra server prioritario e Server-Standby.

Nella rete ponderata, non vengono creati nuovi inserimenti CEL per un cambio di ruolo server avvenuto sulla base dell'analisi.

Tipp Suggerimento

Se si vuole protocollare i risultati delle analisi nella CEL, creare una variabile del driver di sistema "[Rete] Risultato valutazione Server 1", oppure "[Rete ] Risultato valutazione Server 2":

  • Selezionare nel Workspace, nel nodo Variabili, l´inserimento Nuova variabile ...
  • Selezionare come driverSYSDRV - Driver per variabili del driver di sistema.
  • Nella finestra di dialogo Variabile del driver di sistema, selezionare nel menù a tendina Tema l´inserimento Rete.
  • Selezionare [Rete] Risultato valutazione Server 1 e [Rete] Risultato valutazione Server 2, e aggiungerle alla lista di quelle da creare cliccando sul pulsante Aggiungi.
  • Creare una matrice di reazione numerica, abilitare l'opzione "Interpreta ogni cambio valore come nuova violazione" e settare l'opzione "Nella CEL"
  • Collegare la matrice di reazione appena creata alle due variabili.


Server di archiviazione

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Server di archiviazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´archiviazione si esegue sul server prioritario.

Il server primario sincronizza i dati d'archivio con il server-standby e risponde alle richieste dei client (per es. apertura di un´immagine del tipo Trend esteso).

info Informazioni su

Quando il server-standby assume il ruolo di server primario in caso di disfunzione o guasto del server primario originale, viene rifornito dei dati mancanti relativi a AML, CEL e archivi. Questi dati mancanti provengono dal buffer interno del server-standby. Questo buffer viene rifornito di valori dai driver.

Cambio ridondanza

Il cambio di ridondanza può subire un ritardo causato dal modulo Archiviazione di zenon.

Se delle variabili provenienti da un altro progetto vengono archiviate in un archivio, cambia la procedura di start del Runtime nella rete di zenon. In questo caso, infatti, gli archivi vengono avviati solo dopo il caricamento di tutti i progetti.

In tal modo si garantisce che vengano riconosciute tutte le variabili da archiviare prima che inizi il processo di archiviazione ed il calcolatore assuma il ruolo di server primario.

Example Esempio

Il Runtime di zenon viene avviato su quel computer configurato in fase di progettazione come Server 1, oppure Server 2.

  • Il Runtime parte assumendo il ruolo di server-standby.
  • Vengono caricati tutti i progetti.
  • L´archiviazione viene sincronizzata.

I passaggi sopra descritti avvengono indipendentemente dal ruolo attuale del calcolatore, o dagli esiti della valutazione dello stesso.

Solo dopo il compimento di tutti questi passaggi viene effettuato - se necessario - un cambio di ridondanza.


Batch Control

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Batch Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modulo Batch Control è perfettamente compatibile per un uso in rete nel senso della tecnologia client/server. Ciò significa che le ricette batch possono essere create, duplicate, modificate, cancellate ecc. su un client. La completa gestione delle ricette, però, rimane sempre sul server. D'altro parte, tutto il processo di controllo (le operazioni di avvio, messa in pausa, fine ecc. di una ricetta) può essere gestito da un client. Sono possibili anche cambi di modo e operazioni manuali come salta.

attention Attenzione

Il modulo Batch Control non supporta la ridondanza. Non c'è sincronizzazione sul Server-Standby. Quando il server smette di funzionare, le ricette batch in esecuzione non vengono proseguite senza soluzione di continuità sullo standby.

Quando si usa il modulo Batch Control in rete, vale quanto segue:

Assegnazione

  • L'assegnazione forzata può avvenire sia dal server che dal client.

Funzioni

Le funzioni vengono eseguite sempre sul server.

Fasi

  • Modifica di fasi in ricette master:
    • Modalità di modifica: le modifiche vengono eseguite localmente sul client.
      Se, durante la modifica, la ricetta viene salvata su un altro computer in rete, la configurazione attuale va persa. In questo caso verrà visualizzato un messaggio corrispondente e la finestra di dialogo di modifica verrà chiusa. I nuovi dati saranno visualizzati dal server.
    • Modalità test: le modifiche vengono eseguite sul server.
  • Ricetta di controllo: le modifiche vengono eseguite sul server.
  • Se una ricetta viene salvata in rete, tutti i client che la usano vengono aggiornati.
  • Se una ricetta viene aperta su un client, viene visualizzata sempre la versione attuale del server, anche se lì non è stata ancora salvata.
  • Se una ricetta viene cancellata su un computer, viene visualizzato un messaggio su tutti i computer che hanno aperto questa ricetta; questo messaggio informa che la ricetta è stata cancellata.

Modalità

  • Il cambio della modalità (automatica, semi-automatica, manuale) può essere eseguito dal server e dal client.
  • Jumps e avanzamenti step by step in una ricetta possono essere eseguiti sia dal server che dal client

Ricette

  • Le ricette possono essere avviate e gestite dallo zenon server o dai zenon client.
  • Se in una ricetta vengono modificati i parametri mentre la ricetta stessa viene salvata su un altro zenon client, la modifica verrà rifiutata e non eseguita.
  • Una ricetta master può essere modificata sullo zenon client mentre sullo zenon server passa in modalità test e viene inviata allo zenon client. In questo caso vengono applicate le modifiche salvate per ultime. Questo significa: se lo zenon client salva per ultimo, la ricetta passa di nuovo alla modalità di modifica. Se è lo zenon server a salvare per ultimo, la modifica eseguita dallo zenon client viene rifiutata e la ricetta si trova in modalità test.
  • Se si verifica un errore di comunicazione durante la cancellazione di una ricetta o di un modello ricetta parziale, la cancellazione verrà rifiutata e verrà visualizzato un messaggio di errore corrispondente.

Web Client

Con un Web Client standard:

  • Le impostazioni per griglia e colori possono essere modificate.
  • Non si possono creare o modificare ricette.
  • La dimensione dell'area di modifica non può essere cambiata.
  • Nella barra degli strumenti vengono disattivati tutti i simboli non consentiti; non sarà dunque possibile selezionare gli oggetti corrispondenti.

Queste limitazioni non valgono per il Web Client PRO.


Gestione user

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Gestione user

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestione utenti avviene sul server prioritario. Procedura di login:

  1. La richiesta di login viene inviata al server prioritario.
  2. Quest'ultimo risponde con la lista degli utenti autorizzati.
  3. Il client verifica i dati.

Se si fanno su un client delle modifiche alla gestione utenti a Runtime, la lista user completa viene inviata dal client al server prioritario.

info Info

Utenti Active Directory, ADAM, ADLDS

Se si usano utenti Active Directory, ADAM oppure ADLDS, tutti i computer comunicano (indipendentemente se sono server prioritario, Server-Standby oppure Client) direttamente con il server Active Directory, ADAM oppure ADLDS.

Il che significa che tutti i computer devono essere nell´infrastruttura corrispondente (per es. dominio Active Directory nel caso di uso di utenti Active Directory); non basta che solo il server prioritario sia nel dominio Active Directory con i relativi utenti.


File

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> File

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando server prioritario e Server-Standby scambiano dei dati, vengono create delle liste per i file di tutti i moduli. Il server prioritario monitora queste liste per verificare la presenza di modifiche. Le modifiche rilevate vengono poi trasferite al Server-Standby.

attention Attenzione

Il server prioritario non reagisce a watchdog inviati dal Server-Standby durante la creazione di queste liste. Tenere presente questo fatto quando si definisce il tempo per il timeout di rete.

Con il Trasporto Remoto vengono trasmessi tutti i file necessari per il progetto al sistema di destinazione.

Vengono sempre trasmessi tutti i file delle cartelle:

  • Standard

    Tutti i file che si trovano nella cartella Runtime (...\RT\FILES\zenon\system\) del progetto.
    Questi file determinano l´aspetto e il comportamento del progetto e vengono trasmessi di default:

info Info

Non vengono trasmessi di default i file con le desinenze:

  • .hot
  • .ho
  • .ret
  • .re
  • Optional

    In più devono essere trasmessi tutti i file che sono stati inseriti nel progetto. La selezione avviene facendo uso della checkbox attivo delle impostazioni del Trasporto Remoto. Questi file si trovano nei seguenti sotto percorsi del percorso del progetto:

    • \zenon\custom\graphics: per grafiche
    • \zenon\custom\lists: per tabelle lingua
    • \zenon\custom\media: per tutti i file media
    • \zenon\custom\reports: per le tabelle del generatore Report.
    • \zenon\custom\help: per i file dell´help
    • \zenon\custom\additional: per ulteriori file
    • \zenon\custom\rdlc: per file Report Viewer
    • \zenon\custom\drivers: per driver
    • \straton: per zenon Logic

    Raccomandazione: trasmettere sempre il percorso base di progetto, grafiche, tabelle lingua, tabelle di report e file media.
    Dal percorso base di progetto vengono trasmessi di default: i file project.ini, Projekt.vba, Monitor.mon e la cartella Progetto.

    zenon come standard utilizza sempre percorsi relativi e non più percorsi assoluti in modo da garantire che i dati possano essere ritrovati sul sistema del destinatario.

    Per i dati da trasmettere opzionalmente dovrebbero essere utilizzati i percorsi originali (campo vuoto “destinazione”), in modo da permettere a zenon di identificarli nuovamente anche sul sistema del destinatario.

Progetto globale

Quando nel workspace si trova un progetto globale, questo viene trasmesso automaticamente. Non deve essere effettuata nessun´altra impostazione. Verranno sempre trasmessi tutti i file necessari per il progetto globale poiche inclusi nel progetto specifico!

attention Attenzione

Se la differenza di tempo fra il server e il client è di più di 5 secondi, non viene più sincronizzato nessun file.


Trend esteso

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Trend esteso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Trend esteso visualizza informazioni di archivi e dati online. Questi dati vengono salvati sul server prioritario e, se necessario (apertura di un´immagine di trend sul client), vengono richiesti dal server prioritario.


Funzioni

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso di funzioni che vengono usate in rete:

  • il luogo nel quale esse vengono eseguite può essere in alcuni casi configurato liberamente
  • in altri casi tale luogo è definito in modo fisso

info Informazioni su

Gli script combinano più funzioni. Il luogo di esecuzione dipende poi dalle impostazioni della funzione Esegui script. Questa impostazione sovrascrive quella delle funzioni singole.

Configura luogo di esecuzione

Nel caso delle funzioni il cui luogo di esecuzione può essere definito liberamente, l´utente ha a disposizione i parametri corrispondenti, che si trovano nelle proprietà della funzione.

Per definire il luogo di esecuzione:

  1. Navigate nelle proprietà della funzione fino a giungere al gruppo Esecuzione:
  2. Selezionate il luogo di esecuzione desiderato attivando la checkbox corrispondente. E' possibile una selezione multipla:
    • PC attuale: la funzione si esegue sul calcolatore attuale.
    • Server primario: la funzione si esegue sul server di processo
    • Server Standby: la funzione si esegue sul server in standby.
    • Client: la funzione viene eseguita su tutti i client.

Visione generale - Funzioni in rete

La seguente tabella mostra quali funzioni vengono eseguite in quale posto.

Legenda:

  • Configurabile: il comportamento può essere configurato.

    +: Sì

    -: No

    O: Default

  • Se non configurabile, O indica il luogo di esecuzione:
    • Calcolatore attivo
    • Server primario
    • Server-Standby
    • Client

Funzione | Configurabile | PC attuale | Server primario | Server Standby | Client
AML e CEL |  |  |  |  |
Ripristina lampeggio allarmi | - | O |  |  |
Elimina allarmi | - |  | O | O |
Ripristinare allarmi | - |  | O | O |
Collegare/scollegare gruppo allarmi/eventi | - | O |  |  |
Attiva/disattiva lista allarmi/gruppo allarmi/eventi/classi allarmi/eventi. | - |  | O | O |
Lista di informazione allarmi attiva | - |  | O |  |
Attiva/disattiva Lista di informazione allarmi | - |  | O |  |
Disattiva allarmi | - |  | O |  |
Esporta allarmi | + | O |  |  |
Salva buffer AML-CEL | - |  | O | O |
Esporta: lista CEL | + | O |  |  |
Stampa lista allarmi o CEL | + | O |  |  |
Crea/stampa documento IPA | - |  | O |  |
Stampa online on/off | - |  | O | O |
Inizia una nuova pagina per la stampa online | + | O |  |  |
Cambio stampante online | - |  | O |  |
Applicazione |  |  |  |  |
Selezionare stampante | + | O |  |  |
Avvio Load Management | - |  | O |  |
Termine Load Management | - |  | O |  |
Stampa diagramma Trend esteso | + | O |  |  |
Cambia tavolozza colori | + | O |  |  |
Gestione funzioni ON | - |  | O | O |
Funzioni: Disattiva/Attiva | - |  | O | O |
Gestione funzioni OFF | - |  | O | O |
Richiama l’Help | + | O |  |  |
Aggiorna progetto Runtime | + | O |  |  |
Determinazione manutenzioni in corso | - |  | O |  |
Attiva evento PFS | + | O |  |  |
Attiva/Disattiva progetto di simulazione | - | O |  |  |
Simula clic con il pulsante destro | + | O |  |  |
Salvataggio dati ritentivi | + | O |  |  |
Termina Runtime | + | O |  |  |
Valutazione euristica S7-Graph | + | O |  |  |
SAP-Esegui funzione | + | O |  |  |
Cambio lingua | + | O |  |  |
Topologia - Ricerca cortocircuito | - |  | O |  |
Topologia - Verifica collegamenti | - |  | O |  |
Server di archiviazione |  |  |  |  |
Termina archivio | - |  | O | O |
Indicizza file d'archivio | - |  | O |  |
Partenza archivio | - |  | O | O |
Esporta archivio | - | O |  |  |
Mostra archivi attivi | - |  | O | O |
Gestione user |  |  |  |  |
Modifica utente | + | O |  |  |
Login con dialogo | + | O |  |  |
Login senza password | + | O |  |  |
Esegui logout | + | O |  |  |
Modifica Password | - | O |  |  |
Immagini |  |  |  |  |
ALC - Modifica colore fonte | + | O |  |  |
Cambio immagine con variabile | - | O |  |  |
Chiudi immagine | + | O |  |  |
Immagine indietro | - | O |  |  |
Spostare il centro dell'immagine | + | O |  |  |
Cambio immagine | + | O |  |  |
Focus: esegui funzione elemento | + | O |  |  |
Attiva focus sul modello | + | O |  |  |
Imposta focus | - | O |  |  |
Elimina focus dal modello | + | O |  |  |
Visualizza menù | + | O |  |  |
Assegna monitor | + | O |  |  |
Profili Runtime | + | O |  |  |
Chiudi modello | + | O |  |  |
Valore impostabile predefinito per immagine Keyboard | - | O |  |  |
Visualizza finestra di controllo | + | O |  |  |
Localizzazione errore nelle reti elettriche |  |  |  |  |
Riconosci guasto messa a terra | + | O |  |  |
Termina ricerca messa a terra | + | O |  |  |
Avvia ricerca messa a terra | + | O |  |  |
Riconoscimento breve messaggio | + | O |  |  |
Message Control |  |  |  |  |
Salva coda d'attesa corrente | - |  | O |
Sopprimi Gruppi/Classi/Aree/Strutture | - |  | O |  |
Invia messaggio | - |  | O |  |
Attiva invio messaggio | - |  | O |  |
Disattiva invio messaggio | - |  | O |  |
Rete |  |  |  |  |
Autorizzazione di rete | + | O |  |  |
Commutazione ridondanza | - |  |  | O |
Generatore Report |  |  |  |  |
Stampare report | + |  |  |  |
Esegui report | + |  |  |  |
Esporta report | + |  |  |  |
Ricette |  |  |  |  |
Manager Gruppi di Ricette | - | O |  |  |
Ricetta Standard: | - | O |  |  |
Richiamo ricetta singola | + | O |  |  |
Richiamo ricetta singola con selezione | - | O |  |  |
Richiamo ricetta singola con selezione online | - | O |  |  |
Script |  |  |  |  |
Esegui script | + | O |  |  |
Script con selezione online | + | O |  |  |
Variabile |  |  |  |  |
Esportazione dati | - |  | O |  |
Leggi file dBase | + | O |  |  |
Stampa dei valori attuali | + | O |  |  |
Cambio unità di misura | + | O |  |  |
Attiva gestione HD | - |  | O | O |
Disattiva gestione HD | - |  | O | O |
Attiva/disattiva gestione HD | - |  | O | O |
Settare valore impostabile | - |  | O |  |
Comandi driver | - | O |  |  |
Simulazione immagine di processo del driver trasferita allo Standby | - |  |  | O |
Scrivi data/ora nella variabile | + | O |  |  |
Acquisisci ora dalla variabile | + | O |  |  |
VBA |  |  |  |  |
Apri Editor PCE | - |  | O |  |
VBA-Visualizza Editor | + | O |  |  |
Lanciare Macro-VBA | + | O |  |  |
VBA macro - Visualizza il dialogo | + | O |  |  |
VSTA |  |  |  |  |
Apri Editor VSTA | + | O |  |  |
Esegui macro VSTA | + | O |  |  |
VSTA-Visualizza il dialogo delle Macro | + | O |  |  |
Windows |  |  |  |  |
Esegui file audio | + | O |  |  |
Operazioni file | + | O |  |  |
Esegui file audio continuo | + | O |  |  |
Termina file audio continuo | + | O |  |  |
Porta sullo sfondo | - | O |  |  |
Porta in primo piano | - | O |  |  |
Stampa screenshot | + | O |  |  |
Esegui programma | + | O |  |  |


Message Control

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Message Control viene eseguito sul server prioritario.

Il server prioritario sincronizza i dati con il Server-Standby.


Interfacce di programmazione

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Interfacce di programmazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

VBA e VSTA

Di default, il codice in VBA o VSTA viene sempre eseguito localmente, sul sistema su cui viene avviato, oppure dove si verificano eventi.

Il luogo di esecuzione, però, può essere sempre definito in modo differente aprendolo con una funzione.

PCE

In rete, il PCE viene eseguito sempre sul server. Nel caso di progetti standalone, sul computer standalone.


Lista incrociata

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Lista incrociata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si tiene anche conto dell´uso di variabili nella rete ponderata. Il nome proprietà del luogo di utilizzo è dichiarato come nome elemento. Questo è o "Variabile d'evento" o "Valutazioni".

info Informazioni su

Ulteriori informazioni si trovano nella parte della guida dedicata alla Lista incrociata.


Generatore Report & Report Viewer

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Generatore Report & Report Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I file *.xrs del Generatore Report e i file *.rdl del Report Viewer vengono sincronizzati su tutti i sistemi della rete (Client, Server-Standby, Server prioritario).

Editor

Quando il file viene modificato nell´Editor di zenon, trasferito e caricato sul server prioritario, viene inoltrato automaticamente agli altri computer in rete.

Runtime

Se il file viene modificato a Runtime, le modifiche vengono salvate solo temporaneamente e sostituite al successivo reload o al riavvio del Runtime.


Ricette

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´esecuzione di ricette è differente a seconda che si tratti di ricette standard o RGM.

Ricette standard

Le ricette standard vengono gestite sul server prioritario e sul Server-Standby.

Se un utente vuole modificare una ricetta standard a Runtime, il client richiede al server prioritario la lista completa delle ricette. Quando si effettua la modifica, la lista delle ricette viene rimandata al server prioritario.

info Informazioni su

Questa lista non è identica al file rezepturen.cmp.

Se una ricetta viene modificata ed eseguita a Runtime sul client, viene eseguita con i nuovi valori. Quando si chiude la ricetta standard, il sistema offre la possibilità di salvare le modifiche.

Manager Gruppi di Ricette

Quando l'immagine "Manager gruppi ricette" viene caricata sul client, viene richiesta una lista di tutti i nomi ricetta dal server prioritario. Non appena viene selezionata una ricetta, questa viene caricata dal server prioritario.


Sequenze di comando

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Sequenze di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modulo Sequenze di comando funziona in rete secondo il seguente principio:

  • Le sequenze di comando possono essere configurate sia sul client, che sul Server o sul Server-Standby.
  • Le sequenze di comando configurate vengono gestite sul Server primario e inoltrate ai client.
  • Le sequenze di comando possono essere amministrate sia sul client, che sul Server.
  • Le sequenze di comando vengono eseguite sul Server primario.
  • Quando si verifica un cambio di ridondanza, le sequenze di comando in esecuzione vengono terminate.
    Possono essere riavviate manualmente sul Server primario.

Cambio di ruoli fra Server 1 e Server 2

  • Il cambio di ridondanza viene ritardato finché tutte le sequenze di comando attive non sono state portate a termine.
  • Durante un cambio di ridondanza viene bloccato lo start di sequenze di comando. I pulsanti sul client sono visualizzati in grigio (disabilitati).
    • Questo cambio di ridondanza può essere progettato un una rete ponderata.
    • In una rete dominante oppure in una rete non dominante, il cambio di ridondanza viene eseguito quando il Server primario smette di funzionare.
  • E' possibile riavviare l'esecuzione di sequenze di comando solo dopo che il cambio è stato portato a termine, oppure se il cambio stesso è stato cancellato.
    In questo caso viene scritto un inserimento nella CEL.
  • Messaggi CEL vengono scritti per gli eventi seguenti:
    • Start di una sequenza di comando è bloccato sul server.
    • Se una sequenza di comando deve essere avviata in una rete dominante sul Server 2 .
    • La sequenza di comando non può essere avviata a causa di un cambio di ridondanza in corso
    • Nota: non viene creato un messaggio CEL, invece, se viene avviata una sequenza di comando errata.

Inserimento nei LOG.

Inserimento | Level | Descrizione
The sequence (mrid:<id1>, crid:<id2>)<name> could not be started, because a redundancy switch is pending. | ERRORS | La sequenza di comando non può essere avviata a causa di un cambio di ridondanza in corso.

Eccezione: due server nella rete.

Se, quando si ha un cambio di Server primario, ci sono ancora sequenze di comando in esecuzione sul "nuovo" Server-Standby, queste vengono interrotte sullo Standby. Questo può accadere solo se i due server (per es. a causa di un errore di rete) non erano più collegati, e adesso sono di nuovo connessi. In questo caso, la modifica alla sequenza di comando non verrà applicata sul server primario.

Questo significa che, se c'è una connessione e sequenze di comando nel frattempo cancellate sullo Standby sono state già aperte sul server primario, queste verranno considerate come ancora in esecuzione. Potranno essere riavviate solo dopo essere state terminate sul Server 1 e sul Server 2.

Nessuna connessione fra server e standby

Se si apre l'immagine delle sequenze di comando sul client quando né Server 1 né Server 2 sono raggiungibili, l'Editor delle sequenze di comando non è disponibile sul client. Viene visualizzato vuoto. Nel Runtime di zenon verrà visualizzato, invece dell'immagine, un messaggio di errore.

Finestra di dialogo di errore

Se una sequenza di comando non può essere avviata, viene visualizzata la seguente finestra di dialogo di errore.


Script

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Script

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli script combinano più funzioni. Il luogo di esecuzione dipende dalle impostazioni della funzione Esegui script. Questa impostazione sovrascrive quella delle funzioni singole.

L´esecuzione di script in rete viene gestita da script predefiniti.

Script

Descrizione

Luogo di esecuzione

AUTOSTART

Lo script viene eseguito automaticamente all´avvio del Runtime, prima del caricamento della schermata di partenza, se il progetto è quello di partenza del Runtime. Non viene eseguito quando vengono lanciati dei progetti subordinati.
  • Progetto di rete:
    Server primario
  • Progetto standalone:
    Calcolatore attivo

AUTOEND

Lo script viene eseguito automaticamente alla chiusura del Runtime se il progetto è quello di partenza del Runtime. Non viene eseguito quando vengono chiusi dei progetti subordinati.

  • Progetto di rete:
    Server primario
  • Progetto standalone:
    Calcolatore attivo

AUTOSTART_CLIENT

Lo script viene eseguito automaticamente su un client all'avvio del Runtime, prima del caricamento della schermata di partenza, se il progetto è quello di partenza del Runtime. Non viene eseguito quando vengono lanciati dei progetti subordinati.

Progetto standalone:
Calcolatore attivo

AUTOEND_CLIENT

Lo script viene eseguito automaticamente su un client alla chiusura del Runtime se il progetto è quello di partenza del Runtime. Non viene eseguito quando vengono chiusi dei progetti subordinati.

Progetto standalone:
Calcolatore attivo

AUTOSTART_SRVPRJ

Lo script viene eseguito automaticamente all'avvio del Runtime di un progetto qualsiasi sul server prioritario, prima del caricamento della schermata di partenza.

Progetto di rete:
Server primario

AUTOEND_SRVPRJ

Lo script viene eseguito automaticamente alla chiusura del Runtime di un progetto qualsiasi sul server prioritario.

Progetto di rete:
Server primario


Driver nella rete di zenon

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Driver nella rete di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella rete di zenon, il server prioritario comunica di norma via driver con il PLC. Le richieste del client vengono inoltrate tramite il server primario. Quest´ultimo va a prendere le informazioni dal PLC e le passa al client. I valori limite vengono monitorati dal server primario.

Driver

I driver vengono eseguiti sul server primario e sul Server-Standby.

Noch in diesem Kapitel

Driver per variabili interne

Driver - Valori limite e matrici di reazione.

Driver - Ritardo del cambio di ruoli in caso di cambio di ridondanza.


Driver per variabili interne

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Driver nella rete di zenon -> Driver per variabili interne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per le variabili interne, in zenon si può definire per ogni variabile se il suo valore è solo locale (sul calcolatore), oppure lo stesso nell'intera rete.

info Informazioni su

Le variabili del tipo di oggetto del driver variabili interne sono disponibili solamente per il driver per variabili interne (INTERN).

Per configurare il calcolo di variabili interne:

  1. Passare al nodo Variabili Interne delle proprietà delle variabili interne.

  2. Definite il luogo di esecuzione usando la proprietà Funzionamento:
    Questa proprietà può essere definita in modo differente per ogni singola variabile. Anche gli array sono supportati.
    1. Locale: nei progetti di rete, la variabile interna viene gestita e analizzata localmente, cioè anche sul Server-Standby e sui client. I valori non vengono sincronizzati con gli altri computer della rete.
    2. Rete: nel progetti di rete, la variabile interna viene analizzata e gestita sul server prioritario. Ha lo stesso valore sul server prioritario e su tutti client.

Nota: Non disponibile se il terminal CE funge da server di dati. Ulteriori informazioni sull´argomento le trovate nella parte della guida dedicata a zenon Operator, nel capitolo concernente CE Terminal come data server.


Driver - Valori limite e matrici di reazione.

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Driver nella rete di zenon -> Driver - Valori limite e matrici di reazione.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In linea di principio, i valori limite e le matrici di reazione vengono monitorati sul server prioritario (dove viene gestita anche la AML).

Per le variabili interne locali vale anche quanto segue:

  • I valori limite e le matrici di reazione vengono monitorati localmente su tutti i computer (server prioritario, Server-Standby e client).
  • Le funzioni di valore limite collegate vengono eseguite solo dove il valore limite della variabile interna locale è stato violato.
  • Le violazioni di valore limite di queste variabili sul Server-Standby oppure sul client non sono un allarme.


Driver - Ritardo del cambio di ruoli in caso di cambio di ridondanza.

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Driver nella rete di zenon -> Driver - Ritardo del cambio di ruoli in caso di cambio di ridondanza.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando un server configurato viene avviato o riavviato, è possibile che il passaggio al ruolo di server primario venga ritardato da un driver.

Questo garantisce che il cambio dei ruoli avvenga solamente quando tutte le variabili di processo hanno un valore valido.

info Informazioni su

Il ritardo del cambio di ruoli è supportato solamente da pochi driver, come, per es., ilSiemens AK-Treiber.

Per verificare se questo meccanismo è supportato no, consultare la documentazione del driver.

Messaggi nei LOG

Parametri

Level

Descrizione

Redundancy Switch confirmation requested for project <Nome progetto> module:VAR sequenceNo:<SequenceNo>

Debug

Richiesta conferma che può essere eseguito il cambio di server primario

  • Nome progetto
    Il nome del progetto.
  • SequenceNo
    Numero progressivo per l'assegnazione di request e response.

Redundancy Switch confirmed for project <Nome progetto> module:VAR sequenceNo: <SequenceNo>

Debug

Conferma che può essere eseguito il cambio di server primario

Redundancy Switch delayed for project <Nome progetto> module:VAR sequence id: <SequenceNo>

Debug

Ritardo del cambio di ruoli server attivato.

Sample driver gave startup okay

Debug

Tempo di ritardo scaduto sul driver.

me:<Transport class> mod:<NetzwerkModuleId>(<Network module name>) msg:<network module command> SeqId:<SequenceId> dest:<Targetcomputer> prj:<projectname>

Debug

Inserimento nei LOG quando è necessaria una conferma fra diversi computer.

  • Transport class:
    Nome classe per il trasporto del comando. Varia a seconda del modulo.
  • Network module ID:
    ID del modulo di rete.
  • Network module name:
    Nome del modulo di rete.
  • SequenceId:
    Numero progressivo usato per assegnare request e response.
  • Target computer:
    Computer a cui sono trasferiti i dati.
    Optional. S indica il server attivo.
  • Project name:
    Nome del progetto per cui viene eseguito il trasporto.


zenon Web Client nella rete ridondante

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> zenon Web Client nella rete ridondante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con una configurazione ridondante della rete di zenon, la distribuzione dei ruoli di server primario e Server-Standby dipende dal tipo di ridondanza progettato. Non è sempre chiaramente riconoscibile se il Server 1 o il Server 2 configurati ha il ruolo del server primario.

Si raccomanda, perciò, di configurare tutti e due i server per il Web Server. Questa configurazione si esegue nel file global_vars.js con l´inserimento RUNTIMESERVER=.

La successione dovrebbe corrispondere a quella della progettazione nell´Editor di zenon:

  • Runtime server = Server 1
  • Runtime server2 = Server 2

Lo zenon Web Server cerca di contattare i due server uno dopo l´altro. Se, per es., il Runtime server2 configurato è il server primario, invia i dati (compreso il file project.ini) al client.

Configurazione server modificata

Se il nome server configurato nell´Editor non corrisponde a quello impostato ne file global_vars.js, il Web Client o il Client Runtime non si avviano.

Se la configurazione del server viene modificata in zenon per un sistema in esecuzione, nello zenon Web Client verrà visualizzata la finestra di dialogo "Il Runtime è occupato".

Dopo una sincronizzazione di progetto, verranno visualizzate in un´altra finestra di dialogo la configurazione attiva al momento e quella configurata. In questo caso, la finestra browser deve essere chiusa dall´utente e il Web Client deve essere riavviato.

attention Attenzione

Se si cambia la configurazione di Server 1 e Server 2 nell´Editor di zenon, anche il file global_vars.js deve essere modificato in modo corrispondente.

Ulteriori informazioni sull´argomento si trovano nella parte della guida dedicata allo zenon Webserver nel capitolo Configurazione di global_vars.js.


Temporizzatori

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Temporizzatori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I temporizzatori vengono eseguiti sul server prioritario La funzione attivata viene eseguita su sistema che nelle impostazioni è stato scelto per l'esecuzione della funzione.


Attribuzioni

Manuale -> Rete -> Comportamento dei moduli di zenon in rete. -> Attribuzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le attribuzioni vengono eseguite sempre solo sul server primario.

attention Attenzione

Questo è di particolare importanza per le variabili interne locali. Queste ultime non verranno eseguite sul Server-Standby o sui client!


Messaggi di rete del driver di sistema

Manuale -> Rete -> Messaggi di rete del driver di sistema

Su questo tema sono a Vostra disposizione le seguenti variabili di sistema:

Nome

Tipo di dato

Commento

[Rete] Server primario attuale

STRING

lokal

Nome computer del server primario attuale.
Se il nome viene acquisito dal file host, sarà il nome inserito lì. Con il DNS, questo nome è il nome di dominio completo (Fully Qualified Domain Name).

Nota: se la rete è disattivata, la variabile invia lo stato INVALID. La variabile [Rete] Server Standby attuale, invece, rimane vuota.

[Rete] Server Standby attuale

STRING

lokal

Nome computer del server che attualmente non è quello prioritario.
Se il nome viene acquisito dal file host, sarà il nome inserito lì. Con il DNS, questo nome è il nome di dominio completo (Fully Qualified Domain Name).

[Rete] Quantità clients collegati

UDINT

Restituisce il numero dei client attualmente connessi al server. Questo numero include anche il Server-Standby, se ce n'è uno.

[Rete] Autorizzazione negata

BOOL

Mostra se un´autorizzazione operativa richiesta in rete viene rifiutata. In questo caso, il valore della variabile viene modificato solo per poco tempo, per poi essere resettato sullo stato originario.

  • 0 = richiesta di autorizzazione operativa accettata
  • 1 = richiesta di autorizzazione operativa negata

[Rete] Autorizzazione rete: disponibile su questo PC

BOOL

Mostra se sul calcolatore locale è disponibile l´autorizzazione operativa per il progetto attuale.

  • 0 = No
  • 1 = Si

[Rete] Autorizzazione di rete: Computer in possesso

STRING

Mostra il nome del calcolatore che possiede l´autorizzazione operativa per il progetto caricato attualmente.

[Rete] Risultato valutazione Server 1

UDINT

Quando si effettuano dei cambiamenti ad una variabile della matrice di analisi, dopo il calcolo del nuovo esito dell´analisi, questo valore viene scritto sulla variabile di sistema corrispondente per Server 1 o Server 2. I valori si sincronizzano reciprocamente (Server <-> Standby), in modo tale che su entrambi i server ci sia sempre il valore attuale. Dopo che un calcolatore ha smesso di funzionare, il suo valore rimane ancora sulla variabile corrispondente e la sincronizzazione avviene solo dopo una nuova connessione.

Nota: ulteriori informazioni sull´analisi si trovano nella parte della guida dedicata alla Rete, e più precisamente nel capitolo Configurazione dell´analisi della ridondanza.

[Rete] Risultato valutazione Server 2

UDINT

Quando si effettuano dei cambiamenti ad una variabile della matrice di analisi, dopo il calcolo del nuovo esito dell´analisi, questo valore viene scritto sulla variabile di sistema corrispondente per Server 1 o Server 2. I valori si sincronizzano reciprocamente (Server <-> Standby), in modo tale che su entrambi i server ci sia sempre il valore attuale. Dopo che un calcolatore ha smesso di funzionare, il suo valore rimane ancora sulla variabile corrispondente e la sincronizzazione avviene solo dopo una nuova connessione.

Nota: ulteriori informazioni sull´analisi si trovano nella parte della guida dedicata alla Rete, e più precisamente nel capitolo Configurazione dell´analisi della ridondanza.

[Rete] Nomi dei clients collegati

STRING

xxx Mostra i nomi dei client attualmente connessi al server. Compreso anche quello di un eventuale Server-Standby.

[Rete] Server primario <-> server standby in sincronizzazione dati

BOOL

Una variabile binaria che riceve per breve tempo il valore 1 se dal sistema viene eseguito un cambio di ridondanza fra server e Server-Standby.

  • 0 = nessuna sincronizzazione
  • 1 = sincronizzazione dati attiva

[Rete] Server primario fuori servizio

BOOL

lokal

Indica che la connessione con il server prioritario è andata persa.
A seconda della posizione del computer nella topologia di rete, questo significa:

  • Server dominante: nel periodo di tempo in cui questo non è ancora server prioritario, il valore passa a TRUE se la connessione con il server prioritario si è interrotta. Dopo la sincronizzazione sempre FALSE.
  • Server non dominante: passa a TRUE quando la connessione al server dominante (che era prioritario) si è interrotta. Ritorna a FALSE quando il Server-Standby è passato a svolgere il ruolo di server prioritario.
    VALUTAZIONE: preferibilmente tramite una matrice di reazione (REMA), visto che anche la gestione allarmi a questo punto passa da un calcolatore all´altro e viene ripresa dal SB. Anche il contenitore online non è adatto allo scopo visto che le variabili vengono inizializzate di nuovo nel caso di un cambio di ridondanza.

Client: Passa a TRUE quando la connessione al server prioritario si è interrotta. Ritorna a FALSE quando il client si connette al computer SB che ha assunto adesso il ruolo di server prioritario.

[Rete] Server primario terminato

BOOL

lokal

Indica che il server prioritario è stato terminato in modo corretto.
Il valore passa a TRUE quando il server prioritario è stato terminato in modo regolare. È FALSE quando c'è un server prioritario in rete.

A seconda della posizione del computer nella topologia di rete, questo significa:

  • Server dominante: Nel periodo di tempo in cui questo non è ancora server prioritario, il valore passa a TRUE quando il server prioritario si è fermato.
  • Server non dominante: Passa a TRUE quando il server dominante (che è prioritario), si è fermato. Ritorna a FALSE quando lo SB è passato a svolgere il ruolo di server prioritario.
  • VALUTAZIONE: preferibilmente tramite una matrice di reazione (REMA), visto che anche la gestione allarmi a questo punto passa da un calcolatore all´altro e viene ripresa dal SB. Anche il contenitore online non è adatto allo scopo visto che le variabili vengono inizializzate di nuovo nel caso di un cambio di ridondanza.
  • Client: passa a TRUE quando il server dominante si è fermato. Ritorna a FALSE quando il client si connette al computer SB che ha assunto adesso il ruolo di server prioritario.
    È TRUE anche nel periodo di tempo in cui il server non dominante prioritario torna ad essere server non prioritario.

[Rete] Stand-alone/Server primario/Server Standby/Client

DINT

Mostra di che tipo è il computer locale nella rete.

  • -1 = Standalone
  • 0 = Client
  • 1 = server prioritario
  • 2 = Server Standby

[Rete] Server Standby fuori servizio

BOOL

Passa a TRUE quando la connessione al server attualmente non prioritario è stata interrotta in modo inaspettato. Se la connessione esiste e funziona, il valore è FALSE.

A seconda della posizione del computer nella topologia di rete, questo significa:

  • Server dominante: la variabile si comporta nel modo descritto solo a partire dal momento in cui il Server-Standby diventa server prioritario.
  • Server non dominante: se, al momento della sincronizzazione file con il server dominante, ma non prioritario, la connessione si interrompe, il valore passa a TRUE. Sempre FALSE se non server prioritario.
  • Client: Come server prioritario

[Rete] Server Standby terminato

BOOL

È TRUE sul server prioritario se il server non prioritario è stato terminato in modo corretto e non c'è più una connessione. Ritorna a FALSE quando il server non prioritario si è registrato sul server prioritario.

A seconda della posizione del computer nella topologia di rete, questo significa:

  • Server dominante: la variabile si comporta come descritto solo a partire dal momento in cui il Server-Standby diventa server prioritario.
  • Server non dominante: Se, al momento della sincronizzazione file con il server dominante, ma non prioritario, questo è stato terminato, il valore passa a TRUE. Sempre FALSE se non server prioritario.
  • Client: Come server prioritario

[Rete] Server Standby attivato

BOOL

È TRUE se il server non prioritario si è registrato sul server prioritario, la sincronizzazione file è stata eseguita e la connessione fra i computer è attiva.

A seconda della posizione del computer nella topologia di rete, questo significa:

  • Server dominante: la variabile si comporta come descritto solo a partire dal momento in cui il Server-Standby diventa server prioritario.
  • Server non dominante: diventa TRUE quando si avvia il server dominante, ma non prioritario Passa a FALSE quando il computer diventa server prioritario.
  • Client: Come server prioritario

[Rete] Timeout [ms]

UDINT

Mostra il tempo di timeout in millisecondi configurato per la rete di zenon.

[Rete] Imposta da Server primario a Server Standby

BOOL

Una variabile binaria che riceve il valore 1 quando, durante un cambio ridondanza, il server diventa Server-Standby.

  • 0 = il server inserito è disponibile in rete nel ruolo di server.
  • 1 = il server inserito è disponibile in rete nel ruolo di Server-Standby.

[Rete] Imposta da Server Standby a Server primario

BOOL

Una variabile binaria che riceve il valore 1 quando, durante un cambio ridondanza il Server-Standby diventa server.

  • 0 = il Server-Standby inserito è disponibile in rete nel ruolo di Server-Standby.
  • 1 = il Server-Standby inserito è disponibile in rete nel ruolo di server.


Ricette standard

Manuale -> Ricette standard

Le ricette raccolgono valori impostabili e comandi in una lista che viene aperte nel runtime con l´apertura di funzione.

Le ricette possono essere configurate sia nell´editor, che durante il runtime (per mezzo di un´immagine del tipo Ricetta standard).

Una raccolta di più ricette viene creata e gestita nel Manager gruppi ricette.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Menù contestuale - manager di progetto

Voce di menù | Azione
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Apre la guida online

Noch in diesem Kapitel

Progettazione nell'editor

Funzione Cambio immagine Ricette standard

Gestione durante il runtime


Progettazione nell'editor

Manuale -> Ricette standard -> Progettazione nell'editor

Noch in diesem Kapitel

Menù contestuale - manager di progetto

Menù contestuale Visualizzazione dettagliata:

Imposta tipo di immagine "ricetta standard"

Creare una nuova ricetta

Aggiungere delle variabili alla ricetta

Modifica valore impostabile

Eseguire le ricette


Menù contestuale - manager di progetto

Manuale -> Ricette standard -> Progettazione nell'editor -> Menù contestuale - manager di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Voce di menù | Azione
Nuova ricetta | Crea una nuova ricetta nella lista e apre il nome perché lo si possa modificare.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa da file XML.
Importa ASCII | Importa da file ASCII.
Profilo editor | Apre la lista a cascata per l´attribuzione di un Profilo editor.
Guida | Apre la guida online


Menù contestuale Visualizzazione dettagliata:

Manuale -> Ricette standard -> Progettazione nell'editor -> Menù contestuale Visualizzazione dettagliata:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra degli strumenti

Voce di menù | Azione
Nuova ricetta | Crea una nuova ricetta nella lista e apre il nome perché lo si possa modificare.
Crea funzione standard | Apre il dialogo che serve alla selezione di una ricetta e di un´azione e crea una funzione adatta. L´azione viene documentata nella finestra di emissione.
Aggiungi variabile | Apre il dialogo che serve alla selezione di variabili.
Torna all'elemento di partenza | Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza. Nel menu contestuale esistente solamente, se aperto come elemento collegato.
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selezionati.
Sposta in su | Sposta l´inserimento all´interno della lista ricette di una posizione verso l´alto.
Sposta in giù | Sposta l´inserimento all´interno della lista ricette di una posizione verso il basso.
Modifica valore impostabile | Attiva la cella Valore impostabile per inserire un valore.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa da file XML.
Esporta ASCII selezionati | Esporta gli inserimenti selezionati in un file ASCII.
Importa ASCII | Importa da file ASCII.
Rinomina | Consente di rinominare della ricetta selezionata. Possibile anche con un clic del mouse nel campo, oppure mediante il tasto F2.
Proprietà | Apre la finestra proprietà.
Guida | Apre la guida online

Mene contestuale albero nella visualizzazione dettagliata.

Voce di menù | Azione
Aggiungi variabile | Apre il dialogo che serve alla selezione di variabili.
Nuova ricetta | Crea una nuova ricetta nella lista e apre il nome perché lo si possa modificare.
Crea funzione standard | Apre il dialogo per la selezione di una ricetta e per la definizione dell´azione desiderata.
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selezionati.
Esporta selezione in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa da file XML.
Esporta ASCII selezionati | Esporta gli inserimenti selezionati in un file ASCII.
Importa ASCII | Importa da file ASCII.
Rinomina | Consente di rinominare della ricetta selezionata. Possibile anche con un clic del mouse nel campo, oppure mediante il tasto F2.
Proprietà | Apre la finestra proprietà.
Guida | Apre la guida online

Menù contestuale Dettagli

Voce di menù | Azione
Aggiungi variabile | Apre il dialogo che serve alla selezione di variabili.
Rimuovi variabile | Elimina le variabili selezionate dopo una richiesta di conferma per ragioni di sicurezza.
Sposta in su | Sposta la variabile selezionata di una posizione verso l´alto.
Sposta in giù | Sposta la variabile selezionata di una posizione verso il basso.
Modifica valore impostabile | Apre la cella con il valore impostabile che si vuole modificare.
Elimina filtro | Elimina tutte le impostazioni di filtro attive
Guida | Apre la guida online


Imposta tipo di immagine "ricetta standard"

Manuale -> Ricette standard -> Progettazione nell'editor -> Imposta tipo di immagine "ricetta standard"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La gestione delle ricette durante il runtime avviene mediante un'immagine del tipo Ricetta standard. Quest'immagine deve essere anzitutto definita nell'editor.

Dopo l'apertura dell'immagine, viene aperta un'immagine vuota. Potete creare gli elementi di controllo standard attraverso il menù Elementi di controllo -> Inserisci modello. Le modifiche apportate con successo possono essere protocollate nella Lista Eventi Cronologica.

Parametri

Descrizione

Inserisci modello

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Pulsanti

Nuova ricetta

Creare una nuova ricetta

Salva ricetta

Salvare la ricetta attuale con lo stesso nome

Leggi valori dall'Hardware

I valori di tutte le variabili selezionate nella ricetta sono letti dal PLC e inseriti nella ricetta. Le modifiche devono essere salvate!

Copia ricetta

Copia la ricetta attuale

Elimina ricetta

Cancellare la ricetta attuale

Modifica ricetta

Modificare la ricetta attuale.

Esporta ricetta

Salvare ricetta attuale come *.txt .

Importa ricetta

Carica la ricetta attuale da un file *.txt .

Scrivi ricetta

I valori di tutte le variabili che si trovano nella ricetta selezionata sono scritti nel PLC nella stessa maniera di come sono rappresentati nella tabella.

Ricetta successiva

Passare alla ricetta seguente.

Ultima ricetta

Passare all´ ultima ricetta.

Ricetta precedente

Richiama la ricetta precedente.

Prima ricetta

Richiama la prima ricetta

Tutti i valori ++

Tutti valori della ricetta selezionata vengono aumentati di 1.

Tutti i valori --

Tutti i valori della ricetta selezionata vengono diminuiti di 1.

aggiungi variabile

Aggiunge una variabile alla ricetta selezionata E' possibile usare anche variabili di altri progetti caricati.

Rimuovi variabile

Separa la variabile selezionata dalla ricetta

Modifica valore impostabile

Modifica il valore di una variabile selezionata nella ricetta un valore decimale può essere scritto sia utilizzando la virgola che il punto; ma la virgola verrà trasformata automaticamente in un punto.

Attenzione: Se questo elemento non esiste nell’ immagine, le ricette vengono visualizzate all’ interno della lista con l’ impossibilità di essere modificate.

Generale

Nome ricetta

Nome della ricetta attualmente selezionata

Finestra ricetta

Rappresentazione della ricetta selezionata in forma tabellare.

Scrittura in corso

Si tratta di una bargraf che indica lo stato di avanzamento della dichiarazine delle ricette.

L´elemento di controllo mostra la barra di avanzamento a seconda del posizionamento e delle caratteritiche dell´elemento o dal basso verso l´alto, oppure da sinistra a destra.

L´elemento di controllo è nascosto durante il Runtime e viene visualizzato solamente durante la scrittura di una ricetta.

Nota: l´elemento di controllo viene visualizzato solamente se la proprietà Scrittura sincrona è attiva.

Scrivere simultaneamente:

se la proprietà Scrittura sincrona è attiva, l´elemento di controllo Stato di avanzamento viene visualizzato quando una ricetta viene scritta nel PLC e finché non giunge la conferma di scrittura al modulo ricette, indipendentemente dal fatto, se essa è positiva o negativa. Nel caso in cui si voglia che il sistema reagisca ad una conferma di scrittura negativa, si può raggiungere tale obiettivo facendo uso delle Matrici di reazione.

info Informazioni su

I pulsanti possono essere protetti per mezzo di una password e di un livello di autorizzazione. Per i dettagli si veda la sezione Gestione durante il runtime.


Creare una nuova ricetta

Manuale -> Ricette standard -> Progettazione nell'editor -> Creare una nuova ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una nuova ricetta, si deve selezionare nel Manager di progetto la voce Nuova ricetta nel menù contestuale del punto Ricette/ Ricette standard. La nuova ricetta viene poi visualizzata nella sezione lista del Manager di progetto. Nella visualizzazione dettagli si effettua poi anche l'ulteriore lavoro di progettazione.


Aggiungere delle variabili alla ricetta

Manuale -> Ricette standard -> Progettazione nell'editor -> Aggiungere delle variabili alla ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo aver creato una nuova ricetta, potete aggiungervi delle variabili.

attention Attenzione

Variabili stringa non possono essere scritte con una ricetta standard sul PLC. Per le variabili stringa usate il manager di gruppi ricette.

Variabili vengono selezionate nel dialogo 'Filtro: Selezione variabili'.' Le variabili vengono riprese o cliccando due volte, oppure usando il pulsante Aggiungi. E' possibile una selezione multipla. Possono essere utilizzate anche variabili provenienti da sotto-progetti caricati. Tutte le variabile che vengono aggiunte ad una ricetta non devono essere protette da scrittura. Se effettuate delle modifiche concernenti le variabili (ne cambiate la configurazione standard), anche il valore impostabile da settare viene adeguato nella ricetta in modo proporzionale.

info Informazioni su

un valore decimale può essere scritto sia utilizzando la virgola che il punto; ma la virgola verrà trasformata automaticamente in un punto.

Smista variabili

Potete smistare le variabili a piacimento:

Selezionate la variabile la cui posizione nella successione deve essere modificata e scegliete una delle seguenti azioni:

  • spostare usando i tasti delle frecce che si trovano sulla tastiera in basso a destra
  • selezionare nel menù contestuale "su" o "giù".

Menù contestuale Supervisione variabili

Parametri | Descrizione
Aggiungi variabile | Apre il dialogo per la selezione delle variabili.
Rimuovi variabile | Cancella le variabili selezionate dalla lista dopo la conferma di una segnalazione corrispondente.
Sposta in su | Sposta la variabile selezionata di una posizione verso l´alto.
Sposta in giù | Sposta la variabile selezionata di una posizione verso il basso.
Modifica valore impostabile | Attiva la cellula Valore impostabile ed evidenzia il valore impostabile attuale.
Rimuovi tutti i filtri | Elimina tutti i filtri settati.
Guida | Apre la guida online


Modifica valore impostabile

Manuale -> Ricette standard -> Progettazione nell'editor -> Modifica valore impostabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter modificare il valore impostabile per una variabile, potete o cliccare sulla voce Modifica valore impostabile del menù contestuale, oppure inserire direttamente la modifica desiderata nella colonna "valore impostabile". Per la verifica del valore impostabile vengono visualizzati per ogni variabile il valore minimo e massimo . Se si vuole cancellare delle variabili, è possibile selezionarne più di una, cosa che non è consentita nel caso si vogliano apportare delle modifiche.

La variabile _LASTRECIPE contiene il nome dell'ultima ricetta standard eseguita.

Questo Le permette di effettuare un management di ricette ed avrà in ogni momento l'informazione su quale ricetta viene attualmente modificata.

La variabile _LASTNEWRECIPE contiene il nome dell'ultima ricetta standard creata.

Le variabili _LASTRECIPE e _LASTNEWRECIPE possono essere basate su qualsiasi driver e deve esserne autorizzata la scrittura.

attention Attenzione

Eccezioni:

La variabile _LASTRECIPE non è realizzabile con il driver di sistema standard.

La variabile _LASTNEWRECIPE non è realizzabile con il driver di sistema standard.

Noch in diesem Kapitel

Controlla Scrivi valore impostabile


Controlla Scrivi valore impostabile

Manuale -> Ricette standard -> Progettazione nell'editor -> Modifica valore impostabile -> Controlla Scrivi valore impostabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando vengono scritti dei valori, ognuno di essi riceve un bit di stato. Se la scrittura viene effettuata con successo, viene settato anche il bit di stato corrispondente:

  • WR-ACK

    Il driver ha ricevuto un valore da scrivere.

  • WR-SUC

    Valore 1: Scrittura avvenuta con successo.

    Valore 0: Scrittura non effettuata con successo. Non è stato possibile settare il valore.

info Informazioni su

Nel caso di una ricarica del progetto o di un cambio server-standby, le segnalazioni di ritorno in attesa o le conferme di scrittura vengono rifiutate.

Questa combinazione di valori di stato permane finché non viene inizializzata una nuova modifica di valore. Poi entrambi gli stati sono settati su 0, finché il procedimento di scrittura non è concluso. Per la valutazione, nella matrice di reazione deve essere interrogata questa combinazione di bit:

WR-ACK, WR-SUC

Risultato:

  • WR-ACK 1, WR-SUC 1: Procedimento scrittura avvenuto con successo.
  • WR-ACK 1, WR-SUC 0: Procedimento scrittura avvenuto senza successo.

attention Attenzione

Il meccanismo verifica solamente se il processo di scrittura su PLC si è concluso con o senza successo. Ciò non significa, che il valore sia stato modificato effettivamente nel PLC, poiché esso può resettare/sovrascrivere il valore immediatamente. (Per esempio nella scrittura su output o transient bit, che vengono settati solamente a breve termine.)

Moduli

Questo meccanismo può essere usato con i seguenti moduli:

  • Funzione Setta valore impostabile Attivare opzione Attendi conferma scrittura nel dialogo di configurazione della funzione.
  • Ricette standard: Attivare proprietà Scrittura sincrona .
  • Manager gruppi di ricette: Attivare proprietà Scrittura sincrona.
  • Comandi

Inserimento nella CEL

  • Funzione Settare valore impostabile

    Per l´inserimento nella CEL, si deve attivare nelle proprietà di progetto, e più precisamente al nodo Lista eventi cronologica (CEL). la proprietà Funzioni settaggio valore. Ogni volta che si esegue la funzione, viene scritta nella CEL risposta positiva o negativa.

  • Ricette standard e Manager gruppi ricette

    Per l´inserimento nella CEL si usa una variabile di sistema, che passa a 1 nel caso la ricetta sia stata depositata con successo. Una variabile globale viene analizzata sul server, una locale sul client; questo per verificare quando è stata completata la scrittura dell´ultima ricetta eseguita.
    Con queste variabili si può generare un inserimento CEL per i valori limite o per le Matrici di reazione. La richiesta avviene con una matrice di reazione multianalogica o una multibinaria.


Eseguire le ricette

Manuale -> Ricette standard -> Progettazione nell'editor -> Eseguire le ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´esecuzione di ricette può avvenire:

  • durante il runtime per mezzo di pulsante nell´immagine ricetta standard,
  • tramite l´apertura progettata nell´Editor di una funzione per l´esecuzione della ricetta mediante:
    • Script (p.e. AUTOSTART-script)
    • Stato variabili
    • Elemento ad immagine dinamico, per es. Pulsante


Funzione Cambio immagine Ricette standard

Manuale -> Ricette standard -> Funzione Cambio immagine Ricette standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione cambio immagine a una ricetta standard consente di aprire durante il runtime un´immagine con una ricetta standard.

Per progettare questa funzione:

  1. create una nuova funzione
  2. selezionate Cambio immagine
  3. selezionate l´immagine desiderata del tipo Ricetta standard
  4. si apre il dialogo filtro per
    • Scelta ricette
    • Proprietà colonne
  5. definite Ricetta e Impostazioni colonne
  6. Chiudete il dialogo cliccando su OK.

Noch in diesem Kapitel

Cartella Selezione ricetta

Scheda Proprietà colonne


Cartella Selezione ricetta

Manuale -> Ricette standard -> Funzione Cambio immagine Ricette standard -> Cartella Selezione ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametri

Descrizione

Ricette

Selezione della ricetta che deve essere visualizzata al momento del cambio immagine.

Proponi dialogo a Runtime

attivo: durante il runtime, il sistema offre questo dialogo in concomitanza con un cambio immagine. La ricetta selezionata può essere modificata.

inattivo: l´immagine viene aperta con la ricetta definita nell´Editor. Nessuna possibilità di modifica nel runtime.


Scheda Proprietà colonne

Manuale -> Ricette standard -> Funzione Cambio immagine Ricette standard -> Scheda Proprietà colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa sede stabilite quali colonne e in quale forma devono essere visualizzate nel campo lista.

Parametri | Descrizione
Colonne disponibili | Definizione delle colonne visualizzate nel runtime.
Parametri | Impostazione delle proprietà per la colonna evidenziata.
Descrizione: | didascalia della colonna durante il runtime.
Larghezza: | Larghezza della colonna in pixel.
Orientamento: | Orientamento testo della colonna.


Gestione durante il runtime

Manuale -> Ricette standard -> Gestione durante il runtime

Nel funzionamento online per la gestione delle ricette sono a disposizione le seguenti funzioni:

Parametri | Descrizione
Ricetta singola diretta | Trasmissione diretta della ricetta attiva
Ricetta singola con selezione | Modifica dei parametri della ricetta attiva
Ricetta singola con selezione online | Selezione di una ricetta e modifica dei relativi parametri

Con l'utilizzo della funzione ricetta singola con selezione viene aperta la maschera delle ricette.

I pulsanti utilizzabili sono:

Parametri

Descrizione

Salva

Salva le modifiche nella ricetta.

Chiudi

Chiude le impostazioni della ricetta.

Imposta

Trasmette la ricetta con i parametri attuali.

Aggiungi variabile

Aggiunge una nuova variabile alla ricetta attraverso la lista delle variabili.

Sciogli variabile

Cancellazione temporanea della variabile selezionata dalla ricetta (se la ricetta viene salvata la cancellazione è definitiva).

Modifica valore impostabile

Modifica del valore della variabile selezionata.

un valore decimale può essere scritto sia utilizzando la virgola che il punto; ma la virgola verrà trasformata automaticamente in un punto.

Attenzione: Se questo elemento non esiste nell’ immagine, le ricette vengono visualizzate all’ interno della lista con l’ impossibilità di essere modificate.

Con l'utilizzo della funzione ricetta singola con selezione onlinepossono essere selezionati e modificati la ricetta ed i suoi parametri . Viene aperto il dialogo per la selezione della ricetta. Il procedimento da seguire è simile alla configurazione nell´ editor, solo che non sarà possibile cancellare una ricetta.

info Informazioni su

Nel caso in cui si avvii un aggiornamento progetto runtime o un cambio server-standby, le segnalazioni di ritorno in attesa o le conferme di scrittura vengono rifiutate.

Ulteriori informazioni sui file runtime modificati le potete trovare nel capitolo Progetto e Workspace /File runtime modificabili RT

Autorizzazioni d´accesso nel Runtime

Le azioni realizzate durante il runtime possono essere protette per mezzo di una Password e dei Livelli di autorizzazione :

  • Per cancellare, salvare e modificare le ricette, l'utente registrato deve disporre del livello di autorizzazione impostato nella ricetta. In mancanza dell'autorizzazione necessaria, l'operazione non viene eseguita.
  • Nel caso in cui il pulsante Modifica valore impostabile è protetto da una password, il valore nella tabella può essere modificato solo se l´utente dispone del livello di autorizzazione corrispondente. Altrimenti, nel caso di un Login temporaneo attivo, il dialogo per effettuare il Login viene aperto non appena si clicca su una colonna per modificare un valore.
  • Se il pulsante Salva modifiche è protetto da una password e l´utente non dispone del livello di autorizzazione necessario, dopo l´effettuazione di modifiche alla ricetta e quando si chiude l´immagine, viene aperto il dialogo per il Login temporaneo, per consentire di salvare le modifiche stesse.

Noch in diesem Kapitel

Funzioni - ricetta

Informazioni di stato nel caso di ricette e manager gruppi ricette


Funzioni - ricetta

Manuale -> Ricette standard -> Gestione durante il runtime -> Funzioni - ricetta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per rendere possibile un uso nella modalità runtime, si procede alla creazione delle desiderate funzioni ricetta.

Se si crea la funzione standard dal menu contestuale nella sezione lista, zenon genera automaticamente una funzione Ricette standard per la ricetta selezionata.

Noch in diesem Kapitel

Ricetta singola

Ricette Standard


Ricetta singola

Manuale -> Ricette standard -> Gestione durante il runtime -> Funzioni - ricetta -> Ricetta singola

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione Ricetta singola è disponibile in tre forme:

  • Ricetta singola diretta
  • Ricetta singola con selezione
  • Ricetta singola con selezione online

Ricetta singola diretta

Con questa funzione si setta direttamente nel funzionamento online una ricetta definita. All´interno di una ricetta possono essere selezionate solo le variabili di processo di un driver.

Si indica come parametro di trasferimento la ricetta. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo:

Ricetta singola con selezione

Con questa funzione si modifica (modifica del valore impostabile) direttamente nel funzionamento online una ricetta definita.

Si indica come parametro di trasferimento la ricetta. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo:

Dopo la scelta della ricetta si inserisce la funzione nella lista funzioni.

Nel funzionamento online viene aperto il dialogo di definizione del valore impostabile della ricetta.

Possibili impostazioni nell'editor e nel Runtime sono:

Parametri | Descrizione
Aggiungi variabile | aggiungere una variabile nuova alla ricetta
Sciogli variabile | elimina la variabile dalla ricetta selezionata
Modifica valore impostabile | modificare il valore della variabile

Ricetta singola con selezione online

Con questa funzione si seleziona nel funzionamento online una ricetta per una modifica prima della trasmissione (Modifica del valore impostabile).

Si indica come parametro di trasferimento una ricetta predefinita. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo:

Durante il runtime viene aperta una selezione ricetta.

Le opzioni progettabili sono:

Parametri | Descrizione
New (Nuovo) | creare nuova ricetta
Copia | copiare la ricetta selezionata e salvarla sotto un altro nome
Modifica | Modificare il nome della ricetta selezionata
Elimina | cancellare la ricetta selezionata

Dopo la scelta della ricetta si inserisce la funzione nella lista funzioni.

Le impostazioni progettabili sono:

Aggiungi variabile | aggiungere una variabile nuova alla ricetta
Sciogli variabile | elimina la variabile dalla ricetta selezionata
Modifica valore impostabile | modificare il valore della variabile

Per evitare la modifica delle ricette ed avere comunque una selezione di ricette sbloccate nel funzionamento online, si deve eseguire un’immissione nel filezenon6.ini.

[FUNKTIONEN] |
REZEPT_AENDERN= | 0: nessuna modifica permessa 1: modifica permessa (default)


Ricette Standard

Manuale -> Ricette standard -> Gestione durante il runtime -> Funzioni - ricetta -> Ricette Standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l'utilizzazione di questa funzione può essere eseguita durante il runtime una ricetta salvata, essere letta oppure esportata dall'hardware. E' possibile, inoltre, importare nuove ricette, oppure crearne delle nuove sulla base dei valori attuali provenienti dall'hardware.

Per creare la funzione:

  1. create una nuova funzione.
  2. selezionate nel nodo Ricette la funzione Ricetta standard
  3. si apre il dialogo per la selezione ricette
  4. nella scheda Selezione ricette, selezionate la ricetta da aprire
  5. nella scheda Azione da eseguire definite l´azione che deve essere eseguita durante il runtime.

Scelta ricette

Parametri

Descrizione

Scegli ricetta

Selezione della ricetta che deve essere letta o scritta.

Nome ricetta da variabile

Il nome della ricetta che deve essere scritta o letta, viene definito mediante la variabile indicata.

Attenzione: prima della esecuzione della funzione, la variabile stringa deve contenere durante il runtime un nome ricetta valido, per es. Rezept_4. Altrimenti la funzione non potrà essere eseguita.

Azione da eseguire

Parametri | Descrizione
Setta valori | I valori della variabile della ricetta selezionata vengono scritti sul PLC.
Leggi valori | I valori delle variabili della ricetta selezionata vengono letti dal PLC e sono scritti sui valori esistenti nella ricetta stessa.
Copia ricetta | La ricetta d'origine crea una copia di se stessa con il nome della ricetta di destinazione. Il nome della ricetta duplicata viene inserito nella variabile _LASTNEWRECIPE. I dettagli sulla configurazione li trovate nella sezione Duplica ricetta che si trova più avanti.
Esporta ricetta | Esporta ricetta. I dettagli sulla configurazione li trovate nella sezione Esporta ricetta che si trova più avanti.
Importa ricetta | Importa la ricetta da file o da variabile. I dettagli sulla configurazione li trovate nella sezione Importa ricetta che si trova più avanti.
Proponi dialogo a Runtime | Offre un dialogo durante il runtime che serve a modificare le impostazioni.

Copia ricetta

Parametri

Descrizione

Scegli ricetta di destinazione

Scelta di una ricetta esistente, che deve essere sovrascritta con i dati della ricetta di origine.

Attenzione: i dati della ricetta di destinazione vengono sovrascritti.

Nuova ricetta

(Genera nome)

Viene creata una nuova ricetta conforme alla sintassi standard. Le lacune nella successione ricette vengono riempite automaticamente.

Esempio: Esistono già Rezept_0 eRezept_2. Attraverso la prima duplicazione, viene impostata una nuova ricetta dal nome Rezept_1. Frutto della seconda duplicazione è una ricetta dal nome Rezept_3.

Ricetta di destinazione da variabile

Il nome della ricetta di destinazione viene definito dal contenuto di una variabile String.

Nota: se la variabile stringa della ricetta di destinazione non contiene nessun testo, il sistema assegna automaticamente un nome ricetta.

Esporta ricetta

Parametri | Descrizione
Genera nome file automaticamente | il nome file si genera automaticamente.
Assegna nome file | Cliccando sul pulsante ... si apre l´Explorer che consente la selezione di una cartella di salvataggio e l´assegnazione di un nome file.
Nome file da variabile | Il nome del file viene definito dal contenuto di una variabile String.

Importa ricetta

Parametri | Descrizione
Assegna nome file | Cliccando sul pulsante ... si apre l´Explorer che consente la selezione di una cartella di salvataggio e di un file.
Nome file da variabile | Viene importata una ricetta da una variabile collegata


Informazioni di stato nel caso di ricette e manager gruppi ricette

Manuale -> Ricette standard -> Gestione durante il runtime -> Informazioni di stato nel caso di ricette e manager gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Durante il runtime, le informazioni di stato vengono rese disponibili nel caso di

  • Lettura / Scrittura
  • Esportare/importare
  • salvare

Quando si scrive una ricetta, questa variabile contiene il risultato dell'operazione di scrittura.

Valori

Scrivi ricetta

Variabile driver di sistema: Ricetta standard/RGM eseguita completamente (globale)

Valore | Risultato
0 | Setta valore di inizializzazione prima della ricetta
1 | Scrittura eseguita con successo
2 | Scrittura non eseguita perché esiste un errore di parametro
3 | Scrittura non eseguita con successo.
5 | Scrittura interrotta visto che si è terminato il Runtime.
6 | Intervenuto Timeout.

Nota: Se nel progetto è attivata la funzionalità di rete, la variabile di sistema Ricette standard/RGM- ricetta scritta completamente (locale) è rilevante per la funzione eseguita sul computer locale. .

info Informazioni su

Quando si parla di "scrittura" si intende la scrittura sul driver. Questo trasmette poi la ricetta al PLC. Ciò significa:

  • proprietà Scrittura sincrona disattivata: Il valore 1 per Ricetta standard/RGM-Ricetta scritta completamente non significa che i valori sono sul PLC. Significa solamente che essi sono stati scritti sul driver.
  • Proprietà Scrittura sincrona attiva: La modifica di valore avviene solo quando tutti i valori sul PLC sono attuali.

Nota: la visualizzazione dello stato di avanzamento della scrittura avviene solamente se Scrittura sincrona è attiva.

Ricetta in esecuzione

Variabile driver di sistema: Funzione di ricetta/RGM in esecuzione

Valore

Risultato

-1

viene eseguito

0

Valore di inizializzazione, letto con successo

1

L'utente non ha l'autorizzazione comando

2

Nessuna autorizzazione in rete

3

Annullamento per opera dell'utente

4

Errore - non è stato possibile leggere tutto con successo per es.

  • al momento dell'interruzione della comunicazione con l'hardware prima dell'inizio della lettura
  • non è presente sul PLC un blocco dati
  • Errore emerso durante la trasmissione

5

Errore nel salvataggio del file ricetta

6

Funzione cancellata via VBA

Tipo immagine Funzioni specifiche

Al momento di

  • leggere (variabile del driver di sistema: Fine lettura di tutti i valori di ricetta standard/RGM),
  • Esportare/importare e
  • salvare

una ricetta per mezzo di una funzione specifica per tipo di immagine; sono a disposizione i seguenti valori:

Valore

Risultato

0

Valore di inizializzazione attende la risposta del driver.

1

letto con successo

2

Errore nella lettura, esporta/importa oppure salva:

  • al momento dell'interruzione della comunicazione con l'hardware prima dell'inizio della lettura
  • non è presente sul PLC un blocco dati
  • Errore emerso durante la trasmissione


Riferimenti incrociati

Manuale -> Riferimenti incrociati

I riferimenti incrociati permettono di avere una visione generale di quali moduli e funzioni sono collegati e in che modo.
zenon mette a disposizione due strumenti per realizzare questa analisi:

  • Lista incrociata: Mostra i collegamenti nel progetto in forma tabellare La lista incrociata si riferisce sempre al progetto attivo al momento.
  • Analisi di progetto: Analizza l´uso di funzioni e variabili e trova quelle non usate.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Noch in diesem Kapitel

Lista incrociata

Analisi del progetto


Lista incrociata

Manuale -> Riferimenti incrociati -> Lista incrociata

La lista incrociata crea una visione generale in forma tabellare per il progetto attivo al momento.
Tutte le relazioni fra variabili, funzioni, immagini, ricette, ecc. vengono rappresentate ai fini della documentazione e della tracciabilità. La Lista incrociata, ad esempio, dà la possibilità di sapere quali variabili sono utilizzate nelle diverse immagini

Noch in diesem Kapitel

Generale

Menù contestuale


Generale

Manuale -> Riferimenti incrociati -> Lista incrociata -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per visualizzare la lista incrociata cliccate nel menù Opzioni sull´inserimento Lista incrociata.La Lista incrociata verrà aperta.

Per ottenere le informazioni desiderate su determinati moduli, basta aprire semplicemente il menù del modulo da interrogare. Sono a disposizione:

Modulo

Elementi visualizzabili

Archiviazione
  • Funzioni
  • Variabili

Immagini
  • Elementi
  • Menù
  • Simboli: In zenon sono disponibili tre diverse librerie simboli. (Per i dettagli vedi capitolo Librerie simboli).
  • Variabili

Elementi
  • Immagini
  • Variabili

Trend esteso
  • Funzioni

Funzioni

  • Archiviazione
  • Esecuzione funzione automatica
  • Immagini
  • Pulsante Bitmap
  • Pulsante
  • Menù
  • PFS
  • Matrice di reazione:
  • Script
  • Pulsante invisibile
  • Valori limiti dinamici
  • Temporizzatori

Menù
  • Immagini
  • Funzioni
  • Variabili

PFS
  • Funzioni
  • Variabili

Matrice di reazione:
  • Funzioni
  • Variabili

Manager gruppi ricette
  • Gruppi ricette
  • Variabili

Script
  • Funzioni

Ricette standard
  • Variabili

Simboli
  • Immagini
  • Simboli: Simboli: In zenon sono disponibili tre diverse librerie simboli. (Per i dettagli vedi capitolo Librerie simboli).

Variabili
  • Archiviazione
  • Immagini
  • Elementi
  • Trend esteso
  • Matematica
  • Menù
  • PFS
  • Matrice di reazione:
  • Manager gruppi ricette
  • Ricette standard
  • Attribuzioni

Temporizzatori
  • Funzioni

Attribuzioni
  • Variabili

Dopo un clic su uno degli oggetti proposti, vengono visualizzate le informazioni nella parte destra della lista.

Le informazioni sull'oggetto selezionato vengono indicate nella lista. Il contenuto può essere ordinato e filtrato.

  • Ordinamento: se si clicca sull´intestazione, la colonna verrà ordinata; un secondo clic inverte l´ordinamento.
  • Filtro: Inserite il criterio di ricerca nel box filtro che si trova nell´intestazione colonna. Si possono concatenare diversi filtri.
    Per resettare il filtro: cancellate il contenuto del box di filtro.

Noch in diesem Kapitel

Librerie simboli


Librerie simboli

Manuale -> Riferimenti incrociati -> Lista incrociata -> Generale -> Librerie simboli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lavorando con le librerie simboli, tenete presente che zenon distingue fra tre diverse librerie simboli:

Libreria simboli

Proprietà

Libreria simboli generale

Simboli sono disponibili in tutti i progetti. Il nodo Libreria simboli generale si trova nel Manager di progetto sotto i progetti attualmente caricati.

Denominazione al momento del collegamento nell´immagine: [Gruppo simboli]/[Nome simbolo]

Regole:

  • Il dialogo di selezione variabili offre tutti i progetti dell´area di lavoro per effettuare il collegamento.
  • Questi simboli vengono salvati nella cartella di programma di zenon e aggiornati al momento dell´avvio dell´Editor. Questi simboli non vengono salvati nel caso di un backup di progetto.
  • Interblocchi e alias per ALC non possono essere progettati.
    Attenzione: Quando si aggiungono dei simboli che contengono interblocchi o alias, queste impostazioni vengono rimosse.

Libreria simboli nel progetto globale

I simboli sono a disposizione di tutti i progetti del workspace.

Denominazione al momento del collegamento nell´immagine: Progetto globale_[Nome simbolo]

Regole:

  • i simboli copiati nella libreria simboli del progetto globale mantengono i loro collegamenti alle variabili senza modifiche.
  • il dialogo di selezione variabili offre tutti i progetti dell´area di lavoro per effettuare il collegamento. Alle variabili collegate viene anteposto il nome del relativo progetto.
  • Il nome di Variabile può essere modificato nella finestra delle proprietà. Si può, ad esempio, cancellare il prefisso contenente il nome del progetto di origine.
  • I simboli vengono salvati ogni qual volta si effettua un backup di progetto.
  • Interblocchi e alias per ALC non possono essere progettati.
    Attenzione: Quando si aggiungono dei simboli che contengono interblocchi o alias, queste impostazioni vengono rimosse.

Libreria simboli nel progetto

Simboli sono disponibili solo nel progetto attuale.

Denominazione al momento del collegamento nell´immagine: [Nome simbolo]

Regole:

  • I simboli vengono salvati nella cartella di progetto. La libreria di simboli del progetto si trova nel progetto attuale nel nodo Immagini e viene salvata in un backup di progetto.
  • Interblocchi e alias per ALC possono essere progettati. Queste proprietà vengono mantenute anche nel caso vengano aggiunti dei simboli.

I simboli possono essere copiati per Drag&Drop:

  • dalla Libreria simboli generale nella Libreria simboli nel progetto globale
  • dalla Libreria simboli nel progetto globale nella Libreria simboli nel progetto o viceversa
  • Non è possibile copiare direttamente dalla Libreria simboli nella Libreria simboli nel progetto oppure copiare dal progetto o dal progetto globale nella Libreria simboli generale.


Menù contestuale

Manuale -> Riferimenti incrociati -> Lista incrociata -> Menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La lista incrociata mette a disposizione una sere di funzionalità:

  • Stampa lista: Stampa la lista incrociata con le informazioni selezionate
  • Trova elemento nella lista: Apre un box dialogo per la ricerca di un determinato oggetto
  • Chiamata funzioni: Apre un box dialogo con una lista delle funzioni definite
  • Variabili utilizzate: Apre un box dialogo con una lista delle variabili definite
  • Variabili inutilizzate: Indica nella lista tutte le variabili non utilizzate all’ interno del progetto
  • Funzioni non utilizzate: Indica all’ interno della lista tutte le funzioni non utilizzate
  • Caratteri non utilizzati: Indica nella lista tutti i tipi di caratteri non utilizzati
  • Testi utilizzati nelle immagini: Ricerca dei testi utilizzati in immagini
  • Seleziona elementi lista: Apre il box dialogo per la selezione di uno o più elementi della lista
  • Guida: Apre la guida online.
  • Elimina: Non elimina elementi utilizzati nel progetto (Variabili, funzioni e caratteri)
    Questa opzione viene visualizzata solo se ci sono elementi che possono essere cancellati.

Per eseguire una delle funzionalità:

  1. posizionate il focus sulla finestra lista.
  2. cliccate una volta con il tasto destro del mouse
  3. selezionate la funzione desiderata fra quelle del menù contestuale.

Noch in diesem Kapitel

Stampa lista

Trova elemento nella lista

Chiamata funzioni

Variabili utilizzate

Variabili/Funzioni/Caratteri non utilizzati

Seleziona elementi lista


Stampa lista

Manuale -> Riferimenti incrociati -> Lista incrociata -> Menù contestuale -> Stampa lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La selezione del comando Stampa lista che si trova nel menù contestuale apre la finestra di dialogo standard che serve alla selezione di una stampante e delle opzioni di stampa.


Trova elemento nella lista

Manuale -> Riferimenti incrociati -> Lista incrociata -> Menù contestuale -> Trova elemento nella lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La selezione del comando Cercare elemento nella lista che si trova nel menù contestuale, apre la seguente finestra di dialogo:

Parametri | Descrizione
Cerca per | inserimento di una successione di caratteri.
Ok | Riprende il parametro di ricerca e chiude la finestra di dialogo. Il primo elemento della lista che corrisponde al criterio di ricerca viene evidenziato. Il sistema ricerca corrispondenze a partire dal primo carattere. Esempio: Nome elemento: ricerca di W trova Wizard_10. ricerca di Z non trova l´elemento.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Chiamata funzioni

Manuale -> Riferimenti incrociati -> Lista incrociata -> Menù contestuale -> Chiamata funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La scelta del comando Chiamata funzioni dal menù contestuale apre il seguente box dialogo, nel quale sono elencate tutte le funzioni del progetto attuale:

Si può selezionare un elemento. cliccando su OK il sistema mostra l´elemento con tutti i suoi usi nella lista incrociata.


Variabili utilizzate

Manuale -> Riferimenti incrociati -> Lista incrociata -> Menù contestuale -> Variabili utilizzate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionando il comando Variabili utilizzate che si trova nel menù contestuale si apre una finestra che contiene tutte le variabili utilizzate.

Si può selezionare un elemento. cliccando su OK il sistema mostra l´elemento con tutti i suoi usi nella lista incrociata.


Variabili/Funzioni/Caratteri non utilizzati

Manuale -> Riferimenti incrociati -> Lista incrociata -> Menù contestuale -> Variabili/Funzioni/Caratteri non utilizzati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella lista degli elementi non utilizzati (variabili,funzioni,caratteri) il menù contestuale contiene un inserimento aggiuntivo; questo inserimento è: Elimina. Con questo si possono selezionare dalla lista elementi che vogliamo eliminare, cancellandoli direttamente in questo punto.

attention Attenzione

La visualizzazione di oggetti non utilizzati si riferisce alle relazioni interne. Non si tiene conto dell´uso in simboli, via interfacce di programmazione, nel Process Gateway, in zenon Logic, oppure in altre componenti esterne.

Controllate sempre, prima di cancellarli, che non siano usati da qualche altra parte e fatene sempre una copia di sicurezza!


Seleziona elementi lista

Manuale -> Riferimenti incrociati -> Lista incrociata -> Menù contestuale -> Seleziona elementi lista

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionando il comando Seleziona elementi lista che si trova nel menù contestuale si apre una finestra per la ricerca nella lista.

Parametri

Descrizione

da - a

Attivo: Il sistema cerca elementi con determinate lettere iniziali. Selezione dell´ambito di lettere dell´alfabeto fra le opzioni contenute nel menù a tendina.

  • a: prima lettera dell´ambito da considerare nella ricerca.
  • da: ultima lettera dell´ambito da considerare nella ricerca.

Il sistema trova tutti gli elementi la cui lettera iniziale si trova nel´ambito definito. La direzione della ricerca è sempre A->Z.

Tutti elementi che iniziano con...

Attivo: Il sistema cerca quegli elementi che iniziano con una certa successione di caratteri.

Ok

Accetta le regole della ricerca, chiude la finestra di dialogo e evidenzia gli elementi trovati nella lista.

Elimina

Annulla tutte le modifiche e chiude la finestra di dialogo.

Guida

Apre la guida online.


Analisi del progetto

Manuale -> Riferimenti incrociati -> Analisi del progetto

L´analisi di progetto analizza l´uso di elementi in un progetto.

Si può:

  • analizzare il collegamento con altri elementi
  • cercare gli elementi non utilizzati

L´analisi di progetto è disponibile al momento per:

  • Funzioni
  • Script
  • Variabili

Analizza uso di un elemento

Per analizzare un elemento:

  1. Evidenziate la variabile oppure la funzione desiderata nella visualizzazione dettagli.
  2. Selezionate nel menù contestuale il comando Utilizzo variabile o Utilizzo funzioni, oppure Utilizzo script
  3. Verrà aperta la lista risultati in una propria finestra

  4. Usando il menù contestuale si può passare ad un elemento.

Trova elementi non utilizzati

Per trovare elementi non utilizzati:

  1. Selezionate il nodo Variabili oppure Funzioni nella struttura ad albero del progetto
  2. Selezionate nel menù contestuale il comando Visualizzare funzioni non utilizzate o Visualizzare variabili non utilizzate oppureVisualizzare script non utilizzati
  3. Verrà aperta la lista risultati in una propria finestra

  4. Usando il menù contestuale si può passare ad un elemento o lo si può cancellare

attention Attenzione

I seguenti elementi non possono essere trovati dall´analisi di progetto:

  • Variabili che vengono usate esclusivamente in VBA o VSTA.
  • Variabili che vengono usate in immagini del tipo Report Generator (Funzioni Report)

Prima di cancellare degli elementi bisogna controllare se le variabili da eliminare vengono usate in VBA/VSTA oppure in funzioni report.

Noch in diesem Kapitel

Lista risultati


Lista risultati

Manuale -> Riferimenti incrociati -> Analisi del progetto -> Lista risultati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I risultati dei singoli processi di analisi vengono visualizzati nella finestra Analisi del progetto in forma di lista. Questa finestra si apre automaticamente (nel caso in cui non sia già attiva) dopo la conclusione del processo di analisi. I risultati possono essere utilizzati in due modi:

  • analizzare uso nel progetto: Vai all'elemento collegato
  • trova elementi non utilizzati: passa ad elemento visualizzato o cancella elemento visualizzato

Analisi uso elementi

L´analisi di progetto fornisce i propri risultati sotto forma di lista.

Essa contiene:

  • il nome del progetto
  • il modulo
  • il nome dell´elemento collegato

Per passare ad un elemento visualizzato:

  1. selezionate l´elemento
  2. selezionate nel menù contestuale il comando Vai all'elemento collegato
  3. l´elemento collegato viene evidenziato nella lista dettagliata del suo nodo di modulo

Trova elementi non utilizzati

La ricerca degli elementi non utilizzati fornisce i suoi risultati in forma di lista.

Essa contiene:

  • il nome del progetto
  • il modulo
  • il nome dell´elemento non utilizzato

Passa all´elemento

Per passare ad un elemento visualizzato:

  1. selezionate l´elemento
  2. selezionate nel menù contestuale il comando Vai all'elemento collegato
  3. l´elemento collegato viene evidenziato nella lista dettagliata del suo nodo di modulo

Cancella elemento

Per cancellare uno o più elementi:

  1. selezionate gli elementi desiderati (possibile selezione multipla).
  2. selezionate nel menù contestuale il comando Elimina elementi selezionati
  3. gli elementi verrano cancellati dal progetto dopo che il sistema avrà posto una richiesta di conferma


Schedulatore

Manuale -> Schedulatore

Lo schedulatore consente di eseguire automaticamente delle azioni in un momento preciso, oppure sulla base di un modello temporale. Un esempio può essere il cambiamento di un valore impostabile di una variabile, oppure l'esecuzione di una particolare funzione di sistema, e molto altro ancora.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Lo schedulatore lavora con tempi assoluti negli Orari. Per questo motivo, le seguenti funzioni non sono a disposizione nello schedulatore:

  • Tempi relativi, per esempio inizio turno, fine turno, …
  • Eventi definiti da utente

Passare dallo schedulatore al PFS

Si usa lo schedulatore quando non si dispone di una licenza per il modulo Production& Facility Scheduler (PFS). Le funzionalità dello schedulatore sono analoghe a quelle del PFS, ma meno estese.

  • Esiste in qualsiasi momento la possibilità di passare dallo schedulatore al PFS, dato che i dati di pianificazione sono compatibili. Basta semplicemente registrare la licenza per il PFS.
  • I dati creati nel PFS, però, non possono più essere utilizzati nello schedulatore!

Noch in diesem Kapitel

Barra degli strumenti e menù contestuale

Gruppi orario

Punti di switch e periodi di switch

Orari speciali (pianificazioni speciali)

Opzioni di configurazione per lo schedulatore

Orari con progetti di integrazione


Barra degli strumenti e menù contestuale

Manuale -> Schedulatore -> Barra degli strumenti e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametri | Descrizione
Crea... | Crea un nuovo elemento (del tipo di quello selezionato) e apre la corrispondente finestra di dialogo di configurazione.
Taglia | Taglia un elemento selezionato
Copia | Copia l'elemento selezionato
Incolla | Inserisce un elemento degli appunti.
Elimina | Elimina un elemento selezionato
Guida | Apre la guida online.

Menù contestuale Schedulatore

Voce di menù | Azione
Crea... | Crea un nuovo elemento (del tipo di quello selezionato) e apre la corrispondente finestra di dialogo di configurazione.
Incolla | Inserisce elemento proveniente dagli appunti.
Salva | Salva le modifiche effettuare nello schedulatore.
Eliminare | Termina l'azione in esecuzione e rigetta le modifiche.
Impostazioni... | Apre la finestra di dialogo con le opzioni di impostazione.
Guida | Apre la guida online.

Menù contestuale Gruppo orario

Parametri | Descrizione
Copia | Copia negli appunti il gruppo orario selezionato.
Rinomina | Consente di modificare il nome del gruppo orario.
Elimina | Elimina il gruppo orario selezionato.
Guida | Apre la guida online.


Gruppi orario

Manuale -> Schedulatore -> Gruppi orario

Si può creare un numero qualsiasi di gruppi orari nello schedulatore. Ogni gruppo contiene pianificazioni per i giorni della settimana, giorni speciali (giorni di festa), nonché un numero qualsiasi di orari speciali. I gruppi orari possono essere usati, ad esempio, per visualizzare i piani di lavoro di macchinari singoli, oppure di interi dipartimenti.

Un nuovo gruppo orario può essere creato nella visualizzazione dettagli dello schedulatore.

  • Per far ciò cliccate sul pulsante Nuovo gruppo orario.

Parametri | Descrizione
Nuovo gruppo orario | Crea un nuovo gruppo orario.
Incolla | Inserisce un gruppo orario esistente.
Salva | Salva le modifiche apportate.
Eliminare | Dopo aver confermato la vostra scelta, tutte le modifiche vengono irrimediabilmente cancellate.
Impostazioni... | Apre la pagina delle impostazioni per le proprietà dello schedulatore.
Guida | Apre l’ help online.


Punti di switch e periodi di switch

Manuale -> Schedulatore -> Punti di switch e periodi di switch

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

info Informazioni su

Di default, nel Runtime i punti di switch sono sempre impostati come non attivi (per motivi di sicurezza) e devono essere dunque esplicitamente attivati perché funzionino. Nell´Editor, invece, i punti di switch vengono impostati di default come attivi.

Noch in diesem Kapitel

Punti di switch (numerici)

Periodi di commutazione (on/off)

Modificare i punti di switch ed i periodi di commutazione.

Cancellazione di punti di switch e di periodi di commutazione.

Copiare punti di switch e periodi di commutazione.

Tooltip


Punti di switch (numerici)

Manuale -> Schedulatore -> Punti di switch e periodi di switch -> Punti di switch (numerici)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un punto di switch numerico consente di settare solo una volta un valore impostabile su una variabile numerica (per esempio UINT, INT, ecc.).

Per creare una punto di switch numerico:

  • Nel menù contestuale del giorno e dell'ora desiderati cliccate su Creazione punto di switch (numerico).

Nota: c'è una funzione MDI a disposizione nel Runtime.

Si apre una nuova finestra di dialogo. In questa sede potete impostare il tempo di avvio. Potete inoltre collegare variabili e funzioni.

Nota: vi preghiamo di tenere presente i seguenti criteri quando create un nuovo punto di switch:

  • intervallo di tempo a decorrenza continua consentito: 00.00.00 - 23:59:59
  • Ogni punto di switch deve essere univoco.

Parametri | Descrizione
Tempo di avvio | Tempo in cui deve essere eseguito il punto di switch (numerico).
Lista variabili/funzioni | Lista di tutte le variabili e le funzioni collegate al punto di switch.
Aggiungi variabile... | Aggiunge una nuova variabile al punto di switch.
Aggiungere funzione... | Aggiunge una nuova funzione al punto di switch.
Valore impostabile.... | Apre la finestra di dialogo per settare il valore impostabile della variabile selezionata nella lista.
Elimina | Elimina l'attribuzione della variabile o della funzione al punto di switch.

Nella visuale tipo calendario i punti di switch sono visualizzati con l'orario corrispondente.

Nota: quando create un punto di switch (numerico) il sistema verifica se le indicazioni di tempo impostate sono univoche. Se non dovesse essere così, verrà visualizzata una finestra di dialogo contenente un messaggio e bisognerà selezionare dei tempi diversi.

info Informazioni su

Esiste la possibilità di preselezionare gli oggetti dell'orario con il mouse; all'apertura della finestra di dialogo, questi oggetti verranno poi visualizzati come oggetti già selezionati. Il sistema riprende anche il tempo di avvio e di conclusione sulla base della selezione effettuata con il mouse.

Noch in diesem Kapitel

Aggiungere funzioni


Aggiungere funzioni

Manuale -> Schedulatore -> Punti di switch e periodi di switch -> Punti di switch (numerici) -> Aggiungere funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si possono selezionare da collegare al punto di switch. Si può collegare qualsiasi funzione al tempo di avvio e di conclusione, anche per più progetti contemporaneamente. E' possibile collegare più funzioni, oppure collegare funzioni diverse al punto d'avvio e al punto di conclusione.

info Informazioni su

Con la funzione Lanciare Macro-VBA si possono anche eseguire delle macro VBA in corrispondenza di punti di switch.


Periodi di commutazione (on/off)

Manuale -> Schedulatore -> Punti di switch e periodi di switch -> Periodi di commutazione (on/off)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzione di definizione di un periodo di commutazione (on/off) serve soprattutto a settare una variabile binaria a 1 oppure a 0, per un certo intervallo di tempo.

info Informazioni su

All'inizio di questo periodo di commutazione, la variabile viene settata automaticamente su True, e alla fine su False. Se volete invertire questa successione, dovete creare prima di tutto il punto di switch; con un doppio clic del mouse, aprite poi il rispettivo menù. Qui potete impostare i valori impostabili manualmente (modificare, impostare come attivi o inattivi, oppure cambiare l'ora).

Per creare un periodo di commutazione (on/off):

  • Nella visualizzazione calendario dell' Editor cliccate nel menù contestuale su Crea periodo di commutazione (on/off).

Nota: c'è una funzione MDI a disposizione nel Runtime.

Si apre una nuova finestra di dialogo. Possono essere inseriti il tempo di avvio e di conclusione. Potete inoltre collegare variabili e funzioni.

Nota: vi preghiamo di tenere presente i seguenti criteri quando create un nuovo periodo di commutazione:

  • Il tempo di conclusione non può essere precedente a quello di inizio.
  • Intervallo di tempo a decorrenza continua consentito: 00.00.00 - 23:59:59
  • Il tempo di avvio e quello di conclusione non possono coincidere
  • Ogni periodo di commutazione deve essere univoco.

info Informazioni su

Possono essere selezionate solamente delle variabili binarie.

Nella visualizzazione calendario, i periodi di commutazione vengono visualizzati con i rispettivi orari di avvio e di conclusione.


Modificare i punti di switch ed i periodi di commutazione.

Manuale -> Schedulatore -> Punti di switch e periodi di switch -> Modificare i punti di switch ed i periodi di commutazione.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono due possibilità per modificare punti di switch e periodi di commutazione:

  1. Doppio click
    • Cliccate due volte sul punto di switch, o sul periodo di commutazione che intendete modificare.
  2. Menù contestuale
    • Nell menù contestuale del punto di switch o del periodo di commutazione che volete editare cliccate su Modifica punto/periodo di commutazione....

Si aprirà la stessa finestra di dialogo usata anche per la creazione di un nuovo punto di switch o di un nuovo periodo di commutazione.


Cancellazione di punti di switch e di periodi di commutazione.

Manuale -> Schedulatore -> Punti di switch e periodi di switch -> Cancellazione di punti di switch e di periodi di commutazione.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per cancellare un punto di switch o un periodo di commutazione:

  1. Cliccate sul punto di switch o sul periodo di commutazione esistente.
  2. Nel menù contestuale cliccate su Elimina punto/periodo di commutazione
  3. Confermate il dialogo cliccando su Sì.


Copiare punti di switch e periodi di commutazione.

Manuale -> Schedulatore -> Punti di switch e periodi di switch -> Copiare punti di switch e periodi di commutazione.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per eseguire identici punti di switch, o periodi di commutazione in più giorni, potete copiarli: Per far ciò, procedete nel modo seguente:

  • Aprite il menù contestuale dell'elemento che desiderate copiare e selezionate il comando Copia
  • Aprite il menù contestuale di un intervallo di tempo non ancora assegnato del giorno in questione e selezionate il comando Incolla

Il punto di switch o il periodo di commutazione copiati vengono inseriti nel giorno di destinazione con lo stesso tempo di inizio e lo stesso tempo di conclusione. L'elemento non può essere inserito, però, se nel giorno in questione uno di questi orari è già occupato.


Tooltip

Manuale -> Schedulatore -> Punti di switch e periodi di switch -> Tooltip

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nello schedulatore i tooltip visualizzano lo stato di un inserimento del calendario e danno ulteriori informazioni sul rispettivo stato.

Visualizzazione dei tooltip:

Per far apparire un tooltip, portate il puntatore del mouse su un punto di switch o un periodo di commutazione nella visualizzazione calendario. Il tooltip appare automaticamente quando il mouse viene posizionato sopra il punto di switch o il periodo di commutazione.

Struttura:

Il tooltip consiste di:

Periodo di commutazione

  • Tempo di avvio
    • Variabili collegate
    • Valori
    • Funzioni
  • Tempo di conclusione
    • Variabili collegate
    • Valori
    • Funzioni

Punto di switch

  • Tempo di avvio
    • Variabili collegate
    • Valori
    • Funzioni


Orari speciali (pianificazioni speciali)

Manuale -> Schedulatore -> Orari speciali (pianificazioni speciali)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Oltre agli orari per i giorni festivi ufficiali, può essere creato un numero qualsiasi di orari speciali definiti dall'utente (per es. quelli relativi ai giorni di chiusura della ditta). Essi vengono creati come orari speciali tramite il menù contestuale dello schedulatore. Valgono le stesse regole applicabili ai giorni festivi: se esiste una pianificazione speciale, i punti di switch dell'orario standard vengono sovrascritti.

Per creare un orario speciale:

  • Cliccate nello schedulatore su una qualsiasi cella. Si apre il menù contestuale, qui cliccate su Crea pianificazione speciale....

Si apre un'altra finestra di dialogo:

  • Definite in questa finestra di dialogo il tempo di inizio ("Comincia il:") dell'orario speciale.

Il giorno speciale viene inserito nella tabella come ulteriore colonna in aggiunta ai giorni della settimana.

attention Attenzione

Non è possibile eseguire più giorni speciali contemporaneamente. Ciò significa che non è possibile progettare un giorno speciale per un intervallo di tempo per il quale ne è stato già configurato uno.

Noch in diesem Kapitel

Cancellare un orario speciale (pianificazione speciale)


Cancellare un orario speciale (pianificazione speciale)

Manuale -> Schedulatore -> Orari speciali (pianificazioni speciali) -> Cancellare un orario speciale (pianificazione speciale)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per cancellare un orario speciale:

  1. Cliccate sulla pianificazione speciale esistente.
  2. Nel menù contestuale cliccate su Elimina pianificazione speciale
  3. Confermate il dialogo cliccando su Sì.


Opzioni di configurazione per lo schedulatore

Manuale -> Schedulatore -> Opzioni di configurazione per lo schedulatore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le impostazioni dello schedulatore vengono definite tramite la voce Impostazioni del menù contestuale della visualizzazione dettagli.

Noch in diesem Kapitel

Cambio ora estiva/invernale

Giorni festivi

Visualizzazione


Cambio ora estiva/invernale

Manuale -> Schedulatore -> Opzioni di configurazione per lo schedulatore -> Cambio ora estiva/invernale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se cliccate sulla voce Impostazioni del menù contestuale dello schedulatore verrà visualizzata la seguente finestra di dialogo con le opzioni di configurazione:

Qui si può stabilire sulla base di quali varianti di cambio orario debba essere effettuato il calcolo.

Parametri | Descrizione
Cambio ora positivo | L’orario viene spostato in avanti, il tempo di sistema viene settato nel futuro (per esempio nel caso dell'ora legale)
Recuperare punto di switch | Le azioni previste fra il tempo attuale e il nuovo tempo impostato, vengono eseguite immediatamente.
Ricalcolare i punti di switch | Le azioni previste tra il tempo attuale e il nuovo tempo impostato, vengono ignorate e non eseguite. I punto di switch vengono ricalcolati.
Cambio ora negativo | L’orario viene spostato indietro, il tempo di sistema viene settato nel passato (per esempio nel caso dell'ora solare).
Eliminare i punti di switch | I punti di switch non vengono ricalcolati. Si riprende ad eseguire i punti di switch quando viene raggiunto il tempo originario.
Ricalcolare i punti di switch | Le azioni previste tra l’orario attuale e il nuovo orario impostato, vengono ricalcolate (questo significa che vengono eseguite nuovamente quando si raggiunge l'orario definito). Conseguenza di ciò è una doppia esecuzione dei punti di switch nell'intervallo di tempo corretto.
Cambio SB | Passaggio al Server-Standby, valido per il timeout nel cambio di ridondanza.
Eliminare i punti di switch | L’esecuzione dei punti di switch avviene in corrispondenza della posizione attuale sullo Standby. Può essere che i punti di switch nell’intervallo di tempo del cambio non vengano eseguiti.
Ricalcolare i punti di switch | I punti di switch vengono ricalcolati ed eseguiti a partire dall'orario attuale -30 secondi. Conseguenza di ciò può essere una doppia esecuzione dei punti di switch.
Campo di tolleranza per deviazione di tempo | Il margine di tolleranza entro il quale il tempo di sistema può cambiare senza provocare un ricalcolo dei punti di switch secondo i criteri descritti sopra.

attention Attenzione

Eseguite sempre il Cambio fra ora legale/solare usando il meccanismo di cambio orario automatico di Windows. Non modificate mai il tempo di sistema manualmente, visto che ciò potrebbe causare errori riguardanti indicazioni temporali rilevanti per il funzionamento di zenon.


Giorni festivi

Manuale -> Schedulatore -> Opzioni di configurazione per lo schedulatore -> Giorni festivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I giorni festivi possono essere inseriti automaticamente selezionando un paese.

I dati di base relativi ai giorni festivi si trovano nel percorso del programma di zenon, nel file Feiertage.txt e possono essere modificati con un qualsiasi editor testi.

Gli inserimenti relativi al singolo paese iniziano con il nome del paese stesso messo tra parentesi quadre; segue il prefisso telefonico internazionale.

La descrizione dei giorni festivi si trova a partire dalla riga sottostante, con il nome e la data del giorno festivo.

[Italia] 39

Ognissanti , 01/11/2004

Ognissanti , 01/11/2004

Ognissanti , 01/11/2004

Ognissanti , 01/11/2004

Ognissanti, 01/11/2004

Natale 25/12/2004

Natale 25/12/2004

Natale 25/12/2004

Natale 25/12/2004

Natale 25/12/2004

...

La definizione corretta è fondamentale al fine di identificare il modello da usare.

Si può correggere l'inserimento con un doppio clic sul piano.


Visualizzazione

Manuale -> Schedulatore -> Opzioni di configurazione per lo schedulatore -> Visualizzazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell'Editor, si può scegliere fra il nuovo tipo di rappresentazione o quello vecchio nella visualizzazione dettagli dello schedulatore.

Per far ciò:

  1. Nella visualizzazione dettagli, cliccate sulla voce Impostazioni del menù contestuale.

    Si apre una nuova finestra di dialogo.

  2. Cliccate sulla scheda Visualizzazione

  3. Abilitate l'opzione Visualizza calendario con vecchio stile, se volete lavorare con questo tipo di visualizzazione.

Visualizzazione con vecchio stile:

Visualizzazione con nuovo stile:

  • Disabilitate l'opzione Visualizza calendario con vecchio stile, se volete lavorare con il tipo di visualizzazione nuova

Nota: questa opzione non è più attiva di default per i nuovi progetti creati nella versione 7.50 di zenon. La nuova visuale standard è dunque quella nuova.


Orari con progetti di integrazione

Manuale -> Schedulatore -> Orari con progetti di integrazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se deve essere eseguita una pianificazione con i dati di un sottoprogetto, bisogna eseguire la funzione corrispondente del sottoprogetto.

I dati per lo schedulatore provengono sempre dal progetto nel quale si trova la funzione di cambio immagine.


Scripting

Manuale -> Scripting

In zenon sono a disposizione diverse interfacce per l´implementazione di programmi propri o per l´automatizzazione della progettazione:

  • Lista Macro
  • VSTA
  • Process Control Engine (PCE)
    PCE non viene più supportato a partire dalla versione 7.20 e non viene più visualizzato nella struttura ad albero dei moduli di zenon. Quando si convertono dei progetti realizzati con versioni precedenti alla 7.20 e contenenti dei task PCE, viene visualizzato di nuovo il nodo PCE per questi progetti. È stato sospeso il lavoro di sviluppo e di documentazione per PCE.

Raccomandazione: Usate zenon Logic invece di PCE.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Menù contestuale

Voce di menù | Azione
Apri Editor PCE | Apre l’editor PCE
VBA-Visualizza Editor | Apre l’editor VBA
Apri Editor VSTA | Apre l’editor VSTA
Profilo editor | Apre la lista a cascata che serve alla selezione di un profilo editor.
Guida | Apre la guida online.

info Informazioni su

Le informazioni relative alla creazione e all´implementazione di control (ActiveX, .NET, WPF) le trovate nella guida Controls.
Le informazioni concernenti la progettazione e l´uso dell´interfaccia SAP le trovate nel capitolo Interfaccia SAP.

Apri Editor VBA e VSTA.

Editor VBA

VBA avvia lo stesso ambiente di sviluppo per workspace e progetto. Per aprire l´editor VBA:

  1. navigate per raggiungere il nodointerfacce di programmazione
  2. cliccate poi con il tasto destro del mouse su Macro VBA.
  3. selezionate nel menù contestuale Apri VBA-Editor...

Alternativa: premete la combinazione tasti Alt+F11

Editor VSTA

VSTA mette a disposizione ambienti di sviluppo separati per workspace e progetto. Se ne può usare solamente uno alla volta. Al momento dello start, ogni altro ambiente di sviluppo VSTA già aperto verrà chiuso.

Per aprire l´Editor VSTA per il workspace:

  1. premete la combinazione tasti Alt+F10
  2. verrà visualizzato il codice per il workspace e tutti i progetti caricati.

Per aprire l´Editor VSTA per il progetto attualmente caricato:

  1. navigate per raggiungere il nodointerfacce di programmazione
  2. cliccate poi con il tasto destro del mouse su VSTA.
  3. selezionate nel menù contestuale Apri VSTA-Editor...
  4. l´Editor verrà aperto per il progetto attualmente caricato.

API dalla versione 7.10

Per l´uso delle interfacce zenon vale a partire da zenon 7.10 quanto segue:

  • VSTA / .NET: .NET Framework 3.5 Service Pack 1deve essere installato.
  • VBA: Se nel codice VBA si accede a Windows API o ad altre funzioni DLL importate, queste chiamate devono essere adattate a 64-bit. In generale vale quanto segue: un file VBA creato con una versione a 32 Bit non può essere usato in una versione di VBA a 64 Bit senza essere stato modificato.

attention Attenzione

Tenete presente che errori in applicazioni come ActiveX, PCE, VBA, VSTA, WPF e applicazioni esterne che accedono a zenon via API, possono condizionare anche la stabilità del Runtime.

Noch in diesem Kapitel

Process Control Engine (PCE)

Lista Macro

VSTA

Objectmodel


Process Control Engine (PCE)

Manuale -> Scripting -> Process Control Engine (PCE)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

attention Attenzione

PCE non viene più supportato a partire dalla versione 7.20 e non viene più visualizzato nella struttura ad albero dei moduli di zenon. Quando si convertono dei progetti realizzati con versioni precedenti alla 7.20 e contenenti dei task PCE, viene visualizzato di nuovo il nodo PCE per questi progetti. È stato sospeso il lavoro di sviluppo e di documentazione per PCE.

Raccomandazione: Usate zenon Logic invece di PCE.

Noch in diesem Kapitel

L'editor PCE

Procedura

VBScript - Introduzione


L'editor PCE

Manuale -> Scripting -> Process Control Engine (PCE) -> L'editor PCE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il PCE si trova nel Manager di progetto alla voce ' Scripting'. L'editor PCE si apre mediante il menù contestuale ' Apri l'editor PCE' .

Noch in diesem Kapitel

Il task manager

Area di editazione

Finestra di emissione

I menù dell'editor PCE

La barra dei simboli dell'editor PCE


Il task manager

Manuale -> Scripting -> Process Control Engine (PCE) -> L'editor PCE -> Il task manager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il task manager dell'editor PCE mostra i task che sono stati creati e le variabili ad essi connesse.

Facendo clic due volte su un task lo si apre nell'editor. Con il tasto destro del mouse, invece, potete aprire il menù contestuale di un task.

Il menù contestuale di un task ha quattro voci:

Parametri | Descrizione
Proprietà task | Apre il dialogo "Proprietà" del task.
Variabili task... | Apre il dialogo "Scelta variabili". In tal modo è possibile aggiungere ulteriori variabili al task.
Eliminare task | Cancela il task senza ulteriore interrogazione.
Compila Task | Compila il task.


Area di editazione

Manuale -> Scripting -> Process Control Engine (PCE) -> L'editor PCE -> Area di editazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´area di editazione dell´Editor PCE, si inserisce il codice dei task in VB Script o Java Script.


Finestra di emissione

Manuale -> Scripting -> Process Control Engine (PCE) -> L'editor PCE -> Finestra di emissione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com


I menù dell'editor PCE

Manuale -> Scripting -> Process Control Engine (PCE) -> L'editor PCE -> I menù dell'editor PCE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Menù "File".

Menù "Modifica".

Menù "Esegui".

Menù "Visualizza"

Menù "Finestra"

Menù "Guida"


Menù "File".

Manuale -> Scripting -> Process Control Engine (PCE) -> L'editor PCE -> I menù dell'editor PCE -> Menù "File".

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il menù File contiene i seguenti comandi:

Parametri | Descrizione
Salva | Salva i task nuovi o quelli modificati.
Stampa | Stampa il task attivo al momento.
Chiudi | Chiude l’editor PCE.


Menù "Modifica".

Manuale -> Scripting -> Process Control Engine (PCE) -> L'editor PCE -> I menù dell'editor PCE -> Menù "Modifica".

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il menù Modifica contiene i seguenti comandi:

Parametri | Descrizione
Annulla | Annulla l'ultima azione eseguita.
Ripeti | Ripete l'ultima azione eseguita.
Taglia | Sposta un testo negli "appunti" di Windows.
Copia | Copia un testo negli "appunti" di Windows.
Incolla | Inserisce un testo preso dagli "appunti" di Windows.
Elimina |
Seleziona tutto | Seleziona l'intero testo del task.
Trova | Cerca un determinato testo nel task aperto.
Cercare successivo | Va al prossimo punto nel task in cui è stato rinvenuto l'elemento in questione.
Cercare precedente | Va al precedente punto nel task in cui è stato rinvenuto l'elemento in questione.
Sostituisci.. | Sostituisce un testo del task con un altro.
Bookmark | Gestione di segnalibro nel codice del task.
Inserire bookmark | Inserisce nel punto segnato del codice un segnalibro.
Successivo bookmark | Si sposta nel codice al successivo segnalibro.
Precedente bookmark. | Si sposta nel codice al precedente segnalibro.
Elimina tutti i bookmark. | Elimina tutti i segnalibro dal codice.


Menù "Esegui".

Manuale -> Scripting -> Process Control Engine (PCE) -> L'editor PCE -> I menù dell'editor PCE -> Menù "Esegui".

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il menù Esegui contiene i seguenti comandi:

Salva tutti i task e rilancia |
Compila Task | Compila il task.


Menù "Visualizza"

Manuale -> Scripting -> Process Control Engine (PCE) -> L'editor PCE -> I menù dell'editor PCE -> Menù "Visualizza"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il menù Visualizza contiene i seguenti comandi:

Parametri | Descrizione
Impostazioni | Apre il dialogo "Impostazioni" dell'editor PCE.
Taskmanager | Apre/chiude il task manager
Finestra di emissione | Apre/chiude la finestra di emissione.
Status Bar | Apre/chiede la barra di stato


Menù "Finestra"

Manuale -> Scripting -> Process Control Engine (PCE) -> L'editor PCE -> I menù dell'editor PCE -> Menù "Finestra"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il menù Finestra contiene i seguenti comandi:

Chiudi

Disponi

Dividi

Riordina simboli

Lista delle finestre aperte


Menù "Guida"

Manuale -> Scripting -> Process Control Engine (PCE) -> L'editor PCE -> I menù dell'editor PCE -> Menù "Guida"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il menù Guida contiene i seguenti comandi:

Comando

Azione

Guida

Apre la guida online.

Informazioni su...

Aprite una finestra con informazioni su zenon:

  • Numero di serie
  • Numero di attivazione
  • TAGs/IOs con licenza
  • moduli con licenza

Potete navigare all´interno della finestra-info servendovi di una barra di scorrimento. Cliccando all´interno della finestra o premendo il tasto Esc si esce dalla finestra-info.


La barra dei simboli dell'editor PCE

Manuale -> Scripting -> Process Control Engine (PCE) -> L'editor PCE -> La barra dei simboli dell'editor PCE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I più importanti comandi dell'editor PCE possono essere attivati cliccando sulle icone della barra dei simboli.

Sono disponibili i seguenti comandi:

Parametri | Descrizione
Chiudi | Chiude l’editor PCE.
Salva tutto | Salva i task nuovi o quelli modificati.
Stampare l´immagine attiva | Stampa il task attivo al momento.
Taglia | Sposta un testo negli "appunti" di Windows.
Copia | Copia un testo negli "appunti" di Windows.
Incolla | Inserisce un testo preso dagli "appunti" di Windows.
Annulla | Annulla l'ultima azione eseguita.
Ripeti | Ripete l'ultima azione eseguita.
Trova | Cerca un determinato testo nel task aperto.
Cercare successivo | Va al prossimo punto nel task in cui è stato rinvenuto l'elemento in questione.
Cercare precedente | Va al precedente punto nel task in cui è stato rinvenuto l'elemento in questione.
Sostituisci.. | Sostituisce un testo del task con un altro.
Salva tutti i task e rilancia |
Avvia debugger |
Successivo bookmark | Si sposta nel codice al successivo segnalibro.
Inserisci boomark | Inserisce nel punto segnato del codice un segnalibro.
Precedente bookmark | Si sposta nel codice al precedente segnalibro.
Elimina tutti i bookmark. | Elimina tutti i segnalibro dal codice.


Procedura

Manuale -> Scripting -> Process Control Engine (PCE) -> Procedura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Creazione di un task

Inserimento del codice

Funzione Show PCE

Esecuzione di task


Creazione di un task

Manuale -> Scripting -> Process Control Engine (PCE) -> Procedura -> Creazione di un task

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il menù contestuale del taskmanager si può creare un nuovo task.

Noch in diesem Kapitel

Proprietà del task

Variabili del task


Proprietà del task

Manuale -> Scripting -> Process Control Engine (PCE) -> Procedura -> Creazione di un task -> Proprietà del task

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo l'apertura del task si apre automaticamente il dialogo "Proprietà" dello stesso task.

Si possono impostare le seguenti proprietà:

Parametri | Descrizione
Nome | Denominazione univoca del task.
Tipo | I task possono essere eseguiti ciclicamente o una volta. Ciclico: il task viene eseguito ciclicamente sulla base dell'intervallo impostato alla voce Tempo di ciclo da raggiungere. Unico: il task viene eseguito per una sola volta.
Priorità | Priorità di processo per il sistema operativo multithreading ( idle,, low, normal, high,, highest,, time critical).). Default: Normal Main process :: il task è attivo nello stesso thread del Runtime. Se il task finisce in un waiting loop o si blocca, ciò influenza anche il Runtime
File script | Scelta del file script: file VB (*.vbs) per VB Script oppure file JS (*.js) per Javascript. Quando si apre il task nell´area di editazione per la prima volta, vene creato il file corrispondente.
Tipo di start | System start : il task viene avviato automaticamente con il Runtime. (Questa è l´unica possibilità per usare PCE sotto Windows CE, visto che Windows CE non supporta VBA.) Gestito dagli eventi: il task viene avviato via una macro VBA e l´istruzione "thisProject.Tasks.Item("Taskname").Run".
Tempo di ciclo da raggiungere | Nel caso di task ciclici, il tempo di ciclo in millisecondi che deve essere raggiunto. Se ciò non accade, il task viene eseguito nel modo più veloce possibile.

Per apportare modifiche alle proprietà, si può aprire questo dialogo anche mediante il menù contestuale del task e il comando Task-Proprietà....


Variabili del task

Manuale -> Scripting -> Process Control Engine (PCE) -> Procedura -> Creazione di un task -> Variabili del task

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo l´inserimento delle proprietà, si apre automaticamente il dialogo che serve alla selezione delle variabili. In questa sede vengono selezionate le variabili che devono essere editate nel task.

Qui devono essere collegate tutte le variabili che devono essere lette o scritte nel task. Esiste anche la possibilità di accedere alle variabili tramite l´oggetto variabili, ma solo le variabili collegate direttamente al task verranno lette automaticamente al momento dell´inizializzazione del task prima dell´esecuzione.

Le variabili devono avere la seguente sintassi:

Task.Value('Variable name')=123

Per apportare modifiche alla selezione variabili, si può aprire questo dialogo anche mediante il menù contestuale del task e il comando Task-Variabili....


Inserimento del codice

Manuale -> Scripting -> Process Control Engine (PCE) -> Procedura -> Inserimento del codice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccando due volte su un task nel task manager, lo si apre nell'editor. Se il task viene aperto per la prima volta, viene creato contemporaneamente il corrispondente file VBS o JS.

Vengono eseguite automaticamente quattro procedure:

Parametri | Descrizione
Task_Init() | Questa procedura viene eseguita automaticamente al momento dell'apertura del task.
Task_Main() | Questa procedura viene eseguita o una volta (tipo "unico") o ciclicamente (tipo "ciclico").
Task_Exit() | Questa procedura viene eseguita automaticamente prima della chiusura del task.
Task_Timer(lTimerId) | Questa procedura viene eseguita ciclicamente finché è in funzione il relativo timer. Il tempo di durata del ciclo viene trasmesso come parametro al momento dell'avvio del timer corrispondente.

Il PCE utilizza in linea di principio gli stessi modelli oggetti di VBA (vedi Tutorial VBA). Se si fa uso di oggetti VBA (a parte l'oggetto "task"), però, la capacità "multithreading" va perduta, visto che si può accedere a questi oggetti solo dal Hread principale.

attention Attenzione

Non tutte le funzioni dell´interfaccia COM sono compatibili con multithread e, dunque, possono essere usate solamente in un contesto main tread. Se viene settata nel task PCE una proprietà differente che nel "main process" , non è possibile alcun accesso da PCE al main thread. Nel caso ci sia ciononostante un accesso all´interfaccia COM, ciò può portare al verificarsi di sistemi di stato indefiniti, come, ad esempio, un Runtime freeze

Di grande importanza è, però, la collection Task e l'oggetto Task.

Noch in diesem Kapitel

La Collection Task

L'oggetto task


La Collection Task

Manuale -> Scripting -> Process Control Engine (PCE) -> Procedura -> Inserimento del codice -> La Collection Task

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Count

Item

Parent


L'oggetto task

Manuale -> Scripting -> Process Control Engine (PCE) -> Procedura -> Inserimento del codice -> L'oggetto task

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

ActualCycleTime

Proprietà

Tempo ciclico del task effettivamente raggiunto

CountVariable

Proprietà

Numero delle variabili collegate al task.

CycleTime

Proprietà

Tempo impostato per il ciclo del task.

DynProperties

Proprietà

ErrorNumber

Proprietà

ErrorString

Proprietà

Exit

Evento

Init

Evento

ItemVariable

Stile

Main

Evento

MemValue

Proprietà

Con Task.MemValue(Name)=value viene creata una variabile interna e le viene assegnato un valore. La variabile non deve essere dichiarata precedentemente.

Questa variabili può essere letta anche da altri task. In tal modo essa permette di trasmettere un valore da un task ad un altro.

Nome

Proprietà

Nome del task attuale.

Parent

Proprietà

La Collection Task

Priority

Proprietà

Priorità del task attuale.

Run

Stile

Avvia un task

Sleep

Stile

Ferma un task.

StartTimer

Stile

Il metodo StartTimer avvia un timer del task.

Stato

Proprietà

Stop

Stile

Arresta un task.

StopTimer

Stile

Il metodo StopTimer arresta un timer del task.

Timer

Evento

Type

Proprietà

Value

Proprietà

Con Task.Value(name of linked variable)=value si può assegnare un nuovo valore ad una variabile del progetto.


Funzione Show PCE

Manuale -> Scripting -> Process Control Engine (PCE) -> Procedura -> Funzione Show PCE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la funzione di zenon Show PCE, si può aprire l´Editor PCE dal Runtime.


Esecuzione di task

Manuale -> Scripting -> Process Control Engine (PCE) -> Procedura -> Esecuzione di task

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I task possono eseguiti con lo start di sistema, oppure in modo gestito dagli eventi.

Noch in diesem Kapitel

Esecuzione task con start di sistema

Esecuzione task gestita dagli eventi


Esecuzione task con start di sistema

Manuale -> Scripting -> Process Control Engine (PCE) -> Procedura -> Esecuzione di task -> Esecuzione task con start di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se nella configurazione del task si è settata l´opzione Tipo di start su Start di sistema , il task stesso verrà eseguito automaticamente al momento dell´avvio del Runtime.

Questa è l´unica possibilità per usare PCE sotto Windows CE, visto che Windows CE non supporta VBA.


Esecuzione task gestita dagli eventi

Manuale -> Scripting -> Process Control Engine (PCE) -> Procedura -> Esecuzione di task -> Esecuzione task gestita dagli eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Sul PC

Sul terminale CE


Sul PC

Sul PC

Un task può essere avviato anche in modalità dipendente dagli eventi. In questo caso si deve settare il Tipo di start sull´opzione Gestito da eventi . Adesso il task non viene più avviato automaticamente con il Runtime.

Per poter avviare il task premendo un bottone, in seguito ad una violazione di valore limite, oppure in seguito ad un altro evento, si deve creare una macro VBA. L´istruzione VBA per lo start del task è la seguente: thisProject.Tasks.Item(Taskname).Run
Questo task verrà avviato automaticamente in un thread proprio se nella configurazione non è stato indicata la Priorità Main Process.

Con la seguente istruzione VBA si può terminare il task in qualsiasi momento: thisProject.Tasks.Item(Taskname).Stop

Nota: Per eseguire un task più volte, lo si deve esplicitamente terminare ad esecuzione completata, in modo tale da poterlo avviarlo di nuovo.
Indicazione: thisProject.Tasks.Item(Taskname).Stop
Dopo uno stop corretto, il task potrà essere avviato nuovamente.


Sul terminale CE

Sul terminale CE

Visto che Windows CE non supporta VBA, la procedura sopra descritta, riguardante l´esecuzione su un PC, non è possibile su un terminale CE. C´è però la possibilità di richiamare anche qui delle task gestite dagli eventi.

A questo scopo si crea una task con il Tipo di start System start . Questo task, dunque, viene avviato automaticamente nel runtime. Questo task, inoltre, ottiene la Priorità Main Process, in modo tale che esso sia attivo nello stesso thread come il runtime. Con questo task vengono collegate solamente variabili bit preposte all´esecuzione gestita dagli eventi. L´istruzione per lo start di un altro task è la seguente: Parent.Item(Taskname).Run
Questo task verrà avviato automaticamente in un Thread proprio se nella configurazione non è stato indicata la Priorità Main Process.

Con la seguente istruzione si può terminare il task in qualsiasi momento: Parent.Item(Taskname).Stop


VBScript - Introduzione

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Tipi di dato

Variabili

Costanti

Operatori

Controllo dell'esecuzione del programma

Utilizzo di cicli per la ripetizione del codice.

Tipi di procedure

Convenzioni di scrittura del codice


Tipi di dato

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Variant

Sottotipi di variabili Variant


Variant

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Tipi di dato -> Variant

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In VBScript esiste ufficialmente un solo tipo di variabile, denominato Variant. Variant è una forma particolare di tipo di dato che può contenere diversi tipi di informazioni a seconda del modo in cui viene utilizzata. Dato che Variant è l'unico tipo di dato disponibile in VBScript, è il tipo di dati restituito da tutte le funzioni di VBScript.

Nella forma più semplice, Variant può includere informazioni numeriche o stringhe. Una Variant è di tipo numerico se viene utilizzata in un contesto numerico, è di tipo stringa se utilizzata in un contesto stringa. Ciò significa che, se si lavora con dati simili a valori numerici, VBScript interpreterà tali dati come numeri e verranno eseguite le operazioni più appropriate. Naturalmente potete sempre fare in modo che i numeri si comportino come stringhe inserendoli fra virgolette (). In modo analogo, se si lavora con dati che possono essere solo interpretati come stringhe, essi verranno gestiti come dati stringa.


Sottotipi di variabili Variant

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Tipi di dato -> Sottotipi di variabili Variant

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Oltre alla semplice classificazione di valore numerico o stringa, con le variabili Variant è possibile definire ulteriori distinzioni in base alla natura specifica delle informazioni numeriche Si possono, ad esempio, utilizzare informazioni numeriche cherappresentano una data o un orario. Insieme ad altri dati relativi alla data o all'orario, il risultato verrà sempre espresso come data o come orario. È tuttavia possibile utilizzare informazioni numeriche di vario tipo, dai valori booleani, ai numeri in virgola mobile di grandi dimensioni. Le varie categorie di informazioni che possono essere incluse in variabili Variant sono definitesottotipi . Per lo più basta assegnare ad una Variant i dati desiderati in modo tale che essa si comporti nel modo corrispondente.

Nella tabella seguente sono elencati i possibili sottotipi che una Variant può contenere.

Sottotipo | Significato
Empty | Variabile Variant non inizializzata. Il valore è 0 nel caso di variabili numeriche e una stringa di lunghezza zero () nel caso di variabili stringa.
Null | Variabile Variant che include dati non validi inseriti volutamente.
Boolean | Può assumere valore TRUE o FALSE.
Byte: | Contiene un intero compreso tra 0 e 255.
Integer | Contiene un intero compreso tra -32.768 e 32.767.
Currency | da -922,337,203,685,477.5808 a 922,337,203,685,477.5807.
Long | Contiene un intero compreso tra -2.147.483.648 e 2.147.483.647.
Single | Contiene un numero in virgola mobile e precisione singola compreso tra -3,402823E38 e -1,401298E-45 per valori negativie tra 1,401298E-45 e 3,402823E38 per valori positivi.
Double | Contiene un numero in virgola mobile e precisione doppiacompreso tra -1,79769313486232E308 e -4,94065645841247E-324 per valori negativi e tra 4,94065645841247E-324 e1,79769313486232E308 per valori positivi.
Date (Time) | Contiene un numero che rappresenta una data compresa tra l'1gennaio dell'anno 100 e il 31 dicembre del 9999.
String | Contiene una stringa di lunghezza variabile composta da unmassimo di circa 2 miliardi di caratteri.
Object | Contiene un oggetto.
Error | Contiene un numero di errore.


Variabili

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una variabile è un segnaposto che rimanda ad una posizione della memoria del computer in cui è possibile memorizzare informazioni di programma soggette a modifiche durante l'esecuzione degli script. Ad esempio, potete impostare una variabile dal nome KlickZaehler per memorizzare quante volte un utente clicca su un oggetto in una determinata Web-Seite. La posizione delle variabili in memoria non è importante dal punto di vista dell’utente. Per visualizzarne o modificarne il valore, è sufficiente farvi riferimento tramite il nome. In VBScript le variabili hanno sempre alla base il tipo di dato Variant.

Noch in diesem Kapitel

Dichiarazione di variabili

Restrizioni della nomenclatura

Ambito e durata di variabili.

Assegnazione di valori alle variabili

Dati scalari e campi dato


Dichiarazione di variabili

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Variabili -> Dichiarazione di variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dichiarate le variabili esplicitamente nel vostro script usando le istruzioni Dim, quelle Public e quelle Private. Esempio:

Dim DegreesFahrenheit

Dichiarate più variabili separandone i nomi con una virgola. Esempio:

Dim Top, Bottom, Left, Right


Restrizioni della nomenclatura

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Variabili -> Restrizioni della nomenclatura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I nomi variabili obbediscono alle regole standard della nomenclatura di elementi di lingua in VBScript. Per i nomi variabili vale quanto segue:

  • Devono iniziare con un carattere dell´alfabeto.
  • Non possono contenere un punto.
  • Non possono essere piú lunghi di 255 caratteri.
  • Devono essere univoci nell´ambito dell´area di validità per cui vengono dichiarati.


Ambito e durata di variabili.

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Variabili -> Ambito e durata di variabili.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se dichiarate una variabile in una routine, solamente il codice all´interno di questa routine può accedere o modificare il valore di questa variabile. Il che vuol dire che essa ha un ambito locale ed è una variabile a livello di routine.

Se dichiarate una variabile al di fuori di una routine, la rendete visibile per tutte le routine del vostro script. Questa è una variabile a livello script e ha un ambito a livello di script.

Il tempo durante il quale una variabile conserva il proprio valore è noto come durata. La durata di una variabile a livello script va dal momento della dichiarazione a quello della chiusura dello script stesso. A livello di routine, una variabile esiste finché vi trovate nella routine. Quando quest´ultima viene terminata, la variabile viene distrutta.

Le variabili locali sono ideali spazi di salvataggio temporanei durante l´esecuzione di una routine. Potete avere variabili locali dello stesso nome in più routine differenti perché ognuna viene riconosciuta solamente dalla routine in cui è stata dichiarata.


Assegnazione di valori alle variabili

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Variabili -> Assegnazione di valori alle variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per assegnare valori alle variabili, è necessario creare un'espressione indicando a sinistra la variabile e a destra il valore che si desidera assegnare. Esempio:

B = 200


Dati scalari e campi dato

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Variabili -> Dati scalari e campi dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella maggior parte dei casi alle variabili dichiarate viene assegnato un solo valore. Una variabile contenente un solo valore è definita variabile scalare. A volte, tuttavia, risulta utile assegnare a una singola variabile più valori. In questi casi, potete creare una variabile che può contenere una serie di valori. Una variabile contenente una serie di valori è definita variabile matrice. La dichiarazione di queste variabili è simile a quella delle variabili scalari. La sola differenza che, nelle dichiarazioni di variabili matrici, il nome della variabile è seguito da parentesi. Nell'esempio seguente, viene dichiarata una matrice a una soladimensione contenente 11 elementi:

Dim A(10)

Anche se tra parentesi è indicato il numero 10, la matrice include in effetti 11 elementi (numerati da 0 a 10). In VBScript infatti le matrici sono sempre in base zero edi conseguenza il numero degli elementi in esse contenuti corrisponde sempre al numero indicato tra parentesi più uno. Queste matrici sono definite a dimensione fissa.

Per assegnare dati a ciascun elemento di una matrice, è necessario utilizzare un indice. Nell'esempio seguente vengono assegnati dati numerici ai vari elementi della matrice, usando appunto gli indici:

A(0) = 256

A(1) = 324

A(2) = 100

. . .

A(10) = 55

Per recuperare dati da un elemento della matrice, è possibile procedere nello stesso modo, ovvero inserire un indice nell'elemento desiderato. Esempio:

. . .

AltraVariabile = A(8)

. . .

Le matrici non sono limitate a una sola dimensione. È infatti possibile specificare fino a 60 dimensioni, anche se nella maggior parte dei casi ne vengono specificate solo tre o quattro. Per dichiarare dimensioni multiple, è necessario separare con unavirgola i valori delle dimensioni indicati tra parentesi. Nell'esempio seguente la variabile MiaTabella è una matrice a due dimensioni composta da 6 righe e 11 colonne:

Dim MiaTabella(5, 10)

In una matrice a due dimensioni il primo numero corrisponde sempre al numero di righe, il secondo al numero di colonne.

È inoltre possibile dichiarare matrici le cui dimensioni vengono modificate durante l'esecuzione dello script. Questo tipo di matrici sono definite matrici dinamiche. Vengono inizialmente dichiarate in una routine utilizzando l'istruzione Dim come qualsiasi altra matrice, oppure l'istruzione ReDim . La differenza è che tra parentesi non viene indicata alcuna grandezza o numero di dimensioni. Esempio:

(Dim MioArray)

ReDimAltroArray)

Per utilizzare una matrice dinamica, è necessario specificare più istruzioni ReDim in modo da determinare il numero di dimensioni e la grandezza di ciascuna dimensione. Nell'esempio seguente l'istruzione ReDim imposta la grandezza iniziale della matrice dinamica su 25 Una successiva istruzione ReDim ridimensiona quindi la matrice impostandola su 30 e viene utilizzata la parola chiave Preserve per mantenere il contenuto della matrice durante l'operazione di ridimensionamento.

ReDim MioArray(25)

. . .

ReDim Preserve MioArray(30)


Costanti

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Costanti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una costante è un nome significativo non soggetto a modifiche utilizzato in sostituzione di un numero o di una stringa. VBScript definisce un numero di costanti integrate. Potete ottenere ulteriori informazioni su queste costanti integrate nel VBScript Language Reference.

È anche possibile creare costanti personalizzate (o definite dall'utente) in VBScript mediante l'istruzione Const. In tal modo potete assegnare un nome significativo a costanti stringhe o costanti numeriche. In seguito potete assegnargli valori letterali e usarle nel vostro script. Esempio:

Const MyString = "This is a string."

Const MyAge = 49

Tenete presente che la stringa letterale è compresa fra virgolette (" "). Le virgolette sono il modo più chiaro per contraddistinguere i valori stringa dai valori numerici. È possibile rappresentare i valori letterali di data e ora racchiudendoli tra simboli di cancelletto (#); Esempio:

Const LaData = #6-1-97#

Visto che non esiste alcuna differenza funzionale fra costanti create in tal modo e variabili normali, è consigliabile adottare una convenzione di denominazione in modo da contraddistinguere le costanti dalle variabili. In tal modo si può evitare di assegnare un nuovo valore ad una costante durante l'esecuzione dello script. Potete usare, ad esempio, il prefisso vb oppure con per i vostri nomi costante, oppure potete scriverli a lettere maiuscole. In ogni caso, assicuratevi che sia possibile distinguere fra costanti e variabili. In tal modo eviterete problemi quando create script complessi.


Operatori

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Operatori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

VBScript dispone di una molteplicità di operatori, fra gli altri operatori aritmetici, di confronto , di concatenazione e logici.

Noch in diesem Kapitel

Precedenza tra operatori.

Operatori aritmetici

Operatori di confronto

Operatori logici


Precedenza tra operatori.

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Operatori -> Precedenza tra operatori.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando in un'espressione si eseguono varie operazioni, ciascuna parte viene valutata e risolta secondo un ordine specifico definito precedenza tra operatori. Questa successione viene definita ordine di precedenza Per ignorare l'ordine di precedenza in modo che determinate parti di un'espressione vengano valutate prima di altre, è necessario utilizzare le parentesi. Le operazioni racchiuse tra parentesi vengono sempre valutate per prime. All'interno delle parentesi tuttavia viene mantenuta la normale precedenza tra operatori.

Nelle espressioni che includono operatori di categorie diverse, vengono innanzitutto valutati gli operatori aritmetici, quindi gli operatori di confronto e infine gli operatori logici. Gli operatori di confronto hanno la stessa precedenza, ovvero vengono valutati da sinistra a destra nello stesso ordine in cui sono stati specificati. Gli operatori aritmetici e logici vengono valutati in base all'ordine di precedenza indicato di seguito.


Operatori aritmetici

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Operatori -> Operatori aritmetici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Descrizione | Simbolo
Elevamento a potenza | ^
Operatore di negazione unario | -
Moltiplicazione | *
Divisione | /
Divisione intera | /
Divisione con modulo | Mod
Addizione | +
Sottrazione | -
Concatenazione di stringhe |


Operatori di confronto

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Operatori -> Operatori di confronto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Descrizione | Simbolo
Uguaglianza | =
Disuguaglianza | <>
Minore di | <
Maggiore di | >
Minore o uguale a | <=
Maggiore o uguale a | >=
Equivalenzatra oggetti | Is


Operatori logici

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Operatori -> Operatori logici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando in un'espressione si eseguono varie operazioni, ciascuna parte viene valutata e risolta secondo un ordine specifico definito precedenza tra operatori. Questa successione viene definita ordine di precedenza Per ignorare l'ordine di precedenza in modo che determinate parti di un'espressione vengano valutate prima di altre, è necessario utilizzare le parentesi. Le operazioni racchiuse tra parentesi vengono sempre valutate per prime. All'interno delle parentesi tuttavia viene mantenuta la normale precedenza tra operatori.

Nelle espressioni che includono operatori di categorie diverse, vengono innanzitutto valutati gli operatori aritmetici, quindi gli operatori di confronto e infine gli operatori logici. Gli operatori di confronto hanno la stessa precedenza, ovvero vengono valutati da sinistra a destra nello stesso ordine in cui sono stati specificati. Gli operatori aritmetici e logici vengono valutati in base all'ordine di precedenza indicato di seguito.


Controllo dell'esecuzione del programma

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Controllo dell'esecuzione del programma

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

È possibile controllare il flusso di script tramite istruzioni condizionali e istruzioni di ciclo. Con le istruzioni condizionali è possibile scrivere codice VBScript che consente di prendere decisioni e ripetere azioni.

Noch in diesem Kapitel

Prendere decisioni con l´aiuto di If...Then...Else

Prendere decisioni con Select Case


Prendere decisioni con l´aiuto di If...Then...Else

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Controllo dell'esecuzione del programma -> Prendere decisioni con l´aiuto di If...Then...Else

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'istruzione If...Then...Else consente di valutare se una condizione è True o False e, a seconda del risultato, di specificare una o più istruzioni da eseguire. In genere, la condizione corrisponde a un'espressione in cui due valori o due variabili vengono confrontati tramite un operatore di confronto. Le informazioni sugli operatori di confronto le trovate al capitolo "Operatori di confronto". Le istruzioni If...Then...Else possono essere nidificate in un numero qualsiasi di livelli di nidificazione.

Noch in diesem Kapitel

Esecuzione di istruzioni se una condizione è true.

Esecuzione di determinate istruzioni se una condizione è true, ed esecuzione di altre istruzioni se una condizione è false.

Decidere fra più alternative


Esecuzione di istruzioni se una condizione è true.

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Controllo dell'esecuzione del programma -> Prendere decisioni con l´aiuto di If...Then...Else -> Esecuzione di istruzioni se una condizione è true.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Esecuzione di istruzioni se una condizione è true.

Per eseguire solo un´istruzione quando una condizione è True , usate la sintassi a linea singola per l´istruzione If...Then...Else . Quello che segue è un esempio di sintassi a linea singola. Tenete presente che in questo esempio la parola chiave Else viene omessa.

Sub FixDate()
Dim myDate
myDate = #2/13/95#
If myDate < Now Then myDate = Now
End Sub

Per eseguire più di una linea di codice, dovete usare la sintassi a linea multipla o block syntax. Questa sintassi contiene l´istruzione End If , come mostra il seguente esempio:

Sub AlertUser(value)
If value = 0 Then
AlertLabel.ForeColor = vbRed
AlertLabel.Font.Bold = True
AlertLabel.Font.Italic = True
End If
End Sub

Per eseguire quando una condizione è True , usate la sintassi a linea singola per l´istruzione If...Then...Else . Quello che segue è un esempio di sintassi a linea singola. Tenete presente che in questo esempio la parola chiave Else viene omessa.

Sub FixDate()
Dim myDate
myDate = #2/13/95#
If myDate < Now Then myDate = Now
End Sub

Per eseguire più di una linea di codice, dovete usare la sintassi a linea multipla o block syntax. Questa sintassi contiene l´istruzione End If , come mostra il seguente esempio:

Sub AlertUser(value)
If value = 0 Then
AlertLabel.ForeColor = vbRed
AlertLabel.Font.Bold = True
AlertLabel.Font.Italic = True
End If
End Sub


Esecuzione di determinate istruzioni se una condizione è true, ed esecuzione di altre istruzioni se una condizione è false.

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Controllo dell'esecuzione del programma -> Prendere decisioni con l´aiuto di If...Then...Else -> Esecuzione di determinate istruzioni se una condizione è true, ed esecuzione di altre istruzioni se una condizione è false.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Esecuzione di determinate istruzioni se una condizione è true, ed esecuzione di altre istruzioni se una condizione è false.

Con l´istruzione If...Then...Else potete definire due blocchi con istruzioni eseguibili: un blocco viene eseguito se la condizione è True , l´altro se la condizione è False .

Sub AlertUser(value)
If value = 0 Then
AlertLabel.ForeColor = vbRed
AlertLabel.Font.Bold = True
AlertLabel.Font.Italic = True
Else
AlertLabel.Forecolor = vbBlack
AlertLabel.Font.Bold = False
AlertLabel.Font.Italic = False
End If
End Sub


Decidere fra più alternative

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Controllo dell'esecuzione del programma -> Prendere decisioni con l´aiuto di If...Then...Else -> Decidere fra più alternative

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Decidere fra più alternative

Una variazione dell´istruzione If...Then...Else vi consente di scegliere fra più alternative. Aggiungendo clausole ElseIf potete estendere la funzionalità dell´istruzione If...Then...Else in modo tale da poter controllare il corso del programma sulla base di diverse possibilità.

Esempio:
Sub ReportValue(value)
If value = 0 Then
MsgBox value
ElseIf value = 1 Then
MsgBox value
ElseIf value = 2 then
Msgbox value
Else
Msgbox Msgbox value outside the region!
End If


Prendere decisioni con Select Case

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Controllo dell'esecuzione del programma -> Prendere decisioni con Select Case

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La strutturaSelect Case rappresenta un'alternativa all'istruzione If...Then...ElseIf per la selezione di un blocco di istruzioni specifico tra più blocchi diversi La funzione dell'istruzione Select Case è simile a quella dell'istruzione If...Then...Else , con ladifferenza tuttavia che il codice risulta più efficiente e spesso di più facile lettura.

Una struttura Select Case include una singola espressione di testo valutata una sola volta all'inizio della struttura stessa. Il risultato dell'espressione viene quindi confrontato con i valori di ciascun blocco Case della struttura. Se viene individuata una corrispondenza, il blocco di istruzioni associato al blocco Case specifico verràeseguitot:

Select Case Document.Form1.CardType.Options(SelectedIndex).Text
Case MasterCard
DisplayMCLogo
ValidateMCAccount
Case Visa
DisplayVisaLogo
ValidateVisaAccount
Case American Express
DisplayAMEXCOLogo
ValidateAMEXCOAccount
Case Else
DisplayUnknownImage
PromptAgain
End Select


Utilizzo di cicli per la ripetizione del codice.

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Utilizzo di cicli per la ripetizione del codice.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'esecuzione di cicli consente di eseguire ripetutamente un gruppo di istruzioni. In alcuni cicli le istruzioni vengono ripetute fino a quando una condizione risulta falsa ( False ), mentre in altri vengono ripetute fino a quando una condizione risulta vera ( True ). Esistono inoltre cicli in cui le istruzioni vengono ripetute un numero specifico di volte.

In VBScript sono disponibili le seguenti istruzioni per l'esecuzione di cicli:

Parametri | Descrizione
Utilizzo di cicli Do: | le istruzioni vengono ripetute fino a quando una condizione risultaTrue o rimane True.
Utilizzo di cicli While...Wend : | le istruzioni vengono ripetute fino a quando una condizioneè True.
Utilizzo di cicli For...Next : | le istruzioni vengono ripetute il numero di volte specificato da uncontatore.
Utilizzo di cicli For Each...Next : | un gruppo di istruzioni viene ripetuto per ciascun elemento in una lista o ogni elemento di una matrice.

Noch in diesem Kapitel

Usare cicli Do

Utilizzo di While...Wend

Uso di For...Next

Uso dell´istruzione For Each...Next


Usare cicli Do

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Utilizzo di cicli per la ripetizione del codice. -> Usare cicli Do

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

E’ possibile utilizzare le istruzioni Do...Loop per eseguire un blocco di istruzioni un numero indefinito di volte, senza che il numero delle ripetizioni sia fissato. Le istruzioni vengono ripetute mentre una condizione è True , oppure fino a quando risulta True .

Noch in diesem Kapitel

Ripetizioni di istruzioni mentre una condizione è True

Ripetizione di un´istruzione finché una condizione non risulta True

Uscire da un´istruzione Do...Loop dall´interno del Loop


Ripetizioni di istruzioni mentre una condizione è True

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Utilizzo di cicli per la ripetizione del codice. -> Usare cicli Do -> Ripetizioni di istruzioni mentre una condizione è True

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Ripetizioni di istruzioni mentre una condizione è True

È necessario utilizzare la parola chiave While per verificare una condizione in un'istruzione Do...Loop . La verifica può essere eseguita prima dell'inizio del ciclo, comeillustrato nell'esempio ChkPrimaWhile riportato di seguito, oppure dopo almeno una esecuzione del ciclo, come illustrato nell'esempio ChkDopoWhile: Nella routine ChkPrimaWhile, se myNum è impostato su 9 anziché su 20, le istruzioni incluse nel ciclo non verranno mai eseguite. Nella routine ChkDopoWhile, le istruzioni incluse nel ciclo vengono eseguite una sola volta, in quanto la condizione ègià False .

Sub ChkPrimaWhile()
Dim counter, mioNum
counter = 0

mioNum = 20

Do While mioNum> 10

mioNum = mioNum - 1

counter = counter + 1

Loop

MsgBox "Il ciclo ha eseguito "& counter & " ripetizioni.".

End Sub

SubChkDopoWhile()

Dim counter, mioNum

counter = 0

mioNum = 9

Do
mioNum = mioNum - 1
counter = counter + 1

Loop While mioNum > 10

MsgBox "Il ciclo ha eseguito "& counter & " ripetizioni.".

End Sub


Ripetizione di un´istruzione finché una condizione non risulta True

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Utilizzo di cicli per la ripetizione del codice. -> Usare cicli Do -> Ripetizione di un´istruzione finché una condizione non risulta True

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Ripetizione di un´istruzione finché una condizione non risulta True

È possibile utilizzare la parola chiave Until in due modi diversi per verificare una condizione in un'istruzione Do...Loop :. La verifica può essere eseguita prima dell'inizio del ciclo, come illustrato nell'esempio ChkPrimaUntil riportato di seguito, oppure dopo almeno una esecuzione del ciclo, come illustrato nell'esempio ChkDopoUntil. Il ciclo viene ripetuto finché la condizione risulta False .

Sub ChkPrimaUntil()

Dim counter, mioNum

counter = 0

mioNum = 20

Do Until mioNum = 10

mioNum = mioNum - 1

counter = counter + 1

Loop

MsgBox "Il ciclo ha eseguito "& counter & " ripetizioni.".

End Sub

Sub ChkDopoUntil()

Dim counter, mioNum

counter = 0

mioNum = 1

Do

mioNum = mioNum + 1

counter = counter + 1

Loop Until mioNum = 10

MsgBox "Il ciclo ha eseguito "& counter & " ripetizioni.".

End Sub


Uscire da un´istruzione Do...Loop dall´interno del Loop

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Utilizzo di cicli per la ripetizione del codice. -> Usare cicli Do -> Uscire da un´istruzione Do...Loop dall´interno del Loop

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Uscire da un´istruzione Do...Loop dall´interno del Loop

Potete terminare un Do...Loop usando l´istruzione Exit Do . Visto che normalmente si desidera terminare l´esecuzione solamente in determinate situazioni (come, per esempio, per evitare un loop infinito), dovreste usare l´istruzione Exit Do nel blocco istruzioni True di un´istruzione If...Then...Else . Se la condizione è False , il loop continuerà ad essere eseguito in modo normale.

Nell´esempio seguente, a myNum è assegnato un valore che provoca un loop infinito. L´istruzione If...Then...Else controlla se si verifica questo stato e impedisce la ripetizione senza fine.

Sub ExitExample()

Dim counter, mioNum

counter = 0

mioNum = 9

Do Until mioNum = 10

mioNum = mioNum - 1

counter = counter + 1

If myNum < 10 Then Exit Do

Loop

MsgBox "Il ciclo ha eseguito "& counter & " ripetizioni.".

End Sub


Utilizzo di While...Wend

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Utilizzo di cicli per la ripetizione del codice. -> Utilizzo di While...Wend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In VBScript, l´istruzione While...Wend viene messa a disposizione di sviluppatori che hanno familiarità con il suo uso. sono A causa della limitata flessibilità di While...Wend , si consiglia di usare al suo posto Do...Loop .


Uso di For...Next

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Utilizzo di cicli per la ripetizione del codice. -> Uso di For...Next

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete usare le istruzioni For...Next per definire che un blocco di istruzioni deve essere eseguito un numero specifico di volte. Nel caso di cicli, è necessario utilizzare una variabile contatore ilcui valore viene aumentato o diminuito a ogni ripetizione del ciclo.

Nella routine riportata di seguito, ad esempio, la routine MioCiclo viene eseguita 50 volte. L'istruzione For specifica la variabile contatore x e il corrispondente valore iniziale e finale L'istruzione Next consente di aumentare la variabile contatore con incrementi di una unità:

Sub DoMyProc50Times()

Dim x

For x = 1 To 50

MyProc

Next

End Sub

La parola chiave Step consente di aumentare o diminuire la variabile contatore del valore specificato. Nell'esempio riportato di seguito la variabile contatore viene incrementata di due unità a ogni ripetizione del ciclo. Al completamento del ciclo, il totale corrisponde alla somma di 2, 4, 6, 8 e 10.

Sub DoMyProc50Times()

Dim x

For x = 1 To 50

MyProc

Next

End Sub

Per diminuire la variabile contatore, è necessario utilizzare un valore Step negativo. Dovete specificare un valore finale minore del valore iniziale.. Nell'esempio riportato di seguito, la variabile contatore myNum viene diminuita di due unità a ogni ripetizione del ciclo. Al completamento del ciclo, il totale corrisponde alla somma di 16, 14, 12, 10, 8, 6, 4 e 2:

Sub NuovoTotal()

Dim mioNum, totale

For mioNum = 16 To 2 Step -2

totale = totale + mioNum

Next

MsgBox 'Il totale è" & total

End Sub


Uso dell´istruzione For Each...Next

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Utilizzo di cicli per la ripetizione del codice. -> Uso dell´istruzione For Each...Next

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un ciclo For Each...Next è simile a quello For...Next . La sola differenza è che le istruzioni non vengono ripetute il numero di volte specificato, ma in un ciclo For Each...Next viene eseguito un gruppo istruzioni per ogni elemento di una lista di oggetti, oppure per ogni elemento in una matrice. Ciò risulta particolarmente utile quando non si conosce a priori il numero di elementi di un insieme.

Nell'esempio di codice HTML riportato di seguito, il contenuto di un oggetto Dictionary viene utilizzato per inserire testo in varie caselle di testo:

<HTML>

<HEAD><TITLE>Forms and Elements</TITLE></HEAD>

<SCRIPT LANGUAGE='VBScript'>

<!--

Sub cmdChange_OnClick

Dim d 'Crea una variabile

Set d = CreateObject('Scripting.Dictionary')

d.Add '0', 'Athen' 'Aggiunge alcune chiavi ed elementi

d.Add '1', "Belgrado"

d.Add '2', "Cairo"

For Each I in d

Document.frmForm.Elements(I).Value = D.Item(I)

Next

End Sub

-->

</SCRIPT>

<BODY>

<CENTER>

<FORM NAME='frmForm'

<Input Type = 'Text'><p>

<Input Type = 'Text'><p>

<Input Type = 'Text'><p>

<Input Type = 'Text'><p>

<Input Type = 'Button' NAME='cmdChange' VALUE='Fare clic qui'><p>

</FORM>

</CENTER>

</BODY>

</HTML>


Tipi di procedure

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Tipi di procedure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Sub-routine

Routine function

Trasmissione di dati a o da routine

Utilizzo di routine Sub e Function nel codice


Sub-routine

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Tipi di procedure -> Sub-routine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una routine Sub è una successione di istruzioni VBScript che sono comprese fra le istruzioni Sub e End Sub e che eseguono azioni senza restituire alcun valore. In una routine Sub è possibile specificare argomenti, ovvero costanti, variabili o espressioni passate dallaroutine che sta eseguendo una chiamata. Se non si specifica alcun argomento nella routine Sub , nella corrispondente istruzione Sub è necessario includere parentesi vuote ()

Nella routine Sub riportata di seguito, vengono utilizzate le due funzioni VBScript intrinseche, ovvero incorporate, MsgBox e InputBox che consentono di richiedere informazioni all'utente. Viene quindi visualizzato il risultato di un calcolo basato sulleinformazioni fornite. Questo calcolo è eseguito in una routine Function creata in VBScript. Anche quest´ultima viene mostrata nel trattamento della successiva routine Function .

Sub ConvertTemp()

temp = InputBox("Immettere la temperatura in gradi Fahrenheit.", 1)

MsgBox "La temperatura è pari a "& Celsius(temp) & '"gradi C."

End Sub


Routine function

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Tipi di procedure -> Routine function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una routine Function è costituita da una serie di istruzioni Visual Basic racchiuse tra le istruzioni Function e End Function . Una routine Function è simile ad una Sotto routine, ma può anche restituire un valore. Una routine Function può accettare argomenti, come costanti, variabili o espressioni, passati a essa dal codice chiamante. Se una routine Function non ha argomenti, la sua istruzione Function deve contenere una coppia di parentesi vuota. Una routine Function restituisce valori assegnando un valore al proprio nome di funzione in una o più istruzioni della routine. Il tipo di valore restituito di un una routine Function è sempre Variant .

Nel seguente esempio, la funzione celsius calcola a partire da gradi Fahrenheit i corrispondenti gradi Celsius . Quando la funzione è chiamata dalla Sotto procedura ConvertTemp, una variabile contenente l´argomento value viene viene passata alla funzione. Il risultato del calcolo viene restituito alla routine chiamante e visualizzato in un apposito message box.

Sub ConvertTemp()

temp = InputBox("Immettere la temperatura in gradi Fahrenheit.", 1)

MsgBox "La temperatura è pari a "& Celsius(temp) & '"gradi C."

End Sub

Function Celsius(fDegrees)

Celsius = (fDegrees - 32) * 5 / 9

End Function


Trasmissione di dati a o da routine

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Tipi di procedure -> Trasmissione di dati a o da routine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I dati vengono passati alla routine tramite argomenti. Essi fungono da segnaposto per i dati che vogliono passare alla loro routine. Quando si crea una routine utilizzando l'istruzione Sub - o Function , è necessario far seguire il nome della routine da parentesi. All'interno delle parentesi vengono inseriti gli argomenti separati da una virgola. Nell'esempio seguente, fDegrees è il segnaposto delvalore da convertire passato alla funzione Celsius:

Function Celsius(fDegrees)

Celsius = (fDegrees - 32) * 5 / 9

End Function


Utilizzo di routine Sub e Function nel codice

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Tipi di procedure -> Utilizzo di routine Sub e Function nel codice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare una routine Function nel vostro codice, dovete usarla a destra di un´assegnazione variabile, oppure in un´espressione.

Esempi:

Temp = Celsius(GradF)

oppure

MsgBox 'The temperature is '' & Celsius(temp) & ' degrees C.'

Per richiamare una routine Sub da un'altra routine, è sufficiente specificarne il nome insieme ai valori degli argomenti obbligatori, separati da una virgola. L'istruzione Call non è obbligatoria. Se viene utilizzata, è necessario racchiudere gli eventuali argomenti tra parentesi.

Nell'esempio seguente vengono eseguite due chiamate alla routine MiaRoutine. In un caso l'istruzione Call è utilizzata nel codice, nell´altro no. Entrambe le chiamate eseguono la stessa operazione

Call MiaRoutine(primoarg, secondoarg)

MiaRoutine primoarg, secondoarg


Convenzioni di scrittura del codice

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Convenzioni di scrittura del codice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le convenzioni di scrittura del codice sono proposte che consentono di facilitare la scrittura del codice con la Microsoft Visual Basic Scripting Edition.

Tali convenzioni per la programmazione comprendono, tra l´altro, le seguenti direttive:

Convezioni di denominazione per oggetti, variabili e routine

Convenzioni per i commenti

Indicazioni generali per la formattazione e il rientro del testo

Lo scopo principale delle convenzioni di scrittura del codice è uniformare la struttura e lo stile di uno script o gruppo di script in modo che il codice risulti semplice da leggere e comprensibile a tutti. Grazie alla definizione di buone convenzioni per la programmazione è possibile ottenere codice sorgente preciso, leggibile e chiaro, in conformità con il codice di altri linguaggi e quanto più possibile intuitivo.

Noch in diesem Kapitel

Convenzioni di denominazione delle costanti.

Convenzioni di denominazione delle variabili

Ambito di variabili

Nomenclatura valida di variabili e procedure

Convenzioni di denominazione degli oggetti.

Convenzioni di scrittura dei commenti


Convenzioni di denominazione delle costanti.

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Convenzioni di scrittura del codice -> Convenzioni di denominazione delle costanti.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nelle versioni precedenti di VBScript non era disponibile alcun metodo di creazione di costanti definite dall'utente. Se utilizzate, le costanti venivano implementate come variabili e distinte dalle altre variabili con l'utilizzo solo di caratteri maiuscoli. Le parole che componevano il nome venivano separate con un carattere di sottolineatura (_).

Esempi:

USER_LIST_MAX
NEW_LINE

È ancora possibile utilizzare questo metodo per identificare le costanti, ma si consiglia di utilizzare uno schema di denominazione alternativo. Potete creare vere costanti con l'istruzione Const . Questa convenzione consente di utilizzare un formato concaratteri maiuscoli e minuscoli in cui i nomi delle costanti sono preceduti dal prefisso "con".

Ad esempio:

conCostantePersonale


Convenzioni di denominazione delle variabili

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Convenzioni di scrittura del codice -> Convenzioni di denominazione delle variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per motivi di leggibilità e uniformità, in VBScript i nomi delle variabili devono essere descrittivi e preceduti dai prefissi elencati nella tabella seguente.

Sottotipo | Prefisso | Esempio
Boolean | bln | blnFound
Byte: | byt | bytRasterData
Date (Time) | dtm | dtmStart
Double | dbl | dblTolerance
Error | err | errOrderNum
Integer | int | intQuantity
Long | lng | lngDistance
Object | obj | objCurrent
Single | sng | sngAverage
String | str | strFirstName


Ambito di variabili

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Convenzioni di scrittura del codice -> Ambito di variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le variabili dovrebbero essere sempre definite con l´ambito più limitato possibile. Le variabili VBScript possono avere uno dei seguenti ambiti.

Ambito | Dichiarazione in | Visibilità
A livello di routine | Evento, funzione, o subroutine. | Visibile nella routine in cui è stata dichiarata.
A livello di script | Sezione HEAD di una pagina HTML, al di fuori di ogni routine. | Visibile in ogni routine dello script.

Noch in diesem Kapitel

Prefissi per l´area di validità delle variabili.


Prefissi per l´area di validità delle variabili.

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Convenzioni di scrittura del codice -> Ambito di variabili -> Prefissi per l´area di validità delle variabili.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Prefissi per l´area di validità delle variabili.

Con script di grandi dimensioni diventa particolarmente importante poter contraddistinguere l'area di validità delle variabili. A tale scopo è sufficiente aggiungere un prefisso di una lettera al prefisso del tipo di variabile in modo da evitare nomi eccessivamente lunghi.

Ambito | Prefisso | Esempio
A livello di routine | nessuno | dblVelocity
A livello di script | s | sblnCalcInProgress


Nomenclatura valida di variabili e procedure

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Convenzioni di scrittura del codice -> Nomenclatura valida di variabili e procedure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel corpo del nome variabile o procedura si dovrebbe utilizzare lettere maiuscole e minuscole. Il nome dovrebbe essere lungo abbastanza per descrivere lo scopo della variabile. Inoltre, i nomi procedura dovrebbero iniziare con un verbo, come, per es., InitNameArray o CloseDialog.

Per quello che concerne le espressioni di uso frequente o di lunghe dimensioni, si raccomanda l´uso di abbreviazioni standard, in modo tale da limitare il nome ad una lunghezza ragionevole. In generale si può dire che nomi variabile più lunghi di 32 caratteri sono difficili da leggere. Quando usate delle abbreviazioni, accertatevi che siano le stesse nell´intero script. L´alternanza casuale fra, per es., Cnt e Count all´interno di uno script o serie di script può generare confusione.


Convenzioni di denominazione degli oggetti.

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Convenzioni di scrittura del codice -> Convenzioni di denominazione degli oggetti.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella tabella seguente sono elencate le convezioni di denominazione di vari oggetti utilizzati nella programmazione in VBScript:

Tipo di oggetto | Prefisso | Esempio
Pannello 3D | pnl | pnlGroup
Pulsante animato | ani | aniMailBox
Casella di controllo | chk | chkReadOnly
Casella combinata (combo box) o di riepilogo a discesa (drop-down list box) | cbo | cboEnglish
Pulsante di comando | cmd | cmdExit
Finestra di dialogo comune | dlg | dlgFileOpen
Cornice | fra | fraLanguage
Barra di scorrimento orizzontale | hsb | hsbVolume
Immagine | img | imgIcon
Etichetta | lbl | lblHelpMessage
Linea | lin | linVertical
Casella di riepilogo (list box) | lst | lstPolicyCodes
Pulsante di selezione (Spin) | spn | spnPages
Casella di testo (text box) | txt | txtLastName
Barra di scorrimento verticale | vsb | vsbRate
Dispositivo di scorrimento (Slider) | sld | sldSkala


Convenzioni di scrittura dei commenti

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Convenzioni di scrittura del codice -> Convenzioni di scrittura dei commenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tutte le routine dovrebbero iniziare con un breve commento che ne descrive lo scopo. Tale commento non deve tuttavia includere informazioni dettagliate sulla modalità di implementazione. Tali informazioni, essendosoggette a modifiche, comporterebbero infatti un inutile lavoro di manutenzione o addirittura la presenza di commenti non corretti. La modalità di implementazione viene comunque descritta nel codice stesso e nei commenti inseriti sulla stessa riga delleistruzioni.

È necessario descrivere gli argomenti passati a routine la cui funzione non risulta evidente o che sono inclusi in un determinato intervallo. All'inizio delle routine è inoltre necessario includere una descrizione dei valori restituiti da funzioni e altre variabili che vengono modificate dalla routine, soprattutto se le modifiche vengonoapportate tramite argomenti di riferimento.

Nei commenti di intestazione delle routine è necessario includere le intestazioni di sezione indicate di seguito. Per alcuni esempi, vedere la sezione successiva "Formattazione del codice".

Intestazione di sezione | Commento
Scopo | Operazioni eseguite dalla routine, non la modalità di esecuzione.
Presupposti | Elenco dell'effetto della routine su variabili esterne, controllie altri elementi.
Effetti | Elenco dell'effetto della routine su variabili esterne, controllie altri elementi.
Input | Descrizione degli argomenti con significato non evidente. Ciascun argomento deve essere incluso in una riga distintainsieme a un commento specifico sulla stessa riga.
Valori restituiti | Descrizione del valore restituito.

È importante tenere presente i seguenti punti:

le dichiarazioni di ogni variabile importante devono includere un commento sulla stessa riga in cui viene descritto l'utilizzo della variabile dichiarata;

i nomi di variabili, controlli e routine devono essere sufficientementedescrittivi in modo che sia necessario aggiungere commenti sulla stessa riga solo per la descrizione di implementazioni complesse;

all'inizio degli script è consigliabile includere cenni preliminari che descrivano brevemente lo script e in cui siano elencati gli oggetti, le routine, gli algoritmi, le finestre di dialogo e altre dipendenze di sistema. A volte può risultare utile aggiungere pseudocodice che descrivi l'algoritmo.

Noch in diesem Kapitel

Formattazione del codice


Formattazione del codice

Manuale -> Scripting -> Process Control Engine (PCE) -> VBScript - Introduzione -> Convenzioni di scrittura del codice -> Convenzioni di scrittura dei commenti -> Formattazione del codice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Formattazione del codice

Lo scopo è quello di risparmiare spazio sullo schermo, ma allo stesso tempo applicare al codice una formattazione che ne rifletta in modo chiaro la struttura logica e i livelli di nidificazione. Qui di seguito trovate alcuni consigli che possono esservi utili:

  • i blocchi nidificati standard devono rientrare di quattro spazi.
  • i commenti introduttivi di una procedura devono essere rientrati di uno spazio.
  • le istruzioni di livello principale che seguono i commenti iniziali devono rientrare di quattro spazi. Ciascun blocco nidificato dovrebbe rientrare di altri quattro spazi.

Esempio:

Il seguente codice corrisponde alle convenzioni del VB Script coding.

  • Scopo: cerca la prima comparsa dell´utente indicato nel campo dati UserList.
  • Inputs: strUserList(): lista di utenti che deve essere esaminata.
  • strTargetUser: il nome dell´utente di cui si è alla ricerca.
  • Valori di risposta: Indice della prima apparizione di strTargetUser nel campo dati strUserList.
    se l´utente cercato non viene trovato: -1.

Function intSucheBenutzer (strBenutzerListe(), strZielBenutzer)

Dim i ' Loop counter.

Dim blnFound ' 'Target found' flag.

intFindUser = -1

i = 0 ' Initialize loop counter

Do While i <= Ubound(strUserList) and Not blnFound

If strUserList(i) = strTargetUser Then

blnFound = True ' Set flag to True

intFindUser= i ' Set return value to loop count

End If

i = i + 1 ' Increment loop counter

Loop

End Function


Lista Macro

Manuale -> Scripting -> Lista Macro

Con VBA si può ampliare autonomamente lo spettro delle funzionalità di zenon. Viene descritto l´uso di macro con zenon.

Menù contestuale

Voce di menù | Azione
VBA-Visualizza Editor | Apre l’editor VBA.
Esporta tutti VBE... | Apre il dialogo che serve a selezionare il posto in cui salvare l´esportazione VBE.
Importa VBE | Apre il dialogo che serve alla selezione del file import VBE.
Profili editor | Apre il menù a tendina contenente i profili editor predefiniti.
Guida | Apre la guida online.

info Informazioni su

Se si modificano delle macro VBA nell´Editor:

  • vengono compilati i file Runtime e trasmessi nel Runtime.
  • il runtime viene riavviato.
  • anche gli elementi VSTA vengono ricaricati, anche quando non c´è stata alcuna modifica in VSTA .

VBA avvia lo stesso ambiente di sviluppo per workspace e progetto. Per aprire l´editor VBA:

  1. navigate per raggiungere il nodointerfacce di programmazione
  2. cliccate poi con il tasto destro del mouse su Macro VBA.
  3. selezionate nel menù contestuale Apri VBA-Editor...

Alternativa: premete la combinazione tasti Alt+F11

Noch in diesem Kapitel

VBA: Barra simboli e Menù contestuale Visualizzazione dettagliata

VBA su sistemi a 64-Bit

Basi:

Macro nell´editor

Funzioni in zenon

Sviluppo di wizard in VBA

Domande ricorrenti

Esempi


VBA: Barra simboli e Menù contestuale Visualizzazione dettagliata

Manuale -> Scripting -> Lista Macro -> VBA: Barra simboli e Menù contestuale Visualizzazione dettagliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra degli strumenti

Voce di menù | Azione
Nuova macro VBA | Crea una nuova macro e apre l´editor per le macro.
VBA-Visualizza Editor | Apre l’editor VBA.
Salva | Salva macro.
Elimina | Cancella l´elemento selezionato.
Esporta tutti VBE... | Apre il dialogo che serve a selezionare il posto in cui salvare l´esportazione VBE.
Importa VBE | Apre il dialogo che serve alla selezione del file import VBE.
Rinomina | Permette di rinominare le macro selezionate.
Guida | Apre la guida online.

Menù contestuale Moduli macro

Voce di menù | Azione
VBA-Visualizza Editor | Apre l’editor VBA.
Salva | Salva macro.
Esporta tutti VBE... | Apre il dialogo che serve a selezionare il posto in cui salvare l´esportazione VBE.
Importa VBE | Apre il dialogo che serve alla selezione del file import VBE.
Guida | Apre la guida online.

Menù contestuale Moduli

Voce di menù | Azione
Nuova macro VBA | Crea una nuova macro e apre l´editor VBA.
Guida | Apre la guida online.

Menù contestuale macro

Voce di menù | Azione
Modifica | Apre macro nell´Editor per potere effettuare delle modifiche. Alternativa: tasto INVIO oppure doppio clic.
Elimina | Cancella macro Alternativa: tasto Canc.
Rinomina | Apre campo nome per effettuare delle modifiche. Alternativa: tasto F2.
Guida | Apre la guida online.

Barra dei simboli Editor

Le macro che sono state realizzate usando VBA, possono essere gestite tramite la barra dei simboli Lista macro.

Simbolo

(da sinistra a destra)

Funzione

Ricarica la lista delle macro VBA./VSTA

Carica tutte le macroPublic Sub Name () contenute in myWorkspace e nei moduli nella lista dropdown della barra simboli.

Cerca macro

Cerca macro tramite il campo di inserimento della combobox, oppure selezione dalla lista a cascata. La lista a cascata viene adattata all´elemento più ampio quando viene aperta.

Macro della lista a cascata

Contiene tutte le macro caricate e ne permette la selezione.

Esegui le macro selezionate.

Esegue la macro selezionata nella lista a cascata (dropdown).

Esegui la macro #<x> assegnata.

Esegue la macro assegnata al simbolo.

Assegna macro

Apre il dialogo che serve all´assegnazione di macro. Con i simboli possono essere collegate da 1 a 5 macro.

VBA

Filtra alla ricerca di macro VBA. Vengono visualizzate solamente macro VBA.

VSTA

Filtra alla ricerca di macro VSTA. Vengono visualizzate solamente macro VSTA.

ALL

Cancella il filtro attualmente in uso e vengono visualizzate tutte le macro.

AZ

Mette le macro in ordine ascendente, da 0 a 9 e dalla A alla Z.

ZA

Mette le macro in ordine discendente, dalla Z alla A e da 9 a 0.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.

info Informazioni su

Nel caso in cui nel dialogo di attribuzione non vengano offerte tutte la macro contenute in myWorkspace, eseguite nella barra dei simboli la funzione Ricarica la lista delle macro VBA.


VBA su sistemi a 64-Bit

Manuale -> Scripting -> Lista Macro -> VBA su sistemi a 64-Bit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla sua versione 7.10, zenon supporta sistemi operativi a 64-Bit. Per quello che concerne VBA, si è passati alla versione VBA 7.1. Per questo motivo, VBA è disponibile anche in zenon 64-Bit. Se nel VBA code si accede a Windows API o ad altre funzioni DLL importate, queste aperture devono essere adattate a 64-bit. In generale vale quanto segue: un file VBA creato con una versione a 32-bit non può essere usato senza modifiche‑a una versione a 64-bit di VBA.

Per scrivere un codice compatibile a 32 ed a 64 Bit, ci sono in VBA alcune funzioni define. Ad esempio:

#if Win64 then

Declare PtrSafe Function MyMathFunc Lib "User32" (ByVal N As LongLong) As LongLong

#else

Declare Function MyMathFunc Lib "User32" (ByVal N As Long) As Long

#end if

#if VBA7 then

Declare PtrSafe Sub MessageBeep Lib "User32" (ByVal N AS Long)

#else

Declare Sub MessageBeep Lib "User32" (ByVal N AS Long)

#end if

Potete ottenre alcune indicazioni utili sul porting di VBA 32-bit code a VBA 64-bit da Microsoft:

  • Microsoft Office 2010, notes on porting: http://msdn.microsoft.com/en-us/library/ee691831.aspx
  • 32-Bit e 64-Bit Declares per API-Calls: http://www.jkp-ads.com/articles/apideclarations.asp


Basi:

Manuale -> Scripting -> Lista Macro -> Basi:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Descrive le basi del linguaggio di programmazione VBA - Visual Basic for Applications

Noch in diesem Kapitel

Proprietà degli oggetti - PROPERTIES

Metodi di oggetti - METHODS

Eventi di oggetti - EVENTS

VBA - modello oggetti in zenon

Come si utilizzano macro VBA?

Come si collega un elemento ein ActiveX in zenon?

Accesso mediante un programma esterno

Funzionalità di una variabile online

List of status bits

Lasso per selezionare elementi dinamici nel Runtime.


Proprietà degli oggetti - PROPERTIES

Manuale -> Scripting -> Lista Macro -> Basi: -> Proprietà degli oggetti - PROPERTIES

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una proprietà degli oggetti (property) è un determinato attributo dell'oggetto. Nel caso di un oggetto-variabili, ciò può essere, per esempio, il valore, il nome o l'identificazione. Nel caso di un oggetto-cerchio, può essere, per esempio, la posizione o il colore del cerchio nell'immagine. Ogni oggetto possiede perlomeno una property (generalmente sono, però, più di una); ogni property ha un valore definito. Mentre il Property Name è un testo, Property Value ha un valore compreso fra 0 e, per es., 1000.

La particolarità delle properties è che esse, grazie alla modifica dei valori delle proprietà in un programma VBA, possono modificare il comportamento e l'aspetto dell'oggetto. Se ad esempio attribuite alla Property Value (valore) dell'oggetto variabili un altro valore, ottenete l'effetto che la variabile attualmente selezionata riceva il valore da Voi desiderato. Non potete però attribuire ad ogni property un nuovo valore. La Property Count (quantità) dell'oggetto variabili, ad esempio, è fissa, visto che la quantità delle variabili viene definita mediante le variabili create. Dando al count un valore superiore non aggiungete alcuna nuova variabile. Alcune properties sono, perciò, solo proprietà di lettura, il che significa che ne si può soltanto leggere il valore.


Metodi di oggetti - METHODS

Manuale -> Scripting -> Lista Macro -> Basi: -> Metodi di oggetti - METHODS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Oltre alle properties, ogni oggetto può possedere dei metodi. Un metodo non è un attributo, ma una richiesta all'ggetto di fare qualcosa. Così una forma ha il Methode Show. Quale effetto ha questo metodo? Richiede alla forma di rappresentare se stessa sullo schermo. Allo stesso modo, la foma scompare con l'uso del comando Unload.

Il vantaggio di un metodo è quello che il programmatore non ha deve sapere nulla sulla struttura dell'oggetto e, soprattutto, non ha la possibilità di mettere le mani sui dati interni dell'oggetto stesso.

L'esecuzione del metodo Show oppure del comando Unload avviene nel modo seguente:

frmSollwert.Show oppure Unload frmSollwert

Se volete, per esempio, aprire un'altra forma, il metodo rimane lo stesso; a cambiare è solo il nome della forma (nome oggetto).

frmChange.Show oppure Unload frmChange

Lo stesso metodo può essere, dunque, usato per diversi tipi di oggetto. Non tutti gli oggetti, però, devono possedere necessariamente dei metodi.


Eventi di oggetti - EVENTS

Manuale -> Scripting -> Lista Macro -> Basi: -> Eventi di oggetti - EVENTS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Anche se nel 90 per cento dei casi avete a che fare con properties e metodi quando lavorate con oggetti, c'è ancora una categoria di caratteristiche di cui può disporre un oggetto: Events. Alcuni oggetti della gerarchia di oggetti possono reagire ad eventi. Events si verificano da soli mentre si lavora con zenon.

Example Esempio

ogni volta che si apre un'immagine, si causa un open-event nell'oggetto "picture" corrispondente. Da programmatori, potete fissare nell'ambito della cosiddetta procedeura dell'evento (la procedure che viene richiamata al verificarsi dell'evento stesso) delle indicazioni volte a definire quello che deve accadere in un caso simile. Un esempio di ciò è la modifica di una variabile. Si potrebbe produrre un event che reagisce alla variazione di valore di una variabile.


VBA - modello oggetti in zenon

Manuale -> Scripting -> Lista Macro -> Basi: -> VBA - modello oggetti in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In linea di massima, nella struttura di progetto ci sono sempre una lista oggetti e oggetti.

Esempio:

Projects – Project

Variables – Variable

Elements – Elementi

Ulteriori informazioni sui modelli oggetto le trovate:

  • nella guida in linea VBA

  • nella visione generale grafica che ricevete in COPA-DATA

  • nell´Object-Browser di VBA


Come si utilizzano macro VBA?

Manuale -> Scripting -> Lista Macro -> Basi: -> Come si utilizzano macro VBA?

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una nuova macro, si deve selezionare nella finestra Informazione progetto alla voce Makro Browser un evento desiderato al verificarsi del quale deve essere eseguita la nuova macro.

Cliccando con il tasto destro del mouse su questo evento, si apre un menu.

Selezionate il punto menù “Nuova macro” In tal modo viene generata una procedura da zenon:

Public Sub LeftClickUp_Sollwert(obElem As Element)
End Sub

Se esiste già una macro, questa può essere modificata, eliminata o ne se può cambiare il nome facendo clic con il tasto destro del mouse.

attention Attenzione

Nel caso in cui selezioniate il punto menù rinomina macro umbenennen, fate attenzione a non modificare il nome dell'evento, per es. LeftClickUp_..., del nome attuale. Altrimenti non viene eseguita la modifica del nome. Inoltre, quando modificate il nome di una macro, dovete modificare anche quello del sottoprogramma che deve essere eseguito by end nell'editor VBA.

Dopo che si è inserito il codice sorgente da eseguire nella procedura generata da zenon, si deve collegare la macro create con un elemento.

Cliccando due volte su un elemento desiderato, appaiono sullo schermo le proprietà dell'elemento.

Alla voce "eventi" si può collegare la macro con l'elemento.

Cliccando con il tasto sinistro del mouse, viene provocato il verificarsi dell'evento LeftClickDown dell'elemento e viene eseguita la macro collegata.

Noch in diesem Kapitel

Integrazione di macro già esistenti


Integrazione di macro già esistenti

Manuale -> Scripting -> Lista Macro -> Basi: -> Come si utilizzano macro VBA? -> Integrazione di macro già esistenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per integrare delle macro già esistenti in un altro progetto, procedete nel modo seguente:

  1. Esportate tutti i formulari e moduli necessari nell'editor VBA e importateli nel progetto desiderato.
  2. Le macro orientato ad eventi, nel ModulElement.bas, non vengono ancora mostrate nel browser macro. Perciò dovete creare nuovamente le macro nel browser macro.

    Il modo più semplice di far ciò è usare il nome della macro già esistente.

    per Esempio:
    LeftClickUp_ DateSet2
    LeftClickUp_ DateSet4
    LeftClickUp_ TimeSet
    Draw_ Date2
    Draw_ Date4
    Draw_ Time

  3. Al momento di creare delle macro, zenon genera procedure che hanno lo stesso nome delle macro esistenti. Queste procedure devono essere eliminate.
  4. Collegate queste macro, come al solito, con un elemento dinamico.


Come si collega un elemento ein ActiveX in zenon?

Manuale -> Scripting -> Lista Macro -> Basi: -> Come si collega un elemento ein ActiveX in zenon?

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un elemento ActiveX viene portato in un'immagine come un elemento dinamico; si apre una finestra nella quale dovete scegliere un elemento ActiveX.

  • Una volta scelto l'elemento nella lista rappresentata qui sopra, potete attribuirgli una variabile. Per far ciò, cliccare sul pulsante Variabile... e selezionarne una, oppure crearne una nuova.
  • Date al Vostro elemento ActiveX un nome oggetto, attraverso il quale potrete poi accedervi in VBA.
  • Nel nostro esempio usiamo il nome oggetto Slider6_DW18, visti che si tratta di un elemento ActiveX-Element Slider che è collegato con la variabile Datenwort 18.
  • Adesso l'elemento slider deve essere attivato ed editato nell'editor VBA.
  • A tal scopo, creiamo una nuova macro come descritto nel capitolo "Come si usano macro VBA?".

La macro Init_slider trasmette l'elemento da inizializzare ad un sottoprogramma nell'oggetto thisProject; così viene definito un riferimento al progetto attuale.

Public Sub Init_Slider(obElem As Element)
thisProject . Init _ Slider obElem
End Sub

Come nella macro Init_Slider, anche in Draw_SliderValue l'elemento viene passato all'oggetto thisProject.

Public Sub Draw_SliderValue (obElem As Element, ByVal hdc As OLE _ HANDLE )
thisProject.Draw_Slider obElem
obElem.Draw hdc
End Sub

Nell'oggetto zenOn this Project viene inserito il codice sorgente indicato di seguito.

Public Declarations
Public WithEvents obSlider As Slider
Public obSliderPV As Variable
Public Sub Init_Slider (obElem As Element)
Set obSlider = obElem.ActiveX

'ActiveX exists
If obSchieberegler Is Nothing Then
Exit Sub
End If
Set obSliderPV = obElem . ItemVariable(0)
'variable exists
If obSliderPV Is Nothing Then
Exit Sub
End If
obSlider.Max = obSliderPV.RangeMax
obSlider.Min = obSliderPV.RangeMin
obSlider.TickFrequency = 1000
obSlider.LargeChange = 25
obSlider.SmallChange = 1
obSlider.Value = obSliderPV.Value

End Sub

Public Sub Draw _ Schieberegler ( obElem As Element )
Dim vVar As Variant
Dim obDynPic As DynPicture

Set obSliderPV = obElem.ItemVariable ( 0 )
Set obDynPic = thisProject.DynPictures. Item (Immagine_1)
'variable exists
If obSliderPV Is Nothing Then
Exit Sub
End If


Accesso mediante un programma esterno

Manuale -> Scripting -> Lista Macro -> Basi: -> Accesso mediante un programma esterno

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per accedere mediante un programma esterno (ad esempio Visual Basic) a dati di zenon, si usa l'interfaccia COM. Questa interfaccia COM è la stessa ad essere usata anche da VBA. Ci sono dunque solo un paio di piccole differenze, di cui però si deve tenere conto.

Noch in diesem Kapitel

Visual Basic 6


Visual Basic 6

Manuale -> Scripting -> Lista Macro -> Basi: -> Accesso mediante un programma esterno -> Visual Basic 6

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter accedere all'interfaccia COM, quest'ultima deve essere implementata:

Mediante questa libreria tipi, potete accedere all'oggetto applicazione di zenon (il runtime).

Visto che qui non c'è un oggetto thisproject, lo si deve creare poter giungere ai dati.

Dim obProject As zenon.Project
Set obProject = zenon.Application.Projects.Item(PROJEKTNAME)

Se il progetto VB deve funzionare con tutti i progetti di zenon (deve essere, per così dire, indipendente da determinato nome progetto) può essere impostato anche in questo modo.

Set obProject = zenon.Application.Projects.Item(0)

Dopo che è stato creato l'oggetto progetto (thisProject), si può accedere, ad esempio, alle variabili ai fini di lettura e scrittura.

Leggere:

Wert = obProject.Variables.Item(Variablenname).Value

Scrivere:

obProject.Variables.Item(Variablenname).Value = valore


Funzionalità di una variabile online

Manuale -> Scripting -> Lista Macro -> Basi: -> Funzionalità di una variabile online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci si può immaginare una variabile online VBA come un container che contiene delle variabili; queste utime devono essere naturalmente inserite nel container. Nel caso in cui ci sia una variazione del valore di una variabile contenuta nal container, ciò viene reso noto mediante un evento.

Noch in diesem Kapitel

Funzionalità dell'evento

Definire e impostare Container

Mettere variabili in container

Imposta evento

Attiva evento

Disattivazione dell'evento

Elimina al momento di terminare


Funzionalità dell'evento

Manuale -> Scripting -> Lista Macro -> Basi: -> Funzionalità di una variabile online -> Funzionalità dell'evento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando viene attivato il container (Container.Define), tutte le variabili che vi si trovano vengono stimolate una volta per conoscere il valore loro valore attuale Viene eseguita la procedura „Container_VariableChange“ per ogni variabile che si trova nel container. Quando poi tutte le variabili sono state inizializzate, l'evento si verifica ogni volta che il valore di una variabile del container cambia.

In tal modo è escluso che venga letto un valore che non corrisponde al valore attuale della variabile.


Definire e impostare Container

Manuale -> Scripting -> Lista Macro -> Basi: -> Funzionalità di una variabile online -> Definire e impostare Container

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Definizione:

Public WithEvents Container As OnlineVariable

Mediante questa riga di codice si definisce il container.

Creare

Set Container = thisProject . OnlineVariables. CreateOnlineVariables( Containername)


Mettere variabili in container

Manuale -> Scripting -> Lista Macro -> Basi: -> Funzionalità di una variabile online -> Mettere variabili in container

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Container. Add Variablenname1
Container . Add Variablenname2
Container . Add Variablenname3
Container . Add Variablenname4
...

Questo procedimento deve essere ripetuto finché tutte le variabili desiderate non si trovano nel container.


Imposta evento

Manuale -> Scripting -> Lista Macro -> Basi: -> Funzionalità di una variabile online -> Imposta evento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Private Sub Container_VariableChange(ByVal obVar As zenon.IVariable)

...

End Sub

Questo evento viene impostato automaticamente quando nel combobox di sinistra al margine superiore dell'editor VBA viene selezionato il container. Poi la procedura sopra illustrata viene inserita nel sourcecode. Grazie a „obVar“ viene data la variabile il cui valore è cambiato. Al verificarsi dell'evento, poi, si può leggere per es. il valore attuale (ob-Var.Value). Quali proprietà e valori delle variabili possono essere usati, lo si può vedere nella gerarchia degli oggetti nella documentazione VBA.


Attiva evento

Manuale -> Scripting -> Lista Macro -> Basi: -> Funzionalità di una variabile online -> Attiva evento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Container.Define

Questa riga di comando attiva, per così dire, il controllo delle variabili nel container. Solo quando il comando "Define“ viene eseguito, il container è attivo.


Disattivazione dell'evento

Manuale -> Scripting -> Lista Macro -> Basi: -> Funzionalità di una variabile online -> Disattivazione dell'evento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Container.Undefine

Con questo comando, viene chiuso il monitoraggio in container; a partire da questo momento, l´evento (VariableChange) non viene più eseguito.


Elimina al momento di terminare

Manuale -> Scripting -> Lista Macro -> Basi: -> Funzionalità di una variabile online -> Elimina al momento di terminare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per non lasciare veramente nulla nella memoria al momento di chiudere il runtime, il container deve essere eliminato al più tardi al momento di terminare il runtime.

thisProject. OnlineVariables. DeleteOnlineVariables ( Containername )

Solo dopo che questo container è stato cancellato, ne può essere impostato un altro con lo stesso nome.


List of status bits

Manuale -> Scripting -> Lista Macro -> Basi: -> List of status bits

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Bit number | Short term | Long name | zenon Logic label
0 | M1 | User status 1; for Command Processing: Action type "Block"; Service Tracking of the IEC 850 driver | _VSB_ST_M1
1 | M2 | User status 2 | _VSB_ST_M2
2 | M3 | User status 3 | _VSB_ST_M3
3 | M4 | User status 4 | _VSB_ST_M4
4 | M5 | User status 5 | _VSB_ST_M5
5 | M6 | User status 6 | _VSB_ST_M6
6 | M7 | User status 7 | _VSB_ST_M7
7 | M8 | User status 8 | _VSB_ST_M8
8 | NET_SEL | Select in the network | _VSB_SELEC
9 | REVISION | Revision | _VSB_REV
10 | PROGRESS | In operation | _VSB_DIREC
11 | TIMEOUT | Runtime exceedance | _VSB_RTE
12 | MAN_VAL | Manual value | _VSB_MVALUE
13 | M14 | User status 14 | _VSB_ST_14
14 | M15 | User status 15 | _VSB_ST_15
15 | M16 | User status 16 | _VSB_ST_16
16 | GI | General query | _VSB_GR
17 | SPONT | Spontaneous | _VSB_SPONT
18 | INVALID | Invalid | _VSB_I_BIT
19 | T_CHG_A | Daylight saving time/winter time announcement | _VSB_SUWI
20 | OFF | Switched off | _VSB_N_UPD
21 | T_EXTERN | Real time external | _VSB_RT_E
22 | T_INTERN | Realtime internal | _VSB_RT_I
23 | N_SORTAB | Not sortable | _VSB_NSORT
24 | FM_TR | Error message transformer value | _VSB_DM_TR
25 | RM_TR | Working message transformer value | _VSB_RM_TR
26 | INFO | Information for the variable | _VSB_INFO
27 | ALT_VAL | Alternate value If no value was transferred, the defined alternate value is used otherwise the last valid value is used. | _VSB_AVALUE
28 | RES28 | Reserved for internal use (alarm flashing) | _VSB_RES28
29 | N_UPDATE | Not updated | _VSB_ACTUAL
30 | T_STD | Standard time | _VSB_WINTER
31 | RES31 | Reserved for internal use (alarm flashing) | _VSB_RES31
32 | COT0 | Cause of transmission bit 1 | _VSB_TCB0
33 | COT1 | Cause of transmission bit 2 | _VSB_TCB1
34 | COT2 | Cause of transmission bit 3 | _VSB_TCB2
35 | COT3 | Cause of transmission bit 4 | _VSB_TCB3
36 | COT4 | Cause of transmission bit 5 | _VSB_TCB4
37 | COT5 | Cause of transmission bit 6 | _VSB_TCB5
38 | N_CONF | Negative confirmation of command by device (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test bit (IEC870 [T]) | _VSB_T_BIT
40 | WR_ACK | Writing acknowledged | _VSB_WR_ACK
41 | WR_SUC | Writing successful | _VSB_WR_SUC
42 | NORM | Normal status | _VSB_NORM
43 | N_NORM | Deviation normal status | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Time invalid | not defined
50 | CB_TRIP | Breaker tripping detected | not defined
51 | CB_TR_I | Breaker tripping detection inactive | not defined
52 | OR_DRV | Value out of Range | not defined
53 | RES53 | reserved | not defined
54 | RES54 | reserved | not defined
55 | RES55 | reserved | not defined
56 | RES56 | reserved | not defined
57 | RES57 | reserved | not defined
58 | RES58 | reserved | not defined
59 | RES59 | reserved | not defined
60 | RES60 | reserved | not defined
61 | RES61 | reserved | not defined
62 | RES62 | reserved | not defined
63 | RES63 | reserved | not defined

info Informazioni su

In formulas all status bits are available. For other use the availability can be reduced.

You can read details on status processing in the Status processing chapter.


Lasso per selezionare elementi dinamici nel Runtime.

Manuale -> Scripting -> Lista Macro -> Basi: -> Lasso per selezionare elementi dinamici nel Runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli elementi dinamici che sono collegati a una variabile oppure a una funzione, possono essere preselezionati nel Runtime con il lasso e, in tal modo, utilizzati, per eventi VBA.

Grazie al metodo SelElements, il sistema è in grado di riconoscere gli elementi dinamici scelti dall´utente nel Runtime come selezionati. Questi DynPicture.SelElements possono essere poi usati per eventi come Drag&Drop.

Selezione mediante lasso

Per selezionare nel Runtime degli elementi con il lasso, deve verificarsi quanto segue:

  • deve essere attiva nelle proprietà di progetto, la proprietà /Selezioni multiple in Runtime (Lazzo)
  • nelle proprietà dell´elemento dinamico deve essere attiva la proprietà Runtime/selezionabile tramite lazzo
  • la proprietà Muovi modello via mouse deve essere disattivata

Nel Runtime ci sono diversi metodi a disposizione dell´utente per selezionare degli elementi, a seconda delle impostazioni della gestione Touch:

  • gestione Touch disattivata, oppure Windows 7 (proprietà Analisi Disattivata oppure Windows 7):
    • Clic con il tasto sinistro del mouse + movimento: Viene creata una nuova selezione.
    • Clic con il tasto sinistro del mouse + tasto Ctrl + movimento: La selezione viene estesa.
  • Gestione Touch nativa Windows 8 attiva (proprietà Analisi su Windows 8):
    • Clic con il tasto sinistro del mouse + movimento: L´immagine viene mossa.
    • Clic con il tasto sinistro del mouse + tasto Ctrl + movimento: L´immagine viene mossa.
    • Clic con il tasto sinistro del mouse + tasto Shift + movimento: Viene creata una nuova selezione.
    • Clic con il tasto sinistro del mouse + tasto Ctrl + tasto Shift + movimento: La selezione viene estesa.

Regole:

  • Si possono selezionare solamente gli elementi che sono visibili.
  • Se si seleziona un pulsante e vi si clicca sopra, verrà eseguita la funzione ad esso collegata.
  • Se si clicca su un pulsante e si muove il mouse prima di smettere premere il tasto, la funzione collegata al pulsante non verrà eseguita.
  • Cancella selezione: aprire un lasso, che non contiene alcun elemento.


Macro nell´editor

Manuale -> Scripting -> Lista Macro -> Macro nell´editor

Le macro possono essere eseguite nell´editor per mezzo di una barra degli strumenti configurabile. A tal scopo, delle macro vengono collegate a pulsanti nella barra degli strumenti VBA .

Inoltre le macro possono essere eseguite anche manualmente, oppure tramite l´editor VBA.

Facendo uso di wizard, potete far in modo che operazioni ricorrenti vengano eseguite automaticamente, oppure che degli interi progetti vengano realizzati semplicemente premendo un pulsante. Alcuni wizard vengono forniti a titolo di esempio con zenon; essi possono essere ampliati e integrati a piacere: Essi aiutano a creare progetti, ad effettuare l´import e l´export, a creare delle variabili e a svolgere molti altri compiti. I dettagli relativi li potete trovare nel capitolo Wizards

Editor-Events

Gli Eventi Editor sono una componente del workspace VBA e consentono di reagire ad eventi nella programmazione workspace,ad es. per Wizards oppure Trasporto Remoto. Ad esempio:

  • OnElementCreated
  • OnElementDeleted
  • OnElementDoubleClicked
  • OnObjectCreated
  • ...

Tutti gli eventi e informazioni relative li trovate nella guida in linea concernente Object Model.

Noch in diesem Kapitel

Barra degli strumenti "Lista macro"

Collegamento delle macro


Barra degli strumenti "Lista macro"

Manuale -> Scripting -> Lista Macro -> Macro nell´editor -> Barra degli strumenti "Lista macro"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le macro che sono state realizzate usando VBA, possono essere gestite tramite la barra dei simboli Lista macro.

Simbolo

(da sinistra a destra)

Funzione

Ricarica la lista delle macro VBA./VSTA

Carica tutte le macroPublic Sub Name () contenute in myWorkspace e nei moduli nella lista dropdown della barra simboli.

Cerca macro

Cerca macro tramite il campo di inserimento della combobox, oppure selezione dalla lista a cascata. La lista a cascata viene adattata all´elemento più ampio quando viene aperta.

Macro della lista a cascata

Contiene tutte le macro caricate e ne permette la selezione.

Esegui le macro selezionate.

Esegue la macro selezionata nella lista a cascata (dropdown).

Esegui la macro #<x> assegnata.

Esegue la macro assegnata al simbolo.

Assegna macro

Apre il dialogo che serve all´assegnazione di macro. Con i simboli possono essere collegate da 1 a 5 macro.

VBA

Filtra alla ricerca di macro VBA. Vengono visualizzate solamente macro VBA.

VSTA

Filtra alla ricerca di macro VSTA. Vengono visualizzate solamente macro VSTA.

ALL

Cancella il filtro attualmente in uso e vengono visualizzate tutte le macro.

AZ

Mette le macro in ordine ascendente, da 0 a 9 e dalla A alla Z.

ZA

Mette le macro in ordine discendente, dalla Z alla A e da 9 a 0.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.

info Informazioni su

Nel caso in cui nel dialogo di attribuzione non vengano offerte tutte la macro contenute in myWorkspace, eseguite nella barra dei simboli la funzione Ricarica la lista delle macro VBA.


Collegamento delle macro

Manuale -> Scripting -> Lista Macro -> Macro nell´editor -> Collegamento delle macro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le macro possono essere richiamate facendo uso di un pulsante nella barra dei simboli. Si possono collegare in questo modo al massimo cinque macro. Usando il pulsante assegna macro, si apre il dialogo che serve all´assegnazione delle macro.

Parametri | Descrizione
Makro # | Il numero macro corrisponde al numero del pulsante nella barra dei simboli. Cliccando sul pulsante ... si apre il dialogo per selezionare le macro.
Ok | Crea collegamenti con i pulsanti e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude il dialogo.
Guida | Apre la guida online.

Parametri | Descrizione
Selezione esistente | Lista delle macro che possono essere collegate.
Nessuna selezione | Cancella l´assegnazione esistente per questo pulsante
Ok | Assegna la macro selezionata al pulsante.
Annulla | Annulla tutte le modifiche e chiude il dialogo.
Guida | Apre la guida online.


Funzioni in zenon

Manuale -> Scripting -> Lista Macro -> Funzioni in zenon

Nel dialogo Scelta funzioni, in corrispondenza dell´elemento VBA trovate le seguenti funzioni.

Funzione | Descrizione
Apri Editor PCE | Apre l'editor del modulo opzionale Process Control Engine (PCE).
VBA-Visualizza Editor | Apre l’editor VBA
Lanciare Macro-VBA | Esegue una macro VBA selezionata. Attenzione: L´evento VBA project inactive viene eseguito prima degli script AUTO_END_xxx. Per questo motivo, non viene più eseguita negli script la funzione di zenon Esegui macro VBA, dato che VBA non funziona più in questo momento.
VBA-Visualizza dialogo Macro | Apre il dialogo macro VBA

Noch in diesem Kapitel

Lanciare Macro-VBA


Lanciare Macro-VBA

Manuale -> Scripting -> Lista Macro -> Funzioni in zenon -> Lanciare Macro-VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando selezionate la funzione Esegui macro VBA, appare il seguente dialogo.

Sono disponibili le seguenti impostazioni:

Parametri | Descrizione
Selezione Macro | Apre il dialogo che serve a selezionare le macro (vediScelta macro) Consiglio: Only lists VBA macros that match the number of parameters defined at the function Parameter (below).
Parametri | Inserite il valore desiderato (stringa) per un parametro.
Nuovo | Cliccate su questo pulsante per inserire il valore nella lista dei parametri disponibili.
Elimina | Cliccate su questo pulsante per cancellare l´inserimento selezionato dalla lista dei parametri disponibili. Potete cancellare solo un inserimento alla volta.
In su | Cliccate su questo pulsante per spostare di una posizione verso l´alto l´inserimento selezionato. L´inserimento in questione verrà spostato di una posizione verso l´alto nella lista dei parametri.
In giù | Cliccate su questo pulsante per spostare di una posizione verso il basso l´inserimento selezionato. L´inserimento in questione verrà spostato di una posizione verso il basso nella lista dei parametri.

Avete la possibilità di depositare delle stringhe per macro che sono state create con parametri. Queste stringhe vengono trasmesse nel Runtime come singoli parametri quando viene eseguita la macro.

info Informazioni su

Dovete sincerarvi che il numero dei parametri della macro collegata corrisponda a quello dei parametri impostati in questa sede.

Noch in diesem Kapitel

Selezione Macro


Selezione Macro

Manuale -> Scripting -> Lista Macro -> Funzioni in zenon -> Lanciare Macro-VBA -> Selezione Macro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccando sul pulsante ... appare il seguente dialogo.

Selezionate in questa sede la macro desiderata fra quelle disponibili e cliccate poi su OK.


Sviluppo di wizard in VBA

Manuale -> Scripting -> Lista Macro -> Sviluppo di wizard in VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 6 è possibile automatizzare la fase di progettazione mediante l´uso di wizard. Le operazioni da ripetere spesso possono essere affidate ad un wizard, il quale provvede ad eseguirle: si può trattare, ad esempio, della creazione di un progetto, o della realizzazione di modelli ed immagini sulla base di uno standard definito.

Un´altra possibilità di utilizzo di wizard è l´effettuazione di modifiche automatiche in un progetto esistente, ad esempio, il cambiamento di proprietà degli elementi dinamici in tutte le immagini di uno dei progetti disponibili.

La base per la creazione di wizard sono Microsoft Visual Basic for Applications (VBA), nonché il modello oggetti di zenon.

Al momento sono disponibili i seguenti wizard:

  • Wizard di progetto
  • Wizard per l'importazione
  • World view wizard
  • Find VBA-Text Wizard
  • Wizard for keyword-creation
  • Wizard for keyword-creation
  • Wizard for creating variables

I wizard sono disponibili nella forma di file codice sorgente VBA sul supporto di installazione. I nuovi wizard possono essere implementati tramite l´ambiente VBA.

Noch in diesem Kapitel

Uso di un wizard

Struttura di nuovi wizard

Integrazione in VBA

Sviluppo di un wizard

Attualizzazione dei wizard.


Uso di un wizard

Manuale -> Scripting -> Lista Macro -> Sviluppo di wizard in VBA -> Uso di un wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il comando Wizards del menu File apre la selezione dei wizard. In questo dialogo vengono visualizzati tutti i wizard disponibili in base alla categoria di appartenenza.

Nel caso in cui i wizard non dovessero contenere nessuna categoria, viene creato automaticamente un inserimento Non collegato. Sotto questo inserimento vengono indicati in una lista tutti gli assistenti non collegati.

Si attiva un wizard selezionandolo e cliccando su OK.

info Informazioni su

I wizard supportano solamente single user project e non suportano un ambiente multi-user.


Struttura di nuovi wizard

Manuale -> Scripting -> Lista Macro -> Sviluppo di wizard in VBA -> Struttura di nuovi wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un wizard è una UserForm, che viene depositata nel nodo specifico dell´applicazione. La UserForm consiste di norma di un elemento multipagina, nel quale vengono rappresentati i singoli passi del wizard.

Cliccando su un pulsante Avanti, si passa alla prossima pagina dell´elemento multipagina. Tutti gli inserimenti debbono essere impostati temporaneamente; la creazione di oggetti, per esempio, modelli, immagini, .. può essere effettuata solamente con il completa del wizard.

info Informazioni su

Le UserForm che devono servire da wizard, devono contenere alcuni public method che forniscoo le informazioni sul wizard al sistema di controllo. Nel caso in cui queste routine manchino in una UserForm, quest`ultima non verrà considerata un wizard.


Integrazione in VBA

Manuale -> Scripting -> Lista Macro -> Sviluppo di wizard in VBA -> Integrazione in VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I wizard sono contenuti nel nodo specifico dell´applicazione ZWorkspace . Questo oggetto rappresenta il workspace caricato nell´editor ed è a disposizione solo nell´editor di zenon.

Tutti gli oggettii in questo progetto VBA possono accedere all´attuale workspace mediante l´oggetto MyWorkspace. Quest´ultimo è collegato sempre al progetto attualmente attivo, al quale potete accedere mediante le proprietà di ActiveDocument.

I contenuti dell´oggetto ZWorkspace sono contenuti nel file ZenWorkspace.vba. Questo file viene copiato con la prima installazione della versione 6 nel percorso di installazione. Nei successivi update, questo file non viene sovrascritto. Alla fine di questo tutorial riceverete ulteriori informazioni per realizzare l´attualizzazione dei wizard.


Sviluppo di un wizard

Manuale -> Scripting -> Lista Macro -> Sviluppo di wizard in VBA -> Sviluppo di un wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo tutorial crea un wizard per l'impostazione di variabili in un driver progettato.

Aprite l´ambiente VBA dall´editor di zenon e passate alla cartella ZWorkspace/Formulare. Questo file contiene le basi per lo sviluppo di un wizard. Modificate il nome dello UserForm.

Nel caso in cui il wizard non dovesse essere disponibile nella cartella sopracitata, potete importarlo facendo uso del comando Importa file.

info Informazioni su

Per sviluppare un wizard bisogna disporre di conoscenze relative al modello di oggetto di zenon e su VBA. In questo tutorial non si affrontano questi temi.

Create la superficie sopra rappresentata. Passate poi nel Code-Modul dello UserForm e scrollate fino alla fine del file. Lì troverete i seguenti metodi.

  • Public Function GetWizardName () As String

    Fornisce il nome univoco del Wizard. Cambiatene il contenuto sostituendolo con Wizard for creating variables

  • Public Function GetWizardInfo () As String

    Fornisce una breve descrizione che viene visualizzate nella scelta dei Wizard. Cambiatene il contenuto sostituendolo con Wizard for creating variables to a selected driver

  • Public Function GetWizardCategory () As String

    Fornisce la categoria del Wizard. Nella selezione dei Wizard, essi vengono visualizzati a seconda della categoria in una struttura ad albero. Cambiatene il contenuto inserendo Variables.

  • Public Function IsZenOnWizard () As Boolean

    Visualizzazione del Wizard nella selezione dei Wizard. Questo metodo fornisce "False", cosicché il Wizard non viene visualizzato, per es. perché non è ancora completato. Sostituite il Returntypen in True.

Questi metodi forniscono le informazioni sui Wizard che vengono richieste dal sistema di controllo. Bisogna tener presente che un Wizard viene visualizzato nella selezione Wizard solo nel caso in cui il metodo IsZenOnWizard fornisce True.

Passate a evento- Initializedella UserForm e cambiate i contenuti degli String-Arraysm_strCaption. Visto che il nostro Wizard consiste solo di due passi, potete cancellare le altre attribuzioni.

Inserite le seguenti definizioni nella parte alta del Code-Modul:

Private m_obDriver As Driver
Private m_obVarType As VarType
Private m_nChannelType As Integer

Create un metodo per l'inizializzazione del Combobox dei driver. Il compito della routine è rappresentare tutti i driver progettati del progetto attale nel ComboBox.

cbDriver.Clear
Dim nIndex As Long
For nIndex = 0 To MyWorkspace.ActiveDocument.Drivers.Count - 1
Dim obDriver As Driver
Set obDriver = MyWorkspace.ActiveDocument.Drivers.Item(nIndex)
If (Not obDriver Is Nothing) Then
cbDriver.AddItem
obDriver.Name
End If
Next nIndex
If (cbDriver.ListCount > 0) Then
cbDriver.ListIndex = 0
End If

Avete poi bisogno di una Routine che visualizzi in un ComboBox tutti i tipi di variabili progettati del progetto.

If (Not m_obDriver Is Nothing) Then
cbVarType.Clear
Dim nIndex As Long , nSelect As Integer
For nIndex = 0 To MyWorkspace.ActiveDocument.VarTypes.Count - 1
Dim obVarType As VarType
Set obVarType = MyWorkspace.ActiveDocument.VarTypes.Item(nIndex)
If ( Not obVarType Is Nothing And obVarType.IsSimple = True) Then
cbVarType.AddItem
obVarType.Name
If (obVarType.Name = INT) Then
nSelect = nIndex
End If
End If
Next nIndex
cbVarType.ListIndex = nSelect
End If

Al momento di aprire il Wizard verrano visualizzate le variabili già progettate per cercare un Start-Offset libero per le variabili che debbono essere create. Ciò accade grazie al seguente metodo.

Private Function FindHighestOffsetVar() As Long
On Error GoTo Error
Dim nIndex As Long , nOffset As Long
For nIndex = 0 To MyWorkspace.ActiveDocument.Variables.Count - 1

Dim obVar As Variable
Set obVar = MyWorkspace.ActiveDocument.Variables.Item(nIndex)
If ( Not obVar Is Nothing) Then
If (obVar.Offset > nOffset) Then
nOffset = obVar.Offset
End If
End If
Next nIndex
FindHighestOffsetVar = nOffset
Exit Function
Error : MsgBox
Error occurs: + Err.Description + Source + Err.Source
End Function

Passate in "Evento-Initialize" dello UserForm e ampliate questo metodo con le righe seguenti:

txtStart.Value = CStr(FindHighestOffsetVar + 1)

InitializeDriver

L'attribuzione a txtStart setta lo Start-Offset proposto per le variabili da creare. Mediante il metodo InitializeDriver viene riempito il ComboBox con i driver progettati.

Create un evento "change" per il Combobox dei driver e inserite il seguente codice. Dopo che è stato selezionato un driver, vengono individuati i tipi di variabili. L'oggetto driver selezionato viene scritto nella variabile m_obDriver per essere usato in seguito.

Private Sub cbDriver_Change()
cmdNext.Enabled = True
Set m_obDriver = MyWorkspace.ActiveDocument.Drivers.Item(cbDriver.Value)
If ( Not m_obDriver Is Nothing) Then
InitializeVarType
End If
End Sub

Create un trattamento evento Change per VarType-Combobox e inserite il seguente codice. Il tipo di variabile selezionato viene scritto nella variabile m_obVarType per essere usato in seguito.

Private Sub cbVarType_Change()
Set m_obVarType = MyWorkspace.ActiveDocument.VarTypes.Item(cbVarType.Value)
End Sub

Adesso non Vi resta che creare la routine evento che deve servire alla creazione delle variabili con le impostazioni che sono state definite in precedenza. Ciò accade mediante il pulsante "Finish".

Private Sub cmdFinish_Click()
On Error GoTo Error
If (cbVarType.ListIndex = -1) Then
MsgBox 'Please select a variable type'
cbVarType.SetFocus
Exit Sub
End If
If (txtStart.Value = Or txtCount.Value = Or txtStep.Value = ) Then
MsgBox 'Please enter Start-Offset', 'count of creating variables and the step'
txtStart.SetFocus
End If
If (m_obVarType Is Nothing) Then
MsgBox 'Variable type + cbVarType.Name + doesnt exist!'
Exit Sub
End If
Dim nPrvMousePtr As Integer
nPrvMousePtr = MousePointer
MousePointer = fmMousePointerHourGlass
DoEvents
Dim strName As String
Dim nIndex As Long , nVarIndex As Integer
Dim nStartOff As Long , nStep As Integer
nVarIndex = 1
nStartOff = CLng (txtStart.Value)
nStep = CLng (txtStep.Value)
For nIndex = 0 To CLng (txtCount.Value - 1)
Dim obVar As Variable
strName = txtName.Value + _ + CStr (nIndex + 1)
'*** Guaranteeing uniqueness of the variable name
Dim bResult As Boolean
bResult = False
Do
Set obVar = MyWorkspace.ActiveDocument.Variables.Item(strName)
If (obVar Is Nothing) Then
bResult = True
Else
nVarIndex = nVarIndex + 1
strName = txtName.Value + _ + CStr (nVarIndex)
End If
Loop While
bResult = False
'*** Create variable
Set obVar = MyWorkspace.ActiveDocument.Variables.CreateVar (strName, m_obDriver, tpSPSMerker, m_obVarType)
If ( Not obVar Is Nothing) Then
obVar.Offset = nStartOff
nStartOff = nStartOff + nStep
End If
Next nIndex
MousePointer = nPrvMousePtr
Unload Me
Exit Sub
Error :
MousePointer = nPrvMousePtr
MsgBox Error occurs: + Err.Description + Source + Err.Source
End Sub

Nel momento in cui viene completata la realizzazione del Wizard, il sistema controlla se le impostazioni che sono state definite sono valide o meno. Nel caso in cui non dovesse essere così, viene generata una segnalazione di errore e l'utente viene invitato a correggere gli inserimenti errati.

Nel caso in cui, invece, le impostazioni sono corrette, il sistema procede alla creazione delle variabili. Tali variabili ricevono un nome ed un indice. Nel caso in cui nel progetto dovesse esistere già una variabile con lo stesso nome, il sistema ricerca il prossimo indice libero. Nel nostro esempio di codice viene sempre creata una variabile del tipo Merker-PLC. Ad ogni nuovo passaggio, l'Offset per la variabile viene aumentato.


Attualizzazione dei wizard.

Manuale -> Scripting -> Lista Macro -> Sviluppo di wizard in VBA -> Attualizzazione dei wizard.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aggiornare i wizard:

  1. scegliere dal menu File l´inserimento Update Wizard....
  2. si apre un dialogo che serve ad effettuare l´update dei wizard già disponibili
  3. selezionate il wizard desiderato
  4. avviate l´update cliccando su avvia update

Se un wizard o una classe sono già esistenti nel workspace, sarà visualizzato un messaggio corrispondente

attention Attenzione

I wizard già esistenti vengono sovrascritti quando il sistema effettua l´update. Le modifiche individuali effettuate nel wizard andranno un questo caso perdute


Domande ricorrenti

Manuale -> Scripting -> Lista Macro -> Domande ricorrenti

In questo capitolo forniamo delle risposte ad alcune delle domande più frequenti. Ulteriori risposte a problemi ricorrenti le trovate anche online nel COPA-DATA Forum utenti.

Noch in diesem Kapitel

Perché il pulsante rimane pigiato?

La macro non viene eseguita al primo clic.

Le macro non funzionano più nel RT?

Windows CE e VBA


Perché il pulsante rimane pigiato?

Manuale -> Scripting -> Lista Macro -> Domande ricorrenti -> Perché il pulsante rimane pigiato?

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se un pulsante è collegato per es. con un evento - LeftClickUp, alla fine della procedura deve essere eseguito il LeftClickUp.

Public Sub LeftClickUp_Schalter(obElem As Element)
frmSchalter.Show

obElem.LeftClickUp
End Sub


La macro non viene eseguita al primo clic.

Manuale -> Scripting -> Lista Macro -> Domande ricorrenti -> La macro non viene eseguita al primo clic.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La soluzione corrisponde a quella della domanda: Perché il pulsante rimane pigiato?:

Se un pulsante è collegato per es. con un evento - LeftClickUp, alla fine della procedura deve essere eseguito il LeftClickUp.

Public Sub LeftClickUp_Schalter(obElem As Element)
frmSchalter.Show

obElem.LeftClickUp
End Sub


Le macro non funzionano più nel RT?

Manuale -> Scripting -> Lista Macro -> Domande ricorrenti -> Le macro non funzionano più nel RT?

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo effetto può verificarsi se è aperto nel runtime l'editor VBA e poi si pigia su stop/start per terminare o avviare VBA. In questo caso gli oggetto (variabili online, oggetti d'immagine,....) non sono più validi, dato che perdono il riferimento se ha luogo una nuova inizializzazione.


Windows CE e VBA

Manuale -> Scripting -> Lista Macro -> Domande ricorrenti -> Windows CE e VBA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

VBA è a disposizione nell'Editor CE per la realizzazione di Wizard. VBA non viene supportato nel Runtime. Dettagli sull'editor li trovate nel capitolo Crea progetti per CE.


Esempi

Manuale -> Scripting -> Lista Macro -> Esempi

Qui di seguito trovate alcuni esempi per VBA

Noch in diesem Kapitel

MouseEvents and ActiveX Control initialization

Visualizza informazioni variabili

Leggi e scrivi valori variabili

Leggi e scrivi variabili e implementa variabili online

Uso multiplo del dialogo

Alarm – Events and ActiveX Control handling

Accesso ad allarmi

Crea un interruttore (lavorare con variabili di processo)


MouseEvents and ActiveX Control initialization

Manuale -> Scripting -> Lista Macro -> Esempi -> MouseEvents and ActiveX Control initialization

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Option Explicit

Public Sub Init_ActiveX(obElem As Element)

'Initializing ActiveX...

thisProject.Init_MSChart_AX obElem

End Sub

Public Sub LeftClickUp_Sample1(obElem As Element)

'Initializing Userform...

frmSample1.InitForm obElem

'Show Userform

frmSample1.Show

End Sub

Public Sub LeftClickUp_Sample2(obElem As Element)

'Initializing Userform...

frmSample2.InitForm obElem

'Show Userform

frmSample2.Show

End Sub

Public Sub LeftClickUp_Sample3(obElem As Element)

'Initializing Userform...

frmSample3.InitForm obElem

'Show Userform

frmSample3.Show

End Sub

Public Sub LeftClickUp_Sample4(obElem As Element)

Dim NewForm As New frmSample4

'Initializing NEW Userform...

NewForm.InitForm obElem

'Show NEW Userform

NewForm.Show (0)

End Sub


Visualizza informazioni variabili

Manuale -> Scripting -> Lista Macro -> Esempi -> Visualizza informazioni variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Visualizza nome variabile per elemento su cui si è cliccato:

Option Explicit

Dim obVar As Variable

'User defined Public Procedure for initializing Objects

Public Sub InitForm(obElem As Element)

'set the variable object like the linked variable of the element

Set obVar = obElem.ItemVariable(0)

'write variable name into the textbox

txtVarName.Text = obVar.Name

End Sub

Private Sub cmdExit_Click()

'close Userform

Unload Me

End Sub


Leggi e scrivi valori variabili

Manuale -> Scripting -> Lista Macro -> Esempi -> Leggi e scrivi valori variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Leggi valori di una variabile e effettua backup:

Option Explicit

Dim obVar As Variable

'User defined Public Procedure for initializing Objects

Public Sub InitForm(obElem As Element)

'set the variable object like the linked variable of the element

Set obVar = obElem.ItemVariable(0)

'write variable name into the textbox

txtVarName.Text = obVar.Name

End Sub

Private Sub cmdExit_Click()

'close Userform

Unload Me

End Sub

Private Sub cmdRead_Click()

'read value from variable and write into textbox

txtValue.Text = obVar.Value

End Sub

Private Sub cmdWrite_Click()

'write text as value to variable

obVar.Value = txtValue.Text

'or changing text to value before writing...

'obVar.Value = Val(txtValue.Text)

End Sub


Leggi e scrivi variabili e implementa variabili online

Manuale -> Scripting -> Lista Macro -> Esempi -> Leggi e scrivi variabili e implementa variabili online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Leggi informazioni variabili, scrivi valori e implementa variabili online:

Option Explicit

Dim obVar As Variable

Dim WithEvents zOnlineVariable As OnlineVariable

'User defined Public Procedure for initializing Objects

Public Sub InitForm(obElem As Element)

'set the variable object like the linked variable of the element

Set obVar = obElem.ItemVariable(0)

'write variable name into the textbox

txtVarName.Text = obVar.Name

'create an OnlineVariable container

Set zOnlineVariable = thisProject.OnlineVariables.CreateOnlineVariables("OLV")

'add variables to the container (by name of the variable)

zOnlineVariable.Add obVar.Name

End Sub

Private Sub cmdExit_Click()

'close Userform

Unload Me

End Sub

Private Sub cmdRead_Click()

'read value from variable and write into textbox

txtValue.Text = obVar.Value

End Sub

Private Sub cmdWrite_Click()

'write text as value to variable

obVar.Value = txtValue.Text

'or changing text to value before writing...

'obVar.Value = Val(txtValue.Text)

End Sub

Private Sub cmdOLV_Start_Click()

'start the OnlineVariable - Define

'the VariableChange Event will be executed

zOnlineVariable.Define

End Sub

Private Sub cmdOLV_Stop_Click()

'stop the OnlineVariable - UnDefine

'the VariableChange Event will be stopped

zOnlineVariable.Undefine

End Sub

Private Sub zOnlineVariable_VariableChange(ByVal obVar As IVariable)

'write actual value into textbox

txtOLV.Text = obVar.Value

End Sub

Private Sub UserForm_Terminate()

'the VariableChange Event will be stopped if running

zOnlineVariable.Undefine

'delete OnlineVariable container

thisProject.OnlineVariables.DeleteOnlineVariables ("OLV")

End Sub


Uso multiplo del dialogo

Manuale -> Scripting -> Lista Macro -> Esempi -> Uso multiplo del dialogo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Userforms possono essere usati più volte:

Option Explicit

Dim obVar As Variable

Dim WithEvents zOnlineVariable As OnlineVariable

Dim strOLVName As String

Public Sub InitForm(obElem As Element)

'set the variable object like the linked variable of the element

Set obVar = obElem.ItemVariable(0)

'write variable name into the textbox

txtVarName.Text = obVar.Name

'create name for Online Container

strOLVName = "OLV_" & obElem.Name

'get existing online container

Set zOnlineVariable = thisProject.OnlineVariables.Item(strOLVName)

'check if online container exists

If zOnlineVariable Is Nothing Then

'create an OnlineVariable container

Set zOnlineVariable = thisProject.OnlineVariables.CreateOnlineVariables(strOLVName)

'add variables to the container (by name of the variable)

zOnlineVariable.Add obVar.Name

End If

End Sub

Private Sub cmdExit_Click()

Unload Me 'close Userform

End Sub

Private Sub cmdRead_Click()

'read value from variable and write into textbox

txtValue.Text = obVar.Value

End Sub

Private Sub cmdWrite_Click()

'write text as value to variable

obVar.Value = txtValue.Text

'or changing text to value before writing...

'obVar.Value = Val(txtValue.Text)

End Sub

Private Sub cmdOLV_Start_Click()

'the VariableChange Event will be executed

zOnlineVariable.Define

End Sub

Private Sub cmdOLV_Stop_Click()

'the VariableChange Event will be stopped

zOnlineVariable.Undefine

End Sub

Private Sub zOnlineVariable_VariableChange(ByVal obVar As IVariable)

'write actual value into textbox

txtOLV.Text = obVar.Value

End Sub

Private Sub UserForm_Terminate()

'the VariableChange Event will be stopped if running

zOnlineVariable.Undefine

'delete OnlineVariable container

thisProject.OnlineVariables.DeleteOnlineVariables (strOLVName)

End Sub


Alarm – Events and ActiveX Control handling

Manuale -> Scripting -> Lista Macro -> Esempi -> Alarm – Events and ActiveX Control handling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Option Explicit

Dim WithEvents obChart As MSChart

Dim WithEvents zOLV As OnlineVariable

Dim WithEvents zAlarm As Alarm

'procedure is executed on startup of the zenon runtime

Private Sub Project_Active()

'init the alarm object for events

Set zAlarm = thisProject.Alarm

End Sub

'procedure is executed when an Alarm comes

Private Sub zAlarm_AlarmComes(ByVal obItem As IAlarmItem)

Dim strInfo As String

'write specific information about the alarm into a StringVariable

strInfo = obItem.Text & " - " & obItem.Name

thisProject.Variables.Item("Var_Comes").Value = strInfo

End Sub

'procedure is executed when an Alarm has gone

Private Sub zAlarm_AlarmGoes(ByVal obItem As IAlarmItem)

Dim strInfo As String

'write specific information about the alarm into a StringVariable

strInfo = obItem.Text & " - " & obItem.Name

thisProject.Variables.Item("Var_Goes").Value = strInfo

End Sub

'procedure is executed when an Alarm was acknowledged by a user

Private Sub zAlarm_AlarmAcknowledged(ByVal obItem As IAlarmItem)

Dim strInfo As String

'write specific information about the alarm into a StringVariable

strInfo = obItem.Text & " - " & obItem.Name

thisProject.Variables.Item("Var_Acknowledged").Value = strInfo

End Sub

'procedure is executed on terminating the zenon Runtime

Private Sub Project_Inactive()

'free the alarm object

Set zAlarm = Nothing

'delete OnlineVariable for Chart actualization...

thisProject.OnlineVariables.DeleteOnlineVariables "CHART"

End Sub

'procedure for MSChart ActiveX initialization...

Public Sub Init_MSChart_AX(YourAX As Element)

Set obChart = YourAX.AktiveX

obChart.RowCount = 3

obChart.ColumnCount = 1

Set zOLV = thisProject.OnlineVariables.Item("CHART")

'does existing OnlineVariable exist?

If zOLV Is Nothing Then

'if not, create it...

Set zOLV = thisProject.OnlineVariables.CreateOnlineVariables("CHART")

zOLV.Add "Internal_UINT_001"

zOLV.Add "Internal_UINT_002"

zOLV.Add "Internal_UINT_003"

End If

zOLV.Undefine 'if not stopped, refreshing not possible

'START watching variables...

zOLV.Define

End Sub

'event on Variable change - refresh chart...

Private Sub zOLV_VariableChange(ByVal obVar As IVariable)

'setting values to display in chart control

Select Case obVar.Name

Case "Internal_UINT_001"

obChart.Row = 1

obChart.RowLabel = "Var1"

obChart.Data = obVar.Value

Case "Internal_UINT_002"

obChart.Row = 2

obChart.RowLabel = "Var2"

obChart.Data = obVar.Value

Case "Internal_UINT_003"

obChart.Row = 3

obChart.RowLabel = "Var3"

obChart.Data = obVar.Value

End Select

End Sub

'event of the Chart AX...

Private Sub obChart_DblClick()

MsgBox "You have DoubleClicked the ActiveX!"

End Sub


Accesso ad allarmi

Manuale -> Scripting -> Lista Macro -> Esempi -> Accesso ad allarmi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Descrizione:

Nel formulario frmAlarm si può selezionare in un combobox un allarme che si trova nella memoria. Dopo avere effettuato la selezione, tutti i dati riguardanti l'allarme vengono inseriti nei box di testo sottostanti (gruppo, calsse, variabile ...)

Per visualizzare frmAlarm, utilizziamo un evento macro indipendente visto che non stabiliamo un collegamente ad un elemento nel presente esempio.

Sub Alarm ()
frmAlarm.Show
End Sub

'La macro viene eseguita grazie alla funzione "esegui macro.."

'Con l´apertura della forma questa viene inizializzata, ed eseguita la seguente routine. Da essa dipende il fatto che la Combobox impostata nella forma riceve tutti gli allarmi che si trovano al momento in memoria.

Private Sub UserForm _ Initialize ()

'fill combobox with all AlarmItems
Dim i As Integer
Dim obAlarmItems As AlarmItems
Dim obAlarm As Alarm

Set obAlarm = thisProject.Alarm
Set obAlarmItems = obAlarm.AlarmItems (*)

If obAlarmItems.Count = 0 Then
MsgBox (# Alarms = 0 )
Exit Sub
End If

For i = 0 To obAlarmItems.Count - 1
cmbAlarmItems.AddItem obAlarmItems.Item ( i ). Name
Next i

txtAktiv.Text = obAlarm.Aktiv
cmbAlarmItems.Text = cmbAlarmItems.List ( 0 )
End Sub

'Se viene selezionato solo un allarme del Combobox, reagisce l'evento Change del Combobox.
Private Sub cmbAlarmItems _ Change ()

'put actual properties from AlarmItem in textboxes
Dim obAlarmItems As AlarmItems
Dim obAlar As Alarm

Set obAlarm = thisProject.Alarm
Set obAlarmItems = obAlarm.AlarmItems (*)
txtComputer.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Computer
txtCountreactivated.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Countreactivated
txtName.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ). Name
txtProjectname.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Projectname
txtStatus.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Status
txtStatusreactivated.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Statusreactivated
txtTagname.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Tagname
txtTimecomes.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timecomes
txtTimegoes.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timegoes
txtTimequitted.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timequitted
txtTimereactivated.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timereactivated
txtUser.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).User
txtUsertext.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Usertext
txtValue.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Value
tbGroup.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).AlarmGroup
tbClass.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).AlarmClass
End Sub


Crea un interruttore (lavorare con variabili di processo)

Manuale -> Scripting -> Lista Macro -> Esempi -> Crea un interruttore (lavorare con variabili di processo)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo esempio si disegna una pompa che consiste di un cerchio e di un triangolo. Quest'ultimo lo definite Voi come simbolo proprio. Sopra ponete un elemento multibin e collegatelo con tre variabili bit merker.

Si deve inoltre stabilire di quale colore deve essere il triangolo al centro in caso di una modifica del valore delle variabili.

In primo luogo si collega l'elemento multibin con una macro che fa apparire una forma frminterruttore.

Mediante la forma frminterruttore si può modificare il valore delle tre variabili bit merker.

info Informazioni su

Solo una delle tre variabili può contenere il valore 1. (ciò significa che se una variabile viene settata sul valore 1, le altre due devono ricevere il valore 0)

Per utilizzare questa macro più volte in un progetto in riferimento a diverse variabili, dovete fare attenzione di collegare con l'elemento multibin solo variabili bit merker che contengono già nel nome della variabile quale stato della pompa gestiscono.

Per es.:
Variable_Auto
Variable_Hand
Variable_Revi

info Informazioni su

Le desinenze _Auto, _Hand e _Revi sono definite in modo fisso nel codice sorgente dell'esempio.

Mediante queste desinenze di cinque segni del nome della variabile, si può definire ora quale variabile viene settata sul valore 1 cliccando su un pulsante toggle e quale sul valore 0.

Nella macro LeftClickUp_interruttore viene richiamato un sottoprogramma FindVariable nella formai frminterruttore, cui viene trasmesso l'elemento selezionato obElem.

Public Sub LeftClickUp_Schalter (obElem As Element)
frmSchalter.FindVariable obElem
position (pixel to points = (pixel * 0.75))
frmSchalter.Top = obElem.Bottom * 0.75
frmSchalter.Left = obElem.Left * 0.75
frmSchalter.Show
obElem.LeftClickUp
End Sub

Dichiarazione moduli globali variabili:

Dim cmdLast As ToggleSchaltfläche
Dim strHand As String
Dim strAuto As String
Dim strRevi As String
Nel sottoprogramma FindVariable vengono controllote anzitutto tutte le variabili che sono offerte dall'elemento trasmesso.

A seconda della desinenza (_Auto, _Hand o _Revi), i nomi delle variabili vengono attribuiti alle variabili string sopra dichiarate.

Inoltre il sistema rileva quale stato ha la variabile e, a seconda del valore (1 o 0), viene azionato il corrispondente pulsante toggle o no.

Al momento dell'apertura della forma frminterruttore, il nome del pulsante Toggle al momento premuto viene scritto in una variabile string. Nel caso in cui l'utente decida di interrompere la procedura di modifica del valore, vengono ripristinati i valori originali.

Public Sub FindVariable (obElem As Element)
Dim i As Integer
Dim obVariable As Variable

For i = 0 To obElem . CountVariable - 1
Select Case Right $( obElem . ItemVariable ( i ). Name , 5 )
Case _ Auto
strAuto = obElem . ItemVariable ( i ). Name

Case _ Hand
strHand = obElem . ItemVariable ( i ). Name

Case _ Revi
strRevi = obElem . ItemVariable ( i ). Name
End Select
Next i

Set obVariable = thisProject . Variables . Item ( strHand )
If obVariable . Value = 1 Then
tbHand . Value = True
Set cmdLast = tbHand
End If

Set obVariable = thisProject . Variables . Item ( strAuto )
If obVariable . Value = 1 Then
tbHand . Value = True
Set cmdLast = tbAuto
End If

Set obVariable = thisProject . Variables . Item ( strRevi )
If obVariable . Value = 1 Then
tbRev . Value = True
Set cmdLast = tbRev
End If

If tbHand . Value = False And tbAuto . Value = False And tbRev . Value = False Then
tbOff . Value = True
Set cmdLast = tbOff
End If
End Sub

La Function VarExists generata autonomamente controlla solamente se le variabili collegate esistono; se ciò non dovesse corrispondere alla realtà, segue una segnalazione di errore. Variable doesn't exist.

Function VarExists ()

Dim obVariable As Variable
Set obVariable = thisProject . Variables . Item (strHand)

If obVariable Is Nothing Then
MsgBox (Variable doesnt extist)
VarExitsts = False
Exit Function
End If

Set obVariable = thisProject . Variables . Item (strAuto)
If obVariable Is Nothing Then
MsgBox ( Variable doesnt extist )
VarExitsts = False
Exit Function
End If

Set obVariable = thisProject . Variables . Item (strRev)
If obVariable Is Nothing Then
MsgBox ( Variable doesnt extist )
VarExitsts = False
Exit Function
End If

VarExists = True
End Function

Se l'utente clicca su "Annula", la modifica del valore viene annullata e viene ripristinato lo stato originario.

Private Sub cmdExit _ Click ()
cmdLast.Value = True
Unload Me
End Sub

Private Sub cmdOk _ Click ()
Unload Me
End Sub

Se un pulsante toggle è premuto, non ne deve essere attivo nessun altro.

Private Sub tbAuto_Change ()
If tbAuto . Value = False And tbHand.Value = False And tbRev . Value = False Then
tbOff . Value = True
End Sub

In "eventi click" di ogni pulsante toggle si controlla se questo non è premuto e se la variabile esiste. Nel caso in cui entrambe le cose corrispondano alla realtà, vengono trasmessi i valori delle variabili collegate.


VSTA

Manuale -> Scripting -> VSTA

Con Visual Studio Tools for Applications - VSTA, la funzionalità del runtime e dell´editor di zenon può essere ampliata con l´aggiunta della programmazione .NET.

VSTA è disponibile, seppure con limitazioni, anche per zenon Web Server e per zenon Web Client.

info Informazioni su

Se si modificano delle macro VBA nell´Editor:

  • vengono compilati i file Runtime e trasmessi nel Runtime.
  • il runtime viene riavviato.
  • anche gli elementi VSTA vengono ricaricati, anche quando non c´è stata alcuna modifica in VSTA .

VSTA mette a disposizione ambienti di sviluppo separati per workspace e progetto. Se ne può usare solamente uno alla volta. Al momento dello start, ogni altro ambiente di sviluppo VSTA già aperto verrà chiuso.

Per aprire l´Editor VSTA per il workspace:

  1. premete la combinazione tasti Alt+F10
  2. verrà visualizzato il codice per il workspace e tutti i progetti caricati.

Per aprire l´Editor VSTA per il progetto attualmente caricato:

  1. navigate per raggiungere il nodointerfacce di programmazione
  2. cliccate poi con il tasto destro del mouse su VSTA.
  3. selezionate nel menù contestuale Apri VSTA-Editor...

l´Editor verrà aperto per il progetto attualmente caricato.

Noch in diesem Kapitel

Basi:

Creazione di un progetto VSTA

Esempi


Basi:

Manuale -> Scripting -> VSTA -> Basi:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

VSTA è uno sviluppo della ditta Microsoft che si basa sulla tecnologia .NET. Per potere comprendere il programma, sono necessarie delle conoscenze di base concernenti la programmazione orientata agli oggetti, .NET e C#/Visual Basic.NET.

Noch in diesem Kapitel

Impostazione dell´ambiente VSTA

Accesso al modello oggetti in zenon

Funzioni in zenon

Debugging di un Add-in VSTA

Nuovi eventi in VSTA

Backup di progetti VSTA


Impostazione dell´ambiente VSTA

Manuale -> Scripting -> VSTA -> Basi: -> Impostazione dell´ambiente VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Di default, il supporto per VSTA in zenon è già attivato. Disattivando il supporto VBA, anche l´ambiente VSTA non è più disponibile.

Utilizzando il seguente inserimento in C:\ProgramData\COPA-DATA\System\zenon6.ini, l´ambiente VSTA può essere attivato o disattivato manualmente:

attivare VSTA | disattivare VSTA
[VSTA] ON=1 | [VSTA] ON=0

Il supporto per VBA viene attivato o disattivato nel modo seguente:

attivare VBA | disattivare VBA
[VBA] EIN=1 | [VBA] EIN=0

In seguito, l´ambiente di sviluppo per VSTA sarà disponibilie in zenon.

info Informazioni su

VSTA consente lo sviluppo di progetti nelle lingue di programmazione C# e Visual Basic.NET. Come linguaggio standard per progetti VSTA nell´Editor è prevista C#. Mediante il seguente inserimento, il linguaggio può essere cambiato passando a Visual Basic.NET:

[VSTA]

CSHARP=0


Accesso al modello oggetti in zenon

Manuale -> Scripting -> VSTA -> Basi: -> Accesso al modello oggetti in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In VSTA si può accedere al modello oggetti di zenon che viene usato anche in VBA. Il modello oggetto rimane in entrambi gli ambienti di sviluppo la stessa funzionalità.

attention Attenzione

A causa di limitazioni nella denominazione di modelli oggetti in VSTA, sono state realizzate alcune modifiche del modello ogetto. Le trovate nella tabella qui sotto

Property alt | Property neu
IDriver.Name | IDriver.Identification
IDriver.Driver | IDriver.Name
Event alt | Event neu
IApplication.Close | IApplication.OnClose
IZenWorkspace.Startup | IZenWorkspace.OnStartup
IZenWorkspace.Exit | IZenWorkspace.OnExit

L´accesso si verifica in VSTA mediante l´oggetto this e sostituisce l´oggetto VBA MyWorkspace. I metodi e gli oggetti successivi sono identici. Nei seguenti metodi vene creato un modello con il nome "TemplateName" in zenon.

public void Macro1()

{

this.ActiveDocument.Templates().Create("TemplateName", true);

}

info Informazioni su

Diversamente da quanto accade in VBA, in VSTA si dà importanza alla scrittura maiuscola e minuscola, nonché a parentesi dopo il nome della funzione.

Per aprire i metodi in zenon, il progetto deve essere salvato e compilato seguendo i seguenti passi:

  1. Cliccando su File -> Save MyWorkspace.cs, il progetto viene salvato.
  2. Cliccando su Build -> Build WorkspaceAddin, il progetto viene compilato.

Il metodo è poi a Vostra disposizione come macro nella barra degli strumenti delle macro VBA che si trova nell´editor di zenon. Nel caso in cui il dialogo per l'assegnazione delle macro non dovesse offrire tutte le macro contenute in MyWorkspace, la funzione "Ricarica lista delle macro VBA" dovrebbe essere eseguita nella barra degli strumenti.

info Informazioni su

Macro VSTA con parametro, per es. Public void MacroWithParam(string mString), non vengono supportate e non vengono neppure offerte all´utente nella barra degli strumenti delle macro.


Funzioni in zenon

Manuale -> Scripting -> VSTA -> Basi: -> Funzioni in zenon

In zenon sono state sviluppate le seguenti nuove funzioni per VSTA. Esse si trovano nel gruppo di funzioni "VSTA".

In parallelo alle funzioni VBA esistenti, sono state implementate delle funzioni simili per VSTA:

Nome funzione

Descrizione

Apri Editor VSTA

apre l´editor di VSTA nel runtime

Lanciare Macro-VSTA

Nell´editor può essere selezionata una macro VSTA che viene avviata al momento dell´esecuzione della funzione nel runtime.

Nota: Macro VSTA con parametro, per es. Public void MacroWithParam(string mString), non vengono supportate. Esse non vengono offerte all´utente né al momento della progettazione nell´Editor, né allo start della funzione nel Runtime.

VSTA-Visualizza il dialogo delle Macro

Nel runtime viene visualizzato un dialogo in cui possono essere visualizzate, selezionate ed eseguite le macro a disposizione.

Noch in diesem Kapitel

Lanciare Macro-VSTA


Lanciare Macro-VSTA

Manuale -> Scripting -> VSTA -> Basi: -> Funzioni in zenon -> Lanciare Macro-VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Finestra di dialogo per la configurazione della funzione Lanciare Macro-VSTA.

Parametri | Descrizione
Macro esistenti |
Lista delle macro VSTA | Elenca in una lista tutte le macro VSTA esistenti. Selezione di una macro fra quelle della lista tramite un clic del mouse. Nota: Cliccando due volte, si avvia l´esecuzione della macro.
Nessuna selezione | Annulla la selezione e chiude il dialogo.
Ok | Esegue la macro selezionata e chiude il dialogo.
Annulla | Annulla la selezione e chiude il dialogo.
Guida | Apre la guida online.


Debugging di un Add-in VSTA

Manuale -> Scripting -> VSTA -> Basi: -> Debugging di un Add-in VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mediante l´editor di VSTA, è possibile realizzare il debugging di AddIn scritti individualmente. Bisogna tenere presente che si può realizzare il debugging di Project-AddIns solamente nel runtime di zenon, di Workspace-AddIns solo nell´editor di zenon.

Una sessione di debugging viene avviata mediante il menu Debug - Start Debugging. Dei breakpoint possono essere fissati come nell´editor di VBA, cioè cliccando con il tasto sinistro del mouse nella barra di breakpoint di color grigio che si trova sul bordo sinistro accanto alla riga corrispondente.

info Informazioni su

Nell´effettuare il debugging di Runtime Add-in, tenete presente quanto segue:

I file Runtime modificati in zenon devono essere generati di nuovo prima dell´inizio dell´operazione di debugging.


Nuovi eventi in VSTA

Manuale -> Scripting -> VSTA -> Basi: -> Nuovi eventi in VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Visto che accade una terminazione di un AddIn al momento della compilazione di un codice modificato, al momento dell´avvio di una sessione di debugging o al momento della chiusura della stessa, sono stati implementati in VSTA nuovi eventi. Essi permettono, ad esempio, la valutazione e il rilascio di una referenza oggetto e il salvataggio dei dati esistenti.

Per ogni terminazione esistono due events. Il primo di essi viene avviato poco prima della terminazione, il secondo dopo l´avvio di una nuova sessione AddIn.

Event | Descrizione
OnPreVSTADebugStart | Vene effettuato il trigger prima che una sessione di debugging venga avviata. Al momento dello start, viene eliminato un AddIn attivo, delle referenze devono essere rese disponibili e i dati disponibili devono essere salvati.
OnVSTADebugStart | Vene effettuato il trigger dopo che una sessione di debugging è stata avviata.
OnPreVSTADebugStop | Vene effettuato il trigger prima che una sessione di debugging venga arrestata. Al momento dell´interruzione di una sessione di debugging, viene eliminato un AddIn attivo, delle referenze devono essere rese disponibili e i dati disponibili devono essere salvati.
OnVSTADebugStopped | Vene effettuato il trigger dopo che una sessione di debugging è stata arrestata.
OnPreVSTAUpdate | Viene effettuato il trigger prima dell´eliminazione dell´AddIn, se è stata generata con successo una nuova versione dell´AddIn.
OnPostVSTAUpdate | Vene effettuato il trigger quando viene caricata una nuova versione dell´AddIn.


Backup di progetti VSTA

Manuale -> Scripting -> VSTA -> Basi: -> Backup di progetti VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I progetti VSTA nel runtime vengono zippati automaticamente al momento della generazione dei file runtime e sono contenuti in Workspace backup.

Per i progetti VSTA nell´edtor, invece, si deve effettuare un backup manuale.
Potete trovare i progetti Editor VSTA nella cartella C:\ProgramData\COPA-DATA\*version*\VSTAWorkspace\.


Creazione di un progetto VSTA

Manuale -> Scripting -> VSTA -> Creazione di un progetto VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In modo simile a quanto accade per VBA, esiste anche in VSTA la possibilità di creare dei progetti sia per l´editor che per il runtime. In linea di principio, i progetti nell´editor vengono relizzati nel linguaggio di programmazione C#. Per il Runtime e l´Editor, sono a Vostra disposizione sia C# che Visual Basic.NET.

info Informazioni su

Nell´ambito dell´editor di VSTA, può essere visualizzato solamente un progetto alla volta. Inoltre, può essere attiva solamente un´istanza alla volta dell´editor. Al momento dell´avvio dell´editor di VSTA, viene chiusa un´istanza già eventualmente aperta.

Noch in diesem Kapitel

Progetti VSTA nell´editor

Progetti VSTA nel runtime

Sviluppo di wizard in VSTA


Progetti VSTA nell´editor

Manuale -> Scripting -> VSTA -> Creazione di un progetto VSTA -> Progetti VSTA nell´editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento della creazione di un progetto per l´editor di zenon, un VSTA-AddIn viene caricato per il workspace. Per modificare l´Add-In, bisogna aprire l´editor di VSTA mediante File - Aprire editor VSTA.... L´interfaccia utente dell´editor VSTA è identica all´ambiente di sviluppo di Visual Studio della ditta Microsoft.

info Informazioni su

Mediante il menù Help / Contents , si può aprire la guida dell´editor VSTA. Questa guida fornisce una visione d´insieme sulle funzioni dell´editor, le features del framework .NET e la programmazione in Visual Basic.NET e C#.

Il VSTA-Add-In consiste essenzialmente della classe MyWorkspace. Questa classe può essere ampliata solamente con l´aggiunta di metodi propri. La classe ospita di default i seguenti due metodi:

Funzione | Descrizione
MyWorkspace_Startup | viene eseguito automaticamente al momento dell´avvio di zenon, dopo la creazione di un build e al momento dell´avvio di una sessione di debugging.
MyWorkspace_Shutdown | viene eseguito automaticamente al momento dellla chiusura di zenon, dopo la creazione di un build e al momento della chiusura di una sessione di debugging.

attention Attenzione

I nomi metodi possono iniziare esclusivamente con Macro (per es. Macro1, MacroVSTA) , non devono contenere nessun parametro e devono essere definiti come Public . Inoltre, il nome classe e altri metodi e event creati da VSTA non possono essere modificati.

Per aprire i metodi in zenon, il progetto deve essere salvato e compilato seguendo i seguenti passi:

  1. Cliccando su File -> Save MyWorkspace.cs, il progetto viene salvato.
  2. Cliccando su Build -> Build WorkspaceAddin, il progetto viene compilato.

Il metodo è poi a Vostra disposizione come macro nella barra degli strumenti delle macro VBA che si trova nell´editor di zenon. Nel caso in cui il dialogo per l'assegnazione delle macro non dovesse offrire tutte le macro contenute in MyWorkspace, la funzione "Ricarica lista delle macro VBA" dovrebbe essere eseguita nella barra degli strumenti.


Progetti VSTA nel runtime

Manuale -> Scripting -> VSTA -> Creazione di un progetto VSTA -> Progetti VSTA nel runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un progetto VSTA per il runtime, si deve anzitutto aprire l´ambiente VSTA. A tal scopo, procedete nel modo seguente:

  1. aprite nel manager di progetto il punto Interfacce di programmazione.
  2. Aprite il menu contestuale di VSTA.
  3. Cliccate su Aprire editor VSTA....

Selezionate adesso nel dialogo che comparirà il linguaggio che desiderate. A questo punto verrà impostato un progetto nel linguaggio che avete selezionato.

info Informazioni su

Il linguaggio selezionato non può essere modificato in un secondo momento; per questo motivo, questo dialogo viene visualizzato solo la prima volta.

In questo progetto viene impostata da zenon una classe dal nome ThisProject , che ospita i seguenti due metodi:

Funzione | Descrizione
ThisProject_Startup | viene eseguito automaticamente al momento dell´avvio del runtime.
ThisProject_Shutdown | viene eseguito automaticamente al momento della chiusura del runtime.

Questa classe può essere ampliata solamente con l´aggiunta di metodi propri.

attention Attenzione

I nomi metodi possono iniziare esclusivamente con Macro (per es. Macro1, MacroVSTA) , non devono contenere nessun parametro e devono essere definiti come Public . Inoltre, il nome classe e altri metodi e event creati da VSTA non possono essere modificati.

Esiste la possibilità di accedere tramite il modello oggetti di zenon a tutte le funzionalità runtime. Le funzioni specifiche dell´editor non possono essere usate in VBA.

Il runtime di zenon viene avviato automaticamente al momento dell´avvio del debugger. Trovate ulteriori informazioni nel capitolo Debugging di un Add-In VSTA-.

info Informazioni su

Mediante il menù Help / Contents , si può aprire la guida dell´editor VSTA. Questa guida fornisce una visione d´insieme sulle funzioni dell´editor, le features del framework .NET e la programmazione in Visual Basic.NET e C#.


Sviluppo di wizard in VSTA

Manuale -> Scripting -> VSTA -> Creazione di un progetto VSTA -> Sviluppo di wizard in VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´ambiente VSTA offre come VBA la possibilità di sviluppare propri wizard.

Per poter accedere in un modulo all´oggetto modello zenon, deve essere trasmessa una referenza al modulo stesso. A questo scopo, si crea un metodo nella classe MyWorkspace . Nell´esempio seguente, viene instanziato un modulo dal nome Wizard e viene richiamato il metodo ZenonInstance con una referenza all´oggetto modello zenon come parametro. Mediante ShowDialog(), viene visualizzato il modello Wizard.

public void Macro1()

{

Form1 Wizard = new Form1();

Wizard.ZenonInstance(this.Application);

Wizard.ShowDialog();

}

Nel codice del modello deve essere impostata una variabile member, che riprende l´oggetto modello zenon.

public zenOn.IApplication m_Zenon=null;

Per ultimo, viene impostato il metodo ZenonInstance . Questo metodo riprende la referenza all´oggetto modello e la pone sull´oggetto m_Zenon.

public void ZenonInstance(zenOn.IApplication app)

{

m_Zenon = app;

}

Adesso, si può procedere allo sviluppo di classi e metodi propri nel modello che accedono all´oggetto modello. Tutti i metodi, gli oggetti e gli attributi sono a disposizione tramite l´oggetto m_Zenon.


Esempi

Manuale -> Scripting -> VSTA -> Esempi

Qui di seguito trovate alcuni esempi dell´uso di VSTA sia nel runtime che nell´editor.

Noch in diesem Kapitel

Creazione di variabili nell´editor di zenon

Scrittura di informazioni di progetto nella finestra di emissione di zenon

Leggi variabili in zenon mediante Regular Expressions


Creazione di variabili nell´editor di zenon

Manuale -> Scripting -> VSTA -> Esempi -> Creazione di variabili nell´editor di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel seguente esempio, un file di testo viene aperto e il contenuto viene utilizzato per impostare delle variabili nell´editor di zenon. Il file di testo contiene un numero qualsiasi di righe. Ogni riga contiene il nome e il tipo di dato di una variabile, separati da una virgola (esempio: Variable1,BOOL).

Il metodo Macro1 cerca anzitutto il driver interno nell´editor di zenon. Poi, il sistema visualizza a beneficio dell´utente un dialogo che gli propone una scelta di file; l´utente deve selezionare il file di testo. In seguito, il metodo legge il file di testo e crea le variabili. Il metodo GetDataType serve a individuare e ad assegnare al momento della creazione delle variabili il tipo di dato corrispondente.

C#-Codice

using System;

using System.Windows.Forms;

using System.IO;

using zenOn;

namespace WorkspaceAddin

{

[System.AddIn.AddIn("MyWorkspace", Version = "1.0", Publisher = "", Description = "")]

public partial class MyWorkspace

{

private void MyWorkspace_Startup(object sender, EventArgs e)

{

}

private void MyWorkspace_Shutdown(object sender, EventArgs e)

{

}

public IVarType GetDataType(string vType)

{

//gets the corresponding vartypes for bool, int, real and strings

IVarType retType;

switch (vType)

{

case "BOOL":

retType = this.ActiveDocument.VarTypes().Item("BOOL");

break;

case "INT":

retType = this.ActiveDocument.VarTypes().Item("INT");

break;

case "REAL":

retType = this.ActiveDocument.VarTypes().Item("REAL");

break;

case "STRING":

retType = this.ActiveDocument.VarTypes().Item("STRING");

break;

default:

retType = this.ActiveDocument.VarTypes().Item("INT");

break;

}

return retType;

}

//Reads a defined text file and creates corresponding variables on the zenon intern driver

public void MacroCreateVariablesFromFile()

{

//create objects that will take the intern driver and the variable type

IDriver zenonInternDriver = null;

//search for the Intern driver and throw exception if no driver was found

try

{

for (int driverCount = 0; driverCount < this.ActiveDocument.Drivers().Count; driverCount++)

{

if (this.ActiveDocument.Drivers().Item(driverCount).Name == "Intern")

{

zenonInternDriver = this.ActiveDocument.Drivers().Item(driverCount);

break;

}

}

}

catch (Exception driverEx)

{

MessageBox.Show("Unable to find zenon 'Intern' driver. Error: " + driverEx.Message);

throw;

}

this.ActiveDocument.Variables().DoAutoSave(false);

try

{

OpenFileDialog varFileSelect = new OpenFileDialog();

String[] varLine = new String[2];

//show file dialog

if (varFileSelect.ShowDialog() == DialogResult.OK)

{

string line = string.Empty;

//open new stream reader with selected file

StreamReader importReader = new StreamReader(varFileSelect.FileName, System.Text.Encoding.Default);

//read in line by line, split the lines when a ',' occurs and create variables

while ((line = importReader.ReadLine()) != null)

{

varLine = line.Split(new Char[] { ',' });

this.ActiveDocument.Variables().CreateVar(varLine[0], zenonInternDriver, tpKanaltypes.tpSystemVariable, GetDataType(varLine[1]));

}

importReader.Close();

}

}

catch (Exception fileEx)

{

MessageBox.Show("An error occured while opening the file: " + fileEx.Message);

throw;

}

this.ActiveDocument.Variables().DoAutoSave(true);

}

#region VSTA generated code

private void InternalStartup()

{

this.Startup += new System.EventHandler(MyWorkspace_Startup);

this.Shutdown += new System.EventHandler(MyWorkspace_Shutdown);

}

#endregion

}

}


Scrittura di informazioni di progetto nella finestra di emissione di zenon

Manuale -> Scripting -> VSTA -> Esempi -> Scrittura di informazioni di progetto nella finestra di emissione di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell´esempio seguente si vuole mostrare come, tramite VSTA, si possa accedere alla finestra di emissione dell´editor zenon. Il metodo dal nome Macro1 legge nel progetto le immagini di processo impostate, individua il modello corrispondente e tutti i driver disponibili, nonché la loro denominazione.

C#-Codice

using System;

namespace WorkspaceAddin

{

[System.AddIn.AddIn("MyWorkspace", Version = "1.0", Publisher = "", Description = "")]

public partial class MyWorkspace

{

private void MyWorkspace_Startup(object sender, EventArgs e)

{

}

private void MyWorkspace_Shutdown(object sender, EventArgs e)

{

}

public void MacroPrintDebugInformation()

{

string picName = string.Empty;

string corTemp = string.Empty;

string driverName = string.Empty;

string driverDescription = string.Empty;

//print start string into output window

this.Application.DebugPrint(" --------------START--------------", zenOn.tpDebugPrintStyle.tpMsg);

//go through all pictures and print name and used template into output window

for (int i = 0; i < this.ActiveDocument.DynPictures().Count; i++)

{

picName = this.ActiveDocument.DynPictures().Item(i).Name;

corTemp = this.ActiveDocument.DynPictures().Item(i).get_DynProperties("Template").ToString();

this.Application.DebugPrint(" Picture '" + picName + "' uses Template '" + corTemp + "'", zenOn.tpDebugPrintStyle.tpMsg);

}

//print separator string into output window

this.Application.DebugPrint(" ------------------------------", zenOn.tpDebugPrintStyle.tpMsg);

//go through all drivers and print name and description into output window

for (int i = 0; i < this.ActiveDocument.Drivers().Count; i++)

{

driverName = this.ActiveDocument.Drivers().Item(i).Name;

driverDescription = this.ActiveDocument.Drivers().Item(i).Identification;

this.Application.DebugPrint(" Driver '" + driverName + "' has description '" + driverDescription + "'", zenOn.tpDebugPrintStyle.tpMsg);

}

//print end string into output window

this.Application.DebugPrint(" ---------------END---------------", zenOn.tpDebugPrintStyle.tpMsg);

}

#region VSTA generated code

private void InternalStartup()

{

this.Startup += new System.EventHandler(MyWorkspace_Startup);

this.Shutdown += new System.EventHandler(MyWorkspace_Shutdown);

}

#endregion

}

}


Leggi variabili in zenon mediante Regular Expressions

Manuale -> Scripting -> VSTA -> Esempi -> Leggi variabili in zenon mediante Regular Expressions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel seguente esempio, delle variabili zenon vengono lette in un progetto runtime e salvate in un file di testo locale.

Grazie a Regular Expressions, vengono lette le variabili, i cui nomi iniziano con 3 numeri e un trattino un basso (per es. "001_var" oppure "234_xyz"). Il sistema chiede poi all´utente di scegliere una cartella. In questa cartella viene impostato un file di testo con un nome dipendente dal tempo. In questo file vengono salvati il nome, l´identificazione e il valore attuale di tutte le variabili in questione separate da un trattino.

info Informazioni su

E´ possibile che si debbano aggiungere manualmente delle referenze per eseguire l´esempio nel runtime di zenon. A questo scopo, aprite nel Project Explorer il menu contestuale e cliccate su Add Reference... Le referenze necessarie in questo esempio sono le seuenti:

  • Microsoft.VisualStudio.Tools.Applications.Runtime.v9.0
  • Sistema
  • System.AddIn
  • System.Data
  • System.Windows.Forms
  • System.Xml
  • zenonVSTAProxy6500

C#-Codice

using System;

using System.Text.RegularExpressions;

using System.IO;

using System.Windows.Forms;

namespace ProjectAddin

{

[System.AddIn.AddIn("ThisProject", Version = "1.0", Publisher = "", Description = "")]

public partial class ThisProject

{

private void ThisProject_Startup(object sender, EventArgs e)

{

}

private void ThisProject_Shutdown(object sender, EventArgs e)

{

}

public void MacroGetFilteredVariables()

{

string filename = string.Empty;

string name = string.Empty;

string description = string.Empty;

string value = string.Empty;

//define regular expression pattern

Regex match = new Regex("^([0-9]){3}[_]");

try

{

filename = FolderSelection("Select place to store the variable information");

//create stream writer to the .txt file

StreamWriter matchedVariables = new StreamWriter(filename, true);

//run through all variables in zenon

for (int i = 0; i < this.Variables().Count; i++)

{

//if name of the variable matches the pattern, get name, tag name and current value

if (match.IsMatch(this.Variables().Item(i).Name))

{

name = this.Variables().Item(i).Name;

description = this.Variables().Item(i).Tagname;

value = this.Variables().Item(i).get_Value(0).ToString();

//write information to the .txt file

matchedVariables.WriteLine(name + ";" + description + ";" + value);

}

}

//close stream

matchedVariables.Close();

}

catch (Exception ex)

{

MessageBox.Show("An error occured -> " + ex.Message);

throw;

}

}

private string FolderSelection(String caption)

{

string selectedPath = string.Empty;

//create a dialog for selecting the output folder

FolderBrowserDialog folderSelect = new FolderBrowserDialog();

folderSelect.Description = caption;

try

{

if (folderSelect.ShowDialog() == DialogResult.OK)

{

//if selection was valid, get the current date, put it to file date format

//then create a txt file with the name "zenonVar" and the corresponding date

DateTime currentTime = DateTime.Now;

selectedPath = folderSelect.SelectedPath + "\\zenonVar" + currentTime.ToFileTime() + ".txt";

}

}

catch (Exception ex)

{

MessageBox.Show("An error occured: " + ex.Message);

throw;

}

return selectedPath;

}

#region VSTA generated code

private void InternalStartup()

{

this.Startup += new System.EventHandler(ThisProject_Startup);

this.Shutdown += new System.EventHandler(ThisProject_Shutdown);

}

#endregion

}

}


Objectmodel

Manuale -> Scripting -> Objectmodel

In questo settore trovate la guida al Object Model di zenon. Questo modello si applica a VBA, VSTA, PCE e all’interfaccia COM.

info Informazioni su

La guida zenon Object Model è disponibile solamente nella guida in linea (non in quella in formato PDF) e solo in lingua inglese.

Noch in diesem Kapitel

Constants

Alarm

AlarmItem

AlarmItems

ALCEdge

ALCEngine

ALCGraphAlias

ALCGraphElem

ALCNode

Application

Archive

ArchiveED

ArchiveFilter

ArchiveFilters

ArchiveFilterVariable

ArchiveFilterVariables

Archives

ArchivesED

ArchiveValue

ArchiveValues

ArchiveVarED

ArchiveVariable

ArchiveVariables

ArvTemplate

ArvTemplates

BatchConfig

BatchControlRecipe

BatchControlRecipePhaseEditedEventData

BatchControlRecipes

BatchControlStrategy

BatchCRSelectionChangedEventData

BatchManager

BatchMasterRecipe

BatchMasterRecipes

BatchMRSelectionChangedEventData

BatchOperation

BatchPhase

BatchPhaseChanges

BatchPhaseCommunicationErrorEventData

BatchPhaseConfig

BatchPhaseEscapeEventData

BatchPhaseExecutionErrorEventData

BatchPhaseModeChangedEventData

BatchPhasePlcErrorEventData

BatchPhaseProgressEventData

BatchPhaseRuntimeEventData

BatchPhasesConfig

BatchPhaseStateChangedEventData

BatchRecipeId

BatchRecipeModeChangedEventData

BatchRecipeStateChangedEventData

BatchTag

BatchTags

BatchTagValue

BatchUnitConfig

BatchUnitsConfig

Cel

CelItem

CelItems

ColorPalettes

ComplexItem

Driver

Drivers

DynPicture

DynPictureInstances

DynPictures

EdLimit

Element

Elements

FileManager

FileManagerFileItem

FileManagerFolder

FontItem

FontList

FontLists

Interlocking

Interlockings

LanguageTable

Limit

Limits

MdiElement

MdiElements

MDITemplate

MDITemplates

MessageControl

MessageControlMessage

OnlineVariable

OnlineVariables

Passwords

PfsCalendar

PfsEngine

PfsEvent

PfsEvents

PfsGroup

PfsGroups

PfsHoliday

PfsHolidays

PfsModellBreak

PfsModellBreaks

PfsModellShift

PfsModellShifts

PfsSchedule

PfsScheduleDay

PfsScheduleDays

PfsScheduleLink

PfsScheduleLinks

PfsSchedules

PfsScheduleTime

PfsScheduleTimes

PfsScheduleValue

PfsScheduleValues

PfsSwitchingPoint

PfsSwitchingPointFilter

PfsTimeModell

PfsTimeModells

PictureFilter

Project

Projects

PropParam

Recipe

Recipes

RecipeValue

Rema

Remas

RemoteTransport

RemoteTransportCustom

RGMRecipe

RGMRecipeGroup

RGMRecipeGroups

RGMRecipeValue

RGMRecipeVar

RtFunction

RtFunctions

SapFunction

SapFunctions

SapParameter

SapParameters

SapRow

SapRows

SapTable

SapTables

ScheduleCustomPeriod

ScheduleFunction

ScheduleFunctions

ScheduleGroup

ScheduleGroups

Scheduler

Schedules

ScheduleStandardDay

ScheduleSwitchingPeriod

ScheduleSwitchingPeriods

ScheduleSwitchingPoint

ScheduleSwitchingPoints

ScheduleVariable

ScheduleVariables

Script

Scripts

State

SymbolElements

Symbols

SystemModel

SystemModelGroup

SystemModelManager

Task

Tasks

Template

Templates

TextList

TextListManager

TimeFunction

TimeFunctions

Units

User

UserGroup

VarAssignment

VarAssignments

Variable

Variables

VariableValue

VarType

VarTypes

ZenMenu

ZenMenuItem

ZenMenus

ZenWorkspace


Constants

Manuale -> Scripting -> Objectmodel -> Constants

List of constants

Noch in diesem Kapitel

tpAdrMode

tpALCGroundFaultMode

tpALCGroundFaultType

tpALCShortFaultType

tpALCType

tpArvVarCal

tpBatchBoolValue

tpBatchCRState

tpBatchCRStateFilter

tpBatchExecutionMode

tpBatchExecutionState

tpBatchMRState

tpBatchPhaseCommunicationErrorState

tpBatchPhaseEscapeState

tpBatchPhaseExecutionError

tpBatchPhasePlcErrorState

tpBatchPhaseRuntimeEvent

tpBatchPhaseState

tpBatchTagDataType

tpBatchTagType

tpBuildMethod

tpCRCreateResult

tpDatatypes

tpDebugPrintStyle

tpDriverMode

tpDriverStatus

tpDynPicturesTypes

tpElementTypes

tpFunctionTypes

tpGlobalMultiTouchMode

tpHardcopyOutput

tpKanaltypes

tpLockResult

tpLoginResult

tpLoginType

tpModulePaths

tpMsgCtrlCelDetail

tpNetSendType

tpPfsData

tpPfsDayLink

tpPfsDefaultDays

tpPfsEventTypes

tpPfsLinkTypes

tpPfsTimeTypes

tpProjectNetTypes

tpRecipeRenameResult

tpRema

tpRemoteTransportType

tpRGMRecipeImport

tpRTCustomAction

tpRunStates

tpSapActivity

tpSapError

tpScheduleDayType

tpScreenRawEventRouting

tpShiftDeleteResult

tpShiftSaveResult

tpStateBit

tpTaskStatus

tpTaskTyp

tpZenMenus

tpZenPathType


tpAdrMode

Manuale -> Scripting -> Objectmodel -> Constants -> tpAdrMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpAdrMode constants.

Name | Value | Description
tpAdrPacked | 1 | Packed
tpAdrAccType | 2 | Acc Type
tpAdrManual | 3 | Manual


tpALCGroundFaultMode

Manuale -> Scripting -> Objectmodel -> Constants -> tpALCGroundFaultMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpALCGroundFaultMode constants.

Name | Value | Description
tpALCGroundFaultModePart | 0 | Part
tpALCGroundFaultModeFull | 1 | Full


tpALCGroundFaultType

Manuale -> Scripting -> Objectmodel -> Constants -> tpALCGroundFaultType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpALCGroundFaultType constants.

Name | Value | Description
tpALCGroundFaultTypeNone | 0 | None
tpALCGroundFaultTypeTransAdv | 1 | Adv
tpALCGroundFaultTypeTransLag | 2 | Lag
tpALCGroundFaultTypePermAdv | 3 | Perm Adv
tpALCGroundFaultTypePermLag | 4 | Perm Lag


tpALCShortFaultType

Manuale -> Scripting -> Objectmodel -> Constants -> tpALCShortFaultType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpALCShortFaultType constants.

Name | Value | Description
tpALCShortFaultTypeNone | 0 | None
tpALCShortFaultTypePermAdv | 1 | Perm Adv
tpALCShortFaultTypePermLag | 2 | Perm Lag


tpALCType

Manuale -> Scripting -> Objectmodel -> Constants -> tpALCType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpALCType constants.

Name | Value | Description
tpALCTypeNone | 0 | None
tpALCTypeSource | 1 | Source
tpALCTypeSwitch | 2 | Switch
tpALCTypeSink | 3 | Sink
tpALCTypeTrafo | 4 | Trafo
tpALCTypeLink | 5 | Link


tpArvVarCal

Manuale -> Scripting -> Objectmodel -> Constants -> tpArvVarCal

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpArvVarCal constants.

Name | Value | Description
tpCalc_All | 0 | All calculations
tpCalc_Sum | 1 | Sum
tpCalc_Mean | 2 | Mean
tpCalc_Min | 3 | Min
tpCalc_Max | 4 | Max


tpBatchBoolValue

Manuale -> Scripting -> Objectmodel -> Constants -> tpBatchBoolValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchBoolValue constants.

Name | Value | Description
tpBatchBoolFalse | 0 | Set to false
tpBatchBoolTrue | 1 | Set to true
tpBatchBoolToggle | 2 | Toggle value


tpBatchCRState

Manuale -> Scripting -> Objectmodel -> Constants -> tpBatchCRState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchCRState constants.

Name | Value | Description
tpCRStateCreating | 1 | Creating
tpCRStatePrepared | 2 | Prepared
tpCRStateExecuting | 3 | Executing
tpCRStateExecuted | 4 | Executed,
tpCRStateTerminated | 5 | Terminated
tpCRStateOutdated | 7 | Outdated


tpBatchCRStateFilter

Manuale -> Scripting -> Objectmodel -> Constants -> tpBatchCRStateFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchCRStateFilter constants.

Name | Value | Description
tpCRStateFilterPrepared | 1 | Prepared
tpCRStateFilterExecuting | 2 | Executing
tpCRStateFilterFinished | 4 | Executed or Terminated
tpCRStateFilterOutdated | 8 | Outdated
tpCRStateFilterAll | 65535 | All


tpBatchExecutionMode

Manuale -> Scripting -> Objectmodel -> Constants -> tpBatchExecutionMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchExecutionMode constants.

Name | Value | Description
tpExecutionModeAutomatic | 1 | Automatisch
tpExecutionModeSemiAutomatic | 2 | Halbautomatisch
tpExecutionModeManual | 3 | Manuell


tpBatchExecutionState

Manuale -> Scripting -> Objectmodel -> Constants -> tpBatchExecutionState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchExecutionState constants.

Name | Value | Description
tpExecutionStateIdle | 0 | resetted or aborted or never started
tpExecutionStateRunning | 1 | running the sequence
tpExecutionStateComplete | 2 | sequence is finished
tpExecutionStateStopping | 3 | processing stop
tpExecutionStateStopped | 4 | stopped
tpExecutionStatePausing | 5 | processing pause
tpExecutionStatePaused | 6 | paused
tpExecutionStateHolding | 7 | processing hold
tpExecutionStateHeld | 8 | held
tpExecutionStateAborting | 9 | abort in progress
tpExecutionStateAborted | 10 | aborted
tpExecutionStateRestarting | 11 | restart in progress


tpBatchMRState

Manuale -> Scripting -> Objectmodel -> Constants -> tpBatchMRState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchMRState constants.

Name | Value | Description
tpMRStateCreating | 0 | Erzeugung
tpMRStateEditing | 1 | Editiermodus
tpMRStateApproved | 2 | Freigegeben
tpMRStateTesting | 3 | Testmodus
tpMRStateExecutingTest | 4 | Ausf?hrungsmodus
tpMRStateTerminated | 5 | Abgeschlossen
tpMRStateOutdated | 8 | Veraltet


tpBatchPhaseCommunicationErrorState

Manuale -> Scripting -> Objectmodel -> Constants -> tpBatchPhaseCommunicationErrorState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchPhaseCommunicationErrorState constants.

Name | Value | Description
tpCommunicationErrorPending | 0 | The communication error condition of the phase is true - The communication is interrupted
tpCommunicationErrorFixed | 1 | The communication error condition of the phase switched back from true to false, but has not yet been acknowledged
tpCommunicationErrorAcknowledged | 2 | A no longer active communication error has been acknowledged


tpBatchPhaseEscapeState

Manuale -> Scripting -> Objectmodel -> Constants -> tpBatchPhaseEscapeState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchPhaseEscapeState constants.

Name | Value | Description
tpEscapeStarted | 0 | The escape process for the phase has been started
tpEscapeCompleted | 1 | The escape process for the phase has been finished


tpBatchPhaseExecutionError

Manuale -> Scripting -> Objectmodel -> Constants -> tpBatchPhaseExecutionError

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchPhaseExecutionError constants.

Name | Value | Description
tpExecutionErrorAllocationTimeout | 0 | Unit allocation was not possible within the timeout
tpExecutionErrorMultipleExecution | 1 | The same phase was started twice
tpExecutionErrorInterlockingTimeout | 2 | The interlocking condition could not be passed within the timeout
tpExecutionErrorWriteCommandTagsTimeout | 3 | Writing the commantags was not possible within the timeout
tpExecutionErrorDoneTimeout | 4 | The done condition could not be passsed within the timeout
tpExecutionErrorFollowingConditionTimeout | 5 | The phase was not deactivated within the timeout
tpExecutionErrorVariableInterruption | 6 | A needed variable was interrupted


tpBatchPhasePlcErrorState

Manuale -> Scripting -> Objectmodel -> Constants -> tpBatchPhasePlcErrorState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchPhasePlcErrorState constants.

Name | Value | Description
tpPlcErrorPending | 0 | The PLC error condition is true - The PLC reported an error
tpPlcErrorFixed | 1 | The PlC error condition switched back from true to false - there is no longer an error in the PLC
tpPlcErrorFixedByDeactivation | 2 | The Phase was deactivated while the PLC Error was still active


tpBatchPhaseRuntimeEvent

Manuale -> Scripting -> Objectmodel -> Constants -> tpBatchPhaseRuntimeEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchPhaseRuntimeEvent constants.

Name | Value | Description
tpRuntimeShutdown | 0 | A runtime shutdown was triggert while the phase was active
tpRuntimeRestart | 1 | The runtime was started and the execution of this phase was continued, because it was active before shutown


tpBatchPhaseState

Manuale -> Scripting -> Objectmodel -> Constants -> tpBatchPhaseState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchPhaseState constants.

Name | Value | Description
tpPhaseStateActivated | 0 | Phase was activated
tpPhaseStateUnitAllocationFailed | 1 | First unit allocation failed
tpPhaseStateStarted | 2 | Phase was started - active for the PLC
tpPhaseStateInterlockingBlocked | 3 | Interlocking condition was blocked the first time
tpPhaseStateInterlockingCompleted | 4 | Interlocking condition was passed
tpPhaseStateWritingCommandTagsCompleted | 5 | Writing Command Tags was finished
tpPhaseStateDoneCompleted | 6 | Done condition was passed
tpPhaseStateDeactivated | 7 | Phase was deactivated


tpBatchTagDataType

Manuale -> Scripting -> Objectmodel -> Constants -> tpBatchTagDataType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchTagDataType constants.

Name | Value | Description
tpTagDataTypeBool | 0 | Bool tag
tpTagDataTypeString | 1 | String tag
tpTagDataTypeNumeric | 2 | Numerical tag
tpTagDataTypeDuration | 3 | Duration tag


tpBatchTagType

Manuale -> Scripting -> Objectmodel -> Constants -> tpBatchTagType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBatchTagType constants.

Name | Value | Description
tpTagTypeReturn | 0 | Return tag
tpTagTypeInitial | 1 | Inital tag
tpTagTypeValue | 2 | Value Tag


tpBuildMethod

Manuale -> Scripting -> Objectmodel -> Constants -> tpBuildMethod

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpBuildMethod constants.

Name | Value | Description
tpAll | 0 | All
tpIncremental | 1 | Incremental


tpCRCreateResult

Manuale -> Scripting -> Objectmodel -> Constants -> tpCRCreateResult

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpCRCreateResult constants.

Name | Value | Description
tpCRCreateSuccess | 0 | The recipe was created successfully.
tpCRCreateOtherError | 1 | A general error has occured.
tpCRCreateWrongLicense | 2 | You do not have the required license for the operation.
tpCRCreateRecipeNotFound | 3 | The master recipe was not found.
tpCRCreateRecipeWrongState | 4 | The master recipe is in the wrong state. It needs to be "approved" to allow the creation of control recipes.
tpCRCreateRecipeInvalid | 5 | The master recipe is invalid.
tpCRCreateInvalidJobIdVariable | 6 | The job id variable is invalid.
tpCRCreateInvalidJobId | 7 | The job id variable has an invalid value.


tpDatatypes

Manuale -> Scripting -> Objectmodel -> Constants -> tpDatatypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpDatatypes constants.

Name | Value | Description
tptypeBIT | 8 | BOOL
tptypeINT_8 | 10 | SINT
tptypeUINT_8 | 9 | USINT
tptypeINT_16 | 1 | INT
tptypeUINT_16 | 2 | UINT
tptypeINT_32 | 3 | DINT
tptypeUINT_32 | 4 | UDINT
tptypeINT_64 | 26 | LINT
tptypeUINT_64 | 27 | ULINT
tptypeFLOAT_REAL | 5 | REAL
tptypeSTRING | 12 | STRING


tpDebugPrintStyle

Manuale -> Scripting -> Objectmodel -> Constants -> tpDebugPrintStyle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpDebugPrintStyle constants.

Name | Value | Description
tpNrm | 16777216 | Show message (black)
tpWarn | 33554432 | Display warning (orange)
tpErr | 67108864 | Show errors (red)
tpMsg | 134217728 | Default style (blue)


tpDriverMode

Manuale -> Scripting -> Objectmodel -> Constants -> tpDriverMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpDriverMode constants.

Name | Value | Description
tpSimul | 0 | Simulation
tpHardware | 1 | Hardware


tpDriverStatus

Manuale -> Scripting -> Objectmodel -> Constants -> tpDriverStatus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpDriverStatus constants.

Name | Value | Description
tpStop | 0 | Stop
tpStart | 1 | Start


tpDynPicturesTypes

Manuale -> Scripting -> Objectmodel -> Constants -> tpDynPicturesTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpDynPicturesTypes constants.

Name | Value | Description
tpStandard | 0 | Standard
tpListWindow | 1 | Nodepad
tpAML | 2 | Alarm message list
tpArchEdit | 3 | Archive revision
tpCEL | 4 | Chronologic event list
tpETM | 5 | Extended trend
tpVideo | 6 | Video
tpReports | 7 | Report Generator
tpBefehl | 8 | DBAG Command (Sicam 230)
tpBefehlsgabe | 9 | DBAG Command(Sicam 230)
tpStatus | 10 | State (Sicam230)
tpHelp | 11 | Peak Load Projection
tpRGM | 12 | RGM
tpLogin | 13 | Login
tpHTML | 14 | HTML
tpKeyboard | 15 | Keyboard
tpPFS | 16 | Production & Facility Scheduler
tpRezepturen | 17 | Recipe
tpZustand | 18 | State protocol (Sicam 230)
tpWeltbild | 19 | World view
tpBefBewag | 20 | Scripting command output (Sicam 230)
tpVarStatus | 21 | Variable diagnosis
tpSea | 22 | Switching sequence (Sicam 230)
tpASM | 23 | Industrie Performance Analyzer
tpAlmMgmt | 24 | Alarm management (Sicam 230)
tpIMM | 25 | Industrie Maintainance Manager
tpEnergy | 26 | Command input
tpEMS | 27 | Last-Management
tpTimeFilter | 28 | Time filter
tpAlarmFilter | 29 | Alarm Message List Filter
tpCELFilter | 30 | Chronological Event List
tpGraph7 | 31 | S7 graph
tpBatchControl | 32 | Batch
tpReportViewer | 33 | Report viewer
tpMessageControl | 34 | Message control
tpFaceplate | 35 | Faceplate
tpSystemModel | 36 | System Model
tpADUA | 37 | Active Directory User Administration
tpUserList | 38 | Benutzerliste
tpEditUser | 39 | Benutzer editieren
tpGroupList | 40 | Benutzergruppenliste
tpSchaltfolgen | 42 | Schaltfolgen
tpMessageBox | 43 | MessageBox


tpElementTypes

Manuale -> Scripting -> Objectmodel -> Constants -> tpElementTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpElementTypes constants.

Name | Value | Description
tpDynBargraph | 0 | Bar display
tpDynZahlenElem | 1 | Numerical value
tpDynText | 2 | Dynamic text
tpDynTrend | 4 | Trend element
tpDynZeiger | 5 | Pointer instrument
tpDynBewegt | 6 | Only for compatibility
tpDynBinaer | 7 | Status element
tpDynBitmap | 8 | Only for compatibility
tpDynVerkn | 9 | Only for compatibility
tpDynButton | 10 | Button
tpDynSchalter | 11 | Switch
tpDynMultibin | 12 | Multibin
tpDynMeldung | 13 | Message element
tpDynUhr | 14 | Clock
tpDynBefMdi | 15 | Only for compatibility
tpDynStatus | 16 | Combined Element
tpDynBaButton | 17 | Only for compatibility
tpDynControl | 18 | Only for compatibility
tpDynAegel | 19 | Only for compatibility
tpDynActiveX | 20 | ActiveX
tpDynTopLgt | 21 | Only for compatibility
tpDynTopStrg | 22 | Only for compatibility
tpDynInstrument | 23 | Universal slider
tpDynCombiList | 24 | tpDynCombiList
tpDynWindows | 25 | Only for compatibility
tpDynListbox | 26 | Only for compatibility
tpDynCombobox | 27 | Only for compatibility
tpDynListCtrl | 28 | Only for compatibility
tpDynWPF | 29 | WPF element
tpDynGFXListCtrl | 30 | Only for compatibility
tpDynListCtrlNoH | 31 | Only for compatibility
tpDynMarker | 32 | Only for compatibility
tpDynBatchParamList | 33 | Batch Param List
tpDynBatchRecipeFrame | 34 | Batch Recipe Frame
tpDynPictureContainer | 35 | Picture Container
tpDot | 100 | Only for compatibility
tpLine | 101 | Line
tpRectangle | 102 | Rectangle
tpCircle | 103 | EllipseCircle
tpPolyLine | 104 | Polyline
tpText | 107 | Static text
tpArc | 108 | Arc of a circle
tpSolid | 109 | Only for compatibility
tpTraceDr | 111 | Only for compatibility
tpKegel | 114 | Only for compatibility
tpFillPara | 115 | Only for compatibility
tpFillTria | 116 | Only for compatibility
tpFillBlock | 117 | Only for compatibility
tpPie | 121 | Only for compatibility
tpRoundRect | 127 | Only for compatibility
tpPolygon | 128 | Polygon
tpSymbol | 129 | Embedded symbol
tpSymbolLnk | 130 | Linked symbol
tpSegme_Dxf | 131 | Segment of a circle
tpWMF | 133 | Only for compatibility
tpEMF | 134 | Only for compatibility
tpWinkel | 135 | Only for compatibility
tpPipe | 136 | Pipe


tpFunctionTypes

Manuale -> Scripting -> Objectmodel -> Constants -> tpFunctionTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpFunctionTypes constants.

Name | Value | Description
tpPicture | 3 | Screen switch
tpLastPicture | 4 | Screen: Return to last
tpPrintAmlCel | 5 | Print AML or CEL
tpExportAmlCel | 6 | Export AML
tpPrintHardCopy | 8 | Print screenshot
tpAlarmAckBlink | 10 | Alarms: acknowledge flashing
tpExit | 12 | Exit Runtime
tpSendVal | 13 | Write set value
tpPlaySound | 14 | Play audio file
tpExecute | 15 | Start program
tpCloseTemplate | 17 | Close fram
tpReadDBaseFile | 18 | Read dBase file
tpSelectScript | 19 | select online
tpExecuteScript | 20 | execute
tpSwitchOnlinePrint | 22 | Switch online printing onoff
tpPrintActual | 23 | Print current values
tpClosePicture | 26 | Close screen
tpExportData | 29 | Export data
tpSelectRecipeOffline | 30 | Standard recipe single with dialog
tpSelectRecipeOnline | 31 | Standard recipe single with online dialog
tpSelectRecipeDirect | 32 | Standard recipe single directly
tpRedundancySwitch | 33 | Redundancy switch
tpActivateAlarm | 34 | Alarm Message List active
tpDeactivateAlarm | 35 | Alarm Message List inactive
tpActDeactAlarm | 38 | Alarm Message List activeinactive
tpFunctionsOnOff | 42 | Functions activeinactive at limit
tpTrendOnOff | 43 | HD administration inactiveactive
tpTrendOn | 44 | HD administration active
tpTrendOff | 45 | HD administration inactive
tpArchiveStart | 46 | Archive: Start
tpArchiveStop | 47 | Archive: Stop
tpListActiveArchive | 48 | Display open archives
tpFunctionsOn | 51 | Functions active at limit
tpFunctionsOff | 52 | Functions inactive at limit
tpCommandOutput | 60 | SAT function
tpCreateSCProtocol | 61 | SAT function
tpFuncLogin | 70 | Log in with dialog
tpFuncLogout | 71 | Log out
tpChangePassword | 72 | Change password
tpBeepStart | 73 | Start continuous tone
tpBeepFinish | 74 | Stop continuous tone
tpExportCel | 76 | Export CEL
tpPrintReport | 77 | Print Report Generator
tpLoginNoPassword | 78 | Login without password
tpReadTextlist | 79 | Language change
tpExportReport | 80 | Export Report Generator
tpCreateProtocol | 81 | Online printing start new page
tpFileOperation | 82 | File operations
tpDriverCommand | 83 | Driver Commands
tpAlarmAck | 84 | Alarms: acknowledge
tpWindowToBack | 85 | Window to the background
tpWindowToFront | 86 | Window to the foreground
tpTemplateFocusOn | 87 | Set focus to the frame
tpTemplateFocusOff | 88 | Take focus away from frame
tpActivateInput | 91 | Activate input to the element with the focus
tpExecReport | 92 | Report Generator: execute
tpRecipeGroupManager | 93 | Recipegroup Manager
tpExportArchive | 95 | Export archives
tpOverviewWindow | 96 | Show overview window
tpUserEdit | 97 | Change user
tpMonitorAssign | 98 | Monitor assign
tpAlarmsGroupsClasses | 99 | Activatedeactivate Alarm Message List, alarmevent groupsclasses
tpSendMessage | 100 | Send a Message
tpVBAEditor | 101 | Open VBA editor
tpVBAMacroDialog | 102 | Show VBA macro dialog
tpShowPCE | 103 | Open PCE editor
tpVBAExecMacro | 104 | Execute VBA macro
tpNetAuth | 105 | Authorization in the network
tpReloadProject | 106 | Reload project online
tpShowRecipeDB | 107 | Show receiving database
tpSaveAlarms | 108 | Save AML and CEL memory buffer
tpSetFocus | 109 | Move focus
tpPictureIndex | 110 | Screen with index
tpAlarmgroupOnOff | 111 | Alarmevent group log inlog off
tpWriteTime | 112 | Write time to variable
tpReadTime | 113 | Read time from variable
tpDeleteAlarm | 114 | Alarms: delete
tpSendMessageAct | 115 | Send Message: activate
tpSendMessageDeact | 116 | Send Message: deactivate
tpExecPFSEvent | 117 | PFS - execute user-defined event
tpVSTAEditor | 130 | Open VSTA editor
tpVSTAExecMacro | 131 | Execute VSTA macro
tpVSTAMacroDialog | 132 | Show VSTA macro dialog
tpAlignVmImage | 139 | Transfer driver simulation image to the standby
tpSimulation | 141 | Activatedeactivate project simulation
tpSapCallFunction | 149 | Execute SAP function
tpEarthfault | 150 | Earthfault search
tpMsgSuppress | 151 | Groupclassareaequipment suppressed
tpMsgSaveQueue | 152 | Save current queue
tpReportViewerPrint | 153 | Report Viewer: export print
tpBatchStateModeCmd | 154 | Execute recipe command changemode change
tpBatchCreateCr | 155 | Create control recipe
tpTemplateToFront | 156 | Funktion "Schablone in Vordergrund bringen"
tpNewAnalyzerReport | 157 | Create analyzer report
tpDeletePicBackPath | 158 | Delete "picture back" path
tpBatchRcpImportXML | 159 | Import recipes from XML
tpBatchRcpExportXML | 160 | Export selected recipes as XML
tpSequencerCmd | 161 | Perform sequencer command
tpSequencesExportXML | 162 | Export selected command sequences as XML
tpSequencesImportXML | 163 | Import command sequences from XML
tpSequencerTeaching | 164 | Start stop teaching a command sequence


tpGlobalMultiTouchMode

Manuale -> Scripting -> Objectmodel -> Constants -> tpGlobalMultiTouchMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpGlobalMultiTouchMode constants.

Name | Value | Description
tpGMTNone | 0 | Multi-Touch recognition: deactivated
tpGMTWindows7 | 1 | Multi-Touch recoginition: Windows 7
tpGMTWindows8 | 2 | Multi-Touch recognition: Windows8


tpHardcopyOutput

Manuale -> Scripting -> Objectmodel -> Constants -> tpHardcopyOutput

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpHardcopyOutput constants.

Name | Value | Description
tpBMP | 0 | Imagetype BMP of dynpicture hardcopy(...)


tpKanaltypes

Manuale -> Scripting -> Objectmodel -> Constants -> tpKanaltypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpKanaltypes constants.

Name | Value | Description
tpControlStatus | 0 | Control Status
tpAdChan | 1 | AdChan
tpDaChan | 2 | DaChan
tpDigital | 3 | Digital
tpFilter | 4 | Filter
tpStrings | 5 | Strings
tpConfigDef | 6 | Congif Def
tpVirtuell | 7 | Virtuell
tpSPSMerker | 8 | SPSMerker
tpSonderMerker | 9 | SonderMerker
tpSPSEingang | 10 | SPSEingang
tpSPSAusgang | 11 | SPSAusgang
tpTimerEvent | 12 | Timer Event
tpTriggerEvent | 13 | Trigger Event
tpInitFile | 14 | Init File
tpDatenbaustein | 15 | Datenbaustein
tpTerminal | 16 | Terminal
tpVirtuellOnlBerechnen | 17 | Calculate Virtuell Online
tpDataTakerChan | 18 | Data Taker Change
tpProgram | 19 | Program
tpSPSDatenRegister | 20 | SPSDatenRegister
tpSPSFileRegister | 21 | SPSFileRegister
tpSPSTimer | 22 | SPSTimer
tpSPSZaehler | 23 | SPSCounter
tpHWStatus | 24 | Hardware State
tpDataBlock | 25 | DataBlock
tpEzObjekt | 32 | EzObject
tpSystemVariable | 33 | SystemVariable
tpExBaustein | 34 | ExBaustein
tpDriverVariable | 35 | DriverVariable
tpSonderMerker1 | 36 | SonderMerker1
tpCsFirst | 64 | CsFirst
tpCsLast | 79 | CsLast
tpCsDialog | 80 | CsDialog
tpCsDaialogLast | 95 | CsDialogLast
tpCsDbFirst | 96 | CsDbFirst
tpCsDbLast | 127 | CsDbLast


tpLockResult

Manuale -> Scripting -> Objectmodel -> Constants -> tpLockResult

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpLockResult constants.

Name | Value | Description
tpAllowed | 0 | Allowed
tpLocked | 1 | Locked
tpBusy | 2 | Busy


tpLoginResult

Manuale -> Scripting -> Objectmodel -> Constants -> tpLoginResult

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpLoginResult constants.

Name | Value | Description
tpLoginOk | -2 | Login Ok
tpWrongUser | -2 | Wrong user
tpWrongPassword | -2 | Wrong password
tpWrongUserSystemLocked | -2 | Wrong user - System locked
tpSystemLocked | -2 | System locked
tpUserLocked | -2 | User locked
tpWrongPasswordUserLocked | -2 | Wrong password - User locked
tpPasswordExpired | -2 | Password expired
tpUserDeactivated | -2 | User deactivated
tpSamePassword | -2 | Same Password
tpInvalidConfirmation | -2 | Invalid Confirmation
tpPasswordTooShort | -2 | Password Too Short
tpDefaultError | -2 | Default Error


tpLoginType

Manuale -> Scripting -> Objectmodel -> Constants -> tpLoginType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpLoginType constants.

Name | Value | Description
tpLoginExternal | -2 | external Login
tpLoginExternalNoLock | -2 | external login without user lockout
tpLoginExternalNoLockNoCel | -2 | silent external login without user lockout


tpModulePaths

Manuale -> Scripting -> Objectmodel -> Constants -> tpModulePaths

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpModulePaths constants.

Name | Value | Description
tpPathGraphic | 0 | Graphic
tpPathExport | 1 | Export
tpPathBMP | 2 | BMP
tpPathAlloc | 3 | Alloc
tpPathList | 4 | List
tpPathMedia | 5 | Media
tpPathReport | 6 | Report
tpPathBackup | 7 | Backup
tpPathExpArchives | 8 | ExpArchives
tpPathLanguage | 9 | Language
tpPathHelp | 10 | Help
tpPathPictures | 11 | Pictures
tpPathPCE | 12 | PCE
tpPathSystem | 13 | System
tpPathVideos | 14 | Videos
tpPathDrivers | 15 | Drivers
tpPathAdditional | 17 | Additional
tpPathRDLC | 18 | RDLC


tpMsgCtrlCelDetail

Manuale -> Scripting -> Objectmodel -> Constants -> tpMsgCtrlCelDetail

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpMsgCtrlCelDetail constants.

Name | Value | Description
tpCelDetailAll | 0 | All
tpCelDetailPositiv | 1 | Positive
tpCelDetailNegative | 2 | Negative
tpCelDetailNone | 3 | None


tpNetSendType

Manuale -> Scripting -> Objectmodel -> Constants -> tpNetSendType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpNetSendType constants.

Name | Value | Description
tpToServer | 0 | To server
tpToStandby | 1 | To standby
tpToAllClients | 2 | To all clients
tpToSpecificClient | 3 | To specific client


tpPfsData

Manuale -> Scripting -> Objectmodel -> Constants -> tpPfsData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpPfsData constants.

Name

Value

Description


tpPfsDayLink

Manuale -> Scripting -> Objectmodel -> Constants -> tpPfsDayLink

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpPfsDayLink constants.

Name | Value | Description
tpPfsExecute | 48 | Execute
tpPfsSkip | 49 | Skip
tpPfsDefaultDay | 50 | Default day
tpPfsDefaultHDay | 51 | Default HDay
tpPfsUnused | 52 | Unused


tpPfsDefaultDays

Manuale -> Scripting -> Objectmodel -> Constants -> tpPfsDefaultDays

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpPfsDefaultDays constants.

Name | Value | Description
tpPfsMonday | 2 | Monday
tpPfsTuesday | 3 | Tuesday
tpPfsWednesday | 4 | Wednesday
tpPfsThursday | 5 | Thursday
tpPfsFriday | 6 | Friday
tpPfsSaturday | 7 | Saturday
tpPfsSunday | 1 | Sunday
tpPfsHoliday | 8 | Holiday


tpPfsEventTypes

Manuale -> Scripting -> Objectmodel -> Constants -> tpPfsEventTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpPfsEventTypes constants.

Name | Value | Description
tpPfsCycleStart | 1 | Cyclestart
tpPfsCycleStartWithProduction | 2 | Cyclestart with production
tpPfsCycleStartWithoutProduction | 3 | Cyclestart without production
tpPfsProductionStart | 4 | Production start
tpPfsProductionEnd | 5 | Production end
tpPfsShiftStart | 6 | Shift start
tpPfsShiftEnd | 7 | Shift end
tpPfsBreakStart | 8 | Break start
tpPfsBreakEnd | 9 | Break end
tpPfsUserEvent | 10 | User event
tpPfsShiftStartFirstDay | 11 | Shift start first day
tpPfsShiftEndLastDay | 12 | Shift start last day
tpPfsShiftFreeStart | 13 | Shift free start
tpPfsShiftFreeEnd | 14 | Shift free end
tpPfsShiftFreeWithoutProductionEnd | 15 | Shift free without production end
tpPfsShiftFreeWithoutProductionStart | 16 | Shift free without production start
tpPfsShiftFirstDayWithoutProductionStart | 17 | Shift start on first day without production
tpPfsShiftLastDayWithoutProductionEnd | 18 | Shift end on last day without production
tpPfsShiftWithoutProductionStart | 19 | Shift without production start
tpPfsShiftWithoutProductionEnd | 20 | Shift without production end


tpPfsLinkTypes

Manuale -> Scripting -> Objectmodel -> Constants -> tpPfsLinkTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpPfsLinkTypes constants.

Name | Value | Description
tpPfsVariable | 32 | Variable
tpPfsFunction | 33 | Function
tpPfsVariableWithMacro | 34 | Variable with Macro
tpPfsFunctionWithMacro | 35 | Function with Macro


tpPfsTimeTypes

Manuale -> Scripting -> Objectmodel -> Constants -> tpPfsTimeTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpPfsTimeTypes constants.

Name | Value | Description
tpPfsAbsoluteTime | 149 | PFS Timemodel absolute
tpPfsRelativeTime | 150 | PFS Timemodel relative


tpProjectNetTypes

Manuale -> Scripting -> Objectmodel -> Constants -> tpProjectNetTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpProjectNetTypes constants.

Name | Value | Description
tpMainstation | 0 | Mainstation
tpServer | 1 | Server
tpStandBy | 2 | StandBy
tpClient | 3 | Client


tpRecipeRenameResult

Manuale -> Scripting -> Objectmodel -> Constants -> tpRecipeRenameResult

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpRecipeRenameResult constants.

Name | Value | Description
tpRecipeRenameSuccess | 0 | The recipe was renamed successfully.
tpRecipeRenameOtherError | 1 | A general error has occured.
tpRecipeRenameInvalidName | 2 | The new name is not a valid batch recipe name.
tpRecipeRenameDuplicateName | 3 | A recipe with the new name already exists.
tpRecipeRenameRecipeWrongState | 4 | The recipe is not in a state that allows it to be renamed.
tpRecipeRenameNotVersionOne | 5 | It is not the first version of the master recipe, so the name cannot be changed.


tpRema

Manuale -> Scripting -> Objectmodel -> Constants -> tpRema

Remarks

List of predefined tpRema constants.

Name | Value | Description
tpBinaer | 1 | Binary
tpAnalog | 2 | Numeric
tpMultiBinaer | 3 | Multi binary
tpMultiAnalog | 4 | Multi numeric
tpString | 5 | String


tpRemoteTransportType

Manuale -> Scripting -> Objectmodel -> Constants -> tpRemoteTransportType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpRemoteTransportType constants.

Name | Value | Description
tpSerial | 0 | Serial
tpTCP | 1 | TCP


tpRGMRecipeImport

Manuale -> Scripting -> Objectmodel -> Constants -> tpRGMRecipeImport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpRGMRecipeImport constants.

Name | Value | Description
tpOverwriteRecipe | 0 | Overwrite Recipe
tpCreateNewRecipe | 1 | Create New Recipe
tpValuesDiffer | 2 | Values Differ


tpRTCustomAction

Manuale -> Scripting -> Objectmodel -> Constants -> tpRTCustomAction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpRTCustomAction constants.

Name | Value | Description
tpCopy | 0 | Copy
tpCopyRegister | 1 | Copy Register
tpCopyExecute | 2 | Copy Execute


tpRunStates

Manuale -> Scripting -> Objectmodel -> Constants -> tpRunStates

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpRunStates constants.

Name | Value | Description
tpRS_proc | 0 | Proc
tpRS_2proc | 1 | To proc
tpRS_2sim | 2 | To sim
tpRS_simul | 3 | Simul
tpRS_sim2sim | 4 | Sim to Sim


tpSapActivity

Manuale -> Scripting -> Objectmodel -> Constants -> tpSapActivity

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpSapActivity constants.

Name | Value | Description
tpSapActivity_inactive | 0 | Function not called
tpSapActivity_inqueue | 1 | Function waiting
tpSapActivity_active | 2 | Function active


tpSapError

Manuale -> Scripting -> Objectmodel -> Constants -> tpSapError

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpSapError constants.

Name | Value | Description
tpSapError_No_Connection | -1 | No connection to SAP-System
tpSapError_Ok | 0 | OK
tpSapError_Failure | 1 | Error occurred
tpSapError_Exception | 2 | Exception raised
tpSapError_Sys_Exception | 3 | System exception raised, connection closed
tpSapError_Call | 4 | Call received
tpSapError_Internal_Com | 5 | Internal communication, repeat (internal use only)
tpSapError_Closed | 6 | Connection closed by the other side
tpSapError_Retry | 7 | No data yet (RfcListen or RfcWaitForRequest only)
tpSapError_No_Tid | 8 | No Transaction ID available
tpSapError_Executed | 9 | Function already executed
tpSapError_Synchronize | 10 | Synchronous Call in Progress (only for Windows)
tpSapError_Memory_Insufficient | 11 | Memory insufficient
tpSapError_Version_Mismatch | 12 | Version mismatch
tpSapError_Not_found | 13 | Function not found (internal use only)
tpSapError_Call_Not_Supported | 14 | This call is not supported
tpSapError_Not_Owner | 15 | Caller does not own the specified handle
tpSapError_Not_Initialized | 16 | RFC not yet initialized
tpSapError_System_Called | 17 | A system call such as RFC_PING for connection test is executed
tpSapError_Invalid_Handle | 18 | An invalid handle was passed to an API call
tpSapError_Invalid_Parameter | 19 | An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
tpSapError_Canceled | 20 | An rfc call has been canceled by user
tpSapError_Conversion | 21 | An error during conversion has been detected
tpSapError_Invalid_Protocol | 22 | The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
tpSapError_Timeout | 23 | Timeout


tpScheduleDayType

Manuale -> Scripting -> Objectmodel -> Constants -> tpScheduleDayType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpScheduleDayType constants.

Name | Value | Description
tpScheduleMonday | 0 | Monday
tpScheduleTuesday | 1 | Tuesday
tpScheduleWednesday | 2 | Wednesday
tpScheduleThursday | 3 | Thursday
tpScheduleFriday | 4 | Friday
tpScheduleSaturday | 5 | Saturday
tpScheduleSunday | 6 | Sunday
tpScheduleSpecialDay | 7 | Special Day


tpScreenRawEventRouting

Manuale -> Scripting -> Objectmodel -> Constants -> tpScreenRawEventRouting

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpScreenRawEventRouting constants.

Name | Value | Description
tpScreenRawEventRoutingDeactivated | 0 | Deactivated
tpScreenRawEventRoutingAllEvents | 1 | All events
tpScreenRawEventRoutingSelectedEvents | 2 | Selected events


tpShiftDeleteResult

Manuale -> Scripting -> Objectmodel -> Constants -> tpShiftDeleteResult

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpShiftDeleteResult constants.

Name | Value | Description
tpShiftDeleteSuccess | 0 | The shift has been deleted successfully.
tpShiftDeleteError | 1 | A general error has occured.
tpShiftDeleteNotFoundError | 2 | The shift can not be found


tpShiftSaveResult

Manuale -> Scripting -> Objectmodel -> Constants -> tpShiftSaveResult

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpShiftSaveResult constants.

Name | Value | Description
tpShiftSaveSuccess | 0 | The shift has been saved successfully.
tpShiftSaveError | 1 | A general error has occured.
tpShiftSaveNameError | 2 | Invalid name
tpShiftSaveRangeError | 3 | Invalid range
tpShiftSaveNotFoundError | 4 | The shift can not be found


tpStateBit

Manuale -> Scripting -> Objectmodel -> Constants -> tpStateBit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpStateBit constants.

Name | Value | Description
tpBitAlarm | 1 | Alarm
tpBitPrint | 4 | Print
tpBitBlink | 8 | Blink
tpBitFkt | 16 | Execute function
tpBitFktQuery | 32 | Execute function query
tpBitNoQuit | 128 | No Quit
tpBitDelete | 256 | Delete
tpBitBtb | 512 | Not real-time
tpBitBtbRt | 1024 | Real-time
tpBitTransparent | 2048 | Transparent
tpBitFktServer | 4096 | Execute function on server
tpBitFktClient | 8192 | Execute function on client
tpBitQuitAlarm | 16384 | Protocol alarm accepted
tpBitOutAlarm | 32768 | Alarm on outgoing alarm


tpTaskStatus

Manuale -> Scripting -> Objectmodel -> Constants -> tpTaskStatus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpTaskStatus constants.

Name | Value | Description
tpStopTask | 0 | Stop
tpInitTask | 1 | Initialize
tpRunTask | 2 | Run


tpTaskTyp

Manuale -> Scripting -> Objectmodel -> Constants -> tpTaskTyp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpTaskTyp constants.

Name | Value | Description
tpCycleTask | 0 | Cyclic
tpCallTask | 1 | Once


tpZenMenus

Manuale -> Scripting -> Objectmodel -> Constants -> tpZenMenus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpZenMenus constants.

Name | Value | Description
tpVariable | 2 | Variable
tpRtFunction | 1 | RtFunction
tpVbaMacro | 3 | VbaMacro
tpZenHelp | 6 | ZenHelp


tpZenPathType

Manuale -> Scripting -> Objectmodel -> Constants -> tpZenPathType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

List of predefined tpZenPathType constants.

Name | Value | Description
tpzenOnIniPath | 0 | Ini Path
tpzenOnExePath | 1 | Exe Path
tpzenOnUserPath | 2 | User Path
tpzenOnAppDataPath | 3 | AppData Path


Alarm

Manuale -> Scripting -> Objectmodel -> Alarm

Remarks

Provides access to the alarm control system, active alarms and their current status. alarm events can be used to directly react to

any occuring new alarm messages.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

//Assign the alarm object and init event handlers

this.zenonAlarm = this.Alarm();

this.zenonAlarm.AlarmComes += new AlarmComesEventHandler(zenonAlarm_AlarmComes);

this.zenonAlarm.AlarmGoes += new AlarmGoesEventHandler(zenonAlarm_AlarmGoes);

this.zenonAlarm.AlarmAcknowledged += new AlarmAcknowledgedEventHandler(zenonAlarm_AlarmAcknowledged);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

//Unregister any previously registered event

zenonAlarm.AlarmAcknowledged -= new AlarmAcknowledgedEventHandler(zenonAlarm_AlarmAcknowledged);

zenonAlarm.AlarmComes -= new AlarmComesEventHandler(zenonAlarm_AlarmComes);

zenonAlarm.AlarmGoes -= new AlarmGoesEventHandler(zenonAlarm_AlarmGoes);

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

//procedure is executed when an Alarm comes

void zenonAlarm_AlarmComes(IAlarmItem obItem)

{

//print specific information to Debug window...

Debug.Print("{0} > {1}", obItem.Timecomes, obItem.Text);

}

//procedure is executed when an Alarm has gone

void zenonAlarm_AlarmAcknowledged(IAlarmItem obItem)

{

//print specific information to Debug window

Debug.Print("{0} < {1}", obItem.TimeAcknowledged, obItem.Text);

}

//procedure is executed when an Alarm was acknowledged by a user

void zenonAlarm_AlarmGoes(IAlarmItem obItem)

{

//print specific information to Debug window

Debug.Print("{0} | {1}", obItem.Timegoes, obItem.Text);

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

' << TODO: Add Initialization code here >>

'Assign the alarm object and init event handlers

Me.zenonAlarm = Me.Alarm()

AddHandler Me.zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

AddHandler Me.zenonAlarm.AlarmGoes, AddressOf zenonAlarm_AlarmGoes

AddHandler Me.zenonAlarm.AlarmAcknowledged, AddressOf zenonAlarm_AlarmAcknowledged

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

' << TODO: Add Clean-up code here >>

'Unregister any previously registered event

RemoveHandler zenonAlarm.AlarmAcknowledged, AddressOf zenonAlarm_AlarmAcknowledged

RemoveHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

RemoveHandler zenonAlarm.AlarmGoes, AddressOf zenonAlarm_AlarmGoes

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

'procedure is executed when an Alarm comes

Private Sub zenonAlarm_AlarmComes(ByVal obItem As IAlarmItem)

'print specific information to Debug window...

Debug.Print("{0} > {1}", obItem.Timecomes, obItem.Text)

End Sub

'procedure is executed when an Alarm has gone

Private Sub zenonAlarm_AlarmAcknowledged(ByVal obItem As IAlarmItem)

'print specific information to Debug window

Debug.Print("{0} < {1}", obItem.TimeAcknowledged, obItem.Text)

End Sub

'procedure is executed when an Alarm was acknowledged by a user

Private Sub zenonAlarm_AlarmGoes(ByVal obItem As IAlarmItem)

'print specific information to Debug window

Debug.Print("{0} | {1}", obItem.Timegoes, obItem.Text)

End Sub

VBA

Dim WithEvents zAlarm As Alarm

'procedure is executed on startup of the zenOn runtime
Private Sub Project_Active()
'init the alarm object for events
Set zAlarm = thisProject.Alarm
End Sub

'procedure is executed when an Alarm comes
Private Sub zAlarm_AlarmComes(ByVal obItem As IAlarmItem)
'print specific information to Debug window...
Debug.Print obItem.Timecomes & " > " & obItem.Text
End Sub

'procedure is executed when an Alarm has gone
Private Sub zAlarm_AlarmGoes(ByVal obItem As IAlarmItem)
'print specific information to Debug window...
Debug.Print obItem.Timegoes & " < " & obItem.Text
End Sub

'procedure is executed when an Alarm was acknowledged by a user
Private Sub zAlarm_AlarmAcknowledged(ByVal obItem As IAlarmItem)
'print specific information to Debug window...
Debug.Print obItem.TimeAcknowledged & " | " & obItem.Text
End Sub

'procedure is executed on terminating the zenOn Runtime
Private Sub Project_Inactive()
'free the alarm object
Set zAlarm = Nothing
End Sub

Noch in diesem Kapitel

Alarm-Properties

Alarm-Methods

Alarm-Events

Alarm-Dynamic properties


Alarm-Properties

Manuale -> Scripting -> Objectmodel -> Alarm -> Alarm-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Aktiv | Alarm-module in-/active | not used | read only | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Aktiv


Parent

Manuale -> Scripting -> Objectmodel -> Alarm -> Alarm-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Aktiv

Manuale -> Scripting -> Objectmodel -> Alarm -> Alarm-Properties -> Aktiv

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the status of the alarm administration. If the value is True, the alarms administration is active. If it is not active the alarm buffer cannot be extended, i.e. no further alarms occur. It does not influence clearing existing alarms.De/activating the alarms administration is possible with the following functions of the control system:· Alarms active· Alarms inactive· Alarms active/inactive· Alarms/groups/classes

Datatype

Aktiv() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Alarm-Methods

Manuale -> Scripting -> Objectmodel -> Alarm -> Alarm-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IAlarmItems | AlarmItems | Returns the alarm-items objects | not used |  | read only | yes |  | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
void | ResetQueryFilter | Resets the QueryFilter |  | not used | read only | yes | yes
BSTR | AlarmItemsAsXml | Returns the alarm-items as XML | not used |  | read only | yes |  | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

AlarmItems

ResetQueryFilter

AlarmItemsAsXml


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> Alarm -> Alarm-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

VBA


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> Alarm -> Alarm-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a StringArray of all Dynproperties available for this Object. Example how to call this method:

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object. A blank String like that returns the first layer of properties: DynPropertiesEnum("")

VBA

bsPath As String

Examples

VBA

Sub ReadDynProps() Dim vProps As VariantDim i As Integer'get all DynProperties of the actual object (DynPicture, Element, ...) vProps = zenOnObject.DynPropertiesEnum("")

'Print informations of DynProperties into output window

For i = 0

To UBound(vProps) Debug.Print vProps(i)

Next i

End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> Alarm -> Alarm-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

VBA

bsPath As String

Examples

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> Alarm -> Alarm-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With DynProperties it is possible to get access to additional Properties/Methods of Objects.

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property. Example: "NetActive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VBA

bsPath As String

vValue As Variant

Examples

VBA

Sub SetDynProp()

'Sample: Set the Network Aktive Flag of the Project. MyWorkspace.ActiveDocument.DynProperties("NetActive") = True 'also set a computer as server... MyWorkspace.ActiveDocument.DynProperties("NetServer") = "COMPUTERNAME"

End Sub


AlarmItems

Manuale -> Scripting -> Objectmodel -> Alarm -> Alarm-Methods -> AlarmItems

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the object AlarmItems of the alarming module. In this collection all existing alarms are listed. With the method Item you can access single alarms. The single alarm entries contain information on the alarms.Filter String:If the string is not "*", then the string should represent the name (case sensitive) of a zenon function.If a function with the given name exists, the filter settings within this function will be used.--> only version 6.51 and above.

Datatype

AlarmItems(String strFilter) As IAlarmItems

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

The filtering is not implemented at this time. For later use

C#

String strFilter

VBA

strFilter As String

Examples

C#

public void MacroGetAlarmItems()

{

IAlarm zenonAlarm = this.Alarm();

IAlarmItems zenonAlarmItems = zenonAlarm.AlarmItems("*");

for (int i = 0; i < zenonAlarmItems.Count; ++i)

{

IAlarmItem zenonAlarmItem = zenonAlarmItems.Item(i);

PrintAlarm(zenonAlarmItem);

}

}

private void PrintAlarm(IAlarmItem alarm)

{

Debug.Print("TimeComes : " + alarm.Timecomes);

Debug.Print("TimeGoes : " + alarm.Timegoes);

Debug.Print("TimeAcknowledged : " + alarm.TimeAcknowledged);

Debug.Print("Text : " + alarm.Text);

Debug.Print("Variable : " + alarm.Variable().Name);

Debug.Print("Value : " + alarm.Value);

}

VB.NET

' Displays the amount of alarms currently in memory and

' * the alarm text of all the different alarms.

'

Public Sub MacroGetAlarmItems()

'Get alarm object(s) from active project

Dim zenonAlarm As IAlarm = Me.Alarm()

Dim zenonAlarmItems As IAlarmItems = zenonAlarm.AlarmItems("*")

MessageBox.Show(String.Format("{0} Alarms in memory...", zenonAlarmItems.Count))

'get text of active alarms...

For i As Integer = 0 To zenonAlarmItems.Count - 1

Dim zenonAlarmItem As IAlarmItem = zenonAlarmItems.Item(i)

Debug.Print(zenonAlarmItem.Text)

Next

End Sub

VBA

Public Sub GetAlarmItems()
Dim zAML As Alarm
Dim zAML_Items As AlarmItems
Dim zAML_Item As AlarmItem
Dim i As Integer
'set alarm objects
Set zAML = thisProject.Alarm

'get all items
Set zAML_Items = zAML.AlarmItems("*")

'get specific item using the screen switch function as filter

' Set zAML_Items = zAML.AlarmItems("myFunction")
'get count of active alarms...
MsgBox zAML_Items.Count & " Alarms in memory..."
'get text of active alarms...
For i = 0 To zAML_Items.Count - 1
Set zAML_Item = zAML_Items.Item(i)
Debug.Print zAML_Item.Text
Next i
End Sub


ResetQueryFilter

Manuale -> Scripting -> Objectmodel -> Alarm -> Alarm-Methods -> ResetQueryFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Specify AML filter or set default value.

Datatype

ResetQueryFilter() As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

//Manipulation using the query filter

Project.Aml.ResetQueryFilter()

Project.Aml.SetDynProp(„QueryFilter.XXX", ZZZ)

//get items using the query filter

Project.Aml.AmlItems(„.")


AlarmItemsAsXml

Manuale -> Scripting -> Objectmodel -> Alarm -> Alarm-Methods -> AlarmItemsAsXml

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AlarmItemsAsXml(BSTR strFilter) As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Alarm-Events

Manuale -> Scripting -> Objectmodel -> Alarm -> Alarm-Events

Type | Name | Description |  | Editor | Runtime | VBA | VSTA
void | AlarmAcknowledged | Event: Is fired by alarm acknowledged... | not used |  | available | yes |  | yes
void | AlarmComes | Event: Is fired by alarm coming... | not used |  | available | yes |  | yes
void | AlarmGoes | Event: Is fired by alarm going... | not used |  | available | yes |  | yes
void | AlarmListSelectionChanged | Event: Is fired when the selection in the alarmlist has changed... |  | not used | available | yes | yes
void | AlarmUsertextChanged | Event: Is fired when the usertext has changed... |  | not used | available | yes | yes
void | SelectionChangedEx | Event: selection array in the alarm list has been changed... |  | not used | read only | yes | yes

Noch in diesem Kapitel

AlarmComes

AlarmGoes

AlarmAcknowledged

AlarmListSelectionChanged

AlarmUsertextChanged

SelectionChangedEx


AlarmComes

Manuale -> Scripting -> Objectmodel -> Alarm -> Alarm-Events -> AlarmComes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the alarm-items objects, Event is fired when an Alarm comes up...To get these Event, an Object has to be declared and initialised

Datatype

AlarmComes(AlarmItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Returns an Object of Type AlarmItem (The AlarmItem which comes up)

C#

AlarmItem obItem

VBA

obItem As AlarmItem

Examples

C#

private IAlarm zenonAlarm;

void zenonAlarm_AlarmComes(IAlarmItem obItem)

{

//print specific information to Debug window...

Debug.Print("{0} > {1}", obItem.Timecomes, obItem.Text);

}

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

//Assign the alarm object and init event handler

this.zenonAlarm = this.Alarm();

this.zenonAlarm.AlarmComes += new AlarmComesEventHandler(zenonAlarm_AlarmComes);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

//Unregister previously registered event handler

zenonAlarm.AlarmComes -= new AlarmComesEventHandler(zenonAlarm_AlarmComes);

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub zenonAlarm_AlarmComes(obItem As IAlarmItem)

'print specific information to Debug window...

Debug.Print("{0} > {1}", obItem.Timecomes, obItem.Text)

End Sub

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

' << TODO: Add Initialization code here >>

'Assign the alarm object and init event handler

Me.zenonAlarm = Me.Alarm()

AddHandler Me.zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

' << TODO: Add Clean-up code here >>

'Unregister previously registered event handler

RemoveHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zAlarm As Alarm

Private Sub Project_Active()
Set zAlarm = thisProject.Alarm
End Sub

Private Sub zAlarm_AlarmComes(ByVal obItem As IAlarmItem)
Debug.Print obItem.Text
End Sub


AlarmGoes

Manuale -> Scripting -> Objectmodel -> Alarm -> Alarm-Events -> AlarmGoes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This Event is fired when an alarm has been gone.To get these Event, an Object has to be declared and initialised.

Datatype

AlarmGoes(AlarmItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Returns an Object of Type AlarmItem (The AlarmItem which has gone)

C#

AlarmItem obItem

VBA

obItem As AlarmItem

Examples

C#

private IAlarm zenonAlarm;

void zenonAlarm_AlarmGoes(IAlarmItem obItem)

{

//print specific information to Debug window

Debug.Print("{0} | {1}", obItem.Timegoes, obItem.Text);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

//Unregister previously registered event handler

zenonAlarm.AlarmGoes -= new AlarmGoesEventHandler(zenonAlarm_AlarmGoes);

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

//Assign the alarm object and init event handler

this.zenonAlarm = this.Alarm();

this.zenonAlarm.AlarmGoes += new AlarmGoesEventHandler(zenonAlarm_AlarmGoes);

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub zenonAlarm_AlarmGoes(obItem As IAlarmItem)

'print specific information to Debug window

Debug.Print("{0} | {1}", obItem.Timegoes, obItem.Text)

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

'Unregister previously registered event handler

RemoveHandler zenonAlarm.AlarmGoes, AddressOf zenonAlarm_AlarmGoes

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

'Assign the alarm object and init event handler

Me.zenonAlarm = Me.Alarm()

AddHandler Me.zenonAlarm.AlarmGoes, AddressOf zenonAlarm_AlarmGoes

End Sub

VBA

Dim WithEvents zAlarm As Alarm

Private Sub Project_Active()
Set zAlarm = thisProject.Alarm
End Sub

Private Sub zAlarm_AlarmGoes(ByVal obItem As IAlarmItem)
Debug.Print obItem.Text
End Sub


AlarmAcknowledged

Manuale -> Scripting -> Objectmodel -> Alarm -> Alarm-Events -> AlarmAcknowledged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This Event is fired when an alarm was acknowledged by a user.To get these Event, an Object has to be declared and initialised

Datatype

AlarmAcknowledged(AlarmItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

The returned object is an object of type AlarmItem and has all properties and methods like the original AlarmItem object.

C#

AlarmItem obItem

VBA

obItem As AlarmItem

Examples

C#

private IAlarm zenonAlarm;

void zenonAlarm_AlarmAcknowledged(IAlarmItem obItem)

{

//print specific information to Debug window

Debug.Print("{0} < {1}", obItem.TimeAcknowledged, obItem.Text);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

// << TODO: Add Clean-up code here >>

//Unregister previously registered event handler

zenonAlarm.AlarmAcknowledged -= zenonAlarm_AlarmAcknowledged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

// << TODO: Add Initialization code here >>

//Assign the alarm object and init event handler

this.zenonAlarm = this.Alarm();

this.zenonAlarm.AlarmAcknowledged += new AlarmAcknowledgedEventHandler(zenonAlarm_AlarmAcknowledged);

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub zenonAlarm_AlarmAcknowledged(obItem As IAlarmItem)

'print specific information to Debug window

Debug.Print("{0} < {1}", obItem.TimeAcknowledged, obItem.Text)

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

' << TODO: Add Clean-up code here >>

'Unregister previously registered event handler

RemoveHandler zenonAlarm.AlarmAcknowledged, AddressOf zenonAlarm_AlarmAcknowledged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

' << TODO: Add Initialization code here >>

'Assign the alarm object and init event handler

Me.zenonAlarm = Me.Alarm()

AddHandler Me.zenonAlarm.AlarmAcknowledged AddressOf zenonAlarm_AlarmAcknowledged

End Sub

VBA

Dim WithEvents zAlarm As Alarm

Private Sub Project_Active()
Set zAlarm = thisProject.Alarm
End Sub

Private Sub zAlarm_AlarmAcknowledged(ByVal obItem As IAlarmItem)
Debug.Print obItem.Text
End Sub


AlarmListSelectionChanged

Manuale -> Scripting -> Objectmodel -> Alarm -> Alarm-Events -> AlarmListSelectionChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The event will be fired whenever the Selection in the list is changed, when an item is selected the Entry will be passed on through the zenon-API. When an item has been deselected, the eventparameter will be "Nothing".Additionally the event will be triggered whenever an AML/CEL picture is closed. (This could lead the event being triggered twice with "Nothing").NOTE: When the Property "hide current selection" has been set at the listcontrol, the event will/should not be fired(!)

Datatype

AlarmListSelectionChanged(AlarmItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

The returned object is an object of type AlarmItem and has all properties and methods like the original AlarmItem object.

C#

AlarmItem obItem

VBA

obItem As AlarmItem

Examples

C#

private IAlarm zenonAlarm;

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

//Assign the alarm object and init event handlers

this.zenonAlarm = this.Alarm();

this.zenonAlarm.AlarmListSelectionChanged += new AlarmListSelectionChangedEventHandler(zenonAlarm_AlarmListSelectionChanged);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

this.zenonAlarm.AlarmListSelectionChanged -= zenonAlarm_AlarmListSelectionChanged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void zenonAlarm_AlarmListSelectionChanged(IAlarmItem obItem)

{

if (obItem != null) //Note: If the parameter object ist null an object was deselected

{

Debug.Print("AlarmListSelectionChanged: {0}", obItem.Text);

}

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

'Assign the alarm object and init event handlers

Me.zenonAlarm = Me.Alarm()

AddHandler Me.zenonAlarm.AlarmListSelectionChanged, AddressOf zenonAlarm_AlarmListSelectionChanged

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

RemoveHandler Me.zenonAlarm.AlarmListSelectionChanged, AddressOf zenonAlarm_AlarmListSelectionChanged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub zenonAlarm_AlarmListSelectionChanged(obItem As IAlarmItem)

If obItem IsNot Nothing Then

'Note: If the parameter object ist null an object was deselected

Debug.Print("AlarmListSelectionChanged: {0}", obItem.Text)

End If

End Sub

VBA

Private Sub zAMLPIC_Open()
'boolen flag to remember the open event
bAML = True
'init AML Object to get the AlarmListSelectionChanged event
Set zAML = thisProject.Alarm
End Sub

Private Sub zAMLPIC_Close()
'release object
Set zAML = Nothing
End Sub

Private Sub zAML_AlarmListSelectionChanged(ByVal obItem As IAlarmItem)
'If the boolen is TRUE, the first events can be ignored
'because in this case the events returns the default
'selection on opening the picture
If bAML = True Then
bAML = False
Else
If obItem Is Nothing Then Exit Sub
Debug.Print "A_Changed - " & obItem.Text
End If
End Sub


AlarmUsertextChanged

Manuale -> Scripting -> Objectmodel -> Alarm -> Alarm-Events -> AlarmUsertextChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Event is triggered if an entry is made in the AML list in the column for comments. The entried string is transferred to the event, where it can be manipulated and is afterwards entried in the column for comments. For CEL comments, an event should be analogically built in, as well.

Datatype

AlarmUsertextChanged(String bsText) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

String bsText

VBA

VBA-Syntax

Examples

C#

private IAlarm zenonAlarm;

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

//Assign the alarm object and init event handlers

this.zenonAlarm = this.Alarm();

this.zenonAlarm.AlarmUsertextChanged += new AlarmUsertextChangedEventHandler(zenonAlarm_AlarmUsertextChanged);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

this.zenonAlarm.AlarmUsertextChanged -= zenonAlarm_AlarmUsertextChanged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void zenonAlarm_AlarmUsertextChanged(ref string bsText)

{

//Just print out the new text

Debug.Print(bsText);

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

'Assign the alarm object and init event handlers

Me.zenonAlarm = Me.Alarm()

AddHandler Me.zenonAlarm.AlarmUsertextChanged, AddressOf zenonAlarm_AlarmUsertextChanged

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

RemoveHandler Me.zenonAlarm.AlarmUsertextChanged, AddressOf zenonAlarm_AlarmUsertextChanged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub zenonAlarm_AlarmUsertextChanged(ByRef bsText As String)

'Just print out the new text

Debug.Print(bsText)

End Sub

VBA

Dim WithEvents zAlarm As Alarm

Private Sub Project_Active()

Set zAlarm = thisProject.Alarm

End Sub

Private Sub zAlarm_AlarmUsertextChanged(bsText As String)

bsText = bsText & "Projekt-Zeit"

End Sub


SelectionChangedEx

Manuale -> Scripting -> Objectmodel -> Alarm -> Alarm-Events -> SelectionChangedEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SelectionChangedEx(LPVARIANT arrSelection) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

ref object arrSelection


Alarm-Dynamic properties

Manuale -> Scripting -> Objectmodel -> Alarm -> Alarm-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

CDlgAlarm

Noch in diesem Kapitel

CDlgAlarm


CDlgAlarm

Manuale -> Scripting -> Objectmodel -> Alarm -> Alarm-Dynamic properties -> CDlgAlarm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description


AlarmItem

Manuale -> Scripting -> Objectmodel -> AlarmItem

Remarks

The object AlarmItem contains information on an alarm. The different items can be accessed with the method Alarm of the current project. The returned object contains the collection AlarmItems, which lists every single alarm in the project.If the object Alarm was defined with WithEvents (Or has assigned event handlers in C#), the events for received/cleared/acknowledged alarms are executed. Those events have a AlarmItem object as a parameter.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroGetAlarmItems()

{

IAlarm zenonAlarm = this.Alarm();

IAlarmItems zenonAlarmItems = zenonAlarm.AlarmItems("*");

for (int i = 0; i < zenonAlarmItems.Count; ++i)

{

IAlarmItem zenonAlarmItem = zenonAlarmItems.Item(i);

PrintAlarm(zenonAlarmItem);

}

}

private void PrintAlarm(IAlarmItem alarm)

{

Debug.Print("TimeComes : " + alarm.Timecomes);

Debug.Print("TimeGoes : " + alarm.Timegoes);

Debug.Print("TimeAcknowledged : " + alarm.TimeAcknowledged);

Debug.Print("Text : " + alarm.Text);

Debug.Print("Variable : " + alarm.Variable().Name);

Debug.Print("Value : " + alarm.Value);

}

VB.NET

Public Sub MacroGetAlarmItems()

Dim zenonAlarm As IAlarm = Me.Alarm()

Dim zenonAlarmItems As IAlarmItems = zenonAlarm.AlarmItems("*")

For i As Integer = 0 To zenonAlarmItems.Count - 1

Dim zenonAlarmItem As IAlarmItem = zenonAlarmItems.Item(i)

PrintAlarm(zenonAlarmItem)

Next

End Sub

Private Sub PrintAlarm(alarm As IAlarmItem)

Debug.Print("TimeComes : " & Convert.ToString(alarm.Timecomes))

Debug.Print("TimeGoes : " & Convert.ToString(alarm.Timegoes))

Debug.Print("TimeAcknowledged : " & Convert.ToString(alarm.TimeAcknowledged))

Debug.Print("Text : " & Convert.ToString(alarm.Text))

Debug.Print("Variable : " + alarm.Variable().Name)

Debug.Print("Value : " & Convert.ToString(alarm.Value))

End Sub

VBA

Public Sub GetAlarmItems()
Dim zAML As Alarm
Dim zAML_Items As AlarmItems
Dim zAML_Item As AlarmItem
Dim i As Integer

'set alarm objects
Set zAML = thisProject.Alarm
Set zAML_Items = zAML.AlarmItems("*")

'get text of active alarms...
For i = 0 To zAML_Items.Count - 1
Set zAML_Item = zAML_Items.Item(i)
Call PrintAlarm(zAML_Item)
Next i
End Sub

Sub PrintAlarm(YourAlarmItem As AlarmItem)
'this procedure will print out a set of informations
'depending to the given AlarmItem...
Debug.Print "TimeComes : " & YourAlarmItem.Timecomes
Debug.Print "TimeGoes : " & YourAlarmItem.Timegoes
Debug.Print "TimeAcknowledged: " & YourAlarmItem.TimeAcknowledged
Debug.Print "Text : " & YourAlarmItem.Text
Debug.Print "Variable : " & YourAlarmItem.Variable.Name
Debug.Print "Value : " & YourAlarmItem.Value
End Sub

Noch in diesem Kapitel

AlarmItem-Properties

AlarmItem-Methods


AlarmItem-Properties

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
short | AlarmClass | Alarmclass |  | not used | read only | yes | yes
short | AlarmGroup | Alarmgroup |  | not used | read only | yes | yes
BSTR | Computer | Computer, which raised the alarm |  | not used | read only | yes | yes
long | Countreactivated |  |  | not used | read only | yes | yes
BSTR | Name | Name |  | not used | read only | yes | yes
IAlarmItems | Parent | Parent-object |  | read only | read only | yes | yes
BSTR | Projectname | Project-name |  | not used | read only | yes | yes
long | Status | Status of the variable |  | not used | read only | yes | yes
long | Statusreactivated |  |  | not used | read only | yes | yes
BSTR | Tagname | TagName of the linked variable |  | not used | read only | yes | yes
BSTR | Text | Alarmtext of the variable (limit/rema) |  | not used | read only | yes | yes
DATE | TimeAcknowledged |  |  | not used | read only | yes | yes
DATE | Timecomes | Time of the alarm |  | not used | read only | yes | yes
DATE | Timegoes |  |  | not used | read only | yes | yes
DATE | Timequitted | For internal use only |  | not used | not used | yes | yes
DATE | Timereactivated |  |  | not used | read only | yes | yes
BSTR | User | User, which raised the alarm |  | not used | read only | yes | yes
BSTR | Usertext |  |  | not used | available | yes | yes
VARIANT | Value | Value of the variable |  | not used | read only | yes | yes
long | Index | Index of the alarm in the variable limits list or conditions in reaction matrix |  | not used | read only | yes | yes
BSTR | Cause | Cause of the alarm | not used |  | available | yes |  | yes

Noch in diesem Kapitel

Parent

Name

Tagname

Projectname

Text

Status

Index

Value

Timecomes

Timegoes

Timequitted

TimeAcknowledged

Timereactivated

Statusreactivated

Countreactivated

User

Computer

Usertext

AlarmGroup

AlarmClass

Cause


Parent

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As AlarmItems

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the name of the variable linked to the alarm entry. This variable can also be found with the method Variable of this object.The variable was defined as an alarm variable in the limit/REMA definition.The name of the variable is unique. With this name the variable can be found in the central variables list of the project.

Datatype

Name() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Tagname

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Tagname

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the identification of the variable that executed the alarm. Further properties of the linked variable can be found out with the method Variable. In this case the object Variable is returned.

Datatype

Tagname() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Projectname

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Projectname

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the project in which the alarm occurred. Since the object Alarm is always executed in the current project, this property is always the same as Project.Name and thisProject.Name in VBA.With this name the project can be found in the central project list of the application.

Datatype

Projectname() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Text

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Text

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Alarmtext of the variable (limit/rema)

Datatype

Text() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the status of the value, that executed the alarm, e.g. the variable Heating_1 has a maximum limit of 10. The value is set to 15 on error. In this case the property contains the status of the value 15.The returned value contains the status in bit code.The following stati are possible in the control system:· Invalid (I-Bit)· Not actualized· Alternate value (EWERT)· General request (GA)· Spontan· Summer/Winter time· Switched off (N_AKT)· Realtime external· Realtime internal· Wintertime· Hand value· User flag 1 .. 8 (ST_M1 .. ST_M8)· Select (SELEC)· Revision (REV)· Run contact (LAUF)· Runtime overflow (LZÜ)· Fail Trafo (SM_TR)· NS· INFO· Set direction

Datatype

Status() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Index

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Index

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the index of the alarm in the alarm collection.

Datatype

Index() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Value

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the „invalid“ value responsible for the occurence of the alarm. The current value was changed from the raw value to a zenOn value.The property value is set on the first event „received“ of the alarm entry. If the alarm is reactivated, only the number of reactivations, the time received and the status of the value is updated.

Datatype

Value() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Timecomes

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Timecomes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property contains the time stamp of the first event „received“.If the option with time reactivated in the alarm configuration is set, this alarm entry is also used for the next violation (unless it is acknowledged). Thereby the time received, the number of reactivations and the status of the value is updated.The property Timereactivated returns the time of the last event „received“.If this option is not set each event „received“ creates an own alarm entry with the appropriate information.

Datatype

Timecomes() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Timegoes

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Timegoes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property contains the time stamp of the event „cleared“. The event „cleared“ is executed an the end of the alarm, i.e. the limit violation no longer exists. The time stamp of the event „cleared“ always is greater than that of the event „received“ (see Timecomes).If the option with time reactivated in the alarm configuration is set, it is possible that the time cleared is smaller than the time reactivated (see Timereactived).

Datatype

Timegoes() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Timequitted

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Timequitted

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property contains the time stamp of the event „acknowledged“. Acknowledging an alarm means, that the user read the entry and reacted. Acknowledging is always done by a user.On acknowledging the fields computer and user are set to the current computer and user. This action closes the alarm entry.

Datatype

Timequitted() As DATE

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


TimeAcknowledged

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> TimeAcknowledged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property contains the time stamp of the event „acknowledged“. Acknowledging an alarm means, that the user read the entry and reacted. Acknowledging is always done by a user.On acknowledging the fields computer and user are set to the current computer and user. This action closes the alarm entry.

Datatype

TimeAcknowledged() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Timereactivated

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Timereactivated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property contains the time stamp of the last event „received“. Usually this is the property Timecomes.If the option with time reactivated in the alarm configuration is set, this entry is updated the next time the alarm occurs (unless it is acknowledged). Thereby the time received, the number of reactivations and the status of the value is updated.

Datatype

Timereactivated() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Statusreactivated

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Statusreactivated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the status of the reactivated, violated value. Usually this is the property of the current status.If the option with time reactivated in the alarm configuration is set, this property returns the status of the newest violation. With this setting a received unacknowledged alarm only generates one entry. On the next occurence a counter is increased and the time received and the status of the value is updated.

Datatype

Statusreactivated() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Countreactivated

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Countreactivated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of the reactivations of the alarm. In the project configuration the option with time reactivated can be set. So a received and not acknowledged alarm only generates one entry. A new occuarance of the alarm only sets a counter, updates the time received and the status.If this option is not used every occurance of the alarm generates a new entry.

Datatype

Countreactivated() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> User

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the identification of the user that acknowledged the current alarm. The user logged in at that time is found out and his identification is read. This is transferred to the object Alarm. If no user is logged in, the user SYSTEM is automatically logged in.With this identification the user can be located in the central user administration of the process control system.

Datatype

User() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Computer

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Computer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the computer, on which the action occurred, e.g. acknowledging an alarm. The field for the computer name is limited to 47 characters.If the project runs stand-alone (without network), this property returns the name of the computer, where the project runs. In a network this name can be a client, a server or a stand-by.

Datatype

Computer() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Usertext

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Usertext

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

additional Text defined by the User.

Datatype

Usertext() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


AlarmGroup

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> AlarmGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the defined alarm class. A limit or a status in a REMA can be linked with an alarm class.As a default no alarm group is linked.A maximum of 256 different alarm groups can be defined. The alarm groups serve for the object orientated technological differenciation:- Group 1 = pumps- Group 2 = electricity- Group 3 = ...

Datatype

AlarmGroup() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


AlarmClass

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> AlarmClass

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the defined alarm class. A limit or a status in a REMA can be linked with an alarm class.As a default no alarm class is linked.A maximum of 8 different alarm classes can be defined. The alarm classes have the following tasks:- Priorityfor picture alarming- Colour switching- Definition of alarm colours in the alarms list and for picture alarming- Filter criteria in the alarms list and chronologic events list- Function calling- Execution of e.g. acoustic alarming

Datatype

AlarmClass() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Cause

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Properties -> Cause

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Cause() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


AlarmItem-Methods

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Acknowledge | Quit the Alarm | not used | available | yes | yes
VARIANT_BOOL | Delete | Delete the Alarm | not used | available | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | Quit | For internal use only | not used | not used | yes | yes
IVariable | Variable | Returns the linked variable | not used | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Variable

Quit

Acknowledge

Delete


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object. A blank String like that returns the first layer of properties: DynPropertiesEnum("")

VBA

bsPath As String

Examples

VBA

Sub ReadDynProps()

Dim vProps As Variant

Dim i As Integer

'get all DynProperties of the actual object (DynPicture, Element, ...)

vProps = zenOnObject.DynPropertiesEnum("")

'Print informations of DynProperties into output window

For i = 0

To UBound(vProps) Debug.Print vProps(i)

Next i

End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property. Example: "NetActive"

VBA

bsPath As String

Examples

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetActive" Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VBA

bsPath As String

vValue As Variant

Examples

VBA

Sub SetDynProp() 'Sample: Set the Network Aktive Flag of the Project. MyWorkspace.ActiveDocument.DynProperties("NetActive") = True 'also set a computer as server... MyWorkspace.ActiveDocument.DynProperties("NetServer") = "COMPUTERNAME"

End Sub


Variable

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Methods -> Variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the variable linked to the alarm entry. The variable contains general process information, whereas the alarm entry contains information on the alarm.Refer to the chapter Variable for more detailled information.Hint: The variable should be checked on Nothing.

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

private IAlarm zenonAlarm;

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

this.zenonAlarm = this.Alarm();

zenonAlarm.AlarmComes += new AlarmComesEventHandler(zenonAlarm_AlarmComes);

}

void zenonAlarm_AlarmComes(IAlarmItem obItem)

{

//Read the name of the corresponding alarm variable and its datatype - print both to the CEL

//Check if the variable is null first.

if(obItem.Variable() != null)

{

this.Cel().WriteCelString(string.Format("An alarm for {0} has gone off, the variable has data type {1}",

obItem.Variable().Name, obItem.Variable().DataType));

}

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

this.zenonAlarm.AlarmComes -= new AlarmComesEventHandler(zenonAlarm_AlarmComes);

this.zenonAlarm = null;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

Me.zenonAlarm = Me.Alarm()

AddHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

End Sub

Private Sub zenonAlarm_AlarmComes(obItem As IAlarmItem)

'Read the name of the corresponding alarm variable and its datatype - print both to the CEL

'Check if the variable is null first.

If obItem.Variable() IsNot Nothing Then

Me.Cel().WriteCelString(String.Format("An alarm for {0} has gone off, the variable has data type {1}", obItem.Variable().Name, obItem.Variable().DataType))

End If

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

RemoveHandler Me.zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

Me.zenonAlarm = Nothing

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub


Quit

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Methods -> Quit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Method to set an Alarm as "quitted"

Datatype

Quit() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

private IAlarm zenonAlarm;

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

this.zenonAlarm = this.Alarm();

zenonAlarm.AlarmComes += new AlarmComesEventHandler(zenonAlarm_AlarmComes);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

this.zenonAlarm.AlarmComes -= new AlarmComesEventHandler(zenonAlarm_AlarmComes);

this.zenonAlarm = null;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void zenonAlarm_AlarmComes(IAlarmItem obItem)

{

//As soon as a new alarm occurs it will be quitted without any user interaction

obItem.Quit();

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

Me.zenonAlarm = Me.Alarm()

AddHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

RemoveHandler Me.zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

Me.zenonAlarm = Nothing

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub zenonAlarm_AlarmComes(obItem As IAlarmItem)

'As soon as a new alarm occurs it will be quitted without any user interaction

obItem.Quit()

End Sub


Acknowledge

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Methods -> Acknowledge

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Method to set an Alarm as "acknowledged"

Datatype

Acknowledge() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

private IAlarm zenonAlarm;

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

this.zenonAlarm = this.Alarm();

zenonAlarm.AlarmComes += new AlarmComesEventHandler(zenonAlarm_AlarmComes);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

this.zenonAlarm.AlarmComes -= new AlarmComesEventHandler(zenonAlarm_AlarmComes);

this.zenonAlarm = null;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void zenonAlarm_AlarmComes(IAlarmItem obItem)

{

//As soon as a new alarm occurs it will be acknowledged without any user interaction

obItem.Acknowledge();

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

Me.zenonAlarm = Me.Alarm()

AddHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

RemoveHandler Me.zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

Me.zenonAlarm = Nothing

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub zenonAlarm_AlarmComes(obItem As IAlarmItem)

'As soon as a new alarm occurs it will be acknowledged without any user interaction

obItem.Acknowledge()

End Sub


Delete

Manuale -> Scripting -> Objectmodel -> AlarmItem -> AlarmItem-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Method to set an Alarm as "deleted"

Datatype

Delete() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

private IAlarm zenonAlarm;

void ThisProject_Active()

{

//Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

this.zenonAlarm = this.Alarm();

zenonAlarm.AlarmComes += new AlarmComesEventHandler(zenonAlarm_AlarmComes);

}

void ThisProject_Inactive()

{

//Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

this.zenonAlarm.AlarmComes -= new AlarmComesEventHandler(zenonAlarm_AlarmComes);

this.zenonAlarm = null;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void zenonAlarm_AlarmComes(IAlarmItem obItem)

{

//As soon as a new alarm occurs it will be deleted without any user interaction

obItem.Delete();

}

VB.NET

Private zenonAlarm As IAlarm

Private Sub ThisProject_Active()

'Create any required API-References here (Event handlers, OnlineContainers, local references,etc. )

Me.zenonAlarm = Me.Alarm()

AddHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

End Sub

Private Sub ThisProject_Inactive()

'Release all API-References here (Event handlers, OnlineContainers, local references, etc. )

RemoveHandler zenonAlarm.AlarmComes, AddressOf zenonAlarm_AlarmComes

Me.zenonAlarm = Nothing

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

Private Sub zenonAlarm_AlarmComes(obItem As IAlarmItem)

'As soon as a new alarm occurs it will be deleted without any user interaction

obItem.Delete()

End Sub


AlarmItems

Manuale -> Scripting -> Objectmodel -> AlarmItems

Remarks

The alarm entries are administered in this collection. If a new alarm occurs, it is added to this collection.The single alarm entries contain information on the alarm, e.g. name, variable, alarm group, alarm class, ...

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/* Displays the amount of alarms currently in memory and

* the alarm text of all the different alarms.

*/

public void MacroGetAlarmItems()

{

//Get alarm object(s) from active project

IAlarm zenonAlarm = this.Alarm();

IAlarmItems zenonAlarmItems = zenonAlarm.AlarmItems("*");

MessageBox.Show(string.Format("{0} Alarms in memory...", zenonAlarmItems.Count));

//get text of active alarms...

for(int i = 0; i < zenonAlarmItems.Count; ++i)

{

IAlarmItem zenonAlarmItem = zenonAlarmItems.Item(i);

Debug.Print(zenonAlarmItem.Text);

}

}

VB.NET

' Displays the amount of alarms currently in memory and

' * the alarm text of all the different alarms.

'

Public Sub MacroGetAlarmItems()

'Get alarm object(s) from active project

Dim zenonAlarm As IAlarm = Me.Alarm()

Dim zenonAlarmItems As IAlarmItems = zenonAlarm.AlarmItems("*")

MessageBox.Show(String.Format("{0} Alarms in memory...", zenonAlarmItems.Count))

'get text of active alarms...

For i As Integer = 0 To zenonAlarmItems.Count - 1

Dim zenonAlarmItem As IAlarmItem = zenonAlarmItems.Item(i)

Debug.Print(zenonAlarmItem.Text)

Next

End Sub

VBA

'*** In this example all alarm entries are read and displayed in the Output window of VBA.
'*** Run Aml_Items and write information of the items to the debug-window of the VBA-IDE
Public Sub Aml_Items()
Dim obAml As Alarm
Dim obAmlItem As AlarmItem
'*** Get Alarm-object of the current project
Set obAml = thisProject.Alarm
'*** Write information to debug-window of the VBA-IDE
For nIndex = 0 To obAml.AlarmItems.Count - 1
Set obAmlItem = obAml.AlarmItems.Item(nIndex)
If Not obAmlItem Is Nothing Then
Debug.Print "Alarm: " & obAmlItem.Name & _
" Variable: " & obAmlItem.Variable.Name & _
" AmlGroup: " & CStr(obAmlItem.AlarmGroup) & _
" AmlClass: " & CStr(AlarmItem.AlarmClass)
End If
Next nIndex
End Sub

'**********************************************************************
'* This codesample browses all alarms and searches in the alargroups *
'* 1-3 for non acknowledged alarms. *
'* ------------------------------------------------------------------ *
'* Autor: Mark Clemens Support, COPA-DATA GmbH *
'**********************************************************************
Dim obAml As Alarm
Dim obAmlItem As AlarmItem
Dim obAmlItems As AlarmItems
Dim nIndex As Variant
Dim obVariable As Variable
Dim nAcknowledged1, nAcknowledged2, nAcknowledged3 As Boolean

Sub Aml_Items()
'*** Reset internal variables
nAcknowledged1 = False
nAcknowledged2 = False
nAcknowledged3 = False
'*** Get Alarm-object of the current project
Set obAml = thisProject.Alarm
'*** Get all alarmitems
Set obAmlItems = obAml.AlarmItems("*")

'get specific item using the screen switch function as filter

'Set obAmlItems = obAml.AlarmItems("myFunction")
For nIndex = 0 To obAmlItems.Count - 1
Set obAmlItem = obAmlItems.Item(nIndex)
If (Not obAmlItem Is Nothing) Then
'*** Define which alarmgroups should be searched
Select Case obAmlItem.AlarmGroup
Case 1
'*** Search for non acknowledged alarms by comparing the TimeAcknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged1 = True
End If
Case 2
'*** Search for non acknowledged alarms by comparing the timeacknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged2 = True
End If
Case 3
'*** Search for non acknowledged alarms by comparing the timeacknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged3 = True
End If
End Select
End If
Next nIndex
'*** After all Alarms have been analyzed set the processvariables
'***Group 1
Set obVariable = thisProject.Variables.Item("group1_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged1 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
'***Group 2
Set obVariable = thisProject.Variables.Item("group2_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged2 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
'***Group 3
Set obVariable = thisProject.Variables.Item("group3_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged3 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
End Sub

Noch in diesem Kapitel

AlarmItems-Properties

AlarmItems-Methods


AlarmItems-Properties

Manuale -> Scripting -> Objectmodel -> AlarmItems -> AlarmItems-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Aktiv | Alarm-module in-/active | not used | read only | yes | yes
long | Count | Count of the alarm-items | read only | read only | yes | yes
IAlarm | Parent | Parent-object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Aktiv

Count


Parent

Manuale -> Scripting -> Objectmodel -> AlarmItems -> AlarmItems-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Alarm

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Aktiv

Manuale -> Scripting -> Objectmodel -> AlarmItems -> AlarmItems-Properties -> Aktiv

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the status of the alarm administration. If the value is True, the alarms administration is active. If it is not active the alarm buffer cannot be extended, i.e. no further alarms occur. It does not influence clearing existing alarms.De/activating the alarms administration is possible with the following functions of the control system:· Alarms active· Alarms inactive· Alarms active/inactive· Alarms/groups/classes

Datatype

Aktiv() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> AlarmItems -> AlarmItems-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


AlarmItems-Methods

Manuale -> Scripting -> Objectmodel -> AlarmItems -> AlarmItems-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IAlarmItem | Item | Returns the alarm-item on the given position | available | available | yes | yes

Noch in diesem Kapitel

Item


Item

Manuale -> Scripting -> Objectmodel -> AlarmItems -> AlarmItems-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object for the alarm entry at the position vID. All existing alarms of the project are in this collection. The returned object Alarmitem contains important information on the alarm.This method Item only allows accessing with the index.Hint: Check the returned object on Nothing, if no object for the search creteria was found.

Datatype

Item(VARIANT vIndex) As AlarmItem

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

vID As Variant

Unique index for the position of the element in the list. Care that the index is < Count, i.e. for nIndex = 0 to Count-1

C#

object vIndex

VBA

vIndex As Variant

Examples

VBA

'*** In this example all alarm entries are read and displayed in the Output window of VBA.
'*** Run Aml_Items and write information of the items to the debug-window of the VBA-IDE
Public Sub Aml_Items()
Dim obAml As Alarm
Dim obAmlItem As AlarmItem
'*** Get Alarm-object of the current project
Set obAml = thisProject.Alarm
'*** Write information to debug-window of the VBA-IDE
For nIndex = 0 To obAml.AlarmItems.Count - 1
Set obAmlItem = obAml.AlarmItems.Item(nIndex)
If Not obAmlItem Is Nothing Then
Debug.Print "Alarm: " & obAmlItem.Name & _
" Variable: " & obAmlItem.Variable.Name & _
" AmlGroup: " & CStr(obAmlItem.AlarmGroup) & _
" AmlClass: " & CStr(AlarmItem.AlarmClass)
End If
Next nIndex
End Sub

'**********************************************************************
'* This codesample browses all alarms and searches in the alargroups *
'* 1-3 for non acknowledged alarms. *
'* ------------------------------------------------------------------ *
'* Autor: Mark Clemens Support, COPA-DATA GmbH *
'**********************************************************************
Dim obAml As Alarm
Dim obAmlItem As AlarmItem
Dim obAmlItems As AlarmItems
Dim nIndex As Variant
Dim obVariable As Variable
Dim nAcknowledged1, nAcknowledged2, nAcknowledged3 As Boolean

Sub Aml_Items()
'*** Reset internal variables
nAcknowledged1 = False
nAcknowledged2 = False
nAcknowledged3 = False
'*** Get Alarm-object of the current project
Set obAml = thisProject.Alarm
'*** Get all alarmitems
Set obAmlItems = obAml.AlarmItems("*")
For nIndex = 0 To obAmlItems.Count - 1
Set obAmlItem = obAmlItems.Item(nIndex)
If (Not obAmlItem Is Nothing) Then
'*** Define which alarmgroups should be searched
Select Case obAmlItem.AlarmGroup
Case 1
'*** Search for non acknowledged alarms by comparing the TimeAcknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged1 = True
End If
Case 2
'*** Search for non acknowledged alarms by comparing the timeacknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged2 = True
End If
Case 3
'*** Search for non acknowledged alarms by comparing the timeacknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged3 = True
End If
End Select
End If
Next nIndex
'*** After all Alarms have been analyzed set the processvariables
'***Group 1
Set obVariable = thisProject.Variables.Item("group1_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged1 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
'***Group 2
Set obVariable = thisProject.Variables.Item("group2_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged2 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
'***Group 3
Set obVariable = thisProject.Variables.Item("group3_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged3 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
End Sub


ALCEdge

Manuale -> Scripting -> Objectmodel -> ALCEdge

Remarks

With this object you have the opportunity to get informations about a selected procedural element.

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroALCEdge()

{

//Get ALC engine and child objects

IALCEngine zenonAlcEngine = this.ALCEngine();

IALCEdge zenonAlcEdge = zenonAlcEngine.EdgeItem(0);

IALCNode zenonAlcNodeOne = zenonAlcEdge.Node1;

IALCNode zenonAlcNodeTwo = zenonAlcEdge.Node2;

//Returns the ID of the procedural element on the screen

MessageBox.Show("ElementID of the procedural element: " + zenonAlcEdge.ElementID);

//Returns the screen in which the procedural element is used

MessageBox.Show("Screen: " + zenonAlcEdge.Picture);

//Returns the ID of the ALC source (the list of these ids is available from the project property "Automatic line coloring")

MessageBox.Show("Source ID: " + zenonAlcEdge.SourceID);

//Returns the internal name of the procedural elements type

MessageBox.Show(zenonAlcEdge.Type.ToString());

MessageBox.Show("Linked variable: " + zenonAlcEdge.Variable);

//Returns the ID of the procedural elements node on the screen

//Note: Not all procedural elements contain two nodes

MessageBox.Show("Link ID Node1: " + zenonAlcNodeOne.LinkID);

//Returns the ID of the procedural elements second node on the screen

MessageBox.Show("Link ID Node2: " + zenonAlcNodeTwo.LinkID);

}

VB.NET

Public Sub MacroALCEdge()

'Get ALC engine and child objects

Dim zenonAlcEngine As IALCEngine = Me.ALCEngine()

Dim zenonAlcEdge As IALCEdge = zenonAlcEngine.EdgeItem(0)

Dim zenonAlcNodeOne As IALCNode = zenonAlcEdge.Node1

Dim zenonAlcNodeTwo As IALCNode = zenonAlcEdge.Node2

'Returns the ID of the procedural element on the screen

MessageBox.Show("ElementID of the procedural element: " + zenonAlcEdge.ElementID)

'Returns the screen in which the procedural element is used

MessageBox.Show("Screen: " + zenonAlcEdge.Picture)

'Returns the ID of the ALC source (the list of these ids is available from the project property "Automatic line coloring")

MessageBox.Show("Source ID: " + zenonAlcEdge.SourceID)

'Returns the internal name of the procedural elements type

MessageBox.Show(zenonAlcEdge.Type.ToString())

MessageBox.Show("Linked variable: " + zenonAlcEdge.Variable)

'Returns the ID of the procedural elements node on the screen

'Note: Not all procedural elements contain two nodes

MessageBox.Show("Link ID Node1: " + zenonAlcNodeOne.LinkID)

'Returns the ID of the procedural elements second node on the screen

MessageBox.Show("Link ID Node2: " + zenonAlcNodeTwo.LinkID)

End Sub

VBA

Sub ALCEdge()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine
Dim zAlcNode1 As ALCNode 'Child object from type ALCEngine
Dim zAlcNode2 As ALCNode 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = thisProject.ALCEngine
'Get the first procedural element of the project
Set zAlcEdge = zAlcEngine.EdgeItem(0)

'Returns the ID of the procedural element in the screen
MsgBox "ElementID of the procedural element = " & zAlcEdge.ElementID
'Returns the screen in which the procedural element is used
MsgBox "Screen = " & zAlcEdge.Picture
'Returns the ID of the ALC source (the list of these Ids is available at the project property "Automatic line coloring")
MsgBox "Source ID = " & zAlcEdge.SourceID

'Returns the type of procedural element
If zAlcEdge.Type = 0 Then
MsgBox "Type = tpALCTypeNode"
ElseIf zAlcEdge.Type = 1 Then
MsgBox "Type = tpALCTypeSource"
ElseIf zAlcEdge.Type = 2 Then
MsgBox "Type = tpALCTypeSwitch"
ElseIf zAlcEdge.Type = 3 Then
MsgBox "Type = tpALCTypeSink"
ElseIf zAlcEdge.Type = 4 Then
MsgBox "Type = tpALCTypeTrafo"
ElseIf zAlcEdge.Type = 5 Then
MsgBox "Type = tpALCTypeLink"
End If

'Returns the variable which is linked to the procedural element
MsgBox "Linkes variable = " & zAlcEdge.Variable.Name

'Returns the first connected node (HINT:Not all procedural elements include two Nodes!)
Set zAlcNode1 = zAlcEdge.Node1
'Returns the ID of the node in the screen
MsgBox "Link ID Node1 = " & zAlcNode1.LinkID
'Returns the second connected node
Set zAlcNode2 = zAlcEdge.Node2
'Returns the ID of the node in the screen
MsgBox "Link ID Node2 = " & zAlcNode2.LinkID

End Sub

Noch in diesem Kapitel

ALCEdge-Properties


ALCEdge-Properties

Manuale -> Scripting -> Objectmodel -> ALCEdge -> ALCEdge-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ElementID | Returns the ID of the element the edge is connected with. | read only | read only | yes | yes
BSTR | ElementRef | Returns the reference name of the element the edge is connected with. | not used | available | yes | yes
tpALCGroundFaultType | GroundFaultType | Returns the ground fault detection type if the edge is of type Switch. | not used | available | yes | yes
IVariable | GroundFaultVarDisp | Returns the attached ground fault display Variable if ground fault detection is enabled. | not used | available | yes | yes
IVariable | GroundFaultVarFwd | Returns the attached ground fault forward Variable if ground fault detection is enabled. | not used | available | yes | yes
IVariable | GroundFaultVarRev | Returns the attached ground fault reverse Variable if ground fault detection is enabled. | not used | available | yes | yes
IVariable | GroundFaultVarTrg | Returns the attached ground fault trigger Variable if ground fault detection is enabled. | not used | available | yes | yes
IALCNode | Node1 | Returns the first ALC node. | read only | read only | yes | yes
IALCNode | Node2 | Returns the second ALC node. | read only | read only | yes | yes
BSTR | Picture | Returns the name of the picture the element is located in. | read only | read only | yes | yes
long | ReverseSourceID | Returns the reverse Source ID if the edge is of type Trafo. | not used | available | yes | yes
tpALCShortFaultType | ShortFaultType | Returns the short fault detection type if the edge is of type Switch. | not used | available | yes | yes
IVariable | ShortFaultVarDisp | Returns the attached short fault display Variable if short fault detection is enabled. | not used | available | yes | yes
IVariable | ShortFaultVarFwd | Returns the attached short fault forward Variable if short fault detection is enabled. | not used | available | yes | yes
IVariable | ShortFaultVarRev | Returns the attached short fault reverse Variable if short fault detection is enabled. | not used | available | yes | yes
IVariable | ShortFaultVarTrg | Returns the attached short fault trigger Variable if short fault detection is enabled. | not used | available | yes | yes
long | SourceID | Returns the Source ID if the edge is of type Source or Trafo. | read only | read only | yes | yes
tpALCType | Type | Returns the type of this ALC edge. | read only | read only | yes | yes
IVariable | Variable | Returns the attached Variable if the edge is of type Source or Switch. | read only | read only | yes | yes

Noch in diesem Kapitel

Node1

Node2

Type

SourceID

ReverseSourceID

Variable

Picture

ElementID

ElementRef

GroundFaultType

GroundFaultVarTrg

GroundFaultVarFwd

GroundFaultVarRev

GroundFaultVarDisp

ShortFaultType

ShortFaultVarTrg

ShortFaultVarFwd

ShortFaultVarRev

ShortFaultVarDisp


Node1

Manuale -> Scripting -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> Node1

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object from type "ALCNode". It represents a node which is connected to the procedural element. Hint: It is also possible that only one of the two nodes is connected to the procedural element.

Datatype

Node1() As ALCNode

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Node2

Manuale -> Scripting -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> Node2

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object from type "ALCNode". It represents a node which is connected to the procedural element. Hint: It is also possible that only one of the two nodes is connected to the procedural element.

Datatype

Node2() As ALCNode

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Scripting -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpALCType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SourceID

Manuale -> Scripting -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> SourceID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of the ALC source (the list of these IDs is available at the zenOn project property "Automatic line coloring")

Datatype

SourceID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ReverseSourceID

Manuale -> Scripting -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> ReverseSourceID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReverseSourceID() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Variable

Manuale -> Scripting -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> Variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object from type "Variable". It represents the variable which is linked to the procedural element.

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Picture

Manuale -> Scripting -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> Picture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the picture in which the procedural element is used.

Datatype

Picture() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementID

Manuale -> Scripting -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> ElementID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of the procedural element in the picture.

Datatype

ElementID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetNameOfElement()
Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine

'Get first procedural element of the project
Set zAlcEdge = thisProject.ALCEngine.EdgeItem(0)
'Get name of this procedural element (combielement)
Debug.Print "Name of element = " & FindElem(zAlcEdge).Name

End Sub

Function FindElem(zAlcEdge As ALCEdge) As Element
Dim i As Integer
Dim zPIC As DynPicture

'Get picture object
Set zPIC = thisProject.DynPictures.Item(zAlcEdge.Picture)
'Enum elements in picture
For i = 0 To zPIC.Elements.count - 1
'Check element id
If zPIC.Elements.Item(i).ID = zAlcEdge.ElementID Then
'Return Element
Set FindElem = zPIC.Elements.Item(i)
Exit Function
End If
Next i
End Function


ElementRef

Manuale -> Scripting -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> ElementRef

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRef() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


GroundFaultType

Manuale -> Scripting -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> GroundFaultType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GroundFaultType() As tpALCGroundFaultType

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


GroundFaultVarTrg

Manuale -> Scripting -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> GroundFaultVarTrg

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GroundFaultVarTrg() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


GroundFaultVarFwd

Manuale -> Scripting -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> GroundFaultVarFwd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GroundFaultVarFwd() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


GroundFaultVarRev

Manuale -> Scripting -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> GroundFaultVarRev

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GroundFaultVarRev() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


GroundFaultVarDisp

Manuale -> Scripting -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> GroundFaultVarDisp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GroundFaultVarDisp() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShortFaultType

Manuale -> Scripting -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> ShortFaultType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShortFaultType() As tpALCShortFaultType

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShortFaultVarTrg

Manuale -> Scripting -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> ShortFaultVarTrg

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShortFaultVarTrg() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShortFaultVarFwd

Manuale -> Scripting -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> ShortFaultVarFwd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShortFaultVarFwd() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShortFaultVarRev

Manuale -> Scripting -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> ShortFaultVarRev

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShortFaultVarRev() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShortFaultVarDisp

Manuale -> Scripting -> Objectmodel -> ALCEdge -> ALCEdge-Properties -> ShortFaultVarDisp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShortFaultVarDisp() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ALCEngine

Manuale -> Scripting -> Objectmodel -> ALCEngine

Remarks

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

ALCEngine-Properties

ALCEngine-Methods

ALCEngine-Events


ALCEngine-Properties

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IProject | Parent | Returns the parent of the ALCEngine Object. | read only | read only | yes | yes
long | NodeCount | Returns the number of ALC nodes. | read only | read only | yes | yes
long | EdgeCount | Returns the number of ALC edges. | read only | read only | yes | yes
long | GraphElemCount | Returns the number of ALC elements. | read only | read only | yes | yes
long | GraphAliasCount | Returns the number of ALC alias elements. | read only | read only | yes | yes
tpALCGroundFaultMode | GroundFaultMode | Get/Set the ground fault mode. | not used | available | yes | yes
double | MaxOverload |  | not used | read only | yes | yes

Noch in diesem Kapitel

Parent

NodeCount

EdgeCount

GraphElemCount

GraphAliasCount

GroundFaultMode

MaxOverload


Parent

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As IProject

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


NodeCount

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Properties -> NodeCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

NodeCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


EdgeCount

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Properties -> EdgeCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

EdgeCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


GraphElemCount

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Properties -> GraphElemCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GraphElemCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


GraphAliasCount

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Properties -> GraphAliasCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GraphAliasCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


GroundFaultMode

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Properties -> GroundFaultMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GroundFaultMode() As tpALCGroundFaultMode

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


MaxOverload

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Properties -> MaxOverload

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MaxOverload() As double

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ALCEngine-Methods

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IALCNode | NodeItem | Returns the ALC node at the given index. | read only | read only | yes | yes
IALCEdge | EdgeItem | Returns the ALC edge at the given index. | read only | read only | yes | yes
IALCGraphElem | GraphElemItem | Returns the ALC element at the given index. | read only | read only | yes | yes
IALCGraphAlias | GraphAliasItem | Returns the ALC alias element at the given index. | read only | read only | yes | yes
IALCNode | FindNode | Returns the ALC node associated to the given element. | read only | read only | yes | yes
IALCEdge | FindEdge | Returns the ALC edge associated to the given element. | read only | read only | yes | yes
IALCNode | FindNodeByRef | Returns the ALC node associated to the given element. | not used | read only | yes | yes
IALCEdge | FindEdgeByRef | Returns the ALC edge associated to the given element. | not used | read only | yes | yes
void | AckGroundFault | Acknowledges a ground fault detection. | not used | available | yes | yes
void | AckShortFault | Acknowledges a short fault detection. | not used | available | yes | yes

Noch in diesem Kapitel

NodeItem

EdgeItem

GraphElemItem

GraphAliasItem

FindNode

FindEdge

FindNodeByRef

FindEdgeByRef

AckGroundFault

AckShortFault


NodeItem

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Methods -> NodeItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

NodeItem(long lIndex) As IALCNode

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


EdgeItem

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Methods -> EdgeItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

EdgeItem(long lIndex) As IALCEdge

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GraphElemItem

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Methods -> GraphElemItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GraphElemItem(long lIndex) As IALCGraphElem

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


GraphAliasItem

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Methods -> GraphAliasItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GraphAliasItem(long lIndex) As IALCGraphAlias

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


FindNode

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Methods -> FindNode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

FindNode(BSTR bsPicture, long lElementID) As IALCNode

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


FindEdge

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Methods -> FindEdge

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

FindEdge(BSTR bsPicture, long lElementID) As IALCEdge

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


FindNodeByRef

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Methods -> FindNodeByRef

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

FindNodeByRef(BSTR bsElemRef) As IALCNode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


FindEdgeByRef

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Methods -> FindEdgeByRef

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

FindEdgeByRef(BSTR bsElemRef) As IALCEdge

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


AckGroundFault

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Methods -> AckGroundFault

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AckGroundFault(IVariable pVariable) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


AckShortFault

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Methods -> AckShortFault

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AckShortFault(IVariable pVariable) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ALCEngine-Events

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | CheckInterlocking | Event: Is fired to check interlockings. | not used | available | yes | yes

Noch in diesem Kapitel

CheckInterlocking


CheckInterlocking

Manuale -> Scripting -> Objectmodel -> ALCEngine -> ALCEngine-Events -> CheckInterlocking

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckInterlocking(IALCEdge pALCEdge, long nNewState, tpLockResult LockResult, BSTR bsText, VARIANT_BOOL bUnlockable) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ALCGraphAlias

Manuale -> Scripting -> Objectmodel -> ALCGraphAlias

Remarks

With this object you have the opportunity to get line and procedural elements via an index or from specific Screens and specific Element IDs.

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

/*

* Iterate all ALCGraph aliases using the GraphAliasCount property. this.ActiveDocument is the active workspace

* Create an instance of the zenOn.IALCGraphAlias to collect a Graph element on index

* Print the output using the output window, use: this.Parent.DebugPrint().

*/

public void Macro_GraphAlias()

{

for (int i = 0; i < this.ActiveDocument.ALCEngine().GraphAliasCount; i++)

{

zenOn.IALCGraphAlias alcAlias = this.ActiveDocument.ALCEngine().GraphAliasItem(i);

this.Parent.DebugPrint(string.Format("ID: {0}; Type: {1}; Picture: {2}", alcAlias.ElementID, alcAlias.Type, alcAlias.Picture), zenOn.tpDebugPrintStyle.tpNrm);

}

}

VB.NET

'

' * Iterate all ALCGraph aliases using the GraphAliasCount property. this.ActiveDocument is the active workspace

' * Create an instance of the zenOn.IALCGraphAlias to collect a Graph element on index

' * Print the output using the output window, use: this.Parent.DebugPrint().

'

Public Sub Macro_GraphAlias()

For i As Integer = 0 To Me.ActiveDocument.ALCEngine().GraphAliasCount - 1

Dim alcAlias As zenOn.IALCGraphAlias = Me.ActiveDocument.ALCEngine().GraphAliasItem(i)

Me.Parent.DebugPrint(String.Format("ID: {0}; Type: {1}; Picture: {2}", alcAlias.ElementID, alcAlias.Type, alcAlias.Picture), zenOn.tpDebugPrintStyle.tpNrm)

Next

End Sub

VBA

Noch in diesem Kapitel

ALCGraphAlias-Properties


ALCGraphAlias-Properties

Manuale -> Scripting -> Objectmodel -> ALCGraphAlias -> ALCGraphAlias-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ElementID | Returns the ID of the element the edge is connected with. | read only | read only | yes | yes
BSTR | ElementRef | Returns the reference name of the element the edge is connected with. | read only | read only | yes | yes
IALCGraphElem | OriginalGraphElem | Returns the original ALC element. | read only | read only | yes | yes
BSTR | Picture | Returns the name of the picture the element is located in. | read only | read only | yes | yes
tpALCType | Type | Returns the type of this ALC edge. | read only | read only | yes | yes

Noch in diesem Kapitel

OriginalGraphElem

Type

Picture

ElementID

ElementRef


OriginalGraphElem

Manuale -> Scripting -> Objectmodel -> ALCGraphAlias -> ALCGraphAlias-Properties -> OriginalGraphElem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OriginalGraphElem() As ALCGraphElem

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Scripting -> Objectmodel -> ALCGraphAlias -> ALCGraphAlias-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpALCType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Picture

Manuale -> Scripting -> Objectmodel -> ALCGraphAlias -> ALCGraphAlias-Properties -> Picture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Picture() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementID

Manuale -> Scripting -> Objectmodel -> ALCGraphAlias -> ALCGraphAlias-Properties -> ElementID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementRef

Manuale -> Scripting -> Objectmodel -> ALCGraphAlias -> ALCGraphAlias-Properties -> ElementRef

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRef() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ALCGraphElem

Manuale -> Scripting -> Objectmodel -> ALCGraphElem

Remarks

With this object you have the opportunity to get line and procedural elements via an index or from specific Screens and specific Element IDs.

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

/*

* Iterate all ALCGraph elements using the GraphElemCount property. this.ActiveDocument is the active workspace

* Create an instance of the zenOn.IALCGraphElem to collect a Graph element on index

* Print the output using the output window, use: this.Parent.DebugPrint().

*/

public void Macro_GraphElem()

{

for (int i = 0; i < this.ActiveDocument.ALCEngine().GraphElemCount; i++)

{

zenOn.IALCGraphElem alcElem = this.ActiveDocument.ALCEngine().GraphElemItem(i);

this.Parent.DebugPrint(string.Format("ID: {0}; Type: {1}; Picture: {2}", alcElem.ElementID, alcElem.Type, alcElem.Picture), zenOn.tpDebugPrintStyle.tpNrm);

}

}

VB.NET

'

' * Iterate all ALCGraph elements using the GraphElemCount property. this.ActiveDocument is the active workspace

' * Create an instance of the zenOn.IALCGraphElem to collect a Graph element on index

' * Print the output using the output window, use: this.Parent.DebugPrint().

'

Public Sub Macro_GraphElem()

For i As Integer = 0 To Me.ActiveDocument.ALCEngine().GraphElemCount - 1

Dim alcElem As zenOn.IALCGraphElem = Me.ActiveDocument.ALCEngine().GraphElemItem(i)

Me.Parent.DebugPrint(String.Format("ID: {0}; Type: {1}; Picture: {2}", alcElem.ElementID, alcElem.Type, alcElem.Picture), zenOn.tpDebugPrintStyle.tpNrm)

Next

End Sub

VBA

Noch in diesem Kapitel

ALCGraphElem-Properties

ALCGraphElem-Methods


ALCGraphElem-Properties

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ElementID | Returns the ID of the element the edge is connected with. | read only | read only | yes | yes
BSTR | ElementRef | Returns the reference name of the element the edge is connected with. | read only | read only | yes | yes
double | Length | Returns the length | read only | read only | yes | yes
long | LoadType | Returns the load type | read only | read only | yes | yes
double | LoadVal | Returns the fixed load value | read only | read only | yes | yes
long | MaxIType | Returns the maximal current type | read only | read only | yes | yes
double | MaxIVal | Returns the fixed maximal current | read only | read only | yes | yes
long | Node1Count | Returns the number of elements connected to first node. | read only | read only | yes | yes
long | Node2Count | Returns the number of elements connected to second node. | read only | read only | yes | yes
BSTR | Picture | Returns the name of the picture the element is located in. | read only | read only | yes | yes
double | React | Returns the reactance | read only | read only | yes | yes
double | Resist | Returns the resistance | read only | read only | yes | yes
long | ReverseSourceID | Returns the reverse Source ID if the edge is of type Trafo. | read only | read only | yes | yes
long | SourceID | Returns the Source ID if the edge is of type Source or Trafo. | read only | read only | yes | yes
tpALCType | Type | Returns the type of this ALC edge. | read only | read only | yes | yes
IVariable | VarCalcI | Returns the variable for calculated current | read only | read only | yes | yes
IVariable | VarCurI | Returns the variable for actual current | read only | read only | yes | yes
IVariable | VarCurP | Returns the variable for actual power | read only | read only | yes | yes
IVariable | Variable | Returns the attached Variable if the edge is of type Source or Switch. | read only | read only | yes | yes
IVariable | VarLoad | Returns the variable for load value | read only | read only | yes | yes
IVariable | VarMaxI | Returns the variable for maximal current | read only | read only | yes | yes
IVariable | VarProtReact | Returns the variable for protection reactance | read only | read only | yes | yes

Noch in diesem Kapitel

Node1Count

Node2Count

Type

SourceID

ReverseSourceID

Variable

Picture

ElementID

ElementRef

VarProtReact

MaxIType

MaxIVal

VarMaxI

VarCurI

VarCalcI

VarCurP

LoadType

LoadVal

VarLoad

React

Resist

Length


Node1Count

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> Node1Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Node1Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Node2Count

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> Node2Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Node2Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpALCType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SourceID

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> SourceID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SourceID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ReverseSourceID

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> ReverseSourceID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReverseSourceID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Variable

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> Variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Picture

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> Picture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Picture() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementID

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> ElementID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementRef

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> ElementRef

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRef() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarProtReact

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> VarProtReact

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VarProtReact() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


MaxIType

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> MaxIType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MaxIType() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


MaxIVal

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> MaxIVal

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MaxIVal() As double

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarMaxI

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> VarMaxI

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VarMaxI() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarCurI

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> VarCurI

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VarCurI() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarCalcI

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> VarCalcI

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VarCalcI() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarCurP

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> VarCurP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VarCurP() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


LoadType

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> LoadType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LoadType() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


LoadVal

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> LoadVal

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LoadVal() As double

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarLoad

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> VarLoad

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VarLoad() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


React

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> React

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

React() As double

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Resist

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> Resist

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Resist() As double

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Length

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Properties -> Length

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Length() As double

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ALCGraphElem-Methods

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IALCGraphElem | Node1Item | Returns the the element connected to first node at the given index. | read only | read only | yes | yes
IALCGraphElem | Node2Item | Returns the the element connected to second node at the given index. | read only | read only | yes | yes

Noch in diesem Kapitel

Node1Item

Node2Item


Node1Item

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Methods -> Node1Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Node1Item(long lIndex) As ALCGraphElem

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Node2Item

Manuale -> Scripting -> Objectmodel -> ALCGraphElem -> ALCGraphElem-Methods -> Node2Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Node2Item(long lIndex) As ALCGraphElem

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ALCNode

Manuale -> Scripting -> Objectmodel -> ALCNode

Remarks

With this object you have the opportunity to get informations about the line and procedural elements of a single node in your topology.

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroAlcNode()

{

IALCEngine zenonAlcEngine = this.ALCEngine();

//Get the first node of the project

IALCNode zenonAlcNode = zenonAlcEngine.NodeItem(2);

//Return the number of procedural devices which are connected to the node

MessageBox.Show("Number of connected procedural elements: " + zenonAlcNode.EdgeCount);

//Return one of the connected procedural elements

IALCEdge zenonAlcEdge = zenonAlcNode.EdgeItem(0);

//Return type of the connected procedural element

MessageBox.Show(zenonAlcEdge.Type.ToString());

//Return ID of the link connected to the node

MessageBox.Show("Link iD: " + zenonAlcNode.LinkID);

}

VB.NET

Public Sub MacroAlcNode()

Dim zenonAlcEngine As IALCEngine = Me.ALCEngine()

'Get the first node of the project

Dim zenonAlcNode As IALCNode = zenonAlcEngine.NodeItem(2)

'Return the number of procedural devices which are connected to the node

MessageBox.Show("Number of connected procedural elements: " + zenonAlcNode.EdgeCount)

'Return one of the connected procedural elements

Dim zenonAlcEdge As IALCEdge = zenonAlcNode.EdgeItem(0)

'Return type of the connected procedural element

MessageBox.Show(zenonAlcEdge.Type.ToString())

'Return ID of the link connected to the node

MessageBox.Show("Link iD: " + zenonAlcNode.LinkID)

End Sub

VBA

Sub ALCNode()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcNode As ALCNode 'Child object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine
Dim CountElements As Long
Dim LineStates As Variant
Dim i As Integer

'Get ALCEngine data from the project
Set zAlcEngine = thisProject.ALCEngine
'Get the first node of the project
Set zAlcNode = zAlcEngine.NodeItem(2)

'Return the number of procedural devices which are connected to the node
MsgBox "Number of connected procedural elements = " & zAlcNode.EdgeCount
'Return one of the connected procedural elements
Set zAlcEdge = zAlcNode.EdgeItem(0)
'Return type of connected procedural element
If zAlcEdge.Type = 0 Then
MsgBox "Type = tpALCTypeNode"
ElseIf zAlcEdge.Type = 1 Then
MsgBox "Type = tpALCTypeSource"
ElseIf zAlcEdge.Type = 2 Then
MsgBox "Type = tpALCTypeSwitch"
ElseIf zAlcEdge.Type = 3 Then
MsgBox "Type = tpALCTypeSink"
ElseIf zAlcEdge.Type = 4 Then
MsgBox "Type = tpALCTypeTrafo"
ElseIf zAlcEdge.Type = 5 Then
MsgBox "Type = tpALCTypeLink"
End If

'Return number of line elements which are connected to the node
CountElements = UBound(zAlcNode.ElementIDs)
MsgBox "Number of connected line elements = " & CountElements

'Print current states of a node
If (IsEmpty(zAlcNode.LineStates)) Then
Debug.Print "No line state active"
Else
LineStates = zAlcNode.LineStates
For i = 0 To UBound(LineStates)
Debug.Print "State " & i & " = " & LineStates(i)
Next i
End If

'Return link ID if a link (procedural element) is connected to the node
MsgBox "Link ID = " & zAlcNode.LinkID

End Sub

Noch in diesem Kapitel

ALCNode-Properties

ALCNode-Methods


ALCNode-Properties

Manuale -> Scripting -> Objectmodel -> ALCNode -> ALCNode-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | EdgeCount | Returns the number of edges connected to this node. | read only | read only | yes | yes
VARIANT | ElementIDs | Returns the IDs of the elements the Node is connected with. | read only | read only | yes | yes
VARIANT | ElementRefs | Returns the reference names of the elements the Node is connected with. | not used | available | yes | yes
VARIANT | LineStates | Returns the all line states at this node. | not used | read only | yes | yes
long | LinkID | Returns the ID of the linked Source. | read only | read only | yes | yes
VARIANT | Pictures | Returns the names of the pictures the Node is in. | read only | read only | yes | yes

Noch in diesem Kapitel

EdgeCount

LineStates

LinkID

Pictures

ElementIDs

ElementRefs


EdgeCount

Manuale -> Scripting -> Objectmodel -> ALCNode -> ALCNode-Properties -> EdgeCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of procedural devices which are connected to the node.

Datatype

EdgeCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


LineStates

Manuale -> Scripting -> Objectmodel -> ALCNode -> ALCNode-Properties -> LineStates

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a set of ALC states which are currently active in runtime. These states are a declared in the zenOn project settings at the "Automatic Line Coloring" property.

Datatype

LineStates() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


LinkID

Manuale -> Scripting -> Objectmodel -> ALCNode -> ALCNode-Properties -> LinkID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of a projected link (procedural element) which is available for this node.

Datatype

LinkID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Pictures

Manuale -> Scripting -> Objectmodel -> ALCNode -> ALCNode-Properties -> Pictures

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a set of pictures where the line elements of the node are projected. This is helpful when links (procedural elements) are projected and so one node is extracted over many pictures.

Datatype

Pictures() As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementIDs

Manuale -> Scripting -> Objectmodel -> ALCNode -> ALCNode-Properties -> ElementIDs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a set of IDs of the line elements which are connected to the node.

Datatype

ElementIDs() As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementRefs

Manuale -> Scripting -> Objectmodel -> ALCNode -> ALCNode-Properties -> ElementRefs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRefs() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ALCNode-Methods

Manuale -> Scripting -> Objectmodel -> ALCNode -> ALCNode-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IALCEdge | EdgeItem | Returns the ALC edge at the given index. | available | available | yes | yes

Noch in diesem Kapitel

EdgeItem


EdgeItem

Manuale -> Scripting -> Objectmodel -> ALCNode -> ALCNode-Methods -> EdgeItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an object from type "ALCEdge". You have the opportunity to get one of the procedural elements which are connected to the node.

Datatype

EdgeItem(long lIndex) As ALCEdge

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Select one of the connected procedural elements. With the "EdgeCount" property you see how many elements are connected (counting starts at 0).

VBA

lIndex As Long

Examples

VBA

Sub EdgeItem()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcNode As ALCNode 'Child object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = thisProject.ALCEngine
'Get the first line element of the project
Set zAlcNode = zAlcEngine.NodeItem(0)

'Return the number of procedural devices which are connected to the node
MsgBox "Number of connected procedural elements = " & zAlcNode.EdgeCount
'Return one of the connected procedural elements
Set zAlcEdge = zAlcNode.EdgeItem(0)
'Return type of connected procedural element
If zAlcEdge.Type = 0 Then
MsgBox "Type = tpALCTypeNode"
ElseIf zAlcEdge.Type = 1 Then
MsgBox "Type = tpALCTypeSource"
ElseIf zAlcEdge.Type = 2 Then
MsgBox "Type = tpALCTypeSwitch"
ElseIf zAlcEdge.Type = 3 Then
MsgBox "Type = tpALCTypeSink"
ElseIf zAlcEdge.Type = 4 Then
MsgBox "Type = tpALCTypeTrafo"
ElseIf zAlcEdge.Type = 5 Then
MsgBox "Type = tpALCTypeLink"
End If

End Sub


Application

Manuale -> Scripting -> Objectmodel -> Application

Remarks

Includes the whole application of the control system. This is the only object in the hierarchy, that can be used by the internal function GetObject of Visual Basic. You can only use GetObject, if the Runtime of the control system is already running.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/* NOTE:

* Uses Reference System.Windows.Forms to display messages via System.Windows.Forms.MessageBox

* Make sure the reference is added and the namespace is included for the working code file

*/

public void MacroGetProjects()

{

//Use a string builder to generate a list of gathered information

StringBuilder buildResult = new StringBuilder();

buildResult.AppendLine(string.Format("Active Project: {0}", this.ActiveDocument.Name));

buildResult.AppendLine("Projects in Workspace:");

//Iterate through every single project and add its name to the string builder

for(int i = 0; i < Application.Projects().Count; ++i)

{

zenOn.IProject zenonProject = Application.Projects().Item(i);

if (zenonProject != null)

buildResult.AppendLine(zenonProject.Name);

}

MessageBox.Show(buildResult.ToString(), "GetProjects", MessageBoxButtons.OK);

}

VB.NET

' NOTE:

' * Uses Reference System.Windows.Forms to display messages via System.Windows.Forms.MessageBox

' * Make sure the reference is added and the namespace is included for the working code file

'

Public Sub MacroGetProjects()

'Use a string builder to generate a list of gathered information

Dim buildResult As New StringBuilder()

buildResult.AppendLine(String.Format("Active Project: {0}", Me.ActiveDocument.Name))

buildResult.AppendLine("Projects in Workspace:")

'Iterate through every single project and add its name to the string builder

For i As Integer = 0 To Application.Projects().Count - 1

Dim zenonProject As zenOn.IProject = Application.Projects().Item(i)

If zenonProject IsNot Nothing Then

buildResult.AppendLine(zenonProject.Name)

End If

Next

MessageBox.Show(buildResult.ToString(), "GetProjects", MessageBoxButtons.OK)

End Sub

VBA

Public Sub GetProjects()
Dim strResult As String
Dim zPROJECT As Project
Dim i As Integer

'get active project...
strResult = "Active Project: " & MyWorkspace.ActiveDocument.Name & vbCrLf & vbCrLf
'get projects in workspace...
strResult = strResult & "Projects in Workspace:" & vbCrLf
For i = 0 To ApplicationED.Projects.Count - 1
Set zPROJECT = ApplicationED.Projects.Item(i)
If Not zPROJECT Is Nothing Then
strResult = strResult & zPROJECT.Name & vbCrLf
End If
Next i
'Show Result in a Messagebox
MsgBox strResult, vbInformation, "GetProjects"
End Sub

Noch in diesem Kapitel

Application-Properties

Application-Methods

Application-Events


Application-Properties

Manuale -> Scripting -> Objectmodel -> Application -> Application-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Computer |  | available | available | yes | yes
VARIANT_BOOL | Enabled |  | available | available | yes | yes
VARIANT_BOOL | Hide |  | available | available | yes | yes
OLE_HANDLE | hWnd |  | available | available | yes | yes
VARIANT_BOOL | IsElementWizard | For internal use only | not used | not used | yes | yes
IZenWorkspace | MyWorkspace | Returns the ZenWorkspace object (Editor Only). | read only | not used | yes | yes
BSTR | Name |  | available | available | yes | yes
BSTR | Path |  | available | available | yes | yes
long | RunState | Returns the Application run state. | read only | read only | yes | yes
BSTR | Version |  | available | available | yes | yes
long | VersionNumber | Returns the Application version. | read only | read only | yes | yes
VARIANT | WizardResult | For internal use only | not used | not used | yes | yes

Noch in diesem Kapitel

Hide

Path

hWnd

Enabled

Name

Version

VersionNumber

Computer

RunState

WizardResult

IsElementWizard

MyWorkspace


Hide

Manuale -> Scripting -> Objectmodel -> Application -> Application-Properties -> Hide

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns/sets the visibility of the main window. If the value is True, the main window is hidden. With the value False the main window is shown again.The sample listed below accesses the object Application of the control system from an external application and hides/shows the main window depending of the status.

Datatype

Hide() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOnHide()
Dim obZenOn As zenOn.Application
'Get existing Object (zenOn Runtime)
Set obZenOn = GetObject(, "zenOn.Application")
If (obZenOn Is Nothing) Then
MsgBox "zenOn Runtime not running"
Exit Sub
End If
'Hide/Show Application...
obZenOn.Hide = Not m_obZenOn.Hide
End Sub


Path

Manuale -> Scripting -> Objectmodel -> Application -> Application-Properties -> Path

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the path from which the application was started. The name of the application is added to the path.For Example:C:\Program Files\COPA-DATA\zenOn620\zenrt32.exe

Datatype

Path() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


hWnd

Manuale -> Scripting -> Objectmodel -> Application -> Application-Properties -> hWnd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the handle of the main window of the application. The handle mostly is needed for API calls, e.g. to send messages to the window.

Datatype

hWnd() As OLE_HANDLE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Enabled

Manuale -> Scripting -> Objectmodel -> Application -> Application-Properties -> Enabled

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sets the visibility of the application main window. This property can be read as well as written. If the value is set to False, the window is deactivated. Thus online operation, e.g. switching pictures in the Runtime, is prevented.As a default the value is set to True. In this case online operation is possible.The example listed below accesses the object Application of the control system from an external application and de/activates the main window depending of the status.

Datatype

Enabled() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOnEnable()
Dim obZenOn As zenOn.Application
'Get existing Object (zenOn Runtime)
Set obZenOn = GetObject(, "zenOn.Application")
If (obZenOn Is Nothing) Then
MsgBox "zenOn Runtime not active"
Exit Sub
End If
'Enable/Disable Main Window...
obZenOn.Enabled = Not obZenOn.Enabled
End Sub


Name

Manuale -> Scripting -> Objectmodel -> Application -> Application-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the name of the application.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Version

Manuale -> Scripting -> Objectmodel -> Application -> Application-Properties -> Version

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the version of the application.

Datatype

Version() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


VersionNumber

Manuale -> Scripting -> Objectmodel -> Application -> Application-Properties -> VersionNumber

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VersionNumber() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Computer

Manuale -> Scripting -> Objectmodel -> Application -> Application-Properties -> Computer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the name of the computer on which the Runtime is running.

Datatype

Computer() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RunState

Manuale -> Scripting -> Objectmodel -> Application -> Application-Properties -> RunState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RunState() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


WizardResult

Manuale -> Scripting -> Objectmodel -> Application -> Application-Properties -> WizardResult

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

WizardResult() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


IsElementWizard

Manuale -> Scripting -> Objectmodel -> Application -> Application-Properties -> IsElementWizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsElementWizard() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


MyWorkspace

Manuale -> Scripting -> Objectmodel -> Application -> Application-Properties -> MyWorkspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Workspace object.

Datatype

MyWorkspace() As ZenWorkspace

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Application-Methods

Manuale -> Scripting -> Objectmodel -> Application -> Application-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Activate | - | available | available | yes | yes
void | Close | - | available | available | yes | yes
void | DebugPrint | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
void | MDIChild | For internal use only | not used | not used | yes | yes
void | Modeless | For internal use only | available | available | yes | yes
void | PrepareModeless | For internal use only | available | available | yes | yes
IProjects | Projects | - | available | available | yes | yes
BSTR | zenOnPath [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Projects

Close

Activate

PrepareModeless

Modeless

MDIChild

zenOnPath [GET]

DebugPrint


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> Application -> Application-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> Application -> Application-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

VBA

bsPath As String


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> Application -> Application-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetActive"

VBA

bsPath As String

Examples

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> Application -> Application-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetActive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VBA

bsPath As String

vValue As Variant


Projects

Manuale -> Scripting -> Objectmodel -> Application -> Application-Methods -> Projects

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the collection of projects loaded in the Runtime (object Application). With this projectlist the loaded projects can be accessed. The collection Projects can be accessed directly or it can be stored in a temporary variable.Each project is offered as Project object in VBA (IProject in VSTA).

Datatype

Projects() As Projects

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//Iterate through all projects and create the runtime files

public void MacroCreateAllRuntimeFiles()

{

for (int i = 0; i < Application.Projects().Count; ++i)

{

zenOn.IProject zenonProject = Application.Projects().Item(i);

try

{

//tpAll re-creates every single runtime file in the project

zenonProject.Build(zenOn.tpBuildMethod.tpAll);

}

catch (Exception ex)

{

this.Parent.DebugPrint(string.Format("Error while creating project {0} | Error Message: {1}",

zenonProject.Name, ex.Message), zenOn.tpDebugPrintStyle.tpErr);

throw;

}

}

}

VB.NET

'Iterate through all projects and create the runtime files

Public Sub MacroCreateAllRuntimeFiles()

For i As Integer = 0 To Application.Projects().Count - 1

Dim zenonProject As zenOn.IProject = Application.Projects().Item(i)

Try

'tpAll re-creates every single runtime file in the project

zenonProject.Build(zenOn.tpBuildMethod.tpAll)

Catch ex As Exception

Me.Parent.DebugPrint(String.Format("Error while creating project {0} | Error Message: {1}", zenonProject.Name, ex.Message), zenOn.tpDebugPrintStyle.tpErr)

Throw

End Try

Next

End Sub

VBA

'create all runtime files for all projects in the workspace...
Public Sub CreateAllRuntimeFiles()
Dim i As Integer
On Error Resume Next
For i = 0 To ApplicationED.Projects.Count - 1
ApplicationED.Projects.Item(i).Build tpAll
Next i
End Sub


Close

Manuale -> Scripting -> Objectmodel -> Application -> Application-Methods -> Close

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Closes the application.

Datatype

Close() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//This Macro will simply close the zenon application

public void MacroCloseApplication()

{

Application.Close();

}

VB.NET

'This Macro will simply close the zenon application

Public Sub MacroCloseApplication()

Application.Close()

End Sub


Activate

Manuale -> Scripting -> Objectmodel -> Application -> Application-Methods -> Activate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method switches the main window of the application to the foreground (if this is not already the case).

Datatype

Activate() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/* NOTE:

* Uses Reference System.Windows.Forms to display messages via System.Windows.Forms.MessageBox

* Make sure the reference is added and the namespace is included for the working code file

*/

void ThisProject_Active()

{

this.Alarm().AlarmComes += new AlarmComesEventHandler(ThisProject_AlarmComes);

}

void ThisProject_AlarmComes(IAlarmItem obItem)

{

//this.Parent.Parent is the actual Application object. for further details check the

//class diagram for the zenOn API object model

this.Parent.Parent.Activate();

}

void ThisProject_Inactive()

{

this.Alarm().AlarmComes -= new AlarmComesEventHandler(ThisProject_AlarmComes);

FreeObjects();

}

VB.NET

' NOTE:

' * Uses Reference System.Windows.Forms to display messages via System.Windows.Forms.MessageBox

' * Make sure the reference is added and the namespace is included for the working code file

'

Private Sub ThisProject_Active()

Me.Alarm().AlarmComes += New AlarmComesEventHandler(AddressOf ThisProject_AlarmComes)

End Sub

Private Sub ThisProject_AlarmComes(obItem As IAlarmItem)

'this.Parent.Parent is the actual Application object. for further details check the

'class diagram for the zenOn API object model

Me.Parent.Parent.Activate()

End Sub

Private Sub ThisProject_Inactive()

Me.Alarm().AlarmComes -= New AlarmComesEventHandler(AddressOf ThisProject_AlarmComes)

FreeObjects()

End Sub


PrepareModeless

Manuale -> Scripting -> Objectmodel -> Application -> Application-Methods -> PrepareModeless

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method is part of the zenOn API only for compatability reasons. It serves no purpose at all and will instantly return.

Datatype

PrepareModeless(String strFormName, VARIANT strProjectName) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Modeless

Manuale -> Scripting -> Objectmodel -> Application -> Application-Methods -> Modeless

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method is part of the zenOn API only for compatability reasons. It serves no purpose at all and will instantly return.

Datatype

Modeless(IDispatch dispUserForm) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


MDIChild

Manuale -> Scripting -> Objectmodel -> Application -> Application-Methods -> MDIChild

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method is part of the zenOn API only for compatability reasons. It serves no purpose at all and will instantly return.

Datatype

MDIChild(IDispatch dispUserForm) As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


zenOnPath [GET]

Manuale -> Scripting -> Objectmodel -> Application -> Application-Methods -> zenOnPath [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

zenOnPath(tpZenPathType lPath) As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Number or Constant

VBA

lPath As tpZenPathType

Examples

C#

public void MacroOpenZenonFolder()

{

//Gets the (user) path of the zenOn application

string folder = this.Application.get_zenOnPath(tpZenPathType.tpzenOnUserPath);

//Opens the folder in a new explorer window or prints an error.

try

{

System.Diagnostics.Process.Start(folder);

}

catch (Exception ex)

{

this.Application.DebugPrint("Error opening user path: " + ex.Message, tpDebugPrintStyle.tpErr);

}

}

VB.NET

Public Sub MacroOpenZenonFolder()

'Gets the (user) path of the zenOn application

Dim folder As String = Me.Application.get_zenOnPath(tpZenPathType.tpzenOnUserPath)

'Opens the folder in a new explorer window or prints an error.

Try

System.Diagnostics.Process.Start(folder)

Catch ex As Exception

Me.Application.DebugPrint("Error opening user path: " + ex.Message, tpDebugPrintStyle.tpErr)

End Try

End Sub


DebugPrint

Manuale -> Scripting -> Objectmodel -> Application -> Application-Methods -> DebugPrint

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sends a message to the output window of the editor.

Datatype

DebugPrint(String bsText,tpDebugPrintStyle tpStyle) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroDebugPrintExample()

{

//Use different channels of the debug output to print some text

this.Application.DebugPrint("this is a normal text", tpDebugPrintStyle.tpNrm);

this.Application.DebugPrint("this is a warning", tpDebugPrintStyle.tpWarn);

this.Application.DebugPrint("this is an informative text", tpDebugPrintStyle.tpMsg);

this.Application.DebugPrint("this is an error", tpDebugPrintStyle.tpErr);

}

VB.NET

Public Sub MacroDebugPrintExample()

'Use different channels of the debug output to print some text

Me.Application.DebugPrint("this is a normal text", tpDebugPrintStyle.tpNrm)

Me.Application.DebugPrint("this is a warning", tpDebugPrintStyle.tpWarn)

Me.Application.DebugPrint("this is an informative text", tpDebugPrintStyle.tpMsg)

Me.Application.DebugPrint("this is an error", tpDebugPrintStyle.tpErr)

End Sub


Application-Events

Manuale -> Scripting -> Objectmodel -> Application -> Application-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | OnClose |  | available | available | yes | yes

Noch in diesem Kapitel

OnClose


OnClose

Manuale -> Scripting -> Objectmodel -> Application -> Application-Events -> OnClose

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnClose() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/* NOTE:

* Uses Reference System.Windows.Forms to display messages via System.Windows.Forms.MessageBox

* Make sure the reference is added and the namespace is included for the working code file

*/

void ThisProject_Active()

{

this.Parent.Parent.OnClose += new OnCloseEventHandler(Parent_OnClose);

}

void Parent_OnClose()

{

//When the runtime is about to be closed a message box will be displayed.

MessageBox.Show("The application is about to be closed!");

}

void ThisProject_Inactive()

{

this.Parent.Parent.OnClose -= new OnCloseEventHandler(Parent_OnClose);

FreeObjects();

}

VB.NET

Imports System.Windows.Forms 'NOTE: The reference System.Windows.Forms has to be included into the reference list.

Private Sub ThisProject_Active()

AddHandler Me.Parent.OnClose, AddressOf Parent_OnClose

End Sub

Private Sub Parent_OnClose()

'When the runtime is about to be closed a message box will be displayed.

MessageBox.Show("The application is about to be closed!")

End Sub

Private Sub ThisProject_Inactive()

RemoveHandler Me.Parent.OnClose, AddressOf Parent_OnClose

FreeObjects()

End Sub


Archive

Manuale -> Scripting -> Objectmodel -> Archive

Remarks

The "Archive" object contains project information like the name, the source archive and other properties. The archive also is the basis for "ArchiveVariables" and "ArchiveFilters".The "ArchiveVariables" object contains all archive variables. Each archive variable contains further projecting information.With the "ArchiveFilters" object you can define and execute dynamic filters. In a filter you can define the variables from which you need the values. Additionally you can define the time period and the status. On executing the filter you get a list with all Runtime variables for that filter.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroZenOnArchive()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

//There is an archive, output some details on it

this.Parent.Parent.DebugPrint("Name: " + zenonArchive.Name, tpDebugPrintStyle.tpMsg);

this.Parent.Parent.DebugPrint("Type: " + zenonArchive.Type.ToString(), tpDebugPrintStyle.tpMsg);

this.Parent.Parent.DebugPrint("Term: " + zenonArchive.LongName,tpDebugPrintStyle.tpMsg);

this.Parent.Parent.DebugPrint("ID: " + zenonArchive.ID, tpDebugPrintStyle.tpMsg);

}

VB.NET

Public Sub MacroZenOnArchive()

'Gets the first archive of the project

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

'There is an archive, output some details on it

Me.Parent.Parent.DebugPrint("Name: " + zenonArchive.Name, tpDebugPrintStyle.tpMsg)

Me.Parent.Parent.DebugPrint("Type: " & zenonArchive.Type.ToString(), tpDebugPrintStyle.tpMsg)

Me.Parent.Parent.DebugPrint("Term: " + zenonArchive.LongName, tpDebugPrintStyle.tpMsg)

Me.Parent.Parent.DebugPrint("ID: " + zenonArchive.ID, tpDebugPrintStyle.tpMsg)

End Sub

VBA

Sub zenOn_Archive()
'Declarations
Dim zArchive As Archive

'Initialize zArchive with the first available archive
Set zArchive = thisProject.Archives.Item(0)

'If no archive is available ...
If zArchive Is Nothing Then
'... then inform the user
MsgBox ("No archive available!")

'Otherwise, output some details on the archive
Else
'Output the name
Debug.Print "Name: " & zArchive.Name
'Output the type
Select Case zArchive.Type
Case Is = 1
Debug.Print vbTab & "Type: Cyclic scanning"
'Output the cycle rate, if the archive is cyclic
Debug.Print vbTab & "Cycle rate: " & zArchive.Cycle
Case Is = 2
Debug.Print vbTab & "Type: Event-triggered scanning"
Case Is = 3
Debug.Print vbTab & "Type: Spontaneous scanning"
End Select

'Output the term
Debug.Print vbTab & "Term: " & zArchive.LongName
'Output the ID
Debug.Print vbTab & "ID: " & zArchive.ID
End If
End Sub

Noch in diesem Kapitel

Archive-Properties

Archive-Methods


Archive-Properties

Manuale -> Scripting -> Objectmodel -> Archive -> Archive-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | Two-character unique short identifier of the archive; Relevant for automatic issuing of names with export functions; (CAUTION: Release of the other input fields occurs only after input of the short identifier) | not used | read only | yes | yes
long | Cycle | Reading in of the values is done cyclically by the system (days, hours, minutes and seconds) | not used | read only | yes | yes
long | ID |  | not used | read only | yes | yes
BSTR | Identifier | Returns the archive identifier. | not used | read only | yes | yes
BSTR | LongName | For internal use only | not used | read only | yes | yes
IArchives | Parent |  | not used | read only | yes | yes
short | Type |  | not used | read only | yes | yes

Noch in diesem Kapitel

Parent

ID

Name

Type

Cycle

LongName

Identifier


Parent

Manuale -> Scripting -> Objectmodel -> Archive -> Archive-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Archives

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Scripting -> Objectmodel -> Archive -> Archive-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID of the current archive.

Datatype

ID() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> Archive -> Archive-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the current "Archive" object.

Datatype

Name() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Scripting -> Objectmodel -> Archive -> Archive-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Cycle

Manuale -> Scripting -> Objectmodel -> Archive -> Archive-Properties -> Cycle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the cycle rate of the current archive in seconds.Hint: In the case of an event-triggered or spontaneous scanning archive, this property will return 0.

Datatype

Cycle() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


LongName

Manuale -> Scripting -> Objectmodel -> Archive -> Archive-Properties -> LongName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the identificator, also called "term" within zenOn, of the current archive.

Datatype

LongName() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Identifier

Manuale -> Scripting -> Objectmodel -> Archive -> Archive-Properties -> Identifier

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the identificator, also called "term" within zenOn, of the current archive.

Datatype

Identifier() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Archive-Methods

Manuale -> Scripting -> Objectmodel -> Archive -> Archive-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime
IArchiveFilters | ArchiveFilters | - | not used | available
IArchiveVariables | ArchiveVariables | - | not used | available
VARIANT | BatchIndex [GET] | Returns the batchinformation of the archive. | not used | read only
void | DynProperties [PUT] | - | available | available
VARIANT | DynProperties [GET] | - | available | available
VARIANT | DynPropertiesEnum [GET] | - | read only | read only
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used

Noch in diesem Kapitel

BatchIndex [GET]

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

ArchiveFilters

ArchiveVariables


BatchIndex [GET]

Manuale -> Scripting -> Objectmodel -> Archive -> Archive-Methods -> BatchIndex [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the index of the archive.

Datatype

BatchIndex() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> Archive -> Archive-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> Archive -> Archive-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> Archive -> Archive-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetActive"

VBA

bsPath As String

Examples

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> Archive -> Archive-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetActive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VBA

bsPath As String

vValue As Variant


ArchiveFilters

Manuale -> Scripting -> Objectmodel -> Archive -> Archive-Methods -> ArchiveFilters

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a collection ("ArchiveFilters" object) of all available filters. It is also possible to create new filters and delete existing ones.Hint: For further information, please have a look at the "ArchiveFilters" part.

Datatype

ArchiveFilters() As ArchiveFilters

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ArchiveVariables

Manuale -> Scripting -> Objectmodel -> Archive -> Archive-Methods -> ArchiveVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a collection ("ArchiveVariables" object) with all assigned archive variables.Hint: For further information, please have a look, at the "ArchiveVariables" part.

Datatype

ArchiveVariables() As ArchiveVariables

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ArchiveED

Manuale -> Scripting -> Objectmodel -> ArchiveED

Remarks

The "ArchiveED" object contains project information like the name, the source archive and other properties.It is used within the editor in order to initialize the archive. Hence, the object won't be available in the runtime. In the "Archive" object, which will be available in the runtime, some properties will be set to read-only. Therefore all important initialization should be done by means of the "ArchiveED" object.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroZenOnArchiveEd()

{

IArchiveED zenonArchiveEd = this.ActiveDocument.ArchivesED().Item("01");

/* if there is no such archive available create it with

* the given identification name "01" and the name

* "zenon_ArchiveED"

*/

if (zenonArchiveEd == null)

{

zenonArchiveEd = this.ActiveDocument.ArchivesED().

CreateArchive("01", "zenOn_ArchiveED", null);

}

//Create some settings for the Archive

zenonArchiveEd.set_DynProperties("Cyclic", 1);

zenonArchiveEd.set_DynProperties("TimeGap", 5);

zenonArchiveEd.set_DynProperties("Offset", 0);

zenonArchiveEd.set_DynProperties("Cycle", 60);

//Set the Cycle Start to 12:00 local time on the 30th of July 2007

zenonArchiveEd.set_DynProperties("CycleStart",

TimeConversion.SystemToZenOn(

new DateTime(2007, 07, 30, 12, 0, 0)));

zenonArchiveEd.AddVariable("WIZ_VAR_12", tpArvVarCal.tpCalc_All, null);

//Output the new configuration (To Debug, for example)

this.Parent.

DebugPrint("Name: " +

zenonArchiveEd.get_DynProperties("ShortName") + " - "

+ zenonArchiveEd.get_DynProperties("LongName"),

tpDebugPrintStyle.tpNrm);

this.Parent.DebugPrint("Cyclic: " +

zenonArchiveEd.get_DynProperties("Cyclic"),

tpDebugPrintStyle.tpNrm);

this.Parent.DebugPrint("Scanning cycle: " +

zenonArchiveEd.get_DynProperties("TimeGap"),

tpDebugPrintStyle.tpNrm);

this.Parent.DebugPrint("Offset: "

+ zenonArchiveEd.get_DynProperties("Offset") + " sec",

tpDebugPrintStyle.tpNrm);

this.Parent.DebugPrint("Save Cycle: " +

zenonArchiveEd.get_DynProperties("Cycle"),

tpDebugPrintStyle.tpNrm);

//We have to reconvert the internally used time stamp format to a human readable format

this.Parent.DebugPrint("Cycle start: " +

TimeConversion.ZenOnToSystem((uint)zenonArchiveEd.get_DynProperties("CycleStart")).ToString(),

tpDebugPrintStyle.tpNrm);

}

VB.NET

Public Sub MacroZenOnArchiveEd()

Dim zenonArchiveEd As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

' if there is no such archive available create it with

' * the given identification name "01" and the name

' * "zenon_ArchiveED"

'

If zenonArchiveEd Is Nothing Then

zenonArchiveEd = Me.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", Nothing)

End If

'Create some settings for the Archive

zenonArchiveEd.set_DynProperties("Cyclic", 1)

zenonArchiveEd.set_DynProperties("TimeGap", 5)

zenonArchiveEd.set_DynProperties("Offset", 0)

zenonArchiveEd.set_DynProperties("Cycle", 60)

'Set the Cycle Start to 12:00 local time on the 30th of July 2007

zenonArchiveEd.set_DynProperties("CycleStart", TimeConversion.SystemToZenOn(New DateTime(2007, 7, 30, 12, 0, 0)))

zenonArchiveEd.AddVariable("WIZ_VAR_12", tpArvVarCal.tpCalc_All, Nothing)

'Output the new configuration (To Debug, for example)

Me.Parent.DebugPrint("Name: " & zenonArchiveEd.get_DynProperties("ShortName") & " - " & zenonArchiveEd.get_DynProperties("LongName"), tpDebugPrintStyle.tpNrm)

Me.Parent.DebugPrint("Cyclic: " & zenonArchiveEd.get_DynProperties("Cyclic"), tpDebugPrintStyle.tpNrm)

Me.Parent.DebugPrint("Scanning cycle: " & zenonArchiveEd.get_DynProperties("TimeGap"), tpDebugPrintStyle.tpNrm)

Me.Parent.DebugPrint("Offset: " & zenonArchiveEd.get_DynProperties("Offset") & " sec", tpDebugPrintStyle.tpNrm)

Me.Parent.DebugPrint("Save Cycle: " & zenonArchiveEd.get_DynProperties("Cycle"), tpDebugPrintStyle.tpNrm)

'We have to reconvert the internally used time stamp format to a human readable format

Me.Parent.DebugPrint("Cycle start: " & TimeConversion.ZenOnToSystem(CUInt(zenonArchiveEd.get_DynProperties("CycleStart"))).ToString(), tpDebugPrintStyle.tpNrm)

End Sub

VBA

Sub zenOn_ArchiveED()
'Declarations
Dim zArchiveED As ArchiveED
Dim zTimeConvert As clsTimeConvert
Dim i As Integer

'Initialize zArchiveED with the archive selected by the identification name "01"
Set zArchiveED = MyWorkspace.ActiveDocument.ArchivesED.Item("01")
'If no such archive is available ...
If zArchiveED Is Nothing Then
'... then create a whole new archive with the identification name "01" and the name "zenOn_ArchiveED"
Set zArchiveED = MyWorkspace.ActiveDocument.ArchivesED.CreateArchive("01", "zenOn_ArchiveED", Nothing)
End If

'Initialize zTimeConvert by creating a new instance of the zenOn "clsTimeConvert" macro
Set zTimeConvert = New clsTimeConvert

With zArchiveED
'Set the scanning mode: Cyclic scanning
.DynProperties("Cyclic") = 1
'Set the scanning cycle rate: 5 seconds
.DynProperties("TimeGap") = 5
'Set the offset: 0 seconds
.DynProperties("Offset") = 0
'Set the saving cycle: 60 seconds
.DynProperties("Cycle") = 60
'Set the start time of the cycle: 2007-07-30 12:00:00
.DynProperties("CycleStart") = zTimeConvert.System2zenOn(CDbl(CDate("30.07.2007 12:00:00")))
'Add the "WIZ_VAR_12" variable to the archive
.AddVariable "WIZ_VAR_12", 0, Nothing
End With

'Output the configuration
With zArchiveED
'Output the identifier and the name
Debug.Print "Name: " & .DynProperties("ShortName") & " - " & .DynProperties("LongName")
'Output the scanning mode
Debug.Print vbTab & "Cyclic: " & .DynProperties("Cyclic")
'Output the scanning cycle
Debug.Print vbTab & "Scanning cycle: " & .DynProperties("TimeGap") & " sec."
'Output the offset
Debug.Print vbTab & "Offset: " & .DynProperties("Offset") & " sec."
'Output the archive saving cycle
Debug.Print vbTab & "Save cycle: " & .DynProperties("Cycle") & " sec."
'Output the start time of the cycle
Debug.Print vbTab & "Cycle start: " & Format(zTimeConvert.zenOn2System(CDbl(.DynProperties("CycleStart"))), "yyyy-mm-dd hh:mm:ss")
End With

End Sub

Noch in diesem Kapitel

ArchiveED-Properties

ArchiveED-Methods

ArchiveED-Dynamic properties


ArchiveED-Properties

Manuale -> Scripting -> Objectmodel -> ArchiveED -> ArchiveED-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchivesED | Parent |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent


Parent

Manuale -> Scripting -> Objectmodel -> ArchiveED -> ArchiveED-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchivesED

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ArchiveED-Methods

Manuale -> Scripting -> Objectmodel -> ArchiveED -> ArchiveED-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IArchiveVarED | Item | - | available | not used | yes | yes
VARIANT_BOOL | RemoveVariable | - | available | not used | yes | yes
IArchiveVarED | AddVariable | - | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
short | ImportArvTemplate |  | available | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

AddVariable

RemoveVariable

Item

Count

ImportArvTemplate


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> ArchiveED -> ArchiveED-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> ArchiveED -> ArchiveED-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> ArchiveED -> ArchiveED-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> ArchiveED -> ArchiveED-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AddVariable

Manuale -> Scripting -> Objectmodel -> ArchiveED -> ArchiveED-Methods -> AddVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Adds a new Variable to the collection. The varialbe is identified by its name or ID.

Datatype

AddVariable(VARIANT vNameOrId, tpArvVarCal tpCalculation, IArchiveED* pSourceArchive) As ArchiveVarED

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroAddVariableArchiveED()

{

IArchiveED zenonArchiveED = this.ActiveDocument.ArchivesED().Item("01");

if (zenonArchiveED == null)

{

/* if there is no such archive available create it with

* the given identification name "01" and the name

* "zenon_ArchiveED"

*/

zenonArchiveED = this.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", null);

}

/* Add a variable to a given ArchiveED object

* Set the calculation type to All

* Set the source Archive to NULL

*/

IArchiveVarED zenonArchVar = zenonArchiveED.AddVariable("WIZ_VAR_12", tpArvVarCal.tpCalc_All, null);

if (zenonArchiveED == null)

{

//The variable "WIZ_VAR_12" is non-existant

this.Parent.DebugPrint("Variable not found!", tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroAddVariableArchiveED()

Dim zenonArchiveED As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

If zenonArchiveED Is Nothing Then

' if there is no such archive available create it with

' * the given identification name "01" and the name

' * "zenon_ArchiveED"

'

zenonArchiveED = Me.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", Nothing)

End If

' Add a variable to a given ArchiveED object

' * Set the calculation type to All

' * Set the source Archive to NULL

'

Dim zenonArchVar As IArchiveVarED = zenonArchiveED.AddVariable("WIZ_VAR_12", tpArvVarCal.tpCalc_All, Nothing)

If zenonArchiveED Is Nothing Then

'The variable "WIZ_VAR_12" is non-existant

Me.Parent.DebugPrint("Variable not found!", tpDebugPrintStyle.tpMsg)

End If

End Sub


RemoveVariable

Manuale -> Scripting -> Objectmodel -> ArchiveED -> ArchiveED-Methods -> RemoveVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Removes an assigned "Variable" object from the collection. The variable is identified by its name or ID.

Datatype

RemoveVariable(VARIANT vNameOrId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroRemoveVariableArchiveED()

{

IArchiveED zenonArchiveED = this.ActiveDocument.ArchivesED().Item("01");

if (zenonArchiveED == null)

{

/* if there is no such archive available create it with

* the given identification name "01" and the name

* "zenon_ArchiveED"

*/

zenonArchiveED = this.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", null);

}

if (zenonArchiveED.RemoveVariable("WIZ_VAR_12"))

{

//The variable was removed correctly

this.Parent.DebugPrint("Variable removed from archive!", tpDebugPrintStyle.tpMsg);

}

else

{

//The variable was not removed correctly i.e. not found

this.Parent.DebugPrint("Variable was not found!", tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroRemoveVariableArchiveED()

Dim zenonArchiveED As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

If zenonArchiveED Is Nothing Then

' if there is no such archive available create it with

' * the given identification name "01" and the name

' * "zenon_ArchiveED"

'

zenonArchiveED = Me.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", Nothing)

End If

If zenonArchiveED.RemoveVariable("WIZ_VAR_12") Then

'The variable was removed correctly

Me.Parent.DebugPrint("Variable removed from archive!", tpDebugPrintStyle.tpMsg)

Else

'The variable was not removed correctly i.e. not found

Me.Parent.DebugPrint("Variable was not found!", tpDebugPrintStyle.tpMsg)

End If

End Sub


Item

Manuale -> Scripting -> Objectmodel -> ArchiveED -> ArchiveED-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveVarED" object from the collection, which is identified by the parameter vNameOrPos.The parameter vNameOrPos can have two values:

  • Element name:The element can be accessed with the unique name of the corresponding "Variable" object that was assigned to the "ArchiveVarED" object.
  • Index:Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveVarED" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveVarED

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroIterateArchiveED()

{

IArchiveED zenonArchiveED = this.ActiveDocument.ArchivesED().Item("01");

if (zenonArchiveED == null)

{

/* if there is no such archive available create it with

* the given identification name "01" and the name

* "zenon_ArchiveED"

*/

zenonArchiveED = this.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", null);

}

//Iterate through all archive variables and print their names

for (int i = 0; i < zenonArchiveED.Count(); ++i)

{

this.Parent.DebugPrint("Variable " + ((IVariable)zenonArchiveED.Item(i).

get_DynProperties("Variable")).Name +

" is in " + zenonArchiveED.get_DynProperties("LongName"), tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroIterateArchiveED()

Dim zenonArchiveED As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

If zenonArchiveED Is Nothing Then

' if there is no such archive available create it with

' * the given identification name "01" and the name

' * "zenon_ArchiveED"

'

zenonArchiveED = Me.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", Nothing)

End If

'Iterate through all archive variables and print their names

For i As Integer = 0 To zenonArchiveED.Count() - 1

Me.Parent.DebugPrint("Variable " + DirectCast(zenonArchiveED.Item(i).get_DynProperties("Variable"), IVariable).Name & " is in " & zenonArchiveED.get_DynProperties("LongName"), tpDebugPrintStyle.tpMsg)

Next

End Sub


Count

Manuale -> Scripting -> Objectmodel -> ArchiveED -> ArchiveED-Methods -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroIterateArchiveED()

{

IArchiveED zenonArchiveED = this.ActiveDocument.ArchivesED().Item("01");

if (zenonArchiveED == null)

{

/* if there is no such archive available create it with

* the given identification name "01" and the name

* "zenon_ArchiveED"

*/

zenonArchiveED = this.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", null);

}

//Iterate through all archive variables and print their names

for (int i = 0; i < zenonArchiveED.Count(); ++i)

{

this.Parent.DebugPrint("Variable " + ((IVariable)zenonArchiveED.Item(i).

get_DynProperties("Variable")).Name +

" is in " + zenonArchiveED.get_DynProperties("LongName"), tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroIterateArchiveED()

Dim zenonArchiveED As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

If zenonArchiveED Is Nothing Then

' if there is no such archive available create it with

' * the given identification name "01" and the name

' * "zenon_ArchiveED"

'

zenonArchiveED = Me.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", Nothing)

End If

'Iterate through all archive variables and print their names

For i As Integer = 0 To zenonArchiveED.Count() - 1

Me.Parent.DebugPrint("Variable " + DirectCast(zenonArchiveED.Item(i).get_DynProperties("Variable"), IVariable).Name & " is in " & zenonArchiveED.get_DynProperties("LongName"), tpDebugPrintStyle.tpMsg)

Next

End Sub


ImportArvTemplate

Manuale -> Scripting -> Objectmodel -> ArchiveED -> ArchiveED-Methods -> ImportArvTemplate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ImportArvTemplate(BSTR FileName) As short

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Private Sub ImportArvTemplate()

Dim obArchsED As ArchivesED

Dim obArchED As ArchiveED

Dim iRet As Integer

Set obArchsED = MyWorkspace.ActiveDocument.ArchivesED

Set obArchED = obArchsED.Item(0)

If Not obArchED Is Nothing Then

iRet = obArchED.ImportArvTemplate("C:\ProgramData\COPA-DATA\zenon711\Templates\Archives\GERMAN\6eeae916-0098-40ab-9dc9-a9ce1dcf4bb5.xml", True)

End If

End Sub


ArchiveED-Dynamic properties

Manuale -> Scripting -> Objectmodel -> ArchiveED -> ArchiveED-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Archive

Noch in diesem Kapitel

Archive


Archive

Manuale -> Scripting -> Objectmodel -> ArchiveED -> ArchiveED-Dynamic properties -> Archive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | ShortName | ShortName | This property gets/sets the identificator of an archive.
VT_BSTR | LongName | LongName | This property gets/sets the name of the archive.
ZT_VARIABLE | ChargeVar | ChargeVar | This property gets/sets the variable which is used as batch variable.
VT_BOOL | IsChargeIdx | IsChargeIdx | "This property gets/sets the ""index batches"" option of an batch archive. "
VT_BSTR | Format | Format | This property gets/sets the format of ASCII/dBase evacuation files.
VT_UI4 | LastIndex | LastIndex |
VT_UI4 | FktStart | FktStart | This property gets/sets the function which is linked as end function via its function ID.
VT_UI4 | FktEnd | FktEnd | This property gets/sets the function which is linked as end function via its function ID.
VT_UI2 | Modus | Modus | This property gets/sets the kind of start and stop of an archive. At start and end of runtime = 3 User defined = 2 RDA block archive = 0
VT_UI4 | CycleStart | CycleStart | This property gets/sets the cycle start time.
VT_UI4 | Cycle | Cycle | This property gets/sets the number of values which are arranged in an archive file. For example: Scan cycle of 1 second and cyclic file creation every 30 seconds sets the cycle property on value 30.
VT_BSTR | DataSource | DataSource | This property gets/sets the database provider string for the sql evacuation of the archives.
VT_BOOL | UseAzureServiceBus | UseAzureServiceBus | Description
VT_BSTR | AzureConnection | AzureConnection | Description
VT_BSTR | SourceShortName | SourceShortName | This property gets the identificatior of the head archive. It is only set when a follow archive is available.
ZT_VARIABLE | EventVar | EventVar | This property gets/sets the trigger variable of an archive.
VT_UI4 | Flags | Flags | "This property gets/sets the ""option"" settings of an archive via a bit coded value."
VT_BOOL | Unicode | Unicode | This property gets/sets the unicode flag when the saving format ASCII is used for archives.
VT_UI8 | StateF | StateF |
VT_UI8 | StateActiveF | StateActiveF |
VT_UI8 | StateFBanned | StateFBanned |
VT_UI8 | StateActiveFBanned | StateActiveFBanned |
VT_UI4 | TimeGap | TimeGap |
VT_UI4 | Offset | Offset | This property gets/sets the offset time (in sec) when cyclic scanning is used.
VT_I1 | Cyclic | Cyclic | "This property gets/sets the scanning settings of an archive. Cyclic scanning, Cycle = 9 Cyclic scanning, Monthly = 13 Event triggered scanning, Internal = 7 Event triggered scanning, External = 15 Spontaneous scanning = 14"
VT_UI4 | BeginTime | BeginTime | Returns the time an archive file is created.
VT_UI4 | FileFormat | FileFormat | "This property gets/sets the kind of archive saving format. Internal database (*.arx), no evacuation = 9 Internal database (*.arx), evacuation in internal format (*.arx) = 2049 Internal database (*.arx), evacuation in SQL database (*.arx) = 1025 Internal database (*.arx), evacuation in XML format (*.xml) = 513 Internal database (*.arx), evacuation in ASCII format (*.txt) = 33 Internal database (*.arx), evacuation in dBase IV format (*.dbf) = 33 dBase IV format (*.dbf), no evacuation = 10 ASCII file (*.txt), no evacuation = 10 XML file (*.xml), no evacuation = 264 "
VT_UI2 | Count | Count | This property gets/sets the number of archive files which are evacuated. For example: Scan cycle of 10 minutes and an evacuation storage time of 2 hours sets the count property on value 6.
VT_BOOL | AuslUnicode | AuslUnicode | This property returns if the archive is evacuated in unicode when the evacuation via ASCII is selected.
ZT_AKZ | SystemModelGroup | Gruppi d'impianto | Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti. Ulteriori informazioni nella guida in linea.


ArchiveFilter

Manuale -> Scripting -> Objectmodel -> ArchiveFilter

Remarks

The "ArchiveFilter" object is used to filter archive entries by a specified date / time and state.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MarcroZenOnArchiveFilter()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

IArchiveFilter zenonArchiveFilter = zenonArchive.ArchiveFilters().CreateArchiveFilter();

for (int i = 0; i < zenonArchive.ArchiveVariables().Count; ++i)

{

//Add every archive variable to the archive filter

zenonArchiveFilter.AddArchiveVariable(zenonArchive.ArchiveVariables().Item(i));

}

//Set the StartTime to 14:00 on the 30th of july 2007

zenonArchiveFilter.StartTime = (int)TimeConversion.

SystemToZenOn(new DateTime(2007, 07, 30, 14, 0, 0));

//Set the EndTime to 11:15 on the 31st of july 2007

zenonArchiveFilter.EndTime = (int)TimeConversion.

SystemToZenOn(new DateTime(2007,07,31,11,15,00));

zenonArchiveFilter.StatusMask = 0x41000; //Check only I-BIT + HWERT

zenonArchiveFilter.StatusBit = 0x41000; //Return data if one of those bit is true or both

//Initiate a filter query

IArchiveFilterVariables zenonArchiveVariables = zenonArchiveFilter.Query();

for (int i = 0; i < zenonArchiveVariables.Count; ++i)

{

this.Parent.Parent.DebugPrint("Variable: " + zenonArchiveVariables.Item(i).ArchiveVariable().Name, tpDebugPrintStyle.tpNrm);

this.Parent.Parent.DebugPrint("I-BIT + HWERT: " + zenonArchiveVariables.Item(i).ArchiveValues().Count, tpDebugPrintStyle.tpNrm);

}

}

VB.NET

Public Sub MarcrozenOnArchiveFilter()

'Gets the first archive of the project

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

Dim zenonArchiveFilter As IArchiveFilter = zenonArchive.ArchiveFilters().CreateArchiveFilter()

For i As Integer = 0 To zenonArchive.ArchiveVariables().Count - 1

'Add every archive variable to the archive filter

zenonArchiveFilter.AddArchiveVariable(zenonArchive.ArchiveVariables().Item(i))

Next

'Set the StartTime to 14:00 on the 30th of july 2007

zenonArchiveFilter.StartTime = CInt(TimeConversion.SystemToZenOn(New DateTime(2007, 7, 30, 14, 0, 0)))

'Set the EndTime to 11:15 on the 31st of july 2007

zenonArchiveFilter.EndTime = CInt(TimeConversion.SystemToZenOn(New DateTime(2007, 7, 31, 11, 15, 0)))

zenonArchiveFilter.StatusMask = &H41000

'Check only I-BIT + HWERT

zenonArchiveFilter.StatusBit = &H41000

'Return data if one of those bit is true or both

'Initiate a filter query

Dim zenonArchiveVariables As IArchiveFilterVariables = zenonArchiveFilter.Query()

For i As Integer = 0 To zenonArchiveVariables.Count - 1

Me.Parent.Parent.DebugPrint("Variable: " + zenonArchiveVariables.Item(i).ArchiveVariable().Name, tpDebugPrintStyle.tpNrm)

Me.Parent.Parent.DebugPrint("I-BIT + HWERT: " + zenonArchiveVariables.Item(i).ArchiveValues().Count, tpDebugPrintStyle.tpNrm)

Next

End Sub

VBA

Sub zenOn_ArchiveFilter()
'Declarations
Dim zArchive As Archive
Dim zArvFilter As ArchiveFilter
Dim zArvVars As ArchiveFilterVariables
Dim zTimeConvert As clsTimeConvert
Dim dTime As Double
Dim i As Integer

'Initialize zArchive with the first available archive
Set zArchive = thisProject.Archives.Item(0)

'If no archive is availabe, then ...
If zArchive Is Nothing Then
'... inform the user
MsgBox ("No archive available!")

Else
'Initialize zArvFilter by creating a new archive filter
Set zArvFilter = zArchive.ArchiveFilters.CreateArchiveFilter

'Every archive variable within the collection...
For i = 0 To zArchive.ArchiveVariables.Count - 1
'... will be added to the archive filter
zArvFilter.AddArchiveVariable zArchive.ArchiveVariables.Item(i)
Next i

'Initialize zTimeConvert by creating a new instance of the zenOn "clsTimeConvert" macro
Set zTimeConvert = New clsTimeConvert

'Set dTime by converting the desired system time into the zenOn compatible UTC time
dTime = zTimeConvert.System2zenOn(CDbl(CDate("30.07.2007 14:00:00")))
'Set the converted time as the start time for the filter
zArvFilter.StartTime = dTime

'Set dTime by converting the desired system time into the zenOn compatible UTC time
dTime = zTimeConvert.System2zenOn(CDbl(CDate("31.07.2007 11:15:00")))
'Set the converted time as the end time for the filter
zArvFilter.EndTime = dTime

'All I-BIT and HWERT bits
zArvFilter.StatusMask = &H41000 'Check only I-BIT + HWERT
zArvFilter.StatusBit = &H41000 'Return data if one of those bits are TRUE or both

'Initialize zArvVars by initiating a new filter query
Set zArvVars = zArvFilter.Query

'For every filtered variable within the result...
For i = 0 To zArvVars.Count - 1
With zArvVars.Item(i)
'... output the name of the variable ...
Debug.Print "Variable: " & .ArchiveVariable.Name
'... and the amount of I-BIT and HWERT bits within the specified time range
Debug.Print vbTab & "I-BIT + HWERT: " & .ArchiveValues.Count & vbNewLine
End With
Next i
End If
End Sub

Noch in diesem Kapitel

ArchiveFilter-Properties

ArchiveFilter-Methods


ArchiveFilter-Properties

Manuale -> Scripting -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | CountArchiveVariables |  | not used | read only | yes | yes
long | EndTime |  | not used | available | yes | yes
IArchiveFilters | Parent |  | not used | read only | yes | yes
long | Raster |  | not used | available | yes | yes
VARIANT_BOOL | ReadOnlyVarsInFilter | Load only in the filter defined variables. | not used | available | yes | yes
long | StartTime |  | not used | available | yes | yes
long | StatusBit |  | not used | available | yes | yes
long | StatusMask |  | not used | available | yes | yes

Noch in diesem Kapitel

StartTime

EndTime

Parent

Raster

StatusMask

StatusBit

CountArchiveVariables

ReadOnlyVarsInFilter


StartTime

Manuale -> Scripting -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Properties -> StartTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the start time of the filter as long.

Every data that is within the range of the "StartTime" and "EndTime" properties, will not be filtered out and therefore returned.

ATTENTION: zenOn uses UTC time internally, hence the desired start time has to be converted from the local time zone into UTC.

Datatype

StartTime() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

The following macro should be used to set the time correctly. Follow the instructions inside the macro header.

C#

/* This utility class can be used to convert zenOn internal time stamps to

* an actual DateTime structure of the .net framework and backwards. Import

* this file into your current solution, i.e. project in the VSTA editor

* and you can use both of the static methods. Make sure the file is in the

* same namespace of your main project file or import it with "using".

*/

using System;

namespace WorkspaceAddin

{

public static class TimeConversion

{

public static DateTime ZenOnToSystem(uint time)

{

return new DateTime(1970, 1, 1).

AddSeconds(time).

ToLocalTime();

}

public static uint SystemToZenOn(DateTime time)

{

return (uint)time.ToUniversalTime().

Subtract(new DateTime(1970, 1, 1)).

TotalSeconds;

}

}

}

VB.NET

' * This utility class can be used to convert zenOn internal time stamps to

' * an actual DateTime structure of the .net framework and backwards. Import

' * this file into your current solution, i.e. project in the VSTA editor

' * and you can use both of the static methods. Make sure the file is in the

' * same namespace of your main project file or import it with "using".

Public NotInheritable Class TimeConversion

Private Sub New()

End Sub

Public Shared Function ZenOnToSystem(time As UInteger) As DateTime

Return New DateTime(1970, 1, 1).AddSeconds(time).ToLocalTime()

End Function

Public Shared Function SystemToZenOn(time As DateTime) As UInteger

Return CUInt(Math.Truncate(time.ToUniversalTime().Subtract(New DateTime(1970, 1, 1)).TotalSeconds))

End Function

End Class

VBA

'##############################################################################
'## Name : clsTimeConvert ##
'## Description: Macro to convert from local time into UTC and vice versa ##
'## ##
'## Instructions ##
'## 1. Copy the macro into a textfile and save it under "clsTimeConvert.cls" ##
'## 2. Import the file into the VBA project ##
'## >> File -> Import file... ##
'## >> Shortcut CTRL + M ##
'## 3. Declare a variable as "clsTimeConvert" within the VBA project ##
'## e.g. Dim zTimeConversion as clsTimeConvert ##
'## 4. Convert from local time into UTC ##
'## e.g. zTimeConvert.System2zenOn(CDbl(CDate("30.07.2007 14:00:00"))) ##
'##############################################################################
Option Explicit
Private Declare Function GetTimeZoneInformation _
Lib "kernel32" (lpTimeZoneInformation As TIME_ZONE_INFORMATION) As Long
Private Type SYSTEMTIME
wYear As Integer
wMonth As Integer
wDayOfWeek As Integer
wDay As Integer
wHour As Integer
wMinute As Integer
wSecond As Integer
wMilliseconds As Integer
End Type
Private Type TIME_ZONE_INFORMATION
Bias As Long
StandardName(1 To 64) As Byte
StandardDate As SYSTEMTIME
StandardBias As Long
DaylightName(1 To 64) As Byte
DaylightDate As SYSTEMTIME
DaylightBias As Long
End Type
Const TIME_ZONE_ID_UNKNOWN = &H0
Const TIME_ZONE_ID_STANDARD = &H1
Const TIME_ZONE_ID_DAYLIGHT = &H2
Dim SommerZeit As Boolean
Dim SommerZeitDate As Date
Dim SommerZeitName$
Dim SommerZeitGMT&
Dim NormalZeitDate As Date
Dim NormalZeitName$
Dim NormalZeitGMT

Public Function zenOn2System(dTime As Double) As Double
'Converts zenOn (GMT) time to system time format...
zenOn2System = (dTime - GetTimeZone) / 86400 + 25569
End Function

Public Function System2zenOn(lTime As Double) As Double
'Converts system time to zenOn time (GMT) format...
System2zenOn = (lTime - 25569) * 86400 + GetTimeZone
End Function

Private Function GetTimeZone() As Long
Dim TZI As TIME_ZONE_INFORMATION
Dim Result&, ErrFlag As Boolean
Result = GetTimeZoneInformation(TZI)
Select Case Result
Case TIME_ZONE_ID_UNKNOWN
SommerZeit = False
Case TIME_ZONE_ID_STANDARD
SommerZeit = False
Case TIME_ZONE_ID_DAYLIGHT
SommerZeit = True
Case Else
Exit Function
End Select
If SommerZeit = True Then
GetTimeZone = (60 * TZI.Bias) + (60 * TZI.DaylightBias)
Else
GetTimeZone = (60 * TZI.Bias) + (60 * TZI.StandardBias)
End If
End Function


EndTime

Manuale -> Scripting -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Properties -> EndTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the end time of the filter.

Every data that is within the range of the "StartTime" and "EndTime" properties, will not be filtered out and therefore returned.

Hint: For further information, please have a look at the StartTime property part.

Datatype

EndTime() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuale -> Scripting -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveFilters

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Raster

Manuale -> Scripting -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Properties -> Raster

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

If the utilized archive type is none cyclic and this property is set to 0, then all archive entries between the start- and the end time will be returned.Otherwise (i.e. "Raster" property set greater than 0 and the archive type is cyclic) not all archive entries will be returned, but beginning with the start time each N-th (N="Raster") entry is returned.<h5>Example:</h5>Cyclic archive with an cylic rate of 15 minutes (900 seconds) &amp;rarr; Entries are recorded every 15 minutes (e.g. 07:45, 08:00, 08:15, ...)"StartTime" is 12:15 and the "Raster" property is set to 3 &amp;rarr; Every third entry is returned (e.g. 12:15, 13:00, 13:45, 14:30, ...)ATTENTION: If the start time doesn't match the archive cyle time then no data entries will be returned.e.g. Archive entries are 12:15, 12:30, 12:45, 13:00, ..."Raster" is set to 3, but "Start-Time" is set to 12:16 &amp;rarr; It would return 12:16, 13:01, 13:46 but archive cycle is lagging one minute behind &amp;rarr; No entries will be returned!

Datatype

Raster() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


StatusMask

Manuale -> Scripting -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Properties -> StatusMask

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StatusMask() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


StatusBit

Manuale -> Scripting -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Properties -> StatusBit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the value of the relevant state bits.

Hint: For further information on state bits, please have a look at the ReaStatusStd part within the "State" object.

'No state bit filtering -> Default

zArvFilter.StatusMask = 0 'Check none of the states

zArvFilter.StatusBit = 0 '"StatusBit" doesn't matter

'All I-BIT bits

zArvFilter.StatusMask = &H40000 'Check only I-BIT

zArvFilter.StatusBit = &H40000 'Return data if I-BIT is TRUE'

All states, except I-BIT bits

zArvFilter.StatusMask = Not &H40000 'Check all states without I-BIT

zArvFilter.StatusBit = &HFFFFFFFF 'Return data if any of the other bits is TRUE

'All I-BIT and HWERT bits

zArvFilter.StatusMask = &H41000 'Check only I-BIT + HWERT

zArvFilter.StatusBit = &H41000 'Return data if one of those bits is TRUE or both

'All states, except I-BIT + HWERT bits

zArvFilter.StatusMask = Not &H41000 'Check all states without I-BIT + HWERT

zArvFilter.StatusBit = &HFFFFFFFF 'Return data if any of the other bits is TRUE

Datatype

StatusBit() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


CountArchiveVariables

Manuale -> Scripting -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Properties -> CountArchiveVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of "ArchiveVariable" objects within the collection.

Datatype

CountArchiveVariables() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ReadOnlyVarsInFilter

Manuale -> Scripting -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Properties -> ReadOnlyVarsInFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReadOnlyVarsInFilter() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ArchiveFilter-Methods

Manuale -> Scripting -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddArchiveVariable | - | not used | available | yes | yes
VARIANT_BOOL | ApplyChanges | - | not used | available | yes | yes
IArchiveFilterVariables | ArchiveFilterVariables | - | not used | available | yes | yes
VARIANT_BOOL | ArchiveFilterVariablesInfo | Return arrays with the information to all the defined variables in the filter. | not used | available | yes | yes
VARIANT_BOOL | ArchiveFilterVariablesInfoEx | Return arrays with the information to all the defined variables in the filter. Works cross-project. | not used | available | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IArchiveVariable | ItemArchiveVariable | - | not used | available | yes | yes
IArchiveFilterVariables | Query | - | not used | available | yes | yes
VARIANT_BOOL | QueryBlock | - | not used | available | yes | yes
VARIANT_BOOL | QueryBlockEx | - | not used | available | yes | yes
VARIANT_BOOL | RemoveArchiveVariable | - | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

RemoveArchiveVariable

AddArchiveVariable

ItemArchiveVariable

Query

ArchiveFilterVariables

ApplyChanges

QueryBlock

ArchiveFilterVariablesInfo

ArchiveFilterVariablesInfoEx

QueryBlockEx


RemoveArchiveVariable

Manuale -> Scripting -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods -> RemoveArchiveVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Removes an "ArchiveVariable" object (which was formerly added to the filter) from the filter. The object is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveVariable" object in the list.

Datatype

RemoveArchiveVariable(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroRemoveAllVariables()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

//Get the first archive filter of the archive

IArchiveFilter zenonArchiveFilter = zenonArchive.ArchiveFilters().Item(0);

if (zenonArchiveFilter == null)

{

//There is no filter, the user will be informed

this.Parent.Parent.DebugPrint("No filter available!", tpDebugPrintStyle.tpErr);

return;

}

//Remove all variables from the filter

while (zenonArchiveFilter.ArchiveFilterVariables().Count > 0)

{

zenonArchiveFilter.RemoveArchiveVariable(0);

}

}

VB.NET

Public Sub MacroRemoveAllVariables()

'Gets the first archive of the project

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

'Get the first archive filter of the archive

Dim zenonArchiveFilter As IArchiveFilter = zenonArchive.ArchiveFilters().Item(0)

If zenonArchiveFilter Is Nothing Then

'There is no filter, the user will be informed

Me.Parent.Parent.DebugPrint("No filter available!", tpDebugPrintStyle.tpErr)

Return

End If

'Remove all variables from the filter

While zenonArchiveFilter.ArchiveFilterVariables().Count > 0

zenonArchiveFilter.RemoveArchiveVariable(0)

End While

End Sub


AddArchiveVariable

Manuale -> Scripting -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods -> AddArchiveVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Adds an existing archive variable ("ArchiveVariable" object) to the filter. Thus, the data of the variable will be returned after the filtering.The following code initiates that all assigned archive variables will be added to the archive filter.

Datatype

AddArchiveVariable(IArchiveVariable ArchiveVariable) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

"ArchiveVariable" object that should be added to the filter.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

ArchiveVariable As ArchiveVariable

Examples

C#

public void MacroAddAllVariables()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

//Create an archive filter and add any available variable to it

IArchiveFilter zenonArchiveFilter = zenonArchive.ArchiveFilters().CreateArchiveFilter();

for (int i = 0; i < zenonArchive.ArchiveVariables().Count; ++i)

{

zenonArchiveFilter.AddArchiveVariable(zenonArchive.ArchiveVariables().Item(i));

}

}

VB.NET

Public Sub MacroAddAllVariables()

'Gets the first archive of the project

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

'Create an archive filter and add any available variable to it

Dim zenonArchiveFilter As IArchiveFilter = zenonArchive.ArchiveFilters().CreateArchiveFilter()

For i As Integer = 0 To zenonArchive.ArchiveVariables().Count - 1

zenonArchiveFilter.AddArchiveVariable(zenonArchive.ArchiveVariables().Item(i))

Next

End Sub

VBA

Sub zenOn_AddArchiveVariable(ByRef zArchive As Archive)
'Declarations
Dim zArFilter As ArchiveFilter
Dim i As Integer

'Initialize zArFilter by creating a new archive filter
Set zArFilter = zArchive.ArchiveFilters.CreateArchiveFilter

'Every archive variable within the collection...
For i = 0 To zArchive.ArchiveVariables.Count - 1
'... will be added to the archive filter
zArFilter.AddArchiveVariable zArchive.ArchiveVariables.Item(i)
'Output the name of the added variable
Debug.Print "Variable """ & zArchive.ArchiveVariables.Item(i).Name & """ added!"
Next i

End Sub


ItemArchiveVariable

Manuale -> Scripting -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods -> ItemArchiveVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveVariable" object (which was formerly added to the filter) from the collection. The object is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveVariable" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found. For further information please have a look at the ArchiveVariable topic itself.

Datatype

ItemArchiveVariable(VARIANT vNameOrPos) As ArchiveVariable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MarcoGetVariablesInArchiveFilter()

{

//At first the archive is created

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

//Get the first available archivefilter

IArchiveFilter filter = zenonArchive.ArchiveFilters().Item(0);

//Iterates through all ArchiveVariable objects

for (int i = 0; i < filter.CountArchiveVariables; ++i)

{

IArchiveVariable zenonFilterVariable =

filter.ItemArchiveVariable(i);

//Do something with the current variable

}

}

VB.NET

Public Sub MarcoGetVariablesInArchiveFilter()

'At first the archive is created

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

'Get the first available archivefilter

Dim filter As IArchiveFilter = zenonArchive.ArchiveFilters().Item(0)

'Iterates through all ArchiveVariable objects

For i As Integer = 0 To filter.CountArchiveVariables - 1

'Do something with the current variable

Dim zenonFilterVariable As IArchiveVariable = filter.ItemArchiveVariable(i)

Next

End Sub

VBA

VBA-Syntax


Query

Manuale -> Scripting -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods -> Query

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Initiates the filtering of the data.Returns an "ArchiveFilterVariables" object, if data matched the filter query. Hence, the returned object will contain the filtered data.Otherwise, this method will return "Nothing", if no data was matched. A full example can be found in the ArchiveFilter main topic: Creating a filter, executing a query and gathering data.

Datatype

Query() As ArchiveFilterVariables

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//For information on how to query a filter have a look at the main topic "ArchiveFilter"

VB.NET

'For information on how to query a filter have a look at the main topic "Archive Filter"

VBA

'For information on how to query a filter have a look at the main topic "Archive Filter"


ArchiveFilterVariables

Manuale -> Scripting -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods -> ArchiveFilterVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveFilterVariables" object, containing a collection of all filtered archive variables. For futher information please have a look at the ArchiveFilterVariables topic.

Datatype

ArchiveFilterVariables() As ArchiveFilterVariables

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ApplyChanges

Manuale -> Scripting -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods -> ApplyChanges

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Apply changes on the filter.

Datatype

ApplyChanges() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


QueryBlock

Manuale -> Scripting -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods -> QueryBlock

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Like the "Query" method, the "QueryBlock" command initiates the filtering of the data.

The difference between these two methods is, that the "QueryBlock" method is dedicated for performance oriented tasks, because the usage of arrays is faster than the approach of the "Query" method with the collections. The drawback of the "QueryBlock" method is the increased complexity of coding.

The "QueryBlock" command requires two parameters:

vPvIDs: A variant variable which will constitute an array containing all IDs of the filtered variables.

vValues: A variant variable which will store an cascaded array designed the following way:

Level: Return type, e.g.

'Declaration
Dim zValues As Variant
'Initiates the filtering
zArvFilter.QueryBlock zPvIDs, zValues
'zValues is the return type, which contains all variables and the corresponding values

Level: Variable, e.g.

'Declaration
Dim vVarTemp As Variant
'Assign the first variable within the cascaded "zValues" array to "vVarTemp"
vVarTemp = zValues(0)

Level: Variable values, e.g.

'Declaration
Dim vValTemp As Variant
'Assign the the third value within the vVarTemp variable to "vValTemp"
vValTemp = vVarTemp(2)
'Alternatively: Third value of the first variable within "zValues"
vValTemp = zValues(0)(2)

Level: Value parameters

vValTemp (0) 'Returns the date and time when the value was recorded
'Hint: The time has to be converted from zenOn internally UTC into local time.
'Use the zenOn "clsTimeConvert" macro to do so.
zValues (0)(2)(0) 'Alternatively

vValTemp (1) 'Returns the milliseconds, in addition to the time, when the value was recorded
zValues (0)(2)(1) 'Alternatively

vValTemp (2) 'Returns the value that was recorded at the specified time and date
zValues (0)(2)(1) 'Alternatively

vValTemp (3) 'Returns the state type, e.g. &H40000 -> I-BIT
zValues (0)(2)(1) 'Alternatively

Datatype

QueryBlock(LPVARIANT vPvIDs,LPVARIANT vValues) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

vValues As Variant

"Variant" variable for the "QueryBlock" method, in order to store a cascaded array which is filled with the filtered variables and the recorded values.
The array is returned by the method, hence the user has only to pass an "Variant" variable.

vPvIDs As Variant

"Variant" variable for the "QueryBlock" method, in order to store an array of IDs of the corresponding filtered archive variables.
The array is returned by the method, hence the user has only to pass an "Variant" variable.

VBA

vValues As Variant

vPvIDs As Variant

Examples

The following example initiates a filtering with the "QueryBlock" command and outputs the details of the filter result.

ATTENTION: The passed "ArchiveFilter" object has to be initialized beforehand, i.e. filter starttime and endtime, etc.

Hint:
In order to output the correct date and time of the filter result, the zenOn "clsTimeConvert" macro should be used.
For the macro code and further information on the macro and the time conversion, please have a look at the StartTime part.

C#

public void zenonArchiveFilterQueryBlock(ref IArchiveFilter zenonArchiveFilter)

{

object zenonPvIds = null;

object zenonValues = null;

zenonArchiveFilter.QueryBlock(ref zenonPvIds, ref zenonValues);

int[] zenonQueriedPvIds = (int[])zenonPvIds;

object[] zenonQueriedValues = (object[])zenonValues;

for (int i = 0; i < zenonQueriedValues.Length; ++i)

{

object[] currentValue = (object[])zenonQueriedValues[i];

for (int j = 0; i < currentValue.Length; ++j)

{

object[] specificValues = (object[])currentValue[j];

System.Diagnostics.Debug.Print("{0}. Value", j + 1);

System.Diagnostics.Debug.Print("Variable Name: {0}", zenonArchiveFilter.

ArchiveFilterVariables().ItemById(zenonQueriedPvIds[i]).

ArchiveVariable().Name);

System.Diagnostics.Debug.Print("Variable ID: {0}", zenonQueriedPvIds[i]);

int time = (int)specificValues[0];

System.Diagnostics.Debug.Print("Time: {0}", TimeConversion.

ZenOnToSystem((uint)time).ToString());

System.Diagnostics.Debug.Print("Milliseconds: {0}", specificValues[1]);

System.Diagnostics.Debug.Print("Value: {0}", specificValues[2]);

System.Diagnostics.Debug.Print("State: 0x{0}", ((int)specificValues[3]).ToString("X"));

}

}

}

VB.NET

Public Sub zenonArchiveFilterQueryBlock(ByRef zenonArchiveFilter As IArchiveFilter)

Dim zenonPvIds As Object = Nothing

Dim zenonValues As Object = Nothing

zenonArchiveFilter.QueryBlock(zenonPvIds, zenonValues)

Dim zenonQueriedPvIds As Integer() = DirectCast(zenonPvIds, Integer())

Dim zenonQueriedValues As Object() = DirectCast(zenonValues, Object())

For i As Integer = 0 To zenonQueriedValues.Length - 1

Dim currentValue As Object() = DirectCast(zenonQueriedValues(i), Object())

Dim j As Integer = 0

While i < currentValue.Length

Dim specificValues As Object() = DirectCast(currentValue(j), Object())

System.Diagnostics.Debug.Print("{0}. Value", j + 1)

System.Diagnostics.Debug.Print("Variable Name: {0}", zenonArchiveFilter.ArchiveFilterVariables().ItemById(zenonQueriedPvIds(i)).ArchiveVariable().Name)

System.Diagnostics.Debug.Print("Variable ID: {0}", zenonQueriedPvIds(i))

Dim time As Integer = CInt(specificValues(0))

System.Diagnostics.Debug.Print("Time: {0}", TimeConversion.ZenOnToSystem(CUInt(time)).ToString())

System.Diagnostics.Debug.Print("Milliseconds: {0}", specificValues(1))

System.Diagnostics.Debug.Print("Value: {0}", specificValues(2))

System.Diagnostics.Debug.Print("State: 0x{0}", CInt(specificValues(3)).ToString("X"))

j += 1

End While

Next

End Sub

VBA

Public Sub zenOn_ArchiveFilter_QueryBlock(ByRef zArvFilter As ArchiveFilter)
'Declarations
Dim zTimeConvert As clsTimeConvert
Dim zPvIDs As Variant
Dim zValues As Variant
Dim i As Integer
Dim j As Integer
Dim vVarTemp As Variant
Dim vValTemp As Variant
Dim nVarCount As Integer
Dim nValCount As Integer

'Initialize zTimeConvert by creating a new instance of the zenOn "clsTimeConvert" macro
Set zTimeConvert = New clsTimeConvert

zArvFilter.QueryBlock zPvIDs, zValues

'Get the number of variables and assign it to "nVarCount"
nVarCount = UBound(zValues, 1)
'For every filtered variable output the recorded values
For i = 0 To nVarCount
'Assign the current variable to "vVarTemp"
vVarTemp = zValues(i)
'Get the number of values within the variable and assign it to "nValCount"
nValCount = UBound(vVarTemp, 1)
'For every value within the filtered variable output the recorded details
For j = 0 To nValCount
'Assign the current value to "vValTemp"
vValTemp = vVarTemp(j)
'Output the count number of the current value
Debug.Print j + 1 & ". Value"
'Output the variable name to which the value belongs
Debug.Print vbTab & "Var-Name: " & zArvFilter.ArchiveFilterVariables.ItemById(zPvIDs(i)).ArchiveVariable.Name
'Output the ID of the variable
Debug.Print vbTab & "Var-ID" & vbTab & ": " & CStr(zPvIDs(i))
'Output the date and time when the value was recorded -> Format: year-month-day hour:minute:second.millisecond
Debug.Print vbTab & "Time" & vbTab & ": " & Format(zTimeConvert.zenOn2System((vValTemp(0))), "yyyy-mm-dd hh:mm:ss") & "." & CStr(vValTemp(1))
'Output the value that was recorded
Debug.Print vbTab & "Value" & vbTab & ": " & CStr(vValTemp(2))
'Output the state of the value
Debug.Print vbTab & "State" & vbTab & ": &H" & Hex(vValTemp(3))
Next j
Next i

End Sub


ArchiveFilterVariablesInfo

Manuale -> Scripting -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods -> ArchiveFilterVariablesInfo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns information on the assigned archive filter variables.Following three parameters have to be passed:

  • Count: Returns the amount of archive filter variables.
  • vIDs: Returns the IDs of the archive filter variables.
  • vNames: Returns the names of the archive filter variables.

Datatype

ArchiveFilterVariablesInfo(long Count, LPVARIANT vIDs, LPVARIANT vNames) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

"Variant" variable passed to the "ArchiveFilterVariablesInfo" method, in order to return the IDs of the archive filter variables.

"Variant" variable passed to the "ArchiveFilterVariablesInfo" method, in order to return the amount of archive filter variables.

"Variant" variable passed to the "ArchiveFilterVariablesInfo" method, in order to return the names of the archive filter variables.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIDs As Variant

Count As Long

vNames As Variant

Examples

C#

public void zenonArchiveFilterArchiveVariablesInfo(ref IArchiveFilter zenonArchiveFilter)

{

int count = 0;

object idsReturn = null;

object namesReturn = null;

zenonArchiveFilter.ArchiveFilterVariablesInfo(ref count, ref idsReturn, ref namesReturn);

int[] ids = (int[])idsReturn;

string[] names = (string[])namesReturn;

for (int i = 0; i < count; ++i)

{

//Print the number of the variable

System.Diagnostics.Debug.Print("{0}. Variable", i + i);

//Print the name of the variable

System.Diagnostics.Debug.Print("Name: {0}", names[i]);

//Print the ID of the variable

System.Diagnostics.Debug.Print("ID: {0}", ids[i]);

}

}

VB.NET

Public Sub zenonArchiveFilterArchiveVariablesInfo(ByRef zenonArchiveFilter As IArchiveFilter)

Dim count As Integer = 0

Dim idsReturn As Object = Nothing

Dim namesReturn As Object = Nothing

zenonArchiveFilter.ArchiveFilterVariablesInfo(count, idsReturn, namesReturn)

Dim ids As Integer() = DirectCast(idsReturn, Integer())

Dim names As String() = DirectCast(namesReturn, String())

For i As Integer = 0 To count - 1

'Print the number of the variable

System.Diagnostics.Debug.Print("{0}. Variable", i + i)

'Print the name of the variable

System.Diagnostics.Debug.Print("Name: {0}", names(i))

'Print the ID of the variable

System.Diagnostics.Debug.Print("ID: {0}", ids(i))

Next

End Sub

VBA

Public Sub zenOn_ArchiveFilter_ArchiveFilterVariablesInfo(ByRef zArvFilter As ArchiveFilter)
'Declarations
Dim zCount As Long
Dim zIDs As Variant
Dim zNames As Variant

'Initiate the information query
zArvFilter.ArchiveFilterVariablesInfo zCount, zIDs, zNames

'For every archive filter variable within the collection...
For i = 0 To zCount - 1
'... output the variable count
Debug.Print i + 1 & ". Variable"
'... output the name
Debug.Print vbTab & "Name: " & zNames(i)
'... output the ID
Debug.Print vbTab & "ID" & vbTab & ": " & zIDs(i)
Next i

End Sub


ArchiveFilterVariablesInfoEx

Manuale -> Scripting -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods -> ArchiveFilterVariablesInfoEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Like the "ArchiveFilterVariablesInfo" method, this command returns information on the assigned archive filter variables.Additionally it will also return information on the project name and the utilized calculation mode, if it is a following archive.Following five parameters have to be passed:

  • Count: Returns the amount of archive filter variables.
  • vIDs: Returns the IDs of the archive filter variables.
  • vNames: Returns the names of the archive filter variables.
  • vProjects: Returns the project name.
  • vCalculations: Returns the calculation mode, if it is a following archive.

Datatype

ArchiveFilterVariablesInfoEx(long Count, LPVARIANT vIDs, LPVARIANT vNames, LPVARIANT vProjects, LPVARIANT vCalculations) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


QueryBlockEx

Manuale -> Scripting -> Objectmodel -> ArchiveFilter -> ArchiveFilter-Methods -> QueryBlockEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Like the "QueryBlock" method, the "QueryBlockEx" command initiates the filtering of the data.

The difference between these two methods is, that the "QuerBlockEx" command will also return the project name and the utilized calculation modes (if it is a following archive) in addition to the "QueryBlock" results.

Hint: For further information, please have a look at the QueryBlock part.

Datatype

QueryBlockEx(LPVARIANT vProjects, LPVARIANT vPvIDs, LPVARIANT vCalculations, LPVARIANT vValues) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

vValues As Variant

"Variant" variable for the "QueryBlockEx" method, in order to store a cascaded array which is filled with the filtered variables and the recorded values.
The array is returned by the method, hence the user has only to pass an "Variant" variable.

vCalculations As Variant

"Variant" variable for the "QueryBlockEx" method, in order to store an array of calculation modes, which were utilized by the recorded values.
The array is returned by the method, hence the user has only to pass an "Variant" variable.
Hint: For further information on calculation modes, please have a look at the Calculation property within the "ArchiveVariable" object.

vPvIDs As Variant

"Variant" variable for the "QueryBlockEx" method, in order to store an array of IDs of the corresponding filtered archive variables.
The array is returned by the method, hence the user has only to pass an "Variant" variable.

vProjects As Variant

"Variant" variable for the "QueryBlockEx" method, in order to store an array of project names, where the filter was applied.
The array is returned by the method, hence the user has only to pass an "Variant" variable.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vValues As Variant

vCalculations As Variant

vPvIDs As Variant

vProjects As Variant

Examples

The following example initiates a filtering with the "QueryBlockEx" command and outputs details on the project name and the utilized calculation modes.

ATTENTION: The passed "ArchiveFilter" object has to be initialized beforehand, i.e. filter starttime and endtime, etc.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_ArchiveFilter_QueryBlockEx(ByRef zArvFilter As ArchiveFilter)
'Declarations
Dim zPvIDs As Variant
Dim zValues As Variant
Dim zProjects As Variant
Dim zCalculations As Variant
Dim i As Integer

'Initiate the filtering
Debug.Print zArvFilter.QueryBlockEx(zProjects, zPvIDs, zCalculations, zValues)

'Output every project name
For i = 0 To UBound(zProjects, 1)
Debug.Print CStr(zProjects(i))
Next i

'Output every calculation mode
For i = 0 To UBound(zCalculations, 1)
Debug.Print CStr(zCalculations(i))
Next i

End Sub


ArchiveFilters

Manuale -> Scripting -> Objectmodel -> ArchiveFilters

Remarks

This collection administers all filter objects.HINT:As a default there are no filters. You can administer any number of filters.With "CreateArchiveFilter" you can create a new filter. On the contrary, you can delete an existing filter with "DeleteArchiveFilter".Like in any other collection you can access an ArchiveFilter object with the "Item" method.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroQueryAllFilters()

{

//Executes a query on all filters currently in the first archive of the project

IArchiveFilters zenonFilters = this.Archives().Item(0).ArchiveFilters();

for (int i = 0; i < zenonFilters.Count; ++i)

{

IArchiveFilter zenonFilter = zenonFilters.Item(i);

if (zenonFilter != null)

zenonFilter.Query();

}

}

VB.NET

Public Sub MacroQueryAllFilters()

'Executes a query on all filters currently in the first archive of the project

Dim zenonFilters As IArchiveFilters = Me.Archives().Item(0).ArchiveFilters()

For i As Integer = 0 To zenonFilters.Count - 1

Dim zenonFilter As IArchiveFilter = zenonFilters.Item(i)

If zenonFilter IsNot Nothing Then

zenonFilter.Query()

End If

Next

End Sub

VBA

Sub zenOn_ArchiveFilters()
'Declarations
Dim zArvFilters As ArchiveFilters
Dim zArvFilter As ArchiveFilter
Dim i As Integer

'Initialize zArvFilters with the archive filter collection of the first available archive
Set zArvFilters = thisProject.Archives.Item(0).ArchiveFilters

'For every archive filter within the collection ...
For i = 0 To zArvFilters.Count - 1
'... assign it to zArvFilter
Set zArvFilter = zArvFilters.Item(i)
'If the filter is available (zArvFilter is not "Nothing")...
If Not (zArvFilter Is Nothing) Then
'... then initiate the filtering
zArvFilter.Query
End If
Next i

End Sub

Noch in diesem Kapitel

ArchiveFilters-Properties

ArchiveFilters-Methods


ArchiveFilters-Properties

Manuale -> Scripting -> Objectmodel -> ArchiveFilters -> ArchiveFilters-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | not used | read only | yes | yes
IArchive | Parent |  | not used | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> ArchiveFilters -> ArchiveFilters-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Archive

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> ArchiveFilters -> ArchiveFilters-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveFilters-Methods

Manuale -> Scripting -> Objectmodel -> ArchiveFilters -> ArchiveFilters-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveFilter | CreateArchiveFilter | - | not used | available | yes | yes
VARIANT_BOOL | DeleteArchiveFilter | - | not used | available | yes | yes
IArchiveFilter | Item | - | available | available | yes | yes

Noch in diesem Kapitel

Item

CreateArchiveFilter

DeleteArchiveFilter


Item

Manuale -> Scripting -> Objectmodel -> ArchiveFilters -> ArchiveFilters-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveFilter" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveFilter" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveFilter

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//For an example on how to iterate through all filters using the Item method have a look at the main topic "ArchiveFilters" or the sub-topic "DeleteArchiveFilter"

VB.NET

'For an example on how to iterate through all filters using the Item method have a look at the main topic "ArchiveFilters" or the sub-topic "DeleteArchiveFilter"

VBA

'For an example on how to iterate through all filters using the Item method have a look at the main topic "ArchiveFilters" or the sub-topic "DeleteArchiveFilter"


CreateArchiveFilter

Manuale -> Scripting -> Objectmodel -> ArchiveFilters -> ArchiveFilters-Methods -> CreateArchiveFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a new "ArchiveFilter" object. Afterwards, the filter is configurable in order to return the required data.

Datatype

CreateArchiveFilter() As ArchiveFilter

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MarcroZenOnArchiveFilter()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

IArchiveFilter zenonArchiveFilter = zenonArchive.ArchiveFilters().CreateArchiveFilter();

for (int i = 0; i < zenonArchive.ArchiveVariables().Count; ++i)

{

//Add every archive variable to the archive filter

zenonArchiveFilter.AddArchiveVariable(zenonArchive.ArchiveVariables().Item(i));

}

//Set the StartTime to 14:00 on the 30th of july 2007

zenonArchiveFilter.StartTime = (int)TimeConversion.

SystemToZenOn(new DateTime(2007, 07, 30, 14, 0, 0));

//Set the EndTime to 11:15 on the 31st of july 2007

zenonArchiveFilter.EndTime = (int)TimeConversion.

SystemToZenOn(new DateTime(2007,07,31,11,15,00));

zenonArchiveFilter.StatusMask = 0x41000; //Check only I-BIT + HWERT

zenonArchiveFilter.StatusBit = 0x41000; //Return data if one of those bit is true or both

//Initiate a filter query

IArchiveFilterVariables zenonArchiveVariables = zenonArchiveFilter.Query();

for (int i = 0; i < zenonArchiveVariables.Count; ++i)

{

this.Parent.Parent.DebugPrint("Variable: " + zenonArchiveVariables.Item(i).ArchiveVariable().Name, tpDebugPrintStyle.tpNrm);

this.Parent.Parent.DebugPrint("I-BIT + HWERT: " + zenonArchiveVariables.Item(i).ArchiveValues().Count, tpDebugPrintStyle.tpNrm);

}

}

VB.NET

public void MarcrozenOnArchiveFilter()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr);

return;

}

IArchiveFilter zenonArchiveFilter = zenonArchive.ArchiveFilters().CreateArchiveFilter();

for (int i = 0; i < zenonArchive.ArchiveVariables().Count; ++i)

{

//Add every archive variable to the archive filter

zenonArchiveFilter.AddArchiveVariable(zenonArchive.ArchiveVariables().Item(i));

}

//Set the StartTime to 14:00 on the 30th of july 2007

zenonArchiveFilter.StartTime = (int)TimeConversion.

SystemToZenOn(new DateTime(2007, 07, 30, 14, 0, 0));

//Set the EndTime to 11:15 on the 31st of july 2007

zenonArchiveFilter.EndTime = (int)TimeConversion.

SystemToZenOn(new DateTime(2007,07,31,11,15,00));

zenonArchiveFilter.StatusMask = 0x41000; //Check only I-BIT + HWERT

zenonArchiveFilter.StatusBit = 0x41000; //Return data if one of those bit is true or both

//Initiate a filter query

IArchiveFilterVariables zenonArchiveVariables = zenonArchiveFilter.Query();

for (int i = 0; i < zenonArchiveVariables.Count; ++i)

{

this.Parent.Parent.DebugPrint("Variable: " + zenonArchiveVariables.Item(i).ArchiveVariable().Name, tpDebugPrintStyle.tpNrm);

this.Parent.Parent.DebugPrint("I-BIT + HWERT: " + zenonArchiveVariables.Item(i).ArchiveValues().Count, tpDebugPrintStyle.tpNrm);

}

}

VBA

VBA-Syntax


DeleteArchiveFilter

Manuale -> Scripting -> Objectmodel -> ArchiveFilters -> ArchiveFilters-Methods -> DeleteArchiveFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method removes an existing filter ("ArchiveFilter" object) from the collection.Subsequently, the filter won't be available any more. Trying to access it, will return an incorrect filter or a segmentation fault.

Datatype

DeleteArchiveFilter(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDeleteAllFilters()

{

//Deletes all filters on the first archive of the project

IArchiveFilters zenonFilters = this.Archives().Item(0).ArchiveFilters();

for (int i = 0; i < zenonFilters.Count; ++i)

{

zenonFilters.DeleteArchiveFilter(i);

}

}

VB.NET

Public Sub MacroDeleteAllFilters()

'Deletes all filters on the first archive of the project

Dim zenonFilters As IArchiveFilters = Me.Archives().Item(0).ArchiveFilters()

For i As Integer = 0 To zenonFilters.Count - 1

zenonFilters.DeleteArchiveFilter(i)

Next

End Sub

VBA

VBA-Syntax


ArchiveFilterVariable

Manuale -> Scripting -> Objectmodel -> ArchiveFilterVariable

Remarks

The "ArchiveFilterVariable" object contains the filtered archive variable for the "ArchiveFilter" object.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//This method gathers some information on a variable in the passed IArchiveFilter object.

//The information is then sent to the standard debug output of the zenOn editor.

public void ZenOnArchiveFilterVariable(ref IArchiveFilter zenonArchiveFilter)

{

//Get the first available filtered variable

IArchiveFilterVariable zenonArchiveFilterVariable = zenonArchiveFilter.ArchiveFilterVariables().Item(0);

if (zenonArchiveFilterVariable == null)

{

//If there is no variable available, inform the user

//NOTE: The variable will not be available if there was no filter query executed

this.Parent.Parent.DebugPrint("No filtered archive variable available!", tpDebugPrintStyle.tpNrm);

return;

}

//And if there is, output some details

this.Parent.Parent.DebugPrint("Variable: " +

zenonArchiveFilterVariable.ArchiveVariable().Name, tpDebugPrintStyle.tpNrm);

for (int i = 0; i < zenonArchiveFilterVariable.ArchiveValues().Count; ++i)

{

this.Parent.Parent.DebugPrint((i + 1) + ". Value: " +

zenonArchiveFilterVariable.ArchiveValues().Item(i).Value, tpDebugPrintStyle.tpNrm);

}

}

VB.NET

'This method gathers some information on a variable in the passed IArchiveFilter object.

'The information is then sent to the standard debug output of the zenOn editor.

Public Sub ZenOnArchiveFilterVariable(ByRef zenonArchiveFilter As IArchiveFilter)

'Get the first available filtered variable

Dim zenonArchiveFilterVariable__1 As IArchiveFilterVariable = zenonArchiveFilter.ArchiveFilterVariables().Item(0)

If zenonArchiveFilterVariable__1 Is Nothing Then

'If there is no variable available, inform the user

Me.Parent.Parent.DebugPrint("No filtered archive variable available!", tpDebugPrintStyle.tpNrm)

Return

End If

'And if there is, output some details

Me.Parent.Parent.DebugPrint("Variable: " + zenonArchiveFilterVariable__1.ArchiveVariable().Name, tpDebugPrintStyle.tpNrm)

For i As Integer = 0 To zenonArchiveFilterVariable__1.ArchiveValues().Count - 1

Me.Parent.Parent.DebugPrint(((i + 1) & ". Value: ") + zenonArchiveFilterVariable__1.ArchiveValues().Item(i).Value, tpDebugPrintStyle.tpNrm)

Next

End Sub

VBA

Sub zenOn_ArchiveFilterVariable(ByRef zArvFilter As ArchiveFilter)
'Declarations
Dim zArvFilterVar As ArchiveFilterVariable
Dim i As Integer

'Initialize zArvFilterVar with the first available filtered archive variable
Set zArvFilterVar = zArvFilter.ArchiveFilterVariables.Item(0)

'If no filtered archive variable is available ...
'HINT: Filtered archive variables are only availabe after a archive filter query was initiated
If zArvFilterVar Is Nothing Then
'... then inform the user
MsgBox ("No filtered archive variable available!")

'Otherwise, output some details
Else
'Output the variable name
Debug.Print "Variable: " & zArvFilterVar.ArchiveVariable.Name

With zArvFilterVar.ArchiveValues
'For every archive value within "zArvFilterVar" ...
For i = 0 To .Count - 1
'... output the recorded value
Debug.Print vbTab & i + 1 & ".Value: " & .Item(i).Value
Next i
End With
End If
End Sub

Noch in diesem Kapitel

ArchiveFilterVariable-Properties

ArchiveFilterVariable-Methods


ArchiveFilterVariable-Properties

Manuale -> Scripting -> Objectmodel -> ArchiveFilterVariable -> ArchiveFilterVariable-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveFilterVariables | Parent |  | not used | read only | yes | yes

Noch in diesem Kapitel

Parent


Parent

Manuale -> Scripting -> Objectmodel -> ArchiveFilterVariable -> ArchiveFilterVariable-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveFilterVariables

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveFilterVariable-Methods

Manuale -> Scripting -> Objectmodel -> ArchiveFilterVariable -> ArchiveFilterVariable-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveValues | ArchiveValues | - | not used | available | yes | yes
VARIANT | ArchiveValuesBlock | - | not used | read only | yes | yes
IArchiveVariable | ArchiveVariable | - | not used | available | yes | yes

Noch in diesem Kapitel

ArchiveVariable

ArchiveValues

ArchiveValuesBlock


ArchiveVariable

Manuale -> Scripting -> Objectmodel -> ArchiveFilterVariable -> ArchiveFilterVariable-Methods -> ArchiveVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveVarible" object, which constitutes the assigned archive variable. For further information, please have a look at the "ArchiveVariable" part.

Datatype

ArchiveVariable() As ArchiveVariable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveValues

Manuale -> Scripting -> Objectmodel -> ArchiveFilterVariable -> ArchiveFilterVariable-Methods -> ArchiveValues

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveValues" object, which contains a collection of all "ArchiveValue" objects assigned to this filtered archive variable. For further information, please have a look at the "ArchiveValues" part.

Datatype

ArchiveValues() As ArchiveValues

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveValuesBlock

Manuale -> Scripting -> Objectmodel -> ArchiveFilterVariable -> ArchiveFilterVariable-Methods -> ArchiveValuesBlock

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an array of values for the actual ArchiveFilterVariable object.This works only when a query has already been executed.

Datatype

ArchiveValuesBlock() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveFilterVariables

Manuale -> Scripting -> Objectmodel -> ArchiveFilterVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveFilterVariables" object, containing a collection of the filtered archive variables.This object is utilized by the "ArchiveFilter" object, in order to access the collection of "ArchiveFilterVariable" objects.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//This method gathers some information on a variable in the passed IArchiveFilter object.

//The information is then sent to the standard debug output of the zenOn editor.

public void ZenOnArchiveFilterVariable(ref IArchiveFilter zenonArchiveFilter)

{

//Get the first available filtered variable

IArchiveFilterVariable zenonArchiveFilterVariable = zenonArchiveFilter.ArchiveFilterVariables().Item(0);

if (zenonArchiveFilterVariable == null)

{

//If there is no variable available, inform the user

this.Parent.Parent.DebugPrint("No filtered archive variable available!", tpDebugPrintStyle.tpNrm);

return;

}

//And if there is, output some details

this.Parent.Parent.DebugPrint("Variable: " +

zenonArchiveFilterVariable.ArchiveVariable().Name, tpDebugPrintStyle.tpNrm);

for (int i = 0; i < zenonArchiveFilterVariable.ArchiveValues().Count; ++i)

{

this.Parent.Parent.DebugPrint((i + 1) + ". Value: " +

zenonArchiveFilterVariable.ArchiveValues().Item(i).Value, tpDebugPrintStyle.tpNrm);

}

}

VB.NET

'This method gathers some information on a variable in the passed IArchiveFilter object.

'The information is then sent to the standard debug output of the zenOn editor.

Public Sub ZenOnArchiveFilterVariable(ByRef zenonArchiveFilter As IArchiveFilter)

'Get the first available filtered variable

Dim zenonArchiveFilterVariable__1 As IArchiveFilterVariable = zenonArchiveFilter.ArchiveFilterVariables().Item(0)

If zenonArchiveFilterVariable__1 Is Nothing Then

'If there is no variable available, inform the user

Me.Parent.Parent.DebugPrint("No filtered archive variable available!", tpDebugPrintStyle.tpNrm)

Return

End If

'And if there is, output some details

Me.Parent.Parent.DebugPrint("Variable: " + zenonArchiveFilterVariable__1.ArchiveVariable().Name, tpDebugPrintStyle.tpNrm)

For i As Integer = 0 To zenonArchiveFilterVariable__1.ArchiveValues().Count - 1

Me.Parent.Parent.DebugPrint(((i + 1) & ". Value: ") + zenonArchiveFilterVariable__1.ArchiveValues().Item(i).Value, tpDebugPrintStyle.tpNrm)

Next

End Sub

VBA

Sub zenOn_ArchiveFilterVariables(ByRef zArvFilter As ArchiveFilter)
'Declarations
Dim zArvFilterVars As ArchiveFilterVariables
Dim i As Integer

'Initialize zArvFilterVars with the filtered archive variable collection of the current archive
Set zArvFilterVars = zArvFilter.ArchiveFilterVariables

'If no filtered archive variables are available ...
'HINT: Filtered archive variables are only availabe after a archive filter query was initiated
If zArvFilterVars Is Nothing Then
'... then inform the user
MsgBox ("No filtered archive variables available!")

'Otherwise:
Else
'For every filtered archive variable ...
For i = 0 To zArvFilterVars.Count - 1
'... output the name
Debug.Print i + 1 & ". Variable: " & zArvFilterVars.Item(i).ArchiveVariable.Name
Next i
End If
End Sub

Noch in diesem Kapitel

ArchiveFilterVariables-Properties

ArchiveFilterVariables-Methods


ArchiveFilterVariables-Properties

Manuale -> Scripting -> Objectmodel -> ArchiveFilterVariables -> ArchiveFilterVariables-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | not used | read only | yes | yes
IArchiveFilter | Parent |  | not used | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> ArchiveFilterVariables -> ArchiveFilterVariables-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveFilter

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> ArchiveFilterVariables -> ArchiveFilterVariables-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveFilterVariables-Methods

Manuale -> Scripting -> Objectmodel -> ArchiveFilterVariables -> ArchiveFilterVariables-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveFilterVariable | Item | - | available | not used | yes | yes
IArchiveFilterVariable | ItemById | - | not used | available | yes | yes
IArchiveFilterVariable | ItemByIdEx | - | not used | read only | yes | yes

Noch in diesem Kapitel

Item

ItemById

ItemByIdEx


Item

Manuale -> Scripting -> Objectmodel -> ArchiveFilterVariables -> ArchiveFilterVariables-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveFilterVariable" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveFilterVariable" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveFilterVariable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemById

Manuale -> Scripting -> Objectmodel -> ArchiveFilterVariables -> ArchiveFilterVariables-Methods -> ItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveFilterVariable" object from the collection specified by its internal uniqe ID, which is identified by the parameter vVariableId.Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

ItemById(VARIANT vVariableId) As ArchiveFilterVariable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemByIdEx

Manuale -> Scripting -> Objectmodel -> ArchiveFilterVariables -> ArchiveFilterVariables-Methods -> ItemByIdEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object of type ArchiveFilterVariable.

Datatype

ItemByIdEx(VARIANT vVariableId, VARIANT vProjectName, VARIANT vCalculation) As ArchiveFilterVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Uniqe PvID of linked zenOn Variable

Type of claculation as long
Calculation Types

Projectname as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vVariableId As Variant

vCalculation As Variant

vProjectName As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetArchiveFilterVariable(zArvFilter As ArchiveFilter)
Dim zVariable As Variable
Dim zFilterVar As ArchiveFilterVariable
'get variable object to read the PvID!
Set zVariable = thisProject.Variables.Item("WIZ_VAR_10")
'get the filtervariable with SUM calculation
Set zFilterVar = zArvFilter.ArchiveFilterVariables.ItemByIdEx(zVariable.PvID, thisProject.Name, 1)
End Sub


Archives

Manuale -> Scripting -> Objectmodel -> Archives

Remarks

The object is a collection of all existing archives.With the property "Parent" you come to the parent of the object. The parent of the Archives object is a Project. In the Project most of the modules are anchored.With the property "Item" you can search for an archive. As search criteria you can enter the position of the archive in the list or the name.With the property "Count" you find out the number of elements in the list. With a loop you then can iterate through all elements and e.g display them.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//The Macro lists any Archive in the current project and prints its name

//as well as the names of any contained variable

public void MacroZenOnArchives()

{

IProject zenonProject = this.Project;

IArchives zenonArchives = zenonProject.Archives();

for (int i = 0; i < zenonArchives.Count; ++i)

{

this.Parent.Parent.DebugPrint(i + ". Archive: " + zenonArchives.Item(i).Name,

tpDebugPrintStyle.tpMsg);

}

}

public void zenOnArchiveVariables(ref IArchiveVariables zenonArchiveVariables)

{

for (int i = 0; i < zenonArchiveVariables.Count; ++i)

{

this.Parent.Parent.DebugPrint(i + zenonArchiveVariables.Item(i).Name,

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

'The Macro lists any Archive in the current project and prints its name

'as well as the names of any contained variable

Public Sub MacroZenOnArchives()

Dim zenonProject As IProject = Me.Project

Dim zenonArchives As IArchives = zenonProject.Archives()

For i As Integer = 0 To zenonArchives.Count - 1

Me.Parent.Parent.DebugPrint((i & ". Archive: ") + zenonArchives.Item(i).Name, tpDebugPrintStyle.tpMsg)

Next

End Sub

Public Sub zenOnArchiveVariables(ByRef zenonArchiveVariables__1 As IArchiveVariables)

For i As Integer = 0 To zenonArchiveVariables__1.Count - 1

Me.Parent.Parent.DebugPrint(i + zenonArchiveVariables__1.Item(i).Name, tpDebugPrintStyle.tpMsg)

Next

End Sub

VBA

Sub zenOn_Archives()
'Declarations
Dim zProject As Project
Dim zArchives As Archives
Dim i As Integer

'Initialize zProject with the current project
Set zProject = thisProject
'Initialize zArchives with the current "Archive" object collection
Set zArchives = zProject.Archives

'For every "Archive" object within the collection...
For i = 0 To zArchives.Count - 1
'... output the name ...
Debug.Print i + 1 & ". Archive: " & zArchives.Item(i).Name
'... and the name of the included variables
Call zenOn_ArchiveVariables(zArchives.Item(i).ArchiveVariables)
Next i

End Sub

Sub zenOn_ArchiveVariables(ByRef zArchiveVars As ArchiveVariables)
'Declarations
Dim i As Integer

'For every "ArchiveVariable" object within the collection...
For i = 0 To zArchiveVars.Count - 1
'... output the name of the variable
Debug.Print vbTab & i + 1 & ". Var: " & zArchiveVars.Item(i).Name
Next i

End Sub

Noch in diesem Kapitel

Archives-Properties

Archives-Methods


Archives-Properties

Manuale -> Scripting -> Objectmodel -> Archives -> Archives-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | not used | read only | yes | yes
IProject | Parent |  | not used | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> Archives -> Archives-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> Archives -> Archives-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Archives-Methods

Manuale -> Scripting -> Objectmodel -> Archives -> Archives-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchive | Item | - | available | not used | yes | yes

Noch in diesem Kapitel

Item


Item

Manuale -> Scripting -> Objectmodel -> Archives -> Archives-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "Archive" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "Archive" object in the list.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As Archive

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//The Macro lists any Archive in the current project and prints its name

//as well as the names of any contained variable

public void MacroZenOnArchives()

{

IProject zenonProject = this.Project;

IArchives zenonArchives = zenonProject.Archives();

for (int i = 0; i < zenonArchives.Count; ++i)

{

this.Parent.Parent.DebugPrint(i + ". Archive: " + zenonArchives.Item(i).Name,

tpDebugPrintStyle.tpMsg);

}

}

public void zenOnArchiveVariables(ref IArchiveVariables zenonArchiveVariables)

{

for (int i = 0; i < zenonArchiveVariables.Count; ++i)

{

this.Parent.Parent.DebugPrint(i + zenonArchiveVariables.Item(i).Name,

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchivesED

Manuale -> Scripting -> Objectmodel -> ArchivesED

Remarks

The "ArchivesED" object manages the collection of "ArchiveED" objects.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroArchivesED()

{

IArchivesED zenonArchivesED = this.ActiveDocument.ArchivesED();

//For each archiveED in the project, output identification name and name

for (int i = 0; i < zenonArchivesED.Count; ++i)

{

this.Parent.DebugPrint(zenonArchivesED.Item(i).get_DynProperties("ShortName") +

" - " + zenonArchivesED.Item(i).get_DynProperties("LongName"),

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroArchivesED()

Dim zenonArchivesED As IArchivesED = Me.ActiveDocument.ArchivesED()

'For each archiveED in the project, output identification name and name

For i As Integer = 0 To zenonArchivesED.Count - 1

Me.Parent.DebugPrint(zenonArchivesED.Item(i).get_DynProperties("ShortName") & " - " & zenonArchivesED.Item(i).get_DynProperties("LongName"), tpDebugPrintStyle.tpMsg)

Next

End Sub

VBA

Sub zenOn_ArchivesED()
'Declarations
Dim zArchivesED As ArchivesED
Dim i As Integer

'Initialize zArchivesED with the archives of the current editor project
Set zArchivesED = MyWorkspace.ActiveDocument.ArchivesED

'For every archive within the collection ...
For i = 0 To zArchivesED.Count - 1
With zArchivesED.Item(i)
'... output the identifier and the name
Debug.Print .DynProperties("ShortName") & " - " & .DynProperties("LongName")
End With
Next i

End Sub

Noch in diesem Kapitel

ArchivesED-Properties

ArchivesED-Methods


ArchivesED-Properties

Manuale -> Scripting -> Objectmodel -> ArchivesED -> ArchivesED-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | not used | yes | yes
IProject | Parent |  | read only | not used | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> ArchivesED -> ArchivesED-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> ArchivesED -> ArchivesED-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


ArchivesED-Methods

Manuale -> Scripting -> Objectmodel -> ArchivesED -> ArchivesED-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IArchiveED | CreateArchive | - |  | available | not used | yes | yes
VARIANT_BOOL | DelArchive | - |  | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IArchiveED | Item | - |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes

Noch in diesem Kapitel

Item

CreateArchive

DelArchive

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent

SingleExport

Export

Import


Item

Manuale -> Scripting -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveED" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique identification name (ShortName).
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveED" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveED

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroArchivesED()

{

IArchivesED zenonArchivesED = this.ActiveDocument.ArchivesED();

//For each archiveED in the project, output identification name and name

for (int i = 0; i < zenonArchivesED.Count; ++i)

{

this.Parent.DebugPrint(zenonArchivesED.Item(i).get_DynProperties("ShortName") +

" - " + zenonArchivesED.Item(i).get_DynProperties("LongName"),

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroArchivesED()

Dim zenonArchivesED As IArchivesED = Me.ActiveDocument.ArchivesED()

'For each archiveED in the project, output identification name and name

For i As Integer = 0 To zenonArchivesED.Count - 1

Me.Parent.DebugPrint(zenonArchivesED.Item(i).get_DynProperties("ShortName") & " - " & zenonArchivesED.Item(i).get_DynProperties("LongName"), tpDebugPrintStyle.tpMsg)

Next

End Sub

VBA

VBA-Syntax


CreateArchive

Manuale -> Scripting -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> CreateArchive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new archive ("ArchiveED" object) by its term, the name and optionally the source archive, if the new archive should be the following archive of the specified one.

Datatype

CreateArchive(String bstrShortName, String bstrLongName, IArchiveED pSourceArchive) As ArchiveED

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroCreateArchive()

{

IArchiveED zenonArchiveED = this.ActiveDocument.ArchivesED().Item("01");

if (zenonArchiveED == null)

{

/* if there is no such archive available create it with

* the given identification name "01" and the name

* "zenon_ArchiveED"

*/

zenonArchiveED = this.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", null);

}

}

VB.NET

Public Sub MacroCreateArchive()

Dim zenonArchiveED As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

If zenonArchiveED Is Nothing Then

' if there is no such archive available create it with

' * the given identification name "01" and the name

' * "zenon_ArchiveED"

'

zenonArchiveED = Me.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", Nothing)

End If

End Sub

VBA

VBA-Syntax


DelArchive

Manuale -> Scripting -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> DelArchive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Delete an existing archive ("ArchiveED" object) by its name.

Datatype

DelArchive(String bstrShortName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

VBA-Syntax

Examples

C#

public void MacroDelArchive()

{

IArchiveED zenonArchiveED = this.ActiveDocument.ArchivesED().Item("01");

if (zenonArchiveED != null)

{

//If there is an archive of given criteria - delete it

this.ActiveDocument.ArchivesED().DelArchive("01");

}

}

VB.NET

Public Sub MacroDelArchive()

Dim zenonArchiveED As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

If zenonArchiveED IsNot Nothing Then

'If there is an archive of given criteria - delete it

Me.ActiveDocument.ArchivesED().DelArchive("01")

End If

End Sub

VBA

VBA-Syntax


Get

Manuale -> Scripting -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

VBA-Syntax

Examples

C#

public void MacroGetArchive()

{

//NOTE: This will not be functional in a non-multiuser project

this.ActiveDocument.ArchivesED().Get();

//The Archive is now up to date and can be used

}

VB.NET

Public Sub MacroGetArchive()

'NOTE: This will not be functional in a non-multiuser project

Me.ActiveDocument.ArchivesED().[Get]()

'The Archive is now up to date and can be used

End Sub

VBA

VBA-Syntax


CheckOut

Manuale -> Scripting -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

/* In case of a multiuser project you need to checkout your ArchiveEd object

* before editing it and you have to check it in again as soon as you're done.

* To do soyou can use the provided methods CheckIn and CheckOut of the ArchiveED

* object.

*/

public void MacroServerArchiveEd()

{

IArchivesED zenonArchives = this.ActiveDocument.ArchivesED();

if (!zenonArchives.CheckOut())

{

//Some error occured, the user will be informed

this.Parent.DebugPrint("Error while checking out archives",

tpDebugPrintStyle.tpErr);

}

//Do something with the archives in the collection object

//Code...

zenonArchives.CheckIn();

}

VB.NET

' In case of a multiuser project you need to checkout your ArchiveEd object

' * before editing it and you have to check it in again as soon as you're done.

' * To do soyou can use the provided methods CheckIn and CheckOut of the ArchiveED

' * object.

'

Public Sub MacroServerArchiveEd()

Dim zenonArchives As IArchivesED = Me.ActiveDocument.ArchivesED()

If Not zenonArchives.CheckOut() Then

'Some error occured, the user will be informed

Me.Parent.DebugPrint("Error while checking out archives", tpDebugPrintStyle.tpErr)

End If

'Do something with the archives in the collection object

'Code...

zenonArchives.CheckIn()

End Sub

VBA

VBA-Syntax


CheckIn

Manuale -> Scripting -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

/* In case of a multiuser project you need to checkout your ArchiveEd object

* before editing it and you have to check it in again as soon as you're done.

* To do soyou can use the provided methods CheckIn and CheckOut of the ArchiveED

* object.

*/

public void MacroServerArchiveEd()

{

IArchivesED zenonArchives = this.ActiveDocument.ArchivesED();

if (!zenonArchives.CheckOut())

{

//Some error occured, the user will be informed

this.Parent.DebugPrint("Error while checking out archives",

tpDebugPrintStyle.tpErr);

}

//Do something with the archives in the collection object

//Code...

zenonArchives.CheckIn();

}

VB.NET

' In case of a multiuser project you need to checkout your ArchiveEd object

' * before editing it and you have to check it in again as soon as you're done.

' * To do soyou can use the provided methods CheckIn and CheckOut of the ArchiveED

' * object.

'

Public Sub MacroServerArchiveEd()

Dim zenonArchives As IArchivesED = Me.ActiveDocument.ArchivesED()

If Not zenonArchives.CheckOut() Then

'Some error occured, the user will be informed

Me.Parent.DebugPrint("Error while checking out archives", tpDebugPrintStyle.tpErr)

End If

'Do something with the archives in the collection object

'Code...

zenonArchives.CheckIn()

End Sub

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Scripting -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Scripting -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroLocked()

{

//NOTE: This will not be functional in a non-multiuser project

if (this.ActiveDocument.ArchivesED().IsLocked())

{

//The archives are currently locked

this.Parent.DebugPrint("Archives are locked", tpDebugPrintStyle.tpWarn);

}

}

VB.NET

Public Sub MacroLocked()

'NOTE: This will not be functional in a non-multiuser project

If Me.ActiveDocument.ArchivesED().IsLocked() Then

'The archives are currently locked

Me.Parent.DebugPrint("Archives are locked", tpDebugPrintStyle.tpWarn)

End If

End Sub

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Scripting -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroCheckedOut()

{

//NOTE: This will not be functional in a non-multiuser project

if (this.ActiveDocument.ArchivesED().IsCheckedOut())

{

//The archives are currently checked out

this.Parent.DebugPrint("Archives are checked out", tpDebugPrintStyle.tpWarn);

}

}

VB.NET

Public Sub MacroCheckedOut()

'NOTE: This will not be functional in a non-multiuser project

If Me.ActiveDocument.ArchivesED().IsCheckedOut() Then

'The archives are currently checked out

Me.Parent.DebugPrint("Archives are checked out", tpDebugPrintStyle.tpWarn)

End If

End Sub

VBA

VBA-Syntax


IsDifferent

Manuale -> Scripting -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroIsDifferent()

{

//NOTE: This will not be functional in a non-multiuser project

//Checks if there are differences between local and server file

if (this.ActiveDocument.ArchivesED().IsDifferent())

{

this.Parent.DebugPrint("Differences between local and server version.",

tpDebugPrintStyle.tpMsg);

}

else

{

this.Parent.DebugPrint("No differences between local and server version",

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroIsDifferent()

'NOTE: This will not be functional in a non-multiuser project

'Checks if there are differences between local and server file

If Me.ActiveDocument.ArchivesED().IsDifferent() Then

Me.Parent.DebugPrint("Differences between local and server version.", tpDebugPrintStyle.tpMsg)

Else

Me.Parent.DebugPrint("No differences between local and server version", tpDebugPrintStyle.tpMsg)

End If

End Sub

VBA

VBA-Syntax


SingleExport

Manuale -> Scripting -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuale -> Scripting -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub Project Active()

Set mypicevents = thisProject.Dynpictures

Stop

thisProject.SystemModelManager.Export("AnlagenmodellEditorB.xml")

thisProject.SystemModelManager.Import("AnlagenmodellEditorB.xml")
End Sub


Import

Manuale -> Scripting -> Objectmodel -> ArchivesED -> ArchivesED-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. Existing settings will be replaced/merged.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub Project Active()

Set mypicevents = thisProject.Dynpictures

Stop

thisProject.SystemModelManager.Export("AnlagenmodellEditorB.xml")

thisProject.SystemModelManager.Import("AnlagenmodellEditorB.xml")
End Sub


ArchiveValue

Manuale -> Scripting -> Objectmodel -> ArchiveValue

Remarks

The "ArchiveValue" object contains the value parameters for the "ArchiveFilterVariable" object.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//This method will output information of the passed ArchiveFilterVariable object

public void ArchiveValue(IArchiveFilterVariable zenonArvFilterVariable)

{

IArchiveValue zenonArvValue = zenonArvFilterVariable.

ArchiveValues().Item(0);

if (zenonArvValue == null)

{

//No value available

}

else

{

//Output some information of the value

this.Parent.Parent.DebugPrint("Date / Time: " +

TimeConversion.ZenOnToSystem((uint)zenonArvValue.Time).ToString(),

tpDebugPrintStyle.tpMsg);

this.Parent.Parent.DebugPrint("Recorded Value: " + zenonArvValue.Value,

tpDebugPrintStyle.tpMsg);

this.Parent.Parent.DebugPrint("State: &H" + zenonArvValue.Status.ToString("X"),

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

'This method will output information of the passed ArchiveFilterVariable object

Public Sub ArchiveValue(zenonArvFilterVariable As IArchiveFilterVariable)

Dim zenonArvValue As IArchiveValue = zenonArvFilterVariable.ArchiveValues().Item(0)

'No value available

If zenonArvValue Is Nothing Then

Else

'Output some information of the value

Me.Parent.Parent.DebugPrint("Date / Time: " & TimeConversion.ZenOnToSystem(CUInt(zenonArvValue.Time)).ToString(), tpDebugPrintStyle.tpMsg)

Me.Parent.Parent.DebugPrint("Recorded Value: " + zenonArvValue.Value, tpDebugPrintStyle.tpMsg)

Me.Parent.Parent.DebugPrint("State: &H" & zenonArvValue.Status.ToString("X"), tpDebugPrintStyle.tpMsg)

End If

End Sub

VBA

Sub zenOn_ArchiveValue(ByRef zArvFilterVar As ArchiveFilterVariable)
'Declarations
Dim zArvValue As ArchiveValue
Dim zTimeConvert As clsTimeConvert

'Initialize zArvValue with the first available value within the current archive variable
Set zArvValue = zArvFilterVar.ArchiveValues.Item(0)

'Initialize zTimeConvert by creating a new instance of the zenOn "clsTimeConvert" macro
Set zTimeConvert = New clsTimeConvert

'If no value is available ...
If zArvValue Is Nothing Then
'... then inform the user
MsgBox ("No value available!")

'Otherwise:
Else
'Output the date and time when the value was recorded
Debug.Print "Date / Time: " & Format(zTimeConvert.zenOn2System(CDbl(zArvValue.Time)), "yyyy-mm-dd hh:mm:ss") & "." & zArvValue.TimeMilliSec
'Output the recorded value
Debug.Print "Recorded value: " & zArvValue.Value
'Output the state of the value
Debug.Print "State: &H" & Hex(zArvValue.Status)
End If

End Sub

Noch in diesem Kapitel

ArchiveValue-Properties

ArchiveValue-Methods


ArchiveValue-Properties

Manuale -> Scripting -> Objectmodel -> ArchiveValue -> ArchiveValue-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveValues | Parent |  | not used | read only | yes | yes
long | Status | Get/Set the lower 32 status bits. | not used | available | yes | yes
long | Time |  | not used | available | yes | yes
long | TimeMilliSec |  | not used | available | yes | yes
VARIANT | Value |  | not used | available | yes | yes
long | StatusEx | Get/Set the upper 32 status bits. | not used | available | yes | yes

Noch in diesem Kapitel

Parent

Time

TimeMilliSec

Value

Status

StatusEx


Parent

Manuale -> Scripting -> Objectmodel -> ArchiveValue -> ArchiveValue-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveValues

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Time

Manuale -> Scripting -> Objectmodel -> ArchiveValue -> ArchiveValue-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or modifies the time when the value was recorded.

ATTENTION: zenOn uses UTC time internally, hence the desired start time has to be converted from the local time zone into UTC.

Please use the zenOn "clsTimeConvert" macro do that correctly.
For the macro code and further information on the zenOn "clsTimeConvert" macro, please have a look at the StartTime property within the "Archive Filter" object.

Datatype

Time() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


TimeMilliSec

Manuale -> Scripting -> Objectmodel -> ArchiveValue -> ArchiveValue-Properties -> TimeMilliSec

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or modifies the milliseconds, in addition to the time, when the value was recorded.

Datatype

TimeMilliSec() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Value

Manuale -> Scripting -> Objectmodel -> ArchiveValue -> ArchiveValue-Properties -> Value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or modifies the value that was recorded.

Datatype

Value() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Status

Manuale -> Scripting -> Objectmodel -> ArchiveValue -> ArchiveValue-Properties -> Status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or modifies the state of the recorded value.

Hint: For further information on state bits, please have a look at the ReaStatusStd part within the "State" object.

reads / writes the first 32-Bits (also 0 - 31)

Datatype

Status() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


StatusEx

Manuale -> Scripting -> Objectmodel -> ArchiveValue -> ArchiveValue-Properties -> StatusEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or modifies the state of the recorded value.

Hint: For further information on state bits, please have a look at the ReaStatusStd part within the "State" object.

reads / writes the upper 32-Bits (also 32 - 63)

Datatype

StatusEx() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ArchiveValue-Methods

Manuale -> Scripting -> Objectmodel -> ArchiveValue -> ArchiveValue-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | SetModified | - | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

SetModified


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> ArchiveValue -> ArchiveValue-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> ArchiveValue -> ArchiveValue-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> ArchiveValue -> ArchiveValue-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> ArchiveValue -> ArchiveValue-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


SetModified

Manuale -> Scripting -> Objectmodel -> ArchiveValue -> ArchiveValue-Methods -> SetModified

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Use this method, in order to adopt parameter modifications.

Datatype

SetModified() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//This method is only used to apply changes, for a detailed example on how to make changes to an ArchiveValue and how to use this method correctly have a look at the main topic of the ArchiveValues collection ("ArchiveValues")

VB.NET

'This method is only used to apply changes, for a detailed example on how to make changes to an ArchiveValue and how to use this method correctly have a look at the main topic of the ArchiveValues collection ("ArchiveValues")

VBA

'This method is only used to apply changes, for a detailed example on how to make changes to an ArchiveValue and how to use this method correctly have a look at the main topic of the ArchiveValues collection ("ArchiveValues")


ArchiveValues

Manuale -> Scripting -> Objectmodel -> ArchiveValues

Remarks

The "ArchiveValues" object manages the "ArchiveValue" objects.This object is utilized by the "ArchiveFilterVariable" object, in order to access the collection of "ArchiveValue" objects.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void ArchiveValues(IArchiveFilterVariable zenonArvFilterVariable)

{

IArchiveValues zenonArvValues = zenonArvFilterVariable.ArchiveValues();

if (zenonArvValues == null)

{

//There are no archive values, inform the user

this.Parent.Parent.DebugPrint("There are no archive values",

tpDebugPrintStyle.tpErr);

return;

}

//Create a new archive value

/* ##############################################################

* # Attention #

* # This code is designed for spontaneous archive types. #

* # If it is used in combination with a cyclic archive, the #

* # code may corrupt the archive which results in a loss of #

* # data. #

* # #

* # Use at your own risk #

* ##############################################################

*/

IArchiveValue zenonArvValue = zenonArvValues.CreateArchiveValue();

zenonArvValue.Status = 0x1000;

zenonArvValue.Time = (int)TimeConversion.SystemToZenOn(

new DateTime(2007, 07, 30, 12, 0, 0));

zenonArvValue.TimeMilliSec = 0;

//Set your desired value

zenonArvValue.Value = 1531;

//Apply changes to the value

zenonArvValue.SetModified();

//For every archive value within the collection

for (int i = 0; i < zenonArvValues.Count; ++i)

{

zenonArvValue = zenonArvValues.Item(i);

//Print the current objects value

this.Parent.Parent.DebugPrint(i + 1 + ". Value", tpDebugPrintStyle.tpMsg);

//Print the current objects recording time

this.Parent.Parent.DebugPrint("Date / Time: " +

TimeConversion.ZenOnToSystem((uint)zenonArvValue.Time).ToString(),

tpDebugPrintStyle.tpMsg);

//Print the current objects recorded value

this.Parent.Parent.DebugPrint("Recorded value: " + zenonArvValue.Value,

tpDebugPrintStyle.tpMsg);

//Print the current objects state

this.Parent.Parent.DebugPrint("State: &H" + zenonArvValue.Status.ToString("X"),

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub ArchiveValues(zenonArvFilterVariable As IArchiveFilterVariable)

Dim zenonArvValues As IArchiveValues = zenonArvFilterVariable.ArchiveValues()

If zenonArvValues Is Nothing Then

'There are no archive values, inform the user

Me.Parent.Parent.DebugPrint("There are no archive values", tpDebugPrintStyle.tpErr)

Return

End If

'Create a new archive value

' ##############################################################

' * # Attention #

' * # This code is designed for spontaneous archive types. #

' * # If it is used in combination with a cyclic archive, the #

' * # code may corrupt the archive which results in a loss of #

' * # data. #

' * # #

' * # Use at your own risk #

' * ##############################################################

'

Dim zenonArvValue As IArchiveValue = zenonArvValues.CreateArchiveValue()

zenonArvValue.Status = &H1000

zenonArvValue.Time = CInt(TimeConversion.SystemToZenOn(New DateTime(2007, 7, 30, 12, 0, 0)))

zenonArvValue.TimeMilliSec = 0

'Set your desired value

zenonArvValue.Value = 1531

'Apply changes to the value

zenonArvValue.SetModified()

'For every archive value within the collection

For i As Integer = 0 To zenonArvValues.Count - 1

zenonArvValue = zenonArvValues.Item(i)

'Print the current objects value

Me.Parent.Parent.DebugPrint(i + 1 & ". Value", tpDebugPrintStyle.tpMsg)

'Print the current objects recording time

Me.Parent.Parent.DebugPrint("Date / Time: " & TimeConversion.ZenOnToSystem(CUInt(zenonArvValue.Time)).ToString(), tpDebugPrintStyle.tpMsg)

'Print the current objects recorded value

Me.Parent.Parent.DebugPrint("Recorded value: " + zenonArvValue.Value, tpDebugPrintStyle.tpMsg)

'Print the current objects state

Me.Parent.Parent.DebugPrint("State: &H" & zenonArvValue.Status.ToString("X"), tpDebugPrintStyle.tpMsg)

Next

End Sub

VBA

Sub zenOn_ArchiveValues(ByRef zArvFilterVar As ArchiveFilterVariable)
'Declarations
Dim zArvValues As ArchiveValues
Dim zArvValue As ArchiveValue
Dim zTimeConvert As clsTimeConvert
Dim i As Integer

'Initialize zArvValue with the archive values collection of the current archive variable
Set zArvValues = zArvFilterVar.ArchiveValues

'Initialize zTimeConvert by creating a new instance of the zenOn "clsTimeConvert" macro
Set zTimeConvert = New clsTimeConvert

'If no value is available ...
If zArvValues Is Nothing Then
'... then inform the user
MsgBox ("No archive values available!")

'Otherwise:
Else
'Create a new archive value
'!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
'!! ATTENTION: !!
'!! This code is designed for spontaneous archive types. !!
'!! If it is used in combination with a cyclic archive, this !!
'!! code may corrupt the archive, which results in an loss of !!
'!! data. !!
'!! !!
'!! USE AT YOUR OWN RISK !!
'!! !!
'!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

'Initialize zArvValue by creating a new value entry
Set zArvValue = zArvValues.CreateArchiveValue

'Set the state of the value to a manual entry
zArvValue.Status = &H1000
'Set the time when the value was entered
zArvValue.Time = zTimeConvert.System2zenOn(CDbl(CDate("30.07.2007 12:00:00")))
'Set the milliseconds, in addition to the time
zArvValue.TimeMilliSec = 0
'Set the desired value
zArvValue.Value = 1531

'Apply the modifications to the value
zArvValue.SetModified

'For every archive value within the collection
For i = 0 To zArvValues.Count - 1
'Assign the current archive value to zArvValue
Set zArvValue = zArvValues.Item(i)
'Output the count of the value
Debug.Print i + 1 & ". Value"
'Output the date and time when the value was recorded
Debug.Print vbTab & "Date / Time: " & Format(zTimeConvert.zenOn2System(CDbl(zArvValue.Time)), "yyyy-mm-dd hh:mm:ss") & "." & zArvValue.TimeMilliSec
'Output the recorded value
Debug.Print vbTab & "Recorded value: " & zArvValue.Value
'Output the state of the value
Debug.Print vbTab & "State: &H" & Hex(zArvValue.Status)
Next i
End If
End Sub

Noch in diesem Kapitel

ArchiveValues-Properties

ArchiveValues-Methods


ArchiveValues-Properties

Manuale -> Scripting -> Objectmodel -> ArchiveValues -> ArchiveValues-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | not used | read only | yes | yes
IArchiveFilterVariable | Parent |  | not used | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> ArchiveValues -> ArchiveValues-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveFilterVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> ArchiveValues -> ArchiveValues-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveValues-Methods

Manuale -> Scripting -> Objectmodel -> ArchiveValues -> ArchiveValues-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveValue | CreateArchiveValue | - | not used | available | yes | yes
VARIANT_BOOL | DeleteArchiveValue | - | not used | available | yes | yes
IArchiveValue | Item | - | available | available | yes | yes

Noch in diesem Kapitel

Item

CreateArchiveValue

DeleteArchiveValue


Item

Manuale -> Scripting -> Objectmodel -> ArchiveValues -> ArchiveValues-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveValue" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveValue" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//For a detailed example on how to use this method have a look at the main topic ArchiveValues

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateArchiveValue

Manuale -> Scripting -> Objectmodel -> ArchiveValues -> ArchiveValues-Methods -> CreateArchiveValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a new "ArchiveValue" object.

Datatype

CreateArchiveValue() As ArchiveValue

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//For a detailed example have a look at the main topic ArchiveValues

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteArchiveValue

Manuale -> Scripting -> Objectmodel -> ArchiveValues -> ArchiveValues-Methods -> DeleteArchiveValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method removes an existing archive value ("ArchiveValue" object) from the collection.

Datatype

DeleteArchiveValue(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDeleteArchiveValues()

{

/*

* Gets the first ArchiveFilterVariable object in the first filter of

* the first archive, NOTE: Those are required to exist in order for the

* macro to work.

*/

IArchiveFilterVariable zenonArvVariable = this.Archives().Item(0)

.ArchiveFilters()

.Item(0).ArchiveFilterVariables()

.Item(0);

IArchiveValues zenonArchiveValues = zenonArvVariable.ArchiveValues();

//Deletes any ArchiveValue in the collection

while (zenonArchiveValues.Count > 0)

{

zenonArchiveValues.DeleteArchiveValue(0);

}

}

VB.NET

Public Sub MacroDeleteArchiveValues()

'

' * Gets the first ArchiveFilterVariable object in the first filter of

' * the first archive, NOTE: Those are required to exist in order for the

' * macro to work.

'

Dim zenonArvVariable As IArchiveFilterVariable = Me.Archives().Item(0).ArchiveFilters().Item(0).ArchiveFilterVariables().Item(0)

Dim zenonArchiveValues As IArchiveValues = zenonArvVariable.ArchiveValues()

'Deletes any ArchiveValue in the collection

While zenonArchiveValues.Count > 0

zenonArchiveValues.DeleteArchiveValue(0)

End While

End Sub

VBA

VBA-Syntax


ArchiveVarED

Manuale -> Scripting -> Objectmodel -> ArchiveVarED

Remarks

The "ArchiveVarED" object contains the assigned "Variable" object and projecting information on the calculation mode.The object is utilized by the "ArchiveED" object.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroArchiveVarEd()

{

IArchiveED zenonArchiveEd = this.ActiveDocument.ArchivesED().Item("01");

/* if there is no such archive available create it with

* the given identification name "01" and the name

* "zenon_ArchiveED"

*/

if (zenonArchiveEd == null)

{

zenonArchiveEd = this.ActiveDocument.ArchivesED().

CreateArchive("01", "zenOn_ArchiveED", null);

}

IArchiveVarED zenonArvVarEd = zenonArchiveEd.Item("WIZ_VAR_10");

if (zenonArvVarEd == null)

{

//If the variable is not assigned to the archive, add it

zenonArvVarEd = zenonArchiveEd.AddVariable("WIZ_VAR_10", tpArvVarCal.tpCalc_All, null);

}

//Output the name of the variable

this.Parent.DebugPrint("Variable Name: " +

((IVariable)zenonArvVarEd.get_DynProperties("Variable")).Name,

tpDebugPrintStyle.tpMsg);

//Output the calculation mode

this.Parent.DebugPrint("Calculation mode " +

Enum.GetName(typeof(tpArvVarCal),

zenonArvVarEd.get_DynProperties("Calculation")),

tpDebugPrintStyle.tpMsg);

}

VB.NET

Public Sub MacroArchiveVarEd()

Dim zenonArchiveEd As IArchiveED = Me.ActiveDocument.ArchivesED().Item("01")

' if there is no such archive available create it with

' * the given identification name "01" and the name

' * "zenon_ArchiveED"

'

If zenonArchiveEd Is Nothing Then

zenonArchiveEd = Me.ActiveDocument.ArchivesED().CreateArchive("01", "zenOn_ArchiveED", Nothing)

End If

Dim zenonArvVarEd As IArchiveVarED = zenonArchiveEd.Item("WIZ_VAR_10")

If zenonArvVarEd Is Nothing Then

'If the variable is not assigned to the archive, add it

zenonArvVarEd = zenonArchiveEd.AddVariable("WIZ_VAR_10", tpArvVarCal.tpCalc_All, Nothing)

End If

'Output the name of the variable

Me.Parent.DebugPrint("Variable Name: " + DirectCast(zenonArvVarEd.get_DynProperties("Variable"), IVariable).Name, tpDebugPrintStyle.tpMsg)

'Output the calculation mode

Me.Parent.DebugPrint("Calculation mode " & [Enum].GetName(GetType(tpArvVarCal), zenonArvVarEd.get_DynProperties("Calculation")), tpDebugPrintStyle.tpMsg)

End Sub

VBA

Sub zenOn_ArchiveVarED(ByRef zArchiveED As ArchiveED)
'Declarations
Dim zArvVarED As ArchiveVarED

'Initialize zArvVarED with the "ArchiveVarED" object, where the variable named "WIZ_VAR_10" is assigned to it.
Set zArvVarED = zArchiveED.Item("WIZ_VAR_10")
'If the variable is not assigned to it ...
If zArvVarED Is Nothing Then
'... then add it to the archive
Set zArvVarED = zArchiveED.AddVariable("WIZ_VAR_10", 0, Nothing)
End If

'Output the variable name
Debug.Print "Variable name: " & zArvVarED.DynProperties("Variable").Name

'Output the calculation mode
Select Case zArvVarED.DynProperties("Calculation")
Case 0
Debug.Print "Calculation mode: All values"
Case 1
Debug.Print "Calculation mode: Sum"
Case 2
Debug.Print "Calculation mode: Average"
Case 3
Debug.Print "Calculation mode: Minimum"
Case 4
Debug.Print "Calculation mode: Maximum"
End Select

End Sub

Noch in diesem Kapitel

ArchiveVarED-Methods

ArchiveVarED-Dynamic properties


ArchiveVarED-Methods

Manuale -> Scripting -> Objectmodel -> ArchiveVarED -> ArchiveVarED-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> ArchiveVarED -> ArchiveVarED-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> ArchiveVarED -> ArchiveVarED-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> ArchiveVarED -> ArchiveVarED-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> ArchiveVarED -> ArchiveVarED-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveVarED-Dynamic properties

Manuale -> Scripting -> Objectmodel -> ArchiveVarED -> ArchiveVarED-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Variable archive

Noch in diesem Kapitel

Variable archive


Variable archive

Manuale -> Scripting -> Objectmodel -> ArchiveVarED -> ArchiveVarED-Dynamic properties -> Variable archive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI1 | Calculation | Calculation |
ZT_VARIABLE | Variable | Variable |


ArchiveVariable

Manuale -> Scripting -> Objectmodel -> ArchiveVariable

Remarks

This object is an archive variable containing the projecting information. "ArchiveVariable" objects are assigned to "Archive" objects.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroArchiveVariable()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!",

tpDebugPrintStyle.tpErr);

return;

}

IArchiveVariable zenonArvVar = zenonArchive.ArchiveVariables().Item(0);

if (zenonArvVar == null)

{

//There is no variable available

this.Parent.Parent.DebugPrint("No variable available",

tpDebugPrintStyle.tpErr);

return;

}

//Output the name of the assigned variable

this.Parent.Parent.DebugPrint("Name: " + zenonArvVar.Name,

tpDebugPrintStyle.tpMsg);

//Output the ID of the variable

this.Parent.Parent.DebugPrint("ID: " + zenonArvVar.ID,

tpDebugPrintStyle.tpMsg);

//Output the utilized unit

this.Parent.Parent.DebugPrint("Unit: " + zenonArvVar.Unit,

tpDebugPrintStyle.tpMsg);

//Output the calculation mode, if it is a following archive

this.Parent.Parent.DebugPrint("Calculation mode: " + zenonArvVar.Calculation,

tpDebugPrintStyle.tpMsg);

}

VB.NET

Public Sub MacroArchiveVariable()

'Gets the first archive of the project

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

Dim zenonArvVar As IArchiveVariable = zenonArchive.ArchiveVariables().Item(0)

If zenonArvVar Is Nothing Then

'There is no variable available

Me.Parent.Parent.DebugPrint("No variable available", tpDebugPrintStyle.tpErr)

Return

End If

'Output the name of the assigned variable

Me.Parent.Parent.DebugPrint("Name: " + zenonArvVar.Name, tpDebugPrintStyle.tpMsg)

'Output the ID of the variable

Me.Parent.Parent.DebugPrint("ID: " + zenonArvVar.ID, tpDebugPrintStyle.tpMsg)

'Output the utilized unit

Me.Parent.Parent.DebugPrint("Unit: " + zenonArvVar.Unit, tpDebugPrintStyle.tpMsg)

'Output the calculation mode, if it is a following archive

Me.Parent.Parent.DebugPrint("Calculation mode: " + zenonArvVar.Calculation, tpDebugPrintStyle.tpMsg)

End Sub

VBA

Sub zenOn_ArchiveVariable(ByRef zArchive As Archive)
'Declarations
Dim zArvVar As ArchiveVariable

'Initialize zArvVar with the first available archive variable within the collection
Set zArvVar = zArchive.ArchiveVariables.Item(0)

'If no archive variable is available ...
If zArvVar Is Nothing Then
'... then inform the user
MsgBox ("No archive variable available!")

'Otherwise, output some details
Else
'Output the name of the assigned variable
Debug.Print "Name: " & zArvVar.Name
'Output the ID
Debug.Print "ID: " & zArvVar.ID
'Output the utilized unit
Debug.Print "Unit: " & zArvVar.Unit
'Output the utilized calculation mode, if it is a following archive
Debug.Print "Calculation mode: " & zArvVar.Calculation
End If
End Sub

Noch in diesem Kapitel

ArchiveVariable-Properties

ArchiveVariable-Methods


ArchiveVariable-Properties

Manuale -> Scripting -> Objectmodel -> ArchiveVariable -> ArchiveVariable-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Calculation |  | not used | read only | yes | yes
long | ID |  | not used | read only | yes | yes
BSTR | LongText |  | not used | read only | yes | yes
BSTR | Name |  | not used | read only | yes | yes
IArchiveVariables | Parent |  | not used | read only | yes | yes
IArchiveVariable | SourceVariable |  | not used | read only | yes | yes
BSTR | Unit |  | not used | read only | yes | yes

Noch in diesem Kapitel

Parent

Name

SourceVariable

Calculation

ID

LongText

Unit


Parent

Manuale -> Scripting -> Objectmodel -> ArchiveVariable -> ArchiveVariable-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveVariables

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> ArchiveVariable -> ArchiveVariable-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the current "ArchiveVariable" object.

Datatype

Name() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


SourceVariable

Manuale -> Scripting -> Objectmodel -> ArchiveVariable -> ArchiveVariable-Properties -> SourceVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

To get the SourceVariable As ArchiveVariable

Datatype

SourceVariable() As ArchiveVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Calculation

Manuale -> Scripting -> Objectmodel -> ArchiveVariable -> ArchiveVariable-Properties -> Calculation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Calculation() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Scripting -> Objectmodel -> ArchiveVariable -> ArchiveVariable-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID of the current "ArchiveVariable" object.

Datatype

ID() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


LongText

Manuale -> Scripting -> Objectmodel -> ArchiveVariable -> ArchiveVariable-Properties -> LongText

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the identifier of the current "ArchiveVariable" object.

Datatype

LongText() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Unit

Manuale -> Scripting -> Objectmodel -> ArchiveVariable -> ArchiveVariable-Properties -> Unit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unit (as string) of the current "ArchiveVariable" object.

Datatype

Unit() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveVariable-Methods

Manuale -> Scripting -> Objectmodel -> ArchiveVariable -> ArchiveVariable-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IVariable | Variable | - | not used | available | yes | yes

Noch in diesem Kapitel

Variable


Variable

Manuale -> Scripting -> Objectmodel -> ArchiveVariable -> ArchiveVariable-Methods -> Variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the assigned variable as "Variable" object.

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//For further details on how to use Variable objects have a look at the actual "Variable" topic.

VB.NET

'For further details on how to use Variable objects have a look at the actual "Variable" topic.

VBA

Sub zenOn_ArchiveVariable(ByRef zArchive As Archive)
'Declarations
Dim zArvVar As ArchiveVariable

'Initialize zArvVar with the first available archive variable within the collection
Set zArvVar = zArchive.ArchiveVariables.Item(0)

'If no archive variable is available ...
If zArvVar Is Nothing Then
'... then inform the user
MsgBox ("No archive variable available!")

'Otherwise, output some details
Else
'Output the name of the assigned variable
Debug.Print "Name: " & zArvVar.Name
'Output the ID
Debug.Print "ID: " & zArvVar.ID
'Output the utilized unit
Debug.Print "Unit: " & zArvVar.Unit
'Output the utilized calculation mode, if it is a following archive
Debug.Print "Calculation mode: " & zArvVar.Calculation
End If
End Sub


ArchiveVariables

Manuale -> Scripting -> Objectmodel -> ArchiveVariables

Remarks

The "ArchiveVariables" object is a collection of all defined "ArchiveVariable" objects.This object is utilized by the "Archive" object, in order to access the collection of "ArchiveVariable" objects.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroArchiveVariables()

{

//Gets the first archive of the project

IArchive zenonArchive = this.Archives().Item(0);

if (zenonArchive == null)

{

//There is no archive, the user will be informed...

this.Parent.Parent.DebugPrint("No archive available!",

tpDebugPrintStyle.tpErr);

return;

}

IArchiveVariables zenonArvVariables = zenonArchive.ArchiveVariables();

for (int i = 0; i < zenonArvVariables.Count; ++i)

{

//Output the name of the variable for each variable in the collection

this.Parent.Parent.DebugPrint(i + 1 + ". Variable: " + zenonArvVariables.Item(i).Name,

tpDebugPrintStyle.tpMsg);

}

}

VB.NET

Public Sub MacroArchiveVariables()

'Gets the first archive of the project

Dim zenonArchive As IArchive = Me.Archives().Item(0)

If zenonArchive Is Nothing Then

'There is no archive, the user will be informed...

Me.Parent.Parent.DebugPrint("No archive available!", tpDebugPrintStyle.tpErr)

Return

End If

Dim zenonArvVariables As IArchiveVariables = zenonArchive.ArchiveVariables()

For i As Integer = 0 To zenonArvVariables.Count - 1

'Output the name of the variable for each variable in the collection

Me.Parent.Parent.DebugPrint((i + 1 & ". Variable: ") + zenonArvVariables.Item(i).Name, tpDebugPrintStyle.tpMsg)

Next

End Sub

VBA

Sub zenOn_ArchiveVariables(ByRef zArchive As Archive)
'Declarations
Dim zArVars As ArchiveVariables
Dim i As Integer

'Initialize zArVars with the variable collection of the passed archive
Set zArVars = zArchive.ArchiveVariables

'For every variable within the collection...
For i = 0 To zArVars.Count - 1
'... output the name of the variable
Debug.Print i + 1 & ". Variable: " & zArVars.Item(i).Name
Next i

End Sub

Noch in diesem Kapitel

ArchiveVariables-Properties

ArchiveVariables-Methods


ArchiveVariables-Properties

Manuale -> Scripting -> Objectmodel -> ArchiveVariables -> ArchiveVariables-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | not used | read only | yes | yes
IArchive | Parent |  | not used | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> ArchiveVariables -> ArchiveVariables-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Archive

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> ArchiveVariables -> ArchiveVariables-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveVariables-Methods

Manuale -> Scripting -> Objectmodel -> ArchiveVariables -> ArchiveVariables-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveVariable | Item | - | available | available | yes | yes
IArchiveVariable | ItemById | - | not used | available | yes | yes
IArchiveVariable | ItemByIdEx | - | not used | read only | yes | yes

Noch in diesem Kapitel

Item

ItemById

ItemByIdEx


Item

Manuale -> Scripting -> Objectmodel -> ArchiveVariables -> ArchiveVariables-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveVariable" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveVariable" object in the list.

Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveVariable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//For details on how to get a specific variable by its collection Id have a look at the main topic "ArchiveVariables"

VB.NET

'For details on how to get a specific variable by its collection Id have a look at the main topic "ArchiveVariables"

VBA

'For details on how to get a specific variable by its collection Id have a look at the main topic "ArchiveVariables"


ItemById

Manuale -> Scripting -> Objectmodel -> ArchiveVariables -> ArchiveVariables-Methods -> ItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an "ArchiveVariable" object from the collection specified by its internal uniqe ID, which is identified by the parameter vVariableId.Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

ItemById(VARIANT vVariableId) As ArchiveVariable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemByIdEx

Manuale -> Scripting -> Objectmodel -> ArchiveVariables -> ArchiveVariables-Methods -> ItemByIdEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object of type ArchiveFilterVariable.

Datatype

ItemByIdEx(VARIANT vVariableId, VARIANT vProjectName, VARIANT vCalculation) As ArchiveVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Uniqe PvID of linked zenOn Variable

Type of claculation as long
Calculation Types

Projectname as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vVariableId As Variant

vCalculation As Variant

vProjectName As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetArchiveVariable(zArchive As Archive)
Dim zVariable As Variable
Dim zArvVar As ArchiveVariable
'get variable object to read the PvID!
Set zVariable = thisProject.Variables.Item("WIZ_VAR_10")
'get the archivevariable with SUM calculation
Set zArvVar = zArchive.ArchiveVariables.ItemByIdEx(zVariable.PvID, thisProject.Name, 1)
End Sub


ArvTemplate

Manuale -> Scripting -> Objectmodel -> ArvTemplate

Remarks

Is used to call the dynamic properties for this object.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroGetTemplates()

{

IArvTemplates zenonArvTemplates = this.GetArvTemplates();

if (zenonArvTemplates != null)

{

//Get the first template if the collection is not a null pointer

IArvTemplate zenonArvTemplate = zenonArvTemplates.Item(0);

if (zenonArvTemplate != null)

{

this.Parent.DebugPrint("Name: " + zenonArvTemplate.get_DynProperties("Name"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("GUID: " + zenonArvTemplate.get_DynProperties("GUID"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("ImportPath: " + zenonArvTemplate.get_DynProperties("ImportPath"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("Folder: " + zenonArvTemplate.get_DynProperties("Folder"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("Language: " + zenonArvTemplate.get_DynProperties("Language"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("Description: " + zenonArvTemplate.get_DynProperties("Description"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("CopaDataTemplate: " + zenonArvTemplate.get_DynProperties("CopaDataTemplate"),

tpDebugPrintStyle.tpMsg);

}

}

}

VB.NET

Public Sub MacroGetTemplates()

Dim zenonArvTemplates As IArvTemplates = Me.GetArvTemplates()

If zenonArvTemplates IsNot Nothing Then

'Get the first template if the collection is not a null pointer

Dim zenonArvTemplate As IArvTemplate = zenonArvTemplates.Item(0)

If zenonArvTemplate IsNot Nothing Then

Me.Parent.DebugPrint("Name: " & zenonArvTemplate.get_DynProperties("Name"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("GUID: " & zenonArvTemplate.get_DynProperties("GUID"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("ImportPath: " & zenonArvTemplate.get_DynProperties("ImportPath"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("Folder: " & zenonArvTemplate.get_DynProperties("Folder"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("Language: " & zenonArvTemplate.get_DynProperties("Language"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("Description: " & zenonArvTemplate.get_DynProperties("Description"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("CopaDataTemplate: " & zenonArvTemplate.get_DynProperties("CopaDataTemplate"), tpDebugPrintStyle.tpMsg)

End If

End If

End Sub

VBA

Private Sub GetTemplates()

Dim IArvTemplates As ArvTemplates

Dim IArvTemplate As ArvTemplate

Dim Count As Integer

Dim Ok As Boolean

' --- Auswahl über den Namen

Set IArvTemplates = MyWorkspace.GetArvTemplates()

If Not IArvTemplates Is Nothing Then

Set IArvTemplate = IArvTemplates.Item("Test 3")

Ok = PrintTemplate(IArvTemplate)

End If

' --- Auswahl über den Index

Set IArvTemplates = MyWorkspace.GetArvTemplates()

If Not IArvTemplates Is Nothing Then

Count = IArvTemplates.Count

For i = 0 To Count - 1

Set IArvTemplate = IArvTemplates.Item(i)

Ok = PrintTemplate(IArvTemplate)

Next

End If

End Sub

Private Function PrintTemplate(IArvTemplate As ArvTemplate) As Boolean

If Not IArvTemplate Is Nothing Then

Debug.Print ("Name: " & IArvTemplate.DynProperties("Name"))

Debug.Print ("GUID: " & IArvTemplate.DynProperties("GUID"))

Debug.Print ("ImportPath: " & IArvTemplate.DynProperties("ImportPath"))

Debug.Print ("Folder: " & IArvTemplate.DynProperties("Folder"))

Debug.Print ("Language: " & IArvTemplate.DynProperties("Language"))

Debug.Print ("Description: " & IArvTemplate.DynProperties("Description"))

Debug.Print ("CopaDataTemplate: " & IArvTemplate.DynProperties("CopaDataTemplate"))

PrintTemplate = True

Else

PrintTemplate = False

End If

End Function

Noch in diesem Kapitel

ArvTemplate-Methods

ArvTemplate-Dynamic properties


ArvTemplate-Methods

Manuale -> Scripting -> Objectmodel -> ArvTemplate -> ArvTemplate-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | not used | yes | yes
VARIANT | DynProperties [GET] |  | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> ArvTemplate -> ArvTemplate-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As IPropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> ArvTemplate -> ArvTemplate-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> ArvTemplate -> ArvTemplate-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ArvTemplate-Dynamic properties

Manuale -> Scripting -> Objectmodel -> ArvTemplate -> ArvTemplate-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

CArvTemplate

Noch in diesem Kapitel

CArvTemplate


CArvTemplate

Manuale -> Scripting -> Objectmodel -> ArvTemplate -> ArvTemplate-Dynamic properties -> CArvTemplate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | Name | Description
VT_BSTR | GUID | GUID | Description
VT_BSTR | Language | Language | Description
VT_BSTR | ImportPath | ImportPath | Description
VT_BSTR | Folder | Folder | Description
VT_BSTR | Description | Description | Description
VT_BOOL | CopaDataTemplate | CopaDataTemplate | Description


ArvTemplates

Manuale -> Scripting -> Objectmodel -> ArvTemplates

Remarks

Templates can be transfered in screens.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroGetTemplates()

{

IArvTemplates zenonArvTemplates = this.GetArvTemplates();

if (zenonArvTemplates != null)

{

//Get the first template if the collection is not a null pointer

IArvTemplate zenonArvTemplate = zenonArvTemplates.Item(0);

if (zenonArvTemplate != null)

{

this.Parent.DebugPrint("Name: " + zenonArvTemplate.get_DynProperties("Name"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("GUID: " + zenonArvTemplate.get_DynProperties("GUID"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("ImportPath: " + zenonArvTemplate.get_DynProperties("ImportPath"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("Folder: " + zenonArvTemplate.get_DynProperties("Folder"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("Language: " + zenonArvTemplate.get_DynProperties("Language"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("Description: " + zenonArvTemplate.get_DynProperties("Description"),

tpDebugPrintStyle.tpMsg);

this.Parent.DebugPrint("CopaDataTemplate: " + zenonArvTemplate.get_DynProperties("CopaDataTemplate"),

tpDebugPrintStyle.tpMsg);

}

}

}

VB.NET

Public Sub MacroGetTemplates()

Dim zenonArvTemplates As IArvTemplates = Me.GetArvTemplates()

If zenonArvTemplates IsNot Nothing Then

'Get the first template if the collection is not a null pointer

Dim zenonArvTemplate As IArvTemplate = zenonArvTemplates.Item(0)

If zenonArvTemplate IsNot Nothing Then

Me.Parent.DebugPrint("Name: " & zenonArvTemplate.get_DynProperties("Name"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("GUID: " & zenonArvTemplate.get_DynProperties("GUID"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("ImportPath: " & zenonArvTemplate.get_DynProperties("ImportPath"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("Folder: " & zenonArvTemplate.get_DynProperties("Folder"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("Language: " & zenonArvTemplate.get_DynProperties("Language"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("Description: " & zenonArvTemplate.get_DynProperties("Description"), tpDebugPrintStyle.tpMsg)

Me.Parent.DebugPrint("CopaDataTemplate: " & zenonArvTemplate.get_DynProperties("CopaDataTemplate"), tpDebugPrintStyle.tpMsg)

End If

End If

End Sub

VBA

Private Sub GetTemplates()

Dim IArvTemplates As ArvTemplates

Dim IArvTemplate As ArvTemplate

Dim Count As Integer

Dim Ok As Boolean

' --- Auswahl über den Namen

Set IArvTemplates = MyWorkspace.GetArvTemplates()

If Not IArvTemplates Is Nothing Then

Set IArvTemplate = IArvTemplates.Item("Test 3")

Ok = PrintTemplate(IArvTemplate)

End If

' --- Auswahl über den Index

Set IArvTemplates = MyWorkspace.GetArvTemplates()

If Not IArvTemplates Is Nothing Then

Count = IArvTemplates.Count

For i = 0 To Count - 1

Set IArvTemplate = IArvTemplates.Item(i)

Ok = PrintTemplate(IArvTemplate)

Next

End If

End Sub

Private Function PrintTemplate(IArvTemplate As ArvTemplate) As Boolean

If Not IArvTemplate Is Nothing Then

Debug.Print ("Name: " & IArvTemplate.DynProperties("Name"))

Debug.Print ("GUID: " & IArvTemplate.DynProperties("GUID"))

Debug.Print ("ImportPath: " & IArvTemplate.DynProperties("ImportPath"))

Debug.Print ("Folder: " & IArvTemplate.DynProperties("Folder"))

Debug.Print ("Language: " & IArvTemplate.DynProperties("Language"))

Debug.Print ("Description: " & IArvTemplate.DynProperties("Description"))

Debug.Print ("CopaDataTemplate: " & IArvTemplate.DynProperties("CopaDataTemplate"))

PrintTemplate = True

Else

PrintTemplate = False

End If

End Function

Noch in diesem Kapitel

ArvTemplates-Properties

ArvTemplates-Methods


ArvTemplates-Properties

Manuale -> Scripting -> Objectmodel -> ArvTemplates -> ArvTemplates-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of Archive Templates in the Collection | available | not used | yes | yes

Noch in diesem Kapitel

Count


Count

Manuale -> Scripting -> Objectmodel -> ArvTemplates -> ArvTemplates-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ArvTemplates-Methods

Manuale -> Scripting -> Objectmodel -> ArvTemplates -> ArvTemplates-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArvTemplate | Item | Returns the Archive Template by Name or Position | available | not used | yes | yes

Noch in diesem Kapitel

Item


Item

Manuale -> Scripting -> Objectmodel -> ArvTemplates -> ArvTemplates-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vPosOrName) As IArvTemplate

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BatchConfig

Manuale -> Scripting -> Objectmodel -> BatchConfig

Remarks

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

BatchConfig -Properties

BatchConfig -Methods


BatchConfig -Properties

Manuale -> Scripting -> Objectmodel -> BatchConfig -> BatchConfig -Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IBatchUnitsConfig | Units | Returns the units configuration | available | read only | yes | yes

Noch in diesem Kapitel

Units


Units

Manuale -> Scripting -> Objectmodel -> BatchConfig -> BatchConfig -Properties -> Units

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Units() As IBatchUnitsConfig

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BatchConfig -Methods

Manuale -> Scripting -> Objectmodel -> BatchConfig -> BatchConfig -Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes

Noch in diesem Kapitel

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Get

Manuale -> Scripting -> Objectmodel -> BatchConfig -> BatchConfig -Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Get() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckOut

Manuale -> Scripting -> Objectmodel -> BatchConfig -> BatchConfig -Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckIn

Manuale -> Scripting -> Objectmodel -> BatchConfig -> BatchConfig -Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckIn() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


UndoCheckOut

Manuale -> Scripting -> Objectmodel -> BatchConfig -> BatchConfig -Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UndoCheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsLocked

Manuale -> Scripting -> Objectmodel -> BatchConfig -> BatchConfig -Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsLocked() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsCheckedOut

Manuale -> Scripting -> Objectmodel -> BatchConfig -> BatchConfig -Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsCheckedOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsDifferent

Manuale -> Scripting -> Objectmodel -> BatchConfig -> BatchConfig -Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BatchControlRecipe

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe

Remarks

A batch control recipe is an instance of a batch master recipe created for a single execution.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Noch in diesem Kapitel

BatchControlRecipe-Properties

BatchControlRecipe-Methods


BatchControlRecipe-Properties

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ID | Returns the Id of the control recipe | not used | read only | yes | yes
BSTR | Name | Returns the name of the control recipe | not used | read only | yes | yes
BSTR | Description | Returns the description of the control recipe | not used | read only | yes | yes
tpBatchCRState | CRState | Returns the state the control recipe | not used | read only | yes | yes
BSTR | JobId | Returns the job id the control recipe | not used | read only | yes | yes
IVariable | JobVariable | Returns the job variable of the control recipe | not used | read only | yes | yes
DATE | CreatedTime | Returns the creation time of the control recipe | not used | read only | yes | yes
BSTR | CreatedUserName | Returns the creation user name of the control recipe | not used | read only | yes | yes
BSTR | CreatedUserId | Returns the creation user id of the control recipe | not used | read only | yes | yes
DATE | StartedTime | Returns the started time of the control recipes | not used | read only | yes | yes
BSTR | StartedUserName | Returns the started user name of the control recipe | not used | read only | yes | yes
BSTR | StartedUserId | Returns the started user id of the control recipe | not used | read only | yes | yes
long | MRId | Returns the Id of the master recipe | not used | read only | yes | yes
BSTR | MRName | Returns the name of the master recipe | not used | read only | yes | yes
BSTR | MRDescription | Returns the description of the master recipe | not used | read only | yes | yes
tpBatchMRState | MRState | Returns the state of the master recipe | not used | read only | yes | yes
tpBatchExecutionState | ExecutionState | Returns the state of the recipe engine | not used | read only | yes | yes
BSTR | Type | Returns the type of the recipe | not used | read only | yes | yes
tpBatchExecutionMode | ExecutionMode | Returns the mode of the recipe | not used | read only | yes | yes
DATE | ApprovedTime | Returns the approved time of the master recipe | not used | read only | yes | yes
BSTR | ApprovedUserName | Returns the approved user name of the master recipe | not used | read only | yes | yes
BSTR | ApprovedUserId | Returns the approved user id of the master recipe | not used | read only | yes | yes
DATE | OutdatedTime | Returns the outdated time of the master recipe | not used | read only | yes | yes
BSTR | OutdatedUserName | Returns the outdated user name of the master recipe | not used | read only | yes | yes
BSTR | OutdatedUserId | Returns the outdated user id of the master recipe | not used | read only | yes | yes
long | MRVersion | Returns the version of the master recipe | not used | read only | yes | yes
long | MRSourceVersion | Returns the version of the source master recipe | not used | read only | yes | yes

Noch in diesem Kapitel

ID

Name

Description

CRState

JobId

JobVariable

CreatedTime

CreatedUserName

CreatedUserId

StartedTime

StartedUserName

StartedUserId

MRId

MRName

MRDescription

MRState

ExecutionState

Type

ExecutionMode

ApprovedTime

ApprovedUserName

ApprovedUserId

OutdatedTime

OutdatedUserName

OutdatedUserId

MRVersion

MRSourceVersion


ID

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ID() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CRState

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> CRState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CRState() As tpBatchCRState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


JobId

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> JobId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

JobId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


JobVariable

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> JobVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

JobVariable() As IVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CreatedTime

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> CreatedTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreatedTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CreatedUserName

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> CreatedUserName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreatedUserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CreatedUserId

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> CreatedUserId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreatedUserId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


StartedTime

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> StartedTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartedTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


StartedUserName

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> StartedUserName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartedUserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


StartedUserId

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> StartedUserId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartedUserId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRId

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> MRId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MRId() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRName

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> MRName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MRName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRDescription

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> MRDescription

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MRDescription() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRState

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> MRState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MRState() As tpBatchMRState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ExecutionState

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> ExecutionState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ExecutionState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ExecutionMode

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> ExecutionMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ExecutionMode() As tpBatchExecutionMode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ApprovedTime

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> ApprovedTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ApprovedTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ApprovedUserName

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> ApprovedUserName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ApprovedUserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ApprovedUserId

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> ApprovedUserId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ApprovedUserId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OutdatedTime

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> OutdatedTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OutdatedTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OutdatedUserName

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> OutdatedUserName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OutdatedUserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OutdatedUserId

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> OutdatedUserId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OutdatedUserId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRVersion

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> MRVersion

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Version number of the template recipe.

Datatype

MRVersion() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRSourceVersion

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Properties -> MRSourceVersion

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Version number of the source recipe.

Datatype

MRSourceVersion() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchControlRecipe-Methods

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpRecipeRenameResult | SetNameAndDescription | Tries to rename the recipe and sets the description. Returns a result code whether the operation was successful or not. | not used | read only | yes | yes

Noch in diesem Kapitel

SetNameAndDescription


SetNameAndDescription

Manuale -> Scripting -> Objectmodel -> BatchControlRecipe -> BatchControlRecipe-Methods -> SetNameAndDescription

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method changes the name and the description of the control recipe if possible. The method returns a result code for the operation.

Note, that the control recipe instance you are working on is a copy of the original data. To get an updated version of the control recipe you have to get it again from the control recipes container.

Datatype

SetNameAndDescription(BSTR newName, BSTR newDescription) As tpRecipeRenameResult

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

//Function to rename a control recipe and set its description

public void Macro_SetControlRecipeNameAndDescription()

{

//Get the control recipe that is to be renamed

IBatchControlRecipe cr = BatchManager().MasterRecipes().Item("masterRecipeName", 1).

ControlRecipes(tpBatchCRStateFilter.tpCRStateFilterAll).ItemByName("oldControlRecipeName");

//rename the control recipe and set its description

tpRecipeRenameResult result = cr.SetNameAndDescription("newName", "newDescription");

//Output result if the operation failed

if (result != tpRecipeRenameResult.tpRecipeRenameSuccess)

{

MessageBox.Show(null, "Rename Failed. Error Code: " + result.ToString(), "rename master recipe result", MessageBoxButtons.OK, MessageBoxIcon.None);

}

}

VB.NET

'Function to rename a control recipe and set its description

Public Sub Macro_SetControlRecipeNameAndDescription()

'Get the control recipe that is to be renamed

Dim cr As IBatchControlRecipe = BatchManager().MasterRecipes().Item("masterRecipeName", 1).ControlRecipes(tpBatchCRStateFilter.tpCRStateFilterAll).ItemByName("oldControlRecipeName")

'rename the control recipe and set its description

Dim result As tpRecipeRenameResult = cr.SetNameAndDescription("newName", "newDescription")

'Output result if the operation failed

If result <> tpRecipeRenameResult.tpRecipeRenameSuccess Then

MessageBox.Show(Nothing, "Rename Failed. Error Code: " & result.ToString(), "rename master recipe result", MessageBoxButtons.OK, MessageBoxIcon.None)

End If

End Sub

VBA

'Function to rename a control recipe and set its description

Public Sub SetControlRecipeNameAndDescription()

'Get the control recipe that is to be renamed

Dim cr As BatchControlRecipe

Set cr = thisProject.BatchManager.MasterRecipes.Item("masterRecipeName", 1).ControlRecipes(tpCRStateFilterAll).ItemByName("oldControlRecipeName")

'rename the control recipe and set its description

Dim result As tpRecipeRenameResult 'resultcode for the operation

result = cr.SetNameAndDescription("newName", "newDescription")

'Output result if the operation failed

If result <> tpRecipeRenameSuccess Then

MsgBox ("Rename Failed. Error Code: " & CStr(result))

End If

End Sub


BatchControlRecipePhaseEditedEventData

Manuale -> Scripting -> Objectmodel -> BatchControlRecipePhaseEditedEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the ControlRecipePhaseEdited Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

void ThisProject_Active()

{

//Check in the ControlRecipePhaseEdited Event

BatchManager().ControlRecipePhaseEdited += new ControlRecipePhaseEditedEventHandler(ThisProject_ControlRecipePhaseEdited);

}

void ThisProject_ControlRecipePhaseEdited(IBatchControlRecipePhaseEditedEventData eventData)

{

//Get the ID of the changed tags from the event data changes collection

string additionalInformation = "Changes[Tag-ID]: ";

for (var index = 0; index < eventData.Changes.TagIdCount; index++)

{

additionalInformation += "" + eventData.Changes.TagIdByIndex(index) + "; ";

}

additionalInformation += " -- Comment:\"" + eventData.Comment + "\"";

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] Control Recipe Edited. >> " + additionalInformation);

}

void ThisProject_Inactive()

{

//Check out the ControlRecipePhaseEdited Event

BatchManager().ControlRecipePhaseEdited -= ThisProject_ControlRecipePhaseEdited;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the ControlRecipePhaseEdited Event

AddHandler BatchManager().ControlRecipePhaseEdited, AddressOf ThisProject_ControlRecipePhaseEdited

End Sub

Private Sub ThisProject_ControlRecipePhaseEdited(eventData As IBatchControlRecipePhaseEditedEventData)

'Get the ID of the changed tags from the event data changes collection

Dim additionalInformation As String = "Changes[Tag-ID]: "

For index As var = 0 To eventData.Changes.TagIdCount - 1

additionalInformation += "" & eventData.Changes.TagIdByIndex(index) & "; "

Next

additionalInformation += " -- Comment:""" & Convert.ToString(eventData.Comment) & """"

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] Control Recipe Edited. >> " & additionalInformation)

End Sub

Private Sub ThisProject_Inactive()

'Check out the ControlRecipePhaseEdited Event

RemoveHandler BatchManager().ControlRecipePhaseEdited, AddressOf ThisProject_ControlRecipePhaseEdited

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Noch in diesem Kapitel

BatchControlRecipePhaseEditedEventData-Properties


BatchControlRecipePhaseEditedEventData-Properties

Manuale -> Scripting -> Objectmodel -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
IUser | User | Logged in user | not used | read only | yes | yes
IBatchPhase | OldPhase | Phase before the change | not used | read only | yes | yes
IBatchPhase | NewPhase | Phase after the change | not used | read only | yes | yes
BSTR | Comment | User Comment for the change | not used | read only | yes | yes
IBatchPhaseChanges | Changes | Ids of the changed Tags | not used | read only | yes | yes

Noch in diesem Kapitel

Time

Operation

ControlRecipe

User

OldPhase

NewPhase

Comment

Changes


Time

Manuale -> Scripting -> Objectmodel -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuale -> Scripting -> Objectmodel -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the changed phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Scripting -> Objectmodel -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that contains the phase that has been changed.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuale -> Scripting -> Objectmodel -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> User

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

User that has changed the phase

Datatype

User() As IUser

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OldPhase

Manuale -> Scripting -> Objectmodel -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> OldPhase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

): Phase configuration from before the change

Datatype

OldPhase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


NewPhase

Manuale -> Scripting -> Objectmodel -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> NewPhase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase configuration after the change.

Datatype

NewPhase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Comment

Manuale -> Scripting -> Objectmodel -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> Comment

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Edit comment the user has entered for the change. Empty if change comments are disabled.

Datatype

Comment() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Changes

Manuale -> Scripting -> Objectmodel -> BatchControlRecipePhaseEditedEventData -> BatchControlRecipePhaseEditedEventData-Properties -> Changes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Object that contains information what parts of the phase where changed.

Datatype

Changes() As IBatchPhaseChanges

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchControlRecipes

Manuale -> Scripting -> Objectmodel -> BatchControlRecipes

Remarks

A collection of the batch control recipes. It is used to iterate and get the control recipes.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroBatchControlRecipes()

{

//Get all BatchControlRecipes of a specific masterRecipe "masterRecipeName"

IBatchControlRecipes recipes = BatchManager()

.MasterRecipes().Item("masterRecipeName", 1)

.ControlRecipes(tpBatchCRStateFilter.tpCRStateFilterAll);

//Print the name of all BatchControlRecipe objects inside the BatchControlRecipes collection

for (int i = 0; i < recipes.Count; i++)

this.Parent.Parent.DebugPrint(recipes.ItemByIndex(i).Name, tpDebugPrintStyle.tpMsg);

}

VB.NET

Public Sub MacroBatchControlRecipes()

'Get all BatchControlRecipes of a specific masterRecipe "masterRecipeName"

Dim recipes As IBatchControlRecipes = BatchManager().MasterRecipes().Item("masterRecipeName", 1).ControlRecipes(tpBatchCRStateFilter.tpCRStateFilterAll)

'Print the name of all BatchControlRecipe objects inside the BatchControlRecipes collection

For i As Integer = 0 To recipes.Count - 1

Me.Parent.Parent.DebugPrint(recipes.ItemByIndex(i).Name, tpDebugPrintStyle.tpMsg)

Next

End Sub

VBA

Noch in diesem Kapitel

BatchControlRecipes-Properties

BatchControlRecipes-Methods


BatchControlRecipes-Properties

Manuale -> Scripting -> Objectmodel -> BatchControlRecipes -> BatchControlRecipes-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the count of items in the collection of control recipes | not used | read only | yes | yes

Noch in diesem Kapitel

Count


Count

Manuale -> Scripting -> Objectmodel -> BatchControlRecipes -> BatchControlRecipes-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchControlRecipes-Methods

Manuale -> Scripting -> Objectmodel -> BatchControlRecipes -> BatchControlRecipes-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IBatchControlRecipe | ItemByIndex | Returns the control recipe item at the given index | not used | read only | yes | yes
IBatchControlRecipe | ItemByName | Returns the control recipe item with the specified name | not used | read only | yes | yes
IBatchControlRecipe | ItemById | Returns the control recipe item with the specified Id | not used | read only | yes | yes
IBatchRecipeId | Create | Creates a new control recipe. Returns the Id of the new Recipe or an empty Id if no recipe could be created. | not used | read only | yes | yes

Noch in diesem Kapitel

ItemByIndex

ItemByName

ItemById

Create


ItemByIndex

Manuale -> Scripting -> Objectmodel -> BatchControlRecipes -> BatchControlRecipes-Methods -> ItemByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemByIndex(long lIndex) As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ItemByName

Manuale -> Scripting -> Objectmodel -> BatchControlRecipes -> BatchControlRecipes-Methods -> ItemByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemByName(BSTR bstrName) As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ItemById

Manuale -> Scripting -> Objectmodel -> BatchControlRecipes -> BatchControlRecipes-Methods -> ItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemById(long lId) As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Create

Manuale -> Scripting -> Objectmodel -> BatchControlRecipes -> BatchControlRecipes-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a new control recipe for the master recipe to which this control recipe container belongs.

Datatype

Create() As IBatchRecipeId

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

//Function to create a new control recipe

public void Macro_NewControlRecipe()

{

//Get a the control recipes container for the master recipe for which we want to create a new control recipe

IBatchMasterRecipe mr = BatchManager().MasterRecipes().Item("someMasterRecipe", 1);

IBatchControlRecipes crs = mr.ControlRecipes(tpBatchCRStateFilter.tpCRStateFilterAll);

//Create a new control recipe

tpCRCreateResult result; //Variable for the result code of the create operation

IBatchRecipeId newId; //Variable for the Id of the new control recipe

newId = crs.Create(out result);

//Output the result of the operation

string output = "MrId:" + newId.MRId.ToString() +

" CrId:" + newId.CRId.ToString() +

" result:" + result.ToString();

MessageBox.Show(null, output, "Create control recipe result", MessageBoxButtons.OK, MessageBoxIcon.None);

}

VB.NET

'Function to create a new control recipe

Public Sub Macro_NewControlRecipe()

'Get a the control recipes container for the master recipe for which we want to create a new control recipe

Dim mr As IBatchMasterRecipe = BatchManager().MasterRecipes().Item("someMasterRecipe", 1)

Dim crs As IBatchControlRecipes = mr.ControlRecipes(tpBatchCRStateFilter.tpCRStateFilterAll)

'Create a new control recipe

Dim result As tpCRCreateResult

'Variable for the result code of the create operation

Dim newId As IBatchRecipeId

'Variable for the Id of the new control recipe

newId = crs.Create(result)

'Output the result of the operation

Dim output As String = "MrId:" & newId.MRId.ToString() & " CrId:" & newId.CRId.ToString() & " result:" & result.ToString()

MessageBox.Show(Nothing, output, "Create control recipe result", MessageBoxButtons.OK, MessageBoxIcon.None)

End Sub

VBA

'Function to create a new control recipe

Public Sub NewControlRecipe()

'Get a the control recipes container for the master recipe for which we want to create a new control recipe

Dim mr As BatchMasterRecipe

Set mr = thisProject.BatchManager.MasterRecipes.Item("someMasterRecipe", 1)

Dim crs As BatchControlRecipes

Set crs = mr.ControlRecipes(tpCRStateFilterAll)

'Create a new control recipe

Dim result As tpCRCreateResult 'Variable for the result code of the create operation

Dim newId As BatchRecipeId 'Variable for the Id of the new control recipe

Set newId = crs.Create(result)

'Output the result of the operation

Dim output As String

output = "MrId:" & newId.MRId & " CrId:" & newId.CRId & " result:" & CStr(result)

MsgBox (output)

End Sub


BatchControlStrategy

Manuale -> Scripting -> Objectmodel -> BatchControlStrategy

Remarks

A control strategy used in batch phases. Control strategies are used to configure the command tags of a phase.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

BatchControlStrategy-Properties


BatchControlStrategy-Properties

Manuale -> Scripting -> Objectmodel -> BatchControlStrategy -> BatchControlStrategy-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Number | Strategy number of the control strategy | not used | read only | yes | yes
BSTR | Name | Name of the control strategy | not used | read only | yes | yes
BSTR | Description | Description of the control strategy | not used | read only | yes | yes

Noch in diesem Kapitel

Number

Name

Description


Number

Manuale -> Scripting -> Objectmodel -> BatchControlStrategy -> BatchControlStrategy-Properties -> Number

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Strategy number of the control strategy.

Datatype

Number() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> BatchControlStrategy -> BatchControlStrategy-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the control strategy.

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuale -> Scripting -> Objectmodel -> BatchControlStrategy -> BatchControlStrategy-Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Description of the control strategy.

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchCRSelectionChangedEventData

Manuale -> Scripting -> Objectmodel -> BatchCRSelectionChangedEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

An object of this type is passed as a parameter in the CRSelectionChangedEvent

string ScreenName; Name of the Picture, in which the selection was changed

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

// instance variable for the _batchManager to register the events

private IBatchManager _batchManager;

void ThisProject_Active()

{

_batchManager = this.BatchManager();

// Register event

_batchManager.CRSelectionChanged += new CRSelectionChangedEventHandler(ThisProject_CRSelectionChanged);

}

void ThisProject_Inactive()

{

// Unregister Event

_batchManager.CRSelectionChanged -= new CRSelectionChangedEventHandler(ThisProject_CRSelectionChanged);

}

void ThisProject_CRSelectionChanged(IBatchCRSelectionChangedEventData eventData)

{

// Get control recipe selection for the screen in which the selection has changed

object[] selectedCRIds = (object[])_batchManager.SelectedCRIds(eventData.ScreenName);

// Build an output string

string selectedCRIdsInfo = "Selected CRIds[CRId | MRId): ";

foreach (object selectedCRId in selectedCRIds)

{

IBatchRecipeId crId = (IBatchRecipeId)selectedCRId;

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; ";

}

// Write an output message

System.Diagnostics.Debug.Print("\n" + selectedCRIdsInfo);

}

VB.NET

' instance variable for the _batchManager to register the events

Private _batchManager As IBatchManager

Private Sub ThisProject_Active()

_batchManager = Me.BatchManager()

' Register event

AddHandler _batchManager.CRSelectionChanged, AddressOf ThisProject_CRSelectionChanged

End Sub

Private Sub ThisProject_Inactive()

' Unregister Event

RemoveHandler _batchManager.CRSelectionChanged, AddressOf ThisProject_CRSelectionChanged

End Sub

Private Sub ThisProject_CRSelectionChanged(eventData As IBatchCRSelectionChangedEventData)

' Get control recipe selection for the screen in which the selection has changed

Dim selectedCRIds As Object() = DirectCast(_batchManager.SelectedCRIds(eventData.ScreenName), Object())

' Build an output string

Dim selectedCRIdsInfo As String = "Selected CRIds[CRId | MRId): "

For Each selectedCRId As Object In selectedCRIds

Dim crId As IBatchRecipeId = DirectCast(selectedCRId, IBatchRecipeId)

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId & "; "

Next

' Write an output message

System.Diagnostics.Debug.Print(vbLf & selectedCRIdsInfo)

End Sub

VBA

Dim WithEvents zBatchManager As BatchManager

Private Sub Project_Active()

'Register events

Set zBatchManager = thisProject.BatchManager

End Sub

Private Sub Project_Inactive()

'Unregister events

Set zBatchManager = Nothing

End Sub

Private Sub zBatchManager_CRSelectionChanged(ByVal eventData As IBatchCRSelectionChangedEventData)

'Get the CRs of the calling screen

Dim selectedCRIds() As BatchRecipeId

selectedCRIds = zBatchManager.selectedCRIds(eventData.ScreenName)

Dim selectedCRIdsInfo As String

selectedCRIdsInfo = "Selected CRIds[CRId | MRId): "

'Get the CR Ids data

For i = 0 To UBound(selectedCRIds)

selectedCRIdsInfo = selectedCRIdsInfo & selectedCRIds(i).CRId & " | " & selectedCRIds(i).MRId & "; "

Next i

'Show messagebox with recipe Id

MsgBox (selectedCRIdsInfo)

End Sub

Noch in diesem Kapitel

BatchCRSelectionChangedEventData-Properties


BatchCRSelectionChangedEventData-Properties

Manuale -> Scripting -> Objectmodel -> BatchCRSelectionChangedEventData -> BatchCRSelectionChangedEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | ScreenName | Name of the screen in which the selection of the recipe list was changed | not used | read only | yes | yes

Noch in diesem Kapitel

ScreenName


ScreenName

Manuale -> Scripting -> Objectmodel -> BatchCRSelectionChangedEventData -> BatchCRSelectionChangedEventData-Properties -> ScreenName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the Picture, in which the selection was changed

Datatype

ScreenName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchManager

Manuale -> Scripting -> Objectmodel -> BatchManager

Remarks

Used to get the template recipe collection.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroBatchManager()

{

IBatchManager batchManager = this.BatchManager();

//Get a master recipe over its index

int mrIndex = 0;

IBatchMasterRecipe masterRecipe = batchManager.MasterRecipes().ItemByIndex(mrIndex);

// Get a master recipe over its ID

int mrId = 42;

masterRecipe = batchManager.MasterRecipes().ItemById(mrId);

//Get the data of a master recipe over its name

string mrName = "TestMR1";

masterRecipe = batchManager.MasterRecipes().Item(mrName, 1);

//Do something with the BatchMaterRecipe

}

VB.NET

Public Sub MacroBatchManager()

Dim batchManager As IBatchManager = Me.BatchManager()

'Get a master recipe over its index

Dim mrIndex As Integer = 0

Dim masterRecipe As IBatchMasterRecipe = batchManager.MasterRecipes().ItemByIndex(mrIndex)

' Get a master recipe over its ID

Dim mrId As Integer = 42

masterRecipe = batchManager.MasterRecipes().ItemById(mrId)

'Get the data of a master recipe over its name

Dim mrName As String = "TestMR1"

masterRecipe = batchManager.MasterRecipes().Item(mrName, 1)

'Do something with the BatchMaterRecipe

End Sub

VBA

Public Sub test()

// Get a master recipe over its ID

Set masterRecipe = thisProject.batchManager.MasterRecipes. ItemById (10)

//Get the data of a master recipe over its name

Set masterRecipe = thisProject.batchManager.MasterRecipes. ItemByName ("TestMR1")

//Get a master recipe over its index

Set masterRecipe = thisProject.batchManager.MasterRecipes.ItemByIndex(10)

'print text and approved time to debug window

Debug.Print ("ApprovedTime: " & masterrecipe.ApprovedTime)

End Sub

Noch in diesem Kapitel

BatchManager-Properties

BatchManager-Methods

BatchManager-Events


BatchManager-Properties

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IProject | Project | Returns the parent object | not used | read only | yes | yes
IBatchConfig | Config | Returns the Batch configuration | available | read only | yes | yes

Noch in diesem Kapitel

Project

Config


Project

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Properties -> Project

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Project() As IProject

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Config

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Properties -> Config

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Config() As IBatchConfig

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BatchManager-Methods

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IBatchMasterRecipes | MasterRecipes | Returns the collection of MasterRecipes | not used | read only | yes | yes
VARIANT | SelectedMRIds | Returns the Ids of the selected master recipes | not used | read only | yes | yes
VARIANT | SelectedCRIds | Returns the Ids of the selected control recipes | not used | read only | yes | yes

Noch in diesem Kapitel

MasterRecipes

SelectedMRIds

SelectedCRIds


MasterRecipes

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Methods -> MasterRecipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the collection of MasterRecipes.

Datatype

MasterRecipes() As IBatchMasterRecipes

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

/* NOTE: This example is to be seen in context of a windows forms environment and

* will not work if such is not given.

*/

private IBatchManager _batchManager;

public BatchControlViewer(IBatchManager batchManager)

{

_batchManager = batchManager;

InitializeComponent();

}

private void BatchControlViewer_Load(object sender, EventArgs e)

{

_batchManager.PhaseCommErrorEvent += new PhaseCommErrorEventEventHandler(_batchManager_PhaseCommErrorEvent);

_batchManager.PhaseEscapeEvent += new PhaseEscapeEventEventHandler(_batchManager_PhaseEscapeEvent);

_batchManager.PhaseExecErrorEvent += new PhaseExecErrorEventEventHandler(_batchManager_PhaseExecErrorEvent);

_batchManager.PhaseModeChangedEvent += new PhaseModeChangedEventEventHandler(_batchManager_PhaseModeChangedEvent);

_batchManager.PhasePlcErrorEvent += new PhasePlcErrorEventEventHandler(_batchManager_PhasePlcErrorEvent);

_batchManager.PhaseProgressEvent += new PhaseProgressEventEventHandler(_batchManager_PhaseProgressEvent);

_batchManager.PhaseRtEvent += new PhaseRtEventEventHandler(_batchManager_PhaseRtEvent);

_batchManager.PhaseStateChangedEvent += new PhaseStateChangedEventEventHandler(_batchManager_PhaseStateChangedEvent);

}

void _batchManager_PhaseStateChangedEvent(IBatchStateChangedEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseStateChangedEvent: " + eventData.OldState + " -> " + eventData.NewState);

}

void _batchManager_PhaseRtEvent(IBatchRtEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseRtEvent");

}

void _batchManager_PhaseProgressEvent(IBatchProgressEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseProgressEvent");

}

void _batchManager_PhasePlcErrorEvent(IBatchPlcErrorEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhasePlcErrorEvent");

}

void _batchManager_PhaseModeChangedEvent(IBatchModeChangedEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseModeChangedEvent: " + eventData.OldMode + " -> " + eventData.NewMode);

}

void _batchManager_PhaseExecErrorEvent(IBatchExecErrorEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseExecErrorEvent");

}

void _batchManager_PhaseEscapeEvent(IBatchEscapeEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseEscapeEvent");

}

void _batchManager_PhaseCommErrorEvent(IBatchCommErrorEventData eventData)

{

AddEventTextToList("[" + eventData.Time.ToString() + "] PhaseCommErrorEvent");

}

private void AddEventTextToList(string eventText)

{

_listBox_events.Items.Add(eventText);

_listBox_events.SelectedIndex = _listBox_events.Items.Count - 1;

}

private void _button_clearEventList_Click(object sender, EventArgs e)

{

_listBox_events.Items.Clear();

}

private void _button_clearErrorList_Click(object sender, EventArgs e)

{

_listBox_errors.Items.Clear();

}

private void _button_reloadMR_Click(object sender, EventArgs e)

{

_dataGridView_MR.Rows.Clear();

List<int> mrIDList = new List<int>();

int mrCnt = _batchManager.MasterRecipes().Count;

for (var index = 0; index < mrCnt; index++)

{

IBatchMasterRecipe masterRecipe_temp = _batchManager.MasterRecipes().ItemByIndex(index);

if(masterRecipe_temp!= null)

mrIDList.Add(Convert.ToInt32(masterRecipe_temp.ID));

}

List<string> mrNameList = new List<string>();

foreach (var mrID in mrIDList)

mrNameList.Add(_batchManager.MasterRecipes().ItemById(mrID).Name);

foreach(string mrName in mrNameList)

{

IBatchMasterRecipe masterRecipe = _batchManager.MasterRecipes().ItemByName(mrName);

_dataGridView_MR.Rows.Add(masterRecipe.ApprovedTime,

masterRecipe.ApprovedUserId,

masterRecipe.ApprovedUserName,

masterRecipe.Description,

masterRecipe.ID,

masterRecipe.MrState,

masterRecipe.Name,

masterRecipe.OutdatedTime,

masterRecipe.OutdatedUserId,

masterRecipe.OutdatedUserName,

masterRecipe.ReeMode,

masterRecipe.ReeState,

masterRecipe.Type

);

}

Test(new Action<bool>((x) => { BatchMasterRecipe mr = new BatchMasterRecipe(); }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().ApprovedTime = DateTime.Now; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().ApprovedUserId = "0"; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().ApprovedUserName = "0"; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().Description = "0"; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().ID = 0; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().MrState = tpBatchMrState.tpMRState_Creating; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().Name = "0"; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().OutdatedTime = DateTime.Now; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().OutdatedUserId = "0"; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().OutdatedUserName = "0"; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().Parent = null; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().ReeMode = tpBatchREEMode.tpRM_Automatic; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().ReeState = tpBatchREEState.tpRS_ABORTED; }));

Test(new Action<bool>((x) => { new BatchMasterRecipe().Type = "0"; }));

}

private void Test(Delegate d)

{

try

{

d.DynamicInvoke(false);

}

catch (Exception ex)

{

_listBox_errors.Items.Add(ex.InnerException.Message + " -> " + ex.InnerException.TargetSite);

}

}

VB.NET

' NOTE: This example is to be seen in context of a windows forms environment and

' * will not work if such is not given.

'

Private _batchManager As IBatchManager

Public Sub New(batchManager As IBatchManager)

_batchManager = batchManager

InitializeComponent()

End Sub

Private Sub BatchControlViewer_Load(sender As Object, e As EventArgs)

AddHandler _batchManager.PhaseCommErrorEvent, AddressOf _batchManager_PhaseCommErrorEvent

AddHandler _batchManager.PhaseEscapeEvent, AddressOf _batchManager_PhaseEscapeEvent

AddHandler _batchManager.PhaseExecErrorEvent, AddressOf _batchManager_PhaseExecErrorEvent

AddHandler _batchManager.PhaseModeChangedEvent, AddressOf _batchManager_PhaseModeChangedEvent

AddHandler _batchManager.PhasePlcErrorEvent, AddressOf _batchManager_PhasePlcErrorEvent

AddHandler _batchManager.PhaseProgressEvent, AddressOf _batchManager_PhaseProgressEvent

AddHandler _batchManager.PhaseRtEvent, AddressOf _batchManager_PhaseRtEvent

AddHandler _batchManager.PhaseStateChangedEvent, _batchManager_PhaseStateChangedEvent

End Sub

Private Sub _batchManager_PhaseStateChangedEvent(eventData As IBatchStateChangedEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseStateChangedEvent: " & Convert.ToString(eventData.OldState) & " -> " & Convert.ToString(eventData.NewState))

End Sub

Private Sub _batchManager_PhaseRtEvent(eventData As IBatchRtEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseRtEvent")

End Sub

Private Sub _batchManager_PhaseProgressEvent(eventData As IBatchProgressEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseProgressEvent")

End Sub

Private Sub _batchManager_PhasePlcErrorEvent(eventData As IBatchPlcErrorEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhasePlcErrorEvent")

End Sub

Private Sub _batchManager_PhaseModeChangedEvent(eventData As IBatchModeChangedEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseModeChangedEvent: " & Convert.ToString(eventData.OldMode) & " -> " & Convert.ToString(eventData.NewMode))

End Sub

Private Sub _batchManager_PhaseExecErrorEvent(eventData As IBatchExecErrorEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseExecErrorEvent")

End Sub

Private Sub _batchManager_PhaseEscapeEvent(eventData As IBatchEscapeEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseEscapeEvent")

End Sub

Private Sub _batchManager_PhaseCommErrorEvent(eventData As IBatchCommErrorEventData)

AddEventTextToList("[" & eventData.Time.ToString() & "] PhaseCommErrorEvent")

End Sub

Private Sub AddEventTextToList(eventText As String)

_listBox_events.Items.Add(eventText)

_listBox_events.SelectedIndex = _listBox_events.Items.Count - 1

End Sub

Private Sub _button_clearEventList_Click(sender As Object, e As EventArgs)

_listBox_events.Items.Clear()

End Sub

Private Sub _button_clearErrorList_Click(sender As Object, e As EventArgs)

_listBox_errors.Items.Clear()

End Sub

Private Sub _button_reloadMR_Click(sender As Object, e As EventArgs)

_dataGridView_MR.Rows.Clear()

Dim mrIDList As New List(Of Integer)()

Dim mrCnt As Integer = _batchManager.MasterRecipes().Count

For index As var = 0 To mrCnt - 1

Dim masterRecipe_temp As IBatchMasterRecipe = _batchManager.MasterRecipes().ItemByIndex(index)

If masterRecipe_temp IsNot Nothing Then

mrIDList.Add(Convert.ToInt32(masterRecipe_temp.ID))

End If

Next

Dim mrNameList As New List(Of String)()

For Each mrID As var In mrIDList

mrNameList.Add(_batchManager.MasterRecipes().ItemById(mrID).Name)

Next

For Each mrName As String In mrNameList

Dim masterRecipe As IBatchMasterRecipe = _batchManager.MasterRecipes().ItemByName(mrName)

_dataGridView_MR.Rows.Add(masterRecipe.ApprovedTime, masterRecipe.ApprovedUserId, masterRecipe.ApprovedUserName, masterRecipe.Description, masterRecipe.ID, masterRecipe.MrState, _

masterRecipe.Name, masterRecipe.OutdatedTime, masterRecipe.OutdatedUserId, masterRecipe.OutdatedUserName, masterRecipe.ReeMode, masterRecipe.ReeState, _

masterRecipe.Type)

Next

End Sub

VBA


SelectedMRIds

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Methods -> SelectedMRIds

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets all the id's of the selected recipes in the recipelist in the „bstrScreenName". If a Batchscreen ist found a INT [] is returned with the id's of the selected recipes.

Datatype

SelectedMRIds(BSTR bstrScreenName) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//When a element ist clicked a event is fired

this.DynPictures().ElementLeftButtonDown += new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

}

void ThisProject_ElementLeftButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Get the current name of the screen

currentPictureName = obDynPicture.Name;

}

void ThisProject_Inactive()

{

this.DynPictures().ElementLeftButtonDown -= new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

FreeObjects();

}

#region Macros (Add macros in this region)

public void Macro_ShowSelectedRecipes()

{

if (currentPictureName == "")

return;

//Definition of the selected recipe Ids buffers

int[] selectedMRIds =(int[])this.BatchManager().SelectedMRIds(currentPictureName);

object[] selectedCRIds = (object[])this.BatchManager().SelectedCRIds(currentPictureName);

//Get MR Ids data

string selectedMRIdsInfo = "Selected MRIds: ";

foreach (int selectedMRId in selectedMRIds)

selectedMRIdsInfo += selectedMRId + "; ";

//Get CR Ids data

string selectedCRIdsInfo = "Selected CRIds[CRId | MRId): ";

foreach (object selectedCRId in selectedCRIds)

{

IBatchRecipeId crId = (IBatchRecipeId)selectedCRId;

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; ";

}

//Show messagebox with selected recipe Ids

MessageBox.Show(null, selectedMRIdsInfo + "\n" + selectedCRIdsInfo, "Selected Recipe Ids", MessageBoxButtons.OK, MessageBoxIcon.None);

}

#endregion

VB.NET

Private Sub ThisProject_Active()

'When a element ist clicked a event is fired

AddHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

End Sub

Private Sub ThisProject_ElementLeftButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Get the current name of the screen

currentPictureName = obDynPicture.Name

End Sub

Private Sub ThisProject_Inactive()

RemoveHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

FreeObjects()

End Sub

#Region "Macros (Add macros in this region)"

Public Sub Macro_ShowSelectedRecipes()

If currentPictureName = "" Then

Return

End If

'Definition of the selected recipe Ids buffers

Dim selectedMRIds As Integer() = DirectCast(Me.BatchManager().SelectedMRIds(currentPictureName), Integer())

Dim selectedCRIds As Object() = DirectCast(Me.BatchManager().SelectedCRIds(currentPictureName), Object())

'Get MR Ids data

Dim selectedMRIdsInfo As String = "Selected MRIds: "

For Each selectedMRId As Integer In selectedMRIds

selectedMRIdsInfo += selectedMRId & "; "

Next

'Get CR Ids data

Dim selectedCRIdsInfo As String = "Selected CRIds[CRId | MRId): "

For Each selectedCRId As Object In selectedCRIds

Dim crId As IBatchRecipeId = DirectCast(selectedCRId, IBatchRecipeId)

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId & "; "

Next

'Show messagebox with selected recipe Ids

MessageBox.Show(Nothing, selectedMRIdsInfo & vbLf & selectedCRIdsInfo, "Selected Recipe Ids", MessageBoxButtons.OK, MessageBoxIcon.None)

End Sub

#End Region

VBA

Public Sub ShowSelectedRecipes()

'Definition of the screen name

Dim dynPictureName As String

dynPictureName = "MainWindow"

'Get the MRs of the calling screen

Dim selectedMRIds() As Long

selectedMRIds = thisProject.BatchManager.selectedMRIds(dynPictureName)

'Get the CRs of the calling screen

Dim selectedCRIds() As BatchRecipeId

selectedCRIds = thisProject.BatchManager.selectedCRIds(dynPictureName)

Dim selectedMRIdsInfo As String

selectedMRIdsInfo = "Selected MRIds: "

'Get the MR Ids data

For i = 0 To UBound(selectedMRIds)

selectedMRIdsInfo = selectedMRIdsInfo & selectedMRIds(i) & "; "

Next i

selectedMRIdsInfo = selectedMRIdsInfo & vbCrLf

Dim selectedCRIdsInfo As String

selectedCRIdsInfo = "Selected CRIds[CRId | MRId): "

'Get the CR Ids data

For i = 0 To UBound(selectedCRIds)

selectedCRIdsInfo = selectedCRIdsInfo & selectedCRIds(i).CRId & " | " & selectedCRIds(i).MRId & "; "

Next i

'Show messagebox with selected recipe Ids

MsgBox (selectedMRIdsInfo + selectedCRIdsInfo)

End Sub


SelectedCRIds

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Methods -> SelectedCRIds

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets all the id's of the selected control recipes in the recipelist in the „bstrScreenName". If a Batchscreen ist found a BatchRecipeId [] is returned with the id's of the selected control recipes.

Datatype

SelectedCRIds(BSTR bstrScreenName) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

void ThisProject_Active()

{

//When a element ist clicked a event is fired

this.DynPictures().ElementLeftButtonDown += new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

}

void ThisProject_ElementLeftButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Get the current name of the screen

currentPictureName = obDynPicture.Name;

}

void ThisProject_Inactive()

{

this.DynPictures().ElementLeftButtonDown -= new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

FreeObjects();

}

#region Macros (Add macros in this region)

public void Macro_ShowSelectedRecipes()

{

if (currentPictureName == "")

return;

//Definition of the selected recipe Ids buffers

int[] selectedMRIds =(int[])this.BatchManager().SelectedMRIds(currentPictureName);

object[] selectedCRIds = (object[])this.BatchManager().SelectedCRIds(currentPictureName);

//Get MR Ids data

string selectedMRIdsInfo = "Selected MRIds: ";

foreach (int selectedMRId in selectedMRIds)

selectedMRIdsInfo += selectedMRId + "; ";

//Get CR Ids data

string selectedCRIdsInfo = "Selected CRIds[CRId | MRId): ";

foreach (object selectedCRId in selectedCRIds)

{

IBatchRecipeId crId = (IBatchRecipeId)selectedCRId;

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; ";

}

//Show messagebox with selected recipe Ids

MessageBox.Show(null, selectedMRIdsInfo + "\n" + selectedCRIdsInfo, "Selected Recipe Ids", MessageBoxButtons.OK, MessageBoxIcon.None);

}

#endregion

VB.NET

Private Sub ThisProject_Active()

'When a element is clicked a event is fired

AddHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

End Sub

Private Sub ThisProject_ElementLeftButtonDown(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Get the current name of the screen

currentPictureName = obDynPicture.Name

End Sub

Private Sub ThisProject_Inactive()

RemoveHandler Me.DynPictures().ElementLeftButtonDown, AddressOf ThisProject_ElementLeftButtonDown

FreeObjects()

End Sub

#Region "Macros (Add macros in this region)"

Public Sub Macro_ShowSelectedRecipes()

If currentPictureName = "" Then

Return

End If

'Definition of the selected recipe Ids buffers

Dim selectedMRIds As Integer() = DirectCast(Me.BatchManager().SelectedMRIds(currentPictureName), Integer())

Dim selectedCRIds As Object() = DirectCast(Me.BatchManager().SelectedCRIds(currentPictureName), Object())

'Get MR Ids data

Dim selectedMRIdsInfo As String = "Selected MRIds: "

For Each selectedMRId As Integer In selectedMRIds

selectedMRIdsInfo += selectedMRId & "; "

Next

'Get CR Ids data

Dim selectedCRIdsInfo As String = "Selected CRIds[CRId | MRId): "

For Each selectedCRId As Object In selectedCRIds

Dim crId As IBatchRecipeId = DirectCast(selectedCRId, IBatchRecipeId)

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId & "; "

Next

'Show messagebox with selected recipe Ids

MessageBox.Show(Nothing, selectedMRIdsInfo & vbLf & selectedCRIdsInfo, "Selected Recipe Ids", MessageBoxButtons.OK, MessageBoxIcon.None)

End Sub

#End Region

VBA

Examples

C#

void ThisProject_Active()

{

//When a element ist clicked a event is fired

this.DynPictures().ElementLeftButtonDown += new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

}

void ThisProject_ElementLeftButtonDown(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Get the current name of the screen

currentPictureName = obDynPicture.Name;

}

void ThisProject_Inactive()

{

this.DynPictures().ElementLeftButtonDown -= new ElementLeftButtonDownEventHandler(ThisProject_ElementLeftButtonDown);

FreeObjects();

}

#region Macros (Add macros in this region)

public void Macro_ShowSelectedRecipes()

{

if (currentPictureName == "")

return;

//Definition of the selected recipe Ids buffers

int[] selectedMRIds =(int[])this.BatchManager().SelectedMRIds(currentPictureName);

object[] selectedCRIds = (object[])this.BatchManager().SelectedCRIds(currentPictureName);

//Get MR Ids data

string selectedMRIdsInfo = "Selected MRIds: ";

foreach (int selectedMRId in selectedMRIds)

selectedMRIdsInfo += selectedMRId + "; ";

//Get CR Ids data

string selectedCRIdsInfo = "Selected CRIds[CRId | MRId): ";

foreach (object selectedCRId in selectedCRIds)

{

IBatchRecipeId crId = (IBatchRecipeId)selectedCRId;

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; ";

}

//Show messagebox with selected recipe Ids

MessageBox.Show(null, selectedMRIdsInfo + "\n" + selectedCRIdsInfo, "Selected Recipe Ids", MessageBoxButtons.OK, MessageBoxIcon.None);

}

#endregion

VB.NET

VBA

Public Sub ShowSelectedRecipes()

'Definition of the screen name

Dim dynPictureName As String

dynPictureName = "MainWindow"

'Get the MRs of the calling screen

Dim selectedMRIds() As Long

selectedMRIds = thisProject.BatchManager.selectedMRIds(dynPictureName)

'Get the CRs of the calling screen

Dim selectedCRIds() As BatchRecipeId

selectedCRIds = thisProject.BatchManager.selectedCRIds(dynPictureName)

Dim selectedMRIdsInfo As String

selectedMRIdsInfo = "Selected MRIds: "

'Get the MR Ids data

For i = 0 To UBound(selectedMRIds)

selectedMRIdsInfo = selectedMRIdsInfo & selectedMRIds(i) & "; "

Next i

selectedMRIdsInfo = selectedMRIdsInfo & vbCrLf

Dim selectedCRIdsInfo As String

selectedCRIdsInfo = "Selected CRIds[CRId | MRId): "

'Get the CR Ids data

For i = 0 To UBound(selectedCRIds)

selectedCRIdsInfo = selectedCRIdsInfo & selectedCRIds(i).CRId & " | " & selectedCRIds(i).MRId & "; "

Next i

'Show messagebox with selected recipe Ids

MsgBox (selectedMRIdsInfo + selectedCRIdsInfo)

End Sub


BatchManager-Events

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | PhaseProgress | Event is fired when there is a significant change to the internal State of a phase in during execution | not used | read only | yes | yes
void | PhaseExecutionError | Event is fired when an execution error occures in a phase (Timeouts, etc.) | not used | read only | yes | yes
void | PhaseStateChanged | Event is fired when the execution state of a phase is changed | not used | read only | yes | yes
void | PhaseModeChanged | Event is fired when the execution mode of a phase is changed | not used | read only | yes | yes
void | PhaseRuntimeEvent | Event is fired when runtime events are triggered during the execution of a phase | not used | read only | yes | yes
void | PhaseCommunicationError | Event is fired when the communication error state of a phase is changed | not used | read only | yes | yes
void | PhasePlcError | Event is fired when the plc error state of a phase is changed | not used | read only | yes | yes
void | PhaseEscape | Event is fired when the escape state of a phase is changed | not used | read only | yes | yes
void | ControlRecipePhaseEdited | Event is fired when a phase in a control recipe gets edited | not used | read only | yes | yes
void | RecipeStateChanged | Event is fired when the execution state of a recipe is changed | not used | read only | yes | yes
void | RecipeModeChanged | Event is fired when the execution mode of a recipe is changed | not used | read only | yes | yes
void | MRSelectionChanged | Event is fired when the selection in a Master Recipe List is changed | not used | read only | yes | yes
void | CRSelectionChanged | Event is fired when the selection in a Control Recipe List is changed | not used | read only | yes | yes

Noch in diesem Kapitel

PhaseProgress

PhaseExecutionError

PhaseStateChanged

PhaseModeChanged

PhaseRuntimeEvent

PhaseCommunicationError

PhasePlcError

PhaseEscape

ControlRecipePhaseEdited

RecipeStateChanged

RecipeModeChanged

MRSelectionChanged

CRSelectionChanged


PhaseProgress

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Events -> PhaseProgress

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is fired when the phase progress changes.

List of events:

  • Phase activated
  • Unit allocation not possible
  • Phase started
  • Input interlocking blocked
  • Waiting period unit allocation exceeded
  • Waiting period input interlocking exceeded
  • Finished writing command tags
  • Maximum waiting period phase done condition exceeded
  • Phase done condition completed
  • Phase deactivated

IBatchPhaseProgressEventData contains a enum property which contains the event type.

Datatype

PhaseProgress(IBatchPhaseProgressEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseProgress Event

BatchManager().PhaseProgress += new PhaseProgressEventHandler(

ThisProject_PhaseProgress);

}

void ThisProject_PhaseProgress(IBatchPhaseProgressEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseProgress: " + eventData.PhaseState);

}

void ThisProject_Inactive()

{

//Check out the PhaseProgress Event

BatchManager().PhaseProgress -= ThisProject_PhaseProgress;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseProgress Event

AddHandler BatchManager().PhaseProgress, AddressOf ThisProject_PhaseProgress

End Sub

Private Sub ThisProject_PhaseProgress(eventData As IBatchPhaseProgressEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] PhaseProgress: " & Convert.ToString(eventData.PhaseState))

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseProgress Event

RemoveHandler BatchManager().PhaseProgress, AddressOf ThisProject_PhaseProgress

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a phase is in progress

Private Sub zBatchManager_PhaseProgress(ByVal eventData As IBatchPhaseProgressEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Phase in Progress")

End Sub


PhaseExecutionError

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Events -> PhaseExecutionError

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when execution error occurs.

List of events:

  • Phase started multiple times
  • Waiting period unit allocation exceeded
  • Waiting period input interlocking exceeded
  • Command tag without value

Datatype

PhaseExecutionError(IBatchPhaseExecutionErrorEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseExecutionError Event

BatchManager().PhaseExecutionError += new PhaseExecutionErrorEventHandler(

ThisProject_PhaseExecutionError);

}

void ThisProject_PhaseExecutionError(IBatchPhaseExecutionErrorEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseExecutionError: " + eventData.ExecutionErrorState);

}

void ThisProject_Inactive()

{

//Check out the PhaseExecutionError Event

BatchManager().PhaseExecutionError -= ThisProject_PhaseExecutionError;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseExecutionError Event

AddHandler BatchManager().PhaseExecutionError, AddressOf ThisProject_PhaseExecutionError

End Sub

Private Sub ThisProject_PhaseExecutionError(eventData As IBatchPhaseExecutionErrorEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] PhaseExecutionError: " & Convert.ToString(eventData.ExecutionErrorState))

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseExecutionError Event

RemoveHandler BatchManager().PhaseExecutionError, AddressOf ThisProject_PhaseExecutionError

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a phase gets an error

Private Sub zBatchManager_PhaseExecutionError(ByVal eventData As IBatchPhaseExecutionErrorEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Execution Error")

End Sub


PhaseStateChanged

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Events -> PhaseStateChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when the phase state changes (running, paused, etc...).

List of displayed execution events:

  • State change: In execution
  • State change: Pausing
  • State change: Paused
  • State change:Finished
  • State change: Restart
  • State change: Holding
  • State change: Held
  • State change: Stopping
  • State change: Stopped
  • State change: Aborting
  • State change: Aborted
  • State change: Continue

Datatype

PhaseStateChanged(IBatchPhaseStateChangedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseStateChanged Event

BatchManager().PhaseStateChanged += new PhaseStateChangedEventHandler(

ThisProject_PhaseStateChanged);

}

void ThisProject_PhaseStateChanged(IBatchPhaseStateChangedEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseStateChanged: " + eventData.OldSExecutiontate + " -> " + eventData.NewExecutionState);

}

void ThisProject_Inactive()

{

//Check out the PhaseStateChanged Event

BatchManager().PhaseStateChanged -= ThisProject_PhaseStateChanged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseStateChanged Event

AddHandler BatchManager().PhaseStateChanged, AddressOf ThisProject_PhaseStateChanged

End Sub

Private Sub ThisProject_PhaseStateChanged(eventData As IBatchPhaseStateChangedEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] PhaseStateChanged: " & Convert.ToString(eventData.OldSExecutiontate) & " -> " & Convert.ToString(eventData.NewExecutionState))

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseStateChanged Event

RemoveHandler BatchManager().PhaseStateChanged, AddressOf ThisProject_PhaseStateChanged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when the state of the phase gets changed

Private Sub zBatchManager_PhaseStateChanged(ByVal eventData As IBatchPhaseStateChangedEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " Phase state changed")

End Sub


PhaseModeChanged

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Events -> PhaseModeChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when a execution mode changes (manual, semi-automatic, automatic), during a active phase.

List of events

  • REE mode change: automatic
  • REE mode change: semi-automatic
  • REE mode change: manual

Datatype

PhaseModeChanged(IBatchPhaseModeChangedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseModeChanged Event

BatchManager().PhaseModeChanged += new PhaseModeChangedEventHandler(ThisProject_PhaseModeChanged);

}

void ThisProject_PhaseModeChanged(IBatchPhaseModeChangedEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseModeChanged: " + eventData.OldExecutionMode + " -> " + eventData.NewExecutionMode);

}

void ThisProject_Inactive()

{

//Check out the PhaseModeChanged Event

BatchManager().PhaseModeChanged -= ThisProject_PhaseModeChanged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseModeChanged Event

AddHandler BatchManager().PhaseModeChanged, AddressOf ThisProject_PhaseModeChanged

End Sub

Private Sub ThisProject_PhaseModeChanged(eventData As IBatchPhaseModeChangedEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] PhaseModeChanged: " & Convert.ToString(eventData.OldExecutionMode) & " -> " & Convert.ToString(eventData.NewExecutionMode))

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseModeChanged Event

RemoveHandler BatchManager().PhaseModeChanged, AddressOf ThisProject_PhaseModeChanged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when the execution mode gets changed while a phase is active

Private Sub zBatchManager_PhaseModeChanged(ByVal eventData As IBatchPhaseModeChangedEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Phase Mode changed")

End Sub


PhaseRuntimeEvent

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Events -> PhaseRuntimeEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when closing or restarting the runtime, during a active phase.

List of events:

  • Runtime closing
  • Runtime restart

Datatype

PhaseRuntimeEvent(IBatchPhaseRuntimeEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseRuntime Event

BatchManager().PhaseRuntimeEvent += new PhaseRuntimeEventEventHandler(

ThisProject_PhaseRuntimeEvent);

}

void ThisProject_PhaseRuntimeEvent(IBatchPhaseRuntimeEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseRuntimeEvent: "

+ eventData.RuntimeEvent);

}

void ThisProject_Inactive()

{

//Check out the PhaseRuntime Event

BatchManager().PhaseRuntimeEvent -= ThisProject_PhaseRuntimeEvent;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseRuntime Event

AddHandler BatchManager().PhaseRuntimeEvent, AddressOf ThisProject_PhaseRuntimeEvent

End Sub

Private Sub ThisProject_PhaseRuntimeEvent(eventData As IBatchPhaseRuntimeEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseRuntimeEvent: " + eventData.RuntimeEvent)

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseRuntime Event

RemoveHandler BatchManager().PhaseRuntimeEvent, AddressOf ThisProject_PhaseRuntimeEvent

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when the RT gets started or closed while a phase is active

Private Sub zBatchManager_PhaseRuntimeEvent(ByVal eventData As IBatchPhaseRuntimeEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: RT event")

End Sub


PhaseCommunicationError

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Events -> PhaseCommunicationError

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired in case of a communication error, or the communication state changes.

List of events:

  • Loss of communication
  • Loss of communication fixed
  • Loss of communication acknowledged

Datatype

PhaseCommunicationError(IBatchPhaseCommunicationErrorEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseCommunicationError Event

BatchManager().PhaseCommunicationError += new PhaseCommunicationErrorEventHandler(

ThisProject_PhaseCommunicationError);

}

void ThisProject_PhaseCommunicationError(IBatchPhaseCommunicationErrorEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseCommunicationError: " + eventData.CommunicationErrorState);

}

void ThisProject_Inactive()

{

//Check out the PhaseCommunicationError Event

BatchManager().PhaseCommunicationError -= ThisProject_PhaseCommunicationError;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseCommunicationError Event

AddHandler BatchManager().PhaseCommunicationError, AddressOf ThisProject_PhaseCommunicationError

End Sub

Private Sub ThisProject_PhaseCommunicationError(eventData As IBatchPhaseCommunicationErrorEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] PhaseCommunicationError: " & Convert.ToString(eventData.CommunicationErrorState))

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseCommunicationError Event

RemoveHandler BatchManager().PhaseCommunicationError, AddressOf ThisProject_PhaseCommunicationError

'Final release and garbage collection of any API-Objects.

FreeObjects

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a active phase gets a communication error or the error state gets changed

Private Sub zBatchManager_PhaseCommunicationError(ByVal eventData As IBatchPhaseCommunicationErrorEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Communication error")

End Sub


PhasePlcError

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Events -> PhasePlcError

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when a plc error enters or leaves.

Datatype

PhasePlcError(IBatchPhasePlcErrorEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhasePlcError Event

BatchManager().PhasePlcError += new PhasePlcErrorEventHandler(

ThisProject_PhasePlcError);

}

void ThisProject_PhasePlcError(IBatchPhasePlcErrorEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhasePlcError: " + eventData.PlcErrorState);

}

void ThisProject_Inactive()

{

//Check out the PhasePlcError Event

BatchManager().PhasePlcError -= ThisProject_PhasePlcError;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhasePlcError Event

AddHandler BatchManager().PhasePlcError, AddressOf ThisProject_PhasePlcError

End Sub

Private Sub ThisProject_PhasePlcError(eventData As IBatchPhasePlcErrorEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] PhasePlcError: " & Convert.ToString(eventData.PlcErrorState))

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhasePlcError Event

RemoveHandler BatchManager().PhasePlcError, AddressOf ThisProject_PhasePlcError

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when the PLC gets an error or the error is gone while a phase is active

Private Sub zBatchManager_PhasePlcError(ByVal eventData As IBatchPhasePlcErrorEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: PLC error")

End Sub


PhaseEscape

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Events -> PhaseEscape

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when closing/leaving a phase.

List of events:

  • Escape condition started
  • Escape condition fulfilled

Datatype

PhaseEscape(IBatchPhaseEscapeEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the PhaseEscape Event

BatchManager().PhaseEscape += new PhaseEscapeEventHandler(

ThisProject_PhaseEscape);

}

void ThisProject_PhaseEscape (IBatchPhaseEscapeEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseEscape: "

+ eventData.EscapeState);

}

void ThisProject_Inactive()

{

//Check out the PhaseEscape Event

BatchManager().PhaseEscape -= ThisProject_PhaseEscape;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the PhaseEscape Event

AddHandler BatchManager().PhaseEscape, AddressOf ThisProject_PhaseEscape

End Sub

Private Sub ThisProject_PhaseEscape(eventData As IBatchPhaseEscapeEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] PhaseEscape: " + eventData.EscapeState)

End Sub

Private Sub ThisProject_Inactive()

'Check out the PhaseEscape Event

RemoveHandler BatchManager().PhaseEscape, AddressOf ThisProject_PhaseEscape

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a phase gets or is escaped

Private Sub zBatchManager_PhaseEscape(ByVal eventData As IBatchPhaseEscapeEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Escape")

End Sub


ControlRecipePhaseEdited

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Events -> ControlRecipePhaseEdited

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The event gets fired, when a phase in a control recipe is edited. The eventData object contains all information about the change that was made.

Datatype

ControlRecipePhaseEdited(IBatchControlRecipePhaseEditedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the ControlRecipePhaseEdited Event

BatchManager().ControlRecipePhaseEdited += new ControlRecipePhaseEditedEventHandler(ThisProject_ControlRecipePhaseEdited);

}

void ThisProject_ControlRecipePhaseEdited(IBatchControlRecipePhaseEditedEventData eventData)

{

//Get the ID of the changed tags from the event data changes collection

string additionalInformation = "Changes[Tag-ID]: ";

for (var index = 0; index < eventData.Changes.TagIdCount; index++)

{

additionalInformation += "" + eventData.Changes.TagIdByIndex(index) + "; ";

}

additionalInformation += " -- Comment:\"" + eventData.Comment + "\"";

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] Control Recipe Edited. >> " + additionalInformation);

}

void ThisProject_Inactive()

{

//Check out the ControlRecipePhaseEdited Event

BatchManager().ControlRecipePhaseEdited -= ThisProject_ControlRecipePhaseEdited;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the ControlRecipePhaseEdited Event

AddHandler BatchManager().ControlRecipePhaseEdited, AddressOf ThisProject_ControlRecipePhaseEdited

End Sub

Private Sub ThisProject_ControlRecipePhaseEdited(eventData As IBatchControlRecipePhaseEditedEventData)

'Get the ID of the changed tags from the event data changes collection

Dim additionalInformation As String = "Changes[Tag-ID]: "

For index As var = 0 To eventData.Changes.TagIdCount - 1

additionalInformation += "" & eventData.Changes.TagIdByIndex(index) & "; "

Next

additionalInformation += " -- Comment:""" & Convert.ToString(eventData.Comment) & """"

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] Control Recipe Edited. >> " & additionalInformation)

End Sub

Private Sub ThisProject_Inactive()

'Check out the ControlRecipePhaseEdited Event

RemoveHandler BatchManager().ControlRecipePhaseEdited, AddressOf ThisProject_ControlRecipePhaseEdited

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA


RecipeStateChanged

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Events -> RecipeStateChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired when the execution state of a recipe changes

Changes to the recipe execution state that cause this event:

  • State change: running
  • State change: pausing
  • State change: paused
  • State change: resume
  • State change: holding
  • State change: held
  • State change: restarting
  • State change: stopping
  • State change: stopped
  • State change: aborting
  • State change: aborted
  • State change: complete

Datatype

RecipeStateChanged(IBatchRecipeStateChangedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the RecipeStateChanged Event

BatchManager().RecipeStateChanged += new RecipeStateChangedEventHandler (

ThisProject_RecipeStateChanged);

}

void ThisProject_RecipeStateChanged(IBatchRecipeStateChangedEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] RecipeStateChanged: " + eventData.OldExecutionState + " -> " + eventData.NewExecutionState);

}

void ThisProject_Inactive()

{

//Check out the RecipeStateChanged Event

BatchManager().RecipeStateChanged -= ThisProject_RecipeStateChanged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the RecipeStateChanged Event

AddHandler BatchManager().RecipeStateChanged, AddressOf ThisProject_RecipeStateChanged

End Sub

Private Sub ThisProject_RecipeStateChanged(eventData As IBatchRecipeStateChangedEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] RecipeStateChanged: " & Convert.ToString(eventData.OldExecutionState) & " -> " & Convert.ToString(eventData.NewExecutionState))

End Sub

Private Sub ThisProject_Inactive()

'Check out the RecipeStateChanged Event

RemoveHandler BatchManager().RecipeStateChanged, AddressOf ThisProject_RecipeStateChanged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a recipe changes its state

Private Sub zBatchManager_ RecipeStateChanged (ByVal eventData As IBatchRecipeStateChangedEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Recipe State change")

End Sub


RecipeModeChanged

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Events -> RecipeModeChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired if the execution mode of a recipe is changed during its execution. Additionally it is fired once at the start of the recipe with the initial mode as old and as new mode.

Changes to the execution mode that cause this event:

  • Mode Change: automatic
  • Mode Change: semi-automatic
  • Mode Change: manual

Datatype

RecipeModeChanged(IBatchRecipeModeChangedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the RecipeModeChanged Event

BatchManager().RecipeModeChanged += new RecipeModeChangedEventHandler (

ThisProject_RecipeModeChanged);

}

void ThisProject_RecipeModeChanged(IBatchRecipeModeChangedEventData eventData)

{

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] RecipeModeChanged: " + eventData.OldExecutionMode + " -> " + eventData.NewExecutionMode);

}

void ThisProject_Inactive()

{

//Check out the RecipeModeChanged Event

BatchManager().RecipeModeChanged -= ThisProject_RecipeModeChanged;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

'Check in the RecipeModeChanged Event

AddHandler BatchManager().RecipeModeChanged, AddressOf ThisProject_RecipeModeChanged

End Sub

Private Sub ThisProject_RecipeModeChanged(eventData As IBatchRecipeModeChangedEventData)

'Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" & Convert.ToString(eventData.Time) & "] RecipeModeChanged: " & Convert.ToString(eventData.OldExecutionMode) & " -> " & Convert.ToString(eventData.NewExecutionMode))

End Sub

Private Sub ThisProject_Inactive()

'Check out the RecipeModeChanged Event

RemoveHandler BatchManager().RecipeModeChanged, AddressOf ThisProject_RecipeModeChanged

'Final release and garbage collection of any API-Objects.

FreeObjects()

End Sub

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a recipe changes its mode

Private Sub zBatchManager_ RecipeModeChanged (ByVal eventData As IBatchRecipeModeChangedEventData)

'print time and specific information to debug window

Debug.Print (eventData.Time & " VBA-Event: Recipe Mode change")

End Sub


MRSelectionChanged

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Events -> MRSelectionChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired when the selection in the screen element master recipe list changes.

Datatype

MRSelectionChanged(IBatchMRSelectionChangedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

// local variable for the batchManager to register the events

private IBatchManager batchManager = null;

void ThisProject_Active()

{

// Register event

batchManager.MRSelectionChanged += new MRSelectionChangedEventHandler(ThisProject_MRSelectionChanged);

}

void ThisProject_Inactive()

{

// unregister Event

batchManager.MRSelectionChanged -= new MRSelectionChangedEventHandler(ThisProject_MRSelectionChanged);

}

void ThisProject_MRSelectionChanged(IBatchMRSelectionChangedEventData eventData)

{

// Get master recipe selection for the screen in which the selection has changed

int[] selectedMRIds = (int[])batchManager.SelectedMRIds(eventData.ScreenName);

// Build an output string

string selectedMRIdsInfo = "Selected MRIds: ";

foreach (int selectedMRId in selectedMRIds)

selectedMRIdsInfo += selectedMRId + "; ";

// Write an output message

System.Diagnostics.Debug.Print("\n" + selectedMRIdsInfo);

}

VB.NET

' local variable for the batchManager to register the events

Private batchManager As IBatchManager = Nothing

Private Sub ThisProject_Active()

' Register event

AddHandler batchManager.MRSelectionChanged, AddressOf ThisProject_MRSelectionChanged

End Sub

Private Sub ThisProject_Inactive()

' unregister Event

RemoveHandler batchManager.MRSelectionChanged, AddressOf ThisProject_MRSelectionChanged

End Sub

Private Sub ThisProject_MRSelectionChanged(eventData As IBatchMRSelectionChangedEventData)

' Get master recipe selection for the screen in which the selection has changed

Dim selectedMRIds As Integer() = DirectCast(batchManager.SelectedMRIds(eventData.ScreenName), Integer())

' Build an output string

Dim selectedMRIdsInfo As String = "Selected MRIds: "

For Each selectedMRId As Integer In selectedMRIds

selectedMRIdsInfo += selectedMRId + "; "

Next

' Write an output message

System.Diagnostics.Debug.Print(Convert.ToString(vbLf) & selectedMRIdsInfo)

End Sub

VBA

Examples

C#

// local variable for the batchManager to register the events

private IBatchManager batchManager = null;

void ThisProject_Active()

{

// Register event

batchManager.MRSelectionChanged += new MRSelectionChangedEventHandler(ThisProject_MRSelectionChanged);

}

void ThisProject_Inactive()

{

// unregister Event

batchManager.MRSelectionChanged -= new MRSelectionChangedEventHandler(ThisProject_MRSelectionChanged);

}

void ThisProject_MRSelectionChanged(IBatchMRSelectionChangedEventData eventData)

{

// Get master recipe selection for the screen in which the selection has changed

int[] selectedMRIds = (int[])batchManager.SelectedMRIds(eventData.ScreenName);

// Build an output string

string selectedMRIdsInfo = "Selected MRIds: ";

foreach (int selectedMRId in selectedMRIds)

selectedMRIdsInfo += selectedMRId + "; ";

// Write an output message

System.Diagnostics.Debug.Print("\n" + selectedMRIdsInfo);

}

VB.NET

VBA

Dim WithEvents zBatchManager As BatchManager

Private Sub Project_Active()

'Register events

Set zBatchManager = thisProject.BatchManager

End Sub

Private Sub Project_Inactive()

'Unregister events

Set zBatchManager = Nothing

End Sub

Private Sub zBatchManager_MRSelectionChanged(ByVal eventData As IBatchMRSelectionChangedEventData)

'Get the MRs of the calling screen

Dim selectedMRIds() As Long

selectedMRIds = zBatchManager.selectedMRIds(eventData.ScreenName)

Dim selectedMRIdsInfo As String

selectedMRIdsInfo = "Selected MRIds: "

'Get the MR Ids data

For i = 0 To UBound(selectedMRIds)

selectedMRIdsInfo = selectedMRIdsInfo & selectedMRIds(i) & "; "

Next i

'Show messagebox with recipe Ids

MsgBox (selectedMRIdsInfo)

End Sub


CRSelectionChanged

Manuale -> Scripting -> Objectmodel -> BatchManager -> BatchManager-Events -> CRSelectionChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired when the selection in the screen element control recipe list changes.

Datatype

CRSelectionChanged(IBatchCRSelectionChangedEventData eventData) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

// local variable for the batchManager to register the events

private IBatchManager batchManager = null;

void ThisProject_Active()

{

batchManager = this.BatchManager();

// Register event

batchManager.CRSelectionChanged += new CRSelectionChangedEventHandler(ThisProject_CRSelectionChanged);

}

void ThisProject_Inactive()

{

// unregister Event

batchManager.CRSelectionChanged -= new CRSelectionChangedEventHandler(ThisProject_CRSelectionChanged);

}

void ThisProject_CRSelectionChanged(IBatchCRSelectionChangedEventData eventData)

{

// Get control recipe selection for the screen in which the selection has changed

object[] selectedCRIds = (object[])batchManager.SelectedCRIds(eventData.ScreenName);

// Build an output string

string selectedCRIdsInfo = "Selected CRIds[CRId | MRId): ";

foreach (object selectedCRId in selectedCRIds)

{

IBatchRecipeId crId = (IBatchRecipeId)selectedCRId;

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; ";

}

// Write an output message

System.Diagnostics.Debug.Print("\n" + selectedCRIdsInfo);

}

VB.NET

' local variable for the batchManager to register the events

Private batchManager As IBatchManager = Nothing

Private Sub ThisProject_Active()

batchManager = Me.BatchManager()

' Register event

AddHandler batchManager.CRSelectionChanged, AddressOf ThisProject_CRSelectionChanged

End Sub

Private Sub ThisProject_Inactive()

' unregister Event

RemoveHandler batchManager.CRSelectionChanged, AddressOf ThisProject_CRSelectionChanged

End Sub

Private Sub ThisProject_CRSelectionChanged(eventData As IBatchCRSelectionChangedEventData)

' Get control recipe selection for the screen in which the selection has changed

Dim selectedCRIds As Object() = DirectCast(batchManager.SelectedCRIds(eventData.ScreenName), Object())

' Build an output string

Dim selectedCRIdsInfo As String = "Selected CRIds[CRId | MRId): "

For Each selectedCRId As Object In selectedCRIds

Dim crId As IBatchRecipeId = DirectCast(selectedCRId, IBatchRecipeId)

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; "

Next

' Write an output message

System.Diagnostics.Debug.Print(Convert.ToString(vbLf) & selectedCRIdsInfo)

End Sub

VBA

Examples

C#

// local variable for the batchManager to register the events

private IBatchManager batchManager = null;

void ThisProject_Active()

{

// Register event

batchManager.CRSelectionChanged += new CRSelectionChangedEventHandler(ThisProject_CRSelectionChanged);

}

void ThisProject_Inactive()

{

// unregister Event

batchManager.CRSelectionChanged -= new CRSelectionChangedEventHandler(ThisProject_CRSelectionChanged);

}

void ThisProject_CRSelectionChanged(IBatchCRSelectionChangedEventData eventData)

{

// Get control recipe selection for the screen in which the selection has changed

object[] selectedCRIds = (object[])batchManager.SelectedCRIds(eventData.ScreenName);

// Build an output string

string selectedCRIdsInfo = "Selected CRIds[CRId | MRId): ";

foreach (object selectedCRId in selectedCRIds)

{

IBatchRecipeId crId = (IBatchRecipeId)selectedCRId;

selectedCRIdsInfo += crId.CRId + " | " + crId.MRId + "; ";

}

// Write an output message

System.Diagnostics.Debug.Print("\n" + selectedCRIdsInfo);

}

VB.NET

VBA

Dim WithEvents zBatchManager As BatchManager

Private Sub Project_Active()

'Register events

Set zBatchManager = thisProject.BatchManager

End Sub

Private Sub Project_Inactive()

'Unregister events

Set zBatchManager = Nothing

End Sub

Private Sub zBatchManager_CRSelectionChanged(ByVal eventData As IBatchCRSelectionChangedEventData)

'Get the CRs of the calling screen

Dim selectedCRIds() As BatchRecipeId

selectedCRIds = zBatchManager.selectedCRIds(eventData.ScreenName)

Dim selectedCRIdsInfo As String

selectedCRIdsInfo = "Selected CRIds[CRId | MRId): "

'Get the CR Ids data

For i = 0 To UBound(selectedCRIds)

selectedCRIdsInfo = selectedCRIdsInfo & selectedCRIds(i).CRId & " | " & selectedCRIds(i).MRId & "; "

Next i

'Show messagebox with recipe Id

MsgBox (selectedCRIdsInfo)

End Sub


BatchMasterRecipe

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipe

Remarks

Object with the properties for the recipe. These properties can be read.

Property table: BatchMasterRecipe-Properties

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroBatchMasterRecipe()

{

IBatchManager batchManager = this.BatchManager();

//Get a master recipe over its index

int mrIndex = 0;

IBatchMasterRecipe masterRecipe = batchManager.MasterRecipes().ItemByIndex(mrIndex);

// Get a master recipe over its ID

int mrId = 42;

masterRecipe = batchManager.MasterRecipes().ItemById(mrId);

//Get the data of a master recipe over its name

string mrName = "TestMR1";

masterRecipe = batchManager.MasterRecipes().Item(mrName, 1);

//Do something with the BatchMasterRecipe

}

VB.NET

Public Sub MacroBatchMasterRecipe()

Dim batchManager As IBatchManager = Me.BatchManager()

'Get a master recipe over its index

Dim mrIndex As Integer = 0

Dim masterRecipe As IBatchMasterRecipe = batchManager.MasterRecipes().ItemByIndex(mrIndex)

' Get a master recipe over its ID

Dim mrId As Integer = 42

masterRecipe = batchManager.MasterRecipes().ItemById(mrId)

'Get the data of a master recipe over its name

Dim mrName As String = "TestMR1"

masterRecipe = batchManager.MasterRecipes().Item(mrName, 1)

'Do something with the BatchMasterRecipe

End Sub

VBA

Public Sub test()

// Get a master recipe over its ID

Set masterRecipe = thisProject.batchManager.MasterRecipes. ItemById (10)

//Get the data of a master recipe over its name

Set masterRecipe = thisProject.batchManager.MasterRecipes. ItemByName ("TestMR1")

//Get a master recipe over its index

Set masterRecipe = thisProject.batchManager.MasterRecipes.ItemByIndex(10)

'print text and approved time to debug window

Debug.Print ("ApprovedTime: " & masterrecipe.ApprovedTime)

End Sub

Noch in diesem Kapitel

BatchMasterRecipe-Properties

BatchMasterRecipe-Methods


BatchMasterRecipe-Properties

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ID | Returns the Id of the recipe | not used | read only | yes | yes
BSTR | Name | Returns the name of the recipe | not used | read only | yes | yes
BSTR | Description | Returns the description of the recipe | not used | read only | yes | yes
tpBatchMRState | MRState | Returns the state of the recipe | not used | read only | yes | yes
tpBatchExecutionState | ExecutionState | Returns the state of the recipe engine | not used | read only | yes | yes
BSTR | Type | Returns the type of the recipe | not used | read only | yes | yes
tpBatchExecutionMode | ExecutionMode | Returns the mode of the recipe | not used | read only | yes | yes
DATE | ApprovedTime | Returns the approved time of the recipe | not used | read only | yes | yes
BSTR | ApprovedUserName | Returns the approved user name of the recipe | not used | read only | yes | yes
BSTR | ApprovedUserId | Returns the approved user id of the recipe | not used | read only | yes | yes
DATE | OutdatedTime | Returns the outdated time of the recipe | not used | read only | yes | yes
BSTR | OutdatedUserName | Returns the outdated user name of the recipe | not used | read only | yes | yes
BSTR | OutdatedUserId | Returns the outdated user id of the recipe | not used | read only | yes | yes
long | Version | Returns the version of recipe | not used | read only | yes | yes
long | SourceVersion | Returns the version of the source recipe | not used | read only | yes | yes

Noch in diesem Kapitel

ID

Name

Description

MRState

ExecutionState

Type

ExecutionMode

ApprovedTime

ApprovedUserName

ApprovedUserId

OutdatedTime

OutdatedUserName

OutdatedUserId

Version

SourceVersion


ID

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ID() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MRState

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> MRState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MRState() As tpBatchMRState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ExecutionState

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> ExecutionState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ExecutionState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ExecutionMode

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> ExecutionMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ExecutionMode() As tpBatchExecutionMode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ApprovedTime

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> ApprovedTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ApprovedTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ApprovedUserName

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> ApprovedUserName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ApprovedUserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ApprovedUserId

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> ApprovedUserId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ApprovedUserId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OutdatedTime

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> OutdatedTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OutdatedTime() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OutdatedUserName

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> OutdatedUserName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OutdatedUserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OutdatedUserId

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> OutdatedUserId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OutdatedUserId() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Version

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> Version

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Version number of the template recipe.

Datatype

Version() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


SourceVersion

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Properties -> SourceVersion

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Version number of the source recipe.

Datatype

SourceVersion() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchMasterRecipe-Methods

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IBatchControlRecipes | ControlRecipes | Returns the collection of control recipes | not used | read only | yes | yes
tpRecipeRenameResult | SetNameAndDescription | Tries to rename the recipe and sets the description. Returns a result code whether the operation was successful or not. | not used | read only | yes | yes

Noch in diesem Kapitel

ControlRecipes

SetNameAndDescription


ControlRecipes

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Methods -> ControlRecipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ControlRecipes(tpBatchCRStateFilter eFilter) As IBatchControlRecipes

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SetNameAndDescription

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipe -> BatchMasterRecipe-Methods -> SetNameAndDescription

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method changes the name and the description of the master recipe if possible. The method returns a result code for the operation.

Note, that the master recipe instance you are working on is a copy of the original data. To get an updated version of the master recipe you have to get it again from the master recipes container.

Datatype

SetNameAndDescription(BSTR newName, BSTR newDescription) As tpRecipeRenameResult

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

//Function to rename a master recipe and set its description

public void Macro_SetMasterRecipeNameAndDescription()

{

//Get the master recipe that is to be renamed

IBatchMasterRecipe mr = BatchManager().MasterRecipes().Item("oldMasterRecipeName", 1);

//rename the master recipe and set its description

tpRecipeRenameResult result = mr.SetNameAndDescription("newName", "newDescription");

//Output result if the operation failed

if (result != tpRecipeRenameResult.tpRecipeRenameSuccess)

{

MessageBox.Show(null, "Rename Failed. Error Code: " + result.ToString(), "rename master recipe result", MessageBoxButtons.OK, MessageBoxIcon.None);

}

}

VB.NET

'Function to rename a master recipe and set its description

Public Sub Macro_SetMasterRecipeNameAndDescription()

'Get the master recipe that is to be renamed

Dim mr As IBatchMasterRecipe = BatchManager().MasterRecipes().Item("oldMasterRecipeName", 1)

'rename the master recipe and set its description

Dim result As tpRecipeRenameResult = mr.SetNameAndDescription("newName", "newDescription")

'Output result if the operation failed

If result <> tpRecipeRenameResult.tpRecipeRenameSuccess Then

MessageBox.Show(Nothing, "Rename Failed. Error Code: " & result.ToString(), "rename master recipe result", MessageBoxButtons.OK, MessageBoxIcon.None)

End If

End Sub

VBA

'Function to rename a master recipe and set its description

Public Sub SetMasterRecipeNameAndDescription()

'Get the master recipe that is to be renamed

Dim mr As BatchMasterRecipe

Set mr = thisProject.BatchManager.MasterRecipes.Item("oldMasterRecipeName", 1)

'rename the master recipe and set its description

Dim result As tpRecipeRenameResult 'resultcode for the operation

result = mr.SetNameAndDescription("newName", "newDescription")

'Output result if the operation failed

If result <> tpRecipeRenameSuccess Then

MsgBox ("Rename Failed. Error Code: " & CStr(result))

End If

End Sub


BatchMasterRecipes

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipes

Remarks

Lists all master recipes. Specific recipes can be read from the collection.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroBatchMasterRecipe()

{

IBatchManager batchManager = this.BatchManager();

//Get a master recipe over its index

int mrIndex = 0;

IBatchMasterRecipe masterRecipe = batchManager.MasterRecipes().ItemByIndex(mrIndex);

// Get a master recipe over its ID

int mrId = 42;

masterRecipe = batchManager.MasterRecipes().ItemById(mrId);

//Get the data of a master recipe over its name

string mrName = "TestMR1";

masterRecipe = batchManager.MasterRecipes().Item(mrName, 1);

//Do something with the BatchMasterRecipe

}

VB.NET

Public Sub MacroBatchMasterRecipe()

Dim batchManager As IBatchManager = Me.BatchManager()

'Get a master recipe over its index

Dim mrIndex As Integer = 0

Dim masterRecipe As IBatchMasterRecipe = batchManager.MasterRecipes().ItemByIndex(mrIndex)

' Get a master recipe over its ID

Dim mrId As Integer = 42

masterRecipe = batchManager.MasterRecipes().ItemById(mrId)

'Get the data of a master recipe over its name

Dim mrName As String = "TestMR1"

masterRecipe = batchManager.MasterRecipes().Item(mrName, 1)

'Do something with the BatchMasterRecipe

End Sub

VBA

Public Sub test()

// Get a master recipe over its ID

Set masterRecipe = thisProject.batchManager.MasterRecipes. ItemById (10)

//Get the data of a master recipe over its name

Set masterRecipe = thisProject.batchManager.MasterRecipes. ItemByName ("TestMR1")

//Get a master recipe over its index

Set masterRecipe = thisProject.batchManager.MasterRecipes.ItemByIndex(10)

'print text and approved time to debug window

Debug.Print ("ApprovedTime: " & masterrecipe.ApprovedTime)

End Sub

Noch in diesem Kapitel

BatchMasterRecipes-Properties

BatchMasterRecipes-Methods


BatchMasterRecipes-Properties

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipes -> BatchMasterRecipes-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the count of items in the collection of master recipes | not used | read only | yes | yes

Noch in diesem Kapitel

Count


Count

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipes -> BatchMasterRecipes-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchMasterRecipes-Methods

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipes -> BatchMasterRecipes-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IBatchMasterRecipe | ItemByIndex | Returns the master recipe item at the given index | not used | read only | yes | yes
IBatchMasterRecipe | Item | Returns the master recipe item with the specified name | not used | read only | yes | yes
IBatchMasterRecipe | ItemById | Returns the master recipe item with the specified Id | not used | read only | yes | yes

Noch in diesem Kapitel

ItemByIndex

Item

ItemById


ItemByIndex

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipes -> BatchMasterRecipes-Methods -> ItemByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemByIndex(long lIndex) As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Item

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipes -> BatchMasterRecipes-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(BSTR bstrName, long lVersion) As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ItemById

Manuale -> Scripting -> Objectmodel -> BatchMasterRecipes -> BatchMasterRecipes-Methods -> ItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemById(long lId) As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BatchMRSelectionChangedEventData

Manuale -> Scripting -> Objectmodel -> BatchMRSelectionChangedEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

An object of this type is passed as a parameter in the MRSelectionChangedEvent

string ScreenName: Name of the Picture, in which the selection was changed

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

// local variable for the batchManager to register the events

private IBatchManager batchManager = null;

void ThisProject_Active()

{

// Register event

batchManager.MRSelectionChanged += new MRSelectionChangedEventHandler(ThisProject_MRSelectionChanged);

}

void ThisProject_Inactive()

{

// unregister Event

batchManager.MRSelectionChanged -= new MRSelectionChangedEventHandler(ThisProject_MRSelectionChanged);

}

void ThisProject_MRSelectionChanged(IBatchMRSelectionChangedEventData eventData)

{

// Get master recipe selection for the screen in which the selection has changed

int[] selectedMRIds = (int[])batchManager.SelectedMRIds(eventData.ScreenName);

// Build an output string

string selectedMRIdsInfo = "Selected MRIds: ";

foreach (int selectedMRId in selectedMRIds)

selectedMRIdsInfo += selectedMRId + "; ";

// Write an output message

System.Diagnostics.Debug.Print("\n" + selectedMRIdsInfo);

}

VB.NET

' local variable for the batchManager to register the events

Private batchManager As IBatchManager = Nothing

Private Sub ThisProject_Active()

' Register event

AddHandler batchManager.MRSelectionChanged, AddressOf ThisProject_MRSelectionChanged

End Sub

Private Sub ThisProject_Inactive()

' unregister Event

RemoveHandler batchManager.MRSelectionChanged, AddressOf ThisProject_MRSelectionChanged

End Sub

Private Sub ThisProject_MRSelectionChanged(eventData As IBatchMRSelectionChangedEventData)

' Get master recipe selection for the screen in which the selection has changed

Dim selectedMRIds As Integer() = DirectCast(batchManager.SelectedMRIds(eventData.ScreenName), Integer())

' Build an output string

Dim selectedMRIdsInfo As String = "Selected MRIds: "

For Each selectedMRId As Integer In selectedMRIds

selectedMRIdsInfo += selectedMRId & "; "

Next

' Write an output message

System.Diagnostics.Debug.Print(vbLf & selectedMRIdsInfo)

End Sub

VBA

Dim WithEvents zBatchManager As BatchManager

Private Sub Project_Active()

'Register events

Set zBatchManager = thisProject.BatchManager

End Sub

Private Sub Project_Inactive()

'Unregister events

Set zBatchManager = Nothing

End Sub

Private Sub zBatchManager_MRSelectionChanged(ByVal eventData As IBatchMRSelectionChangedEventData)

'Get the MRs of the calling screen

Dim selectedMRIds() As Long

selectedMRIds = zBatchManager.selectedMRIds(eventData.ScreenName)

Dim selectedMRIdsInfo As String

selectedMRIdsInfo = "Selected MRIds: "

'Get the MR Ids data

For i = 0 To UBound(selectedMRIds)

selectedMRIdsInfo = selectedMRIdsInfo & selectedMRIds(i) & "; "

Next i

'Show messagebox with recipe Ids

MsgBox (selectedMRIdsInfo)

End Sub

Noch in diesem Kapitel

BatchMRSelectionChangedEventData-Properties


BatchMRSelectionChangedEventData-Properties

Manuale -> Scripting -> Objectmodel -> BatchMRSelectionChangedEventData -> BatchMRSelectionChangedEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | ScreenName | Name of the screen in which the selection of the recipe list was changed | not used | read only | yes | yes

Noch in diesem Kapitel

ScreenName


ScreenName

Manuale -> Scripting -> Objectmodel -> BatchMRSelectionChangedEventData -> BatchMRSelectionChangedEventData-Properties -> ScreenName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the Picture, in which the selection was changed

Datatype

ScreenName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchOperation

Manuale -> Scripting -> Objectmodel -> BatchOperation

Remarks

A sub-recipe, that can then be used in master recipes.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

BatchOperation-Properties


BatchOperation-Properties

Manuale -> Scripting -> Objectmodel -> BatchOperation -> BatchOperation-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ChartId | Id of the chart operation object in the recipe | not used | read only | yes | yes
BSTR | Name | Name of the operation | not used | read only | yes | yes
BSTR | Description | Description of the operation | not used | read only | yes | yes

Noch in diesem Kapitel

ChartId

Name

Description


ChartId

Manuale -> Scripting -> Objectmodel -> BatchOperation -> BatchOperation-Properties -> ChartId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Id of the chart operation object in the recipe.

Datatype

ChartId() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> BatchOperation -> BatchOperation-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the operation.

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuale -> Scripting -> Objectmodel -> BatchOperation -> BatchOperation-Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Description of the operation.

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhase

Manuale -> Scripting -> Objectmodel -> BatchPhase

Remarks

A functional block, that encapsulates the communication with the plc for a specific procedure.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

BatchPhase-Properties


BatchPhase-Properties

Manuale -> Scripting -> Objectmodel -> BatchPhase -> BatchPhase-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ChartId | Id of the chart phase object in the recipe or operation | not used | read only | yes | yes
BSTR | Name | Name of the phase | not used | read only | yes | yes
BSTR | Description | Description of the phase | not used | read only | yes | yes
tpBatchExecutionState | PhaseState | Execution state of the phase | not used | read only | yes | yes
long | ExecutionCounter | Execution counter of the phase | not used | read only | yes | yes
IBatchControlStrategy | ControlStrategy | Currently active control strategy | not used | read only | yes | yes
IBatchTags | Tags | Collection for the tags of the phase | not used | read only | yes | yes

Noch in diesem Kapitel

ChartId

Name

Description

PhaseState

ExecutionCounter

ControlStrategy

Tags


ChartId

Manuale -> Scripting -> Objectmodel -> BatchPhase -> BatchPhase-Properties -> ChartId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Id of the chart phase object in the recipe or operation.

Datatype

ChartId() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> BatchPhase -> BatchPhase-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the phase.

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuale -> Scripting -> Objectmodel -> BatchPhase -> BatchPhase-Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Description of the phase.

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


PhaseState

Manuale -> Scripting -> Objectmodel -> BatchPhase -> BatchPhase-Properties -> PhaseState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Execution state of the phase.

Datatype

PhaseState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ExecutionCounter

Manuale -> Scripting -> Objectmodel -> BatchPhase -> BatchPhase-Properties -> ExecutionCounter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Execution counter of the phase.

Datatype

ExecutionCounter() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlStrategy

Manuale -> Scripting -> Objectmodel -> BatchPhase -> BatchPhase-Properties -> ControlStrategy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Currently active control strategy.

Datatype

ControlStrategy() As IBatchControlStrategy

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Tags

Manuale -> Scripting -> Objectmodel -> BatchPhase -> BatchPhase-Properties -> Tags

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Tags() As IBatchTags

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseChanges

Manuale -> Scripting -> Objectmodel -> BatchPhaseChanges

Remarks

Object that contains what changes were made in the phase (contains the IDs of the changed tags)

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

BatchPhaseChanges-Properties

BatchPhaseChanges-Methods


BatchPhaseChanges-Properties

Manuale -> Scripting -> Objectmodel -> BatchPhaseChanges -> BatchPhaseChanges-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | TagIdCount | Count of tag ids in the collection | not used | read only | yes | yes

Noch in diesem Kapitel

TagIdCount


TagIdCount

Manuale -> Scripting -> Objectmodel -> BatchPhaseChanges -> BatchPhaseChanges-Properties -> TagIdCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count of the IDs for the changed tags.

Datatype

TagIdCount() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseChanges-Methods

Manuale -> Scripting -> Objectmodel -> BatchPhaseChanges -> BatchPhaseChanges-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | TagIdByIndex | Gets a tag id from the collection by its index | not used | read only | yes | yes

Noch in diesem Kapitel

TagIdByIndex


TagIdByIndex

Manuale -> Scripting -> Objectmodel -> BatchPhaseChanges -> BatchPhaseChanges-Methods -> TagIdByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an ID of a changed Tag for lIndex. lIndex has to lie between 0 and TagIdCount-1. If it does not, the Method will return 0.

Datatype

TagIdByIndex(long lIndex) As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

//Check in the ControlRecipePhaseEdited Event

BatchManager().ControlRecipePhaseEdited += new ControlRecipePhaseEditedEventHandler(ThisProject_ControlRecipePhaseEdited);

}

void ThisProject_ControlRecipePhaseEdited(IBatchControlRecipePhaseEditedEventData eventData)

{

//Get the ID of the changed tags from the event data changes collection

string additionalInformation = "Changes[Tag-ID]: ";

for (var index = 0; index < eventData.Changes.TagIdCount; index++)

{

additionalInformation += "" + eventData.Changes.TagIdByIndex(index) + "; ";

}

additionalInformation += " -- Comment:\"" + eventData.Comment + "\"";

//Write debug message to the listener when event is fired.

System.Diagnostics.Debug.WriteLine("[" + eventData.Time + "] Control Recipe

Edited. >> " + additionalInformation);

}

void ThisProject_Inactive()

{

//Check out the ControlRecipePhaseEdited Event

BatchManager().ControlRecipePhaseEdited -= ThisProject_ControlRecipePhaseEdited;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

VBA


BatchPhaseCommunicationErrorEventData

Manuale -> Scripting -> Objectmodel -> BatchPhaseCommunicationErrorEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseCommunicationError Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

BatchPhaseCommunicationErrorEventData-Properties


BatchPhaseCommunicationErrorEventData-Properties

Manuale -> Scripting -> Objectmodel -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchPhaseCommunicationErrorState | CommunicationErrorState | New state of the communication error | not used | read only | yes | yes

Noch in diesem Kapitel

Time

Operation

Phase

MasterRecipe

ControlRecipe

CommunicationErrorState


Time

Manuale -> Scripting -> Objectmodel -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuale -> Scripting -> Objectmodel -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties -> Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuale -> Scripting -> Objectmodel -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties -> Phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuale -> Scripting -> Objectmodel -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties -> MasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Scripting -> Objectmodel -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CommunicationErrorState

Manuale -> Scripting -> Objectmodel -> BatchPhaseCommunicationErrorEventData -> BatchPhaseCommunicationErrorEventData-Properties -> CommunicationErrorState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New state for the communication error.

Datatype

CommunicationErrorState() As tpBatchPhaseCommunicationErrorState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseConfig

Manuale -> Scripting -> Objectmodel -> BatchPhaseConfig

Remarks

Ab sofort ist es möglich, die zenon ® Batch Phases via zenon ® API zu iterieren und ihre Eigenschaften zu lesen, sowohl im Editor als auch zu RT.

Die neue Schnittstelle und deren Eigenschaften:

IBatchPhaseConfig (die Schnittstelle selbst)

Long IBatchPhaseConfig::Id (ID der Phase)

BSTR IBatchPhaseConfig::Name (Name der Phase)

BSTR IBatchPhaseConfig::Description (Beschreibung der Phase)

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void Macro_phase_test()

{

zenOn.IBatchPhaseConfig phase;

phase = this.ActiveDocument.BatchManager().Config.Units.ItemByIndex(0).Phases.ItemByIndex(0);

ReportPhase(phase);

phase = this.ActiveDocument.BatchManager().Config.Units.ItemByIndex(0).Phases.ItemByIndex(100);

ReportPhase(phase);

phase = this.ActiveDocument.BatchManager().Config.Units.ItemByIndex(0).Phases.ItemById(3);

ReportPhase(phase);

phase = this.ActiveDocument.BatchManager().Config.Units.ItemByIndex(0).Phases.ItemById(300);

ReportPhase(phase);

phase = this.ActiveDocument.BatchManager().Config.Units.ItemByIndex(0).Phases.ItemByName("Grundfunktion 7");

ReportPhase(phase);

phase = this.ActiveDocument.BatchManager().Config.Units.ItemByIndex(0).Phases.ItemByName("Grundfunktion 700");

ReportPhase(phase);

}

public void ReportPhase(zenOn.IBatchPhaseConfig phase)

{

if (null != phase)

{

System.String message;

message = "Phase id(" + phase.ID + "),name(" + phase.Name + "),description(" + phase.Description + ")";

System.Windows.Forms.MessageBox.Show(message);

}

else

{

System.Windows.Forms.MessageBox.Show("Phase not found!");

}

}

VB.NET

VBA

‘ please replace „MyWorkspace.ActiveDocument" by „thisProject" for the test at RT!

Public Sub phase_test()

Dim phase As BatchPhaseConfig

Set phase = MyWorkspace.ActiveDocument.BatchManager.Config.units.ItemByIndex(0).phases.ItemByIndex(0)

report_phase phase

Set phase = MyWorkspace.ActiveDocument.BatchManager.Config.units.ItemByIndex(0).phases.ItemByIndex(100)

report_phase phase

Set phase = MyWorkspace.ActiveDocument.BatchManager.Config.units.ItemByIndex(0).phases.ItemById(3)

report_phase phase

Set phase = MyWorkspace.ActiveDocument.BatchManager.Config.units.ItemByIndex(0).phases.ItemById(300)

report_phase phase

Set phase = MyWorkspace.ActiveDocument.BatchManager.Config.units.ItemByIndex(0).phases.ItemByName("Grundfunktion 7")

report_phase phase

Set phase = MyWorkspace.ActiveDocument.BatchManager.Config.units.ItemByIndex(0).phases.ItemByName("Grundfunktion 700")

report_phase phase

End Sub

Public Sub report_phase(phase As BatchPhaseConfig)

If Not phase Is Nothing Then

Dim message As String

message = "Phase id(" & phase.ID & "),name(" & phase.Name & "),description(" & phase.Description & ")"

MsgBox (message)

Else

MsgBox ("Phase not found!")

End If

End Sub

Noch in diesem Kapitel

BatchPhaseConfig -Properties


BatchPhaseConfig -Properties

Manuale -> Scripting -> Objectmodel -> BatchPhaseConfig -> BatchPhaseConfig -Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | Returns the phase name | read only | read only | yes | yes
BSTR | Description | Returns the phase description | read only | read only | yes | yes
long | ID | Returns the phase ID | read only | read only | yes | yes

Noch in diesem Kapitel

Name

Description

ID


Name

Manuale -> Scripting -> Objectmodel -> BatchPhaseConfig -> BatchPhaseConfig -Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase name

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuale -> Scripting -> Objectmodel -> BatchPhaseConfig -> BatchPhaseConfig -Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase description

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Scripting -> Objectmodel -> BatchPhaseConfig -> BatchPhaseConfig -Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase ID

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseEscapeEventData

Manuale -> Scripting -> Objectmodel -> BatchPhaseEscapeEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseEscape Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

BatchPhaseEscapeEventData-Properties


BatchPhaseEscapeEventData-Properties

Manuale -> Scripting -> Objectmodel -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchPhaseEscapeState | EscapeState | New internal execution position of the phase | not used | read only | yes | yes

Noch in diesem Kapitel

Time

Operation

Phase

MasterRecipe

ControlRecipe

EscapeState


Time

Manuale -> Scripting -> Objectmodel -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuale -> Scripting -> Objectmodel -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties -> Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuale -> Scripting -> Objectmodel -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties -> Phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuale -> Scripting -> Objectmodel -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties -> MasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Scripting -> Objectmodel -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


EscapeState

Manuale -> Scripting -> Objectmodel -> BatchPhaseEscapeEventData -> BatchPhaseEscapeEventData-Properties -> EscapeState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New escape state.

Datatype

EscapeState() As tpBatchPhaseEscapeState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseExecutionErrorEventData

Manuale -> Scripting -> Objectmodel -> BatchPhaseExecutionErrorEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseExecutionError Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

BatchPhaseExecutionErrorEventData-Properties


BatchPhaseExecutionErrorEventData-Properties

Manuale -> Scripting -> Objectmodel -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchPhaseExecutionError | ExecutionError | Type of the error that occured | not used | read only | yes | yes

Noch in diesem Kapitel

Time

Operation

Phase

MasterRecipe

ControlRecipe

ExecutionError


Time

Manuale -> Scripting -> Objectmodel -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuale -> Scripting -> Objectmodel -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties -> Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuale -> Scripting -> Objectmodel -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties -> Phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuale -> Scripting -> Objectmodel -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties -> MasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Scripting -> Objectmodel -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ExecutionError

Manuale -> Scripting -> Objectmodel -> BatchPhaseExecutionErrorEventData -> BatchPhaseExecutionErrorEventData-Properties -> ExecutionError

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Type of the execution error of the phase that triggered this event.

Datatype

ExecutionError() As tpBatchPhaseExecutionError

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseModeChangedEventData

Manuale -> Scripting -> Objectmodel -> BatchPhaseModeChangedEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseModeChanged Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

BatchPhaseModeChangedEventData-Properties


BatchPhaseModeChangedEventData-Properties

Manuale -> Scripting -> Objectmodel -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchExecutionMode | OldExecutionMode | Execution mode before the change | not used | read only | yes | yes
tpBatchExecutionMode | NewExecutionMode | Execution mode after the change | not used | read only | yes | yes
IUser | User | Logged in user | not used | read only | yes | yes

Noch in diesem Kapitel

Time

Operation

Phase

MasterRecipe

ControlRecipe

OldExecutionMode

NewExecutionMode

User


Time

Manuale -> Scripting -> Objectmodel -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuale -> Scripting -> Objectmodel -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuale -> Scripting -> Objectmodel -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> Phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuale -> Scripting -> Objectmodel -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> MasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Scripting -> Objectmodel -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OldExecutionMode

Manuale -> Scripting -> Objectmodel -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> OldExecutionMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Mode from before the change.

Datatype

OldExecutionMode() As tpBatchExecutionMode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


NewExecutionMode

Manuale -> Scripting -> Objectmodel -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> NewExecutionMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New mode from after the change.

Datatype

NewExecutionMode() As tpBatchExecutionMode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuale -> Scripting -> Objectmodel -> BatchPhaseModeChangedEventData -> BatchPhaseModeChangedEventData-Properties -> User

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Copy of the user that triggered the mode change. If it is triggered by toolbar button or zenon button with a batch recipe commando, the user is the currently logged in user at the moment and client the mode change is triggered. If the mode change is triggered by reaction of a phase or an automated function call (etc.) a copy of the SYSTEM user will be sent.

This user is for information only. Trying to change its password or Name or anything else will have no effect on the real user, because this is a copy. The original user may even no longer exist due to the delay in a network

Datatype

User() As IUser

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhasePlcErrorEventData

Manuale -> Scripting -> Objectmodel -> BatchPhasePlcErrorEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhasePlcError Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

BatchPhasePlcErrorEventData-Properties


BatchPhasePlcErrorEventData-Properties

Manuale -> Scripting -> Objectmodel -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchPhasePlcErrorState | PlcErrorState | New state of the PLC error | not used | read only | yes | yes

Noch in diesem Kapitel

Time

Operation

Phase

MasterRecipe

ControlRecipe

PlcErrorState


Time

Manuale -> Scripting -> Objectmodel -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuale -> Scripting -> Objectmodel -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties -> Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuale -> Scripting -> Objectmodel -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties -> Phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuale -> Scripting -> Objectmodel -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties -> MasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Scripting -> Objectmodel -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


PlcErrorState

Manuale -> Scripting -> Objectmodel -> BatchPhasePlcErrorEventData -> BatchPhasePlcErrorEventData-Properties -> PlcErrorState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New escape state.

Datatype

PlcErrorState() As tpBatchPhasePlcErrorState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseProgressEventData

Manuale -> Scripting -> Objectmodel -> BatchPhaseProgressEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseProgress Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

BatchPhaseProgressEventData-Properties


BatchPhaseProgressEventData-Properties

Manuale -> Scripting -> Objectmodel -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchPhaseState | PhaseState | New internal execution position of the phase | not used | read only | yes | yes

Noch in diesem Kapitel

Time

Operation

Phase

MasterRecipe

ControlRecipe

PhaseState


Time

Manuale -> Scripting -> Objectmodel -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuale -> Scripting -> Objectmodel -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties -> Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuale -> Scripting -> Objectmodel -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties -> Phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuale -> Scripting -> Objectmodel -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties -> MasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Scripting -> Objectmodel -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


PhaseState

Manuale -> Scripting -> Objectmodel -> BatchPhaseProgressEventData -> BatchPhaseProgressEventData-Properties -> PhaseState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New internal state for the phase execution. The change of this state triggered this event.

Datatype

PhaseState() As tpBatchPhaseState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhaseRuntimeEventData

Manuale -> Scripting -> Objectmodel -> BatchPhaseRuntimeEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseRuntimeEvent Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

BatchPhaseRuntimeEventData-Properties


BatchPhaseRuntimeEventData-Properties

Manuale -> Scripting -> Objectmodel -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchPhaseRuntimeEvent | RuntimeEventType | Type of the Runtime event that occured | not used | read only | yes | yes

Noch in diesem Kapitel

Time

Operation

Phase

MasterRecipe

ControlRecipe

RuntimeEventType


Time

Manuale -> Scripting -> Objectmodel -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuale -> Scripting -> Objectmodel -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties -> Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuale -> Scripting -> Objectmodel -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties -> Phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuale -> Scripting -> Objectmodel -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties -> MasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Scripting -> Objectmodel -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


RuntimeEventType

Manuale -> Scripting -> Objectmodel -> BatchPhaseRuntimeEventData -> BatchPhaseRuntimeEventData-Properties -> RuntimeEventType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Type of runtime event that triggered this event.

Datatype

RuntimeEventType() As tpBatchPhaseRuntimeEvent

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchPhasesConfig

Manuale -> Scripting -> Objectmodel -> BatchPhasesConfig

Remarks

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

BatchPhasesConfig -Properties

BatchPhasesConfig -Methods


BatchPhasesConfig -Properties

Manuale -> Scripting -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the count of phases | read only | read only | yes | yes

Noch in diesem Kapitel

Count


Count

Manuale -> Scripting -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


BatchPhasesConfig -Methods

Manuale -> Scripting -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Export | Exports all phases to file | available | available | yes | yes
VARIANT_BOOL | Import | Imports the phases from file | available | not used | yes | yes
VARIANT_BOOL | SingleExportById | Exports a phase via ID | available | available | yes | yes
VARIANT_BOOL | SingleExportByIndex | Exports a phase via index | available | available | yes | yes
VARIANT_BOOL | SingleExportByName | Exports a phase via name | available | available | yes | yes
VARIANT_BOOL | DeleteById | Deletes a phase via ID | available | not used | yes | yes
VARIANT_BOOL | DeleteByIndex | Deletes a phase via index | available | not used | yes | yes
VARIANT_BOOL | DeleteByName | Deletes a phase via name | available | not used | yes | yes
IBatchPhaseConfig | ItemById | Returns a phase via ID | available | available | yes | yes
IBatchPhaseConfig | ItemByIndex | Returns a phase via index | available | available | yes | yes
IBatchPhaseConfig | ItemByName | Returns a phase via name | available | available | yes | yes

Noch in diesem Kapitel

Export

Import

SingleExportById

SingleExportByIndex

SingleExportByName

DeleteById

DeleteByIndex

DeleteByName

ItemById

ItemByIndex

ItemByName


Export

Manuale -> Scripting -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuale -> Scripting -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Import(BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExportById

Manuale -> Scripting -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> SingleExportById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportById(long lPhaseId, BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExportByIndex

Manuale -> Scripting -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> SingleExportByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportByIndex(long lPhaseIndex, BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExportByName

Manuale -> Scripting -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> SingleExportByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportByName(BSTR bstrPhaseName, BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteById

Manuale -> Scripting -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> DeleteById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteById(long lPhaseId) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteByIndex

Manuale -> Scripting -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> DeleteByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteByIndex(long lPhaseIndex) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteByName

Manuale -> Scripting -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> DeleteByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteByName(BSTR bstrPhaseName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ItemById

Manuale -> Scripting -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> ItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemById(long lPhaseId) As IBatchPhaseConfig

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ItemByIndex

Manuale -> Scripting -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> ItemByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemByIndex(long lPhaseIndex) As IBatchPhaseConfig

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ItemByName

Manuale -> Scripting -> Objectmodel -> BatchPhasesConfig -> BatchPhasesConfig -Methods -> ItemByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemByName(BSTR bstrPhaseName) As IBatchPhaseConfig

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BatchPhaseStateChangedEventData

Manuale -> Scripting -> Objectmodel -> BatchPhaseStateChangedEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the PhaseStateChanged Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

BatchPhaseStateChangedEventData-Properties


BatchPhaseStateChangedEventData-Properties

Manuale -> Scripting -> Objectmodel -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired |  | not used | read only | yes | yes
IBatchOperation | Operation | Operation that contains the phase that fired the event. null if the phase is in no operation |  | not used | read only | yes | yes
IBatchPhase | Phase | Phase for which the event was fired |  | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired |  | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired |  | not used | read only | yes | yes
tpBatchExecutionState | OldExecutionState | Execution state before the change |  | not used | read only | yes | yes
tpBatchExecutionState | NewExecutionState | Execution state after the change |  | not used | read only | yes | yes
IUser | User | Logged in user |  | not used | read only | yes | yes
IUser | User | Logged in user |  | not used | read only | yes | yes
IUser | User | Logged in user |  | not used | read only | yes | yes
IUser | User | Logged in user | not used |  | read only | yes |  | yes
IUser | User | Logged in user | not used |  | read only | yes |  | yes

Noch in diesem Kapitel

Time

Operation

Phase

MasterRecipe

ControlRecipe

OldExecutionState

NewExecutionState

User


Time

Manuale -> Scripting -> Objectmodel -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp at which the event was fired.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Operation

Manuale -> Scripting -> Objectmodel -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> Operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Operation that contains the phase that fired the event. Null if the phase is not located in an operation.

Datatype

Operation() As IBatchOperation

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Phase

Manuale -> Scripting -> Objectmodel -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> Phase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Phase that fired the event.

Datatype

Phase() As IBatchPhase

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuale -> Scripting -> Objectmodel -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> MasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Scripting -> Objectmodel -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OldExecutionState

Manuale -> Scripting -> Objectmodel -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> OldExecutionState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Mode from before the change.

Datatype

OldExecutionState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


NewExecutionState

Manuale -> Scripting -> Objectmodel -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> NewExecutionState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New state from after the change.

Datatype

NewExecutionState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuale -> Scripting -> Objectmodel -> BatchPhaseStateChangedEventData -> BatchPhaseStateChangedEventData-Properties -> User

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

User() As IUser

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchRecipeId

Manuale -> Scripting -> Objectmodel -> BatchRecipeId

Remarks

Contains both the master recipe Id and the control recipe Id for a recipe.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

BatchRecipeId-Properties


BatchRecipeId-Properties

Manuale -> Scripting -> Objectmodel -> BatchRecipeId -> BatchRecipeId-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | MRId | Master recipe Id of the recipe | not used | read only | yes | yes
long | CRId | Control recipe Id of the recipe | not used | read only | yes | yes

Noch in diesem Kapitel

MRId

CRId


MRId

Manuale -> Scripting -> Objectmodel -> BatchRecipeId -> BatchRecipeId-Properties -> MRId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MRId() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CRId

Manuale -> Scripting -> Objectmodel -> BatchRecipeId -> BatchRecipeId-Properties -> CRId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CRId() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchRecipeModeChangedEventData

Manuale -> Scripting -> Objectmodel -> BatchRecipeModeChangedEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the RecipeModeChanged Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

BatchRecipeModeChangedEventData-Properties


BatchRecipeModeChangedEventData-Properties

Manuale -> Scripting -> Objectmodel -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired |  | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired |  | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired |  | not used | read only | yes | yes
IUser | User | Logged in user |  | not used | read only | yes | yes
tpBatchExecutionMode | OldExecutionMode | Execution mode before the change |  | not used | read only | yes | yes
tpBatchExecutionMode | NewExecutionMode | Execution mode after the change |  | not used | read only | yes | yes
IUser | User | Logged in user |  | not used | read only | yes | yes
IUser | User | Logged in user |  | not used | read only | yes | yes
tpBatchExecutionMode | OldExecutionMode | Execution mode before the change |  | not used | read only | yes | yes
tpBatchExecutionMode | NewExecutionMode | Execution mode after the change |  | not used | read only | yes | yes
IUser | User | Logged in user | not used |  | read only | yes |  | yes
tpBatchExecutionMode | OldExecutionMode | Execution mode before the change | not used |  | read only | yes |  | yes

Noch in diesem Kapitel

Time

MasterRecipe

ControlRecipe

User

OldExecutionMode

NewExecutionMode


Time

Manuale -> Scripting -> Objectmodel -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp of the value

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuale -> Scripting -> Objectmodel -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties -> MasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Scripting -> Objectmodel -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuale -> Scripting -> Objectmodel -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties -> User

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

User() As IUser

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OldExecutionMode

Manuale -> Scripting -> Objectmodel -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties -> OldExecutionMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OldExecutionMode() As tpBatchExecutionMode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


NewExecutionMode

Manuale -> Scripting -> Objectmodel -> BatchRecipeModeChangedEventData -> BatchRecipeModeChangedEventData-Properties -> NewExecutionMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

NewExecutionMode() As tpBatchExecutionMode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchRecipeStateChangedEventData

Manuale -> Scripting -> Objectmodel -> BatchRecipeStateChangedEventData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The data class that gets passed when the RecipeStateChanged Event of the BatchManager is fired. It contains all relevant information for this event.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

BatchRecipeStateChangedEventData-Properties


BatchRecipeStateChangedEventData-Properties

Manuale -> Scripting -> Objectmodel -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Time when the event was fired | not used | read only | yes | yes
IBatchMasterRecipe | MasterRecipe | Master recipe for which the event was fired | not used | read only | yes | yes
IBatchControlRecipe | ControlRecipe | Control recipe for which the event was fired | not used | read only | yes | yes
tpBatchExecutionState | OldExecutionState | Execution state before the change | not used | read only | yes | yes
tpBatchExecutionState | NewExecutionState | Execution state after the change | not used | read only | yes | yes
IUser | User | Logged in user | not used | read only | yes | yes

Noch in diesem Kapitel

Time

MasterRecipe

ControlRecipe

User

OldExecutionState

NewExecutionState


Time

Manuale -> Scripting -> Objectmodel -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp of the value

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MasterRecipe

Manuale -> Scripting -> Objectmodel -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties -> MasterRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Master Recipe that fired this event. Null if the event was fired by a control recipe.

Datatype

MasterRecipe() As IBatchMasterRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ControlRecipe

Manuale -> Scripting -> Objectmodel -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties -> ControlRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Control recipe that fired this event. Null if the event was fired by a master recipe.

Datatype

ControlRecipe() As IBatchControlRecipe

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuale -> Scripting -> Objectmodel -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties -> User

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Copy of the user that triggered the event. For user-triggered changes Only, this is the currently logged user at the time of the change is performed. The logged user is only used for the switch to the direct resulting transient state: Start(IDLE->RUNNING), resume(PAUSED->RUNNING) and switches to transient states. For the other changes to the absolute states the SYSTEM user is used, because they are triggered by the execution itself. Also all automated changes (reactions, automatically executed zenon functions) use the SYSTEM user.

Datatype

User() As IUser

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OldExecutionState

Manuale -> Scripting -> Objectmodel -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties -> OldExecutionState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Old execution state before the event.

Datatype

OldExecutionState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


NewExecutionState

Manuale -> Scripting -> Objectmodel -> BatchRecipeStateChangedEventData -> BatchRecipeStateChangedEventData-Properties -> NewExecutionState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New execution state after the event.

Datatype

NewExecutionState() As tpBatchExecutionState

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchTag

Manuale -> Scripting -> Objectmodel -> BatchTag

Remarks

The object that encapsulates a variable for the purposes of the batch execution.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

BatchTag-Properties


BatchTag-Properties

Manuale -> Scripting -> Objectmodel -> BatchTag -> BatchTag-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ID | ID of the tag | not used | read only | yes | yes
BSTR | Name | Name of the tag | not used | read only | yes | yes
BSTR | Description | Description of the tag | not used | read only | yes | yes
IVariableValue | CurrentValue | Current value of the variable linked as the current value variable on the tag | not used | read only | yes | yes
IVariableValue | TagVariableValue | Current value of the variable linked as the tag variable on the tag | not used | read only | yes | yes
IBatchTagValue | TagValue | Value that is to be written on the tag variable | not used | read only | yes | yes
BSTR | Unit | Unit of the tag | not used | read only | yes | yes
tpBatchTagDataType | DataType | Data type for the tag | not used | read only | yes | yes
tpBatchTagType | TagType | Type of the tag | not used | read only | yes | yes
IVariable | TagVariable | Main Variable of the tag. For command tags the value is written onto this variable. | not used | read only | yes | yes
IVariable | CurrentValueVariable | For command tags this is the variable that shows the current value for the tag on the PLC. | not used | read only | yes | yes

Noch in diesem Kapitel

ID

Name

Description

CurrentValue

TagVariableValue

TagValue

Unit

DataType

TagType

TagVariable

CurrentValueVariable


ID

Manuale -> Scripting -> Objectmodel -> BatchTag -> BatchTag-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ID of the tag.

Datatype

ID() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> BatchTag -> BatchTag-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the tag.

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuale -> Scripting -> Objectmodel -> BatchTag -> BatchTag-Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Description of the tag.

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CurrentValue

Manuale -> Scripting -> Objectmodel -> BatchTag -> BatchTag-Properties -> CurrentValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Current value of the variable linked as the current value variable on the tag .

Datatype

CurrentValue() As IVariableValue

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


TagVariableValue

Manuale -> Scripting -> Objectmodel -> BatchTag -> BatchTag-Properties -> TagVariableValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Current value of thje variable linked as tag varaible.

Datatype

TagVariableValue() As IVariableValue

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


TagValue

Manuale -> Scripting -> Objectmodel -> BatchTag -> BatchTag-Properties -> TagValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

): Value that is written on the tag variable.

Datatype

TagValue() As IBatchTagValue

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Unit

Manuale -> Scripting -> Objectmodel -> BatchTag -> BatchTag-Properties -> Unit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Unit of the tag.

Datatype

Unit() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


DataType

Manuale -> Scripting -> Objectmodel -> BatchTag -> BatchTag-Properties -> DataType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype of the tag.

Datatype

DataType() As tpBatchTagDataType

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


TagType

Manuale -> Scripting -> Objectmodel -> BatchTag -> BatchTag-Properties -> TagType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Type of the tag (initial, value, return).

Datatype

TagType() As tpBatchTagType

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


TagVariable

Manuale -> Scripting -> Objectmodel -> BatchTag -> BatchTag-Properties -> TagVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Variable that is linked on the Tag. For command tags this is the one that has the values written to it.

Datatype

TagVariable() As IVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CurrentValueVariable

Manuale -> Scripting -> Objectmodel -> BatchTag -> BatchTag-Properties -> CurrentValueVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

If the readable datapoint differs from the writeable one for a command tag, the readable one can be linked here. It is null for tags on which it is not linked.

Datatype

CurrentValueVariable() As IVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchTags

Manuale -> Scripting -> Objectmodel -> BatchTags

Remarks

A collection of tags. Allows you to iterate and get tags.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

BatchTags-Properties

BatchTags-Methods


BatchTags-Properties

Manuale -> Scripting -> Objectmodel -> BatchTags -> BatchTags-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of the tags | not used | read only | yes | yes

Noch in diesem Kapitel

Count


Count

Manuale -> Scripting -> Objectmodel -> BatchTags -> BatchTags-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

number of tags in the collection.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchTags-Methods

Manuale -> Scripting -> Objectmodel -> BatchTags -> BatchTags-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IBatchTag | ItemByIndex | Gets a tag by its index in the collection | not used | read only | yes | yes
IBatchTag | ItemByName | Gets a tag by its name | not used | read only | yes | yes
IBatchTag | ItemById | Gets a tag by its ID | not used | read only | yes | yes

Noch in diesem Kapitel

ItemByIndex

ItemByName

ItemById


ItemByIndex

Manuale -> Scripting -> Objectmodel -> BatchTags -> BatchTags-Methods -> ItemByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets a batch tag by its index in the collection.

Datatype

ItemByIndex(long lIndex) As IBatchTag

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

using System.Diagnostics;

void ThisProject_Active()

{

//Check in the PhaseProgress Event

BatchManager().PhaseProgress += new PhaseProgressEventHandler(

ThisProject_PhaseProgress);

}

void ThisProject_PhaseProgress(IBatchPhaseProgressEventData eventData)

{

//Write 3 debug messages with tag data to the listener when event is fired.

Debug.WriteLine(eventData.Phase.Tags.ItemByIndex(0).TagValue.String);

Debug.WriteLine(eventData.Phase.Tags.ItemById(0).Name);

Debug.WriteLine(eventData.Phase.Tags.ItemByName("ExampleTag1").ID);

//…Write tag count to debugger

Debug.WriteLine(eventData.Phase.Tags.Count);

}

void ThisProject_Inactive()

{

//Check out the PhaseProgress Event

BatchManager().PhaseProgress -= ThisProject_PhaseProgress;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a phase is in progress

Private Sub zBatchManager_PhaseProgress(ByVal eventData As IBatchPhaseProgressEventData)

'print tag data to debug window

Debug.Print (eventData.Phase.Tags.ItemByIndex(0).TagValue.String)

Debug.Print (eventData.Phase.Tags.ItemById(0).Name)

Debug.Print (eventData.Phase.Tags.ItemByName("ExampleTag1").ID)

Debug.Print (eventData.Phase.Tags.Count)

End Sub


ItemByName

Manuale -> Scripting -> Objectmodel -> BatchTags -> BatchTags-Methods -> ItemByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets a batch tag by its name.

Datatype

ItemByName(BSTR bstrName) As IBatchTag

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

using System.Diagnostics;

void ThisProject_Active()

{

//Check in the PhaseProgress Event

BatchManager().PhaseProgress += new PhaseProgressEventHandler(

ThisProject_PhaseProgress);

}

void ThisProject_PhaseProgress(IBatchPhaseProgressEventData eventData)

{

//Write 3 debug messages with tag data to the listener when event is fired.

Debug.WriteLine(eventData.Phase.Tags.ItemByIndex(0).TagValue.String);

Debug.WriteLine(eventData.Phase.Tags.ItemById(0).Name);

Debug.WriteLine(eventData.Phase.Tags.ItemByName("ExampleTag1").ID);

//…Write tag count to debugger

Debug.WriteLine(eventData.Phase.Tags.Count);

}

void ThisProject_Inactive()

{

//Check out the PhaseProgress Event

BatchManager().PhaseProgress -= ThisProject_PhaseProgress;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a phase is in progress

Private Sub zBatchManager_PhaseProgress(ByVal eventData As IBatchPhaseProgressEventData)

'print tag data to debug window

Debug.Print (eventData.Phase.Tags.ItemByIndex(0).TagValue.String)

Debug.Print (eventData.Phase.Tags.ItemById(0).Name)

Debug.Print (eventData.Phase.Tags.ItemByName("ExampleTag1").ID)

Debug.Print (eventData.Phase.Tags.Count)

End Sub


ItemById

Manuale -> Scripting -> Objectmodel -> BatchTags -> BatchTags-Methods -> ItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets a batch tag by its id.

Datatype

ItemById(long lId) As IBatchTag

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

using System.Diagnostics;

void ThisProject_Active()

{

//Check in the PhaseProgress Event

BatchManager().PhaseProgress += new PhaseProgressEventHandler(

ThisProject_PhaseProgress);

}

void ThisProject_PhaseProgress(IBatchPhaseProgressEventData eventData)

{

//Write 3 debug messages with tag data to the listener when event is fired.

Debug.WriteLine(eventData.Phase.Tags.ItemByIndex(0).TagValue.String);

Debug.WriteLine(eventData.Phase.Tags.ItemById(0).Name);

Debug.WriteLine(eventData.Phase.Tags.ItemByName("ExampleTag1").ID);

//…Write tag count to debugger

Debug.WriteLine(eventData.Phase.Tags.Count);

}

void ThisProject_Inactive()

{

//Check out the PhaseProgress Event

BatchManager().PhaseProgress -= ThisProject_PhaseProgress;

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

VB.NET

VBA

Dim WithEvents zBatchManager As batchManager

'procedure is executed on startup of the zenOn runtime

Private Sub Project_Active()

'init the Batchmanager object for events

Set zBatchManager = thisProject.batchManager

End Sub

'procedure is executed on terminating the zenOn Runtime

Private Sub Project_Inactive()

'free the batchmanager object

Set zBatchManager = Nothing

End Sub

'procedure is executed when a phase is in progress

Private Sub zBatchManager_PhaseProgress(ByVal eventData As IBatchPhaseProgressEventData)

'print tag data to debug window

Debug.Print (eventData.Phase.Tags.ItemByIndex(0).TagValue.String)

Debug.Print (eventData.Phase.Tags.ItemById(0).Name)

Debug.Print (eventData.Phase.Tags.ItemByName("ExampleTag1").ID)

Debug.Print (eventData.Phase.Tags.Count)

End Sub


BatchTagValue

Manuale -> Scripting -> Objectmodel -> BatchTagValue

Remarks

Value for a tag that is written to the variable of the tag. It contains fields for all possible data types of the tag.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

BatchTagValue-Properties


BatchTagValue-Properties

Manuale -> Scripting -> Objectmodel -> BatchTagValue -> BatchTagValue-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpBatchBoolValue | Bool | Bool value | not used | read only | yes | yes
BSTR | String | String value | not used | read only | yes | yes
double | Numeric | Numerical value | not used | read only | yes | yes
long | Duration | Duration value in seconds | not used | read only | yes | yes

Noch in diesem Kapitel

Bool

String

Numeric

Duration


Bool

Manuale -> Scripting -> Objectmodel -> BatchTagValue -> BatchTagValue-Properties -> Bool

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Bool value for the tag.

Datatype

Bool() As tpBatchBoolValue

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


String

Manuale -> Scripting -> Objectmodel -> BatchTagValue -> BatchTagValue-Properties -> String

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

String value for the tag.

Datatype

String() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Numeric

Manuale -> Scripting -> Objectmodel -> BatchTagValue -> BatchTagValue-Properties -> Numeric

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Numerical value for the tag.

Datatype

Numeric() As double

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Duration

Manuale -> Scripting -> Objectmodel -> BatchTagValue -> BatchTagValue-Properties -> Duration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Duration value for the tag.

Datatype

Duration() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


BatchUnitConfig

Manuale -> Scripting -> Objectmodel -> BatchUnitConfig

Remarks

Ab sofort ist es möglich, die zenon ® Batch Units via zenon ® API zu iterieren und ihre Eigenschaften zu lesen, sowohl im Editor als auch zu RT.

Die neue Schnittstelle und deren Eigenschaften:

IBatchUnitConfig (die Schnittstelle selbst)

Long IBatchUnitConfig::Id (ID der Unit)

BSTR IBatchUnitConfig::Name (Name der Unit)

BSTR IBatchUnitConfig::Description (Beschreibung der Unit)

IBatchPhasesConfig* IBatchUnitConfig::Phases (Liste der Phasen in der Unit)

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void Macro_TestBatchUnits()

{

// Editor:

zenOn.IBatchUnitsConfig units = this.ActiveDocument.BatchManager().Config.Units;

// RT:

// zenOn.IBatchUnitsConfig units = this.BatchManager().Config.Units;

if (null != units && 0 < units.Count)

{

System.Windows.Forms.MessageBox.Show("Attempt to get a unit via Index...");

zenOn.IBatchUnitConfig unit = units.ItemByIndex(0);

ReportUnit(unit);

if (null != unit)

{

System.Windows.Forms.MessageBox.Show("Attempt to get a unit via Id...");

unit = units.ItemById(unit.ID);

ReportUnit(unit);

}

if (null != unit)

{

System.Windows.Forms.MessageBox.Show("Attempt to get a unit via Name...");

unit = units.ItemByName(unit.Name);

ReportUnit(unit);

}

}

}

public void ReportUnit(zenOn.IBatchUnitConfig unit)

{

if (null != unit)

{

System.String message;

message = "Unit id(" + unit.ID + "),name(" + unit.Name + "),description(" + unit.Description + ")";

System.Windows.Forms.MessageBox.Show(message);

}

else

{

System.Windows.Forms.MessageBox.Show("Unit not found!");

}

}

VB.NET

VBA

Public Sub batch_unit_test()

' be sure you have some projected units in your project

Dim bm As BatchManager

Dim cfg As IBatchConfig

Dim units As IBatchUnitsConfig

Dim count As Long

Dim unit As IBatchUnitConfig

' take the following line for Editor

Set bm = MyWorkspace.ActiveDocument.BatchManager

' ...or this line for Runtime

'Set bm = thisProject.BatchManager

Set cfg = bm.Config

Set units = cfg.units

count = units.count

If count > 0 Then

MsgBox ("Attempt to get a unit via Index...")

Set unit = units.ItemByIndex(0)

report_unit unit

If Not unit Is Nothing Then

MsgBox ("Attempt to get a unit via ID...")

Set unit = units.ItemById(unit.ID)

report_unit unit

End If

If Not unit Is Nothing Then

MsgBox ("Attempt to get a unit via Name...")

Set unit = units.ItemByName(unit.Name)

report_unit unit

End If

End If

End Sub

Public Sub report_unit(unit As IBatchUnitConfig)

If Not unit Is Nothing Then

Dim message As String

message = "Unit id(" & unit.ID & "),name(" & unit.Name & "),description(" & unit.Description & ")"

MsgBox (message)

Else

MsgBox ("Unit not found!")

End If

End Sub

Noch in diesem Kapitel

BatchUnitConfig -Properties


BatchUnitConfig -Properties

Manuale -> Scripting -> Objectmodel -> BatchUnitConfig -> BatchUnitConfig -Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | Returns the unit name | read only | read only | yes | yes
BSTR | Description | Returns the unit description | read only | read only | yes | yes
long | ID | Returns the unit ID | read only | read only | yes | yes
IBatchPhasesConfig | Phases | List of unit phases | available | read only | yes | yes

Noch in diesem Kapitel

Name

Description

ID

Phases


Name

Manuale -> Scripting -> Objectmodel -> BatchUnitConfig -> BatchUnitConfig -Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Description

Manuale -> Scripting -> Objectmodel -> BatchUnitConfig -> BatchUnitConfig -Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Scripting -> Objectmodel -> BatchUnitConfig -> BatchUnitConfig -Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Phases

Manuale -> Scripting -> Objectmodel -> BatchUnitConfig -> BatchUnitConfig -Properties -> Phases

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Phases() As IBatchPhasesConfig

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BatchUnitsConfig

Manuale -> Scripting -> Objectmodel -> BatchUnitsConfig

Remarks

Ab sofort ist es möglich, die zenon ® Batch Units via zenon ® API zu iterieren und ihre Eigenschaften zu lesen, sowohl im Editor als auch zu RT.

Die neue Schnittstelle und deren Eigenschaften:

IBatchUnitConfig (die Schnittstelle selbst)

Long IBatchUnitConfig::Id (ID der Unit)

BSTR IBatchUnitConfig::Name (Name der Unit)

BSTR IBatchUnitConfig::Description (Beschreibung der Unit)

IBatchPhasesConfig* IBatchUnitConfig::Phases (Liste der Phasen in der Unit)

Zu den Einzelnen Objekten der neuen Klasse kommt man durch die Iteration der Unitsliste der Batch-Projektierung:

IBatchUnitConfig* IBatchUnitsConfig::ItemById(long id)

IBatchUnitConfig* IBatchUnitsConfig::ItemByIndex(long index)

IBatchUnitConfig* IBatchUnitsConfig::ItemByName(BSTR name)

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void Macro_TestBatchUnits()

{

// Editor:

zenOn.IBatchUnitsConfig units = this.ActiveDocument.BatchManager().Config.Units;

// RT:

// zenOn.IBatchUnitsConfig units = this.BatchManager().Config.Units;

if (null != units && 0 < units.Count)

{

System.Windows.Forms.MessageBox.Show("Attempt to get a unit via Index...");

zenOn.IBatchUnitConfig unit = units.ItemByIndex(0);

ReportUnit(unit);

if (null != unit)

{

System.Windows.Forms.MessageBox.Show("Attempt to get a unit via Id...");

unit = units.ItemById(unit.ID);

ReportUnit(unit);

}

if (null != unit)

{

System.Windows.Forms.MessageBox.Show("Attempt to get a unit via Name...");

unit = units.ItemByName(unit.Name);

ReportUnit(unit);

}

}

}

public void ReportUnit(zenOn.IBatchUnitConfig unit)

{

if (null != unit)

{

System.String message;

message = "Unit id(" + unit.ID + "),name(" + unit.Name + "),description(" + unit.Description + ")";

System.Windows.Forms.MessageBox.Show(message);

}

else

{

System.Windows.Forms.MessageBox.Show("Unit not found!");

}

}

VB.NET

VBA

Public Sub batch_unit_test()

' be sure you have some projected units in your project

Dim bm As BatchManager

Dim cfg As IBatchConfig

Dim units As IBatchUnitsConfig

Dim count As Long

Dim unit As IBatchUnitConfig

' take the following line for Editor

Set bm = MyWorkspace.ActiveDocument.BatchManager

' ...or this line for Runtime

'Set bm = thisProject.BatchManager

Set cfg = bm.Config

Set units = cfg.units

count = units.count

If count > 0 Then

MsgBox ("Attempt to get a unit via Index...")

Set unit = units.ItemByIndex(0)

report_unit unit

If Not unit Is Nothing Then

MsgBox ("Attempt to get a unit via ID...")

Set unit = units.ItemById(unit.ID)

report_unit unit

End If

If Not unit Is Nothing Then

MsgBox ("Attempt to get a unit via Name...")

Set unit = units.ItemByName(unit.Name)

report_unit unit

End If

End If

End Sub

Public Sub report_unit(unit As IBatchUnitConfig)

If Not unit Is Nothing Then

Dim message As String

message = "Unit id(" & unit.ID & "),name(" & unit.Name & "),description(" & unit.Description & ")"

MsgBox (message)

Else

MsgBox ("Unit not found!")

End If

End Sub

Noch in diesem Kapitel

BatchUnitsConfig -Properties

BatchUnitsConfig -Methods


BatchUnitsConfig -Properties

Manuale -> Scripting -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the count of units | read only | read only | yes | yes

Noch in diesem Kapitel

Count


Count

Manuale -> Scripting -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


BatchUnitsConfig -Methods

Manuale -> Scripting -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Export | Exports all units to file | available | available | yes | yes
VARIANT_BOOL | Import | Imports the units from file | available | not used | yes | yes
VARIANT_BOOL | SingleExportById | Exports a unit via ID | available | available | yes | yes
VARIANT_BOOL | SingleExportByIndex | Exports a unit via index | available | available | yes | yes
VARIANT_BOOL | SingleExportByName | Exports a unit via name | available | available | yes | yes
VARIANT_BOOL | DeleteById | Deletes a unit via ID | available | not used | yes | yes
VARIANT_BOOL | DeleteByIndex | Deletes a unit via index | available | not used | yes | yes
VARIANT_BOOL | DeleteByName | Deletes a unit via name | available | not used | yes | yes
IBatchUnitConfig | ItemById | Returns a unit via ID | available | available | yes | yes
IBatchUnitConfig | ItemByIndex | Returns a unit via index | available | available | yes | yes
IBatchUnitConfig | ItemByName | Returns a unit via name | available | available | yes | yes

Noch in diesem Kapitel

Export

Import

SingleExportById

SingleExportByIndex

SingleExportByName

DeleteById

DeleteByIndex

DeleteByName

ItemById

ItemByIndex

ItemByName


Export

Manuale -> Scripting -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuale -> Scripting -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Import(BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExportById

Manuale -> Scripting -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> SingleExportById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportById(long lUnitId, BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExportByIndex

Manuale -> Scripting -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> SingleExportByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportByIndex(long lUnitIndex, BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExportByName

Manuale -> Scripting -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> SingleExportByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportByName(BSTR bstrUnitName, BSTR bstrXmlFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteById

Manuale -> Scripting -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> DeleteById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteById(long lUnitId) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteByIndex

Manuale -> Scripting -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> DeleteByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteByIndex(long lUnitIndex) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteByName

Manuale -> Scripting -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> DeleteByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteByName(BSTR bstrUnitName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ItemById

Manuale -> Scripting -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> ItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemById(long lUnitId) As IBatchUnitConfig

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ItemByIndex

Manuale -> Scripting -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> ItemByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemByIndex(long lUnitIndex) As IBatchUnitConfig

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ItemByName

Manuale -> Scripting -> Objectmodel -> BatchUnitsConfig -> BatchUnitsConfig -Methods -> ItemByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemByName(BSTR bstrUnitName) As IBatchUnitConfig

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Cel

Manuale -> Scripting -> Objectmodel -> Cel

Remarks

The CEL Object represents the "Chronological Event List" an offers the feature to write user defined Events into the list or react on entries in the list...There are some methods and events implemented, to see how they are working look at the Sample below or take a detailed look at the objects properties...

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

private ICel zenonCel;

private IDynPicture zenonCelPicture;

private bool celFlag = false;

void ThisProject_Inactive()

{

this.zenonCelPicture.Open -= new OpenEventHandler(zenonCelPicture_Open);

this.zenonCelPicture = null;

if (this.zenonCel != null)

{

this.zenonCel.CelListSelectionChanged -= new CelListSelectionChangedEventHandler(zenonCel_CelListSelectionChanged);

this.zenonCel = null;

}

FreeObjects();

}

void zenonCelPicture_Open()

{

celFlag = true;

zenonCel = this.Cel();

zenonCel.CelListSelectionChanged += new CelListSelectionChangedEventHandler(zenonCel_CelListSelectionChanged);

}

void zenonCel_CelListSelectionChanged(ICelItem obItem)

{

if (celFlag == true)

celFlag = false;

else

System.Diagnostics.Debug.Print("C_Changed - " + obItem.Text);

}

void ThisProject_Active()

{

//Initialize screen objects to get Open/Close events of the screen

this.zenonCelPicture = this.DynPictures().Item("CEL");

this.zenonCelPicture.Open += new OpenEventHandler(zenonCelPicture_Open);

}

VB.NET

Private zenonCel As ICel

Private zenonCelPicture As IDynPicture

Private celFlag As Boolean = False

Private Sub ThisProject_Inactive()

RemoveHandler Me.zenonCelPicture.Open, AddressOf zenonCelPicture_Open

Me.zenonCelPicture = Nothing

If Me.zenonCel IsNot Nothing Then

RemoveHandler Me.zenonCel.CelListSelectionChanged, AddressOf zenonCel_CelListSelectionChanged

Me.zenonCel = Nothing

End If

FreeObjects()

End Sub

Private Sub zenonCelPicture_Open()

celFlag = True

zenonCel = Me.Cel()

AddHandler Me.zenonCel.CelListSelectionChanged, AddressOf zenonCel_CelListSelectionChanged

End Sub

Private Sub zenonCel_CelListSelectionChanged(obItem As ICelItem)

If celFlag = True Then

celFlag = False

Else

System.Diagnostics.Debug.Print("C_Changed - " & Convert.ToString(obItem.Text))

End If

End Sub

Private Sub ThisProject_Active()

'Initialize screen objects to get Open/Close events of the screen

Me.zenonCelPicture = Me.DynPictures().Item("CEL")

AddHandler Me.zenonCelPicture.Open, AddressOf zenonCelPicture_Open

End Sub

VBA

'##########################################################
'### this Code can be used within the 'thisProject' ###
'### object class, because of the project events! ###
'##########################################################
'Declare Objects to get the Events...
Dim WithEvents zCEL As Cel
Dim WithEvents zCELPIC As DynPicture
Dim bCEL As Boolean

'##########################################################
'### Project Events - START/END of the zenOn Runtime ###
'##########################################################
Private Sub Project_Active()
'Init screen pbjects to get Open/Close events of the screens
Set zCELPIC = thisProject.DynPictures.Item("CEL")
End Sub

Private Sub Project_Inactive()
'release objects
Set zCELPIC = Nothing
End Sub

'##########################################################
'### Procedures/Events for the Chronological event list ###
'##########################################################
Private Sub zCELPIC_Open()
'boolen flag to remember the open event
bCEL = True
'init CEL Object to get the CelListSelectionChanged event
Set zCEL = thisProject.Cel
End Sub

Private Sub zCELPIC_Close()
'release object
Set zCEL = Nothing
End Sub

Private Sub zCEL_CelListSelectionChanged(ByVal obItem As ICelItem)
'If the boolen is TRUE, the first events can be ignored
'because in this case the events returns the default
'selection on opening the screen
If bCEL = True Then
bCEL = False
Else
Debug.Print "C_Changed - " & obItem.Text
End If
End Sub

Noch in diesem Kapitel

Cel-Properties

Cel-Methods

Cel-Events

Cel-Dynamic properties


Cel-Properties

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Properties

Type | Name | Description | Editor | Runtime | VBA | VSTA
IProject | Parent | Parent-object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent


Parent

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Cel-Methods

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Methods

Type | Name | Description |  | Editor | Runtime | VBA | VSTA
ICelItems | CelItems | Return the CelItems |  | not used | read only | yes | yes
void | WriteCelString | Creates a new cel-item (only runtime) |  | not used | available | yes | yes
void | WriteCelStringEx | Creates a new extended cel-item (only runtime) |  | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] |  |  | read only | read only | yes | yes
VARIANT | DynProperties [GET] |  |  | available | available | yes | yes
void | DynProperties [PUT] |  |  | available | available | yes | yes
void | WriteCelStringTimestamp | Creates a new extended cel-item including timestamp (Runtime only) |  | not used | available | yes | yes
void | ResetQueryFilter | Resets the QueryFilter |  | not used | read only | yes | yes
BSTR | CelItemsAsXml | Return the CelItems as XML | not used |  | read only | yes |  | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

WriteCelString

WriteCelStringEx

WriteCelStringTimestamp

CelItems

ResetQueryFilter

CelItemsAsXml


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As IPropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties [PUT](BSTR bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


WriteCelString

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Methods -> WriteCelString

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new cel-item (only runtime)

Datatype

WriteCelString(String strCelString) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

The given String will be written into the chronological event list (actual Timestamp)
Example: "VBA Error " & Err.Number & " in procedure DoSome!"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strCelString As String

Examples

C#

public void WriteStringToCel(string text)

{

//Writes a new standard CEL entry

this.Cel().WriteCelString(text);

}

VB.NET

Public Sub WriteStringToCel(text As String)

'Writes a new standard CEL entry

Me.Cel().WriteCelString(text)

End Sub

VBA

Public Sub WriteString2CEL(YourText As String)
'a new entry will be generated in the CEL with the actual timestamp...
thisProject.Cel.WriteCelString YourText
End Sub


WriteCelStringEx

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Methods -> WriteCelStringEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new extended cel-item (only runtime)

Datatype

WriteCelStringEx(String strCelString,String szPvName,long iGroup,long iClass,VARIANT Value,long Status) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

StatusValue contains all actual status information as single bits...

Status Bits:

Status | Bit | Value (DEC) | Value (HEX)
ST_M1 / Status1 | 0 | 1 | 1
ST_M2 / Status2 | 1 | 2 | 2
ST_M3 / Status3 | 2 | 4 | 4
ST_M4 / Status4 | 3 | 8 | 8
ST_M5 / Status5 | 4 | 16 | 10
ST_M6 / Status6 | 5 | 32 | 20
ST_M7 / Status7 | 6 | 64 | 40
ST_M8 / Status8 | 7 | 128 | 80
SELEC / Select | 8 | 256 | 100
REV / Revision | 9 | 512 | 200
DIREC / Desired direction | 10 | 1.024 | 400
RTE / Runtime exceeded | 11 | 2.048 | 800
MVALUE / Manual value | 12 | 4.096 | 1000
ST_M14 / Status14 | 13 | 8.192 | 2000
ST_M15 / Status15 | 14 | 16.384 | 4000
ST_M16 / Status16 | 15 | 32.768 | 8000
GR / General request | 16 | 65.536 | 10000
SPONT / Spontaneous | 17 | 131.072 | 20000
I-BIT / Invalid | 18 | 262.144 | 40000
SU/WI / Summer/winter time announcement | 19 | 524.288 | 80000
N_UPDATE / switched off | 20 | 1.048.576 | 100000
RT_E / Realtime external | 21 | 2.097.152 | 200000
RT_I / Realtime internal | 22 | 4.194.304 | 400000
NSORT / Not sortable | 23 | 8.388.608 | 800000
DM_TR / Default message trafo value | 24 | 16.777.216 | 1000000
RM_TR / Running message trafo value | 25 | 33.554.432 | 2000000
INFO / Info for variable | 26 | 67.108.864 | 4000000
AVALUE / Alternative value | 27 | 134.217.728 | 8000000
ACTUAL / Not updated | 29 | 536.870.912 | 20000000
WINTER / Winter time | 30 | 1.073.741.824 | 40000000
BLINK / Blink | 31 | 2.147.483.648 | 80000000
TCBx / Transmission cause bit x | 32 | 4.294.967.296 | 100000000
TCBx / Transmission cause bit x | 33 | 8.589.934.592 | 200000000
TCBx / Transmission cause bit x | 34 | 17.179.869.184 | 400000000
TCBx / Transmission cause bit x | 35 | 34.359.738.368 | 800000000
TCBx / Transmission cause bit x | 36 | 68.719.476.736 | 1000000000
TCBx / Transmission cause bit x | 37 | 137.438.953.472 | 2000000000
PN_BIT / P/N bit | 38 | 274.877.906.944 | 4000000000

ID of AlarmClass for filtering within the chronological event list...

The given String will be written into the chronological event list (actual Timestamp)

Example: "VBA Error " & Err.Number & " in procedure DoSome!"

ID of AlarmGroup for filtering within the chronological event list...

Name of a variable, the variable will be listed in the chronological event list...

Value as Variant, means the value entry within the chronological event list...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Status As Long

iClass As Long

strCelString As String

iGroup As Long

szPvName As String

Value As Variant

Examples

C#

public void WriteExStringToCel(string text, string variableName,

int groupNumber, int classNumber, object vValue, int status)

{

//Writes a new extended CEL entry with given names, grpNr, clsNr, value and status bits

this.Cel().WriteCelStringEx(text, variableName, groupNumber, classNumber, vValue, status);

}

VB.NET

Public Sub WriteExStringToCel(text As String, variableName As String, groupNumber As Integer, classNumber As Integer, vValue As Object, status As Integer)

'Writes a new extended CEL entry with given names, grpNr, clsNr, value and status bits

Me.Cel().WriteCelStringEx(text, variableName, groupNumber, classNumber, vValue, status)

End Sub

VBA

Public Sub WriteExString2CEL(YourText As String, VarName As String, _
GroupNr As Long, ClassNr As Long, _
vValue As Variant, lStatus As Long)
'a new entry will be generated in the CEL with the actual timestamp...
Call thisProject.Cel.WriteCelStringEx(YourText, VarName, GroupNr, _
ClassNr, vValue, lStatus)
End Sub


WriteCelStringTimestamp

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Methods -> WriteCelStringTimestamp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new cel-item + timestamp (only runtime)

Datatype

WriteCelStringTimestamp(BSTR strCelString, BSTR szPvName, long iGroup, long iClass, VARIANT Value, long Status, long Time, short TimeMilliSec) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void WriteTimeStampToCel(string text, string variableName,

int groupNumber, int classNumber, object vValue, int status, int time, short milliseconds)

{ //Writes a new extended CEL entry with the given names, grpNr, clsNr, value, status bits and time

//NOTE: zenon time format necessary for the time parameter

this.Cel().WriteCelStringTimestamp(text, variableName, groupNumber, classNumber, vValue, status,

time, milliseconds);

}

VB.NET

Public Sub WriteTimeStampToCel(text As String, variableName As String, groupNumber As Integer, classNumber As Integer, vValue As Object, status As Integer, _

time As Integer, milliseconds As Short)

'Writes a new extended CEL entry with the given names, grpNr, clsNr, value, status bits and time

'NOTE: Zenon time format necessary for the time parameter

Me.Cel().WriteCelStringTimestamp(text, variableName, groupNumber, classNumber, vValue, status, _

time, milliseconds)

End Sub

VBA

Public Sub writeCel()

Call thisProject.Cel.WriteCelStringTimestamp("Mytext", "RGM_visible", 1, 1, 0, 0, 123, 456)

End Sub


CelItems

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Methods -> CelItems

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Object to get all Items are actually in memory...

Filter String: If the string is not "*", then the string should represent the name (case sensitive) of a zenon function.If a function with the given name exists, the filter settings within this function will be used. --> only version 6.51 and above

Datatype

CelItems(String strFilter) As CelItems

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A Filter is not implemented yet. To avoid problems in future use always the asterisk...
Example:

Debug.Print zCelItems("*").Count

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strFilter As String

Examples

C#

public void MacroGetAllCelItems()

{

//Print text for each item

for (int i = 0; i < this.Cel().CelItems("*").Count; ++i )

System.Diagnostics.Debug.Print(this.Cel().CelItems("*").Item(i).Text);

}

VB.NET

Public Sub MacroGetAllCelItems()

'Print text for each item

For i As Integer = 0 To Me.Cel().CelItems("*").Count - 1

System.Diagnostics.Debug.Print(Me.Cel().CelItems("*").Item(i).Text)

Next

End Sub

VBA

'##########################################################
'### Get all CEL Items of the project ###
'##########################################################
Public Sub GetAllItems()
Dim i As Integer
'get all items in memory...
For i = 0 To thisProject.Cel.CelItems("*").Count - 1
'print text of item to outputwindow
Debug.Print thisProject.Cel.CelItems("*").Item(i).Text
Next i
End Sub

'get specific item using the screen switch function as filter

'thisProject.Cel.CelItems("myFunction").Count - 1


ResetQueryFilter

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Methods -> ResetQueryFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Specify Cel filter or set default value.

Datatype

ResetQueryFilter() As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

//Manipulation using the query filter

Project.Cel.ResetQueryFilter()

Project.Cel.SetDynProp(„QueryFilter.XXX", ZZZ)

//get items using the query filter

Project.Cel.AmlItems(„.")

VB.NET

VBA


CelItemsAsXml

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Methods -> CelItemsAsXml

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CelItemsAsXml(BSTR strFilter) As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Cel-Events

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Events

Type | Name | Description | Editor | Runtime | VBA | VSTA
void | CelItemAdded | Event is fired when a new entry has been added to the CEL | not used | available | yes | yes
void | CelItemCommentChanged |  | not used | available | yes | yes
void | CelListSelectionChanged |  | not used | read only | yes | yes
void | SelectionChangedEx | Event: selection array in the event list has been changed... | not used | read only | yes | yes

Noch in diesem Kapitel

CelItemAdded

CelListSelectionChanged

CelItemCommentChanged

SelectionChangedEx


CelItemAdded

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Events -> CelItemAdded

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Event is fired, when a new item was added...

Datatype

CelItemAdded(CelItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Returns the added CelItem as Object...

C#

private ICel zenonCel;

void ThisProject_Active()

{

this.zenonCel = this.Cel();

this.zenonCel.CelItemAdded += new CelItemAddedEventHandler(zenonCel_CelItemAdded);

}

void zenonCel_CelItemAdded(ICelItem obItem)

{

//Print every time an item is added to the CEL

System.Diagnostics.Debug.Print("CellItemAdded - " + obItem.Text);

}

void ThisProject_Inactive()

{

this.zenonCel.CelItemAdded -= new CelItemAddedEventHandler(zenonCel_CelItemAdded);

this.zenonCel = null;

FreeObjects();

}

VB.NET

Private zenonCel As ICel

Private Sub ThisProject_Active()

Me.zenonCel = Me.Cel()

AddHandler Me.zenonCel.CelItemAdded, AddressOf zenonCel_CelItemAdded

End Sub

Private Sub zenonCel_CelItemAdded(obItem As ICelItem)

'Print every time an item is added to the CEL

System.Diagnostics.Debug.Print("CellItemAdded - " & Convert.ToString(obItem.Text))

End Sub

Private Sub ThisProject_Inactive()

RemoveHandler Me.zenonCel.CelItemAdded, AddressOf zenonCel_CelItemAdded

Me.zenonCel = Nothing

FreeObjects()

End Sub

VBA

obItem As CelItem

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zCEL As Cel

'##########################################################
'### Procedures/Events of the Project ###
'##########################################################
Private Sub Project_Active()
'init CEL Object to get the CelItemAdded event
Set zCEL = thisProject.Cel
End Sub

Private Sub Project_Inactive()
'release object
Set zCEL = Nothing
End Sub

'##########################################################
'### Procedures/Events for the CEL DynPicture ###
'##########################################################
Private Sub zCEL_CelItemAdded(ByVal obItem As ICelItem)
'when a new entry was generated....
Debug.Print "CelItemAdded - " & obItem.Text
End Sub


CelListSelectionChanged

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Events -> CelListSelectionChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The event will be fired whenever the Selection in the list is changed, when an item is selected the Entry will be passed on through the zenon-API. When an item has been deselected, the eventparameter will be "Nothing".Additionally the event will be triggered whenever an AML/CEL picture is closed. (This could lead the event being triggered twice with "Nothing").NOTE: When the Property "hide current selection" has been set at the listcontrol, the event will/should not be fired(!)

Datatype

CelListSelectionChanged(CelItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Returns the added CelItem as Object...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obItem As CelItem

Examples

C#

private ICel zenonCel;

private IDynPicture zenonCelPicture;

private bool celFlag = false;

void ThisProject_Inactive()

{

this.zenonCelPicture.Open -= new OpenEventHandler(zenonCelPicture_Open);

this.zenonCelPicture = null;

if (this.zenonCel != null)

{

this.zenonCel.CelListSelectionChanged -= new CelListSelectionChangedEventHandler(zenonCel_CelListSelectionChanged);

this.zenonCel = null;

}

FreeObjects();

}

void zenonCelPicture_Open()

{

celFlag = true;

zenonCel = this.Cel();

zenonCel.CelListSelectionChanged += new CelListSelectionChangedEventHandler(zenonCel_CelListSelectionChanged);

}

void zenonCel_CelListSelectionChanged(ICelItem obItem)

{

if (celFlag == true)

celFlag = false;

else

System.Diagnostics.Debug.Print("C_Changed - " + obItem.Text);

}

void ThisProject_Active()

{

//Initialize screen objects to get Open/Close events of the screen

this.zenonCelPicture = this.DynPictures().Item("CEL");

this.zenonCelPicture.Open += new OpenEventHandler(zenonCelPicture_Open);

}

VB.NET

Private zenonCel As ICel

Private zenonCelPicture As IDynPicture

Private celFlag As Boolean = False

Private Sub ThisProject_Inactive()

RemoveHandler Me.zenonCelPicture.Open, AddressOf zenonCelPicture_Open

Me.zenonCelPicture = Nothing

If Me.zenonCel IsNot Nothing Then

RemoveHandler Me.zenonCel.CelListSelectionChanged, AddressOf zenonCel_CelListSelectionChanged

Me.zenonCel = Nothing

End If

FreeObjects()

End Sub

Private Sub zenonCelPicture_Open()

celFlag = True

zenonCel = Me.Cel()

AddHandler Me.zenonCel.CelListSelectionChanged, AddressOf zenonCel_CelListSelectionChanged

End Sub

Private Sub zenonCel_CelListSelectionChanged(obItem As ICelItem)

If celFlag = True Then

celFlag = False

Else

System.Diagnostics.Debug.Print("C_Changed - " & Convert.ToString(obItem.Text))

End If

End Sub

Private Sub ThisProject_Active()

'Initialize screen objects to get Open/Close events of the screen

Me.zenonCelPicture = Me.DynPictures().Item("CEL")

AddHandler Me.zenonCelPicture.Open, AddressOf zenonCelPicture_Open

End Sub

VBA

Dim WithEvents zCELPIC As DynPicture
Dim WithEvents zCEL As Cel
Dim bCEL As Boolean

'##########################################################
'### Procedures/Events of the Project ###
'##########################################################
Private Sub Project_Active()
'set this object to get the Picture Open/Close Events...
Set zCELPIC = thisProject.DynPictures.Item("CELPICTURENAME")
End Sub

Private Sub Project_Inactive()
'release object
Set zCELPIC = Nothing
End Sub

'##########################################################
'### Procedures/Events for the CEL DynPicture ###
'##########################################################
Private Sub zCELPIC_Open()
'boolen flag to remember the open event
bCEL = True
'init CEL Object to get the CelListSelectionChanged event
Set zCEL = thisProject.Cel
End Sub

Private Sub zCELPIC_Close()
'release object
Set zCEL = Nothing
End Sub

'##########################################################
'### Procedures/Events for the ChronologicalEventList ###
'##########################################################
Private Sub zCEL_CelListSelectionChanged(ByVal obItem As ICelItem)
'If the boolen is TRUE, the first events can be ignored
'because in this case the events returns the default
'selection on opening the picture
If bCEL = True Then
bCEL = False
Else
If obItem Is Nothing Then Exit Sub
Debug.Print "SelectionChanged - " & obItem.Text
End If
End Sub


CelItemCommentChanged

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Events -> CelItemCommentChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CelItemCommentChanged(String bsText) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

private ICel zenonCel;

void ThisProject_Active()

{

this.zenonCel = this.Cel();

this.zenonCel.CelItemCommentChanged += new CelItemCommentChangedEventHandler(zenonCel_CelItemCommentChanged);

}

void zenonCel_CelItemCommentChanged(ref string bsText)

{

System.Diagnostics.Debug.Print("New CEL Comment: " + bsText);

//Note: bsText may be edited in this method since its passed by reference

}

void ThisProject_Inactive()

{

this.zenonCel.CelItemCommentChanged -= new CelItemCommentChangedEventHandler(zenonCel_CelItemCommentChanged);

this.zenonCel = null;

FreeObjects();

}

VB.NET

Private zenonCel As ICel

Private Sub ThisProject_Active()

Me.zenonCel = Me.Cel()

AddHandler Me.zenonCel.CelItemCommentChanged, AddressOf zenonCel_CelItemCommentChanged

End Sub

Private Sub zenonCel_CelItemCommentChanged(ByRef bsText As String)

System.Diagnostics.Debug.Print("New CEL Comment: " & bsText)

'Note: bsText may be edited in this method since its passed by reference

End Sub

Private Sub ThisProject_Inactive()

RemoveHandler Me.zenonCel.CelItemCommentChanged, AddressOf zenonCel_CelItemCommentChanged

Me.zenonCel = Nothing

FreeObjects()

End Sub

VBA

VBA-Syntax


SelectionChangedEx

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Events -> SelectionChangedEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Fired when the selection changes in CEL.

Datatype

SelectionChangedEx(LPVARIANT arrSelection) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

void ThisProject_Active()

{

this.zenonCel = this.Cel();

this.zenonCel.SelectionChangedEx += new SelectionChangedExEventHandler(zenonCel_SelectionChangedEx);

}

void zenonCel_SelectionChangedEx(ref object arrSelection)

{

if (arrSelection == null)

return;

//One or more items have been selected

object[] selectedItems = (object[]) arrSelection;

for (int i = 0; i < selectedItems.Length; ++i)

{

ICelItem item = (ICelItem)selectedItems[i];

System.Diagnostics.Debug.Print(item.Text);

}

}

void ThisProject_Inactive()

{

this.zenonCel.SelectionChangedEx -= new SelectionChangedExEventHandler(zenonCel_SelectionChangedEx);

this.zenonCel = null;

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

Me.zenonCel = Me.Cel()

AddHandler Me.zenonCel.SelectionChangedEx, AddressOf zenonCel_SelectionChangedEx

End Sub

Private Sub zenonCel_SelectionChangedEx(ByRef arrSelection As Object)

If arrSelection Is Nothing Then

Return

End If

'One or more items have been selected

Dim selectedItems As Object() = DirectCast(arrSelection, Object())

For i As Integer = 0 To selectedItems.Length - 1

Dim item As ICelItem = DirectCast(selectedItems(i), ICelItem)

System.Diagnostics.Debug.Print(item.Text)

Next

End Sub

Private Sub ThisProject_Inactive()

RemoveHandler Me.zenonCel.SelectionChangedEx, AddressOf zenonCel_SelectionChangedEx

Me.zenonCel = Nothing

FreeObjects()

End Sub

VBA

Private WithEvents MyEvents As Cel

Private Sub MyEvents_SelectionChangedEx(arrSelection As Variant)

Dim i As Integer

Dim zCelEntry As CelItem

Stop

If IsEmpty(arrSelection) Then Exit Sub

For i = 0 To UBound(arrSelection)

Set zCelEntry = arrSelection(i)

Debug.Print zCelEntry.Text

Next i

End Sub

Private Sub Project_Active()

Set MyEvents = thisProject.Cel

End Sub


Cel-Dynamic properties

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

CDlgCel

Noch in diesem Kapitel

CD_CCelFilter

CDlgCel


CD_CCelFilter

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Dynamic properties -> CD_CCelFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | ShowSysEntriesForever | ShowSysEntriesForever | Description
VT_BSTR | FileName | FileName | With this property you get/set the file name for the different export mechanism.
VT_BSTR | VarFilter | VarFilter | "Filters for variable names, where system messages are masked out, as they are not linked to a variable. Wildcards can be used here. Default = ""*"" (All variables)"
VT_BSTR | FilterTitel | FilterTitel | "Filters for the identifictaion of variables, where system messages are masked out, as they are not linked to a variable. Wildcards can be used here. Default = ""*"""
VT_BOOL | IsFilterRT | IsFilterRT | "Displays the configuration dialog within the runtime, if set TRUE."
VT_BOOL | IsMatchCase | IsMatchCase | "Filter is case sensitive, if set TRUE. Otherwise the case sensitivity is ignored."
VT_BOOL | IsFromFiles | IsFromFiles | "Filter is applied to file entries, if set TRUE. Otherwise, the filter is applied to the entries from the memory. Hint: The maximum amount of entries which should be filtered from the file is specified by the ""EntriesCount"" DynProperty."
VT_BOOL | IsReadAll | IsReadAll |
VT_BOOL | IsAutoName | IsAutoName |
VT_BOOL | IsAML | IsAML | "Prints the alarm list, if set TRUE. Otherwise the CEL list will be printed."
VT_BOOL | IsDBASE | IsDBASE |
VT_BOOL | IsXML | IsXML |
VT_BOOL | IsRelationTime | IsRelationTime | "Display of relative times (relative to selected entries), if set TRUE."
VT_BOOL | IsUnicode | IsUnicode |
VT_BOOL | IsIncremental | IsIncremental |
VT_BOOL | IsFilterExp | IsFilterExp | "Opens the list stopped, if set TRUE. "
VT_BOOL | IsAcknowledged | IsAcknowledged | "Filters unacknowledged alarms, if set TRUE."
VT_BOOL | IsAscentOnly | IsAscentOnly | "Prints only current alarms, if set TRUE."
VT_UI2 | EntriesCount | EntriesCount | "Specifies the maximum amount of entries that should be filtered from a file. Hint: Only available, if the DynProperty ""IsFromFiles"" is set TRUE."
ZT_SCHRIFT | Font | Font | "Specifies the font that should be used. The parameter that is passed, is the index of the font within the specified font list. 0 = Standard font 1 = Default font 1 ... 5 = Default font 5 6 = User specified font 1 ... = etc. "
VT_BSTR | Classes | Classes | "Filters for alarm classes, where system messages are marked out, as they are not linked to a variable. Multiple class numbers have to be seperated with a semicolon. zFct.DynProperties(""PictFilter.Classes"") = ""1;2;"""
VT_BSTR | Groups | Groups | "Filters for alarm groups, where system messages are marked out, as they are not linked to a variable. Multiple group numbers have to be seperated with a semicolon. zFct.DynProperties(""PictFilter.Groups"") = ""1;2;"""
VT_BSTR | ResString | ResString |
ZT_ZEIT | IncTime | IncTime | "Gets or sets the minimal time for current alarms in seconds. Hint: Milliseconds can be specified with the ""mSeconds"" DynProperty."
VT_UI2 | mSeconds | mSeconds | "Gets or sets the milliseconds in addition to the ""IncTime"" DynProperty."
More... | TimeFilter | TimeFilter |
More... | ListInfo | ListInfo |
VT_BSTR | ProjectNames | ProjectNames | "Specifies the names of the projects. Multiple project names are seperated with a semicolon. zFct.DynProperties(""PictFilter.ProjectNames"") = ""PROJECT1;PROJECT2;"""
More... | TextFilter | TextFilter |
More... | StatusFilter | StatusFilter |
VT_BOOL | IsSQL | SQLBase |
VT_BSTR | SQLBase | SQLBase |
VT_BSTR | SQLTable | SQLTable |
More... | SystemModelGroup | Gruppi d'impianto | Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti. Ulteriori informazioni nella guida in linea.
More... | RTMDIFilterScreen | RTMDIFilterScreen |
VT_BSTR | Areas | Areas |
VT_BOOL | IsGoneOnly | IsGoneOnly |
VT_BOOL | NeedComment | NeedComment |
ZT_GUID | FilterPartGUID | FilterPartGUID | Description as text.
VT_BOOL | EditableInRT | EditableInRT | Description as text.


CDlgCel

Manuale -> Scripting -> Objectmodel -> Cel -> Cel-Dynamic properties -> CDlgCel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
More... | QueryFilter | Status |


CelItem

Manuale -> Scripting -> Objectmodel -> CelItem

Remarks

This object deliveres all information stored with the cel item...You can read this like shown in the Sample, but ther some more, like the Username, the Computer, Value or something else...

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroGetAllCelItems()

{

//Print text for each item

for (int i = 0; i < this.Cel().CelItems("*").Count; ++i )

System.Diagnostics.Debug.Print(this.Cel().CelItems("*").Item(i).Text);

}

VB.NET

Public Sub MacroGetAllCelItems()

'Print text for each item

For i As Integer = 0 To Me.Cel().CelItems("*").Count - 1

System.Diagnostics.Debug.Print(Me.Cel().CelItems("*").Item(i).Text)

Next

End Sub

VBA

'##########################################################
'### Get all CEL Items of the project ###
'##########################################################
Public Sub GetAllItems()
Dim i As Integer
Dim zCItem As CelItem
'get all items in memory...
For i = 0 To thisProject.Cel.CelItems("*").Count - 1
'set object to a specific item...
Set zCItem = thisProject.Cel.CelItems("*").Item(i)
'print time, text, Variablename and User-Comment of item to outputwindow
Debug.Print "Time: " & zCItem.Time
Debug.Print "Text: " & zCItem.Text
Debug.Print "Variable: " & zCItem.VariableName
Debug.Print "Comment: " & zCItem.Comment
Debug.Print "-----------------------------"
Next i
End Sub

Noch in diesem Kapitel

CelItem-Properties

CelItem-Methods


CelItem-Properties

Manuale -> Scripting -> Objectmodel -> CelItem -> CelItem-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
short | Class | Returns the class | not used | read only | yes | yes
BSTR | Comment | Returns the comment | not used | available | yes | yes
BSTR | Computer | Returns the computer name | not used | read only | yes | yes
short | Group | Returns the group | not used | read only | yes | yes
long | Status | Return the status | not used | read only | yes | yes
BSTR | TagName | Returns the Tagname of the variable | not used | read only | yes | yes
BSTR | Text | Returns the text | not used | read only | yes | yes
DATE | Time | Returns the time | not used | read only | yes | yes
BSTR | User | Returns the user | not used | read only | yes | yes
VARIANT | Value | Returns the value | not used | read only | yes | yes
BSTR | VariableName | Returns the name of the variable | not used | read only | yes | yes
BSTR | Tagname | Returns the Tagname of the variable | not used | read only | yes | yes

Noch in diesem Kapitel

VariableName

Tagname

Text

Status

Value

Time

User

Computer

Comment

Class

Group


VariableName

Manuale -> Scripting -> Objectmodel -> CelItem -> CelItem-Properties -> VariableName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Name of the Variable as string

Datatype

VariableName() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Tagname

Manuale -> Scripting -> Objectmodel -> CelItem -> CelItem-Properties -> Tagname

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Tagname() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Text

Manuale -> Scripting -> Objectmodel -> CelItem -> CelItem-Properties -> Text

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Text of the actual entry...

Datatype

Text() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuale -> Scripting -> Objectmodel -> CelItem -> CelItem-Properties -> Status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Status() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Value

Manuale -> Scripting -> Objectmodel -> CelItem -> CelItem-Properties -> Value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Value of the Variable...

Datatype

Value() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Time

Manuale -> Scripting -> Objectmodel -> CelItem -> CelItem-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The time when the entry was created...The Time is given as Double, but if you print it out, you will get the Date/Time format of the system...

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuale -> Scripting -> Objectmodel -> CelItem -> CelItem-Properties -> User

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The user who was logged in during the entry has been added....

Datatype

User() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Computer

Manuale -> Scripting -> Objectmodel -> CelItem -> CelItem-Properties -> Computer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Computername, where the Entry was raised...

Datatype

Computer() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Comment

Manuale -> Scripting -> Objectmodel -> CelItem -> CelItem-Properties -> Comment

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A comment which can be changed by the user...

Datatype

Comment() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Class

Manuale -> Scripting -> Objectmodel -> CelItem -> CelItem-Properties -> Class

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Alarm/CEL class as number (the number which was set in the Alarm/CEL configuration...

Datatype

Class() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Group

Manuale -> Scripting -> Objectmodel -> CelItem -> CelItem-Properties -> Group

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Alarm/CEL group as number (the number which was set in the Alarm/CEL configuration...

Datatype

Group() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CelItem-Methods

Manuale -> Scripting -> Objectmodel -> CelItem -> CelItem-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> CelItem -> CelItem-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> CelItem -> CelItem-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties:DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> CelItem -> CelItem-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> CelItem -> CelItem-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


CelItems

Manuale -> Scripting -> Objectmodel -> CelItems

Remarks

With this object it is possible to get all CEL entries are in memory. You are able to read all properties of each item...Hint:The Filter should be set always like "*", because this feature is implemented for future and does not work for now.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroGetAllCelItems()

{

//Print text for each item

for (int i = 0; i < this.Cel().CelItems("*").Count; ++i )

System.Diagnostics.Debug.Print(this.Cel().CelItems("*").Item(i).Text);

}

VB.NET

Public Sub MacroGetAllCelItems()

'Print text for each item

For i As Integer = 0 To Me.Cel().CelItems("*").Count - 1

System.Diagnostics.Debug.Print(Me.Cel().CelItems("*").Item(i).Text)

Next

End Sub

VBA

'##########################################################
'### Get all CEL Items of the project ###
'##########################################################
Public Sub GetAllItems()
Dim i As Integer
'get all items in memory...
For i = 0 To thisProject.Cel.CelItems("*").Count - 1
'print text of item to outputwindow
Debug.Print thisProject.Cel.CelItems("*").Item(i).Text
Next i
End Sub

'get specific item using the screen switch function as filter

'thisProject.Cel.CelItems("myFunction").Count - 1

Noch in diesem Kapitel

CelItems-Properties

CelItems-Methods


CelItems-Properties

Manuale -> Scripting -> Objectmodel -> CelItems -> CelItems-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of CelItems | read only | read only | yes | yes
ICel | Parent | Parent-object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> CelItems -> CelItems-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Cel

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> CelItems -> CelItems-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


CelItems-Methods

Manuale -> Scripting -> Objectmodel -> CelItems -> CelItems-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ICelItem | Item | Returns the CelItem at the given index | available | not used | yes | yes

Noch in diesem Kapitel

Item


Item

Manuale -> Scripting -> Objectmodel -> CelItems -> CelItems-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

To get a defined entry of the List.You can read all available properties like the Text or the Name of the linked Variable, the Username and so on...

Datatype

Item(VARIANT vIndex) As CelItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ColorPalettes

Manuale -> Scripting -> Objectmodel -> ColorPalettes

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

public void MacroReadColorPaletteDynProperties()

{

/*

* ColorPalettes are accessed via DynamicProperties, a list of those can be found in the help file

* Or you can display them via the Method get_DynPropertiesEnum("name");

* The following example shows how to read some of the dynamic properties

*/

IColorPalettes zenonPalettes = this.ActiveDocument.ColorPalettes();

uint count = (uint)zenonPalettes.get_DynProperties("Palette[-1]");

for (int i = 0; i < count; ++i)

{

//Get the palette name as string

string name = (string)zenonPalettes.get_DynProperties("Palette[" + i.ToString() + "].PaletteName");

//Get the palette entries as string

string entries = (string)zenonPalettes.get_DynProperties("Palette[" + i.ToString() + "].PaletteColors");

//Print result

System.Diagnostics.Debug.Print("{0}: {1}", name, entries);

}

}

public void MacroWriteColorPaletteDynProperties()

{

/*

* ColorPalettes are accessed via DynamicProperties, a list of those can be found in the help file

* Or you can display them via the Method get_DynPropertiesEnum("name");

* The following example shows how to write some of the dynamic properties

*/

IColorPalettes zenonPalettes = this.ActiveDocument.ColorPalettes();

//Create a new palette for example

zenonPalettes.CreateDynProperty("Palette");

//Define two colors for the new palette

string colors = "#FF0000;#0000FF";

uint count = (uint)zenonPalettes.get_DynProperties("Palette[-1]");

zenonPalettes.set_DynProperties("Palette[" + (count - 1).ToString() + "].PaletteColors", colors);

zenonPalettes.set_DynProperties("Palette[" + (count - 1).ToString() + "].PaletteName", "VSTA_Test_Palette");

}

VB.NET

Public Sub MacroReadColorPaletteDynProperties()

'

' * ColorPalettes are accessed via DynamicProperties, a list of those can be found in the help file

' * Or you can display them via the Method get_DynPropertiesEnum("name");

' * The following example shows how to read some of the dynamic properties

'

Dim zenonPalettes As IColorPalettes = Me.ActiveDocument.ColorPalettes()

Dim count As UInteger = CUInt(zenonPalettes.get_DynProperties("Palette[-1]"))

For i As Integer = 0 To count - 1

'Get the palette name as string

Dim name As String = DirectCast(zenonPalettes.get_DynProperties("Palette[" & i.ToString() & "].PaletteName"), String)

'Get the palette entries as string

Dim entries As String = DirectCast(zenonPalettes.get_DynProperties("Palette[" & i.ToString() & "].PaletteColors"), String)

'Print result

System.Diagnostics.Debug.Print("{0}: {1}", name, entries)

Next

End Sub

Public Sub MacroWriteColorPaletteDynProperties()

'

' * ColorPalettes are accessed via DynamicProperties, a list of those can be found in the help file

' * Or you can display them via the Method get_DynPropertiesEnum("name");

' * The following example shows how to write some of the dynamic properties

'

Dim zenonPalettes As IColorPalettes = Me.ActiveDocument.ColorPalettes()

'Create a new palette for example

zenonPalettes.CreateDynProperty("Palette")

'Define two colors for the new palette

Dim colors As String = "#FF0000;#0000FF"

Dim count As UInteger = CUInt(zenonPalettes.get_DynProperties("Palette[-1]"))

zenonPalettes.set_DynProperties("Palette[" & (count - 1).ToString() & "].PaletteColors", colors)

zenonPalettes.set_DynProperties("Palette[" & (count - 1).ToString() & "].PaletteName", "VSTA_Test_Palette")

End Sub

VBA

Sub Read_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim vProps As Variant

Dim i As Integer

Set zPRJ = MyWorkspace.ActiveDocument
'get all DynProperties of the actual object (ColorPalettes)
vProps = zPRJ.ColorPalettes.DynPropertiesEnum("")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'Palette,SUBITEM,Palette,
'ColorNames,String,Color name,

vProps = zPRJ.ColorPalettes.DynPropertiesEnum("Palette")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'PaletteColors,String,Colors of the palette,
'PaletteName,String,Palette name,

Debug.Print zPRJ.ColorPalettes.DynProperties("ColorNames")
'Result:
'Color_01;Color_02;Color_03;Color_04;Colo5_05;

For i = 0 To zPRJ.ColorPalettes.DynProperties("Palette[-1]")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteName")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteColors")
Next i
'Result:
'Light
'#FFFFFF;#FFFF00;#FFC0CB;#AFEEEE;#00005E;
'Dark
'#000000;#0000FF;#8B0000;#388E8E;#E6E6FA;

'In the sample Project there were 2 colorpalettes with 5 colors each...
End Sub

Sub Write_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim strColors As String
Dim nCount As Integer

Set zPRJ = MyWorkspace.ActiveDocument

'create a new ColorPalette
Call zPRJ.ColorPalettes.CreateDynProperty("Palette")

'define a set of 5 colors as a string...
strColors = "#FFEEDD;#FF8800;#FFC5DB;#AFFE12;#01205F;"

'get number of ColorPalettes
nCount = zPRJ.ColorPalettes.DynProperties("Palette[-1]")

'set name of Palette...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteName") = "VBA_Colors_" & nCount
'set defined colors...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteColors") = strColors

End Sub

Sub AddNewColor()
Dim zPRJ As Project
Dim vColors As Variant
Dim i As Integer
Dim strColor As String

Set zPRJ = MyWorkspace.ActiveDocument

'get actual color-names
vColors = Split(zPRJ.ColorPalettes.DynProperties("ColorNames"), ";")
For i = 0 To UBound(vColors) - 1
Debug.Print i & ": " & vColors(i)
Next i

'add a new Color...
strColor = zPRJ.ColorPalettes.DynProperties("ColorNames")
strColor = strColor & "Color_" & Format(UBound(vColors) + 1, "00") & ";"
zPRJ.ColorPalettes.DynProperties("ColorNames") = strColor

End Sub

Noch in diesem Kapitel

ColorPalettes-Methods

ColorPalettes-Dynamic properties


ColorPalettes-Methods

Manuale -> Scripting -> Objectmodel -> ColorPalettes -> ColorPalettes-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

SingleExport

Export

Import

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty


SingleExport

Manuale -> Scripting -> Objectmodel -> ColorPalettes -> ColorPalettes-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export a single ColorPalette to an XML File.

Datatype

SingleExport(VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuale -> Scripting -> Objectmodel -> ColorPalettes -> ColorPalettes-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

public void MacroExportColorPalettes()

{

IProject zenonProject = this.ActiveDocument;

if(zenonProject.ColorPalettes().Export(@"C:\Temp\ColorPalettes.xml"))

System.Diagnostics.Debug.Print("Export successful");

else

System.Diagnostics.Debug.Print("Export failed");

}

VB.NET

Public Sub MacroExportColorPalettes()

Dim zenonProject As IProject = Me.ActiveDocument

If zenonProject.ColorPalettes().Export("C:\Temp\ColorPalettes.xml") Then

System.Diagnostics.Debug.Print("Export successful")

Else

System.Diagnostics.Debug.Print("Export failed")

End If

End Sub

VBA

Private Sub ExportColorPalettes()
Dim zPRJ As Project
Dim bResult As Boolean

'get active project...
Set zPRJ = MyWorkspace.ActiveDocument

'export color palettes...
bResult = zPRJ.ColorPalettes.Export("C:\Temp\ColorPalettes.xml")

'check result, write to output-window...
If bResult = False Then
ApplicationED.DebugPrint "VBA Export of ColorPalettes failed.", tpErr
Else
ApplicationED.DebugPrint "VBA ColorPalettes exported.", tpMsg
End If

End Sub


Import

Manuale -> Scripting -> Objectmodel -> ColorPalettes -> ColorPalettes-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Imports settings using a xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

public void MacroImportColorPalettes()

{

IProject zenonProject = this.ActiveDocument;

if (zenonProject.ColorPalettes().Import(@"C:\Temp\ColorPalettes.xml"))

System.Diagnostics.Debug.Print("Import successful");

else

System.Diagnostics.Debug.Print("Import failed");

}

VB.NET

Public Sub MacroImportColorPalettes()

Dim zenonProject As IProject = Me.ActiveDocument

If zenonProject.ColorPalettes().Import("C:\Temp\ColorPalettes.xml") Then

System.Diagnostics.Debug.Print("Import successful")

Else

System.Diagnostics.Debug.Print("Import failed")

End If

End Sub

VBA

Private Sub ImportColorPalettes()
Dim zPRJ As Project
Dim bResult As Boolean

'get active project...
Set zPRJ = MyWorkspace.ActiveDocument

'import color palettes...
bResult = zPRJ.ColorPalettes.Import("C:\Temp\ColorPalettes.xml")

'check result, write to output-window...
If bResult = False Then
ApplicationED.DebugPrint "VBA Import of ColorPalettes failed.", tpErr
Else
ApplicationED.DebugPrint "VBA ColorPalettes imported.", tpMsg
End If

End Sub


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> ColorPalettes -> ColorPalettes-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> ColorPalettes -> ColorPalettes-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Read_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim vProps As Variant

Dim i As Integer

Set zPRJ = MyWorkspace.ActiveDocument
'get all DynProperties of the actual object (ColorPalettes)
vProps = zPRJ.ColorPalettes.DynPropertiesEnum("")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'Palette,SUBITEM,Palette,
'ColorNames,String,Color name,

vProps = zPRJ.ColorPalettes.DynPropertiesEnum("Palette")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'PaletteColors,String,Colors of the palette,
'PaletteName,String,Palette name,

Debug.Print zPRJ.ColorPalettes.DynProperties("ColorNames")
'Result:
'Color_01;Color_02;Color_03;Color_04;Colo5_05;

For i = 0 To zPRJ.ColorPalettes.DynProperties("Palette[-1]")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteName")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteColors")
Next i
'Result:
'Light
'#FFFFFF;#FFFF00;#FFC0CB;#AFEEEE;#00005E;
'Dark
'#000000;#0000FF;#8B0000;#388E8E;#E6E6FA;

'In the sample Project there were 2 colorpalettes with 5 colors each...
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> ColorPalettes -> ColorPalettes-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "ColorNames"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Read_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim vProps As Variant

Dim i As Integer

Set zPRJ = MyWorkspace.ActiveDocument
'get all DynProperties of the actual object (ColorPalettes)
vProps = zPRJ.ColorPalettes.DynPropertiesEnum("")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'Palette,SUBITEM,Palette,
'ColorNames,String,Color name,

vProps = zPRJ.ColorPalettes.DynPropertiesEnum("Palette")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'PaletteColors,String,Colors of the palette,
'PaletteName,String,Palette name,

Debug.Print zPRJ.ColorPalettes.DynProperties("ColorNames")
'Result:
'Color_01;Color_02;Color_03;Color_04;Colo5_05;

For i = 0 To zPRJ.ColorPalettes.DynProperties("Palette[-1]")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteName")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteColors")
Next i
'Result:
'Light
'#FFFFFF;#FFFF00;#FFC0CB;#AFEEEE;#00005E;
'Dark
'#000000;#0000FF;#8B0000;#388E8E;#E6E6FA;

'In the sample Project there were 2 colorpalettes with 5 colors each...
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> ColorPalettes -> ColorPalettes-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "ColorNames"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Write_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim strColors As String
Dim nCount As Integer

Set zPRJ = MyWorkspace.ActiveDocument

'create a new ColorPalette
Call zPRJ.ColorPalettes.CreateDynProperty("Palette")

'define a set of 5 colors as a string...
strColors = "#FFEEDD;#FF8800;#FFC5DB;#AFFE12;#01205F;"

'get number of ColorPalettes
nCount = zPRJ.ColorPalettes.DynProperties("Palette[-1]")

'set name of Palette...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteName") = "VBA_Colors_" & nCount
'set defined colors...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteColors") = strColors

End Sub

Sub AddNewColor()
Dim zPRJ As Project
Dim vColors As Variant
Dim i As Integer
Dim strColor As String

Set zPRJ = MyWorkspace.ActiveDocument

'get actual color-names
vColors = Split(zPRJ.ColorPalettes.DynProperties("ColorNames"), ";")
For i = 0 To UBound(vColors) - 1
Debug.Print i & ": " & vColors(i)
Next i

'add a new Color...
strColor = zPRJ.ColorPalettes.DynProperties("ColorNames")
strColor = strColor & "Color_" & Format(UBound(vColors) + 1, "00") & ";"
zPRJ.ColorPalettes.DynProperties("ColorNames") = strColor

End Sub


CreateDynProperty

Manuale -> Scripting -> Objectmodel -> ColorPalettes -> ColorPalettes-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "Palette"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Write_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim strColors As String
Dim nCount As Integer

Set zPRJ = MyWorkspace.ActiveDocument

'create a new ColorPalette
Call zPRJ.ColorPalettes.CreateDynProperty("Palette")

'define a set of 5 colors as a string...
strColors = "#FFEEDD;#FF8800;#FFC5DB;#AFFE12;#01205F;"

'get number of ColorPalettes
nCount = zPRJ.ColorPalettes.DynProperties("Palette[-1]")

'set name of Palette...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteName") = "VBA_Colors_" & nCount
'set defined colors...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteColors") = strColors

End Sub

Sub AddNewColor()
Dim zPRJ As Project
Dim vColors As Variant
Dim i As Integer
Dim strColor As String

Set zPRJ = MyWorkspace.ActiveDocument

'get actual color-names
vColors = Split(zPRJ.ColorPalettes.DynProperties("ColorNames"), ";")
For i = 0 To UBound(vColors) - 1
Debug.Print i & ": " & vColors(i)
Next i

'add a new Color...
strColor = zPRJ.ColorPalettes.DynProperties("ColorNames")
strColor = strColor & "Color_" & Format(UBound(vColors) + 1, "00") & ";"
zPRJ.ColorPalettes.DynProperties("ColorNames") = strColor

End Sub


ColorPalettes-Dynamic properties

Manuale -> Scripting -> Objectmodel -> ColorPalettes -> ColorPalettes-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Color palettes

Noch in diesem Kapitel

CD_CPalette

Color palettes


CD_CPalette

Manuale -> Scripting -> Objectmodel -> ColorPalettes -> ColorPalettes-Dynamic properties -> CD_CPalette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | PaletteName | Nome tavolozza | Name der Farbpalette. Default: Color palette plus Indexnummer, z. B.: Color palette 1 Mehr im Online-Handbuch.
VT_BSTR | PaletteColors | Colori della tavolozza colori |


Color palettes

Manuale -> Scripting -> Objectmodel -> ColorPalettes -> ColorPalettes-Dynamic properties -> Color palettes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | ColorNames | Nome colori |
More... | Palette | Tavolozza colori | Contiene le proprietà della tavolozza colori. Ulteriori informazioni nella guida in linea.


ComplexItem

Manuale -> Scripting -> Objectmodel -> ComplexItem

Remarks

This object represents the items of a structure datatype.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroComplexItem()

{

IVarTypes zenonVarTypes = this.ActiveDocument.VarTypes();

for (int i = 0; i < zenonVarTypes.Count; ++i)

{

//Check if the Datatype has a complex sub-element

if (zenonVarTypes.Item(i).IsSimple() == 0 && zenonVarTypes.Item(i).SubItemCount() > 0)

{

for(int j = 0; j < zenonVarTypes.Item(i).SubItemCount(); ++j)

{

//If so, print every sub elements name, NOTE: Other dynamic properties can be

//seen at the dynamic properties page of this object

IComplexItem zenonComplexItem = zenonVarTypes.Item(i).SubItem(j);

System.Diagnostics.Debug.Print(zenonComplexItem.get_DynProperties("Name").ToString());

}

}

}

}

VB.NET

Public Sub MacroComplexItem()

Dim zenonVarTypes As IVarTypes = Me.ActiveDocument.VarTypes()

For i As Integer = 0 To zenonVarTypes.Count - 1

'Check if the Datatype has a complex sub-element

If zenonVarTypes.Item(i).IsSimple() = 0 AndAlso zenonVarTypes.Item(i).SubItemCount() > 0 Then

For j As Integer = 0 To zenonVarTypes.Item(i).SubItemCount() - 1

'If so, print every sub elements name, NOTE: Other dynamic properties can be

'seen at the dynamic properties page of this object

Dim zenonComplexItem As IComplexItem = zenonVarTypes.Item(i).SubItem(j)

System.Diagnostics.Debug.Print(zenonComplexItem.get_DynProperties("Name").ToString())

Next

End If

Next

End Sub

VBA

Public Sub test_IComplexItem()
Dim zComplexItem As ComplexItem
Dim zVarTypes As VarTypes
Dim i As Integer, j As Variant, k As Long

Set zVarTypes = thisProject.VarTypes
For i = 0 To zVarTypes.Count - 1
If (zVarTypes.Item(i).IsSimple = 0 And zVarTypes.Item(i).SubItemCount > 1) Then
Set zComplexItem = zVarTypes.Item(i).SubItem(1)

'write properties
zComplexItem.DynProperties("BitOffset") = 2 'EDwriteable
zComplexItem.DynProperties("Description") = "YourDescr..." 'EDwriteable
zComplexItem.DynProperties("Dim1") = 2 'EDwriteable
zComplexItem.DynProperties("Dim2") = 2 'EDwriteable
zComplexItem.DynProperties("Dim3") = 2 'EDwriteable
Debug.Print zComplexItem.DynProperties("HasRef") 'ReadOnly
zComplexItem.DynProperties("ID_DataTyp") = 19 'EDwriteable
Debug.Print zComplexItem.DynProperties("ItemIndex") 'ReadOnly
zComplexItem.DynProperties("Name") = "YourName" 'EDwriteable
zComplexItem.DynProperties("Offset") = 10 'EDwriteable

'read properties
Debug.Print zComplexItem.DynProperties("BitOffset")
Debug.Print zComplexItem.DynProperties("Description")
Debug.Print zComplexItem.DynProperties("Dim1")
Debug.Print zComplexItem.DynProperties("Dim2")
Debug.Print zComplexItem.DynProperties("Dim3")
Debug.Print zComplexItem.DynProperties("HasRef")
Debug.Print zComplexItem.DynProperties("ID_DataTyp")
Debug.Print zComplexItem.DynProperties("ItemIndex")
Debug.Print zComplexItem.DynProperties("Name")
Debug.Print zComplexItem.DynProperties("Offset")

'Methods
zComplexItem.MoveItemDown
zComplexItem.MoveItemUp
End If
Next i
End Sub

Noch in diesem Kapitel

ComplexItem-Properties

ComplexItem-Methods


ComplexItem-Properties

Manuale -> Scripting -> Objectmodel -> ComplexItem -> ComplexItem-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IVarType | Parent |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent


Parent

Manuale -> Scripting -> Objectmodel -> ComplexItem -> ComplexItem-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As VarType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ComplexItem-Methods

Manuale -> Scripting -> Objectmodel -> ComplexItem -> ComplexItem-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | MoveItemDown | - | available | not used | yes | yes
VARIANT_BOOL | MoveItemUp | - | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

MoveItemUp

MoveItemDown


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> ComplexItem -> ComplexItem-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> ComplexItem -> ComplexItem-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> ComplexItem -> ComplexItem-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> ComplexItem -> ComplexItem-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


MoveItemUp

Manuale -> Scripting -> Objectmodel -> ComplexItem -> ComplexItem-Methods -> MoveItemUp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

move the ComplexItem one up in the Tree...

Datatype

MoveItemUp() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroComplexItemMoveDown()

{

IVarTypes zenonVarTypes = this.ActiveDocument.VarTypes();

for (int i = 0; i < zenonVarTypes.Count; ++i)

{

//Check if the Datatype has a complex sub-element

if (zenonVarTypes.Item(i).IsSimple() == 0 && zenonVarTypes.Item(i).SubItemCount() > 0)

{

for (int j = 0; j < zenonVarTypes.Item(i).SubItemCount(); ++j)

{

//If so, move it down once in the tree

IComplexItem zenonComplexItem = zenonVarTypes.Item(i).SubItem(j);

zenonComplexItem.MoveItemDown();

}

}

}

}

VB.NET

Public Sub MacroComplexItemMoveDown()

Dim zenonVarTypes As IVarTypes = Me.ActiveDocument.VarTypes()

For i As Integer = 0 To zenonVarTypes.Count - 1

'Check if the Datatype has a complex sub-element

If zenonVarTypes.Item(i).IsSimple() = 0 AndAlso zenonVarTypes.Item(i).SubItemCount() > 0 Then

For j As Integer = 0 To zenonVarTypes.Item(i).SubItemCount() - 1

'If so, move it down once in the tree

Dim zenonComplexItem As IComplexItem = zenonVarTypes.Item(i).SubItem(j)

zenonComplexItem.MoveItemDown()

Next

End If

Next

End Sub

VBA

VBA-Syntax


MoveItemDown

Manuale -> Scripting -> Objectmodel -> ComplexItem -> ComplexItem-Methods -> MoveItemDown

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

move the ComplexItem one down in the Tree...

Datatype

MoveItemDown() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Driver

Manuale -> Scripting -> Objectmodel -> Driver

Remarks

The object Driver includes important information on the defined drivers, e.g. name, driver, status and mode.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroDriver()

{

//Get a driver object or create a new one if it does not exist

//NOTE: The user might have to fill in settings for the driver, depending on its type

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

//Use the driver object to access its methods etc.

}

VB.NET

Public Sub MacroDriver()

'Get a driver object or create a new one if it does not exist

'NOTE: The user might have to fill in settings for the driver, depending on its type

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver Is Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

'Use the driver object to access its methods etc.

End Sub

VBA

Public Sub DriversSample()
Dim zDrivers As Drivers
Dim zDriver As Driver
Dim i As Integer

'get drivers collection
Set zDrivers = MyWorkspace.ActiveDocument.Drivers

'Enumerate existing drivers in the project
For i = 0 To zDrivers.Count - 1
Debug.Print zDrivers.Item(i).Name
Next i

'Create a new driver and check if already exists
Set zDriver = zDrivers.Item("NewSimulationDriver")
If zDriver Is Nothing Then
Set zDriver = zDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")
End If

End Sub

Noch in diesem Kapitel

Driver-Properties

Driver-Methods

Driver-Dynamic properties


Driver-Properties

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Identification | Name | available | read only | yes | yes
BSTR | Name | Programname | available | read only | yes | yes
IDrivers | Parent | Parent-object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Identification

Name


Parent

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Drivers

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Identification

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Properties -> Identification

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Identification() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name (EXE) of the driver.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Driver-Methods

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Browse | Imports variables from PLC or file. |  | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CloseConfig | Closes driver config and stops driver. |  | available | not used | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | OpenConfig | Starts driver and opens driver config for access via properties. |  | available | not used | yes | yes
VARIANT_BOOL | SupportsChannel | Returns True when the given channeltype is supported for the given datatype. |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent

SupportsChannel

OpenConfig

CloseConfig

Browse


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Get

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDriverMultiuser()

{

//Get a driver object or create a new one if it does not exist

//NOTE: The user might have to fill in settings for the driver, depending on its type

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

if (!zenonDriver.IsCheckedOut())

{

if (zenonDriver.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonDriver.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonDriver.Name = "NewName";

//Check the driver in again so others can check it out

zenonDriver.CheckIn();

}

else

{

zenonDriver.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The driver can't currently be checked out

}

}

else

{

//Someone else has the object checked out!

}

}

VB.NET

Public Sub MacroDriverMultiuser()

'Get a driver object or create a new one if it does not exist

'NOTE: The user might have to fill in settings for the driver, depending on its type

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver Is Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

If Not zenonDriver.IsCheckedOut() Then

If zenonDriver.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonDriver.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonDriver.Name = "NewName"

'Check the driver in again so others can check it out

zenonDriver.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonDriver.UndoCheckOut()

End If

'The driver can't currently be checked out

Else

End If

'Someone else has the object checked out!

Else

End If

End Sub

VBA

VBA-Syntax


CheckOut

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDriverMultiuser()

{

//Get a driver object or create a new one if it does not exist

//NOTE: The user might have to fill in settings for the driver, depending on its type

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

if (!zenonDriver.IsCheckedOut())

{

if (zenonDriver.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonDriver.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonDriver.Name = "NewName";

//Check the driver in again so others can check it out

zenonDriver.CheckIn();

}

else

{

zenonDriver.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The driver can't currently be checked out

}

}

else

{

//Someone else has the object checked out!

}

}

VB.NET

Public Sub MacroDriverMultiuser()

'Get a driver object or create a new one if it does not exist

'NOTE: The user might have to fill in settings for the driver, depending on its type

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver Is Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

If Not zenonDriver.IsCheckedOut() Then

If zenonDriver.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonDriver.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonDriver.Name = "NewName"

'Check the driver in again so others can check it out

zenonDriver.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonDriver.UndoCheckOut()

End If

'The driver can't currently be checked out

Else

End If

'Someone else has the object checked out!

Else

End If

End Sub

VBA

VBA-Syntax


CheckIn

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDriverMultiuser()

{

//Get a driver object or create a new one if it does not exist

//NOTE: The user might have to fill in settings for the driver, depending on its type

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

if (!zenonDriver.IsCheckedOut())

{

if (zenonDriver.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonDriver.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonDriver.Name = "NewName";

//Check the driver in again so others can check it out

zenonDriver.CheckIn();

}

else

{

zenonDriver.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The driver can't currently be checked out

}

}

else

{

//Someone else has the object checked out!

}

}

VB.NET

Public Sub MacroDriverMultiuser()

'Get a driver object or create a new one if it does not exist

'NOTE: The user might have to fill in settings for the driver, depending on its type

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver Is Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

If Not zenonDriver.IsCheckedOut() Then

If zenonDriver.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonDriver.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonDriver.Name = "NewName"

'Check the driver in again so others can check it out

zenonDriver.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonDriver.UndoCheckOut()

End If

'The driver can't currently be checked out

Else

End If

'Someone else has the object checked out!

Else

End If

End Sub

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDriverMultiuser()

{

//Get a driver object or create a new one if it does not exist

//NOTE: The user might have to fill in settings for the driver, depending on its type

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

if (!zenonDriver.IsCheckedOut())

{

if (zenonDriver.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonDriver.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonDriver.Name = "NewName";

//Check the driver in again so others can check it out

zenonDriver.CheckIn();

}

else

{

zenonDriver.UndoCheckOut();

//The latest version could not be received, undo the checkout

}

}

else

{

//The driver can't currently be checked out

}

}

else

{

//Someone else has the object checked out!

}

}

VB.NET

Public Sub MacroDriverMultiuser()

'Get a driver object or create a new one if it does not exist

'NOTE: The user might have to fill in settings for the driver, depending on its type

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver Is Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

If Not zenonDriver.IsCheckedOut() Then

If zenonDriver.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonDriver.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonDriver.Name = "NewName"

'Check the driver in again so others can check it out

zenonDriver.CheckIn()

Else

'The latest version could not be received, undo the checkout

zenonDriver.UndoCheckOut()

End If

'The driver can't currently be checked out

Else

End If

'Someone else has the object checked out!

Else

End If

End Sub

VBA

VBA-Syntax


IsLocked

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDriver()

{

//Get a driver object or create a new one if it does not exist

//NOTE: The user might have to fill in settings for the driver, depending on its type

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

if (zenonDriver.IsLocked())

{

//Modification Changes are currently locked due to a checkout

}

else

{

//Use the driver object to access its methods etc.

}

}

VB.NET

Public Sub MacroDriver()

'Get a driver object or create a new one if it does not exist

'NOTE: The user might have to fill in settings for the driver, depending on its type

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver = Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

'Modification Changes are currently locked due to a checkout

If zenonDriver.IsLocked() Then

'Use the driver object to access its methods etc.

Else

End If

End Sub

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void DriverTryCheckOut(IDriver zenonDriver)

{

//Checks if the passed object is checked out before performing a checkout

if(!zenonDriver.IsCheckedOut())

{

zenonDriver.CheckOut();

//Object can be used for further purposes

}

else

{

//The object is already checked out and cannot be checked out again

}

}

VB.NET

Public Sub DriverTryCheckOut(zenonDriver As IDriver)

'Checks if the passed object is checked out before performing a checkout

If Not zenonDriver.IsCheckedOut() Then

'Object can be used for further purposes

zenonDriver.CheckOut()

'The object is already checked out and cannot be checked out again

Else

End If

End Sub

VBA

VBA-Syntax


IsDifferent

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VBA

VBA-Syntax

Examples

C#

public void CheckInChanges(IDriver zenonDriver)

{

//Checks if any changes occured on the driver object and if so, updates it

if(zenonDriver.IsDifferent())

{

if(zenonDriver.Get())

{

//Driver object is up to date

}

else

{

//An error occured while getting the newest version of the object

}

}

else

{

//No pending changes

}

}

VB.NET

Public Sub CheckInChanges(zenonDriver As IDriver)

'Checks if any changes occured on the driver object and if so, updates it

If zenonDriver.IsDifferent() Then

'Driver object is up to date

If zenonDriver.[Get]() Then

'An error occured while getting the newest version of the object

Else

End If

'No pending changes

Else

End If

End Sub

VBA

VBA-Syntax


SupportsChannel

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Methods -> SupportsChannel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns "True" when the actual driver object supports the given VarType and ChannelType combination.

Datatype

SupportsChannel(tpKanaltypes ChannelType, IVarType ObVarType) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

ChannelType (constant) to be checked.

VarType object to be checked.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

ChannelType As tpKanaltypes

ObVarType As VarType

Examples

C#

public void MacroChannelSupport()

{

IVarType zenonVarType = this.ActiveDocument.VarTypes().Item("UINT");

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

if(zenonDriver.SupportsChannel(tpKanaltypes.tpSPSMerker, zenonVarType))

System.Diagnostics.Debug.Print("Supported by the driver");

else

System.Diagnostics.Debug.Print("Not supported by the driver");

}

VB.NET

Public Sub MacroChannelSupport()

Dim zenonVarType As IVarType = Me.ActiveDocument.VarTypes().Item("UINT")

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

If zenonDriver Is Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

If zenonDriver.SupportsChannel(tpKanaltypes.tpSPSMerker, zenonVarType) Then

System.Diagnostics.Debug.Print("Supported by the driver")

Else

System.Diagnostics.Debug.Print("Not supported by the driver")

End If

End Sub

VBA

Sub Channelsupport()
Dim zDRV As Driver
Dim zVTP As VarType
'get a Driver object for Simulation-Driver
Set zDRV = MyWorkspace.ActiveDocument.Drivers.Item("SIMUL_WIZ")
'get a VarType object for UINT
Set zVTP = MyWorkspace.ActiveDocument.VarTypes.Item("UINT")

If zDRV.SupportsChannel(tpSPSMerker, zVTP) = True Then
Debug.Print "This combination is supported by the driver."
Else
Debug.Print "NOT supported by this driver!"
End If
End Sub


OpenConfig

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Methods -> OpenConfig

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Access via API to the driver configuration. Available only for the following drivers:

  • Fraport
  • IEC870
  • IEC 850
  • Logix32
  • S7TCP32
  • Sprecon870
  • Steriflow
  • Straton32

The access to the configuration settings is possible by using the DynProperties.

In the example shown below the DynProperties for S7TCP32, IEC870, Logix3 are used.

The Steriflow driver uses only the ynProperty "CfgFileTransferDirectory". This property requires the transfer directory as parameter.

Datatype

OpenConfig() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub CreateDriverS7TCP_Dyn()

Dim zDrivers As Drivers

Dim zDriver As Driver

Dim zDriverS7TCP As Driver

Dim vProps As Variant

Dim vValue As Variant

Dim inti As Integer

Dim intj As Integer

Dim sDateiname As String

Dim sBezeichnung As String

sDateiname = "S7TCP32"

sBezeichnung = "S7_Test_1"

'show all exist

Set zDrivers = MyWorkspace.ActiveDocument.Drivers

'Enumerate existing drivers in the project

For inti = 0 To zDrivers.Count - 1

Debug.Print zDrivers.Item(inti).Name

Next inti

Debug.Print "================================================="

'Create a new driver without dirver configuration dialog and check if already exists

Set zDriver = zDrivers.Item(sBezeichnung)

If zDriver Is Nothing Then

'Set zDriver = zDrivers.CreateDriver(sBezeichnung, sDateiname)

Set zDriver = zDrivers.CreateDriverEx(sBezeichnung, sDateiname, False)

End If

Set zDriverS7TCP = zDrivers.Item(sBezeichnung)

Debug.Print zDriverS7TCP.Name

Call zDriverS7TCP.OpenConfig

vProps = zDriverS7TCP.DynPropertiesEnum("")

Debug.Print "========== DynProperties =============="

For intj = 0 To UBound(vProps)

Debug.Print vProps(intj)

Next intj

Debug.Print "============================================================================================="

Call zDriverS7TCP.CloseConfig(False)

'Change some configuration on the driver

Call zDriverS7TCP.OpenConfig

Debug.Print "Modus (General Driver Mode) :" & zDriverS7TCP.DynProperties("GenDriverMode")

'Change General Driver mode from Hardware to Simulation-counter

zDriverS7TCP.DynProperties("GenDriverMode") = 1

'Show some DynProperties

Debug.Print "======================================_General_=========================================="

Debug.Print "Modus (General Driver Mode) : " & zDriverS7TCP.DynProperties("GenDriverMode")

Debug.Print "Update-Liste im Speicher Halten : " & zDriverS7TCP.DynProperties("GenKeepUpdatelist")

Debug.Print "Ausgänge schreibbar : " & zDriverS7TCP.DynProperties("GenOutputWriteable")

Debug.Print "Variablenabbild remanent : " & zDriverS7TCP.DynProperties("GenRemanentImage")

Debug.Print "Update Zeit Clobal : " & zDriverS7TCP.DynProperties("GenUseGlobalUpdateTime")

Debug.Print "Clobale Updatezeit in ms : " & zDriverS7TCP.DynProperties("GenGlobalUpdateTime")

Debug.Print "Priorität normal : " & zDriverS7TCP.DynProperties("GenPrioUpdateTime0")

Debug.Print "Priorität erhöht : " & zDriverS7TCP.DynProperties("GenPrioUpdateTime1")

Debug.Print "Priorität hoch: " & zDriverS7TCP.DynProperties("GenPrioUpdateTime2")

Debug.Print "Priorität höchste : " & zDriverS7TCP.DynProperties("GenPrioUpdateTime3")

Debug.Print "===============================_S7- TCP Configuration_==================================="

Debug.Print "TCP- Konfiguration : " & zDriverS7TCP.DynProperties("CfgConfFileName")

Debug.Print "Fehlerwartezeit : " & zDriverS7TCP.DynProperties("CfgErrorWaitTime")

Debug.Print "Char-String ohne Header : " & zDriverS7TCP.DynProperties("CfgStringWithoutHeader")

Debug.Print "==============================_S7- TCP Connection_======================================="

Debug.Print "This settings must be set in the configuration file ."

Debug.Print "========================================================================================="

Debug.Print "Name : " & zDriverS7TCP.DynProperties("Name")

Debug.Print "DriverId : " & zDriverS7TCP.DynProperties("DriverId")

Debug.Print "NameFile : " & zDriverS7TCP.DynProperties("NameFile")

Debug.Print "========================================================================================="

Call zDriverS7TCP.CloseConfig(True)

End Sub

'Extra für Steriflow

Public Sub BrowseProperties()

Dim drv As Driver

Dim PropertyList As Variant

Dim i As Integer

'Zuweisen des Treibers mit der Bezeichnung Steriflow driver

Set drv = MyWorkspace.ActiveDocument.Drivers.Item("Steriflow driver")

'über DynPropertiesEnum bekommen wir eine Liste aller Properties, die die API des Treibers implementiert

drv.OpenConfig

PropertyList = drv.DynPropertiesEnum("")

'in dieser For-Schleife gehen wir die Properties durch und schreiben sie zeilenweise ins Ausgabefenster des zenon Editors

For i = 0 To UBound(PropertyList) - 1

ApplicationED.DebugPrint PropertyList(i), tpMsg

Next i

End Sub


CloseConfig

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Methods -> CloseConfig

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CloseConfig(Boolean bSave) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Defines wether to save (True) the actual driver configuration or not (False).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bSave As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Browse

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Methods -> Browse

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Browse(String bsFilter, String bsResult) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Driver specific filterstring for online import of variables.

IEC870: Net=NetAddress;Filter={Address="Filterstring1";Type="Filterstring2";}; Logix32: Net=NetAddress;Struct="Filterstring1";Name="Filterstring2"; The Filterstrings must be used as in the dialog when importing manual ly in the editor...

Returns a message as String like you can see in the LogViewer...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFilter As String

bsResult As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Driver-Dynamic properties

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Driver

Noch in diesem Kapitel

Driver


Driver

Manuale -> Scripting -> Objectmodel -> Driver -> Driver-Dynamic properties -> Driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Identificazione univoca del driver.
zenon identifica il driver facendo riferimento a questo nome e non mediante il nome del file. Perciò è possibile caricare più volte lo stesso driver. Ciò è necessario, ad esempio, nel caso di driver seriali, se dovete accedere allo stesso tipo di PLC in diverse interfacce seriali.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Description

Descrizione

Descrizione del driver

Ulteriori informazioni nella guida in linea.

VT_BSTR

NameFile

Nome file

Nome file del driver.
Il file si trova nel percorso di programma del sistema di controllo di processo.

Ulteriori informazioni nella guida in linea.

VT_UI4

DriverId

Id driver

VT_UI2

SimulPort

Porta standard

Disponibile solo se è stato generato un progetto di simulazione.

TCP/IP Port per la comunicazione con il workbench di zenon Logic.
Numeri di porta consentiti:

  • Minimo: 6000 (in caso di assegnazione automatica, manuale: consigliato)
  • Massimo: 6999 (in caso di assegnazione automatica, manuale: consigliato)

Default: 6000

Il numero di porta:

  • Deve essere disponibile e non assegnato nell´ambito del progetto
  • Deve essere univoco per tutti i progetti che sono attivi nel Runtime.
  • Deve essere disponibile sul calcolatore su cui è attivo il driver.

Quando viene generato il progetto di simulazione, viene assegnato automaticamente un numero di porta univoco.

Nota: un numero di porta assegnato automaticamente è univoco solo per il relativo progetto. Nei progetti multigerarchici, questo numero deve essere verificato per evitare degli errori nella comunicazione con il workbench/runtime di zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_UI2

SimulEvPort

Porta eventi

Disponibile solo se è stato generato un progetto di simulazione.

TCP/IP Port per lo scambio dati spontaneo. Il numero di porta deve essere univoco e deve essere disponibile nel progetto e sul computer sul quale è attivo il driver. Quando viene generato il progetto di simulazione, viene assegnato automaticamente un numero di porta univoco.

Nota: un numero di porta assegnato automaticamente è univoco solo per il relativo progetto. Nei progetti multigerarchici, questo numero deve essere verificato per evitare degli errori nella comunicazione con il workbench/runtime di zenon Logic.

Minimo: 6001 (in caso di assegnazione automatica, manuale: consigliato)

Massimo: 6998 (in caso di assegnazione automatica, manuale: consigliato)

Default: 6001

Ulteriori informazioni nella guida in linea.

VT_BSTR

SimulName

Nome

Nome del progetto di simulazione. Se al momento dello start del workbench di zenon Logic non è disponibile un nome valido, il sistema attribuisce un nome automaticamente. Questo nome si compone di quello del driver e della definizione di quest´ultimo.

Condizioni per la validità dei nomi:

- non deve essere vuoto.

- deve essere univoco nel progetto.

- deve contenere solamente caratteri consentiti in zenon Logic; sono proibiti: /\:*?<>!|"

Minimo: 1 caratteri

Massimo: 15 caratteri.

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Drivers

Manuale -> Scripting -> Objectmodel -> Drivers

Remarks

The object Drivers, is a collection of which contains the defined drivers of the project.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroDrivers()

{

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

for (int i = 0; i < zenonDrivers.Count; ++i)

{

//Print the name of each driver in the active project

System.Diagnostics.Debug.Print(zenonDrivers.Item(i).Name);

}

//Get a driver object by its name instead of its ID

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

//If the driver does not exist we create it

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

}

VB.NET

Public Sub MacroDrivers()

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim i As Integer = 0

While i < zenonDrivers.Count

'Print the name of each driver in the active project

System.Diagnostics.Debug.Print(zenonDrivers.Item(i).Name)

System.Threading.Interlocked.Increment(i)

End While

'Get a driver object by its name instead of its ID

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

'If the driver does not exist we create it

If zenonDriver = Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

End Sub

VBA

Public Sub DriversSample()
Dim zDrivers As Drivers
Dim zDriver As Driver
Dim i As Integer

'get drivers collection
Set zDrivers = MyWorkspace.ActiveDocument.Drivers

'Enumerate existing drivers in the project
For i = 0 To zDrivers.Count - 1
Debug.Print zDrivers.Item(i).Name
Next i

'Create a new driver and check if already exists
Set zDriver = zDrivers.Item("NewSimulationDriver")
If zDriver Is Nothing Then
Set zDriver = zDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")
End If

End Sub

Noch in diesem Kapitel

Drivers-Properties

Drivers-Methods


Drivers-Properties

Manuale -> Scripting -> Objectmodel -> Drivers -> Drivers-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined drivers | read only | read only | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> Drivers -> Drivers-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> Drivers -> Drivers-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Drivers-Methods

Manuale -> Scripting -> Objectmodel -> Drivers -> Drivers-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IDriver | CreateDriver | Creates a new driver | available | not used | yes | yes
IDriver | CreateDriverEx | Creates a new driver | available | not used | yes | yes
VARIANT_BOOL | DeleteDriver | Deletes the given driver | available | not used | yes | yes
IDriver | Item | Returns driver by position or name | available | available | yes | yes

Noch in diesem Kapitel

Item

CreateDriver

CreateDriverEx

DeleteDriver


Item

Manuale -> Scripting -> Objectmodel -> Drivers -> Drivers-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Driver from the collection, which is identified by the parameter vID.The parameter vID can have two values:

Datatype

Item(VARIANT vID) As Driver

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

vID As Variant Index or name. If the parameter is a numerical value, the driver is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the driver is searched by its name.

C#

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

public void MacroDrivers()

{

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

for (int i = 0; i < zenonDrivers.Count; ++i)

{

//Print the name of each driver in the active project

System.Diagnostics.Debug.Print(zenonDrivers.Item(i).Name);

}

//Get a driver object by its name instead of its ID

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

//If the driver does not exist we create it

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

}

VB.NET

Public Sub MacroDrivers()

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim i As Integer = 0

While i < zenonDrivers.Count

'Print the name of each driver in the active project

System.Diagnostics.Debug.Print(zenonDrivers.Item(i).Name)

System.Threading.Interlocked.Increment(i)

End While

'Get a driver object by its name instead of its ID

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

'If the driver does not exist we create it

If zenonDriver = Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

End Sub

VBA

VBA-Syntax


CreateDriver

Manuale -> Scripting -> Objectmodel -> Drivers -> Drivers-Methods -> CreateDriver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new driver and returns the created driver as Driver object.

Datatype

CreateDriver(String strName,String strEXEName) As Driver

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDrivers()

{

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

//Get a driver object

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

//If the driver does not exist we create it

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32");

}

VB.NET

Public Sub MacroDrivers()

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

'Get a driver object

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

'If the driver does not exist we create it

If zenonDriver = Nothing Then

zenonDriver = zenonDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")

End If

End Sub

VBA

VBA-Syntax


CreateDriverEx

Manuale -> Scripting -> Objectmodel -> Drivers -> Drivers-Methods -> CreateDriverEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new driver and returns the created driver as Driver object. If the parameter bShowDlg is true the driver creation dialog is shown to the user.

Datatype

CreateDriverEx(String strName,String strEXEName,Boolean bShowDlg) As Driver

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroCreateDriverEx()

{

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

//Get a driver object by its name

IDriver zenonDriver = zenonDrivers.Item("NewSimulationDriver");

//If the driver does not exist we create it

if (zenonDriver == null)

zenonDriver = zenonDrivers.CreateDriverEx("NewSimulationDriver", "SIMUL32", true);

}

VB.NET

Public Sub MacroCreateDriverEx()

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

'Get a driver object by its name

Dim zenonDriver As IDriver = zenonDrivers.Item("NewSimulationDriver")

'If the driver does not exist we create it

If zenonDriver = Nothing Then

zenonDriver = zenonDrivers.CreateDriverEx("NewSimulationDriver", "SIMUL32", True)

End If

End Sub

VBA

VBA-Syntax


DeleteDriver

Manuale -> Scripting -> Objectmodel -> Drivers -> Drivers-Methods -> DeleteDriver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the given driver by its name

Datatype

DeleteDriver(String strName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroDeleteDriver()

{

//This Macro will delete all drivers in the current active project

//NOTE: The driver will not be deleted instantly, therefore avoid using

// IDrivers.Count directly in the for condition

IDrivers zenonDrivers = this.ActiveDocument.Drivers();

for (int i = zenonDrivers.Count - 1; i >= 0; --i)

{

zenonDrivers.DeleteDriver(zenonDrivers.Item(i).Identification);

}

}

VB.NET

Public Sub MacroDeleteDriver()

'This Macro will delete all drivers in the current active project

'NOTE: The driver will not be deleted instantly, therefore avoid using

' IDrivers.Count directly in the for condition

Dim zenonDrivers As IDrivers = Me.ActiveDocument.Drivers()

Dim i As Integer = zenonDrivers.Count - 1

While i >= 0

zenonDrivers.DeleteDriver(zenonDrivers.Item(i).Identification)

System.Threading.Interlocked.Decrement(i)

End While

End Sub

VBA

VBA-Syntax


DynPicture

Manuale -> Scripting -> Objectmodel -> DynPicture

Remarks

This collection contains the defined Screens. The single Screens can contain different dynamic elements. Each Screen is linked to a Frame, that contains general information on the outer appearance.Screens always come from the current project – the global project is ignored, as Screens are not supported in global projects.The single Screens can be found in the collection by their unique name or by the index. Each Screen is identified by an unique name.Hint:For the use of events in an object DynPicture an object DynPicture of this Screen must be defined with WithEvents.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

private IDynPicture _zenonPicture;

void ThisProject_Active()

{

//Initialize the instance variable with the screen of name "Start"

_zenonPicture = this.DynPictures().Item("Start");

//Attach the event handler

_zenonPicture.Open += new OpenEventHandler(_zenonPicture_Open);

}

void _zenonPicture_Open()

{

//Everytime the dynPicture Start is opened a message is written to the CEL

this.Cel().WriteCelString(_zenonPicture.Name + " was opened.");

}

void ThisProject_Inactive()

{

//Detach the event handler

_zenonPicture.Open -= new OpenEventHandler(_zenonPicture_Open);

FreeObjects();

}

VB.NET

Private _zenonPicture As IDynPicture

Private Sub ThisProject_Active()

'Initialize the instance variable with the screen of name "Start"

_zenonPicture = Me.DynPictures().Item("Start")

'Attach the event handler

AddHandler _zenonPicture.Open, AddressOf _zenonPicture_Open

_zenonPicture.Open += New OpenEventHandler(_zenonPicture_Open)

End Sub

Private Sub _zenonPicture_Open()

'Everytime the dynPicture Start is opened a message is written to the CEL

Me.Cel().WriteCelString(_zenonPicture.Name + " was opened.")

End Sub

Private Sub ThisProject_Inactive()

'Detach the event handler

RemoveHandler _zenonPicture.Open, AddressOf _zenonPicture_Open

FreeObjects()

End Sub

VBA

'##############################################
'## VBA Code in the Module "ModuleElement" ##
'## ---------------------------------------- ##
'## LeftClickUp - Event has to be created in ##
'## the Editor with the Name "PopUp"... ##
'## (Scripting - VBA Makros - ModuleElement) ##
'##############################################

'event for clicking on a element
Public Sub LeftClickUp_PopUp(obElem As Element)
'save the position information of the element to public
'member variables in the thisProject Classmodule...
thisProject.lLeft = obElem.Left
thisProject.lTop = obElem.Top
'execute different functions depending to the element name...
'Example for FuntionName: POPUP_Valve001
'>> Valve001 ist the Objectname of the Element!
thisProject.RtFunctions.Item("POPUP_" & obElem.Name).Start
End Sub

'###############################################
'## VBA Code in the ClassModule "thisProject" ##
'## ----------------------------------------- ##
'## When the POPUP Screen opens, the Open - ##
'## Event is executed and the new positions ##
'## will be set with the Move - Method ##
'###############################################

'declaration of the position members...
Public lLeft As Long
Public lTop As Long
'declaring the DynPicture Object for the OPEN event...
Dim WithEvents dynPicPOPUP As DynPicture

'on project startup...
Private Sub Project_Active()
'setting the Dynpicture object to the "POPUP" Screen...
Set dynPicPOPUP = thisProject.DynPictures.Item("POPUP")
'check if there was a problem an initializing the DynPicture Object...
If dynPicPOPUP Is Nothing Then
MsgBox "moving the Screen is not possible..."
End If
End Sub

'when the Screen opens...
Private Sub dynPicPOPUP_Open()
'moving the Screen...
dynPicPOPUP.Move lLeft, lTop, dynPicPOPUP.Width, dynPicPOPUP.Height
End Sub

'on project exit...
Private Sub Project_Inactive()
If dynPicPOPUP Is Nothing Then Exit Sub
'release the object...
Set dynPicPOPUP = Nothing
End Sub

Noch in diesem Kapitel

DynPicture-Properties

DynPicture-Methods

DynPicture-Events


DynPicture-Properties

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AutoKBLayout | Use regional settings for keyboard layout | available | read only | yes | yes
OLE_COLOR | BackColor |  | available | read only | yes | yes
BSTR | BackgroundImage | Background image for the picture | available | read only | yes | yes
long | BackgroundImageStyle | Style for the background image | available | read only | yes | yes
long | BorderStyle | Style of the picture-border (for resizing) | available | read only | yes | yes
long | Bottom | Bottom-coordinate of the picture | read only | not used | yes | yes
VARIANT_BOOL | Enable |  | available | available | yes | yes
long | EndFunction | Rt-Function by closing the picture | available | read only | yes | yes
long | Height | Height of the picture | available | read only | yes | yes
VARIANT_BOOL | Hide |  | available | available | yes | yes
long | Left | Left-coordinate of the picture | read only | read only | yes | yes
short | MonitorId | Returns the ID of the Monitor on which the picture is opened. (RT-Only) | not used | read only | yes | yes
BSTR | Name |  | available | read only | yes | yes
VARIANT_BOOL | Online |  | not used | read only | yes | yes
IDynPictures | Parent |  | read only | read only | yes | yes
IPictureFilter | PictureFilter | Return the current picture filter. (RT-Only) | not used | available | yes | yes
long | Right | Right-coordinate of the picture | read only | not used | yes | yes
VARIANT_BOOL | ShowInCE | Use picture in CE-projects | available | not used | yes | yes
VARIANT_BOOL | ShowModal | Show picture as modal dialog | available | not used | yes | yes
VARIANT_BOOL | ShowTitle | Shows the name in the titelbar | available | not used | yes | yes
long | StartFunction | Rt-Function by showing the picture | available | not used | yes | yes
BSTR | Template |  | available | read only | yes | yes
long | Top | Top-coordinate of the picture | read only | read only | yes | yes
long | Type |  | available | not used | yes | yes
VARIANT_BOOL | UseTemplateSize | Use size-properties of the linked template | available | not used | yes | yes
long | Width | Width of the picture | available | read only | yes | yes
long | ZoomLevel | Zoom level of a world picture (RT-Only) | not used | read only | yes | yes
long | InstanceId | Returns the template instance ID of the DynPicture. (RT-Only) | not used | read only | yes | yes
IElement | DynPictureContainer | Returns the container element in which the DynPicture is contained, or NULL when the DynPicture is not inside a container. (RT-Only) | not used | read only | yes | yes
IDynPictureInstances | Instances | Returns a collection containing all instances of the DynPicture. (RT-Only) | not used | read only | yes | yes
BSTR | Template |  | available | read only | yes | yes
long | Type |  | available | not used | yes | yes
long | ZoomLevel | Zoom level of a world picture (RT-Only) | not used | read only | yes | yes
VARIANT_BOOL | UseTemplateSize | Use size-properties of the linked template | available | not used | yes | yes
long | Top | Top-coordinate of the picture | read only | read only | yes | yes
long | Width | Width of the picture | available | read only | yes | yes

Noch in diesem Kapitel

Parent

Name

Type

Template

BackColor

ZoomLevel

Hide

Enable

Online

StartFunction

EndFunction

UseTemplateSize

ShowTitle

ShowModal

BorderStyle

ShowInCE

BackgroundImage

BackgroundImageStyle

Left

Top

Right

Bottom

Width

Height

AutoKBLayout

PictureFilter

MonitorId

InstanceId

DynPictureContainer

Instances


Parent

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As DynPictures

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique name of the current picture. With this name the picture can be found in the central pictures list of the project.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Template

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> Template

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Template() As BSTR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackColor

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> BackColor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BackColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ZoomLevel

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> ZoomLevel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ZoomLevel() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Hide

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> Hide

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property can influence the visibility of the picture. Usually this property returns False, i.e. the picture is displayed.If the property is set to True, the picture is displayed invisibly. The picture stays invisible, until this property is set back to False.Hint: Reopening the picture does not change this setting.

Datatype

Hide() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Enable

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> Enable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property de/activates the current picture. Usually this property returns True, i.e. operation of the picture is allowed.If this property returns False, the picture is deactivated. In this case the elements of the picture cannot be operated, e.g. clicking on dynamic elements.The picture stays inactive, until this property is set back to True.Hint: Reopening the picture does not change this setting.

Datatype

Enable() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Online

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> Online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property checks, if the current picture is open.The following example searches for the picture START. If it is found, a MsgBox informs the user, whether or not the picture is corrently opened.

Datatype

Online() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Is the current picture shown
Public Sub LeftClickUp_Picture_IsOnline(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = thisProject.DynPictures.Item("START")
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** is picture shown?????
If (obPicture.Online = True) Then
MsgBox "Picture 'Start' is shown at the moment..."
Else
MsgBox "Picture 'Start' is NOT shown at the moment..." & vbCrLf & _
"Current Picture is '" & obElem.Parent.Parent.Name & "'!"
End If

obElem.LeftClickUp
End Sub


StartFunction

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> StartFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the name of the function that should be executed automatically when the picture is opened in the Runtime.Hint: If more than one function should be executed, then a script with all the desired functions has to be created and the function for executing the script has to be linked here.

Datatype

StartFunction() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


EndFunction

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> EndFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the name of the function that should be executed automatically when the picture is closed in the Runtime.Hint: If more than one function should be executed, then a script with all the desired functions has to be created and the function for executing the script has to be linked here.

Datatype

EndFunction() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


UseTemplateSize

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> UseTemplateSize

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UseTemplateSize() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ShowTitle

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> ShowTitle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Shows the titlebar, if set TRUE.

Datatype

ShowTitle() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ShowModal

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> ShowModal

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Show picture as modal dialog, if set TRUE.As long as this picture is open in the Runtime, no other picture beside it can be operated (e.g. for a login picture). Other pictures that were opened out of this picture can be operated.

Datatype

ShowModal() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


BorderStyle

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> BorderStyle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BorderStyle() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowInCE

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> ShowInCE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The picture is also displayed under Windows CE, if set TRUE.Thus in networks with PCs and CE devices, functionalities, which are not supported by Windows CE, can be used on the PCs without having problems on the CE devices.

Datatype

ShowInCE() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


BackgroundImage

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> BackgroundImage

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the path to the background image for the DynPicture.

Datatype

BackgroundImage() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackgroundImageStyle

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> BackgroundImageStyle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BackgroundImageStyle() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Left

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> Left

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the left picture border in pixel. The value defines the distance from the left border of the screen.The following VBA example moves the current picture to the bottom and to the right by 10 pixels.

Datatype

Left() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** The current picture is moved by 10 pixel/side (top,bottom,left,right)
Public Sub LeftClickUp_Picture_Move(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** De/-activate the current picture
obPicture.Move obPicture.Left + 10, obPicture.Top + 10, obPicture.Width, obPicture.Height
obElem.LeftClickUp
End Sub


Top

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> Top

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Top() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Right

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> Right

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the right picture border in pixel. The value defines the distance from the left border of the screen.The following VBA example moves the current picture to the bottom and to the right by 10 pixels.

Datatype

Right() As long

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** The current picture is moved by 10 pixel/side (top,bottom,left,right)
Public Sub LeftClickUp_Picture_Move(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** De/-activate the current picture
obPicture.Move obPicture.Left + 10, obPicture.Top + 10, obPicture.Width, obPicture.Height
obElem.LeftClickUp
End Sub


Bottom

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> Bottom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the bottom picture border in pixel. The value defines the distance from the top border of the screen.

Datatype

Bottom() As long

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Width

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> Width

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Width() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Height

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> Height

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the defined height of the picture in pixels. The height of the picture is the difference between the bottom and the top border.Hint: This property cannot be set, if the property "UseTemplateSize" is set TRUE.The following VBA example moves the current picture to the bottom and to the right by 10 pixels.

Datatype

Height() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** The current picture is moved by 10 pixel/side (top,bottom,left,right)
Public Sub LeftClickUp_Picture_Move(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** De/-activate the current picture
obPicture.Move obPicture.Left + 10, obPicture.Top + 10, obPicture.Width, obPicture.Height
obElem.LeftClickUp
End Sub


AutoKBLayout

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> AutoKBLayout

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Enables or disables the automatic keyboard layout functionality.Hint: Only available for pictures of type "Keyboard".

Datatype

AutoKBLayout() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


PictureFilter

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> PictureFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

PictureFilter() As PictureFilter

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


MonitorId

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> MonitorId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MonitorId() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


InstanceId

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> InstanceId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the template instance ID of the DynPicture. (RT-Only).

Datatype

InstanceId() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


DynPictureContainer

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> DynPictureContainer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the container element in which the DynPicture is contained, or NULL when the DynPicture is not inside a container. (RT-Only).

Datatype

DynPictureContainer() As IElement

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Instances

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Properties -> Instances

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a collection containing all instances of the DynPicture. (RT-Only).

Datatype

Instances() As IDynPictureInstances

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


DynPicture-Methods

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
void | Activate | Activates the picture (only runtime) |  | available | available | yes | yes
void | BringToTop | Brings picture to top of Z-order |  | not used | available | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CloseDynPicture | Closes the Screen when its currently opened (RT-Only) |  | not used | available | yes | yes
VARIANT_BOOL | Copy | Copies the picture |  | available | not used | yes | yes
VARIANT_BOOL | CreateMdiDefaultElements | Create the MDI-Default elements (only with MDI-Windows) |  | available | not used | yes | yes
void | DeselectElements | Deselects all currently selected Elements |  | not used | available | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
IElements | Elements | Returns the Elements-list |  | available | available | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Hardcopy | Creates a Bitmap of the picture, with the appearance as shown in the editor. |  | available | not used | yes | yes
short | ImportMdiElements | Imports the MDI-Default elements from a template (only with MDI-Windows) |  | available | not used | yes | yes
IElement | InsertSymbol | Insert a symbol from the symbol-library |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IMdiElements | MdiElements | Returns the list of the available MDI-controls |  | available | not used | yes | yes
void | Move | - |  | available | available | yes | yes
VARIANT_BOOL | Save | - |  | available | not used | yes | yes
IElements | SelElements | Returns the list of selected Elements |  | not used | available | yes | yes
void | SetZoomAndPos | Sets zoom factors and position of a world picture (RT-Only) |  | not used | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
void | Update | - |  | not used | available | yes | yes
void | UpdateAll | Update the picture |  | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
IMDITemplates | CreateMDIScreenTemplate | Create MDI-Screen template from an picture. |  | available | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Activate

Elements

Update

UpdateAll

Move

BringToTop

SetZoomAndPos

CloseDynPicture

Save

Copy

CreateMdiDefaultElements

ImportMdiElements

CreateMDIScreenTemplate

MdiElements

InsertSymbol

SelElements

DeselectElements

Hardcopy

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Activate

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> Activate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method brings the current picture to the foreground – if it is overlapped by another picture.Be aware, that the according picture has to be opened before.The picture „Dialog“ will be switched to the foreground. If the picture is not open yet, a MsgBox shall inform the user. By switching to another picture the picture is brought to the background – but not closed. The example was written in zenOn-VBA.

Datatype

Activate() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroActivate()

{

//NOTE: This macro will only bring the picture with name "Start"

// to the foreground - it will not perform a screen switch as

// if a screen switch function was used

IDynPicture zenonPicture = this.DynPictures().Item("Start");

zenonPicture.Activate();

}

VB.NET

Public Sub MacroActivate()

'NOTE: This macro will only bring the picture with name "Start"

' to the foreground - it will not perform a screen switch as

' if a screen switch function was used

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

zenonPicture.Activate()

End Sub

VBA

VBA-Syntax


Elements

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> Elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the collection of the defined dynamic elements contained in the picture.Each defined dynamic element is available as an object Element. The defined dynamic elements can be accessed in the collection by their unique names or by their indices.The name has to be given to the element explicitely by the user. For more detailed information have a look at the Element and Elements parts. For further information have a look at the Elements part.

Datatype

Elements() As Elements

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Update

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> Update

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method redraws a certain area of the picture. The user has to know which part of the picture should be redrawn. The parameters include the corners of the rectangular area that should be redrawn.Hint: Use UpdateAll to redraw the entire picture.

Datatype

Update(long Left, long Top, long Bottom, long Right) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroUpdate()

{

//This macro will update (redraw) the rectangular area as specified

IDynPicture zenonPicture = this.DynPictures().Item("Start");

zenonPicture.Update(0, 0, 0, 500);

}

VB.NET

Public Sub MacroUpdate()

'This macro will update (redraw) the rectangular area as specified

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

zenonPicture.Update(0, 0, 0, 500)

End Sub

VBA

VBA-Syntax


UpdateAll

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> UpdateAll

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method redraws the entire picture. All elements in the picture are redrawn.

Datatype

UpdateAll() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroUpdateAll()

{

//This macro will update (redraw) all elements of the start picture

//An element has to be updated for example if its color changed due to some other

//event

IDynPicture zenonPicture = this.DynPictures().Item("Start");

zenonPicture.UpdateAll();

}

VB.NET

Public Sub MacroUpdateAll()

'This macro will update (redraw) all elements of the start picture

'An element has to be updated for example if its color changed due to some other

'event

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

zenonPicture.UpdateAll()

End Sub

VBA

VBA-Syntax


Move

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> Move

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Updates the position of a DynPicture object. In order to ensure the new position is visualized make sure to call the UpdateAll method of the DynPicture object.

Datatype

Move(long Left, long Top, long Width, long Height) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Left As Long

Height As Long

Top As Long

Width As Long

Examples

C#

public void MacroMovePicture()

{

//This macro moves the picture start to the left by 10 pixels

IDynPicture zenonPicture = this.DynPictures().Item("Start");

zenonPicture.Move(zenonPicture.Left + 10, zenonPicture.Top, zenonPicture.Width, zenonPicture.Height);

//Call UpdateAll to ensure the pictures new position and all relative elements are updated

zenonPicture.UpdateAll();

}

VB.NET

Public Sub MacroMovePicture()

'This macro moves the picture start to the left by 10 pixels

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

zenonPicture.Move(zenonPicture.Left + 10, zenonPicture.Top, zenonPicture.Width, zenonPicture.Height)

'Call UpdateAll to ensure the pictures new position and all relative elements are updated

zenonPicture.UpdateAll()

End Sub

VBA

Sub
'*** The current picture is moved by 10 pixel/side (top,bottom,left,right)
Public Sub LeftClickUp_Picture_Move(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** De/-activate the current picture
obPicture.Move obPicture.Left + 10, obPicture.Top + 10, obPicture.Width, obPicture.Height
obElem.LeftClickUp
End Sub


BringToTop

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> BringToTop

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Calling this method will bring a picture without "always on top" to the highest z order of all pictures without "always on top" and a picture with "always on top" on the highest z-order of all pictures with "always on top". Pictures without "always on top" therefore will not cover pictures with "always on top".

Datatype

BringToTop() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroBringToTop()

{

//NOTE: This like the activate method is not a substitute for a screen switch

// A screen switch function should be used to switch between two pictures

IDynPicture zenonPicture = this.DynPictures().Item("Start");

zenonPicture.UpdateAll();

}

VB.NET

Public Sub MacroBringToTop()

'NOTE: This like the activate method is not a substitute for a screen switch

' A screen switch function should be used to switch between two pictures

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

zenonPicture.UpdateAll()

End Sub

VBA

VBA-Syntax


SetZoomAndPos

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> SetZoomAndPos

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Updates the Zoom and position of a dynamic picture, like the internal function would.

Datatype

SetZoomAndPos(FLOAT ZoomX, FLOAT ZoomY, long ZoomLevel, long CursorX, long CursorY, long PosX, long PosY, long iPosMode) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

ZoomX - New zoom factor in x direction (-1 if not used)

ZoomY - New zoom factor in y direction (-1 if not used)

ZoomLevel - Cannot be used with ZoomX and ZoomY (0 if not used)

PosX - New x position according to PosMode

PosY - New y position according to PosMode

PosMode - Determines how PosX and PosY are interpreted

-1 = PosX, PosY are ignored

0 = Set the center point and use original coordinates

1 = Set the center point and use new coordinates

2 = From the top left, use original coordinates

3 = From the top left, use zoomed coordinates

4 = Use the zoomed coordinates of the cursor from the top left, the window position is changed so that the cursor stays in the same position.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CloseDynPicture

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> CloseDynPicture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Closes a opened screen. In case the screen is not open, the return value of the function = FALSE.

Datatype

CloseDynPicture() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

//This function closes a specific screen.

public void Macro_Test_CloseDynpicture()

{

//The function returns true: screen is open

//The function returns false: screen not open

if (!this.DynPictures().Item("Screen 2").CloseDynPicture())

{

System.Windows.Forms.MessageBox.Show("Couldn't close, no window with assigned name is open!");

}

else

{

System.Windows.Forms.MessageBox.Show("Closed window");

}

}

VB.NET

'This function closes a specific screen.

Public Sub Macro_Test_CloseDynpicture()

'The function returns true: screen is open

'The function returns false: screen not open

If Not Me.DynPictures().Item("Screen 2").CloseDynPicture() Then

System.Windows.Forms.MessageBox.Show("Couldn't close, no window with assigned name is open!")

Else

System.Windows.Forms.MessageBox.Show("Closed window")

End If

End Sub

VBA

VBA-Syntax


Save

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Method to save the picture (changes in this collection)

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Copy

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> Copy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Copies the settings of an existing "DynPicture" object to the current object.

Datatype

Copy(IDynPicture PictureSource) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

"DynPicture" object from which the settings should be copied from.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

PictureSource As DynPicture

Examples

C#

public void MacroCreateCopy()

{

//This macro creates a copy of the start picture

IDynPicture zenonPictureStart = this.ActiveDocument.DynPictures().Item("Start");

//First create a new picture which we will copy our settings to

IDynPicture zenonPictureCopy = this.ActiveDocument.DynPictures().Create("copiedPicture", "MAIN", 0);

//Call the copy method to actually copy the settings

zenonPictureStart.Copy(zenonPictureCopy);

}

VB.NET

Public Sub MacroCreateCopy()

'This macro creates a copy of the start picture

Dim zenonPictureStart As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

'First create a new picture which we will copy our settings to

Dim zenonPictureCopy As IDynPicture = Me.ActiveDocument.DynPictures().Create("copiedPicture", "MAIN", 0)

'Call the copy method to actually copy the settings

zenonPictureStart.Copy(zenonPictureCopy)

End Sub

VBA

Sub zenOn_CopyDynPicture()
'Declarations
Dim zPic As DynPicture
Dim zPicCopy As DynPicture

'Initialize zPic with the start picture
Set zPic = MyWorkspace.ActiveDocument.DynPictures.Item("START")
'Initialize zPicCopy by creating a new picture linked to Frame "MAIN_WIZARD" as standard picture type
Set zPicCopy = MyWorkspace.ActiveDocument.DynPictures.Create("zPicCopy", "MAIN_WIZARD", 0)

'Copy the settings from zPic to zPicCopy
zPicCopy.Copy zPic

End Sub


CreateMdiDefaultElements

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> CreateMdiDefaultElements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Create the MDI-Default elements (only by MDI-Windows)

Datatype

CreateMdiDefaultElements() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ImportMdiElements

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> ImportMdiElements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Imports the MDI-Default elements from a template (only with MDI-Windows). Use the Boolean DelElements) to define the replacement of existing settings.

The method returns an error code on the result of the import can be evaluated:
0 = OK
-1 = Screen not loaded
-2 = No screen type
-3 = The specified file does not exist
-4 = Import failed
-5 = Type of template and screen type do not match
-6 = Error loading screen

Datatype

ImportMdiElements(String FileName, Boolean DelElements) As short

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

bool DelElements

The parameter specifies the file name which the template is stored.
If an empty file name ("") specified, the default elements of the MDI type of screen to be created.
In this case behaves the method (almost) the same as the method "CreateMdiDefaultElements"

string FileName

The parameter specifies wheter to override a existing items with the same file name.
True = Override
False = none

VB.NET

Dim FileName As String

The parameter specifies the file name which the template is stored.
If an empty file name ("") specified, the default elements of the MDI type of screen to be created.
In this case behaves the method (almost) the same as the method "CreateMdiDefaultElements"

Dim DelElements As Boolean

The parameter specifies wheter to override a existing items with the same file name.
True = Override
False = none

VBA

FileName As String

The parameter specifies the file name which the template is stored.
If an empty file name ("") specified, the default elements of the MDI type of screen to be created.
In this case behaves the method (almost) the same as the method "CreateMdiDefaultElements"

DelElements As Boolean

The parameter specifies wheter to override a existing items with the same file name.
True = Override
False = none

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ImportMdiTemplate()

Dim Picture As DynPicture

Dim Res As Integer

Set Picture = MyWorkspace.ActiveDocument.DynPictures.Item("Bild 2")

If Not Picture Is Nothing Then

Res = Picture.ImportMdiElements("C:\ProgramData\COPA-DATA\zenon700\Templates\ ScreenTypes\Keyboard\6eeae916-0098-40ab-9dc9-a9ce1dcf4bb5.zip", True)

If Res = 0 Then

Picture.Save

End If

End Sub


CreateMDIScreenTemplate

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> CreateMDIScreenTemplate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a template from a screen

Datatype

CreateMDIScreenTemplate(BSTR bsFilename, BSTR bsGroup, BSTR bsDescription, BOOL bOverwrite) As IMDITemplates

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Private Sub CreateMDIScreenTemplate()

Dim Picture As DynPicture

Dim Template As MDITemplate

Set Picture = MyWorkspace.ActiveDocument.DynPictures.Item("Bild 2")

' * Diese Funktion erstellt aus einem Bild ein Template *

' * Die ersten zwei Parameter müssen mitübergeben werden, sonst Fehler *

' * Der dritte Parameter ist optional und ist die Beschreibung zum Template *

' * Der vierte Parameter gibt an ob ein Template, welches existiert, *

' * überschrieben werden soll, sofern dies kein CD Template ist *

' * zurückgegeben wird das fertige MDITemplate *

Template=Picture.CreateMDIScreenTemplate("TemplateBild2.xml", "Schablonen.Copadata", "Dieses Template tut dieses und jenes", True)

If Not Template Is Nothing Then

' Hat funktioniert

Else

' Error

End If

End Sub


MdiElements

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> MdiElements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the list ("MdiElements" object) of the available MDI-controls.

Datatype

MdiElements() As MdiElements

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


InsertSymbol

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> InsertSymbol

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Insert a symbol from the symbol-library by its name and symbol group name.

Datatype

InsertSymbol(String bsName, String bsLibrary, Boolean bLinked) As Element

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

1. bsName

- Name of the symbol within the library.

2. bsLibrary

- "" (Emtpy string) if from the local project

- "SymbolGroupName" if from the General symbol library

- "~|GPLN|~" if from the library in the global project

3. bLinked

- If set TRUE the symbol constitutes a linked symbol. Otherwise the symbol will be embedded.

Examples

C#

public void MacroInsertSymbol()

{

//This macro demonstrates how to insert a symbol via the VSTA API

IDynPicture zenonPictureStart = this.ActiveDocument.DynPictures().Item("Start");

//Insert the symbol "battery_charging" from group "batteries_16_9" to the start picture linked

zenonPictureStart.InsertSymbol("battery_charging", "batteries_16_9", true);

}

VB.NET

Public Sub MacroInsertSymbol()

'This macro demonstrates how to insert a symbol via the VSTA API

Dim zenonPictureStart As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

'Insert the symbol "battery_charging" from group "batteries_16_9" to the start picture linked

zenonPictureStart.InsertSymbol("battery_charging", "batteries_16_9", True)

End Sub

VBA

Sub zenOn_DynPicture_InsertSymbol()
'Declarations
Dim zPic As DynPicture

'Initialize zPic with the start picture
Set zPic = MyWorkspace.ActiveDocument.DynPictures.Item("START")

'Insert linked symbol "Brake motor" from the category "F_Motors" to the start picture
zPic.InsertSymbol "Brake motor", "F_Motors", True

End Sub


SelElements

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> SelElements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a list ("Elements" object) of selected "Element" objects within the picture.Hint: Only available, if the lasso selection is activated within the project.<span style="font-family:courier new;">MyWorkspace.ActiveDocument.DynProperties("RuntimeLasso") = True</span>

Datatype

SelElements() As Elements

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroListSelectionAndDeselect()

{

//This Macro will list all selected elements on the start screen and deselect them

//NOTE: Only works if "RuntimeLasso" is set to true on project

IDynPicture zenonPicture = this.DynPictures().Item("Start");

IElements zenonSelectedElements = zenonPicture.SelElements();

//Loop through the selected elements and print their names

for (int i = 0; i < zenonSelectedElements.Count; ++i)

{

IElement currentElement = zenonSelectedElements.Item(i);

System.Diagnostics.Debug.Print(currentElement.Name);

}

//Deselect all elements

zenonPicture.DeselectElements();

}

VB.NET

Public Sub MacroListSelectionAndDeselect()

'This Macro will list all selected elements on the start screen and deselect them

'NOTE: Only works if "RuntimeLasso" is set to true on project

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

Dim zenonSelectedElements As IElements = zenonPicture.SelElements()

'Loop through the selected elements and print their names

Dim i As Integer = 0

While i < zenonSelectedElements.Count

Dim currentElement As IElement = zenonSelectedElements.Item(i)

System.Diagnostics.Debug.Print(currentElement.Name)

System.Threading.Interlocked.Increment(i)

End While

'Deselect all elements

zenonPicture.DeselectElements()

End Sub

VBA

Sub zenOn_DynPicture_ListSelection()
'Declarations
Dim zPic As DynPicture
Dim i As Integer

'Initialize zPic with the start picture
Set zPic = thisProject.DynPictures.Item("START")

'For every selected element in the start picture...
For i = 0 To zPic.SelElements.Count - 1
'...output the name
Debug.Print i + 1 & ". item: " & zPic.SelElements.Item(i).Name
Next i

'Deselect all selected elements
zPic.DeselectElements

End Sub


DeselectElements

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> DeselectElements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deselects all selected elements in the corresponding picture.Hint: Only available, if the lasso selection is activated within the project.<span style="font-family:courier new;">MyWorkspace.ActiveDocument.DynProperties("RuntimeLasso") = True</span>

Datatype

DeselectElements() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroListSelectionAndDeselect()

{

//This Macro will list all selected elements on the start screen and deselect them

//NOTE: Only works if "RuntimeLasso" is set to true on project

IDynPicture zenonPicture = this.DynPictures().Item("Start");

IElements zenonSelectedElements = zenonPicture.SelElements();

//Loop through the selected elements and print their names

for (int i = 0; i < zenonSelectedElements.Count; ++i)

{

IElement currentElement = zenonSelectedElements.Item(i);

System.Diagnostics.Debug.Print(currentElement.Name);

}

//Deselect all elements

zenonPicture.DeselectElements();

}

VB.NET

Public Sub MacroListSelectionAndDeselect()

'This Macro will list all selected elements on the start screen and deselect them

'NOTE: Only works if "RuntimeLasso" is set to true on project

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

Dim zenonSelectedElements As IElements = zenonPicture.SelElements()

'Loop through the selected elements and print their names

Dim i As Integer = 0

While i < zenonSelectedElements.Count

Dim currentElement As IElement = zenonSelectedElements.Item(i)

System.Diagnostics.Debug.Print(currentElement.Name)

System.Threading.Interlocked.Increment(i)

End While

'Deselect all elements

zenonPicture.DeselectElements()

End Sub

VBA

VBA-Syntax


Hardcopy

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> Hardcopy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Exports the picture into a file. Currently only the export as a bitmap file is available.

Datatype

Hardcopy(String bsFileName,tpHardcopyOutput lOutputFormat) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroExportPictures()

{

//This Macro will export pictures of all pictures in the active document to bmp files

for (int i = 0; i < this.ActiveDocument.DynPictures().Count; ++i)

{

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item(i);

zenonPicture.Hardcopy(string.Format(@"C:\zenon_pictures\picture_{0}.bmp", zenonPicture.Name), tpHardcopyOutput.tpBMP);

}

}

VB.NET

Public Sub MacroExportPictures()

'This Macro will export pictures of all pictures in the active document to bmp files

Dim i As Integer = 0

While i < Me.ActiveDocument.DynPictures().Count

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item(i)

zenonPicture.Hardcopy(String.Format("C:\zenon_pictures\picture_{0}.bmp", zenonPicture.Name), tpHardcopyOutput.tpBMP)

System.Threading.Interlocked.Increment(i)

End While

End Sub

VBA

VBA-Syntax


Get

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


CheckOut

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


CheckIn

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


IsLocked

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects. NOTE: In a multiu-user project it is recommended to check for IsLocked == false before performing any modification changes at all.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


IsDifferent

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void CheckIn(IDynPicture zenonPicture)

{

//Checks in the DynPicture object iff it is not locked and it does differ from the server version

if (!zenonPicture.IsLocked())

{

if (zenonPicture.IsDifferent())

{

zenonPicture.CheckIn();

}

}

}

public void MacroDynPictureMultiuser()

{

//Get an object of the "Start" picture in the current active document

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item("Start");

if (!zenonPicture.IsCheckedOut())

{

if (zenonPicture.CheckOut())

{

//The driver was checked out by the user who executed this macro

if (zenonPicture.Get())

{

//Got the latest version of the driver

//Edit some properties of the driver

zenonPicture.Name = "NewName";

//Check the DynPicture in again so others can check it out

CheckIn(zenonPicture);

}

else

{

zenonPicture.UndoCheckOut();

//The latest version could not be received, undo the checkout (Inform Error)

}

}

else

{

//The DynPicture can't currently be checked out (Inform Error)

}

}

else

{

//Someone else has the object checked out! (Inform Error)

}

}

VB.NET

Public Sub CheckIn(zenonPicture As IDynPicture)

'Checks in the DynPicture object iff it is not locked and it does differ from the server version

If Not zenonPicture.IsLocked() Then

If zenonPicture.IsDifferent() Then

zenonPicture.CheckIn()

End If

End If

End Sub

Public Sub MacroDynPictureMultiuser()

'Get an object of the "Start" picture in the current active document

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("Start")

If Not zenonPicture.IsCheckedOut() Then

If zenonPicture.CheckOut() Then

'The driver was checked out by the user who executed this macro

If zenonPicture.[Get]() Then

'Got the latest version of the driver

'Edit some properties of the driver

zenonPicture.Name = "NewName"

'Check the DynPicture in again so others can check it out

CheckIn(zenonPicture)

Else

'The latest version could not be received, undo the checkout (Inform Error)

zenonPicture.UndoCheckOut()

End If

'The DynPicture can't currently be checked out (Inform Error)

Else

End If

'Someone else has the object checked out! (Inform Error)

Else

End If

End Sub

VBA

VBA-Syntax


DynPicture-Events

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Close | Event is fired by closing the picture | not used | available | yes | yes
void | Open | Event is fired by opening the picture | not used | available | yes | yes
void | Timer |  | not used | available | yes | yes

Noch in diesem Kapitel

Open

Close

Timer


Open

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Events -> Open

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed, when the current picture is opened.Hint: For the use of events, the "DynPicture" object must be defined with WithEvents.

Datatype

Open() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

private IDynPicture _zenonPicture;

void ThisProject_Active()

{

//Initialize the instance variable with the screen of name "Start"

_zenonPicture = this.DynPictures().Item("Start");

//Attach the event handler

_zenonPicture.Open += new OpenEventHandler(_zenonPicture_Open);

}

void _zenonPicture_Open()

{

//Everytime the dynPicture Start is opened a message is written to the CEL

this.Cel().WriteCelString(_zenonPicture.Name + " was opened.");

}

void ThisProject_Inactive()

{

//Detach the event handler

_zenonPicture.Open -= new OpenEventHandler(_zenonPicture_Open);

FreeObjects();

}

VB.NET

Private _zenonPicture As IDynPicture

Private Sub ThisProject_Active()

'Initialize the instance variable with the screen of name "Start"

_zenonPicture = Me.DynPictures().Item("Start")

'Attach the event handler

AddHandler _zenonPicture.Open, AddressOf _zenonPicture_Open

End Sub

Private Sub _zenonPicture_Open()

'Everytime the dynPicture Start is opened a message is written to the CEL

Me.Cel().WriteCelString(_zenonPicture.Name + " was opened.")

End Sub

Private Sub ThisProject_Inactive()

'Detach the event handler

RemoveHandler _zenonPicture.Open, AddressOf _zenonPicture_Open

FreeObjects()

End Sub

VBA

'Declaration of zPIC, in order to use it with events
Dim WithEvents zPIC As dynpicture

'Event is fired, when project is opened
Private Sub Project_Active()
'Initialize zPIC with the start picture
Set zPIC = thisProject.DynPictures.Item("START")
End Sub

'Event is fired, when picture is opened
Private Sub zPIC_Open()
'Output the time when the picture was opened
Debug.Print Now & " Picture OPENED!"
End Sub

'Event is fired, when project is closed
Private Sub Project_Inactive()
'Deinitialize zPIC on project close
Set zPIC = Nothing
End Sub


Close

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Events -> Close

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed on closing the current picture.Hint: For the use of events, the "DynPicture" object must be defined with WithEvents.

Datatype

Close() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

private IDynPicture _zenonPicture;

void ThisProject_Active()

{

//Initialize the instance variable with the screen of name "Start"

_zenonPicture = this.DynPictures().Item("Start");

//Attach the event handler

_zenonPicture.Close += new CloseEventHandler(_zenonPicture_Close);

}

void _zenonPicture_Close()

{

//Everytime the dynPicture Start is closed a message is written to the CEL

this.Cel().WriteCelString(_zenonPicture.Name + " was closed.");

}

void ThisProject_Inactive()

{

//Detach the event handler

_zenonPicture.Close -= new CloseEventHandler(_zenonPicture_Close);

FreeObjects();

}

VB.NET

Private _zenonPicture As IDynPicture

Private Sub ThisProject_Active()

'Initialize the instance variable with the screen of name "Start"

_zenonPicture = Me.DynPictures().Item("Start")

'Attach the event handler

AddHandler _zenonPicture.Close, AddressOf _zenonPicture_Close

End Sub

Private Sub _zenonPicture_Close()

'Everytime the dynPicture Start is closed a message is written to the CEL

Me.Cel().WriteCelString(_zenonPicture.Name + " was closed.")

End Sub

Private Sub ThisProject_Inactive()

'Detach the event handler

RemoveHandler _zenonPicture.Close, AddressOf _zenonPicture_Close

FreeObjects()

End Sub

VBA

'Declaration of zPIC, in order to use it with events
Dim WithEvents zPIC As dynpicture

'Event is fired, when project is opened
Private Sub Project_Active()
'Initialize zPIC with the start picture
Set zPIC = thisProject.DynPictures.Item("START")
End Sub

'Event is fired, when picture is closed
Private Sub zPIC_Close()
'Output the time when the picture was closed
Debug.Print Now & " Picture CLOSED!"
End Sub

'Event is fired, when project is closed
Private Sub Project_Inactive()
'Deinitialize zPIC on project close
Set zPIC = Nothing
End Sub


Timer

Manuale -> Scripting -> Objectmodel -> DynPicture -> DynPicture-Events -> Timer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed in a cyclic interval – depending on the flash frequency set in the project. In this event extended visualization effects can be realized, e.g. mini animations.Hint: For the use of events, the "DynPicture" object must be defined with WithEvents.

Datatype

Timer() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

private IDynPicture _zenonPicture;

private IElement _zenonElement;

void ThisProject_Active()

{

//Initialize the instance variable with the screen of name "Start"

_zenonPicture = this.DynPictures().Item("Start");

//Attach the event handler

_zenonPicture.Timer += new TimerEventHandler(_zenonPicture_Timer);

}

void _zenonPicture_Timer()

{

//This event is executed cyclicly, depending on the projects flash frequency

//Here it is used to animate a sample object in a very simple way

//NOTE: Refreshing an element too often might cause screen flickering, this

// is just for demonstration purposes.

_zenonElement = _zenonPicture.Elements().Item("test_object");

_zenonElement.BackColor = _zenonElement.BackColor - 1;

_zenonElement.Update();

}

void ThisProject_Inactive()

{

//Detach the event handler

_zenonPicture.Timer -= new TimerEventHandler(_zenonPicture_Timer);

FreeObjects();

}

VB.NET

Private _zenonPicture As IDynPicture

Private _zenonElement As IElement

Private Sub ThisProject_Active()

'Initialize the instance variable with the screen of name "Start"

_zenonPicture = Me.DynPictures().Item("Start")

'Attach the event handler

AddHandler _zenonPicture.Timer, AddressOf _zenonPicture_Timer

End Sub

Private Sub _zenonPicture_Timer()

'This event is executed cyclicly, depending on the projects flash frequency

'Here it is used to animate a sample object in a very simple way

'NOTE: Refreshing an element too often might cause screen flickering, this

' is just for demonstration purposes.

_zenonElement = _zenonPicture.Elements().Item("test_object")

_zenonElement.BackColor = _zenonElement.BackColor - 1

_zenonElement.Update()

End Sub

Private Sub ThisProject_Inactive()

'Detach the event handler

RemoveHandler _zenonPicture.Timer, AddressOf _zenonPicture_Timer

FreeObjects()

End Sub

VBA

VBA-Syntax


DynPictureInstances

Manuale -> Scripting -> Objectmodel -> DynPictureInstances

Remarks

Used to check if a screen is displayed in the runtime. With the Count() property the amount of screens is determined. The Item() property is used to determine the Dynpicture object for each instance.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void MacroGetInstances()

{

IDynPicture zenonPicture = this.DynPictures().Item("Start");

//Loop through any instance of the picture "start" and print name + id

for (int i = 0; i < zenonPicture.Instances.Count; ++i)

{

IDynPicture currentPicture = zenonPicture.Instances.Item(i);

if (currentPicture != null)

System.Diagnostics.Debug.Print(currentPicture.Name + " " + currentPicture.InstanceId);

}

}

VB.NET

Public Sub MacroGetInstances()

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

'Loop through any instance of the picture "start" and print name + id

Dim i As Integer = 0

While i < zenonPicture.Instances.Count

Dim currentPicture As IDynPicture = zenonPicture.Instances.Item(i)

If not (currentPicture is nothing) Then

System.Diagnostics.Debug.Print(currentPicture.Name + " " + currentPicture.InstanceId)

End If

System.Threading.Interlocked.Increment(i)

End While

End Sub

VBA

Public Sub LeftClickUp_Default(obElem As Element)

Dim FacePlate As DynPicture

Dim DynPictureContainer As Element

Dim strTrace As String

strTrace = "Das Element befindet sich auf Bild:" & obElem.Parent.Parent.Name & " mit InstanzID:" & obElem.Parent.Parent.InstanceId

If Not obElem.Parent.Parent.DynPictureContainer Is Nothing Then

strTrace = strTrace & " in einen BildContainer:" & obElem.Parent.Parent.DynPictureContainer.Name

strTrace = strTrace & ", welches sich auf Bild:" & obElem.Parent.Parent.DynPictureContainer.Parent.Parent.Name & " mit InstanzId:" & obElem.Parent.Parent.DynPictureContainer.Parent.Parent.InstanceId & "befindet."

End If

MsgBox strTrace

Dim myPiccheck As DynPicture

Set myPiccheck = thisProject.DynPictures.ItemOnMonitor(obElem.Parent.Parent.Name, obElem.Parent.Parent.MonitorId)

Debug.Print myPiccheck.Name

End Sub

Public Sub GetScreens()

Dim myinstances As DynPictureInstances

Dim myDynPicture As DynPicture

Stop

Set myinstances = thisProject.DynPictures.Item("Bild 2").Instances

If (myinstances.Count > 0) Then

For i = 0 To myinstances.Count - 1

Set myDynPicture = myinstances.Item(i)

If (Not myDynPicture Is Nothing) Then

Debug.Print "instance:" & myDynPicture.Name & " " & myDynPicture.InstanceId

End If

Next

End If

End Sub

Noch in diesem Kapitel

DynPictureInstances-Properties

DynPictureInstances-Methods


DynPictureInstances-Properties

Manuale -> Scripting -> Objectmodel -> DynPictureInstances -> DynPictureInstances-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of instances of the given DynPicture object. (RT-Only) | not used | read only | yes | yes

Noch in diesem Kapitel

Count


Count

Manuale -> Scripting -> Objectmodel -> DynPictureInstances -> DynPictureInstances-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of instances of the given DynPicture object. (RT-Only).

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


DynPictureInstances-Methods

Manuale -> Scripting -> Objectmodel -> DynPictureInstances -> DynPictureInstances-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IDynPicture | Item | Returns instances at the given index. (RT-Only) | not used | read only | yes | yes

Noch in diesem Kapitel

Item


Item

Manuale -> Scripting -> Objectmodel -> DynPictureInstances -> DynPictureInstances-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns instances at the given index. (RT-Only).

Datatype

Item(long lIndex) As IDynPicture

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void MacroGetInstances()

{

IDynPicture zenonPicture = this.DynPictures().Item("Start");

//Loop through any instance of the picture "start" and print name + id

for (int i = 0; i < zenonPicture.Instances.Count; ++i)

{

IDynPicture currentPicture = zenonPicture.Instances.Item(i);

if (currentPicture != null)

System.Diagnostics.Debug.Print(currentPicture.Name + " " + currentPicture.InstanceId);

}

}

VB.NET

Public Sub MacroGetInstances()

Dim zenonPicture As IDynPicture = Me.DynPictures().Item("Start")

'Loop through any instance of the picture "start" and print name + id

Dim i As Integer = 0

While i < zenonPicture.Instances.Count

Dim currentPicture As IDynPicture = zenonPicture.Instances.Item(i)

If not (currentPicture is nothing) Then

System.Diagnostics.Debug.Print(currentPicture.Name + " " + currentPicture.InstanceId)

End If

System.Threading.Interlocked.Increment(i)

End While

End Sub

VBA

Public Sub LeftClickUp_Default(obElem As Element)

Dim FacePlate As DynPicture

Dim DynPictureContainer As Element

Dim strTrace As String

strTrace = "Das Element befindet sich auf Bild:" & obElem.Parent.Parent.Name & " mit InstanzID:" & obElem.Parent.Parent.InstanceId

If Not obElem.Parent.Parent.DynPictureContainer Is Nothing Then

strTrace = strTrace & " in einen BildContainer:" & obElem.Parent.Parent.DynPictureContainer.Name

strTrace = strTrace & ", welches sich auf Bild:" & obElem.Parent.Parent.DynPictureContainer.Parent.Parent.Name & " mit InstanzId:" & obElem.Parent.Parent.DynPictureContainer.Parent.Parent.InstanceId & "befindet."

End If

MsgBox strTrace

Dim myPiccheck As DynPicture

Set myPiccheck = thisProject.DynPictures.ItemOnMonitor(obElem.Parent.Parent.Name, obElem.Parent.Parent.MonitorId)

Debug.Print myPiccheck.Name

End Sub

Public Sub GetScreens()

Dim myinstances As DynPictureInstances

Dim myDynPicture As DynPicture

Stop

Set myinstances = thisProject.DynPictures.Item("Bild 2").Instances

If (myinstances.Count > 0) Then

For i = 0 To myinstances.Count - 1

Set myDynPicture = myinstances.Item(i)

If (Not myDynPicture Is Nothing) Then

Debug.Print "instance:" & myDynPicture.Name & " " & myDynPicture.InstanceId

End If

Next

End If

End Sub


DynPictures

Manuale -> Scripting -> Objectmodel -> DynPictures

Remarks

This collection contains the defined Screens. The single Screens can contain different dynamic elements. Each Screen is linked to a Frame, that contains general information on the outer appearance.Screens always come from the current project – the global project is ignored, as Screens are not supported in global projects.The single Screens can be found in the collection by their unique name or by the index. Each Screen is identified by an unique name.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

public void MacroCreateScreen()

{

IDynPicture zenonNewPicture = this.ActiveDocument.DynPictures().Item("NEW_SCREEN");

//Create the screen if it does not exist

if (zenonNewPicture == null)

{

zenonNewPicture = this.ActiveDocument.DynPictures().Create("NEW_SCREEN", "MAIN", tpDynPicturesTypes.tpStandard);

//Set the BackColor to red (255R,0G,0B)

zenonNewPicture.BackColor = 0x0000FF;

}

}

VB.NET

Public Sub MacroCreateScreen()

Dim zenonNewPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("NEW_SCREEN")

'Create the screen if it does not exist

If zenonNewPicture = Nothing Then

zenonNewPicture = Me.ActiveDocument.DynPictures().Create("NEW_SCREEN", "MAIN", tpDynPicturesTypes.tpStandard)

'Set the BackColor to red (255R,0G,0B)

zenonNewPicture.BackColor = &Hff

End If

End Sub

VBA

Sub CreateScreen()
Dim zPIC As DynPicture
Const ScreenName As String = "Alarm-Screen"
Const TemplateName As String = "MAIN"
'check if Screen already exists...
Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item(ScreenName)
If zPIC Is Nothing Then
'create new Screen if not existing...
Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Create(ScreenName, TemplateName, tpAML)
'set the backcolor and create Default MDI Elements
With zPIC
.BackColor = vbRed
.CreateMdiDefaultElements
End With
End If
End Sub

Sub ScreenList()
Dim i, n As Integer
Dim zProject As Project
Dim zPicture As DynPicture
'use this in VBA at zenOn Runtime...
'Set zProject = thisproject
'or use this in the zenOn Editor...
Set zProject = MyWorkspace.ActiveDocument
'run trough all screens of the project...
For i = 0 To zProject.DynPictures.Count - 1
Set zPicture = zProject.DynPictures.Item(i)
Debug.Print zPicture.Name
'get count of elements within the actual screen
Debug.Print zPicture.Elements.Count & " Elements in this Screen..."
Next i
End Sub

Noch in diesem Kapitel

DynPictures-Properties

DynPictures-Methods

DynPictures-Events


DynPictures-Properties

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IProject | Parent | The parent object of the current object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


DynPictures-Methods

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | AddMarker | Adds a marker into a screen | not used | available | yes | yes
IDynPicture | Create | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
VARIANT_BOOL | DelMarker | Deletes a marker from a screen | not used | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
IDynPicture | Item | Returns a object at a position or by a specified key | available | available | yes | yes
IDynPicture | ItemOnMonitor | Returns a screen with given name on the given monitor.(RT-Only) | not used | available | yes | yes
VARIANT_BOOL | SetupTouchInertia | Setup inertia settings for multitouch manipulation | not used | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT | GetPointerInfo | For internal use only | not used | available | No | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes

Noch in diesem Kapitel

Item

ItemOnMonitor

Create

Delete

Export

SingleExport

Import

SetupTouchInertia

AddMarker

DelMarker

GetPointerInfo


Item

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object "DynPicture" from the collection, which is identified by the parameter vID.The parameter vID can have two values:<ul><li>Index: Access with an index mostly is used in combination with the property Count to find out the position of the variable object in the list.</li><li>Picture name: The picture can also be accessed with its unique name.</li></ul>Hint:The returned object should always be checked on Nothing, in case no object was found for the search criteria.

Datatype

Item(VARIANT vDynPictureID) As DynPicture

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroListDynPictures()

{

//Print the name of every DynPicture in the collection

for (int i = 0; i < this.ActiveDocument.DynPictures().Count; ++i)

{

IDynPicture zenonPicture = this.ActiveDocument.DynPictures().Item(i);

System.Diagnostics.Debug.Print(zenonPicture.Name);

}

}

VB.NET

Public Sub MacroListDynPictures()

'Print the name of every DynPicture in the collection

Dim i As Integer = 0

While i < Me.ActiveDocument.DynPictures().Count

Dim zenonPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item(i)

System.Diagnostics.Debug.Print(zenonPicture.Name)

System.Threading.Interlocked.Increment(i)

End While

End Sub

VBA

VBA-Syntax


ItemOnMonitor

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Methods -> ItemOnMonitor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemOnMonitor(String bsSName, short MonitorId) As DynPicture

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Create(String bsName,String bsTemplate,tpDynPicturesTypes tpType) As DynPicture

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroCreateScreen()

{

IDynPicture zenonNewPicture = this.ActiveDocument.DynPictures().Item("NEW_SCREEN");

//Create the screen if it does not exist

if (zenonNewPicture == null)

{

zenonNewPicture = this.ActiveDocument.DynPictures().Create("NEW_SCREEN", "MAIN", tpDynPicturesTypes.tpStandard);

//Set the BackColor to red (255R,0G,0B)

zenonNewPicture.BackColor = 0x0000FF;

}

}

VB.NET

Public Sub MacroCreateScreen()

Dim zenonNewPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item("NEW_SCREEN")

'Create the screen if it does not exist

If zenonNewPicture = Nothing Then

zenonNewPicture = Me.ActiveDocument.DynPictures().Create("NEW_SCREEN", "MAIN", tpDynPicturesTypes.tpStandard)

'Set the BackColor to red (255R,0G,0B)

zenonNewPicture.BackColor = &Hff

End If

End Sub

VBA

VBA-Syntax


Delete

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the corresponding "DynPicture" object from the collection by its unique name.

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

using System.Text.RegularExpressions;

private const string DUMMY_REGEX = @"[\s\S]*dummy[\s\S]*";

public void MacroDeletePictureRegEx()

{

//Uses a regular expression to delete any picture that

//has the name "dummy" in its name

for (int i = 0; i < this.ActiveDocument.DynPictures().Count; ++i)

{

IDynPicture currentPicture = this.ActiveDocument.DynPictures().Item(i);

if (Regex.IsMatch(currentPicture.Name, DUMMY_REGEX))

this.ActiveDocument.DynPictures().Delete(currentPicture.Name);

}

}

VB.NET

Imports System.Text.RegularExpressions

Private Const DUMMY_REGEX As String = "[\s\S]*dummy[\s\S]*"

Public Sub MacroDeletePictureRegEx()

'Uses a regular expression to delete any picture that

'has the name "dummy" in its name

For i As Integer = 0 To Me.ActiveDocument.DynPictures().Count - 1

Dim currentPicture As IDynPicture = Me.ActiveDocument.DynPictures().Item(i)

If Regex.IsMatch(currentPicture.Name, DUMMY_REGEX) Then

Me.ActiveDocument.DynPictures().Delete(currentPicture.Name)

End If

Next

End Sub

VBA

VBA-Syntax


Export

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

public void MacroExportDynPictures()

{

//Export all dynpictures to C:\Test\test.xml

this.ActiveDocument.DynPictures().Export(@"C:\Test\test.xml");

}

VB.NET

Public Sub MacroExportDynPictures()

'Export all dynpictures to C:\Test\test.xml

Me.ActiveDocument.DynPictures().Export("C:\Test\test.xml")

End Sub

VBA

VBA-Syntax


SingleExport

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void MacroExportPicturesToFiles()

{

for (int i = 0; i < this.ActiveDocument.DynPictures().Count; ++i)

{

//Generates a new XML file for each picture instead of one big xml file

this.ActiveDocument.DynPictures()

.SingleExport(i, @"C:\Test\picture_"

+ this.ActiveDocument.DynPictures().Item(i).Name + ".xml");

}

}

VB.NET

Public Sub MacroExportPicturesToFiles()

Dim i As Integer = 0

While i < Me.ActiveDocument.DynPictures().Count

'Generates a new XML file for each picture instead of one big xml file

Me.ActiveDocument.DynPictures().SingleExport(i, "C:\Test\picture_" + Me.ActiveDocument.DynPictures().Item(i).Name + ".xml")

System.Threading.Interlocked.Increment(i)

End While

End Sub

VBA


Import

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced. Note: One xml file may contain more than one picture.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

VB.NET

VBA

bsFileName As String

Examples

C#

private const string XML_PATH = @"C:\test\";

public void MacroImportPictures()

{

foreach (string s in Directory.GetFiles(XML_PATH))

{

//Loop through the whole specified directory

//And import the dynpicture settings found

//First check if the file is an xml file

if(Path.GetExtension(s) == ".xml")

this.ActiveDocument.DynPictures().Import(s);

}

}

VB.NET

Private Const XML_PATH As String = "C:\test\"

Public Sub MacroImportPictures()

For Each s As String In Directory.GetFiles(XML_PATH)

'Loop through the whole specified directory

'And import the dynpicture settings found

'First check if the file is an xml file

If Path.GetExtension(s) = ".xml" Then

Me.ActiveDocument.DynPictures().Import(s)

End If

Next

End Sub

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


SetupTouchInertia

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Methods -> SetupTouchInertia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SetupTouchInertia(FLOAT Deceleration, FLOAT AngularDeceleration, FLOAT ExpansionDeceleration) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AddMarker

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Methods -> AddMarker

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Adds a marker into the screen. The GUID of the marker, which is provided by the AddMarker(), is the explicit id as well as the element name, with the following prefix: $MARKER_.

It is also used as key to delete the marker using: DelMarker(). Those markers that are inserted using the API are stored imaged-based in the project. This is non-retentive beyond Runtime restart. The markers are handled internally as a normal picture elements, therefore mouse events are called. Siehe auch: Konfiguration der Bildmarker

Datatype

AddMarker(String bsScreenName, long nElementID, short nPosition, short nLineColorIndex, short nFillColorIndex) As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

String bsScreenName

long nElementID

short nPosition

short nLineColorIndex

short nFillColorIndex

VB.NET

Dim bsScreenName As [String]

Dim nElementID As Long

Dim nPosition As Short

Dim nLineColorIndex As Short

Dim nFillColorIndex As Short

VBA

VBA-Syntax

Examples

C#

/* Use only for Runtime, that means use the VSTA/VBA editor for the activated project to create your macro.

* This example will place a marker on a line element.

*/

public void Macro_AddMarker()

{

//Get the screen with your elements, in this case: line, button and a numeric value

zenOn.IDynPicture screen = this.DynPictures().Item("Screen 0");

//Get the line element from the screen

zenOn.IElement lineElement = screen.Elements().Item("Line_3");

//To add the marker we have to assign following properties:

//- the screen with the according element

//- the element ID

//- the position of the marker on the line, in this case 20% of the total lenght.

//- the color index of the border line

//- the color index of the filling

//the color index can be defined in the editor under: Project properties->ALC->ALC configuration.

//this will open a dialog, choose the Screen marker TAB and define your colors. Use the corresponding

//index 0... for your properties.

this.DynPictures().AddMarker("Screen 0", lineElement.ID, 20, 1, 2);

}

VB.NET

Use only for Runtime, that means use the VSTA/VBA editor for the activated project to create your macro.

This example will place a marker on a line element.

Public Sub Macro_AddMarker()

//Get the screen with your elements, in this case: line, button and a numeric value

Dim screen As zenOn.IDynPicture = Me.DynPictures().Item("Screen 0")

//Get the line element from the screen

Dim lineElement As zenOn.IElement = screen.Elements().Item("Line_3")

//To add the marker we have to assign following properties:

//- the screen with the according element

//- the element ID

//- the position of the marker on the line, in this case 20% of the total lenght.

//- the color index of the border line

//- the color index of the filling

//the color index can be defined in the editor under: Project properties->ALC->ALC configuration.

//this will open a dialog, choose the Screen marker TAB and define your colors. Use the corresponding

//index 0... for your properties.

Me.DynPictures().AddMarker("Screen 0", lineElement.ID, 20, 1, 2)

End Sub

VBA

VBA-Syntax


DelMarker

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Methods -> DelMarker

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes a marker from a screen. The ID is provided by the AddMarker().

Datatype

DelMarker(String bsID) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

string bsID

VB.NET

Dim bsID As String

VBA

VBA-Syntax

Examples

C#

/* Use only for Runtime, that means use the VSTA/VBA editor for the activated project to create your macro.

* This example will first place a marker on a line element and then delete it.

* using the specific ID of the marker.

*/

public void Macro_DelMarker()

{

//Get the screen with your elements, in this case: line, button and a numeric value

zenOn.IDynPicture screen = this.DynPictures().Item("Screen 0");

//Get the line element from the screen

zenOn.IElement lineElement = screen.Elements().Item("Line_3");

//The return value from the AddMarker() is the specific ID of this marker.

string markerId = this.DynPictures().AddMarker("Screen 0", lineElement.ID, 20, 1, 2);

//To delelete this marker we have to assign the specific ID

bool isDeleted = this.DynPictures().DelMarker(markerId);

//Use the return value to check if the marker was deleted

if (isDeleted == true) MessageBox.Show("Marker: " + markerId + " deleted!");

}

VB.NET

// Use only for Runtime, that means use the VSTA/VBA editor for the activated project to create your macro.

//This example will first place a marker on a line element and then delete it.

//using the specific ID of the marker.

Public Sub Macro_DelMarker()

//Get the screen with your elements, in this case: line, button and a numeric value

Dim screen As zenOn.IDynPicture = Me.DynPictures().Item("Screen 0")

//Get the line element from the screen

Dim lineElement As zenOn.IElement = screen.Elements().Item("Line_3")

//The return value from the AddMarker() is the specific ID of this marker.

Dim markerId As String = Me.DynPictures().AddMarker("Screen 0", lineElement.ID, 20, 1, 2)

//To delelete this marker we have to assign the specific ID

Dim isDeleted As Boolean = Me.DynPictures().DelMarker(markerId)

//Use the return value to check if the marker was deleted

If isDeleted = True Then

MessageBox.Show("Marker: " & markerId & " deleted!")

End If

End Sub

VBA

VBA-Syntax


GetPointerInfo

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Methods -> GetPointerInfo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets the information for the specified pointer associated with the current message.

//Layout of the pointer_info structure

typedef struct tagPOINTER_INFO {

POINTER_INPUT_TYPE pointerType;

UINT32 pointerId;

UINT32 frameId;

POINTER_FLAGS pointerFlags;

HANDLE sourceDevice;

HWND hwndTarget;

POINT ptPixelLocation;

POINT ptHimetricLocation;

POINT ptPixelLocationRaw;

POINT ptHimetricLocationRaw;

DWORD dwTime;

UINT32 historyCount;

INT32 inputData;

DWORD dwKeyStates;

UINT64 PerformanceCount;

POINTER_BUTTON_CHANGE_TYPE ButtonChangeType;

} POINTER_INFO;

See also: GetPointerInfo (msdn)

Datatype

GetPointerInfo(VARIANT vPointerId) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

object vPointerId

VB.NET

obDynPicture As IDynPicture

vPointerId As Object

Examples

C#

/// <summary>

/// Helper function that takes a screen and a pointer ID and writes information about the pointer into the CEL

/// </summary>

/// <param name="obDynPicture">the zenon screen</param>

/// <param name="vPointerId">the pointer object</param>

private void GetPointerInfo(zenOn.IDynPicture obDynPicture, object vPointerId)

{

//get method name and print in CEL

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

Cel().WriteCelString(CelString);

//get pointer infos

try

{

//cast this on an object array

object[] PointerInfo = (object[])DynPics.GetPointerInfo(vPointerId);

//iterate through all

for (int i = 0; i < PointerInfo.Length; i++)

{

//if the type of the object is an array, we suppose it is the POINT type - which has definition for x and y position

if (PointerInfo[i] is System.Object[])

{

//to get the information, we have to cast it first to object[] because the compiler would not accept the index otherwise and convert it to a string then

Cel().WriteCelString(Pointer_Info_Definition[i] + " for x has value " + Convert.ToString(((object[])(PointerInfo[i]))[0]));

Cel().WriteCelString(Pointer_Info_Definition[i] + " for y has value " + Convert.ToString(((object[])(PointerInfo[i]))[1]));

}

else

{

//if it's not object[], simply cast it to string and write an CEL entry

switch (i)

{

case 0:

PointerType pt = (PointerType)(Convert.ToUInt32(PointerInfo[i]));

Cel().WriteCelString("PointerType: " + pt.ToString());

break;

case 3:

PointerFlags pf = (PointerFlags)(Convert.ToUInt32(PointerInfo[i]));

Cel().WriteCelString("PointerFlags: " + pf.ToString());

break;

default:

Cel().WriteCelString(Pointer_Info_Definition[i] + " has value " + PointerInfo[i].ToString());

break;

}

}

}

}

catch (Exception ex)

{

Cel().WriteCelString("Can't get PointerInfo: " + ex.Message);

}

}

VB.NET

/// <summary>

/// Helper function that takes a screen and a pointer ID and writes information about the pointer into the CEL

/// </summary>

/// <param name="obDynPicture">the zenon screen</param>

/// <param name="vPointerId">the pointer object</param>

Private Sub GetPointerInfo(obDynPicture As zenOn.IDynPicture, vPointerId As Object)

'get method name and print in CEL

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Cel().WriteCelString(CelString)

'get pointer infos

Try

'cast this on an object array

Dim PointerInfo As Object() = DirectCast(DynPics.GetPointerInfo(vPointerId), Object())

'iterate through all

For i As Integer = 0 To PointerInfo.Length - 1

'if the type of the object is an array, we suppose it is the POINT type - which has definition for x and y position

If TypeOf PointerInfo(i) Is System.Object() Then

'to get the information, we have to cast it first to object[] because the compiler would not accept the index otherwise and convert it to a string then

Cel().WriteCelString(Pointer_Info_Definition(i) + " for x has value " & Convert.ToString(DirectCast(PointerInfo(i), Object())(0)))

Cel().WriteCelString(Pointer_Info_Definition(i) + " for y has value " & Convert.ToString(DirectCast(PointerInfo(i), Object())(1)))

Else

'if it's not object[], simply cast it to string and write an CEL entry

Select Case i

Case 0

Dim pt As PointerType = DirectCast(Convert.ToUInt32(PointerInfo(i)), PointerType)

Cel().WriteCelString("PointerType: " & pt.ToString())

Exit Select

Case 3

Dim pf As PointerFlags = DirectCast(Convert.ToUInt32(PointerInfo(i)), PointerFlags)

Cel().WriteCelString("PointerFlags: " & pf.ToString())

Exit Select

Case Else

Cel().WriteCelString(Pointer_Info_Definition(i) + " has value " & PointerInfo(i).ToString())

Exit Select

End Select

End If

Next

Catch ex As Exception

Cel().WriteCelString("Can't get PointerInfo: " + ex.Message)

End Try

End Sub


DynPictures-Events

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Close | Event is fired when a screen is closed. | not used | available | yes | yes
void | ElementInit | Event is fired when an element is initialized.(RT-Only) | not used | available | yes | yes
void | ElementLeftButtonDblClick | Event is fired when an element is double clicked with the left mouse button.(RT-Only) | not used | available | yes | yes
void | ElementLeftButtonDown | Event is fired when the left mouse button is pushed down on an element.(RT-Only) | not used | available | yes | yes
void | ElementLeftButtonUp | Event is fired when the right mouse button is released on an element.(RT-Only) | not used | available | yes | yes
void | ElementMouseOver | Event is fired when the mouse is moved over an element.(RT-Only) | not used | available | yes | yes
void | ElementRightButtonDblClk | Event is fired when an element is double clicked with the right mouse button.(RT-Only) | not used | available | yes | yes
void | ElementRightButtonDown | Event is fired when the right mouse button is pushed down on an element.(RT-Only) | not used | available | yes | yes
void | ElementRightButtonUp | Event is fired when the right mouse button is released on an element.(RT-Only) | not used | available | yes | yes
void | Open | Event is fired when a screen is opened. | not used | available | yes | yes
void | TouchEvent | Event is fired for all touch events.(RT-Only) | not used | available | yes | yes
void | TouchManipulationCompleteEvent | Event is fired when a touch manipulation ends.(RT-Only) | not used | available | yes | yes
void | TouchManipulationDeltaEvent | Event is fired when a touch manipulation is in progress.(RT-Only) | not used | available | yes | yes
void | TouchManipulationStartEvent | Event is fired when a touch manipulation starts.(RT-Only) | not used | available | yes | yes
void | WindowPosChanged | Event is fired when a screen is moved or resized.(RT-Only) | not used | available | yes | yes
void | ElementGesture | For internal use only | not used | available | No | yes
void | NCPointerDown | For internal use only | not used | available | No | yes
void | NCPointerUp | For internal use only | not used | available | No | yes
void | NCPointerUpdate | For internal use only | not used | available | No | yes
void | PictureGesture | For internal use only | not used | available | No | yes
void | PointerActivate | For internal use only | not used | available | No | yes
void | PointerCaptureChanged | For internal use only | not used | available | No | yes
void | PointerDeviceChange | For internal use only | not used | available | No | yes
void | PointerDeviceInRange | For internal use only | not used | available | No | yes
void | PointerDeviceOutOfRange | For internal use only | not used | available | No | yes
void | PointerDown | Posted when a pointer makes contact over the client area of a screen. | not used | available | No | yes
void | PointerEnter | Sent to a screen when a pointer moves into the boundaries of the screen. | not used | available | No | yes
void | PointerHWheel | Posted to the screen with foreground keyboard focus when a horizontal scroll wheel is rotated. | not used | available | No | yes
void | PointerLeave | Sent to a screen when a pointer moves out of the boundaries of the screen. | not used | available | No | yes
void | PointerUp | Posted when a pointer that made contact over the client area of a screen breaks contact. | not used | available | No | yes
void | PointerUpdate | Posted to provide an update on a pointer that made contact over the client area of a screen or on a hovering uncaptured pointer over the client area of a screen. | not used | available | No | yes
void | PointerWheel | Posted to the screen with foreground keyboard focus when a scroll wheel is rotated. | not used | available | No | yes
void | PointerDown | For internal use only | not used | available | No | yes
void | PointerEnter | For internal use only | not used | available | No | yes
void | PointerLeave | For internal use only | not used | available | No | yes
void | PointerUp | For internal use only | not used | available | No | yes
void | PointerUpdate | For internal use only | not used | available | No | yes
void | PointerWheel | For internal use only | not used | available | No | yes
void | PointerHWheel | For internal use only | not used | available | No | yes

Noch in diesem Kapitel

TouchEvent

TouchManipulationStartEvent

TouchManipulationDeltaEvent

TouchManipulationCompleteEvent

Open

Close

WindowPosChanged

ElementInit

ElementRightButtonDblClk

ElementRightButtonDown

ElementRightButtonUp

ElementLeftButtonDblClick

ElementLeftButtonDown

ElementLeftButtonUp

ElementMouseOver

PictureGesture

ElementGesture

PointerDown

PointerEnter

PointerLeave

PointerUp

PointerUpdate

PointerWheel

PointerHWheel

NCPointerDown

NCPointerUp

NCPointerUpdate

PointerActivate

PointerCaptureChanged


TouchEvent

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> TouchEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TouchEvent(SAFEARRAY(long) pvX, SAFEARRAY(long) pvY, SAFEARRAY(OLE_HANDLE) pvSource, SAFEARRAY(long) pvID, SAFEARRAY(long) pvFlags, SAFEARRAY(long) pvMask, SAFEARRAY(long) pvTime, SAFEARRAY(long) pvExtraInfo, SAFEARRAY(long) pvXContact, SAFEARRAY(long) pvYContact) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TouchManipulationStartEvent

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> TouchManipulationStartEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TouchManipulationStartEvent(long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TouchManipulationDeltaEvent

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> TouchManipulationDeltaEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is triggered regularly when executing an action. The parameter indicate the changes since the last delta event and/or the start event.

lX: X-Koordinate in Pixel

lY: Y-Koordinate in Pixel

lTransX: Translation X-Achse in Pixel

lTransY: Translation Y-Ache in Pixel

fScaleFactor: Skalierungsfaktor (1=100%)

fRotation: Rotation in Radianten

bInertia: Gibt an ob der Event durch den Trägheitsprozessor oder die Geste selbst verursacht wurde

Datatype

TouchManipulationDeltaEvent(long lX, long lY, long lTransX, long lTransY, FLOAT fScaleFactor, FLOAT fRotation, long lContacts) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

If Not obDynPictures.SetupTouchInertia(0, 0, 0) Then

Debug.Print "Error setting up inertia"

End If

Private Sub obDynPictures_TouchManipulationStartEvent(ByVal lX As Long, ByVal lY As Long)

End Sub

Private Sub obDynPictures_TouchManipulationDeltaEvent(ByVal lX As Long, ByVal lY As Long, ByVal lTransX As Long, ByVal lTransY As Long, ByVal fScaleFactor As Single, ByVal fRotation As Single, ByVal bInertia As Boolean)

End Sub

Private Sub obDynPictures_TouchManipulationCompleteEvent(ByVal lX As Long, ByVal lY As Long, ByVal lTransX As Long, ByVal lTransY As Long, ByVal fScaleFactor As Single, ByVal fRotation As Single, ByVal bInertia As Boolean)

End Sub


TouchManipulationCompleteEvent

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> TouchManipulationCompleteEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is triggered when ending an action. The parameter indicate the changes since the start of the action.

If the idle processor is active, the event is triggered two times.

When the action ends (bInertia = FALSE), the parameter indicate the changes since the start of the action.

After the idle calculation (bInertia = TRUE), the parameter indicate the changes since the start of the idle calculation. (since the end of the action)

lX: X-Koordinate in Pixel

lY: Y-Koordinate in Pixel

lTransX: Translation X-Achse in Pixel

lTransY: Translation Y-Ache in Pixel

fScaleFactor: Skalierungsfaktor (1=100%)

fRotation: Rotation in Radianten

bInertia: Gibt an ob der Event durch den Trägheitsprozessor oder die Geste selbst verursacht wurde

Datatype

TouchManipulationCompleteEvent(long lX, long lY, long lTransX, long lTransY, FLOAT fScaleFactor, FLOAT fRotation, long lContacts) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

If Not obDynPictures.SetupTouchInertia(0, 0, 0) Then

Debug.Print "Error setting up inertia"

End If

Private Sub obDynPictures_TouchManipulationStartEvent(ByVal lX As Long, ByVal lY As Long)

End Sub

Private Sub obDynPictures_TouchManipulationDeltaEvent(ByVal lX As Long, ByVal lY As Long, ByVal lTransX As Long, ByVal lTransY As Long, ByVal fScaleFactor As Single, ByVal fRotation As Single, ByVal bInertia As Boolean)

End Sub

Private Sub obDynPictures_TouchManipulationCompleteEvent(ByVal lX As Long, ByVal lY As Long, ByVal lTransX As Long, ByVal lTransY As Long, ByVal fScaleFactor As Single, ByVal fRotation As Single, ByVal bInertia As Boolean)

End Sub


Open

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> Open

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Open(DynPicture obDynPicture) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

void ThisProject_Active()

{

this.DynPictures().Open += new DDynPicturesEvents_OpenEventHandler(ThisProject_Open);

this.DynPictures().Close += new DDynPicturesEvents_CloseEventHandler(ThisProject_Close);

}

void ThisProject_Close(IDynPicture obDynPicture)

{

//Logs the Close event on the CEL; Once a screen is closed it will be written

//to the chronological Event List

this.Cel().WriteCelString(obDynPicture.Name + " was closed");

}

void ThisProject_Open(IDynPicture obDynPicture)

{

//Logs the Open event on the CEL; Once a screen is open it will be written

//to the chronological Event List

this.Cel().WriteCelString(obDynPicture.Name + " was opened");

}

void ThisProject_Inactive()

{

this.DynPictures().Open -= new DDynPicturesEvents_OpenEventHandler(ThisProject_Open);

this.DynPictures().Close -= new DDynPicturesEvents_CloseEventHandler(ThisProject_Close);

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

Me.DynPictures().Open += New DDynPicturesEvents_OpenEventHandler(ThisProject_Open)

Me.DynPictures().Close += New DDynPicturesEvents_CloseEventHandler(ThisProject_Close)

End Sub

Private Sub ThisProject_Close(obDynPicture As IDynPicture)

'Logs the Close event on the CEL; Once a screen is closed it will be written

'to the chronological Event List

Me.Cel().WriteCelString(obDynPicture.Name + " was closed")

End Sub

Private Sub ThisProject_Open(obDynPicture As IDynPicture)

'Logs the Open event on the CEL; Once a screen is open it will be written

'to the chronological Event List

Me.Cel().WriteCelString(obDynPicture.Name + " was opened")

End Sub

Private Sub ThisProject_Inactive()

Me.DynPictures().Open -= New DDynPicturesEvents_OpenEventHandler(ThisProject_Open)

Me.DynPictures().Close -= New DDynPicturesEvents_CloseEventHandler(ThisProject_Close)

FreeObjects()

End Sub

VBA

VBA-Syntax


Close

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> Close

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Close(DynPicture obDynPicture) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

void ThisProject_Active()

{

this.DynPictures().Open += new DDynPicturesEvents_OpenEventHandler(ThisProject_Open);

this.DynPictures().Close += new DDynPicturesEvents_CloseEventHandler(ThisProject_Close);

}

void ThisProject_Close(IDynPicture obDynPicture)

{

//Logs the Close event on the CEL; Once a screen is closed it will be written

//to the chronological Event List

this.Cel().WriteCelString(obDynPicture.Name + " was closed");

}

void ThisProject_Open(IDynPicture obDynPicture)

{

//Logs the Open event on the CEL; Once a screen is open it will be written

//to the chronological Event List

this.Cel().WriteCelString(obDynPicture.Name + " was opened");

}

void ThisProject_Inactive()

{

this.DynPictures().Open -= new DDynPicturesEvents_OpenEventHandler(ThisProject_Open);

this.DynPictures().Close -= new DDynPicturesEvents_CloseEventHandler(ThisProject_Close);

FreeObjects();

}

VB.NET

Private Sub ThisProject_Active()

Me.DynPictures().Open += New DDynPicturesEvents_OpenEventHandler(ThisProject_Open)

Me.DynPictures().Close += New DDynPicturesEvents_CloseEventHandler(ThisProject_Close)

End Sub

Private Sub ThisProject_Close(obDynPicture As IDynPicture)

'Logs the Close event on the CEL; Once a screen is closed it will be written

'to the chronological Event List

Me.Cel().WriteCelString(obDynPicture.Name + " was closed")

End Sub

Private Sub ThisProject_Open(obDynPicture As IDynPicture)

'Logs the Open event on the CEL; Once a screen is open it will be written

'to the chronological Event List

Me.Cel().WriteCelString(obDynPicture.Name + " was opened")

End Sub

Private Sub ThisProject_Inactive()

Me.DynPictures().Open -= New DDynPicturesEvents_OpenEventHandler(ThisProject_Open)

Me.DynPictures().Close -= New DDynPicturesEvents_CloseEventHandler(ThisProject_Close)

FreeObjects()

End Sub

VBA

VBA-Syntax


WindowPosChanged

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> WindowPosChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

WindowPosChanged(DynPicture obDynPicture) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ElementInit

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> ElementInit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementInit(Element obElement) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Declaration of DynPictures, in order to use it with events
Dim WithEvents zDynPictures As DynPictures

Private Sub Project_Active()
'Reference to the zenon Project DynPictures
Set zDynPictures = thisProject.DynPictures
End Sub

'This event is triggered when an element is initialized
Private Sub zDynPictures_ElementInit(ByVal obElement As IElement)
Debug.Print ("Element name: " & obElement.Name)
End Sub


ElementRightButtonDblClk

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> ElementRightButtonDblClk

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRightButtonDblClk(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

void ThisProject_Active()

{

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

}

void ThisProject_ElementRightButtonDblClk(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY);

if(obElement != null)

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name);

}

void ThisProject_ElementLeftButtonDblClick(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name);

}

//Deinitialize event handlers

void ThisProject_Inactive()

{

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

FreeObjects();

}

VB.NET

'Initialize event handlers

Private Sub ThisProject_Active()

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk)

End Sub

Private Sub ThisProject_ElementRightButtonDblClk(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY)

If not (obElement is nothing) Then

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDblClick(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY)

If not (obElement is nothing) Then

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name)

End If

End Sub

'Deinitialize event handlers

Private Sub ThisProject_Inactive()

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk)

FreeObjects()

End Sub

VBA

VBA-Syntax


ElementRightButtonDown

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> ElementRightButtonDown

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRightButtonDown(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ElementRightButtonUp

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> ElementRightButtonUp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementRightButtonUp(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ElementLeftButtonDblClick

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> ElementLeftButtonDblClick

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementLeftButtonDblClick(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

//Initialize event handlers

void ThisProject_Active()

{

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

}

void ThisProject_ElementRightButtonDblClk(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY);

if(obElement != null)

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name);

}

void ThisProject_ElementLeftButtonDblClick(IDynPicture obDynPicture, IElement obElement, int lPosX, int lPosY, int lButton)

{

//Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY);

if (obElement != null)

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name);

}

//Deinitialize event handlers

void ThisProject_Inactive()

{

this.DynPictures().ElementLeftButtonDblClick += new ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick);

this.DynPictures().ElementRightButtonDblClk += new ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk);

FreeObjects();

}

VB.NET

'Initialize event handlers

Private Sub ThisProject_Active()

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk)

End Sub

Private Sub ThisProject_ElementRightButtonDblClk(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Right Click Event

System.Diagnostics.Debug.Print("Double Right Click on " + lPosX + " / " + lPosY)

If not (obElement is nothing) Then

System.Diagnostics.Debug.Print("Double Right Click on " + obElement.Name)

End If

End Sub

Private Sub ThisProject_ElementLeftButtonDblClick(obDynPicture As IDynPicture, obElement As IElement, lPosX As Integer, lPosY As Integer, lButton As Integer)

'Log Left Click event

System.Diagnostics.Debug.Print("Double Left Click on " + lPosX + " / " + lPosY)

If not (obElement is nothing) Then

System.Diagnostics.Debug.Print("Double Left Click on " + obElement.Name)

End If

End Sub

'Deinitialize event handlers

Private Sub ThisProject_Inactive()

Me.DynPictures().ElementLeftButtonDblClick += New ElementLeftButtonDblClickEventHandler(ThisProject_ElementLeftButtonDblClick)

Me.DynPictures().ElementRightButtonDblClk += New ElementRightButtonDblClkEventHandler(ThisProject_ElementRightButtonDblClk)

FreeObjects()

End Sub

VBA

VBA-Syntax


ElementLeftButtonDown

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> ElementLeftButtonDown

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementLeftButtonDown(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ElementLeftButtonUp

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> ElementLeftButtonUp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementLeftButtonUp(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ElementMouseOver

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> ElementMouseOver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ElementMouseOver(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PictureGesture

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> PictureGesture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines the output of the Interaction Context object. See also:

INTERACTION_CONTEXT_OUTPUT

interaction_context_output (msdn)

Datatype

PictureGesture(IDynPicture* obDynPicture, VARIANT interactionContextOutput) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

object interactionContextOutput

VB.NET

obDynPicture As IDynPicture

interactionContextOutput As Object

Examples

C#

/// <summary>

/// event handler for the PictureGesture event

/// </summary>

/// <param name="obDynPicture">screen on which the event occured</param>

/// <param name="interactionContextOutput">object that contains the information about the gesture</param>

void DynPics_PictureGesture(zenOn.IDynPicture obDynPicture, object interactionContextOutput)

{

CELMakeSeperator();

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

Cel().WriteCelString(CelString);

WriteInteractionContextOutputToCEL(interactionContextOutput);

}

VB.NET

/// <summary>

/// event handler for the PictureGesture event

/// </summary>

/// <param name="obDynPicture">screen on which the event occured</param>

/// <param name="interactionContextOutput">object that contains the information about the gesture</param>

Private Sub DynPics_PictureGesture(obDynPicture As zenOn.IDynPicture, interactionContextOutput As Object)

CELMakeSeperator()

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Cel().WriteCelString(CelString)

WriteInteractionContextOutputToCEL(interactionContextOutput)

End Sub


ElementGesture

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> ElementGesture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines the output of the Interaction Context object. See also: interaction_context_output (msdn)

Datatype

ElementGesture(IElement* obElement, VARIANT interactionContextOutput) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IElement obElement

object interactionContextOutput

VB.NET

obElement As IElement

interactionContextOutput As Object

Examples

C#

/// <summary>

/// event handler for the ElementGesture event

/// </summary>

/// <param name="obElement">element on which the event occured</param>

/// <param name="interactionContextOutput">object that contains the information about the gesture</param>

void DynPics_ElementGesture(zenOn.IElement obElement, object interactionContextOutput)

{

CELMakeSeperator();

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obElement.Name);

Cel().WriteCelString(CelString);

WriteInteractionContextOutputToCEL(interactionContextOutput);

}

VB.NET

/// <summary>

/// event handler for the ElementGesture event

/// </summary>

/// <param name="obElement">element on which the event occured</param>

/// <param name="interactionContextOutput">object that contains the information about the gesture</param>

Private Sub DynPics_ElementGesture(obElement As zenOn.IElement, interactionContextOutput As Object)

CELMakeSeperator()

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obElement.Name)

Cel().WriteCelString(CelString)

WriteInteractionContextOutputToCEL(interactionContextOutput)

End Sub


PointerDown

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> PointerDown

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted when a pointer makes contact over the client area of a window. This input message targets the window over which the pointer makes contact, and the pointer is implicitly captured to the window so that the window continues to receive input for the pointer until it breaks contact.

Datatype

PointerDown (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, VARIANT_BOOL bNew, VARIANT_BOOL bInRange, VARIANT_BOOL bInContact, VARIANT_BOOL bPrimary, VARIANT_BOOL bFirstButton, VARIANT_BOOL bSecondButton, VARIANT_BOOL bThirdButton, VARIANT_BOOL bFourthButton, VARIANT_BOOL bFifthButton, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

bool bNew

bool bInRange

bool bInContact

bool bPrimary

bool bFirstButton

bool bSecondButton

bool bThirdButton

bool bFourthButton

bool bFifthButton

int lX

int lY

VB.NET

obDynPicture As IDynPicture

obElement As IElement

vPointerId As Object

bNew As Boolean

bInRange As Boolean

bInContact As Boolean

bPrimary As Boolean

bFirstButton As Boolean

bSecondButton As Boolean

bThirdButton As Boolean

bFourthButton As Boolean

bFifthButton As Boolean

lX As Integer

lY As Integer

Examples

C#

void DynPics_PointerDown(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, bool bNew, bool bInRange, bool bInContact, bool bPrimary, bool bFirstButton, bool bSecondButton, bool bThirdButton, bool bFourthButton, bool bFifthButton, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

string ButtonMatrix = "";

ButtonMatrix += (bFirstButton == true) ? "[1]" : "[x]";

ButtonMatrix += (bSecondButton == true) ? "[2]" : "[x]";

ButtonMatrix += (bThirdButton == true) ? "[3]" : "[x]";

ButtonMatrix += (bFourthButton == true) ? "[4]" : "[x]";

ButtonMatrix += (bFifthButton == true) ? "[5]" : "[x]";

CelString += string.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bNew, bInRange, bInContact, bPrimary, ButtonMatrix, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerDown(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, bNew As Boolean, bInRange As Boolean, bInContact As Boolean, _

bPrimary As Boolean, bFirstButton As Boolean, bSecondButton As Boolean, bThirdButton As Boolean, bFourthButton As Boolean, bFifthButton As Boolean, _

lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Dim ButtonMatrix As String = ""

ButtonMatrix += If((bFirstButton = True), "[1]", "[x]")

ButtonMatrix += If((bSecondButton = True), "[2]", "[x]")

ButtonMatrix += If((bThirdButton = True), "[3]", "[x]")

ButtonMatrix += If((bFourthButton = True), "[4]", "[x]")

ButtonMatrix += If((bFifthButton = True), "[5]", "[x]")

CelString += String.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bNew, bInRange, bInContact, bPrimary, _

ButtonMatrix, lX, lY)

Cel().WriteCelString(CelString)

End Sub


PointerEnter

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> PointerEnter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sent to a window when a new pointer enters detection range over the window (hover) or when an existing pointer moves within the boundaries of the window.

The PointerEnter notification can be used by a window to provide feedback to the user while the pointer is over its surface or to otherwise react to the presence of a pointer over its surface.

Datatype

PointerEnter (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, VARIANT_BOOL bNew, VARIANT_BOOL bInRange, VARIANT_BOOL bInContact) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

bool bNew

bool bInRange

bool bInContact

VB.NET

obDynPicture As IDynPicture

obElement As IElement

vPointerId As Object

bNew As Boolean

bInRange As Boolean

bInContact As Boolean

Examples

C#

void DynPics_PointerEnter(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, bool bNew, bool bInRange, bool bInContact)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

if (obElement != null)

{

CelString += string.Format("on element {0}, ", obElement.Name);

}

CelString += string.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}", Convert.ToString(vPointerId), bNew, bInRange, bInContact);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerEnter(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, bNew As Boolean, bInRange As Boolean, bInContact As Boolean)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

If obElement IsNot Nothing Then

CelString += String.Format("on element {0}, ", obElement.Name)

End If

CelString += String.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}", Convert.ToString(vPointerId), bNew, bInRange, bInContact)

Cel().WriteCelString(CelString)

End Sub


PointerLeave

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> PointerLeave

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sent to a window when a pointer leaves detection range over the window (hover) or when a pointer moves outside the boundaries of the window.

The PointerLeave notification can be used by a window to change mode or stop any feedback to the user while the pointer is over the window surface.

Datatype

PointerLeave (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, VARIANT_BOOL bInRange, VARIANT_BOOL bInContact) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

bool bInRange

bool bInContact

VB.NET

Dim obDynPicture As IDynPicture

Dim obElement As IElement

Dim vPointerId As Object

Dim bInRange As Boolean

Dim bInContact As Boolean

Examples

C#

void DynPics_PointerLeave(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, bool bInRange, bool bInContact)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, is-in-range: {1}, is-in-contact: {2}", Convert.ToString(vPointerId), bInRange, bInContact);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerLeave(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, bInRange As Boolean, bInContact As Boolean)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, is-in-range: {1}, is-in-contact: {2}", Convert.ToString(vPointerId), bInRange, bInContact)

Cel().WriteCelString(CelString)

End Sub


PointerUp

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> PointerUp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted when a pointer that made contact over the client area of a window breaks contact. This input message targets the window over which the pointer makes contact and the pointer is, at that point, implicitly captured to the window so that the window continues to receive input messages including the PointerUp notification for the pointer until it breaks contact.

Important:

When a window loses capture of a pointer and it receives the PointerCaptureChanged notification, it typically will not receive any further notifications. For this reason, it is important that you not make any assumptions based on evenly paired PointerDown/PointerUp or PointerEnter/PointerLeave notifications.

Datatype

PointerUp (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, VARIANT_BOOL bIsCanceled, VARIANT_BOOL bInRange, VARIANT_BOOL bInContact, VARIANT_BOOL bPrimary, VARIANT_BOOL bFirstButton, VARIANT_BOOL bSecondButton, VARIANT_BOOL bThirdButton, VARIANT_BOOL bFourthButton, VARIANT_BOOL bFifthButton, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPictureI

Element obElement

object vPointerId

bool bIsCanceled

bool bInRange

bool bInContact

bool bPrimary

bool bFirstButton

bool bSecondButton

bool bThirdButton

bool bFourthButton

bool bFifthButton

int lX

int lY

VB.NET

Dim obDynPictureI As IDynPicture

Dim obElement As Element

Dim vPointerId As Object

Dim bIsCanceled As Boolean

Dim bInRange As Boolean

Dim bInContact As Boolean

Dim bPrimary As Boolean

Dim bFirstButton As Boolean

Dim bSecondButton As Boolean

Dim bThirdButton As Boolean

Dim bFourthButton As Boolean

Dim bFifthButton As Boolean

Dim lX As Integer

Dim lY As Integer

Examples

C#

void DynPics_PointerUp(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, bool bIsCanceled, bool bInRange, bool bInContact, bool bPrimary, bool bFirstButton, bool bSecondButton, bool bThirdButton, bool bFourthButton, bool bFifthButton, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

string ButtonMatrix = "";

ButtonMatrix += (bFirstButton == true) ? "[1]" : "[x]";

ButtonMatrix += (bSecondButton == true) ? "[2]" : "[x]";

ButtonMatrix += (bThirdButton == true) ? "[3]" : "[x]";

ButtonMatrix += (bFourthButton == true) ? "[4]" : "[x]";

ButtonMatrix += (bFifthButton == true) ? "[5]" : "[x]";

CelString += string.Format("pointer-id: {0}, is-canceled: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bIsCanceled, bInRange, bInContact, bPrimary, ButtonMatrix, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerUp(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, bIsCanceled As Boolean, bInRange As Boolean, bInContact As Boolean, _

bPrimary As Boolean, bFirstButton As Boolean, bSecondButton As Boolean, bThirdButton As Boolean, bFourthButton As Boolean, bFifthButton As Boolean, _

lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Dim ButtonMatrix As String = ""

ButtonMatrix += If((bFirstButton = True), "[1]", "[x]")

ButtonMatrix += If((bSecondButton = True), "[2]", "[x]")

ButtonMatrix += If((bThirdButton = True), "[3]", "[x]")

ButtonMatrix += If((bFourthButton = True), "[4]", "[x]")

ButtonMatrix += If((bFifthButton = True), "[5]", "[x]")

CelString += String.Format("pointer-id: {0}, is-canceled: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bIsCanceled, bInRange, bInContact, bPrimary, _

ButtonMatrix, lX, lY)

Cel().WriteCelString(CelString)

End Sub


PointerUpdate

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> PointerUpdate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted to provide an update on a pointer that made contact over the non-client area of a window or when a hovering uncaptured contact moves over the non-client area of a window. While the pointer is hovering, the message targets whichever window the pointer happens to be over. While the pointer is in contact with the surface, the pointer is implicitly captured to the window over which the pointer made contact and that window continues to receive input for the pointer until it breaks contact.

If a window has captured this pointer, this message is not posted. Instead, a PointerUpdate is posted to the window that has captured this pointer.

Each pointer has a unique pointer identifier during its lifetime. The lifetime of a pointer begins when it is first detected.

A PointerEnter message is generated if a hovering pointer is detected. A PointerDown message followed by a PointerEnter message is generated if a non-hovering pointer is detected.

During its lifetime, a pointer may generate a series of PointerUpdate messages while it is hovering or in contact.

The lifetime of a pointer ends when it is no longer detected. This generates a PointerLeave message.

When a pointer is aborted, POINTER_FLAG_CANCELED is set.

A PointerLeave message may also be generated when a non-captured pointer moves outside the bounds of a window.

Datatype

PointerUpdate (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, VARIANT_BOOL bNew, VARIANT_BOOL bInRange, VARIANT_BOOL bInContact, VARIANT_BOOL bPrimary, VARIANT_BOOL bFirstButton, VARIANT_BOOL bSecondButton, VARIANT_BOOL bThirdButton, VARIANT_BOOL bFourthButton, VARIANT_BOOL bFifthButton, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

bool bNew

bool bInRange

bool bInContact

bool bPrimary

bool bFirstButton

bool bSecondButton

bool bThirdButton

bool bFourthButton

bool bFifthButton

int lX

int lY

VB.NET

Dim obDynPicture As IDynPicture

Dim obElement As IElement

Dim vPointerId As Object

Dim bNew As Boolean

Dim bInRange As Boolean

Dim bInContact As Boolean

Dim bPrimary As Boolean

Dim bFirstButton As Boolean

Dim bSecondButton As Boolean

Dim bThirdButton As Boolean

Dim bFourthButton As Boolean

Dim bFifthButton As Boolean

Dim lX As Integer

Dim lY As Integer

Examples

C#

void DynPics_PointerUpdate(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, bool bNew, bool bInRange, bool bInContact, bool bPrimary, bool bFirstButton, bool bSecondButton, bool bThirdButton, bool bFourthButton, bool bFifthButton, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

string ButtonMatrix = "";

ButtonMatrix += (bFirstButton == true) ? "[1]" : "[x]";

ButtonMatrix += (bSecondButton == true) ? "[2]" : "[x]";

ButtonMatrix += (bThirdButton == true) ? "[3]" : "[x]";

ButtonMatrix += (bFourthButton == true) ? "[4]" : "[x]";

ButtonMatrix += (bFifthButton == true) ? "[5]" : "[x]";

CelString += string.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bNew, bInRange, bInContact, bPrimary, ButtonMatrix, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerUpdate(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, bNew As Boolean, bInRange As Boolean, bInContact As Boolean, _

bPrimary As Boolean, bFirstButton As Boolean, bSecondButton As Boolean, bThirdButton As Boolean, bFourthButton As Boolean, bFifthButton As Boolean, _

lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Dim ButtonMatrix As String = ""

ButtonMatrix += If((bFirstButton = True), "[1]", "[x]")

ButtonMatrix += If((bSecondButton = True), "[2]", "[x]")

ButtonMatrix += If((bThirdButton = True), "[3]", "[x]")

ButtonMatrix += If((bFourthButton = True), "[4]", "[x]")

ButtonMatrix += If((bFifthButton = True), "[5]", "[x]")

CelString += String.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bNew, bInRange, bInContact, bPrimary, _

ButtonMatrix, lX, lY)

Cel().WriteCelString(CelString)

End Sub


PointerWheel

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> PointerWheel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted to the window with foreground keyboard focus when a horizontal scroll wheel is rotated.

To retrieve the wheel scroll units, use the inputData filed of the POINTER_INFO structure returned by calling GetPointerInfo function. This field contains a signed value and is expressed in a multiple of WHEEL_DELTA. A positive value indicates a rotation forward and a negative value indicates a rotation backward.

Note that the wheel inputs may be delivered even if the mouse cursor is located outside of application’s window. The wheel messages are delivered in a way very similar to the keyboard inputs. The focus window of the foregournd message queue receives the wheel messages.

POINTER_INFO structure:

//Helper array that stores the definition of the POINTER_INFO so we can have a look at it more nicely in the CEL

string[] Pointer_Info_Definition = {

"PointerType",

"PointerID",

"FrameID",

"PointerFlags",

"SourceDevice",

"hwndTarget",

"PixelLocation",

"HimetricLocation",

"PixelLocationRaw",

"HimetricLocationRaw",

"Time",

"historyCount",

"inputData",

"KeyStates",

"PerformanceCount",

"ButtonChangeType"

};

Datatype

PointerWheel (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, long lWheelDelta, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

int lWheelDelta

int lX

int lY

VB.NET

Dim obDynPicture As IDynPicture

Dim obElement As IElement

Dim vPointerId As Object

Dim lWheelDelta As Integer

Dim lX As Integer

Dim lY As Integer

Examples

C#

void DynPics_PointerWheel(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, int lWheelDelta, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, wheel-delta: {1}, [X,Y]; {2}, {3}", Convert.ToString(vPointerId), lWheelDelta, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerWheel(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, lWheelDelta As Integer, lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, wheel-delta: {1}, [X,Y]; {2}, {3}", Convert.ToString(vPointerId), lWheelDelta, lX, lY)

Cel().WriteCelString(CelString)

End Sub


PointerHWheel

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> PointerHWheel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted to the window with foreground keyboard focus when a horizontal scroll wheel is rotated.

To retrieve the wheel scroll units, use the inputData filed of the POINTER_INFO structure returned by calling GetPointerInfo function. This field contains a signed value and is expressed in a multiple of WHEEL_DELTA. A positive value indicates a rotation forward and a negative value indicates a rotation backward.

Note that the wheel inputs may be delivered even if the mouse cursor is located outside of application’s window. The wheel messages are delivered in a way very similar to the keyboard inputs. The focus window of the foregournd message queue receives the wheel messages.

POINTER_INFO structure:

//Helper array that stores the definition of the POINTER_INFO so we can have a look at it more nicely in the CEL

string[] Pointer_Info_Definition = {

"PointerType",

"PointerID",

"FrameID",

"PointerFlags",

"SourceDevice",

"hwndTarget",

"PixelLocation",

"HimetricLocation",

"PixelLocationRaw",

"HimetricLocationRaw",

"Time",

"historyCount",

"inputData",

"KeyStates",

"PerformanceCount",

"ButtonChangeType"

};

Datatype

PointerHWheel (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, long lWheelDelta, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

int lWheelDelta

int lX

int lY

VB.NET

obDynPicture As IDynPicture

obElement As IElement

vPointerId As Object

lWheelDelta As Integer

lX As Integer

lY As Integer

Examples

C#

void DynPics_PointerHWheel(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, int lWheelDelta, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, wheel-delta: {1}, [X,Y]; {2}, {3}", Convert.ToString(vPointerId), lWheelDelta, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerHWheel(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, lWheelDelta As Integer, lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, wheel-delta: {1}, [X,Y]; {2}, {3}", Convert.ToString(vPointerId), lWheelDelta, lX, lY)

Cel().WriteCelString(CelString)

End Sub


NCPointerDown

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> NCPointerDown

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted when a pointer makes contact over the non-client area of a window. The message targets the window over which the pointer makes contact. The pointer is implicitly captured to the window so that the window continues to receive input for the pointer until it breaks contact.

If a window has captured this pointer, this message is not posted. Instead, a NCPointerDown is posted to the window that has captured this pointer.

If the application does not process this message, DefWindowProc may perform one or more system actions depending on the hit-test result included in the message. Typically, applications should not need to handle this message.

Datatype

NCPointerDown(IDynPicture*obDynPicture, VARIANT vPointerId, long lHitTestResult, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

int lPointerId

int lHitTestResult

int lX

int lY

VB.NET

obDynPicture As IDynPicture

lPointerId As Integer

lHitTestResult As Integer

lX As Integer

lY As Integer

Examples

C#

void DynPics_NCPointerDown(zenOn.IDynPicture obDynPicture, int lPointerId, int lHitTestResult, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, hit-test-result: {1}, [X,Y]: {2}, {3}", lPointerId, lHitTestResult, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_NCPointerDown(obDynPicture As zenOn.IDynPicture, lPointerId As Integer, lHitTestResult As Integer, lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, hit-test-result: {1}, [X,Y]: {2}, {3}", lPointerId, lHitTestResult, lX, lY)

Cel().WriteCelString(CelString)

End Sub


NCPointerUp

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> NCPointerUp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted when a pointer that made contact over the non-client area of a window breaks contact. The message targets the window over which the pointer makes contact and the pointer is, at that point, implicitly captured to the window so that the window continues to receive input for the pointer until it breaks contact, including the NCPointerUp notification.

If a window has captured this pointer, this message is not posted. Instead, a NCPointerUp is posted to the window that has captured this pointer.

Datatype

NCPointerUp(IDynPicture*obDynPicture, VARIANT vPointerId, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

int lPointerId

int lX

int lY

VB.NET

obDynPicture As IDynPicture

lPointerId As Integer

lX As Integer

lY As Integer

Examples

C#

void DynPics_NCPointerUp(zenOn.IDynPicture obDynPicture, int lPointerId, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, [X,Y]: {1}, {2}", lPointerId, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_NCPointerUp(obDynPicture As zenOn.IDynPicture, lPointerId As Integer, lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, [X,Y]: {1}, {2}", lPointerId, lX, lY)

Cel().WriteCelString(CelString)

End Sub


NCPointerUpdate

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> NCPointerUpdate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Posted to provide an update on a pointer that made contact over the non-client area of a window or when a hovering uncaptured contact moves over the non-client area of a window. While the pointer is hovering, the message targets whichever window the pointer happens to be over. While the pointer is in contact with the surface, the pointer is implicitly captured to the window over which the pointer made contact and that window continues to receive input for the pointer until it breaks contact.

If a window has captured this pointer, this message is not posted. Instead, a NCPointerUpdateis posted to the window that has captured this pointer.

Datatype

NCPointerUpdate(IDynPicture*obDynPicture, VARIANT vPointerId, long lHitTestResult, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

int lPointerId

int lHitTestResult

int lX

int lY

VB.NET

obDynPicture As IDynPicture

lPointerId As Integer

lHitTestResult As Integer

lX As Integer

lY As Integer

Examples

C#

void DynPics_NCPointerUpdate(zenOn.IDynPicture obDynPicture, int lPointerId, int lHitTestResult, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, hit-test-result: {1}, [X,Y]: {2}, {3}", lPointerId, lHitTestResult, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_NCPointerUpdate(obDynPicture As zenOn.IDynPicture, lPointerId As Integer, lHitTestResult As Integer, lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, hit-test-result: {1}, [X,Y]: {2}, {3}", lPointerId, lHitTestResult, lX, lY)

Cel().WriteCelString(CelString)

End Sub


PointerActivate

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> PointerActivate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sent to an inactive window when a primary pointer generates a PointerDown over the window. As long as the message remains unhandled, it travels up the parent window chain until it is reaches the top-level window. Applications can respond to this message to specify whether they wish to be activated.

Datatype

PointerActivate(IDynPicture*obDynPicture, OLE_HANDLE hWnd, long lHitTestResult, VARIANT vPointerId) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

int hWnd

int lHitTestResult

object vPointerId

VB.NET

obDynPicture As IDynPicture

hWnd As Integer

lHitTestResult As Integer

vPointerId As Object

Examples

C#

void DynPics_PointerActivate(zenOn.IDynPicture obDynPicture, int hWnd, int lHitTestResult, object vPointerId)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, hit-test-result: {1}, hWnd = {2}", Convert.ToString(vPointerId), lHitTestResult, hWnd.ToString());

Cel().WriteCelString(CelString);

GetPointerInfo(obDynPicture, vPointerId);

}

VB.NET

Private Sub DynPics_PointerActivate(obDynPicture As zenOn.IDynPicture, hWnd As Integer, lHitTestResult As Integer, vPointerId As Object)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, hit-test-result: {1}, hWnd = {2}", Convert.ToString(vPointerId), lHitTestResult, hWnd.ToString())

Cel().WriteCelString(CelString)

GetPointerInfo(obDynPicture, vPointerId)

End Sub


PointerCaptureChanged

Manuale -> Scripting -> Objectmodel -> DynPictures -> DynPictures-Events -> PointerCaptureChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Sent to a window that is losing capture of an input pointer. A window should use this notification to stop processing subsequent messages and initiate any cleanup required for the pointer being lost. Processing of gestures associated with the pointer should also be terminated and remaining contacts re-associated with the window.

Datatype

PointerCaptureChanged(IDynPicture*obDynPicture, VARIANT vPointerId, OLE_HANDLE hWnd) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

object vPointerId

int hWnd

VB.NET

obDynPicture As IDynPicture

vPointerId As Object

hWnd As Integer

Examples

C#

void DynPics_PointerCaptureChanged(zenOn.IDynPicture obDynPicture, object vPointerId, int hWnd)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}", Convert.ToString(vPointerId));

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerCaptureChanged(obDynPicture As zenOn.IDynPicture, vPointerId As Object, hWnd As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}", Convert.ToString(vPointerId))

Cel().WriteCelString(CelString)

End Sub


EdLimit

Manuale -> Scripting -> Objectmodel -> EdLimit

Remarks

The object EDLimit is only availaible within the zenOn Editor and is not usable during Runtime. It represents the limits from the variables as well as from the datatypes.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub test_EDLimit()
Dim zEDLimit As EdLimit
Dim zVAR As Variable
Dim vDynProps As Variant
Dim strDynProp As String

'FROM DataType
'Set zEDLimit = Myworkspace.ActiveDocument.VarTypes.Item("UINT").EdLimitItem(0)

'FROM Variable
Set zVAR = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_10")
Set zEDLimit = zVAR.EdLimitItem(0)

'READ SETTINGS of EDLimit for Variable and Datatype
Debug.Print "Active : " & zEDLimit.Active
Debug.Print "Alarm : " & zEDLimit.Alarm
Debug.Print "AlarmAck : " & zEDLimit.AlarmAck
Debug.Print "AlarmDelete : " & zEDLimit.AlarmDelete
Debug.Print "Blinking : " & zEDLimit.Blinking
Debug.Print "Cel : " & zEDLimit.Cel
Debug.Print "Class : " & zEDLimit.Class
Debug.Print "Color : " & zEDLimit.color
Debug.Print "Delay : " & zEDLimit.Delay
Debug.Print "Group : " & zEDLimit.Group
Debug.Print "HelpCapture : " & zEDLimit.HelpCapture
Debug.Print "HelpFile : " & zEDLimit.HelpFile
Debug.Print "Invisible : " & zEDLimit.Invisible
Debug.Print "IsMax : " & zEDLimit.IsMax
Debug.Print "IsSimple : " & zEDLimit.IsSimple
Debug.Print "IsVariable : " & zEDLimit.IsVariable
Debug.Print "LimitValue : " & zEDLimit.LimitValue
Debug.Print "ParentID : " & zEDLimit.ParentID
Debug.Print "Print : " & zEDLimit.Print
Debug.Print "Text : " & zEDLimit.Text
Debug.Print "ThresholdValue: " & zEDLimit.ThresholdValue

'READ DYNPROPERTIES of EDLimit for Variable and Datatype
vDynProps = zEDLimit.DynPropertiesEnum("")
For Each strItem In vDynProps
strDynProp = Mid(strItem, 1, InStr(1, strItem, ",") - 1)
Debug.Print "--------------------"
Debug.Print strItem
Debug.Print zEDLimit.DynProperties(strDynProp)
Next

End Sub

Noch in diesem Kapitel

EdLimit-Properties

EdLimit-Methods


EdLimit-Properties

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active | Limit in/-active | available | not used | yes | yes
VARIANT_BOOL | Alarm |  | available | not used | yes | yes
VARIANT_BOOL | AlarmAck |  | available | not used | yes | yes
VARIANT_BOOL | AlarmComment |  | available | not used | yes | yes
VARIANT_BOOL | AlarmDelete |  | available | not used | yes | yes
VARIANT_BOOL | Blinking |  | available | not used | yes | yes
VARIANT_BOOL | Cel |  | available | not used | yes | yes
short | Class |  | available | not used | yes | yes
long | Color |  | available | not used | yes | yes
long | Delay |  | available | not used | yes | yes
short | Group |  | available | not used | yes | yes
BSTR | HelpCapture |  | available | not used | yes | yes
BSTR | HelpFile |  | available | not used | yes | yes
VARIANT_BOOL | Invisible |  | available | not used | yes | yes
VARIANT_BOOL | IsMax |  | available | not used | yes | yes
VARIANT_BOOL | IsSimple |  | available | not used | yes | yes
VARIANT_BOOL | IsVariable |  | available | not used | yes | yes
double | LimitValue |  | available | not used | yes | yes
IDispatch | Parent | Parent-object | read only | read only | yes | yes
long | ParentID | ID of the variable | available | not used | yes | yes
VARIANT_BOOL | Print |  | available | not used | yes | yes
BSTR | Text |  | available | not used | yes | yes
double | ThresholdValue |  | available | not used | yes | yes
IVariable | Variable |  | available | not used | yes | yes

Noch in diesem Kapitel

Parent

Active

ParentID

IsSimple

IsMax

IsVariable

LimitValue

Variable

ThresholdValue

Text

Color

Invisible

Blinking

Alarm

HelpFile

HelpCapture

AlarmAck

AlarmDelete

Cel

Print

Group

Class

Delay

AlarmComment


Parent

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Dispatch

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Active

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Limit in/-active

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ParentID

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> ParentID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ID of the variable or datatype

Datatype

ParentID() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IsSimple

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> IsSimple

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns -1 when the datatype is a simple datatype and 0 when it is a complex datatype.

Datatype

IsSimple() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IsMax

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> IsMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

MIN or MAXLimit will be reached on underrun the limit or on overflow the setting...

Datatype

IsMax() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IsVariable

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> IsVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The limit value is not defined through a fixed technical assignment of value, but through the technical value of another variable.A 'Variable' has to be linked also with this limit.

Datatype

IsVariable() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


LimitValue

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> LimitValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Value when the Limit is reached.

Datatype

LimitValue() As double

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Variable

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> Variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Variable as object, which should be used as dynamic limit value.Only available, if the dynamic limit is active!

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ThresholdValue

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> ThresholdValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A threshold value can be defined, that is used for the releasing of the limit violation. So undesired reactions on quick series of alarms for analog values can be avoided.

Example 1: Maximum value = 900, threshold = 10 makes 890Limit is violated above 900 and violation is released under 890.

Example 2: Minimum value = 900, threshold = 10 makes 910Limit is violated below 900 and violation is released over 910.

In differnce to the hysteresis this property does not influence the display of the value but only the alarm behaviour.

Datatype

ThresholdValue() As double

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Text

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> Text

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Text of the limit as it is displayed in lists, in the status line, and in dynamic elements on a limit violation.

Datatype

Text() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Color

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> Color

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Color of this Limit

Datatype

Color() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Invisible

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> Invisible

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Invisible Flag can be used with the 'Status' element for example...

Datatype

Invisible() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Blinking

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> Blinking

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Blinking will be enabled if this flag is set to true...

Datatype

Blinking() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Alarm

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> Alarm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Should the Limit raise an Alarm?

Datatype

Alarm() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


HelpFile

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> HelpFile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Represents the HelpFile if you use the embedded help features of zenOn

Datatype

HelpFile() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


HelpCapture

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> HelpCapture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Represents the HelpCapture if you use the embedded help features of zenOn

Datatype

HelpCapture() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


AlarmAck

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> AlarmAck

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Alarm has to be acknowledged by the user whe n this flag is set to true.

Datatype

AlarmAck() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


AlarmDelete

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> AlarmDelete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Alarm has to be deleted by the user whe n this flag is set to true.

Datatype

AlarmDelete() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Cel

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> Cel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Write into CEL...

Datatype

Cel() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Print

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> Print

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Alarm or limit violation (with set option "in CEL") is printed online.

Datatype

Print() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Group

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> Group

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Group number of this Limit

Datatype

Group() As short

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Class

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> Class

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Class of this Limit

Datatype

Class() As short

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Delay

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> Delay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Delay of this Limit in seconds

Datatype

Delay() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


AlarmComment

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Properties -> AlarmComment

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AlarmComment() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


EdLimit-Methods

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> EdLimit -> EdLimit-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Element

Manuale -> Scripting -> Objectmodel -> Element

Remarks

This object contains the most important information on a defined dynamic element, e.g. type, position, colour, ...

Dynamic elements are created in the Editor of the contol system. With a DynPicture you get the list of the defined elements. In the project the central list of the defined Screens is available.
Most of the dynamic elements can be linked to variables or functions. Additionally these elements can be linked to different VBA macros. The VBA macros are managed in the Macro Browser of the Editor and liked to the properties of the elements.

Hint:
The VBA macros are only available within the control system. External applications have no access to the defined macros.

The following VBA macros are available:

  • Init: available
  • LeftClickUp: available
  • LeftClickDown: Executed on releasing the left mouse button
  • LeftDClick: Executed on doubleclicking the left mouse button
  • RightClickUp: Executed on clicking the right mouse button
  • RightClickDown: Executed on releasing the right mouse button
  • RightDClick: Executed on doubleclicking the right mouse button
  • SetFocus: Executed on activating the element
  • KillFocus: Executed on leaving the element
  • Draw: Executed on drawing the element

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'Sample how to get all elements within an symbol...
Sub GetItAll()
'Define objects...
Dim zPIC As DynPicture
Dim zELE As Element
'allocate the Screen
Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("ScreenName")
'check if Screen object is valid...
If zPIC Is Nothing Then Exit Sub
'allocate the element
Set zELE = zPIC.Elements.Item("SymbolName")
'check if element object is valid...
If zELE Is Nothing Then Exit Sub
'get all elements within the symbol an its sub symbols...
Call GetElements(zELE)
End Sub

'Procedure with recursive calls to get all subsymbols...
Sub GetElements(zElem As Element)
Dim i As Integer
For i = 0 To zElem.Elements.Count - 1
'check if element is of type symbol
If zElem.Elements.Item(i).Type = tpSymbol Then
'recursiv call
Call GetElements(zElem.Elements.Item(i))
Else
'print the name of each element...
Debug.Print i & ": " & zElem.Elements.Item(i).Name
End If
Next i
End Sub

Noch in diesem Kapitel

Element-Properties

Element-Methods

Element-Dynamic properties


Element-Properties

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
OLE_COLOR | BackColor | Background-Color |  | available | available | yes | yes
IVariable | BackColorVariable |  |  | available | not used | yes | yes
long | Bottom | Height of the element |  | available | read only | yes | yes
long | CountVariable | Count of linked variables |  | read only | read only | yes | yes
ISymbolElements | Elements | Returns the list of linked symbols |  | available | not used | yes | yes
VARIANT_BOOL | Enable | De/-Activates the element (only runtime) |  | read only | available | yes | yes
VARIANT_BOOL | Focus | Sets the focus to the element |  | read only | read only | yes | yes
OLE_COLOR | ForeColor | Text-Color |  | available | read only | yes | yes
long | Height | Height of the element |  | available | read only | yes | yes
BSTR | HelpCapture | Help-Index in the helpfile for context-sensitive help |  | available | read only | yes | yes
BSTR | HelpFile | Name of the linked helpfile |  | available | read only | yes | yes
VARIANT_BOOL | Hide | Show/Hide the element (only runtime) |  | not used | available | yes | yes
BYTE | HorizontalOrigin |  |  | available | read only | yes | yes
BSTR | HotKey | Hotkey for the element |  | available | read only | yes | yes
OLE_HANDLE | hWnd | Handle for picture |  | not used | read only | yes | yes
long | ID | ID of the element (unique) |  | read only | read only | yes | yes
long | Left | Left-coordinate of the element |  | available | read only | yes | yes
IVariable | LineColorVariable |  |  | available | not used | yes | yes
BSTR | MenuName | Name of the linked zenOn-Menu |  | available | read only | yes | yes
BSTR | Name | Name of the element (optional) |  | available | read only | yes | yes
IElements | Parent | Parent-Object of the element |  | read only | read only | yes | yes
short | PasswordLevel | Password-Level for user-action |  | available | read only | yes | yes
long | Right | Width of the element |  | available | read only | yes | yes
BSTR | StationName |  |  | available | read only | yes | yes
VARIANT_BOOL | SymbolInLibrary | Insert the given symbol into the symbol-library |  | read only | not used | yes | yes
long | SymbolNo |  |  | read only | read only | yes | yes
BSTR | ToolTip | Info-Text for the element (is shown by mouseover in the runtime) |  | available | not used | yes | yes
long | Top | Top-coordinate of the element |  | available | read only | yes | yes
IVariable | TwistVariable |  |  | available | not used | yes | yes
double | TwistVarMax |  |  | available | read only | yes | yes
double | TwistVarMin |  |  | available | read only | yes | yes
long | TwistViewMax |  |  | available | read only | yes | yes
long | TwistViewMin |  |  | available | read only | yes | yes
long | Type | Type of the element () |  | read only | read only | yes | yes
BYTE | VerticalOrigin |  |  | available | read only | yes | yes
double | VisibilityFrom |  |  | available | read only | yes | yes
VARIANT_BOOL | VisibilityFromLimit |  |  | available | read only | yes | yes
double | VisibilityTo |  |  | available | read only | yes | yes
IVariable | VisibilityVariable |  |  | available | not used | yes | yes
long | Width | Width of the element |  | available | read only | yes | yes
IVariable | XVariable |  |  | available | not used | yes | yes
double | XVarMax |  |  | available | read only | yes | yes
double | XVarMin |  |  | available | read only | yes | yes
long | XViewMax |  |  | available | read only | yes | yes
long | XViewMin |  |  | available | read only | yes | yes
IVariable | XZoomVariable |  |  | available | not used | yes | yes
double | XZoomVarMax |  |  | available | read only | yes | yes
double | XZoomVarMin |  |  | available | read only | yes | yes
long | XZoomViewMax |  |  | available | read only | yes | yes
long | XZoomViewMin |  |  | available | read only | yes | yes
IVariable | YVariable |  |  | available | not used | yes | yes
double | YVarMax |  |  | available | read only | yes | yes
double | YVarMin |  |  | available | read only | yes | yes
long | YViewMax |  |  | available | read only | yes | yes
long | YViewMin |  |  | available | read only | yes | yes
IVariable | YZoomVariable |  |  | available | not used | yes | yes
double | YZoomVarMax |  |  | available | read only | yes | yes
double | YZoomVarMin |  |  | available | read only | yes | yes
long | YZoomViewMax |  |  | available | read only | yes | yes
long | YZoomViewMin |  |  | available | read only | yes | yes
short | ZoomMax |  |  | available | read only | yes | yes
short | ZoomMin |  |  | available | read only | yes | yes
tpLockResult | InterlockingStatus | Returns whether the Element is currently interlocked. |  | not used | read only | yes | yes
IRtFunction | Function | Returns the linked Function. |  | read only | read only | yes | yes
IInterlocking | Interlocking | Returns the linked Interlocking. |  | read only | read only | yes | yes
IVariable | SelectionFeedbackVariable | Returns the variable for the Selection Feedback | available |  | not used | yes |  | yes

Noch in diesem Kapitel

Parent

Name

Type

Enable

Hide

Left

Top

Right

Bottom

Width

Height

BackColor

ForeColor

Focus

CountVariable

PasswordLevel

hWnd

ID

HotKey

MenuName

HelpFile

HelpCapture

ToolTip

StationName

ZoomMin

ZoomMax

HorizontalOrigin

VerticalOrigin

VisibilityVariable

VisibilityFromLimit

VisibilityFrom

VisibilityTo

LineColorVariable

BackColorVariable

XVariable

XVarMin

XVarMax

XViewMin

XViewMax

YVariable

YVarMin

YVarMax

YViewMin

YViewMax

XZoomVariable

XZoomVarMin

XZoomVarMax

XZoomViewMin

XZoomViewMax

YZoomVariable

YZoomVarMin

YZoomVarMax

YZoomViewMin

YZoomViewMax

TwistVariable

TwistVarMin

TwistVarMax

TwistViewMin

TwistViewMax

SymbolNo

SymbolInLibrary

Elements

InterlockingStatus

Function

Interlocking

SelectionFeedbackVariable


Parent

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Elements

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the dynamic element. This property is optional, i.e. if the user did not define a name, an empty string is returned.Hint: With this unique name a dynamic element can be found in the list of the dynamic elements of the picture.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the type of the "Element" object.The following table gives an overview of the common element types:

Value | Hex | Name | Description
0 | &H0 | tpDynBargraph | Bar Graph
1 | read only | tpDynZahlenElem | Numerical value
2 | read only | tpDynText | Link Text
4 | yes | tpDynTrend | Trend Graph
5 | yes | tpDynZeiger | Indicating instrument
6 | &H6 | tpDynBewegt | Move element
7 | &H7 | tpDynBinaer | Binary element
8 | &H8 | tpDynBitmap | Bitmap button
9 | &H9 | tpDynVerkn | Invisible button
10 | &HA | tpDynButton | Text button
11 | &HB | tpDynSchalter | Switch
12 | &HC | tpDynMulitbin | Multi-binary element
13 | &HD | tpDynMeldung | Message
14 | &HE | tpDynUhr | Clock
15 | &HF | tpDynBefMdi | Command element
16 | &H10 | tpDynStatus | State element
17 | &H11 | tpDynBaButton | Picture alarm
18 | &H12 | tpDynControl | Control element
19 | &H13 | tpDynAegel |
20 | &H14 | tpDynActiveX | ActiveX element
21 | &H15 | tpDynTopLgt | Topological line
22 | &H16 | tpDynTopStrg | Topological branch
23 | &H17 | tpDynInstrument | Universal Slider
24 | &H18 | tpDynCombiList | ComboListBox
29 | &H1D | tpDynWPF | WPF Element
100 | &H64 | tpDot |
101 | &H65 | tpLine | Line
102 | &H66 | tpRectangle | Rectangle
103 | &H67 | tpCircle | Ellipse / Circle
104 | &H68 | tpPolyLine | Polyline
107 | &H6B | tpText | Text
108 | &H6C | tpArc | Arc of circle
109 | &H6D | tpSolid |
111 | &H6F | tpTraceDr |
114 | &H72 | tpKegel |
115 | &H73 | tpFillPara |
116 | &H74 | tpFillTria |
117 | &H75 | tpFillBlock |
121 | &H79 | tpPie | Pie
127 | &H7F | tpRoundRect | Rounded rectangle
128 | &H80 | tpPolygon | Polygon
129 | &H81 | tpSymbol | Embedded symbol
130 | &H82 | tpSymbolLnk | Linked symbol
131 | &H83 | tpSegme_Dxf | Graphical element of DXF
133 | &H85 | tpWMF | Graphical element of WMF
134 | &H86 | tpEMF | Graphical element of EMF
135 | &H87 | tpWinkel | 3D-angle
136 | &H88 |  | Tube

Datatype

Type() As long
VBA | yes | tpDynBargraph | Bar Graph
VSTA | yes | tpDynBargraph | Bar Graph

Availability

Environment | Available
Editor | read only
Runtime | read only


Enable

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> Enable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

De/activates the dynamic element. If deactivated, actions like setting a value are not executed.Usually this property returns True indicating, that the element is active. Setting it to False deactivates the element.Hint: VBA macros are also executed, if the element is deactivated. Standard actions, e.g. executing functions for a button are not executed when deactivated.The following example de/activates the dynamic element BITMAP_BTN_1, which is on the current picture, depending on the current status of the element.

Datatype

Enable() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** De/-activate element BITMAP_BTN_1
Public Sub LeftClickUp_Element_Enabled(obElem As Element)
Dim obElement As Element
Dim obPicture As DynPicture

'*** Get picture-Object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** Get element BITMAP_BTN_1
Set obElement = obPicture.Elements.Item("BITMAP_BTN_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

'*** De/-activate element
obElement.Enable = Not obElement.Enable
obElement.Update
End Sub


Hide

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> Hide

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property can influence the visibility of the dynamic element. Usually this property returns False, i.e. the element is displayed.If the property is set to True, the element is hidden. And the element stays invisible, until this property is set back to False.Reopening the picture resets the element.The following example influences the visibility of the dynamic element BITMAP_BTN_1, which exists in the current picture.

Datatype

Hide() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Change visibility of BITMAP_BTN_1
Public Sub LeftClickUp_Element_Hide(obElem As Element)
Dim obElement As Element
Dim obPicture As DynPicture

'*** Get picture-Object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** Get element BITMAP_BTN_1
Set obElement = obPicture.Elements.Item("BITMAP_BTN_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

'*** De/-activate element
obElement.Hide = Not obElement.Hide
obElement.Update
End Sub


Left

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> Left

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the left window border of the dynamic element in pixel. The value defines the distance from the left border of the screen.The following example moves a Bitmap-Button to the right by the width of the element. If the right border of the picture is reached, the element is moved to the left border.

Datatype

Left() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Move picture
Public Sub LeftClickUp_Element_Move_Horizontal(obElem As Element)
Dim obElement As Element
Dim obPicture As DynPicture
Dim nWidth As Long

'*** Get picture-Object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** Get element BITMAP_BTN_1
Set obElement = obPicture.Elements.Item("BITMAP_BTN_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

'*** moves element to top of the picture
nWidth = (obElement.Bottom - obElement.Top)

'*** moves element
If (obElement.Right <= obPicture.Width) Then
obElement.Move obElement.Right, obElement.Top,
(obElement.Right + nWidth), obElement.Bottom
Else
obElement.Move obPicture.Left, obElement.Top,
obPicture.Left + nWidth, obElement.Bottom
End If
End Sub


Top

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> Top

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the top window border of the dynamic element in pixel. The value defines the distance from the top border of the screen.The following example moves a Bitmap-Button down by the height of the element. If the bottom border of the picture is reached, the element is moved to the top border.

Datatype

Top() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Move element BITMAP_BTN_1
Public Sub LeftClickUp_Element_Move(obElem As Element)

Dim obElement As Element
Dim obPicture As DynPicture
Dim nHeight As Long
Dim nOldTop As Long

Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

Set obElement = obPicture.Elements.Item("BITMAP_BTN_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

nHeight = (obElement.Bottom - obElement.Top)
nOldTop = obElement.Top

'*** moves element
If (obElement.Bottom > obPicture.Height) Then
obElement.Move obElement.Left, 0, obElement.Right, (nHeight)
Else
obElement.Move obElement.Left, obElement.Bottom, obElement.Right,
(obElement.Bottom + nHeight)
End If

'*** update picture
obElement.Update
obPicture.Update obElement.Left, nOldTop, obElement.Right,
(obElement.Bottom + nHeight)
obElem.LeftClickUp
End Sub


Right

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> Right

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the right window border of the dynamic element in pixel. The value defines the distance from the left border of the screen.

Datatype

Right() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Bottom

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> Bottom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the bottom window border of the dynamic element in pixel. The value defines the distance from the top border of the screen.

Datatype

Bottom() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Width

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> Width

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Width of the element (in pixel).

Datatype

Width() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Height

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> Height

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Height of the element (in pixels).

Datatype

Height() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackColor

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> BackColor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BackColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


ForeColor

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> ForeColor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ForeColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Focus

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> Focus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property checks, if the current element has the focus. Only one element per picture can have the focus at the same time.An element gets the focus, when clicking on it with the mouse or switching to it with the Tab key.In the later case the Tab functionality for the Runtime has to be activated.

Datatype

Focus() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


CountVariable

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> CountVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of variables linked to the dynamic element.Hint: With the method "ItemVariable" the single variables of the dynamic element can be found out.The following VBA example reads all variables of a Trend element and displays them in the Debug window of VBA. Then the user is asked if VBA should be opened, to let him read the messages.

Datatype

CountVariable() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Get variables of trend TREND_1.

Public Sub LeftClickUp_Element_Variables(obElem As Element)
Dim obElement As Element
Dim obPicture As DynPicture
Dim obVariable As Variable
Dim obFunction As RtFunction
Dim nIndex As Long

'*** Get picture-Object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** Get element TREND_1
Set obElement = obPicture.Elements.Item("TREND_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

'*** Get variables of trend
Debug.Print "TREND_1: " + CStr(obElement.CountVariable) + " variabls
End Sub


PasswordLevel

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> PasswordLevel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the password level of the dynamic element. Usually this method returns 0 indicating, that no password level is set.If the value is > 0, only users with the defined password level are allowed to execute the action.

Datatype

PasswordLevel() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


hWnd

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> hWnd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the handle for the dynamic element. Each window in Windows is identified by a handle. This handle is used for most of the standard routines, e.g. for drawing.

Datatype

hWnd() As OLE_HANDLE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

ID of the element (unique)

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


HotKey

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> HotKey

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Hotkey for the element

Datatype

HotKey() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


MenuName

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> MenuName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the linked zenOn-Menu as string.

Datatype

MenuName() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


HelpFile

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> HelpFile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the linked helpfile

Datatype

HelpFile() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


HelpCapture

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> HelpCapture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Help-Index in the helpfile for context-sensitive help

Datatype

HelpCapture() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ToolTip

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> ToolTip

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Info-Text for the element (is shown by mouseover in the runtime)

Datatype

ToolTip() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


StationName

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> StationName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Element is entered into the object list of the world view with the text defined with this property as string.

Datatype

StationName() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ZoomMin

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> ZoomMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest zoom step in which the element should be visible in the worldview. Default: -1.Hint: Where visible from zoom step -1 to -1 means, that the element is visible in all zoom steps.

Datatype

ZoomMin() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ZoomMax

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> ZoomMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest zoom step in which the element should be visible in the worldview. Default: -1.Hint: Where visible from zoom step -1 to -1 means, that the element is visible in all zoom steps.

Datatype

ZoomMax() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


HorizontalOrigin

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> HorizontalOrigin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

HorizontalOrigin() As BYTE

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VerticalOrigin

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> VerticalOrigin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VerticalOrigin() As BYTE

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VisibilityVariable

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> VisibilityVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name (as string) of the variable, whose value should influence the visibility of the element.Hint: If no variable is linked, the element is always visible.

Datatype

VisibilityVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


VisibilityFromLimit

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> VisibilityFromLimit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

If set TRUE, the visibility of the element will be influenced by the limit definition of the variable.ATTENTION: At least for one limit of the variable the property "invisible" must be activated.Otherwise, the visibility is influenced by the properties "VisibilityFrom" and "VisibilityTo" of the element.Hint: Only available, after a variable has been assigned to the property "VisibilityVariable".

Datatype

VisibilityFromLimit() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VisibilityFrom

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> VisibilityFrom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest value of the variable, for which the element is visible.Hint: Only available, after a variable has been assigned to the property "VisibilityVariable" and the property "VisibilityFromLimit" is set to FALSE.

Datatype

VisibilityFrom() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VisibilityTo

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> VisibilityTo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest value of the variable, for which the element is visible.Hint: Only available, after a variable has been assigned to the property "VisibilityVariable" and the property "VisibilityFromLimit" is set to FALSE.

Datatype

VisibilityTo() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


LineColorVariable

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> LineColorVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name (as string) of the variable, whose limit colors should influence the line/text color of the element.

Datatype

LineColorVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


BackColorVariable

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> BackColorVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name (as string) of the variable, whose limit colors should influence the background/filling color of the element.

Datatype

BackColorVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


XVariable

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> XVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the variable for horizontal moving of the element as string.

Datatype

XVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


XVarMin

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> XVarMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest variable value for horizontal moving of the element.Hint: A variable has to be assigned to the property "XVariable", in order to use this property.

Datatype

XVarMin() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XVarMax

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> XVarMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest variable value for horizontal moving of the element.Hint: A variable has to be assigned to the property "XVariable", in order to use this property.

Datatype

XVarMax() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XViewMin

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> XViewMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Horizontal position of the element for variable minimum (in pixels).Hint: A variable has to be assigned to the property "XVariable", in order to use this property.

Datatype

XViewMin() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XViewMax

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> XViewMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Horizontal position of the element for variable maximum (in pixels).Hint: A variable has to be assigned to the property "XVariable", in order to use this property.

Datatype

XViewMax() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YVariable

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> YVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the variable for vertical moving of the element as string.

Datatype

YVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


YVarMin

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> YVarMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest variable value for vertical moving of the element.Hint: A variable has to be assigned to the property "YVariable", in order to use this property.

Datatype

YVarMin() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YVarMax

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> YVarMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest variable value for vertical moving of the element.Hint: A variable has to be assigned to the property "YVariable", in order to use this property.

Datatype

YVarMax() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YViewMin

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> YViewMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Vertical position of the element for variable minimum (in pixels).Hint: A variable has to be assigned to the property "YVariable", in order to use this property.

Datatype

YViewMin() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YViewMax

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> YViewMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Vertical position of the element for variable maximum (in pixels).Hint: A variable has to be assigned to the property "YVariable", in order to use this property.

Datatype

YViewMax() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XZoomVariable

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> XZoomVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the variable for zooming the width of the element as string.

Datatype

XZoomVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


XZoomVarMin

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> XZoomVarMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest variable value for zooming the width of the element.Hint: A variable has to be assigned to the property "XZoomVariable", in order to use this property.

Datatype

XZoomVarMin() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XZoomVarMax

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> XZoomVarMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest variable value for zooming the width of the element.Hint: A variable has to be assigned to the property "XZoomVariable", in order to use this property.

Datatype

XZoomVarMax() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XZoomViewMin

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> XZoomViewMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Zoom factor of the width of the element for variable minimum (in %).Hint: A variable has to be assigned to the property "XZoomVariable", in order to use this property.

Datatype

XZoomViewMin() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XZoomViewMax

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> XZoomViewMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Zoom factor of the width of the element for variable maximum (in %).Hint: A variable has to be assigned to the property "XZoomVariable", in order to use this property.

Datatype

XZoomViewMax() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YZoomVariable

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> YZoomVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the variable for zooming the height of the element as string.

Datatype

YZoomVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


YZoomVarMin

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> YZoomVarMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest variable value for zooming the height of the element.Hint: A variable has to be assigned to the property "YZoomVariable", in order to use this property.

Datatype

YZoomVarMin() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YZoomVarMax

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> YZoomVarMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest variable value for zooming the height of the element.Hint: A variable has to be assigned to the property "YZoomVariable", in order to use this property.

Datatype

YZoomVarMax() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YZoomViewMin

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> YZoomViewMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Zoom factor of the height of the element for variable minimum (in %).Hint: A variable has to be assigned to the property "YZoomVariable", in order to use this property.

Datatype

YZoomViewMin() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YZoomViewMax

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> YZoomViewMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Zoom factor of the height of the element for variable maximum (in %).Hint: A variable has to be assigned to the property "YZoomVariable", in order to use this property.

Datatype

YZoomViewMax() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


TwistVariable

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> TwistVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the variable for rotating the element as string.

Datatype

TwistVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


TwistVarMin

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> TwistVarMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lowest variable value for rotating the element.Hint: A variable has to be assigned to the property "TwistVariable", in order to use this property.

Datatype

TwistVarMin() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


TwistVarMax

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> TwistVarMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Highest variable value for rotating the element.Hint: A variable has to be assigned to the property "TwistVariable", in order to use this property.

Datatype

TwistVarMax() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


TwistViewMin

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> TwistViewMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Rotation angle of the element for variable minimum (in &#176;).Hint: A variable has to be assigned to the property "TwistVariable", in order to use this property.

Datatype

TwistViewMin() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


TwistViewMax

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> TwistViewMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Rotation angle of the element for variable maximum (in &#176;).Hint: A variable has to be assigned to the property "TwistVariable", in order to use this property.

Datatype

TwistViewMax() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


SymbolNo

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> SymbolNo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Number of symbol within the picture

Datatype

SymbolNo() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SymbolInLibrary

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> SymbolInLibrary

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Insert the given symbol into the symbol-library

Datatype

SymbolInLibrary() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Elements

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> Elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the collection ("SymbolElements" object) of the embedded "Element" objects.

Datatype

Elements() As SymbolElements

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


InterlockingStatus

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> InterlockingStatus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

InterlockingStatus() As tpLockResult

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Function

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> Function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The result is a dispatch-interface object. In case there is no linkage the result can be NULL

id=97(Ele_dispidFunction)

Datatype

Function() As IRtFunction

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Interlocking

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> Interlocking

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The result is a dispatch-interface object. In case there is no linkage the result can be NULL

id=98(Ele_dispidInterlocking)

Datatype

Interlocking() As IInterlocking

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SelectionFeedbackVariable

Manuale -> Scripting -> Objectmodel -> Element -> Element-Properties -> SelectionFeedbackVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SelectionFeedbackVariable() As IVariable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Element-Methods

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddVariable | Add a link to a zenOn-Variable |  | available | not used | yes | yes
IDispatch | AktiveX | Returns the linked Active-X control (Standard = Nothing) |  | not used | available | yes | yes
VARIANT_BOOL | CreateDynProperty | - |  | available | not used | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
IVariable | ItemVariable | Returns the linked variable on the given position (depent of the type) |  | available | available | yes | yes
void | LeftClickDown | - |  | not used | available | yes | yes
void | LeftClickUp | - |  | not used | available | yes | yes
void | LeftDClick | - |  | not used | available | yes | yes
void | Move | Moves the element to the given position |  | not used | available | yes | yes
VARIANT_BOOL | RemoveVariable | Remove the link to the zenOn-variable on the position |  | available | not used | yes | yes
void | RightClickDown | - |  | not used | available | yes | yes
void | RightClickUp | - |  | not used | available | yes | yes
void | RightDClick | - |  | not used | available | yes | yes
void | SaveAktiveX | Saves the current ActiveX-settings into to picture (requires additional Save for the picture) |  | available | not used | yes | yes
void | Update | Updates the element |  | available | available | yes | yes
void | WPFProperty [PUT] | Get/Set a property of a certain WPF-Element. |  | available | not used | yes | yes
VARIANT | WPFProperty [GET] | Get/Set a property of a certain WPF-Element. |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
void | Move | Moves the element to the given position |  | not used | available | yes | yes
void | Move | Moves the element to the given position |  | not used | available | yes | yes
void | Move | Moves the element to the given position |  | not used | available | yes | yes
void | SaveAktiveX | Saves the current ActiveX-settings into to picture (requires additional Save for the picture) |  | available | not used | yes | yes
VARIANT_BOOL | RemoveVariable | Remove the link to the zenOn-variable on the position |  | available | not used | yes | yes
void | RightClickUp |  |  | not used | available | yes | yes
void | RightClickDown |  |  | not used | available | yes | yes
void | RightDClick |  |  | not used | available | yes | yes
void | Move | Moves the element to the given position | not used |  | available | yes |  | yes
void | SaveAktiveX | Saves the current ActiveX-settings into to picture (requires additional Save for the picture) | available |  | not used | yes |  | yes
VARIANT_BOOL | RemoveVariable | Remove the link to the zenOn-variable on the position | available |  | not used | yes |  | yes
void | RightClickUp |  | not used |  | available | yes |  | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty

WPFProperty [GET]

WPFProperty [PUT]

Move

Update

AktiveX

SaveAktiveX

ItemVariable

AddVariable

RemoveVariable

LeftClickUp

LeftClickDown

RightClickUp

RightClickDown

RightDClick

LeftDClick


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


CreateDynProperty

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method is able to create SubItems of the actual object. The parameter has to be the name of the SubItem to be created.

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


WPFProperty [GET]

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods -> WPFProperty [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

WPFProperty(String bsElement,String bsProperty) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


WPFProperty [PUT]

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods -> WPFProperty [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

WPFProperty (String bsElement,String bsProperty,VARIANT vValue) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Move

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods -> Move

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Move(long Left, long Top, long Right, long Bottom) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Update

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods -> Update

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method updates a dynamic element. After changes with VBA always use this method to actualize the display.

Datatype

Update() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AktiveX

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods -> AktiveX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the object for the linked Active-X Control, if the dynamic element is an ActiveX element of the control system. If this is not the case, this method returns "Nothing".Hint: The returned object should be checked on "Nothing", as only the ActiveX element of the control system needs this method.

Datatype

AktiveX() As Dispatch

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SaveAktiveX

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods -> SaveAktiveX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SaveAktiveX() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ItemVariable

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods -> ItemVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Variable, which is identified by the parameter vID. Most of the dynamic elements can be linked to variables. The visualization of most elements depends on the linked variables.The parameter vID can have two values:<ul><li>Index: Access with an index mostly is used in combination with the property Count to find out the position of the variable object in the list.</li><li>Variable name: The variable can also be accessed with its unique name.</li></ul>

Datatype

ItemVariable(VARIANT vPv) As Variable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AddVariable

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods -> AddVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Assigns a variable to the object.

Datatype

AddVariable(LPDISPATCH lpVar) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoveVariable

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods -> RemoveVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RemoveVariable(long nPosition) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


LeftClickUp

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods -> LeftClickUp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method executes the action of the dynamic element for releasing the left mouse button. This action can be a set value action or the execution of a function depending of the type of dynamic element.Hint: This method should be used in combination with the VBA macro LeftClickUp.

Datatype

LeftClickUp() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


LeftClickDown

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods -> LeftClickDown

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method executes the action of the dynamic element for pressing the left mouse button. This action can be a set value action or the execution of a function depending of the type of dynamic element.Hint: This method should be used in combination with the VBA macro LeftClickDown.

Datatype

LeftClickDown() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RightClickUp

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods -> RightClickUp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RightClickUp() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


RightClickDown

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods -> RightClickDown

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RightClickDown() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


RightDClick

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods -> RightDClick

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RightDClick() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


LeftDClick

Manuale -> Scripting -> Objectmodel -> Element -> Element-Methods -> LeftDClick

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method executes the action of the dynamic element for doubleclicking the left mouse button. This action can be a set value action or the execution of a function depending of the type of dynamic element.Hint: This method should be used in combination with the VBA macro LeftDClick.

Datatype

LeftDClick() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Element-Dynamic properties

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Frame polygon

Frame vector

Batch recipe editor control

MDI element

CControlDynCalendarCtrl

Window

Combobox

Dynamic window list control

Dynamic window batch parameter list

Listbox

Listcontrol

Dynamic window no header list control

CCtrlDynWndFPPicCont

ActiveX

Angle

Arc of circle

Segment of circle

Picture alarm

Bargraph

Command

Move

Binary

Bitmap

Text button

Circle

Combo Listbox

Basisklasse dynamische Bildelemente

Link text

Universal slider

Line

Message

EMF WMF

Multibin

Base class picture elements

Tube

Polygon

Polyline

Picture elements

Rectangle

Switch

Combi

Symbol

Linked symbol

Template

Static text

Trend curve

Clock

Base class vector elements

Invisible button

WPF element

Numerical value

Indicating instrument

Topological wire

Topological line

Noch in diesem Kapitel

CDynEleVar

Frame polygon

Frame vector

Batch recipe editor control

MDI element

CControlDynCalendarCtrl

Window

Combobox

Dynamic window list control

Dynamic window batch parameter list

Listbox

Listcontrol

Dynamic window no header list control

CCtrlDynWndFPPicCont

CZenonGestureManipulation

ActiveX

Angle

Arc of circle

Segment of circle

Picture alarm

Bargraph

CDrawBefCommand

Command

Move

Binary

Bitmap

CDynEleFkt

Text button

Circle

CDynEleVarMulti

Combo Listbox

Basisklasse dynamische Bildelemente

Link text

Universal slider

Line

Message

EMF WMF

Multibin

Base class picture elements

Tube

Polygon

Polyline

Picture elements

Rectangle

Switch

CStatusElemZustand

Combi

CSymbLibProp

Symbol

Linked symbol

Template

Static text

CDynEleVarTrend

Trend curve

Clock

Base class vector elements

Invisible button

CWPFConnectionBase

WPF element

Numerical value

Indicating instrument

Topological wire

Topological line


CDynEleVar

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> CDynEleVar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | ProjectVar | ProjectVar | This property returns a variable. It is also possible to link a new variable via this property.
VT_BSTR | SymVarName | SymVarName | This property returns the name of a variable.
VT_BSTR | SymVarTagNr | SymVarTagNr | This property returns the identification of a variable.


Frame polygon

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Frame polygon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

Combine

Visualizzazione piatta

Stabilite quale effetto deve avere l´elemento creato sul modello.

Sono disponibili le seguenti impostazioni:

Copri: la superficie dell´elemento viene usata come settore immagine.

Taglia: la superficie dell´elemento viene cancellata dalle superfici che si trovano sotto.

Collegamento OR: a seconda se sotto l´elemento si trova una superficie coprente o no, viene tagliato o coperto.

Nota: l´uso delle superfici si riferisce sempre a quella che si trova sotto l´elemento.

Per gli elementi di nuova creazione viene usata sempre l´impostazione selezionata per ultima.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Coordinates

Coordinates

"With this property you can get/set the coordinates of the element via a string.
zElement.DynProperties(""Coordinates"") = ""197/118;260/200"""

VT_R4

SplineTension

Arrotondamento

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

Definisce l´arrotondamento per polilinee, poligoni e tubature.

Valori: 0,0 (nessun arrotondamento) fino a 1,0. (massimo arrotondamento)

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

VT_UI2

Offset_H

Distanza orizz. [Pixel]

Distanza in orizzontale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

VT_UI2

Offset_V

Distanza vert. [Pixel]

Distanza in verticale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Spostamento sorgente luminosa

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Con valori di luminosità

Disponibile solamente se è stato selezionato come Tipo di riempimento Via effetto di riempimento.

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: La luminosità dell´effetto di riempimento viene assegnata automaticamente.

Nota: Se questa proprietà è attiva, non si potrà più modificare il tipo di riempimento Non sarà nemmeno possibile utilizzare degli angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Ulteriori informazioni nella guida in linea.

VT_UI1

OuterBrightness

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_UI1

InnerBrightness

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Display secured supply

E' a disposizione solo se Colori da ALC è stata attivata.

Selezione della modalità in cui deve essere rappresentato l'approvvigionamento assicurato.

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: Normale

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Frame vector

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Frame vector

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

Combine

Visualizzazione piatta

Stabilite quale effetto deve avere l´elemento creato sul modello.

Sono disponibili le seguenti impostazioni:

Copri: la superficie dell´elemento viene usata come settore immagine.

Taglia: la superficie dell´elemento viene cancellata dalle superfici che si trovano sotto.

Collegamento OR: a seconda se sotto l´elemento si trova una superficie coprente o no, viene tagliato o coperto.

Nota: l´uso delle superfici si riferisce sempre a quella che si trova sotto l´elemento.

Per gli elementi di nuova creazione viene usata sempre l´impostazione selezionata per ultima.

Ulteriori informazioni nella guida in linea.

VT_BOOL

CornerProportional

Proporzionale

Disponibile solo se la proprietà Con valori di luminosità non è settata.

Attivo: Per l´arrotondamento degli angoli può essere inserito solamente il valore X. Il valore Y è sempre uguale.

Il valore percentuale inserito in Tutte X [%] si riferisce al lato più corto (larghezza o altezza) dell´elemento.

Inattivo: I valori X e Y possono essere inseriti liberamente. Il valore X si riferisce alla larghezza dell´elemento, il valore Y all´altezza.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_I4

CornerAll_X

Tutte X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

VT_I4

CornerAll_Y

Tutte Y [%]

Disponibile solamente se la proprietà Proporzionale è attiva e quella Con valori di luminosità non è attiva.

Definisce il valore di arrotondamento dell´asse Y per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

VT_I4

CornerLeftTop_X

Sinistra/Alto X [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
La proprietà Con valori di luminosità deve essere disattivata.

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in alto a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte X [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerLeftTop_Y

Sinistra/Alto Y [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Inoltre la proprietà Proporzionale deve essere attiva e la proprietà Con valori di luminosità disattivata.

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in alto a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte Y [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerRightTop_X

Destra/Alto X [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
La proprietà Con valori di luminosità deve essere disattivata.

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in alto a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte X [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerRightTop_Y

Destra/alto Y [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Inoltre la proprietà Proporzionale deve essere attiva e la proprietà Con valori di luminosità disattivata.

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in alto a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte Y [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerRightBottom_X

Destra/Basso X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in basso a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

-1: Viene usata l´impostazione di Tutte X [%].

0 fino a 100 Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerRightBottom_Y

Destra/Basso Y [%]

Disponibile solo se la proprietà Proporzionale è stata attivata e la proprietà Con valori di luminosità è stata disattivata.

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in basso a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte Y [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerLeftBottom_X

Sinistra/Basso X [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

La proprietà Con valori di luminosità deve essere disattivata

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in basso a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

  • -1: Viene usata l´impostazione di Tutte X [%].
  • Da 0 a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerLeftBottom_Y

Sinistra/Basso Y [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Inoltre la proprietà Proporzionale deve essere attiva e la proprietà Con valori di luminosità disattivata.

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in basso a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

  • -1: Viene usata l´impostazione di Tutte Y [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Spostamento sorgente luminosa

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Con valori di luminosità

Disponibile solamente se è stato selezionato come Tipo di riempimento Via effetto di riempimento.

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: La luminosità dell´effetto di riempimento viene assegnata automaticamente.

Nota: Se questa proprietà è attiva, non si potrà più modificare il tipo di riempimento Non sarà nemmeno possibile utilizzare degli angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Ulteriori informazioni nella guida in linea.

VT_UI1

OuterBrightness

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_UI1

InnerBrightness

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Display secured supply

E' a disposizione solo se Colori da ALC è stata attivata.

Selezione della modalità in cui deve essere rappresentato l'approvvigionamento assicurato.

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: Normale

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Batch recipe editor control

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Batch recipe editor control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

WithTBs

Toolbar

Attivo: Nell´Editor delle ricette vengono visualizzate delle barre degli strumenti.

Inattivo: Nell´Editor delle ricette vengono escluse dalla visualizzazione le barre degli strumenti. Consigliato se le azioni dei singoli simboli sono state poste su pulsanti propri.

Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

WithPanes

Finestre ancorabili

Attivo: Nell´editor ricette viene visualizzata la lista delle finestre ancorabili.

Inattivo: Nell´editor ricette viene nascosta la lista delle finestre ancorabili.

Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowBorder

Visualizza linea cornice

Permette di visualizzare una cornice intorno ad un elemento. In questo modo le flag delle proprietà Stile L e Stile H vengono mascherate.

attivo: la cornice viene visualizzata intorno all´elemento corrispondente.

Default: inattivo.

Ulteriori informazioni nella guida in linea

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleL

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleH

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


MDI element

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> MDI element

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleL

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleH

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


CControlDynCalendarCtrl

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> CControlDynCalendarCtrl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

ColorNonWorkingHours

Colore di riempimento periodo non lavorativo

Colore di sfondo del tempo libero/non lavorativo.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ColorWorkingHours

Colore di riempimento periodo lavorativo

Colore di sfondo del tempo lavorativo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowBorder

Visualizza linea cornice

Permette di visualizzare una cornice intorno ad un elemento. In questo modo le flag delle proprietà Stile L e Stile H vengono mascherate.

attivo: la cornice viene visualizzata intorno all´elemento corrispondente.

Default: inattivo.

Ulteriori informazioni nella guida in linea

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleL

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleH

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Window

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Window

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ShowBorder

Visualizza linea cornice

Permette di visualizzare una cornice intorno ad un elemento. In questo modo le flag delle proprietà Stile L e Stile H vengono mascherate.

attivo: la cornice viene visualizzata intorno all´elemento corrispondente.

Default: inattivo.

Ulteriori informazioni nella guida in linea

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleL

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleH

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Combobox

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Combobox

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ShowBorder

Visualizza linea cornice

Permette di visualizzare una cornice intorno ad un elemento. In questo modo le flag delle proprietà Stile L e Stile H vengono mascherate.

attivo: la cornice viene visualizzata intorno all´elemento corrispondente.

Default: inattivo.

Ulteriori informazioni nella guida in linea

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleL

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleH

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Dynamic window list control

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Dynamic window list control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ShowBoolAsNumber

Visualizzazione numerica

Attivo: Nel Runtime, i valori binari vengono sempre visualizzati in forma numerica. Se l´elemento lista lo consente, i valori binari possono anche essere inseriti in forma numerica.

Ulteriori informazioni nella guida in linea.

ZT_FILE

CheckOnImage

In (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 1 e Proprietà non può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

ZT_FILE

CheckOffImage

Out (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 0 e Proprietà non può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

ZT_FILE

CheckOnImageInActive

In (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 1 e Proprietà non può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

ZT_FILE

CheckOffImageInActive

Out (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 0 e Proprietà non può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowHeader

Visualizza intestazione
  • Attivo: l´Header viene visualizzato nel Runtime.
  • Inattivo: la visualizzazione dell´Header viene esclusa nel Runtime. Così verrà esclusa anche la visualizzazione della riga di filtro; ma il sistema continuerà ad usare i filtri configurati.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowFilter

Visualizza riga di filtro
  • Attivo: la riga di filtro viene visualizzata nel Runtime.
  • Inattivo: la visualizzazione della riga di filtro viene esclusa nel Runtime.
    Nota: i filtri configurati vengono eseguiti anche quando la riga di filtro è nascosta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HeaderStatic

Intestazione statica
  • Attivo: nel Runtime non sarà più possibile spostare colonne per Drag&Drop, né le si potrà più ordinare. La larghezza colonne, però, potrà essere ancora modificata.

Ulteriori informazioni nella guida in linea.

VT_UI4

HeaderHeight

Alteza intestazione [Pixel]

Configurazione dell´altezza dell´Header in pixel.

Minimo: 0 - l´altezza viene determinata automaticamente sulla base della grandezza del carattere.

Massimo: 255

Default: 0

Ulteriori informazioni nella guida in linea.

VT_BOOL

AdvancedStyleH

Barra di scorrimento

Proprietà per le barre di scorrimento orizzontale e verticale.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

VT_UI4

RowHeight

Zeilenhöhe [Pixel]

Consente l´impostazione dell´altezza riga in pixel indipendentemente dalla grandezza del carattere.

Valore massimo: 255 px
Valore minimo: 0 px - L´altezza riga viene adattata alla grandezza del carattere.

Default: 0

Attenzione: se si seleziona un´altezza delle righe:

  • troppo grande, è possibile che nel runtime il sistema non visualizzi nulla.
  • minore di quella del font, le visualizzazioni grafiche non saranno complete, ma tagliate.

Ulteriori informazioni nella guida in linea.

VT_I2

BarStyleH

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonHeightH

Altezza freccia di scorrimento [Pixel]

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonWidthH

Larghezza freccia di scorrimento [Pixel]

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ThumbSizeH

Larghezza barra di scorrimento [Pixel]

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorH

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor2H

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

LightningH

Effetto riempimento 3-D

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientOffsetH

Offset [%]

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientAngleH

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapLeftH

Freccia di scorrimento SX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento A SINISTRA per la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapRightH

Freccia di scorrimento DX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento A DESTRA per la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapThumbH

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la casella di scorrimentoper la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapSpanH

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista come sfondo per la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

VT_I2

BarStyleV

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonHeightV

Altezza freccia di scorrimento [Pixel]

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonWidthV

Larghezza freccia di scorrimento [Pixel]

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ThumbSizeV

Larghezza barra di scorrimento [Pixel]

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorV

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor2V

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

LightningV

Effetto riempimento 3-D

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento verticale sull base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientOffsetV

Offset [%]

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento verticale a sinistro o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento verticale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientAngleV

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapLeftV

Freccia di scorrimento SU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento SU per la sbarra di scorrimento verticale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapRightV

Freccia di scorrimento GIU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento GIÙ per la sbarra di scorrimento verticale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapThumbV

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la casella di scorrimentoper la sbarra di scorrimento verticale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapSpanV

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista come sfondo per la sbarra di scorrimento. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowHeader

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

attivo: viene visualizzata l´intestazione.

Default: attivo

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_BOOL

EnableHeader

Intestazione utilizzabile

Permette di gestire l´intestazione per la lista corrispondente. Nel Runtime potete modificare la larghezza delle colonne ed organizzare la visualizzazione secondo una colonna a piacere.

  • attivo: L´intestazione è gestibile.

Default: attiva

Disponibilità:

  • Disponibile per AML e CEL solo a queste condizioni:
    solo se nelle impostazioni di progetto avete selezionato "Intestazione modificabile" nel gruppo Lista di informazione allarmi per la proprietà Header AML, oppure nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL.
  • Disponibile per la lista aspetto cursore nel trend esteso.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderStyle

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_SCHRIFT

HeaderFont

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderBackColor

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderBackColor2

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderFontColor

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderLightning

Effetto luce

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderColorGradientOffset

Offset

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderColorGradientAngle

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

AscSortImage

In ordine crescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista per Ordinamento crescente. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

DescDownImage

In ordine decrescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista per Ordinamento decrescente. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

HeaderBarImage

Sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista come sfondo. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_UI2

GridSizeH

Distanza orizzontale [Pixel]

Larghezza delle linee giglia orizzontali espressa in pixel. Cambiate il valore per modificare le linee orizzontali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee orizzontali verranno escluse.

Default: 1.

Ulteriori informazioni nella guida in linea.

ZT_IMAGELIST

GridTypeH

Stile barra orizzontale

Definisce il tipo delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccate sulla linea e selezionate il tipo desiderato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea piena.

Attenzione: questa proprietà è a disposizione solamente se il valore per la proprietà Distanza orizzontale [Pixel] è pari a 1 . Per valori >1 viene usata sempre una linea piena.

Nota: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

GridColorH

Colore linea orizzontale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_UI2

GridSizeV

Spessore linea verticale [Pixel]

Larghezza delle linee griglia verticali espressa in pixel. Cambiate il valore per modificare le linee verticali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee verticali verranno escluse.

Default: 1.

Ulteriori informazioni nella guida in linea.

ZT_IMAGELIST

GridTypeV

Tipo linea verticale

Definisce il tipo delle linee di griglia verticali nella rappresentazione lista durante il runtime. Cliccate sulla linea e selezionate il tipo desiderato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea piena.

Attenzione: questa proprietà è a disposizione solamente se il valore per la proprietà Spessore linea verticale [Pixel] è pari a 1 . Per valori >1 viene usata sempre una linea piena.

Nota: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

GridColorV

Colore linea verticale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SelectionActive

Scelta attiva

Collegamento di una variabile di responso per liste configurabili.
La variabile deve essere del tipo BOOL. Essa indica nel runtime se nella lista è stato selezionato qualcosa (1), oppure no (0).
Cliccando sul pulsante ... si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Dynamic window batch parameter list

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Dynamic window batch parameter list

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsSetValue

Settaggio valori attivo
  • Attivo: Per il corrispondente elemento dinamico, è consentito settare valori impostabili.
  • Inattivo: L´elemento è protetto da scrittura.

Non disponibile per l´elemento Collega testo se è stato settato nell´immagine su read only.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowBoolAsNumber

Visualizzazione numerica

Attivo: Nel Runtime, i valori binari vengono sempre visualizzati in forma numerica. Se l´elemento lista lo consente, i valori binari possono anche essere inseriti in forma numerica.

Ulteriori informazioni nella guida in linea.

ZT_FILE

CheckOnImage

In (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 1 e Proprietà non può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

ZT_FILE

CheckOffImage

Out (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 0 e Proprietà non può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

ZT_FILE

CheckOnImageInActive

In (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 1 e Proprietà non può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

ZT_FILE

CheckOffImageInActive

Out (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 0 e Proprietà non può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowHeader

Visualizza intestazione
  • Attivo: l´Header viene visualizzato nel Runtime.
  • Inattivo: la visualizzazione dell´Header viene esclusa nel Runtime. Così verrà esclusa anche la visualizzazione della riga di filtro; ma il sistema continuerà ad usare i filtri configurati.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowFilter

Visualizza riga di filtro
  • Attivo: la riga di filtro viene visualizzata nel Runtime.
  • Inattivo: la visualizzazione della riga di filtro viene esclusa nel Runtime.
    Nota: i filtri configurati vengono eseguiti anche quando la riga di filtro è nascosta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HeaderStatic

Intestazione statica
  • Attivo: nel Runtime non sarà più possibile spostare colonne per Drag&Drop, né le si potrà più ordinare. La larghezza colonne, però, potrà essere ancora modificata.

Ulteriori informazioni nella guida in linea.

VT_UI4

HeaderHeight

Alteza intestazione [Pixel]

Configurazione dell´altezza dell´Header in pixel.

Minimo: 0 - l´altezza viene determinata automaticamente sulla base della grandezza del carattere.

Massimo: 255

Default: 0

Ulteriori informazioni nella guida in linea.

VT_BOOL

HideSelection

Non evidenziare la riga selezionata

Qui definite se le righe selezionate nel campo lista devono essere evidenziate graficamente. Se attivate questa proprietà non vedete quale inserimento avete selezionato. Tutte le righe della lista hanno lo stesso aspetto.

Default: inattivo

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

VT_BOOL

AdvancedStyleH

Barra di scorrimento

Proprietà per le barre di scorrimento orizzontale e verticale.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

VT_UI4

RowHeight

Zeilenhöhe [Pixel]

Consente l´impostazione dell´altezza riga in pixel indipendentemente dalla grandezza del carattere.

Valore massimo: 255 px
Valore minimo: 0 px - L´altezza riga viene adattata alla grandezza del carattere.

Default: 0

Attenzione: se si seleziona un´altezza delle righe:

  • troppo grande, è possibile che nel runtime il sistema non visualizzi nulla.
  • minore di quella del font, le visualizzazioni grafiche non saranno complete, ma tagliate.

Ulteriori informazioni nella guida in linea.

VT_I2

BarStyleH

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonHeightH

Altezza freccia di scorrimento [Pixel]

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonWidthH

Larghezza freccia di scorrimento [Pixel]

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ThumbSizeH

Larghezza barra di scorrimento [Pixel]

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorH

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor2H

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

LightningH

Effetto riempimento 3-D

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientOffsetH

Offset [%]

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientAngleH

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapLeftH

Freccia di scorrimento SX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento A SINISTRA per la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapRightH

Freccia di scorrimento DX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento A DESTRA per la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapThumbH

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la casella di scorrimentoper la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapSpanH

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista come sfondo per la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

VT_I2

BarStyleV

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonHeightV

Altezza freccia di scorrimento [Pixel]

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonWidthV

Larghezza freccia di scorrimento [Pixel]

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ThumbSizeV

Larghezza barra di scorrimento [Pixel]

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorV

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor2V

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

LightningV

Effetto riempimento 3-D

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento verticale sull base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientOffsetV

Offset [%]

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento verticale a sinistro o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento verticale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientAngleV

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapLeftV

Freccia di scorrimento SU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento SU per la sbarra di scorrimento verticale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapRightV

Freccia di scorrimento GIU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento GIÙ per la sbarra di scorrimento verticale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapThumbV

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la casella di scorrimentoper la sbarra di scorrimento verticale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapSpanV

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista come sfondo per la sbarra di scorrimento. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowHeader

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

attivo: viene visualizzata l´intestazione.

Default: attivo

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_BOOL

EnableHeader

Intestazione utilizzabile

Permette di gestire l´intestazione per la lista corrispondente. Nel Runtime potete modificare la larghezza delle colonne ed organizzare la visualizzazione secondo una colonna a piacere.

  • attivo: L´intestazione è gestibile.

Default: attiva

Disponibilità:

  • Disponibile per AML e CEL solo a queste condizioni:
    solo se nelle impostazioni di progetto avete selezionato "Intestazione modificabile" nel gruppo Lista di informazione allarmi per la proprietà Header AML, oppure nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL.
  • Disponibile per la lista aspetto cursore nel trend esteso.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderStyle

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_SCHRIFT

HeaderFont

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderBackColor

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderBackColor2

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderFontColor

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderLightning

Effetto luce

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderColorGradientOffset

Offset

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderColorGradientAngle

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

AscSortImage

In ordine crescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista per Ordinamento crescente. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

DescDownImage

In ordine decrescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista per Ordinamento decrescente. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

HeaderBarImage

Sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista come sfondo. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_UI2

GridSizeH

Distanza orizzontale [Pixel]

Larghezza delle linee giglia orizzontali espressa in pixel. Cambiate il valore per modificare le linee orizzontali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee orizzontali verranno escluse.

Default: 1.

Ulteriori informazioni nella guida in linea.

ZT_IMAGELIST

GridTypeH

Stile barra orizzontale

Definisce il tipo delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccate sulla linea e selezionate il tipo desiderato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea piena.

Attenzione: questa proprietà è a disposizione solamente se il valore per la proprietà Distanza orizzontale [Pixel] è pari a 1 . Per valori >1 viene usata sempre una linea piena.

Nota: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

GridColorH

Colore linea orizzontale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_UI2

GridSizeV

Spessore linea verticale [Pixel]

Larghezza delle linee griglia verticali espressa in pixel. Cambiate il valore per modificare le linee verticali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee verticali verranno escluse.

Default: 1.

Ulteriori informazioni nella guida in linea.

ZT_IMAGELIST

GridTypeV

Tipo linea verticale

Definisce il tipo delle linee di griglia verticali nella rappresentazione lista durante il runtime. Cliccate sulla linea e selezionate il tipo desiderato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea piena.

Attenzione: questa proprietà è a disposizione solamente se il valore per la proprietà Spessore linea verticale [Pixel] è pari a 1 . Per valori >1 viene usata sempre una linea piena.

Nota: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

GridColorV

Colore linea verticale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SelectionActive

Scelta attiva

Collegamento di una variabile di responso per liste configurabili.
La variabile deve essere del tipo BOOL. Essa indica nel runtime se nella lista è stato selezionato qualcosa (1), oppure no (0).
Cliccando sul pulsante ... si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowBorder

Visualizza linea cornice

Permette di visualizzare una cornice intorno ad un elemento. In questo modo le flag delle proprietà Stile L e Stile H vengono mascherate.

attivo: la cornice viene visualizzata intorno all´elemento corrispondente.

Default: inattivo.

Ulteriori informazioni nella guida in linea

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleL

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleH

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Listbox

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Listbox

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ShowBorder

Visualizza linea cornice

Permette di visualizzare una cornice intorno ad un elemento. In questo modo le flag delle proprietà Stile L e Stile H vengono mascherate.

attivo: la cornice viene visualizzata intorno all´elemento corrispondente.

Default: inattivo.

Ulteriori informazioni nella guida in linea

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleL

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleH

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Listcontrol

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Listcontrol

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

HideSelection

Non evidenziare la riga selezionata

Qui definite se le righe selezionate nel campo lista devono essere evidenziate graficamente. Se attivate questa proprietà non vedete quale inserimento avete selezionato. Tutte le righe della lista hanno lo stesso aspetto.

Default: inattivo

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

VT_BOOL

AdvancedStyleH

Barra di scorrimento

Proprietà per le barre di scorrimento orizzontale e verticale.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

VT_UI4

RowHeight

Zeilenhöhe [Pixel]

Consente l´impostazione dell´altezza riga in pixel indipendentemente dalla grandezza del carattere.

Valore massimo: 255 px
Valore minimo: 0 px - L´altezza riga viene adattata alla grandezza del carattere.

Default: 0

Attenzione: se si seleziona un´altezza delle righe:

  • troppo grande, è possibile che nel runtime il sistema non visualizzi nulla.
  • minore di quella del font, le visualizzazioni grafiche non saranno complete, ma tagliate.

Ulteriori informazioni nella guida in linea.

VT_I2

BarStyleH

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonHeightH

Altezza freccia di scorrimento [Pixel]

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonWidthH

Larghezza freccia di scorrimento [Pixel]

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ThumbSizeH

Larghezza barra di scorrimento [Pixel]

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorH

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor2H

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

LightningH

Effetto riempimento 3-D

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientOffsetH

Offset [%]

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientAngleH

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapLeftH

Freccia di scorrimento SX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento A SINISTRA per la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapRightH

Freccia di scorrimento DX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento A DESTRA per la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapThumbH

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la casella di scorrimentoper la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapSpanH

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista come sfondo per la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

VT_I2

BarStyleV

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonHeightV

Altezza freccia di scorrimento [Pixel]

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonWidthV

Larghezza freccia di scorrimento [Pixel]

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ThumbSizeV

Larghezza barra di scorrimento [Pixel]

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorV

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor2V

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

LightningV

Effetto riempimento 3-D

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento verticale sull base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientOffsetV

Offset [%]

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento verticale a sinistro o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento verticale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientAngleV

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapLeftV

Freccia di scorrimento SU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento SU per la sbarra di scorrimento verticale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapRightV

Freccia di scorrimento GIU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento GIÙ per la sbarra di scorrimento verticale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapThumbV

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la casella di scorrimentoper la sbarra di scorrimento verticale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapSpanV

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista come sfondo per la sbarra di scorrimento. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowHeader

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

attivo: viene visualizzata l´intestazione.

Default: attivo

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_BOOL

EnableHeader

Intestazione utilizzabile

Permette di gestire l´intestazione per la lista corrispondente. Nel Runtime potete modificare la larghezza delle colonne ed organizzare la visualizzazione secondo una colonna a piacere.

  • attivo: L´intestazione è gestibile.

Default: attiva

Disponibilità:

  • Disponibile per AML e CEL solo a queste condizioni:
    solo se nelle impostazioni di progetto avete selezionato "Intestazione modificabile" nel gruppo Lista di informazione allarmi per la proprietà Header AML, oppure nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL.
  • Disponibile per la lista aspetto cursore nel trend esteso.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderStyle

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_SCHRIFT

HeaderFont

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderBackColor

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderBackColor2

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderFontColor

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderLightning

Effetto luce

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderColorGradientOffset

Offset

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderColorGradientAngle

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

AscSortImage

In ordine crescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista per Ordinamento crescente. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

DescDownImage

In ordine decrescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista per Ordinamento decrescente. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

HeaderBarImage

Sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista come sfondo. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_UI2

GridSizeH

Distanza orizzontale [Pixel]

Larghezza delle linee giglia orizzontali espressa in pixel. Cambiate il valore per modificare le linee orizzontali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee orizzontali verranno escluse.

Default: 1.

Ulteriori informazioni nella guida in linea.

ZT_IMAGELIST

GridTypeH

Stile barra orizzontale

Definisce il tipo delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccate sulla linea e selezionate il tipo desiderato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea piena.

Attenzione: questa proprietà è a disposizione solamente se il valore per la proprietà Distanza orizzontale [Pixel] è pari a 1 . Per valori >1 viene usata sempre una linea piena.

Nota: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

GridColorH

Colore linea orizzontale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_UI2

GridSizeV

Spessore linea verticale [Pixel]

Larghezza delle linee griglia verticali espressa in pixel. Cambiate il valore per modificare le linee verticali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee verticali verranno escluse.

Default: 1.

Ulteriori informazioni nella guida in linea.

ZT_IMAGELIST

GridTypeV

Tipo linea verticale

Definisce il tipo delle linee di griglia verticali nella rappresentazione lista durante il runtime. Cliccate sulla linea e selezionate il tipo desiderato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea piena.

Attenzione: questa proprietà è a disposizione solamente se il valore per la proprietà Spessore linea verticale [Pixel] è pari a 1 . Per valori >1 viene usata sempre una linea piena.

Nota: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

GridColorV

Colore linea verticale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SelectionActive

Scelta attiva

Collegamento di una variabile di responso per liste configurabili.
La variabile deve essere del tipo BOOL. Essa indica nel runtime se nella lista è stato selezionato qualcosa (1), oppure no (0).
Cliccando sul pulsante ... si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowBorder

Visualizza linea cornice

Permette di visualizzare una cornice intorno ad un elemento. In questo modo le flag delle proprietà Stile L e Stile H vengono mascherate.

attivo: la cornice viene visualizzata intorno all´elemento corrispondente.

Default: inattivo.

Ulteriori informazioni nella guida in linea

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleL

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleH

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Dynamic window no header list control

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Dynamic window no header list control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

TextColorSelectFocus

Colore testo con Focus

Colore per il testo di un inserimento della lista se il focus si trova sull´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: Valore del sistema operativo.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorSelectFocus

Colore di sfondo con focus

Colore di sfondo di un inserimento della lista se il focus si trova sull´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: Valore del sistema operativo.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColorSelectNoFocus

Colore testo senza Focus

Colore per il testo di un inserimento della lista se il focus non si trova sull´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: Valore del sistema operativo.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorSelectNoFocus

Colore di sfondo senza focus

Colore di sfondo di un inserimento della lista se il focus non si trova sull´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: Valore del sistema operativo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HideSelection

Non evidenziare la riga selezionata

Qui definite se le righe selezionate nel campo lista devono essere evidenziate graficamente. Se attivate questa proprietà non vedete quale inserimento avete selezionato. Tutte le righe della lista hanno lo stesso aspetto.

Default: inattivo

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

VT_BOOL

AdvancedStyleH

Barra di scorrimento

Proprietà per le barre di scorrimento orizzontale e verticale.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

VT_UI4

RowHeight

Zeilenhöhe [Pixel]

Consente l´impostazione dell´altezza riga in pixel indipendentemente dalla grandezza del carattere.

Valore massimo: 255 px
Valore minimo: 0 px - L´altezza riga viene adattata alla grandezza del carattere.

Default: 0

Attenzione: se si seleziona un´altezza delle righe:

  • troppo grande, è possibile che nel runtime il sistema non visualizzi nulla.
  • minore di quella del font, le visualizzazioni grafiche non saranno complete, ma tagliate.

Ulteriori informazioni nella guida in linea.

VT_I2

BarStyleH

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonHeightH

Altezza freccia di scorrimento [Pixel]

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonWidthH

Larghezza freccia di scorrimento [Pixel]

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ThumbSizeH

Larghezza barra di scorrimento [Pixel]

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorH

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor2H

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

LightningH

Effetto riempimento 3-D

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientOffsetH

Offset [%]

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientAngleH

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapLeftH

Freccia di scorrimento SX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento A SINISTRA per la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapRightH

Freccia di scorrimento DX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento A DESTRA per la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapThumbH

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la casella di scorrimentoper la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapSpanH

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista come sfondo per la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

VT_I2

BarStyleV

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonHeightV

Altezza freccia di scorrimento [Pixel]

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ButtonWidthV

Larghezza freccia di scorrimento [Pixel]

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

VT_I2

ThumbSizeV

Larghezza barra di scorrimento [Pixel]

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorV

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor2V

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

LightningV

Effetto riempimento 3-D

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento verticale sull base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientOffsetV

Offset [%]

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento verticale a sinistro o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento verticale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientAngleV

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapLeftV

Freccia di scorrimento SU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento SU per la sbarra di scorrimento verticale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapRightV

Freccia di scorrimento GIU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento GIÙ per la sbarra di scorrimento verticale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapThumbV

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la casella di scorrimentoper la sbarra di scorrimento verticale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapSpanV

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista come sfondo per la sbarra di scorrimento. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowHeader

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

attivo: viene visualizzata l´intestazione.

Default: attivo

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_BOOL

EnableHeader

Intestazione utilizzabile

Permette di gestire l´intestazione per la lista corrispondente. Nel Runtime potete modificare la larghezza delle colonne ed organizzare la visualizzazione secondo una colonna a piacere.

  • attivo: L´intestazione è gestibile.

Default: attiva

Disponibilità:

  • Disponibile per AML e CEL solo a queste condizioni:
    solo se nelle impostazioni di progetto avete selezionato "Intestazione modificabile" nel gruppo Lista di informazione allarmi per la proprietà Header AML, oppure nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL.
  • Disponibile per la lista aspetto cursore nel trend esteso.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderStyle

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_SCHRIFT

HeaderFont

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderBackColor

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderBackColor2

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_COLOR

HeaderFontColor

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderLightning

Effetto luce

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderColorGradientOffset

Offset

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

VT_I2

HeaderColorGradientAngle

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

AscSortImage

In ordine crescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista per Ordinamento crescente. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

DescDownImage

In ordine decrescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista per Ordinamento decrescente. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

ZT_FILE

HeaderBarImage

Sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista come sfondo. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

VT_UI2

GridSizeH

Distanza orizzontale [Pixel]

Larghezza delle linee giglia orizzontali espressa in pixel. Cambiate il valore per modificare le linee orizzontali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee orizzontali verranno escluse.

Default: 1.

Ulteriori informazioni nella guida in linea.

ZT_IMAGELIST

GridTypeH

Stile barra orizzontale

Definisce il tipo delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccate sulla linea e selezionate il tipo desiderato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea piena.

Attenzione: questa proprietà è a disposizione solamente se il valore per la proprietà Distanza orizzontale [Pixel] è pari a 1 . Per valori >1 viene usata sempre una linea piena.

Nota: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

GridColorH

Colore linea orizzontale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

VT_UI2

GridSizeV

Spessore linea verticale [Pixel]

Larghezza delle linee griglia verticali espressa in pixel. Cambiate il valore per modificare le linee verticali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee verticali verranno escluse.

Default: 1.

Ulteriori informazioni nella guida in linea.

ZT_IMAGELIST

GridTypeV

Tipo linea verticale

Definisce il tipo delle linee di griglia verticali nella rappresentazione lista durante il runtime. Cliccate sulla linea e selezionate il tipo desiderato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea piena.

Attenzione: questa proprietà è a disposizione solamente se il valore per la proprietà Spessore linea verticale [Pixel] è pari a 1 . Per valori >1 viene usata sempre una linea piena.

Nota: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

GridColorV

Colore linea verticale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SelectionActive

Scelta attiva

Collegamento di una variabile di responso per liste configurabili.
La variabile deve essere del tipo BOOL. Essa indica nel runtime se nella lista è stato selezionato qualcosa (1), oppure no (0).
Cliccando sul pulsante ... si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowBorder

Visualizza linea cornice

Permette di visualizzare una cornice intorno ad un elemento. In questo modo le flag delle proprietà Stile L e Stile H vengono mascherate.

attivo: la cornice viene visualizzata intorno all´elemento corrispondente.

Default: inattivo.

Ulteriori informazioni nella guida in linea

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleL

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleH

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


CCtrlDynWndFPPicCont

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> CCtrlDynWndFPPicCont

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_PICTURE

PictureContainerPictureName

Immagine

Immagine collegata che viene visualizzata nel "immagine container". Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine.

Tipi di immagine consentiti: AML, Filtro AML, modello di impianto, CEL, Filtro CEL, ETM, HTML, generatore Report, Report Viewer, Standard, Filtro tempo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowPreviewInEditor

Visualizza anteprima in editor

Attivo: l´anteprima dell´immagine collegata viene visualizzata nell´Editor.
Nel caso di problemi di performance, si consiglia la disattivazione di questa opzione.

Standard: attiva

Ulteriori informazioni nella guida in linea.

VT_BSTR

SubstituteSource

Origine

Sostituzione di variabili e/o funzioni in un simbolo oppure in un contenitore Faceplate:

Indicate la variabile sorgente/funzione sorgente. Possono essere usati caratteri sostitutivi (?, *). Più inserimenti vengono divisi mediante un punto e virgola (;).

Definite gli obiettivi mediante la proprietà Destinazione.
Esempio: Variabili nel simbolo: Tank1.Livello di riempimento e Tank1.Posizione valvola. Questi devono essere sostituiti con le variabili Tank2.Livello di riempimento e Tank2.Posizione valvola.
A tal scopo, inserite in corrispondenza diOrigine: *1* e in corrispondenza di Destinazione 2. Durante il runtime, le variabili 1er vengono sostituite con quelle 2er.

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

VT_BSTR

SubstituteDestination

Destinazione

Sostituzione di variabili e/o funzioni in un simbolo o in contenitore Faceplate:
Indicate le nuove variabili/funzioni da assegnare. Non è permesso nessun carattere jolly. Più inserimenti vengono divisi mediante un punto e virgola (;).

Prima definite le sorgenti mediante la proprietà Origine.
Esempio: Variabili nel simbolo: Tank1.Livello di riempimento e Tank1.Posizione valvola. Questi devono essere sostituiti con le variabili Tank2.Livello di riempimento e Tank2.Posizione valvola.
A tal scopo, inserite in corrispondenza diOrigine: *1* e in corrispondenza di Destinazione 2. Durante il runtime, le variabili 1er vengono sostituite con quelle 2er.

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

VT_BOOL

SubstituteOnName

Attraverso il nome della variabile

Sostituzione di variabili in un simbolo oppure un contenitore faceplate via variabili:

  • Attivo: La sostituzione dei collegamenti avviene facendo uso del nome delle variabili.
  • Non attiva La sostituzione dei collegamenti avviene facendo uso dell´identificazione delle variabili.

Default: attivato

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

Nota: Questa proprietà ha effetto anche sul comportamento della proprietà Nomi gerarchici.
Per ulteriori informazioni su questo argomento, consultate la parte della guida dedicata alle Immagini.

VT_BOOL

SubstituteMatchCase

Rispetta minuscolo/maiuscolo

il sistema non tiene conto della scrittura in lettere maiuscole e minuscole per gli inserimenti per la sorgente e la destinazione delle operazioni di sostituzione di variabili e funzioni in un simbolo o in un contenitore faceplate:

  • Attivo: si tiene conto della scrittura in lettere maiuscole e minuscole.
  • Inattivo: non si tiene conto della scrittura in lettere maiuscole e minuscole

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

VT_BSTR

Preview

Anteprima

Apre il dialogo che serve alla sostituzione dei collegamenti. Le modifiche nell´anteprima vengono riprese e invertite nelle proprietà Origine e Destinazione.
È disponibile per simboli e faceplate. Per i simboli attivo solamente se esiste già un collegamento con il simbolo; per contenitori faceplate attivo solamente se un´immagine è collegata con il contenitore.

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

VT_UI2

StyleL

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

VT_UI2

StyleH

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Legend

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


CZenonGestureManipulation

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> CZenonGestureManipulation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_UI4

GestureManipulationX

Muovi

Definizione della reazione ad un gesto di spostamento. La reazione dipende dall´immagine da configurare e/o dall´elemento d'immagine

Ulteriori informazioni nella guida in linea.

VT_UI4

GestureManipulationY

Sposta verticalmente

Definizione della reazione ad un gesto di spostamento verticale. La reazione dipende dall´immagine da configurare e/o dall´elemento d'immagine

Interazione: Le proprietàMuovi modello via mouse da una parte, e Sposta orizzontalmente e Sposta verticalmente dall´altra, non possono essere attivate contemporaneamente. Si può attivare o lo spostamento di un modello con il mouse, oppure lo spostamento orizzontale/verticale tramite gestione touch.

Attenzione al seguente caso eccezionale: nel seguente caso, entrambe le proprietà vengono settate e non sono poi configurabili.

  • La proprietà Sposta orizzontalmente, oppure Sposta verticalmente viene attivata.
  • La proprietà di progetto Analisi per Interazione viene settata su Windows 7, oppure disattivata.
  • La proprietà Muovi modello via mouse viene attivata.
  • Per la proprietà Analisi viene di nuovo selezionata l´opzione Windows 8.

Soluzione:

  • Selezionate per la proprietà Analisi di nuovo l´opzione Windows 7, oppure Disattivata.
  • .Disattivate la proprietà Muovi modello via mouse

Ulteriori informazioni nella guida in linea.

VT_UI4

GestureManipulationXY

Muovi

Definizione della reazione ad un gesto di spostamento. La reazione dipende dall´immagine da configurare e/o dall´elemento d'immagine

Ulteriori informazioni nella guida in linea.

VT_UI4

GestureManipulationZoom

Zoom

Definizione della reazione ad un gesto zoom. La reazione dipende dall´immagine da configurare e/o dall´elemento d'immagine

Ulteriori informazioni nella guida in linea.


ActiveX

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> ActiveX

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_AKTIVE_X

ActiveX

Impostazioni ActiveX

Selezione dell´elemento ActiveX e della variabile collegata.

Ulteriori informazioni nella guida in linea.

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Angle

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Angle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_UI1

OuterBrightness

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_UI1

InnerBrightness

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Display secured supply

E' a disposizione solo se Colori da ALC è stata attivata.

Selezione della modalità in cui deve essere rappresentato l'approvvigionamento assicurato.

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: Normale

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Arc of circle

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Arc of circle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Spostamento sorgente luminosa

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Con valori di luminosità

Disponibile solamente se è stato selezionato come Tipo di riempimento Via effetto di riempimento.

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: La luminosità dell´effetto di riempimento viene assegnata automaticamente.

Nota: Se questa proprietà è attiva, non si potrà più modificare il tipo di riempimento Non sarà nemmeno possibile utilizzare degli angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Ulteriori informazioni nella guida in linea.

VT_UI1

OuterBrightness

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_UI1

InnerBrightness

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Display secured supply

E' a disposizione solo se Colori da ALC è stata attivata.

Selezione della modalità in cui deve essere rappresentato l'approvvigionamento assicurato.

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: Normale

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Segment of circle

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Segment of circle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

SegStartX

Punto di partenza X [Pixel]

VT_I2

SegEndX

Punto finale X [Pixel]

VT_I2

SegStartY

Punto di partenza Y [Pixel]

VT_I2

SegEndY

Punto finale Y [pixel]

VT_R8

SegStartAngle

Angolo di partenza [°]

Inizio dell'angolo di apertura. L´angolo di apertura dell´arco di cerchio viene visualizzato fra angolo di partenza e angolo finale.

Ulteriori informazioni nella guida in linea.

VT_R8

SegEndAngle

Angolo finale [°]

Fine dell'angolo di apertura. L´angolo di apertura dell´arco di cerchio viene visualizzato fra angolo di partenza e angolo finale.

Ulteriori informazioni nella guida in linea.

VT_BOOL

OffsetAdjustable

Spessore segmento regolabile

Spessore segmento per l´arco di cerchio. Disponibile solamente con Qualità grafica Windows Basis, con Progetto WindowsCE attivo oppure con Effetto riempimento 3-D Con valori di luminosità.

Attivo: lo spessore dell´arco di cerchio può essere configurato individualmente.

Ulteriori informazioni nella guida in linea.

VT_BOOL

OffsetEndEqualsStart

Spessore finale coincide con spessore di partenza

Attivo: setta lo spessore segmento per l´angolo finale sullo stesso valore di quello per l´angolo di partenza. La proprietà Spessore angolo finale [Pixel] viene disattivata. In tal modo, tutto l´elemento viene visualizzato con un´omogeneo spessore segmento. Disponibile solo se la proprietà Spessore segmento regolabile è stata attivata.

Ulteriori informazioni nella guida in linea.

VT_R4

StartOffset

Spessore angolo di partenza [Pixel]

Spessore segmento in corrispondenza dell´angolo di partenza, dal bordo esterno dell´ellisse al punto centrale, in pixel. Disponibile solo se la proprietà Spessore segmento regolabile è stata attivata.

Minimo: 0 Pixel

Massimo: valore minore della metà dell´altezza o della metà della larghezza dell´elemento.

Default: 00:00

Ulteriori informazioni nella guida in linea.

VT_R4

EndOffset

Spessore finale coincide con spessore di partenza

Attivo: setta lo spessore segmento per l´angolo finale sullo stesso valore di quello per l´angolo di partenza. La proprietà Spessore angolo finale [Pixel] viene disattivata. In tal modo, tutto l´elemento viene visualizzato con un´omogeneo spessore segmento. Disponibile solo se la proprietà Spessore segmento regolabile è stata attivata.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

VT_UI2

Offset_H

Distanza orizz. [Pixel]

Distanza in orizzontale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

VT_UI2

Offset_V

Distanza vert. [Pixel]

Distanza in verticale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Spostamento sorgente luminosa

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Con valori di luminosità

Disponibile solamente se è stato selezionato come Tipo di riempimento Via effetto di riempimento.

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: La luminosità dell´effetto di riempimento viene assegnata automaticamente.

Nota: Se questa proprietà è attiva, non si potrà più modificare il tipo di riempimento Non sarà nemmeno possibile utilizzare degli angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Ulteriori informazioni nella guida in linea.

VT_UI1

OuterBrightness

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_UI1

InnerBrightness

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Display secured supply

E' a disposizione solo se Colori da ALC è stata attivata.

Selezione della modalità in cui deve essere rappresentato l'approvvigionamento assicurato.

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: Normale

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Picture alarm

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Picture alarm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

ZT_FUNCTION_DYN

Function

Funzione

Nome della funzione collegata.
Apre il dialogo per la selezione della funzione.
Questa funzione viene eseguita quando si clicca servendosi del mouse sul pulsante nel Runtime, oppure si usa la combinazione di tasti connessa.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Solo SICAM 230 ed elemento Allarme - immagine:

Oltre alla proprietà standard Cambio immagine , si stabilisce tramite la funzione collegata anche l'immagine i cui stati di allarme debbono essere visulizzati.
Obbligatorio (nel caso di impostazione Globale attiva)!

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text1

Testo riga 1

Prima riga di testo nel bottone.
con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Per visulizzare il simbolo & stesso si immette ”&&”.

Con la successione \n si può ottenere un cambio riga.

Attenzione: per usare \n, la proprietà Testo riga 2 deve rimanere vuota.

Ulteriori informazioni nella guida in linea

VT_BSTR

Text2

Testo riga 2

Seconda riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visualizzare il simbolo stesso & si immette”&&”.

Nota: questa proprietà serve alla compatibilità con versioni più vecchie. Nelle versioni attuali: usare la proprietà Testo riga 1 e iniziare le nuove righe con \n.

Attenzione:

  • questa riga deve rimanere vuota se deve essere usato il cambio riga automatico.
  • Se è stata configurata questa proprietà, la proprietà Testo a pulsante premuto viene disattivata e non può essere utilizzata nel runtime. I contenuti già progettati della proprietà Testo a pulsante premuto vengono visualizzati in color grigio e disattivati.
    Anche uno spazio viene considerato alla stregua di progettazione valida e blocca la visualizzazione di testo quando si tiene premuto il pulsante!
    Una progettazione della proprietà Testo riga 2 effettuata in un secondo momento disattiva allo stesso modo la configurazione esistente nella proprietà Testo a pulsante premuto.

Ulteriori informazioni nella guida in linea.

VT_BSTR

DownText

Testo a pulsante premuto

Testo del pulsante nel runtime quando premuto.
La successione di caratteri \n provoca una nuova riga di scrittura.

Attenzione: Se è stata configurata questa proprietà Testo riga 2, la proprietà Testo a pulsante premuto viene disattivata e non può essere utilizzata nel runtime. I contenuti già configurati della proprietà vengono visualizzati in color grigio e disattivati. Ciò vale anche se la proprietà Testo riga 2 viene riempita di contenuto in un secondo momento.

Ulteriori informazioni nella guida in linea.

VT_UI2

BtnStyleBorder

Forma pulsanti

Forma del pulsante:
squadrato: Gli angoli del pulsante sono netti; gli arrotondamenti vengono impostati facendo uso delle proprietà del gruppo Arrotondamento.
rotondo: Il pulsante viene visualizzato con una forma rotonda.

Ulteriori informazioni nella guida in linea.

VT_UI2

Frame

Cornice elemento

Lista a cascata che serve alla selezione del tipo di cornice. Sono a disposizione:

Cornice fine

3D

Default: Cornice fine

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato presso l´elemento.

Colore:
un quadrato rosso indica che ci sono dei problemi nella comunicazione con il PLC.
Un quadrato blusul client indica che il client ha perso la sua connessione con il server.
Un quadrato blu sulla stazione indica che il valore non è stato inizializzato.

Posizione del quadrato sull´elemento quando esso ha la seguente forma:

rotondo: bordo superiore, al centro
arrotondato: angolo in alto a destra, leggermente spostato a sinistra
squadrato e tutti gli altri: angolo in alto a destra

Inattivo: Lo stato non viene visualizzato.

Ulteriori informazioni nella guida in linea.

VT_UI2

BtnStyleFill

Riempimento pulsanti

Riempimento del pulsante:
monocromatico: Nessuna sfumatura
lineare: effetto omogeneo
Effetto Bright: Dal basso fino al centro colore di riempimento 1, poi riempimento dal centro verso l´alto
Da un punto definito: effetto dai bordi al centro.

a punti con angoli: effetto dai bordi al centro con formazione di angoli.

Ulteriori informazioni nella guida in linea.

VT_BOOL

BtnStyleInvert

Inverti colori

Disponibile solo se il riempimento del pulsante non è monocolore.
Attivo: l´effetto di luminosità viene invertito.
Inattivo:
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientOffset

Offset [%]

Disponibile solamente se, per un elemento vettoriale, la proprietà Effetto riempimento 3-D, o per l´elemento dinamico Pulsante, la proprietà Riempimento pulsanti è stata settata su: lineare oppure da un punto definito, oppure da un punto definito effetto beam.

Definisce la distanza dell´effetto di riempimento dal punto centrale dell´elemento. Si tratta di un valore percentuale.

Valori: 0 descrive il punto centrale nell´elemento, 100 il bordo.
Indicazione: Questo valore può trovarsi anche al di fuori dell´elemento e perciò, non è limitato a 100.

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientAngle

Angolo [°]

Definisce la direzione dell´effetto di riempimento che procede dal punto centrale dell´elemento.

Valori: da 0 fino 360°

Default: 0°

Ulteriori informazioni nella guida in linea.

VT_BOOL

CornerProportional

Proporzionale

Disponibile solo se la proprietà Con valori di luminosità non è settata.

Attivo: Per l´arrotondamento degli angoli può essere inserito solamente il valore X. Il valore Y è sempre uguale.

Il valore percentuale inserito in Tutte X [%] si riferisce al lato più corto (larghezza o altezza) dell´elemento.

Inattivo: I valori X e Y possono essere inseriti liberamente. Il valore X si riferisce alla larghezza dell´elemento, il valore Y all´altezza.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_I4

CornerAll_X

Tutte X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

VT_I4

CornerAll_Y

Tutte Y [%]

Disponibile solamente se la proprietà Proporzionale è attiva e quella Con valori di luminosità non è attiva.

Definisce il valore di arrotondamento dell´asse Y per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

VT_I4

CornerLeftTop_X

Sinistra/Alto X [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
La proprietà Con valori di luminosità deve essere disattivata.

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in alto a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte X [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerLeftTop_Y

Sinistra/Alto Y [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Inoltre la proprietà Proporzionale deve essere attiva e la proprietà Con valori di luminosità disattivata.

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in alto a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte Y [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerRightTop_X

Destra/Alto X [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
La proprietà Con valori di luminosità deve essere disattivata.

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in alto a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte X [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerRightTop_Y

Destra/alto Y [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Inoltre la proprietà Proporzionale deve essere attiva e la proprietà Con valori di luminosità disattivata.

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in alto a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte Y [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerRightBottom_X

Destra/Basso X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in basso a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

-1: Viene usata l´impostazione di Tutte X [%].

0 fino a 100 Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerRightBottom_Y

Destra/Basso Y [%]

Disponibile solo se la proprietà Proporzionale è stata attivata e la proprietà Con valori di luminosità è stata disattivata.

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in basso a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte Y [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerLeftBottom_X

Sinistra/Basso X [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

La proprietà Con valori di luminosità deve essere disattivata

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in basso a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

  • -1: Viene usata l´impostazione di Tutte X [%].
  • Da 0 a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

VT_I4

CornerLeftBottom_Y

Sinistra/Basso Y [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Inoltre la proprietà Proporzionale deve essere attiva e la proprietà Con valori di luminosità disattivata.

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in basso a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

  • -1: Viene usata l´impostazione di Tutte Y [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

ZT_FILE

FileName

File grafico

Grafica che deve essere visualizzata sul pulsante quando non è premuto (*.bmp, *.wmf, *.jpg, *.gif). Un clic sul comando ... apre il dialogo di selezione variabili.

Ulteriori informazioni nella guida in linea.

ZT_FILE

FileNameDown

File grafico a tasto premuto

Immagine che deve essere visualizzata sul pulsante premuto (*.bmp, *.wmf, *.jpg, *.gif). Un clic sul comando ... apre il dialogo di selezione variabili.

Ulteriori informazioni nella guida in linea.

VT_UI2

GraphicSize

Dimensione bitmap

Definizione della dimensione della grafica.

  • Allungato: La dimensione della grafica viene adeguata alla grandezza dell´elemento.
  • Dimensione originale: La grafica collegata viene visualizzata nella grandezza originale.
    Se si seleziona questa opzione, non sarà più possibile configurare in modo individuale le proprietà Larghezza [Pixel] e Altezza [Pixel] con gli elementi multibinarii, gli elementi combinati, bottone e interruttore

Default: Allungato

Ulteriori informazioni nella guida in linea.

VT_BOOL

Animate

Sempre

Attiva: l´animazione è sempre attiva.
Non attiva: l´animazione non viene eseguita. E´ prevista la possibilità di attivare e disattivare l´animazione con una Variabile collegata.

Ulteriori informazioni nella guida in linea

ZT_VARIABLE_DYN

AnimateVar

Variabile

Variabile bit che apre e chiude l´animazione.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BorderColor

Colore cornice

Definisce il colore della cornice dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti. Se si sceglie automatico, il valore del colore cambia in dipendenza del valore di Colore di sfondo.

Ulteriori informazioni nella guida in linea.

VT_UI1

AlphaBorderColor

Trasparenza del colore bordo [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
La proprietà Con valori di luminosità deve essere disattivata.

Definisce il grado di copertura del colore mediante un valore compreso fra 0 e 100 %.

  • 0: invisibile
  • 100: coprente.

Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_UI1

AlphaBackColor

Trasparenza colore riempimento [%]

Disponibile solamente se per la proprietà di progetto Qualità grafica non è stato selezionato Windows Basis. Per gli elementi che dispongono della proprietà Con valori di luminosità, quest´opzione non deve essere attiva.

Definisce il grado di trasparenza del colore mediante un valore compreso fra 0 e 100 %.

  • 0: coprente.
  • 100: completamente trasparente
  • Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor2

Sfumatura colore

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Per la proprietà Tipo di riempimento deve essere selezionata l´opzione effetto di riempimento.

Definisce il secondo colore per l´effetto di riempimento. Se si sceglie "automatico", il valore del colore cambia in dipendenza del valore di Colore di sfondo.

Ulteriori informazioni nella guida in linea.

VT_UI1

AlphaBackColor2

Trasparenza colore di sfumatura [%]

Disponibile solo se nella proprietà Tipo di riempimento è stato selezionato sfumatura.

Disponibile solamente se per la proprietà di progetto Qualità grafica non è stato selezionato Windows Basis. Per gli elementi che dispongono della proprietà Con valori di luminosità, quest´opzione non deve essere attiva.

Definisce il grado di trasparenza del colore mediante un valore compreso fra 0 e 100 %.

  • 0: coprente.
  • 100: completamente trasparente
  • Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Default: 0

Ulteriori informazioni nella guida in linea.

VT_BOOL

Transparent

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_I2

HorizontalAlign

Orientamento orizzontale

Orientamento orizzontale dell´emissione nell´elemento per la visualizzazione.
Selezione dal menù a tendina:

  • Centrato
  • Orientamento a sinistra
  • Orientamento a destra

Default: Centrato

Ulteriori informazioni nella guida in linea.

VT_I2

VerticalAlign

Orientamento verticale

Orientamento verticale dell´emissione nell´elemento per la visualizzazione.
Selezione dal menù a tendina.

  • Centrato
  • In alto
  • In basso

Default: Centrato

Ulteriori informazioni nella guida in linea.

VT_BOOL

Wordbreak

A capo automatico
  • Attivo: si usa un cambio riga automatico per il testo nell´elemento.
    La lunghezza delle righe dipende dalla larghezza dell´elemento.
  • Inattivo: il testo viene visualizzato in una riga.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BOOL

BAGlobal

Globale

Gli allarmi vengono tenuti in considerazione in tutto il sistema.
Uso principale: Allarme somme della lista allarmi globale.
Attiva: Gli allarmi vengono tenuti in considerazione indipendentemente dall'immagine collegata.
La funzione collegata viene utilizzata solo per il cambio immagine.

Non attiva: Solo allarmi dell'immagine collegata vengono presi in considerazione.

VT_BOOL

BAPriorit?t

Priorità

Fissare la priorità di classi allarmi/eventi.
Attiva: Anche nel caso della selezione di diverse classi allarmi/eventi ne viene visualizzata solo una.
Regole di priorità:

  1. Tanto più piccolo è il numero della classe, tanto maggiore è la priorità.
  2. Non ripristinato è di maggiore priorità di ripristinato.

Non attiva: tutte le classi selezionate vengono visualizzate contemporaneamente (una accanto all'altra).

VT_BOOL

BAUnsichtbar

Invisibile

L'elemento non viene visualizzato nel Runtime.

Attivo: L'elemento viene escluso nel Runtime.
Viene usato se l'elemento porta solo ad una variabile di visualizzazione, ma esso stesso non deve essere rappresentato.

Non attiva: L'elemento viene visualizzato sotto forma di pulsante.

VT_UI2

BAProjekt

Progetto

Selezione di un singolo progetto oppure di tutti i progetti.

Disponibile solo se è attiva l'opzione Globale.

Uso nel caso di progetti multiutente.

ZT_ALARMKLASSE

BAKlassen

Classi di allarme/eventi

Selezione della classe allarmi/eventi da visualizzare.

Apre il catalogo della selezione delle classi.

VT_UI2

Offset

Prima classe di allarmi/eventi visualizzata.

A partire da questa classe, gli stati delle classi vengono scritti sulla variabile d'immagine.

VT_BOOL

AbbModus

Immagine delle classi di allarme/eventi selezionate

Modalità nella quale gli stati delle classi vengono scritti sulla variabile d'immagine.

Attivo: gli stati delle classi allarmi/eventi selezionate vengono scritti completamente sulla variabile d'immagine.
Per es. classi selezionate 1,3 -> Classi 1: Bits 0,1; classe 3: Bits 2,3

Inattiva: gli stati delle classi allarmi/eventi selezionate vengono scritti completamente su posizioni fisse della variabile d'immagine.
Per es. classi selezionate 1,3 -> Classi 1: Bits 0,1;0 (classe 2: Bits 2.3; classe 3: Bits 4,5

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Bargraph

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Bargraph

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

VT_UI2

Frame

Cornice elemento

Lista a cascata che serve alla selezione del tipo di cornice. Sono a disposizione:

Cornice fine

3D

Default: Cornice fine

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato presso l´elemento.

Colore:
un quadrato rosso indica che ci sono dei problemi nella comunicazione con il PLC.
Un quadrato blusul client indica che il client ha perso la sua connessione con il server.
Un quadrato blu sulla stazione indica che il valore non è stato inizializzato.

Posizione del quadrato sull´elemento quando esso ha la seguente forma:

rotondo: bordo superiore, al centro
arrotondato: angolo in alto a destra, leggermente spostato a sinistra
squadrato e tutti gli altri: angolo in alto a destra

Inattivo: Lo stato non viene visualizzato.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore barra

Colore per la barra dei Bargraf. Il colore impostato viene usato quando non è in attesa una violazione del valore limite della variabile.

Ulteriori informazioni nella guida in linea.

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitColor

Utilizza colore da valore limite

Stabilisce se viene visualizzato nel runtime il colore del valore limite per la variabile collegata all´elemento.
Il colore ha effetto sul testo visualizzato, o nel caso dello slider universale, sul suo indicatore.

  • Attivo: Nel runtime viene visualizzato il colore di valore limite definito.

Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

FromZero

Partenza da zero

Ha effetto solo sulla rappresentazione di valori con segni precedenti:
Attivo: la barra va da zero fino al valore attuale della variabile collegata.
Inattivo: la barra va dal valore minimo visualizzato fino al valore attuale della variabile collegata.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Explicit

Esplicito

Questa proprietà ha effetto solamente sulla rappresentazione di valori con valori limite definiti da variabili. I valori limite da matrici di reazione non vengono presi in considerazione.

  • Attivo: Se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
    Se la variabile ha diversi valori limite, le corrispondenti aree della rappresentazione sono visualizzate con il colore corrispondente del valore limite.
  • Inattivo: se un valore limite della variabile collegata viene violato, tutta la visualizzazione viene rappresentata con il colore del valore limite violato.

Default: inattivo

Nota: disponibile per l´elemento Strumento analogico solamente se la visualizzazione è attiva come Nastro o Cerchio parziale.

Ulteriori informazioni nella guida in linea.

VT_UI2

Direction

Direzione

Direzione della barra.
in su: valore minore in basso, valore maggiore in alto.
in giù: valore minore in alto, valore maggiore in basso.
a sinistra: valore minore a destra, valore maggiore a sinistra.
a destra: valore minore a sinistra, valore maggiore a destra.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Absolute

Valore assoluto

Per l´elemento Valore numerico, disponibile solamente se Visualizza valore in una percentuale non è attivo.

  • Attivo: visualizzazione del valore della variabile senza segno precedente (-200 = 200).
  • Inattiva: normale visualizzazione del valore.

Default: inattivo

Nota: l´inserimento del valore impostabile avviene in questo caso in percentuale.

Ulteriori informazioni nella guida in linea

VT_BOOL

ShowScale

Visualizza scala

Attivo: Viene visualizzata una scala vicino all´elemento.
Inattivo: Non viene visualizzata nessuna scala.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

VT_BOOL

ViewLimitFromVar

Range di visualizzazione letto dalla variabile+

Riprende l´area di visualizzazione dalla variabile collegata. Così queste aree di visualizzazione possono essere attualizzate con altre mediante la sostituzione con una variabile.

Ulteriori informazioni nella guida in linea.

VT_R8

ViewMin

Minimo

Valore minimo della variabile che deve essere visualizzato nell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

ViewMax

Massimo

Valore massimo della variabile che deve essere visualizzato nell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

DynMinVar

Minimo

Variabile che definisce la dimensione minima dell'area di visualizzazione nel Runtime.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

DynMaxVar

Massimo

Variabile che definisce la dimensione massima dell'area di visualizzazione nel Runtime.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Transparent

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsSetValue

Settaggio valori attivo
  • Attivo: Per il corrispondente elemento dinamico, è consentito settare valori impostabili.
  • Inattivo: L´elemento è protetto da scrittura.

Non disponibile per l´elemento Collega testo se è stato settato nell´immagine su read only.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Preset

Proponi il valore attuale

Attivo: Proporre il valore attuale della variabile come valore impostabile.
In questo caso, il valore, prima di essere settato, viene addizionato (valore positivo) o sottratto (valore negativo) a quello attuale sotto "Settaggio valore / modifica di".
Inattivo: viene proposto il valore definito in "Settaggio valore / modifica di".

Ulteriori informazioni nella guida in linea.

VT_BOOL

HWDirect

Senza dialogo

Attivo: Settare il valore inserito come valore impostabile nel Runtime senza la possibilità di modifica.
Inattivo: prima che il valore venga scritto sull´hardware, l´utente ha la possibilità di modificarlo nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_R8

SetValue

Settaggio valore / modifica di

valore da settare o da proporre come default.
Se l´opzione "Proponi il valore attuale" è attiva: Valore che viene addizionato a quello attuale.
In combinazione con la proprietà "Senza dialogo". si può realizzare in tal modo un incrementary (valore positivo) e decrementary switch (valore negativo).

Ulteriori informazioni nella guida in linea.

VT_UI1

SetValueWith

Setta valore impostabile tramite

Configurazione del modo in cui viene settato il valore impostabile.
Selezione dal combobox:

  • Comando: il nuovo valore viene settato facendo uso dell´azione Impostazione valore nei Comando.
  • Box di dialogo : Il nuovo valore viene inserito tramite il box di dialogo standard. Se esiste un'immagine del tipo Keyboard dal nome SETVALUEKBD (per variabili numeriche), oppure SETSTRINGKBD (per variabili stringa), essa viene usata al posto del box di dialogo standard.
    Nota: Se l´elemento è collegato ad una funzione che consente di effettuare inserimenti, Utilizza immagine tipo Keyboard viene attivato automaticamente. Se nella proprietà Immagine tipo Keyboard è collegata un´immagine, verrà usata quest´ultima. Altrimenti si usa una keyboard del tipo SETSTRINGKBD.
  • Elemento dinamico: Il nuovo valore viene inserito direttamente nell'elemento (solo con gli elementi Valore numerico e Testo).
  • Programma: il nuovo valore viene inserito in un programma esterno.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SetProgram

Programma esterno

Disponibile solamente se per Setta valore impostabile è stato selezionato "Programma esterno":
Il settaggio del valore impostabile viene eseguito tramite un programma esterno, che deve essere selezionato fra quelli proposti nella finestra di dialogo che viene aperta in questa sede.

Questo programma verrà poi lanciato e otterrà i seguenti parametri:
1) Nome della variabile collegata
2) Valore proposto, nel modo definito nelle proprietà corrispondenti.
3) Coordinata sinistra dell´elemento in pixel
4) Coordinata superiore dell´elemento in pixel
5) Coordinata destra dell´elemento in pixell
6) Coordinata inferiore dell´elemento in pixel
7) erlaubtes Minimum für den Sollwert, wie in den entsprechenden Eigenschaften definier
8) Massimo consentito per il valore impostabile, come definito nelle proprietà corrispondenti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_PICTURE

KbdName

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitFromVar

Riprendi limiti di valori impostabili da variabile

Attivo: la restrizione dell’ambito, nel quale possono essere immesse delle soglie, non viene definito con minimo o massimo ma nella definizione della variabile.
Inattivo: la restrizione dell´ambito del campo può essere indicata anche direttamente in "Minimo" e "Massimo".

Ulteriori informazioni nella guida in linea.

VT_R8

Min

Minimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite inferiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il minimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_R8

Max

Massimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite superiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il massimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


CDrawBefCommand

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> CDrawBefCommand

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI2 | Mode | Modalità | Selezione dello scopo d'uso. impostazione: l'elemento di comando serve al comando. Chiamata di funzione: l'elemento di comando serve all'esecuzione della funzione. Questa opzione esiste solo per ragioni di compatibilità con versioni più vecchie e non dovrebbe essere più utilizzata.
ZT_FUNCTION | Function | Funzione | Selezione della funzione da eseguire nella modalità: Funzione . Non viene più usata. Disponibile solo per motivi di compatibilità con versioni precedenti
VT_I2 | ActivationGroup | Gruppo di attivazione | Selezione del gruppo di attivazione. Necessario solo in connessione con la funzione di preselezione.
VT_UI2 | Passwordlevel | Livello di autorizzazione: | livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato. Minimo: 0. Massimo: 127. Default: 0. Ulteriori informazioni nella guida in linea.
More... | PictSwitch | PictSwitch |


Command

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Command

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

AlwaysSelectable

Sempre selezionabile

Attiva: Scelta del comando direttamente con clic del mouse (tasto sinistro).

Non attiva: Selezione del comando possibile solo in seguito a precedente funzione di selezione. (Funzioni ->Uso ->attivazione comando)
Dopo l'attivazione del comando nel Runtime viene visualizzata una cornice di tutti gli elementi progettati in tal modo.

Creazione di una nuova azione "comando" cliccando con il tasto destro del mouse -> Nuova azione.

Attenzione: nella visione a dialogo possibile solo nella finestra sinistra.

More...

Action

Azione

Proprietà per comandi

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Move

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Move

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVarX

DynEleVarX

"With this property you have the opportunity to get informations about the variable which is linked at the ""dynamic x position"" property.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVarX.SymVarName"") 'Return the name of the ""x position dynamic"" variable
zElement.DynProperties (""DynEleVarX.SymVarTagNr"") 'Return the identification of the ""x position dynamic"" variable"

More...

DynEleVarY

DynEleVarY

"With this property you have the opportunity to get informations about the variable which is linked at the ""dynamic y position"" property.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVarY.SymVarName"") 'Return the name of the ""y position dynamic"" variable
zElement.DynProperties (""DynEleVarY.SymVarTagNr"") 'Return the identification of the ""y position dynamic"" variable"

More...

DynEleVarXZoom

DynEleVarXZoom

"With this property you have the opportunity to get informations about the variable which is linked at the ""change width"" property.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVarXZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""DynEleVarXZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

DynEleVarYZoom

DynEleVarYZoom

"With this property you have the opportunity to get informations about the variable which is linked at the ""change height"" property.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVarYZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""DynEleVarYZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

VT_UI2

Symbol

Simbolo

Dalla maschera selezione della gestione simboli si può scegliere un simbolo esistente.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsXActive

Modifica direzione X attiva

Attivo: Movimento orizzontale dell´elemento collegato è disponibile.
Inattivo: Movimento orizzontale non è disponibile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsYActive

Modifica direzione Y attiva

Attivo: Movimento verticale dell´elemento collegato è disponibile.
Inattivo: Movimento verticale non è disponibile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsXZoomActive

Modifica larghezza attiva

Attivo: Lo zoom della larghezza dell´elemento collegato è disponibile.
Inattivo: Lo zoom della larghezza non è disponibile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsYZoomActive

Modifica altezza attiva

Attivare lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Binary

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Binary

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_UI2

Symbol

Simbolo

Dalla maschera selezione della gestione simboli si può scegliere un simbolo esistente.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato presso l´elemento.

Colore:
un quadrato rosso indica che ci sono dei problemi nella comunicazione con il PLC.
Un quadrato blusul client indica che il client ha perso la sua connessione con il server.
Un quadrato blu sulla stazione indica che il valore non è stato inizializzato.

Posizione del quadrato sull´elemento quando esso ha la seguente forma:

rotondo: bordo superiore, al centro
arrotondato: angolo in alto a destra, leggermente spostato a sinistra
squadrato e tutti gli altri: angolo in alto a destra

Inattivo: Lo stato non viene visualizzato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ContitionText

Visualizza testo valore limite

Attivo: Il testo di stato/di valore limite della variabile assegnata viene visualizzato nell´elemento.
Inattivo: Non viene visualizzato alcun testo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

FillArea

Solo area di riempimento

Attivo: nel caso di cerchi, poligoni e rettangoli assegnati al simbolo collegato, viene modificato solamente il colore di riempimento secondo la definizione colore della variabile di processo. Si conserva il colore della cornice.
Inattivo: anche il bordo verrà colorato in modo corrispondente.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsSetValue

Settaggio valori attivo
  • Attivo: Per il corrispondente elemento dinamico, è consentito settare valori impostabili.
  • Inattivo: L´elemento è protetto da scrittura.

Non disponibile per l´elemento Collega testo se è stato settato nell´immagine su read only.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Preset

Proponi il valore attuale

Attivo: Proporre il valore attuale della variabile come valore impostabile.
In questo caso, il valore, prima di essere settato, viene addizionato (valore positivo) o sottratto (valore negativo) a quello attuale sotto "Settaggio valore / modifica di".
Inattivo: viene proposto il valore definito in "Settaggio valore / modifica di".

Ulteriori informazioni nella guida in linea.

VT_BOOL

HWDirect

Senza dialogo

Attivo: Settare il valore inserito come valore impostabile nel Runtime senza la possibilità di modifica.
Inattivo: prima che il valore venga scritto sull´hardware, l´utente ha la possibilità di modificarlo nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_R8

SetValue

Settaggio valore / modifica di

valore da settare o da proporre come default.
Se l´opzione "Proponi il valore attuale" è attiva: Valore che viene addizionato a quello attuale.
In combinazione con la proprietà "Senza dialogo". si può realizzare in tal modo un incrementary (valore positivo) e decrementary switch (valore negativo).

Ulteriori informazioni nella guida in linea.

VT_UI1

SetValueWith

Setta valore impostabile tramite

Configurazione del modo in cui viene settato il valore impostabile.
Selezione dal combobox:

  • Comando: il nuovo valore viene settato facendo uso dell´azione Impostazione valore nei Comando.
  • Box di dialogo : Il nuovo valore viene inserito tramite il box di dialogo standard. Se esiste un'immagine del tipo Keyboard dal nome SETVALUEKBD (per variabili numeriche), oppure SETSTRINGKBD (per variabili stringa), essa viene usata al posto del box di dialogo standard.
    Nota: Se l´elemento è collegato ad una funzione che consente di effettuare inserimenti, Utilizza immagine tipo Keyboard viene attivato automaticamente. Se nella proprietà Immagine tipo Keyboard è collegata un´immagine, verrà usata quest´ultima. Altrimenti si usa una keyboard del tipo SETSTRINGKBD.
  • Elemento dinamico: Il nuovo valore viene inserito direttamente nell'elemento (solo con gli elementi Valore numerico e Testo).
  • Programma: il nuovo valore viene inserito in un programma esterno.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SetProgram

Programma esterno

Disponibile solamente se per Setta valore impostabile è stato selezionato "Programma esterno":
Il settaggio del valore impostabile viene eseguito tramite un programma esterno, che deve essere selezionato fra quelli proposti nella finestra di dialogo che viene aperta in questa sede.

Questo programma verrà poi lanciato e otterrà i seguenti parametri:
1) Nome della variabile collegata
2) Valore proposto, nel modo definito nelle proprietà corrispondenti.
3) Coordinata sinistra dell´elemento in pixel
4) Coordinata superiore dell´elemento in pixel
5) Coordinata destra dell´elemento in pixell
6) Coordinata inferiore dell´elemento in pixel
7) erlaubtes Minimum für den Sollwert, wie in den entsprechenden Eigenschaften definier
8) Massimo consentito per il valore impostabile, come definito nelle proprietà corrispondenti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitFromVar

Riprendi limiti di valori impostabili da variabile

Attivo: la restrizione dell’ambito, nel quale possono essere immesse delle soglie, non viene definito con minimo o massimo ma nella definizione della variabile.
Inattivo: la restrizione dell´ambito del campo può essere indicata anche direttamente in "Minimo" e "Massimo".

Ulteriori informazioni nella guida in linea.

VT_R8

Min

Minimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite inferiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il minimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_R8

Max

Massimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite superiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il massimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Bitmap

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Bitmap

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

ZT_FUNCTION_DYN

Function

Funzione

Nome della funzione collegata.
Apre il dialogo per la selezione della funzione.
Questa funzione viene eseguita quando si clicca servendosi del mouse sul pulsante nel Runtime, oppure si usa la combinazione di tasti connessa.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Solo SICAM 230 ed elemento Allarme - immagine:

Oltre alla proprietà standard Cambio immagine , si stabilisce tramite la funzione collegata anche l'immagine i cui stati di allarme debbono essere visulizzati.
Obbligatorio (nel caso di impostazione Globale attiva)!

Ulteriori informazioni nella guida in linea.

ZT_MDIFUNKTION

MDIFunction

Operazione specifica per il tipo di immagine

Disponibile solamente in immagini di un tipo particolare (il tipo di immagine non è standard):
Collegamento ad una funzione specifica per il tipo di immagine. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una delle funzioni specifiche per questo tipo di immagine. Questa funzione viene eseguita se si clicca nel Runtime sul pulsante, oppure se si preme la combinazione tasti corrispondente.

Attenzione: Oltre ad una funzione specifica per un tipo di immagine, si può collegare al pulsante anche una funzione generale. In questo caso, tenete presente la successione di esecuzione al momento di premere il pulsante. Prima viene eseguita la funzione specifica per il tipo di immagine. Solo dopo che essa è stata eseguita, sarà la volta di quella generale. Se nel Runtime dovessero essere collegati al pulsante degli eventi VBA, questi verranno eseguiti prima delle funzioni.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ThreeDimensional

3D

Attivo: l´elemento viene visualizzato in 3 dimensioni.
Inattivo: l´elemento viene visualizzato come superficie piatta.

Ulteriori informazioni nella guida in linea.

VT_I2

GraphicSize

Dimensione bitmap

Definizione della dimensione della grafica.

  • Allungato: La dimensione della grafica viene adeguata alla grandezza dell´elemento.
  • Dimensione originale: La grafica collegata viene visualizzata nella grandezza originale.
    Se si seleziona questa opzione, non sarà più possibile configurare in modo individuale le proprietà Larghezza [Pixel] e Altezza [Pixel] con gli elementi multibinarii, gli elementi combinati, bottone e interruttore

Default: Allungato

Ulteriori informazioni nella guida in linea.

ZT_FILE

FileName

File grafico

Grafica che deve essere visualizzata sul pulsante quando non è premuto (*.bmp, *.wmf, *.jpg, *.gif). Un clic sul comando ... apre il dialogo di selezione variabili.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Animate

Sempre

Attiva: l´animazione è sempre attiva.
Non attiva: l´animazione non viene eseguita. E´ prevista la possibilità di attivare e disattivare l´animazione con una Variabile collegata.

Ulteriori informazioni nella guida in linea

ZT_VARIABLE_DYN

AnimateVar

Variabile

Variabile bit che apre e chiude l´animazione.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


CDynEleFkt

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> CDynEleFkt

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FUNCTION | ProjectFunction | ProjectFunction |
VT_BSTR | Name | Name |


Text button

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Text button

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ThreeDimensional

3D

Attivo: l´elemento viene visualizzato in 3 dimensioni.
Inattivo: l´elemento viene visualizzato come superficie piatta.

Ulteriori informazioni nella guida in linea.

VT_UI2

BtnStyleBorder

Forma pulsanti

Forma del pulsante:
squadrato: Gli angoli del pulsante sono netti; gli arrotondamenti vengono impostati facendo uso delle proprietà del gruppo Arrotondamento.
rotondo: Il pulsante viene visualizzato con una forma rotonda.

Ulteriori informazioni nella guida in linea.

VT_UI2

Frame

Cornice elemento

Lista a cascata che serve alla selezione del tipo di cornice. Sono a disposizione:

Cornice fine

3D

Default: Cornice fine

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato presso l´elemento.

Colore:
un quadrato rosso indica che ci sono dei problemi nella comunicazione con il PLC.
Un quadrato blusul client indica che il client ha perso la sua connessione con il server.
Un quadrato blu sulla stazione indica che il valore non è stato inizializzato.

Posizione del quadrato sull´elemento quando esso ha la seguente forma:

rotondo: bordo superiore, al centro
arrotondato: angolo in alto a destra, leggermente spostato a sinistra
squadrato e tutti gli altri: angolo in alto a destra

Inattivo: Lo stato non viene visualizzato.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text1

Testo riga 1

Prima riga di testo nel bottone.
con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Per visulizzare il simbolo & stesso si immette ”&&”.

Con la successione \n si può ottenere un cambio riga.

Attenzione: per usare \n, la proprietà Testo riga 2 deve rimanere vuota.

Ulteriori informazioni nella guida in linea

VT_BSTR

Text2

Testo riga 2

Seconda riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visualizzare il simbolo stesso & si immette”&&”.

Nota: questa proprietà serve alla compatibilità con versioni più vecchie. Nelle versioni attuali: usare la proprietà Testo riga 1 e iniziare le nuove righe con \n.

Attenzione:

  • questa riga deve rimanere vuota se deve essere usato il cambio riga automatico.
  • Se è stata configurata questa proprietà, la proprietà Testo a pulsante premuto viene disattivata e non può essere utilizzata nel runtime. I contenuti già progettati della proprietà Testo a pulsante premuto vengono visualizzati in color grigio e disattivati.
    Anche uno spazio viene considerato alla stregua di progettazione valida e blocca la visualizzazione di testo quando si tiene premuto il pulsante!
    Una progettazione della proprietà Testo riga 2 effettuata in un secondo momento disattiva allo stesso modo la configurazione esistente nella proprietà Testo a pulsante premuto.

Ulteriori informazioni nella guida in linea.

VT_BSTR

DownText

Testo a pulsante premuto

Testo del pulsante nel runtime quando premuto.
La successione di caratteri \n provoca una nuova riga di scrittura.

Attenzione: Se è stata configurata questa proprietà Testo riga 2, la proprietà Testo a pulsante premuto viene disattivata e non può essere utilizzata nel runtime. I contenuti già configurati della proprietà vengono visualizzati in color grigio e disattivati. Ciò vale anche se la proprietà Testo riga 2 viene riempita di contenuto in un secondo momento.

Ulteriori informazioni nella guida in linea.

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore testo

Nome della variabile il cui colore di valore limite deve influenzare quello del testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_I2

HorizontalAlign

Orientamento orizzontale

Orientamento orizzontale dell´emissione nell´elemento per la visualizzazione.
Selezione dal menù a tendina:

  • Centrato
  • Orientamento a sinistra
  • Orientamento a destra

Default: Centrato

Ulteriori informazioni nella guida in linea.

VT_I2

VerticalAlign

Orientamento verticale

Orientamento verticale dell´emissione nell´elemento per la visualizzazione.
Selezione dal menù a tendina.

  • Centrato
  • In alto
  • In basso

Default: Centrato

Ulteriori informazioni nella guida in linea.

VT_BOOL

Wordbreak

A capo automatico
  • Attivo: si usa un cambio riga automatico per il testo nell´elemento.
    La lunghezza delle righe dipende dalla larghezza dell´elemento.
  • Inattivo: il testo viene visualizzato in una riga.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

BtnStyleFill

Riempimento pulsanti

Riempimento del pulsante:
monocromatico: Nessuna sfumatura
lineare: effetto omogeneo
Effetto Bright: Dal basso fino al centro colore di riempimento 1, poi riempimento dal centro verso l´alto
Da un punto definito: effetto dai bordi al centro.

a punti con angoli: effetto dai bordi al centro con formazione di angoli.

Ulteriori informazioni nella guida in linea.

VT_BOOL

BtnStyleInvert

Inverti colori

Disponibile solo se il riempimento del pulsante non è monocolore.
Attivo: l´effetto di luminosità viene invertito.
Inattivo:
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientOffset

Offset [%]

Disponibile solamente se, per un elemento vettoriale, la proprietà Effetto riempimento 3-D, o per l´elemento dinamico Pulsante, la proprietà Riempimento pulsanti è stata settata su: lineare oppure da un punto definito, oppure da un punto definito effetto beam.

Definisce la distanza dell´effetto di riempimento dal punto centrale dell´elemento. Si tratta di un valore percentuale.

Valori: 0 descrive il punto centrale nell´elemento, 100 il bordo.
Indicazione: Questo valore può trovarsi anche al di fuori dell´elemento e perciò, non è limitato a 100.

Ulteriori informazioni nella guida in linea.

VT_I2

ColorGradientAngle

Angolo [°]

Definisce la direzione dell´effetto di riempimento che procede dal punto centrale dell´elemento.

Valori: da 0 fino 360°

Default: 0°

Ulteriori informazioni nella guida in linea.

ZT_FILE

FileName

File grafico

Grafica che deve essere visualizzata sul pulsante quando non è premuto (*.bmp, *.wmf, *.jpg, *.gif). Un clic sul comando ... apre il dialogo di selezione variabili.

Ulteriori informazioni nella guida in linea.

ZT_FILE

FileNameDown

File grafico a tasto premuto

Immagine che deve essere visualizzata sul pulsante premuto (*.bmp, *.wmf, *.jpg, *.gif). Un clic sul comando ... apre il dialogo di selezione variabili.

Ulteriori informazioni nella guida in linea.

VT_UI2

GraphicSize

Dimensione bitmap

Definizione della dimensione della grafica.

  • Allungato: La dimensione della grafica viene adeguata alla grandezza dell´elemento.
  • Dimensione originale: La grafica collegata viene visualizzata nella grandezza originale.
    Se si seleziona questa opzione, non sarà più possibile configurare in modo individuale le proprietà Larghezza [Pixel] e Altezza [Pixel] con gli elementi multibinarii, gli elementi combinati, bottone e interruttore

Default: Allungato

Ulteriori informazioni nella guida in linea.

VT_BOOL

Animate

Sempre

Attiva: l´animazione è sempre attiva.
Non attiva: l´animazione non viene eseguita. E´ prevista la possibilità di attivare e disattivare l´animazione con una Variabile collegata.

Ulteriori informazioni nella guida in linea

ZT_VARIABLE_DYN

AnimateVar

Variabile

Variabile bit che apre e chiude l´animazione.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

RoundingStyle

Stile arrotondamento

Visualizzazione e selezione dello stile degli arrotondamenti assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BorderColor

Colore cornice

Definisce il colore della cornice dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti. Se si sceglie automatico, il valore del colore cambia in dipendenza del valore di Colore di sfondo.

Ulteriori informazioni nella guida in linea.

VT_UI1

AlphaBorderColor

Trasparenza del colore bordo [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
La proprietà Con valori di luminosità deve essere disattivata.

Definisce il grado di copertura del colore mediante un valore compreso fra 0 e 100 %.

  • 0: invisibile
  • 100: coprente.

Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_UI1

AlphaBackColor

Trasparenza colore riempimento [%]

Disponibile solamente se per la proprietà di progetto Qualità grafica non è stato selezionato Windows Basis. Per gli elementi che dispongono della proprietà Con valori di luminosità, quest´opzione non deve essere attiva.

Definisce il grado di trasparenza del colore mediante un valore compreso fra 0 e 100 %.

  • 0: coprente.
  • 100: completamente trasparente
  • Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor2

Sfumatura colore

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Per la proprietà Tipo di riempimento deve essere selezionata l´opzione effetto di riempimento.

Definisce il secondo colore per l´effetto di riempimento. Se si sceglie "automatico", il valore del colore cambia in dipendenza del valore di Colore di sfondo.

Ulteriori informazioni nella guida in linea.

VT_UI1

AlphaBackColor2

Trasparenza colore di sfumatura [%]

Disponibile solo se nella proprietà Tipo di riempimento è stato selezionato sfumatura.

Disponibile solamente se per la proprietà di progetto Qualità grafica non è stato selezionato Windows Basis. Per gli elementi che dispongono della proprietà Con valori di luminosità, quest´opzione non deve essere attiva.

Definisce il grado di trasparenza del colore mediante un valore compreso fra 0 e 100 %.

  • 0: coprente.
  • 100: completamente trasparente
  • Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Default: 0

Ulteriori informazioni nella guida in linea.

VT_BOOL

Transparent

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ChangeText

Modifica la descrizione con tasti di controllo

Disponibile solo se avete disattivato Layout tastiera automatica nelle proprietà dell'immagine.

attivo: Per scrivere sul pulsante usate Testo riga 1 normale bis Testo riga 2 con Ctrl + Alt (Alt Gr). L'inserimento sotto Testo riga 1 e Testo riga 2 non è più necessario.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text1Normal

Testo riga 1 normale

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di controllo.
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text1Shift

Testo riga 1 con Shift

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio.
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text1Ctrl

Testo riga 1 con Ctrl

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text1CtrlAlt

Testo riga 1 con Ctrl + Alt (Alt Gr)

Disponibile solo se Modifica la descrizione con tasti di controllo è attivo.
Iscrizione della prima riga di testo nel pulsante se sia premuto il tasto controllo e Alt Gr.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text2Normal

Testo riga 2 normale

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di controllo.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text2Shift

Testo riga 2 con Shift

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text2Ctrl

Testo riga 2 con Ctrl

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text2CtrlAlt

Testo riga 2 con Ctrl + Alt (Alt Gr)

Disponibile solo se Modifica la descrizione con tasti di controllo è attivo.
Iscrizione della prima riga di testo nel pulsante se sia premuto il tasto controllo e Alt Gr.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

More...

DynEleFkt

DynEleFkt

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

ZT_FUNCTION_DYN

Function

Funzione

Nome della funzione collegata.
Apre il dialogo per la selezione della funzione.
Questa funzione viene eseguita quando si clicca servendosi del mouse sul pulsante nel Runtime, oppure si usa la combinazione di tasti connessa.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Solo SICAM 230 ed elemento Allarme - immagine:

Oltre alla proprietà standard Cambio immagine , si stabilisce tramite la funzione collegata anche l'immagine i cui stati di allarme debbono essere visulizzati.
Obbligatorio (nel caso di impostazione Globale attiva)!

Ulteriori informazioni nella guida in linea.

VT_BSTR

FunctionParameter

Parametro per sostituzione

Inserimento della successione caratteri per la sostituzione via parametro. Sostituisce nel dialogo di sostituzione del cambio immagine la parola chiave {PARAM}.

Nota: Evitate quelle successioni di caratteri che vengono usate anche per i parametri delle variabili di indicizzazione, come, per es., {X01}.

Ulteriori informazioni nella guida in linea.

ZT_MDIFUNKTION

MDIFunction

Operazione specifica per il tipo di immagine

Disponibile solamente in immagini di un tipo particolare (il tipo di immagine non è standard):
Collegamento ad una funzione specifica per il tipo di immagine. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una delle funzioni specifiche per questo tipo di immagine. Questa funzione viene eseguita se si clicca nel Runtime sul pulsante, oppure se si preme la combinazione tasti corrispondente.

Attenzione: Oltre ad una funzione specifica per un tipo di immagine, si può collegare al pulsante anche una funzione generale. In questo caso, tenete presente la successione di esecuzione al momento di premere il pulsante. Prima viene eseguita la funzione specifica per il tipo di immagine. Solo dopo che essa è stata eseguita, sarà la volta di quella generale. Se nel Runtime dovessero essere collegati al pulsante degli eventi VBA, questi verranno eseguiti prima delle funzioni.

Ulteriori informazioni nella guida in linea.

VT_BOOL

FktOnDown

Esegui funzione alla pressione

Attivo: la funzione collegata viene eseguita quando si preme sull´elemento.
Inattivo: la funzione collegata viene eseguita rilasciando l´elemento.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Switch

Interruttore

Disponibile solo se la proprietà Settaggio valori attivo non è stata attivata.

Attivo: l´elemento attiva il valore di una variabile bit.
Disattivata: l´elemento esegue una funzione.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Scanner

Pulsante

Disponibile solo se Interruttore è attivo. (Eccezione: Sempre disponibile nell' elemento dinamico Interruttore.)
Attivo: lo stato - definito nella proprietà Pulsante ON - viene instaurato solamente finché si tiene premuto il tasto sinistro del mouse, ma perlomeno per la durata di Tempo di ritardo [ms].
Non attivo: Lo stato rimane anche se il tasto del mouse viene rilasciato.
Default: non attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ScannerOn

Pulsante ON

Disponibile solo se Pulsante è attiva:
Attiva: Pulsante su On.
Inattivo: Pulsante Off.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ResetOnLeave

Reset al rilascio

Disponibile solo sePulsante è attivo:
nel caso in cui il puntatore del mouse venga allontanato dal pulsante tenendo premuto il tasto, il valore della variabile viene resettato automaticamente.

Ulteriori informazioni nella guida in linea

VT_BOOL

FastReaction

Reazione immediata

Disponibile solo se Interruttore è attiva:
Attiva: Se attivato, l'interruttore alla premuta nel runtime cambia subito lo stato, indipendentemente se il relativo bit nel PLC è stato settato o no. Nel prossimo ciclo di update del driver il bit verrà letto dal PLC. L'interruttore viene adeguato all'effettiva posizione del bit nel PLC.
Attenzione: l'interruttore può essere riutilizzato solo dopo che il valore è stato letto dal PLC.

Inattivo: l'interruttore cambia la sua posizione solo dopo che il bit è stato depositato nel PLC e è stato letto di nuovo.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_UI2

ReactionTime

Tempo di ritardo [ms]

Disponibile solo se è attivaInterruttore:
Se Pulsante è attiva tempo (in ms) per cui viene tenuto uno stato, a partire dal clic con il tasto sinistro del mouse sull´elemento corrispondente.

Se Pulsante non è attivato: ritardo della reazione al clic con il tasto sinistro del mouse.

Ulteriori informazioni nella guida in linea.

VT_BOOL

StayPressed

Mantieni stato premuto

Disponibile solo se e proprietà Interruttore, Pulsante e Reazione immediata sono attive.

Attivo: finché il tasto del mouse rimane premuto su questo elemento, non cambia la rappresentazione grafica - indipendentemente dal fatto se cambia il valore sul PLC. Nel caso dell´elemento Interruttore, deve essere attiva anche la proprietà 3D.
Inattiva: L´elemento rappresenta sempre il valore delle variabili del PLC.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Circle

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Circle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Spostamento sorgente luminosa

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Con valori di luminosità

Disponibile solamente se è stato selezionato come Tipo di riempimento Via effetto di riempimento.

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: La luminosità dell´effetto di riempimento viene assegnata automaticamente.

Nota: Se questa proprietà è attiva, non si potrà più modificare il tipo di riempimento Non sarà nemmeno possibile utilizzare degli angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Ulteriori informazioni nella guida in linea.

VT_UI1

OuterBrightness

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_UI1

InnerBrightness

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Display secured supply

E' a disposizione solo se Colori da ALC è stata attivata.

Selezione della modalità in cui deve essere rappresentato l'approvvigionamento assicurato.

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: Normale

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


CDynEleVarMulti

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> CDynEleVarMulti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI2 | Symbol | Simbolo | Dalla maschera selezione della gestione simboli si può scegliere un simbolo esistente. Ulteriori informazioni nella guida in linea.
ZT_COLOR | ColorLow | ColorLow |
ZT_COLOR | ColorHigh | ColorHigh |
ZT_COLOR | BkColorLow | BkColorLow |
ZT_COLOR | BkColorHigh | BkColorHigh |
VT_BSTR | BitmapLow | BitmapLow | "With this item you have the opportunity to get/set the picture for the ""low"" state of a multibin element via a string."
VT_BSTR | BitmapHigh | BitmapHigh | "With this item you have the opportunity to get/set the picture for the ""high"" state of a multibin element via a string."
VT_BSTR | StateTextLow | StateTextLow | With this property you have the opportunity to get/set the text for the low state of the mulibin element.
VT_BSTR | StateTextHigh | StateTextHigh | With this property you have the opportunity to get/set the text for the high state of the mulibin element.
VT_UI4 | KeyFlags1 | KeyFlags1 | "A long value which sets the keys for the ""key combination"" property of the multibin element. This property is available when a bool variable is linked to the element. "
VT_UI4 | KeyFlags2 | KeyFlags2 | "A long value which sets the keys for the ""key combination"" property of the multibin element. This property is available when a bool variable is linked to the element. "
VT_I2 | KeyFlags3 | KeyFlags3 | "A long value which sets the keys for the ""key combination"" property of the multibin element. This property is available when a bool variable is linked to the element. "
VT_UI4 | Value | Value |
VT_BSTR | Bits | Bits |
ZT_VARIABLE | ProjectVar | ProjectVar | This property returns a variable. It is also possible to link a new variable via this property.
VT_BSTR | SymVarName | SymVarName | This property returns the name of a variable.
VT_BSTR | SymVarTagNr | SymVarTagNr | This property returns the identification of a variable.


Combo Listbox

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Combo Listbox

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

More...

States

States

With this property you have the opportunity to get/set some properties of the different statis. The settings can be handled via some subitems.

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColorSelected

Colore di sfondo per la selezione

Definisce il colore di sfondo quando viene selezionato un elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti. Il colore è statico e non usa la variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI2

ControlType

Tipo controllo

ComboBox Questo elemento viene usato come Combobox.
ListBox: Questo elemento viene usato come Listbox.
Default: Listbox

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato presso l´elemento.

Colore:
un quadrato rosso indica che ci sono dei problemi nella comunicazione con il PLC.
Un quadrato blusul client indica che il client ha perso la sua connessione con il server.
Un quadrato blu sulla stazione indica che il valore non è stato inizializzato.

Posizione del quadrato sull´elemento quando esso ha la seguente forma:

rotondo: bordo superiore, al centro
arrotondato: angolo in alto a destra, leggermente spostato a sinistra
squadrato e tutti gli altri: angolo in alto a destra

Inattivo: Lo stato non viene visualizzato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

InstantReaction

Reazione immediata

Rende possibile nel caso di driver che reagiscono lentamente di rappresentare come se fosse già successa una reazione anche se la risposta del driver non è ancora giunta.

attivo: Rappresenta nella visualizzazione delle reazioni del driver come già avvenuto anche se non si sono ancora verificate.

Default: attivo

Nota: Nel caso in cui un driver non dovesse reagire, la mancanza della reazione non viene notata.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Status

Inserimenti

Disponibile solo se la proprietà Inserimento da variabile string non è attiva.

Cliccando sul pulsante ... si apre il dialogo che serve alla definizione degli inserimenti per una Listbox/Combobox statistica.

Ulteriori informazioni nella guida in linea.

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColorSelected

Colore testo per la selezione

Definisce il colore del testo quando viene selezionato un elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti. Il colore è statico e non usa la variabile collegata.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore testo

Nome della variabile il cui colore di valore limite deve influenzare quello del testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseDynContent

Inserimento da variabile string

Attivo: Gli inserimenti per Combo-/Listbox si definiscono mediante la variabile string selezionata nella proprietà Variabile.

Inattivo: gli inserimenti vengono definiti nell´Editor usando il dialogo della proprietà Inserimenti.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

DynContentVariable

Variabile

Disponibile solo se la proprietà Inserimento da variabile string è attiva.

Selezione della variabile string che contiene gli inserimenti per Combo-/Listbox. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Basisklasse dynamische Bildelemente

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Basisklasse dynamische Bildelemente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Link text

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Link text

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

VT_UI2

Frame

Cornice elemento

Lista a cascata che serve alla selezione del tipo di cornice. Sono a disposizione:

Cornice fine

3D

Default: Cornice fine

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato presso l´elemento.

Colore:
un quadrato rosso indica che ci sono dei problemi nella comunicazione con il PLC.
Un quadrato blusul client indica che il client ha perso la sua connessione con il server.
Un quadrato blu sulla stazione indica che il valore non è stato inizializzato.

Posizione del quadrato sull´elemento quando esso ha la seguente forma:

rotondo: bordo superiore, al centro
arrotondato: angolo in alto a destra, leggermente spostato a sinistra
squadrato e tutti gli altri: angolo in alto a destra

Inattivo: Lo stato non viene visualizzato.

Ulteriori informazioni nella guida in linea.

VT_BSTR

DynText

Testo

Disponibile solamente se è stata collegata una variabile numerica, e se per la proprietà Testo visualizzato si è selezionato Valore limite.

Inserimento del testo che deve essere visualizzato nel Runtime quando non c´è in attesa nessuna violazione di valore limite. Quando si verifica una violazione di valore limite, viene visualizzato il testo configurato nella variabile .

Ulteriori informazioni nella guida in linea.

VT_UI2

TextSource

Testo visualizzato

Selezione del contenuto da visualizzare nel Runtime scelto fra quelli proposti dal menù a tendina:

  • Descrizione apparecchiatura: Viene visualizzato il contenuto della proprietà variabile Identificazione servizio.
  • Testo valore limite: Finché non si verifica una violazione di valore limite, viene visualizzato il contenuto della proprietà immagine Testo. Quando si verifica una violazione di valore limite, viene visualizzato il contenuto della proprietà variabile Testo valore limite.
  • Unità di misura:: Viene visualizzato il contenuto della proprietà variabile Unità di misura.
  • Identificazione variabile: Viene visualizzato il contenuto della proprietà variabile Identificazione.
  • Nome variabile:: Viene visualizzato il contenuto della proprietà variabile Nome.
  • Valore variabili.: Viene visualizzato il valore della variabile.

Default: Testo valore limite

Il contenuto selezionato viene visualizzato nell´anteprima dell´elemento nella finestra principale al di sotto delle variabili collegate.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TranslateText

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HiddenInput

Input nascosto

Attivazione dell´inserimento di testo nascosto.

  • Attivo: Nel runtime il testo dell´elemento verrà mascherato e reso invisibile tramite l´uso caratteri.
    Il campo di inserimento verrà riempito usando per 8 volte il carattere selezionato nella proprietà Carattere per mascheratura.
    Carattere standard: *

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BSTR

MaskingLetter

Carattere per mascheratura

Selezione del carattere da utilizzare per mascherare il testo nel runtime.
Disponibile solo se la proprietà Input nascosto è stata attivata.

  • Si può inserire solo un carattere.
  • Il campo non può essere vuoto.
  • Se si inserisce uno spazio vuoto, il campo verrà visualizzato vuoto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_I2

HorizontalAlign

Orientamento orizzontale

Orientamento orizzontale dell´emissione nell´elemento per la visualizzazione.
Selezione dal menù a tendina:

  • Centrato
  • Orientamento a sinistra
  • Orientamento a destra

Default: Centrato

Ulteriori informazioni nella guida in linea.

VT_I2

VerticalAlign

Orientamento verticale

Orientamento verticale dell´emissione nell´elemento per la visualizzazione.
Selezione dal menù a tendina.

  • Centrato
  • In alto
  • In basso

Default: Centrato

Ulteriori informazioni nella guida in linea.

VT_BOOL

Wordbreak

A capo automatico
  • Attivo: si usa un cambio riga automatico per il testo nell´elemento.
    La lunghezza delle righe dipende dalla larghezza dell´elemento.
  • Inattivo: il testo viene visualizzato in una riga.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore testo

Nome della variabile il cui colore di valore limite deve influenzare quello del testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitColor

Utilizza colore da valore limite

Stabilisce se viene visualizzato nel runtime il colore del valore limite per la variabile collegata all´elemento.
Il colore ha effetto sul testo visualizzato, o nel caso dello slider universale, sul suo indicatore.

  • Attivo: Nel runtime viene visualizzato il colore di valore limite definito.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

ZT_MDIFUNKTION

MDIFunction

Operazione specifica per il tipo di immagine

Disponibile solamente in immagini di un tipo particolare (il tipo di immagine non è standard):
Collegamento ad una funzione specifica per il tipo di immagine. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una delle funzioni specifiche per questo tipo di immagine. Questa funzione viene eseguita se si clicca nel Runtime sul pulsante, oppure se si preme la combinazione tasti corrispondente.

Attenzione: Oltre ad una funzione specifica per un tipo di immagine, si può collegare al pulsante anche una funzione generale. In questo caso, tenete presente la successione di esecuzione al momento di premere il pulsante. Prima viene eseguita la funzione specifica per il tipo di immagine. Solo dopo che essa è stata eseguita, sarà la volta di quella generale. Se nel Runtime dovessero essere collegati al pulsante degli eventi VBA, questi verranno eseguiti prima delle funzioni.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Transparent

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsSetValue

Settaggio valori attivo
  • Attivo: Per il corrispondente elemento dinamico, è consentito settare valori impostabili.
  • Inattivo: L´elemento è protetto da scrittura.

Non disponibile per l´elemento Collega testo se è stato settato nell´immagine su read only.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Preset

Proponi il valore attuale

Attivo: Proporre il valore attuale della variabile come valore impostabile.
In questo caso, il valore, prima di essere settato, viene addizionato (valore positivo) o sottratto (valore negativo) a quello attuale sotto "Settaggio valore / modifica di".
Inattivo: viene proposto il valore definito in "Settaggio valore / modifica di".

Ulteriori informazioni nella guida in linea.

VT_BOOL

HWDirect

Senza dialogo

Attivo: Settare il valore inserito come valore impostabile nel Runtime senza la possibilità di modifica.
Inattivo: prima che il valore venga scritto sull´hardware, l´utente ha la possibilità di modificarlo nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

CommitOnKillFocus

Interrompi alla perdita del focus

Comportamento dell´elemento in fase di settaggio del valore impostabile nel runtime:

  • Attivo: Il valore viene settato non appena l´elemento di controllo perde il focus.
    Usando il tasto Esc, l´inserimento viene annullato e il valore non viene settato.
  • Inattivo: Il valore viene settato usando il tasto Ins.
    Usando il tasto Esc, l´inserimento viene annullato e il valore non viene settato.

Valore di default:

  • Come elemento nell´immagine: inattivo
  • Testo dinamico editabile dal menù Elementi di controllo: attiva

Ulteriori informazioni nella guida in linea.

VT_BSTR

SetValueText

Testo valore impostabile

Testo che viene usato nel Runtime come proposta per il settare il valore impostabile.

Disponibile solamente se le seguenti condizioni sono soddisfatte:

  • la proprietà Settaggio valori attivo è attiva
  • la proprietà Proponi il valore attuale è disattivata
  • la variabile collegata è del tipo STRING

Lunghezza massima del testo: dipende dal valore della proprietà Lunghezza stringa per la variabile collegata.

Nota: Se si usa questa proprietà quando la proprietà Senza dialogo è disattivata, nel Runtime il valore verrà scritto direttamente nell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

SetValue

Settaggio valore / modifica di

valore da settare o da proporre come default.
Se l´opzione "Proponi il valore attuale" è attiva: Valore che viene addizionato a quello attuale.
In combinazione con la proprietà "Senza dialogo". si può realizzare in tal modo un incrementary (valore positivo) e decrementary switch (valore negativo).

Ulteriori informazioni nella guida in linea.

VT_UI1

SetValueWith

Setta valore impostabile tramite

Configurazione del modo in cui viene settato il valore impostabile.
Selezione dal combobox:

  • Comando: il nuovo valore viene settato facendo uso dell´azione Impostazione valore nei Comando.
  • Box di dialogo : Il nuovo valore viene inserito tramite il box di dialogo standard. Se esiste un'immagine del tipo Keyboard dal nome SETVALUEKBD (per variabili numeriche), oppure SETSTRINGKBD (per variabili stringa), essa viene usata al posto del box di dialogo standard.
    Nota: Se l´elemento è collegato ad una funzione che consente di effettuare inserimenti, Utilizza immagine tipo Keyboard viene attivato automaticamente. Se nella proprietà Immagine tipo Keyboard è collegata un´immagine, verrà usata quest´ultima. Altrimenti si usa una keyboard del tipo SETSTRINGKBD.
  • Elemento dinamico: Il nuovo valore viene inserito direttamente nell'elemento (solo con gli elementi Valore numerico e Testo).
  • Programma: il nuovo valore viene inserito in un programma esterno.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SetProgram

Programma esterno

Disponibile solamente se per Setta valore impostabile è stato selezionato "Programma esterno":
Il settaggio del valore impostabile viene eseguito tramite un programma esterno, che deve essere selezionato fra quelli proposti nella finestra di dialogo che viene aperta in questa sede.

Questo programma verrà poi lanciato e otterrà i seguenti parametri:
1) Nome della variabile collegata
2) Valore proposto, nel modo definito nelle proprietà corrispondenti.
3) Coordinata sinistra dell´elemento in pixel
4) Coordinata superiore dell´elemento in pixel
5) Coordinata destra dell´elemento in pixell
6) Coordinata inferiore dell´elemento in pixel
7) erlaubtes Minimum für den Sollwert, wie in den entsprechenden Eigenschaften definier
8) Massimo consentito per il valore impostabile, come definito nelle proprietà corrispondenti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_PICTURE

KbdName

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitFromVar

Riprendi limiti di valori impostabili da variabile

Attivo: la restrizione dell’ambito, nel quale possono essere immesse delle soglie, non viene definito con minimo o massimo ma nella definizione della variabile.
Inattivo: la restrizione dell´ambito del campo può essere indicata anche direttamente in "Minimo" e "Massimo".

Ulteriori informazioni nella guida in linea.

VT_R8

Min

Minimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite inferiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il minimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_R8

Max

Massimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite superiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il massimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Universal slider

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Universal slider

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

VT_UI2

Frame

Cornice elemento

Lista a cascata che serve alla selezione del tipo di cornice. Sono a disposizione:

Cornice fine

3D

Default: Cornice fine

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowUnit

Visualizza unità

Disponibile solo:
Generale: disponibile solo se la proprietà Visualizzare valori è stata attivata.
Nel caso dell´elemento Orologio: disponibile solamente se è stato selezionato come Tipo di visualizzazione Differenza di tempo.
Nel caso dell´elemento Strumento analogico: disponibile solo se la proprietà 3D è stata attivata.

Attivo: l´unità tecnica della variabile collegata viene visualizzata dietro al valore.
Se il valore viene indicato in percentuale, viene usato il segno % al posto dell´unità tecnica della variabile collegata.
Inattiva: l´unità tecnica non viene visualizzata.
Default: attiva:

Nota:

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato presso l´elemento.

Colore:
un quadrato rosso indica che ci sono dei problemi nella comunicazione con il PLC.
Un quadrato blusul client indica che il client ha perso la sua connessione con il server.
Un quadrato blu sulla stazione indica che il valore non è stato inizializzato.

Posizione del quadrato sull´elemento quando esso ha la seguente forma:

rotondo: bordo superiore, al centro
arrotondato: angolo in alto a destra, leggermente spostato a sinistra
squadrato e tutti gli altri: angolo in alto a destra

Inattivo: Lo stato non viene visualizzato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Percentage

Visualizza valore in una percentuale
  • Attivo: il valore della variabile viene rappresentato in valori compresi fra 0 - 100%.
  • Inattivo: Il valore viene rappresentato come di solito.

Fascia di valori:

  • Area di misurazione: minimo. 0%
  • Area di misurazione: massimo. 100%

La conversione avviene in forma lineare. Anche gli inserimenti relativi ai valori impostabili vengono espressi in percentuale.
Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

Absolute

Valore assoluto

Per l´elemento Valore numerico, disponibile solamente se Visualizza valore in una percentuale non è attivo.

  • Attivo: visualizzazione del valore della variabile senza segno precedente (-200 = 200).
  • Inattiva: normale visualizzazione del valore.

Default: inattivo

Nota: l´inserimento del valore impostabile avviene in questo caso in percentuale.

Ulteriori informazioni nella guida in linea

VT_BOOL

LimitColor

Utilizza colore da valore limite

Stabilisce se viene visualizzato nel runtime il colore del valore limite per la variabile collegata all´elemento.
Il colore ha effetto sul testo visualizzato, o nel caso dello slider universale, sul suo indicatore.

  • Attivo: Nel runtime viene visualizzato il colore di valore limite definito.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

MouseMovement

Settare valore durante il movimento del mouse

Attivo: Continuo invio di nuovi valori mentre si muove il mouse.
Inattivo: invio singolo di un nuovo valore quando si rilascia il tasto del mouse.
(Solo quando nella sezione “Valore impostabile” é attivata l’opzione “Direttamente su Hardware“).

Ulteriori informazioni nella guida in linea.

VT_BOOL

Discrete

Discreto

Inserimento valore a passi impostati.

Ulteriori informazioni nella guida in linea.

VT_I2

DiscreteSteps

Livelli discreti

Numero dei passi per la proprietà Livelli discreti.

Minimo: 2

Massimo: 20

Default: 5

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Transparent

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsSetValue

Settaggio valori attivo
  • Attivo: Per il corrispondente elemento dinamico, è consentito settare valori impostabili.
  • Inattivo: L´elemento è protetto da scrittura.

Non disponibile per l´elemento Collega testo se è stato settato nell´immagine su read only.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Preset

Proponi il valore attuale

Attivo: Proporre il valore attuale della variabile come valore impostabile.
In questo caso, il valore, prima di essere settato, viene addizionato (valore positivo) o sottratto (valore negativo) a quello attuale sotto "Settaggio valore / modifica di".
Inattivo: viene proposto il valore definito in "Settaggio valore / modifica di".

Ulteriori informazioni nella guida in linea.

VT_BOOL

HWDirect

Senza dialogo

Attivo: Settare il valore inserito come valore impostabile nel Runtime senza la possibilità di modifica.
Inattivo: prima che il valore venga scritto sull´hardware, l´utente ha la possibilità di modificarlo nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_R8

SetValue

Settaggio valore / modifica di

valore da settare o da proporre come default.
Se l´opzione "Proponi il valore attuale" è attiva: Valore che viene addizionato a quello attuale.
In combinazione con la proprietà "Senza dialogo". si può realizzare in tal modo un incrementary (valore positivo) e decrementary switch (valore negativo).

Ulteriori informazioni nella guida in linea.

VT_UI1

SetValueWith

Setta valore impostabile tramite

Configurazione del modo in cui viene settato il valore impostabile.
Selezione dal combobox:

  • Comando: il nuovo valore viene settato facendo uso dell´azione Impostazione valore nei Comando.
  • Box di dialogo : Il nuovo valore viene inserito tramite il box di dialogo standard. Se esiste un'immagine del tipo Keyboard dal nome SETVALUEKBD (per variabili numeriche), oppure SETSTRINGKBD (per variabili stringa), essa viene usata al posto del box di dialogo standard.
    Nota: Se l´elemento è collegato ad una funzione che consente di effettuare inserimenti, Utilizza immagine tipo Keyboard viene attivato automaticamente. Se nella proprietà Immagine tipo Keyboard è collegata un´immagine, verrà usata quest´ultima. Altrimenti si usa una keyboard del tipo SETSTRINGKBD.
  • Elemento dinamico: Il nuovo valore viene inserito direttamente nell'elemento (solo con gli elementi Valore numerico e Testo).
  • Programma: il nuovo valore viene inserito in un programma esterno.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SetProgram

Programma esterno

Disponibile solamente se per Setta valore impostabile è stato selezionato "Programma esterno":
Il settaggio del valore impostabile viene eseguito tramite un programma esterno, che deve essere selezionato fra quelli proposti nella finestra di dialogo che viene aperta in questa sede.

Questo programma verrà poi lanciato e otterrà i seguenti parametri:
1) Nome della variabile collegata
2) Valore proposto, nel modo definito nelle proprietà corrispondenti.
3) Coordinata sinistra dell´elemento in pixel
4) Coordinata superiore dell´elemento in pixel
5) Coordinata destra dell´elemento in pixell
6) Coordinata inferiore dell´elemento in pixel
7) erlaubtes Minimum für den Sollwert, wie in den entsprechenden Eigenschaften definier
8) Massimo consentito per il valore impostabile, come definito nelle proprietà corrispondenti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_PICTURE

KbdName

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitFromVar

Riprendi limiti di valori impostabili da variabile

Attivo: la restrizione dell’ambito, nel quale possono essere immesse delle soglie, non viene definito con minimo o massimo ma nella definizione della variabile.
Inattivo: la restrizione dell´ambito del campo può essere indicata anche direttamente in "Minimo" e "Massimo".

Ulteriori informazioni nella guida in linea.

VT_R8

Min

Minimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite inferiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il minimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_R8

Max

Massimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite superiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il massimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

ShowValue

Visualizzare valori

Visualizzazione del valore attuale come numero; posizione e colore della scritta nell’elemento possono essere scelti liberamente.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ValueColor

Colore valore

Colore per il valore da visualizzare.

Ulteriori informazioni nella guida in linea.

VT_I2

ValuePos

Posizione valore

Posizione per il valore da visualizzare.

Ulteriori informazioni nella guida in linea.

VT_UI2

ValueBase

Base numerica di visualizzazione

Selezione del sistema di numerazione per la rappresentazione dei valori.
Sono disponibili i seguenti sistemi di numerazione:

  • Binari: rappresentazione binaria.
  • Decimale: Rappresentazione decimale.
  • Esponenziale: Rappresentazione decimale in scrittura esponenziale. Esempio: 1E+03 corrisponde a 1000 nella rappresentazione decimale.
  • Esadecimale: Rappresentazione esadecimale.
  • Ottale: Rappresentazione ottale.

Default: Decimale.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowValueBasis

Visualizzazione base

È disponibile solamente se per la proprietà Base numerica di visualizzazione avete selezionatobinaria, esadecimale , oppure ottale.

  • Attivo: Dietro al valore viene visualizzata un´abbreviazione per la base numerica.

Vengono visualizzate le seguenti abbreviazioni:

  • Binario b
  • Decimale: (nessuna abbreviazione)
  • Esponenziale: (nessuna abbreviazione)
  • Esadecimale: h
  • Ottale: o

Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowLeadingZeros

Visualizza zeri iniziali

E´disponibile solamente se in corrispondenza della proprietà Base numerica di visualizzazione, avete selezionato binaria, decimale, esadecimale, oppure ottale.

Stabilisce se devono essere visualizzati anche gli zero iniziali nella rappresentazione del valore numerico.

  • Inattivo: Gli zeri all´inizio vengono soppressi.
  • Attivo: I valori numerici vengono visualizzati in corrispondenza della loro base numerica con un numero diverso di cifre. Le cifre non necessarie per il numero vengono riempite di zero.

Default: inattivo

Per le diverse basi numeriche sono a disposizione le seguente posizioni:

  • Binario 32 cifre
  • Decimale: 10 cifre
  • Esadecimale: 8 cifre
  • Ottale: 11 cifre

Ulteriori informazioni nella guida in linea.

VT_BOOL

ViewLimitFromVar

Range di visualizzazione letto dalla variabile+

Riprende l´area di visualizzazione dalla variabile collegata. Così queste aree di visualizzazione possono essere attualizzate con altre mediante la sostituzione con una variabile.

Ulteriori informazioni nella guida in linea.

VT_R8

ViewMin

Minimo

Valore minimo della variabile che deve essere visualizzato nell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

ViewMax

Massimo

Valore massimo della variabile che deve essere visualizzato nell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

DynMinVar

Minimo

Variabile che definisce la dimensione minima dell'area di visualizzazione nel Runtime.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

DynMaxVar

Massimo

Variabile che definisce la dimensione massima dell'area di visualizzazione nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_I2

Shape

Forma

Lineare: Rappresentazione come bara o slider.
Rotondo: Visualizzazione come strumento analogico

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Solo per forma lineare:
Orizzontale: Rappresentazione orizzontale della barra o dello slider.
Verticale: Rappresentazione verticale della barra o dello slider.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

PointerColor

Colore lancetta/barra

Colore della lancetta resp. barra

Ulteriori informazioni nella guida in linea.

VT_I2

Style

Stile

Sono a disposizione i seguenti stili di rappresentazione:
– Slider/potenziometro
– Barra
– Barra LED
– scala movimentata

Ulteriori informazioni nella guida in linea.

VT_I2

Pointer

Tipo di lancetta

Denotazione grafica del valore attuale attraverso:
- Linea
– Lancetta
– Dreieck

Ulteriori informazioni nella guida in linea.

VT_BOOL

Explicit

Barra esplicita

Disponibile solamente se per la proprietà Stile Barra si è selezionata l´opzione Scala animata o Barre LED.

Questa proprietà ha effetto solamente sulla rappresentazione di valori con valori limite definiti da variabili. I valori limite da matrici di reazione non vengono presi in considerazione.

  • Attivo: Se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
    Se la variabile ha diversi valori limite, le corrispondenti aree della rappresentazione sono visualizzate con il colore corrispondente del valore limite.
  • Inattivo: se un valore limite della variabile collegata viene violato, tutta la visualizzazione viene rappresentata con il colore del valore limite violato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReverseDirection

Direzione invertita

Inversione di valore minimo e massimo nella rappresentazione grafica.

Ulteriori informazioni nella guida in linea.

VT_R8

Start

Angolo di partenza

Disponibile solo per forma rotonda:
Posizione dello strumento analogico per il valore minimale (0° giù).

Ulteriori informazioni nella guida in linea.

VT_R8

End

Angolo estremo

Disponibile solo per forma rotonda:
Posizione dello strumento analogico per il valore massimo (0° giù).

Ulteriori informazioni nella guida in linea.

VT_BOOL

MinMaxView

Visualizza lancetta

Attivare la visualizzazione min/max.

Ulteriori informazioni nella guida in linea.

VT_I2

MinMaxShape

Rappresentazione

Visione grafica (lancetta) per valore MIN e MAX attraverso:
– Linea
– Lancetta
– triangolo

Ulteriori informazioni nella guida in linea.

ZT_COLOR

MinColor

Colore valore min.

Colore per il minimo visualizzato.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

MaxColor

Colore valore max.

Colore per il massimo visualizzato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AutoReset

Reset automatico

Lancetta comando per visualizzazione MIN/MAX ripristinata automaticamente dopo il tempo inserito.

Ulteriori informazioni nella guida in linea.

VT_I2

AutoResetTime

Reset automatico dopo [min]

Tempo per il resettaggio automatico di Min./Max. Visualizzazione.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowScale

Visualizza scala

Attivo: Viene visualizzata una scala vicino all´elemento.
Inattivo: Non viene visualizzata nessuna scala.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Logarithmic

Logaritmica

Attivo: Scala logaritmica
Inattivo: Scala lineare.

Ulteriori informazioni nella guida in linea.

VT_I2

ScaleDistance

Distanza [Pixel]

Distanza fra scala ed elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I2

ScaleHeight

Altezza [Pixel]

Altezza della scala (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I2

MainTicks

Suddivisioni principali

Campo valori per i tick principali (indicazione di cifra) della scala.

Esempio: L'inserimento 50 porta alla visualizzazione di un tick principale in intervalli di 50: 0 - 50 - 100 - 150 ...

Ulteriori informazioni nella guida in linea.

VT_I2

SmallTicks

Suddivisioni secondare

Campo valori per le suddivisioni secondarie (nessuna indicazione di cifra) sulla scala.
Esempio: Se si inserisce 100, il sistema visualizzerà una suddivisione secondaria per ogni avanzamento di mille iniziando dal valore più piccolo visualizzato.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

MainTickColor

Colore divisioni principali

Colore per i tick principali (indicazione di cifra) della scala.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

SmallTickColor

Colori divisioni secondarie

Colore dei tick secondari (nessuna indicazione di cifra) sulla scala.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowKnob

Visualizza bottone

Al posto del valore attuale sull’elemento viene visualizzato un elemento di comando (bottone).

Ulteriori informazioni nella guida in linea.

ZT_COLOR

KnobColor

Colore bottone

Colore del bottone.

Ulteriori informazioni nella guida in linea.

VT_I2

KnobStyle

Forma di bottone

Selezionare la forma del bottone fra quelle della lista. (piana, rialzata, profonda)

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowLegend

Visualizza la legenda

Se attivata viene visualizzata una legènda (valori) alla scala.

Ulteriori informazioni nella guida in linea.

VT_I2

LegendDistance

Distanza [Pixel]

Distanza fra legenda e scala (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_COLOR

LegendColor

Colore legenda

Colore della legenda.

Ulteriori informazioni nella guida in linea.

VT_I2

LeftFrame

Sinistra [Pixel]

Distanza tra il margine sinistro dell´elemento e la visualizzazione grafica (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I2

TopFrame

Su [Pixel]

Distanza tra il margine superiore dell´elemento e la visualizzazione grafica (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I2

RightFrame

Destra [Pixel]

Distanza tra il margine a destra dell´elemento e la visualizzazione grafica (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I2

BottomFrame

Giu [Pixel]

Distanza tra il margine inferiore dell´elemento e la visualizzazione grafica (in pixel)

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowTitle

Visualizza titolo

Visualizza titolo.

Ulteriori informazioni nella guida in linea.

VT_I2

ValueDistance

Distanza [Pixel]

Distanza fra titolo e segnalazione del valore (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I2

TitlePos

Posizione titolo

Posizione del titolo.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TitleColor

Colore titolo

Colore testo del titolo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

TitleText

Testo titolo

Testo che deve essere visualizzato come titolo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Line

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Line

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Display secured supply

E' a disposizione solo se Colori da ALC è stata attivata.

Selezione della modalità in cui deve essere rappresentato l'approvvigionamento assicurato.

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: Normale

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Message

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Message

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ThreeDimensional

3D

Attivo: l´elemento viene visualizzato in 3 dimensioni.
Inattivo: l´elemento viene visualizzato come superficie piatta.

Ulteriori informazioni nella guida in linea.

VT_UI4

TextChangeTime

Tempo per cambio di testo [s]

a più bits settati delle variabili di riga si esegue il cambio testo automatico dopo il tempo progettato.

Ulteriori informazioni nella guida in linea.

ZT_MELDETEXT

MessageText

File testo

Scelta del file di testo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Variable

Scelta colonne

La variabile colonne deve essere una variabile del tipo word e definisce la posizione della colonna, dalla quale si riprende il testo.

Attenzione: La variabile colonne deve essere selezionata prima della variabile di riga.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ColVars

Attivazione linea

La variabile di riga definisce la posizione della riga, dalla quale si riprende il testo.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Transparent

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


EMF WMF

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> EMF WMF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Spostamento sorgente luminosa

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Con valori di luminosità

Disponibile solamente se è stato selezionato come Tipo di riempimento Via effetto di riempimento.

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: La luminosità dell´effetto di riempimento viene assegnata automaticamente.

Nota: Se questa proprietà è attiva, non si potrà più modificare il tipo di riempimento Non sarà nemmeno possibile utilizzare degli angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Ulteriori informazioni nella guida in linea.

VT_UI1

OuterBrightness

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_UI1

InnerBrightness

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Display secured supply

E' a disposizione solo se Colori da ALC è stata attivata.

Selezione della modalità in cui deve essere rappresentato l'approvvigionamento assicurato.

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: Normale

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Multibin

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Multibin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

States

States

With this property you have the opportunity to get/set some properties of the different statis. The settings can be handled via some subitems.

VT_UI1

LinkType

LinkType

VT_BOOL

OriginalSize

OriginalSize

VT_BOOL

RegardAllVarBlinking

RegardAllVarBlinking

VT_BOOL

IsText

IsText

VT_BOOL

IsBackColor

IsBackColor

ZT_COLOR

BlinkBackColor

BlinkBackColor

VT_BOOL

FillOnly

FillOnly

VT_UI2

SwitchFunction

SwitchFunction

"With this property you get/set the different switch modes when a bool variable is linked at the element.
zElement.DynProperties(""SwitchFunction"") = 0 'Set to ""Read only""
zElement.DynProperties(""SwitchFunction"") = 1 'Set to ""TOOGLE""
zElement.DynProperties(""SwitchFunction"") = 2 'Set to ""Momentary switch On""
zElement.DynProperties(""SwitchFunction"") = 3 'Set to ""Momentary switch Off"""

VT_BOOL

ShowState

Visualizza stato della variabile

Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato presso l´elemento.

Colore:
un quadrato rosso indica che ci sono dei problemi nella comunicazione con il PLC.
Un quadrato blusul client indica che il client ha perso la sua connessione con il server.
Un quadrato blu sulla stazione indica che il valore non è stato inizializzato.

Posizione del quadrato sull´elemento quando esso ha la seguente forma:

rotondo: bordo superiore, al centro
arrotondato: angolo in alto a destra, leggermente spostato a sinistra
squadrato e tutti gli altri: angolo in alto a destra

Inattivo: Lo stato non viene visualizzato.

Ulteriori informazioni nella guida in linea.

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

ZT_MULTI

Status

Stati

Apre la finestra di dialogo per la definizione degli stati.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI2

ReactionTime

Tempo di ritardo [ms]

Disponibile solo se è attivaInterruttore:
Se Pulsante è attiva tempo (in ms) per cui viene tenuto uno stato, a partire dal clic con il tasto sinistro del mouse sull´elemento corrispondente.

Se Pulsante non è attivato: ritardo della reazione al clic con il tasto sinistro del mouse.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Base class picture elements

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Base class picture elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Tube

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Tube

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Coordinates

Coordinates

"With this property you can get/set the coordinates of the element via a string.
zElement.DynProperties(""Coordinates"") = ""197/118;260/200"""

VT_R4

SplineTension

Arrotondamento

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

Definisce l´arrotondamento per polilinee, poligoni e tubature.

Valori: 0,0 (nessun arrotondamento) fino a 1,0. (massimo arrotondamento)

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

VT_UI2

Offset_H

Distanza orizz. [Pixel]

Distanza in orizzontale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

VT_UI2

Offset_V

Distanza vert. [Pixel]

Distanza in verticale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Spostamento sorgente luminosa

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Con valori di luminosità

Disponibile solamente se è stato selezionato come Tipo di riempimento Via effetto di riempimento.

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: La luminosità dell´effetto di riempimento viene assegnata automaticamente.

Nota: Se questa proprietà è attiva, non si potrà più modificare il tipo di riempimento Non sarà nemmeno possibile utilizzare degli angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Ulteriori informazioni nella guida in linea.

VT_UI1

OuterBrightness

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_UI1

InnerBrightness

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Display secured supply

E' a disposizione solo se Colori da ALC è stata attivata.

Selezione della modalità in cui deve essere rappresentato l'approvvigionamento assicurato.

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: Normale

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Polygon

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Polygon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Coordinates

Coordinates

"With this property you can get/set the coordinates of the element via a string.
zElement.DynProperties(""Coordinates"") = ""197/118;260/200"""

VT_R4

SplineTension

Arrotondamento

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

Definisce l´arrotondamento per polilinee, poligoni e tubature.

Valori: 0,0 (nessun arrotondamento) fino a 1,0. (massimo arrotondamento)

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Spostamento sorgente luminosa

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Display secured supply

E' a disposizione solo se Colori da ALC è stata attivata.

Selezione della modalità in cui deve essere rappresentato l'approvvigionamento assicurato.

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: Normale

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Polyline

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Polyline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Coordinates

Coordinates

"With this property you can get/set the coordinates of the element via a string.
zElement.DynProperties(""Coordinates"") = ""197/118;260/200"""

VT_R4

SplineTension

Arrotondamento

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

Definisce l´arrotondamento per polilinee, poligoni e tubature.

Valori: 0,0 (nessun arrotondamento) fino a 1,0. (massimo arrotondamento)

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

VT_UI2

Offset_H

Distanza orizz. [Pixel]

Distanza in orizzontale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

VT_UI2

Offset_V

Distanza vert. [Pixel]

Distanza in verticale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Display secured supply

E' a disposizione solo se Colori da ALC è stata attivata.

Selezione della modalità in cui deve essere rappresentato l'approvvigionamento assicurato.

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: Normale

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Picture elements

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Picture elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Rectangle

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Rectangle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_STYLE

RoundingStyle

Stile arrotondamento

Visualizzazione e selezione dello stile degli arrotondamenti assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Spostamento sorgente luminosa

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Con valori di luminosità

Disponibile solamente se è stato selezionato come Tipo di riempimento Via effetto di riempimento.

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: La luminosità dell´effetto di riempimento viene assegnata automaticamente.

Nota: Se questa proprietà è attiva, non si potrà più modificare il tipo di riempimento Non sarà nemmeno possibile utilizzare degli angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Ulteriori informazioni nella guida in linea.

VT_UI1

OuterBrightness

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_UI1

InnerBrightness

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Display secured supply

E' a disposizione solo se Colori da ALC è stata attivata.

Selezione della modalità in cui deve essere rappresentato l'approvvigionamento assicurato.

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: Normale

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Switch

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Switch

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

ZT_MDIFUNKTION

MDIFunction

Operazione specifica per il tipo di immagine

Disponibile solamente in immagini di un tipo particolare (il tipo di immagine non è standard):
Collegamento ad una funzione specifica per il tipo di immagine. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una delle funzioni specifiche per questo tipo di immagine. Questa funzione viene eseguita se si clicca nel Runtime sul pulsante, oppure se si preme la combinazione tasti corrispondente.

Attenzione: Oltre ad una funzione specifica per un tipo di immagine, si può collegare al pulsante anche una funzione generale. In questo caso, tenete presente la successione di esecuzione al momento di premere il pulsante. Prima viene eseguita la funzione specifica per il tipo di immagine. Solo dopo che essa è stata eseguita, sarà la volta di quella generale. Se nel Runtime dovessero essere collegati al pulsante degli eventi VBA, questi verranno eseguiti prima delle funzioni.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Scanner

Pulsante

Disponibile solo se Interruttore è attivo. (Eccezione: Sempre disponibile nell' elemento dinamico Interruttore.)
Attivo: lo stato - definito nella proprietà Pulsante ON - viene instaurato solamente finché si tiene premuto il tasto sinistro del mouse, ma perlomeno per la durata di Tempo di ritardo [ms].
Non attivo: Lo stato rimane anche se il tasto del mouse viene rilasciato.
Default: non attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ScannerOn

Pulsante ON

Disponibile solo se Pulsante è attiva:
Attiva: Pulsante su On.
Inattivo: Pulsante Off.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ResetOnLeave

Reset al rilascio

Disponibile solo sePulsante è attivo:
nel caso in cui il puntatore del mouse venga allontanato dal pulsante tenendo premuto il tasto, il valore della variabile viene resettato automaticamente.

Ulteriori informazioni nella guida in linea

VT_BOOL

FastReaction

Reazione immediata

Disponibile solo se Interruttore è attiva:
Attiva: Se attivato, l'interruttore alla premuta nel runtime cambia subito lo stato, indipendentemente se il relativo bit nel PLC è stato settato o no. Nel prossimo ciclo di update del driver il bit verrà letto dal PLC. L'interruttore viene adeguato all'effettiva posizione del bit nel PLC.
Attenzione: l'interruttore può essere riutilizzato solo dopo che il valore è stato letto dal PLC.

Inattivo: l'interruttore cambia la sua posizione solo dopo che il bit è stato depositato nel PLC e è stato letto di nuovo.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_UI2

ReactionTime

Tempo di ritardo [ms]

Disponibile solo se è attivaInterruttore:
Se Pulsante è attiva tempo (in ms) per cui viene tenuto uno stato, a partire dal clic con il tasto sinistro del mouse sull´elemento corrispondente.

Se Pulsante non è attivato: ritardo della reazione al clic con il tasto sinistro del mouse.

Ulteriori informazioni nella guida in linea.

VT_BOOL

StayPressed

Mantieni stato premuto

Disponibile solo se e proprietà Interruttore, Pulsante e Reazione immediata sono attive.

Attivo: finché il tasto del mouse rimane premuto su questo elemento, non cambia la rappresentazione grafica - indipendentemente dal fatto se cambia il valore sul PLC. Nel caso dell´elemento Interruttore, deve essere attiva anche la proprietà 3D.
Inattiva: L´elemento rappresenta sempre il valore delle variabili del PLC.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ThreeDimensional

3D

Attivo: l´elemento viene visualizzato in 3 dimensioni.
Inattivo: l´elemento viene visualizzato come superficie piatta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato presso l´elemento.

Colore:
un quadrato rosso indica che ci sono dei problemi nella comunicazione con il PLC.
Un quadrato blusul client indica che il client ha perso la sua connessione con il server.
Un quadrato blu sulla stazione indica che il valore non è stato inizializzato.

Posizione del quadrato sull´elemento quando esso ha la seguente forma:

rotondo: bordo superiore, al centro
arrotondato: angolo in alto a destra, leggermente spostato a sinistra
squadrato e tutti gli altri: angolo in alto a destra

Inattivo: Lo stato non viene visualizzato.

Ulteriori informazioni nella guida in linea.

ZT_IMAGELIST

PredefinedBitmaps

Bitmap predefiniti

I file grafici predefiniti per lo stato LOW/HIGH possono essere selezionati fra quelli della lista.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapLow

Bitmap per stato Spento (0)

File grafico predefinito o definito dall´utente per lo stato LOW dell´interruttore.

Ulteriori informazioni nella guida in linea.

ZT_FILE

BitmapHigh

Bitmap per stato Acceso(1)

File grafico predefinito o definito dall´utente per lo stato HIGH dell´interruttore.

Ulteriori informazioni nella guida in linea.

VT_UI2

GraphicSize

Dimensione bitmap

Definizione della dimensione della grafica.

  • Allungato: La dimensione della grafica viene adeguata alla grandezza dell´elemento.
  • Dimensione originale: La grafica collegata viene visualizzata nella grandezza originale.
    Se si seleziona questa opzione, non sarà più possibile configurare in modo individuale le proprietà Larghezza [Pixel] e Altezza [Pixel] con gli elementi multibinarii, gli elementi combinati, bottone e interruttore

Default: Allungato

Ulteriori informazioni nella guida in linea.

VT_BOOL

Animate

Sempre

Attiva: l´animazione è sempre attiva.
Non attiva: l´animazione non viene eseguita. E´ prevista la possibilità di attivare e disattivare l´animazione con una Variabile collegata.

Ulteriori informazioni nella guida in linea

ZT_VARIABLE_DYN

AnimateVar

Variabile

Variabile bit che apre e chiude l´animazione.

Ulteriori informazioni nella guida in linea.

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


CStatusElemZustand

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> CStatusElemZustand

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI4 | Value | Value |
VT_UI4 | ValueMask | ValueMask |
VT_UI8 | Status | Status |
VT_UI8 | StatusMask | StatusMask |
ZT_COLOR | Color | Color |
ZT_COLOR | BkColor | BkColor |
VT_BOOL | Blinking | Blinking |
VT_BOOL | BkTransparent | BkTransparent |
VT_BOOL | LayerTransparent | LayerTransparent |
VT_BOOL | IsSymbolColor | IsSymbolColor |
VT_BOOL | IsTopologyColor | IsTopologyColor |
VT_BOOL | IsTopologyBkColor | IsTopologyBkColor |
VT_UI4 | Additive | Additive |
VT_UI4 | AdditiveMask | AdditiveMask |
VT_BSTR | TextOrBitmap | TextOrBitmap |
VT_BSTR | SymbolName | SymbolName |
VT_BSTR | SymbolPath | SymbolPath |
VT_BSTR | Formula | Formula |
VT_BSTR | DownText | DownText |


Combi

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Combi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

States

States

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

More...

DynEleFkt

DynEleFkt

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

ZT_FUNCTION_DYN

Function

Funzione

Nome della funzione collegata.
Apre il dialogo per la selezione della funzione.
Questa funzione viene eseguita quando si clicca servendosi del mouse sul pulsante nel Runtime, oppure si usa la combinazione di tasti connessa.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Solo SICAM 230 ed elemento Allarme - immagine:

Oltre alla proprietà standard Cambio immagine , si stabilisce tramite la funzione collegata anche l'immagine i cui stati di allarme debbono essere visulizzati.
Obbligatorio (nel caso di impostazione Globale attiva)!

Ulteriori informazioni nella guida in linea.

VT_BSTR

FunctionParameter

Parametro per sostituzione

Inserimento della successione caratteri per la sostituzione via parametro. Sostituisce nel dialogo di sostituzione del cambio immagine la parola chiave {PARAM}.

Nota: Evitate quelle successioni di caratteri che vengono usate anche per i parametri delle variabili di indicizzazione, come, per es., {X01}.

Ulteriori informazioni nella guida in linea.

VT_BOOL

FktOnDown

Esegui funzione alla pressione

Attivo: la funzione collegata viene eseguita quando si preme sull´elemento.
Inattivo: la funzione collegata viene eseguita rilasciando l´elemento.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ThreeDimensional

3D

Attivo: l´elemento viene visualizzato in 3 dimensioni.
Inattivo: l´elemento viene visualizzato come superficie piatta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Con l’utilizzo dell’opzione “Mostra lo stato“, quando si usa il tasto destro del mouse durante il lavoro online viene visualizzato, oltre alla variabile, anche l´attuale settaggio bit di stato per la variabile impostata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

RedPoint

Visualizza stato con punto rosso

In presenza di uno stato di errore (per esempio "disturbato") viene segnalata in alto a destra dell’elemento una marcatura rossa.

Ulteriori informazioni nella guida in linea.

VT_UI2

RepresentationStyle

Rappresentazione

Selezione del tipo di visualizzazione fra quelli della lista a cascata.

  • Bitmap e Simbolo d'immagine: Per ogni stato si può selezionare un file grafico oppure un simbolo d'immagine (simbolo o gruppo elementi).
    Inoltre, si può anche modificare il colore di un simbolo d'immagine.
  • Solo simbolo ad immagine: Per ogni stato si può associare un colore ad un simbolo già esistente nell'immagine.
  • Simbolo dalla biblioteca: Per ogni stato si può selezionare un simbolo dalla libreria e un colore di sfondo / linea.
  • Simbolo: Per ogni stato si può definire un carattere (solo SICAM 230).
  • Simbolo d'immagine e Testi di stato: Per ogni stato si può definire un testo.
    Inoltre si può modificare anche il colore di un simbolo ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_COMBI

StateAndTest

Stati e test

Apre la finestra di dialogo per la definizione degli stati.

Ulteriori informazioni nella guida in linea.

VT_BOOL

DisabledStyleAsButtons

Darstellung im gesperrten Zustand von Tasteneigenschaften des Projekts übernehmen

Impostazione che determina se il comportamento dei tasti viene ripreso dalla proprietà di progetto. In questo contesto vengono prese in considerazione le impostazioni delle seguenti proprietà di progetto:

  • Login e firma -> Tasti bloccati
  • Elementi bloccati -> Pulsanti bloccati

Impostazioni possibili:

  • Attivo: Le impostazioni vengono riprese dalla proprietà di progetto.
    Nota: L´impostazione Grigio non ha alcun effetto sui testi all´interno di simboli.
  • Inattivo: Le impostazioni non vengono applicate.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ButtonFillColor

Colore di sfondo

Colori di sfondo dell’elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

FillColor

Trasparente

Attivo: Lo sfondo del simbolo è trasparente.
Inattivo: Lo sfondo del simbolo può essere definito separatamente per ogni stato.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ColorFromVariable

Prendi il colore della variabile principale

Attivo: Il colore di riempimento nel caso di simboli separati e simboli della libreria viene ripreso dallo stato Default della variabile principale se è presente una violazione di valore limite di quest´ultima.
Il che significa: finché c´è una violazione del valore limite delle variabili principali, viene ripreso il colore di riempimento per essere usato come quello del valore limite. La definizione del colore degli stati, dunque, viene sovrascritta. Altri attrinuti di stato come, ad esempio, Lampeggio, Trasparenza oppure Colore simbolo originale, però, vengono ripresi dalla definizione di stato. Questa proprietà non ha alcun effetto sulla visualizzazione bitmap.

Eccezione: Se per lo stato Default è attiva la proprietà Colore simbolo originale, viene usato sempre il colore orginale del simbolo.
Non attiva: il colore della variabile principale non ha alcun effetto sui colori della visualizzazione dell´elemento combinato.
Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

BlinkingFromVariable

Riprendi lampeggio dalla variabile principale

Attivo: L´attributo lampeggio della variabile principale viene ripreso e può essere ripristinato anche sull´elemento.
Inattivo: non c´è nessun lampeggio.

Ulteriori informazioni nella guida in linea.

VT_BOOL

BlinkingFromAllVariables

Rileva lampeggio di tutte le variabili

Disponibile solamente se l´opzione "Riprendi lampeggio dalla variabile principale" è attiva:
Attivo: Le proprietà di lampeggiamento di tutte le variabili vengon riprese.
Inattivo: Viene ripreso solo l´attributo lampeggio della variabile principale oppure non c´è nessun lampeggio (ciò dipende dalla proprietà "Riprendi lampeggio dalla variabile principale").

Ulteriori informazioni nella guida in linea.

VT_BOOL

BlinkingBackGroundTransparent

Sfondo lampeggio trasparente

Attivo: Lo sfondo del simbolo durante il lampeggio è trasparente (lo sfondo di un file grafico non può essere trasparente).
Inattivo: Lo sfondo del simbolo non è trasparente.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BlinkingBackColor

Colore lampeggio

Colore di sfondo con l'opzione "Sfondo lampeggio trasparente" non settata

Ulteriori informazioni nella guida in linea.

VT_BOOL

OriginalSize

Con dimensione originale

Attivo: Il file grafico viene rappresentato nella sua grandezza originale.
Inattivo: Il file grafico viene allungato in corrispondenza della grandezza dell´elemento.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsPictureSymbol

Immagine simbolo attivo

Disponibile solamente se per la proprietà Rappresentazione si è selezionato File grafico e simbolo d'immagine oppure Testo di stato e simbolo d'immagine.

  • Attivo: oltre al file grafico e/o al testo di stato animati, si può visualizzare anche un simbolo d'immagine.
  • Inattivo: Non viene usato nessun simbolo d'immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

FillAreaOnly

Solo area riempimento

Attivo: Il cambio colore riguarda solamente la superficie di riempimento.
Inattivo: Il cambio colore riguarda anche le linee.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_UI2

PictureSymbol

Simbolo immagine

Disponibile solamente se per la proprietà Rappresentazione si è selezionato Solo simbolo d'immagine, oppure se la proprietà Immagine simbolo attivo è stata attivata.
Selezione del simbolo d'immagine il cui colore deve cambiare a seconda dello stato. Può essere un simbolo oppure un gruppo elementi.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Overlapping

Sovrapposti

Disponibile solo per tipo di visualizzazione "Simbolo dalla libreria":
Attivo: se sono attivi diversi stati, la rappresentazione avviene in modo sovrapposto, cioè vengono indicati tutti gli stati attivi.
Inattivo: viene visualizzato solamente lo stato attivo con la massima priorità.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SeparateColors

Colori separati

Disponibile solo se è attivo "Sovrapposti":
Attivo: ogni stato viene rappresentato con il suo colore definito.
Inattivo: viene usato il colore dello stato attivo con maggiore grado di priorità.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SeparateBlinking

Lampeggio separato

Disponibile solo se è attivo "Sovrapposti":
Attivo: Il lampeggio di ogni stato viene visualizzato separatamente.
Inattivo: viene usato il lampeggio dello stato attivo con maggiore grado di priorità.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SymbolFormClickArea

Forma del simbolo corrispondente all'area sensibile

Permette di creare un pulsante su cui cliccare della forma desiderata. È disponibile solo per l´opzione Simbolo della biblioteca delle´elemento combinato.

Attivo: la forma del simbolo viene usata come settore su cui cliccare, ogni elemento nel simbolo viene tenuto presente singolarmente per il settore su cui cliccare.

Inattivo: La forma dell´elemento combinato (rettangolo completo) viene usata come area su cui cliccare.

Default: inattivo

Attenzione: Disponibile sotto Windows CE.

Questa possibilità è stata introdotta a partire dalla versione 6.51. Nel caso dei progetti realizzati per le versioni precedenti, la proprietà viene considerata non attiva.

Ulteriori informazioni nella guida in linea.

VT_I2

HorizontalAlign

Orientamento orizzontale

Orientamento orizzontale dell´emissione nell´elemento per la visualizzazione.
Selezione dal menù a tendina:

  • Centrato
  • Orientamento a sinistra
  • Orientamento a destra

Default: Centrato

Ulteriori informazioni nella guida in linea.

VT_I2

VerticalAlign

Orientamento verticale

Orientamento verticale dell´emissione nell´elemento per la visualizzazione.
Selezione dal menù a tendina.

  • Centrato
  • In alto
  • In basso

Default: Centrato

Ulteriori informazioni nella guida in linea.

VT_BOOL

Wordbreak

A capo automatico
  • Attivo: si usa un cambio riga automatico per il testo nell´elemento.
    La lunghezza delle righe dipende dalla larghezza dell´elemento.
  • Inattivo: il testo viene visualizzato in una riga.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

Chained

Testi concatenati

Disponibile solo per tipo di visualizzazione "Testo di stato":
Attivo: Se sono attivi diversi stati contemporaneamente i testi vengono visualizzati come stringa combinata.
Inattivo: viene usato il testo dello stato attivo con maggiore grado di priorità.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

TopologyType

Tipo topologico

Tipo topologico

VT_UI1

TransformerSide

Lato trasformatore

Lato trasformatore

VT_UI1

SupplyNumber

Numero di alimentazione

Numero di alimentazione

VT_BOOL

TopologyLRChanged

Inverti sinistra/destra

Cambia il riferimento sinistra/destra per gli elementi topologici che hanno un riferimento di direzione.

VT_BOOL

TopologyUseFrame

Utilizza effetti/bordi per la bordatura

Se questa proprietà è settata: la cornice configurata alla voce Effetti/Bordi (larghezza/distanza) viene usata per supportare l´orlatura anche per gli elementi combinati.

VT_BOOL

TopologyBorderSV

Limite per il calcolo di distribuzione alimentazione

VT_BOOL

TopologyBorderFOS

Limite per localizzazione errore da protezione

VT_BOOL

TopologyBorderSHL

Limite per selfhealing

Se questa proprietà è settata: l´elemento vale come confine per una regione selfhealing.

VT_BOOL

TopologyBorderWBR

Limite per controllo ad ampio raggio

Se questa proprietà è settata: l´elemento vale come confine per un "limite per controllo ad ampio raggio".

VT_UI4

TopologyResourceNr

Tipo risorsa

VT_I2

ALCType

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).

Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:

  • Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
  • Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
  • Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
  • Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
  • Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
  • Interruttore: il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
  • Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vediGuida in linea.
  • Avvallamento: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
  • Valvola di ritegno: Se la valvola di ritegno è aperta, con questo tipo di funzione l´informazione ALC viene inoltrata solamente in una direzione. La direzione è sempre quella dall´entrata verso l´uscita, e non viceversa. L´informazione viene inoltrata solamente quando la valvola di ritegno viene approvvigionata da una sorgente.
  • Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
  • Sezionatore funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Default: Nessuna funzione

Ulteriori informazioni nella guida in linea

VT_I2

ALCSourceID

Sorgente

Disponibile solo se è stato selezionato un tipo funzione Sorgente o Trasformatore:
Selezione di sorgenti/trasformatori collegati.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCReverseSourceID

Sorgente per alimentazione invertita

Disponibile solamente se in corrispondenza della proprietà Tipo funzione avete selezionato Trasformatore.

Selezione dei trasformatori collegati.

Se si seleziona una sorgente diversa da UNDEFINED [0], il trasformatore è capace di un´alimentazione a ritroso. Il che significa che il trasformatore si comporta nello stesso modo in entrambe le direzioni - dall´input all´output (in avanti) e dall´output all´input (indietro). L´unica differenza è che il numero di sorgente della proprietà Sorgente per alimentazione invertita e non della proprietà Sorgente viene usato per l´ulteriore distribuzione.

Nota: stati della rete difettosi e errori nella progettazione, come, per es., alimentazione contemporanea di input e output, oppure cortocircuito di input e output, non vengono colorati in modo speciale. Questo significa che il trasformatore ad alimentazione inversa si comporta come due trasformatori antiparalleli commutati, non inversamente alimentati.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCExchangeInOut

Inverti Ingresso/Uscita

Disponibile solamente se è stato selezionato come Tipo funzione Trasformatore, Interruttore, valvola, valvola di ritegno oppure Separatore.

Attivo: sposta l´ingresso dell´elemento ALC a destra oppure sotto e l´uscita a sinistra o sopra.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_I2

ALCLinkID

Numero Link

Disponibile solo se è stato selezionato un tipo funzione Link:
Numero di identificazione del Link. Un altro link su un´altra immagine con lo stesso numero di identificazione riprenderà i dati del link sorgente.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCGroundFaultType

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Imposta la direzione (senza durata o (avanti/indietro) e il tipo di elaborazione del messaggio( senza, durata o Wischer):

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

Wischer: segnalazioni che arrivano mentre una ricerca è in corso, vengono soppresse.

lagging: si attende per 2 secondi il primo fronte crescente di una direzione.

leading: viene utilizzato lo stato attuale della direzione.

Default: Nessuno

Ulteriori informazioni nella guida in linea .

ZT_VARIABLE_DYN

ALCGroundFaultVarTrg

Attivazione

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile che visualizza il riconoscimento di messa a terra. Con rilevatori di messa a terra direzionati, si deve inoltre definire la direzione (Indietro oppure Avanti). Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

More...

ALCGroundFaultVarTrgEx

ALCGroundFaultVarTrgEx

ZT_VARIABLE_DYN

ALCGroundFaultVarDisp

Visualizza

E' a disposizione solo se Tipo è stata selezionata.
Imposta la variabile di uscita di localizzazione d’errore, per visualizzare lo stato dello strumento di rilevazione di guasto a terra La variabile collegata in questa sede dovrebbe essere una variabile locale, in modo tale da prevenire dei problemi di funzionamento della rete. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

More...

ALCGroundFaultVarDispEx

ALCGroundFaultVarDispEx

ZT_VARIABLE_DYN

ALCGroundFaultVarFwd

Avanti

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento messa a terra avanti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

More...

ALCGroundFaultVarFwdEx

ALCGroundFaultVarFwdEx

ZT_VARIABLE_DYN

ALCGroundFaultVarRev

Indietro

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento messa a terra indietro. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

More...

ALCGroundFaultVarRevEx

ALCGroundFaultVarRevEx

VT_I2

ALCShortFaultType

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Stabilisce il modo di elaborazione della segnalazione (nessuna oppure segnalazione continuata) e la sua direzione (avanti/indietro).

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

lagging: si attende per 2 secondi il primo fronte crescente di una direzione.

leading: viene utilizzato lo stato attuale della direzione.

Default: nessuno

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCShortFaultVarTrg

Attivazione

E' a disposizione solo se Tipo è stata selezionata.

Stabilisce la variabile per la segnalazione dell´apparecchio del riconoscimento corto circuito. Con rilevatori di corto circuito direzionati, si deve inoltre definire la direzione (Avanti oppure Indietro). Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

More...

ALCShortFaultVarTrgEx

ALCShortFaultVarTrgEx

ZT_VARIABLE_DYN

ALCShortFaultVarDisp

Visualizza

E' a disposizione solo se Tipo è stata selezionata.

Imposta la variabile di uscita di localizzazione d’errore, per visualizzare lo stato dello strumento di rilevazione di corto circuito La variabile collegata in questa sede dovrebbe essere una variabile locale, in modo tale da prevenire dei problemi di funzionamento della rete. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

More...

ALCShortFaultVarDispEx

ALCShortFaultVarDispEx

ZT_VARIABLE_DYN

ALCShortFaultVarFwd

Avanti

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il riconoscimento di corto circuito avanti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

More...

ALCShortFaultVarFwdEx

ALCShortFaultVarFwdEx

ZT_VARIABLE_DYN

ALCShortFaultVarRev

Indietro

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento di corto circuito indietro. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

More...

ALCShortFaultVarRevEx

ALCShortFaultVarRevEx

ZT_VARIABLE_DYN

ALCVarProtReact

Reattanza dalla protezione

More...

ALCVarProtReactEx

ALCVarProtReactEx

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCurI

Valore attuale corrente

More...

ALCVarCurIEx

ALCVarCurIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_VARIABLE_DYN

ALCVarCurP

Valore attuale potenza complessa

More...

ALCVarCurPEx

ALCVarCurPEx

VT_I2

ALCLoadType

Carico

VT_R8

ALCLoadVal

Corrente fissa [A]

ZT_VARIABLE_DYN

ALCVarLoad

Carico variabile

More...

ALCVarLoadEx

ALCVarLoadEx

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Switch

Interruttore

Disponibile solo se la proprietà Settaggio valori attivo non è stata attivata.

Attivo: l´elemento attiva il valore di una variabile bit.
Disattivata: l´elemento esegue una funzione.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Scanner

Pulsante

Disponibile solo se Interruttore è attivo. (Eccezione: Sempre disponibile nell' elemento dinamico Interruttore.)
Attivo: lo stato - definito nella proprietà Pulsante ON - viene instaurato solamente finché si tiene premuto il tasto sinistro del mouse, ma perlomeno per la durata di Tempo di ritardo [ms].
Non attivo: Lo stato rimane anche se il tasto del mouse viene rilasciato.
Default: non attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ScannerOn

Pulsante ON

Disponibile solo se Pulsante è attiva:
Attiva: Pulsante su On.
Inattivo: Pulsante Off.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ResetOnLeave

Reset al rilascio

Disponibile solo sePulsante è attivo:
nel caso in cui il puntatore del mouse venga allontanato dal pulsante tenendo premuto il tasto, il valore della variabile viene resettato automaticamente.

Ulteriori informazioni nella guida in linea

VT_BOOL

FastReaction

Reazione immediata

Disponibile solo se Interruttore è attiva:
Attiva: Se attivato, l'interruttore alla premuta nel runtime cambia subito lo stato, indipendentemente se il relativo bit nel PLC è stato settato o no. Nel prossimo ciclo di update del driver il bit verrà letto dal PLC. L'interruttore viene adeguato all'effettiva posizione del bit nel PLC.
Attenzione: l'interruttore può essere riutilizzato solo dopo che il valore è stato letto dal PLC.

Inattivo: l'interruttore cambia la sua posizione solo dopo che il bit è stato depositato nel PLC e è stato letto di nuovo.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

StayPressed

Mantieni stato premuto

Disponibile solo se e proprietà Interruttore, Pulsante e Reazione immediata sono attive.

Attivo: finché il tasto del mouse rimane premuto su questo elemento, non cambia la rappresentazione grafica - indipendentemente dal fatto se cambia il valore sul PLC. Nel caso dell´elemento Interruttore, deve essere attiva anche la proprietà 3D.
Inattiva: L´elemento rappresenta sempre il valore delle variabili del PLC.

Ulteriori informazioni nella guida in linea.

VT_UI2

ReactionTime

Tempo di ritardo [ms]

Disponibile solo se è attivaInterruttore:
Se Pulsante è attiva tempo (in ms) per cui viene tenuto uno stato, a partire dal clic con il tasto sinistro del mouse sull´elemento corrispondente.

Se Pulsante non è attivato: ritardo della reazione al clic con il tasto sinistro del mouse.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsSetValue

Settaggio valori attivo
  • Attivo: Per il corrispondente elemento dinamico, è consentito settare valori impostabili.
  • Inattivo: L´elemento è protetto da scrittura.

Non disponibile per l´elemento Collega testo se è stato settato nell´immagine su read only.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Preset

Proponi il valore attuale

Attivo: Proporre il valore attuale della variabile come valore impostabile.
In questo caso, il valore, prima di essere settato, viene addizionato (valore positivo) o sottratto (valore negativo) a quello attuale sotto "Settaggio valore / modifica di".
Inattivo: viene proposto il valore definito in "Settaggio valore / modifica di".

Ulteriori informazioni nella guida in linea.

VT_BOOL

HWDirect

Senza dialogo

Attivo: Settare il valore inserito come valore impostabile nel Runtime senza la possibilità di modifica.
Inattivo: prima che il valore venga scritto sull´hardware, l´utente ha la possibilità di modificarlo nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_R8

SetValue

Settaggio valore / modifica di

valore da settare o da proporre come default.
Se l´opzione "Proponi il valore attuale" è attiva: Valore che viene addizionato a quello attuale.
In combinazione con la proprietà "Senza dialogo". si può realizzare in tal modo un incrementary (valore positivo) e decrementary switch (valore negativo).

Ulteriori informazioni nella guida in linea.

VT_UI1

SetValueWith

Setta valore impostabile tramite

Configurazione del modo in cui viene settato il valore impostabile.
Selezione dal combobox:

  • Comando: il nuovo valore viene settato facendo uso dell´azione Impostazione valore nei Comando.
  • Box di dialogo : Il nuovo valore viene inserito tramite il box di dialogo standard. Se esiste un'immagine del tipo Keyboard dal nome SETVALUEKBD (per variabili numeriche), oppure SETSTRINGKBD (per variabili stringa), essa viene usata al posto del box di dialogo standard.
    Nota: Se l´elemento è collegato ad una funzione che consente di effettuare inserimenti, Utilizza immagine tipo Keyboard viene attivato automaticamente. Se nella proprietà Immagine tipo Keyboard è collegata un´immagine, verrà usata quest´ultima. Altrimenti si usa una keyboard del tipo SETSTRINGKBD.
  • Elemento dinamico: Il nuovo valore viene inserito direttamente nell'elemento (solo con gli elementi Valore numerico e Testo).
  • Programma: il nuovo valore viene inserito in un programma esterno.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SetProgram

Programma esterno

Disponibile solamente se per Setta valore impostabile è stato selezionato "Programma esterno":
Il settaggio del valore impostabile viene eseguito tramite un programma esterno, che deve essere selezionato fra quelli proposti nella finestra di dialogo che viene aperta in questa sede.

Questo programma verrà poi lanciato e otterrà i seguenti parametri:
1) Nome della variabile collegata
2) Valore proposto, nel modo definito nelle proprietà corrispondenti.
3) Coordinata sinistra dell´elemento in pixel
4) Coordinata superiore dell´elemento in pixel
5) Coordinata destra dell´elemento in pixell
6) Coordinata inferiore dell´elemento in pixel
7) erlaubtes Minimum für den Sollwert, wie in den entsprechenden Eigenschaften definier
8) Massimo consentito per il valore impostabile, come definito nelle proprietà corrispondenti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_PICTURE

KbdName

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitFromVar

Riprendi limiti di valori impostabili da variabile

Attivo: la restrizione dell’ambito, nel quale possono essere immesse delle soglie, non viene definito con minimo o massimo ma nella definizione della variabile.
Inattivo: la restrizione dell´ambito del campo può essere indicata anche direttamente in "Minimo" e "Massimo".

Ulteriori informazioni nella guida in linea.

VT_R8

Min

Minimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite inferiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il minimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_R8

Max

Massimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite superiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il massimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


CSymbLibProp

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> CSymbLibProp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description


Symbol

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Symbol

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

ExpProps

ExpProps

VT_UI2

PropSymbolNumber

Numero simbolo d'immagine

Numero univoco del simbolo o del gruppo elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Category

Categoria

Concetto della categorizzazione Si può effettuare il filtro o raggruppare anche sulla base di questa proprietà.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Description

Descrizione

Descrizione più precisa del simbolo o del gruppo elementi. Si può effettuare il filtro anche sulla base di questa proprietà.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Linked symbol

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Linked symbol

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

ExpProps

ExpProps

VT_UI2

PropSymbolNumber

Numero simbolo d'immagine

Numero univoco del simbolo o del gruppo elementi.

Ulteriori informazioni nella guida in linea.

VT_UI2

GraphicSize

Dimensione bitmap

Definizione della dimensione della grafica.

  • Allungato: La dimensione della grafica viene adeguata alla grandezza dell´elemento.
  • Dimensione originale: La grafica collegata viene visualizzata nella grandezza originale.
    Se si seleziona questa opzione, non sarà più possibile configurare in modo individuale le proprietà Larghezza [Pixel] e Altezza [Pixel] con gli elementi multibinarii, gli elementi combinati, bottone e interruttore

Default: Allungato

Ulteriori informazioni nella guida in linea.

VT_BSTR

LinkName

Nome simbolo

Nome del simbolo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SubstituteSource

Origine

Sostituzione di variabili e/o funzioni in un simbolo oppure in un contenitore Faceplate:

Indicate la variabile sorgente/funzione sorgente. Possono essere usati caratteri sostitutivi (?, *). Più inserimenti vengono divisi mediante un punto e virgola (;).

Definite gli obiettivi mediante la proprietà Destinazione.
Esempio: Variabili nel simbolo: Tank1.Livello di riempimento e Tank1.Posizione valvola. Questi devono essere sostituiti con le variabili Tank2.Livello di riempimento e Tank2.Posizione valvola.
A tal scopo, inserite in corrispondenza diOrigine: *1* e in corrispondenza di Destinazione 2. Durante il runtime, le variabili 1er vengono sostituite con quelle 2er.

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

VT_BSTR

SubstituteDestination

Destinazione

Sostituzione di variabili e/o funzioni in un simbolo o in contenitore Faceplate:
Indicate le nuove variabili/funzioni da assegnare. Non è permesso nessun carattere jolly. Più inserimenti vengono divisi mediante un punto e virgola (;).

Prima definite le sorgenti mediante la proprietà Origine.
Esempio: Variabili nel simbolo: Tank1.Livello di riempimento e Tank1.Posizione valvola. Questi devono essere sostituiti con le variabili Tank2.Livello di riempimento e Tank2.Posizione valvola.
A tal scopo, inserite in corrispondenza diOrigine: *1* e in corrispondenza di Destinazione 2. Durante il runtime, le variabili 1er vengono sostituite con quelle 2er.

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

VT_BOOL

SubstituteOnName

Attraverso il nome della variabile

Sostituzione di variabili in un simbolo oppure un contenitore faceplate via variabili:

  • Attivo: La sostituzione dei collegamenti avviene facendo uso del nome delle variabili.
  • Non attiva La sostituzione dei collegamenti avviene facendo uso dell´identificazione delle variabili.

Default: attivato

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

Nota: Questa proprietà ha effetto anche sul comportamento della proprietà Nomi gerarchici.
Per ulteriori informazioni su questo argomento, consultate la parte della guida dedicata alle Immagini.

VT_BOOL

SubstituteMatchCase

Rispetta minuscolo/maiuscolo

il sistema non tiene conto della scrittura in lettere maiuscole e minuscole per gli inserimenti per la sorgente e la destinazione delle operazioni di sostituzione di variabili e funzioni in un simbolo o in un contenitore faceplate:

  • Attivo: si tiene conto della scrittura in lettere maiuscole e minuscole.
  • Inattivo: non si tiene conto della scrittura in lettere maiuscole e minuscole

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

VT_BOOL

SubstituteCombinedName

Nomi gerarchici

Sostituzione di variabili in un simbolo.

Il comportamento di questa proprietà dipende direttamente dalle impostazioni della proprietà Attraverso il nome della variabile:
Se la proprietà Attraverso il nome della variabile è attiva, viene usato il nome variabile (proprietà Nome). Se la proprietà Attraverso il nome della variabile non è attiva, invece, viene usata l´identificazione della variabile (proprietà Identificazione).

la proprietà Nomi gerarchici:

  • Attivo: i nomi della variabile/identificazione collegate sono costituiti dal nome oggetto del simbolo e della variabile definita nel simbolo. I due nomi vengono divisi da un punto: "Nome simbolo.Variabile" oppure"Nome simbolo.Identificazione"
  • Inattivo: Sono usati nome variabile o identificazione variabile.

Default: inattivo

Attenzione: Se la proprietà Nomi gerarchici è attiva, ma non la proprietà Attraverso il nome della variabile, viene usata l´identificazione della variabile. Se questa Identificazione è vuota, la composizione del nome non funziona!

Ulteriori informazioni nella guida in linea.

VT_BSTR

Preview

Anteprima

Apre il dialogo che serve alla sostituzione dei collegamenti. Le modifiche nell´anteprima vengono riprese e invertite nelle proprietà Origine e Destinazione.
È disponibile per simboli e faceplate. Per i simboli attivo solamente se esiste già un collegamento con il simbolo; per contenitori faceplate attivo solamente se un´immagine è collegata con il contenitore.

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Template

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Template

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Static text

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Static text

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Text

Testo

Testo che deve essere visualizzato nell´immagine.

con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Per visualizzare il simbolo stesso & si immette”&&”.

Con la successione \n si può ottenere un cambio riga.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

TextStyle

Stile testo

Visualizzazione e selezione dello stile testo assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Attenzione: Per gli stili si usano solamente i tipi di carattere contenuti nella lista del progetto globale. Lo stile collegato può essere sovrascritto mediante le impostazioni del progetto locale.

Ulteriori informazioni nella guida in linea.

ZT_LOGSCHRIFT

Font

Carattere

Tipo di carattere utilizzato nella visualizzazione.

Attenzione: quest´opzione funziona solamente con caratteri scollegati.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore testo

Nome della variabile il cui colore di valore limite deve influenzare quello del testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Transparent

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


CDynEleVarTrend

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> CDynEleVarTrend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_COLOR | LineColor | Colore di linea | colore normale; nel caso di violazione valore limite si utilizza il colore valore limite. Ulteriori informazioni nella guida in linea.
VT_UI2 | LineStyle | Tipo di linea | continua, tratteggiata, tratto punto Ulteriori informazioni nella guida in linea.
VT_BSTR | TrendText | Nome curva | Visualizzazione nel caso si sia settata l´opzione "Visualizza informazione curva”. Se questa proprietà rimane vuota, verrà visualizzato il nome della variabile. Ulteriori informazioni nella guida in linea.
VT_BOOL | ViewLimitFromVar | Range di visualizzazione letto dalla variabile+ | Riprende l´area di visualizzazione dalla variabile collegata. Così queste aree di visualizzazione possono essere attualizzate con altre mediante la sostituzione con una variabile. Ulteriori informazioni nella guida in linea.
VT_R8 | ViewMin | Range minimo di visualizzazione | Minimo del campo tecnico di visualizzazione per la curva (ingrandimento di sezione). Minimo: valore minimo della variabile. Massimo: valore massimo della variabile. Default: valore minimo della variabile. Ulteriori informazioni nella guida in linea.
VT_R8 | ViewMax | Range massimo di visualizzazione | Massimo del campo tecnico di visualizzazione per la curva (ingrandimento di sezione) Minimo: valore minimo della variabile. Massimo: valore massimo della variabile. Default: valore massimo della variabile. Ulteriori informazioni nella guida in linea.
ZT_VARIABLE | ProjectVar | ProjectVar | This property returns a variable. It is also possible to link a new variable via this property.
VT_BSTR | SymVarName | SymVarName | This property returns the name of a variable.
VT_BSTR | SymVarTagNr | SymVarTagNr | This property returns the identification of a variable.


Trend curve

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Trend curve

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Curves

Curve

Proprietà per le curve dell´elemento trend.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ThreeDimensional

3D

Attivo: l´elemento viene visualizzato in 3 dimensioni.
Inattivo: l´elemento viene visualizzato come superficie piatta.

Ulteriori informazioni nella guida in linea.

VT_I2

ScrollWidth

Larghezza scroll [%]

Questa proprietà stabilisce di quale valore in % la curva verrà spostata quando viene raggiunto il limite di visualizzazione; è possibile inserire valori compresi fra 0%-100%; l´inserimento può avvenire direttamente o facendo uso di scrollbar.
0%: Ogni qualvolta viene effettuato un nuovo inserimento, cancellare quello precedente.
50%: Se se ne supera la dimensione, cancellare la metà dell´area immagine e continuare a scrivere.
100%: Se se ne supera la dimensione, cancellare l´intera area immagine e iniziare di nuovo.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Direction

Direzione

Questa proprietà definisce la modalità di visualizzazione dell´asse tempo.
a destra: A sinistra valore più vecchio, a destra valore più recente.
a sinistra: A destra valore più vecchio, a sinistra valore più recente.
in su: Sotto valore più vecchio, sopra valore più recente.
in giù: In alto valore più vecchio, in basso valore più recente.
Se gli assi vengono visualizzati, una freccia posta nell´angolo in basso a sinistra dell´elemento indica la direzione.
Default: a destra.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Area

Visualizza curve come area

Attivo: Le curve vengono visualizzate come superfici.
Inattivo: Le curve vengono visualizzate come linee.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

NumericalValues

Visualizza valori numerici

Attivo: Tutti i valori dell´ultimo refresh vengono visualizzati in forma numerica per tutte le variabili collegate.
Inattivo: I valori non vengono visualizzati.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Axes

Visualizza assi

Attivo: Vengono visualizzati l´asse di tempo e percentuale.
Inattivo: Non viene visualizzato nessun asse.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Addresses

Visualizza informazione curva

Attivo: Il nome o il testo breve modificato e l´area di misurazione delle variabili collegate vengono visualizzati in una legenda.
Inattivo: Non viene visualizzata nessuna legenda.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

NoInterpolation

Non interpolare

Attivo: i valori vengono collegati in livelli senza interpolazione.
Inattivo: I valori vengono collegati con interpolazione.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_UI4

RefreshHour

Ore

Ore del tempo di aggiornamento.
Minimo: 0.
Massimo: 119304.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

RefreshMinute

Minuti

Minuti del tempo di aggiornamento.
Minimo: 0.
Massimo: 59.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

RefreshSecond

Secondi

Secondi del tempo di aggiornamento.
Minimo: 0.
Massimo: 59.
Default: 1.

Ulteriori informazioni nella guida in linea.

VT_UI2

RefreshMilliSecond

Millisecondi

Millisecondi del tempo di aggiornamento.
Minimo: 0.
Massimo: 999.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

RepresentationHour

Ore

Ore dell´intervallo di tempo di visualizzazione.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

RepresentationMinute

Minuti

Minuti dell´intervallo di tempo di visualizzazione.
Minimo: 0.
Massimo: 59.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

RepresentationSecond

Secondi

Secondi dell´intervallo di tempo di visualizzazione.
Minimo: 0.
Massimo: 59.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Clock

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Clock

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato presso l´elemento.

Colore:
un quadrato rosso indica che ci sono dei problemi nella comunicazione con il PLC.
Un quadrato blusul client indica che il client ha perso la sua connessione con il server.
Un quadrato blu sulla stazione indica che il valore non è stato inizializzato.

Posizione del quadrato sull´elemento quando esso ha la seguente forma:

rotondo: bordo superiore, al centro
arrotondato: angolo in alto a destra, leggermente spostato a sinistra
squadrato e tutti gli altri: angolo in alto a destra

Inattivo: Lo stato non viene visualizzato.

Ulteriori informazioni nella guida in linea.

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I2

ViewType

Tipo di visualizzazione

Tempo assoluto: segnalare il tempo dell’orologio di sistema con la rispettiva formattazione.
Differenza di tempo: il valore di una variabile collegata è visualizzato nel formato di tempo impostato.
Default: tempo assoluto.

Ulteriori informazioni nella guida in linea.

VT_UI2

Format

Formattazione

Format der Zeit-/Datumsanzeige.
Viene selezionata una stringa di formattazione fra quelle della lista.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Separator

Separatore

Disponibile solo con differenza di tempo:
Separatore per la visualizzazione di ora/data.
(Per es.: in 10:15)

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowUnit

Visualizza unità

Disponibile solo:
Generale: disponibile solo se la proprietà Visualizzare valori è stata attivata.
Nel caso dell´elemento Orologio: disponibile solamente se è stato selezionato come Tipo di visualizzazione Differenza di tempo.
Nel caso dell´elemento Strumento analogico: disponibile solo se la proprietà 3D è stata attivata.

Attivo: l´unità tecnica della variabile collegata viene visualizzata dietro al valore.
Se il valore viene indicato in percentuale, viene usato il segno % al posto dell´unità tecnica della variabile collegata.
Inattiva: l´unità tecnica non viene visualizzata.
Default: attiva:

Nota:

Ulteriori informazioni nella guida in linea.

VT_I2

HorizontalAlign

Orientamento orizzontale

Orientamento orizzontale dell´emissione nell´elemento per la visualizzazione.
Selezione dal menù a tendina:

  • Centrato
  • Orientamento a sinistra
  • Orientamento a destra

Default: Centrato

Ulteriori informazioni nella guida in linea.

VT_I2

VerticalAlign

Orientamento verticale

Orientamento verticale dell´emissione nell´elemento per la visualizzazione.
Selezione dal menù a tendina.

  • Centrato
  • In alto
  • In basso

Default: Centrato

Ulteriori informazioni nella guida in linea.

VT_BOOL

TwoLines

Visualizzazione su due righe

Disponibile solamente con "Tempo assoluto":
Attivo: segnalazione contemporanea di ora e data, nella prima riga l’ora e nella seconda riga la data.
Inattivo: La data e l´ora vengono visualizzati in una riga.
Default: attivo.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore testo

Nome della variabile il cui colore di valore limite deve influenzare quello del testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitColor

Utilizza colore da valore limite

Stabilisce se viene visualizzato nel runtime il colore del valore limite per la variabile collegata all´elemento.
Il colore ha effetto sul testo visualizzato, o nel caso dello slider universale, sul suo indicatore.

  • Attivo: Nel runtime viene visualizzato il colore di valore limite definito.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Transparent

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsSetValue

Settaggio valori attivo
  • Attivo: Per il corrispondente elemento dinamico, è consentito settare valori impostabili.
  • Inattivo: L´elemento è protetto da scrittura.

Non disponibile per l´elemento Collega testo se è stato settato nell´immagine su read only.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Preset

Proponi il valore attuale

Attivo: Proporre il valore attuale della variabile come valore impostabile.
In questo caso, il valore, prima di essere settato, viene addizionato (valore positivo) o sottratto (valore negativo) a quello attuale sotto "Settaggio valore / modifica di".
Inattivo: viene proposto il valore definito in "Settaggio valore / modifica di".

Ulteriori informazioni nella guida in linea.

VT_BOOL

HWDirect

Senza dialogo

Attivo: Settare il valore inserito come valore impostabile nel Runtime senza la possibilità di modifica.
Inattivo: prima che il valore venga scritto sull´hardware, l´utente ha la possibilità di modificarlo nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_R8

SetValue

Settaggio valore / modifica di

valore da settare o da proporre come default.
Se l´opzione "Proponi il valore attuale" è attiva: Valore che viene addizionato a quello attuale.
In combinazione con la proprietà "Senza dialogo". si può realizzare in tal modo un incrementary (valore positivo) e decrementary switch (valore negativo).

Ulteriori informazioni nella guida in linea.

VT_UI1

SetValueWith

Setta valore impostabile tramite

Configurazione del modo in cui viene settato il valore impostabile.
Selezione dal combobox:

  • Comando: il nuovo valore viene settato facendo uso dell´azione Impostazione valore nei Comando.
  • Box di dialogo : Il nuovo valore viene inserito tramite il box di dialogo standard. Se esiste un'immagine del tipo Keyboard dal nome SETVALUEKBD (per variabili numeriche), oppure SETSTRINGKBD (per variabili stringa), essa viene usata al posto del box di dialogo standard.
    Nota: Se l´elemento è collegato ad una funzione che consente di effettuare inserimenti, Utilizza immagine tipo Keyboard viene attivato automaticamente. Se nella proprietà Immagine tipo Keyboard è collegata un´immagine, verrà usata quest´ultima. Altrimenti si usa una keyboard del tipo SETSTRINGKBD.
  • Elemento dinamico: Il nuovo valore viene inserito direttamente nell'elemento (solo con gli elementi Valore numerico e Testo).
  • Programma: il nuovo valore viene inserito in un programma esterno.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SetProgram

Programma esterno

Disponibile solamente se per Setta valore impostabile è stato selezionato "Programma esterno":
Il settaggio del valore impostabile viene eseguito tramite un programma esterno, che deve essere selezionato fra quelli proposti nella finestra di dialogo che viene aperta in questa sede.

Questo programma verrà poi lanciato e otterrà i seguenti parametri:
1) Nome della variabile collegata
2) Valore proposto, nel modo definito nelle proprietà corrispondenti.
3) Coordinata sinistra dell´elemento in pixel
4) Coordinata superiore dell´elemento in pixel
5) Coordinata destra dell´elemento in pixell
6) Coordinata inferiore dell´elemento in pixel
7) erlaubtes Minimum für den Sollwert, wie in den entsprechenden Eigenschaften definier
8) Massimo consentito per il valore impostabile, come definito nelle proprietà corrispondenti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_PICTURE

KbdName

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitFromVar

Riprendi limiti di valori impostabili da variabile

Attivo: la restrizione dell’ambito, nel quale possono essere immesse delle soglie, non viene definito con minimo o massimo ma nella definizione della variabile.
Inattivo: la restrizione dell´ambito del campo può essere indicata anche direttamente in "Minimo" e "Massimo".

Ulteriori informazioni nella guida in linea.

VT_R8

Min

Minimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite inferiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il minimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_R8

Max

Massimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite superiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il massimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Base class vector elements

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Base class vector elements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

LineColor

Colore di linea

Line color of the element.

VT_UI2

Offset_H

Distanza orizz. [Pixel]

Distanza in orizzontale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

VT_UI2

Offset_V

Distanza vert. [Pixel]

Distanza in verticale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

LineStyle

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

FillStyle

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable2

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVariable2Preview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_I2

Align

Orientamento

Direction of color shift.
horizontal
vertical

VT_I2

Shifted

Spostamento sorgente luminosa

Wie weit soll der Lichteffekt von der Mitte des Elements versetzt sein.

Mehr im Online-Handbuch

VT_BOOL

Brightness

Con valori di luminosità

Disponibile solamente se è stato selezionato come Tipo di riempimento Via effetto di riempimento.

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: La luminosità dell´effetto di riempimento viene assegnata automaticamente.

Nota: Se questa proprietà è attiva, non si potrà più modificare il tipo di riempimento Non sarà nemmeno possibile utilizzare degli angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Ulteriori informazioni nella guida in linea.

VT_UI1

OuterBrightness

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_UI1

InnerBrightness

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ALCUseColor

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCPrecedence

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

VT_I2

ALCMultiSource

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

VT_I2

ALCDashLen

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ALCAlternativeColor

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMSecuredSupply

Display secured supply

E' a disposizione solo se Colori da ALC è stata attivata.

Selezione della modalità in cui deve essere rappresentato l'approvvigionamento assicurato.

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: Normale

Ulteriori informazioni nella guida in linea

VT_BOOL

ALCAlias

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

ALCAliasName

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCReact

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCResist

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

VT_R8

ALCLength

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

VT_I2

ALCMaxIType

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

VT_R8

ALCMaxIVal

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ALCVarMaxI

Valore limite dinamico portata di corrente

More...

ALCVarMaxIEx

ALCVarMaxIEx

ZT_VARIABLE_DYN

ALCVarCalcI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

More...

ALCVarCalcIEx

ALCVarCalcIEx

ALC Leitung: Messwert des berechneten Stromflusses für Export.

Mehr in der Online-Hilfe.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Invisible button

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Invisible button

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

More...

DynEleFkt

DynEleFkt

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

ZT_FUNCTION_DYN

Function

Funzione

Nome della funzione collegata.
Apre il dialogo per la selezione della funzione.
Questa funzione viene eseguita quando si clicca servendosi del mouse sul pulsante nel Runtime, oppure si usa la combinazione di tasti connessa.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Solo SICAM 230 ed elemento Allarme - immagine:

Oltre alla proprietà standard Cambio immagine , si stabilisce tramite la funzione collegata anche l'immagine i cui stati di allarme debbono essere visulizzati.
Obbligatorio (nel caso di impostazione Globale attiva)!

Ulteriori informazioni nella guida in linea.

VT_BSTR

FunctionParameter

Parametro per sostituzione

Inserimento della successione caratteri per la sostituzione via parametro. Sostituisce nel dialogo di sostituzione del cambio immagine la parola chiave {PARAM}.

Nota: Evitate quelle successioni di caratteri che vengono usate anche per i parametri delle variabili di indicizzazione, come, per es., {X01}.

Ulteriori informazioni nella guida in linea.

ZT_MDIFUNKTION

MDIFunction

Operazione specifica per il tipo di immagine

Disponibile solamente in immagini di un tipo particolare (il tipo di immagine non è standard):
Collegamento ad una funzione specifica per il tipo di immagine. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una delle funzioni specifiche per questo tipo di immagine. Questa funzione viene eseguita se si clicca nel Runtime sul pulsante, oppure se si preme la combinazione tasti corrispondente.

Attenzione: Oltre ad una funzione specifica per un tipo di immagine, si può collegare al pulsante anche una funzione generale. In questo caso, tenete presente la successione di esecuzione al momento di premere il pulsante. Prima viene eseguita la funzione specifica per il tipo di immagine. Solo dopo che essa è stata eseguita, sarà la volta di quella generale. Se nel Runtime dovessero essere collegati al pulsante degli eventi VBA, questi verranno eseguiti prima delle funzioni.

Ulteriori informazioni nella guida in linea.

VT_BOOL

FktOnDown

Esegui funzione alla pressione

Attivo: la funzione collegata viene eseguita quando si preme sull´elemento.
Inattivo: la funzione collegata viene eseguita rilasciando l´elemento.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Switch

Interruttore

Disponibile solo se la proprietà Settaggio valori attivo non è stata attivata.

Attivo: l´elemento attiva il valore di una variabile bit.
Disattivata: l´elemento esegue una funzione.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Scanner

Pulsante

Disponibile solo se Interruttore è attivo. (Eccezione: Sempre disponibile nell' elemento dinamico Interruttore.)
Attivo: lo stato - definito nella proprietà Pulsante ON - viene instaurato solamente finché si tiene premuto il tasto sinistro del mouse, ma perlomeno per la durata di Tempo di ritardo [ms].
Non attivo: Lo stato rimane anche se il tasto del mouse viene rilasciato.
Default: non attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ScannerOn

Pulsante ON

Disponibile solo se Pulsante è attiva:
Attiva: Pulsante su On.
Inattivo: Pulsante Off.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ResetOnLeave

Reset al rilascio

Disponibile solo sePulsante è attivo:
nel caso in cui il puntatore del mouse venga allontanato dal pulsante tenendo premuto il tasto, il valore della variabile viene resettato automaticamente.

Ulteriori informazioni nella guida in linea

VT_BOOL

FastReaction

Reazione immediata

Disponibile solo se Interruttore è attiva:
Attiva: Se attivato, l'interruttore alla premuta nel runtime cambia subito lo stato, indipendentemente se il relativo bit nel PLC è stato settato o no. Nel prossimo ciclo di update del driver il bit verrà letto dal PLC. L'interruttore viene adeguato all'effettiva posizione del bit nel PLC.
Attenzione: l'interruttore può essere riutilizzato solo dopo che il valore è stato letto dal PLC.

Inattivo: l'interruttore cambia la sua posizione solo dopo che il bit è stato depositato nel PLC e è stato letto di nuovo.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_UI2

ReactionTime

Tempo di ritardo [ms]

Disponibile solo se è attivaInterruttore:
Se Pulsante è attiva tempo (in ms) per cui viene tenuto uno stato, a partire dal clic con il tasto sinistro del mouse sull´elemento corrispondente.

Se Pulsante non è attivato: ritardo della reazione al clic con il tasto sinistro del mouse.

Ulteriori informazioni nella guida in linea.

VT_BOOL

StayPressed

Mantieni stato premuto

Disponibile solo se e proprietà Interruttore, Pulsante e Reazione immediata sono attive.

Attivo: finché il tasto del mouse rimane premuto su questo elemento, non cambia la rappresentazione grafica - indipendentemente dal fatto se cambia il valore sul PLC. Nel caso dell´elemento Interruttore, deve essere attiva anche la proprietà 3D.
Inattiva: L´elemento rappresenta sempre il valore delle variabili del PLC.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

ZT_SHORTCUT

ShortCut

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


CWPFConnectionBase

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> CWPFConnectionBase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Element | Nome elemento |
VT_BSTR | Link | Nome elemento |


WPF element

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> WPF element

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Links

Links

ZT_FILE

FileName

File XAML

Selezione del file XAML per l´elemento WPF. Cliccando su ... si apre il dialogo di selezione. Il file deve essere già stato impostato nel manager di progetto alla voce File/Grafici, oppure deve essere selezionato nel dialogo facendo uso del simbolo Aggiungi file.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LinksConfig

Configurazione

Apre il dialogo per la configurazione del file XAML. . Proprietà, eventi, trasformazioni e autorizzazioni possono essere assegnate.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Numerical value

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Numerical value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

VT_UI2

Frame

Cornice elemento

Lista a cascata che serve alla selezione del tipo di cornice. Sono a disposizione:

Cornice fine

3D

Default: Cornice fine

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato presso l´elemento.

Colore:
un quadrato rosso indica che ci sono dei problemi nella comunicazione con il PLC.
Un quadrato blusul client indica che il client ha perso la sua connessione con il server.
Un quadrato blu sulla stazione indica che il valore non è stato inizializzato.

Posizione del quadrato sull´elemento quando esso ha la seguente forma:

rotondo: bordo superiore, al centro
arrotondato: angolo in alto a destra, leggermente spostato a sinistra
squadrato e tutti gli altri: angolo in alto a destra

Inattivo: Lo stato non viene visualizzato.

Ulteriori informazioni nella guida in linea.

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowUnit

Visualizza unità

Disponibile solo:
Generale: disponibile solo se la proprietà Visualizzare valori è stata attivata.
Nel caso dell´elemento Orologio: disponibile solamente se è stato selezionato come Tipo di visualizzazione Differenza di tempo.
Nel caso dell´elemento Strumento analogico: disponibile solo se la proprietà 3D è stata attivata.

Attivo: l´unità tecnica della variabile collegata viene visualizzata dietro al valore.
Se il valore viene indicato in percentuale, viene usato il segno % al posto dell´unità tecnica della variabile collegata.
Inattiva: l´unità tecnica non viene visualizzata.
Default: attiva:

Nota:

Ulteriori informazioni nella guida in linea.

VT_UI2

UnitPos

Posizione Unita di misura [%]

Disponibile solo se Visualizza unità è attivo.

Posiziona la visualizzazione dell´unità e permette di orientare delle unità di diversa larghezza a valori numerici minori. Per il posizionamento, si deve indicare di un valore percentuale fra 0 e 100.

L´unità viene emessa sempre a destra accanto alla posizione scelta; il valore relativo a sinistra, a seconda dell´orientamento impostato.

Default: 0 - non corrisponde a nessun orientamento percentuale; valore e unità vengono visualizzati sempre insieme.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Percentage

Visualizza valore in una percentuale
  • Attivo: il valore della variabile viene rappresentato in valori compresi fra 0 - 100%.
  • Inattivo: Il valore viene rappresentato come di solito.

Fascia di valori:

  • Area di misurazione: minimo. 0%
  • Area di misurazione: massimo. 100%

La conversione avviene in forma lineare. Anche gli inserimenti relativi ai valori impostabili vengono espressi in percentuale.
Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

Absolute

Valore assoluto

Per l´elemento Valore numerico, disponibile solamente se Visualizza valore in una percentuale non è attivo.

  • Attivo: visualizzazione del valore della variabile senza segno precedente (-200 = 200).
  • Inattiva: normale visualizzazione del valore.

Default: inattivo

Nota: l´inserimento del valore impostabile avviene in questo caso in percentuale.

Ulteriori informazioni nella guida in linea

VT_UI2

ValueBase

Base numerica di visualizzazione

Selezione del sistema di numerazione per la rappresentazione dei valori.
Sono disponibili i seguenti sistemi di numerazione:

  • Binari: rappresentazione binaria.
  • Decimale: Rappresentazione decimale.
  • Esponenziale: Rappresentazione decimale in scrittura esponenziale. Esempio: 1E+03 corrisponde a 1000 nella rappresentazione decimale.
  • Esadecimale: Rappresentazione esadecimale.
  • Ottale: Rappresentazione ottale.

Default: Decimale.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowValueBasis

Visualizzazione base

È disponibile solamente se per la proprietà Base numerica di visualizzazione avete selezionatobinaria, esadecimale , oppure ottale.

  • Attivo: Dietro al valore viene visualizzata un´abbreviazione per la base numerica.

Vengono visualizzate le seguenti abbreviazioni:

  • Binario b
  • Decimale: (nessuna abbreviazione)
  • Esponenziale: (nessuna abbreviazione)
  • Esadecimale: h
  • Ottale: o

Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowLeadingZeros

Visualizza zeri iniziali

E´disponibile solamente se in corrispondenza della proprietà Base numerica di visualizzazione, avete selezionato binaria, decimale, esadecimale, oppure ottale.

Stabilisce se devono essere visualizzati anche gli zero iniziali nella rappresentazione del valore numerico.

  • Inattivo: Gli zeri all´inizio vengono soppressi.
  • Attivo: I valori numerici vengono visualizzati in corrispondenza della loro base numerica con un numero diverso di cifre. Le cifre non necessarie per il numero vengono riempite di zero.

Default: inattivo

Per le diverse basi numeriche sono a disposizione le seguente posizioni:

  • Binario 32 cifre
  • Decimale: 10 cifre
  • Esadecimale: 8 cifre
  • Ottale: 11 cifre

Ulteriori informazioni nella guida in linea.

VT_I2

HorizontalAlign

Orientamento orizzontale

Orientamento orizzontale dell´emissione nell´elemento per la visualizzazione.
Selezione dal menù a tendina:

  • Centrato
  • Orientamento a sinistra
  • Orientamento a destra

Default: Centrato

Ulteriori informazioni nella guida in linea.

VT_I2

VerticalAlign

Orientamento verticale

Orientamento verticale dell´emissione nell´elemento per la visualizzazione.
Selezione dal menù a tendina.

  • Centrato
  • In alto
  • In basso

Default: Centrato

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore testo

Nome della variabile il cui colore di valore limite deve influenzare quello del testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitColor

Utilizza colore da valore limite

Stabilisce se viene visualizzato nel runtime il colore del valore limite per la variabile collegata all´elemento.
Il colore ha effetto sul testo visualizzato, o nel caso dello slider universale, sul suo indicatore.

  • Attivo: Nel runtime viene visualizzato il colore di valore limite definito.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Transparent

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsSetValue

Settaggio valori attivo
  • Attivo: Per il corrispondente elemento dinamico, è consentito settare valori impostabili.
  • Inattivo: L´elemento è protetto da scrittura.

Non disponibile per l´elemento Collega testo se è stato settato nell´immagine su read only.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Preset

Proponi il valore attuale

Attivo: Proporre il valore attuale della variabile come valore impostabile.
In questo caso, il valore, prima di essere settato, viene addizionato (valore positivo) o sottratto (valore negativo) a quello attuale sotto "Settaggio valore / modifica di".
Inattivo: viene proposto il valore definito in "Settaggio valore / modifica di".

Ulteriori informazioni nella guida in linea.

VT_BOOL

HWDirect

Senza dialogo

Attivo: Settare il valore inserito come valore impostabile nel Runtime senza la possibilità di modifica.
Inattivo: prima che il valore venga scritto sull´hardware, l´utente ha la possibilità di modificarlo nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_R8

SetValue

Settaggio valore / modifica di

valore da settare o da proporre come default.
Se l´opzione "Proponi il valore attuale" è attiva: Valore che viene addizionato a quello attuale.
In combinazione con la proprietà "Senza dialogo". si può realizzare in tal modo un incrementary (valore positivo) e decrementary switch (valore negativo).

Ulteriori informazioni nella guida in linea.

VT_UI1

SetValueWith

Setta valore impostabile tramite

Configurazione del modo in cui viene settato il valore impostabile.
Selezione dal combobox:

  • Comando: il nuovo valore viene settato facendo uso dell´azione Impostazione valore nei Comando.
  • Box di dialogo : Il nuovo valore viene inserito tramite il box di dialogo standard. Se esiste un'immagine del tipo Keyboard dal nome SETVALUEKBD (per variabili numeriche), oppure SETSTRINGKBD (per variabili stringa), essa viene usata al posto del box di dialogo standard.
    Nota: Se l´elemento è collegato ad una funzione che consente di effettuare inserimenti, Utilizza immagine tipo Keyboard viene attivato automaticamente. Se nella proprietà Immagine tipo Keyboard è collegata un´immagine, verrà usata quest´ultima. Altrimenti si usa una keyboard del tipo SETSTRINGKBD.
  • Elemento dinamico: Il nuovo valore viene inserito direttamente nell'elemento (solo con gli elementi Valore numerico e Testo).
  • Programma: il nuovo valore viene inserito in un programma esterno.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SetProgram

Programma esterno

Disponibile solamente se per Setta valore impostabile è stato selezionato "Programma esterno":
Il settaggio del valore impostabile viene eseguito tramite un programma esterno, che deve essere selezionato fra quelli proposti nella finestra di dialogo che viene aperta in questa sede.

Questo programma verrà poi lanciato e otterrà i seguenti parametri:
1) Nome della variabile collegata
2) Valore proposto, nel modo definito nelle proprietà corrispondenti.
3) Coordinata sinistra dell´elemento in pixel
4) Coordinata superiore dell´elemento in pixel
5) Coordinata destra dell´elemento in pixell
6) Coordinata inferiore dell´elemento in pixel
7) erlaubtes Minimum für den Sollwert, wie in den entsprechenden Eigenschaften definier
8) Massimo consentito per il valore impostabile, come definito nelle proprietà corrispondenti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_PICTURE

KbdName

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitFromVar

Riprendi limiti di valori impostabili da variabile

Attivo: la restrizione dell’ambito, nel quale possono essere immesse delle soglie, non viene definito con minimo o massimo ma nella definizione della variabile.
Inattivo: la restrizione dell´ambito del campo può essere indicata anche direttamente in "Minimo" e "Massimo".

Ulteriori informazioni nella guida in linea.

VT_R8

Min

Minimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite inferiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il minimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_R8

Max

Massimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite superiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il massimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Indicating instrument

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Indicating instrument

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

DynEleVar

DynEleVar

"With this property you have the opportunity to get informations about the variable (projected via ""Variable assignment"" in the ActiveX selection dialog) which is linked at an ActiveX element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""DynEleVar.SymVarName"") 'Return the name of the variable which is assigned to the ActiveX
zElement.DynProperties (""DynEleVar.SymVarTagNr"") 'Return the identification of the variable which is assigned to the ActiveX"

VT_BOOL

ThreeDimensional

3D

Attivo: l´elemento viene visualizzato in 3 dimensioni.
Inattivo: l´elemento viene visualizzato come superficie piatta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowUnit

Visualizza unità

Disponibile solo:
Generale: disponibile solo se la proprietà Visualizzare valori è stata attivata.
Nel caso dell´elemento Orologio: disponibile solamente se è stato selezionato come Tipo di visualizzazione Differenza di tempo.
Nel caso dell´elemento Strumento analogico: disponibile solo se la proprietà 3D è stata attivata.

Attivo: l´unità tecnica della variabile collegata viene visualizzata dietro al valore.
Se il valore viene indicato in percentuale, viene usato il segno % al posto dell´unità tecnica della variabile collegata.
Inattiva: l´unità tecnica non viene visualizzata.
Default: attiva:

Nota:

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowState

Visualizza stato della variabile

Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato presso l´elemento.

Colore:
un quadrato rosso indica che ci sono dei problemi nella comunicazione con il PLC.
Un quadrato blusul client indica che il client ha perso la sua connessione con il server.
Un quadrato blu sulla stazione indica che il valore non è stato inizializzato.

Posizione del quadrato sull´elemento quando esso ha la seguente forma:

rotondo: bordo superiore, al centro
arrotondato: angolo in alto a destra, leggermente spostato a sinistra
squadrato e tutti gli altri: angolo in alto a destra

Inattivo: Lo stato non viene visualizzato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Ribbon

Nastro

Disponibile solo se la proprietà Cerchio parziale non è attivata.

Disponibile sotto Windows CE.

  • Attivo: La visualizzazione del valore copre uno spettro che va dal valore minimo a quello massimo.
  • Inattivo: Non viene visualizzato nessun range.

Ulteriori informazioni nella guida in linea

VT_BOOL

Pie

Cerchio parziale

Disponibile solo se la proprietà Nastro non è attivata.

  • Attivo: Il valore viene visualizzato in forma di segmento di cerchio che va dal valore minimo al valore attuale.
  • Inattivo: Non viene visualizzato nessun segmento di cerchio.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Explicit

Esplicito

Questa proprietà ha effetto solamente sulla rappresentazione di valori con valori limite definiti da variabili. I valori limite da matrici di reazione non vengono presi in considerazione.

  • Attivo: Se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
    Se la variabile ha diversi valori limite, le corrispondenti aree della rappresentazione sono visualizzate con il colore corrispondente del valore limite.
  • Inattivo: se un valore limite della variabile collegata viene violato, tutta la visualizzazione viene rappresentata con il colore del valore limite violato.

Default: inattivo

Nota: disponibile per l´elemento Strumento analogico solamente se la visualizzazione è attiva come Nastro o Cerchio parziale.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Percentage

Rappresentazione percentuale

Attivo: il valore della variabile viene visualizzato in valori compresi fra 0 e 100%.
0% = Area di misurazione: minimo.
100% = Area di misurazione: massimo.
La conversione avviene in forma lineare. Anche gli inserimenti relativi ai valori impostabili vengono espressi in percentuale.
Inattivo: Il valore viene rappresentato come di solito.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_UI2

StartAngle

Angolo di partenza

definizione dell’angolo start (0°=giù, continuare nel senso orario).

Ulteriori informazioni nella guida in linea.

VT_UI2

OpeningAngle

Angolo di apertura

angolo di apertura della deviazione dell’ago (max.360° - angolo di start)

Ulteriori informazioni nella guida in linea.

VT_UI2

ValueBase

Base numerica di visualizzazione

Selezione del sistema di numerazione per la rappresentazione dei valori.
Sono disponibili i seguenti sistemi di numerazione:

  • Binari: rappresentazione binaria.
  • Decimale: Rappresentazione decimale.
  • Esponenziale: Rappresentazione decimale in scrittura esponenziale. Esempio: 1E+03 corrisponde a 1000 nella rappresentazione decimale.
  • Esadecimale: Rappresentazione esadecimale.
  • Ottale: Rappresentazione ottale.

Default: Decimale.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowValueBasis

Visualizzazione base

È disponibile solamente se per la proprietà Base numerica di visualizzazione avete selezionatobinaria, esadecimale , oppure ottale.

  • Attivo: Dietro al valore viene visualizzata un´abbreviazione per la base numerica.

Vengono visualizzate le seguenti abbreviazioni:

  • Binario b
  • Decimale: (nessuna abbreviazione)
  • Esponenziale: (nessuna abbreviazione)
  • Esadecimale: h
  • Ottale: o

Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowLeadingZeros

Visualizza zeri iniziali

E´disponibile solamente se in corrispondenza della proprietà Base numerica di visualizzazione, avete selezionato binaria, decimale, esadecimale, oppure ottale.

Stabilisce se devono essere visualizzati anche gli zero iniziali nella rappresentazione del valore numerico.

  • Inattivo: Gli zeri all´inizio vengono soppressi.
  • Attivo: I valori numerici vengono visualizzati in corrispondenza della loro base numerica con un numero diverso di cifre. Le cifre non necessarie per il numero vengono riempite di zero.

Default: inattivo

Per le diverse basi numeriche sono a disposizione le seguente posizioni:

  • Binario 32 cifre
  • Decimale: 10 cifre
  • Esadecimale: 8 cifre
  • Ottale: 11 cifre

Ulteriori informazioni nella guida in linea.

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

TextColor

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitColor

Utilizza colore da valore limite

Stabilisce se viene visualizzato nel runtime il colore del valore limite per la variabile collegata all´elemento.
Il colore ha effetto sul testo visualizzato, o nel caso dello slider universale, sul suo indicatore.

  • Attivo: Nel runtime viene visualizzato il colore di valore limite definito.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

VT_R8

ViewMin

Minimo

Valore minimo della variabile che deve essere visualizzato nell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

ViewMax

Massimo

Valore massimo della variabile che deve essere visualizzato nell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

MainTicks

Suddivisioni principali

Definisce tratteggio della parte principale della scala.
Valore indica distanza fra le divisioni principali. Il valore deve essere maggiore o uguale al valore di Suddivisioni secondare. In caso di uguaglianza di valore non vengono visualizzati Suddivisioni secondare.

Ulteriori informazioni nella guida in linea

VT_R8

SmallTicks

Suddivisioni secondare

Definisce la divisione della scala fra Suddivisioni principali.

Valore indica distanza fra le divisioni secondarie. Il valore deve essere minore o uguale al valore di Suddivisioni principali. In caso di uguaglianza di valore non viene visualizzata nessuna suddivisione secondaria.

Ulteriori informazioni nella guida in linea

ZT_COLOR

BackColor

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsSetValue

Settaggio valori attivo
  • Attivo: Per il corrispondente elemento dinamico, è consentito settare valori impostabili.
  • Inattivo: L´elemento è protetto da scrittura.

Non disponibile per l´elemento Collega testo se è stato settato nell´immagine su read only.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Preset

Proponi il valore attuale

Attivo: Proporre il valore attuale della variabile come valore impostabile.
In questo caso, il valore, prima di essere settato, viene addizionato (valore positivo) o sottratto (valore negativo) a quello attuale sotto "Settaggio valore / modifica di".
Inattivo: viene proposto il valore definito in "Settaggio valore / modifica di".

Ulteriori informazioni nella guida in linea.

VT_BOOL

HWDirect

Senza dialogo

Attivo: Settare il valore inserito come valore impostabile nel Runtime senza la possibilità di modifica.
Inattivo: prima che il valore venga scritto sull´hardware, l´utente ha la possibilità di modificarlo nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_R8

SetValue

Settaggio valore / modifica di

valore da settare o da proporre come default.
Se l´opzione "Proponi il valore attuale" è attiva: Valore che viene addizionato a quello attuale.
In combinazione con la proprietà "Senza dialogo". si può realizzare in tal modo un incrementary (valore positivo) e decrementary switch (valore negativo).

Ulteriori informazioni nella guida in linea.

VT_UI1

SetValueWith

Setta valore impostabile tramite

Configurazione del modo in cui viene settato il valore impostabile.
Selezione dal combobox:

  • Comando: il nuovo valore viene settato facendo uso dell´azione Impostazione valore nei Comando.
  • Box di dialogo : Il nuovo valore viene inserito tramite il box di dialogo standard. Se esiste un'immagine del tipo Keyboard dal nome SETVALUEKBD (per variabili numeriche), oppure SETSTRINGKBD (per variabili stringa), essa viene usata al posto del box di dialogo standard.
    Nota: Se l´elemento è collegato ad una funzione che consente di effettuare inserimenti, Utilizza immagine tipo Keyboard viene attivato automaticamente. Se nella proprietà Immagine tipo Keyboard è collegata un´immagine, verrà usata quest´ultima. Altrimenti si usa una keyboard del tipo SETSTRINGKBD.
  • Elemento dinamico: Il nuovo valore viene inserito direttamente nell'elemento (solo con gli elementi Valore numerico e Testo).
  • Programma: il nuovo valore viene inserito in un programma esterno.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SetProgram

Programma esterno

Disponibile solamente se per Setta valore impostabile è stato selezionato "Programma esterno":
Il settaggio del valore impostabile viene eseguito tramite un programma esterno, che deve essere selezionato fra quelli proposti nella finestra di dialogo che viene aperta in questa sede.

Questo programma verrà poi lanciato e otterrà i seguenti parametri:
1) Nome della variabile collegata
2) Valore proposto, nel modo definito nelle proprietà corrispondenti.
3) Coordinata sinistra dell´elemento in pixel
4) Coordinata superiore dell´elemento in pixel
5) Coordinata destra dell´elemento in pixell
6) Coordinata inferiore dell´elemento in pixel
7) erlaubtes Minimum für den Sollwert, wie in den entsprechenden Eigenschaften definier
8) Massimo consentito per il valore impostabile, come definito nelle proprietà corrispondenti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

KbdUsage

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

ZT_PICTURE

KbdName

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LimitFromVar

Riprendi limiti di valori impostabili da variabile

Attivo: la restrizione dell’ambito, nel quale possono essere immesse delle soglie, non viene definito con minimo o massimo ma nella definizione della variabile.
Inattivo: la restrizione dell´ambito del campo può essere indicata anche direttamente in "Minimo" e "Massimo".

Ulteriori informazioni nella guida in linea.

VT_R8

Min

Minimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite inferiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il minimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_R8

Max

Massimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite superiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il massimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

VT_UI2

Passwordlevel

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Topological wire

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Topological wire

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

RTInvisible

invisibile nel RT

VT_BOOL

OBJNameLink

Nome oggetto come link

Nome oggetto come link

VT_UI4

DisplayMode

Modo di visualizzazione

Modalità di visualizzazione

VT_UI4

BrokenLine1

Tratteggio 1

Tratteggio 1

VT_UI4

BrokenLine2

Tratteggio 2

Tratteggio = 2

VT_UI4

LineWidth

Larghezza linea

Larghezza linea

VT_UI4

LineWidthFGES

Ampiezza linea fissata

Ampiezza linea protetta

VT_UI4

SaumWidth

Larghezza bordo

Larghezza bordo

VT_UI1

NotSuppliedColor

Simbolo bordo

Simbolo bordo

VT_UI2

SymbolF1

Simbolo F1

Simbolo F1

VT_UI4

SymbolF1_Mode

Simbolo F1 colori

Simbolo F1 colori

VT_UI2

SymbolF2

Simbolo F2

Simbolo F2

VT_UI4

SymbolF2_Mode

Simbolo F2 colori

Simbolo F2 colori

VT_UI2

SymbolFGES

Simbolo FGES

Simbolo FGES

VT_UI4

SymbolFGES_Mode

Simbolo FGES colori

Simbolo FGES colori

VT_I2

NCType

Tipo

ZT_VARIABLE_DYN

NCMappingVarOut

NCMappingVarEx

More...

NCMappingVarOutEx

NCMappingVarEx

ZT_VARIABLE_DYN

NCCurrentVar

NCCurrentVarEx

More...

NCCurrentVarEx

NCCurrentVarEx

ZT_VARIABLE_DYN

NCVoltageVar

NCVoltageVarEx

More...

NCVoltageVarEx

NCVoltageVarEx

VT_R4

NCCurrentVal

Carico [A]

VT_R4

NCVoltageVal

Livello tensione [V]

VT_R4

NCCurrentMax

Carico massimo distribuibile

Maximal load which can be assigned.

VT_I2

NCCableType

Tipo di cavo

VT_R4

NCCLength

Lunghezza [m]

VT_R4

NCCReactance

Reattanza [Ohm]

VT_R4

NCCResistance

Resistenza [Ohm]

VT_R4

NCCCurrentMax

Capacità di corrente [A]

VT_BSTR

Coordinates

Coordinates

"With this property you can get/set the coordinates of the element via a string.
zElement.DynProperties(""Coordinates"") = ""197/118;260/200"""

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Topological line

Manuale -> Scripting -> Objectmodel -> Element -> Element-Dynamic properties -> Topological line

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

BrokenLine1

Tratteggio 1

Tratteggio 1

VT_UI4

BrokenLine2

Tratteggio 2

Tratteggio = 2

VT_UI4

LineWidth

Larghezza linea

Larghezza linea

VT_UI4

DisplayMode

Modo di visualizzazione

Modalità di visualizzazione

VT_UI4

LineWidthFGES

Ampiezza linea fissata

Ampiezza linea protetta

VT_UI4

SaumWidth

Larghezza bordo

Larghezza bordo

ZT_VARIABLE_DYN

Variable_SS_1_1

Variabile SS_1_1

Variabile SS_1_1

ZT_VARIABLE_DYN

Variable_SS_1_2

Variabile SS_1_2

Variabile SS_1_2

ZT_VARIABLE_DYN

Variable_SS_1_3

Variabile SS_1_4

Variabile SS_1_4

ZT_VARIABLE_DYN

Variable_SS_1_4

Variabile SS_1_4

Variabile SS_1_4

ZT_VARIABLE_DYN

Variable_Start1

Variabile start1

Variabile start1

ZT_VARIABLE_DYN

VariableStandardIsolatingPoint

Punto separatore variabile

Punto separatore variabile

ZT_VARIABLE_DYN

Variable_Start2

Variabile Start2

Variabile Inizio 2

ZT_VARIABLE_DYN

Variable_SS_2_1

Variale SS_2_1

Variale SS_2_1

ZT_VARIABLE_DYN

Variable_SS_2_2

Variabile SS_2_2

Variabile SS_2_2

ZT_VARIABLE_DYN

Variable_SS_2_3

Variabile SS_2_3

Variabile SS_2_3

ZT_VARIABLE_DYN

Variable_SS_2_4

Variabile SS_2_4

Variabile SS_2_4

VT_BSTR

DistributionLineCharacter

Carattere diviso in un'altra posizione

Carattere diviso in un'altra posizione

ZT_SCHRIFT

Font

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

Variable

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

VT_BSTR

Coordinates

Coordinates

"With this property you can get/set the coordinates of the element via a string.
zElement.DynProperties(""Coordinates"") = ""197/118;260/200"""

VT_BSTR

ExtraPoints

Interruzione multipla di carattere

Sign (several times) interrupted

VT_BOOL

UnderCE

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

Init

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

SetFocus

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

KillFocus

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickDown

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickDown

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftClickUp

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightClickUp

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

LeftDClick

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

RightDClick

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

MouseOver

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragDrop

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragOver

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

DragBegin

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Menu

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tooltip

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LassoSelect

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

More...

GestureManipulationGroup

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tab

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderH

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

VT_I4

TABOrderV

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_FILE

Helpfile

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMin

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

SetValueDynMax

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GestureRecognitionActive

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Manipulation

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Exact

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationX

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationY

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsX

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RailsY

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TranslationInertia

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Rotation

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_RotationInertia

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Scaling

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_ScalingInertia

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlide

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSelect

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideRearrange

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_CrossSlideExact

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Tap

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_TapDouble

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_SecondaryTap

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Drag

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Gestures_Hold

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

ZT_STYLE

StyleGroup

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

More...

LnClVariable

LnClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""line/text color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""LnClVariable.SymVarName"") 'Return the name of the ""line/text color"" variable
zElement.DynProperties (""LnClVariable.SymVarTagNr"") 'Return the identification of the ""line/text color"" variable"

More...

BkClVariable

BkClVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""background/filling color"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""BkClVariable.SymVarName"") 'Return the name of the ""background/filling color"" variable
zElement.DynProperties (""BkClVariable.SymVarTagNr"") 'Return the identification of the ""background/filling color"" variable"

More...

BkCl2Variable

"BkCl2Variable"

More...

XVar

XVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic x position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVar.SymVarName"") 'Return the name of the ""dynamic x position"" variable
zElement.DynProperties (""XVar.SymVarTagNr"") 'Return the identification of the ""dynamic x position"" variable"

More...

YVar

YVar

"With this property you have the opportunity to get informations about the variable which is linked as ""dynamic y position"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVar.SymVarName"") 'Return the name of the ""dynamic y position"" variable
zElement.DynProperties (""YVar.SymVarTagNr"") 'Return the identification of the ""dynamic y position"" variable"

More...

XVarZoom

XVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change width"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""XVarZoom.SymVarName"") 'Return the name of the ""change width"" variable
zElement.DynProperties (""XVarZoom.SymVarTagNr"") 'Return the identification of the ""change width"" variable"

More...

YVarZoom

YVarZoom

"With this property you have the opportunity to get informations about the variable which is linked as ""change height"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarName"") 'Return the name of the ""change height"" variable
zElement.DynProperties (""YVarZoom.SymVarTagNr"") 'Return the identification of the ""change height"" variable"

More...

TwistVar

TwistVar

"With this property you have the opportunity to get informations about the variable which is linked as ""rotate"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""TwistVar.SymVarName"") 'Return the name of the ""rotate"" variable
zElement.DynProperties (""TwistVar.SymVarTagNr"") 'Return the identification of the ""rotate"" variable"

More...

VisVariable

VisVariable

"With this property you have the opportunity to get informations about the variable which is linked as ""visibility"" variable of the element.
The informations are provided via subitems: ProjectVar, SymVarName, SymVarTagNr.
zElement.DynProperties (""VisVariable.SymVarName"") 'Return the name of the ""visibility"" variable
zElement.DynProperties (""VisVariable.SymVarTagNr"") 'Return the identification of the ""visibility"" variable"

More...

BlinkVar

BlinkVar

More...

GlowEffectGlowColorVar

GlowEffectGlowColorVar

More...

GlowEffectVisibilityVar

GlowEffectVisibilityVar

More...

GlowEffectBlinkVar

GlowEffectBlinkVar

VT_BSTR

Name

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

VT_UI1

Layer

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_I4

StartX

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndX

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

StartY

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

EndY

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

Width

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Height

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

VT_I4

Angle

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMin

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_I2

ZoomMax

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Stationname

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

LineColorVariable

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

LineColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BackColorVariable

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BackColorVarPreview

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_UI1

HorizontalOrigin

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

VT_UI1

VerticalOrigin

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

VT_UI4

VisibilityType

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

VisibilityVariable

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

VisVarPreview

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VisibilityFromLimit

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityFrom

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_R8

VisibilityTo

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

VT_UI4

Interlocking

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

InterlockingName

InterlockingName

Description

VT_BOOL

VisibleWhenInterlocked

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

BlinkVariable

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

BlinkVarPreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseBlinkColor

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XVariable

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMin

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XVarMax

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMin

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

VT_I4

XViewMax

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YVariable

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMin

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YVarMax

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMin

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

VT_I4

YViewMax

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

XZoomVariable

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

XZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMin

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

XZoomViewMax

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

YZoomVariable

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMin

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

YZoomVarMax

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMin

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

YZoomViewMax

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

TwistVariable

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMin

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

TwistVarMax

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMin

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

VT_I4

TwistViewMax

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

ZT_STYLE

ShadowEffectStyle

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

EnablePunchFrame

Visualizza cornice

A frame around the element can be displayed.
Default: inactive.

ZT_STYLE

GlowEffectStyle

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectEvent

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectGlowColorVariablePreview

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectVisibilityVariablePreview

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectVisibilityFromLimit

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityFrom

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

VT_R8

GlowEffectVisibilityTo

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

ZT_PREVIEW

GlowEffectBlinkVariablePreview

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffectUseBlinkColor

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

GlowEffect2ndBlinkStateVisible

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.


Elements

Manuale -> Scripting -> Objectmodel -> Elements

Remarks

This collection contains the defined dynamic elements of a Screen.The single dynamic elements contain the most important properties, e.g. type, position, colour, ...The single dynamic elements can be found in the collection by their unique name or by the index.Hint for older Versions:Giving a name to a dynamic element is optional.If a dynamic element has no name, it is not found under certain circumstances.So the result of the method Item should always be checked on Nothing.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub ImportMdiTemplate()
Dim Picture As DynPicture
Dim Res As Integer
Set Picture = MyWorkspace.ActiveDocument.DynPictures.Item("Bild 2")
If Not Picture Is Nothing Then
Res = Picture.ImportMdiElements("C:\ProgramData\COPA-DATA\zenon700\Templates\ ScreenTypes\Keyboard\6eeae916-0098-40ab-9dc9-a9ce1dcf4bb5.zip", True)
If Res = 0 Then Picture.Save
End If
End Sub

Noch in diesem Kapitel

Elements-Properties

Elements-Methods


Elements-Properties

Manuale -> Scripting -> Objectmodel -> Elements -> Elements-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IDynPicture | Parent | The parent object of the current object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> Elements -> Elements-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As DynPicture

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> Elements -> Elements-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Elements-Methods

Manuale -> Scripting -> Objectmodel -> Elements -> Elements-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IElement | Create | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
IElement | Item | Returns a object at a position or by a specified key | available | available | yes | yes
IElement | ItemById | Returns a object with the given Id | available | available | yes | yes

Noch in diesem Kapitel

Item

ItemById

Create

Delete


Item

Manuale -> Scripting -> Objectmodel -> Elements -> Elements-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Element from the collection, which is identified by the parameter vID. The parameter vID can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • Element name: The element can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vIndex) As Element

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemById

Manuale -> Scripting -> Objectmodel -> Elements -> Elements-Methods -> ItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemById(VARIANT vElementId) As Element

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Scripting -> Objectmodel -> Elements -> Elements-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new "Element" object by its name as string and its "Element" type.

Datatype

Create(String bsName,tpElementTypes tpType) As Element

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Delete

Manuale -> Scripting -> Objectmodel -> Elements -> Elements-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes an existing "Element" object by its name as string.

Datatype

Delete(String nElemId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


FileManager

Manuale -> Scripting -> Objectmodel -> FileManager

Remarks

This collection represents the directories and files of the files node.

The following Enumerators are supported for the FileManager:

Name | Value | Correspondent directory/zenon module
tpPathBMP | 2 | Files - Graphics
tpPathList | 4 | Files - Texts and Formats
tpPathMedia | 5 | Files - Multimedia
tpPathReport | 6 | Report Generator files (*.xrs)
tpPathLanguage | 9 | Language Table files
tpPathHelp | 10 | Files - Help
tpPathDrivers | 15 | Files - Driver
tpPathAdditional | 17 | Files - Additional
tpPathRDLC | 18 | Files - Report Viewer (*.rdl)

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Sub FileManager()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Object from type FileManagerFolder

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Set the folder for the language tables
Set zFileManagerFolder =

zFileManager.FolderItem(zenOn.tpModulePaths.tpPathLanguage)
'Add a new item
zFileManagerFolder.AddItem ("C:\Language_Tables\English.txt")

End Sub

Noch in diesem Kapitel

FileManager-Properties

FileManager-Methods


FileManager-Properties

Manuale -> Scripting -> Objectmodel -> FileManager -> FileManager-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IProject | Parent | Returns the parent of the FileManager Object. | read only | read only | yes | yes

Noch in diesem Kapitel

Parent


Parent

Manuale -> Scripting -> Objectmodel -> FileManager -> FileManager-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


FileManager-Methods

Manuale -> Scripting -> Objectmodel -> FileManager -> FileManager-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IFileManagerFolder | FolderItem | Returns the folder object for the given folder. | available | not used | yes | yes

Noch in diesem Kapitel

FolderItem


FolderItem

Manuale -> Scripting -> Objectmodel -> FileManager -> FileManager-Methods -> FolderItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

FolderItem(tpModulePaths lModule) As FileManagerFolder

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A constant which defines the specific folder.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lModule As tpModulePaths

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub FolderItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Object from type FileManagerFolder

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "language list"
Set zFileManagerFolder = zFileManager.FolderItem(9)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Language_Tables\English.txt")

'Read the "graphics list"
Set zFileManagerFolder = zFileManager.FolderItem(2)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Graphics\zenOn_Logo.jpg")

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Help\help.chm")

'Read the "multimedia list"
Set zFileManagerFolder = zFileManager.FolderItem(5)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Media\intro.wav")

'Read the "lists list"
Set zFileManagerFolder = zFileManager.FolderItem(4)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Lists\List.doc")

'Read the "drivers list"
Set zFileManagerFolder = zFileManager.FolderItem(15)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Drivers\driver.exe")

'Read the "others list"
Set zFileManagerFolder = zFileManager.FolderItem(17)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Others\infos.pdf")

End Sub


FileManagerFileItem

Manuale -> Scripting -> Objectmodel -> FileManagerFileItem

Remarks

This collection makes it possible to manage the files in a list.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub FileItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager
Dim zFileManagerItem As FileManagerFileItem 'Child object from type FileManagerFolder

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Read the first file in the list
Set zFileManagerItem = zFileManagerFolder.FileItem(0)
'Returns the filename of the file in the list
Debug.Print "Filename = " & zFileManagerItem.FileName

End Sub

Noch in diesem Kapitel

FileManagerFileItem-Properties

FileManagerFileItem-Methods

FileManagerFileItem-Dynamic properties


FileManagerFileItem-Properties

Manuale -> Scripting -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | FileName | Returns the name of the File. | available | read only | yes | yes

Noch in diesem Kapitel

FileName


FileName

Manuale -> Scripting -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Properties -> FileName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the filename of the selected file.

Datatype

FileName() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


FileManagerFileItem-Methods

Manuale -> Scripting -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes

Noch in diesem Kapitel

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Get

Manuale -> Scripting -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Scripting -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Scripting -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Scripting -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Scripting -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Scripting -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Scripting -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


FileManagerFileItem-Dynamic properties

Manuale -> Scripting -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

File object

Noch in diesem Kapitel

File object


File object

Manuale -> Scripting -> Objectmodel -> FileManagerFileItem -> FileManagerFileItem-Dynamic properties -> File object

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | Nome file | Nome del file collegato. I file esterni che vengono collegati in questo modo, sono salvati sia nel percorso Runtime che in quello della banca dati del progetto. Attenzione: ogni volta che vengono creati dei nuovi file Runtime, quelli contenuti nella cartella Runtime vengono sovrascritti dai file della cartella della banca dati. Proprio per questo i file esterni dovrebbero essere modificati solamente tramite il menù contestuale del file in questione e non esternamente, in modo tale che vengano modificati in modo corrispondente anche i file della cartella del database. Ulteriori informazioni nella guida in linea.


FileManagerFolder

Manuale -> Scripting -> Objectmodel -> FileManagerFolder

Remarks

This collection contains the folder object for the specified folder. The folder item object allows different methods for different tpModulepaths. Not all methods are supported for all tpModulepaths

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub AddItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Language_Tables\English.txt")

Call CreateFolder

End Sub

Sub CreateFolder()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Create a new folder in the list
zFileManagerFolder.CreateFolder ("My_Folder")

Call FolderItem

End Sub

Sub FolderItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager
Dim zFileManagerItem As FileManagerFileItem 'Child object from type FileManagerFolder
Dim zFolderItem As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Read a sub folder item
Set zFolderItem = zFileManagerFolder.FolderItem(0)
'Add a file at the created sub-folder
zFolderItem.AddItem ("C:\Programme\COPA-DATA\Help\editor.chm")

End Sub

Noch in diesem Kapitel

FileManagerFolder-Properties

FileManagerFolder-Methods


FileManagerFolder-Properties

Manuale -> Scripting -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | FileCount | Returns the amount of files located in the folder. | available | available | yes | yes
long | FolderCount | Returns the amount of folders located in the folder. | available | available | yes | yes
BSTR | Name | Name of the folder. | available | read only | yes | yes

Noch in diesem Kapitel

FolderCount

FileCount

Name


FolderCount

Manuale -> Scripting -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Properties -> FolderCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of sub-directories in this directory.

Datatype

FolderCount() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


FileCount

Manuale -> Scripting -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Properties -> FileCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of files in a directory.

Datatype

FileCount() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the directory.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


FileManagerFolder-Methods

Manuale -> Scripting -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddItem | Inserts the given file into the folder. | available | not used | yes | yes
VARIANT_BOOL | CreateFolder | Creates a subfolder. | available | not used | yes | yes
VARIANT_BOOL | DeleteFile | Deletes the file from the folder. | available | not used | yes | yes
VARIANT_BOOL | DeleteFolder | Deletes the folder. | available | not used | yes | yes
IFileManagerFileItem | FileItem | Returns the file, at given index, from the folder. | available | available | yes | yes
IFileManagerFolder | FolderItem | Returns the sub-folder, at given index, from the folder. | available | available | yes | yes

Noch in diesem Kapitel

FolderItem

AddItem

CreateFolder

FileItem

DeleteFile

DeleteFolder


FolderItem

Manuale -> Scripting -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Methods -> FolderItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns a sub-folder from type "FileManagerFolder".

Datatype

FolderItem(long lIndex) As FileManagerFolder

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Defines the position of the sub folder.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub FolderItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager
Dim zFileManagerItem As FileManagerFileItem 'Child object from type FileManagerFolder
Dim zFolderItem As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Read a sub folder item
Set zFolderItem = zFileManagerFolder.FolderItem(0)
'Add a file at the created sub-folder
zFolderItem.AddItem ("C:\Programme\COPA-DATA\Help\editor.chm")

End Sub


AddItem

Manuale -> Scripting -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Methods -> AddItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method allows adding files to the directory.

Datatype

AddItem(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub AddItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "language list"
Set zFileManagerFolder = zFileManager.FolderItem(9)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Language_Tables\English.txt")

End Sub


CreateFolder

Manuale -> Scripting -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Methods -> CreateFolder

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a new directory. It is not supported for all tpModulepaths directories. Returns True if successfull

Datatype

CreateFolder(String bsFolderName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The folder name is defined by a string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFolderName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateFolder()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Create a new folder in the list
zFileManagerFolder.CreateFolder ("My_Folder")

End Sub


FileItem

Manuale -> Scripting -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Methods -> FileItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an object from type FileManagerFileItem.

Datatype

FileItem(long lIndex) As FileManagerFileItem

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Defines the position of the file.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub FileItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager
Dim zFileManagerItem As FileManagerFileItem 'Child object from type FileManagerFolder

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Read the first file in the list
Set zFileManagerItem = zFileManagerFolder.FileItem(0)
'Returns the filename of the file in the list
Debug.Print "Filename = " & zFileManagerItem.FileName

End Sub


DeleteFile

Manuale -> Scripting -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Methods -> DeleteFile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method allows the deletion of files. Returns true if successfull.

Datatype

DeleteFile(long lIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Defines the position of the file.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteFile()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "language list"
Set zFileManagerFolder = zFileManager.FolderItem(9)
'Delete the first file in the list
zFileManagerFolder.DeleteFile (0)

End Sub


DeleteFolder

Manuale -> Scripting -> Objectmodel -> FileManagerFolder -> FileManagerFolder-Methods -> DeleteFolder

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method a list folder can be deleted.

Datatype

DeleteFolder(long lIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Defines the position of the folder.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteFolder()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Delete the first folder
zFileManagerFolder.DeleteFolder (0)

End Sub


FontItem

Manuale -> Scripting -> Objectmodel -> FontItem

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'Type definition of LOGFONT type (see MSDN)
Type LOGFONT
Height As Long
Width As Long
Escapement As Long
Orientation As Long
Weight As Long
Italic As Byte
Underline As Byte
StrikeOut As Byte
CharSet As Byte
OutPrecision As Byte
ClipPrecision As Byte
Quality As Byte
PitchAndFamily As Byte
FaceName As String * 32
End Type

Sub GetFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim n As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists
'enumerate all fontlists of the active project
For i = 0 To zFLs.Count - 1
Set zFL = zFLs.Item(i)
Debug.Print "Fontlist: " & zFL.DynProperties("Name")
'enumrate fonts of a fontlist
For n = 0 To zFL.Count - 1
Set zFI = zFL.Item(n)
Debug.Print zFI.DynProperties("Number")
Debug.Print zFI.DynProperties("Name")
Debug.Print zFI.DynProperties("Font")
'convert string to LOGFONT type in a function
lf = GetLogFontFromString(zFI.DynProperties("Font"))
Next n
Next i
End Sub

Sub CreateFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists

'define font (LOGFONT)
lf.Height = 10
lf.Width = 0
lf.Escapement = 0
lf.Orientation = 0
lf.Weight = 400
lf.Italic = 0
lf.Underline = 0
lf.StrikeOut = 0
lf.CharSet = 0
lf.OutPrecision = 3
lf.ClipPrecision = 2
lf.Quality = 5
lf.PitchAndFamily = 34
lf.FaceName = String(25, " ") & "Courier" '32 - 7

'create new fontlist
Set zFL = zFLs.Create
With zFL
'set name of new fontlist
.DynProperties("Name") = "VBA_FontList3"
For i = 1 To 10
'create fonts in fontlist
Set zFI = zFL.Create(i)
zFI.DynProperties("Name") = "VBA_Font_" & Format(i, "00")
zFI.DynProperties("Font") = strFont
'modify LOGFONT definition
lf.Height = 10 + (i * 2)
'set font
zFI.DynProperties("Font") = GetStringFromLogFont(lf)
Next i
End With

End Sub

'CONVERT A STRING TO LOGFONT TYPE
Function GetLogFontFromString(strFont As String) As LOGFONT
Dim vSplit As Variant
Dim sFaceName As String
Dim i As Integer

vSplit = Split(strFont, " ")

GetLogFontFromString.Height = vSplit(0)
GetLogFontFromString.Width = vSplit(1)
GetLogFontFromString.Escapement = vSplit(2)
GetLogFontFromString.Orientation = vSplit(3)
GetLogFontFromString.Weight = vSplit(4)
GetLogFontFromString.Italic = vSplit(5)
GetLogFontFromString.Underline = vSplit(6)
GetLogFontFromString.StrikeOut = vSplit(7)
GetLogFontFromString.CharSet = vSplit(8)
GetLogFontFromString.OutPrecision = vSplit(9)
GetLogFontFromString.ClipPrecision = vSplit(10)
GetLogFontFromString.Quality = vSplit(11)
GetLogFontFromString.PitchAndFamily = vSplit(12)
For i = 13 To UBound(vSplit)
sFaceName = sFaceName & vSplit(i) & " "
Next i
sFaceName = RTrim(sFaceName)
sFaceName = String(32 - Len(sFaceName), " ") & sFaceName

GetLogFontFromString.FaceName = sFaceName
End Function

'CONVERT A LOGFONT TO STRING
Function GetStringFromLogFont(lfFont As LOGFONT) As String
GetStringFromLogFont = lfFont.Height & " " & _
lfFont.Width & " " & _
lfFont.Escapement & " " & _
lfFont.Orientation & " " & _
lfFont.Weight & " " & _
lfFont.Italic & " " & _
lfFont.Underline & " " & _
lfFont.StrikeOut & " " & _
lfFont.CharSet & " " & _
lfFont.OutPrecision & " " & _
lfFont.ClipPrecision & " " & _
lfFont.Quality & " " & _
lfFont.PitchAndFamily & " " & _
lfFont.FaceName
End Function

Noch in diesem Kapitel

FontItem-Methods

FontItem-Dynamic properties


FontItem-Methods

Manuale -> Scripting -> Objectmodel -> FontItem -> FontItem-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> FontItem -> FontItem-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> FontItem -> FontItem-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> FontItem -> FontItem-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> FontItem -> FontItem-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


FontItem-Dynamic properties

Manuale -> Scripting -> Objectmodel -> FontItem -> FontItem-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Font

Noch in diesem Kapitel

Font


Font

Manuale -> Scripting -> Objectmodel -> FontItem -> FontItem-Dynamic properties -> Font

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Denominazione attribuibile liberamente; solo a scopo informativo.
Default: Nuovo carattere x (x è un numero progressivo).
Attenzione: questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_LOGSCHRIFT

Font

Carattere

Scelta del tipo di carattere fra quelli installati nel computer.
Attenzione: Il dialogo per la selezione del tipo di carattere è un dialogo standard di Windows. Esso consente anche la selezione di ulteriori proprietà, come il colore del carattere. Queste ulteriori impostazioni non hanno alcuna influenza sulla visualizzazione in zenon.

Ulteriori informazioni nella guida in linea.

VT_UI2

Number

Numero

Numero univoco del carattere.
Il numero viene assegnato dal sistema al momento dell´impostazione di un carattere. I numeri 1 e 2 sono assegnati in modo fisso e non possono essere modificati. Tutti gli altri numeri di carattere possono essere modificati in un secondo momento, a meno che il numero assegnato non sia già in uso per un altro carattere.

Nota: nel caso di una corrispondenza di numero nel progetto globale e nel progetto normale, viene usato il carattere di quest´ultimo.

Ulteriori informazioni nella guida in linea.


FontList

Manuale -> Scripting -> Objectmodel -> FontList

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'Type definition of LOGFONT type (see MSDN)
Type LOGFONT
Height As Long
Width As Long
Escapement As Long
Orientation As Long
Weight As Long
Italic As Byte
Underline As Byte
StrikeOut As Byte
CharSet As Byte
OutPrecision As Byte
ClipPrecision As Byte
Quality As Byte
PitchAndFamily As Byte
FaceName As String * 32
End Type

Sub GetFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim n As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists
'enumerate all fontlists of the active project
For i = 0 To zFLs.Count - 1
Set zFL = zFLs.Item(i)
Debug.Print "Fontlist: " & zFL.DynProperties("Name")
'enumrate fonts of a fontlist
For n = 0 To zFL.Count - 1
Set zFI = zFL.Item(n)
Debug.Print zFI.DynProperties("Number")
Debug.Print zFI.DynProperties("Name")
Debug.Print zFI.DynProperties("Font")
'convert string to LOGFONT type in a function
lf = GetLogFontFromString(zFI.DynProperties("Font"))
Next n
Next i
End Sub

Sub CreateFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists

'define font (LOGFONT)
lf.Height = 10
lf.Width = 0
lf.Escapement = 0
lf.Orientation = 0
lf.Weight = 400
lf.Italic = 0
lf.Underline = 0
lf.StrikeOut = 0
lf.CharSet = 0
lf.OutPrecision = 3
lf.ClipPrecision = 2
lf.Quality = 5
lf.PitchAndFamily = 34
lf.FaceName = String(25, " ") & "Courier" '32 - 7

'create new fontlist
Set zFL = zFLs.Create
With zFL
'set name of new fontlist
.DynProperties("Name") = "VBA_FontList3"
For i = 1 To 10
'create fonts in fontlist
Set zFI = zFL.Create(i)
zFI.DynProperties("Name") = "VBA_Font_" & Format(i, "00")
zFI.DynProperties("Font") = strFont
'modify LOGFONT definition
lf.Height = 10 + (i * 2)
'set font
zFI.DynProperties("Font") = GetStringFromLogFont(lf)
Next i
End With

End Sub

'CONVERT A STRING TO LOGFONT TYPE
Function GetLogFontFromString(strFont As String) As LOGFONT
Dim vSplit As Variant
Dim sFaceName As String
Dim i As Integer

vSplit = Split(strFont, " ")

GetLogFontFromString.Height = vSplit(0)
GetLogFontFromString.Width = vSplit(1)
GetLogFontFromString.Escapement = vSplit(2)
GetLogFontFromString.Orientation = vSplit(3)
GetLogFontFromString.Weight = vSplit(4)
GetLogFontFromString.Italic = vSplit(5)
GetLogFontFromString.Underline = vSplit(6)
GetLogFontFromString.StrikeOut = vSplit(7)
GetLogFontFromString.CharSet = vSplit(8)
GetLogFontFromString.OutPrecision = vSplit(9)
GetLogFontFromString.ClipPrecision = vSplit(10)
GetLogFontFromString.Quality = vSplit(11)
GetLogFontFromString.PitchAndFamily = vSplit(12)
For i = 13 To UBound(vSplit)
sFaceName = sFaceName & vSplit(i) & " "
Next i
sFaceName = RTrim(sFaceName)
sFaceName = String(32 - Len(sFaceName), " ") & sFaceName

GetLogFontFromString.FaceName = sFaceName
End Function

'CONVERT A LOGFONT TO STRING
Function GetStringFromLogFont(lfFont As LOGFONT) As String
GetStringFromLogFont = lfFont.Height & " " & _
lfFont.Width & " " & _
lfFont.Escapement & " " & _
lfFont.Orientation & " " & _
lfFont.Weight & " " & _
lfFont.Italic & " " & _
lfFont.Underline & " " & _
lfFont.StrikeOut & " " & _
lfFont.CharSet & " " & _
lfFont.OutPrecision & " " & _
lfFont.ClipPrecision & " " & _
lfFont.Quality & " " & _
lfFont.PitchAndFamily & " " & _
lfFont.FaceName
End Function

Noch in diesem Kapitel

FontList-Properties

FontList-Methods

FontList-Dynamic properties


FontList-Properties

Manuale -> Scripting -> Objectmodel -> FontList -> FontList-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of Font objects. | available | not used | yes | yes

Noch in diesem Kapitel

Count


Count

Manuale -> Scripting -> Objectmodel -> FontList -> FontList-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


FontList-Methods

Manuale -> Scripting -> Objectmodel -> FontList -> FontList-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IFontItem | Create | Create a new Font. | available | not used | yes | yes
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
IFontItem | Item | Returns the Font at the given index. | available | not used | yes | yes
IFontItem | ItemById | Returns the Font with the given Id. | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

Item

ItemById

Create

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


Item

Manuale -> Scripting -> Objectmodel -> FontList -> FontList-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(long lIndex) As FontItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemById

Manuale -> Scripting -> Objectmodel -> FontList -> FontList-Methods -> ItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemById(long lId) As FontItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Scripting -> Objectmodel -> FontList -> FontList-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Create(long lFontId) As FontItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> FontList -> FontList-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> FontList -> FontList-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> FontList -> FontList-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> FontList -> FontList-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


FontList-Dynamic properties

Manuale -> Scripting -> Objectmodel -> FontList -> FontList-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Fontlist

Noch in diesem Kapitel

Fontlist


Fontlist

Manuale -> Scripting -> Objectmodel -> FontList -> FontList-Dynamic properties -> Fontlist

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | Nome | Nome della lista caratteri Ulteriori informazioni nella guida in linea.


FontLists

Manuale -> Scripting -> Objectmodel -> FontLists

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'Type definition of LOGFONT type (see MSDN)
Type LOGFONT
Height As Long
Width As Long
Escapement As Long
Orientation As Long
Weight As Long
Italic As Byte
Underline As Byte
StrikeOut As Byte
CharSet As Byte
OutPrecision As Byte
ClipPrecision As Byte
Quality As Byte
PitchAndFamily As Byte
FaceName As String * 32
End Type

Sub GetFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim n As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists
'enumerate all fontlists of the active project
For i = 0 To zFLs.Count - 1
Set zFL = zFLs.Item(i)
Debug.Print "Fontlist: " & zFL.DynProperties("Name")
'enumrate fonts of a fontlist
For n = 0 To zFL.Count - 1
Set zFI = zFL.Item(n)
Debug.Print zFI.DynProperties("Number")
Debug.Print zFI.DynProperties("Name")
Debug.Print zFI.DynProperties("Font")
'convert string to LOGFONT type in a function
lf = GetLogFontFromString(zFI.DynProperties("Font"))
Next n
Next i
End Sub

Sub CreateFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists

'define font (LOGFONT)
lf.Height = 10
lf.Width = 0
lf.Escapement = 0
lf.Orientation = 0
lf.Weight = 400
lf.Italic = 0
lf.Underline = 0
lf.StrikeOut = 0
lf.CharSet = 0
lf.OutPrecision = 3
lf.ClipPrecision = 2
lf.Quality = 5
lf.PitchAndFamily = 34
lf.FaceName = String(25, " ") & "Courier" '32 - 7

'create new fontlist
Set zFL = zFLs.Create
With zFL
'set name of new fontlist
.DynProperties("Name") = "VBA_FontList3"
For i = 1 To 10
'create fonts in fontlist
Set zFI = zFL.Create(i)
zFI.DynProperties("Name") = "VBA_Font_" & Format(i, "00")
zFI.DynProperties("Font") = strFont
'modify LOGFONT definition
lf.Height = 10 + (i * 2)
'set font
zFI.DynProperties("Font") = GetStringFromLogFont(lf)
Next i
End With

End Sub

'CONVERT A STRING TO LOGFONT TYPE
Function GetLogFontFromString(strFont As String) As LOGFONT
Dim vSplit As Variant
Dim sFaceName As String
Dim i As Integer

vSplit = Split(strFont, " ")

GetLogFontFromString.Height = vSplit(0)
GetLogFontFromString.Width = vSplit(1)
GetLogFontFromString.Escapement = vSplit(2)
GetLogFontFromString.Orientation = vSplit(3)
GetLogFontFromString.Weight = vSplit(4)
GetLogFontFromString.Italic = vSplit(5)
GetLogFontFromString.Underline = vSplit(6)
GetLogFontFromString.StrikeOut = vSplit(7)
GetLogFontFromString.CharSet = vSplit(8)
GetLogFontFromString.OutPrecision = vSplit(9)
GetLogFontFromString.ClipPrecision = vSplit(10)
GetLogFontFromString.Quality = vSplit(11)
GetLogFontFromString.PitchAndFamily = vSplit(12)
For i = 13 To UBound(vSplit)
sFaceName = sFaceName & vSplit(i) & " "
Next i
sFaceName = RTrim(sFaceName)
sFaceName = String(32 - Len(sFaceName), " ") & sFaceName

GetLogFontFromString.FaceName = sFaceName
End Function

'CONVERT A LOGFONT TO STRING
Function GetStringFromLogFont(lfFont As LOGFONT) As String
GetStringFromLogFont = lfFont.Height & " " & _
lfFont.Width & " " & _
lfFont.Escapement & " " & _
lfFont.Orientation & " " & _
lfFont.Weight & " " & _
lfFont.Italic & " " & _
lfFont.Underline & " " & _
lfFont.StrikeOut & " " & _
lfFont.CharSet & " " & _
lfFont.OutPrecision & " " & _
lfFont.ClipPrecision & " " & _
lfFont.Quality & " " & _
lfFont.PitchAndFamily & " " & _
lfFont.FaceName
End Function

Noch in diesem Kapitel

FontLists-Properties

FontLists-Methods


FontLists-Properties

Manuale -> Scripting -> Objectmodel -> FontLists -> FontLists-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of Fontlist objects. | available | not used | yes | yes

Noch in diesem Kapitel

Count


Count

Manuale -> Scripting -> Objectmodel -> FontLists -> FontLists-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


FontLists-Methods

Manuale -> Scripting -> Objectmodel -> FontLists -> FontLists-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IFontList | Create | Create a new FontList. | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
IFontList | Item | Returns the FontList at the given index. | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes

Noch in diesem Kapitel

Item

Create

SingleExport

Export

Import


Item

Manuale -> Scripting -> Objectmodel -> FontLists -> FontLists-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(long lIndex) As FontList

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Scripting -> Objectmodel -> FontLists -> FontLists-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Create() As FontList

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuale -> Scripting -> Objectmodel -> FontLists -> FontLists-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuale -> Scripting -> Objectmodel -> FontLists -> FontLists-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Import

Manuale -> Scripting -> Objectmodel -> FontLists -> FontLists-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Imports settings using a xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)

'Export settings to an xml file
zenOnObject.Export ("C:\zenOn_eXaMpLe.xml, False")

'Import settings from an xml file
zenOnObject.Import ("C:\zenOn_eXaMpLe.xml, False")

End Sub


Interlocking

Manuale -> Scripting -> Objectmodel -> Interlocking

Remarks

With the interlocking object you have the opportunity to edit standard interlockings and command interlockings (zenOn Energy edition)

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub Get_Interlocking_Information()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Child object from type Interlocking

'Load the available Interlockings
Set zInterlockings = thisProject.Interlockings
'Select a command interlocking called "switches"
Set zInterlocking = zInterlockings.Item("switches")

'Get all projected informations of the first action
'Get action type
Debug.Print "Action type = " & zInterlocking.DynProperties("Actions[0].Type")
'Get the linked variable
Debug.Print "Variable = " & zInterlocking.DynProperties("Actions[0].TTA")
'Get the "switching direction"
Debug.Print "Switching direction = " & zInterlocking.DynProperties("Actions[0].Direction")
'Get the "command setting status"
Debug.Print "Command setting status = " & zInterlocking.DynProperties("Actions[0].CommandState")
'Get state "CEL entries suppressed"
Debug.Print "CEL entries are suppressed = " & zInterlocking.DynProperties("Actions[0].CELBlock")
'Get the "timeout" in seconds
Debug.Print "Timeout (s) = " & zInterlocking.DynProperties("Actions[0].Timeout")
'Get the "edge delay" in milliseconds
Debug.Print "Edge delay (ms) = " & zInterlocking.DynProperties("Actions[0].EdgeDelay")
'Get the "modifyable stati"
Debug.Print "Modifyable stati = " & zInterlocking.DynProperties("Actions[0].State")
'Get state "nominal/actual value comparison"
Debug.Print "Nominal/actual value comparison is activated = " & zInterlocking.DynProperties("Actions[0].Actual")
'Get the "menu specific Screen"
Debug.Print "Menu specific picture = " & zInterlocking.DynProperties("Actions[0].Picture")
'Get state "close automatically"
Debug.Print "Close automatically is activated = " & zInterlocking.DynProperties("Actions[0].CloseMDIWnd")
'Get state "two-stage"
Debug.Print "Two-stage is activated = " & zInterlocking.DynProperties("Actions[0].TwoLevel")
'Get state "two-hand operation"
Debug.Print "Two-hand operation is activated = " & zInterlocking.DynProperties("Actions[0].TwoHand")

End Sub

Noch in diesem Kapitel

Interlocking-Methods

Interlocking-Dynamic properties


Interlocking-Methods

Manuale -> Scripting -> Objectmodel -> Interlocking -> Interlocking-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

CreateDynProperty

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


CreateDynProperty

Manuale -> Scripting -> Objectmodel -> Interlocking -> Interlocking-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With the DynProperties "Variables" and "Actions" you have the opportunity to create a variable at an interlocking and to create an action at a command interlocking (special interlockings for zenOn Energy).

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of DynProperty to be created as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Command_Interlockings()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Child object from type Interlocking

'Load the available Interlockings
Set zInterlockings = thisProject.Interlockings
'Select a command interlocking
Set zInterlocking = zInterlockings.Item("Verriegelung 1")

'Create a "variable" at the command interlocking
zInterlocking.CreateDynProperty ("Variables")
'Allocate the first variable of the project variables list
zInterlocking.DynProperties("Variables[0].Name") = thisProject.Variables.Item(0)

'Create an "action" at the command interlocking
zInterlocking.CreateDynProperty ("Actions")
'The action should be from type "Double command"
zInterlocking.DynProperties("Actions[0].Type") = 1
'Set the "variable" via a string
zInterlocking.DynProperties("Actions[0].TTA") = "switch_1"
'Set the "switching direction" to ON
zInterlocking.DynProperties("Actions[0].Direction") = 1
'Set the "command setting status" to 1
zInterlocking.DynProperties("Actions[0].CommandState") = 1
'Set that CEL entries should be suppressed
zInterlocking.DynProperties("Actions[0].CELBlock") = True
'Set the "timeout" to 60 sec
zInterlocking.DynProperties("Actions[0].Timeout") = 60
'Set the edge "delay" to 2000 msec
zInterlocking.DynProperties("Actions[0].EdgeDelay") = 2000
'Read the "modifyable stati"
Debug.Print zInterlocking.DynProperties("Actions[0].State")
'Set the "nominal/actual value comparison" active
zInterlocking.DynProperties("Actions[0].Actual") = True
'Set the "menu specific picture" (menu type = commands) via a string
zInterlocking.DynProperties("Actions[0].Picture") = "Picture 1"
'Set the "close automatically" property active
zInterlocking.DynProperties("Actions[0].CloseMDIWnd") = True
'Set the "two-stage" property active
zInterlocking.DynProperties("Actions[0].TwoLevel") = True
'Set the "two-hand operation" property active
zInterlocking.DynProperties("Actions[0].TwoHand") = True

End Sub


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> Interlocking -> Interlocking-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> Interlocking -> Interlocking-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> Interlocking -> Interlocking-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> Interlocking -> Interlocking-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Interlocking-Dynamic properties

Manuale -> Scripting -> Objectmodel -> Interlocking -> Interlocking-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Interlocking

Noch in diesem Kapitel

CBefPara

CVerVar

Interlocking


CBefPara

Manuale -> Scripting -> Objectmodel -> Interlocking -> Interlocking-Dynamic properties -> CBefPara

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

LockingCondition

Condizioni di blocco

Properties for the conditions.

ZT_VARIABLE_DYN

Name

Variabile

Nome delle variabili collegate con il gruppo comandi.
Apre il dialogo che serve alla selezione variabili.

Ulteriori informazioni nella guida in linea.

VT_BSTR

TTA

TTA Imp/Exp

VT_UI2

Type

Tipo

Disponibile solamente con l´azione Stato comandi:
tipo del comando.
Comando doppio: Scrive il valore della proprietà Stato comandi.
Comando impulso: Scrive il valore della proprietà Stato comandi. Dopo Ritardo fronte viene scritto il valore 0. Essa non è soggetta al monitoraggio runtime.

Nota: Disponibile solamente con l´azione comando Comando impulso. Se si selezionano altre azioni nel comando, esse vengono inserite prima in Tipo e vengono visualizzate in grigio per escluderle dalla successiva modifica

Default: Comando doppio.

Ulteriori informazioni nella guida in linea.

VT_UI2

Direction

Stato-Feedback/Direzione Switch

Definisce il valore atteso oppure lo stato della variabile di risposta dopo l'esecuzione dell'azione.

Gli inserimenti possibili si diversificano a seconda dell´azione.

  • OFF: Lo Stato-Feedback viene disattivato - il valore sarà 0
  • DIFF: Stato intermedio compreso fra 0 e 1.
  • ON: Lo Stato-Feedback viene attivato - il valore sarà 1
  • Nessuno: Lo Stato-Feedback viene ignorato - il valore non cambierà.
  • DIR: xx (disponibile solo per l´azione di comando Impostazione valore)
  • Valore impostabile: xx (disponibile solo per l´azione di comando Impostazione valore)
  • DIST: Errore.

Non disponibile con le azioni: Bloccare, Blocco e Rilascia.

Ulteriori informazioni nella guida in linea.

VT_UI2

CommandState

Stato comandi

Disponibile solamente con l´azione 'Comando':
definisce il valore che con l´azione 'Comando' viene scritto sulla variabile di comando.
Nota: non attiva con le azioni di comando Blocca, Sostituisci, Rilascia, Correzione manuale, Revisione, Imposta valore così comeModifica stati.

0: La variabile di comando viene settata sul valore 0.
1: La variabile di comando viene settata sul valore 1.
Default: 1.

Ulteriori informazioni nella guida in linea.

VT_UI4

EdgeDelay

Ritardo fronte

Disponibile solamente nel caso in cui nella proprietà Tipo sia stato scelto Comando impulso.
Dopo la scadenza di questo tempo espresso in millisecondi, il valore della variabile di comando viene resettato (a seconda della direzione di switch) su 0 o 1. Il reset del valore non viene eseguito se la proprietà Seleziona prima di operare della variabile di azione è stato attivato.

Nota: Se si seleziona nel comando l´azione Comando automatico/remoto, oppure Comando forzato, esse vengono inserite in Tipo e vengono disattivate per ulteriori modifiche.

Nota:
Minimo: 0
Massimo: 4294967295
Default: 1000
Attenzione: Il sistema non attende il termine del watchdog timer.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueDirectly

Imposta valore

Disponibile solamente se la proprietà Stato-Feedback/Direzione Switch è stata settata su DIR. Ciò è possibile solamente nel caso delle seguenti azioni di comando: Sostituisci, Aggiorna e Impostazione valore.

Definisce il valore impostabile da settare.

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_ALARMKLASSE

State

Stati modificabili

Disponibile solamente con l´azione 'Modifica stati':

Default: nessuna.

Ulteriori informazioni nella guida in linea.

VT_BOOL

CELBlock

Sopprimi inserimento CEL

Attivo: al momento dell´esecuzione dell´azione, non viene generato nessun inserimento nella Lista Eventi Cronologica (CEL).
Disattivato: al momento dell´esecuzione dell´azione, viene generato un inserimento nella CEL.
Default: Inattiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

Timeout

Timeout

Timeout per watchdog in secondi per i tipi di azione comando doppio e comando impulso.

Questa impostazione vale anche come timeout per Select di IO. È disponibile solamente per le seguenti azioni di comando: Comando, Comando automatico/remoto, Verifica feedback, Impostazione valore e Comando forzato.

  • Minimo: 0
  • Massimo: 4294967295
  • Default: 30

Ulteriori informazioni nella guida in linea.

VT_BOOL

TimeoutAbortable

Timout scaduto

Consente di interrompere il timeout nel watchdog timer.

Se il comando Execute- viene già eseguito (dopo che il sistema ha ricevuto COT_actcon), il pulsante Annulla interrompe il watchdog timer. In tal modo, per esempio, i pulsanti saranno di nuovo attivi e disponibili all´uso.
Ma: in caso d´interruzione durante l´esecuzione, il modulo non trasmette nessuna disattivazione (Cancel) al driver.
Se questa proprietà è attiva durante un watchdog timer, è attivo il Cancel-pulsante nell´immagine Comando. Per questo motivo, l´utente ha la possibilità di terminare il watchdog timer cliccando su questo pulsante.

Default: inattivo

Nota: è disponibile solo per azioni gruppo comando Funzionalitàe Impostazione valore. Non viene settato nessun bit Time-out!

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseQOC

Utilizza qualificatore di comando

Disponibile solo se si possiede una licenza della Energy Edition.

Potete aggiungere a comandi anche un'ulteriore informazione (Qualifier of Command) se il driver lo supporta. Driver possibili: IEC850, IEC870 e DNP3.

attivo: attiva l'indicazione sottoQualificatore di comando.

Nota: è disponibile solamente per le seguenti azioni di comando: Comando automatico/remoto, Comando impulsoe Comando forzato.

Default: inattivo

VT_UI1

QOC

Qualificatore di comando

Indicate un valore numerico che viene inviato come parametro di comando al driver. A seconda del driver esso viene analizzato in modo diverso.

  • IEC850: Con i comandi, i valori compresi da 0 a 3 vengono inseriti nel campoCheck, gli altri vengono ignorati.
  • IEC870: Con i comandi, i valori da 0 a 31 vengono inseriti nel campoQU, gli altri vengono ignorati.
  • DNP3: Il valore 1 per il comando significa Pulse, altrimenti Latch.

Minimo: 0
Massimo: 127
Default: 0

Nota: questo inserimento è possibile solamente se l´opzione Utilizza qualifica di comando è attiva.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Picture

Exp. menu Immagine spec.

VT_BSTR

SubstiAction

Sostituzione in immagine

Sostituzione di azione di comando: Regola di sostituzione per immagini del tipo Comando. In questa proprietà si progetta il fine della sostituzione. Si definisce il testo che deve essere sostituito.

Più regole di sostituzione sono separate mediante un punto e virgola (;). Le sostituzioni configurate vengono effettuate procedendo da sinistra a destra.

Se non c`è un * nella variabile di responso o nella variabile di azione, non avverrà alcuna sostituzione. Nella progettazione non si fa distinzione fra lettere maiuscole e minuscole.

Esempio:

  • Value of the response variable: abc_RV.
  • Configured response variable for command group: *_RV
  • Existing variables in the screen: xyz_lock, xy_Switch
  • Configured replacement in the screen: xyz;xy
  • Existing variables in the project: abc_lock and abc_Switch.
  • Result: Display of the variables in the screen: abc_lock and abc_Switch.

Nota: attiva solo se nella proprietà Immagine c`è un´immagine comando assegnata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Actual

Comparazione valore Attuale/Nominale

Attivo: si verifica se il valore della variabile di risposta corrisponde già alla direzione di commutazione. Se questo è vero, si visualizza un messaggio di blocco sbloccabile nel comando.
Non attiva: non viene effettuato nessun controllo della direzione di commutazione.
Nota: Disponibile solamente per il comando comando doppio(= azione => Nuovo comando).

Default: inattivo.

Ulteriori informazioni nella guida in linea

VT_BOOL

DisableOnActual

_DynPropFullTemplate

Questa proprietà è disponibile solamente se la proprietà Comparazione valore Attuale/Nominale è attiva e solo per l´azione comando Comando(comando persistente o comando impulso).

Disattiva un pulsante di comando nell´immagine comando se il valore della variabile di responso corrisponde già al valore impostabile. In caso di cambiamento del valore della variabile di responso, il pulsante di comando corrispondente ritorna ad essere attivo.
La stessa cosa vale anche per le voci dei menù contestuali. In questo caso non viene visualizzata nel menù la corrispondente azione di comando.

Default: Non attivo

Nota: Con questa proprietà è possibile interrogare lo stato attuale già prima di aprire di un´immagine comando o di usare un menù contestuale.

Ulteriori informazioni nella guida in linea.

VT_BOOL

TwoLevel

Doppio-livello

Attivo: L'azione viene eseguita solo se è stato confermato il Control „Esegui 2“.

Inattivo: L'azione viene eseguita:

  • dopo lo sblocco dell'ultimo blocco
  • subito se non c'è alcun altro blocco attivo.

Non attivo se il tipo di azione Comando automatico/remoto è attivo.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

TwoHand

Comando a due mani

Disponibile solo per "Esecuzione in due livelli":

  • Attivo: L´elemento di controllo Esegui 2° livello è disponibile solo quando si pigia contemporaneamente il tasto CTRL.
    Attenzione Per l´elemento di controllo Esegui 2° livello, in caso di operazione a due mani, non può essere attiva la proprietà selezionabile tramite lazzo.
  • Inattivo: l’ elemento di controllo è sempre disponibile.

Default: inattivo
Non attivo se il tipo di azione Comando automatico/remoto è attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

CloseMDIWnd

Chiusura automatica

Attivo: dopo l´esecuzione dell´azione, l´immagine comando viene chiusa automaticamente..
Non attiva: l´immagine comando non viene chiusa automaticamente.
Non attivo se il tipo di azione Comando automatico/remoto è attivo.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

CmdMenuID

ID menu

ID univoco dell´azione. Il menù ID viene usato nel runtime per la creazione di Menu contestuali. Se due azioni vengono dotate dello stesso ID, nella struttura ad albero delle azioni esse vengono evidenziate mediante un simbolo speciale. Nel corso della compilazione, il sistema verifica anche che lo stesso (valore)comando venga utilizzato solo una volta per variabile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

CmdName

Nome comando

Nome attribuibile liberamente dell´azione comando.

Nel runtime, esso può essere visualizzato per il modulo Comando tramite l´immagine comando, il campo Nome azione nel gruppo Informazione.

Nel modulo Sequenze di comando, questo nome viene usato per il passaggio (step). A tal scopo, la proprietà Nome attività nella griglia sequenze di comando del gruppo di proprietà di progetto Sequenze di comando deve essere configurata su Nome azione.
Default: Nome azione DIR, Valore
Il nome azione standard viene ripristinato anche quando viene cancellato un nome azione definito dall´utente.

  • DIR: Direzione dell´azione, non disponibile per le azioni Blocco, Bloccare, Rilasciare.
  • Valore: Valore dell´azione. Disponibile solamente per le azioni Valore impostabile diretto, o Correzione manuale diretta

Nota: Se per due azioni risulta lo stesso nome, il sistema lo fa presente all´utente mediante un´icona di avvertimento che appare nell´albero del modulo comandi; ciò avviene anche se gli ID dei menù sono differenti. La macro $NAME$ può essere usata per la progettazione dei menù e fornisce il nome azione che è soggetto a cambio lingua anche nel runtime.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Ignore2Stage

Ignoriere zweistufig

Comportamento di un´azione two steps nel modulo Sequenze di comando.
Se la proprietà è attiva, le azioni two steps vengono eseguite subito nel modulo Sequenze di comando. Il sistema non tiene conto del fatto che è stata progettata un´esecuzione dell´azione a due livelli (two steps) per il modulo Comando. Nel modulo Sequenze di comando, l´azione viene eseguita subito come passo della sequenza di comando senza che venga aperta una finestra comandi.

Default: Non attivo

Non disponibile se:

  • la proprietà Doppio-livello è disattivata.
  • il tipo di azione è Comando automatico/remoto.
  • il tipo di azione è Blocco.

Nota: Se è stato progettato un interblocco, se ne terrà comunque conto nell´esecuzione nel modulo Sequenze di comando.

Ulteriori informazioni nella guida in linea.

VT_BOOL

BypassOnActual

Ignora operazione per valori identici da impostare e attuali

Comportamento di un´azione in caso di valore già in attesa nel modulo Sequenze di comando:

Questa proprietà è disponibile solamente per l´azione comando Comando (comando persistente o comando impulso).

Se questa proprietà è attiva e se il valore attuale corrisponde già a quello impostabile, nel runtime il sistema ignora (salta) l´azione in una sequenza di comando.

Default: Non attivo

Nel runtime viene generato un corrispondente inserimento CEL quando la proprietà Sopprimi inserimento CEL non è attivata.

Ulteriori informazioni nella guida in linea.

VT_UI2

PwlExecute

Livelli di autorizzazione per l'esecuzione

Definisce i livelli di autorizzazione necessari per effettuare il blocco. Clicando sul livello, si apre la lista a cascata che serve alla selezione.

Ulteriori informazioni nella guida in linea.

VT_UI2

PwlUnlock

Livelli di autorizzazione per lo sblocco

Definisce i livelli di autorizzazione necessari per effettuare lo sblocco. Cliccando sul livello, si apre il menù a tendina che serve alla selezione.

Nota: non attivo nel caso del comando del tipo Comando forzato.

Ulteriori informazioni nella guida in linea.


CVerVar

Manuale -> Scripting -> Objectmodel -> Interlocking -> Interlocking-Dynamic properties -> CVerVar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE_DYN | Name | Variabile di blocco | Variabile che può essere usata per le condizioni di blocco. Se si clicca sul pulsante ..., può essere scambiata la variabile senza che la formula debba essere modificata. Ulteriori informazioni nella guida in linea.


Interlocking

Manuale -> Scripting -> Objectmodel -> Interlocking -> Interlocking-Dynamic properties -> Interlocking

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Actions

Actions

More...

Variables

Variables

VT_BOOL

IsGeneral

IsGeneral

VT_BSTR

Name

Nome

Nome univoco dell´interblocco o comando.
Default: Interblocco/comando x (x è un numero progressivo).
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori dettagli nella parte della guida in linea che concerne la creazione:

- Interblocco

- Commando

VT_BSTR

TTA

TTA Imp/Exp

ZT_VARIABLE_DYN

ValueVariable

Variabile di feedback

Mostra il risultato della condizioni di blocco sulla variabile selezionata.

Un clic sul comando apre il dialogo che serve alla selezione della variabile. Avete anche la possibilità di indicare direttamente il nome della variabile nell´apposito campo.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE_DYN

ReturnInformation

Nome variabile di feedback

Nome variabile oppure maschera per la sostituzione della variabile di riconoscimento.
Una stella che si triova nel nome (*) funge da carattere sostitutivo per il testo di sostituzione. Si può utilizzare solo un elemento di riempimento nell'ambito del nome. Al momento dell´inserimento della maschera bisogna tener conto di quanto segue: da questo nome risulta al momento della sostituzione anche un nome variabile esistente.
Se la variabile utilizzata in questa sede (sostituita o assoluta) non è esistente al momento della creazione dei file runtime, questo gruppo comandi non sarà a disposizione dell´utente durante il runtime. In questo caso, al momento della creazione dei file runtime il sistema emetterà una segnalazione che rimanda a questo errore.
Inserimento diretto o apertura del dialogo di selezione variabili.

Ulteriori informazioni nella guida in linea.

VT_UI1

WatchDogTimer

Watchdog timer

Determina il decorso del Watchdog timer.

Nota: Questo watchdog è attivo solamente per il tipo di azione Comando switche Comando impulso.

  • Nessuno: nessun Watchdog timer.
  • solo tramite variabile di feedback (RV): il valore della variabile di risposta viene usato per controllare se l'operazione ha avuto successo. Il monitoraggio viene attivato solo nel caso in cui il valore da scrivere non corrisponda a quello attuale della variabile di azione.
  • solo tramite Cause of transmision (COT): Si usa COT (Cause of Transmission) per controllare se il processo ha avuto successo.
    Per l´azione 'Comando' vengono analizzai i bit di stato della causa di trasmissione (COTx). Il monitoraggio finisce nel momento in cui viene raggiunto COT_actterm (10).
  • tramite COT e RV: attende e reagisce a COT e a modifiche valori della variabile di responso. Combina le proprietà di solo tramite variavariabile di responso (RV) e solo tramite Cause of transmision (COT).

In generale vale quanto segue: Se il watchdog non viene portato a termine con successo entro la proprietà Timeout progettata per quest'azione, viene settato lo stato bit TIMEOUT.

Default: nessuna.

Ulteriori informazioni nella guida in linea.

VT_BOOL

DesiredDirection

Imposta stato di avanzamento

Attivo: con le azioni Comando e Correzione manuale, viene settato il bit di stato In costruzione (PROGRESS) nella variabile di feedback se le azioni vengono avviate nel runtime.
Il bit serve a realizzare una rappresentazione grafica al fine di mostrare all´utente che un´azione viene eseguita in quel momento. Con l´aiuto dell´elemento combinato o della matrice di reazione, potete interrogare il bit di stato e realizzare una rappresentazione grafica.

Inattivo: Il bit di stato non viene settato.

Default: inattivo

Ulteriori informazioni nella guida in linea

VT_BSTR

Picture

Exp. menu Immagine spec.

VT_BOOL

SubstiGroup

Sostituzione in immagine

Sostituzione di gruppi comando: Regola di sostituzione per immagini del tipo Comando. In questa proprietà si progetta il fine della sostituzione. Si definisce il testo che deve essere sostituito.

Più regole di sostituzione sono separate mediante un punto e virgola (;). Le sostituzioni configurate vengono effettuate procedendo da sinistra a destra.

Se non c`è un * nella variabile di responso o nella variabile di azione, non avverrà alcuna sostituzione. Nella progettazione non si fa distinzione fra lettere maiuscole e minuscole.

Esempio:

  • Value of the response variable: abc_RV.
  • Configured response variable for command group: *_RV
  • Existing variables in the screen: xyz_lock, xy_Switch
  • Configured replacement in the screen: xyz;xy
  • Existing variables in the project: abc_lock and abc_Switch.
  • Result: Display of the variables in the screen: abc_lock and abc_Switch.

Nota: attiva solo se nella proprietà Immagine c`è un´immagine comando assegnata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Modal

Immagine Modale

Attivo: indipendentemente dalla proprietà "Dialogo modale" dell´immagine, l´immagine comando viene aperta in forma modale. Il che significa che si potrà usufruire di nuovo delle altre immagini solo dopo che quest´immagine sarà stata chiusa.
Inattivo: L´immagine di comando viene aperta normalmente.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

RM-Titel

Titolo immagine da variabile feedback

Attivo: l´identificazione della variabile di respondo viene usata come titolo immagine.
Non attiva: ll nome dell´immagine viene usato come titolo immagine.
Default: non attiva.
Attenzione: per l´attivazione del titolo immagine deve essere inoltre attivata nel modello corrispondente la proprietà Titolo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

CBTR_Act

Rilevamento di intervento sezionatore

E' a disposizione solo se è attiva la proprietà Imposta stato di avanzamento.

Attivo: controlla la variabile di responso per verificare cambio valore inaspettato da <> 0 a 0.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BSTR

CBTR_Formula

Disabilita rilevamento

Inserimento della formula con la quale viene soppresso il riconoscimento di un segnalazione di Switch Un clic sul pulsante ... apre l´editor delle formule.

Per la formula possono essere usate tutte le variabili della lista del gruppo comando; è possibile la sostituzione di nomi tramite '*' come nel caso della definizione di Condizioni di blocco di un´azione.

Nota: le variabili che sono usate nella formula, non possono essere cancellate dalla lista del gruppo comando.

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Interlockings

Manuale -> Scripting -> Objectmodel -> Interlockings

Remarks

With the interlockings object you have the opportunity to create and edit interlockings in the list.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub Interlockings()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Child object from type Interlockings

'Fill the objects
Set zInterlockings = MyWorkspace.ActiveDocument.Interlockings
'Creates an interlocking called "Interlocking" with an assignment
Set zInterlocking = zInterlockings.Create("Interlocking", False)
Call InterlockingsItem

End Sub

Sub InterlockingsItem()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Child object from type Interlockings

'Fill the objects
Set zInterlockings = MyWorkspace.ActiveDocument.Interlockings
'Returns an interlocking out of the list
Set zInterlocking = zInterlockings.Item("Interlocking")
'Rename the interlocking
zInterlocking.DynProperties("Name") = "My_Interlocking"

End Sub

Noch in diesem Kapitel

Interlockings-Properties

Interlockings-Methods


Interlockings-Properties

Manuale -> Scripting -> Objectmodel -> Interlockings -> Interlockings-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of interlockings. | read only | read only | yes | yes
IProject | Parent | Returns the parent of the interlockings object. | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> Interlockings -> Interlockings-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object.

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> Interlockings -> Interlockings-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Interlockings-Methods

Manuale -> Scripting -> Objectmodel -> Interlockings -> Interlockings-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IInterlocking | Create | Creates a new interlocking. | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
IInterlocking | Item | Returns the interlocking at the given index. | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes

Noch in diesem Kapitel

Item

Create

SingleExport

Export

Import


Item

Manuale -> Scripting -> Objectmodel -> Interlockings -> Interlockings-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object "Interlocking" from the collection, which is identified by the parameter vItem.The parameter vItem can have two values:<ul><li>Index: Access with an index mostly is used in combination with the property Count to find out the position of the object in the list.</li><li>Name: The interlocking can also be accessed with its unique name.</li></ul>Hint:The returned object should always be checked on Nothing, for the case that no object was found for the search criteria.

Datatype

Item(VARIANT vItem) As Interlocking

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Index or name of the "Interlocking" object within the collection.

If the parameter is a numerical value, the object is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the object is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vItem As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub InterlockingsItem()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Child object from type Interlockings

'Fill the objects
Set zInterlockings = MyWorkspace.ActiveDocument.Interlockings
'Returns an interlocking out of the list
Set zInterlocking = zInterlockings.Item("Interlocking 1")
'Rename the interlocking
zInterlocking.DynProperties("Name") = "My_Interlocking"

End Sub


Create

Manuale -> Scripting -> Objectmodel -> Interlockings -> Interlockings-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new Interlocking an returns this new object.

Datatype

Create(String bsName,Boolean bCommand) As Interlocking

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name as string.

If this value is set to 'True' then a "Command" is created instead of an "Assignment".
"Commands" are only available within an "Energy Edition - License"!

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

bCommand As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Interlockings()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Object from type Interlocking

'Fill the objects
Set zInterlockings = MyWorkspace.ActiveDocument.Interlockings
'Creates an interlocking called "Interl_1" with an assignment
Set zInterlocking = zInterlockings.Create("Interl_1", False)
Debug.Print "Count = " & zInterlockings.Count

End Sub


SingleExport

Manuale -> Scripting -> Objectmodel -> Interlockings -> Interlockings-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,String bsFileName,Boolean bCommand) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuale -> Scripting -> Objectmodel -> Interlockings -> Interlockings-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName, Boolean bCommand) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

Interlocking | False
Command | True
C#
C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

bCommand As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)

'Export settings to an xml file
zenOnObject.Export ("C:\zenOn_eXaMpLe.xml, False") 'Interlocking

'Import settings from an xml file
zenOnObject.Import ("C:\zenOn_eXaMpLe.xml, False") 'Interlocking

End Sub


Import

Manuale -> Scripting -> Objectmodel -> Interlockings -> Interlockings-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName, Boolean bCommand) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

Interlocking | False
Command | True
C#
C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

bCommand As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)

'Export settings to an xml file
zenOnObject.Export ("C:\zenOn_eXaMpLe.xml, False") 'Interlocking

'Import settings from an xml file
zenOnObject.Import ("C:\zenOn_eXaMpLe.xml, False") 'Interlocking

End Sub


LanguageTable

Manuale -> Scripting -> Objectmodel -> LanguageTable

Remarks

Represents the language table of the project.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Dim ILang As LanguageTable

Set ILang = MyWorkspace.ActiveDocument.LanguageTable

Noch in diesem Kapitel

LanguageTable-Properties

LanguageTable-Methods


LanguageTable-Properties

Manuale -> Scripting -> Objectmodel -> LanguageTable -> LanguageTable-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of Files in the Language Table | available | not used | yes | yes
IProject | Parent | Parent-object | available | not used | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> LanguageTable -> LanguageTable-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The property „Parent" is a reference to the parent object, the project to which the language table corresponds.

Datatype

Parent() As Project

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> LanguageTable -> LanguageTable-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The property „Count" contains the number of all files from the language table.

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


LanguageTable-Methods

Manuale -> Scripting -> Objectmodel -> LanguageTable -> LanguageTable-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateFile | Creates a new File in the Language Table | available | not used | yes | yes
VARIANT_BOOL | DeleteFile | Deletes a File from the Language Table | available | not used | yes | yes
VARIANT_BOOL | DeleteKey | Deletes a Key from all Files of the Language Table | available | not used | yes | yes
BSTR | GetString | Returns a String from the Language Table | available | not used | yes | yes
VARIANT_BOOL | ImportFile | Imports (and merges) an existing File into the Language Table | available | not used | yes | yes
IFileManagerFileItem | Item | Returns the File by Name or Position | available | not used | yes | yes
VARIANT_BOOL | SetString | Sets a String in the Language Table | available | not used | yes | yes
VARIANT_BOOL | Save | Saves the Language Table | available | not used | yes | yes

Noch in diesem Kapitel

Item

CreateFile

DeleteFile

SetString

GetString

DeleteKey

ImportFile

Save


Item

Manuale -> Scripting -> Objectmodel -> LanguageTable -> LanguageTable-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method „Item" returns a language table file as „FileManagerFileItem" object. The file can be chosen either by the name or by the index.

The file can as well be renamed over the returned object FileManagerItem.

In case of multi user projects, the files have to be "checked out" (allow changes) in order to be editable.

Datatype

Item(VARIANT vID) As FileManagerFileItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub LangItem()
Dim ILang As LanguageTable
Dim IFile As FileManagerFileItem

Set ILang = MyWorkspace.ActiveDocument.LanguageTable
Set IFile = ILang.Item("ENGLISH.TXT")
Debug.Print IFile.FileName
Set IFile = ILang.Item(3)
Debug.Print IFile.FileName
End Sub

Private Sub LangRename()

Dim ILang As LanguageTable

Dim IFile As FileManagerFileItem

Set ILang = MyWorkspace.ActiveDocument.LanguageTable

Set IFile = ILang.Item("ENGLISH.TXT")

If Not IFile Is Nothing Then

IFile.FileName = "FRENCH.TXT"

End If

End Sub

Private Function CheckOutAll() As Boolean

Dim Ok As Boolean

Dim Cnt, i As Integer

Dim ILang As LanguageTable

Dim IFile As FileManagerFileItem

Set ILang = MyWorkspace.ActiveDocument.LanguageTable

CheckOutAll = True

Cnt = ILang.Count

For i = 0 To Cnt - 1

Set IFile = ILang.Item(i)

If Not IFile Is Nothing Then

If Not IFile.IsLocked And Not IFile.IsCheckedOut Then

CheckOutAll = CheckOutAll And IFile.CheckOut

End If

End If

Next

End Function


CreateFile

Manuale -> Scripting -> Objectmodel -> LanguageTable -> LanguageTable-Methods -> CreateFile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method „CreateFile" creates a new, empty file in the language table.

Datatype

CreateFile(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub LangCreate()
Dim ILang As LanguageTable
Dim IFile As FileManagerFileItem
Set ILang = MyWorkspace.ActiveDocument.LanguageTable
'Create a new empty file
ILang.CreateFile("ENGLISH.TXT")
End Sub


DeleteFile

Manuale -> Scripting -> Objectmodel -> LanguageTable -> LanguageTable-Methods -> DeleteFile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method „DeleteFile" removes a file from the language table.

Datatype

DeleteFile(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub LangDelete()
Dim ILang As LanguageTable
Set ILang = MyWorkspace.ActiveDocument.LanguageTable
ILang.DeleteFile("ENGLISH.TXT")
End Sub


SetString

Manuale -> Scripting -> Objectmodel -> LanguageTable -> LanguageTable-Methods -> SetString

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method "SetString" inserts a new key word/translation pair into the language table.

Datatype

SetString(String File, String Key, String Text) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub LangFill()
Dim i As Integer
Dim Ok As Boolean
Dim ILang As LanguageTable
Dim IFile As FileManagerFileItem
Set ILang = MyWorkspace.ActiveDocument.LanguageTable
Set IFile = ILang.Item("ENGLISH.TXT")
If Not IFile Is Nothing Then
If Not IFile.IsLocked And Not IFile.IsCheckedOut Then IFile.CheckOut
If IFile.IsCheckedOut Then
Ok = ILang.SetString("ENGLISH.TXT", "Motor", "Engine")
Ok = ILang.SetString("ENGLISH.TXT", "Schalter", "Switch")
End If
End If
End Sub

'create keywords

Public Sub CreateLangTableKey()

Dim bRet As Boolean

Dim obLangTable As LanguageTable

Dim obLangFile As FileManagerFileItem

'create object of the language table

Set obLangTable = MyWorkspace.ActiveDocument.LanguageTable

'create object of the language file

Set obLangFile = obLangTable.Item("ZENONSTR.TXT")

'check if the given language file exists

If Not obLangFile Is Nothing Then

'create the keyword

bRet = obLangTable.SetString("ZENONSTR.TXT", "Hallo", "Du")

Else

MsgBox ("error getting defined language file")

End If

'check if the keyword was written

If bRet <> True Then

MsgBox ("something happend... and it was not good.... ")

End If

End Sub


GetString

Manuale -> Scripting -> Objectmodel -> LanguageTable -> LanguageTable-Methods -> GetString

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method "GetString" returns the translation of a key text.

Datatype

GetString(String File, String Key) As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub GetKey()
Dim ILang As LanguageTable
Set ILang = MyWorkspace.ActiveDocument.LanguageTable
Debug.Print ILang.GetString("ENGLISH.TXT", "Motor")
End Sub


DeleteKey

Manuale -> Scripting -> Objectmodel -> LanguageTable -> LanguageTable-Methods -> DeleteKey

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method "DeleteKey" deletes a key text and all its translations from the language table.

Datatype

DeleteKey(String Key) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub KeyDelete()
Dim ILang As LanguageTable
Set ILang = MyWorkspace.ActiveDocument.LanguageTable
If CheckOutAll Then
ILang.DeleteKey("Motor")
End If
End Sub


ImportFile

Manuale -> Scripting -> Objectmodel -> LanguageTable -> LanguageTable-Methods -> ImportFile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method „ImportFile" imports a file into the language table. The translations of the imported file are inserted to an already existing file with the same name (see above "import from text file") or if any other file with the same name exists, it will be inserted as a new file.

Datatype

ImportFile(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub LangImport()

Dim Ok As Boolean

Dim ILang As LanguageTable

Dim IFile As FileManagerFileItem

Set ILang = MyWorkspace.ActiveDocument.LanguageTable

Set IFile = ILang.Item("DEUTSCH.TXT")

If Not IFile Is Nothing Then

If Not IFile.IsLocked And Not IFile.IsCheckedOut Then IFile.CheckOut

End If

Ok = ILang.ImportFile("C:\DEUTSCH.TXT")

End Sub


Save

Manuale -> Scripting -> Objectmodel -> LanguageTable -> LanguageTable-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Save() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Limit

Manuale -> Scripting -> Objectmodel -> Limit

Remarks

The collection Variables contains all defined limits of a variable.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_Limit()
Dim zVAR As Variable
Dim zLimit As Limit
Dim vDynProps As Variant
Dim strDynProp As String

'set variable object to get the limits collection
Set zVAR = thisProject.Variables.Item("WIZ_VAR_10")
'set limit object
Set zLimit = zVAR.Limits.Item(0)

'read all Default Properties from a limit
With zLimit
'generate some output information
Debug.Print "Text: " & .Text
Debug.Print "Value: " & .Value
Debug.Print "AlarmClass: " & .AlarmClass
Debug.Print "AlarmGroup: " & .AlarmGroup
End With

'read all DynProperties from a limit
vDynProps = zLimit.DynPropertiesEnum("")
For Each strItem In vDynProps
strDynProp = Mid(strItem, 1, InStr(1, strItem, ",") - 1)
Debug.Print "--------------------"
Debug.Print strItem
Debug.Print zLimit.DynProperties(strDynProp)
Next
End Sub

Noch in diesem Kapitel

Limit-Properties

Limit-Methods


Limit-Properties

Manuale -> Scripting -> Objectmodel -> Limit -> Limit-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
short | AlarmClass | Alarmclass | not used | read only | yes | yes
short | AlarmGroup | Alarmgroup | not used | read only | yes | yes
Limits | Parent | Parent-object | read only | read only | yes | yes
BSTR | Text | Alarmtext | not used | read only | yes | yes
double | Value | Value | not used | read only | yes | yes

Noch in diesem Kapitel

Parent

Value

Text

AlarmGroup

AlarmClass


Parent

Manuale -> Scripting -> Objectmodel -> Limit -> Limit-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Limits

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Value

Manuale -> Scripting -> Objectmodel -> Limit -> Limit-Properties -> Value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns/sets the limit, at which the current status occurs. The current status occurs – depending on the setting Min or Max – on violating this limit.The setting Min or Max cannot be changed via VBA. The methods IsMin and IsMax can check the type of the limit.

Datatype

Value() As double

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Text

Manuale -> Scripting -> Objectmodel -> Limit -> Limit-Properties -> Text

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns/sets the limit text. For reading operations the translated string – in the current language of the Runtime – is returned.Allocating a limit directly changes the key of the entry – i.e. different to reading access, where the string is translated to the current language of the project.

Datatype

Text() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


AlarmGroup

Manuale -> Scripting -> Objectmodel -> Limit -> Limit-Properties -> AlarmGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of the defined alarm group for the actual limit.At the moment the alarm group is not available as an object.

Datatype

AlarmGroup() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


AlarmClass

Manuale -> Scripting -> Objectmodel -> Limit -> Limit-Properties -> AlarmClass

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of the defined alarm class for the actual limit.At the moment the alarm class is not available as an object.

Datatype

AlarmClass() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Limit-Methods

Manuale -> Scripting -> Objectmodel -> Limit -> Limit-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | IsMax | - | available | not used | yes | yes
VARIANT_BOOL | IsMin | - | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

IsMin

IsMax


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> Limit -> Limit-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> Limit -> Limit-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> Limit -> Limit-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> Limit -> Limit-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


IsMin

Manuale -> Scripting -> Objectmodel -> Limit -> Limit-Methods -> IsMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns 'True' if the type of the current limit is 'Min', violated as soon as the current value is lower. Otherwise it is a maximal limit.

Datatype

IsMin() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsMax

Manuale -> Scripting -> Objectmodel -> Limit -> Limit-Methods -> IsMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns 'True' if the type of the current limit is 'Max', violated as soon as the current value is higher. Otherwise it is a minimum limit.

Datatype

IsMax() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Limits

Manuale -> Scripting -> Objectmodel -> Limits

Remarks

The collection Limits contains the defined limits of a variable. With this collection you can access the defined limits.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_Limits()
Dim zVAR As Variable
Dim zLimit As Limit
Dim i As Integer

'set variable object to get the limits collection
Set zVAR = thisProject.Variables.Item("WIZ_VAR_10")

'enumerate all limits of the variable
For i = 0 To zVAR.Limits.Count - 1
Set zLimit = zVAR.Limits.Item(i)
Debug.Print "LIMIT " & (i + 1) & ":"
With zLimit
'generate some output information
Debug.Print "Text: " & .Text
Debug.Print "Value: " & .Value
Debug.Print "AlarmClass: " & .AlarmClass
Debug.Print "AlarmGroup: " & .AlarmGroup
Debug.Print "Status: " & .DynProperties("Status")
End With
Next i
End Sub

Noch in diesem Kapitel

Limits-Properties

Limits-Methods


Limits-Properties

Manuale -> Scripting -> Objectmodel -> Limits -> Limits-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined limits | read only | read only | yes | yes
IVariable | Parent | Parent-object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> Limits -> Limits-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> Limits -> Limits-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Limits-Methods

Manuale -> Scripting -> Objectmodel -> Limits -> Limits-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ILimit | Item | Returns limit on the given position | available | available | yes | yes

Noch in diesem Kapitel

Item


Item

Manuale -> Scripting -> Objectmodel -> Limits -> Limits-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "Limit" object by its position.

Datatype

Item(long iIndex) As Limit

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MdiElement

Manuale -> Scripting -> Objectmodel -> MdiElement

Remarks

The availibility and functionality of MDI elements, also called control elements within zenOn, depend on the corresponding Screen type. This collection returns the default settings of the MDI elements.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_MdiElements()
'Declarations
Dim zPIC As DynPicture
Dim zMDIs As MdiElements
Dim i As Integer

'Initialize zPIC with the ALARM Screen
Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("ALARM")
'Initialize zMDIs with the available MDI elements for the ALARM Screen
Set zMDIs = zPIC.MdiElements

'For every MDI element in the ALARM Screen...
For i = 0 To zMDIs.Count - 1
'... output the details
With zMDIs.Item(i)
Debug.Print "Caption: " & .Caption
Debug.Print "Position left: " & .Left
Debug.Print "Position top: " & .Top
Debug.Print "Width: " & .Width
Debug.Print "Height: " & .Height
End With
Next i
End Sub

Noch in diesem Kapitel

MdiElement-Properties

MdiElement-Methods

MdiElement-Dynamic properties


MdiElement-Properties

Manuale -> Scripting -> Objectmodel -> MdiElement -> MdiElement-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Type |  | read only | available | yes | yes
OLE_COLOR | BackColor |  | available | read only | yes | yes
BSTR | Caption |  | available | not used | yes | yes
OLE_COLOR | ForeColor |  | available | read only | yes | yes
long | Height |  | available | read only | yes | yes
long | ID |  | available | not used | yes | yes
VARIANT_BOOL | IsDefault |  | available | not used | yes | yes
long | Left |  | available | read only | yes | yes
IMdiElements | Parent |  | read only | read only | yes | yes
long | Top |  | available | read only | yes | yes
tpElementTypes | Type |  | read only | available | yes | yes
long | Width |  | available | read only | yes | yes

Noch in diesem Kapitel

Parent

IsDefault

Type

ID

Caption

ForeColor

BackColor

Left

Top

Width

Height


Parent

Manuale -> Scripting -> Objectmodel -> MdiElement -> MdiElement-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As MdiElements

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsDefault

Manuale -> Scripting -> Objectmodel -> MdiElement -> MdiElement-Properties -> IsDefault

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if the "MdiElement" object belongs to the default elements.

Datatype

IsDefault() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Type

Manuale -> Scripting -> Objectmodel -> MdiElement -> MdiElement-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Type of the "Element" object.

Datatype

Type() As long

Availability

Environment | Available
Editor | read only
Runtime | available
VBA | yes
VSTA | yes


ID

Manuale -> Scripting -> Objectmodel -> MdiElement -> MdiElement-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID of the "MdiElement" object.

Datatype

ID() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Caption

Manuale -> Scripting -> Objectmodel -> MdiElement -> MdiElement-Properties -> Caption

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the linked picture type specific function.

Datatype

Caption() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ForeColor

Manuale -> Scripting -> Objectmodel -> MdiElement -> MdiElement-Properties -> ForeColor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ForeColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackColor

Manuale -> Scripting -> Objectmodel -> MdiElement -> MdiElement-Properties -> BackColor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BackColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Left

Manuale -> Scripting -> Objectmodel -> MdiElement -> MdiElement-Properties -> Left

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the left window border of the element in pixel. The value defines the distance from the top border of the screen.

Datatype

Left() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Top

Manuale -> Scripting -> Objectmodel -> MdiElement -> MdiElement-Properties -> Top

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the position of the top window border of the element in pixel. The value defines the distance from the top border of the screen.

Datatype

Top() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Width

Manuale -> Scripting -> Objectmodel -> MdiElement -> MdiElement-Properties -> Width

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Width of the element (in pixel).

Datatype

Width() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Height

Manuale -> Scripting -> Objectmodel -> MdiElement -> MdiElement-Properties -> Height

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Height of the element (in pixels).

Datatype

Height() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


MdiElement-Methods

Manuale -> Scripting -> Objectmodel -> MdiElement -> MdiElement-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> MdiElement -> MdiElement-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> MdiElement -> MdiElement-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> MdiElement -> MdiElement-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> MdiElement -> MdiElement-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


MdiElement-Dynamic properties

Manuale -> Scripting -> Objectmodel -> MdiElement -> MdiElement-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

MDI elements default list

Noch in diesem Kapitel

MDI elements default list


MDI elements default list

Manuale -> Scripting -> Objectmodel -> MdiElement -> MdiElement-Dynamic properties -> MDI elements default list

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI4 | MenuID | MenuID |
VT_BOOL | Default | Default |
VT_UI2 | Type | Type |
VT_I4 | ID | ID |
VT_BSTR | Text | Text | The dialog for the definition of the formula for the Mathematics variable is opened.
VT_UI4 | Style | Style |
VT_UI4 | StyleMask | StyleMask |
VT_UI4 | TextColor | TextColor |
VT_UI4 | BackColor | BackColor |
VT_UI4 | Info | Info |
VT_I4 | Top | Top |
VT_I4 | Left | Left |
VT_I4 | Height | Height |
VT_I4 | Width | Width | Name of the inserted file.


MdiElements

Manuale -> Scripting -> Objectmodel -> MdiElements

Remarks

This object manages "MdiElement" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_MdiElements()
'Declarations
Dim zPIC As DynPicture
Dim zMDIs As MdiElements
Dim i As Integer

'Initialize zPIC with the ALARM Screen
Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("ALARM")
'Initialize zMDIs with the available MDI elements for the ALARM Screen
Set zMDIs = zPIC.MdiElements

'For every MDI element in the ALARM Screen...
For i = 0 To zMDIs.Count - 1
'... which is not a default element...
If Not zMDIs.Item(i).IsDefault Then
'... output the caption of the element.
Debug.Print zMDIs.Item(i).Caption
End If
Next i
End Sub

Noch in diesem Kapitel

MdiElements-Properties

MdiElements-Methods


MdiElements-Properties

Manuale -> Scripting -> Objectmodel -> MdiElements -> MdiElements-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IDynPicture | Parent | The parent object of the current object | read only | read only | yes | yes
VARIANT_BOOL | UseProfile | - | read only | not used | yes | yes

Noch in diesem Kapitel

Parent

Count

UseProfile


Parent

Manuale -> Scripting -> Objectmodel -> MdiElements -> MdiElements-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As DynPicture

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> MdiElements -> MdiElements-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


UseProfile

Manuale -> Scripting -> Objectmodel -> MdiElements -> MdiElements-Properties -> UseProfile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if profile elements are available for this type of object.

Datatype

UseProfile() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


MdiElements-Methods

Manuale -> Scripting -> Objectmodel -> MdiElements -> MdiElements-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IMdiElement | Item | Returns a object at a position or by a specified key | available | available | yes | yes

Noch in diesem Kapitel

Item


Item

Manuale -> Scripting -> Objectmodel -> MdiElements -> MdiElements-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Element from the collection, which is identified by the parameter vID. The parameter vID can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • Element name: The element can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vElementID) As MdiElement

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MDITemplate

Manuale -> Scripting -> Objectmodel -> MDITemplate

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub GetTemplates()
Dim IMDITemplates As MDITemplates
Dim IMDITemplate As MDITemplate
Dim Count As Integer
Dim Ok As Boolean
Dim i As Integer

' --- Selection by Name
Set IMDITemplates = MyWorkspace.GetMDiTemplates("Keyboard")
If Not IMDITemplates Is Nothing Then
Set IMDITemplate = IMDITemplates.Item("Test 3")
Ok = PrintTemplate(IMDITemplate)
End If

' --- Selection by index (zenon Constant)
Set IMDITemplates = MyWorkspace.GetMDiTemplates(tpKeyboard)
If Not IMDITemplates Is Nothing Then
Count = IMDITemplates.Count
For i = 0 To Count - 1
Set IMDITemplate = IMDITemplates.Item(i)
Ok = PrintTemplate(IMDITemplate)
Next
End If
End Sub

Private Function PrintTemplate(IMDITemplate As MDITemplate) As Boolean
If Not IMDITemplate Is Nothing Then
Debug.Print ("Name: " & IMDITemplate.DynProperties("Name"))
Debug.Print ("GUID: " & IMDITemplate.DynProperties("GUID"))
Debug.Print ("ImportPath: " & IMDITemplate.DynProperties("ImportPath"))
Debug.Print ("Folder: " & IMDITemplate.DynProperties("Folder"))
Debug.Print ("MDIType: " & IMDITemplate.DynProperties("MDIType"))
Debug.Print ("Language: " & IMDITemplate.DynProperties("Language"))
Debug.Print ("Description: " & IMDITemplate.DynProperties("Description"))
Debug.Print ("CopaDataTemplate: " & IMDITemplate.DynProperties("CopaDataTemplate"))
Debug.Print ("DefaultTemplate: " & IMDITemplate.DynProperties("DefaultTemplate"))
PrintTemplate = True
Else
PrintTemplate = False
End If
End Function

Noch in diesem Kapitel

MDITemplate-Methods

MDITemplate-Dynamic properties


MDITemplate-Methods

Manuale -> Scripting -> Objectmodel -> MDITemplate -> MDITemplate-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | DynProperties [GET] | - | read only | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> MDITemplate -> MDITemplate-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> MDITemplate -> MDITemplate-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> MDITemplate -> MDITemplate-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub GetTemplates()
Dim IMDITemplates As MDITemplates
Dim IMDITemplate As MDITemplate
Dim Count As Integer
Dim Ok As Boolean
Dim i As Integer

' --- Selection by Name
Set IMDITemplates = MyWorkspace.GetMDiTemplates("Keyboard")
If Not IMDITemplates Is Nothing Then
Set IMDITemplate = IMDITemplates.Item("Test 3")
Ok = PrintTemplate(IMDITemplate)
End If

' --- Selection by index (zenon Constant)
Set IMDITemplates = MyWorkspace.GetMDiTemplates(tpKeyboard)
If Not IMDITemplates Is Nothing Then
Count = IMDITemplates.Count
For i = 0 To Count - 1
Set IMDITemplate = IMDITemplates.Item(i)
Ok = PrintTemplate(IMDITemplate)
Next
End If
End Sub

Private Function PrintTemplate(IMDITemplate As MDITemplate) As Boolean
If Not IMDITemplate Is Nothing Then
Debug.Print ("Name: " & IMDITemplate.DynProperties("Name"))
Debug.Print ("GUID: " & IMDITemplate.DynProperties("GUID"))
Debug.Print ("ImportPath: " & IMDITemplate.DynProperties("ImportPath"))
Debug.Print ("Folder: " & IMDITemplate.DynProperties("Folder"))
Debug.Print ("MDIType: " & IMDITemplate.DynProperties("MDIType"))
Debug.Print ("Language: " & IMDITemplate.DynProperties("Language"))
Debug.Print ("Description: " & IMDITemplate.DynProperties("Description"))
Debug.Print ("CopaDataTemplate: " & IMDITemplate.DynProperties("CopaDataTemplate"))
Debug.Print ("DefaultTemplate: " & IMDITemplate.DynProperties("DefaultTemplate"))
PrintTemplate = True
Else
PrintTemplate = False
End If
End Function


MDITemplate-Dynamic properties

Manuale -> Scripting -> Objectmodel -> MDITemplate -> MDITemplate-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

MDI data template

Noch in diesem Kapitel

MDI data template


MDI data template

Manuale -> Scripting -> Objectmodel -> MDITemplate -> MDITemplate-Dynamic properties -> MDI data template

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | Name | Given name of the template.
VT_BSTR | GUID | GUID | Guid of the Template. E.g. 5d1c2408-29b4-4cb9-95578-562jj458990
VT_BSTR | ImportPath | ImportPath | Import path of the template.
VT_BSTR | Folder | Folder | Path where the templates is stored. eg. C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip
VT_UI4 | MDIType | MDIType | Type of the templates ( Constants tpDynPicturesTypes)
VT_BSTR | Language | Language | Language of the template.
VT_BSTR | Description | Description | Description of the template.
VT_BOOL | CopaDataTemplate | CopaDataTemplate | True=Copa Date template False= Customer created templated
VT_BOOL | DefaultTemplate | DefaultTemplate | TRUE= Default template FALSE= none default template
VT_UI4 | ScreenX | ScreenX | Screen width.
VT_UI4 | ScreenY | ScreenY | Screen height.
VT_UI4 | Width | Width | Widthof the template.
VT_UI4 | Height | Height | Heigth of the template.


MDITemplates

Manuale -> Scripting -> Objectmodel -> MDITemplates

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub GetTemplates()
Dim IMDITemplates As MDITemplates
Dim IMDITemplate As MDITemplate
Dim Count As Integer
Dim Ok As Boolean
Dim i As Integer

' --- Selection by Name
Set IMDITemplates = MyWorkspace.GetMDiTemplates("Keyboard")
If Not IMDITemplates Is Nothing Then
Set IMDITemplate = IMDITemplates.Item("Test 3")
Ok = PrintTemplate(IMDITemplate)
End If

' --- Selection by index (zenon Constant)
Set IMDITemplates = MyWorkspace.GetMDiTemplates(tpKeyboard)
If Not IMDITemplates Is Nothing Then
Count = IMDITemplates.Count
For i = 0 To Count - 1
Set IMDITemplate = IMDITemplates.Item(i)
Ok = PrintTemplate(IMDITemplate)
Next
End If
End Sub

Private Function PrintTemplate(IMDITemplate As MDITemplate) As Boolean
If Not IMDITemplate Is Nothing Then
Debug.Print ("Name: " & IMDITemplate.DynProperties("Name"))
Debug.Print ("GUID: " & IMDITemplate.DynProperties("GUID"))
Debug.Print ("ImportPath: " & IMDITemplate.DynProperties("ImportPath"))
Debug.Print ("Folder: " & IMDITemplate.DynProperties("Folder"))
Debug.Print ("MDIType: " & IMDITemplate.DynProperties("MDIType"))
Debug.Print ("Language: " & IMDITemplate.DynProperties("Language"))
Debug.Print ("Description: " & IMDITemplate.DynProperties("Description"))
Debug.Print ("CopaDataTemplate: " & IMDITemplate.DynProperties("CopaDataTemplate"))
Debug.Print ("DefaultTemplate: " & IMDITemplate.DynProperties("DefaultTemplate"))
PrintTemplate = True
Else
PrintTemplate = False
End If
End Function

Noch in diesem Kapitel

MDITemplates-Properties

MDITemplates-Methods


MDITemplates-Properties

Manuale -> Scripting -> Objectmodel -> MDITemplates -> MDITemplates-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of MDI Templates in the Collection | available | not used | yes | yes

Noch in diesem Kapitel

Count


Count

Manuale -> Scripting -> Objectmodel -> MDITemplates -> MDITemplates-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


MDITemplates-Methods

Manuale -> Scripting -> Objectmodel -> MDITemplates -> MDITemplates-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IMDITemplate | Item | Returns the MDI Template by Name or Position | available | not used | yes | yes

Noch in diesem Kapitel

Item


Item

Manuale -> Scripting -> Objectmodel -> MDITemplates -> MDITemplates-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vPosOrName) As MDITemplate

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageControl

Manuale -> Scripting -> Objectmodel -> MessageControl

Remarks

The collection Projects contains all projects loaded in the Runtime. The single projects of the Runtime are available as objects Project in VBA. It is not possible to create an object of this type with the attribute New.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'====================================================================================================
' MessageControl Workspace
'====================================================================================================
Private Sub MessageControl_Sample()
Dim zMessage As MessageControlMessage
Dim zMessageControl As MessageControl
Dim i As Integer
Dim count As Integer

On Error GoTo ErrorHandler
Stop
'Get Message Control Properties
Set zMessageControl = MyWorkspace.ActiveDocument.MessageControl
With zMessageControl
Debug.Print ("Message Control active during Runtime start: " & CStr(.ActiveAtStartup))
Debug.Print ("Max. number of attemtps: " & CStr(.Attempts))
Debug.Print ("Detail level for Log in CEL: " & CStr(.CelDetail))
Debug.Print ("Waiting period between two attempts[min] : " & CStr(.TimeToWait))
Debug.Print ("Log manuel deletion of messages in the CEL : " & CStr(.LogMessageDeleteActions));
'Set Message Control Properties
.ActiveAtStartup = False
.Attempts = 5
.CelDetail = tpCelDetailNone
.TimeToWait = 15
.LogMessageDeleteActions = True
End With
Exit Sub
ErrorHandler:
Debug.Print ("Error :" & Err.Description & " " & Err.Number)
End Sub

Noch in diesem Kapitel

MessageControl-Properties

MessageControl-Methods

MessageControl-Events

MessageControl-Dynamic properties


MessageControl-Properties

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | ActiveAtStartup |  | available | read only | yes | yes
short | Attempts |  | available | read only | yes | yes
tpMsgCtrlCelDetail | CelDetail |  | available | read only | yes | yes
VARIANT | CurrentQueue |  | not used | read only | yes | yes
VARIANT_BOOL | LogMessageDeleteActions |  | available | read only | yes | yes
short | TimeToWait |  | available | read only | yes | yes

Noch in diesem Kapitel

TimeToWait

ActiveAtStartup

Attempts

CelDetail

CurrentQueue

LogMessageDeleteActions


TimeToWait

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Properties -> TimeToWait

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TimeToWait() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'====================================================================================================
' MessageControl Workspace
'====================================================================================================
Private Sub MessageControl_Sample()
Dim zMessage As MessageControlMessage
Dim zMessageControl As MessageControl
Dim i As Integer
Dim count As Integer

On Error GoTo ErrorHandler
Stop
'Get Message Control Properties
Set zMessageControl = MyWorkspace.ActiveDocument.MessageControl
With zMessageControl
Debug.Print ("Message Control active during Runtime start: " & CStr(.ActiveAtStartup))
Debug.Print ("Max. number of attemtps: " & CStr(.Attempts))
Debug.Print ("Detail level for Log in CEL: " & CStr(.CelDetail))
Debug.Print ("Waiting period between two attempts[min] : " & CStr(.TimeToWait))
Debug.Print ("Log manuel deletion of messages in the CEL : " & CStr(.LogMessageDeleteActions));
'Set Message Control Properties
.ActiveAtStartup = False
.Attempts = 5
.CelDetail = tpCelDetailNone
.TimeToWait = 15
.LogMessageDeleteActions = True
End With
Exit Sub
ErrorHandler:
Debug.Print ("Error :" & Err.Description & " " & Err.Number)
End Sub


ActiveAtStartup

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Properties -> ActiveAtStartup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ActiveAtStartup() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Attempts

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Properties -> Attempts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Attempts() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


CelDetail

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Properties -> CelDetail

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CelDetail() As tpMsgCtrlCelDetail

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'====================================================================================================
' MessageControl Workspace
'====================================================================================================
Private Sub MessageControl_Sample()
Dim zMessage As MessageControlMessage
Dim zMessageControl As MessageControl
Dim i As Integer
Dim count As Integer

On Error GoTo ErrorHandler
Stop
'Get Message Control Properties
Set zMessageControl = MyWorkspace.ActiveDocument.MessageControl
With zMessageControl
Debug.Print ("Message Control active during Runtime start: " & CStr(.ActiveAtStartup))
Debug.Print ("Max. number of attemtps: " & CStr(.Attempts))
Debug.Print ("Detail level for Log in CEL: " & CStr(.CelDetail))
Debug.Print ("Waiting period between two attempts[min] : " & CStr(.TimeToWait))
Debug.Print ("Log manuel deletion of messages in the CEL : " & CStr(.LogMessageDeleteActions));
'Set Message Control Properties
.ActiveAtStartup = False
.Attempts = 5
.CelDetail = tpCelDetailNone
.TimeToWait = 15
.LogMessageDeleteActions = True
End With
Exit Sub
ErrorHandler:
Debug.Print ("Error :" & Err.Description & " " & Err.Number)
End Sub


CurrentQueue

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Properties -> CurrentQueue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CurrentQueue() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zMessageControl As MessageControl

Private Sub Project_Active()
Set zMessageControl = thisProject.MessageControl
End Sub

'====================================================================================================
' MessageControl Runtime
'====================================================================================================
Public Sub Macro_MessageControl()
Dim zMessageQueue As Variant
Dim zMessage As MessageControlMessage

Dim i As Integer
Dim count As Integer

On Error GoTo ErrorHandler
Stop
'Get Message Control Properties
Set zMessageControl = MyWorkspace.ActiveDocument.MessageControl
Debug.Print ("Message Control active druing Runtime start: " & CStr(zMessageControl.ActiveAtStartup))
Debug.Print ("Max. number of attemtps: " & CStr(zMessageControl.Attempts))
Debug.Print ("Detail level for Log in CEL: " & CStr(zMessageControl.CelDetail))
Debug.Print ("Waiting period between two attempts[min] : " & CStr(zMessageControl.TimeToWait))
Debug.Print ("Log manuel deletion of messages in the CEL : " & CStr(zMessageControl.LogMessageDeleteActions));

'Get Message Queue
zMessageQueue = zMessageControl.CurrentQueue
If zMessageQueue <> Empty Then
For i = 0 To UBound(zMessageQueue)
'Get Message Item informations (Read only)
Set zMessage = zMessageQueue(i)
Call ShowMessageInformation(zMessageQueue(i))
Next i
Else
Debug.Print ("No messages")
End If

Exit Sub
ErrorHandler:
Debug.Print ("Error :" & Err.Description & " " & Err.Number)
End Sub

Public Function ShowMessageInformation(ByVal obMessage As MessageControlMessage)
Debug.Print ("========================================================")
Debug.Print ("Message Guid: " & obMessage.Guid)
Debug.Print ("Numbers of attempt: " & CStr(obMessage.Attempts))
Debug.Print ("Max. number of attempts:" & CStr(obMessage.MaxAttempts))
Debug.Print ("Waiting period between two attempts [min]: " & CStr(obMessage.TimeToWait))
Debug.Print ("Used dispatcher type: " & CStr(obMessage.DispatcherType))
Debug.Print ("Destination: " & obMessage.Destination)
Debug.Print ("Customer identifier: " & obMessage.CustomIdentifier)
Debug.Print ("Title of the message: " & obMessage.Title)
Debug.Print ("Current message text: " & obMessage.MessageText)
Debug.Print ("Time stamp when message is sending: " & CStr(obMessage.Send))
Debug.Print ("Time stamp when message was sent: " & CStr(obMessage.Sent))
Debug.Print ("Acknowledge required: " & CStr(obMessage.AcknowledgeRequired))
Debug.Print ("Time limit when message must be acknowledged: " & CStr(obMessage.AcknowledgeTimeOut))
Debug.Print ("Dispatch type style: " & CStr(obMessage.TypeStyle)) 'User, Usergroup....
Debug.Print ("Destination type: " & CStr(obMessage.DestinationType))
Debug.Print ("Codes from function: " & CStr(obMessage.CodesFromFunction))
Debug.Print ("Cycle Counter: " & CStr(obMessage.CycleCounter))
Debug.Print ("========================================================")
End Function


LogMessageDeleteActions

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Properties -> LogMessageDeleteActions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LogMessageDeleteActions() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'====================================================================================================
' MessageControl Workspace
'====================================================================================================
Private Sub MessageControl_Sample()
Dim zMessage As MessageControlMessage
Dim zMessageControl As MessageControl
Dim i As Integer
Dim count As Integer

On Error GoTo ErrorHandler
Stop
'Get Message Control Properties
Set zMessageControl = MyWorkspace.ActiveDocument.MessageControl
With zMessageControl
Debug.Print ("Message Control active during Runtime start: " & CStr(.ActiveAtStartup))
Debug.Print ("Max. number of attemtps: " & CStr(.Attempts))
Debug.Print ("Detail level for Log in CEL: " & CStr(.CelDetail))
Debug.Print ("Waiting period between two attempts[min] : " & CStr(.TimeToWait))
Debug.Print ("Log manuel deletion of messages in the CEL : " & Str(.LogMessageDeleteActions));
'Set Message Control Properties
.ActiveAtStartup = False
.Attempts = 5
.CelDetail = tpCelDetailNone
.TimeToWait = 15
.LogMessageDeleteActions = True
End With
Exit Sub
ErrorHandler:
Debug.Print ("Error :" & Err.Description & " " & Err.Number)
End Sub


MessageControl-Methods

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | read only | yes | yes
VARIANT | DynProperties [GET] | - | available | read only | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageControl-Events

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | MessageAcknowledged |  | not used | read only | yes | yes
void | MessageAcknowledgeTimeOut |  | not used | read only | yes | yes
void | MessageCreated |  | not used | available | yes | yes
void | MessageDeleted |  | not used | read only | yes | yes
void | MessageIn |  | not used | read only | yes | yes
void | MessageNegAcknowledged |  | not used | read only | yes | yes
void | MessageSendError |  | not used | read only | yes | yes
void | MessageSent |  | not used | read only | yes | yes
void | SelectionChanged |  | not used | read only | yes | yes

Noch in diesem Kapitel

MessageCreated

MessageSent

MessageSendError

MessageAcknowledged

MessageNegAcknowledged

MessageAcknowledgeTimeOut

MessageDeleted

MessageIn

SelectionChanged


MessageCreated

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Events -> MessageCreated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MessageCreated(AlarmItem obAlarmItem,IMessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zMessageControl As MessageControl

Private Sub Project_Active()
Set zMessageControl = thisProject.MessageControl
End Sub

'====================================================================================================
' MessageControl Runtime
' It has been generates a new message in the system. The Message Control Message object
' corresponding to the actual message object which will be shipped later.
' Access to this object is only allowed within the event handler.
'====================================================================================================
Private Sub zMessageControl_MessageCreated(ByVal obAlarmItem As IAlarmItem, ByVal obMessage As IMessageControlMessage)
Stop
If Not obAlarmItem Is Nothing Then
Debug.Print (obAlarmItem.Name)
End If

If Not obMessage Is Nothing Then
Debug.Print ("Current message text: " & obMessage.MessageText)
' Only in this event it is possible to overrite the MessageControlMessage Object
obMessage.MessageText = "New message text"
End If
End Sub


MessageSent

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Events -> MessageSent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MessageSent(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageSendError

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Events -> MessageSendError

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MessageSendError(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageAcknowledged

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Events -> MessageAcknowledged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MessageAcknowledged(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageNegAcknowledged

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Events -> MessageNegAcknowledged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MessageNegAcknowledged(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageAcknowledgeTimeOut

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Events -> MessageAcknowledgeTimeOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MessageAcknowledgeTimeOut(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageDeleted

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Events -> MessageDeleted

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MessageDeleted(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageIn

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Events -> MessageIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MessageIn(String bsIdentifier,String bsMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SelectionChanged

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Events -> SelectionChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SelectionChanged(LPVARIANT obSelection) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageControl-Dynamic properties

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Message control

Noch in diesem Kapitel

Message control


Message control

Manuale -> Scripting -> Objectmodel -> MessageControl -> MessageControl-Dynamic properties -> Message control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ActiveAtStartup

Attivo all'avvio del Runtime

Attivo: Il Message Control viene avviato con il Runtime.

Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BSTR

SubjectDyn

Parte dinamica del soggetto

Definisce la parte specifica per un progetto dell´oggetto di messaggi in uscita e in entrata. Viene definito insieme con la proprietà Messaggio E-Mail (Outlook)/Oggetto (ID) oMessaggio E-Mail (SMTP) /Soggetto per E-Mail nelle impostazioni di invio globali Message-Control. I messaggi in entrata vengono filtrati sulla base di questo contenuto per essere poi inoltrati al Message Control.

Il testo può contenere caratteri jolly per:

  • chiavi dalla tabella lingua.
  • Nome di una variabile
  • inserimento composto nella tabella lingua

Sintassi:

  • Le parti del testo sono separate da un punto e virgola (;),
  • $ contraddistingue il testo che contiene parametri,
  • @ è segno che contraddistingue il cambio lingua
  • % contraddistingue le variabili
  • terminato con un punto e virgola (;).

Esempio: $@Achtung;%Var1;

Una lista dei parametri la trovate nel capitolo Testo da valore limite e testo libero .

Ulteriori informazioni nella guida in linea.

VT_I2

Attempts

Massimo numero tentativi

Numero massimo dei tentativi di invio nel caso si verifichino errori di invio che non vengono identificati come errori hardware.
Se la chiamata viene interrotta dal chiamato senza conferma o rifiuto, non ci sarà una ripetizione della chiamata stessa.

  • Massimo: 100
  • Minimo: 1

Default: 3

Nota: Questa impostazione non dipende da quelle dell´opzione metodo nella funzione Invia messaggio.

Ulteriori informazioni nella guida in linea.

VT_I2

TimeToWait

Tempo di attesa tra tentativi e timeout

Tempo di attesa espresso in minuti fra due tentativi di inviare oppure inoltrare un messaggio.

Default: 5

Ulteriori informazioni nella guida in linea.

VT_I2

CelDetail

Salva nella CEL

Stabilisce quali eventi vengono protocollati nella CEL. Selezione dalla lista a cascata:

  • Tutte le conferme:
    tutti i messaggi
  • Nessuna conferma:
    nessun messaggio
  • Solo conferme negative:
    solo messaggi che sono stati rifiutati, oppure a cui non è stata data risposta (anche ripetizioni).
  • Solo conferme positive:
    solo messaggi che sono stati già ripristinati.

Ulteriori informazioni nella guida in linea.

VT_BOOL

LogDeleteActions

Salva nella CEL la cancellazione manuale dei messaggi

Attivo: La cancellazione manuale di inserimenti dalla CEL viene protocollata nella stessa CEL.

Ulteriori informazioni nella guida in linea.

ZT_FILE

SentImage

Il messaggio è stato inviato

Definisce una grafica che viene visualizzata nell´immagine del tipo Message Control nella colonna Stato non appena il messaggio è stato inviato con successo. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un file grafico.

Ulteriori informazioni nella guida in linea.

ZT_FILE

SendingImage

Il messaggio verrà inviato

Definisce una grafica che viene visualizzata nell´immagine del tipo Message Control nella colonna Stato mentre è in corso un tentativo di inviare un messaggio. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un file grafico.

Ulteriori informazioni nella guida in linea.

ZT_FILE

ErrorImage

Errore durante l'invio

Definisce una grafica che viene visualizzata nell´immagine del tipo Message Control nella colonna Stato quando è fallito un tentativo di inviare un messaggio. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un file grafico.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

SentColor

Il messaggio è stato inviato

Definisce il colore con cui viene visualizzata la colonna Stato nell´immagine del tipo Message Control quando un messaggio è stato inviato con successo. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un colore.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

SendingColor

Il messaggio verrà inviato

Definisce il colore con cui viene visualizzata la colonna Stato nell´immagine del tipo Message Control mentre è in corso l´invio di un messaggio. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un colore.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

ErrorColor

Errore durante l'invio

Definisce il colore con cui viene visualizzata la colonna Stato nell´immagine del tipo Message Control quando è fallito l´invio di un messaggio. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un colore.

Ulteriori informazioni nella guida in linea.


MessageControlMessage

Manuale -> Scripting -> Objectmodel -> MessageControlMessage

Remarks

This object represents the user administration of the current project.With this object new users can be created and existing users can be edited/deleted during online operation. These changes can be imported into the Editor with decompiling. See the documentation of the control system for further information on decompiling.Users also can be logged in and out with this collection. Additionally this objects offers information on the currently logged in user.A user login executes the event UserChange with which you can execute user defined actions.Hint: For the event the object has to be defined with the attribute WithEvents in Visual Basic or VBA.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zMessageControl As MessageControl

Private Sub Project_Active()
Set zMessageControl = thisProject.MessageControl
End Sub

'====================================================================================================
' MessageControl Runtime
' It has been generates a new message in the system. The Message Control Message object
' corresponding to the actual message object which will be shipped later.
' Access to this object is only allowed within the event handler.
'====================================================================================================
Private Sub zMessageControl_MessageCreated(ByVal obAlarmItem As IAlarmItem, ByVal obMessage As IMessageControlMessage)
Stop
If Not obAlarmItem Is Nothing Then
Debug.Print (obAlarmItem.Name)
End If

If Not obMessage Is Nothing Then
Debug.Print ("Current message text: " & obMessage.MessageText)
' Only in this event it is possible to overrite the MessageControlMessage Object
obMessage.MessageText = "New message text"
Call ShowMessageInformation(obMessage)
End If
End Sub

Public Function ShowMessageInformation(ByVal obMessage As MessageControlMessage)
Debug.Print ("========================================================")
Debug.Print ("Message Guid: " & obMessage.Guid)
Debug.Print ("Numbers of attempt: " & CStr(obMessage.Attempts))
Debug.Print ("Max. number of attempts:" & CStr(obMessage.MaxAttempts))
Debug.Print ("Waiting period between two attempts [min]: " & CStr(obMessage.TimeToWait))
Debug.Print ("Used dispatcher type: " & CStr(obMessage.DispatcherType))
Debug.Print ("Destination: " & obMessage.Destination)
Debug.Print ("Customer identifier: " & obMessage.CustomIdentifier)
Debug.Print ("Title of the message: " & obMessage.Title)
Debug.Print ("Current message text: " & obMessage.MessageText)
Debug.Print ("Time stamp when message is sending: " & CStr(obMessage.Send))
Debug.Print ("Time stamp when message was sent: " & CStr(obMessage.Sent))
Debug.Print ("Acknowledge required: " & CStr(obMessage.AcknowledgeRequired))
Debug.Print ("Time limit when message must be acknowledged: " & CStr(obMessage.AcknowledgeTimeOut))
Debug.Print ("Dispatch type style: " & CStr(obMessage.TypeStyle)) 'User, Usergroup....
Debug.Print ("Destination type: " & CStr(obMessage.DestinationType))
Debug.Print ("Codes from function: " & CStr(obMessage.CodesFromFunction))
Debug.Print ("Cycle Counter: " & CStr(obMessage.CycleCounter))
Debug.Print ("========================================================")
End Function

Noch in diesem Kapitel

MessageControlMessage-Properties

MessageControlMessage-Methods

MessageControlMessage-Dynamic properties


MessageControlMessage-Properties

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AcknowledgeRequired |  | not used | available | yes | yes
DATE | AcknowledgeTimeOut |  | not used | available | yes | yes
BSTR | Attachment |  | not used | available | yes | yes
short | Attempts |  | not used | available | yes | yes
VARIANT_BOOL | CodesFromFunction |  | not used | available | yes | yes
BSTR | CustomIdentifier |  | not used | available | yes | yes
long | CycleCounter |  | not used | available | yes | yes
BSTR | Destination |  | not used | available | yes | yes
short | DestinationType |  | not used | available | yes | yes
short | DispatcherType |  | not used | available | yes | yes
BSTR | Guid |  | not used | available | yes | yes
short | MaxAttempts |  | not used | read only | yes | yes
BSTR | MessageText |  | not used | available | yes | yes
DATE | Send |  | not used | available | yes | yes
DATE | Sent |  | not used | available | yes | yes
short | TimeToWait |  | not used | available | yes | yes
BSTR | Title |  | not used | available | yes | yes
short | TypeStyle |  | not used | available | yes | yes
BSTR | UserName | Return the name of the target User. | not used | available | yes | yes

Noch in diesem Kapitel

Guid

UserName

Attempts

MaxAttempts

TimeToWait

DispatcherType

Destination

CustomIdentifier

Title

MessageText

Send

Sent

AcknowledgeTimeOut

AcknowledgeRequired

TypeStyle

DestinationType

Attachment

CodesFromFunction

CycleCounter


Guid

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Guid() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


UserName

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> UserName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UserName() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Attempts

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> Attempts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Attempts() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


MaxAttempts

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> MaxAttempts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MaxAttempts() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


TimeToWait

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> TimeToWait

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TimeToWait() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


DispatcherType

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> DispatcherType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DispatcherType() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Destination

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> Destination

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Destination() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


CustomIdentifier

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> CustomIdentifier

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CustomIdentifier() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Title

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> Title

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Title() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


MessageText

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> MessageText

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MessageText() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Send

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> Send

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Send() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Sent

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> Sent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Sent() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


AcknowledgeTimeOut

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> AcknowledgeTimeOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AcknowledgeTimeOut() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


AcknowledgeRequired

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> AcknowledgeRequired

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AcknowledgeRequired() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


TypeStyle

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> TypeStyle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TypeStyle() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


DestinationType

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> DestinationType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DestinationType() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Attachment

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> Attachment

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Attachment() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


CodesFromFunction

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> CodesFromFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CodesFromFunction() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


CycleCounter

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Properties -> CycleCounter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CycleCounter() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


MessageControlMessage-Methods

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | not used | available | yes | yes
VARIANT | DynProperties [GET] | - | not used | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageControlMessage-Dynamic properties

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Send parameter

Noch in diesem Kapitel

Send parameter


Send parameter

Manuale -> Scripting -> Objectmodel -> MessageControlMessage -> MessageControlMessage-Dynamic properties -> Send parameter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Title | Soggetto |
VT_BSTR | MessageText | Notizia | Testo del messaggio. Ulteriori informazioni nella guida in linea.
VT_I2 | Attempts | Tentativi | Numero dei tentativi di invio. Ulteriori informazioni nella guida in linea.
VT_I2 | MaxAttempts | Numero Max. Tentativi | Numero massimo dei tentativi di invio. Ulteriori informazioni nella guida in linea.
ZT_DATETIME | Sent | Creato / ultimo invio | Momento nel quale il messaggio è stato generato, oppure nel quale è avvenuto l´ultimo tentativo di invio. Ulteriori informazioni nella guida in linea.
ZT_DATETIME | Send | prossimo tentativo | Momento del prossimo tentativo di invio del messaggio. Ulteriori informazioni nella guida in linea.
VT_BSTR | Destination | Destinazione | Indirizzo della destinazione del messaggio (indirizzo E-Mail, numero di telefono). Ulteriori informazioni nella guida in linea.
VT_I2 | DispatchType | Invio |
VT_UI4 | CycleCounter | Numero ciclo d' invio | Indica il numero delle volte in cui un messaggio è stato inoltrato. Ulteriori informazioni nella guida in linea.
VT_I2 | TimeToWait | Tempo di attesa | Tempo di attesa espresso in minuti per il monitoraggio di timeout e inoltro di messaggi. Ulteriori informazioni nella guida in linea.
VT_BOOL | AckReq | Ripristino obbligatorio | Il messaggio deve essere confermato al momento della ricezione. Ulteriori informazioni nella guida in linea.
VT_UI2 | TypeStyle | Metodo spedizione |
VT_BSTR | Attachment | Allegato | Nome dell´allegato di un messaggio. Solo per E-Mail via SMTP. Ulteriori informazioni nella guida in linea.
VT_BOOL | CodesFromFunction | Codice specifico di funzione | Mostra se viene usato un codice individuale per la conferma. Ulteriori informazioni nella guida in linea.
ZT_DATETIME | AckTimeOut | Timeout di avviso ricezione | Intervallo di tempo per la conferma del messaggio. Ulteriori informazioni nella guida in linea.
VT_I2 | DestiType | Tipo di obiettivo |
VT_BSTR | CustomIdentifier | Identificatore personalizzato | Identifier definito dall´utente. Può essere settato solamente tramite VBA/VSTA nell´evento MessageCreated". Ulteriori informazioni nella guida in linea.
VT_BSTR | GUID | GUID | Identificazione univoca (GUID) del messaggio. Ulteriori informazioni nella guida in linea.
VT_BSTR | UserName | Nome destinatario |


OnlineVariable

Manuale -> Scripting -> Objectmodel -> OnlineVariable

Remarks

The object OnlineVariable is a container for variables.The method Define of this object requests all variables, that are linked to that object. The same thing happens whenever a Screen is opened in the Runtime. On initializing the variable or changing the value an event is executed, in which the changed variable can be edited as a parameter.This object should always be used, if one or more variable(s) are needed, that perhaps are not yet requested. As the request for the value of a variable takes most time, the performance here is increased, as you can be sure, that the values of the linked variables always are requested because of the method Define.Hint: For the event the object Visual Basic has to be defined with the attribute WithEvents.Using online variables always needs the following procedure:· Linking the online variable to variables of the control system. For each variable the method Add has to be executed with the unique name of the variable. Alternatively you can also use the method AddBulk. In this case a dynamic string array is created, that contains the variables‘ names. This array then is passed to the method AddBulk.· Executing the method Define to activate monitoring the variables. A VBA event is executed, when a variable changes. The event contains the canges variable object as a parameter. In the routine the different actions are executed.· Executing the method Undefine of the object to stop monitoring the variables. From now on changes of the variables are no longer reported via the VBA event.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub VariablesOfOLV()
Dim i As Integer
Dim obOLV As OnlineVariable
Dim obVAR As Variable
'get OnlineVariable
Set obOLV = thisProject.OnlineVariables.Item(0)
Debug.Print "Active: " & obOLV.Aktiv
'enum linked variables
For i = 0 To obOLV.Count - 1
Set obVAR = obOLV.Item(i)
Debug.Print obVAR.Name & " - " & obVAR.Tagname
Next i
End Sub

Nota: non è consentito l´uso di caratteri speciali come ß-/\ nel nome di un progetto di zenon. Sono consentiti: cifre, lettere e il carattere speciale trattino basso (_). Ulteriori informazioni su questo tema le trovate nella guida relativa a Gestione progetto e area di lavoro, nel capitolo Crea nuovo progetto.

Noch in diesem Kapitel

OnlineVariable-Properties

OnlineVariable-Methods

OnlineVariable-Events


OnlineVariable-Properties

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Aktiv |  | not used | available | yes | yes
long | Count |  | read only | read only | yes | yes
long | EventMode | Activated event mode | not used | read only | yes | yes
BSTR | Name | Name of the online-variable (unique) | not used | available | yes | yes
IOnlineVariables | Parent | Parent-object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Name

Aktiv

Count

EventMode


Parent

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As OnlineVariables

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique name of the current online variable. With this name the online variable can be accessed in the collection OnlineVariables of the current project.

Datatype

Name() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Aktiv

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Properties -> Aktiv

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the communication status of the online variable.The communication is set to True on executing the method Define. On deleting the object or executing the method Undefine the communication status is set to False.From this moment on the event VariableChange is no longer executed.

Datatype

Aktiv() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


EventMode

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Properties -> EventMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

EventMode() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


OnlineVariable-Methods

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | ActivateBulkMode | Activate bulk event mode | not used | available | yes | yes
VARIANT_BOOL | Add | - | not used | available | yes | yes
VARIANT_BOOL | AddBulk | - | not used | available | yes | yes
VARIANT_BOOL | Define | - | not used | available | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IVariable | Item | - | available | not used | yes | yes
VARIANT_BOOL | Remove | - | not used | available | yes | yes
VARIANT_BOOL | SetMemCfg | - | not used | available | yes | yes
void | Undefine | - | not used | available | yes | yes
VARIANT_BOOL | WriteBack | - | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
VARIANT_BOOL | Add | - | not used | available | yes | yes
VARIANT_BOOL | AddBulk | - | not used | available | yes | yes
VARIANT_BOOL | Remove | - | not used | available | yes | yes
IVariable | Item | - | available | not used | yes | yes
VARIANT_BOOL | SetMemCfg | - | not used | available | yes | yes
VARIANT_BOOL | WriteBack | - | not used | available | yes | yes
VARIANT_BOOL | ActivateBulkMode | Activate bulk event mode | not used | available | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Add

AddBulk

Remove

Item

Define

Undefine

SetMemCfg

WriteBack

ActivateBulkMode


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Add

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> Add

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Add(BSTR szPvName) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


AddBulk

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> AddBulk

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AddBulk() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Remove

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> Remove

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Remove(BSTR szPvName) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Item

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vID) As IVariable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Define

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> Define

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method activates monitoring of all variables linked to this object.Before executing this method control system variables have to be linked to the object with the methods Add or AddBulk.Now on the initialization of a variable or on changing ist value a VBA event is executed, in which the linked variable is available as a parameter. In this event you can e.g. request the value, ...On executing this method the property Aktiv returns True. It is set to False, when the object is deleted or the methof Undefine is executed to stop monitoring.

Datatype

Define() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Undefine

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> Undefine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method deactivates monitoring of the linked control system variables.The event VariableChange, usually executed on changing the value of a linked variable, is no longer executed.Hint: This is not necessary, if the online variables are used in combination with zenOn VBA and the events FireActive or FireInactive of the project, as the method Undefine is executed internally at the time of the FireInactive.

Datatype

Undefine() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetMemCfg

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> SetMemCfg

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SetMemCfg() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


WriteBack

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> WriteBack

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

WriteBack() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ActivateBulkMode

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Methods -> ActivateBulkMode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ActivateBulkMode() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineVariable-Events

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | VariableBulkChange | Event: Is fired to handle a bulk of changed variable values | not used | available | yes | yes
void | VariableChange | Event: Is fired by changing the value of a variable | not used | available | yes | yes
void | VariableChange | Event: Is fired by changing the value of a variable | not used | available | yes | yes
void | VariableBulkChange | Event: Is fired to handle a bulk of changed variable values | not used | available | yes | yes

Noch in diesem Kapitel

VariableChange

VariableBulkChange


VariableChange

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Events -> VariableChange

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VariableChange(IVariable obVar) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


VariableBulkChange

Manuale -> Scripting -> Objectmodel -> OnlineVariable -> OnlineVariable-Events -> VariableBulkChange

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VariableBulkChange(LPVARIANT pvVars, LPVARIANT pvPvIDs, LPVARIANT pvValues, LPVARIANT pvStatesLo, LPVARIANT pvStatesHi, LPVARIANT pvTimes) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


OnlineVariables

Manuale -> Scripting -> Objectmodel -> OnlineVariables

Remarks

This collection contains the single objects OnlineVariable. An online variable is an object, in which control system variables are linked, which on being initialized or changed execute a VBA event. In this VBA event user defined actions can be defined.The usage of online variables is recommended for the reading of variable values, as all variables linked to the online variable can be ordered with one action. This enhances the performance.An online variable can be compared to a container or – even better – a Screen of the control system without display. In such a Screen of the control system also all values are ordered from the driver when the Screen is opened.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zOLV As OnlineVariable
Const strOLV As String = "MyOnlineVariableContainer"

'initialize event on runtime startup
Private Sub Project_Active()
'get object if already exists
Set zOLV = thisProject.OnlineVariables.Item(strOLV)
If zOLV Is Nothing Then
'if not exitst, create a new OnlineVariable container
Set zOLV = thisProject.OnlineVariables.CreateOnlineVariables(strOLV)
'add variables to the container
zOLV.Add "Variable1"
zOLV.Add "Variable2"
zOLV.Add "Variable3"
End If
'activate 'VariableChange' event
zOLV.Define
End Sub

'event is fired when a variable value changes
Private Sub zOLV_VariableChange(ByVal obVar As IVariable)
Dim vValue As Variant
vValue = obVar.Value
'ignore error values (i.e. on startup)
If IsError(vValue) Then Exit Sub
D ebug.Print obVar.Name & " = " & vValue
End Sub

'release objects on closing the runtime
Private Sub Project_Inactive()
'deactivate 'VariableChange' event
If Not zOLV Is Nothing Then zOLV.Undefine
Set zOLV = Nothing
End Sub

Nota: non è consentito l´uso di caratteri speciali come ß-/\ nel nome di un progetto di zenon. Sono consentiti: cifre, lettere e il carattere speciale trattino basso (_). Ulteriori informazioni su questo tema le trovate nella guida relativa a Gestione progetto e area di lavoro, nel capitolo Crea nuovo progetto.

Noch in diesem Kapitel

OnlineVariables-Properties

OnlineVariables-Methods


OnlineVariables-Properties

Manuale -> Scripting -> Objectmodel -> OnlineVariables -> OnlineVariables-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined online-variables | read only | read only | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> OnlineVariables -> OnlineVariables-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> OnlineVariables -> OnlineVariables-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


OnlineVariables-Methods

Manuale -> Scripting -> Objectmodel -> OnlineVariables -> OnlineVariables-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IOnlineVariable | CreateOnlineVariables | Creates a new online-variable (unique name) | not used | available | yes | yes
VARIANT_BOOL | DeleteOnlineVariables | Deletes the given variable | not used | available | yes | yes
IOnlineVariable | Item | Returns the variable by name or position | available | available | yes | yes
IOnlineVariable | CreateOnlineVariables | Creates a new online-variable (unique name) | not used | available | yes | yes
VARIANT_BOOL | DeleteOnlineVariables | Deletes the given variable | not used | available | yes | yes

Noch in diesem Kapitel

CreateOnlineVariables

DeleteOnlineVariables

Item


CreateOnlineVariables

Manuale -> Scripting -> Objectmodel -> OnlineVariables -> OnlineVariables-Methods -> CreateOnlineVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateOnlineVariables(BSTR Name) As IOnlineVariable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteOnlineVariables

Manuale -> Scripting -> Objectmodel -> OnlineVariables -> OnlineVariables-Methods -> DeleteOnlineVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteOnlineVariables(BSTR Name) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Item

Manuale -> Scripting -> Objectmodel -> OnlineVariables -> OnlineVariables-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object OnlineVariable from the collection, which is identified by the parameter vID.The parameter vID can have two values:· Index: Access with an index mostly is used in combination with the property Count to find out the position of the online variable object in the list.· Variable name: The online variable can also be accessed with its unique name.

Datatype

Item(VARIANT vID) As OnlineVariable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name as Variant
If the parameter is a numerical value, the variable is searched by its index (>= 0 and <= Count-1). If it is an alphanumerical value, the variable is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'enumerate all OnlineVariables
Sub EnumOLVs()
Dim i As Integer
Dim obOLV As OnlineVariable
For i = 0 To thisProject.OnlineVariables.Count - 1
Set obOLV = thisProject.OnlineVariables.Item(i)
Debug.Print obOLV.Name & " (Vars: " & obOLV.Count & ")"
Next i
End Sub


Passwords

Manuale -> Scripting -> Objectmodel -> Passwords

Remarks

This object represents the user administration of the current project.With this object new users can be created and existing users can be edited/deleted during online operation. These changes can be imported into the Editor with decompiling. See the documentation of the control system for further information on decompiling.Users also can be logged in and out with this collection. Additionally this objects offers information on the currently logged in user.A user login executes the event UserChange with which you can execute user defined actions.Hint: For the event the object has to be defined with the attribute WithEvents in Visual Basic or VBA.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zUserAdministration As Passwords

'initialize event on runtime startup
Private Sub Project_Active()
Set zUserAdministration = thisProject.Passwords
End Sub

Private Sub zUserAdministration_UserChange()
Debug.Print zUserAdministration.LoggedUser; " is logged in!"
End Sub

'create a new user
Sub CreateUser()
Dim zUser As User
'12345 = Levels: 0,3,4,5,12,13
Set zUser = thisProject.Passwords.CreateUser("Full Name", "Username", "P@ssword", 12345)
With zUser
.Active = True
.Admin = True
.Locked = False
End With
End Sub

'change some user properties
Sub ChangeUser()
Dim zUser As User
Dim vResult As Variant

Set zUser = thisProject.Passwords.ItemUser(0)
Debug.Print zUser.Name & " will be changed"

'change the identification of the user
vResult = zUser.IdentificationChange("NewLogonName")

'change the password for the user
vResult = zUser.PasswordChange("P@ssword", "NewPassword")

End Sub

'login a user with its password...
Sub LoginUser()
Dim bResult As Boolean
bResult = zUserAdministration.LoginPassword("LogonName", "P@ssword")
End Sub

'release objects on closing the runtime
Private Sub Project_Inactive()
Set zUserAdministration = Nothing
End Sub

Noch in diesem Kapitel

Passwords-Properties

Passwords-Methods

Passwords-Events


Passwords-Properties

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | CountUser | Count of defined users | available | available | yes | yes
long | CountUserGroup | Count of defined usergroups | read only | read only | yes | yes
BSTR | LoggedUser | Current logged on user | available | available | yes | yes
BSTR | LoggedUsername | TagName of the logged on user | available | available | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

LoggedUser

LoggedUsername

CountUser

CountUserGroup


Parent

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


LoggedUser

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Properties -> LoggedUser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the identification of the user currently logged in.The identification can have up to 14 characters. The identification is the unique Id for the user, i.e. with this parameter the user can be identified.E.g. the identification for the user System is 0000.

Datatype

LoggedUser() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


LoggedUsername

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Properties -> LoggedUsername

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the currently logged in user.The name of the user is defined in the control system.

Datatype

LoggedUsername() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


CountUser

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Properties -> CountUser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of defined users, created in the user adminsitration of the control system.This method mostly is used for the iteration, i.e. to run through all the users in combination with the method ItemUser.

Datatype

CountUser() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


CountUserGroup

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Properties -> CountUserGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of defined usergroups, created in the user adminsitration of the control system.This method mostly is used for the iteration, i.e. to run through all the usergroups in combination with the method ItemUserGroup.

Datatype

CountUserGroup() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Passwords-Methods

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
tpLoginResult | CheckLogin | Checks the Login of a user with given ID and password |  | not used | available | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IUser | CreateUser | Creates a new user |  | available | available | yes | yes
IUser | CreateUserEx | Creates a new user |  | available | available | yes | yes
IUserGroup | CreateUserGroup | Creates a new usergroup |  | available | not used | yes | yes
VARIANT_BOOL | DeleteUser | Deletes the given user |  | available | available | yes | yes
VARIANT_BOOL | DeleteUserGroup | Deletes the given usergroup |  | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the user list |  | available | not used | yes | yes
VARIANT_BOOL | ExportGroup | Exports the usergroup list |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the user list |  | available | not used | yes | yes
VARIANT_BOOL | ImportGroup | Imports the usergroup list |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IUser | ItemUser | Returns user by position or by name |  | available | available | yes | yes
IUserGroup | ItemUserGroup | Returns usergroup by position or by name |  | available | available | yes | yes
VARIANT_BOOL | Login | Logs in the user with the given ID |  | available | available | yes | yes
VARIANT_BOOL | LoginPassword | Logs in the user with the given ID and the given password |  | available | available | yes | yes
void | Logoff | Log out the current user |  | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | available | yes | yes
VARIANT_BOOL | SingleExportGroup | Exports the Item with given Name oder Index |  | available | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
tpLoginResult | CheckLoginEx | Checks the Login of a user with given ID and password hash |  | not used | available | yes | yes

Noch in diesem Kapitel

Login

LoginPassword

CheckLogin

CheckLoginEx

Logoff

CreateUser

DeleteUser

ItemUser

SingleExport

Export

Import

CreateUserGroup

DeleteUserGroup

ItemUserGroup

ExportGroup

SingleExportGroup

ImportGroup

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Login

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> Login

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Searches for the user with the identification szIdentification and tries to log him in, if he is not the currently logged in user.If a user with thie identification cannot be found, an entry in the CEL is generated.Otherwise the user is logged in and the following further actions are executed:·System variable for current user level is actualized·System variable for the name of the current user is actualized·Alarming is informed about user change·All opened MDI windows are informed about user change·CEL entry for user is generated·UserChange event for the object Passwords is executed

Datatype

Login(String szIdentification) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name as variant.
If the parameter is a numerical value, the user is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the user is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'login a user...
Sub LoginUser()
Dim bResult As Boolean
bResult = zUserAdministration.Login("LogonName")
End Sub


LoginPassword

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> LoginPassword

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Searches for the user with the identification szIdentification and tries to log him in, if he is not the currently logged in user.In this case also the new password is compared to the current one.If a user with thie identification cannot be found, an entry in the CEL is generated.Otherwise the user is logged in and the following further actions are executed:·System variable for current user level is actualized·System variable for the name of the current user is actualized·Alarming is informed about user change·All opened MDI windows are informed about user change·CEL entry for user is generated·UserChange event for the object Passwords is executed

Datatype

LoginPassword(String szIdentification,String szPassword) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Password of the user as string.

Identification of a user as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szPassword As String

szIdentification As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'login a user with its password...
Sub LoginUser()
Dim bResult As Boolean
bResult = zUserAdministration.LoginPassword("LogonName", "P@ssword")
End Sub


CheckLogin

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> CheckLogin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Function CheckLogin(szUser As String, szPassword As String, vLevels) As tpLogin

Besides a new enumeration tpLogin with the following values:

tpDefaultError, tpLoginOk, tpPasswordExpired, tpSystemLocked, tpUserDeactivated, tpUserLocked, tpWrongPassword, tpWrongPasswordUserLocked, tpWrongUser, tpWrongUserSystemLocked

The committed user name and password are checked, the result is returned and a corresponding CEL entry is generated. Error entries on user name and password have the same consequences as on normal log in. (for ex. blocking the user or systems after a certain number). Is the user authenticated successfully, his authority levels are returned as an array of 4 longs (in the variant vLevels).

Datatype

CheckLogin(String szUser,String szPassword,LPVARIANT vLevels) As tpLoginResult

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_CheckLogin()
Dim zPassword As Passwords
Dim tpResult As tpLoginResult
Dim vLevels As Variant
Dim vUserLevel As Variant
Dim i As Integer
Dim j As Integer
Dim mask As Double
Dim userLevels As String

Set zPassword = thisProject.Passwords
'Get Login result
tpResult = zPassword.CheckLogin("John", "123456", vLevels)
' Show result
getTpResultInformaion (tpResult)

For i = 0 To UBound(vLevels) 'User levels split in 4 groups with 32 bits
j = 0
mask = 0

If vLevels(i) > 0 Then
For j = 0 To 31 - 1 ' iterate the 32 bits
mask = 2 ^ j ' 0,2,4,8,16,32,64....
If vLevels(i) And mask Then ' If bit is set the user has this level
userLevels = userLevels + CStr(j + (32 * i)) & " "
End If
Next j
End If
Next i
Debug.Print ("User Levels: " & userLevels)
End Sub

Private Function getTpResultInformaion(tpResult As tpLoginResult)

Select Case tpResult
Case tpLoginResult.tpLoginOk
Debug.Print ("Login Ok: " & tpLoginResult.tpLoginOk)
Case tpLoginResult.tpPasswordExpired
Debug.Print ("Password expired: " & tpLoginResult.tpPasswordExpired)
Case tpLoginResult.tpSystemLocked
Debug.Print ("System locked: " & tpLoginResult.tpSystemLocked)
Case tpLoginResult.tpUserDeactivated
Debug.Print ("User deactivated: " & tpLoginResult.tpUserDeactivated)
Case tpLoginResult.tpUserLocked
Debug.Print ("User locked: " & tpLoginResult.tpUserLocked)
Case tpLoginResult.tpWrongPassword
Debug.Print ("Wrong password: " & tpLoginResult.tpWrongPassword)
Case tpLoginResult.tpWrongPasswordUserLocked
Debug.Print ("Wrong password - User locked: " & tpLoginResult.tpWrongPasswordUserLocked)
Case tpLoginResult.tpWrongUser
Debug.Print ("Wrong user: " & tpLoginResult.tpWrongUser)
Case tpLoginResult.tpWrongUserSystemLocked
Debug.Print ("Wrong user- System locked: " & tpLoginResult.tpWrongUserSystemLocked)
Case tpLoginResult.tpDefaultError
Debug.Print ("Default Error: " & tpLoginResult.tpDefaultError)
End Select

End Function


CheckLoginEx

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> CheckLoginEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckLoginEx(BSTR szUser,BSTR szPwdHash,BSTR szServerSalt,BSTR szClientSalt,tpLoginType eLoginType,LPVARIANT vLevels) As tpLoginResult

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Logoff

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> Logoff

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method logs out the current user and logs in the user SYSTEM.If the user SYSTEM is already active, no further steps are taken.

Datatype

Logoff() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateUser

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> CreateUser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates new users during online operation. If the identification is an empty string or an user with the same identification already exists, this method returns Nothing.Hint: Therefore the returned object always should be checked on Nothing.If the identification is valid, a new object User is created and the defined parameters are transferred to the object. Then the object is handed over to the central user administration and the changes are saved.

Datatype

CreateUser(String szIdentification,String szUsername,String szPassword,long dwLevel) As User

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Password level of the user as long.

Password of the user as string.

Unique name of the user as string.

Identification of a user as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

dwLevel As Long

szPassword As String

szUsername As String

szIdentification As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'create a new user
Sub CreateUser()
Dim zUser As User
'12345 = Levels: 0,3,4,5,12,13
Set zUser = thisProject.Passwords.CreateUser("Full Name", "Username", "P@ssword", 12345)
With zUser
.Active = True
.Admin = True
.Locked = False
End With
End Sub


DeleteUser

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> DeleteUser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method deletes the user with the identification szIdentification from the central user administration.This change is immediately saved, i.e. after deleting a user he is no longer available for the system.If no user with this identification can be found, the method returns False.

Datatype

DeleteUser(String szIdentification) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Identification of a user as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szIdentification As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'delete a user
Sub DeleteUSer()
Dim bResult As Boolean
bResult = thisProject.Passwords.DeleteUSer("LogonName")
End Sub


ItemUser

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> ItemUser

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the user from the collection, who is identified by the parameter vIndex.The parameter vIndex can have two values:· Index: Access with an index mostly is used in combination with the property Count to find out the position of the variable object in the list.· Identification: The user can also be accessed with his unique identification.Hint: The returned object should be checked on Nothing to find out, if no object for the search creteria was found.

Datatype

ItemUser(VARIANT vIndex) As User

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name as variant.
If the parameter is a numerical value, the user is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the user is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'enumerate all users
Sub EnumUsers()
Dim zUser As User
Dim i As Integer

For i = 0 To thisProject.Passwords.CountUser - 1
'get user object
Set zUser = thisProject.Passwords.ItemUser(i)
Debug.Print zUser.Identification & " > " & zUser.Name
Next i
End Sub


SingleExport

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


CreateUserGroup

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> CreateUserGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateUserGroup(String szName,long dwLevel) As UserGroup

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteUserGroup

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> DeleteUserGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteUserGroup(String szName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemUserGroup

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> ItemUserGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemUserGroup(VARIANT vIndex) As UserGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ExportGroup

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> ExportGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ExportGroup(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


SingleExportGroup

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> SingleExportGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExportGroup(VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ImportGroup

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> ImportGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ImportGroup(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Passwords-Events

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | UserChange |  | available | available | yes | yes
void | ValidatePassword |  | not used | available | yes | yes

Noch in diesem Kapitel

UserChange

ValidatePassword


UserChange

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Events -> UserChange

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed, when a user is logged into the system.In this event you can execute your user defined actions.With the property LoggedUser and the method ItemUser you can find out the newly logged in user.Hint: For the event the object has to be defined with the attribute WithEvents in Visual Basic or VBA.

Datatype

UserChange() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ValidatePassword

Manuale -> Scripting -> Objectmodel -> Passwords -> Passwords-Events -> ValidatePassword

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ValidatePassword(String bsIdentification, String bsPassword, Boolean bOK) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Contains the Identification of the User who tries to change his password...

Contains the new password wich was entered by the actual user...

Defines if the new password is valid or not.
Set the "bOK" to "False" if the password is not valid.
Default value = True

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsIdentification As String

bsPassword As String

bOK As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'The following Code is used in the "thisProject" classmodule...
Dim WithEvents zPWD As Passwords

Private Sub Project_Active()
Set zPWD = thisProject.Passwords
End Sub

Private Sub zPWD_ValidatePassword(ByVal bsIdentification As String, ByVal bsPassword As String, bOK As Boolean)
'check password length
If Len(bsPassword) < 8 Then
bOK = False
Else
'check if password contains username
If InStr(1, UCase(bsPassword), UCase(bsIdentification)) <> 0 Then
bOK = False
End If
End If

End Sub


PfsCalendar

Manuale -> Scripting -> Objectmodel -> PfsCalendar

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

PfsCalendar-Methods


PfsCalendar-Methods

Manuale -> Scripting -> Objectmodel -> PfsCalendar -> PfsCalendar-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | SchedulesForDay | Returns the linked schedules for the day | available | available | yes | yes
IPfsTimeModell | TimeModelForDay | Returns the linked time model for the day | available | available | yes | yes
IPfsSwitchingPointFilter | CreateSwitchingPointFilter | Creates a switching point filter that can be configured and then used to call the SwitchingPointPreview method | available | available | yes | yes

Noch in diesem Kapitel

SchedulesForDay

TimeModelForDay

CreateSwitchingPointFilter


SchedulesForDay

Manuale -> Scripting -> Objectmodel -> PfsCalendar -> PfsCalendar-Methods -> SchedulesForDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get scheduals for a specific day.

Datatype

SchedulesForDay(DATE date, BSTR bstrGroup) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Public Sub ShowTodaysScheduleType()

Set PfsSchedule = thisProject.pfs.Groups.Item(0).Schedules.Item(0)

Dim link As tpPfsDayLink

link = PfsSchedule.IsOnDay(Date)

If link = tpPfsExecute Then

MsgBox "Einzeltag"

End If

If link = tpPfsSkip Then

MsgBox "Übersprungen"

End If

If link = tpPfsDefaultDay Then

MsgBox "Defaultbelegung"

End If

If link = tpPfsUnused Then

MsgBox "Nicht verwendet"

End If

End Sub

Public Sub SetTodaysSchedule()

Dim PfsSchedule As PfsSchedule

Set PfsSchedule = thisProject.pfs.Groups.Item(0).Schedules.Item(0)

Call PfsSchedule.AddToDay(Date, tpPfsExecute)

thisProject.pfs.Save

End Sub

Public Sub DeleteTodaysSchedule()

Dim PfsSchedule As PfsSchedule

Set PfsSchedule = thisProject.pfs.Groups.Item(0).Schedules.Item(0)

Call PfsSchedule.RemoveFromDay(Date, True)

thisProject.pfs.Save

End Sub

Public Sub GetCalendar()

Dim Engine As PfsEngine

Dim Calendar As PfsCalendar

Set Engine = thisProject.Pfs

Set Calendar = Engine.Calendar

End Sub

Public Sub GetSchedules()

Dim calendar As pfsCalendar

Dim schedules() As pfsSchedule

Set calendar = thisProject.Pfs.calendar

schedules = calendar.SchedulesForDay(Now, "ZMG1")

Dim text As String

For I = 0 To UBound(schedules)

text = text + schedules(I).Name + "/"

Next I

MsgBox text

End Sub


TimeModelForDay

Manuale -> Scripting -> Objectmodel -> PfsCalendar -> PfsCalendar-Methods -> TimeModelForDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Connect a timemodel to a single day.

Datatype

TimeModelForDay(DATE date, BSTR bstrGroup) As IPfsTimeModell

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Public Sub ConnectTimeModelToDay()

Dim pfsTM As PfsTimeModell

Set pfsTM = thisProject.Pfs.Groups.Item(0).TimeModells.Item(0)

Call pfsTM.AddToDay(Date, tpPfsExecute)

thisProject.Pfs.Save

End Sub

Public Sub Macro0()

Dim pfsTM As PfsTimeModell

Set pfsTM = thisProject.pfs.Groups.Item(0).TimeModells.Item(0)

Dim link As tpPfsDayLink

link = pfsTM.IsOnDay(Date)

If link = tpPfsExecute Then

MsgBox "Einzeltag"

End If

If link = tpPfsDefaultDay Then

MsgBox "Defaultbelegung"

End If

If link = tpPfsUnused Then

MsgBox "Nicht verwendet"

End If

End Sub

Public Sub GetTimeModel()

Dim calendar As pfsCalendar

Dim timemodel As PfsTimeModell

Set calendar = thisProject.Pfs.calendar

Set timemodel = calendar.TimeModelForDay(Now, "ZMG1")

If Not timemodel Is Nothing Then

MsgBox timemodel.Name

Else

MsgBox "Kein Zeitmodell verknüpft"

End If

End Sub


CreateSwitchingPointFilter

Manuale -> Scripting -> Objectmodel -> PfsCalendar -> PfsCalendar-Methods -> CreateSwitchingPointFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a switching point filter that can then be used to get a switching point preview.

Datatype

CreateSwitchingPointFilter() As IPfsSwitchingPointFilter

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SwitchingPointPreview()

{

// create a switching point filter

var filter = Pfs().Calendar().CreateSwitchingPointFilter();

// configure the filter

filter.StartTime = System.DateTime.Now;

filter.EndTime = System.DateTime.Now + new System.TimeSpan(7, 0, 0, 0);

filter.TimeModelGroup = "z*";

filter.Schedule = "N*";

filter.Variable = "*";

filter.Function = "*";

filter.SearchData = zenOn.tpPfsData.tpPfsStoredData;

// get the preview for the configuration

string output = "";

object[] switchtingPoints = (object[])filter.SwitchingPointPreview();

foreach (object switchingPoint in switchtingPoints)

{

zenOn.IPfsSwitchingPoint p = (zenOn.IPfsSwitchingPoint)switchingPoint;

output = output + "Active: " + p.Active.ToString();

output = output + " TimeModelGroup: " + p.ScheduleValue.Parent.Parent.Parent.Parent.Parent.Parent.Name;

output = output + " Schedule: " + p.ScheduleValue.Parent.Parent.Parent.Parent.KeyNote;

output = output + " ExecTime: " + p.ExecutionTime.ToString();

output = output + " LinkedType: " + p.ScheduleValue.Type.ToString();

output = output + " LinkedObject: " + p.ScheduleValue.GetScheduleLink().Name;

if (p.ScheduleValue.Value != null)

{

output = output + " SetValue: " + p.ScheduleValue.Value.ToString();

}

output = output + " PasswordLevel: " + p.ScheduleValue.PasswordLevel.ToString();

output = output + " TriggerType: " + p.ScheduleValue.Parent.Parent.Type.ToString();

output = output + " EventId: " + p.ScheduleValue.Parent.Parent.EventId.ToString();

output = output + "\n\n";

}

// show output

System.Windows.Forms.MessageBox.Show(output);

}

VB.NET

VBA

Public Sub Preview()

'create a switching point filter

Dim filter As PfsSwitchingPointFilter

Set filter = thisProject.Pfs.Calendar.CreateSwitchingPointFilter

'configure the filter

filter.StartTime = Now

filter.EndTime = Now + 7

filter.TimeModelGroup = "z*"

filter.Schedule = "N*"

filter.Variable = "*"

filter.Function = "*"

filter.SearchData = tpPfsStoredData

'get the preview for the filter configuration

Dim points() As PfsSwitchingPoint

points = filter.SwitchingPointPreview

'build an output message

Dim output As String

Dim idx As Integer

For idx = 0 To UBound(points)

output = output & "Active: " & CStr(points(idx).Active)

output = output & " TimeModelGroup: " & points(idx).ScheduleValue.Parent.Parent.Parent.Parent.Parent.Parent.Name

output = output & " Schedule: " & points(idx).ScheduleValue.Parent.Parent.Parent.Parent.KeyNote

output = output & " ExecTime: " & CStr(points(idx).ExecutionTime)

output = output & " LinkedType: " & CStr(points(idx).ScheduleValue.Type)

output = output & " LinkedObject: " & CStr(points(idx).ScheduleValue.GetScheduleLink.Name)

output = output & " SetValue: " & CStr(points(idx).ScheduleValue.value)

output = output & " PasswordLevel: " & CStr(points(idx).ScheduleValue.PasswordLevel)

output = output & " TriggerType: " & CStr(points(idx).ScheduleValue.Parent.Parent.Type)

output = output & " EventId: " & CStr(points(idx).ScheduleValue.Parent.Parent.EventId)

output = output & vbNewLine & vbNewLine

Next idx

'show the output

MsgBox output

End Sub


PfsEngine

Manuale -> Scripting -> Objectmodel -> PfsEngine

Remarks

The PfsEngine object is the entry point into the Pfs object model.With the property CountryName you can define the country for the holiday definition. The method events returns a list of the user-defined events.The Groups method returns the definition of the existing PFS equipments.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''
''''''Define PFS Engine with Events!'''''''''
'''''''''''''''''''''''''''''''''''''''''''''
Dim WithEvents myPFS As PfsEngine

'''''''''''''''''''''''''''''''''''''''''''''
''''''''Define Events for PFS Engine'''''''''
'''''''''''''''''''''''''''''''''''''''''''''
Private Sub myPFS_OnCreateGroup(ByVal obNewGroup As IPfsGroup)
Debug.Print "myPFS_OnCreateGroup " & " " & obNewGroup.Name & " was created!"
End Sub

Private Sub myPFS_OnCreateEvent(ByVal obNewEvent As IPfsEvent)
Debug.Print "myPFS_OnCreateEvent " & " " & obNewEvent.Name & " was created!"
End Sub

'''''''''''''''''''''''''''''''''''''''''''''
''''''''''Excecute the defined Events,'''''''
'''''''''''by creating new objects'''''''''''
'''''''''''''''''''''''''''''''''''''''''''''
Sub TestEvents()
Set myPFS = MyWorkspace.ActiveDocument.Pfs
myPFS.Groups.CreateGroup ("TestGroup1")
myPFS.Events.CreateEvent ("TestEvent1")
End Sub

'''''''''''''''''''''''''''''''''''''''''''''''''''''
'''''''''Creation of a PFS Engine object'''''''''''''
'''''''''''''''Giving out Group Names''''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''''''''''
Private Sub EnumGroups()
Dim i As Double
Dim myPFS As PfsEngine

Set myPFS = MyWorkspace.ActiveDocument.Pfs
For i = 0 To myPFS.Groups.Count - 1
Debug.Print myPFS.Groups.Item(i).Name
Next i
End Sub

Noch in diesem Kapitel

PfsEngine-Properties

PfsEngine-Methods

PfsEngine-Events


PfsEngine-Properties

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | CountryName |  | available | available | yes | yes
IProject | Parent |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

CountryName


Parent

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


CountryName

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Properties -> CountryName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property contains the value for the selected country. This is important because of the statutory holidays, which change automatically in the calendar, when a different country is selected.

Datatype

CountryName() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


PfsEngine-Methods

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsEvents | Events | - | available | available | yes | yes
IPfsGroups | Groups | - | available | available | yes | yes
IPfsHolidays | Holidays | - | available | available | yes | yes
VARIANT_BOOL | Save | - | available | available | yes | yes
IPfsCalendar | Calendar | Retrieves the object for the pfs calendar | available | available | yes | yes

Noch in diesem Kapitel

Groups

Events

Holidays

Save

Calendar


Groups

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Methods -> Groups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "Groups" object manages the "Group" objects.

Datatype

Groups() As PfsGroups

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Events

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Methods -> Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "Event" Object is a collection of all "Event" objects, which are created from the user.

Datatype

Events() As PfsEvents

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Holidays

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Methods -> Holidays

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

In the "Holidays" object all "Holiday" objects are managed.

Datatype

Holidays() As PfsHolidays

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With the "Save" methode all changes made in the PFS module can be saved.

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Calendar

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Methods -> Calendar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Calendar() As IPfsCalendar

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


PfsEngine-Events

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | AfterUpdate |  | available | available | yes | yes
void | BeforeUpdate |  | available | available | yes | yes
void | OnCreateBreak |  | available | available | yes | yes
void | OnCreateEvent |  | available | available | yes | yes
void | OnCreateGroup |  | available | available | yes | yes
void | OnCreateSchedule |  | available | available | yes | yes
void | OnCreateScheduleTime |  | available | available | yes | yes
void | OnCreateScheduleValue |  | available | available | yes | yes
void | OnCreateShift |  | available | available | yes | yes
void | OnCreateTimeModell |  | available | available | yes | yes
void | OnDeleteBreak |  | available | available | yes | yes
void | OnDeleteEvent |  | available | available | yes | yes
void | OnDeleteGroup |  | available | available | yes | yes
void | OnDeleteSchedule |  | available | available | yes | yes
void | OnDeleteScheduleTime |  | available | available | yes | yes
void | OnDeleteScheduleValue |  | available | available | yes | yes
void | OnDeleteShift |  | available | available | yes | yes
void | OnDeleteTimeModell |  | available | available | yes | yes
void | OnRenameBreak |  | available | available | yes | yes
void | OnRenameEvent |  | available | available | yes | yes
void | OnRenameGroup |  | available | available | yes | yes
void | OnRenameSchedule |  | available | available | yes | yes
void | OnRenameShift |  | available | available | yes | yes
void | OnRenameTimeModell |  | available | available | yes | yes
void | OnSave |  | available | available | yes | yes

Noch in diesem Kapitel

BeforeUpdate

AfterUpdate

OnSave

OnCreateGroup

OnDeleteGroup

OnRenameGroup

OnCreateSchedule

OnDeleteSchedule

OnRenameSchedule

OnCreateTimeModell

OnDeleteTimeModell

OnRenameTimeModell

OnCreateEvent

OnDeleteEvent

OnRenameEvent

OnCreateShift

OnDeleteShift

OnRenameShift

OnCreateBreak

OnDeleteBreak

OnRenameBreak

OnCreateScheduleTime

OnDeleteScheduleTime

OnCreateScheduleValue

OnDeleteScheduleValue


BeforeUpdate

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> BeforeUpdate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, before the Save methode has been excecuted.

Datatype

BeforeUpdate() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AfterUpdate

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> AfterUpdate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, after the Save methode has been excecuted.

Datatype

AfterUpdate() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnSave

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnSave

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the Save methode is excecuted.

Datatype

OnSave() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateGroup

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnCreateGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new group has been created.

Datatype

OnCreateGroup(PfsGroup obNewGroup) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteGroup

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnDeleteGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a group has been deleted.

Datatype

OnDeleteGroup(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameGroup

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnRenameGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the rename methode of a group is excecuted.

Datatype

OnRenameGroup(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateSchedule

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnCreateSchedule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new schedule has been created.

Datatype

OnCreateSchedule(PfsSchedule obNewSchedule) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteSchedule

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnDeleteSchedule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a schedule has been deleted.

Datatype

OnDeleteSchedule(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameSchedule

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnRenameSchedule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the rename methode of a schedule is excecuted.

Datatype

OnRenameSchedule(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateTimeModell

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnCreateTimeModell

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new time model has been created.-ll--?????

Datatype

OnCreateTimeModell(PfsTimeModell obNewModell) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteTimeModell

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnDeleteTimeModell

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a time model has been deleted.

Datatype

OnDeleteTimeModell(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameTimeModell

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnRenameTimeModell

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the rename methode of a time model is excecuted.

Datatype

OnRenameTimeModell(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateEvent

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnCreateEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new event has been created.

Datatype

OnCreateEvent(PfsEvent obNewEvent) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteEvent

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnDeleteEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when an event has been deleted.

Datatype

OnDeleteEvent(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameEvent

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnRenameEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the Rename methode of an event has been excecuted.

Datatype

OnRenameEvent(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateShift

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnCreateShift

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new shift has been created.

Datatype

OnCreateShift(PfsModellShift obNewShift) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteShift

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnDeleteShift

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a shift has been deleted.

Datatype

OnDeleteShift(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameShift

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnRenameShift

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the rename methode of a shift is excecuted.

Datatype

OnRenameShift(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateBreak

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnCreateBreak

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new break has been created.

Datatype

OnCreateBreak(PfsModellBreak obNewBreak) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteBreak

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnDeleteBreak

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a break has been deleted.

Datatype

OnDeleteBreak(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameBreak

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnRenameBreak

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the rename methode of a break is excecuted.

Datatype

OnRenameBreak(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateScheduleTime

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnCreateScheduleTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new schedule time has been created.

Datatype

OnCreateScheduleTime(PfsScheduleTime obNewTime) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteScheduleTime

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnDeleteScheduleTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a schedule time has been deleted.

Datatype

OnDeleteScheduleTime(String strGuid) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateScheduleValue

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnCreateScheduleValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new schedule value has been created.

Datatype

OnCreateScheduleValue(PfsScheduleValue obNewValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteScheduleValue

Manuale -> Scripting -> Objectmodel -> PfsEngine -> PfsEngine-Events -> OnDeleteScheduleValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a schedule value has been deleted.

Datatype

OnDeleteScheduleValue(String strGuid) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsEvent

Manuale -> Scripting -> Objectmodel -> PfsEvent

Remarks

The PFSEvent object is an user defined event, which can be linked to the schedules as relative switching operations.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''''Renaming of an event''''''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''''''''''

Private Sub test()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.Pfs

mypfs.Events.Item(0).Rename ("my event")
Debug.Print mypfs.Events.Item(0).Name

End Sub

Noch in diesem Kapitel

PfsEvent-Properties

PfsEvent-Methods


PfsEvent-Properties

Manuale -> Scripting -> Objectmodel -> PfsEvent -> PfsEvent-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Guid |  | read only | read only | yes | yes
long | ID |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
IPfsEvents | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Name

ID

Guid

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsEvent -> PfsEvent-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsEvents

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> PfsEvent -> PfsEvent-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

is the name of the event

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Scripting -> Objectmodel -> PfsEvent -> PfsEvent-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

is the ID of the event

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuale -> Scripting -> Objectmodel -> PfsEvent -> PfsEvent-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the event which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsEvent -> PfsEvent-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsEvent-Methods

Manuale -> Scripting -> Objectmodel -> PfsEvent -> PfsEvent-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Execute | - | available | available | yes | yes
VARIANT_BOOL | Rename | - | available | available | yes | yes
IPfsSchedules | Schedules | - | available | available | yes | yes
void | SetModify | - | available | available | yes | yes

Noch in diesem Kapitel

SetModify

Schedules

Execute

Rename


SetModify

Manuale -> Scripting -> Objectmodel -> PfsEvent -> PfsEvent-Methods -> SetModify

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can set the modify flag, so that the save option in the context menu of the PFS object is available.

Datatype

SetModify() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Schedules

Manuale -> Scripting -> Objectmodel -> PfsEvent -> PfsEvent-Methods -> Schedules

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the schedule objects.

Datatype

Schedules() As PfsSchedules

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Execute

Manuale -> Scripting -> Objectmodel -> PfsEvent -> PfsEvent-Methods -> Execute

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can manualy excecute an event.

Datatype

Execute() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Rename

Manuale -> Scripting -> Objectmodel -> PfsEvent -> PfsEvent-Methods -> Rename

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can rename the event.

Datatype

Rename(String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsEvents

Manuale -> Scripting -> Objectmodel -> PfsEvents

Remarks

The Events collection contains the user-defined events of the PFS.User-defined events can be linked to the schedules as relative switching operations.When execution the function Execute PFS event for an event, the linked switching operations in the schedule are executed.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''''Reading out Event Names ''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''''''''''

Private Sub test()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.Pfs

Dim i As Double

For i = 0 To mypfs.Events.Count - 1
Debug.Print mypfs.Events.Item(i).Name
Next i

End Sub

Noch in diesem Kapitel

PfsEvents-Properties

PfsEvents-Methods


PfsEvents-Properties

Manuale -> Scripting -> Objectmodel -> PfsEvents -> PfsEvents-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsEngine | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsEvents -> PfsEvents-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsEngine

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> PfsEvents -> PfsEvents-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsEvents -> PfsEvents-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsEvents-Methods

Manuale -> Scripting -> Objectmodel -> PfsEvents -> PfsEvents-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsEvent | CreateEvent | - | available | available | yes | yes
VARIANT_BOOL | DeleteEvent | - | available | available | yes | yes
IPfsEvent | Item | - | available | available | yes | yes
IPfsEvent | ItemByID | - | available | available | yes | yes
IPfsEvent | ItemById | - | available | available | yes | yes

Noch in diesem Kapitel

Item

CreateEvent

DeleteEvent

ItemById


Item

Manuale -> Scripting -> Objectmodel -> PfsEvents -> PfsEvents-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Event from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • Event name: The element can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsEvent

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateEvent

Manuale -> Scripting -> Objectmodel -> PfsEvents -> PfsEvents-Methods -> CreateEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the methode to create a new event.

Datatype

CreateEvent(String bstrName) As PfsEvent

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteEvent

Manuale -> Scripting -> Objectmodel -> PfsEvents -> PfsEvents-Methods -> DeleteEvent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can delete an event.

Datatype

DeleteEvent(VARIANT vNameOrId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemById

Manuale -> Scripting -> Objectmodel -> PfsEvents -> PfsEvents-Methods -> ItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemById(VARIANT vPosition) As IPfsEvent

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


PfsGroup

Manuale -> Scripting -> Objectmodel -> PfsGroup

Remarks

The IPfsGroup object is an object which describes an equipment object in the PFS module.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Giving out all group names''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''''''''''

Private Sub test()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.Pfs

Dim i As Double

For i = 0 To mypfs.Groups.Count - 1
Debug.Print mypfs.Groups.Item(i).Name
Next i

End Sub

Noch in diesem Kapitel

PfsGroup-Properties

PfsGroup-Methods


PfsGroup-Properties

Manuale -> Scripting -> Objectmodel -> PfsGroup -> PfsGroup-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | CycleEnd |  | available | available | yes | yes
long | CycleStart |  | available | available | yes | yes
BSTR | Guid |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
IPfsGroups | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Name

CycleStart

CycleEnd

Guid

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsGroup -> PfsGroup-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsGroups

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> PfsGroup -> PfsGroup-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the name of the group.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


CycleStart

Manuale -> Scripting -> Objectmodel -> PfsGroup -> PfsGroup-Properties -> CycleStart

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the start time of the group in seconds.

Datatype

CycleStart() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


CycleEnd

Manuale -> Scripting -> Objectmodel -> PfsGroup -> PfsGroup-Properties -> CycleEnd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the end time of the group in seconds.

Datatype

CycleEnd() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Guid

Manuale -> Scripting -> Objectmodel -> PfsGroup -> PfsGroup-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the group which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsGroup -> PfsGroup-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsGroup-Methods

Manuale -> Scripting -> Objectmodel -> PfsGroup -> PfsGroup-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Rename | - | available | available | yes | yes
IPfsSchedules | Schedules | - | available | available | yes | yes
void | SetModify | - | available | available | yes | yes
ISystemModelGroup | SystemModelGroupAtIndex | - | available | available | yes | yes
long | SystemModelGroupCount | - | available | available | yes | yes
IPfsTimeModells | TimeModells | - | available | available | yes | yes

Noch in diesem Kapitel

Schedules

TimeModells

SetModify

Rename

SystemModelGroupCount

SystemModelGroupAtIndex


Schedules

Manuale -> Scripting -> Objectmodel -> PfsGroup -> PfsGroup-Methods -> Schedules

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "Schedules" object manages the "Schedule" objects.

Datatype

Schedules() As PfsSchedules

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TimeModells

Manuale -> Scripting -> Objectmodel -> PfsGroup -> PfsGroup-Methods -> TimeModells

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "TimeModels" object manages the "TimeModel" objects.

Datatype

TimeModells() As PfsTimeModells

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetModify

Manuale -> Scripting -> Objectmodel -> PfsGroup -> PfsGroup-Methods -> SetModify

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can set the modify flag, so that the save option in the context menu of the PFS object is available.

Datatype

SetModify() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Rename

Manuale -> Scripting -> Objectmodel -> PfsGroup -> PfsGroup-Methods -> Rename

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can rename the group.

Datatype

Rename(String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SystemModelGroupCount

Manuale -> Scripting -> Objectmodel -> PfsGroup -> PfsGroup-Methods -> SystemModelGroupCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SystemModelGroupCount() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SystemModelGroupAtIndex

Manuale -> Scripting -> Objectmodel -> PfsGroup -> PfsGroup-Methods -> SystemModelGroupAtIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SystemModelGroupAtIndex(long nIndex) As SystemModelGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsGroups

Manuale -> Scripting -> Objectmodel -> PfsGroups

Remarks

The Groups collection contains the groups of the PFS module (in the editor also called "equipments).

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''Test Groups''''''''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''
Private Sub TEST()

Dim myPFS As PfsEngine
Set myPFS = MyWorkspace.ActiveDocument.PFS

Call CreateGroups(myPFS)
Call ReadGroups(myPFS)

Call DeleteGroups(myPFS)
DoEvents

Call ReadGroups(myPFS)

End Sub
''''''''''''''''''''''''''''''''''''''''''''''
''''''''''Creates 5 Test Groups'''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Function CreateGroups(myPFS As PfsEngine)

Dim i As Integer
Dim myString As String

For i = 0 To 4
myString = "testgruppe " & i
myPFS.Groups.CreateGroup (myString)
Next i

Debug.Print "Groups were created!"

End Function
''''''''''''''''''''''''''''''''''''''''''''''
''''''''''Read out all Group names''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Function ReadGroups(myPFS As PfsEngine)

Dim i As Integer

For i = 0 To myPFS.Groups.Count - 1
Debug.Print myPFS.Groups.Item(i).Name
Next i

End Function
''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Delete all Groups''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Function DeleteGroups(myPFS As PfsEngine)

Dim strTMP As String
Dim i As Double

Debug.Print myPFS.Groups.Count & " Groups to delete!"

For i = myPFS.Groups.Count - 1 To 0 Step -1
strTMP = myPFS.Groups.Item(i).Name
Debug.Print "Group deleted! - " & strTMP & " - " & myPFS.Groups.DeleteGroup(strTMP)
Next i

myPFS.Save

End Function

Noch in diesem Kapitel

PfsGroups-Properties

PfsGroups-Methods


PfsGroups-Properties

Manuale -> Scripting -> Objectmodel -> PfsGroups -> PfsGroups-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsEngine | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsGroups -> PfsGroups-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsEngine

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> PfsGroups -> PfsGroups-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsGroups -> PfsGroups-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsGroups-Methods

Manuale -> Scripting -> Objectmodel -> PfsGroups -> PfsGroups-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsGroup | CreateGroup | - | available | available | yes | yes
VARIANT_BOOL | DeleteGroup | - | available | available | yes | yes
IPfsGroup | Item | - | available | available | yes | yes

Noch in diesem Kapitel

Item

CreateGroup

DeleteGroup


Item

Manuale -> Scripting -> Objectmodel -> PfsGroups -> PfsGroups-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the group object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • Group name: The group can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateGroup

Manuale -> Scripting -> Objectmodel -> PfsGroups -> PfsGroups-Methods -> CreateGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you can create a new group.

Datatype

CreateGroup(String bstrName) As PfsGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteGroup

Manuale -> Scripting -> Objectmodel -> PfsGroups -> PfsGroups-Methods -> DeleteGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can delete a group.

Datatype

DeleteGroup(VARIANT vName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsHoliday

Manuale -> Scripting -> Objectmodel -> PfsHoliday

Remarks

The Holiday object contains information on a holiday from the feiertage.txt. This object contains a name and a date for the holiday.On loading the project only the holidays of the current year are acquired.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Noch in diesem Kapitel

PfsHoliday-Properties


PfsHoliday-Properties

Manuale -> Scripting -> Objectmodel -> PfsHoliday -> PfsHoliday-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Date |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
IPfsHolidays | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Name

Date

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsHoliday -> PfsHoliday-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsHolidays

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> PfsHoliday -> PfsHoliday-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique name of the holiday.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Date

Manuale -> Scripting -> Objectmodel -> PfsHoliday -> PfsHoliday-Properties -> Date

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the date of the current holiday.

Datatype

Date() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsHoliday -> PfsHoliday-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsHolidays

Manuale -> Scripting -> Objectmodel -> PfsHolidays

Remarks

The Holidays collection contains all holiday definitions of the defined country for the current year. The holiday definition is saved in the Feiertage.txt.On activating a project these are acquired for the defined country.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''Giving out the Count of Holidays'''''''
''''''''''''''''''''''''''''''''''''''''''''''
Sub holidaytest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.PFS
Dim i As Double

Debug.Print mypfs.Holidays.Count

End Sub

Noch in diesem Kapitel

PfsHolidays-Properties

PfsHolidays-Methods


PfsHolidays-Properties

Manuale -> Scripting -> Objectmodel -> PfsHolidays -> PfsHolidays-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsEngine | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsHolidays -> PfsHolidays-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsEngine

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> PfsHolidays -> PfsHolidays-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsHolidays -> PfsHolidays-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsHolidays-Methods

Manuale -> Scripting -> Objectmodel -> PfsHolidays -> PfsHolidays-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsHoliday | Item | - | available | available | yes | yes

Noch in diesem Kapitel

Item


Item

Manuale -> Scripting -> Objectmodel -> PfsHolidays -> PfsHolidays-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the holiday object from the collection, which is identified by the parameter vPosition.The parameter vPosition is the index of the element you want to get.Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vPosition) As PfsHoliday

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsModellBreak

Manuale -> Scripting -> Objectmodel -> PfsModellBreak

Remarks

The ModellBreak object is a break within a shift in a time model. During the defined period of time the production should be interrupted.The breaks consist of an unique name and an unique period of time.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Noch in diesem Kapitel

PfsModellBreak-Properties

PfsModellBreak-Methods


PfsModellBreak-Properties

Manuale -> Scripting -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | EndTime |  | available | available | yes | yes
BSTR | Guid |  | read only | read only | yes | yes
BSTR | KeyNote |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
BSTR | Notes |  | read only | read only | yes | yes
IPfsModellBreaks | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes
DATE | StartTime |  | available | available | yes | yes

Noch in diesem Kapitel

Parent

Name

StartTime

EndTime

Notes

KeyNote

Guid

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsModellBreaks

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the name of the break.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


StartTime

Manuale -> Scripting -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Properties -> StartTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the start time of the break.

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


EndTime

Manuale -> Scripting -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Properties -> EndTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the end time of the break.

Datatype

EndTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Notes

Manuale -> Scripting -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Properties -> Notes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Notes can be added and read out, this property contains the notes to a selected break.

Datatype

Notes() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


KeyNote

Manuale -> Scripting -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Properties -> KeyNote

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Keynote returns the name of one or more main objects and of the current object sepperated with a dot. For instance "shift1.break1" is the keynote of the break1 which is an element of the shift1.

Datatype

KeyNote() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuale -> Scripting -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the group which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsModellBreak-Methods

Manuale -> Scripting -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Rename | - | available | available | yes | yes

Noch in diesem Kapitel

Rename


Rename

Manuale -> Scripting -> Objectmodel -> PfsModellBreak -> PfsModellBreak-Methods -> Rename

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you can rename a break.

Datatype

Rename(String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsModellBreaks

Manuale -> Scripting -> Objectmodel -> PfsModellBreaks

Remarks

The ModellBreaks collection allows the access to the breaks of a shift. The breaks are the production-free times in a shift.The breaks consist of a unique name and a unique period of time.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Creating some breaks'''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Sub holidaytest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.PFS
Dim mystring As String
Dim i As Double

For i = 0 To 5

mystring = "testbreak" & i

mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.Item(0).Breaks.CreateBreak (mystring)
Debug.Print mystring & " was created!"

Next i

End Sub

Noch in diesem Kapitel

PfsModellBreaks-Properties

PfsModellBreaks-Methods


PfsModellBreaks-Properties

Manuale -> Scripting -> Objectmodel -> PfsModellBreaks -> PfsModellBreaks-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsModellShift | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsModellBreaks -> PfsModellBreaks-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsModellShift

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> PfsModellBreaks -> PfsModellBreaks-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsModellBreaks -> PfsModellBreaks-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsModellBreaks-Methods

Manuale -> Scripting -> Objectmodel -> PfsModellBreaks -> PfsModellBreaks-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsModellBreak | CreateBreak | - | available | available | yes | yes
VARIANT_BOOL | DeleteBreak | - | available | available | yes | yes
IPfsModellBreak | Item | - | available | available | yes | yes

Noch in diesem Kapitel

Item

CreateBreak

DeleteBreak


Item

Manuale -> Scripting -> Objectmodel -> PfsModellBreaks -> PfsModellBreaks-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ModelBreak object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • ModelBreak name: The ModelBreak can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsModellBreak

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateBreak

Manuale -> Scripting -> Objectmodel -> PfsModellBreaks -> PfsModellBreaks-Methods -> CreateBreak

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new break in the current shift and returns it.

Datatype

CreateBreak(LPCTSTR lpszName) As PfsModellBreak

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteBreak

Manuale -> Scripting -> Objectmodel -> PfsModellBreaks -> PfsModellBreaks-Methods -> DeleteBreak

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the defined break from the current shift.

Datatype

DeleteBreak(VARIANT vNameOrId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsModellShift

Manuale -> Scripting -> Objectmodel -> PfsModellShift

Remarks

The ModellShift object is a shift in a time model.Each shift consists of an unique name and a period of time (from/to). This period of time is the active production cycle.The defined period of time must be unique, i.e. you cannot define more than one shift for the same time.Each shift can contain any number of breaks, that interrupt the production cycle.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Creating, Reading out''''''''''''
''''''''''and Deletion of some shifts'''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub shifttest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.PFS

'''''''Creation''''''''
Dim i As Double
Dim mystring As String
Debug.Print "--Creation:"

For i = 0 To 5
mystring = "testshift " & i
mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.CreateShift (mystring)
Debug.Print mystring & " was created!"
Next i

mypfs.Save

''''Reading Out''''''
Dim o As Double
Debug.Print "--Reading Out:"

For o = 0 To mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.Count - 1
Debug.Print mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.Item(o).Name
Next o

''''''Deletion''''''''
Dim f As Double
Debug.Print "--Deletion:"

For f = mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.Count - 1 To f = 1 Step -1
mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.DeleteShift (f)
Debug.Print "shift " & f; " was deleted!"
Next f

End Sub

Noch in diesem Kapitel

PfsModellShift-Properties

PfsModellShift-Methods


PfsModellShift-Properties

Manuale -> Scripting -> Objectmodel -> PfsModellShift -> PfsModellShift-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | EndTime |  | available | available | yes | yes
BSTR | Guid |  | read only | read only | yes | yes
BSTR | KeyNote |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
BSTR | Notes |  | read only | read only | yes | yes
IPfsModellShifts | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes
DATE | StartTime |  | available | available | yes | yes

Noch in diesem Kapitel

Parent

Name

StartTime

EndTime

Notes

KeyNote

Guid

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsModellShift -> PfsModellShift-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsModellShifts

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> PfsModellShift -> PfsModellShift-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the name of the shift.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


StartTime

Manuale -> Scripting -> Objectmodel -> PfsModellShift -> PfsModellShift-Properties -> StartTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the start time of the shift.

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


EndTime

Manuale -> Scripting -> Objectmodel -> PfsModellShift -> PfsModellShift-Properties -> EndTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the end time of the shift.

Datatype

EndTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Notes

Manuale -> Scripting -> Objectmodel -> PfsModellShift -> PfsModellShift-Properties -> Notes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Notes can be added and read out, this property contains the notes to a selected shift.

Datatype

Notes() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


KeyNote

Manuale -> Scripting -> Objectmodel -> PfsModellShift -> PfsModellShift-Properties -> KeyNote

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Keynote returns the name of one or more main objects and of the current object sepperated with a dot. For instance "group1.timemodel1.shift1" is the keynote of the break1 which is an element of the shift1.

Datatype

KeyNote() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuale -> Scripting -> Objectmodel -> PfsModellShift -> PfsModellShift-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the ModelShift which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsModellShift -> PfsModellShift-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsModellShift-Methods

Manuale -> Scripting -> Objectmodel -> PfsModellShift -> PfsModellShift-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsModellBreaks | Breaks | - | available | available | yes | yes
VARIANT_BOOL | Rename | - | available | available | yes | yes

Noch in diesem Kapitel

Breaks

Rename


Breaks

Manuale -> Scripting -> Objectmodel -> PfsModellShift -> PfsModellShift-Methods -> Breaks

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The "Breaks" object manages the "Break" objects.

Datatype

Breaks() As PfsModellBreaks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Rename

Manuale -> Scripting -> Objectmodel -> PfsModellShift -> PfsModellShift-Methods -> Rename

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a shift can be renamed.

Datatype

Rename(String bstrName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsModellShifts

Manuale -> Scripting -> Objectmodel -> PfsModellShifts

Remarks

The ModellShifts collection allows the access to the shifts of a time model. The single shifts consist of a number and a period of time (from/to), when the shift is active.Any number of breaks can be defined for each shift. The breaks interrupt the production and are inactive states.The period of time of a shift has to be unique, i.e. it is not possible to define a shift within a shift.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''Reading out Count of shifts''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub shifttest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.Pfs
Debug.Print mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.Count

End Sub

Noch in diesem Kapitel

PfsModellShifts-Properties

PfsModellShifts-Methods


PfsModellShifts-Properties

Manuale -> Scripting -> Objectmodel -> PfsModellShifts -> PfsModellShifts-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsTimeModell | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsModellShifts -> PfsModellShifts-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsTimeModell

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> PfsModellShifts -> PfsModellShifts-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsModellShifts -> PfsModellShifts-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the current project reference.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsModellShifts-Methods

Manuale -> Scripting -> Objectmodel -> PfsModellShifts -> PfsModellShifts-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsModellShift | CreateShift | - | available | available | yes | yes
VARIANT_BOOL | DeleteShift | - | available | available | yes | yes
IPfsModellShift | Item | - | available | available | yes | yes

Noch in diesem Kapitel

Item

CreateShift

DeleteShift


Item

Manuale -> Scripting -> Objectmodel -> PfsModellShifts -> PfsModellShifts-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the linked shift on the defined position or with the unique name.

Datatype

Item(VARIANT vNameOrPos) As PfsModellShift

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateShift

Manuale -> Scripting -> Objectmodel -> PfsModellShifts -> PfsModellShifts-Methods -> CreateShift

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new shift.

Datatype

CreateShift(String bstrName) As PfsModellShift

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteShift

Manuale -> Scripting -> Objectmodel -> PfsModellShifts -> PfsModellShifts-Methods -> DeleteShift

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the defined shift.

Datatype

DeleteShift(VARIANT vNameOrId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsSchedule

Manuale -> Scripting -> Objectmodel -> PfsSchedule

Remarks

In a schedule object you can create absolute and relativ times and link them with switching points, so that a funktion is excecuted or a the value of a variable can be changed.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Creation, Reading out''''''''''''
'''''''''''and Deletion of schedules''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub shifttest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.PFS
Dim mystring As String

''''''Creation''''''''
Dim i As Double
Debug.Print "---Creation:"

For i = 0 To 5
mystring = "schedule" & i
mypfs.Groups.Item(0).Schedules.CreateSchedule (mystring)
Debug.Print mystring & " was created!"
Next i

''''''Reading out'''''
Dim f As Double
Debug.Print "---Reading Out:"

For f = 0 To mypfs.Groups.Item(0).Schedules.Count - 1
Debug.Print mypfs.Groups.Item(0).Schedules.Item(f).Name
Debug.Print mypfs.Groups.Item(0).Schedules.Item(f).GUID
Debug.Print mystring & " was created!"
Next f

''''''Deletion'''''
Dim t As Double
Debug.Print "---Deletion:"

For t = mypfs.Groups.Item(0).Schedules.Count - 1 To 1 Step -1
mystring = mypfs.Groups.Item(0).Schedules.Item(t).Name
mypfs.Groups.Item(0).Schedules.DeleteSchedule (t)
Debug.Print mystring & " was deleted!"
Next t

End Sub

Noch in diesem Kapitel

PfsSchedule-Properties

PfsSchedule-Methods


PfsSchedule-Properties

Manuale -> Scripting -> Objectmodel -> PfsSchedule -> PfsSchedule-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active |  | available | available | yes | yes
BSTR | Guid |  | read only | read only | yes | yes
BSTR | KeyNote |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
IPfsSchedules | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes
VARIANT_BOOL | Structure |  | available | available | yes | yes

Noch in diesem Kapitel

Parent

Name

Structure

Active

KeyNote

Guid

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsSchedule -> PfsSchedule-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsSchedules

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> PfsSchedule -> PfsSchedule-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the name of the schedule.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Structure

Manuale -> Scripting -> Objectmodel -> PfsSchedule -> PfsSchedule-Properties -> Structure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Structure property is true if the schedule is marked as "structured schedule".

Datatype

Structure() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Active

Manuale -> Scripting -> Objectmodel -> PfsSchedule -> PfsSchedule-Properties -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this property the schedule can be activated or deactivated.

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


KeyNote

Manuale -> Scripting -> Objectmodel -> PfsSchedule -> PfsSchedule-Properties -> KeyNote

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Keynote returns the name of one or more main objects and of the current object sepperated with a dot. For instance "group1.schedule1" is the keynote of the schedule1.

Datatype

KeyNote() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuale -> Scripting -> Objectmodel -> PfsSchedule -> PfsSchedule-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the Schedule which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsSchedule -> PfsSchedule-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsSchedule-Methods

Manuale -> Scripting -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddToDay | - | available | available | yes | yes
IPfsScheduleDays | ExecutionDays | - | available | available | yes | yes
VARIANT_BOOL | IsDefaultDay | - | available | available | yes | yes
tpPfsDayLink | IsOnDay | - | available | available | yes | yes
VARIANT_BOOL | RemoveFromDay | - | available | available | yes | yes
VARIANT_BOOL | Rename | - | available | available | yes | yes
IPfsScheduleLinks | ScheduleLinks | - | available | available | yes | yes
IPfsSchedules | Schedules | - | available | available | yes | yes
IPfsScheduleTimes | ScheduleTimes | - | available | available | yes | yes
void | SetDefaultDay | - | available | available | yes | yes
IPfsScheduleDays | SkippedDays | - | available | available | yes | yes

Noch in diesem Kapitel

Schedules

ScheduleTimes

ScheduleLinks

ExecutionDays

SkippedDays

IsOnDay

AddToDay

RemoveFromDay

IsDefaultDay

SetDefaultDay

Rename


Schedules

Manuale -> Scripting -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> Schedules

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A Schedule can also be a container for other schedules, with the "Schedules" collection you can access the sub schedules of a schedule.

Datatype

Schedules() As PfsSchedules

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ScheduleTimes

Manuale -> Scripting -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> ScheduleTimes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This object manages the schedule times of the schedule.

Datatype

ScheduleTimes() As PfsScheduleTimes

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ScheduleLinks

Manuale -> Scripting -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> ScheduleLinks

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collecton manages the functions and variables which are linked to the schedule.

Datatype

ScheduleLinks() As PfsScheduleLinks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ExecutionDays

Manuale -> Scripting -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> ExecutionDays

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This Collection contains all days where a schedule is linked but not as default.

Datatype

ExecutionDays() As PfsScheduleDays

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SkippedDays

Manuale -> Scripting -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> SkippedDays

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Manages the days which are manualy linked to a schedule for some specific dates as skipped days.

Datatype

SkippedDays() As PfsScheduleDays

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsOnDay

Manuale -> Scripting -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> IsOnDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can check with which link type the schedule is linked on a specific date. The methode returns a tpPFSDayLink.

Datatype

IsOnDay(DATE vDay) As tpPfsDayLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AddToDay

Manuale -> Scripting -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> AddToDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a schedule can be linked to a day. As parameters you have to give the methode the date and the type of the link.

Datatype

AddToDay(DATE vDay, tpPfsDayLink sType) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoveFromDay

Manuale -> Scripting -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> RemoveFromDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a schedule can be removed from a specific date.

Datatype

RemoveFromDay(DATE vDate, [optional] VARIANT bDayOnly) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

#region VSTA generated code (DO NOT MODIFY THIS REGION!)

private void InternalStartup()

{

//(DO NOT modify this event handler!)

this.Startup += new System.EventHandler(MyWorkspace_Startup);

this.Shutdown += new System.EventHandler(MyWorkspace_Shutdown);

}

#endregion

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDefaultDay

Manuale -> Scripting -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> IsDefaultDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can check if a schedule is linked as default schedule to a daytype. For instance IsDefaultDay(tppfsMonday) would be true if the schedule is linked to all mondays, instead it would be false.

Datatype

IsDefaultDay(tpPfsDefaultDays sDayOfWeek) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetDefaultDay

Manuale -> Scripting -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> SetDefaultDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can link a schedule as default to a day type.

Datatype

SetDefaultDay(tpPfsDefaultDays sDayOfWeek) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Rename

Manuale -> Scripting -> Objectmodel -> PfsSchedule -> PfsSchedule-Methods -> Rename

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can rename a schedule.

Datatype

Rename(String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleDay

Manuale -> Scripting -> Objectmodel -> PfsScheduleDay

Remarks

A Schedule day object is a specific date on which a schedule is excecuted or not.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Reading out all Dates''''''''''''
'''''''of the ExecutionDays of a Schedule'''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub test23()

Dim pfs As PfsEngine
Dim i As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs

''''''Giving out the Count of all Execution Days
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Count

For i = 0 To pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Count - 1
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Item(i).Date
Next i

End Sub

Noch in diesem Kapitel

PfsScheduleDay-Properties


PfsScheduleDay-Properties

Manuale -> Scripting -> Objectmodel -> PfsScheduleDay -> PfsScheduleDay-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Date |  | read only | read only | yes | yes
IPfsSchedule | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes
short | Type |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Date

Type

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsScheduleDay -> PfsScheduleDay-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsSchedule

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Date

Manuale -> Scripting -> Objectmodel -> PfsScheduleDay -> PfsScheduleDay-Properties -> Date

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Date of the Schedule Day.

Datatype

Date() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Scripting -> Objectmodel -> PfsScheduleDay -> PfsScheduleDay-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the type of the schedule day. Can contain the following values:

  • tpPfsExecute = 0x30,
  • tpPfsSkip = 0x31,
  • tpPfsDefaultDay = 0x32,
  • tpPfsDefaultHDay = 0x33,
  • tpPfsUnused = 0x34,

Datatype

Type() As short

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsScheduleDay -> PfsScheduleDay-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleDays

Manuale -> Scripting -> Objectmodel -> PfsScheduleDays

Remarks

The ScheduleDay collection contains a date, on which the schedule should be executed or not.With the Type property you can find out, if the schadule should be executed or not on the given day.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Reading out all Dates''''''''''''
'''''''of the ExecutionDays of a Schedule'''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub test23()

Dim pfs As PfsEngine
Dim i As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs

''''''Giving out the Count of all Execution Days
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Count

For i = 0 To pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Count - 1
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Item(i).Date
Next i

End Sub

Noch in diesem Kapitel

PfsScheduleDays-Properties

PfsScheduleDays-Methods


PfsScheduleDays-Properties

Manuale -> Scripting -> Objectmodel -> PfsScheduleDays -> PfsScheduleDays-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsSchedule | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsScheduleDays -> PfsScheduleDays-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsSchedule

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> PfsScheduleDays -> PfsScheduleDays-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsScheduleDays -> PfsScheduleDays-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleDays-Methods

Manuale -> Scripting -> Objectmodel -> PfsScheduleDays -> PfsScheduleDays-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleDay | Item | - | available | available | yes | yes

Noch in diesem Kapitel

Item


Item

Manuale -> Scripting -> Objectmodel -> PfsScheduleDays -> PfsScheduleDays-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ScheduleDay object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • ScheduleDay name: The ScheduleDay can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsScheduleDay

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleLink

Manuale -> Scripting -> Objectmodel -> PfsScheduleLink

Remarks

The ScheduleLink object is a link to the variable/function. Depending on the Type property you can access the linked variable/function with the methods ItemVariable resp. ItemRtFunction.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''
''''''''Giving out all Names, function-''''''
'''''''or variable names of a schedule'''''''
'''''''''''''''''''''''''''''''''''''''''''''
Private Sub test()

Dim pfs As PfsEngine
Dim i As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs
Dim mytype As Integer

Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Count - 1

For i = 0 To pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Count - 1
mytype = pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).Type
Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).Type
Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).Name
Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).GUID

If mytype = 32 Or mytype = 34 Then
Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).Variable.Driver.Name
Else
Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).RtFunction.Name
End If

Next i
End Sub

Noch in diesem Kapitel

PfsScheduleLink-Properties

PfsScheduleLink-Methods


PfsScheduleLink-Properties

Manuale -> Scripting -> Objectmodel -> PfsScheduleLink -> PfsScheduleLink-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Guid |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
IPfsScheduleLinks | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes
tpPfsLinkTypes | Type |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Name

Type

Guid

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsScheduleLink -> PfsScheduleLink-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsScheduleLinks

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> PfsScheduleLink -> PfsScheduleLink-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the name of the ScheduleLink.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Scripting -> Objectmodel -> PfsScheduleLink -> PfsScheduleLink-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpPfsLinkTypes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuale -> Scripting -> Objectmodel -> PfsScheduleLink -> PfsScheduleLink-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the ScheduleLink which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsScheduleLink -> PfsScheduleLink-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleLink-Methods

Manuale -> Scripting -> Objectmodel -> PfsScheduleLink -> PfsScheduleLink-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRtFunction | RtFunction | - | read only | read only | yes | yes
IVariable | Variable | - | read only | read only | yes | yes

Noch in diesem Kapitel

RtFunction

Variable


RtFunction

Manuale -> Scripting -> Objectmodel -> PfsScheduleLink -> PfsScheduleLink-Methods -> RtFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the function which is linked to the switching point. Is just available if the Type of the Link is correctly set.

Datatype

RtFunction() As RtFunction

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Variable

Manuale -> Scripting -> Objectmodel -> PfsScheduleLink -> PfsScheduleLink-Methods -> Variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the variable which is linked to the switching point. Is just available if the Type of the Link is correctly set.

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleLinks

Manuale -> Scripting -> Objectmodel -> PfsScheduleLinks

Remarks

The "IPfsScheduleLinks" object manages the collection of the "IPfsScheduleLink" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub PFS_Sample()
Dim i As Integer
Dim zPFS As PfsEngine
Dim zPFS_GRP As PfsGroup
Dim zPFS_SCD As PfsSchedule
Dim zPFS_SCL As PfsScheduleLink
Dim zFCT As RtFunction
Dim zVAR As Variable

'get PFS Engine
Set zPFS = MyWorkspace.ActiveDocument.Pfs
'get 1st found group
Set zPFS_GRP = zPFS.Groups.Item(0)
'get 1st found schedule
Set zPFS_SCD = zPFS_GRP.Schedules.Item(0)
'get count of ScheduleLinks
Debug.Print "ScheduleLinks: " & zPFS_SCD.ScheduleLinks.Count
'create new FunctionLink
Set zFCT = MyWorkspace.ActiveDocument.RtFunctions.Item("myFunction")
Set zPFS_SCL = zPFS_SCD.ScheduleLinks.CreateFktLink(zFCT)
Debug.Print zPFS_SCL.Name
'create new VariableLink
Set zVAR = MyWorkspace.ActiveDocument.Variables.Item("myVAR")
Set zPFS_SCL = zPFS_SCD.ScheduleLinks.CreateVarLink(zVAR)
Debug.Print zPFS_SCL.Name
'enumerate ScheduleLinks
For i = 0 To zPFS_SCD.ScheduleLinks.Count - 1
Set zPFS_SCL = zPFS_SCD.ScheduleLinks.Item(i)
Debug.Print "Nr." & i & ": " & zPFS_SCL.Name & " [" & zPFS_SCL.Type & "]"
Next i
Set zPFS_SCL = Nothing
'delete ScheduleLinks
zPFS_SCD.ScheduleLinks.DeleteVarLink ("MyVAR")
'save changes
zPFS.Save
End Sub

Noch in diesem Kapitel

PfsScheduleLinks-Properties

PfsScheduleLinks-Methods


PfsScheduleLinks-Properties

Manuale -> Scripting -> Objectmodel -> PfsScheduleLinks -> PfsScheduleLinks-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsSchedule | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsScheduleLinks -> PfsScheduleLinks-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsSchedule

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> PfsScheduleLinks -> PfsScheduleLinks-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsScheduleLinks -> PfsScheduleLinks-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleLinks-Methods

Manuale -> Scripting -> Objectmodel -> PfsScheduleLinks -> PfsScheduleLinks-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleLink | CreateFktLink | - | available | available | yes | yes
IPfsScheduleLink | CreateVarLink | - | available | available | yes | yes
VARIANT_BOOL | DeleteFktLink | - | available | available | yes | yes
VARIANT_BOOL | DeleteVarLink | - | available | available | yes | yes
IPfsScheduleLink | Item | - | available | available | yes | yes

Noch in diesem Kapitel

Item

CreateVarLink

CreateFktLink

DeleteVarLink

DeleteFktLink


Item

Manuale -> Scripting -> Objectmodel -> PfsScheduleLinks -> PfsScheduleLinks-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ScheduleLink object at the specified position.

Datatype

Item(VARIANT vPosition) As PfsScheduleLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateVarLink

Manuale -> Scripting -> Objectmodel -> PfsScheduleLinks -> PfsScheduleLinks-Methods -> CreateVarLink

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can create a new variable link.

Datatype

CreateVarLink(IVariable pVariable) As PfsScheduleLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateFktLink

Manuale -> Scripting -> Objectmodel -> PfsScheduleLinks -> PfsScheduleLinks-Methods -> CreateFktLink

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can create a new function link.

Datatype

CreateFktLink(IRtFunction pFunction) As PfsScheduleLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteVarLink

Manuale -> Scripting -> Objectmodel -> PfsScheduleLinks -> PfsScheduleLinks-Methods -> DeleteVarLink

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a variable link can be deleted.

Datatype

DeleteVarLink(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteFktLink

Manuale -> Scripting -> Objectmodel -> PfsScheduleLinks -> PfsScheduleLinks-Methods -> DeleteFktLink

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a function link can be deleted.

Datatype

DeleteFktLink(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsSchedules

Manuale -> Scripting -> Objectmodel -> PfsSchedules

Remarks

The Schedules collection contains the existing schedules of an equipment or a parent schedule. The single schedules contain the execution times and a pool of links, e.g. variables/functions. The times are linked to any number of switching points, that execute switching operations.With the Item method combined with the Count property you can iterate through the existing schedules.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
''''''''Reading out Count of schedules''''''''
''''''Creating and Deleting of Schedules''''''
''''''''''''''''''''''''''''''''''''''''''''''

Private Sub shifttest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.pfs

Debug.Print mypfs.Groups.Item(0).Schedules.Count

mypfs.Groups.Item(0).Schedules.CreateSchedule ("myschedule1")
mypfs.Groups.Item(0).Schedules.CreateSchedule ("myschedule2")
mypfs.Groups.Item(0).Schedules.CreateSchedule ("myschedule3")

Debug.Print mypfs.Groups.Item(0).Schedules.Count

mypfs.Groups.Item(0).Schedules.DeleteSchedule ("myschedule1")
mypfs.Groups.Item(0).Schedules.DeleteSchedule ("myschedule2")
mypfs.Groups.Item(0).Schedules.DeleteSchedule ("myschedule3")

Debug.Print mypfs.Groups.Item(0).Schedules.Count

End Sub

Noch in diesem Kapitel

PfsSchedules-Properties

PfsSchedules-Methods


PfsSchedules-Properties

Manuale -> Scripting -> Objectmodel -> PfsSchedules -> PfsSchedules-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsGroup | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsSchedules -> PfsSchedules-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsGroup

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> PfsSchedules -> PfsSchedules-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsSchedules -> PfsSchedules-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsSchedules-Methods

Manuale -> Scripting -> Objectmodel -> PfsSchedules -> PfsSchedules-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsSchedule | CreateSchedule | - | available | available | yes | yes
VARIANT_BOOL | DeleteSchedule | - | available | available | yes | yes
IPfsSchedule | Item | - | available | available | yes | yes
IPfsSchedule | DuplicateSchedule |  | available | available | yes | yes

Noch in diesem Kapitel

Item

CreateSchedule

DeleteSchedule

DuplicateSchedule


Item

Manuale -> Scripting -> Objectmodel -> PfsSchedules -> PfsSchedules-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Schedule object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • Schedule name: The Schedule can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsSchedule

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateSchedule

Manuale -> Scripting -> Objectmodel -> PfsSchedules -> PfsSchedules-Methods -> CreateSchedule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can create a new Schedule.

Datatype

CreateSchedule(String bstrName) As PfsSchedule

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteSchedule

Manuale -> Scripting -> Objectmodel -> PfsSchedules -> PfsSchedules-Methods -> DeleteSchedule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can delete a Schedule.

Datatype

DeleteSchedule(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DuplicateSchedule

Manuale -> Scripting -> Objectmodel -> PfsSchedules -> PfsSchedules-Methods -> DuplicateSchedule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method will copy the schedule identified by bstrFullSourceName into the PfsSchedules collection. It will return a pointer to the newly created PfsSchedule.

Note: The name of the copy will be made unique the same way as over the GUI.

bstrFullSourceName: Name with all parent names of a PfsSchedule. May be found in the PfsSchedule.KeyNote Property

bCopyChildSchedules: If true, all Child Schedules of the Source Schedule will be copied as well. If false, the source Schedule will be copied without any children.

Datatype

DuplicateSchedule(BSTR bstrFullSourceName, BOOL bCopyChildSchedules) As IPfsSchedule

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_DuplicateSchedule()

{

// Get the Schedule we want to copy

var sourceSchedule = this.Pfs().Groups().Item("someGroupName").Schedules().Item("theScheduleIWantToCopy");

// Get the Collection into which we want to paste the new copy

var targetSchedules = this.Pfs().Groups().Item("theGroupIWantToCopyTheScheduleInto").Schedules();

// Create a Copy

var newSchedule = targetSchedules.DuplicateSchedule(sourceSchedule.KeyNote, 1);

this.Pfs().Save();

// Inspect the result

System.Windows.Forms.MessageBox.Show("newObject: " + newSchedule.KeyNote);

}

VB.NET

VBA

Public Sub SimpleDuplicate()

'Get the Schedule we want to copy

Dim sourceSchedule As PfsSchedule

Set sourceSchedule = thisProject.pfs.Groups.Item("someGroupName").schedules.Item("theScheduleIWantToCopy")

'Get the Collection into which we want to paste the new copy

Dim targetSchedules As PfsSchedules

Set targetSchedules = thisProject.pfs.Groups.Item("theGroupIWantToCopyTheScheduleInto").schedules

'Create a Copy

Set newSchedule = targetSchedules.DuplicateSchedule(sourceSchedule.KeyNote, True)

thisProject.pfs.save

'Inspect the result

Debug.Print "newObject: " + newSchedule.KeyNote

End Sub


PfsScheduleTime

Manuale -> Scripting -> Objectmodel -> PfsScheduleTime

Remarks

Schedule Times are the entries in a schedule which can contain switching points for functions or variables.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
''''''''Reading out Types and times of '''''''
''''''''''''''''all Schedule Times''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub mytest1()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.pfs
Dim i As Integer

For i = 0 To mypfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Count - 1

Debug.Print mypfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).Type
Debug.Print mypfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).Time
Next i

End Sub

Public Sub TestMacro_UserEvent()

Dim pfsTime As PfsScheduleTime

Dim pfsEvent As pfsEvent

Set pfsTime = thisProject.Pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0)

Set pfsEvent = thisProject.Pfs.Events.Item(0)

pfsTime.UserEventId = pfsEvent.ID

thisProject.Pfs.Save

End Sub

Public Sub TestMacro_PredefniedEvent()

Dim pfsTime As PfsScheduleTime

Dim pfsEvent As pfsEvent

Set pfsTime = thisProject.Pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0)

pfsTime.EventId = tpPfsShiftStart

thisProject.Pfs.Save

End Sub

Noch in diesem Kapitel

PfsScheduleTime-Properties

PfsScheduleTime-Methods


PfsScheduleTime-Properties

Manuale -> Scripting -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpPfsEventTypes | EventId |  | not used | not used | yes | yes
BSTR | Guid |  | read only | read only | yes | yes
double | Offset |  | available | available | yes | yes
IPfsScheduleTimes | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes
DATE | Time |  | available | available | yes | yes
tpPfsTimeTypes | Type |  | available | available | yes | yes
long | UserEventId |  | not used | not used | yes | yes

Noch in diesem Kapitel

Parent

Time

Type

EventId

Offset

UserEventId

Guid

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsScheduleTimes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Time

Manuale -> Scripting -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Time which is set to the Schedule Time.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Type

Manuale -> Scripting -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpPfsTimeTypes

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


EventId

Manuale -> Scripting -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Properties -> EventId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Adds a pre-defined event to a relative switch point.

Datatype

EventId() As tpPfsEventTypes

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


Offset

Manuale -> Scripting -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Properties -> Offset

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the deviation of the set time.

Datatype

Offset() As double

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


UserEventId

Manuale -> Scripting -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Properties -> UserEventId

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Adds a user defined event to a relative switch point.

Datatype

UserEventId() As long

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


Guid

Manuale -> Scripting -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the ScheduleLink which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleTime-Methods

Manuale -> Scripting -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsEvent | Event | - | not used | not used | yes | yes
IPfsScheduleValues | ScheduleValues | - | available | available | yes | yes

Noch in diesem Kapitel

ScheduleValues

Event


ScheduleValues

Manuale -> Scripting -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Methods -> ScheduleValues

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains all linked values of the schedule time.

Datatype

ScheduleValues() As PfsScheduleValues

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Event

Manuale -> Scripting -> Objectmodel -> PfsScheduleTime -> PfsScheduleTime-Methods -> Event

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

[MISSING DESCRIPTION]

Datatype

Event() As PfsEvent

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleTimes

Manuale -> Scripting -> Objectmodel -> PfsScheduleTimes

Remarks

The ScheduleTimes collection contains the times of the schedule. As the times of a schedule are inherited to its children, this list contains all times of the schedule itself and all the times of parent schedules.Several switching operations can be executed at any time! With the Item method combined with the Count property you can iterate through the existing times.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
''''''''''Creating and Deletion of 5''''''''''
'''''''''''''''Schedule Times'''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub test()

Dim pfs As PfsEngine
Dim i As Integer
Dim g As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs
Dim mytime As tpPfsTimeTypes

mytime = tpPfsRelativeTime
g = pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Count
Debug.Print g

Debug.Print "-------Creation-------"

For i = 0 To 4
Debug.Print g
pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.CreateTime (mytime)
pfs.Save
g = pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Count
Next i

Debug.Print "-------Deletion-------"

For i = g - 1 To 0 Step -1
pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.DeleteTime (i)
pfs.Save
g = pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Count
Debug.Print g
Next i

End Sub

Noch in diesem Kapitel

PfsScheduleTimes-Properties

PfsScheduleTimes-Methods


PfsScheduleTimes-Properties

Manuale -> Scripting -> Objectmodel -> PfsScheduleTimes -> PfsScheduleTimes-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsSchedule | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsScheduleTimes -> PfsScheduleTimes-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsSchedule

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> PfsScheduleTimes -> PfsScheduleTimes-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsScheduleTimes -> PfsScheduleTimes-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleTimes-Methods

Manuale -> Scripting -> Objectmodel -> PfsScheduleTimes -> PfsScheduleTimes-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleTime | CreateTime | - | available | available | yes | yes
VARIANT_BOOL | DeleteTime | - | available | available | yes | yes
IPfsScheduleTime | Item | - | available | available | yes | yes

Noch in diesem Kapitel

Item

CreateTime

DeleteTime


Item

Manuale -> Scripting -> Objectmodel -> PfsScheduleTimes -> PfsScheduleTimes-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ScheduleTime object from the collection, which is identified by the parameter vPosition.The parameter vPosition is the index of the element you want to get.Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vPosition) As PfsScheduleTime

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateTime

Manuale -> Scripting -> Objectmodel -> PfsScheduleTimes -> PfsScheduleTimes-Methods -> CreateTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can create a new ScheduleTime.

Datatype

CreateTime(tpPfsTimeTypes tpTimeType) As PfsScheduleTime

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteTime

Manuale -> Scripting -> Objectmodel -> PfsScheduleTimes -> PfsScheduleTimes-Methods -> DeleteTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can delete a ScheduleTime.

Datatype

DeleteTime(long lIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleValue

Manuale -> Scripting -> Objectmodel -> PfsScheduleValue

Remarks

A ScheduleValue is a subelement of a ScheduleTime. One ScheduleTime can have many ScheduleValues. For Instance: An absolute ScheduleTime is configured at 12:00am. If you want to change the value of three variables and excecute two functions at 12:00am you need to add five ScheduleValues.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''Reading out Count, Value'''''''''''
''''''''''Active Status and type of'''''''''''
'''''''''''''''Schedule Values''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub test()

Dim pfs As PfsEngine
Dim i As Integer
Dim g As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs

Debug.Print "------>Count:"
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Count

For i = 0 To pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Count - 1
Debug.Print "--->Item " & i & ": "
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Item(i).value
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Item(i).Active
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Item(i).Type
Next i
End Sub

Noch in diesem Kapitel

PfsScheduleValue-Properties

PfsScheduleValue-Methods


PfsScheduleValue-Properties

Manuale -> Scripting -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active |  | available | available | yes | yes
BSTR | Guid |  | available | available | yes | yes
IPfsScheduleValues | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes
tpPfsLinkTypes | Type |  | read only | read only | yes | yes
VARIANT | Value |  | available | available | yes | yes
short | PasswordLevel |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Active

Type

Value

Guid

Session

PasswordLevel


Parent

Manuale -> Scripting -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsScheduleValues

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Active

Manuale -> Scripting -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Properties -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property gives you the possibility to activate or deactivate single ScheduleValues.

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Type

Manuale -> Scripting -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpPfsLinkTypes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Value

Manuale -> Scripting -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Properties -> Value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Value which is written to a variable when the ScheduleValue is executed.

Datatype

Value() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Guid

Manuale -> Scripting -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the ScheduleValue which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PasswordLevel

Manuale -> Scripting -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Properties -> PasswordLevel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

PasswordLevel() As short

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleValue-Methods

Manuale -> Scripting -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleLink | GetScheduleLink | - | available | available | yes | yes
IPfsScheduleLink | ScheduleLink | For internal use only | available | available | yes | yes
VARIANT_BOOL | SetScheduleLink | - | available | available | yes | yes

Noch in diesem Kapitel

ScheduleLink

GetScheduleLink

SetScheduleLink


ScheduleLink

Manuale -> Scripting -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Methods -> ScheduleLink

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

-

Datatype

ScheduleLink() As PfsScheduleLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetScheduleLink

Manuale -> Scripting -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Methods -> GetScheduleLink

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This methode returns the ScheduleLink object of the ScheduleValue.

Datatype

GetScheduleLink() As PfsScheduleLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetScheduleLink

Manuale -> Scripting -> Objectmodel -> PfsScheduleValue -> PfsScheduleValue-Methods -> SetScheduleLink

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can manually set the ScheduleLink.

Datatype

SetScheduleLink(IPfsScheduleLink pLink) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleValues

Manuale -> Scripting -> Objectmodel -> PfsScheduleValues

Remarks

The ScheduleValues collection contains the switching points of a schedule. A switching point is linked to a point of time, a variable/function and a value or VBA macro.The execution of the switching point is defined with a status (in-/active). The linked point of time can also be taken from a parent schedule.With this Item method combined with the Count property you can iterate through the switching points of a schedule.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''Creation and Deletion''''''''''''''
'''''''''''of 5 Schedule Values''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub test()
Dim pfs As PfsEngine
Dim i As Integer
Dim g As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs

Dim mytype As tpPfsLinkTypes
mytype = tpPfsFunction

Debug.Print "---->Creation:"
For i = 0 To 4
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Count
pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.CreateValue (mytype)
Next i

Debug.Print "---->Deletion:"
For i = pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Count - 1 To 0 Step -1
pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.DeleteValue (i)
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Count
Next i
End Sub

Noch in diesem Kapitel

PfsScheduleValues-Properties

PfsScheduleValues-Methods


PfsScheduleValues-Properties

Manuale -> Scripting -> Objectmodel -> PfsScheduleValues -> PfsScheduleValues-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsScheduleTime | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsScheduleValues -> PfsScheduleValues-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As IPfsScheduleTime

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> PfsScheduleValues -> PfsScheduleValues-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsScheduleValues -> PfsScheduleValues-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleValues-Methods

Manuale -> Scripting -> Objectmodel -> PfsScheduleValues -> PfsScheduleValues-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleValue | CreateValue | - | available | available | yes | yes
VARIANT_BOOL | DeleteValue | - | available | available | yes | yes
IPfsScheduleValue | Item | - | available | available | yes | yes

Noch in diesem Kapitel

Item

CreateValue

DeleteValue


Item

Manuale -> Scripting -> Objectmodel -> PfsScheduleValues -> PfsScheduleValues-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ScheduleValue object from the collection, which is identified by the parameter vPosition.The parameter vPosition is the index of the element you want to get.Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vPosition) As PfsScheduleValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateValue

Manuale -> Scripting -> Objectmodel -> PfsScheduleValues -> PfsScheduleValues-Methods -> CreateValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can create new Schedule Values at a specific ScheduleTime.

Datatype

CreateValue(tpPfsLinkTypes tpLinkType) As PfsScheduleValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteValue

Manuale -> Scripting -> Objectmodel -> PfsScheduleValues -> PfsScheduleValues-Methods -> DeleteValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can delete a ScheduleValue.

Datatype

DeleteValue(long lIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsSwitchingPoint

Manuale -> Scripting -> Objectmodel -> PfsSwitchingPoint

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_SwitchingPointPreview()

{

// create a switching point filter

var filter = Pfs().Calendar().CreateSwitchingPointFilter();

// configure the filter

filter.StartTime = System.DateTime.Now;

filter.EndTime = System.DateTime.Now + new System.TimeSpan(7, 0, 0, 0);

filter.TimeModelGroup = "z*";

filter.Schedule = "N*";

filter.Variable = "*";

filter.Function = "*";

filter.SearchData = zenOn.tpPfsData.tpPfsStoredData;

// get the preview for the configuration

string output = "";

object[] switchtingPoints = (object[])filter.SwitchingPointPreview();

foreach (object switchingPoint in switchtingPoints)

{

zenOn.IPfsSwitchingPoint p = (zenOn.IPfsSwitchingPoint)switchingPoint;

output = output + "Active: " + p.Active.ToString();

output = output + " TimeModelGroup: " + p.ScheduleValue.Parent.Parent.Parent.Parent.Parent.Parent.Name;

output = output + " Schedule: " + p.ScheduleValue.Parent.Parent.Parent.Parent.KeyNote;

output = output + " ExecTime: " + p.ExecutionTime.ToString();

output = output + " LinkedType: " + p.ScheduleValue.Type.ToString();

output = output + " LinkedObject: " + p.ScheduleValue.GetScheduleLink().Name;

if (p.ScheduleValue.Value != null)

{

output = output + " SetValue: " + p.ScheduleValue.Value.ToString();

}

output = output + " PasswordLevel: " + p.ScheduleValue.PasswordLevel.ToString();

output = output + " TriggerType: " + p.ScheduleValue.Parent.Parent.Type.ToString();

output = output + " EventId: " + p.ScheduleValue.Parent.Parent.EventId.ToString();

output = output + "\n\n";

}

// show output

System.Windows.Forms.MessageBox.Show(output);

}

VB.NET

VBA

Public Sub Preview()

'create a switching point filter

Dim filter As PfsSwitchingPointFilter

Set filter = thisProject.Pfs.Calendar.CreateSwitchingPointFilter

'configure the filter

filter.StartTime = Now

filter.EndTime = Now + 7

filter.TimeModelGroup = "z*"

filter.Schedule = "N*"

filter.Variable = "*"

filter.Function = "*"

filter.SearchData = tpPfsStoredData

'get the preview for the filter configuration

Dim points() As PfsSwitchingPoint

points = filter.SwitchingPointPreview

'build an output message

Dim output As String

Dim idx As Integer

For idx = 0 To UBound(points)

output = output & "Active: " & CStr(points(idx).Active)

output = output & " TimeModelGroup: " & points(idx).ScheduleValue.Parent.Parent.Parent.Parent.Parent.Parent.Name

output = output & " Schedule: " & points(idx).ScheduleValue.Parent.Parent.Parent.Parent.KeyNote

output = output & " ExecTime: " & CStr(points(idx).ExecutionTime)

output = output & " LinkedType: " & CStr(points(idx).ScheduleValue.Type)

output = output & " LinkedObject: " & CStr(points(idx).ScheduleValue.GetScheduleLink.Name)

output = output & " SetValue: " & CStr(points(idx).ScheduleValue.value)

output = output & " PasswordLevel: " & CStr(points(idx).ScheduleValue.PasswordLevel)

output = output & " TriggerType: " & CStr(points(idx).ScheduleValue.Parent.Parent.Type)

output = output & " EventId: " & CStr(points(idx).ScheduleValue.Parent.Parent.EventId)

output = output & vbNewLine & vbNewLine

Next idx

'show the output

MsgBox output

End Sub

Noch in diesem Kapitel

PfsSwitchingPoint-Properties


PfsSwitchingPoint-Properties

Manuale -> Scripting -> Objectmodel -> PfsSwitchingPoint -> PfsSwitchingPoint-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleValue | ScheduleValue | Schedule value to be executed at the execution time | available | available | yes | yes
Date | ExecutionTime | Time on which the schedule value is executed | available | available | yes | yes
VARIANT_BOOL | Active | If the switching point is to be executed | available | available | yes | yes

Noch in diesem Kapitel

ScheduleValue

ExecutionTime

Active


ScheduleValue

Manuale -> Scripting -> Objectmodel -> PfsSwitchingPoint -> PfsSwitchingPoint-Properties -> ScheduleValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

short PasswordLevel.

Datatype

ScheduleValue() As IPfsScheduleValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


ExecutionTime

Manuale -> Scripting -> Objectmodel -> PfsSwitchingPoint -> PfsSwitchingPoint-Properties -> ExecutionTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Time when this particular switching point is executed.

Datatype

ExecutionTime() As Date

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Active

Manuale -> Scripting -> Objectmodel -> PfsSwitchingPoint -> PfsSwitchingPoint-Properties -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

true, when the switching point is Active and will be executed.

Datatype

Active() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


PfsSwitchingPointFilter

Manuale -> Scripting -> Objectmodel -> PfsSwitchingPointFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The object that is used to get a filtered subset of the switching points that are to be executed in a defined timeframe. To use this class first define the filteroptions in the properties of the object, and then call the SwitchingPointPreview() method to get the results for your current filter as an array. Note that the objects in this array are only allowed to be used while the IPfsSwitchingPointFilter object is still alive or until the next call of SwitchingPointPreview().

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

PfsSwitchingPointFilter-Properties

PfsSwitchingPointFilter-Methods


PfsSwitchingPointFilter-Properties

Manuale -> Scripting -> Objectmodel -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | TimeModelGroup | Filter string for the names of the time model groups that are to be searched | available | available | yes | yes
BSTR | Schedule | Filter string for the names of the schedules that are to be searched | available | available | yes | yes
BSTR | Variable | Filter string for the names of variables that are set by the schedule values | available | available | yes | yes
BSTR | Function | Filter string for the names of the functions that are triggered by the schedule values | available | available | yes | yes
tpPfsData | SearchData | Data that is to be searched. The locally edited version or the stored one | available | available | yes | yes
DATE | StartTime | Start of the time frame in which we search | available | available | yes | yes
DATE | EndTime | End of the timeframe in which we search | available | available | yes | yes

Noch in diesem Kapitel

TimeModelGroup

Schedule

Variable

Function

SearchData

StartTime

EndTime


TimeModelGroup

Manuale -> Scripting -> Objectmodel -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> TimeModelGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Filter string for the names of the time model groups that are to be considered.text.

Datatype

TimeModelGroup() As BSTR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Schedule

Manuale -> Scripting -> Objectmodel -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> Schedule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Filter string for the names of the schedules that are to be considered.

Datatype

Schedule() As BSTR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Variable

Manuale -> Scripting -> Objectmodel -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> Variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Filter string for the names of the variables that will be set by the switching point.

Datatype

Variable() As BSTR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Function

Manuale -> Scripting -> Objectmodel -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> Function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Filter string for the names of the functions that are to be executed by the switching point.

Datatype

Function() As BSTR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SearchData

Manuale -> Scripting -> Objectmodel -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> SearchData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

use tpPfsStoredData to only check the saved configuration or tpPfsEditData to consider the unsaved changes as well.

Datatype

SearchData() As tpPfsData

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


StartTime

Manuale -> Scripting -> Objectmodel -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> StartTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Start time of your filter timeframe.

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


EndTime

Manuale -> Scripting -> Objectmodel -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Properties -> EndTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

End time of your filter timeframe.

Datatype

EndTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


PfsSwitchingPointFilter-Methods

Manuale -> Scripting -> Objectmodel -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | SwitchingPointPreview | Returns an array of switching points that match the filter | available | available | yes | yes

Noch in diesem Kapitel

SwitchingPointPreview


SwitchingPointPreview

Manuale -> Scripting -> Objectmodel -> PfsSwitchingPointFilter -> PfsSwitchingPointFilter-Methods -> SwitchingPointPreview

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an array of switching points that match the filtering set in its properties. Note that the objects in this array are only valid until you next call SwitchingPointPreview() or the IPfsSwitchingPointFilter is destroyed.

Datatype

SwitchingPointPreview() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SwitchingPointPreview()

{

// create a switching point filter

var filter = Pfs().Calendar().CreateSwitchingPointFilter();

// configure the filter

filter.StartTime = System.DateTime.Now;

filter.EndTime = System.DateTime.Now + new System.TimeSpan(7, 0, 0, 0);

filter.TimeModelGroup = "z*";

filter.Schedule = "N*";

filter.Variable = "*";

filter.Function = "*";

filter.SearchData = zenOn.tpPfsData.tpPfsStoredData;

// get the preview for the configuration

string output = "";

object[] switchtingPoints = (object[])filter.SwitchingPointPreview();

foreach (object switchingPoint in switchtingPoints)

{

zenOn.IPfsSwitchingPoint p = (zenOn.IPfsSwitchingPoint)switchingPoint;

output = output + "Active: " + p.Active.ToString();

output = output + " TimeModelGroup: " + p.ScheduleValue.Parent.Parent.Parent.Parent.Parent.Parent.Name;

output = output + " Schedule: " + p.ScheduleValue.Parent.Parent.Parent.Parent.KeyNote;

output = output + " ExecTime: " + p.ExecutionTime.ToString();

output = output + " LinkedType: " + p.ScheduleValue.Type.ToString();

output = output + " LinkedObject: " + p.ScheduleValue.GetScheduleLink().Name;

if (p.ScheduleValue.Value != null)

{

output = output + " SetValue: " + p.ScheduleValue.Value.ToString();

}

output = output + " PasswordLevel: " + p.ScheduleValue.PasswordLevel.ToString();

output = output + " TriggerType: " + p.ScheduleValue.Parent.Parent.Type.ToString();

output = output + " EventId: " + p.ScheduleValue.Parent.Parent.EventId.ToString();

output = output + "\n\n";

}

// show output

System.Windows.Forms.MessageBox.Show(output);

}

VB.NET

VBA

Public Sub Preview()

'create a switching point filter

Dim filter As PfsSwitchingPointFilter

Set filter = thisProject.Pfs.Calendar.CreateSwitchingPointFilter

'configure the filter

filter.StartTime = Now

filter.EndTime = Now + 7

filter.TimeModelGroup = "z*"

filter.Schedule = "N*"

filter.Variable = "*"

filter.Function = "*"

filter.SearchData = tpPfsStoredData

'get the preview for the filter configuration

Dim points() As PfsSwitchingPoint

points = filter.SwitchingPointPreview

'build an output message

Dim output As String

Dim idx As Integer

For idx = 0 To UBound(points)

output = output & "Active: " & CStr(points(idx).Active)

output = output & " TimeModelGroup: " & points(idx).ScheduleValue.Parent.Parent.Parent.Parent.Parent.Parent.Name

output = output & " Schedule: " & points(idx).ScheduleValue.Parent.Parent.Parent.Parent.KeyNote

output = output & " ExecTime: " & CStr(points(idx).ExecutionTime)

output = output & " LinkedType: " & CStr(points(idx).ScheduleValue.Type)

output = output & " LinkedObject: " & CStr(points(idx).ScheduleValue.GetScheduleLink.Name)

output = output & " SetValue: " & CStr(points(idx).ScheduleValue.value)

output = output & " PasswordLevel: " & CStr(points(idx).ScheduleValue.PasswordLevel)

output = output & " TriggerType: " & CStr(points(idx).ScheduleValue.Parent.Parent.Type)

output = output & " EventId: " & CStr(points(idx).ScheduleValue.Parent.Parent.EventId)

output = output & vbNewLine & vbNewLine

Next idx

'show the output

MsgBox output

End Sub


PfsTimeModell

Manuale -> Scripting -> Objectmodel -> PfsTimeModell

Remarks

A TimeModell contains shifts and breaks and defines the operating time of an equipment.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub PFS_Sample()
Dim i As Integer
Dim zPFS As PfsEngine
Dim zPFS_GRP As PfsGroup
Dim zPFS_TML As PfsTimeModell
'get PFS Engine
Set zPFS = MyWorkspace.ActiveDocument.Pfs
'get 1st found group
Set zPFS_GRP = zPFS.Groups.Item(0)
'get count of TimeModels
Debug.Print "TimeModels: " & zPFS_GRP.TimeModells.Count
'enumerate TimeModels
For i = 0 To zPFS_GRP.TimeModells.Count - 1
Set zPFS_TML = zPFS_GRP.TimeModells.Item(i)
Debug.Print "Nr." & i & ": " & zPFS_TML.Name
'check actual day...
Select Case zPFS_TML.IsOnDay(Now)
Case tpPfsDefaultDay
Debug.Print " tpPfsDefaultDay"
Case tpPfsDefaultHDay
Debug.Print " tpPfsDefaultHDay"
Case tpPfsExecute
Debug.Print " tpPfsExecute"
Case tpPfsSkip
Debug.Print " tpPfsSkip"
Case tpPfsUnused
Debug.Print " tpPfsUnused"
End Select
Next i
End Sub

Noch in diesem Kapitel

PfsTimeModell-Properties

PfsTimeModell-Methods


PfsTimeModell-Properties

Manuale -> Scripting -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Guid |  | read only | read only | yes | yes
BSTR | KeyNote |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
IPfsTimeModells | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Name

KeyNote

Guid

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsTimeModells

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the name of the Time Model.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


KeyNote

Manuale -> Scripting -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Properties -> KeyNote

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Keynote returns the path from the equipment to the TimeModell seperated with dots.. For instance "group1.timemodel1" is the keynote of the timemodel1.

Datatype

KeyNote() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuale -> Scripting -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is the Guid of the TimeMoedel which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsTimeModell-Methods

Manuale -> Scripting -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddToDay | - | available | available | yes | yes
tpPfsDayLink | IsDefaultDay | - | available | available | yes | yes
tpPfsDayLink | IsOnDay | - | available | available | yes | yes
VARIANT_BOOL | RemoveFromDay | - | not used | not used | yes | yes
VARIANT_BOOL | Rename | - | available | available | yes | yes
void | SetDefaultDay | - | not used | not used | yes | yes
IPfsModellShifts | Shifts | - | available | available | yes | yes

Noch in diesem Kapitel

Shifts

IsOnDay

AddToDay

RemoveFromDay

IsDefaultDay

SetDefaultDay

Rename


Shifts

Manuale -> Scripting -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Methods -> Shifts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This collection contains the shifts of the time model.

Datatype

Shifts() As PfsModellShifts

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsOnDay

Manuale -> Scripting -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Methods -> IsOnDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can check how a time model is linked to a day.

The methode returns a tpPfsDayLink.

Datatype

IsOnDay(DATE vDate) As tpPfsDayLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

vDate As Date

This parameter is of type Date like 'Now' or 'CDate("24.11.2007")'.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AddToDay

Manuale -> Scripting -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Methods -> AddToDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a TimeModel can be linked to a Day. As parameters you have to hand over the Date of the day and a Boolean, which defines if the Schedule should be linked to all types of this day or just to this Date.

Datatype

AddToDay(DATE vDay, tpPfsDayLink sType) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoveFromDay

Manuale -> Scripting -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Methods -> RemoveFromDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

[MISSING DESCRIPTION]

Datatype

RemoveFromDay(DATE vDay) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDefaultDay

Manuale -> Scripting -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Methods -> IsDefaultDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can check the tpPfsDefaultDays.

Datatype

IsDefaultDay(tpPfsDefaultDays sDayOfWeek) As tpPfsDayLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

sDayOfWeek As tpPfsDefaultDays

see tpPfsDefaultDays

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetDefaultDay

Manuale -> Scripting -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Methods -> SetDefaultDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

[MISSING DESCRIPTION]

Datatype

SetDefaultDay(tpPfsDefaultDays nDayOfWeek) As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Rename

Manuale -> Scripting -> Objectmodel -> PfsTimeModell -> PfsTimeModell-Methods -> Rename

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode a Time Model can be renamed.

Datatype

Rename(String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsTimeModells

Manuale -> Scripting -> Objectmodel -> PfsTimeModells

Remarks

The TimeModells collection contains the existing time models of a PFS equipment. The time models contain the shift/break times of an equipment. Any number of time models can exist in an equipment.Time models have to be unique within an equipment.With the Item method you can access a time model. With the Item method combined with the Count property you can iterate through the existing models.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub PFS_Sample()
Dim i As Integer
Dim zPFS As PfsEngine
Dim zPFS_GRP As PfsGroup
Dim zPFS_TML As PfsTimeModell
'get PFS Engine
Set zPFS = MyWorkspace.ActiveDocument.Pfs
'get 1st found group
Set zPFS_GRP = zPFS.Groups.Item(0)
'get count of TimeModels
Debug.Print "TimeModels: " & zPFS_GRP.TimeModells.Count
'create new TimeModel
Set zPFS_TML = zPFS_GRP.TimeModells.CreateModell("Temporary")
'enumerate TimeModels
For i = 0 To zPFS_GRP.TimeModells.Count - 1
Set zPFS_TML = zPFS_GRP.TimeModells.Item(i)
Debug.Print "Nr." & i & ": " & zPFS_TML.Name
Next i
Set zPFS_TML = Nothing
'delete TimeModel
zPFS_GRP.TimeModells.DeleteModell ("Temporary")
'save changes
zPFS.Save
End Sub

Noch in diesem Kapitel

PfsTimeModells-Properties

PfsTimeModells-Methods


PfsTimeModells-Properties

Manuale -> Scripting -> Objectmodel -> PfsTimeModells -> PfsTimeModells-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IPfsGroup | Parent |  | read only | read only | yes | yes
IProject | Session |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count

Session


Parent

Manuale -> Scripting -> Objectmodel -> PfsTimeModells -> PfsTimeModells-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsGroup

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> PfsTimeModells -> PfsTimeModells-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuale -> Scripting -> Objectmodel -> PfsTimeModells -> PfsTimeModells-Properties -> Session

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsTimeModells-Methods

Manuale -> Scripting -> Objectmodel -> PfsTimeModells -> PfsTimeModells-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsTimeModell | CreateModell | - | available | available | yes | yes
VARIANT_BOOL | DeleteModell | - | available | available | yes | yes
IPfsTimeModell | Item | - | available | available | yes | yes

Noch in diesem Kapitel

Item

CreateModell

DeleteModell


Item

Manuale -> Scripting -> Objectmodel -> PfsTimeModells -> PfsTimeModells-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the TimeModel object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.
  • ModelBreak name: The TimeModel can also be accessed with its unique name.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsTimeModell

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateModell

Manuale -> Scripting -> Objectmodel -> PfsTimeModells -> PfsTimeModells-Methods -> CreateModell

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can create a Time Model.

Datatype

CreateModell(String bstrName) As PfsTimeModell

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteModell

Manuale -> Scripting -> Objectmodel -> PfsTimeModells -> PfsTimeModells-Methods -> DeleteModell

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this methode you can delete a Time Model.

Datatype

DeleteModell(VARIANT vName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PictureFilter

Manuale -> Scripting -> Objectmodel -> PictureFilter

Remarks

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub ShowAlarms()
Dim zPicCEL As DynPicture
Dim zPicFilter As PictureFilter
Dim zFctAML As RtFunction

'Name of the CEL Screen
Const strCELPicture As String = "EVENTS"
'Name of the PictureSwitch Funktion to open the AML Screen
Const strAMLFunction As String = "picALARM"

'get CEL Screen objects
Set zPicCEL = thisProject.DynPictures.Item(strCELPicture)
'get AML function object
Set zFctAML = thisProject.RtFunctions.Item(strAMLFunction)

'check if Screen and Function exists
If Not zPicCEL Is Nothing And Not zFctAML Is Nothing Then
'if picture is not opened, then exit...
If zPicCEL.Online = False Then Exit Sub

'get actual PictureFilter
Set zPicFilter = zPicCEL.PictureFilter

'change Filter Settings in 'Picture Switch' function...
zFctAML.DynProperties("PictFilter.TimeFilter.ARVTime1") = zPicFilter.DynProperties("TimeFilter.ARVTime1")
zFctAML.DynProperties("PictFilter.TimeFilter.ARVTime2") = zPicFilter.DynProperties("TimeFilter.ARVTime2")
'execute function
zFctAML.Start
End If
End Sub

Noch in diesem Kapitel

PictureFilter-Methods


PictureFilter-Methods

Manuale -> Scripting -> Objectmodel -> PictureFilter -> PictureFilter-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | read only | read only | yes | yes
void | DynProperties [PUT] | - | not used | available | yes | yes
VARIANT | DynProperties [GET] | - | not used | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> PictureFilter -> PictureFilter-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> PictureFilter -> PictureFilter-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> PictureFilter -> PictureFilter-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> PictureFilter -> PictureFilter-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


CreateDynProperty

Manuale -> Scripting -> Objectmodel -> PictureFilter -> PictureFilter-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Project

Manuale -> Scripting -> Objectmodel -> Project

Remarks

The object Project is the most central VBA object, as it contains the single modules, as e.g. variables, drivers, ....The single objects of Project can be found in the collection Projects of the object Application. This way is needed for external applications, that are written e.g. in VB or VC++ and access the COM interface of the control system.In Visual Basic for Applications (VBA) the current project always is available via thisProject. The validity in ths case is restricted to the current project. If you need to access a project from within another project, then you have to get the appropriate project from the central collection Projects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub ProjectExample()

'Return the name of the actual project
MsgBox "Name of the actual project = " & thisProject.Name
'Return the SQL path of the project
MsgBox "Project path = " & thisProject.Path
'Return the unique GUID of the project
MsgBox "GUID of the project = " & thisProject.DynProperties("GUID")
'Return the number of pictures in the project
MsgBox "Number of pictures = " & thisProject.DynPictures.Count
'Return the number of variables in the project
MsgBox "Number of variables = " & thisProject.Variables.Count
'Return the number of templates in the project
MsgBox "Number of templates = " & thisProject.Templates.Count
'Return the number of functions in the project
MsgBox "Number of functions = " & thisProject.RtFunctions.Count

End Sub

Noch in diesem Kapitel

Project-Properties

Project-Methods

Project-Events


Project-Properties

Manuale -> Scripting -> Objectmodel -> Project -> Project-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IFontLists | FontLists | Returns the FontList object. |  | available | not used | yes | yes
BSTR | Guid | Returns the unique Project guid(Read Only). |  | read only | read only | yes | yes
VARIANT_BOOL | IsGlobal |  |  | read only | read only | yes | yes
VARIANT_BOOL | IsNet |  |  | available | read only | yes | yes
ILanguageTable | LanguageTable | Returns the Language Table |  | available | not used | yes | yes
IMessageControl | MessageControl | Returns the MessageControl object. |  | available | not used | yes | yes
BSTR | Name |  |  | read only | read only | yes | yes
tpProjectNetTypes | NetType |  |  | not used | read only | yes | yes
IProjects | Parent |  |  | read only | read only | yes | yes
BSTR | Path |  |  | read only | read only | yes | yes
IRemoteTransport | RemoteTransport | Returns the remote transport object. |  | available | not used | yes | yes
long | ScreenHeight | Sets the height of the screen (Editor Only). |  | available | not used | yes | yes
long | ScreenWidth | Sets the width of the screen (Editor Only). |  | available | not used | yes | yes
ISymbols | Symbols | Returns the Symbols object. |  | read only | not used | yes | yes
IUnits | Units | Returns the Units object. |  | available | not used | yes | yes
IShiftManagement | ShiftManagement | The shift management object |  | not used | available | yes | yes
IScheduler | Scheduler | The scheduler object | available |  | available | yes |  | yes
ITextListManager | TextListManager | Returns the TextListManager object | not used |  | available | yes |  | yes

Noch in diesem Kapitel

Parent

Name

Guid

Path

IsNet

IsGlobal

NetType

ScreenWidth

ScreenHeight

Symbols

Units

RemoteTransport

FontLists

MessageControl

LanguageTable

ShiftManagement

Scheduler

TextListManager


Parent

Manuale -> Scripting -> Objectmodel -> Project -> Project-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Projects

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> Project -> Project-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the project. The project name has to be unique within a workspace. Otherwise it cannot be loaded in the Editor.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuale -> Scripting -> Objectmodel -> Project -> Project-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Path

Manuale -> Scripting -> Objectmodel -> Project -> Project-Properties -> Path

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the path of the project.

Datatype

Path() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsNet

Manuale -> Scripting -> Objectmodel -> Project -> Project-Properties -> IsNet

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if the project is a network project and false if its not.

Datatype

IsNet() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


IsGlobal

Manuale -> Scripting -> Objectmodel -> Project -> Project-Properties -> IsGlobal

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if it is a global project and false if its not.

Datatype

IsGlobal() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


NetType

Manuale -> Scripting -> Objectmodel -> Project -> Project-Properties -> NetType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

NetType() As tpProjectNetTypes

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ScreenWidth

Manuale -> Scripting -> Objectmodel -> Project -> Project-Properties -> ScreenWidth

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the resolution (width) of the project.

Datatype

ScreenWidth() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ScreenHeight

Manuale -> Scripting -> Objectmodel -> Project -> Project-Properties -> ScreenHeight

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the resolution (height) of the project.

Datatype

ScreenHeight() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Symbols

Manuale -> Scripting -> Objectmodel -> Project -> Project-Properties -> Symbols

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Symbols() As Symbols

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Units

Manuale -> Scripting -> Objectmodel -> Project -> Project-Properties -> Units

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Units() As Units

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


RemoteTransport

Manuale -> Scripting -> Objectmodel -> Project -> Project-Properties -> RemoteTransport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RemoteTransport() As RemoteTransport

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


FontLists

Manuale -> Scripting -> Objectmodel -> Project -> Project-Properties -> FontLists

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

FontLists() As FontLists

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


MessageControl

Manuale -> Scripting -> Objectmodel -> Project -> Project-Properties -> MessageControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MessageControl() As MessageControl

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


LanguageTable

Manuale -> Scripting -> Objectmodel -> Project -> Project-Properties -> LanguageTable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LanguageTable() As LanguageTable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ShiftManagement

Manuale -> Scripting -> Objectmodel -> Project -> Project-Properties -> ShiftManagement

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ShiftManagement() As IShiftManagement

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Scheduler

Manuale -> Scripting -> Objectmodel -> Project -> Project-Properties -> Scheduler

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Scheduler() As IScheduler

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


TextListManager

Manuale -> Scripting -> Objectmodel -> Project -> Project-Properties -> TextListManager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TextListManager() As ITextListManager

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Project-Methods

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IAlarm | Alarm | - |  | not used | available | yes | yes
IALCEngine | ALCEngine | - |  | available | available | yes | yes
IArchives | Archives | - |  | not used | available | yes | yes
IArchivesED | ArchivesED | - |  | available | not used | yes | yes
VARIANT_BOOL | Build | - |  | available | not used | yes | yes
ICel | Cel | - |  | not used | available | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IColorPalettes | ColorPalettes | Return the ColorPalettes object. |  | available | not used | yes | yes
VARIANT_BOOL | CreateDynProperty | - |  | available | not used | yes | yes
void | Decompile | - |  | available | not used | yes | yes
IDrivers | Drivers | - |  | available | available | yes | yes
IDynPictures | DynPictures | - |  | available | available | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
IFileManager | FileManager | - |  | available | available | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
IInterlockings | Interlockings | Returns the Interlockings object. |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
void | ModulePath [PUT] | - |  | available | not used | yes | yes
BSTR | ModulePath [GET] | - |  | available | not used | yes | yes
VARIANT_BOOL | NetSend | By use of this methode, VBA-Data can be send to another System |  | not used | available | yes | yes
IOnlineVariables | OnlineVariables | - |  | not used | available | yes | yes
VARIANT_BOOL | ParentProject | Sets the parent project of the current project. |  | available | not used | yes | yes
IPasswords | Passwords | - |  | available | available | yes | yes
IPfsEngine | Pfs | - |  | available | available | yes | yes
IRecipes | Recipes | - |  | available | available | yes | yes
void | Reload | - |  | not used | available | yes | yes
IRemas | Remas | - |  | available | available | yes | yes
VARIANT_BOOL | ReplaceLinks | Replaces project links to 'bsSource' with 'bsTarget'. |  | not used | available | yes | yes
IRGMRecipeGroups | RGMGroups | - |  | available | available | yes | yes
IRtFunctions | RtFunctions | - |  | available | available | yes | yes
ISapFunctions | SapFunctions | - |  | not used | available | yes | yes
IScripts | Scripts | - |  | available | read only | yes | yes
VARIANT_BOOL | SetUserPropertyStrings | With this methode the Strings for the UserProperties (Rema and Limits) can be set |  | available | not used | yes | yes
BSTR | String | - |  | not used | available | yes | yes
ISystemModelManager | SystemModelManager | Return the SystemModelManager object. |  | available | not used | yes | yes
ITasks | Tasks | - |  | available | available | yes | yes
ITemplates | Templates | - |  | available | available | yes | yes
ITimeFunctions | TimeFunctions | - |  | available | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IVarAssignments | VarAssignments | - |  | available | available | yes | yes
IVariables | Variables | - |  | available | available | yes | yes
IVarTypes | VarTypes | - |  | available | available | yes | yes
IZenMenus | ZenMenus | - |  | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
IBatchManager | BatchManager | Returns the BatchManager object |  | not used | read only | yes | yes
void | Reload | - |  | not used | available | yes | yes
void | Reload | - |  | not used | available | yes | yes
IScripts | Scripts | - |  | available | read only | yes | yes
void | Reload | - |  | not used | available | yes | yes
IScripts | Scripts | - |  | available | read only | yes | yes
IScripts | Scripts | - |  | available | read only | yes | yes
void | Reload |  |  | not used | available | yes | yes
IRtFunctions | RtFunctions |  |  | available | available | yes | yes
ITemplates | Templates |  |  | available | available | yes | yes
BSTR | String |  |  | not used | available | yes | yes
IRemas | Remas |  |  | available | available | yes | yes
ITasks | Tasks |  |  | available | available | yes | yes
IScripts | Scripts |  |  | available | read only | yes | yes
IRGMRecipeGroups | RGMGroups |  |  | available | available | yes | yes
VARIANT_BOOL | SetUserPropertyStrings | With this methode the Strings for the UserProperties (Rema and Limits) can be set |  | available | not used | yes | yes
VARIANT_BOOL | ReplaceLinks | Replaces project links to 'bsSource' with 'bsTarget'. |  | not used | available | yes | yes
ISystemModelManager | SystemModelManager | Return the SystemModelManager object. |  | available | not used | yes | yes
ISapFunctions | SapFunctions |  |  | not used | available | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty

Reload

ModulePath [GET]

ModulePath [PUT]

Drivers

Variables

OnlineVariables

RtFunctions

Templates

DynPictures

Passwords

String

Alarm

Cel

Remas

Pfs

Archives

Tasks

VarTypes

Scripts

ZenMenus

TimeFunctions

VarAssignments

Recipes

RGMGroups

ArchivesED

FileManager

Build

Decompile

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent

ALCEngine

NetSend

SetUserPropertyStrings

Interlockings

ParentProject

ReplaceLinks

SystemModelManager

ColorPalettes

SapFunctions

BatchManager


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


CreateDynProperty

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

New Items like AlarmClasses can be created.

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

DynProperty as String to be created.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Create/Change 3 AlarmClasses...
Sub CreateAlarmClasses()
Dim zPRJ As Project
Dim i As Integer
Dim bResult As Boolean

Set zPRJ = MyWorkspace.ActiveDocument
For i = 1 To 3
'check if AlarmClass exists
If CInt(zPRJ.DynProperties("AlarmClasses[-1]")) < i Then
'Create new AlarmClass
bResult = zPRJ.CreateDynProperty("AlarmClasses")
If bResult Then
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Name") = "Class_" & i
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Color") = RGB(120 + ((i - 1) * 63), 0, 0)
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Description") = "created by VBA"
End If
Else
'change existing classes
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Name") = "Class_" & i
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Color") = RGB(120 + ((i - 1) * 63), 0, 0)
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Description") = "created by VBA"
End If
Next i
End Sub


Reload

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> Reload

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Reload(VARIANT_BOOL bMody) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ModulePath [GET]

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> ModulePath [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ModulePath(tpModulePaths lModule) As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ModulePath [PUT]

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> ModulePath [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ModulePath (tpModulePaths lModule, String szNewValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Drivers

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> Drivers

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the VBA object for the driver administration. In the driver administration all defined drivers are available. The single driver objects offer important information, e.g. status, driver name, ...

Datatype

Drivers() As Drivers

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Variables

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> Variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the variables list. The single variables contain on the one hand most of their defined properties, e.g. signal resolution, limits, name, .... and on the other hand Runtime data, e.g. current value, status, ...

Datatype

Variables() As Variables

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnlineVariables

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> OnlineVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the VBA object for the online variables administration. The online variables enable a very performant access on changed variables values. With this object you can create an online variable dynamically and link it with a control system variable. The variable is identified with an unique name.With the method Define of the online variable checking the variable is activated.On initializing/changing a variable, that was linked to the online variable, in VBA a Event is executed. In the event handler you now can react on the changed value.

Datatype

OnlineVariables() As OnlineVariables

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RtFunctions

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> RtFunctions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RtFunctions() As IRtFunctions

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Templates

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> Templates

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Templates() As ITemplates

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynPictures

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> DynPictures

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the VBA object for the defined pictures (*.zp). With the name or the index a picture can be accessed. The different elements DynPicture contain information on the display (position, colour, status, ... ), the linked Frame and a list of the dynamic elements of the picture.

Datatype

DynPictures() As DynPictures

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Passwords

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> Passwords

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object of the user administration. This object contains the defined users of the project. You also have the possibility to create new users or edit/delete existing users.Additionally you can use this object to find out the currently logged in user.

Datatype

Passwords() As Passwords

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


String

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> String

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

String(BSTR strKeyId) As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Alarm

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> Alarm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object for alarming.With this object the single alarms can be accessed and the properties of the alarms can be read.With Events you have the possibility, to execute actions on the occurance of events.

Datatype

Alarm() As Alarm

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Cel

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> Cel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the 'Cel' object for the Chronologic Event List. With this object CEL entries can be created or inherited.

Datatype

Cel() As Cel

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Remas

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> Remas

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Remas() As IRemas

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Pfs

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> Pfs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the PfsEngine object. With this object you have the opportunity to handle the hole production and facility scheduler.

Datatype

Pfs() As PfsEngine

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Archives

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> Archives

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the 'Archives' object to read and write archive values.

Datatype

Archives() As Archives

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Tasks

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> Tasks

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Tasks() As ITasks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


VarTypes

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> VarTypes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an object for the datatypes. With this object datatypes can be created, edited and deleted.

Datatype

VarTypes() As VarTypes

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Scripts

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> Scripts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Scripts() As IScripts

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ZenMenus

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> ZenMenus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an object for the menus. With this object menus can be created, edited and deleted.

Datatype

ZenMenus() As ZenMenus

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TimeFunctions

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> TimeFunctions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the list of defined time functions. With this object time functions can be created, edited and deleted.

Datatype

TimeFunctions() As TimeFunctions

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VarAssignments

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> VarAssignments

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an object for the VarAssignments. The VarAssignments collection contains all existing allocations of the current project. With this collection you can access all or certain allocations.

Datatype

VarAssignments() As VarAssignments

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Recipes

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> Recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the recipes object. With this object you have the opportunity to handle standard recipes.

Datatype

Recipes() As Recipes

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RGMGroups

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> RGMGroups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RGMGroups() As IRGMRecipeGroups

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ArchivesED

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> ArchivesED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the 'ArchivesED' object to create archives in the editor.

Datatype

ArchivesED() As ArchivesED

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


FileManager

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> FileManager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the VBA object for the file manager. With this object graphics, language, help, multimedia, lists, driver and other files can be managed.

Datatype

FileManager() As FileManager

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Build

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> Build

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method starts an rebuild of the runtime files, depending to given parameter all or only the changed files are created.

Datatype

Build(tpBuildMethod lMethod) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A constant which defines the kind of compilation. tpAll = 0, tpIncremental = 1

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lMethod As tpBuildMethod

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub BuildRtFiles()
'build only changed
MyWorkspace.ActiveDocument.Build tpIncremental
'build all
MyWorkspace.ActiveDocument.Build tpAll
End Sub


Decompile

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> Decompile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method starts an import of the runtime files, depending to given parameter there will be a warning message or not.

Datatype

Decompile(Boolean bPromptForOverwrite) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

True for a message in the editor which asks you if the projected files should be replaced by the runtime files. False if no message should appear.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bPromptForOverwrite As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeCompileRTFiles()
'Runtime files will be imported with warning message
MyWorkspace.ActiveDocument.Decompile True
End Sub


Get

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ALCEngine

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> ALCEngine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the 'ALCEngine' object of the automatic line coloring mechanism.

Datatype

ALCEngine() As ALCEngine

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


NetSend

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> NetSend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

NetSend(tpNetSendType NetSendType, String strDestination, long lId, VARIANT pvData) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

A string wich defines the destination computer. For example: "Workstation_1". This parameter is only evaluated when tpNetSendType = tpToSpecificClient is used.

Defines the data which should be sent with the message.

Hint: No zenOn objects can be sent!

A constant which defines the different sending types.

This ID specifies a message and makes it possible to differ it from other messages.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strDestination As String

pvData As Variant

NetSendType As tpNetSendType

lId As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ServerNetSend()

'Server should send to all clients whith an ID = 99 and data = "This is a test"
Debug.Print thisProject.NetSend(2, "", 99, "This is a test")

End Sub


SetUserPropertyStrings

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> SetUserPropertyStrings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SetUserPropertyStrings(BSTR strProperty, VARIANT vStrings) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Interlockings

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> Interlockings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the VBA object for the interlockings. With this object you have the opportunity to edit interlockings.

Datatype

Interlockings() As Interlockings

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ParentProject

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> ParentProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ParentProject(String bsProjectName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ReplaceLinks

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> ReplaceLinks

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReplaceLinks(BSTR bsSourcePrjName,BSTR bsTargetPrjName) As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SystemModelManager

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> SystemModelManager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SystemModelManager() As ISystemModelManager

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ColorPalettes

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> ColorPalettes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ColorPalettes() As ColorPalettes

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapFunctions

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> SapFunctions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SapFunctions() As ISapFunctions

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


BatchManager

Manuale -> Scripting -> Objectmodel -> Project -> Project-Methods -> BatchManager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BatchManager() As IBatchManager

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Project-Events

Manuale -> Scripting -> Objectmodel -> Project -> Project-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Active |  | available | available | yes | yes
void | FirePostReload |  | not used | available | yes | yes
void | FirePreReload |  | not used | available | yes | yes
void | Inactive |  | not used | available | yes | yes
void | OnMessageSetDestination | Fired before a message is send. | not used | available | yes | yes
void | OnNetReceive | This event is fired when NetData is received, it contains the Data-Source, an Id and the actual Data | not used | available | yes | yes
void | OnPostVSTAUpdate | For internal use only | not used | available | yes | yes
void | OnPreVSTADebugStart | For internal use only | not used | available | yes | yes
void | OnPreVSTADebugStop | For internal use only | not used | available | yes | yes
void | OnPreVSTAUpdate | For internal use only | not used | available | yes | yes
void | OnVSTADebugStart | For internal use only | not used | available | yes | yes
void | OnVSTADebugStopped | For internal use only | not used | available | yes | yes
void | SbToServer |  | not used | available | yes | yes
void | ServerToSb |  | not used | available | yes | yes

Noch in diesem Kapitel

Active

Inactive

ServerToSb

SbToServer

FirePreReload

FirePostReload

OnNetReceive

OnPreVSTADebugStart

OnVSTADebugStart

OnPreVSTADebugStop

OnVSTADebugStopped

OnPreVSTAUpdate

OnPostVSTAUpdate

OnMessageSetDestination


Active

Manuale -> Scripting -> Objectmodel -> Project -> Project-Events -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed on activating the project in the Runtime.A project is activated at the following actions:· Starting the Runtime· Reloading· Redundancy update

Datatype

Active() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Inactive

Manuale -> Scripting -> Objectmodel -> Project -> Project-Events -> Inactive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed on deactivating the project in the Runtime. A project is deactivated at the following actions:· Closing the Runtime · Reloading · Redundancy update

Datatype

Inactive() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ServerToSb

Manuale -> Scripting -> Objectmodel -> Project -> Project-Events -> ServerToSb

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed when a standby which has been uplevelled to server is downlevelled to standby again. The event occurs on the standby server.

Datatype

ServerToSb() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SbToServer

Manuale -> Scripting -> Objectmodel -> Project -> Project-Events -> SbToServer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed when the server crashes and so the standby gets server. It is also executed when the server restarts and the standby is downlevelled.

Datatype

SbToServer() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


FirePreReload

Manuale -> Scripting -> Objectmodel -> Project -> Project-Events -> FirePreReload

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This action is fired on client or standby-server when a reload of the project is started.

Datatype

FirePreReload() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


FirePostReload

Manuale -> Scripting -> Objectmodel -> Project -> Project-Events -> FirePostReload

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This action is fired after the FirePreReload on client or standby-server when a reload of the project is started.

Datatype

FirePostReload() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnNetReceive

Manuale -> Scripting -> Objectmodel -> Project -> Project-Events -> OnNetReceive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event reacts on receiving a NetSend message.

Datatype

OnNetReceive(String strSource, long lId, LPVARIANT pvData) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

This parameter reads out the data of the NetSend message.

This string provides the name of the sending computer.

This parameter reads out the ID of the NetSend message.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

pvData As Variant

strSource As String

lId As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'This event will be executed when the client receives the NetSend message
Private Sub Project_OnNetReceive(ByVal strSource As String, ByVal lID As Long, pvData As Variant)

MsgBox "Source string = " & strSource
MsgBox "lID = " & lID
MsgBox "Data = " & pvData

End Sub


OnPreVSTADebugStart

Manuale -> Scripting -> Objectmodel -> Project -> Project-Events -> OnPreVSTADebugStart

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreVSTADebugStart() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnVSTADebugStart

Manuale -> Scripting -> Objectmodel -> Project -> Project-Events -> OnVSTADebugStart

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnVSTADebugStart() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreVSTADebugStop

Manuale -> Scripting -> Objectmodel -> Project -> Project-Events -> OnPreVSTADebugStop

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreVSTADebugStop() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnVSTADebugStopped

Manuale -> Scripting -> Objectmodel -> Project -> Project-Events -> OnVSTADebugStopped

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnVSTADebugStopped() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreVSTAUpdate

Manuale -> Scripting -> Objectmodel -> Project -> Project-Events -> OnPreVSTAUpdate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreVSTAUpdate() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPostVSTAUpdate

Manuale -> Scripting -> Objectmodel -> Project -> Project-Events -> OnPostVSTAUpdate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPostVSTAUpdate() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnMessageSetDestination

Manuale -> Scripting -> Objectmodel -> Project -> Project-Events -> OnMessageSetDestination

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnMessageSetDestination(String bsDestinationGuid, String bsDestination) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub Project_OnMessageSetDestination(ByVal bsDestinationGuid As String, bsDestination As String)
Dim strGuid As String
Dim strNewDestination

strGuid = "cdd44b4a-5951-43bb-a9d9-e0810dfb9bc3"
If bsDestinationGuid = strGuid Then
'Now we change the destination before a message is send!
strNewDestination = ""
bsDestination = strNewDestination
End If
End Sub


Projects

Manuale -> Scripting -> Objectmodel -> Projects

Remarks

The collection Projects contains all projects loaded in the Runtime. The single projects of the Runtime are available as objects Project in VBA. It is not possible to create an object of this type with the attribute New.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub GetProjects()
Dim i As Integer
'enumerate all projects
'"Application" instead of "ApplicationED" at runtime!
For i = 0 To ApplicationED.Projects.Count - 1
Debug.Print ApplicationED.Projects.Item(i).Name & _
ApplicationED.Projects.Item(i).DynProperties("GUID")
Next i
End Sub

Sub CreateProject()
'create a new project
ApplicationED.Projects.Create
End Sub

Noch in diesem Kapitel

Projects-Properties

Projects-Methods


Projects-Properties

Manuale -> Scripting -> Objectmodel -> Projects -> Projects-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
long | CountHidden | For internal use only | not used | not used | yes | yes
IApplication | Parent |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count

CountHidden


Parent

Manuale -> Scripting -> Objectmodel -> Projects -> Projects-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Application

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> Projects -> Projects-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


CountHidden

Manuale -> Scripting -> Objectmodel -> Projects -> Projects-Properties -> CountHidden

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CountHidden() As long

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


Projects-Methods

Manuale -> Scripting -> Objectmodel -> Projects -> Projects-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Create | Shows the dialog to create a new project and/or workspace. | available | not used | yes | yes
VARIANT_BOOL | CreateEx | Creates a new project without dialog. | available | not used | yes | yes
IProject | Item | - | available | not used | yes | yes
IProject | ItemHidden | For internal use only | not used | not used | yes | yes

Noch in diesem Kapitel

Item

ItemHidden

Create

CreateEx


Item

Manuale -> Scripting -> Objectmodel -> Projects -> Projects-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Project from the collection, identified by the parameter vID.The parameter vID can have two values:- Index: The access with the index is often used in combination with the property Count to find an object Project by its position in the list. For „simple“ (not hierarchical) projects the index 0 always is the current project.- Project name: The project can be found by its name.

Datatype

Item(VARIANT vID) As Project

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemHidden

Manuale -> Scripting -> Objectmodel -> Projects -> Projects-Methods -> ItemHidden

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemHidden(VARIANT vID) As Project

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Scripting -> Objectmodel -> Projects -> Projects-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Opens the dialog to create a new project.

Datatype

Create() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateEx

Manuale -> Scripting -> Objectmodel -> Projects -> Projects-Methods -> CreateEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Projects-Collection has received a new method CreateEx(), in order to generate projects without dialogs:

Project name and project basis path can be specified as parameter, in order to define whether it is a global project or a multi user project and in the last case its server name. The new project is basically attached to the open workspace and no error messages or queries will be displayed as dialogs or message boxes.

Datatype

CreateEx(String bsName, String bsPath, Boolean bGlobal, Boolean bMultiUser, String bsServer) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Call MyWorkspace.Application.Projects.CreateEx("Hugo", "D:\TEMP\HUGO", False, False, "")


PropParam

Manuale -> Scripting -> Objectmodel -> PropParam

PropParam

Possibility to determine PropertyOptions and read,write status for properties.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub

Noch in diesem Kapitel

PropParam-Properties

PropParam-Methods


PropParam-Properties

Manuale -> Scripting -> Objectmodel -> PropParam -> PropParam-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Enabled | Returns whether or not the property is enabled. | read only | read only | yes | yes
long | OptionCount | Returns the amount of options. | read only | read only | yes | yes

Noch in diesem Kapitel

OptionCount

Enabled


OptionCount

Manuale -> Scripting -> Objectmodel -> PropParam -> PropParam-Properties -> OptionCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of available Options, in case there are no Options this value will be: 0.

Datatype

OptionCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Enabled

Manuale -> Scripting -> Objectmodel -> PropParam -> PropParam-Properties -> Enabled

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a value that determines if the property is usable or not.

Datatype

Enabled() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PropParam-Methods

Manuale -> Scripting -> Objectmodel -> PropParam -> PropParam-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | OptionText | Returns the text of the option at the given index | read only | read only | yes | yes
VARIANT | OptionValue | Returns the value of the option at the given index | read only | read only | yes | yes

Noch in diesem Kapitel

OptionText

OptionValue


OptionText

Manuale -> Scripting -> Objectmodel -> PropParam -> PropParam-Methods -> OptionText

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the text of Option lIndex

Datatype

OptionText(long lIndex) As BSTR

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

long lIndex

VB.NET

Dim lIndex As Long

VBA

Dim lIndex As Long

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


OptionValue

Manuale -> Scripting -> Objectmodel -> PropParam -> PropParam-Methods -> OptionValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the value of Option lIndex.

Datatype

OptionValue(long lIndex) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

long lIndex

VB.NET

Dim lIndex As Long

VBA

Dim lIndex As Long

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


Recipe

Manuale -> Scripting -> Objectmodel -> Recipe

Remarks

Recipes serve for the assembling of input lists for setpoint values and commands which in online operation are executed with a function call.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_Recipe(ByRef zRecipes As Recipes)
'Declarations
Dim zRecipe As recipe
Dim zVariable As Variable
Dim i As Integer

'Initialization of zRecipe with the first element in the "zRecipes" object
Set zRecipe = zRecipes.Item(0)
'Initialization of zVariable with the first element in the "Variables" object
Set zVariable = thisProject.Variables.Item(0)

'Create new "RecipeValue" object
'Assign zVariable with a default value of 50
zRecipe.Create zVariable.PvID, 50

'For every "RecipeValue" object in zRecipe,...
For i = 0 To zRecipe.Count - 1
'... output the name
Debug.Print "Name: " & zRecipe.Item(i).ItemVariable.Name
'and value
Debug.Print "Value: " & zRecipe.Item(i).Value
Next i

'Delete the former created "RecipeValue" object
zRecipe.Delete (zVariable.PvID)

End Sub

Noch in diesem Kapitel

Recipe-Properties

Recipe-Methods

Recipe-Dynamic properties


Recipe-Properties

Manuale -> Scripting -> Objectmodel -> Recipe -> Recipe-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
BSTR | Name |  | available | available | yes | yes
IRecipes | Parent |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Name

Count


Parent

Manuale -> Scripting -> Objectmodel -> Recipe -> Recipe-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Recipes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> Recipe -> Recipe-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the name of the recipe.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> Recipe -> Recipe-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Recipe-Methods

Manuale -> Scripting -> Objectmodel -> Recipe -> Recipe-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRecipeValue | Create | Creates and returns a new Object | available | available | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | available | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | ExecuteValues | - | not used | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | available | yes | yes
VARIANT_BOOL | ExportXML | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | ImportXML | Imports the selected XML file | available | not used | yes | yes
IRecipeValue | Item | Returns a object at a position or by a specified key | available | not used | yes | yes
VARIANT_BOOL | ReadValues | - | not used | available | yes | yes
VARIANT_BOOL | Save | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

Item

Create

Delete

Export

ExecuteValues

ReadValues

Save

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

ExportXML

ImportXML


Item

Manuale -> Scripting -> Objectmodel -> Recipe -> Recipe-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "RecipeValue"object at a position or by a specified key.

Datatype

Item(VARIANT vID) As RecipeValue

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Scripting -> Objectmodel -> Recipe -> Recipe-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new "RecipeValue" object.

Datatype

Create(long PvID,double dfValue,[optional]VARIANT vProjekt) As RecipeValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

PvID from the "Variable" object that should be assigned.

Default value of the assigned variable.

Defines the project, where the "RecipeValue" object should be created. If this value is not specified, the current project will be selected.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

PvID As Long

dfValue As double

vProjekt As [optional]Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateRecipeValue(ByRef zRecipe As recipe)
'Declarations
Dim zVariable As Variable
Dim i As Integer

'Initialization of zVariable with the first "Variable" object within the "Variables" object
Set zVariable = thisProject.Variables.Item(0)

'Create new "RecipeValue" object within zRecipe
'zVariable.PvID assigns zVariable to the recipe
'22 will be the default value of zVariable
zRecipe.Create zVariable.PvID, 22

'For every "RecipeValue" object within zRecipe...
For i = 0 To zRecipe.Count - 1
'...output the value
Debug.Print i + 1 & ". value: " & zRecipe.Item(i).Value
Next i

End Sub


Delete

Manuale -> Scripting -> Objectmodel -> Recipe -> Recipe-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes a "RecipeValue" object from the collection by the PvID of the "Variable" object that was assigned to the "RecipeValue" object.

Datatype

Delete(long PvID,[optional]VARIANT vProjekt) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

PvID from the "Variable" object that should be deleted.

Defines the project, where the "RecipeValue" object should be deleted. If this value is not specified the current project will be selected.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

PvID As Long

vProjekt As [optional]Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub DeleteRecipeValue(ByRef zRecipe As recipe)

'Declarations
Dim zVariable As Variable
Dim i As Integer

'Initialization of zVariable with the variable that is named "zenOn_Test"
Set zVariable = thisProject.Variables.Item("zenOn_Test")

'Deletes the variable "zenOn_Test" from the recipe
zRecipe.Delete zVariable.PvID

'For every "RecipeValue" object within zRecipe...
For i = 0 To zRecipe.Count - 1
'...output the value
Debug.Print i + 1 & ". value: " & zRecipe.Item(i).Value
Next i

End Sub


Export

Manuale -> Scripting -> Objectmodel -> Recipe -> Recipe-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Exports the recipe into a textfile.

Datatype

Export(String strFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ExecuteValues

Manuale -> Scripting -> Objectmodel -> Recipe -> Recipe-Methods -> ExecuteValues

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Overwrites the current values of the variables in the recipe with the recipe values.

Datatype

ExecuteValues() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ReadValues

Manuale -> Scripting -> Objectmodel -> Recipe -> Recipe-Methods -> ReadValues

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Reads the current values.

Datatype

ReadValues() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuale -> Scripting -> Objectmodel -> Recipe -> Recipe-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Saves the current values as the new recipe values.

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> Recipe -> Recipe-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> Recipe -> Recipe-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> Recipe -> Recipe-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> Recipe -> Recipe-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


ExportXML

Manuale -> Scripting -> Objectmodel -> Recipe -> Recipe-Methods -> ExportXML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

ExportXML(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


ImportXML

Manuale -> Scripting -> Objectmodel -> Recipe -> Recipe-Methods -> ImportXML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be merged.

Datatype

ImportXML(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Recipe-Dynamic properties

Manuale -> Scripting -> Objectmodel -> Recipe -> Recipe-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Formulation

Noch in diesem Kapitel

Formulation


Formulation

Manuale -> Scripting -> Objectmodel -> Recipe -> Recipe-Dynamic properties -> Formulation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | RecipeName | Nome | Nome univoco della ricetta. Default: Recipe_x (x è un numero progressivo) Ulteriori informazioni nella guida in linea.
VT_UI2 | PasswordLevel | Livello di autorizzazione: | I livelli di autorizzazione necessari per modificare la ricetta nel Runtime. Un utente può effettuare operazioni concernenti le ricette (lettura, cambiamenti effettuati manualmente, cancellazione) solo se dispone del livello di autorizzazione richiesto. Minimo: 0. Massimo: 127. Default: 0. Ulteriori informazioni nella guida in linea.
VT_BOOL | SyncWrite | Timeout [ms] | Se è stata attivata l´opzione "scrittura sincr.", si può inserire qui un timeout. Se si inserisce qui il valore 0, lo SCADA calcola il tempo di attesa come segue: 3000+(100* Numero di punti dati) Minimo: 0. Massimo: 4294967295. Default: 0. Ulteriori informazioni nella guida in linea.
VT_UI4 | SyncWriteTimeout | Timeout [ms] | Se è stata attivata l´opzione "scrittura sincr.", si può inserire qui un timeout. Se si inserisce qui il valore 0, lo SCADA calcola il tempo di attesa come segue: 3000+(100* Numero di punti dati) Minimo: 0. Massimo: 4294967295. Default: 0. Ulteriori informazioni nella guida in linea.
ZT_AKZ | SystemModelGroup | Gruppi d'impianto | Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti. Ulteriori informazioni nella guida in linea.


Recipes

Manuale -> Scripting -> Objectmodel -> Recipes

Remarks

This object manages "Recipe" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_Recipes()
'Declarations
Dim zWork As Project
Dim zRecipes As Recipes
Dim zRecipe As recipe
Dim zRecipeValue As RecipeValue
Dim zVariable As Variable

'Initialization of zWork with current project
Set zWork = thisProject
'Initialization of zRecipes with the recipe list of the project
Set zRecipes = zWork.Recipes
'Initialization of zRecipe with the new "Recipe" object
Set zRecipe = zRecipes.Create("zenOn_Recipe")
'Initialization of zVariable with the first element in the "Variables" object
Set zVariable = zWork.Variables.Item(0)
'Initialization of zRecipeValue with the new assigned variable. Default-Value = 5
Set zRecipeValue = zRecipe.Create(zVariable.PvID, 5)

'Deletes the recipe "zenOn_Recipe"
zRecipes.Delete (zRecipe.Name)

End Sub

Noch in diesem Kapitel

Recipes-Properties

Recipes-Methods


Recipes-Properties

Manuale -> Scripting -> Objectmodel -> Recipes -> Recipes-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IProject | Parent |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> Recipes -> Recipes-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> Recipes -> Recipes-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Recipes-Methods

Manuale -> Scripting -> Objectmodel -> Recipes -> Recipes-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
IRecipe | Create | Creates and returns a new Object |  | available | available | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection |  | available | available | yes | yes
VARIANT_BOOL | ExportXML | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | not used | available | yes | yes
VARIANT_BOOL | ImportXML | Imports the selected XML file |  | available | not used | yes | yes
IRecipe | Item | Returns a object at a position or by a specified key |  | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | available | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes

Noch in diesem Kapitel

Item

Create

Delete

Import

ExportXML

SingleExport

ImportXML

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Item

Manuale -> Scripting -> Objectmodel -> Recipes -> Recipes-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "Recipe" object at a position or by a specified key.

Datatype

Item(VARIANT vID) As Recipe

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Scripting -> Objectmodel -> Recipes -> Recipes-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new "Recipe" object by name as string parameter.

Datatype

Create(String strName) As Recipe

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Name of the new "Recipe" object as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateNewRecipe()
'Declarations
Dim zRecipes As Recipes
Dim zRecipe As recipe

'Initialization of zRecipes with the recipes list of the current project
Set zRecipes = thisProject.Recipes
'Initialization of zRecipe with the new "Recipe" object
Set zRecipe = zRecipes.Create("zenOn_Recipe")

End Sub


Delete

Manuale -> Scripting -> Objectmodel -> Recipes -> Recipes-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes a "Recipe" object from the collection.

Datatype

Delete(String strName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Name of the former created "Recipe" object as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteRecipe()
'Declarations
Dim zRecipes As Recipes

'Initialization of zRecipes with the recipes list of the current project
Set zRecipes = thisProject.Recipes

'Deletes the recipe with the name "zenOn_Recipe"
zRecipes.Delete ("zenOn_Recipe")
End Sub


Import

Manuale -> Scripting -> Objectmodel -> Recipes -> Recipes-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Imports a recipe from a textfile.

Datatype

Import(String strFileName) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ExportXML

Manuale -> Scripting -> Objectmodel -> Recipes -> Recipes-Methods -> ExportXML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file.

Datatype

ExportXML(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


SingleExport

Manuale -> Scripting -> Objectmodel -> Recipes -> Recipes-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ImportXML

Manuale -> Scripting -> Objectmodel -> Recipes -> Recipes-Methods -> ImportXML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be merged.

Datatype

ImportXML(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuale -> Scripting -> Objectmodel -> Recipes -> Recipes-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Get() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckOut

Manuale -> Scripting -> Objectmodel -> Recipes -> Recipes-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckIn

Manuale -> Scripting -> Objectmodel -> Recipes -> Recipes-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckIn() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


UndoCheckOut

Manuale -> Scripting -> Objectmodel -> Recipes -> Recipes-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UndoCheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsLocked

Manuale -> Scripting -> Objectmodel -> Recipes -> Recipes-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsLocked() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsCheckedOut

Manuale -> Scripting -> Objectmodel -> Recipes -> Recipes-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsCheckedOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsDifferent

Manuale -> Scripting -> Objectmodel -> Recipes -> Recipes-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


RecipeValue

Manuale -> Scripting -> Objectmodel -> RecipeValue

Remarks

The "RecipeValue" object is utilized by the "Recipe" object, in order to define the characteristics.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_RecipeValue(ByRef zRecipe As recipe)
'Declarations
Dim zRecipeValue As RecipeValue
Dim zVariable As Variable

'Initialization of zVariable with the first element in the "Variables" object
Set zVariable = thisProject.Variables.Item(0)

'Initialization of zRecipeValue by creating a new "RecipeValue" object
'Assigns zVariable with a default value of 50
Set zRecipeValue = zRecipe.Create(zVariable.PvID, 50)

'Delete the former created "RecipeValue" object
zRecipe.Delete (zVariable.PvID)
End Sub

Noch in diesem Kapitel

RecipeValue-Properties

RecipeValue-Methods

RecipeValue-Dynamic properties


RecipeValue-Properties

Manuale -> Scripting -> Objectmodel -> RecipeValue -> RecipeValue-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRecipe | Parent |  | read only | read only | yes | yes
long | Type |  | read only | read only | yes | yes
double | Value |  | available | available | yes | yes

Noch in diesem Kapitel

Parent

Type

Value


Parent

Manuale -> Scripting -> Objectmodel -> RecipeValue -> RecipeValue-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Recipe

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Scripting -> Objectmodel -> RecipeValue -> RecipeValue-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the type of the "RecipeValue" object.

Datatype

Type() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Value

Manuale -> Scripting -> Objectmodel -> RecipeValue -> RecipeValue-Properties -> Value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the value of the "RecipeValue" object.

Datatype

Value() As double

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RecipeValue-Methods

Manuale -> Scripting -> Objectmodel -> RecipeValue -> RecipeValue-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IVariable | ItemVariable | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

ItemVariable

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


ItemVariable

Manuale -> Scripting -> Objectmodel -> RecipeValue -> RecipeValue-Methods -> ItemVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets, sets or modifies the assigend "Variable" object. For further information, please have a look at the "Variable" object part.

Datatype

ItemVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> RecipeValue -> RecipeValue-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> RecipeValue -> RecipeValue-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> RecipeValue -> RecipeValue-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> RecipeValue -> RecipeValue-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


RecipeValue-Dynamic properties

Manuale -> Scripting -> Objectmodel -> RecipeValue -> RecipeValue-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Recipe set value

Noch in diesem Kapitel

Recipe set value


Recipe set value

Manuale -> Scripting -> Objectmodel -> RecipeValue -> RecipeValue-Dynamic properties -> Recipe set value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | VarName | Variabile | Variable
VT_BSTR | VarTagName | Identificazione | Identification
VT_BSTR | VarUnit | Unità di misura | Unit
VT_R8 | Minimum | Minimo | Minimum
VT_R8 | SetValue | Imposta valore | Set value
VT_R8 | Maximum | Massimo | Maximum


Rema

Manuale -> Scripting -> Objectmodel -> Rema

Remarks

The Reaction Matrices are the most sophisticated way to deal with stati.Here single stati can be evaluated and cause alarms. Basically a status can be treated like a value. As with a value it is also possible with a status to cause certain actions.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_CreateAnalogRema()
'*************** Use this code in the editor ***************

'Declaration zRema
Dim zRema As Rema

'Initialize zRema by creating a new analog rema with the name "zenOn_AnalogRemaExample"
Set zRema = MyWorkspace.ActiveDocument.Remas.Create(tpAnalog, "zenOn_AnalogRemaExample")

'Create a new state...
zRema.CreateState

'... and intialize the state by handing the rema over to the initialization example for state objects
Call zenOn_SetStateForAnalogRema(zRema)

End Sub

Private Sub zenOn_SetStateForAnalogRema(ByRef zRema As Rema)

'Declaration zState
Dim zState As State

'Intialize zState with the first state inside the passed analog rema
Set zState = zRema.StateItem(1)

'Sets the comparision mode to "greater"
zState.CheckArt = 1

'This definition constitutes the threshold value, where the alarm will be triggered
zState.ReaAlarm = 11

'This definition means that the system will be set back to its normal configuration, when "ReaAlarm" goes below 10 (hysteresis)
zState.Hysterese = 1

'User message that will be displayed when the event occurs
zState.Text = "Limit is reached!"

'Moreover, the first defined function will be called when the event occurs
zState.Function = MyWorkspace.ActiveDocument.RtFunctions.Item(0).ID
'The function will only be executed when the tpBitFkt is set. Additionaly the tpBitAlarm flag is set too.
zState.Status = tpBitFkt Or tpBitAlarm

End Sub

Noch in diesem Kapitel

Rema-Properties

Rema-Methods


Rema-Properties

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | IsAlarm |  | read only | read only | yes | yes
VARIANT_BOOL | IsBTB |  | read only | read only | yes | yes
VARIANT_BOOL | IsFunction |  | read only | read only | yes | yes
VARIANT_BOOL | IsFunctionClient |  | read only | read only | yes | yes
VARIANT_BOOL | IsFunctionServer |  | read only | read only | yes | yes
VARIANT_BOOL | IsStateBlinking |  | read only | read only | yes | yes
BSTR | Name |  | available | read only | yes | yes
IRemas | Parent |  | read only | read only | yes | yes
long | StateCount |  | read only | read only | yes | yes
tpStateBit | Status |  | read only | read only | yes | yes
tpRema | Type |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Name

Type

Status

IsAlarm

IsBTB

IsFunction

IsFunctionServer

IsFunctionClient

IsStateBlinking

StateCount


Parent

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Remas

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the name of the Reaction Matrix.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As tpRema

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Properties -> Status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Status() As tpStateBit

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsAlarm

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Properties -> IsAlarm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

At least one status of the reaction matrix is defined as an alarm.

Datatype

IsAlarm() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsBTB

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Properties -> IsBTB

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

At least one status of the reaction matrix is also logged in the Chronologic Event List (CEL).

Datatype

IsBTB() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsFunction

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Properties -> IsFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

At least one status of the reaction matrix is linked to a function.

Datatype

IsFunction() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsFunctionServer

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Properties -> IsFunctionServer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

At least one status of the reaction matrix is linked to a function that runs on the server.

Datatype

IsFunctionServer() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsFunctionClient

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Properties -> IsFunctionClient

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

At least one status of the reaction matrix is linked to a function that runs on the client.

Datatype

IsFunctionClient() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsStateBlinking

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Properties -> IsStateBlinking

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

At least for one status of the reaction matrix the property "flashing" is activated.

Datatype

IsStateBlinking() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


StateCount

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Properties -> StateCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of states within the Reaction Matrix.

Datatype

StateCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Rema-Methods

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Methods

Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | available | not used | yes | yes
IState | CreateState | - | available | not used | yes | yes
void | DeleteState | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
long | GetColor | - | available | read only | yes | yes
long | GetDelayZeit | For internal use only | available | available | yes | yes
tpStateBit | GetStatus | - | available | available | yes | yes
BSTR | GetText | - | available | available | yes | yes
VARIANT_BOOL | StateIsAlarm | - | read only | read only | yes | yes
VARIANT_BOOL | StateIsBTB | - | read only | read only | yes | yes
VARIANT_BOOL | StateIsFunction | - | read only | read only | yes | yes
VARIANT_BOOL | StateIsFunctionClient | - | read only | read only | yes | yes
VARIANT_BOOL | StateIsFunctionServer | - | read only | read only | yes | yes
VARIANT_BOOL | StateIsStateBlinking | - | read only | read only | yes | yes
IState | StateItem | - | available | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty

GetColor

GetStatus

GetDelayZeit

GetText

StateIsAlarm

StateIsBTB

StateIsFunction

StateIsFunctionServer

StateIsFunctionClient

StateIsStateBlinking

CreateState

DeleteState

StateItem


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


CreateDynProperty

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This Method is able to create SubItems of the actual object, the Parameter has to be the Name of the SubItem to be created.

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Subitem as String

Example: "State"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Base()
Dim zProject As Project
Dim zRema As Rema
Dim bResult As Boolean

'get Project and Rema object
Set zProject = MyWorkspace.ActiveDocument
Set zRema = zProject.Remas.Item("MyRema")

'create SubItem States....
bResult = CreateSubItem(zRema, "State")

If bResult Then
MsgBox "SubItem 'State' was created successfully!"
Else
MsgBox "SubItem 'State' already exists or could not be created!"
End If

End Sub

Function CreateSubItem(zenOnObject As Object, strDynProperty As String) As Boolean
Dim nCount As Integer
'get count of given DynProperty
nCount = zenOnObject.DynProperties(strDynProperty & "[-1]")
If nCount = 0 Then '0 = DynProperty-SubItem not found
'create SubItem with given parameters...
CreateSubItem = zenOnObject.CreateDynProperty(strDynProperty)
Exit Function
End If
CreateSubItem = False
End Function


GetColor

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Methods -> GetColor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Color of the corresponding state object.

Datatype

GetColor(long iIndex) As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetStatus

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Methods -> GetStatus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the "Status" flags from the corresponding state object. For further information have a look at the "Status" description in the "State" object part.

Datatype

GetStatus(long iIndex) As tpStateBit

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetDelayZeit

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Methods -> GetDelayZeit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

HIDDEN

Datatype

GetDelayZeit(long iIndex) As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetText

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Methods -> GetText

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the set text that will be displayed, if the defined limit is reached.

Datatype

GetText(long iIndex) As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsAlarm

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Methods -> StateIsAlarm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitAlarm" is set TRUE.

Datatype

StateIsAlarm(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsBTB

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Methods -> StateIsBTB

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitBtb" is set TRUE.

Datatype

StateIsBTB(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsFunction

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Methods -> StateIsFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitFkt" is set TRUE.

Datatype

StateIsFunction(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsFunctionServer

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Methods -> StateIsFunctionServer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitFktServer" is set TRUE.

Datatype

StateIsFunctionServer(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsFunctionClient

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Methods -> StateIsFunctionClient

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitFktClient" is set TRUE.

Datatype

StateIsFunctionClient(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsStateBlinking

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Methods -> StateIsStateBlinking

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitBlink" is set TRUE.

Datatype

StateIsStateBlinking(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateState

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Methods -> CreateState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new state within the Reaction matrix.

Datatype

CreateState() As State

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteState

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Methods -> DeleteState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes an existing state within the Reaction Matrix.

Datatype

DeleteState(VARIANT vPos) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateItem

Manuale -> Scripting -> Objectmodel -> Rema -> Rema-Methods -> StateItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "State" object with the selected state from the Reaction Matrix.

Datatype

StateItem(VARIANT vPos) As State

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Remas

Manuale -> Scripting -> Objectmodel -> Remas

Remarks

This object manages "Rema" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_RemasExample()

'Declarations
Dim zRemas As Remas
Dim zBinRema As Rema
Dim zAnaRema As Rema
Dim i As Integer

'Initialization of zRemas
Set zRemas = MyWorkspace.ActiveDocument.Remas
'Intialization of zBinRema by creating a new binary rema
Set zBinRema = zRemas.Create(tpBinaer, "zenOn_BinaryRema")
'Intialization of zAnaRema by creating a new analog rema
Set zAnaRema = zRemas.Create(tpAnalog, "zenOn_AnalogRema")

'Output some details on the remas
For i = 0 To zRemas.Count - 1
'Display name
Debug.Print "Name: " & zRemas.Item(i).Name
'Show type of Reaction Matrix
Select Case zRemas.Item(i).Type
Case Is = 1
Debug.Print "Type: Binary"
Case Is = 2
Debug.Print "Type: Analog"
Case Is = 3
Debug.Print "Type: MultiBinary"
Case Is = 4
Debug.Print "Type: MultiAnalog"
Case Is = 5
Debug.Print "Type: String"
End Select
Next i

'Delete the binary rema by its position
Debug.Print zRemas.Delete(1)
'Delete the analog rema by its name
Debug.Print zRemas.Delete("zenOn_AnalogRema")

End Sub

Noch in diesem Kapitel

Remas-Properties

Remas-Methods


Remas-Properties

Manuale -> Scripting -> Objectmodel -> Remas -> Remas-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of remas | read only | read only | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> Remas -> Remas-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> Remas -> Remas-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Remas-Methods

Manuale -> Scripting -> Objectmodel -> Remas -> Remas-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IRema | Create | Creates a new rema (unique name) |  | available | not used | yes | yes
VARIANT_BOOL | Delete | Delete the given rema |  | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IRema | Item | Returns the rema on the given position or name |  | available | available | yes | yes
IRema | ItemById | Returns the rema with the given id |  | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes

Noch in diesem Kapitel

Item

ItemById

Create

Delete

SingleExport

Export

Import

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Item

Manuale -> Scripting -> Objectmodel -> Remas -> Remas-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "Rema" object with the Reaction Matrix at the given position.

Datatype

Item(VARIANT vNamePos) As Rema

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemById

Manuale -> Scripting -> Objectmodel -> Remas -> Remas-Methods -> ItemById

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "Rema" object with the Reaction Matrix with the given ID.

Datatype

ItemById(VARIANT vID) As Rema

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Scripting -> Objectmodel -> Remas -> Remas-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Create(tpRema rID, String strName) As Rema

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Delete

Manuale -> Scripting -> Objectmodel -> Remas -> Remas-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes an existing Reaction Matrix by its position or by name.

Datatype

Delete(VARIANT vID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuale -> Scripting -> Objectmodel -> Remas -> Remas-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuale -> Scripting -> Objectmodel -> Remas -> Remas-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuale -> Scripting -> Objectmodel -> Remas -> Remas-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will not be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuale -> Scripting -> Objectmodel -> Remas -> Remas-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Scripting -> Objectmodel -> Remas -> Remas-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Scripting -> Objectmodel -> Remas -> Remas-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Scripting -> Objectmodel -> Remas -> Remas-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Scripting -> Objectmodel -> Remas -> Remas-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Scripting -> Objectmodel -> Remas -> Remas-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Scripting -> Objectmodel -> Remas -> Remas-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoteTransport

Manuale -> Scripting -> Objectmodel -> RemoteTransport

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateCustomOption()
Dim obRemoteTP As RemoteTransport

Set obRemoteTP = MyWorkspace.ActiveDocument.RemoteTransport
'define basic remote transport settings
obRemoteTP.HidePasswordDialog = True
obRemoteTP.TransportType = tpTCP
obRemoteTP.TcpByIp = False
obRemoteTP.TcpIpName = "COMPUTERNAME"
'create custom options for the remote transport
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(0).Comment = "TEST: Copy - Execute"
obRemoteTP.CustomItem(0).ActionType = tpCopyExecute
obRemoteTP.CustomItem(0).Active = True
obRemoteTP.CustomItem(0).SourcePath = "source"
obRemoteTP.CustomItem(0).TargetPath = "target"
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(1).Comment = "TEST: Copy"
obRemoteTP.CustomItem(1).ActionType = tpCopy
obRemoteTP.CustomItem(1).Active = False
obRemoteTP.CustomItem(1).SourcePath = "source1"
obRemoteTP.CustomItem(1).TargetPath = "target1"
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(2).Comment = "TEST: Copy - Register"
obRemoteTP.CustomItem(2).ActionType = tpCopyRegister
obRemoteTP.CustomItem(2).Active = True
obRemoteTP.CustomItem(2).SourcePath = "source2"
obRemoteTP.CustomItem(2).TargetPath = "target2"
'save the changes...
obRemoteTP.Save
End Sub

Noch in diesem Kapitel

RemoteTransport-Properties

RemoteTransport-Methods


RemoteTransport-Properties

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | CustomCount | Returns the amount of custom entries. | available | not used | yes | yes
BSTR | CEFolder | Get/Set the CE folder. | available | not used | yes | yes
VARIANT_BOOL | HidePasswordDialog | Get/Set whether the password dialog is shown. | available | not used | yes | yes
VARIANT_BOOL | IncludeAdditional | Get/Set whether the Additional folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeDrivers | Get/Set whether the Drivers folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeGraphics | Get/Set whether the Graphic folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeHelp | Get/Set whether the Help folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeLists | Get/Set whether the Lists folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeMedia | Get/Set whether the Media folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeReports | Get/Set whether the Reports folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeStraton | Get/Set whether the Straton folder is to be transported. | available | not used | yes | yes
BSTR | Password | Get/Set the connection password. | available | not used | yes | yes
BSTR | ProjectBase | Get/Set the project base. | available | not used | yes | yes
BSTR | SerialName | Get/Set the Serial connection address. | available | not used | yes | yes
BSTR | TcpIpName | Get/Set the TCP Name. | available | not used | yes | yes
tpRemoteTransportType | TransportType | Get/Set the connection type. | available | not used | yes | yes
VARIANT_BOOL | UseCEFolderSetting | Get/Set whether the CE folder setting is to be used. | available | not used | yes | yes

Noch in diesem Kapitel

ProjectBase

UseCEFolderSetting

CEFolder

IncludeGraphics

IncludeLists

IncludeMedia

IncludeReports

IncludeHelp

IncludeAdditional

IncludeDrivers

IncludeStraton

TcpIpName

SerialName

TransportType

CustomCount

Password

HidePasswordDialog


ProjectBase

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> ProjectBase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ProjectBase() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


UseCEFolderSetting

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> UseCEFolderSetting

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UseCEFolderSetting() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


CEFolder

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> CEFolder

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CEFolder() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeGraphics

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> IncludeGraphics

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeGraphics() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeLists

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> IncludeLists

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeLists() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeMedia

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> IncludeMedia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeMedia() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeReports

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> IncludeReports

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeReports() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeHelp

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> IncludeHelp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeHelp() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeAdditional

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> IncludeAdditional

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeAdditional() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeDrivers

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> IncludeDrivers

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeDrivers() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeStraton

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> IncludeStraton

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IncludeStraton() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


TcpIpName

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> TcpIpName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TcpIpName() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


SerialName

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> SerialName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SerialName() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


TransportType

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> TransportType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TransportType() As tpRemoteTransportType

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


CustomCount

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> CustomCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CustomCount() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Password

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> Password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Password() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


HidePasswordDialog

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Properties -> HidePasswordDialog

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

HidePasswordDialog() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


RemoteTransport-Methods

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Connect | Start a remote transport connection. | available | not used | yes | yes
IRemoteTransportCustom | CreateCustom | Adds a new custom entry. | available | not used | yes | yes
IRemoteTransportCustom | CustomItem | Returns the custom entry at the given index. | available | not used | yes | yes
BOOL | DeleteCustom | Deletes the custom entry at the given index. | available | not used | yes | yes
void | Disconnect | Stop the current remote transport connection. | available | not used | yes | yes
void | RebootOS | Reboots the remote OS. | available | not used | yes | yes
void | ReloadRT | Reload the remote runtime. | available | not used | yes | yes
void | Retrieve | Retrieve all. | available | not used | yes | yes
BOOL | Save | Saves current remote transport setting. | available | not used | yes | yes
void | SetStartProject | Set start project. | available | not used | yes | yes
void | StartRT | Start the remote runtime. | available | not used | yes | yes
void | StopRT | Stop the remote runtime. | available | not used | yes | yes
void | TransferAll | Transfer all. | available | not used | yes | yes
void | TransferChanged | Transfer changes. | available | not used | yes | yes

Noch in diesem Kapitel

CustomItem

CreateCustom

DeleteCustom

Save

Connect

Disconnect

TransferAll

TransferChanged

Retrieve

SetStartProject

StartRT

StopRT

ReloadRT

RebootOS


CustomItem

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> CustomItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CustomItem(long lIndex) As RemoteTransportCustom

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateCustom

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> CreateCustom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateCustom() As RemoteTransportCustom

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteCustom

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> DeleteCustom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteCustom(long lIndex) As BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Save() As BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Connect

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> Connect

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Connect() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Disconnect

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> Disconnect

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Disconnect() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TransferAll

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> TransferAll

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TransferAll() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TransferChanged

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> TransferChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TransferChanged() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Retrieve

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> Retrieve

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Retrieve() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetStartProject

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> SetStartProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SetStartProject() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StartRT

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> StartRT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartRT() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StopRT

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> StopRT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StopRT() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ReloadRT

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> ReloadRT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReloadRT() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RebootOS

Manuale -> Scripting -> Objectmodel -> RemoteTransport -> RemoteTransport-Methods -> RebootOS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RebootOS() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoteTransportCustom

Manuale -> Scripting -> Objectmodel -> RemoteTransportCustom

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateCustomOption()
Dim obRemoteTP As RemoteTransport

Set obRemoteTP = MyWorkspace.ActiveDocument.RemoteTransport
'define basic remote transport settings
obRemoteTP.HidePasswordDialog = True
obRemoteTP.TransportType = tpTCP
obRemoteTP.TcpByIp = False
obRemoteTP.TcpIpName = "COMPUTERNAME"
'create custom options for the remote transport
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(0).Comment = "TEST: Copy - Execute"
obRemoteTP.CustomItem(0).ActionType = tpCopyExecute
obRemoteTP.CustomItem(0).Active = True
obRemoteTP.CustomItem(0).SourcePath = "source"
obRemoteTP.CustomItem(0).TargetPath = "target"
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(1).Comment = "TEST: Copy"
obRemoteTP.CustomItem(1).ActionType = tpCopy
obRemoteTP.CustomItem(1).Active = False
obRemoteTP.CustomItem(1).SourcePath = "source1"
obRemoteTP.CustomItem(1).TargetPath = "target1"
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(2).Comment = "TEST: Copy - Register"
obRemoteTP.CustomItem(2).ActionType = tpCopyRegister
obRemoteTP.CustomItem(2).Active = True
obRemoteTP.CustomItem(2).SourcePath = "source2"
obRemoteTP.CustomItem(2).TargetPath = "target2"
'save the changes...
obRemoteTP.Save
End Sub

Noch in diesem Kapitel

RemoteTransportCustom-Properties


RemoteTransportCustom-Properties

Manuale -> Scripting -> Objectmodel -> RemoteTransportCustom -> RemoteTransportCustom-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpRTCustomAction | ActionType | Get/Set the action type. | available | not used | yes | yes
VARIANT_BOOL | Active | Activate/deactivate the custom entry. | available | not used | yes | yes
BSTR | Comment | Get/Set the comment of the custom entry. | available | not used | yes | yes
BSTR | SourcePath | Get/Set the source path. | available | not used | yes | yes
BSTR | TargetPath | Get/Set the target path. | available | not used | yes | yes

Noch in diesem Kapitel

SourcePath

TargetPath

Active

ActionType

Comment


SourcePath

Manuale -> Scripting -> Objectmodel -> RemoteTransportCustom -> RemoteTransportCustom-Properties -> SourcePath

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SourcePath() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


TargetPath

Manuale -> Scripting -> Objectmodel -> RemoteTransportCustom -> RemoteTransportCustom-Properties -> TargetPath

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

TargetPath() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Active

Manuale -> Scripting -> Objectmodel -> RemoteTransportCustom -> RemoteTransportCustom-Properties -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ActionType

Manuale -> Scripting -> Objectmodel -> RemoteTransportCustom -> RemoteTransportCustom-Properties -> ActionType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ActionType() As tpRTCustomAction

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Comment

Manuale -> Scripting -> Objectmodel -> RemoteTransportCustom -> RemoteTransportCustom-Properties -> Comment

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Comment() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


RGMRecipe

Manuale -> Scripting -> Objectmodel -> RGMRecipe

Remarks

Recipes serve for the assembling of input lists for setpoint values and commands which in online operation are executed with a function call.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_RGMRecipe()
'Declarations
Dim zRGM_Recipe As RGMRecipe

'Initialization of zRGM_Recipe with the first recipe within the first recipe group
Set zRGM_Recipe = MyWorkspace.ActiveDocument.RGMGroups.Item(0).RecipeItem(0)

'Modify a Recipe:
Call Modify_RGMRecipe(zRGM_Recipe)

'Write Values from Recipe to variables
Call Write_RGMRecipe(zRGM_Recipe)

'Read from Variables and save as raceipe
Call Read_RGMRecipe(zRGM_Recipe)
End Sub

Sub Modify_RGMRecipe(zRGM_Recipe As RGMRecipe)
'Declarations
Dim i As Integer

For i = 0 To zRGM_Recipe.ValueCount - 1
'Set action type to "Modify spontaneous value"
zRGM_Recipe.ValueItem(i).DynProperties("Type") = 2
'Set value...
zRGM_Recipe.ValueItem(i).DynProperties("Value") = (i + 1) * 25
Next i
'Save the current value to the recipe
zRGM_Recipe.Save
End Sub

Sub Read_RGMRecipe(zRGM_Recipe As RGMRecipe)
'Read the current variable value and output the result
zRGM_Recipe.Read
'Save the current value to the recipe
zRGM_Recipe.Save
End Sub

Sub Write_RGMRecipe(zRGM_Recipe As RGMRecipe)
'Read the current variable value and output the result
zRGM_Recipe.Execute
'Save the current value to the recipe
zRGM_Recipe.Save
End Sub

Noch in diesem Kapitel

RGMRecipe-Properties

RGMRecipe-Methods

RGMRecipe-Dynamic properties


RGMRecipe-Properties

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Number | The identification number of the recipe | available | available | yes | yes
IRGMRecipeGroup | Parent | Parent of object | read only | read only | yes | yes
long | Status | The numeric status value of the recipe | available | available | yes | yes
long | ValueCount |  | read only | read only | yes | yes
long | Version | The version of the recipe | available | available | yes | yes
BSTR | Name | The name of the recipe | available | available | yes | yes

Noch in diesem Kapitel

Parent

ValueCount

Name

Number

Status

Version


Parent

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As RGMRecipeGroup

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ValueCount

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Properties -> ValueCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of "RGMRecipeValue" objects within the "RGMRecipe" object, i.e. the amount of variables assigned to the recipe.

Datatype

ValueCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Number

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Properties -> Number

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Number() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Status

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Properties -> Status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Status() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Version

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Properties -> Version

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Version() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RGMRecipe-Methods

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Check | Get differences between recipe and actual values | not used | available | yes | yes
VARIANT_BOOL | Duplicate | Duplicate this recipe | available | available | yes | yes
VARIANT_BOOL | DuplicateAsVersion | Duplicate this recipe into a new version | available | available | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | Execute | - | available | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | available | yes | yes
VARIANT_BOOL | ExportXML | Export the data of this recipe to a xml file for documentation purpose | not used | available | yes | yes
VARIANT_BOOL | Read | - | available | available | yes | yes
VARIANT_BOOL | Save | - | available | available | yes | yes
IRGMRecipeValue | ValueItem | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

ValueItem

Execute

Read

Save

Check

ExportXML

Duplicate

DuplicateAsVersion

Export

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


ValueItem

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> ValueItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ValueItem(VARIANT vPosOrName) As RGMRecipeValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Execute

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> Execute

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Overwrites the current values of the variables in the recipe with the recipe values.

Datatype

Execute() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Read

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> Read

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Reads the current values.

Datatype

Read() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Saves the current values as the new recipe values.

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Check

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> Check

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Check(LPVARIANT pDifferences) As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ExportXML

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> ExportXML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export the RGMRecipe to an XML File.

Datatype

ExportXML(String strExportPath) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Duplicate

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> Duplicate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Method to create a duplicate of the actual RGMRecipe.The given string parameter represents the duplicates name.A boolean result will be returned.

Datatype

Duplicate(String bsDuplicate) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DuplicateAsVersion

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> DuplicateAsVersion

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DuplicateAsVersion() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


RGMRecipe-Dynamic properties

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Object recipe

Noch in diesem Kapitel

Object recipe


Object recipe

Manuale -> Scripting -> Objectmodel -> RGMRecipe -> RGMRecipe-Dynamic properties -> Object recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

RecipeName

Nome ricetta

Nome per ricetta. Il nome ricetta deve essere univoco. Se File binari è stato selezionato per la proprietà DataSource, il nome può contenere solamente dei caratteri alfanumerici.

Ulteriori informazioni nella guida in linea.

VT_UI4

RecipeNumber

Numero ricetta

Numero della ricetta

Ulteriori informazioni nella guida in linea.

VT_UI4

RecipeVersion

Versione ricetta

Mostra il numero di versione della ricetta selezionata. Solo visualizzazione, non è possibile nessuna modifica. Numero di versione viene settato automaticamente dal sistema. Può essere impostato un massimo di 89999 versioni ricetta.

Ulteriori informazioni nella guida in linea.

VT_UI2

Status

Stato

Selezione dello stato ricetta fra quelli della lista a cascata. (Configurazione degli stati nella proprietà Manager Gruppi di Ricette /Identificatore stato ricetta.) Lo stato ricetta può essere impostato diversamente pro Versione ricetta. Questa proprietà può essere modificata nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_R8

TimeChange

TimeChange

"this property returns the time the recipe was saved last. When editing the recipe via the automation interface, this property must be set manually by the user"

VT_BSTR

UserChange

Utente dell'ultima modifica

"This property returns the name of the user who has created / modified the recipe. When editing the recipe via the automation interface, this property must be set manually by the user "

VT_R8

TimeSent

TimeSent

for compatibility reasons only

VT_BSTR

UserSent

Utente presente all'ultima modifica

for compatibility reasons only

VT_BOOL

WriteSync

Scrittura sincrona

Nel caso di gruppi ricette viene settata per tutte le ricette del gruppo e può essere sovrascritta per ogni ricetta.

Attivo : alla scrittura di una ricetta vengono bloccati tutti gli elementi di controllo nell’immagine del Manager gruppi ricette, finchè arriva risposta dal driver, che tutti i valori della ricetta sono stati scritti con successo o finche è trascorso il Timeout [ms] .

Inattivo: I valori della ricetta vengono scritti senza attendere una risposta. Gli elementi di controllo sono riutilizzabili immediatamente. La risposta del driver avviene attraverso il bit di stato WR_SUC, che viene settato a 1 appena i valori sono stati scritti con successo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

WriteSync_IsLocal

WriteSync_IsLocal

VT_UI4

WriteTimeout

Timeout [ms]

Nel caso di gruppi ricette viene settata per tutte le ricette del gruppo e può essere sovrascritta per ogni ricetta.

Se Scrittura sincrona è stata attivata, si può inserire qui un timeout. Gli elementi di controllo dell’ immagine Manager gruppi ricette vengono di nuovo abilitati al massimo dopo questo tempo di timeout. Se come Timeout è inserito il valore0, zenon calcola il tempo di attesa come segue: 30000+(100* Numero di punti dati)

Ulteriori informazioni nella guida in linea.

VT_BOOL

WriteTimeout_IsLocal

WriteTimeout_IsLocal

VT_UI2

PWLevel

Livello di autorizzazione:

Selezione del livello autorizzazioni fra quelli della lista a cascata.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Comment1

Commento 1

Riga di commento 1 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Comment2

Commento 2

Riga di commento 2 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Comment3

Commento 3

Riga di commento 3 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Comment4

Commento 4

Riga di commento 4 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Comment5

Commento 5

Riga di commento 5 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Comment6

Commento 6

Riga di commento 6 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Comment7

Commento 7

Riga di commento 7 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Comment8

Commento 8

Riga di commento 8 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.


RGMRecipeGroup

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup

Remarks

The "RGMRecipeGroup" object manages the "RGMRecipe" collection and the utilized "RGMRecipeVar" variables.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_RGMGroup()

'Declarations
Dim zRGM_Group As RGMRecipeGroup
Dim zVariable As Variable
Dim zRGMGroup_Name As String

'Initialization of zRGMGroup_Name with the name of the created group
'zRGMGroup_Name = "zenOn_RGMGroup"
zRGMGroup_Name = MyWorkspace.ActiveDocument.RGMGroups.CreateGroup("zenOn_RGMGroup").DynProperties("Name")
'Initialization of zRGM_Group with the former created group
Set zRGM_Group = MyWorkspace.ActiveDocument.RGMGroups.Item(zRGMGroup_Name)

'Initialization of zVariable with the first element in the "Variables" object of the current project
Set zVariable = MyWorkspace.ActiveDocument.Variables.Item(0)

'Add variable to the recipe group
zRGM_Group.AddVariable zVariable
'Create a new recipe in the recipe group
zRGM_Group.CreateRecipe ("zenOn_RGMRecipe")

'Output the number of variables and recipes in the group
Debug.Print "Number of variables: " & zRGM_Group.VariableCount
Debug.Print "Number of recipes: " & zRGM_Group.RecipeCount & vbNewLine

'Rename the recipe
zRGM_Group.RenameRecipe "zenOn_RGMRecipe", "zenOn_RGMRecipeRenamed"

'Delete the whole recipe group
zRGM_Group.Parent.DeleteGroup (zRGM_Group.DynProperties("Name"))

End Sub

Noch in diesem Kapitel

RGMRecipeGroup-Properties

RGMRecipeGroup-Methods

RGMRecipeGroup-Dynamic properties


RGMRecipeGroup-Properties

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name |  | available | available | yes | yes
IRGMRecipeGroups | Parent | Parent of object | read only | read only | yes | yes
long | VariableCount |  | available | available | yes | yes
long | RecipeCount |  | available | available | yes | yes

Noch in diesem Kapitel

Parent

VariableCount

RecipeCount

Name


Parent

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As RGMRecipeGroups

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VariableCount

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Properties -> VariableCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of "RGMVar" objects within the collection, i.e. the amount of variables that are assigned.

Datatype

VariableCount() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RecipeCount

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Properties -> RecipeCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RecipeCount() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RGMRecipeGroup-Methods

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddVariable | - |  | available | available | yes | yes
LPDISPATCH | CreateRecipe | - |  | available | available | yes | yes
LPDISPATCH | CreateRecipeVersion | Creates a new recipe version for the given recipe name |  | available | available | yes | yes
VARIANT_BOOL | DeleteRecipe | Delete a recipe object by name OR by nummeric index (for name all recipe versions are deleted) |  | available | available | yes | yes
VARIANT_BOOL | DeleteRecipeVersion | Delete a recipe object by name and version OR by nummeric index (for indexes the version is ignored) |  | available | available | yes | yes
VARIANT_BOOL | DeleteVariable | - |  | available | available | yes | yes
VARIANT_BOOL | Duplicate | Duplicate this recipe group |  | available | available | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | available | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | available | yes | yes
VARIANT | ListRecipesName | Passes an array with all recipes name of this group |  | available | available | yes | yes
VARIANT | ListRecipeVersions | Passes an array with all versions of a specified recipe |  | available | available | yes | yes
VARIANT | ListVariablesName | List all variable names from this group |  | available | available | yes | yes
IRGMRecipe | RecipeItem | Get a recipe object by name OR by nummeric index (for name the lowest version is returned) |  | available | available | yes | yes
IRGMRecipe | RecipeItemVersion | Get a recipe object by name and version OR by nummeric index (for indexes the version is ignored) |  | available | available | yes | yes
VARIANT_BOOL | RenameRecipe | - |  | available | available | yes | yes
VARIANT_BOOL | ReorderVariables | Reorders the variables in the group |  | available | available | yes | yes
VARIANT_BOOL | Save | Save the Recipegroup and all Recipegroup Variables |  | available | available | yes | yes
IRGMRecipeVar | VariableItem | - |  | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
VARIANT | ListRecipeInfo | Returns a list containing the name, number, version and status of all recipes in the group. | available |  | available | yes |  | yes

Noch in diesem Kapitel

RecipeItem

RecipeItemVersion

VariableItem

DeleteVariable

DeleteRecipe

DeleteRecipeVersion

AddVariable

CreateRecipe

CreateRecipeVersion

RenameRecipe

Save

Duplicate

ListRecipesName

ListRecipeVersions

ReorderVariables

ListVariablesName

ListRecipeInfo

Export

Import

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


RecipeItem

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> RecipeItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function was extended by the parameter nversion.

For nVersion, the desired version number of the recipe is specified.

Hint: You can get a list with all possible recipe versions through the method RGMRecipeGroup.ListRecipeVersions.

Datatype

RecipeItem(VARIANT vPosOrName) As RGMRecipe

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeItemVersion

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> RecipeItemVersion

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RecipeItemVersion(VARIANT vPosOrName, long nVersion) As RGMRecipe

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VariableItem

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> VariableItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "RGMRecipeVar" object from the collection, selected by its name as string or position within the collection.

Datatype

VariableItem(VARIANT vPosOrName) As RGMRecipeVar

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteVariable

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DeleteVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes an existing "RGMRecipeVar" object from the collection by its name as string or position.

Datatype

DeleteVariable(VARIANT vPosOrName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteRecipe

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DeleteRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function for deleting recipes was extended by the parameter nversion.

For nVersion, either the recipe version to be deleted is specified or 0 if the whole recipe with all its versions should be deleted.

Datatype

DeleteRecipe(VARIANT vPosOrName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteRecipeVersion

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DeleteRecipeVersion

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteRecipeVersion(VARIANT vPosOrName, long nVersion) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AddVariable

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> AddVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Adds a "Variable" object to the collection.

Datatype

AddVariable(LPDISPATCH lpVariable) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

"Variable" object that should be passed.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lpVariable As LPDISPATCH

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub AddRemoveVariable(ByRef zRGMGroup As RGMRecipeGroup)
'Declarations
Dim zVariable As Variable

'Initialization of zVariable with the first element of collection within the "Variables" object
Set zVariable = MyWorkspace.ActiveDocument.Variables.Item(0)

'Add the variable to the recipe group
zRGMGroup.AddVariable zVariable

'Remove the variable from the recipe group by its name
zRGMGroup.DeleteVariable (zVariable.Name)

End Sub


CreateRecipe

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> CreateRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new recipe by its name as a string.

Datatype

CreateRecipe(String bstrName) As LPDISPATCH

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateRecipeVersion

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> CreateRecipeVersion

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new version of a recipe.

bstrName The recipe name of a recipe fo which has to be created a new version.

Return value The new created recipe version as RGMRecipe.

Datatype

CreateRecipeVersion(String bstrName) As LPDISPATCH

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_Recipes()
Dim zRecipeGroups As RGMRecipeGroups
Dim zRecipeGroup As RGMRecipeGroup
Dim zRecipe As RGMRecipe

Set zRecipeGroups = thisProject.RGMGroups

If zRecipeGroups.count > 0 Then
Set zRecipeGroup = zRecipeGroups.Item(0)
Set zRecipe = zRecipeGroup.CreateRecipeVersion("Recipe_A")
If Not zRecipe Is Nothing Then
Debug.Print ("Created new recipe version")
Debug.Print ("Version: " & zRecipe.Version)
End If
End If
End Sub


RenameRecipe

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> RenameRecipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Renames a recipe by passing the old and new name as string.

Datatype

RenameRecipe(String bstrOldName,String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Duplicate

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> Duplicate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Method to create a duplicate of the actual RGMRecipeGroup.The given string parameter represents the duplicates name.A boolean result will be returned.

Datatype

Duplicate(String bsDuplicate) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ListRecipesName

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> ListRecipesName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Generates an array with all recipe names of this group.

Return value An array with all recipe names as variant.

Datatype

ListRecipesName() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_RecipesList()
Dim zRecipeGroups As RGMRecipeGroups
Dim zRecipeGroup As RGMRecipeGroup
Dim vRecipeList As Variant
Dim i As Integer

Set zRecipeGroups = MyWorkspace.ActiveDocument.RGMGroups

If zRecipeGroups.Count > 0 Then
Set zRecipeGroup = zRecipeGroups.Item(0)
vRecipeList = zRecipeGroup.ListRecipesName()
For i = 0 To UBound(vRecipeList)
Debug.Print (vRecipeList(i))
Next i
End If
End Sub


ListRecipeVersions

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> ListRecipeVersions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Generates an array with all recipe versions of a recipe of this group.

bsRecipeName The recipe name of the recipe for which the array has to be created.

Return value An array with all recipe version numbers as variant.

Datatype

ListRecipeVersions(String bsRecipeName) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_RecipesVersionList()
Dim zRecipeGroups As RGMRecipeGroups
Dim zRecipeGroup As RGMRecipeGroup
Dim vRecipeList As Variant
Dim i As Integer

Set zRecipeGroups = MyWorkspace.ActiveDocument.RGMGroups

If zRecipeGroups.Count > 0 Then
Set zRecipeGroup = zRecipeGroups.Item(0)
If Not zRecipeGroup.RecipeItem("Recipe_A") Is Nothing Then
Debug.Print ("Show Version of Recipe: " & zRecipeGroup.RecipeItem("Recipe_A").name)
' Get an array of the RecipeVersion
vRecipeList = zRecipeGroup.ListRecipeVersions("Recipe_A")

For i = 0 To UBound(vRecipeList)
Debug.Print ("Version: " & vRecipeList(i))
Next i
End If
Set zRecipeGroup = Nothing
End If
Set zRecipeGroups = Nothing
End Sub


ReorderVariables

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> ReorderVariables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReorderVariables(VARIANT vNamesInNewOrder) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Macro_SortVars()
Dim zRecipeGroup As RGMRecipeGroup
Dim sVars1() As String
Dim sVars2() As String
Dim i As Integer

Set zRecipeGroup = MyWorkspace.ActiveDocument.RGMGroups.Item(0)

'Get list of variable names
sVars1 = zRecipeGroup.ListVariablesName
Debug.Print ("Before reorder")
For i = 0 To UBound(sVars1)
Debug.Print (i & ": " & sVars1(i))
Next i
' Move first variable down
ReDim sVars2(UBound(sVars1, 1))
Dim length As Integer
length = UBound(sVars1)
For i = 0 To length
If (i < length) Then
sVars2(i) = sVars1((i + 1)) ' set variable to next index
Else
sVars2(i) = sVars1(0) ' set last variable to first position
End If
Next i
' set new order
Dim b As Boolean
b = zRecipeGroup.ReorderVariables(sVars2)
Debug.Print ("After reorder")
'Get list of variable names
sVars1 = zRecipeGroup.ListVariablesName
For i = 0 To UBound(sVars1)
Debug.Print (i & ": " & sVars1(i))
Next i
End Sub


ListVariablesName

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> ListVariablesName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ListVariablesName() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_RecipesVariableList()
Dim zRecipeGroups As RGMRecipeGroups
Dim zRecipeGroup As RGMRecipeGroup
Dim vVariableList As Variant
Dim i As Integer

Set zRecipeGroups = MyWorkspace.ActiveDocument.RGMGroups

If zRecipeGroups.Count > 0 Then
Set zRecipeGroup = zRecipeGroups.Item(0)
If Not zRecipeGroup.RecipeItem("Recipe_A") Is Nothing Then
Debug.Print ("Show Version of Recipe: " & zRecipeGroup.RecipeItem("Recipe_A").name)
' Get an array with the variable names
vVariableList = zRecipeGroup.ListVariablesName()

For i = 0 To UBound(vVariableList)
Debug.Print ("Variable name: " & vVariableList(i))
Next i
End If
Set zRecipeGroup = Nothing
End If
Set zRecipeGroups = Nothing
End Sub


ListRecipeInfo

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> ListRecipeInfo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This methode generates one array with all the following information from all recipes in this group.

RecipeName|RecipeNumber|RecipeVersion|RecipeStatus

The seperator is a Pipe |

Datatype

ListRecipeInfo() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Public Sub Macro_RecipesList()
Dim zRecipeGroups As RGMRecipeGroups
Dim zRecipeGroup As RGMRecipeGroup
Dim vRecipeList As Variant
Dim i As Integer

Set zRecipeGroups = MyWorkspace.ActiveDocument.RGMGroups

If zRecipeGroups.Count > 0 Then
Set zRecipeGroup = zRecipeGroups.Item(0)
vRecipeList = zRecipeGroup.ListRecipeVersions()
For i = 0 To UBound(vRecipeList)
Debug.Print (vRecipeList(i))
Next i
End If
End Sub


Export

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_ExportRecipeGroup()
Dim zRGMGroups As RGMRecipeGroups
Dim zRGMGroup As RGMRecipeGroup
Dim zFile As String
Dim i As Integer

Set zRGMGroups = thisProject.RGMGroups ' Get all recipe groups
zFile = zRGMGroups.Parent.ModulePath(tpModulePaths.tpPathExport)

For i = 0 To zRGMGroups.count - 1
Set zRGMGroup = zRGMGroups.Item(i) ' Get a recipe group
With zRGMGroup
Debug.Print ("Export: " & .Name & " To '" & zFile & .Name & ".XML'")
If Dir(zFile & .Name & ".XML") <> "" Then 'Check if file exist
Debug.Print ("File exist!")
Else
If zRGMGroups.Item(i).Export(.Name & ".XML") Then ' Export with relative path
Debug.Print ("Exported!")
Else
Debug.Print ("ERROR!")
End If
End If
End With
Set zRGMGroup = Nothing
Next i

End Sub


Import

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. Existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_ImportRecipeGroup()
Dim zRGMGroups As RGMRecipeGroups
Dim zRGMGroup As RGMRecipeGroup
Dim zFile As String
Dim i As Integer

Set zRGMGroups = thisProject.RGMGroups 'Get all recipe groups
zFile = zRGMGroups.Parent.ModulePath(tpModulePaths.tpPathExport) & "Group_B.XML" 'RuntimeFolder\Export\Group_B.XML

Debug.Print ("Import: " & zFile)
If Dir(zFile) <> "" Then 'Check if file exist
Debug.Print ("File exist!")
If zRGMGroups.Item("Group_B") Is Nothing Then
Set zRGMGroup = zRGMGroups.CreateGroup("Group_B") 'Create new RGMGroup
If zRGMGroup.Import(zFile) Then 'Import recipes with relative path
Debug.Print ("Imported!")
Else
Debug.Print ("Error!")
End If
Set zRGMGroup = Nothing
End If
End If

End Sub


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


RGMRecipeGroup-Dynamic properties

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Object recipes

Noch in diesem Kapitel

Object recipes


Object recipes

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroup -> RGMRecipeGroup-Dynamic properties -> Object recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome gruppo

Nome del gruppo ricette.

Nel caso si sia adottata l´impostazione File Binari per la proprietà DataSource, sono consentiti solamente caratteri alfanumerici.

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.

VT_BOOL

WriteSync

Scrittura sincrona

Nel caso di gruppi ricette viene settata per tutte le ricette del gruppo e può essere sovrascritta per ogni ricetta.

Attivo : alla scrittura di una ricetta vengono bloccati tutti gli elementi di controllo nell’immagine del Manager gruppi ricette, finchè arriva risposta dal driver, che tutti i valori della ricetta sono stati scritti con successo o finche è trascorso il Timeout [ms] .

Inattivo: I valori della ricetta vengono scritti senza attendere una risposta. Gli elementi di controllo sono riutilizzabili immediatamente. La risposta del driver avviene attraverso il bit di stato WR_SUC, che viene settato a 1 appena i valori sono stati scritti con successo.

Ulteriori informazioni nella guida in linea.

VT_UI4

WriteTimeout

Timeout [ms]

Nel caso di gruppi ricette viene settata per tutte le ricette del gruppo e può essere sovrascritta per ogni ricetta.

Se Scrittura sincrona è stata attivata, si può inserire qui un timeout. Gli elementi di controllo dell’ immagine Manager gruppi ricette vengono di nuovo abilitati al massimo dopo questo tempo di timeout. Se come Timeout è inserito il valore0, zenon calcola il tempo di attesa come segue: 30000+(100* Numero di punti dati)

Ulteriori informazioni nella guida in linea.

VT_BSTR

Feedback_Write_Result

Scrittura ricetta terminata

Risultato dell´esecuzione della ricetta come valore numerico.

VT_BSTR

Feedback_Write_Name

Nome ricetta

Nome della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Number

Numero ricetta

Numero della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Version

Versione ricetta

Versione della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Rights

Livello di autorizzazione:

Livello di autorizzazione della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Status_Txt

Testo stato ricetta

Stato della ricetta eseguita per ultima. Il testo ha il formato: 1 - @Text
Questo testo viene scritto come testo grezzo nella variabile. Per visualizzare il testo in traduzione, deve essere attiva nell´elemento di visualizzazione (testo dinamico) la proprietà Tradurre testo .

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Feedback_Write_Status_Nr

Nr. stato ricetta

Stato della ricetta eseguita per ultima come numero.

VT_BSTR

Feedback_Write_Userchange

Utente per la modifica

Nome dell´utente registrato al momento dell´ultima modifica apportata alla ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Timechange

Orario di modifica

Momento dell´ultima modifica apportata alla ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Comment1

Commento 1

Commento 1 della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Comment2

Commento 2

Commento 2 della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Comment3

Commento 3

Commento 3 della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Comment4

Commento 4

Commento 4 della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Comment5

Commento 5

Commento 5 della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Comment6

Commento 6

Commento 6 della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Comment7

Commento 7

Commento 7 della ricetta eseguita per ultima.

VT_BSTR

Feedback_Write_Comment8

Commento 8

Commento 8 della ricetta eseguita per ultima.

VT_BSTR

Feedback_Read_Result

Lettura ricetta terminata

Risultato di leggi ricetta come valore numerico.

VT_BSTR

Feedback_Read_Name

Nome ricetta

Nome della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Number

Numero ricetta

Numero della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Version

Versione ricetta

Versione della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Rights

Livello di autorizzazione:

Livello di autorizzazione della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Status_Txt

Testo stato ricetta

Stato della ricetta letta per ultima. Il testo ha il formato: 1 - @Text
Questo testo viene scritto come testo grezzo nella variabile. Per visualizzare il testo in traduzione, deve essere attiva nell´elemento di visualizzazione (testo dinamico) la proprietà Tradurre testo .

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Feedback_Read_Status_Nr

Nr. stato ricetta

Stato della ricetta letta per ultima come numero.

VT_BSTR

Feedback_Read_Userchange

Utente per la modifica

Nome dell´utente registrato al momento dell´ultima modifica apportata alla ricetta letta per ultima.

VT_BSTR

Feedback_Read_Timechange

Orario di modifica

Momento dell´ultima modifica apportata alla ricetta letta per ultima.

VT_BSTR

Feedback_Read_Comment1

Commento 1

Commento 1 della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Comment2

Commento 2

Commento 2 della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Comment3

Commento 3

Commento 3 della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Comment4

Commento 4

Commento 4 della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Comment5

Commento 5

Commento 5 della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Comment6

Commento 6

Commento 6 della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Comment7

Commento 7

Commento 7 della ricetta letta per ultima.

VT_BSTR

Feedback_Read_Comment8

Commento 8

Commento 8 della ricetta letta per ultima.

VT_BSTR

Feedback_Check_Result

Interrogazione valori ricetta - risultato

Risultato del controllo della ricetta come valore numerico.

VT_BSTR

Feedback_Check_Different

Controllo valori - differenze

Differenze nel risultato del controllo della ricetta come testo.

VT_BSTR

Feedback_Check_Name

Nome ricetta

Nome della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Number

Numero ricetta

Numero della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Version

Versione ricetta

Versione della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Rights

Livello di autorizzazione:

Livello di autorizzazione della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Status_Txt

Testo stato ricetta

Stato della ricetta controllata per ultima. Il testo ha il formato: 1 - @Text
Questo testo viene scritto come testo grezzo nella variabile. Per visualizzare il testo in traduzione, deve essere attiva nell´elemento di visualizzazione (testo dinamico) la proprietà Tradurre testo .

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Feedback_Check_Status_Nr

Nr. stato ricetta

Stato della ricetta controllata per ultima come numero.

VT_BSTR

Feedback_Check_Userchange

Utente per la modifica

Nome dell´utente registrato al momento dell´ultima modifica apportata alla ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Timechange

Orario di modifica

Momento dell´ultima modifica apportata alla ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Comment1

Commento 1

Commento 1 della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Comment2

Commento 2

Commento 2 della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Comment3

Commento 3

Commento 3 della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Comment4

Commento 4

Commento 4 della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Comment5

Commento 5

Commento 5 della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Comment6

Commento 6

Commento 6 della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Comment7

Commento 7

Commento 7 della ricetta controllata per ultima.

VT_BSTR

Feedback_Check_Comment8

Commento 8

Commento 8 della ricetta controllata per ultima.

VT_BSTR

Feedback_XMLImport_Result

Risultato di importazione

Successo dell´import XML.


RGMRecipeGroups

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups

Remarks

This object manages "RGMRecipeGroup" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_RGMGroups()
'Declarations
Dim zRGM_Groups As RGMRecipeGroups
Dim zRGM_Group As RGMRecipeGroup
Dim i As Integer

'Initialize zRGM_Groups with the "RGMGroups" object of the current project
Set zRGM_Groups = MyWorkspace.ActiveDocument.RGMGroups

'Create a new group called "zenOn_RGMGroup"
zRGM_Groups.CreateGroup ("zenOn_RGMGroup")

'Enumerate all recipe groups
For i = 0 To zRGM_Groups.Count - 1
'Assign the current item to zRGM_Group
Set zRGM_Group = zRGM_Groups.Item(i)

'Enumerate the groups
Debug.Print i + 1 & ". Group: "
'Output name of the group
Debug.Print " Name: " & zRGM_Group.DynProperties("Name")
'Output amount of recipes within the collection
Debug.Print " Recipes: " & zRGM_Group.RecipeCount
'Output amount of variables within the collection
Debug.Print " Variables: " & zRGM_Group.VariableCount
'Output a blank line
Debug.Print ""

'If there are recipes available, then output them
If zRGM_Group.RecipeCount > 0 Then
Call GetRecipesOfGroup(zRGM_Group)
End If

'If there are variables available, then output them
If zRGM_Group.VariableCount > 0 Then
Call GetVariablesOfGroup(zRGM_Group)
End If

Next i

'Delete the former created group
zRGM_Groups.DeleteGroup ("zenOn_RGMGroup")

Debug.Print ""
End Sub

Sub GetRecipesOfGroup(myRGMGroup As RGMRecipeGroup)
'Declarations
Dim zRGM_Recipe As RGMRecipe
Dim i As Integer

Debug.Print "Recipes"
'Enumerate all recipes in the group
For i = 0 To myRGMGroup.RecipeCount - 1
'Assign the current recipe item to zRGM_Recipe
Set zRGM_Recipe = myRGMGroup.RecipeItem(i)
'Output the recipe
Debug.Print " Recipe" & i + 1 & ": " & zRGM_Recipe.DynProperties("RecipeName")
Next i
'Output a blank line
Debug.Print ""
End Sub

Sub GetVariablesOfGroup(myRGMGroup As RGMRecipeGroup)
'Declarations
Dim zRGM_Variable As RGMRecipeVar
Dim i As Integer

'Enumerate all variables of the group
Debug.Print "Variables"
For i = 0 To myRGMGroup.VariableCount - 1
'Assign the current variable item to zRGM_Variable
Set zRGM_Variable = myRGMGroup.VariableItem(i)
'Output the variable
Debug.Print " Var" & i + 1 & ": " & zRGM_Variable.Name
Next i
'Output a blank line
Debug.Print ""
End Sub

Noch in diesem Kapitel

RGMRecipeGroups-Properties

RGMRecipeGroups-Methods

RGMRecipeGroups-Events

RGMRecipeGroups-Dynamic properties


RGMRecipeGroups-Properties

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IProject | Parent | Parent of object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RGMRecipeGroups-Methods

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IRGMRecipeGroup | CreateGroup | - |  | available | available | yes | yes
VARIANT_BOOL | DeleteGroup | - |  | available | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | available | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IRGMRecipeGroup | Item | - |  | available | available | yes | yes
VARIANT_BOOL | RenameGroup | - |  | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | available | yes | yes

Noch in diesem Kapitel

Item

CreateGroup

DeleteGroup

RenameGroup

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent

SingleExport

Export

Import


Item

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "RGMRecipeGroup" object by its name as a string or by its position.

Datatype

Item(VARIANT vPosOrName) As RGMRecipeGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateGroup

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> CreateGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new group by its name as string.

Datatype

CreateGroup(String bstrName) As RGMRecipeGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteGroup

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> DeleteGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes a group by its name as string.

Datatype

DeleteGroup(String bstrName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RenameGroup

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> RenameGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Renames a group by passing the old and new name as string.

Datatype

RenameGroup(String bstrOldName,String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Get

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


RGMRecipeGroups-Events

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | RecipeCreate | A new recipe is going to be created | available | available | yes | yes
void | RecipeCreated | A new recipe was created | available | available | yes | yes
void | RecipeDelete | A recipe is going to be deleted | available | available | yes | yes
void | RecipeDuplicate | A recipe is going to be created as a duplicate | available | available | yes | yes
void | RecipeDuplicated | A recipe was created as a duplicate | available | available | yes | yes
void | RecipeRename | A recipe is going to be renamed | available | available | yes | yes
void | RecipeXMLImport | A recipe is going to be imported from a XML file. | available | available | yes | yes
void | StatusChange | A recipe status is going to be changed | available | available | yes | yes
void | VersionCreate | A new recipe version is going to be created | available | available | yes | yes
void | VersionCreated | A new recipe version was created | available | available | yes | yes
void | VersionDelete | A recipe version is going to be deleted | available | available | yes | yes
void | VersionDuplicate | A recipe version is going to be created as a duplicate | available | available | yes | yes
void | VersionDuplicated | A recipe version was created as a duplicate | available | available | yes | yes
void | VersionDuplicatedRead | A recipe version was created as a duplicate and read from the PLC | available | available | yes | yes
void | VersionDuplicateRead | A recipe version is going to be created as a duplicate and read | available | available | yes | yes

Noch in diesem Kapitel

StatusChange

RecipeCreate

VersionCreate

RecipeDuplicate

VersionDuplicate

VersionDuplicateRead

RecipeCreated

VersionCreated

RecipeDuplicated

VersionDuplicated

VersionDuplicatedRead

RecipeRename

RecipeDelete

VersionDelete

RecipeXMLImport


StatusChange

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> StatusChange

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested before changing the status.

obRecipe The concerned recipe.

nStatusNew [ByRef]The wanted status in the way how the operater would like to change it.

bCancel [ByRef]Flag to cancel this action. If true, the action will be canceled.

Datatype

StatusChange(RGMRecipe obRecipe, long nStatusNew, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeCreate

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeCreate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested for validation before creating a recipe.

obRecipeGroup The concerned recipe group which the recipe is added to.

strNewName [ByRef]The recipe name to be assigned.

nNewNumber [ByRef]The recipe number to be assigned.

bCancel [ByRef]Flag to cancel this action. If true, the action will be canceled.

Datatype

RecipeCreate(RGMRecipeGroup obRecipeGroup, String strNewName, long nNewNumber, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionCreate

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionCreate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested for validation before creating a recipe version.

obRecipeGroup The concerned recipe group which the recipe is added to.

strNewName The recipe name.

nNewNumber [ByRef]The recipe number to be assigned.

bCancel [ByRef]Flag to cancel this action. If true, the action will be canceled.

Datatype

VersionCreate(RGMRecipeGroup obRecipeGroup, String strName, long nNewNumber, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeDuplicate

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeDuplicate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested for validation before duplicating (save recipe under) a recipe.

obRecipeGroup The concerned recipe group which the recipe is added to.

strNewName [ByRef]The recipe name to be assigned.

nNewNumber [ByRef]The recipe number to be assigned.

bCancel [ByRef]Flag to cancel this action. If true, the action will be canceled.

Datatype

RecipeDuplicate(RGMRecipeGroup obRecipeGroup, String strNewName, long nNewNumber, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionDuplicate

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionDuplicate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Wird zur Validierung vor dem Anlegen der Rezeptversion beim Duplizieren aufgerufen.

obRecipeGroup Die betroffene Rezeptgruppe zu welcher das Rezept hinzugefügt wird.

strNewName Der Rezeptname.

nNewNumber [ByRef]Die zu vergebende Rezeptnummer.

bCancel [ByRef]Das Flag um diese Aktion abzubrechen. Bei True wird die Aktion abgebrochen.

Datatype

VersionDuplicate(RGMRecipeGroup obRecipeGroup, String strName, long nNewNumber, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionDuplicateRead

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionDuplicateRead

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

It is requested for validation before creating a recipe version on "duplicate and read".

obRecipeGroup The concerned recipe group which the recipe is added to.

strNewName The recipe name.

nNewNumber [ByRef]The recipe number to be assigned.

bCancel [ByRef]The Flag to cancel the action. If true, the action will be canceled.

Datatype

VersionDuplicateRead(RGMRecipeGroup obRecipeGroup, String strName, long nNewNumber, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeCreated

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeCreated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RecipeCreated(RGMRecipe obRecipe) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionCreated

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionCreated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

VersionCreated(RGMRecipe obRecipe) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeDuplicated

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeDuplicated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested after duplicating a recipe.

obRecipe [ByRef] The new created recipe.

Datatype

RecipeDuplicated(RGMRecipe obRecipe) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionDuplicated

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionDuplicated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested after duplicating a recipe version.

obRecipe [ByRef]The new recipe version which has been created.

Datatype

VersionDuplicated(RGMRecipe obRecipe) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionDuplicatedRead

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionDuplicatedRead

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested after „duplicate and read" of a recipe version.

obRecipe [ByRef]The recipe version which has been created new.

Datatype

VersionDuplicatedRead(RGMRecipe obRecipe) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeRename

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeRename

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested for validation before renaming a recipe.

obRecipe The lowest version of the concerned recipe.

strNewName [ByRef]The new recipe name.

bCancel [ByRef]Flag to cancel this action. If true, the action will be canceled.

Datatype

RecipeRename(RGMRecipe obRecipe, String strNewName, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeDelete

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeDelete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested for validation before deleting a recipe (with all its versions).

obRecipe The lowest version of the concerned recipe.

bCancel [ByRef]Flag to cancel this action. If true, the action will be canceled.

Datatype

RecipeDelete(RGMRecipe obRecipe, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionDelete

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionDelete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Is requested for validation before deleting a recipe version.

obRecipe The recipe version to be deleted.

bCancel [ByRef]Flag to cancel this action. If true, the action is canceled.

Datatype

VersionDelete(RGMRecipe obRecipe, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeXMLImport

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeXMLImport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RecipeXMLImport(tpRGMRecipeImport nEventTopic, IRGMRecipeGroup obRecipeGroup, String strRecipeName, long nRecipeVersion, long lCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zRGMRecipeGroups As RGMRecipeGroups

Private Sub Project_Active()
Set zRGMRecipeGroups = thisProject.RGMGroups
End Sub

Public Sub zRGMRecipeGroups_RecipeXMLImport(ByVal nEventTopic As tpRGMRecipeImport, _
ByVal obRecipeGroup As IRGMRecipeGroup, _
ByVal strRecipeName As String, _
ByVal nRecipeVersion As Long, _
lCancel As Long)
Select Case nEventTopic
Case tpRGMRecipeImport.tpOverwriteRecipe
Debug.Print ("Overwrite recipe: " & tpRGMRecipeImport.tpOverwriteRecipe)
Case tpRGMRecipeImport.tpCreateNewRecipe
Debug.Print ("Create new recipe: " & tpRGMRecipeImport.tpCreateNewRecipe)
Case tpRGMRecipeImport.tpValuesDiffer
Debug.Print ("Values differ: " & tpRGMRecipeImport.tpValuesDiffer)
End Select
Debug.Print ("=======================================")
Debug.Print ("Recipe Group: " & obRecipeGroup.Name)
Debug.Print ("Recipe Name: " & strRecipeName)
Debug.Print ("Recipe Count: " & obRecipeGroup.RecipeCount)
Debug.Print ("Recipe Version: " & nRecipeVersion)

If (obRecipeGroup.RecipeCount = 1) Then
'Continue import
lCancel = 0
ElseIf (obRecipeGroup.RecipeCount = 2) Then
'Cancel the import for the current recipe and proceed with the next recipe.
lCancel = 1
ElseIf obRecipeGroup.RecipeCount > 2 Then
'Cancel the import for the current recipe and proceed with the next recipegroup
lCancel = 2
End If
End Sub


RGMRecipeGroups-Dynamic properties

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Base recipes

Noch in diesem Kapitel

Base recipes


Base recipes

Manuale -> Scripting -> Objectmodel -> RGMRecipeGroups -> RGMRecipeGroups-Dynamic properties -> Base recipes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_MEMFILE | StatusList | Identificatore stato ricetta | Configurazione della denominazione stato. Cliccando sulla proprietà, si apre il dialogo che serve alla configurazione. Lista degli stati viene usata per la selezione stati nella ricetta. Ulteriori informazioni nella guida in linea.
ZT_PICTURE | BoolKbd | Parametro binario | Selezione di una keyboard per inserimenti binari. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine del tipo Keyboard. Ulteriori informazioni nella guida in linea.
ZT_PICTURE | NumKbd | Parametro numerico | Selezione di una keyboard per inserimenti numerici. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine del tipo Keyboard. Ulteriori informazioni nella guida in linea.
ZT_PICTURE | StringKbd | Parametro stringa | Selezione di una keyboard per inserimenti stringa. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine del tipo Keyboard. Ulteriori informazioni nella guida in linea.
ZT_COLOR | TextColorInvalidValue | Colore testo per valore di ricetta non valido | Scelta del colore testo per celle con valori non validi. In tal modo vengono evidenziati quei parametri che si trovano aldilà dei valori minimi/massimi definiti, oppure la cui azione si riferisce ad una variabile che non è esistente, oppure non raggiungibile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti. Default: bianco (#FFFFFF) Ulteriori informazioni nella guida in linea.
ZT_COLOR | BackColorInvalidValue | Colore di sfondo per valore di ricetta non valido | Scelta del colore di sfondo per celle con valori non validi. In tal modo vengono evidenziati quei parametri che si trovano aldilà dei valori minimi/massimi definiti, oppure la cui azione si riferisce ad una variabile che non è esistente, oppure non raggiungibile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti. Default: rosso (#DD4814) Ulteriori informazioni nella guida in linea.
ZT_COLOR | TextColorMatchPLC | Colore testo per valore di ricetta uguale a valore PLC | Scelta del colore testo per valori corrispondenti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti. Default: bianco (#FFFFFF) Ulteriori informazioni nella guida in linea.
ZT_COLOR | BackColorMatchPLC | Colore di sfondo per valore di ricetta uguale a valore PLC | Scelta del colore di sfondo per valori corrispondenti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore, o di una tavolozza dei colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti. Default: verde (#96BD33) Ulteriori informazioni nella guida in linea.
ZT_COLOR | TextColorNoMatchPLC | Colore testo per valore di ricetta diverso da valore PLC | Scelta del colore testo per valori PLC divergenti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti. Default: bianco (#FFFFFF) Ulteriori informazioni nella guida in linea.
ZT_COLOR | BackColorNoMatchPLC | Colore di sfondo per valore di ricetta diverso da valore PLC | Scelta del colore di sfondo per valori PLC divergenti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti. Default: rosso (#DD4814) Ulteriori informazioni nella guida in linea.
ZT_COLOR | TextColorInvalidPLC | Colore testo per valori PLC non validi | Scelta del colore testo per valori PLC non validi Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti. Default: bianco (#FFFFFF) Ulteriori informazioni nella guida in linea.
ZT_COLOR | BackColorInvalidPLC | Colore di sfondo per valori PLC non validi | Scelta del colore di sfondo per valori PLC non validi. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti. Default: blu (#3D6894) Ulteriori informazioni nella guida in linea.
ZT_COLOR | TextColorInterlockedParameter | Colore testo per parametro di ricetta bloccato | Scelta del colore testo per i parametri ricetta bloccati.Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti. Default: nero (#000000) Ulteriori informazioni nella guida in linea.
ZT_COLOR | BackColorInterlockedParameter | Colore di sfondo per parametro di ricetta bloccato | Scelta del colore di sfondo per i parametri ricetta bloccati. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti. Default: grigio (#D3D3D3) Ulteriori informazioni nella guida in linea.


RGMRecipeValue

Manuale -> Scripting -> Objectmodel -> RGMRecipeValue

Remarks

The "RGMRecipeValue" object is utilized by the "RGMRecipe" object, in order to define the characteristics.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub GetValuesOfRecipe(myRGMRecipe As RGMRecipe)
'Declarations
Dim zRGM_Value As RGMRecipeValue
Dim i As Integer

'enum all values of the recipe
For i = 0 To myRGMRecipe.ValueCount - 1
Set zRGM_Value = myRGMRecipe.ValueItem(i)
Debug.Print "Value: " & zRGM_Value.VarName & " = " & zRGM_Value.DynProperties("Value")
Next i

End Sub

Noch in diesem Kapitel

RGMRecipeValue-Properties

RGMRecipeValue-Methods

RGMRecipeValue-Dynamic properties


RGMRecipeValue-Properties

Manuale -> Scripting -> Objectmodel -> RGMRecipeValue -> RGMRecipeValue-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRGMRecipe | Parent | Parent of object | read only | read only | yes | yes
BSTR | VarName | Name of the Variable | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

VarName


Parent

Manuale -> Scripting -> Objectmodel -> RGMRecipeValue -> RGMRecipeValue-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As RGMRecipe

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarName

Manuale -> Scripting -> Objectmodel -> RGMRecipeValue -> RGMRecipeValue-Properties -> VarName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the assigned variable.

Datatype

VarName() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RGMRecipeValue-Methods

Manuale -> Scripting -> Objectmodel -> RGMRecipeValue -> RGMRecipeValue-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> RGMRecipeValue -> RGMRecipeValue-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> RGMRecipeValue -> RGMRecipeValue-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> RGMRecipeValue -> RGMRecipeValue-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> RGMRecipeValue -> RGMRecipeValue-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


RGMRecipeValue-Dynamic properties

Manuale -> Scripting -> Objectmodel -> RGMRecipeValue -> RGMRecipeValue-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Object value

Noch in diesem Kapitel

Object value


Object value

Manuale -> Scripting -> Objectmodel -> RGMRecipeValue -> RGMRecipeValue-Dynamic properties -> Object value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI4 | Type | Azione | This property defines the action type on a recipe variable.
ZT_VARIABLE | Variable | Variable | This property returns the recipe variable.
VT_I4 | Offset | Offset | "This property returns the offset for variables with an old-style array. It returns ""-1"" when a normal variable is used. ""0"" is the first element in the old style array."
ZT_VARIABLE | SourceVar | SourceVar | "This property returns the variable which is linked to the recipe variable when action type ""Link to PV"" is used."
VT_I4 | SourceOffset | SourceOffset | "this property returns the index of the old array when ""link with PV"" is used and the source variable has an old-style array. It returns ""-1"" in normal cases, where the source variable is a normal variable."
VT_R8 | Value | Valore o Variabile | "This property returns the projected value when action type: ""Modify spontaneous value"", ""Switch to and modify spontaneous value"", ""modify substitute value"" or Switch to and modify alternate value is projected."
VT_BSTR | StringValue | StringValue | "This property returns the project string when action type ""user status"" is used."


RGMRecipeVar

Manuale -> Scripting -> Objectmodel -> RGMRecipeVar

Remarks

This object is utilized by the "RGMRecipeGroup" object, in order to define which Variable is assigned to it.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub GetVariablesOfGroup(myRGMGroup As RGMRecipeGroup)
'Declarations
Dim zRGM_Variable As RGMRecipeVar
Dim i As Integer

'enum all variables of the group
For i = 0 To myRGMGroup.VariableCount - 1
Set zRGM_Variable = myRGMGroup.VariableItem(i)
Debug.Print "Variable: " & zRGM_Variable.Name
Next i

End Sub

Noch in diesem Kapitel

RGMRecipeVar-Properties

RGMRecipeVar-Methods

RGMRecipeVar-Dynamic properties


RGMRecipeVar-Properties

Manuale -> Scripting -> Objectmodel -> RGMRecipeVar -> RGMRecipeVar-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | Name of the Variable | read only | read only | yes | yes
IRGMRecipeGroup | Parent | Parent of object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Name


Parent

Manuale -> Scripting -> Objectmodel -> RGMRecipeVar -> RGMRecipeVar-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As RGMRecipeGroup

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> RGMRecipeVar -> RGMRecipeVar-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the assigned variable.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RGMRecipeVar-Methods

Manuale -> Scripting -> Objectmodel -> RGMRecipeVar -> RGMRecipeVar-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> RGMRecipeVar -> RGMRecipeVar-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> RGMRecipeVar -> RGMRecipeVar-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> RGMRecipeVar -> RGMRecipeVar-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> RGMRecipeVar -> RGMRecipeVar-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


RGMRecipeVar-Dynamic properties

Manuale -> Scripting -> Objectmodel -> RGMRecipeVar -> RGMRecipeVar-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Object channell

Noch in diesem Kapitel

Object channell


Object channell

Manuale -> Scripting -> Objectmodel -> RGMRecipeVar -> RGMRecipeVar-Dynamic properties -> Object channell

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

RangeFromVar

Riprendi limiti di valori impostabili da variabile

Attivo: I limiti di valori impostabili vengono ripresi in modo dinamico dalle variabili e non impostati in modo fisso nel gruppo ricette.

Ulteriori informazioni nella guida in linea.

VT_R8

Min

Valore min.

E' a disposizione solo se la proprietà Riprendi limiti di valori impostabili da variabile non è stata attivata.

Valore minimo delle variabili.

Ulteriori informazioni nella guida in linea.

VT_R8

Max

Valore max.

E' a disposizione solo se la proprietà Riprendi limiti di valori impostabili da variabile non è stata attivata.

Valore massimo delle variabili.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Interlocking

Interblocco

Assegnazione di un interblocco per variabili. selezione dalla lista a cascata

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

VisibilityVar

Variabile di visibilità

Selezione di una variabile per la gestione della visibilità. Un clic sul comando ... apre il dialogo che serve alla selezione.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Filter

ColOrderAll

ZT_PICTURE

Keyboard

Immagine tipo Keyboard

Collegamento di un´immagine del tipo keyboard che deve essere aperta durante il runtime cliccando con il tasto sinistro del mouse sulla variabile per inserire un valore. Cliccando sul pulsante, si apre il dialogo che serve alla selezione.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

ShadowVariable

Variabile di ricetta grafica

Nel Runtime, le variabili ricetta grafiche consentono di modificare tramite un´immagine un valore ricetta RGM. Per ogni variabile esistente in un gruppo ricette, si può definire una variabile d´appoggio. Nel Runtime, la variabile RGM viene sostituita con una variabile d´appoggio mediante la funzione Manager gruppi di ricette e con l´azione Scrivi valori ricetta su variabili ricetta grafiche; essa viene riscritta nel RGM dopo una modifica mediante l´azione Scrivi variabili ricetta grafiche sui valori di ricetta.

Cliccando sul pulsante si apre il dialogo per selezionare la variabile grafica di ricetta. Una variabile ricetta grafica può essere usata una sola volta per ogni gruppo ricette.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

Variable

Nome variabile

This property returns the recipe variable.

VT_I4

Offset

Offset

"This property returns the offset for variables with an old-style array. It returns ""-1"" when a normal variable is used. ""0"" is the first element in the old style array."


RtFunction

Manuale -> Scripting -> Objectmodel -> RtFunction

Remarks

This object is a zenOn function and contains the most important information about the function.A function can be accessed by a unique name, that has to be defined for it, or you can run through all functions by its index.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'########################################################################'
'# Procedure to change the properties of a function with replacing... #'
'# -------------------------------------------------------------------- #'
'# In the picture to show there are several linked variables, #'
'# beginning with 'Dummy/Dummy' this string will be replaced with the #'
'# given parameter 'strDest' and the function will be executed. #'
'########################################################################'
Sub ChangeFunction(strName As String, strDest As String)
Dim zFCT As RtFunction
Dim strTemp As String
Dim i As Integer

Set zFCT = thisProject.RtFunctions.Item(strName)
If zFCT Is Nothing Then
MsgBox "A function called: " & strName & " is missing!"
Exit Sub
End If
With zFCT
For i = 0 To CLng(.DynProperties("PictSwitch.SubstiVar")) - 1
strTemp = .DynProperties("PictSwitch.SubstiVar[" & i & "].Source")
strTemp = Replace(strTemp, "Dummy/Dummy", strDest)
.DynProperties("PictSwitch.SubstiVar[" & i & "].Destination") = strTemp
Next i
For i = 0 To CLng(.DynProperties("PictSwitch.SubstiFkt")) - 1
strTemp = .DynProperties("PictSwitch.SubstiFkt[" & i & "].Source")
strTemp = Replace(strTemp, "Dummy/Dummy", strDest)
.DynProperties("PictSwitch.SubstiFkt[" & i & "].Destination") = strTemp
Next i
End With
End Sub

Noch in diesem Kapitel

RtFunction-Properties

RtFunction-Methods

RtFunction-Dynamic properties


RtFunction-Properties

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Actual |  | available | read only | yes | yes
VARIANT_BOOL | Client |  | available | read only | yes | yes
BSTR | Name |  | available | read only | yes | yes
BSTR | ParamString |  | read only | read only | yes | yes
IRtFunctions | Parent |  | read only | read only | yes | yes
VARIANT_BOOL | Server |  | available | read only | yes | yes
VARIANT_BOOL | StandBy |  | available | read only | yes | yes
long | Type |  | read only | read only | yes | yes
long | ID |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Name

ParamString

Type

Actual

Server

StandBy

Client

ID


Parent

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As RtFunctions

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property returns the name to identify the function. This name can be (but may not in earlier version) defined in the Editor on creating the function. The user has to define the name explicitely.This name has to be unique.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ParamString

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Properties -> ParamString

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the string wich is shown in the editor.

Datatype

ParamString() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Type() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Actual

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Properties -> Actual

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function will be executed on the PC on which it was started. Only available in network projects!

Datatype

Actual() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Server

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Properties -> Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function will be executed on the server of the project. Only available in network projects!

Datatype

Server() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


StandBy

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Properties -> StandBy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function will be executed on the standby server of the project. Only available in network projects!

Datatype

StandBy() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Client

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Properties -> Client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function will be executed on all clients of the project. Only available in network projects!

Datatype

Client() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RtFunction-Methods

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Copy | - |  | available | not used | yes | yes
VARIANT_BOOL | CreateDynProperty | - |  | available | available | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | Parameter | - |  | available | not used | yes | yes
VARIANT_BOOL | Start | - |  | not used | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty

Start

Parameter

Copy

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


CreateDynProperty

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A new Subitem of the Function (i.e. Filter settings) can be created.

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

DynProperty as String to be created.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Create Function for TREND - PICTURE
Sub TrendFunction()
Dim zFCT As RtFunction
Dim i As Integer

'Get function
Set zFCT = MyWorkspace.ActiveDocument.RtFunctions.Item("picTREND")
'function settings...
With zFCT
'check amount of 'PictFilter' subitems (normaly 1)
i = .DynProperties("PictFilter[-1]")
'if 0 (not exists) then create it...
If i = 0 Then .CreateDynProperty "PictFilter"
'change some settings
.DynProperties("PictFilter[0].RefreshRate") = 1

'enum CURVES
For i = 0 To CInt(.DynProperties("PictFilter[0].Curve[-1]")) - 1
'print curve settings
Debug.Print .DynProperties("PictFilter[0].Curve[" & i & "].GraphName")
Debug.Print .DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.VarName")
Debug.Print .DynProperties("PictFilter[0].Curve[" & i & "].YAxe.Scale.ScaleTop")
Debug.Print .DynProperties("PictFilter[0].Curve[" & i & "].YAxe.Scale.ScaleBotton")
Next i
End With
End Sub


Start

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Methods -> Start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method executes the function with its defined parameters (also the parameter 'with filter dialog').The parameters cannot be changed with VBA.

Datatype

Start() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Parameter

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Methods -> Parameter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Opens the dialog in the editor to configure the actual function.

Datatype

Parameter() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Copy

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Methods -> Copy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Copies the settings of an existing function to the function object.

Datatype

Copy(IRtFunction pSource) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Existing function to be copied as object

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

pSource As RtFunction

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CopyFunction()
Dim zFct As RtFunction
Dim zFctCopy As RtFunction
'get existing function
Set zFct = MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART")
'create new function
Set zFctCopy = MyWorkspace.ActiveDocument.RtFunctions.Create("TESTING", tpPicture)
'copy existing function settings to new one...
Debug.Print zFctCopy.Copy(zFct)
End Sub


Get

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RtFunction-Dynamic properties

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

CAnalyzerReportFunction

Batch create function

Batch command function state

CCommandSequenceExportFunction

CCommandSequenceImportFunction

Alarming

Alarms flashing'

Alarms Groups Classes

Alarmgroup connection

Simulation image

Print alarm or CEL list

Export alarms

Open help

Reload

Switch palette

Language change

Index archive

List of active archives

Export archive

Base function

CFktBatchRecipeExport

CFktBatchRecipeImport

Screen switch function

Focus set

Show menu

Screen.center

Monitor assign

Overview window function

Screen with index

Screen return

Call SAP function

Check maintanances

Print trend

EMS

Fault location

Graph7 Heuristics

Create IPA document

Send message

Suppress message function

Client simulatio'

Authorization in network

CFktNetzRudundanzUmschaltung

Toggle online printing

Switch online printer

PFS event

Login without password

Print report function

Recipegroup

Recipegroup manager

Standard recipe

Runtime profiles

SAT command activation

Save remanent data

Script execute select online

Start SEA

Setpoint

Report execute

Earth fault topology

Shedding load topology

Unit switch

Export data function

Read dBase file

Print actual values function

Send value to hardware

Driver commands

Read Write time variable

VBA execute macro

VSTA execute macro

Play sound file

File operations

Print a hard copy function

CSequenceCmdFunction

CSequenceTeachingFunction

Noch in diesem Kapitel

CAnalyzerReportFilter

CAnalyzerReportFunction

CBatchCrCreateFunctionFilter

Batch create function

CBatchCmdFuncFilter

Batch command function state

CCommandSequenceExportFunction

CCommandSequenceImportFunction

CD_CAmlCelFilter

Alarming

CD_CBildumschaltung

Alarms flashing

Alarms Groups Classes

Alarmgroup connection

CDrvProperty

Simulation image

Print alarm or CEL list

Export alarms

Open help

Reload

Switch palette

Language change

Index archive

List of active archives

CD_CArchivExportFilter

Export archive

Base function

CRecipeExportFilter

CFktBatchRecipeExport

CRecipeImportFilter

CFktBatchRecipeImport

Screen switch function

CD_CSetFocus

Focus set

Show menu

CDBildMittelPunktPara

Screen.center

Monitor assign

COverviewInfo

Overview window function

Screen with index

Screen return

Call SAP function

CPlantStatusVar

Check maintanances

CDiagram

Print trend

EMS

CProjektVariableProp

Fault location

Graph7 Heuristics

CD_CAsmFilter

Create IPA document

CD_CMessageFilter

Send message

CSystemModelFilter

Suppress message function

Client simulatio

CD_CFktToken

Authorization in network

CFktNetzRudundanzUmschaltung

Toggle online printing

Switch online printer

CFPUserEventFilter

PFS event

Login without password

CReportViewerFilter

Print report function

Recipegroup

CRezeptFilter

Recipegroup manager

Standard recipe

Runtime profiles

SAT command activation

Save remanent data

Script execute select online

Start SEA

Setpoint

CD_CTabellenFilter

Report execute

Earth fault topology

CLoadSheddingVerbraucher

Shedding load topology

Unit switch

CExportInitStrukt

Export data function

Read dBase file

CFormatInfo

Print actual values function

CFktSwNeu

Send value to hardware

CTreiberCommand

Driver commands

CUhrzeit

Read Write time variable

CD_CVbaMacroFilter

VBA execute macro

VSTA execute macro

Play sound file

CDateiOperationParameter

File operations

CHardCopyPrintInfo

Print a hard copy function

CSequenceCmdFunction

CSequenceTeachingFunction


CAnalyzerReportFilter

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CAnalyzerReportFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
More... | ParameterList | ParameterListCfg | Provides access to the column settings of the GFX list. Typ = ZT_KNOTEN Array-Members = CAnalyzerParamListCfg
VT_UI2 | ServerVersion | ServerVersion | Provides access to the server version. Typ = VT_UI2
VT_BSTR | ServerName | ServerName | Provides access to the server name. Type = VT_BSTR
VT_BOOL | UseRuntimeUser | UseRuntimeUser | Provides access to the windows authentification flag. Type = VT_BOOL
VT_BSTR | UserName | UserName | Provides access to the username used for the authentification. Type = VT_BSTR
VT_BSTR | CryptedPassword | CryptedPassword | Provides access to the crypted password used for the authentification. Type = VT_BSTR
VT_BOOL | SecureConnection | SecureConnection | Description
VT_I4 | ConnectionTimeout | ConnectionTimeout | Description
VT_BSTR | SelectedReport | SelectedReport | Provides access to the selected report. Type = VT_BSTR
VT_BSTR | RenderingEngine | RenderingEngine | Provides access to the selected rendering extension. Type = VT_BSTR
VT_BOOL | IncludeTimestamp | IncludeTimestamp | Provides access to the timestamp flag. Type = VT_BOOL
ZT_VARIABLE | VariableForOutputFilePath | VariableForOutputFilePath | Provides access to the variable which includes the path of the file. Type = ZT_VARIABLE


CAnalyzerReportFunction

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CAnalyzerReportFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

ReportFilter

ReportFilter

Provides access to the filter function.

Typ = ZT_KNOTEN

Array-Members = CAnalyzerReportFilter

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CBatchCrCreateFunctionFilter

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CBatchCrCreateFunctionFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I4 | CrNameCreation | CrNameCreation | Description as text.
ZT_VARIABLE | CrNameCreationVar | CrNameCreationVar | Description as text.
VT_BOOL | LinkJobId | LinkJobId | Description as text.
ZT_VARIABLE | IndividualJobVariable | IndividualJobVariable | Description as text.
VT_I4 | IndividualJobIdLinkType | IndividualJobIdLinkType | Description as text.
VT_BOOL | CaseSensitive | CaseSensitive | Description
VT_I4 | SettingMR | SettingMR | Description as text.
VT_BSTR | MRTextFilter | MRTextFilter | Description as text.
ZT_VARIABLE | PV_MR | PV_MR | Description as text.
VT_I4 | MrCurrentness | MrCurrentness | Description as text.
VT_I4 | MrState | MrState | Description as text.
VT_I4 | VersionSearchType | VersionSearchType | Description as text.
ZT_VARIABLE | VersionVar | VersionVar | Description as text.
VT_UI4 | VersionNum | VersionNum | Description as text.


Batch create function

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Batch create function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

CrCreateFilter

CrCreateFilter

Description as text.

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CBatchCmdFuncFilter

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CBatchCmdFuncFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I4 | StateCmd | StateCmd | Description as text.
VT_I4 | StateCmdMode | StateCmdMode | Description as text.
VT_I4 | FilterForRecipeType | FilterForRecipeType | Description as text.
VT_I4 | SettingCR | SettingCR | Description as text.
VT_BSTR | CRTextFilter | CRTextFilter | Description as text.
ZT_VARIABLE | PV_CR | PV_CR | Description as text.
VT_I4 | CrCurrentness | CrCurrentness | Description as text.
VT_I4 | CrState | CrState | Description as text.
VT_BOOL | CaseSensitive | CaseSensitive | Description
VT_I4 | SettingMR | SettingMR | Description as text.
VT_BSTR | MRTextFilter | MRTextFilter | Description as text.
ZT_VARIABLE | PV_MR | PV_MR | Description as text.
VT_I4 | MrCurrentness | MrCurrentness | Description as text.
VT_I4 | MrState | MrState | Description as text.
VT_I4 | VersionSearchType | VersionSearchType | Description as text.
ZT_VARIABLE | VersionVar | VersionVar | Description as text.
VT_UI4 | VersionNum | VersionNum | Description as text.


Batch command function state

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Batch command function state

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

StateCmdFilter

StateCmdFilter

Description as text.

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CCommandSequenceExportFunction

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CCommandSequenceExportFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CCommandSequenceImportFunction

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CCommandSequenceImportFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CD_CAmlCelFilter

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CD_CAmlCelFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | FileName | FileName | With this property you get/set the file name for the different export mechanism.
VT_BSTR | VarFilter | VarFilter | "Filters for variable names, where system messages are masked out, as they are not linked to a variable. Wildcards can be used here. Default = ""*"" (All variables)"
VT_BSTR | FilterTitel | FilterTitel | "Filters for the identifictaion of variables, where system messages are masked out, as they are not linked to a variable. Wildcards can be used here. Default = ""*"""
VT_BOOL | IsFilterRT | IsFilterRT | "Displays the configuration dialog within the runtime, if set TRUE."
VT_BOOL | IsMatchCase | IsMatchCase | "Filter is case sensitive, if set TRUE. Otherwise the case sensitivity is ignored."
VT_BOOL | IsFromFiles | IsFromFiles | "Filter is applied to file entries, if set TRUE. Otherwise, the filter is applied to the entries from the memory. Hint: The maximum amount of entries which should be filtered from the file is specified by the ""EntriesCount"" DynProperty."
VT_BOOL | IsReadAll | IsReadAll |
VT_BOOL | IsAutoName | IsAutoName |
VT_BOOL | IsAML | IsAML | "Prints the alarm list, if set TRUE. Otherwise the CEL list will be printed."
VT_BOOL | IsDBASE | IsDBASE |
VT_BOOL | IsXML | IsXML |
VT_BOOL | IsRelationTime | IsRelationTime | "Display of relative times (relative to selected entries), if set TRUE."
VT_BOOL | IsUnicode | IsUnicode |
VT_BOOL | IsIncremental | IsIncremental |
VT_BOOL | IsFilterExp | IsFilterExp | "Opens the list stopped, if set TRUE. "
VT_BOOL | IsAcknowledged | IsAcknowledged | "Filters unacknowledged alarms, if set TRUE."
VT_BOOL | IsAscentOnly | IsAscentOnly | "Prints only current alarms, if set TRUE."
VT_UI2 | EntriesCount | EntriesCount | "Specifies the maximum amount of entries that should be filtered from a file. Hint: Only available, if the DynProperty ""IsFromFiles"" is set TRUE."
ZT_SCHRIFT | Font | Font | "Specifies the font that should be used. The parameter that is passed, is the index of the font within the specified font list. 0 = Standard font 1 = Default font 1 ... 5 = Default font 5 6 = User specified font 1 ... = etc. "
VT_BSTR | Classes | Classes | "Filters for alarm classes, where system messages are marked out, as they are not linked to a variable. Multiple class numbers have to be seperated with a semicolon. zFct.DynProperties(""PictFilter.Classes"") = ""1;2;"""
VT_BSTR | Groups | Groups | "Filters for alarm groups, where system messages are marked out, as they are not linked to a variable. Multiple group numbers have to be seperated with a semicolon. zFct.DynProperties(""PictFilter.Groups"") = ""1;2;"""
VT_BSTR | ResString | ResString |
ZT_ZEIT | IncTime | IncTime | "Gets or sets the minimal time for current alarms in seconds. Hint: Milliseconds can be specified with the ""mSeconds"" DynProperty."
VT_UI2 | mSeconds | mSeconds | "Gets or sets the milliseconds in addition to the ""IncTime"" DynProperty."
More... | TimeFilter | TimeFilter |
More... | ListInfo | ListInfo |
VT_BSTR | ProjectNames | ProjectNames | "Specifies the names of the projects. Multiple project names are seperated with a semicolon. zFct.DynProperties(""PictFilter.ProjectNames"") = ""PROJECT1;PROJECT2;"""
More... | TextFilter | TextFilter |
More... | StatusFilter | StatusFilter |
VT_BOOL | IsSQL | SQLBase |
VT_BSTR | SQLBase | SQLBase |
VT_BSTR | SQLTable | SQLTable |
More... | SystemModelGroup | Gruppi d'impianto | Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti. Ulteriori informazioni nella guida in linea.
More... | RTMDIFilterScreen | RTMDIFilterScreen |
VT_BSTR | Areas | Areas |
VT_BOOL | IsGoneOnly | IsGoneOnly |
VT_BOOL | NeedComment | NeedComment |
ZT_GUID | FilterPartGUID | FilterPartGUID | Description as text.
VT_BOOL | EditableInRT | EditableInRT | Description as text.


Alarming

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Alarming

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CD_CBildumschaltung

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CD_CBildumschaltung

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

ProjectName

ProjectName

"Gets or sets the project name where the picture is defined.
Hint: The current project will be used, if this property is not specified."

VT_BSTR

Picture

Picture

Gets or sets the name of the switching picture.

VT_I2

Monitor

Monitor

Defines on which monitor the picture is displayed.
-2 = Relative to caller
0 = Display 0 (default display)
1 = Display 1 (only for multi-monitor projects)
... = etc.

VT_BOOL

IsFilterRT

IsFilterRT

"Displays the picture selection dialog within the runtime, if set TRUE."

VT_BOOL

IsMonScroll

IsMonScroll

"Scrolls to the corresponding monitor on picture switch, if set TRUE."

VT_UI4

WndType

WndType

Only users with the appropriate user authorization can edit entries in the database of the Industrial Performance Analyzer (IPA).

More...

SubstiVar

SubstiVar

"Variable substitution
Debug.Print zFct.DynProperties(""PictSwitch.SubstiVar[-1]"") 'Outputs the amount of substituted variables
Debug.Print zFct.DynProperties(""PictSwitch.SubstiVar[0].Source"") 'Access the name of the first source variable
Debug.Print zFct.DynProperties(""PictSwitch.SubstiVar[0].Destination"") 'Name of the corresponding substitution variable"

More...

SubstiFkt

SubstiFkt

"Function substitution
Debug.Print zFct.DynProperties(""PictSwitch.SubstiFkt[-1]"") 'Outputs the amount of substituted functions
Debug.Print zFct.DynProperties(""PictSwitch.SubstiFkt[0].Source"") 'Access the name of the first source function
Debug.Print zFct.DynProperties(""PictSwitch.SubstiFkt[0].Destination"") 'Name of the corresponding substitution function"

VT_BOOL

CaseSensitive

CaseSensitive

"Indices substitution is case sensitive, if set TRUE."

More...

IndexVar

IndexVar

"Accesses the assigned variables for the index substitution.
Debug.Print zFct.DynProperties(""PictSwitch.IndexVar[-1]"") 'Amount of assigned variables
Debug.Print zFct.DynProperties(""PictSwitch.IndexVar[0].Title"").Name 'Name of first variable"

More...

IndexSubstitution

IndexSubstitution

"Replaces the indices
Debug.Print zFct.DynProperties(""PictSwitch.IndexSubstitution[-1]"") 'Output the amount of substituted indices
Debug.Print zFct.DynProperties(""PictSwitch.IndexSubstitution[0].Source"") 'Access the name of the first variable
Debug.Print zFct.DynProperties(""PictSwitch.IndexSubstitution[0].Destination"") 'Name of the corresponding substitution variable"

More...

ALCSubstitution

ALCSubstitution

VT_BOOL

IsCallingPic

IsCallingPic

Specifies the variable unit.


Alarms flashing

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Alarms flashing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

PictSwitch

PictSwitch

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Alarms Groups Classes

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Alarms Groups Classes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

ActionType

ActionType

Gets or sets the type of alarm selection.
0 = Total alarm administration
1 = Alarms of group
2 = Alarms of class

VT_UI2

Action

Action

Gets or sets the action that should be executed.
0 = Activate alarms/groups/classes
1 = Deactivate
2 = Toggle

VT_UI2

Index

Index

With this property you have the opportunity to get/set the alarm group or class.

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Alarmgroup connection

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Alarmgroup connection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsAdvise

IsAdvise

With this property you have the opportunity to activate/deactivate the alarm group connection.

VT_I2

GroupNr

GroupNr

With this property you have the opportunity to get/set the alarm group via an index.

VT_BSTR

GroupName

GroupName

With this property you have the opportunity to get/set the alarm group.

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CDrvProperty

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CDrvProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | FileName | FileName |
VT_BSTR | Description | Description |


Simulation image

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Simulation image

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Drivers

Description

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Print alarm or CEL list

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Print alarm or CEL list

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsCEL

IsCEL

Description

More...

Filter

Filter

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Export alarms

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Export alarms

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Open help

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Open help

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

CHMFile

CHMFile

VT_BSTR

HTMFile

HTMFile

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Reload

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Reload

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsAll

IsAll

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Switch palette

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Switch palette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

PaletteName

Nome tavolozza

Name der Farbpalette.

Default: Color palette plus Indexnummer, z. B.: Color palette 1

Mehr im Online-Handbuch.

VT_BOOL

IsDialogRT

IsDialogRT

"Displays the printer selection dialog in the runtime, if set TRUE."

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Language change

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Language change

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

FileName

FileName

VT_BSTR

FontList

FontList

VT_BSTR

FileDirectory

FileDirectory

VT_BSTR

MediaDirectory

MediaDirectory

VT_BSTR

HelpDirectory

HelpDirectory

VT_BSTR

GraphicsDirectory

GraphicsDirectory

VT_BSTR

RDLDirectory

RDLDirectory

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Index archive

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Index archive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

ArvName

ArvName

VT_BOOL

ArvBackup

@Cartella di backup utilizzata@

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


List of active archives

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> List of active archives

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

ArvName

ArvName

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


CD_CArchivExportFilter

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CD_CArchivExportFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | IsUnicode | IsUnicode |
VT_BSTR | Name | Name |
VT_BSTR | ArvName | ArvName |
VT_BSTR | Format | Format |
VT_BOOL | IsFilterRT | IsFilterRT |
VT_BOOL | IsMatchCase | IsMatchCase |
VT_UI1 | Backup | Backup |
VT_BSTR | ResString | ResString |
VT_BSTR | Database | Database |
VT_BSTR | DBTable | DBTable |
More... | TimeFilter | TimeFilter |


Export archive

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Export archive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.


Base function

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Base function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CRecipeExportFilter

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CRecipeExportFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | FilterType | FilterType | Description
ZT_KNOTEN | RecipeFilter | RecipeFilter | Description
ZT_KNOTEN | OperationFilter | OperationFilter | Description
VT_I2 | FileNaming | FileNaming | Description
VT_BSTR | FileName | FileNamePv | Description
ZT_VARIABLE | FileNamePv | FileNamePv | Description
VT_BOOL | OverwriteExistingFile | OverwriteExistingFile | Description
VT_BOOL | ShowRT | ShowRT | Description


CFktBatchRecipeExport

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CFktBatchRecipeExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

RecipeExportFilter

RecipeExportFilter

Description

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CRecipeImportFilter

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CRecipeImportFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | ShowRT | ShowRT | Description
VT_BOOL | FileNameFromVariable | FileNameFromVariable | Description
VT_BSTR | FileName | FileNameFromVariable | Description
ZT_VARIABLE | FileNameVariable | FileNameVariable | Description
VT_I2 | MrNameConflictAction | MrNameConflictAction | Description
VT_I2 | MrOpNameConflictAction | MrOpNameConflictAction | Description
VT_BOOL | LinkJobId | LinkJobId | Description as text.
ZT_VARIABLE | IndividualJobVariable | IndividualJobVariable | Description as text.
VT_I2 | IndividualJobIdLinkType | IndividualJobIdLinkType | Description as text.


CFktBatchRecipeImport

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CFktBatchRecipeImport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

RecipeImportFilter

RecipeImportFilter

Description

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Screen switch function

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Screen switch function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

PictSwitch

PictSwitch

VT_BSTR

Picture

Picture

Gets or sets the name of the switching picture.

VT_UI4

WndType

WndType

Only users with the appropriate user authorization can edit entries in the database of the Industrial Performance Analyzer (IPA).

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CD_CSetFocus

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CD_CSetFocus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | Direction | Direction |
VT_BOOL | IsOnElement | IsOnElement |
VT_BSTR | IsElementName | IsElementName |


Focus set

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Focus set

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Focus

Focus

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Show menu

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Show menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

ActionType

ActionType

"Gets or sets the action that should be executed.
0 = Show menu (specified by ""MenuName"")
1 = Hide menu
2 = Change menu (specified by ""MenuName"")
3 = If no menu exists, then show menu specified by ""MenuName"""

VT_BOOL

FilterInRT

FilterInRT

"Shows the dialog in the runtime, if set TRUE."

VT_BSTR

MenuName

MenuName

Gets or sets the name of the menu as string.

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CDBildMittelPunktPara

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CDBildMittelPunktPara

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | Type | Type | "Specifies the centering method: 0 = Centering deactivated 1 = Set desired center via an object (DynProperty ""Station"") 3 = Set desired center via coordinates (DynProperties ""X"" and ""Y"") "
VT_BSTR | Station | Station | "Name of the object, which should be the reference for the new center. Hint: Only available, if DynProperty ""Type"" is set to 1."
VT_I2 | X | X | "X coordinate of the new center. Hint: Only available, if DynProperty ""Type"" is set to 3."
VT_I2 | Y | Y | "Y coordinate of the new center. Hint: Only available, if DynProperty ""Type"" is set to 3."
VT_I2 | ZoomType | ZoomType | "Specifies the zoom method: 0 = Zoom deactivated 1 = Set desired zoom factor in percent (DynProperty ""ZoomPercent"") 3 = Set desired zoom factor via the defined zoom steps (DynProperty ""ZoomLevel"") "
VT_I2 | ZoomPercent | ZoomPercent | "Specifies the zoom factor in percent. Hint: Only available, if DynProperty ""ZoomType"" is set to 1."
VT_I2 | ZoomLevel | ZoomLevel | "Specifies the zoom steps. Hint: Only available, if DynProperty ""ZoomType"" is set to 3."


Screen.center

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Screen.center

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

PictSwitch

PictSwitch

More...

MidParameter

MidParameter

Parameters for centering and zooming

VT_BSTR

Picture

Picture

Specifies the GUID of the picture that should be centered and/or zoomed.

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Monitor assign

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Monitor assign

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

SrcNum

SrcNum

VT_I2

DstNum

DstNum

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


COverviewInfo

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> COverviewInfo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | Type | Type | "Selects, if monitors or templates are shown as frames in the overview window: 0 = Templates 1 = Montiors "
VT_I2 | Action | Action | "The function can display, toggle or close the overview window: 0 = Display 1 = Toggle 2 = Close "
VT_UI4 | Style | Style | Specifies the style settings for the overview window: Hint: Multiple style settings have to be combined by ORing (Logical OR).
VT_UI4 | Color1 | Color1 | Specifies the background color of the overview picture.
VT_UI4 | Color2 | Color2 | Specifies the color of the current view.
VT_UI4 | Color3 | Color3 | Specifies the frame color.
VT_UI4 | Color4 | Color4 | Specifies the selection color.
VT_I4 | PosLeft | PosLeft | Specifies the left position of the overview window on the screen (in pixel).
VT_I4 | PosTop | PosTop | Specifies the top position of the overview window on the screen (in pixel).
VT_I4 | PosRight | PosRight | Specifies the right position of the overview window on the screen (in pixel).
VT_I4 | PosBottom | PosBottom | Specifies the bottom position of the overview window on the screen (in pixel).


Overview window function

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Overview window function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

OverviewInfo

OverviewInfo

Properties for the overview window

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Screen with index

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Screen with index

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Variable

Variable

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Screen return

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Screen return

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Templates

Templates

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Call SAP function

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Call SAP function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

FunctionId

Numero funzione

VT_BOOL

IsDialogRT

IsDialogRT

"Displays the printer selection dialog in the runtime, if set TRUE."

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CPlantStatusVar

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CPlantStatusVar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Plants | Plants |
ZT_VARIABLE | ProjectVar | ProjectVar |


Check maintanances

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Check maintanances

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

TimeSpan

TimeSpan

More...

VarList

VarList

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CDiagram

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CDiagram

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI4 | DelayRefresh | DelayRefresh |
VT_UI4 | XYStart | XYStart |
VT_I4 | BordLeft | BordLeft | Distance between the lower edge of the control element and the X-axis (Origin 0%-Y-axis) ATTENTION: Room for the left-hand side labelling of the Y-axis for the configured user defined font.
VT_I4 | BordTop | BordTop | Distance between the upper edge of the control element and the trend curves represented inside it. ATTENTION: Room for later optional showing of stored details with active pointer.
VT_I4 | BordRight | BordRight | Distance between the lower edge of the control element and the X-axis (Origin 100%-Y-axis) ATTENTION: Room for the right-hand side labelling of the Y-axis for the configured user defined font.
VT_I4 | BordBottom | BordBottom | Distance between the lower edge of the control element and the X-axis (Origin 0%-Y-axis) ATTENTION: Room for two-line labelling of the X-axis for the configured user defined font.
VT_I2 | ScrollWidth | ScrollWidth | "Specifies the screen scrolling, if the right edge of the diagram has been reached. ATTENTION: Only for diagrams with online values."
VT_R4 | RefreshRate | RefreshRate | Definition of the screen updating in seconds. Minimum: 0.1
VT_UI4 | HGColor | HGColor | Background colour of the displayed graphics.
VT_UI4 | GridColor | GridColor | Color of the overlaying grid.
VT_I2 | DateWidth | DateWidth | Column width for the time stamp in the legend.
VT_I2 | VarWidth | VarWidth | Column width for the variable name in the legend.
VT_I2 | ValueWidth | ValueWidth | Column width for the variable value in the legend.
VT_I2 | UnitsWidth | UnitsWidth | Column width for the unit in the legend.
VT_I2 | StateWidth | StateWidth | "Column width for the condition in the legend. Hint: Activation/deactivation of the condition with ""IsStateAct""."
VT_I2 | StatusWidth | StatusWidth | "Column width for the status in the legend. Hint: Activation/deactivation of the status with DynProperty ""IsStatusAct""."
VT_I2 | MinWidth | MinWidth | "Column width for the minimum of the variable value in the displayed time period in the legend. Hint: Activation/deactivation of the minimum with DynProperty ""IsMinAct""."
VT_I2 | MWWidth | MWWidth | "Column width for the mean value of the variable value in the displayed time period in the legend. Hint: Activation/deactivation of the mean value with DynProperty ""IsMWAct"". "
VT_I2 | MaxWidth | MaxWidth | "Column width for the maximum of the variable value in the displayed time period in the legend. Hint: Activation/deactivation of the maximum with DynProperty ""IsMaxAct""."
VT_BOOL | IsStateAct | IsStateAct | "Activation (TRUE) / deactivation (FALSE) of DynProperty ""StateWidth""."
VT_BOOL | IsStatusAct | IsStatusAct | "Activation (TRUE) / deactivation (FALSE) of DynProperty ""StatusWidth""."
VT_BOOL | IsMinAct | IsMinAct | "Activation (TRUE) / deactivation (FALSE) of DynProperty ""MinWidth""."
VT_BOOL | IsMWAct | IsMWAct | "Activation (TRUE) / deactivation (FALSE) of DynProperty ""MWWidth""."
VT_BOOL | IsMaxAct | IsMaxAct | "Activation (TRUE) / deactivation (FALSE) of DynProperty ""MaxWidth""."
VT_UI2 | Font | Font | Selection or setting of the user defined font for the axis labels and the value indicators.
VT_BOOL | IsArchive | IsArchive |
VT_I2 | DataSource | DataSource |
VT_BOOL | IsBorder | IsBorder |
VT_BOOL | IsExponent | IsExponent |
VT_BOOL | IsBackup | IsBackup | "Use of historic archives from the backup path, if set TRUE. Hint: Only available, if DynProperty ""IsArchive"" is set TRUE."
VT_BOOL | IsXAxis | IsXAxis | "If set TRUE, the XY (X-Axis) diagram style is used. Otherwise (FALSE) the standard XT (Time axis) representation is utilized."
VT_BSTR | Name | Name | "Freely configurable diagram name. Can be shown in the control element. If the string in the diagram name contains the character combination %c, this combination is replaced by the name of the batch(es) reaching into the defined filter during online operation. e.g. Diagram name = ""Diagram1_%C%_End"" = ""Diagram1_Batch1_End"" in the runtime"
ZT_VARIABLE | FirstCursorVar | FirstCursorVar | Description
ZT_VARIABLE | SecondCursorVar | SecondCursorVar | Description
More... | PrintData | PrintData |
More... | TimeAxe | TimeAxe |
More... | Curve | Curve |
More... | XAxe | XAxe |
VT_BOOL | IsDateAct | IsDateAct |
VT_BOOL | IsVarAct | IsVarAct |
VT_BOOL | IsValueAct | IsValueAct |
VT_BOOL | IsUnitsAct | IsUnitsAct |
VT_I2 | TimeDiffWidth | TimeDiffWidth |
VT_BOOL | IsTimeDiffAct | IsTimeDiffAct |
VT_I2 | ValueDiffWidth | ValueDiffWidth |
VT_BOOL | IsValueDiffAct | IsValueDiffAct |
VT_I2 | SumWidth | SumWidth |
VT_BOOL | IsSumAct | IsSumAct |
VT_I2 | StdDevWidth | StdDevWidth |
VT_BOOL | IsStdDevAct | IsStdDevAct |
VT_I2 | QuantityWidth | QuantityWidth |
VT_BOOL | IsQuantityAct | IsQuantityAct |
VT_BOOL | IsHeaderAct | IsHeaderAct |
VT_BOOL | IsDeltaData | IsDeltaData | Description as text.
VT_BOOL | IsSortData | IsSortData | Description as text.
VT_BOOL | IsSmartArchive | "IsSmartArchive" |
VT_BOOL | IsShowXYCross | IsShowXYCross | Description
ZT_GUID | FilterPartGUID | FilterPartGUID | Description as text.
VT_BOOL | EditableInRT | EditableInRT | Description as text.


Print trend

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Print trend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Diagram

FileName

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


EMS

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> EMS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

EMSNet

EMSNet

VT_BSTR

EMSArea

EMSArea

VT_BSTR

EMSAlgo

EMSAlgo

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CProjektVariableProp

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CProjektVariableProp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | Title | Title | Gets or sets a variable object.


Fault location

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Fault location

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Vars

Vars

VT_I2

SourceID

SourceID

ZT_COLOR

SourceColor

SourceColor

ZT_COLOR

SourceBackground

SourceBackground

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Graph7 Heuristics

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Graph7 Heuristics

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE

ComBlock

ComBlock

ZT_VARIABLE

DestVar

DestVar

VT_BSTR

G7File

G7File

VT_BSTR

ZuliFile

ZuliFile

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CD_CAsmFilter

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CD_CAsmFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | ShowFilter | ShowFilter |
VT_BOOL | ShowRaster | ShowRaster |
More... | DBConnection | DBConnection |
More... | SubFilter | SubFilter |
More... | ListConfig | ListConfig |
ZT_GUID | FilterPartGUID | FilterPartGUID | Description as text.
VT_BOOL | EditableInRT | EditableInRT | Description as text.


Create IPA document

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Create IPA document

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BOOL

ToFile

ToFile

VT_BSTR

Filename

Filename

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CD_CMessageFilter

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CD_CMessageFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI2 | MsgType | MsgType | Defines the transfer medium for sending messages. Following message types are supported: 1 = E-Mail 3 = Telephone 4 = Paging / SMS 5 = GSM-SMS 6 = Telephone (speech)
VT_UI2 | UserType | UserType | Specifies to whom the message should be sent: 2 = Group 3 = Recipient 6 = Current shift
VT_BSTR | GUID | GUID | "Gets or sets the GUID of the group or recipient (depending on DynProperty ""UserType"") that should be informed."
ZT_VARIABLE | Var | Var | "Gets or sets a ""Variable"" object that contains the limit text, which will be added to the constant text. Hint: Only available, if DynProperty ""IsVar"" is set TRUE."
VT_BOOL | IsTextDlg | IsTextDlg | "Displays the message control dialog within the runtime, if set TRUE."
VT_BOOL | IsDynLimits | IsDynLimits | "Adds information about the violated variable to the constant text, if set TRUE. Hint: Only available, if DynProperty ""IsVar"" is set FALSE and DynProperty ""IsUseVariable"" is set TRUE."
VT_BOOL | IsUseVariable | IsUseVariable | "With this option the limit text of a defined variable or a violated variable can be added to the message, if set TRUE. Hint: Available for all message types, except option ""Telephone"" within DynProperty ""MsgType""."
VT_BSTR | ConstText | ConstText | "Specifies the constant text that will be sent or played (if option ""Telephone speech"" is selected within DynProperty ""MsgType""). ATTENTION: This property always requires an entry, except option ""Telephone"" (not ""Telephone speech"") within DynProperty ""MsgType""."
VT_BSTR | HeaderFile | HeaderFile | "Specifies the text (""Telephone speech"") or the name of the soundfile (""Telephone"") that will be played, after getting connection to the phone of the recipient. This file should ask the recipient to enter his PIN code. If the pin is correct, the specified text within DynProperty ""ConstText"" (option ""Telephone speech"") or the soundfile specified within DynProperty ""WaveFile"" (option ""Telephone"") is played. Otherwise, the text or file specified within ""ErrorFile"" (both options ""Telephone speech"" and ""Telephone"") is played. Hint: This property is only available for the options ""Telephone"" and ""Telephone speech"" within DynProperty ""MsgType""."
VT_BSTR | WaveFile | WaveFile | "Specifies the name of the soundfile that will be played, if the correct pin was entered. Hint: This property is only available for the option ""Telephone"" within DynProperty ""MsgType""."
VT_BSTR | ErrorFile | ErrorFile | "Specifies the text (""Telephone speech"") or the name of the soundfile (""Telephone"") that will be played, if the wrong pin was entered. Hint: This property is only available for the options ""Telephone"" and ""Telephone speech"" within DynProperty ""MsgType""."
VT_BOOL | IsResign | IsResign | "For security purposes, it is often necessary to acknowledge sent messages. If this property is set true, acknowledging will be activated. ATTENTION: For options ""Telephone"" and ""Telephone speech"" (see DynProperty ""MsgType""), this property has always to be activated."
VT_I2 | ResignTime | ResignTime | "The property defines, how long the Message Control waits for the acknowledging of the recipient, before his replacement is informed. If no replacement is entered, an corresponding entry in the CEL is generated. "
VT_I4 | OldUserId | OldUserId |
VT_BSTR | AcknowledgeFunctions | AcknowledgeFunctions |
VT_BSTR | NegativeAcknowledgeFunctions | NegativeAcknowledgeFunctions |
VT_BSTR | AcknowledgeTimeOutFunctions | AcknowledgeTimeOutFunctions |
VT_UI2 | MsgTypeStyle | MsgTypeStyle |
VT_BOOL | DestinationFromVariable | DestinationFromVariable |
ZT_VARIABLE | DestinationVar | DestinationVar |
VT_BSTR | AckCode | AckCode |
VT_BSTR | NackCode | NackCode |
VT_BOOL | UseFuncCodes | UseFuncCodes |
ZT_VARIABLE | AttachmentVar | AttachmentVar |
VT_BOOL | AttachmentFromVar | AttachmentFromVar |
VT_BSTR | AttachmentName | AttachmentName |
VT_BSTR | MessageContent | MessageContent |


Send message

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Send message

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

Message control settings

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CSystemModelFilter

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CSystemModelFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_AKZ | SystemModelGroup | Gruppi d'impianto | Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti. Ulteriori informazioni nella guida in linea.


Suppress message function

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Suppress message function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Classes

Classes

VT_BSTR

Groups

Groups

VT_BSTR

Areas

Areas

More...

SystemModelGroupFilter

SystemModelGroupFilter

VT_BOOL

Activate

Activate

VT_BOOL

IsFilterRT

IsFilterRT

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Client simulatio

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Client simulatio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I4

SimulCmd

Tipo di simulazione

VT_BSTR

SimulName

Nome dell'immagine di simulazione

VT_BOOL

SimulRtDlg

Proponi dialogo a Runtime

VT_BOOL

SimulErrMsg

Visualizza errori durante il Runtime

VT_BOOL

SimulWait4All

Attendi per tutte le variabili

Description as text.

VT_I4

SimulMaxWait

Massimo tempo di attesa

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CD_CFktToken

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CD_CFktToken

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | Token | Token |


Authorization in network

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Authorization in network

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Token

Token

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CFktNetzRudundanzUmschaltung

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CFktNetzRudundanzUmschaltung

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

SwitchDirection

"SwitchDirection"

VT_UI2

DetectionOffTime

"DetectionOffTime"

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Toggle online printing

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Toggle online printing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI1

Action

Action

"Sets online printing (e.g. for unmanned stations) to a processing status (switch on, switch off, active/inactive).
0 = Active/Inactive
1 = On
2 = Off
"

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Switch online printer

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Switch online printer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsDialogRT

IsDialogRT

"Displays the printer selection dialog in the runtime, if set TRUE."

VT_BSTR

Printer

Printer

Gets or sets the name of the printer.

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CFPUserEventFilter

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CFPUserEventFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | EventID | EventID |


PFS event

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> PFS event

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Login without password

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Login without password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Alias

Alias

Sets or returns the name of the user for the login.

VT_BOOL

Userflag

Userflag

ZT_VARIABLE

Variable

Variable

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CReportViewerFilter

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CReportViewerFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | RDLFile | RDLFile |
More... | TimeFilter | TimeFilterIdx |
More... | DataSet | DataSet |
More... | RTMDIFilterScreen | RTMDIFilterScreen | Description as text.
More... | BatchFilter | BatchFilter | Description as text.
VT_I4 | Fct_RenderDo | Fct_RenderDo | Description as text.
VT_BOOL | Fct_NameFromVar | Fct_NameFromVar | Description as text.
VT_BSTR | Fct_Filename | Fct_Filename | Description as text.
ZT_VARIABLE | Fct_Variable | Fct_Variable | Description as text.
VT_BOOL | Fct_OverwriteFile | Fct_OverwriteFile | Description as text.
ZT_GUID | FilterPartGUID | FilterPartGUID | Description as text.
VT_BOOL | EditableInRT | EditableInRT | Description as text.


Print report function

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Print report function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

Description as text.

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Recipegroup

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Recipegroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

RecipeName

RecipeName

Gets or sets the name of the recipe that should be executed.

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CRezeptFilter

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CRezeptFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | StrPar1 | StrPar1 |
VT_BSTR | StrPar2 | StrPar2 |
VT_BSTR | StrPar3 | StrPar3 |
VT_BSTR | StrPar4 | StrPar4 |
VT_BSTR | StrPar5 | StrPar5 |
VT_UI4 | DWPar1 | DWPar1 |
VT_UI4 | DWPar2 | DWPar2 |
VT_UI4 | DWPar3 | DWPar3 |
VT_UI4 | DWPar4 | DWPar4 |
VT_UI4 | DWPar5 | DWPar5 |
VT_UI4 | ExportExt | ExportExt | Defines the import/export format for the recipe file. 0 = Text file (TXT)
ZT_VARIABLE | FileNameVar | FileNameVar | "Defines the name of the variable which contains the name for the import/export (DynProperty ""Modus"" options 3 and 4)."
VT_BSTR | ExportFile | ExportFile | Defines the path and the name of the import/export file.
VT_I2 | IsAutoName | IsAutoName | "If set TRUE, a name for the export file (DynProperty ""Modus"" option 3) will be automatically generated."
VT_BOOL | IsWithFormat | IsWithFormat |
VT_BSTR | FormatFile | FormatFile |
VT_BSTR | PictName | PictName |
VT_UI4 | Modus | Modus | Defines the recipe mode. 0 = Execute recipe 1 = Duplicate and teach 2 = Read recipe 3 = Export recipe 4 = Import recipe 5 = Duplicate
VT_BSTR | ProjectName | ProjectName | Description as text.
VT_BSTR | RecGroup | RecGroup | Specifies the name of the recipe group which contains the utilized RGM recipe.
VT_BOOL | WithGrpVar | WithGrpVar |
VT_BOOL | ImportGroupName | ImportGroupName | Description as text.
ZT_VARIABLE | GrpVar | GrpVar |
VT_BSTR | Recipe | Recipe | Specifies the name of the recipe that should be operated. ATTENTION: The name of the recipe has to be the exact name of an existing RGM recipe.
VT_UI4 | RecNumber | RecNumber |
VT_UI4 | WithNumber | WithNumber | Specifies it the recipe should be selected with a variable. 0 = No recipe selection 1 = Recipe selection with variable
ZT_VARIABLE | RecVar | RecVar | "Gets or sets a variable (""Variable"" object) that should be used, in order to select the recipe by name or number. "
VT_BOOL | IsRecNumName | IsRecNumName | "Specifies if the assigned variable contains the number (FALSE) or the name (TRUE) of the recipe. Hint: This property is only available, if DynProperty ""WithNumber"" specifies that the recipe selection is done via a variable."
VT_BOOL | VersionVarOn | VersionVarOn | Description as text.
ZT_VARIABLE | VersionVar | VersionVarOn | Description as text.
VT_UI4 | Version | Version |
VT_BOOL | StatusVarOn | StatusVarOn | Description as text.
ZT_VARIABLE | StatusVar | StatusVarOn | Description as text.
VT_UI4 | Status | Status |
VT_BOOL | TargetRecipeVarOn | TargetRecipeVarOn | Description as text.
VT_BSTR | TargetRecipe | TargetRecipe | "Defines the name of the target recipe to which should be copied. Hint: Only available for DynProperty ""Modus"" option 5 (""Duplicate"")."
ZT_VARIABLE | TargetRecipeVar | TargetRecipeVar |
VT_BOOL | TargetVersionVarOn | TargetVersionVarOn | Description as text.
VT_UI4 | TargetVersion | TargetVersionVarOn | Description as text.
ZT_VARIABLE | TargetVersionVar | TargetVersionVar |
VT_BOOL | TargetStatusVarOn | TargetStatusVarOn | Description as text.
VT_UI4 | TargetStatus | TargetStatusVarOn | Description as text.
ZT_VARIABLE | TargetStatusVar | TargetStatusVar |
VT_BOOL | FilterVarOn | FilterVarOn | Description as text.
VT_BSTR | FilterText | FilterText | this property defines the filter to open the RGM picture with in the runtime. Only variables with this Filtertext set will be shown.
ZT_VARIABLE | FilterVar | FilterVar | This property defines which string variable will be used to open the RGM picture. The string in this variable will be used to show only the variables with this Filtertext.
VT_BOOL | IsFilterRT | IsFilterRT | "Displays the recipe configuration dialog within the runtime, if set TRUE."
VT_BOOL | IsReadOnly | IsReadOnly | "If set TRUE, this property only allows the selection of a recipe within the runtime, but unlike ""IsRecOnly"" no recipe configuration is allowed. Hint: Only available, if DynProperty ""IsFilterRT"" is set TRUE."
VT_BOOL | IsRecOnly | IsRecOnly | "If set TRUE, this property only allows the selection of a recipe within the runtime. Hint: Only available, if DynProperty ""IsFilterRT"" is set TRUE."
VT_I4 | ColWidth_VarName | ColWidth_VarName |
VT_BSTR | ColText_VarName | ColText_VarName |
VT_I4 | ColWidth_Min | ColWidth_Min |
VT_BSTR | ColText_Min | ColText_Min |
VT_I4 | ColWidth_Max | ColWidth_Max |
VT_BSTR | ColText_Max | ColText_Max |
VT_I4 | ColWidth_Mode | ColWidth_Mode |
VT_BSTR | ColText_Mode | ColText_Mode |
VT_I4 | ColWidth_Value | ColWidth_Value |
VT_BSTR | ColText_Value | ColText_Value |
VT_I4 | ColWidth_Unit | ColWidth_Unit |
VT_BSTR | ColText_Unit | ColText_Unit |
VT_I4 | ColWidth_Symbolism | ColWidth_Symbolism |
VT_BSTR | ColText_Symbolism | ColText_Symbolism |
VT_I4 | ColWidth_ActVal | ColWidth_ActVal |
VT_BSTR | ColText_ActVal | ColText_ActVal |
VT_I4 | ColWidth_ResLabel | ColWidth_ResLabel |
VT_BSTR | ColText_ResLabel | ColText_ResLabel |
VT_I4 | ColWidth_Identifier | ColWidth_Identifier |
VT_BSTR | ColText_Identifier | ColText_Identifier |
VT_I4 | ColWidth_Filter | ColWidth_Filter |
VT_BSTR | ColText_Filter | ColText_Filter |
VT_BSTR | ColOrder | ColOrderAll |
VT_BSTR | ColOrderAll | ColOrderAll |
VT_BOOL | ShowRowNr | ShowRowNr |
VT_BOOL | XMLExpOverwriteFile | XMLExpOverwriteFile |
VT_BOOL | XMLImpOverwriteRecipe | XMLImpOverwriteRecipe |
More... | SystemModelGroup | Gruppi d'impianto | Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti. Ulteriori informazioni nella guida in linea.
More... | TextFilter | TextFilter |


Recipegroup manager

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Recipegroup manager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Standard recipe

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Standard recipe

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Runtime profiles

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Runtime profiles

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I4

Modus

Modus

VT_I4

LoadModus

LoadModus

VT_I4

SaveModus

SaveModus

VT_BSTR

LoadName

LoadName

VT_BSTR

SaveName

SaveName

ZT_VARIABLE

LoadVar

LoadVar

ZT_VARIABLE

SaveVar

SaveVar

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


SAT command activation

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> SAT command activation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

Mode

Mode

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Save remanent data

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Save remanent data

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

SaveCEL

SaveCEL

VT_BOOL

SaveAML

SaveAML

VT_BOOL

SaveSYMA

SaveSYMA

VT_BOOL

SaveIDrv

SaveIDrv

VT_BOOL

SaveZDrv

SaveZDrv

VT_BOOL

SaveEnergy

SaveEnergy

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Script execute select online

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Script execute select online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Script

Script

Gets or sets the name of the script that should be executed.

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Start SEA

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Start SEA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

SwitchingSequence

SwitchingSequence

VT_BSTR

SEAParams

SEAParams

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Setpoint

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Setpoint

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

SubmitAndCloseWnd

SubmitAndCloseWnd

VT_BSTR

SetpointSetting

SetpointSetting

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CD_CTabellenFilter

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CD_CTabellenFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | TableFile | TableFile | Specifies the name of the report file.
VT_BSTR | ExportFile | ExportFile |
VT_BOOL | IsFilterRT | IsFilterRT | "Displays the report filter configuration dialog within the runtime, if set TRUE."
VT_BOOL | IsReadOnly | IsReadOnly | "Allows no modifications to the file, if set TRUE."
VT_BOOL | IsCancel | IsCancel |
VT_BOOL | IsAutoName | IsAutoName |
VT_BOOL | IsBackup | IsBackup | "Reads archive from backup path, if set TRUE."
VT_UI2 | Extension | Extension |
VT_BSTR | StrPar1 | StrPar1 | First string transfer parameter for text markers.
VT_BSTR | StrPar2 | StrPar2 | Second string transfer parameter for text markers.
VT_BSTR | StrPar3 | StrPar3 | Third string transfer parameter for text markers.
VT_BSTR | StrPar4 | StrPar4 | Fourth string transfer parameter for text markers.
VT_BSTR | StrPar5 | StrPar5 | Fifth string transfer parameter for text markers.
VT_UI4 | DWPar1 | DWPar1 | First doubleword transfer parameter for value markers.
VT_UI4 | DWPar2 | DWPar2 | Second doubleword transfer parameter for value markers.
VT_UI4 | DWPar3 | DWPar3 | Third doubleword transfer parameter for value markers.
VT_UI4 | DWPar4 | DWPar4 | Fourth doubleword transfer parameter for value markers.
VT_UI4 | DWPar5 | DWPar5 | Fifth doubleword transfer parameter for value markers.
VT_BSTR | ResString | ResString |
More... | TimeFilter | TimeFilter | Time filter settings
ZT_GUID | FilterPartGUID | FilterPartGUID | Description as text.
VT_BOOL | EditableInRT | EditableInRT | Description as text.


Report execute

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Report execute

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Earth fault topology

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Earth fault topology

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CLoadSheddingVerbraucher

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CLoadSheddingVerbraucher

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | ConsumerVar | ConsumerVar | Description as text.
ZT_VARIABLE | ValueVar | ValueVar | Description as text.
ZT_VARIABLE | IBitVar | IBitVar | Description as text.


Shedding load topology

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Shedding load topology

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

SourceVar

SourceVar

Description as text.

More...

Consumer

Consumer

Description as text.

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Unit switch

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Unit switch

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

PrimaryUnits

PrimaryUnits

VT_BSTR

ActiveSecondaryUnits

ActiveSecondaryUnits

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CExportInitStrukt

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CExportInitStrukt

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | IsUniText | IsUniText | "Exports the file in unicode characters if set TRUE. Hint: Only available for the ASCII export option specified by the ""Format"" DynProperty."
VT_I2 | Format | Format | Specifies the output format. 0 = dBase IV (*.DBF) 1 = XML (*.xml) 2 = ASCII (*.TXT)
VT_I2 | InitVal | InitVal | "For the HD values, a ring buffer is filled and stored. Active (TRUE): The ring buffer is initialised for the export Inactive (FALSE): The ring buffer is kept for the export"
VT_I2 | Type | Type |
VT_BSTR | AppName | AppName | Specifies the name of the project.
VT_BSTR | FileName | FileName | Specifies the name of the file that should be exported. ATTENTION: Only filnames with up to 8 characters are allowed.
More... | Vars | Vars | "Creates, accesses and modifies the variables which should be exported. Returns a ""Variable"" object. Hint: ""ExportStruct.Vars[-1]"" returns the amount of variables."


Export data function

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Export data function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

ExportStruct

ExportStruct

Defines the export settings

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Read dBase file

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Read dBase file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

FileName

FileName

Gets or sets the path of the database file that should be read.

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CFormatInfo

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CFormatInfo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | FormatFile | FormatFile | Defines the path and name of the format file for the print.
VT_UI4 | Font | Font | "Defines the font that is utilized for the print. The parameter that is passed, is the index of the font within the specified font list. 0 = Standard font 1 = Default font 1 5 = Default font 5 6 = User defined font 1 "
VT_BOOL | IsCancel | IsCancel | "Displays the cancel dialog, if set true. Otherwise the dialog is hidden and the print can't be stopped by means of the program."


Print actual values function

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Print actual values function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

FormatInfo

FormatInfo

Defines the parameters for the print

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CFktSwNeu

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CFktSwNeu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_R8 | NumValue | NumValue | Value of numerical variables which will be issued. ATTENTION: For boolean variables only following values can be set ... 0 = LOW (0) 1 = HIGH (0) 2 = TOGGLE (Value of variable is switched to complementary status)
VT_BSTR | StrValue | StrValue | Value of alphanumerical variables which will be issued.
VT_R8 | Minimum | Minimum | "Specifies the minimum limit of the value. Hint: Only available, if DynProperty ""IsVarLimit"" is set to FALSE."
VT_R8 | Maximum | Maximum | "Specifies the maximum limit of the value. Hint: Only available, if DynProperty ""IsVarLimit"" is set to FALSE."
VT_UI2 | Command | Command |
VT_BOOL | IsDirect | IsDirect | "Active (TRUE): After activating the function, the value is directly sent to the hardware, not asking for a further confirmation. Inactive (FALSE): Before sending the value to the hardware, the set value dialog is opened and the user can change the settings within the Runtime."
VT_BOOL | IsVarLimit | IsVarLimit | "If this property is TRUE, the set value limits are taken from the variable definition. Otherwise (FALSE), the value limits can be defined directly by means of the DynProperties ""Minimum"" and ""Maximum""."
VT_BOOL | IsCurValue | IsCurValue | "Active (TRUE): The value is read from the hardware and then is proposed as a default or directly sent to the hardware. Additionally for numerical variables, the DynProperty ""NumValue"" becomes a new function, as the value entered there is added to the default (subtracted if negative value). Inactive (FALSE): The value defined under DynProperty ""NumValue"" is proposed as a default or directly sent to the hardware."
VT_UI1 | Setting | Setting | "Send value with (in online operation): 0 = Standard dialog box of the control system 1 = External program provided by the user Hint: This property is only available, if DynProperty ""IsDirect"" is set to FALSE."
ZT_VARIABLE | Variable | Variable | "Gets or sets the ""Variable"" object which should be (or is already) linked to the function."
VT_BSTR | PrgName | PrgName | "Specifies the path and the name of the program (plus its file extension) which should be executed, if option 1 within DynProperty ""Setting"" is set."
VT_BOOL | IsWriteSync | IsWriteSync | "Active (TRUE): Executing the function is not finished, before a positive confirmation of the writing action is received or the fixly defined timeout of 30 seconds is over. In scripts this can make sure, that the following function is not started, before this one is finished. The confirmation can also be evaluated with the status bit WR-SUC . Inactive (FALSE): Do not wait for the writing confirmation. "


Send value to hardware

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Send value to hardware

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

SetValue

SetValue

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CTreiberCommand

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CTreiberCommand

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | IsFilterRT | IsFilterRT |
VT_UI4 | DrvIndex | DrvIndex |
VT_UI2 | Command | Command |
VT_BSTR | UsrCommand | UsrCommand |
VT_BSTR | ResString | ResString |


Driver commands

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Driver commands

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Command

Command

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CUhrzeit

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CUhrzeit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | Variable | Variable |


Read Write time variable

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Read Write time variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Time

Time

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CD_CVbaMacroFilter

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CD_CVbaMacroFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | MacroName | MacroName | Specifies the name of the macro that should be executed.
VT_BOOL | IsBreakOnError | IsBreakOnError |
VT_UI2 | Info | Info |
VT_BSTR | ProjectName | ProjectName |
More... | Parameters | Parameters |


VBA execute macro

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> VBA execute macro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Filter

Filter

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


VSTA execute macro

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> VSTA execute macro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

MacroName

MacroName

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Play sound file

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Play sound file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

FileName

FileName

"Gets or sets the path of the program that should be executed.
Hint: Addtitional parameters can be passed with the ""FilePar"" DynProperty."

VT_BSTR

FilePar

FilePar

"Gets or sets the parameters for the program that is executed (specified by the ""FileName"" DynProperty)."

VT_BOOL

IsDialogRT

IsDialogRT

"Displays the program and parameter selection dialog within the runtime, if set TRUE."

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CDateiOperationParameter

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CDateiOperationParameter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI2 | Modus | Modus | sets the mode for the file-operation function 0 = Copy 1 = Move 2 = Delete
VT_I2 | Days | Days | "Sets the number of ""not older than""-days x for the time-filter of the file operation function."
VT_I2 | Hours | Hours | "Sets the number of ""not older than""-hours x for the time-filter of the file operation function."
VT_BOOL | IsYounger | IsYounger | "sets the ""not older than"" option for the time filter at the file operation function active (TRUE) or not (False)"
VT_BOOL | IsOverwrite | IsOverwrite | should files be overwritten at the file-operation function (move and copy mode) (TRUE) or not (FALSE). Read-only files are not overwritten regardless of this checkbox.
VT_BOOL | IsErrorMsg | IsErrorMsg | should an error message be displayed in the runtime if the file-operation function could not be executed successfully (TRUE) or not (FALSE)
VT_BOOL | IsTimeCond | IsTimeCond | should the file-operation function be executed regardless of the filedate (FALSE) or consider the filedate set at the time-filter (TRUE)
VT_BOOL | IsFilterRT | IsFilterRT | should the dialog for the file operation function be displayed in the runtime prior to execution (TRUE) or not (FALSE)
VT_BSTR | Source | Source | "sets the source path and / or filename for the file-operation function. Depending on the ""Parameter.Modus"", either: an absolute path (Modus=0, e.g. ""c:\hugo.txt"") or a relative path / filename (Modus=1 / Modus = 2, e.g. ""\hugo.txt"") should be used"
VT_BSTR | Destination | Destination | "sets the destination path and / or filename for the file-operation function. Depending on the ""Parameter.Modus"", either: an absolute path (Modus=0, e.g. ""c:\hugo.txt"") or a relative path / filename (Modus=1 / Modus = 2, e.g. ""\hugo.txt"") should be used"
VT_BOOL | Recursive | Recursive | should also subdirectories be taken in account at the file-operation function (TRUE) or not (FALSE)
VT_BOOL | IsOlder | IsOlder | "sets the ""not younger than"" option for the time filter at the file operation function active (TRUE) or not (False)"
VT_UI2 | SrcPathModus | SrcPathModus | sets the source-path mode for the file-operation function. 0 = absolute path 1 = relative path starting from the project runtime directory 2 = relative path starting from the project runtime data directory (directoryname equal to the PC name)
VT_UI2 | DstPathModus | DstPathModus | sets the destination-path mode for the file-operation function. 0 = absolute path 1 = relative path starting from the project runtime directory 2 = relative path starting from the project runtime data directory (directoryname equal to the PC name)
VT_I2 | OlderDays | OlderDays | "Sets the number of ""not younger than""-days x for the time-filter of the file operation function."
VT_I2 | OlderHours | OlderHours | "Sets the number of ""not younger than""-hours x for the time-filter of the file operation function."


File operations

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> File operations

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Parameter

Parameter

Specifies parameters for the file operations

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CHardCopyPrintInfo

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CHardCopyPrintInfo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Picture | Picture | "Specifies the template that is utilized for the hardcopy. Hint: This property is only considered, if the ""IsScreen"" DynProperty is set to FALSE."
VT_BOOL | IsScreen | IsScreen | "If set TRUE the whole screen will be incorporated for the hardcopy. Otherwise (FALSE) the template specified in the ""Picture"" DynProperty will be consulted for the hardcopy."
VT_BOOL | IsOffset | IsOffset | "If set TRUE, the hardcopy will be printed with a margin."
VT_BOOL | IsInvert | IsInvert | "If set TRUE, the hardcopy will be inverted."
VT_BOOL | IsFax | IsFax | "If set TRUE, the hardcopy will routed to a facsimile."
VT_I2 | Monitor | Monitor | "Monitor Id, only relevant if multi monitor solutions are used."


Print a hard copy function

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> Print a hard copy function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Info

Info

Specifies parameters for the hardcopy

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CSequenceCmdFunction

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CSequenceCmdFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_KNOTEN

SequenceStateCmdFilter

SequenceStateCmdFilter

Description

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


CSequenceTeachingFunction

Manuale -> Scripting -> Objectmodel -> RtFunction -> RtFunction-Dynamic properties -> CSequenceTeachingFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FKTPARAM

Parameters

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsActual

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsClient

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsServer

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsStandBy

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsUrlStartWeb

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ID

ID

Internal unique ID of the function.

VT_UI4

Type

Type

With this property you have the opportunity to get/set the source bit in the status routing list.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


RtFunctions

Manuale -> Scripting -> Objectmodel -> RtFunctions

Remarks

This collection contains the defined functions. The single functions can be executed at Runtime via VBA.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'Create Function for TREND - PICTURE
Sub CreateTrendFunction()
Dim zPIC As DynPicture
Dim zFCT As RtFunction
Dim i As Integer

Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("TREND")
'Create new function
Set zFCT = MyWorkspace.ActiveDocument.RtFunctions.Create("picTREND", tpPicture)
'function settings...
With zFCT
.DynProperties("Picture") = zPIC.Name
i = .DynProperties("PictFilter[-1]")
If i = 0 Then .CreateDynProperty "PictFilter"
.DynProperties("PictFilter[0].RefreshRate") = 1
.DynProperties("PictFilter[0].Name") = "WIZARD TREND"
.DynProperties("PictFilter[0].IsArchive") = False
.DynProperties("PictFilter[0].IsXAxis") = False
'Add 3 CURVES
For i = 0 To 2
n = .DynProperties("PictFilter[0].Curve[-1]")
If n <= i Then
'create CURVE SubItem if needed
.CreateDynProperty ("PictFilter[0].Curve")
.CreateDynProperty ("PictFilter[0].Curve[" & i & "].VarInfo")
.CreateDynProperty ("PictFilter[0].Curve[" & i & "].YAxe")
.CreateDynProperty ("PictFilter[0].Curve[" & i & "].YAxe[0].Scale")
End If
'change curve settings
.DynProperties("PictFilter[0].Curve[" & i & "].GraphName") = "MyVariable_" & i
.DynProperties("PictFilter[0].Curve[" & i & "].HasYAxis") = True
.DynProperties("PictFilter[0].Curve[" & i & "].IsShow") = True
.DynProperties("PictFilter[0].Curve[" & i & "].IsInterpolation") = True
.DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.VarName") = "MyVariable_" & i
.DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.Channel") = "MyVariable_" & i
.DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.Variable") = "MyVariable_" & i
.DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.VarMaxValue") = 1000
.DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.VarMinValue") = 0
.DynProperties("PictFilter[0].Curve[" & i & "].YAxe.IsAutoScale") = False
.DynProperties("PictFilter[0].Curve[" & i & "].YAxe.Color") = vbBlack
.DynProperties("PictFilter[0].Curve[" & i & "].YAxe.Scale.ScaleTop") = 1000
.DynProperties("PictFilter[0].Curve[" & i & "].YAxe.Scale.ScaleBotton") = 0
Next i
'filter settings (relative time 5 minutes)
.CreateDynProperty ("PictFilter[0].TimeAxe")
.DynProperties("PictFilter[0].TimeAxe.OldDiff") = 3600
.DynProperties("PictFilter[0].TimeAxe.TimeFilter.Options") = 65535
.DynProperties("PictFilter[0].TimeAxe.TimeFilter.ARVTime1") = CDate(25569.0451388889) '("01.01.1970 01:05:00")
.DynProperties("PictFilter[0].TimeAxe.TimeFilter.ARVTime2") = CDate(25569.0416666667) '("01.01.1970 01:00:00")
End With
End Sub

'Create Function for ALARM - PICTURE
Sub CreateAlarmFunction()
Dim zPIC As DynPicture
Dim zFCT As RtFunction
Dim i As Integer

Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("ALARM")
'Create new function
Set zFCT = MyWorkspace.ActiveDocument.RtFunctions.Create("picALARM", tpPicture)
'function and filter settings...
With zFCT
.DynProperties("Picture") = zPIC.Name
i = .DynProperties("PictFilter[-1]")
If i = 0 Then .CreateDynProperty "PictFilter"
.DynProperties("PictFilter[0].VarFilter") = "*"
.DynProperties("PictFilter[0].FilterTitel") = "*"
i = .DynProperties("PictFilter[0].TimeFilter[-1]")
If i = 0 Then .CreateDynProperty "PictFilter[0].TimeFilter"
.DynProperties("PictFilter[0].TimeFilter[0].TimeFormat") = 10
.DynProperties("PictFilter[0].TimeFilter[0].Options") = 65535
.DynProperties("PictFilter[0].TimeFilter[0].ARVTime1") = CDate(25570.0416666667) '("02.01.1970 01:00:00")
.DynProperties("PictFilter[0].TimeFilter[0].ARVTime2") = CDate(25569.0416666667) '("01.01.1970 01:00:00")
i = .DynProperties("PictFilter[0].TimeFilter[0].ChargeFilter[-1]")
If i = 0 Then .CreateDynProperty "PictFilter[0].TimeFilter[0].ChargeFilter"
i = .DynProperties("PictFilter[0].TextFilter[-1]")
If i = 0 Then .CreateDynProperty "PictFilter[0].TextFilter"
i = .DynProperties("PictFilter[0].ListInfo[-1]")
If i = 0 Then .CreateDynProperty "PictFilter[0].ListInfo"
End With
End Sub

Noch in diesem Kapitel

RtFunctions-Properties

RtFunctions-Methods

RtFunctions-Events


RtFunctions-Properties

Manuale -> Scripting -> Objectmodel -> RtFunctions -> RtFunctions-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IProject | Parent | The parent object of the current object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> RtFunctions -> RtFunctions-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> RtFunctions -> RtFunctions-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RtFunctions-Methods

Manuale -> Scripting -> Objectmodel -> RtFunctions -> RtFunctions-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRtFunction | Create | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
IRtFunction | Item | Returns a object at a position or by a specified key | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes

Noch in diesem Kapitel

Item

Create

Delete

Export

SingleExport

Import


Item

Manuale -> Scripting -> Objectmodel -> RtFunctions -> RtFunctions-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Function from the collection, which is identified by the parameter vNameOrPos.

Datatype

Item(VARIANT vNameOrPos) As RtFunction

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

If the parameter is a numerical value, the function is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the function is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vNameOrPos As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Scripting -> Objectmodel -> RtFunctions -> RtFunctions-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new function and returns the new RtFunction object.

Datatype

Create(String bsName,tpFunctionTypes tpFuncType) As RtFunction

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Delete

Manuale -> Scripting -> Objectmodel -> RtFunctions -> RtFunctions-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the RtFunjction objects from the collection.

Datatype

Delete(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuale -> Scripting -> Objectmodel -> RtFunctions -> RtFunctions-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


SingleExport

Manuale -> Scripting -> Objectmodel -> RtFunctions -> RtFunctions-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuale -> Scripting -> Objectmodel -> RtFunctions -> RtFunctions-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


RtFunctions-Events

Manuale -> Scripting -> Objectmodel -> RtFunctions -> RtFunctions-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | PreFunctionExecute | This event is fired when a function is executed and containes a copy of the function. | not used | available | yes | yes

Noch in diesem Kapitel

PreFunctionExecute


PreFunctionExecute

Manuale -> Scripting -> Objectmodel -> RtFunctions -> RtFunctions-Events -> PreFunctionExecute

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event will be fired if a zenon function is called via the function list (function call via dynamic element, script, limit violation, reaction matrix, API).

This event contains a temporary copy of the called function object as a parameter (containing all information of the function), not the object from the function list itself. To get the "original" function object the .Parent method of the temporary object could be used.

Like for all other events, the parameter object is only valid in the scope of the event itself and therefore it must not be stored.

Datatype

PreFunctionExecute(IRtFunction* obFunction) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

//RtFunctions object
public zenOn.IRtFunctions myRtFcts;
//...

//Init object, create eventhandler
void ThisProject_Active()

{

myRtFcts = this.RtFunctions();

myRtFcts.PreFunctionExecute += new
zenOn.PreFunctionExecuteEventHandler(myRtFcts_PreFunctionExecute);

//...

}

//Event method

void myRtFcts_PreFunctionExecute(zenOn.IRtFunction obFunction)

{
//Output debug information

System.Diagnostics.Debug.Print("Function: \"" + obFunction.Name + "\"

executes - Function type: " + obFunction.Type.ToString());

//Do something with the object –

//Note: Object obFunction is valid only in this scope!
//...

}

//Delete eventhandler, release object
void ThisProject_Inactive()

{

myRtFcts.PreFunctionExecute -= new

zenOn.PreFunctionExecuteEventHandler(myRtFcts_PreFunctionExecute);

myRtFcts = null;

//...

}

VB.NET

VBA


SapFunction

Manuale -> Scripting -> Objectmodel -> SapFunction

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been d etected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Noch in diesem Kapitel

SapFunction-Properties

SapFunction-Methods

SapFunction-Events

SapFunction-Dynamic properties


SapFunction-Properties

Manuale -> Scripting -> Objectmodel -> SapFunction -> SapFunction-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpSapActivity | Activity | Activity state of the function call (0 = inactive, 1 = in queue, 2 = call in progress) | available | available | yes | yes
tpSapError | ErrorCode | Code for result of last call | not used | read only | yes | yes
BSTR | ErrorText | Short text for result of last call | not used | read only | yes | yes
BSTR | LastError | Last Error | read only | read only | yes | yes
BSTR | Name | Name of the SAP function | available | available | yes | yes
ISapFunctions | Parent | Parent-object | available | available | yes | yes

Noch in diesem Kapitel

Parent

Name

ErrorCode

ErrorText

LastError

Activity


Parent

Manuale -> Scripting -> Objectmodel -> SapFunction -> SapFunction-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapFunctions

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> SapFunction -> SapFunction-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


ErrorCode

Manuale -> Scripting -> Objectmodel -> SapFunction -> SapFunction-Properties -> ErrorCode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ErrorCode() As tpSapError

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ErrorText

Manuale -> Scripting -> Objectmodel -> SapFunction -> SapFunction-Properties -> ErrorText

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ErrorText() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


LastError

Manuale -> Scripting -> Objectmodel -> SapFunction -> SapFunction-Properties -> LastError

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LastError() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Activity

Manuale -> Scripting -> Objectmodel -> SapFunction -> SapFunction-Properties -> Activity

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the actuial activity state of the SAP function.

Datatype

Activity() As tpSapActivity

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapFunction-Methods

Manuale -> Scripting -> Objectmodel -> SapFunction -> SapFunction-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpSapError | Call | Calls the SAP function synchronously | available | available | yes | yes
tpSapError | CallAsync | Calls the SAP function asynchronously | available | available | yes | yes
ISapParameters | Parameters | Returns the SAP parameters collection | available | available | yes | yes
ISapTables | Tables | Returns the SAP tables collection | available | available | yes | yes
VARIANT_BOOL | StartServer | Starts the SAP function as server program to be called from SAP | available | available | yes | yes
void | StopServer | Stops the server program | available | available | yes | yes

Noch in diesem Kapitel

Parameters

Tables

Call

CallAsync

StartServer

StopServer


Parameters

Manuale -> Scripting -> Objectmodel -> SapFunction -> SapFunction-Methods -> Parameters

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parameters() As SapParameters

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Tables

Manuale -> Scripting -> Objectmodel -> SapFunction -> SapFunction-Methods -> Tables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Tables() As SapTables

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Call

Manuale -> Scripting -> Objectmodel -> SapFunction -> SapFunction-Methods -> Call

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Call([optional] VARIANT bReuseConnection) As tpSapError

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CallAsync

Manuale -> Scripting -> Objectmodel -> SapFunction -> SapFunction-Methods -> CallAsync

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CallAsync([optional] VARIANT bReuseConnection) As tpSapError

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StartServer

Manuale -> Scripting -> Objectmodel -> SapFunction -> SapFunction-Methods -> StartServer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartServer() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


StopServer

Manuale -> Scripting -> Objectmodel -> SapFunction -> SapFunction-Methods -> StopServer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StopServer() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SapFunction-Events

Manuale -> Scripting -> Objectmodel -> SapFunction -> SapFunction-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | ActivityChanged | Activity state of the function call has changed | not used | read only | yes | yes
void | CallFinished | SAP function returns from asynchronous call | read only | read only | yes | yes
void | ServerCall | Server program called by SAP | not used | read only | yes | yes

Noch in diesem Kapitel

CallFinished

ActivityChanged

ServerCall


CallFinished

Manuale -> Scripting -> Objectmodel -> SapFunction -> SapFunction-Events -> CallFinished

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CallFinished(SapFunction obFunction, tpSapError Error) As void

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ActivityChanged

Manuale -> Scripting -> Objectmodel -> SapFunction -> SapFunction-Events -> ActivityChanged

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This events reacts on a change of the activity state of an SAP function.The Function object and the State-Value will be delivered from the event.

Datatype

ActivityChanged(SapFunction obFunction, tpSapActivity Activity) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

SAP Function as 'SapFunction' object.

Value of SAP Activity (for more details see property 'Activity')

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obFunction As SapFunction

Activity As tpSapActivity

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub obFunReadTable_ActivityChanged(ByVal obFunction As ISapFunction,_
ByVal Activity As tpSapActivity)
thisProject.Variables.Item("ReadTableActive").Value = obFunction.Activity
End Sub


ServerCall

Manuale -> Scripting -> Objectmodel -> SapFunction -> SapFunction-Events -> ServerCall

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ServerCall(ISapFunction obFunction, tpSapError Error) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SapFunction-Dynamic properties

Manuale -> Scripting -> Objectmodel -> SapFunction -> SapFunction-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

SAP function

Noch in diesem Kapitel

SAP function


SAP function

Manuale -> Scripting -> Objectmodel -> SapFunction -> SapFunction-Dynamic properties -> SAP function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Label

Nome funzione

Denominazione assegnabile a piacere alla funzione SAP.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Name

RFC function block

Nome del blocco dati funzionale nel sistema SAP.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Info

Informazioni

Testo corto selezionabile liberamente. Serve solo come informazione. Se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ServerPgm

Programma server

Proprietà per la progettazione di funzioni SAP come programmi server.

Ulteriori informazioni nella guida in linea.

ZT_FUNCTION

ServerFunction

Funzione

Selezione di una funzione di zenon che deve essere richiamata dal programma server. Cliccate sul pulsante ... e si apre il dialogo per la selezione della funzione.

Nota: Se viene richiamata una funzione da un altro progetto, dovete assicuravi che questo progetto sia attivo nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_UI4

Wait

Tempo di attesa

Definizione di un intervallo di tempo in millisecondi che deve trascorrere prima e dopo la chiamata della funzione collegata, in modo tale che sia certo che i valori variabili possano essere scritti e letti correttamente. Raccomandata soprattutto in caso di PLC a comunicazione lenta, e/o con cicli di lettura lunghi

  • Minimo: 0
  • Massimo: 4294967295
  • Default: 0

Raccomandazione:

  • Variabili del driver interno o del driver di sistema. Valori bassi, intorno a 0 ms.
  • Driver matematico. Valori tra 100 – 200 ms. (Questo driver, a seconda del carico del sistema, viene attualizzato circa ogni 100 ms.)
  • Altri driver e PLC: Valori che si trovano un po´ al di sopra dell´update time del driver. Più alto è il numero delle variabili, tanto maggiore dovrà essere tale valore.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

ActivityVar

Attività

Variabile numerica per controllo attività della funzione SAP. Può essere usata, per esempio, per gli interblocchi in modo tale da evitare aperture sovrapposte.

Possibili valori: 0, 1, 2

  • 0: disattivato.
  • 1: inserito in lista attesa aperture
  • 2: Chiamata attiva

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

ErrorVar

Codice di errore

Variabile numerica per il codice di errore della chiamata funzione.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

ErrorTextVar

Testo di errore

Variabile stringa per descrizione breve dell´ultimo errore verificatosi.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

LastErrorVar

Descrizione di errore

Variabile stringa per una descrizione esaustiva dell´ultimo errore verificatosi.

Ulteriori informazioni nella guida in linea.


SapFunctions

Manuale -> Scripting -> Objectmodel -> SapFunctions

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Noch in diesem Kapitel

SapFunctions-Properties

SapFunctions-Methods


SapFunctions-Properties

Manuale -> Scripting -> Objectmodel -> SapFunctions -> SapFunctions-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined SAP functions | available | available | yes | yes
IProject | Parent | Parent-object | available | available | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> SapFunctions -> SapFunctions-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As Project

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> SapFunctions -> SapFunctions-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapFunctions-Methods

Manuale -> Scripting -> Objectmodel -> SapFunctions -> SapFunctions-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ISapFunction | CreateSapFunction | Creates a new SAP function (unique name) | available | available | yes | yes
VARIANT_BOOL | DeleteSapFunction | Deletes the given SAP function | available | available | yes | yes
ISapFunction | Item | Returns the SAP function by name or position | available | available | yes | yes

Noch in diesem Kapitel

CreateSapFunction

DeleteSapFunction

Item


CreateSapFunction

Manuale -> Scripting -> Objectmodel -> SapFunctions -> SapFunctions-Methods -> CreateSapFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateSapFunction(String Name) As SapFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteSapFunction

Manuale -> Scripting -> Objectmodel -> SapFunctions -> SapFunctions-Methods -> DeleteSapFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteSapFunction(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuale -> Scripting -> Objectmodel -> SapFunctions -> SapFunctions-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vID) As SapFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapParameter

Manuale -> Scripting -> Objectmodel -> SapParameter

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
S et obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Noch in diesem Kapitel

SapParameter-Properties

SapParameter-Methods

SapParameter-Dynamic properties


SapParameter-Properties

Manuale -> Scripting -> Objectmodel -> SapParameter -> SapParameter-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Default | SAP parameter has a default value (TRUE/FALSE) | available | available | yes | yes
BSTR | Name | Name of the SAP parameter | available | available | yes | yes
VARIANT_BOOL | Optional | SAP parameter is optional (TRUE/FALSE) | available | available | yes | yes
ISapParameters | Parent | Parent-object | available | available | yes | yes
BSTR | RawData | Returns the raw Data of the SAP parameter in a delimited string | not used | read only | yes | yes

Noch in diesem Kapitel

Parent

Name

Optional

Default

RawData


Parent

Manuale -> Scripting -> Objectmodel -> SapParameter -> SapParameter-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapParameters

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> SapParameter -> SapParameter-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Optional

Manuale -> Scripting -> Objectmodel -> SapParameter -> SapParameter-Properties -> Optional

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Optional() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Default

Manuale -> Scripting -> Objectmodel -> SapParameter -> SapParameter-Properties -> Default

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Default() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RawData

Manuale -> Scripting -> Objectmodel -> SapParameter -> SapParameter-Properties -> RawData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

returns the data of the Parameter as one line, the values are separated by a Line-Feed character...

Datatype

RawData() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


SapParameter-Methods

Manuale -> Scripting -> Objectmodel -> SapParameter -> SapParameter-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | Value [GET] | Value of the SAP parameter | available | available | yes | yes
void | Value [PUT] | Value of the SAP parameter | available | available | yes | yes

Noch in diesem Kapitel

Value [GET]

Value [PUT]


Value [GET]

Manuale -> Scripting -> Objectmodel -> SapParameter -> SapParameter-Methods -> Value [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [GET]([optional]VARIANT vIndex) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Value [PUT]

Manuale -> Scripting -> Objectmodel -> SapParameter -> SapParameter-Methods -> Value [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [PUT]([optional]VARIANT vIndex, VARIANT newValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapParameter-Dynamic properties

Manuale -> Scripting -> Objectmodel -> SapParameter -> SapParameter-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

SAP Parameter

Noch in diesem Kapitel

SAP Parameter


SAP Parameter

Manuale -> Scripting -> Objectmodel -> SapParameter -> SapParameter-Dynamic properties -> SAP Parameter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI1

Type

Tipo

Tipo del parametro. Dipendente dal tipo di funzione. Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Import: il valore del parametro viene trasmesso al blocco funzione al momento della chiamata.

Esporta: il valore del parametro viene restituito dal blocco funzione.

Changing: sia parametro d´immissione che parametro di feedback.

Tabella: tipo funzione tabella. non può essere modificato.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Name

Nome nel sistema SAP

Nome del parametro, della tabella o del campo struttura nel sistema SAP.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

Variable

Variabile

La variabile di zenon collegata con il parametro, la tabella o il campo di struttura. Nel caso di tabelle, di norma una variabile array.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Optional

Optional

Indica se il parametro o la tabella sono opzionali. Parametri e tabelle opzionali possono essere trascurati al momento della chiamata del blocco dati funzionale.

Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Info

Informazioni

Testo corto selezionabile liberamente. Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Ulteriori informazioni nella guida in linea.


SapParameters

Manuale -> Scripting -> Objectmodel -> SapParameters

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Noch in diesem Kapitel

SapParameters-Properties

SapParameters-Methods


SapParameters-Properties

Manuale -> Scripting -> Objectmodel -> SapParameters -> SapParameters-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined SAP parameters | available | available | yes | yes
ISapFunction | Parent | Parent-object | available | available | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> SapParameters -> SapParameters-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> SapParameters -> SapParameters-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapParameters-Methods

Manuale -> Scripting -> Objectmodel -> SapParameters -> SapParameters-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ISapParameter | CreateSapParameter | Creates a new SAP parameter (unique name) | available | available | yes | yes
VARIANT_BOOL | DeleteSapParameter | Deletes the given SAP parameter | available | available | yes | yes
ISapParameter | Item | Returns the SAP parameter by name or position | available | available | yes | yes

Noch in diesem Kapitel

CreateSapParameter

DeleteSapParameter

Item


CreateSapParameter

Manuale -> Scripting -> Objectmodel -> SapParameters -> SapParameters-Methods -> CreateSapParameter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateSapParameter(String Name, [optional] VARIANT bOptional, [optional] VARIANT bDefault) As SapParameter

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteSapParameter

Manuale -> Scripting -> Objectmodel -> SapParameters -> SapParameters-Methods -> DeleteSapParameter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteSapParameter(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuale -> Scripting -> Objectmodel -> SapParameters -> SapParameters-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vID) As SapParameter

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapRow

Manuale -> Scripting -> Objectmodel -> SapRow

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
I f obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Noch in diesem Kapitel

SapRow-Properties

SapRow-Methods


SapRow-Properties

Manuale -> Scripting -> Objectmodel -> SapRow -> SapRow-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ISapRows | Parent | Parent-object | available | available | yes | yes
BSTR | RawData | Returns the raw Data of the SAP row in a delimited string | available | not used | yes | yes

Noch in diesem Kapitel

Parent

RawData


Parent

Manuale -> Scripting -> Objectmodel -> SapRow -> SapRow-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapRows

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RawData

Manuale -> Scripting -> Objectmodel -> SapRow -> SapRow-Properties -> RawData

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RawData() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


SapRow-Methods

Manuale -> Scripting -> Objectmodel -> SapRow -> SapRow-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | Value [GET] | Value of the SAP row / column | available | available | yes | yes
void | Value [PUT] | Value of the SAP row / column | available | available | yes | yes

Noch in diesem Kapitel

Value [GET]

Value [PUT]


Value [GET]

Manuale -> Scripting -> Objectmodel -> SapRow -> SapRow-Methods -> Value [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [GET]([optional]VARIANT vIndex) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Value [PUT]

Manuale -> Scripting -> Objectmodel -> SapRow -> SapRow-Methods -> Value [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [PUT]([optional]VARIANT vIndex, VARIANT newValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapRows

Manuale -> Scripting -> Objectmodel -> SapRows

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Noch in diesem Kapitel

SapRows-Properties

SapRows-Methods


SapRows-Properties

Manuale -> Scripting -> Objectmodel -> SapRows -> SapRows-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined SAP rows in the table | available | available | yes | yes
ISapTable | Parent | Parent-object | available | available | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> SapRows -> SapRows-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapTable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> SapRows -> SapRows-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapRows-Methods

Manuale -> Scripting -> Objectmodel -> SapRows -> SapRows-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ISapRow | AppendSapRow | Appends a new SAP row at the end of the table | available | not used | yes | yes
VARIANT_BOOL | DeleteSapRow | Deletes the SAP row at the given index | available | not used | yes | yes
ISapRow | InsertSapRow | Inserts a new SAP row at the given index | available | not used | yes | yes
ISapRow | Item | Returns the SAP row at the given index | available | not used | yes | yes

Noch in diesem Kapitel

AppendSapRow

InsertSapRow

DeleteSapRow

Item


AppendSapRow

Manuale -> Scripting -> Objectmodel -> SapRows -> SapRows-Methods -> AppendSapRow

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

AppendSapRow() As SapRow

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


InsertSapRow

Manuale -> Scripting -> Objectmodel -> SapRows -> SapRows-Methods -> InsertSapRow

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

InsertSapRow(long Index) As SapRow

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteSapRow

Manuale -> Scripting -> Objectmodel -> SapRows -> SapRows-Methods -> DeleteSapRow

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteSapRow(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuale -> Scripting -> Objectmodel -> SapRows -> SapRows-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vID) As SapRow

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapTable

Manuale -> Scripting -> Objectmodel -> SapTable

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Noch in diesem Kapitel

SapTable-Properties

SapTable-Methods

SapTable-Dynamic properties


SapTable-Properties

Manuale -> Scripting -> Objectmodel -> SapTable -> SapTable-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | Name of the SAP table | available | available | yes | yes
VARIANT_BOOL | Optional | SAP table is optional (TRUE/FALSE) | available | available | yes | yes
ISapFunctions | Parent | Parent-object | available | available | yes | yes

Noch in diesem Kapitel

Parent

Name

Optional


Parent

Manuale -> Scripting -> Objectmodel -> SapTable -> SapTable-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapFunctions

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> SapTable -> SapTable-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Optional

Manuale -> Scripting -> Objectmodel -> SapTable -> SapTable-Properties -> Optional

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Optional() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapTable-Methods

Manuale -> Scripting -> Objectmodel -> SapTable -> SapTable-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Clear | Deletes all rows in the table | available | available | yes | yes
ISapRows | Rows | Returns the collection of the rows in the table | available | not used | yes | yes

Noch in diesem Kapitel

Rows

Clear


Rows

Manuale -> Scripting -> Objectmodel -> SapTable -> SapTable-Methods -> Rows

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Rows() As SapRows

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Clear

Manuale -> Scripting -> Objectmodel -> SapTable -> SapTable-Methods -> Clear

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Clear() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapTable-Dynamic properties

Manuale -> Scripting -> Objectmodel -> SapTable -> SapTable-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

SAP table

Noch in diesem Kapitel

SAP table


SAP table

Manuale -> Scripting -> Objectmodel -> SapTable -> SapTable-Dynamic properties -> SAP table

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI1

Type

Tipo

Tipo del parametro. Dipendente dal tipo di funzione. Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Import: il valore del parametro viene trasmesso al blocco funzione al momento della chiamata.

Esporta: il valore del parametro viene restituito dal blocco funzione.

Changing: sia parametro d´immissione che parametro di feedback.

Tabella: tipo funzione tabella. non può essere modificato.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Name

Nome nel sistema SAP

Nome del parametro, della tabella o del campo struttura nel sistema SAP.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

Variable

Variabile

La variabile di zenon collegata con il parametro, la tabella o il campo di struttura. Nel caso di tabelle, di norma una variabile array.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

RowCountVar

Conteggio righe

Variabile numerica per il numero delle righe che devono essere riprese dalle variabili collegate con la tabella, o il numero delle righe lette al momento della chiamata della funzione SAP.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Optional

Optional

Indica se il parametro o la tabella sono opzionali. Parametri e tabelle opzionali possono essere trascurati al momento della chiamata del blocco dati funzionale.

Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Info

Informazioni

Testo corto selezionabile liberamente. Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Ulteriori informazioni nella guida in linea.


SapTables

Manuale -> Scripting -> Objectmodel -> SapTables

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
StError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub

Noch in diesem Kapitel

SapTables-Properties

SapTables-Methods


SapTables-Properties

Manuale -> Scripting -> Objectmodel -> SapTables -> SapTables-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined SAP tables | available | available | yes | yes
ISapFunctions | Parent | Parent-object | available | available | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> SapTables -> SapTables-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Parent() As SapFunctions

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> SapTables -> SapTables-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapTables-Methods

Manuale -> Scripting -> Objectmodel -> SapTables -> SapTables-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ISapParameter | CreateSapTable | Creates a new SAP table (unique name) | available | available | yes | yes
VARIANT_BOOL | DeleteSapTable | Deletes the given SAP table | available | available | yes | yes
ISapTable | Item | Returns the SAP table by name or position | available | available | yes | yes

Noch in diesem Kapitel

CreateSapTable

DeleteSapTable

Item


CreateSapTable

Manuale -> Scripting -> Objectmodel -> SapTables -> SapTables-Methods -> CreateSapTable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateSapTable(String Name, [optional] VARIANT bOptional) As SapParameter

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteSapTable

Manuale -> Scripting -> Objectmodel -> SapTables -> SapTables-Methods -> DeleteSapTable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteSapTable(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuale -> Scripting -> Objectmodel -> SapTables -> SapTables-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Item(VARIANT vID) As SapTable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ScheduleCustomPeriod

Manuale -> Scripting -> Objectmodel -> ScheduleCustomPeriod

Remarks

A custom Time Period Schedule in which its Switching Actions are used instead of the standard ones.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

ScheduleCustomPeriod-Properties


ScheduleCustomPeriod-Properties

Manuale -> Scripting -> Objectmodel -> ScheduleCustomPeriod -> ScheduleCustomPeriod-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | StartDate | Start Date of a Custom Period | read only | read only | yes | yes
DATE | EndDate | End Date of a Custom Period | read only | read only | yes | yes
IScheduleSwitchingPeriods | SwitchingPeriods | Collection of Switching Periods in a Custom Period | read only | read only | yes | yes
IScheduleSwitchingPoints | SwitchingPoints | Collection of Switching Points in a Custom Period | read only | read only | yes | yes

Noch in diesem Kapitel

StartDate

EndDate

SwitchingPeriods

SwitchingPoints


StartDate

Manuale -> Scripting -> Objectmodel -> ScheduleCustomPeriod -> ScheduleCustomPeriod-Properties -> StartDate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Start date of the period. Cannot be changed after creation.

Datatype

StartDate() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


EndDate

Manuale -> Scripting -> Objectmodel -> ScheduleCustomPeriod -> ScheduleCustomPeriod-Properties -> EndDate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

End date of the period. Cannot be changed after creation.

Datatype

EndDate() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SwitchingPeriods

Manuale -> Scripting -> Objectmodel -> ScheduleCustomPeriod -> ScheduleCustomPeriod-Properties -> SwitchingPeriods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Switching Periods

Datatype

SwitchingPeriods() As IScheduleSwitchingPeriods

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SwitchingPoints

Manuale -> Scripting -> Objectmodel -> ScheduleCustomPeriod -> ScheduleCustomPeriod-Properties -> SwitchingPoints

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Switching Points

Datatype

SwitchingPoints() As IScheduleSwitchingPoints

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleFunction

Manuale -> Scripting -> Objectmodel -> ScheduleFunction

Remarks

Link to a single Function

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_SchedulerLinkFunctionToPeriod()

{

//Specify a ScheduleGroup via Index!

String fullString = "";

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByItem(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

//Creates a Reload Function!

zenOn.IRtFunctions functions = ActiveDocument.RtFunctions();

zenOn.IRtFunction function = functions.Create("Reload_Period", zenOn.tpFunctionTypes.tpReloadProject);

//Specify a SchedulePeriod to which the Function should be linked!

zenOn.IScheduleSwitchingPeriod period = monday.SwitchingPeriods.Item(0);

if (period != null)

{

fullString += "Monday:\n";

fullString += "Before Editing : \n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n\n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

fullString += "------------------------------------";

period.Start.Functions.Create(function);

period.End.Functions.Create(function);

fullString += "\n\nAfter Editing : \n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n\n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

}

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

System.Windows.Forms.MessageBox.Show(fullString);

}

private void Macro_CreateReportForAFunctionsContainer(zenOn.IScheduleFunctions functionsContainer,

ref String report)

{

int functionCount = functionsContainer.Count;

for (int i = 0; i < functionCount; i++)

{

zenOn.IScheduleFunction function = functionsContainer.Item(i);

if (function != null)

{

Macro_ReportOfOneFunction(function, ref report);

report += "\n\n";

}

}

}

private void Macro_ReportOfOneFunction(zenOn.IScheduleFunction function, ref String report)

{

report +=

"Name: " + function.Function.Name + "\n" +

"Active: " + function.Active + "\n" +

"Type: " + function.Function.Type;

}

VB.NET

VBA

Public Sub LinkFunctionToPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByItem(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim functions As RtFunctions

Set funcs = MyWorkspace.ActiveDocument.RtFunctions

'Creates a Reload Function!

Set func = funcs.Create("Reload_Test", tpReloadProject)

Dim period As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to which the Function should be linked!

Set period = monday.SwitchingPeriods.Item(0)

If Not period Is Nothing Then

Dim fullString As String

fullString = fullString & "------------------------------------" & vbNewLine

fullString = fullString & "Monday:" & vbNewLine

fullString = fullString & "------------------------------------" & vbNewLine & vbNewLine

fullString = fullString & "Before Editing: " & vbNewLine & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

Dim funcTest As ScheduleFunction

Set funcTest = period.Start.functions.Create(func)

Set funcTest = period.End.functions.Create(func)

fullString = fullString & vbNewLine & vbNewLine & "After Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

MsgBox fullString

End If

Else

MsgBox "Error while accessing schedule'" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Private Sub CreateReportForAFunctionsContainer(functionsContainer As ScheduleFunctions, ByRef report As String)

For functionCount = 0 To (functionsContainer.count - 1)

Dim func As ScheduleFunction

Set func = functionsContainer.Item(0)

If Not func Is Nothing Then

Call ReportOfOneFunction(func, report)

report = report & vbCrLf & vbCrLf

End If

Next

End Sub

Private Sub ReportOfOneFunction(func As ScheduleFunction, ByRef report As String)

report = report & "Name: " & func.Function.Name & vbCrLf & _

"Active: " & func.Active & vbCrLf & _

"Type: " & func.Function.Type

End Sub

Noch in diesem Kapitel

ScheduleFunction-Properties


ScheduleFunction-Properties

Manuale -> Scripting -> Objectmodel -> ScheduleFunction -> ScheduleFunction-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active | Returns TRUE if the Action of a Function is Active | available | available | yes | yes
IRtFunction | Function | Defines a Function in a Switching Point | read only | read only | yes | yes

Noch in diesem Kapitel

Active

Function


Active

Manuale -> Scripting -> Objectmodel -> ScheduleFunction -> ScheduleFunction-Properties -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines, if this function gets executed. Can be changed.

Datatype

Active() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Function

Manuale -> Scripting -> Objectmodel -> ScheduleFunction -> ScheduleFunction-Properties -> Function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Function that gets executed. Cannot be changed.

Datatype

Function() As IRtFunction

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleFunctions

Manuale -> Scripting -> Objectmodel -> ScheduleFunctions

Remarks

Collection of Functions in a Switching Point

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_SchedulerLinkFunctionToPeriod()

{

//Specify a ScheduleGroup via Index!

String fullString = "";

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByItem(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

//Creates a Reload Function!

zenOn.IRtFunctions functions = ActiveDocument.RtFunctions();

zenOn.IRtFunction function = functions.Create("Reload_Period", zenOn.tpFunctionTypes.tpReloadProject);

//Specify a SchedulePeriod to which the Function should be linked!

zenOn.IScheduleSwitchingPeriod period = monday.SwitchingPeriods.Item(0);

if (period != null)

{

fullString += "Monday:\n";

fullString += "Before Editing : \n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n\n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

fullString += "------------------------------------";

period.Start.Functions.Create(function);

period.End.Functions.Create(function);

fullString += "\n\nAfter Editing : \n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n\n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

}

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

System.Windows.Forms.MessageBox.Show(fullString);

}

private void Macro_CreateReportForAFunctionsContainer(zenOn.IScheduleFunctions functionsContainer,

ref String report)

{

int functionCount = functionsContainer.Count;

for (int i = 0; i < functionCount; i++)

{

zenOn.IScheduleFunction function = functionsContainer.Item(i);

if (function != null)

{

Macro_ReportOfOneFunction(function, ref report);

report += "\n\n";

}

}

}

private void Macro_ReportOfOneFunction(zenOn.IScheduleFunction function, ref String report)

{

report +=

"Name: " + function.Function.Name + "\n" +

"Active: " + function.Active + "\n" +

"Type: " + function.Function.Type;

}

VB.NET

VBA

Public Sub LinkFunctionToPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByItem(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim functions As RtFunctions

Set funcs = MyWorkspace.ActiveDocument.RtFunctions

'Creates a Reload Function!

Set func = funcs.Create("Reload_Test", tpReloadProject)

Dim period As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to which the Function should be linked!

Set period = monday.SwitchingPeriods.Item(0)

If Not period Is Nothing Then

Dim fullString As String

fullString = fullString & "------------------------------------" & vbNewLine

fullString = fullString & "Monday:" & vbNewLine

fullString = fullString & "------------------------------------" & vbNewLine & vbNewLine

fullString = fullString & "Before Editing: " & vbNewLine & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

Dim funcTest As ScheduleFunction

Set funcTest = period.Start.functions.Create(func)

Set funcTest = period.End.functions.Create(func)

fullString = fullString & vbNewLine & vbNewLine & "After Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

MsgBox fullString

End If

Else

MsgBox "Error while accessing schedule'" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Private Sub CreateReportForAFunctionsContainer(functionsContainer As ScheduleFunctions, ByRef report As String)

For functionCount = 0 To (functionsContainer.count - 1)

Dim func As ScheduleFunction

Set func = functionsContainer.Item(0)

If Not func Is Nothing Then

Call ReportOfOneFunction(func, report)

report = report & vbCrLf & vbCrLf

End If

Next

End Sub

Private Sub ReportOfOneFunction(func As ScheduleFunction, ByRef report As String)

report = report & "Name: " & func.Function.Name & vbCrLf & _

"Active: " & func.Active & vbCrLf & _

"Type: " & func.Function.Type

End Sub

Noch in diesem Kapitel

ScheduleFunctions-Properties

ScheduleFunctions-Methods


ScheduleFunctions-Properties

Manuale -> Scripting -> Objectmodel -> ScheduleFunctions -> ScheduleFunctions-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes

Noch in diesem Kapitel

Count


Count

Manuale -> Scripting -> Objectmodel -> ScheduleFunctions -> ScheduleFunctions-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count of Functions. Cannot be changed directly.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleFunctions-Methods

Manuale -> Scripting -> Objectmodel -> ScheduleFunctions -> ScheduleFunctions-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleFunction | Create |  | available | available | yes | yes
VARIANT_BOOL | Delete |  | available | available | yes | yes
IScheduleFunction | Item |  | available | available | yes | yes

Noch in diesem Kapitel

Create

Delete

Item


Create

Manuale -> Scripting -> Objectmodel -> ScheduleFunctions -> ScheduleFunctions-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a „Reload" function, and links it to the defined SwitchingPeriod

Datatype

Create(IRtFunction Function) As IScheduleFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerLinkFunctionToPeriod()

{

//Specify a ScheduleGroup via Index!

String fullString = "";

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByItem(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

//Creates a Reload Function!

zenOn.IRtFunctions functions = ActiveDocument.RtFunctions();

zenOn.IRtFunction function = functions.Create("Reload_Period", zenOn.tpFunctionTypes.tpReloadProject);

//Specify a SchedulePeriod to which the Function should be linked!

zenOn.IScheduleSwitchingPeriod period = monday.SwitchingPeriods.Item(0);

if (period != null)

{

fullString += "Monday:\n";

fullString += "Before Editing : \n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n\n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

fullString += "------------------------------------";

period.Start.Functions.Create(function);

period.End.Functions.Create(function);

fullString += "\n\nAfter Editing : \n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n\n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

}

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

System.Windows.Forms.MessageBox.Show(fullString);

}

private void Macro_CreateReportForAFunctionsContainer(zenOn.IScheduleFunctions functionsContainer,

ref String report)

{

int functionCount = functionsContainer.Count;

for (int i = 0; i < functionCount; i++)

{

zenOn.IScheduleFunction function = functionsContainer.Item(i);

if (function != null)

{

Macro_ReportOfOneFunction(function, ref report);

report += "\n\n";

}

}

}

private void Macro_ReportOfOneFunction(zenOn.IScheduleFunction function, ref String report)

{

report +=

"Name: " + function.Function.Name + "\n" +

"Active: " + function.Active + "\n" +

"Type: " + function.Function.Type;

}

VB.NET

VBA

Public Sub LinkFunctionToPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByItem(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim functions As RtFunctions

Set funcs = MyWorkspace.ActiveDocument.RtFunctions

'Creates a Reload Function!

Set func = funcs.Create("Reload_Test", tpReloadProject)

Dim period As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to which the Function should be linked!

Set period = monday.SwitchingPeriods.Item(0)

If Not period Is Nothing Then

Dim fullString As String

fullString = fullString & "------------------------------------" & vbNewLine

fullString = fullString & "Monday:" & vbNewLine

fullString = fullString & "------------------------------------" & vbNewLine & vbNewLine

fullString = fullString & "Before Editing: " & vbNewLine & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

Dim funcTest As ScheduleFunction

Set funcTest = period.Start.functions.Create(func)

Set funcTest = period.End.functions.Create(func)

fullString = fullString & vbNewLine & vbNewLine & "After Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

MsgBox fullString

End If

Else

MsgBox "Error while accessing schedule'" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Private Sub CreateReportForAFunctionsContainer(functionsContainer As ScheduleFunctions, ByRef report As String)

For functionCount = 0 To (functionsContainer.count - 1)

Dim func As ScheduleFunction

Set func = functionsContainer.Item(0)

If Not func Is Nothing Then

Call ReportOfOneFunction(func, report)

report = report & vbCrLf & vbCrLf

End If

Next

End Sub

Private Sub ReportOfOneFunction(func As ScheduleFunction, ByRef report As String)

report = report & "Name: " & func.Function.Name & vbCrLf & _

"Active: " & func.Active & vbCrLf & _

"Type: " & func.Function.Type

End Sub


Delete

Manuale -> Scripting -> Objectmodel -> ScheduleFunctions -> ScheduleFunctions-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the specified function from the defined SwitchingPeriod

Datatype

Delete(long Index) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerDeleteFunctionFromPeriod()

{

//Specify a ScheduleGroup via Index!

String fullString = "";

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByItem(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

//Specify a SwitchingPeriod via Index!

zenOn.IScheduleSwitchingPeriod period = monday.SwitchingPeriods.Item(0);

if (period != null)

{

fullString += "------------------------------------" + "\n";

fullString += "Monday:\n";

fullString += "------------------------------------" + "\n\n";

fullString += "Before Editing : \n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

Macro_SchedulerDeleteFunction(period);

fullString += "\n\nAfter Editing : \n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

System.Windows.Forms.MessageBox.Show(fullString);

}

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing 'Monday' of your schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

private void Macro_SchedulerDeleteFunction(zenOn.IScheduleSwitchingPeriod period)

{

if (period != null)

{

//Specify Function at Start Time to be Deleted!

bool success = period.Start.Functions.Delete(0);

//Specify Function at End Time to be Deleted!

success = success && period.End.Functions.Delete(0);

if (success)

{

System.Windows.Forms.MessageBox.Show("Function deleted successfully");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while deleting function");

}

}

else

{

System.Windows.Forms.MessageBox.Show("The object for switchingPeriod is not valid");

}

}

VB.NET

VBA

Public Sub DeleteFunctionFromPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByItem(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim period As ScheduleSwitchingPeriod

'Specify SwitchingPeriod via Index!

Set period = monday.SwitchingPeriods.Item(0)

If Not period Is Nothing Then

Dim fullString As String

fullString = fullString & "------------------------------------" & vbNewLine

fullString = fullString & "Monday:" & vbNewLine

fullString = fullString & "------------------------------------" & vbNewLine & vbNewLine

fullString = fullString & "Before Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

Call SchedulerDeleteFunction(period)

fullString = fullString & vbNewLine & vbNewLine & "After Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

MsgBox fullString

End If

Else

MsgBox "Error while accessing schedule '" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Private Sub SchedulerDeleteFunction(period As ScheduleSwitchingPeriod)

Dim success As Boolean

If Not period Is Nothing Then

'Specify Function at Start Time to be Deleted!

success = period.Start.functions.Delete(0)

'Specify Function at End Time to be Deleted!

success = (success And period.End.functions.Delete(0))

If success = True Then

MsgBox "Function deleted successfully"

Else

MsgBox "Error while deleting function"

End If

Else

MsgBox "The object for switchingPeriod is not valid"

End If

End Sub


Item

Manuale -> Scripting -> Objectmodel -> ScheduleFunctions -> ScheduleFunctions-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the function link at the passed 'Index'(0-based). Returns null if 'Index' is invalid.

Datatype

Item(long Index) As IScheduleFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerDeleteFunctionFromPeriod()

{

//Specify a ScheduleGroup via Index!

String fullString = "";

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByItem(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

//Specify a SwitchingPeriod via Index!

zenOn.IScheduleSwitchingPeriod period = monday.SwitchingPeriods.Item(0);

if (period != null)

{

fullString += "------------------------------------" + "\n";

fullString += "Monday:\n";

fullString += "------------------------------------" + "\n\n";

fullString += "Before Editing : \n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

Macro_SchedulerDeleteFunction(period);

fullString += "\n\nAfter Editing : \n";

fullString += "SwitchingPeriod: \n\n";

fullString += "Amount of Functions: " + (period.Start.Functions.Count + period.End.Functions.Count) + "\n";

fullString += "Function(s) linked at start: \n";

Macro_CreateReportForAFunctionsContainer(period.Start.Functions, ref fullString);

fullString += "Function(s) linked at end: \n";

Macro_CreateReportForAFunctionsContainer(period.End.Functions, ref fullString);

System.Windows.Forms.MessageBox.Show(fullString);

}

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing 'Monday' of your schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

private void Macro_SchedulerDeleteFunction(zenOn.IScheduleSwitchingPeriod period)

{

if (period != null)

{

//Specify Function at Start Time to be Deleted!

bool success = period.Start.Functions.Delete(0);

//Specify Function at End Time to be Deleted!

success = success && period.End.Functions.Delete(0);

if (success)

{

System.Windows.Forms.MessageBox.Show("Function deleted successfully");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while deleting function");

}

}

else

{

System.Windows.Forms.MessageBox.Show("The object for switchingPeriod is not valid");

}

}

VB.NET

VBA

Public Sub DeleteFunctionFromPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByItem(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim period As ScheduleSwitchingPeriod

'Specify SwitchingPeriod via Index!

Set period = monday.SwitchingPeriods.Item(0)

If Not period Is Nothing Then

Dim fullString As String

fullString = fullString & "------------------------------------" & vbNewLine

fullString = fullString & "Monday:" & vbNewLine

fullString = fullString & "------------------------------------" & vbNewLine & vbNewLine

fullString = fullString & "Before Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

Call SchedulerDeleteFunction(period)

fullString = fullString & vbNewLine & vbNewLine & "After Editing: " & vbNewLine

fullString = fullString & "SwitchingPeriod:" & vbNewLine & vbNewLine

fullString = fullString & "Amount of Functions: " & (period.Start.functions.count + period.End.functions.count) & vbNewLine

fullString = fullString & "Function(s) linked at start:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.Start.functions, fullString)

fullString = fullString & "Function(s) linked at end:" & vbNewLine

Call CreateReportForAFunctionsContainer(period.End.functions, fullString)

MsgBox fullString

End If

Else

MsgBox "Error while accessing schedule '" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Private Sub SchedulerDeleteFunction(period As ScheduleSwitchingPeriod)

Dim success As Boolean

If Not period Is Nothing Then

'Specify Function at Start Time to be Deleted!

success = period.Start.functions.Delete(0)

'Specify Function at End Time to be Deleted!

success = (success And period.End.functions.Delete(0))

If success = True Then

MsgBox "Function deleted successfully"

Else

MsgBox "Error while deleting function"

End If

Else

MsgBox "The object for switchingPeriod is not valid"

End If

End Sub


ScheduleGroup

Manuale -> Scripting -> Objectmodel -> ScheduleGroup

Remarks

A single Schedule Group

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_SchedulerCreate()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.Create();

if (group != null)

{

System.Windows.Forms.MessageBox.Show("Name of new scheduleGroup: " + group.Name);

}

else

{

System.Windows.Forms.MessageBox.Show("Error while creating a scheduleGroup");

}

}

VB.NET

VBA

Public Function Create() As ScheduleGroup

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Set Create = groups.Create()

End Function

Noch in diesem Kapitel

ScheduleGroup-Properties


ScheduleGroup-Properties

Manuale -> Scripting -> Objectmodel -> ScheduleGroup -> ScheduleGroup-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | Schedule Group Name | read only | read only | yes | yes
ISchedules | Schedules | Collection of Schedules in a Schedule Group | read only | read only | yes | yes

Noch in diesem Kapitel

Name

Schedules


Name

Manuale -> Scripting -> Objectmodel -> ScheduleGroup -> ScheduleGroup-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Name of the ScheduleGroup. Can only be changed via the Rename Methods in the collection

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Schedules

Manuale -> Scripting -> Objectmodel -> ScheduleGroup -> ScheduleGroup-Properties -> Schedules

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of the Schedules in this Group

Datatype

Schedules() As ISchedules

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleGroups

Manuale -> Scripting -> Objectmodel -> ScheduleGroups

Remarks

Collection of Schedule Groups

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_GetListOfScheduleGroups()

{

String fullString = "";

fullString += "Amount of ScheduleGroups: " + ActiveDocument.Scheduler.ScheduleGroups.Count + "\n";

for (int i = 0; i < ActiveDocument.Scheduler.ScheduleGroups.Count; i++)

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(i);

if (group != null)

{

if (fullString.Length > 0)

{

fullString += "\n";

}

fullString += "Name of ScheduleGroup: " + group.Name + " ";

}

}

System.Windows.Forms.MessageBox.Show(fullString);

}

public void Macro_SchedulerCount()

{

System.Windows.Forms.MessageBox.Show("Amount of scheduleGroups: " + ActiveDocument.Scheduler.ScheduleGroups.Count);

}

VB.NET

VBA

Public Sub GetListOfScheduleGroups()

Dim fullString As String

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim index As Long

fullString = fullString & "Amount of scheduleGroups: " & groups.count & vbNewLine

For index = 0 To (groups.count - 1)

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(index)

If Len(fullString) > 0 Then

fullString = fullString & vbNewLine

End If

fullString = fullString & "Name of ScheduleGroup: " & group.Name

Next

MsgBox fullString

End Sub

Public Sub Count()

MsgBox MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.Count

End Sub

Noch in diesem Kapitel

ScheduleGroups-Properties

ScheduleGroups-Methods


ScheduleGroups-Properties

Manuale -> Scripting -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the Count of Schedule Groups | read only | read only | yes | yes

Noch in diesem Kapitel

Count


Count

Manuale -> Scripting -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count of Groups. Cannot be modified directly.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleGroups-Methods

Manuale -> Scripting -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleGroup | Create | Creates a Schedule Group | available | available | yes | yes
IScheduleGroup | DuplicateByName | Duplicates a Schedule Group via Name | available | available | yes | yes
IScheduleGroup | DuplicateByIndex | Duplicates a Schedule Group via Index | available | available | yes | yes
VARIANT_BOOL | DeleteByName | Deletes a Schedule Group via Name | available | available | yes | yes
VARIANT_BOOL | DeleteByIndex | Deletes a Schedule Group via Index | available | available | yes | yes
IScheduleGroup | ItemByName | Returns a Schedule Group via Name | available | available | yes | yes
IScheduleGroup | ItemByIndex | Returns a Schedule Group via Index | available | available | yes | yes
VARIANT_BOOL | RenameByName | Renames a Schedule Group via Name | available | available | yes | yes
VARIANT_BOOL | RenameByIndex | Renames a Schedule Group via Index | available | available | yes | yes

Noch in diesem Kapitel

Create

DuplicateByName

DuplicateByIndex

DeleteByName

DeleteByIndex

ItemByName

ItemByIndex

RenameByName

RenameByIndex


Create

Manuale -> Scripting -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new ScheduleGroup

Datatype

Create() As IScheduleGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerCreate()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.Create();

if (group != null)

{

System.Windows.Forms.MessageBox.Show("Name of new scheduleGroup: " + group.Name);

}

else

{

System.Windows.Forms.MessageBox.Show("Error while creating a scheduleGroup");

}

}

VB.NET

VBA

Public Function Create() As ScheduleGroup

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Set Create = groups.Create()

End Function


DuplicateByName

Manuale -> Scripting -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Methods -> DuplicateByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Duplicates the ScheduleGroup with the specified name

Datatype

DuplicateByName(BSTR Name) As IScheduleGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerDuplicateByName()

{

zenOn.IScheduleGroup newGroup =

ActiveDocument.Scheduler.ScheduleGroups.DuplicateByName("New schedule1");

if (newGroup != null)

{

System.Windows.Forms.MessageBox.Show("Name of new Group: " + newGroup.Name);

}

else

{

System.Windows.Forms.MessageBox.Show("Error while duplicating the scheduleGroup");

}

}

VB.NET

VBA

Public Sub DuplicateByName()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim newGroup As ScheduleGroup

Set newGroup = groups.DuplicateByName("New schedule1")

If Not newGroup Is Nothing Then

MsgBox "Name of new Group: " + newGroup.Name

Else

MsgBox "Error while duplicating the scheduleGroup"

End If

End Sub


DuplicateByIndex

Manuale -> Scripting -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Methods -> DuplicateByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Duplicates the ScheduleGroup with the specified index

Datatype

DuplicateByIndex(long Index) As IScheduleGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerDuplicateByIndex()

{

if (ActiveDocument.Scheduler.ScheduleGroups.Count > 0)

{

zenOn.IScheduleGroup newGroup =

ActiveDocument.Scheduler.ScheduleGroups.DuplicateByIndex(0);

if (newGroup != null)

{

System.Windows.Forms.MessageBox.Show("Name of new Group: " + newGroup.Name);

}

else

{

System.Windows.Forms.MessageBox.Show("Error while duplicating the scheduleGroup");

}

}

else

{

System.Windows.Forms.MessageBox.Show("There's no existing group to duplicate");

}

}

VB.NET

VBA

Public Sub DuplicateByIndex()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim count As Long

count = groups.count

If count > 0 Then

Dim newGroup As ScheduleGroup

Set newGroup = groups.DuplicateByIndex(0)

If Not newGroup Is Nothing Then

MsgBox "Name of new Group: " + newGroup.name

Else

MsgBox "Error while duplicating the scheduleGroup with index '0'"

End If

Else

MsgBox "There's no existing group to duplicate"

End If

End Sub


DeleteByName

Manuale -> Scripting -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Methods -> DeleteByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the ScheduleGroup with the specified name

Datatype

DeleteByName(BSTR Name) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerDeleteByName()

{

bool success =

ActiveDocument.Scheduler.ScheduleGroups.DeleteByName("New schedule1");

if (success)

{

System.Windows.Forms.MessageBox.Show("SchedulerGroup deleted succesfully");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while deleting SchedulerGroup");

}

}

VB.NET

VBA

Public Sub DeleteByName()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim success As Boolean

success = groups.DeleteByName("New schedule1")

If success Then

MsgBox "SchedulerGroup deleted succesfully"

Else

MsgBox "Error while deleting SchedulerGroup'"

End If

End Sub


DeleteByIndex

Manuale -> Scripting -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Methods -> DeleteByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes a ScheduleGroup with the specified index

Datatype

DeleteByIndex(long Index) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerDeleteByIndex()

{

if (ActiveDocument.Scheduler.ScheduleGroups.Count > 0)

{

bool success =

ActiveDocument.Scheduler.ScheduleGroups.DeleteByIndex(0);

if (success)

{

System.Windows.Forms.MessageBox.Show("SchedulerGroup with index 0 deleted succesfully");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while deleting SchedulerGroup with index '0'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("There's no existing group to delete");

}

}

VB.NET

VBA

Public Sub DeleteByIndex()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim Count As Long

Count = groups.Count

If Count > 0 Then

Dim success As Boolean

success = groups.DeleteByIndex(0)

If success Then

MsgBox "SchedulerGroup with index 0 deleted succesfully"

Else

MsgBox "Error while deleting SchedulerGroup with index '0'"

End If

Else

MsgBox "There's no existing group to delete"

End If

End Sub


ItemByName

Manuale -> Scripting -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Methods -> ItemByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Count of schedules (StandardDays[8] + CustomPeriods) within the specified ScheduleGroup via Name

Datatype

ItemByName(BSTR Name) As IScheduleGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerItemByName()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByName("New schedule1");

if (group != null)

{

int amountOfStandardDays = 8;

System.Windows.Forms.MessageBox.Show("GroupName: " + group.Name + "\n Amount of Schedules: " + (group.Schedules.CustomPeriodCount + amountOfStandardDays));

}

else

{

System.Windows.Forms.MessageBox.Show("ScheduleGroup does not exist");

}

}

VB.NET

VBA

Public Sub ItemByName()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByName("New schedule1")

If Not group Is Nothing Then

Dim amountOfStandardDays As Long

amountOfStandardDays = 8

MsgBox "GroupName: " & group.Name & vbNewLine & "Amount of Schedules: " & (group.Schedules.CustomPeriodCount + amountOfStandardDays)

Else

MsgBox "ScheduleGroup does not exist"

End If

End Sub


ItemByIndex

Manuale -> Scripting -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Methods -> ItemByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Count of schedules (StandardDays[8] + CustomPeriods) within the specified ScheduleGroup via index

Datatype

ItemByName(BSTR Name) As IScheduleGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerItemByIndex()

{

if (ActiveDocument.Scheduler.ScheduleGroups.Count > 0)

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

System.Windows.Forms.MessageBox.Show("GroupName: " + group.Name + "\n Amount of Schedules: " + (group.Schedules.CustomPeriodCount + 8));

}

else

{

System.Windows.Forms.MessageBox.Show("ScheduleGroup with index '0' is not accessable");

}

}

else

{

System.Windows.Forms.MessageBox.Show("There's no existing group to access");

}

}

VB.NET

VBA

Public Sub ItemByIndex()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim Count As Long

Count = groups.Count

If Count > 0 Then

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim amountOfStandardDays As Long

amountOfStandardDays = 8

MsgBox "GroupName: " & group.Name & vbNewLine & "Amount of Schedules: " & (group.Schedules.CustomPeriodCount + amountOfStandardDays)

Else

MsgBox "ScheduleGroup does not exist"

End If

Else

MsgBox "There's no existing group to access"

End If

End Sub


RenameByName

Manuale -> Scripting -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Methods -> RenameByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Renames the ScheduleGroup with the specified name

Datatype

RenameByName(BSTR OldName, BSTR NewName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerRenameByName()

{

bool success =

ActiveDocument.Scheduler.ScheduleGroups.RenameByName("New schedule1", "newName");

if (success)

{

System.Windows.Forms.MessageBox.Show("The scheduleGroup was renamed to 'newName'");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while renaming scheduleGroup");

}

}

VB.NET

VBA

Public Sub RenameByName()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim success As Boolean

success = groups.RenameByName("New schedule1", "newName")

If success Then

MsgBox "The scheduleGroup was renamed to 'newName'"

Else

MsgBox "ScheduleGroup does not exist"

End If

End Sub


RenameByIndex

Manuale -> Scripting -> Objectmodel -> ScheduleGroups -> ScheduleGroups-Methods -> RenameByIndex

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Renames the ScheduleGroup with the specified index

Datatype

RenameByIndex(long Index, BSTR NewName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerRenameByIndex()

{

bool success =

ActiveDocument.Scheduler.ScheduleGroups.RenameByIndex(0, "NewName");

if (success)

{

System.Windows.Forms.MessageBox.Show("The scheduleGroup with index '0' was renamed to 'newName'");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while renaming scheduleGroup with index '0'");

}

}

VB.NET

VBA

Public Sub RenameByIndex()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim Count As Long

Count = groups.Count

If Count > 0 Then

Dim success As Boolean

success = groups.RenameByIndex(0, "newName")

If success Then

MsgBox "The scheduleGroup with index '0' was renamed to 'newName'"

Else

MsgBox "ScheduleGroup with index '0' is not existing"

End If

Else

MsgBox "There's no existing group to rename"

End If

End Sub


Scheduler

Manuale -> Scripting -> Objectmodel -> Scheduler

Remarks

The Scheduler API allows access and modification to the Scheduler data through VBA and VSTA in the Editor and Runtime.

General rules when using the Scheduler API:

Do not use the Scheduler API from a second thread or keep API Objects for later calls. The Scheduler data may get edited elsewhere, so the lifetime and validity of the objects is only guaranteed in the immediate function context.

After modifications to collections (add, remove, rename) the iteration order of all objects may change, so performing these operations mid iteration may invalidate your index.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

class Project

{

properties:

Scheduler* Scheduler; // Access to the Scheduler API in the Project

}

The following classes are new in the zenon API to access the Scheduler:

// Root class for the Scheduler Api

class Scheduler

{

properties:

ScheduleGroups* ScheduleGroups; // Access to the configured Schedule Groups

methods:

bool Save(); // Saves all unsaved changes. Returns true if store was successful

void Undo(); // Undoes all unsaved changes

// Multiuser block

bool Get();

bool CheckOut();

bool CheckIn();

bool UndoCheckOut();

bool IsLocked();

bool IsCheckedOut();

bool IsDifferent();

};

// Collection of Schedule Groups

class ScheduleGroups

{

properties:

long Count; // Count of Groups. Cannot be modified directly.

methods:

ScheduleGroup* Create(); // Creates and returns a new ScheduleGroup. The new ScheduleGroup is created with the default name for new Groups. If no Groups could be created, null is returned.

ScheduleGroup* DuplicateByName(String Name); // Duplicates and returns the ScheduleGroup with the passed 'Name'. The new ScheduleGroup is created with the default name for copied Groups. If no Groups could be created, null is returned.

ScheduleGroup* DuplicateByIndex(long Index); // Duplicates and returns the ScheduleGroup at the passed 'Index'(0-based). The new ScheduleGroup is created with the default name for copied Groups. If no Groups could be created or 'Index' is invalid, null is returned.

bool DeleteByName(String Name); // Deletes the ScheduleGroup with the passed 'Name'. Returns true, if the Group was deleted successfully and false if the 'Name' does not exist or the Group could not be deleted.

bool DeleteByIndex(long Index); // Deletes the ScheduleGroup at the passed 'Index'(0-based). Returns true, if the Group was deleted successfully and false if the 'Index' is invalid or the Group could not be deleted.

ScheduleGroup* ItemByName(String Name); // Returns the ScheduleGroup with the passed 'Name'. Returns null if no Group with that name exists.

ScheduleGroup* ItemByIndex(long Index); // Returns the ScheduleGroup at the passed Index(0-based). Returns null the index in invalid.

bool RenameByName(String OldName, String NewName); // Changes the name of a ScheduleGroup from 'OldName' to 'NewName'. Returns true if the object was renamed successfully.

bool RenameByIndex(long Index, String NewName); // Changes the name of a ScheduleGroup at the passed 'Index'(0-based) to 'NewName'. Returns true if the object was renamed successfully.

};

// A single Schedule Group

class ScheduleGroup

{

properties:

String Name; // Name of the ScheduleGroup. Can only be changed via the Rename Methods in the collection

Schedules* Schedules; // Collection of the Schedules in this Group

};

// Collection of Schedules in the Group

class Schedules

{

properties:

long CustomPeriodCount; // Count of Custom Periods. Cannot be modified directly.

methods:

ScheduleCustomPeriod* CreateCustomPeriod(DateTime Start, DateTime End); // Creates and returns a new Custom Period or null if it could not be created. Only the date of 'Start' and 'End' is considered for Custom Periods and both are included in the Period. The date of 'End' must not be before the date of 'Start'. The time range for a Period cannot overlap with any existing Custom Periods.

bool DeleteCustomPeriod(long Index); // Deletes a Custom Period at the passed 'Index'(0-based). Returns false, if the 'Index' is invalid or the Period could not be deleted.

ScheduleStandardDay* GetStandardDay(tpScheduleDayType Day); // Returns the ScheduleStandardDay with the passed type or null if 'Day' is invalid.

ScheduleCustomPeriod* GetCustomPeriod(long Index); // Returns the ScheduleCustomPeriod at the passed 'Index' or null if the 'Index' is invalid.

};

// A Standard Day Schedule that defines the Switching Actions that are normally to be used on a Day of its Type

class ScheduleStandardDay

{

properties:

tpScheduleDayType Type; // defines the days on which it gets used. Cannot be changed.

ScheduleSwitchingPeriods* SwitchingPeriods; // Collection of Switching Periods

ScheduleSwitchingPoints* SwitchingPoints; // Collection of Switching Points

};

// A custom Time Period Schedule in which its Switching Actions are used instead of the standard ones.

class ScheduleCustomPeriod

{

properties:

DateTime StartDateTime; // Start date of the period. Cannot be changed after creation.

DateTime EndDateTime; // End date of the period. Cannot be changed after creation.

ScheduleSwitchingPeriods* SwitchingPeriods; // Collection of Switching Periods

ScheduleSwitchingPoints* SwitchingPoints; // Collection of Switching Points

};

// Collection of Switching Periods.

class ScheduleSwitchingPeriods

{

properties:

long Count; // Count of Switching Periods. Cannot be changed directly.

methods:

ScheduleSwitchingPeriod* Create(DateTime StartTime, DateTime EndTime); // Creates and returns a new Switching Period. Only the time component of 'StartTime' and 'EndTime' are relevant. Both times must be unique within the Schedule and 'EndTime' must be after 'StartTime'.

bool Delete(long Index); // Deletes the Switching Period at the passed 'Index'(0-based). Returns false, if the 'Index' is invalid or the Period could not be deleted.

ScheduleSwitchingPeriod* Item(long Index); // Returns the Switching Period at the passed 'Index'(0-based) or null if the 'Index' is invalid.

};

// A single Switching Period

class ScheduleSwitchingPeriod

{

properties:

ScheduleSwitchingPoint* Start; // Switching Point at the Start of the Period

ScheduleSwitchingPoint* End; // Switching Point at the End of the Period

};

// Collection of Switching Points

class ScheduleSwitchingPoints

{

properties:

long Count; // Count if Swichting Points. Cannot be changed directly.

methods:

ScheduleSwitchingPoint* Create(DateTime Time); // Creates and returns a new Switching Point. Only the time component of 'Time' is relevant. The time must be unique within the Schedule.

bool Delete(long Index); // Deletes the Switching Point at the passed 'Index'(0-based). Returns false, if the 'Index' is invalid or the Point could not be deleted.

ScheduleSwitchingPoint* Item(long Index); // Returns the Switching Point at the passed 'Index'(0-based) or null if the 'Index' is invalid.

};

// A single switching Point

class ScheduleSwitchingPoint

{

properties:

DateTime Time; // Time of the switching Point. Only the time component is relevant

ScheduleVariables* Variables; // Collection of Actions to be performed on Variables

ScheduleFunctions* Functions; // Collection of Functions to be Executed

};

// Collection of Functions in a Switching Point

class ScheduleFunctions

{

properties:

long Count; // Count of Functions. Cannot be changed directly.

methods:

ScheduleFunction* Create(IRtFunction* Function); // Inserts the new 'Function' to be executed and returns the new link. Returns null if the 'Function' is not unique within the collection or cannot be added.

bool Delete(long Index); // Deletes the link to a function at the passed 'Index'(0-based). Returns false, if the 'Index' is invalid or the function could not be removed

ScheduleFunction* Item(long Index); // Returns the function link at the passed 'Index'(0-based). Returns null if 'Index' is invalid.

};

// Link to a single Function

class ScheduleFunction

{

properties:

bool Active; // Defines, if this function gets executed. Can be changed.

IRtFunction* Function; // Function that gets executed. Cannot be changed.

};

// Collection of Variable Actions in a Switching Point

class ScheduleVariables

{

properties:

long Count; // Count of Variable Actions. Cannot be changed directly.

methods:

ScheduleVariable* Create(IVariable* Variable, VARIANT SetValue); // Creates and returns a new variable Action to set 'SetValue' into 'Variable'. Returns null, if 'Variable' is not unique within the Switching Point or the new action could not be added

bool Delete(long Index); // Deletes the Variable at the passed 'Index'(0-based). Returns false, if 'Index' is invalid or the Variable could not be deleted.

ScheduleVariable* Item(long Index); // Returns the Variable at the passed 'Index'(0-based). Returns null if 'Index' is invalid.

};

// A single Variable Action

class ScheduleVariable

{

properties:

bool Active; // Defines, if this Action gets Executed. Can be changed.

IVariable* Variable; // Variable, that gets a Value set into. Cannot be changed.

VB.NET

VBA

Public Sub Save()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim returnValue As Boolean

returnValue = scheduler.Save()

If returnValue = True Then

MsgBox "Data saved"

Else

MsgBox "Error while saving"

End If

End Sub

Noch in diesem Kapitel

Scheduler-Properties

Scheduler-Methods


Scheduler-Properties

Manuale -> Scripting -> Objectmodel -> Scheduler -> Scheduler-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleGroups | ScheduleGroups | Collection of Schedule Groups | read only | read only | yes | yes

Noch in diesem Kapitel

ScheduleGroups


ScheduleGroups

Manuale -> Scripting -> Objectmodel -> Scheduler -> Scheduler-Properties -> ScheduleGroups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Access to the configured Schedule Groups

Datatype

ScheduleGroups() As IScheduleGroups

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Scheduler-Methods

Manuale -> Scripting -> Objectmodel -> Scheduler -> Scheduler-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Save | Saves the changes made to the Scheduler | available | available | yes | yes
void | Undo | Undo changes made to the Scheduler since the last Save | available | available | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). | available | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only | not used | yes | yes

Noch in diesem Kapitel

Save

Undo

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Save

Manuale -> Scripting -> Objectmodel -> Scheduler -> Scheduler-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Saves the changes made to the Scheduler

Datatype

Save() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerSave()

{

if (ActiveDocument.Scheduler.Save())

{

System.Windows.Forms.MessageBox.Show("Data saved");

}

else

{

System.Windows.Forms.MessageBox.Show("Error while saving");

}

}

VB.NET

VBA

Public Sub Save()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim returnValue As Boolean

returnValue = scheduler.Save()

If returnValue = True Then

MsgBox "Data saved"

Else

MsgBox "Error while saving"

End If

End Sub


Undo

Manuale -> Scripting -> Objectmodel -> Scheduler -> Scheduler-Methods -> Undo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo all changes made to the Scheduler. Reverts to the last save

Datatype

Undo() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerUndo()

{

ActiveDocument.Scheduler.Undo();

}

VB.NET

VBA

Public Sub Undo()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

scheduler.Undo

End Sub


Get

Manuale -> Scripting -> Objectmodel -> Scheduler -> Scheduler-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Get() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckOut

Manuale -> Scripting -> Objectmodel -> Scheduler -> Scheduler-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckIn

Manuale -> Scripting -> Objectmodel -> Scheduler -> Scheduler-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CheckIn() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


UndoCheckOut

Manuale -> Scripting -> Objectmodel -> Scheduler -> Scheduler-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UndoCheckOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsLocked

Manuale -> Scripting -> Objectmodel -> Scheduler -> Scheduler-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsLocked() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsCheckedOut

Manuale -> Scripting -> Objectmodel -> Scheduler -> Scheduler-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsCheckedOut() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsDifferent

Manuale -> Scripting -> Objectmodel -> Scheduler -> Scheduler-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Schedules

Manuale -> Scripting -> Objectmodel -> Schedules

Remarks

Collection of Schedules in the Group

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/// <summary>

/// Creates a CustomPeriod in the first scheduleGroup and displays it's data in a messageBox

/// </summary>

public void Macro_SchedulerCreateCustomPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

DateTime startOfCustomPeriod = DateTime.Now;

TimeSpan oneDay = new TimeSpan(1,0,0,0);

DateTime endOfCustomPeriod = startOfCustomPeriod + oneDay;

zenOn.IScheduleCustomPeriod newCustomPeriod = group.Schedules.CreateCustomPeriod(startOfCustomPeriod, endOfCustomPeriod);

if (newCustomPeriod != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "new custom Period: " + newCustomPeriod.StartDate.Day + "." + newCustomPeriod.StartDate.Month + "." + newCustomPeriod.StartDate.Year;

report += " - " + newCustomPeriod.EndDate.Day + "." + newCustomPeriod.EndDate.Month + "." + newCustomPeriod.EndDate.Year;

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("Period does already exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub CreateCustomPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim startOfCustomPeriod As Date

startOfCustomPeriod = Now()

Dim endOfCustomPeriod As Date

endOfCustomPeriod = DateAdd("y", 1, startOfCustomPeriod)

Dim newPeriod As ScheduleCustomPeriod

Set newPeriod = group.Schedules.CreateCustomPeriod(startOfCustomPeriod, endOfCustomPeriod)

If Not newPeriod Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "new customPeriod: " & Format(startOfCustomPeriod, "dd.mm.yyyy") & " - " & Format(endOfCustomPeriod, "dd.mm.yyyy")

MsgBox report

Else

MsgBox "Period does already exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Noch in diesem Kapitel

Schedules-Properties

Schedules-Methods


Schedules-Properties

Manuale -> Scripting -> Objectmodel -> Schedules -> Schedules-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | CustomPeriodCount | Returns the Count of Custom Periods | read only | read only | yes | yes

Noch in diesem Kapitel

CustomPeriodCount


CustomPeriodCount

Manuale -> Scripting -> Objectmodel -> Schedules -> Schedules-Properties -> CustomPeriodCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count of Custom Periods. Cannot be modified directly.

Datatype

CustomPeriodCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Schedules-Methods

Manuale -> Scripting -> Objectmodel -> Schedules -> Schedules-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleCustomPeriod | CreateCustomPeriod | Creates a Custom Period | available | available | yes | yes
VARIANT_BOOL | DeleteCustomPeriod | Deletes a Custom Period | available | available | yes | yes
IScheduleStandardDay | GetStandardDay | Returns a Standard Day via enum | available | available | yes | yes
IScheduleCustomPeriod | GetCustomPeriod | Returns a Custom Period via Index | available | available | yes | yes

Noch in diesem Kapitel

CreateCustomPeriod

DeleteCustomPeriod

GetStandardDay

GetCustomPeriod


CreateCustomPeriod

Manuale -> Scripting -> Objectmodel -> Schedules -> Schedules-Methods -> CreateCustomPeriod

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a custom period

Datatype

CreateCustomPeriod(DATE Start, DATE End) As IScheduleCustomPeriod

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

/// <summary>

/// Creates a CustomPeriod in the first scheduleGroup and displays it's data in a messageBox

/// </summary>

public void Macro_SchedulerCreateCustomPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

DateTime startOfCustomPeriod = DateTime.Now;

TimeSpan oneDay = new TimeSpan(1,0,0,0);

DateTime endOfCustomPeriod = startOfCustomPeriod + oneDay;

zenOn.IScheduleCustomPeriod newCustomPeriod = group.Schedules.CreateCustomPeriod(startOfCustomPeriod, endOfCustomPeriod);

if (newCustomPeriod != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "new custom Period: " + newCustomPeriod.StartDate.Day + "." + newCustomPeriod.StartDate.Month + "." + newCustomPeriod.StartDate.Year;

report += " - " + newCustomPeriod.EndDate.Day + "." + newCustomPeriod.EndDate.Month + "." + newCustomPeriod.EndDate.Year;

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("Period does already exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub CreateCustomPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim startOfCustomPeriod As Date

startOfCustomPeriod = Now()

Dim endOfCustomPeriod As Date

endOfCustomPeriod = DateAdd("y", 1, startOfCustomPeriod)

Dim newPeriod As ScheduleCustomPeriod

Set newPeriod = group.Schedules.CreateCustomPeriod(startOfCustomPeriod, endOfCustomPeriod)

If Not newPeriod Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "new customPeriod: " & Format(startOfCustomPeriod, "dd.mm.yyyy") & " - " & Format(endOfCustomPeriod, "dd.mm.yyyy")

MsgBox report

Else

MsgBox "Period does already exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


DeleteCustomPeriod

Manuale -> Scripting -> Objectmodel -> Schedules -> Schedules-Methods -> DeleteCustomPeriod

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the custom period.

Datatype

DeleteCustomPeriod(long Index) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

/// <summary>

/// Deletes the first existing CustomPeriod in the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerDeleteCustomPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

if (group.Schedules.CustomPeriodCount > 0)

{

String report = "";

zenOn.IScheduleCustomPeriod period = group.Schedules.GetCustomPeriod(0);

report += "scheduleGroup: " + group.Name + "\n";

report += "first customPeriod: " + period.StartDate.Day + "." + period.StartDate.Month + "." + period.StartDate.Year;

report += " - " + period.EndDate.Day + "." + period.EndDate.Month + "." + period.EndDate.Year;

bool success = group.Schedules.DeleteCustomPeriod(0);

if (success)

{

report += "\nCustomPeriod deleted successfully";

}

else

{

report += "\nDeleting customPeriod was not successful";

}

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("There's no customPeriod existing to delete");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub DeleteCustomPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

If group.Schedules.customPeriodCount > 0 Then

Dim report As String

Dim period As ScheduleCustomPeriod

Set period = group.Schedules.GetCustomPeriod(0)

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "first customPeriod: " & Format(period.StartDate, "dd.mm.yyyy") & " - " & Format(period.EndDate, "dd.mm.yyyy")

Dim success As Boolean

success = group.Schedules.DeleteCustomPeriod(0)

If success Then

report = report & vbNewLine & "CustomPeriod deleted successfully"

Else

report = report & vbNewLine & "Deleting customPeriod was not successful"

End If

MsgBox report

Else

MsgBox "There's no customPeriod existing to delete"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


GetStandardDay

Manuale -> Scripting -> Objectmodel -> Schedules -> Schedules-Methods -> GetStandardDay

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Access a specific Schedule within a ScheduleGroup. Generates a List containing the amount of Switching Periods & Points within a Schedule. Both the ScheduleGroup and the Schedule (StandardDay) must be defined by the user!

Datatype

GetStandardDay(tpScheduleDayType Day) As IScheduleStandardDay

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerAccessStandardDay()

{

String fullString = "";

{

//Specify ScheduleGroup via Index!

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

if (fullString.Length > 0)

{

fullString += "\n\n\n\n";

}

fullString += "ScheduleName: " + group.Name + " ";

fullString += "\n";

//Specify StandardDay via Index!

zenOn.tpScheduleDayType dayType = Macro_GetDayTypeForIndex(2);

Macro_ReportOfOneStandardDay(group.Schedules.GetStandardDay(dayType), ref fullString);

}

}

System.Windows.Forms.MessageBox.Show(fullString);

}

VB.NET

VBA

Public Sub AccessStandardDay()

Dim fullString As String

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByIndex(0)

Dim standardDayCount As Long

standardDayCount = 8

If Not group Is Nothing Then

If Len(fullString) > 0 Then

fullString = fullString & vbNewLine & vbNewLine & vbNewLine & vbNewLine

End If

fullString = fullString & "ScheduleName: " & group.Name

fullString = fullString & vbNewLine

Dim dayType As tpScheduleDayType

'Specify StandardDay via Index!

dayType = GetDayTypeForIndex(0)

Call ReportOfOneStandardDay(group.Schedules.GetStandardDay(dayType), fullString)

End If

MsgBox fullString

End Sub


GetCustomPeriod

Manuale -> Scripting -> Objectmodel -> Schedules -> Schedules-Methods -> GetCustomPeriod

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Access a specific CustomPeriod within a ScheduleGroup. Generates a List containing the amount of Switching Periods & Points within a Schedule. Both the ScheduleGroup and the Schedule (CustomPeriod) must be defined by the user!

Datatype

GetCustomPeriod(long Index) As IScheduleCustomPeriod

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerAccessCustomPeriod()

{

String fullString = "";

{

//Specify ScheduleGroup index!

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

if (fullString.Length > 0)

{

fullString += "\n\n\n\n";

}

fullString += "ScheduleName: " + group.Name + " ";

fullString += "\n";

//Specify CustomPeriod via Index!

Macro_ReportOfOneCustomPeriod(group.Schedules.GetCustomPeriod(1), ref fullString);

}

}

System.Windows.Forms.MessageBox.Show(fullString);

}

VB.NET

VBA

Public Sub AccessCustomPeriod()

Dim fullString As String

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByIndex(0)

Dim customPeriodCount As Long

customPeriodCount = group.Schedules.customPeriodCount

If Not group Is Nothing Then

If Len(fullString) > 0 Then

fullString = fullString & vbNewLine & vbNewLine & vbNewLine & vbNewLine

End If

fullString = fullString & "ScheduleName: " & group.Name

fullString = fullString & vbNewLine

Dim customPeriod As ScheduleCustomPeriod

'Specify CustomPeriod via Index!

Set customPeriod = group.Schedules.GetCustomPeriod(2)

Call ReportOfOneCustomPeriod(customPeriod, fullString)

End If

MsgBox fullString

End Sub


ScheduleStandardDay

Manuale -> Scripting -> Objectmodel -> ScheduleStandardDay

Remarks

A Standard Day Schedule that defines the Switching Actions that are normally to be used on a Day of its Type

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

ScheduleStandardDay-Properties


ScheduleStandardDay-Properties

Manuale -> Scripting -> Objectmodel -> ScheduleStandardDay -> ScheduleStandardDay-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpScheduleDayType | Type | Standard Day type | read only | read only | yes | yes
IScheduleSwitchingPeriods | SwitchingPeriods | Collection of Switching Periods in a Standard Day | read only | read only | yes | yes
IScheduleSwitchingPoints | SwitchingPoints | Collection of Switching Points in a Standard Day | read only | read only | yes | yes

Noch in diesem Kapitel

Type

SwitchingPeriods

SwitchingPoints


Type

Manuale -> Scripting -> Objectmodel -> ScheduleStandardDay -> ScheduleStandardDay-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines the days on which it gets used. Cannot be changed.

Datatype

Type() As tpScheduleDayType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SwitchingPeriods

Manuale -> Scripting -> Objectmodel -> ScheduleStandardDay -> ScheduleStandardDay-Properties -> SwitchingPeriods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Switching Periods

Datatype

SwitchingPeriods() As IScheduleSwitchingPeriods

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SwitchingPoints

Manuale -> Scripting -> Objectmodel -> ScheduleStandardDay -> ScheduleStandardDay-Properties -> SwitchingPoints

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Switching Points

Datatype

SwitchingPoints() As IScheduleSwitchingPoints

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleSwitchingPeriod

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPeriod

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A single Switching Period

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/// <summary>

/// Creates a Switching Period with current time and a dureation of 1 hour on monday of the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerCreateSwitchingPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "\nschedule: Monday\n";

TimeSpan oneDay = new TimeSpan(1, 0, 0);

zenOn.IScheduleSwitchingPeriod newSwitchingPeriod = day.SwitchingPeriods.Create(DateTime.Now, DateTime.Now+oneDay);

if (newSwitchingPeriod != null)

{

report += "new switchingPeriod: " + newSwitchingPeriod.Start.Time.TimeOfDay + " - " + newSwitchingPeriod.End.Time.TimeOfDay;

report += "\nSwitchingPeriod created successfully";

}

else

{

report += "\nNo switchingPeriod created";

}

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub CreateSwitchingPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "schedule: Monday" & vbNewLine

Dim newSwitchingPeriod As ScheduleSwitchingPeriod

Dim endTime As Date

endTime = DateAdd("h", 1, Now())

Set newSwitchingPeriod = monday.SwitchingPeriods.Create(Now(), endTime)

If Not newSwitchingPeriod Is Nothing Then

report = report & "new switchingPoint: " & Format(newSwitchingPeriod.Start.Time, "hh:mm")

report = report & " - " & Format(newSwitchingPeriod.End.Time, "hh:mm")

report = report & vbNewLine & "SwitchingPeriod created successfully"

Else

report = report & vbNewLine & "No SwitchingPeriod created"

End If

MsgBox report

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Noch in diesem Kapitel

ScheduleSwitchingPeriod-Properties


ScheduleSwitchingPeriod-Properties

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPeriod -> ScheduleSwitchingPeriod-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleSwitchingPoint | Start | Switching Point at the Start of the Period | read only | read only | yes | yes
IScheduleSwitchingPoint | End | Switching Point at the End of the Period | read only | read only | yes | yes

Noch in diesem Kapitel

Start

End


Start

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPeriod -> ScheduleSwitchingPeriod-Properties -> Start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Switching Point at the Start of the Period

Datatype

Start() As IScheduleSwitchingPoint

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


End

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPeriod -> ScheduleSwitchingPeriod-Properties -> End

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Switching Point at the end of the Period

Datatype

End() As IScheduleSwitchingPoint

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleSwitchingPeriods

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPeriods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Switching Periods.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/// <summary>

/// Creates a Switching Period with current time and a dureation of 1 hour on monday of the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerCreateSwitchingPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "\nschedule: Monday\n";

TimeSpan oneDay = new TimeSpan(1, 0, 0);

zenOn.IScheduleSwitchingPeriod newSwitchingPeriod = day.SwitchingPeriods.Create(DateTime.Now, DateTime.Now+oneDay);

if (newSwitchingPeriod != null)

{

report += "new switchingPeriod: " + newSwitchingPeriod.Start.Time.TimeOfDay + " - " + newSwitchingPeriod.End.Time.TimeOfDay;

report += "\nSwitchingPeriod created successfully";

}

else

{

report += "\nNo switchingPeriod created";

}

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub CreateSwitchingPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "schedule: Monday" & vbNewLine

Dim newSwitchingPeriod As ScheduleSwitchingPeriod

Dim endTime As Date

endTime = DateAdd("h", 1, Now())

Set newSwitchingPeriod = monday.SwitchingPeriods.Create(Now(), endTime)

If Not newSwitchingPeriod Is Nothing Then

report = report & "new switchingPoint: " & Format(newSwitchingPeriod.Start.Time, "hh:mm")

report = report & " - " & Format(newSwitchingPeriod.End.Time, "hh:mm")

report = report & vbNewLine & "SwitchingPeriod created successfully"

Else

report = report & vbNewLine & "No SwitchingPeriod created"

End If

MsgBox report

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Noch in diesem Kapitel

ScheduleSwitchingPeriods-Properties

ScheduleSwitchingPeriods-Methods


ScheduleSwitchingPeriods-Properties

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPeriods -> ScheduleSwitchingPeriods-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the Count of Switching Periods | read only | read only | yes | yes

Noch in diesem Kapitel

Count


Count

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPeriods -> ScheduleSwitchingPeriods-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count of Switching Periods. Cannot be changed directly.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleSwitchingPeriods-Methods

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPeriods -> ScheduleSwitchingPeriods-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleSwitchingPeriod | Create | Creates a new Switching Period | available | available | yes | yes
VARIANT_BOOL | Delete | Deletes a Switching Period | available | available | yes | yes
IScheduleSwitchingPeriod | Item | Returns a Switching Period | available | available | yes | yes

Noch in diesem Kapitel

Create

Delete

Item


Create

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPeriods -> ScheduleSwitchingPeriods-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a switching period

Datatype

Create(DATE StartTime, DATE EndTime) As IScheduleSwitchingPeriod

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

/// <summary>

/// Creates a Switching Period with current time and a dureation of 1 hour on monday of the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerCreateSwitchingPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "\nschedule: Monday\n";

TimeSpan oneDay = new TimeSpan(1, 0, 0);

zenOn.IScheduleSwitchingPeriod newSwitchingPeriod = day.SwitchingPeriods.Create(DateTime.Now, DateTime.Now+oneDay);

if (newSwitchingPeriod != null)

{

report += "new switchingPeriod: " + newSwitchingPeriod.Start.Time.TimeOfDay + " - " + newSwitchingPeriod.End.Time.TimeOfDay;

report += "\nSwitchingPeriod created successfully";

}

else

{

report += "\nNo switchingPeriod created";

}

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub CreateSwitchingPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "schedule: Monday" & vbNewLine

Dim newSwitchingPeriod As ScheduleSwitchingPeriod

Dim endTime As Date

endTime = DateAdd("h", 1, Now())

Set newSwitchingPeriod = monday.SwitchingPeriods.Create(Now(), endTime)

If Not newSwitchingPeriod Is Nothing Then

report = report & "new switchingPoint: " & Format(newSwitchingPeriod.Start.Time, "hh:mm")

report = report & " - " & Format(newSwitchingPeriod.End.Time, "hh:mm")

report = report & vbNewLine & "SwitchingPeriod created successfully"

Else

report = report & vbNewLine & "No SwitchingPeriod created"

End If

MsgBox report

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


Delete

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPeriods -> ScheduleSwitchingPeriods-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes existing SwitchingPeriods

Datatype

Delete(long Index) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

/// <summary>

/// Deletes the first existing SwitchingPeriod from Monday in the first existing scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerDeleteSwitchingPeriod()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

if (day.SwitchingPeriods.Count > 0)

{

zenOn.IScheduleSwitchingPeriod period = day.SwitchingPeriods.Item(0);

if (period != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "first switchingPeriod: " + period.Start.Time.TimeOfDay + " - " + period.End.Time.TimeOfDay;

bool success = day.SwitchingPeriods.Delete(0);

if (success)

{

report += "\n SwitchingPeriod deleted successfully";

}

else

{

report += "\nDeleting switchingPeriod was not successful";

}

System.Windows.Forms.MessageBox.Show(report);

}

}

else

{

System.Windows.Forms.MessageBox.Show("There are no switching periods existing to delete");

}

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub DeleteSwitchingPeriod()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

If monday.SwitchingPeriods.Count > 0 Then

Dim period As ScheduleSwitchingPeriod

Set period = monday.SwitchingPeriods.Item(0)

If Not period Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "first switchingPeriod: " & Format(period.Start.Time, "hh:mm") & " - " & Format(period.End.Time, "hh:mm")

Dim success As Boolean

success = monday.SwitchingPeriods.Delete(0)

If success Then

report = report & vbNewLine & "switchingPeriod deleted successfully"

Else

report = report & vbNewLine & "Deleting switchingPeriod was not successful"

End If

MsgBox report

End If

Else

MsgBox "There are no switchingPeriods existing"

End If

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


Item

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPeriods -> ScheduleSwitchingPeriods-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a Count and a list of all SwitchingPeriods contained within the specified Schedule

Datatype

Item(long Index) As IScheduleSwitchingPeriod

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerAccessSwitchingPeriods()

{

String fullString = "";

//Specify a ScheduleGroup via index!

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

fullString += "Monday:\n";

fullString += "\n";

fullString += "Amount of SwitchingPeriods: " + monday.SwitchingPeriods.Count + "\n";

for (int i = 0; i < monday.SwitchingPeriods.Count; i++)

{

zenOn.IScheduleSwitchingPeriod period = monday.SwitchingPeriods.Item(i);

if (period != null)

{

fullString += period.Start.Time.TimeOfDay + " - " + period.End.Time.TimeOfDay + "\n";

}

}

System.Windows.Forms.MessageBox.Show(fullString);

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing 'Monday' of your schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub AccessAllSwitchingPeriods()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

'Specify StandardDay!

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim fullString As String

fullString = fullString & vbNewLine

fullString = fullString & "Monday: " & vbNewLine

fullString = fullString & vbNewLine

fullString = fullString & "Amount of SwitchingPeriods: " & monday.SwitchingPeriods.count & vbNewLine

Dim index As Long

For index = 0 To (monday.SwitchingPeriods.count - 1)

Dim period As ScheduleSwitchingPeriod

Set period = monday.SwitchingPeriods.Item(index)

If Not period Is Nothing Then

fullString = fullString & Format(period.Start.Time, "hh:mm:ss") & " - " & Format(period.End.Time, "hh:mm:ss") & vbNewLine

End If

Next

fullString = fullString & vbNewLine

MsgBox fullString

Else

MsgBox "Error while accessing schedule '" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


ScheduleSwitchingPoint

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPoint

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A single switching Point

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/// <summary>

/// Deletes the first existing SwitchingPoint from Monday in the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerDeleteSwitchingPoint()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

if (day.SwitchingPoints.Count > 0)

{

zenOn.IScheduleSwitchingPoint point = day.SwitchingPoints.Item(0);

if (point != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "first switchingPoint: " + point.Time.TimeOfDay;

bool success = day.SwitchingPoints.Delete(0);

if (success)

{

report += "\nSwitchingPoint deleted successfully";

}

else

{

report += "\nDeleting switchingPoint was not successful";

}

System.Windows.Forms.MessageBox.Show(report);

}

}

else

{

System.Windows.Forms.MessageBox.Show("There are no switching points existing to delete");

}

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub DeleteSwitchingPoint()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

If monday.SwitchingPoints.Count > 0 Then

Dim point As ScheduleSwitchingPoint

Set point = monday.SwitchingPoints.Item(0)

If Not point Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "first switchingPoint: " & Format(point.Time, "hh:mm") & " - " & Format(point.Time, "hh:mm")

Dim success As Boolean

success = monday.SwitchingPoints.Delete(0)

If success Then

report = report & vbNewLine & "switchingPoint deleted successfully"

Else

report = report & vbNewLine & "Deleting switchingPoint was not successful"

End If

MsgBox report

End If

Else

MsgBox "There are no switchingPoints existing"

End If

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Noch in diesem Kapitel

ScheduleSwitchingPoint-Properties


ScheduleSwitchingPoint-Properties

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPoint -> ScheduleSwitchingPoint-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Time | Switching Point execution Time | read only | read only | yes | yes
IScheduleVariables | Variables | Collection of Variables in a Switching Point | read only | read only | yes | yes
IScheduleFunctions | Functions | Collection of Functions in a Switching Point | read only | read only | yes | yes

Noch in diesem Kapitel

Time

Variables

Functions


Time

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPoint -> ScheduleSwitchingPoint-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Time of the switching Point. Only the time component is relevant

Datatype

Time() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Variables

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPoint -> ScheduleSwitchingPoint-Properties -> Variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Actions to be performed on Variables

Datatype

Variables() As IScheduleVariables

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Functions

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPoint -> ScheduleSwitchingPoint-Properties -> Functions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Functions to be Executed

Datatype

Functions() As IScheduleFunctions

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleSwitchingPoints

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPoints

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Collection of Switching Points

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

/// <summary>

/// Deletes the first existing SwitchingPoint from Monday in the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerDeleteSwitchingPoint()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

if (day.SwitchingPoints.Count > 0)

{

zenOn.IScheduleSwitchingPoint point = day.SwitchingPoints.Item(0);

if (point != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "first switchingPoint: " + point.Time.TimeOfDay;

bool success = day.SwitchingPoints.Delete(0);

if (success)

{

report += "\nSwitchingPoint deleted successfully";

}

else

{

report += "\nDeleting switchingPoint was not successful";

}

System.Windows.Forms.MessageBox.Show(report);

}

}

else

{

System.Windows.Forms.MessageBox.Show("There are no switching points existing to delete");

}

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub DeleteSwitchingPoint()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

If monday.SwitchingPoints.Count > 0 Then

Dim point As ScheduleSwitchingPoint

Set point = monday.SwitchingPoints.Item(0)

If Not point Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "first switchingPoint: " & Format(point.Time, "hh:mm") & " - " & Format(point.Time, "hh:mm")

Dim success As Boolean

success = monday.SwitchingPoints.Delete(0)

If success Then

report = report & vbNewLine & "switchingPoint deleted successfully"

Else

report = report & vbNewLine & "Deleting switchingPoint was not successful"

End If

MsgBox report

End If

Else

MsgBox "There are no switchingPoints existing"

End If

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub

Noch in diesem Kapitel

ScheduleSwitchingPoints-Properties

ScheduleSwitchingPoints-Methods


ScheduleSwitchingPoints-Properties

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPoints -> ScheduleSwitchingPoints-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes

Noch in diesem Kapitel

Count


Count

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPoints -> ScheduleSwitchingPoints-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count if Swichting Points. Cannot be changed directly.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleSwitchingPoints-Methods

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPoints -> ScheduleSwitchingPoints-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleSwitchingPoint | Create |  | available | available | yes | yes
VARIANT_BOOL | Delete |  | available | available | yes | yes
IScheduleSwitchingPoint | Item |  | available | available | yes | yes

Noch in diesem Kapitel

Create

Delete

Item


Create

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPoints -> ScheduleSwitchingPoints-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a Switching Point

Datatype

Create(DATE Time) As IScheduleSwitchingPoint

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerCreateSwitchingPoint()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "\nschedule: Monday\n";

zenOn.IScheduleSwitchingPoint newSwitchingPoint = day.SwitchingPoints.Create(DateTime.Now);

if (newSwitchingPoint != null)

{

report += "new switchingPoint: " + newSwitchingPoint.Time.TimeOfDay;

report += "\nSwitchingPoint created successfully";

}

else

{

report += "\nNo switchingPoint created";

}

System.Windows.Forms.MessageBox.Show(report);

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub CreateSwitchingPoint()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "schedule: Monday" & vbNewLine

Dim newSwitchingPoint As ScheduleSwitchingPoint

Set newSwitchingPoint = monday.SwitchingPoints.Create(Now())

If Not newSwitchingPoint Is Nothing Then

report = report & "new switchingPoint: " & Format(newSwitchingPoint.Time, "hh:mm")

report = report & vbNewLine & "SwitchingPoint created successfully"

Else

report = report & vbNewLine & "No SwitchingPoint created"

End If

MsgBox report

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


Delete

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPoints -> ScheduleSwitchingPoints-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes existing SwitchingPoints

Datatype

Delete(long Index) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

/// <summary>

/// Deletes the first existing SwitchingPoint from Monday in the first scheduleGroup and shows details in a messageBox

/// </summary>

public void Macro_SchedulerDeleteSwitchingPoint()

{

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay day = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (day != null)

{

if (day.SwitchingPoints.Count > 0)

{

zenOn.IScheduleSwitchingPoint point = day.SwitchingPoints.Item(0);

if (point != null)

{

String report = "scheduleGroup: " + group.Name + "\n";

report += "first switchingPoint: " + point.Time.TimeOfDay;

bool success = day.SwitchingPoints.Delete(0);

if (success)

{

report += "\nSwitchingPoint deleted successfully";

}

else

{

report += "\nDeleting switchingPoint was not successful";

}

System.Windows.Forms.MessageBox.Show(report);

}

}

else

{

System.Windows.Forms.MessageBox.Show("There are no switching points existing to delete");

}

}

else

{

System.Windows.Forms.MessageBox.Show("Monday does not exist");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub DeleteSwitchingPoint()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

If monday.SwitchingPoints.Count > 0 Then

Dim point As ScheduleSwitchingPoint

Set point = monday.SwitchingPoints.Item(0)

If Not point Is Nothing Then

Dim report As String

report = report & "scheduleGroup: " & group.name & vbNewLine

report = report & "first switchingPoint: " & Format(point.Time, "hh:mm") & " - " & Format(point.Time, "hh:mm")

Dim success As Boolean

success = monday.SwitchingPoints.Delete(0)

If success Then

report = report & vbNewLine & "switchingPoint deleted successfully"

Else

report = report & vbNewLine & "Deleting switchingPoint was not successful"

End If

MsgBox report

End If

Else

MsgBox "There are no switchingPoints existing"

End If

Else

MsgBox "Monday does not exist"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


Item

Manuale -> Scripting -> Objectmodel -> ScheduleSwitchingPoints -> ScheduleSwitchingPoints-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a Count and a list of all SwitchingPoints contained within the specified Schedule

Datatype

Item(long Index) As IScheduleSwitchingPoint

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_SchedulerAccessSwitchingPoints()

{

String fullString = "";

//Specify a ScheduleGroup via index!

zenOn.IScheduleGroup group =

ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

zenOn.IScheduleStandardDay monday =

group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday);

if (monday != null)

{

fullString += "Monday:\n";

fullString += "\n\nAmount of SwitchingPoints: " + monday.SwitchingPoints.Count + "\n";

for (int i = 0; i < monday.SwitchingPoints.Count; i++)

{

zenOn.IScheduleSwitchingPoint point = monday.SwitchingPoints.Item(i);

if (point != null)

{

fullString += point.Time.TimeOfDay + "\n";

}

}

System.Windows.Forms.MessageBox.Show(fullString);

}

else

{

System.Windows.Forms.MessageBox.Show("Error while accessing schedule '" + group.Name + "'");

}

}

else

{

System.Windows.Forms.MessageBox.Show("No accessable scheduleGroup existing");

}

}

VB.NET

VBA

Public Sub AccessAllSwitchingPoints()

Dim scheduler As scheduler

Set scheduler = MyWorkspace.ActiveDocument.scheduler

Dim groups As ScheduleGroups

Set groups = scheduler.ScheduleGroups

Dim group As ScheduleGroup

'Specify ScheduleGroup via Index!

Set group = groups.ItemByIndex(0)

If Not group Is Nothing Then

'Specify StandardDay!

Dim monday As ScheduleStandardDay

Set monday = group.Schedules.GetStandardDay(tpScheduleMonday)

If Not monday Is Nothing Then

Dim fullString As String

fullString = fullString & vbNewLine

fullString = fullString & "Monday: " & vbNewLine

fullString = fullString & vbNewLine

fullString = fullString & "Amount of SwitchingPoints: " & monday.SwitchingPoints.count & vbNewLine

Dim index As Long

For index = 0 To (monday.SwitchingPoints.count - 1)

Dim point As ScheduleSwitchingPoint

Set point = monday.SwitchingPoints.Item(index)

If Not point Is Nothing Then

fullString = fullString & Format(point.Time, "hh:mm:ss") & vbNewLine

End If

Next

fullString = fullString & vbNewLine

MsgBox fullString

Else

MsgBox "Error while accessing schedule '" + group.Name + "'"

End If

Else

MsgBox "No accessable scheduleGroup existing"

End If

End Sub


ScheduleVariable

Manuale -> Scripting -> Objectmodel -> ScheduleVariable

Remarks

A single Variable Action

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_LinkVariableToSwitchingPeriodStartTime()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPeriod to which the Variable should be linked!

zenOn.IScheduleSwitchingPeriod switchingPeriod = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPeriods.Item(0);

if (switchingPeriod != null)

{

//Specify a Variable to be linked!

zenOn.IVariable var = ActiveDocument.Variables().Item("variableNameBool");

if (var != null)

{

//Insert the variable with set value to the Start-time of the SwitchingPeriod

zenOn.IScheduleVariable newScheduleVariable = switchingPeriod.Start.Variables.Create(var, 1);

if (newScheduleVariable != null)

{

System.Windows.Forms.MessageBox.Show("New variable link created");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be created");

}

}

}

}

}

public void Macro_LinkVariableToSwitchingPoint()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPoint to which the Variable should be linked!

zenOn.IScheduleSwitchingPoint switchingPoint = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPoints.Item(0);

if (switchingPoint != null)

{

//Specify a Variable to be linked!

zenOn.IVariable var = ActiveDocument.Variables().Item("variableName");

if (var != null)

{

//Insert the variable with set value to the SwitchingPoint

zenOn.IScheduleVariable newScheduleVariable = switchingPoint.Variables.Create(var, 100);

if (newScheduleVariable != null)

{

System.Windows.Forms.MessageBox.Show("New variable link created");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be created");

}

}

}

}

}

VB.NET

VBA

Public Sub LinkVariableToSwitchingPeriodStartTime()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim var As Variable

'Specify a Variable to be linked!

Set var = MyWorkspace.ActiveDocument.Variables().Item("variableNameBool")

If Not var Is Nothing Then

Dim switchingPeriod As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to which the Variable should be linked!

Set switchingPeriod = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPeriods.Item(0)

If Not switchingPeriod Is Nothing Then

Dim newScheduleVariable As ScheduleVariable

'Insert the variable with set value to the Start of the SwitchingPeriod

Set newScheduleVariable = switchingPeriod.Start.Variables.Create(var, 1)

If Not newScheduleVariable Is Nothing Then

MsgBox "New variable link created"

Else

MsgBox "Link could not be created"

End If

End If

End If

End If

End Sub

Public Sub LinkVariableToSwitchingPoint()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim var As Variable

'Specify a Variable to be linked!

Set var = MyWorkspace.ActiveDocument.Variables().Item("variableName")

If Not var Is Nothing Then

Dim switchingPoint As ScheduleSwitchingPoint

'Specify a SwitchingPoint to which the Variable should be linked!

Set switchingPoint = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPoints.Item(0)

If Not switchingPoint Is Nothing Then

Dim newScheduleVariable As ScheduleVariable

'Insert the variable with set value to the Start of the SwitchingPeriod

Set newScheduleVariable = switchingPoint.Variables.Create(var, 100)

If Not newScheduleVariable Is Nothing Then

MsgBox "New variable link created"

Else

MsgBox "Link could not be created"

End If

End If

End If

End If

End Sub

Noch in diesem Kapitel

ScheduleVariable-Properties


ScheduleVariable-Properties

Manuale -> Scripting -> Objectmodel -> ScheduleVariable -> ScheduleVariable-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active | Returns TRUE if the Action of a Variable is Active | available | available | yes | yes
IVariable | Variable |  | read only | read only | yes | yes
VARIANT | SetValue | Defines the Value of a Variable | available | available | yes | yes

Noch in diesem Kapitel

Active

Variable

SetValue


Active

Manuale -> Scripting -> Objectmodel -> ScheduleVariable -> ScheduleVariable-Properties -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defines, if this Action gets Executed. Can be changed.

Datatype

Active() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Variable

Manuale -> Scripting -> Objectmodel -> ScheduleVariable -> ScheduleVariable-Properties -> Variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Variable, that gets a Value set into. Cannot be changed.

Datatype

Variable() As IVariable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SetValue

Manuale -> Scripting -> Objectmodel -> ScheduleVariable -> ScheduleVariable-Properties -> SetValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Value that is to be set into the Variable. Can be changed.

Datatype

SetValue() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


ScheduleVariables

Manuale -> Scripting -> Objectmodel -> ScheduleVariables

Remarks

Collection of Variable Actions in a Switching Point

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macro_LinkVariableToSwitchingPeriodStartTime()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPeriod to which the Variable should be linked!

zenOn.IScheduleSwitchingPeriod switchingPeriod = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPeriods.Item(0);

if (switchingPeriod != null)

{

//Specify a Variable to be linked!

zenOn.IVariable var = ActiveDocument.Variables().Item("variableNameBool");

if (var != null)

{

//Insert the variable with set value to the Start-time of the SwitchingPeriod

zenOn.IScheduleVariable newScheduleVariable = switchingPeriod.Start.Variables.Create(var, 1);

if (newScheduleVariable != null)

{

System.Windows.Forms.MessageBox.Show("New variable link created");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be created");

}

}

}

}

}

public void Macro_LinkVariableToSwitchingPoint()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPoint to which the Variable should be linked!

zenOn.IScheduleSwitchingPoint switchingPoint = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPoints.Item(0);

if (switchingPoint != null)

{

//Specify a Variable to be linked!

zenOn.IVariable var = ActiveDocument.Variables().Item("variableName");

if (var != null)

{

//Insert the variable with set value to the SwitchingPoint

zenOn.IScheduleVariable newScheduleVariable = switchingPoint.Variables.Create(var, 100);

if (newScheduleVariable != null)

{

System.Windows.Forms.MessageBox.Show("New variable link created");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be created");

}

}

}

}

}

VB.NET

VBA

Public Sub LinkVariableToSwitchingPeriodStartTime()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim var As Variable

'Specify a Variable to be linked!

Set var = MyWorkspace.ActiveDocument.Variables().Item("variableNameBool")

If Not var Is Nothing Then

Dim switchingPeriod As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to which the Variable should be linked!

Set switchingPeriod = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPeriods.Item(0)

If Not switchingPeriod Is Nothing Then

Dim newScheduleVariable As ScheduleVariable

'Insert the variable with set value to the Start of the SwitchingPeriod

Set newScheduleVariable = switchingPeriod.Start.Variables.Create(var, 1)

If Not newScheduleVariable Is Nothing Then

MsgBox "New variable link created"

Else

MsgBox "Link could not be created"

End If

End If

End If

End If

End Sub

Public Sub LinkVariableToSwitchingPoint()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim var As Variable

'Specify a Variable to be linked!

Set var = MyWorkspace.ActiveDocument.Variables().Item("variableName")

If Not var Is Nothing Then

Dim switchingPoint As ScheduleSwitchingPoint

'Specify a SwitchingPoint to which the Variable should be linked!

Set switchingPoint = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPoints.Item(0)

If Not switchingPoint Is Nothing Then

Dim newScheduleVariable As ScheduleVariable

'Insert the variable with set value to the Start of the SwitchingPeriod

Set newScheduleVariable = switchingPoint.Variables.Create(var, 100)

If Not newScheduleVariable Is Nothing Then

MsgBox "New variable link created"

Else

MsgBox "Link could not be created"

End If

End If

End If

End If

End Sub

Noch in diesem Kapitel

ScheduleVariables-Properties

ScheduleVariables-Methods


ScheduleVariables-Properties

Manuale -> Scripting -> Objectmodel -> ScheduleVariables -> ScheduleVariables-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the Count of Variables in a Switching Point | read only | read only | yes | yes

Noch in diesem Kapitel

Count


Count

Manuale -> Scripting -> Objectmodel -> ScheduleVariables -> ScheduleVariables-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Count of Variable Actions. Cannot be changed directly.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ScheduleVariables-Methods

Manuale -> Scripting -> Objectmodel -> ScheduleVariables -> ScheduleVariables-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IScheduleVariable | Create | Creates a Variable in a Switching Point | available | available | yes | yes
VARIANT_BOOL | Delete | Deletes a Variable in a Switching Point | available | available | yes | yes
IScheduleVariable | Item | Returns a Variable in a Switching Point | available | available | yes | yes

Noch in diesem Kapitel

Create

Delete

Item


Create

Manuale -> Scripting -> Objectmodel -> ScheduleVariables -> ScheduleVariables-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Links the specified Variable to a SwitchingPeriod or SwitchingPoint.

Datatype

Create(IVariable Variable, VARIANT SetValue) As IScheduleVariable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_LinkVariableToSwitchingPeriodStartTime()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPeriod to which the Variable should be linked!

zenOn.IScheduleSwitchingPeriod switchingPeriod = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPeriods.Item(0);

if (switchingPeriod != null)

{

//Specify a Variable to be linked!

zenOn.IVariable var = ActiveDocument.Variables().Item("variableNameBool");

if (var != null)

{

//Insert the variable with set value to the Start-time of the SwitchingPeriod

zenOn.IScheduleVariable newScheduleVariable = switchingPeriod.Start.Variables.Create(var, 1);

if (newScheduleVariable != null)

{

System.Windows.Forms.MessageBox.Show("New variable link created");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be created");

}

}

}

}

}

public void Macro_LinkVariableToSwitchingPoint()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPoint to which the Variable should be linked!

zenOn.IScheduleSwitchingPoint switchingPoint = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPoints.Item(0);

if (switchingPoint != null)

{

//Specify a Variable to be linked!

zenOn.IVariable var = ActiveDocument.Variables().Item("variableName");

if (var != null)

{

//Insert the variable with set value to the SwitchingPoint

zenOn.IScheduleVariable newScheduleVariable = switchingPoint.Variables.Create(var, 100);

if (newScheduleVariable != null)

{

System.Windows.Forms.MessageBox.Show("New variable link created");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be created");

}

}

}

}

}

VB.NET

VBA

Public Sub LinkVariableToSwitchingPeriodStartTime()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim var As Variable

'Specify a Variable to be linked!

Set var = MyWorkspace.ActiveDocument.Variables().Item("variableNameBool")

If Not var Is Nothing Then

Dim switchingPeriod As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to which the Variable should be linked!

Set switchingPeriod = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPeriods.Item(0)

If Not switchingPeriod Is Nothing Then

Dim newScheduleVariable As ScheduleVariable

'Insert the variable with set value to the Start of the SwitchingPeriod

Set newScheduleVariable = switchingPeriod.Start.Variables.Create(var, 1)

If Not newScheduleVariable Is Nothing Then

MsgBox "New variable link created"

Else

MsgBox "Link could not be created"

End If

End If

End If

End If

End Sub

Public Sub LinkVariableToSwitchingPoint()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim var As Variable

'Specify a Variable to be linked!

Set var = MyWorkspace.ActiveDocument.Variables().Item("variableName")

If Not var Is Nothing Then

Dim switchingPoint As ScheduleSwitchingPoint

'Specify a SwitchingPoint to which the Variable should be linked!

Set switchingPoint = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPoints.Item(0)

If Not switchingPoint Is Nothing Then

Dim newScheduleVariable As ScheduleVariable

'Insert the variable with set value to the Start of the SwitchingPeriod

Set newScheduleVariable = switchingPoint.Variables.Create(var, 100)

If Not newScheduleVariable Is Nothing Then

MsgBox "New variable link created"

Else

MsgBox "Link could not be created"

End If

End If

End If

End If

End Sub


Delete

Manuale -> Scripting -> Objectmodel -> ScheduleVariables -> ScheduleVariables-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the specified Variable from the a SwitchingPeriod or SwitchingPoint.

Datatype

Delete(long Index) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_DeleteVariableFromSwitchingPeriodEndTime()

{

//Specify a ScheduleGroup via index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPeriod in which a Variable should get deleted

zenOn.IScheduleSwitchingPeriod switchingPeriod = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPeriods.Item(0);

if (switchingPeriod != null)

{

//Remove the first Variable linked at the End-time of the SwitchingPeriod

bool deleteResult = switchingPeriod.End.Variables.Delete(0);

if (deleteResult)

{

System.Windows.Forms.MessageBox.Show("Variable link was deleted");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be deleted");

}

}

}

}

public void Macro_DeleteVariableFromSwitchingPoint()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPoint in which a Variable should get deleted

zenOn.IScheduleSwitchingPoint switchingPoint = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPoints.Item(0);

if (switchingPoint != null)

{

//Remove the first Variable linked in the SwitchingPoint

bool deleteResult = switchingPoint.Variables.Delete(0);

if (deleteResult)

{

System.Windows.Forms.MessageBox.Show("Variable link was deleted");

}

else

{

System.Windows.Forms.MessageBox.Show("Link could not be deleted");

}

}

}

}

VB.NET

VBA

Public Sub DeleteVariableFromSwitchingPeriodEndTime()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim switchingPeriod As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod in which a Variable should get deleted

Set switchingPeriod = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPeriods.Item(0)

If Not switchingPeriod Is Nothing Then

Dim deleteResult As Boolean

'Remove the first Variable linked at the End-time of the SwitchingPeriod

deleteResult = switchingPeriod.End.Variables.Delete(0)

If deleteResult = True Then

MsgBox "Variable link was deleted"

Else

MsgBox "Link could not be deleted"

End If

End If

End If

End Sub

Public Sub DeleteVariableFromSwitchingPoint()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim switchingPoint As ScheduleSwitchingPoint

'Specify a SwitchingPoint in which a Variable should get deleted

Set switchingPoint = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPoints.Item(0)

If Not switchingPoint Is Nothing Then

Dim deleteResult As Boolean

'Remove the first Variable linked in the SwitchingPoint

deleteResult = switchingPoint.Variables.Delete(0)

If deleteResult = True Then

MsgBox "Variable link was deleted"

Else

MsgBox "Link could not be deleted"

End If

End If

End If

End Sub


Item

Manuale -> Scripting -> Objectmodel -> ScheduleVariables -> ScheduleVariables-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Variables linked a SwitchingPeriod or SwitchingPoint.

Datatype

Item(long Index) As IScheduleVariable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

public void Macro_IterateVariableLinksInSwitchingPeriodStartTime()

{

//Specify a ScheduleGroup via index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPeriod to be Iterated!

zenOn.IScheduleSwitchingPeriod switchingPeriod = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPeriods.Item(0);

if (switchingPeriod != null)

{

string message = "SwitchingPeriod Start-time variables:\n";

for (int index = 0; index < switchingPeriod.Start.Variables.Count; index++)

{

//Get Variable at the current index

zenOn.IScheduleVariable currentVariable = switchingPeriod.Start.Variables.Item(index);

message += "Variable: " + currentVariable.Variable.Name + "\nValue: " + currentVariable.SetValue + "\nActive: " + currentVariable.Active + "\n";

}

//show collected information

System.Windows.Forms.MessageBox.Show(message);

}

}

}

public void Macro_IterateVariableLinksInSwitchingPoint()

{

//Specify a ScheduleGroup via Index!

zenOn.IScheduleGroup group = ActiveDocument.Scheduler.ScheduleGroups.ItemByIndex(0);

if (group != null)

{

//Specify a SwitchingPoint to be Iterated!

zenOn.IScheduleSwitchingPoint switchingPoint = group.Schedules.GetStandardDay(zenOn.tpScheduleDayType.tpScheduleMonday).SwitchingPoints.Item(0);

if (switchingPoint != null)

{

string message = "SwitchingPoint variables: \n";

for (int index = 0; index < switchingPoint.Variables.Count; index++)

{

//Get Variable at the current index

zenOn.IScheduleVariable currentVariable = switchingPoint.Variables.Item(index);

message += "Variable: " + currentVariable.Variable.Name + "\nValue: " + currentVariable.SetValue + "\nActive: " + currentVariable.Active + "\n";

}

//show collected information

System.Windows.Forms.MessageBox.Show(message);

}

}

}

VB.NET

VBA

Public Sub IterateVariableLinksInSwitchingPeriodEndTime()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim switchingPeriod As ScheduleSwitchingPeriod

'Specify a SwitchingPeriod to be Iterated!

Set switchingPeriod = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPeriods.Item(0)

If Not switchingPeriod Is Nothing Then

Dim message As String

message = "SwitchingPeriod End-time variables:" & vbCrLf

Dim index As Integer

For index = 0 To switchingPeriod.End.Variables.count - 1

Dim currentVariable As ScheduleVariable

'Get Variable at the current index

Set currentVariable = switchingPeriod.End.Variables.Item(index)

If Not currentVariable Is Nothing Then

message = message & "Variable: " & currentVariable.Variable.Name & vbNewLine & "Value: " & currentVariable.SetValue & vbNewLine & "Active: " & currentVariable.Active & vbCrLf

End If

Next index

'Show collected information

MsgBox message

End If

End If

End Sub

Public Sub IterateVariableLinksInSwitchingPoint()

Dim group As ScheduleGroup

'Specify a ScheduleGroup via index!

Set group = MyWorkspace.ActiveDocument.scheduler.ScheduleGroups.ItemByIndex(0)

If Not group Is Nothing Then

Dim switchingPoint As ScheduleSwitchingPoint

'Specify a SwitchingPeriod to be Iterated!

Set switchingPoint = group.Schedules.GetStandardDay(tpScheduleMonday).SwitchingPoints.Item(0)

If Not switchingPoint Is Nothing Then

Dim message As String

message = "SwitchingPoint variables:" & vbCrLf

Dim index As Integer

For index = 0 To switchingPoint.Variables.count - 1

Dim currentVariable As ScheduleVariable

'Get Variable at the current index

Set currentVariable = switchingPoint.Variables.Item(index)

If Not currentVariable Is Nothing Then

message = message & "Variable: " & currentVariable.Variable.Name & vbNewLine & "Value: " & currentVariable.SetValue & vbNewLine & "Active: " & currentVariable.Active & vbCrLf

End If

Next index

'Show collected information

MsgBox message

End If

End If

End Sub


Script

Manuale -> Scripting -> Objectmodel -> Script

Remarks

If several functions should be combined and be executed in the defined order (similar to a batch file), they can be entered into a script.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ScriptExample()
'**************** Use this code in the editor ****************

Dim zScript As Script
Dim i As Integer

'Initialize the script object with the first script in the scripts object (list)
Set zScript = MyWorkspace.ActiveDocument.Scripts.Item(0)

'If there is no script available (no script in the scripts object),...
If zScript Is Nothing Then
'...then inform the user
MsgBox ("No Script available")
'otherwise:
Else
'Output the name of the script
Debug.Print "Scriptname: " & zScript.Name

'For every function in the script...
For i = 0 To zScript.Count - 1
'...output the name of the function
Debug.Print i + 1 & ". Function: " & zScript.Item(i).Name
Next i

'Add the picSTART function to the script
zScript.Add (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)

'Remove the picSTART function from the script
zScript.Remove (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)
End If
End Sub

Noch in diesem Kapitel

Script-Properties

Script-Methods

Script-Dynamic properties


Script-Properties

Manuale -> Scripting -> Objectmodel -> Script -> Script-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
BSTR | Name |  | available | read only | yes | yes
IScripts | Parent |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Name

Count


Parent

Manuale -> Scripting -> Objectmodel -> Script -> Script-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Scripts

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> Script -> Script-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the name of the script.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> Script -> Script-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Script-Methods

Manuale -> Scripting -> Objectmodel -> Script -> Script-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Add | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | read only | yes | yes
VARIANT | DynProperties [GET] | - | available | read only | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | read only | yes | yes
IRtFunction | Item | - | available | available | yes | yes
VARIANT_BOOL | Remove | - | available | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

Add

Remove

Item

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


Add

Manuale -> Scripting -> Objectmodel -> Script -> Script-Methods -> Add

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Method adds a function to the script package by the corresponding function ID.

Datatype

Add(long nFuncID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Function ID

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

nFuncID As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ManageScriptFunctions()
Dim zScript As Script

'Initialize the script object with the first script in the scripts object (list)
Set zScript = MyWorkspace.ActiveDocument.Scripts.Item(0)

'Add the picSTART function to the script
zScript.Add (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)

'Remove the picSTART function from the script
zScript.Remove (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)
End Sub


Remove

Manuale -> Scripting -> Objectmodel -> Script -> Script-Methods -> Remove

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The Method removes a function from the script package by the corresponding function ID.

Datatype

Remove(long nFuncID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Function ID

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

nFuncID As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ManageScriptFunctions()
Dim zScript As Script

'Initialize the script object with the first script in the scripts object (list)
Set zScript = MyWorkspace.ActiveDocument.Scripts.Item(0)

'Add the picSTART function to the script
zScript.Add (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)

'Remove the picSTART function from the script
zScript.Remove (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)
End Sub


Item

Manuale -> Scripting -> Objectmodel -> Script -> Script-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the script function at the position vPosition. This method Item only allows accessing with the index.Hint: Check the returned object on Nothing, if no object for the search creteria was found.

Datatype

Item(VARIANT vPosition) As RtFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> Script -> Script-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> Script -> Script-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> Script -> Script-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> Script -> Script-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Script-Dynamic properties

Manuale -> Scripting -> Objectmodel -> Script -> Script-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Script

Noch in diesem Kapitel

Script


Script

Manuale -> Scripting -> Objectmodel -> Script -> Script-Dynamic properties -> Script

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nome

Nome univoco dello script.

Default: Script_x (x è un numero progressivo)

Si possono definire script individuali, e selezionare script predefiniti. Inserimento di un nome nel Combobox per script individuali oppure selezione fra le opzioni proposte dal menù a tendina:

  • AUTOSTART: Lo script viene eseguito automaticamente all’avvio del runtime (stazione singola oppure server) dopo l’apertura dell’immagine di partenza (sulla stazione singola o sul server), se il progetto è un progetto runtime di partenza.
  • AUTOEND: lo script viene eseguito automaticamente al termine del runtime (stazione singola oppure server) se il progetto è un progetto runtime di partenza.
    Attenzione: le macro VBA che devono essere eseguite in AUTOEND, devono essere attivate mediante Project.Inactive. Non si devono riportare archivi ciclici nello script AUTOEND.
  • AUTOSTART_CLIENT: lo script viene eseguito automaticamente all’avvio del runtime (client) prima dell’apertura dell’immagine di partenza, se il progetto è un progetto runtime di partenza.
  • AUTOEND_CLIENT: lo script viene eseguito automaticamente al termine del runtime (client) sul client se il progetto è un progetto runtime di partenza.
  • AUTOSTART_SRVPRJ: lo Script viene eseguito automaticamente sul computer che funge da server per il progetto, prima dell´apertura dell´immagine di partenza, se il progetto non è un progetto runtime di partenza.
  • AUTOEND_SRVPRJ: lo script viene eseguito automaticamente al termine del runtime sul computer che funge da server per il progetto se il progetto non è un progetto runtime di partenza.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Indicazione per progetti multiuser: nel caso di cambiamento di nomi script, i parametri delle funzioni collegate vengono adattati automaticamente dopo un controllo automatico di Consenti modifiche. Dopo che la modifica è stata eseguita con successo, viene cambiato anche lo script.

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Scripts

Manuale -> Scripting -> Objectmodel -> Scripts

Remarks

This object manages scripts.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ScriptsExample()
'************ Use this script in the editor ************

Dim zScripts As Scripts
Dim i As Integer

'Initialize the scripts object with the current scripts
Set zScripts = MyWorkspace.ActiveDocument.Scripts

'For every script available in the scripts object...
For i = 0 To zScripts.Count - 1
'...output the name
Debug.Print i + 1 & ". Script: " & zScripts.Item(i).Name
Next i

End Sub

Noch in diesem Kapitel

Scripts-Properties

Scripts-Methods

Scripts-Dynamic properties


Scripts-Properties

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
IProject | Parent | - | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Scripts-Methods

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IScript | Create | - |  | available | not used | yes | yes
VARIANT_BOOL | Delete | - |  | available | not used | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IScript | Item | - |  | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes

Noch in diesem Kapitel

Item

Create

Delete

Export

SingleExport

Import

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Item

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the corresponding script at the position vPosition. This method Item only allows accessing with the index.Hint: Check the returned object on "Nothing", if no object for the search criteria was found.

Datatype

Item(VARIANT vPosition) As Script

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Create a new script by name as string parameter

Datatype

Create(String bsName) As Script

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of the new script as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CreateDeleteScript()
Dim zScripts As Scripts
Dim i As Integer

'Initialize the scripts object with the current scripts
Set zScripts = MyWorkspace.ActiveDocument.Scripts

'Create a new script inside the scripts object
zScripts.Create ("zenOn_ScriptTest")

'Delete a script inside the scripts object
zScripts.Delete ("zenOn_ScriptTest")

End Sub


Delete

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Delete an existing script by name

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of the script as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CreateDeleteScript()
Dim zScripts As Scripts
Dim i As Integer

'Initialize the scripts object with the current scripts
Set zScripts = MyWorkspace.ActiveDocument.Scripts

'Create a new script inside the scripts object
zScripts.Create ("zenOn_ScriptTest")

'Delete a script inside the scripts object
zScripts.Delete ("zenOn_ScriptTest")

End Sub


Export

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Get

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Scripts-Dynamic properties

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Scripts

Noch in diesem Kapitel

Scripts


Scripts

Manuale -> Scripting -> Objectmodel -> Scripts -> Scripts-Dynamic properties -> Scripts

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description


State

Manuale -> Scripting -> Objectmodel -> State

Remarks

States are utilized by Reaction Matrices, in order to define the characteristics.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_SetStateForBinaryRema(ByRef zRema As Rema)

'Declaration zState
Dim zState As State

'Intialize zState with the first state inside the passed binary rema
Set zState = zRema.StateItem(1)

'Defines the matching bit combination
zState.ReaWert = &H89 'Sets Bit0, Bit3 and Bit7 TRUE
zState.ReaWertMaske = &H81 'Defines that Bit0 and Bit7 will be checked (Bit3 is ignored)

'User message that will be displayed when the event occurs
zState.Text = "Bit combination is matched!"

'Moreover, the first defined function will be called when the event occurs
zState.Function = MyWorkspace.ActiveDocument.RtFunctions.Item(0)
'The function will only be executed when the tpBitFkt is set. Additionaly the tpBitAlarm flag is set too.
zState.Status = tpBitFkt Or tpBitAlarm

End Sub

Private Sub zenOn_SetStateForAnalogRema(ByRef zRema As rema)

'Declaration zState
Dim zState As State

'Intialize zState with the first state inside the passed analog rema
Set zState = zRema.StateItem(1)

'Sets the comparision mode to "greater"
zState.CheckArt = 1

'This definition constitutes the threshold value, where the alarm will be triggered
zState.ReaAlarm = 11

'This definition means that the system will be set back to its normal configuration, when "ReaAlarm" goes below 10 (hysteresis)
zState.Hysterese = 1

'User message that will be displayed when the event occurs
zState.Text = "Limit is reached!"

'Moreover, the first defined function will be called when the event occurs
zState.Function = MyWorkspace.ActiveDocument.RtFunctions.Item(0)
'The function will only be executed when the tpBitFkt is set. Additionaly the tpBitAlarm flag is set too.
zState.Status = tpBitFkt Or tpBitAlarm

End Sub

Noch in diesem Kapitel

State-Properties

State-Methods


State-Properties

Manuale -> Scripting -> Objectmodel -> State -> State-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | AllValues |  | available | read only | yes | yes
unsigned | char |  | available | read only | yes | yes
long | CheckArt |  | available | read only | yes | yes
long | ClassIdx |  | available | read only | yes | yes
long | Color |  | available | read only | yes | yes
long | DelayTime | For internal use only | available | available | yes | yes
long | Function |  | available | read only | yes | yes
long | GroupIdx |  | available | read only | yes | yes
double | Hysterese |  | available | available | yes | yes
IRema | Parent |  | read only | read only | yes | yes
double | ReaAlarm |  | available | read only | yes | yes
double | ReaAlarmBis |  | available | read only | yes | yes
long | ReaStatusExt |  | available | read only | yes | yes
long | ReaStatusFlankeExt |  | available | read only | yes | yes
long | ReaStatusFlankeStd |  | available | read only | yes | yes
long | ReaStatusMaskeExt |  | available | read only | yes | yes
long | ReaStatusMaskeStd |  | available | read only | yes | yes
long | ReaStatusStd |  | available | read only | yes | yes
long | ReaWert |  | available | read only | yes | yes
long | ReaWertFlanke |  | available | read only | yes | yes
long | ReaWertMaske |  | available | read only | yes | yes
tpStateBit | Status |  | available | available | yes | yes
BSTR | Text |  | available | read only | yes | yes

Noch in diesem Kapitel

Parent

Text

Status

GroupIdx

ClassIdx

Function

Color

DelayTime

CheckArt

ReaAlarm

ReaWert

ReaWertMaske

ReaWertFlanke

ReaStatusStd

ReaStatusExt

ReaStatusMaskeStd

ReaStatusMaskeExt

ReaStatusFlankeStd

ReaStatusFlankeExt

ReaAlarmBis

AllValues

char

Hysterese


Parent

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Rema

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Text

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> Text

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the text that will be displayed, if the defined limit is reached.

Datatype

Text() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> Status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Status() As tpStateBit

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


GroupIdx

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> GroupIdx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the group index

Datatype

GroupIdx() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ClassIdx

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> ClassIdx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the class index.

Datatype

ClassIdx() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Function

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> Function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Assigns a function which will be called, when the Reaction Matrix matches.

Datatype

Function() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Color

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> Color

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the color.

Datatype

Color() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


DelayTime

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> DelayTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

HIDDEN

Datatype

DelayTime() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


CheckArt

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> CheckArt

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the comparision method for "ReaAlarm"<ul style="list-style-type:none;"><li>0 &amp;rarr; any</li><li>1 &amp;rarr; greater</li><li>2 &amp;rarr; less</li><li>3 &amp;rarr; equal</li><li>4 &amp;rarr; Area</li></ul>Option 4 (Area) requires "ReaAlarm" as the lower limit and "ReaAlarmBis" as the upper limit to be set.

Datatype

CheckArt() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaAlarm

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> ReaAlarm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the limit value.Hint: The comparision method is selected with the "CheckArt" property.This value constitutes the lower limit of the area, if "CheckArt" option 4 (Area) is selected.

Datatype

ReaAlarm() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaWert

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> ReaWert

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ReaWert DWORD specifies which bit combination (value) should be matched by the binary Reaction Matrices.Hint: Depending on the ReaWertMaske the bits of the DWORD will be checked or ignored.

Datatype

ReaWert() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaWertMaske

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> ReaWertMaske

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Has to be set properly, if the bit combination in the ReaWert DWORD should be adhered. Otherwise it will be ingored.

Datatype

ReaWertMaske() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaWertFlanke

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> ReaWertFlanke

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Specifies, if the bit combination of the "ReaWert" used by a MultiBinary Rema trigger on edges.

Datatype

ReaWertFlanke() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaStatusStd

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> ReaStatusStd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The ReaStatusStd DWORD specifiecs which state bits are set.

e.g. ReaStatusStd = &H40000 (Hex-Value) means that the I-BIT is set TRUE.
Hint: Depending on the ReaStatusMaskeStd the bits will be checked or ignored.

In order to use state driven trigger (no triggering on edges) for the MultiBinary Rema, the ReaStatusFlankeStd has to be set to &h0.

To set more than one state bit, ORing (logical OR) have to be applied.

e.g. ReaStatusStd = &H100 Or &H4 'SELEC + ST_M3 are set TRUE

The following table gives an overview of common state bits.

Name | Description | Bit Number | Hex Value
ST_M1 | User status bit 1 | 0 | 0x00000001
ST_M2 | available | 1 | 0x00000002
ST_M3 | read only | 2 | 0x00000004
ST_M4 | yes | 3 | 0x00000008
ST_M5 | yes | 4 | 0x00000010
ST_M6 | User status bit 6 | 5 | 0x00000020
ST_M7 | User status bit 7 | 6 | 0x00000040
ST_M8 | User status bit 8 | 7 | 0x00000080
SELEC | Select bit | 8 | 0x00000100
REV | Revision bit | 9 | 0x00000200
DIREC | Desired direction bit | 10 | 0x00000400
RTE | Runtime exceeded bit | 11 | 0x00000800
I-BIT | Invalid bit | 18 | 0x00040000
N_UPDATE | Switched off bit | 20 | 0x00800000
DM_TR | Default message trafo value bit | 24 | 0x01000000
RM_TR | Run message trafo value bit | 25 | 0x02000000
AVALUE | Alternative value bit | 27 | 0x08000000

Datatype

ReaStatusStd() As long
VBA | yes | 0 | 0x00000001
VSTA | yes | 0 | 0x00000001

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CreateAnalogRema()
Dim zRema As Rema
Dim zState As State

'Create a new analog Rema
Set zRema = MyWorkspace.ActiveDocument.Remas.Create(tpAnalog, "zenOn_TestRema")
'Create a new state
Set zState = zRema.CreateState

'***************************************************************
'* Set the I-Bit TRUE *
'* I-Bit Bit18 *
'* Hint: I-Bit TRUE -> Hex-Value 0x00|04|0000 *
'* / \ *
'* Binary ..0|00000100|0.. *
'* *
'* I-Bit FALSE -> Hex-Value 0x00000000 *
'***************************************************************

'Set the I-Bit TRUE
zState.ReaStatusStd = &H40000
'Set the StateMask for the I-Bit
'Hint: Hex-Value: 0x00040000 -> only I-Bit will be checked
zState.ReaStatusMaskeStd = &H40000

'***************************************************************
'* Check if the ST_M1 is FALSE *
'* ST_M1 Bit0 *
'* Hint: ST_M1 TRUE -> Hex-Value 0x000000| 01 *
'* / \ *
'* Binary ..0|00000001 *
'* ST_M1 FALSE -> Hex-Value 0x00000000 *
'***************************************************************

'Set the ST_M1 FALSE
zState.ReaStatusStd = &H0

'Set the StateMask for the ST_M1 bit
'Hint: Hex-Value: 0x00000001 -> only ST_M1 will be checked
zState.ReaStatusMaskeStd = &H1

'***************************************************************
'* Check both state bits *
'* Combining with ORing (logical OR) *
'***************************************************************

'Set the I-Bit TRUE + the ST_M1 bit FALSE
zState.ReaStatusStd = &H40000 Or &H0
'zState.ReaStatusStd = &H40000 // because ORing with &H0 will not change any bits

'Check the I-Bit + the ST_M1 bit, ignore all other bits
zState.ReaStatusMaskeStd = &H40000 Or &H1 '=&H40001

End Sub


ReaStatusExt

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> ReaStatusExt

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReaStatusExt() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaStatusMaskeStd

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> ReaStatusMaskeStd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Has to be set properly, if the bit in the ReaStatusStd DWORD should be adhered. Otherwise it will be ingored.<div style="margin-left: 10px;">e.g. I-BIT should be checked &amp;rarr; <span style = "font-family: Courier New;">ReaStatusMaskeStd = &amp;H40000</span></div>Hint: If a state bit should be checked, the corresponding mask is always the hex value of the state bit.The table with the state bits and the hex values can be found in the ReaStatusStd part.<span style="color: #FF0000">In order to check several state bits, the single masks have to be combined by ORing (logical OR).</span><div style="margin-left: 10px;">e.g. <span style = "font-family: Courier New;">ReaStatusMaskeStd = &amp;H4 <SPAN CLASS='KW'>Or</SPAN> &amp;H10 <SPAN CLASS='RM'>'ST_M3 + ST_M5 will be checked</SPAN></span></div>

Datatype

ReaStatusMaskeStd() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaStatusMaskeExt

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> ReaStatusMaskeExt

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Has to be set properly, if the bit in the ReaStatusExt DWORD should be adhered. Otherwise it will be ingored.<div style="margin-left: 10px;">e.g. PN_BIT should be checked &amp;rarr; <span style = "font-family: Courier New;">ReaStatusMaskeExt = &amp;H40</span></div>Hint: If a state bit should be checked, the corresponding mask is always the hex value of the state bit.The table with the state bits and the hex values can be found in the ReaStatusExt part.<span style="color: #FF0000">In order to check several state bits, the single masks have to be combined by ORing (logical OR).</span><div style="margin-left: 10px;">e.g. <span style = "font-family: Courier New;">ReaStatusMaskeExt = &amp;H40 <SPAN CLASS='KW'>Or</SPAN> &amp;H1000 <SPAN CLASS='RM'>'PN_BIT + BL_BIT are checked</SPAN></span></div>

Datatype

ReaStatusMaskeExt() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaStatusFlankeStd

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> ReaStatusFlankeStd

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReaStatusFlankeStd() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CreateMultiBinaryRema()
Dim zRema As Rema
Dim zState As State

'Create a new analog Rema
Set zRema = MyWorkspace.ActiveDocument.Remas.Create(tpMultiBinaer, "zenOn_TestRema")
'Create a new state
Set zState = zRema.CreateState

'Set the I-Bit to trigger on both edges + the ST_M1 on negative edges
zState.ReaStatusFlankeStd = &H40000 Or &H1
zState.ReaStatusMaskeStd = &H0 Or &H1
zState.ReaStatusStd = &H0 Or &H0

End Sub


ReaStatusFlankeExt

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> ReaStatusFlankeExt

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ReaStatusFlankeExt() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaAlarmBis

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> ReaAlarmBis

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This value constitutes the upper limit of the area, if "CheckArt" option 4 (Area) is selected. The lower limit is the "ReaAlarm" property.

Datatype

ReaAlarmBis() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


AllValues

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> AllValues

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This Represents the checkbox 'Treat each change of value as new limit violation'

Datatype

AllValues() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


char

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> char

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

char() As unsigned

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Hysterese

Manuale -> Scripting -> Objectmodel -> State -> State-Properties -> Hysterese

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the value when the system will be set back to the normal configuration. (Systems leaves triggered state)

Datatype

Hysterese() As double

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


State-Methods

Manuale -> Scripting -> Objectmodel -> State -> State-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IState | CreateSubState | - | available | not used | yes | yes
void | DeleteSubState | For internal use only | not used | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
long | GetSubStateCount | - | read only | read only | yes | yes
BOOL | MoveSubState | - | available | not used | yes | yes
IState | SubStateItem | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

GetSubStateCount

CreateSubState

DeleteSubState

SubStateItem

MoveSubState


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> State -> State-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> State -> State-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> State -> State-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> State -> State-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


GetSubStateCount

Manuale -> Scripting -> Objectmodel -> State -> State-Methods -> GetSubStateCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the amount of substates.

Datatype

GetSubStateCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateSubState

Manuale -> Scripting -> Objectmodel -> State -> State-Methods -> CreateSubState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new substate.

Datatype

CreateSubState() As State

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CreateSubStateExample(ByRef zState As State)

Dim zSubState As State

'Initialize the zSubState by creating a new substate
Set zSubState = zState.CreateSubState

'e.g. change the color of the substate
zSubState.Color = RGB(0, 128, 128)

End Sub


DeleteSubState

Manuale -> Scripting -> Objectmodel -> State -> State-Methods -> DeleteSubState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deltes a SubState object

Datatype

DeleteSubState(VARIANT vID) As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SubStateItem

Manuale -> Scripting -> Objectmodel -> State -> State-Methods -> SubStateItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a state object, containing the selected substate of the current state.

Datatype

SubStateItem(VARIANT vID) As State

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index of the substate.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_SubStateExample(ByRef zState As State)

Dim zSubState As State

'Initialize the zSubState with the first substate of zState
Set zSubState = zState.SubStateItem(1)

'e.g. change the color of the substate
zSubState.Color = RGB(0, 128, 128)

End Sub


MoveSubState

Manuale -> Scripting -> Objectmodel -> State -> State-Methods -> MoveSubState

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Moves the substate within the state one position up- or downwards.<ul style="list-style-type:none;"><li>-1 &amp;rarr; upward</li><li>1 &amp;rarr; downward</li></ul>

Datatype

MoveSubState(VARIANT vID, BOOL bDirection) As BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Index of the substate.

Defines the direction:

-1 Ã¢â€ â€™ upward

1 Ã¢â€ â€™ downward

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

bDirection As BOOL

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_MoveSubStateExample()

Dim zRema As Rema
Dim zState As State
Dim i As Integer

Set zRema = MyWorkspace.ActiveDocument.Remas.Item(0)
Set zState = zRema.StateItem(1)

zState.MoveSubState 2, 0

For i = 0 To zState.GetSubStateCount - 1
Debug.Print zState.SubStateItem(i).Color
Next i

End Sub


SymbolElements

Manuale -> Scripting -> Objectmodel -> SymbolElements

Remarks

This collection contains the 'Element' objects within a symbol. It is possible, that there are symbols in symbols and so on, so it could be neccessary to enumerate the object recursive.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub SymbolElem()
Dim zPIC As DynPicture
Dim zSymbol As Element
Dim zText As Element
Dim zCircle As Element

Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("START")

'create static text element
Set zText = zPIC.Elements.Create("MyStaticText", tpText)
zText.Top = 100
zText.Left = 100

'create circle
Set zCircle = zPIC.Elements.Create("MyStaticCircle", tpCircle)
zCircle.Top = 150
zCircle.Left = 150

'create symbol
Set zSymbol = zPIC.Elements.Create("MyNewSymbol", tpSymbol)
zSymbol.Elements.Add zText
zSymbol.Elements.Add zCircle
zPIC.Save
End Sub

Sub EnumSymbolElements()
Dim zPicture As DynPicture
Dim zSymbol As Element
Dim zSymElements As SymbolElements
Dim i As Integer

'get Picture,(embedded) Symbol, SymbolElements collection...
Set zPicture = MyWorkspace.ActiveDocument.DynPictures.Item("START")
Set zSymbol = zPicture.Elements.Item("MyNewSymbol")
Set zSymElements = zSymbol.Elements

'enumerate all elements within a (embedded) symbol
For i = 0 To zSymElements.Count - 1
Debug.Print zSymElements.Item(i).Name & " [" & zSymElements.Item(i).Top & "/" & zSymElements.Item(i).Left & "]"
Next

End Sub

Noch in diesem Kapitel

SymbolElements-Properties

SymbolElements-Methods


SymbolElements-Properties

Manuale -> Scripting -> Objectmodel -> SymbolElements -> SymbolElements-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IElement | Parent | The parent object of the current object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> SymbolElements -> SymbolElements-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Element

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> SymbolElements -> SymbolElements-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SymbolElements-Methods

Manuale -> Scripting -> Objectmodel -> SymbolElements -> SymbolElements-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Add | Creates and returns a new Object | available | not used | yes | yes
IElement | Item | Returns a object at a position or by a specified key | available | available | yes | yes
VARIANT_BOOL | Remove | Deletes the objects from collection | available | not used | yes | yes

Noch in diesem Kapitel

Item

Add

Remove


Item

Manuale -> Scripting -> Objectmodel -> SymbolElements -> SymbolElements-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a 'Element' object at a position or by name

Datatype

Item(VARIANT vElementID) As Element

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Add

Manuale -> Scripting -> Objectmodel -> SymbolElements -> SymbolElements-Methods -> Add

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method will add an exisiting 'Element' object from the picture into the symbol.

Datatype

Add(IElement pElement) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Remove

Manuale -> Scripting -> Objectmodel -> SymbolElements -> SymbolElements-Methods -> Remove

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes an Element objects from the Symbol.

Datatype

Remove(String nElemId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Symbols

Manuale -> Scripting -> Objectmodel -> Symbols

Remarks

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Noch in diesem Kapitel

Symbols-Properties

Symbols-Methods


Symbols-Properties

Manuale -> Scripting -> Objectmodel -> Symbols -> Symbols-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | SymbolList | Returns a list of available symbols | read only | not used | yes | yes

Noch in diesem Kapitel

SymbolList


SymbolList

Manuale -> Scripting -> Objectmodel -> Symbols -> Symbols-Properties -> SymbolList

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SymbolList() As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Symbols-Methods

Manuale -> Scripting -> Objectmodel -> Symbols -> Symbols-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes

Noch in diesem Kapitel

Export

SingleExport

Import


Export

Manuale -> Scripting -> Objectmodel -> Symbols -> Symbols-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export a symbol library into a file.

Datatype

Export(String bsLibName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Global Symbol Library as string or "" if Projectlibrary is used.

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsLibName As String

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Symbol_IMEX()

'export project library
MyWorkspace.ActiveDocument.Symbols.Export "", "C:\TEMP\ProjectLib.xml"

'export specific global library
MyWorkspace.Symbols.Export "Symbolgroup 1", "C:\TEMP\GlobalLib_S1.xml"

'export single symbol
MyWorkspace.ActiveDocument.Symbols.SingleExport "Symbol 2", "", "C:\TEMP\Symbol2.xml"

'import from file
MyWorkspace.ActiveDocument.Symbols.Import "", "C:\TEMP\ProjectLib.xml"

End Sub


SingleExport

Manuale -> Scripting -> Objectmodel -> Symbols -> Symbols-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vName,BSTR bsLibName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuale -> Scripting -> Objectmodel -> Symbols -> Symbols-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import a symbol library from file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsLibName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Global Symbol Library as string or "" if Projectlibrary is used.

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsLibName As String

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Symbol_IMEX()

'export project library
MyWorkspace.ActiveDocument.Symbols.Export "", "C:\TEMP\ProjectLib.xml"

'export specific global library
MyWorkspace.Symbols.Export "Symbolgroup 1", "C:\TEMP\GlobalLib_S1.xml"

'export single symbol
MyWorkspace.ActiveDocument.Symbols.SingleExport "Symbol 2", "", "C:\TEMP\Symbol2.xml"

'import from file
MyWorkspace.ActiveDocument.Symbols.Import "", "C:\TEMP\ProjectLib.xml"

End Sub


SystemModel

Manuale -> Scripting -> Objectmodel -> SystemModel

Remarks

Create or edit Equipment modeling (SystemModel) .

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim i As Integer
Dim j As Integer
Dim zSystemModel As SystemModel
Dim zSystemModelGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

For i = 0 To zSystemModelManager.count - 1
'Get SystemModel
Set zSystemModel = zSystemModelManager.Item(i)
For j = 0 To zSystemModel.count - 1
'Get SystemModelGroup
Set zSystemModelGroup = zSystemModel.Item(j)
Debug.Print (zSystemModelGroup.DynProperties("Name"))
Next j
Next i
End Sub

Noch in diesem Kapitel

SystemModel-Properties

SystemModel-Methods

SystemModel-Dynamic properties


SystemModel-Properties

Manuale -> Scripting -> Objectmodel -> SystemModel -> SystemModel-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of system groups. | available | not used | yes | yes

Noch in diesem Kapitel

Count


Count

Manuale -> Scripting -> Objectmodel -> SystemModel -> SystemModel-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of Equipment models(SystemModel) .

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim i As Integer
Dim j As Integer
Dim zSystemModel As SystemModel
Dim zSystemModelGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

For i = 0 To zSystemModelManager.count - 1
'Get SystemModel
Set zSystemModel = zSystemModelManager.Item(i)
For j = 0 To zSystemModel.count - 1
'Get SystemModelGroup
Set zSystemModelGroup = zSystemModel.Item(j)
Debug.Print (zSystemModelGroup.DynProperties("Name"))
Next j
Next i
End Sub


SystemModel-Methods

Manuale -> Scripting -> Objectmodel -> SystemModel -> SystemModel-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | not used | available | yes | yes
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
ISystemModelGroup | Item | Returns the system group at the given index. | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

Item

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty


Item

Manuale -> Scripting -> Objectmodel -> SystemModel -> SystemModel-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get Equipment models group (SystemModelGroup) by index.

Datatype

Item(VARIANT vIndex) As SystemModelGroup

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

object vIndex

Index of the SystemModelGroup.

VB.NET

Dim vIndex As Variant

Index of the SystemModelGroup.

VBA

vIndex As Variant

Index of the SystemModelGroup.

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim i As Integer
Dim j As Integer
Dim zSystemModel As SystemModel
Dim zSystemModelGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

For i = 0 To zSystemModelManager.count - 1
'Get SystemModel
Set zSystemModel = zSystemModelManager.Item(i)
For j = 0 To zSystemModel.count - 1
'Get SystemModelGroup
Set zSystemModelGroup = zSystemModel.Item(j)
Debug.Print (zSystemModelGroup.DynProperties("Name"))
Next j
Next i
End Sub


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> SystemModel -> SystemModel-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the property parameter as PropParam

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

VB.NET

Dim bsPath As String

VBA

bsPath As String

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> SystemModel -> SystemModel-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Enumerate the Properties of the SystemModelManager collection.

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

VB.NET

Dim bsPath As String

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

VBA

bsPath As String

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()

Dim vProps As Variant

Dim i As Integer

'get all DynProperties of the actual object (DynPicture, Element, ...) vProps = zenOnObject.DynPropertiesEnum("") 'Print informations of DynProperties into output window

For i = 0 To UBound(vProps) Debug.Print vProps(i)

Next i

End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> SystemModel -> SystemModel-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this Methode its possible to get DynProperties.

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateSystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zSystemModel As SystemModel

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( SystemModel) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the EquipmentModel (SystemModel)
Set zSystemModelManager = zProject.SystemModelManager

'Get the name of the SystemModel
Debug.Print(zSystemModelManager.DynProperties("Modules[" & (zSystemModelManager.count - 1) & "].Name"))

End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> SystemModel -> SystemModel-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

A String which defines the Property.

object vValue

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VB.NET

Dim bsPath As String

A String which defines the Property.

Dim vValue As Variant

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VBA

bsPath As String

A String which defines the Property.

vValue As Variant

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateSystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zSystemModel As SystemModel

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( SystemModel) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the EquipmentModel (SystemModel)
Set zSystemModelManager = zProject.SystemModelManager
Stop
'Now we create a new SystemModel
zSystemModelManager.CreateDynProperty ("Modules[" & zSystemModelManager.count & "]")
'Set the name of the SystemModel
zSystemModelManager.DynProperties("Modules[" & (zSystemModelManager.count - 1) & "].Name") = "Test"
End Sub


CreateDynProperty

Manuale -> Scripting -> Objectmodel -> SystemModel -> SystemModel-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this Methode it is possible to create a new Equipment Model (SystemModel).

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateSystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zSystemModel As SystemModel

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( SystemModel) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the EquipmentModel (SystemModel)
Set zSystemModelManager = zProject.SystemModelManager
Stop
'Now we create a new SystemModel
zSystemModelManager.CreateDynProperty ("Modules[" & zSystemModelManager.count & "]")
'Set the name of the SystemModel
zSystemModelManager.DynProperties("Modules[" & (zSystemModelManager.count - 1) & "].Name") = "Test"
End Sub


SystemModel-Dynamic properties

Manuale -> Scripting -> Objectmodel -> SystemModel -> SystemModel-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

System model

Noch in diesem Kapitel

System model


System model

Manuale -> Scripting -> Objectmodel -> SystemModel -> SystemModel-Dynamic properties -> System model

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | Nome | Nome del modello. viene assegnato al momento della generazione con numero progressivo e può essere modificato a piacere. Default: ModelloX (X prende il posto di un numero progressivo) Ulteriori informazioni nella guida in linea
VT_BSTR | Guid | Guid |


SystemModelGroup

Manuale -> Scripting -> Objectmodel -> SystemModelGroup

Remarks

Create or edit Equipment modeling group(SystemModelGroup) .

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelGroups()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zName As String
Dim zGuid As String
Dim i As Integer
Dim zSymModGuid As SystemModel
Dim zSymModGroupChild As SystemModelGroup
Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid
Set zSymModGroup = zSystemModelManager.Item(0).Item(0)
If Not zSymModGroup Is Nothing Then
'Show SystemModelGroup
Debug.Print (zSymModGroup.DynProperties("Name"))
If zSymModGroup.count > 0 Then
Set zSymModGroupChild = zSymModGroup.Item(0)
'Show child SystemModelGroup
Debug.Print (zSymModGroupChild.DynProperties("Name"))
End If
Else
Debug.Print ("NOTHING")
End If
End Sub

Noch in diesem Kapitel

SystemModelGroup-Properties

SystemModelGroup-Methods

SystemModelGroup-Dynamic properties


SystemModelGroup-Properties

Manuale -> Scripting -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of system groups. | available | not used | yes | yes

Noch in diesem Kapitel

Count


Count

Manuale -> Scripting -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of SystemModelGroup item.

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelGroups()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zName As String
Dim zGuid As String
Dim i As Integer
Dim zSymModGuid As SystemModel
Dim zSymModGroupChild As SystemModelGroup
Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid
Set zSymModGroup = zSystemModelManager.Item(0).Item(0)
If Not zSymModGroup Is Nothing Then
'Show SystemModelGroup
Debug.Print (zSymModGroup.DynProperties("Name"))
If zSymModGroup.count > 0 Then
Set zSymModGroupChild = zSymModGroup.Item(0)
'Show child SystemModelGroup
Debug.Print (zSymModGroupChild.DynProperties("Name"))
End If
Else
Debug.Print ("NOTHING")
End If
End Sub


SystemModelGroup-Methods

Manuale -> Scripting -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | not used | available | yes | yes
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
ISystemModelGroup | Item | Returns the system group at the given index. | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

Item

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty


Item

Manuale -> Scripting -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Child SystemModelGroup.

Datatype

Item(VARIANT vIndex) As SystemModelGroup

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

object vIndex

Index of the child SystemModelGroup.

VB.NET

Dim vIndex As Variant

Index of the child SystemModelGroup.

VBA

vIndex As Variant

Index of the child SystemModelGroup.

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelGroups()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zName As String
Dim zGuid As String
Dim i As Integer
Dim zSymModGuid As SystemModel
Dim zSymModGroupChild As SystemModelGroup
Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid
Set zSymModGroup = zSystemModelManager.Item(0).Item(0)
If Not zSymModGroup Is Nothing Then
'Show SystemModelGroup
Debug.Print (zSymModGroup.DynProperties("Name"))
If zSymModGroup.count > 0 Then
Set zSymModGroupChild = zSymModGroup.Item(0)
'Show child SystemModelGroup
Debug.Print (zSymModGroupChild.DynProperties("Name"))
End If
Else
Debug.Print ("NOTHING")
End If
End Sub


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the property parameter as PropParam

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

VB.NET

Dim bsPath As String

VBA

bsPath As String

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Enumerate the Properties of the SystemModelGroup collection.

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

VB.NET

Dim bsPath As String

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

VBA

bsPath As String

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()

Dim vProps As Variant

Dim i As Integer

'get all DynProperties of the actual object (DynPicture, Element, ...) vProps = zenOnObject.DynPropertiesEnum("") 'Print informations of DynProperties into output window

For i = 0 To UBound(vProps) Debug.Print vProps(i)

Next i

End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this Methode its possible to get DynProperties.

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

A String which defines the Property.

VB.NET

Dim bsPath As String

A String which defines the Property.

VBA

bsPath As String

A String which defines the Property.

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim zSystemModelManager As SystemModelManager

Dim zProject As Project

Dim zName As String

Dim zGuid As String

Dim i As Integer

Dim zSymModGuid As SystemModel

Dim zSymModGroupChild As SystemModelGroup

Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.

If Not zProject.IsGlobal Then

Exit Sub

End If

'Get the Equipment Model

Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid

Set zSymModGroup = zSystemModelManager.Item(0).Item(0)

If Not zSymModGroup Is Nothing Then

'Show SystemModelGroup Debug.Print (zSymModGroup.DynProperties("Name"))

If zSymModGroup.count > 0 Then

Set zSymModGroupChild = zSymModGroup.Item(0) 'Create a new child SystemModelGrou zSymModGroupChild.CreateDynProperty ("SystemModelGroup[" & zSymModGroup.count & "]") 'Set Name 'Set the name of the SystemModelGroup zSymModGroupChild.DynProperties("SystemModelGroup[" & (zSymModGroup.count - 1) & "].Name") = "Test" 'Show the new child SystemModelGroup Debug.Print (zSymModGroupChild.DynProperties("SystemModelGroup[" & (zSymModGroup.count - 1) & "].Name"))

End If

Else

Debug.Print ("NOTHING")

End If

End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this Methode its possible to set DynProperties.

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

A String which defines the Property.

object vValue

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VB.NET

Dim bsPath As String

A String which defines the Property.

Dim vValue As Variant

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

VBA

bsPath As String

A String which defines the Property.

vValue As Variant

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim zSystemModelManager As SystemModelManager

Dim zProject As Project

Dim zName As String

Dim zGuid As String

Dim i As Integer

Dim zSymModGuid As SystemModel

Dim zSymModGroupChild As SystemModelGroup

Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.

If Not zProject.IsGlobal Then

Exit Sub

End If

'Get the Equipment Model

Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid

Set zSymModGroup = zSystemModelManager.Item(0).Item(0)

If Not zSymModGroup Is Nothing Then

'Show SystemModelGroup Debug.Print (zSymModGroup.DynProperties("Name"))

If zSymModGroup.count > 0 Then

Set zSymModGroupChild = zSymModGroup.Item(0) 'Create a new child SystemModelGrou zSymModGroupChild.CreateDynProperty ("SystemModelGroup[" & zSymModGroup.count & "]") 'Set Name 'Set the name of the SystemModelGroup zSymModGroupChild.DynProperties("SystemModelGroup[" & (zSymModGroup.count - 1) & "].Name") = "Test" 'Show the new child SystemModelGroup Debug.Print (zSymModGroupChild.DynProperties("SystemModelGroup[" & (zSymModGroup.count - 1) & "].Name"))

End If

Else

Debug.Print ("NOTHING")

End If

End Sub


CreateDynProperty

Manuale -> Scripting -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this Methode it is possible to create a new Equipment Model groups (SystemModelGroup).

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

DynProperty as String to be created.

VB.NET

Dim bsPath As String

DynProperty as String to be created.

VBA

bsPath As String

DynProperty as String to be created.

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim zSystemModelManager As SystemModelManager

Dim zProject As Project

Dim zName As String

Dim zGuid As String

Dim i As Integer

Dim zSymModGuid As SystemModel

Dim zSymModGroupChild As SystemModelGroup

Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.

If Not zProject.IsGlobal Then

Exit Sub End If

'Get the Equipment Model

Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid

Set zSymModGroup = zSystemModelManager.Item(0).Item(0)

If Not zSymModGroup Is Nothing Then

'Show SystemModelGroup Debug.Print (zSymModGroup.DynProperties("Name"))

If zSymModGroup.count > 0 Then

Set zSymModGroupChild = zSymModGroup.Item(0)

'Create a new child SystemModelGrou

zSymModGroupChild.CreateDynProperty ("SystemModelGroup[" & zSymModGroup.count & "]")

'Set Name 'Set the name of the SystemModelGroup zSymModGroupChild.DynProperties("SystemModelGroup[" & (zSymModGroup.count - 1) & "].Name") = "Test" 'Show the new child SystemModelGroup Debug.Print (zSymModGroupChild.DynProperties("SystemModelGroup[" & (zSymModGroup.count - 1) & "].Name"))

End If

Else

Debug.Print ("NOTHING")

End If

End Sub


SystemModelGroup-Dynamic properties

Manuale -> Scripting -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

System model group

Noch in diesem Kapitel

System model group


System model group

Manuale -> Scripting -> Objectmodel -> SystemModelGroup -> SystemModelGroup-Dynamic properties -> System model group

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | Nome | Nome del gruppo. viene assegnato al momento della generazione con numero progressivo e può essere modificato a piacere. Default: GruppoX (X prende il posto di un numero progressivo) Ulteriori informazioni nella guida in linea
VT_BSTR | Guid | Guid |


SystemModelManager

Manuale -> Scripting -> Objectmodel -> SystemModelManager

Remarks

The SystemModelManager represent the project node Equipment modeling from a global project.
Create or edit Equipment modeling (SystemModel) and Equipment group (SystemModelGroup) are possible.

A global project is needed!

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelManager()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zName As String
Dim zGuid As String
Dim i As Integer
Dim zSymModGuid As SystemModel
Dim zSymModGroupChild As SystemModelGroup
Dim zSymModGroup As SystemModelGroup

Stop
Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

Debug.Print ("Number of System Models : " & zSystemModelManager.count)

'SystemModel (First node in the Equipment Model)
Debug.Print (zSystemModelManager.Item(0).DynProperties("Name"))
Debug.Print (zSystemModelManager.Item(0).DynProperties("Guid"))
zName = zSystemModelManager.Item(0).DynProperties("Name")

'Get the SystemModel by Name
Set zSymModGuid = zSystemModelManager.ModelByName(zName)
If Not zSymModGuid Is Nothing Then
Debug.Print (zSymModGuid.DynProperties("Name"))
Else
Debug.Print ("NOTHING")
End If

'SystemModelGroup (Equipment Group)
Debug.Print (zSystemModelManager.Item(0).Item(0).DynProperties("Name"))
Debug.Print (zSystemModelManager.Item(0).Item(0).DynProperties("Guid"))
zGuid = zSystemModelManager.Item(0).Item(0).DynProperties("Guid")

'Get SystemModelGroup (Equipment Group)by guid
Set zSymModGroup = zSystemModelManager.GroupByGuid(zGuid)
If Not zSymModGroup Is Nothing Then
Debug.Print (zSymModGroup.DynProperties("Name"))
If zSymModGroup.count > 0 Then
Set zSymModGroupChild = zSymModGroup.Item(0)
Debug.Print (zSymModGroupChild.DynProperties("Name"))
End If
Else
Debug.Print ("NOTHING")
End If
End Sub

Noch in diesem Kapitel

SystemModelManager-Properties

SystemModelManager-Methods

SystemModelManager-Events

SystemModelManager-Dynamic properties


SystemModelManager-Properties

Manuale -> Scripting -> Objectmodel -> SystemModelManager -> SystemModelManager-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | available | not used | yes | yes

Noch in diesem Kapitel

Count


Count

Manuale -> Scripting -> Objectmodel -> SystemModelManager -> SystemModelManager-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Number of Equipment Models (SystemModel)

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelManagerItem()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim i As Integer

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

For i = 0 To zSystemModelManager.count - 1
'Show the name of the SystemModel
Debug.Print (zSystemModelManager.Item(i).DynProperties("Name"))
Next i
End Sub


SystemModelManager-Methods

Manuale -> Scripting -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
ISystemModelGroup | GroupByGuid | Returns the system group with the given id (guid). | available | not used | yes | yes
ISystemModel | Item | Returns the system model at the given index. | available | not used | yes | yes
ISystemModel | ModelByName | Returns the system model with the given id (guid). | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
VARIANT_BOOL | Export | Exports system model list | available | not used | yes | yes
VARIANT_BOOL | Import | Imports system model list | available | not used | yes | yes

Noch in diesem Kapitel

Item

ModelByName

GroupByGuid

Export

Import

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty


Item

Manuale -> Scripting -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Equipment Model (SystemModel) by index.

Datatype

Item(VARIANT vIndex) As SystemModel

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

object vIndex

VB.NET

Dim vIndex As Variant

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelManagerItem()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim i As Integer

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

For i = 0 To zSystemModelManager.count - 1
'Show the name of the SystemModel
Debug.Print (zSystemModelManager.Item(i).DynProperties("Name"))
Next i
End Sub


ModelByName

Manuale -> Scripting -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods -> ModelByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Name of the Equipment Model (SystemModel).

Datatype

ModelByName(String bsName) As SystemModel

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsName

VB.NET

Dim bsName As String

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelManager()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zName As String
Dim zSymModGuid As SystemModel

Stop
Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

Debug.Print ("Number of System Models : " & zSystemModelManager.count)

'SystemModel (First node in the Equipment Model)
Debug.Print (zSystemModelManager.Item(0).DynProperties("Name"))
Debug.Print (zSystemModelManager.Item(0).DynProperties("Guid"))
zName = zSystemModelManager.Item(0).DynProperties("Name")

'Get the SystemModel by Name
Set zSymModGuid = zSystemModelManager.ModelByName(zName)
If Not zSymModGuid Is Nothing Then
Debug.Print (zSymModGuid.DynProperties("Name"))
Else
Debug.Print ("NOTHING")
End If

End Sub


GroupByGuid

Manuale -> Scripting -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods -> GroupByGuid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Guid of the Equipment Model Group (SystemModelGroup).

Datatype

GroupByGuid(String bsGuid) As SystemModelGroup

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsGuid

VB.NET

Dim bsGuid As String

VBA

bsGuid As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelManager()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zGuid As String
Dim i As Integer
Dim zSymModGuid As SystemModel
Dim zSymModGroup As SystemModelGroup

Stop
Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

'Get guid of any SystemModelGroup (Equipment Group)
zGuid = zSystemModelManager.Item(0).Item(0).DynProperties("Guid")

'Get SystemModelGroup (Equipment Group)by guid
Set zSymModGroup = zSystemModelManager.GroupByGuid(zGuid)
If Not zSymModGroup Is Nothing Then
Debug.Print (zSymModGroup.DynProperties("Name"))
Else
Debug.Print ("NOTHING")
End If
End Sub


Export

Manuale -> Scripting -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub Project Active()

Set mypicevents = thisProject.Dynpictures

Stop

thisProject.SystemModelManager.Export("AnlagenmodellEditorB.xml")

thisProject.SystemModelManager.Import("AnlagenmodellEditorB.xml")
End Sub


Import

Manuale -> Scripting -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. Existing settings will be replaced/merged.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub Project Active()

Set mypicevents = thisProject.Dynpictures

Stop

thisProject.SystemModelManager.Export("AnlagenmodellEditorB.xml")

thisProject.SystemModelManager.Import("AnlagenmodellEditorB.xml")
End Sub


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the property parameter as PropParam

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

VB.NET

Dim bsPath As String

VBA

bsPath As String

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Enumerate the Properties of the SystemModelManager collection.

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

C#

string bsPath

VB.NET

Dim bsPath As String

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()

Dim vProps As Variant

Dim i As Integer

'get all DynProperties of the actual object (DynPicture, Element, ...) vProps = zenOnObject.DynPropertiesEnum("") 'Print informations of DynProperties into output window

For i = 0 To UBound(vProps) Debug.Print vProps(i)

Next i

End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Read and/or change the Properties of the SystemModelManager collection. See: SystemModelManager

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Set the Properties of the SystemModelManager collection. See: SystemModelManager

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


CreateDynProperty

Manuale -> Scripting -> Objectmodel -> SystemModelManager -> SystemModelManager-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Create Subitems of the SystemModelManager collection. See: SystemModelManager

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


SystemModelManager-Events

Manuale -> Scripting -> Objectmodel -> SystemModelManager -> SystemModelManager-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | ModelGroupSelected |  | not used | available | yes | yes

Noch in diesem Kapitel

ModelGroupSelected


ModelGroupSelected

Manuale -> Scripting -> Objectmodel -> SystemModelManager -> SystemModelManager-Events -> ModelGroupSelected

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ModelGroupSelected(BSTR bsGuid, BSTR bsName) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SystemModelManager-Dynamic properties

Manuale -> Scripting -> Objectmodel -> SystemModelManager -> SystemModelManager-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

System model manager

Noch in diesem Kapitel

CSystemModelFilter

System model manager


CSystemModelFilter

Manuale -> Scripting -> Objectmodel -> SystemModelManager -> SystemModelManager-Dynamic properties -> CSystemModelFilter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_AKZ | SystemModelGroup | Gruppi d'impianto | Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti. Ulteriori informazioni nella guida in linea.


System model manager

Manuale -> Scripting -> Objectmodel -> SystemModelManager -> SystemModelManager-Dynamic properties -> System model manager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description


Task

Manuale -> Scripting -> Objectmodel -> Task

Remarks

A task is a VisualBasicScript file and can be executed over the Tasks/Task object model.Here is a sample how to configure a task to run only once and starts event triggered:<img src="../../../private/task_settings.jpg"></img>Tasks can also be configured cyclic, then VBA is not needed to use them...

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub StartTask()
Dim zTask As Task

'get task by its name...
Set zTask = thisProject.Tasks.Item("Task1")

'get task properties...
Debug.Print "CountVariable: " & zTask.CountVariable
Debug.Print "ActualCycleTime: " & zTask.ActualCycleTime
Debug.Print "CycleTime: " & zTask.CycleTime
Debug.Print "ErrorNumber: " & zTask.ErrorNumber
Debug.Print "ErrorString: " & zTask.ErrorString
Debug.Print "Priority: " & zTask.Priority
Debug.Print "Status: " & zTask.Status

'run task
zTask.Run

End Sub

Noch in diesem Kapitel

Task-Properties

Task-Methods

Task-Events


Task-Properties

Manuale -> Scripting -> Objectmodel -> Task -> Task-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ActualCycleTime |  | available | read only | yes | yes
long | CountVariable |  | available | read only | yes | yes
long | CycleTime |  | available | read only | yes | yes
long | ErrorNumber |  | available | available | yes | yes
BSTR | ErrorString |  | available | available | yes | yes
BSTR | Name |  | available | read only | yes | yes
ITasks | Parent |  | read only | read only | yes | yes
long | Priority |  | available | read only | yes | yes
tpTaskStatus | Status |  | read only | read only | yes | yes
tpTaskTyp | Type |  | available | read only | yes | yes

Noch in diesem Kapitel

Parent

Name

Type

Priority

CycleTime

ActualCycleTime

Status

ErrorNumber

ErrorString

CountVariable


Parent

Manuale -> Scripting -> Objectmodel -> Task -> Task-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Tasks

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> Task -> Task-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Unique name of the task.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Scripting -> Objectmodel -> Task -> Task-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Tasks can be executed "cyclic" or "once".

Datatype

Type() As tpTaskTyp

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Priority

Manuale -> Scripting -> Objectmodel -> Task -> Task-Properties -> Priority

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Process priority for the operating system multi-threading (idle, low, normal, high, highest, time critical)Default: normalMain process: the task runs in the same thread as the Runtime. If the task gets into a waiting loop or crashes, that also influences the Runtime.

Datatype

Priority() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


CycleTime

Manuale -> Scripting -> Objectmodel -> Task -> Task-Properties -> CycleTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Defined cycle time of the task

Datatype

CycleTime() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ActualCycleTime

Manuale -> Scripting -> Objectmodel -> Task -> Task-Properties -> ActualCycleTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Currently achieved cycle time of the task

Datatype

ActualCycleTime() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuale -> Scripting -> Objectmodel -> Task -> Task-Properties -> Status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the status of a task.

Datatype

Status() As tpTaskStatus

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ErrorNumber

Manuale -> Scripting -> Objectmodel -> Task -> Task-Properties -> ErrorNumber

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains an error number.

Datatype

ErrorNumber() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


ErrorString

Manuale -> Scripting -> Objectmodel -> Task -> Task-Properties -> ErrorString

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Contains an error message as string.

Datatype

ErrorString() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


CountVariable

Manuale -> Scripting -> Objectmodel -> Task -> Task-Properties -> CountVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Number of variables linked to the task

Datatype

CountVariable() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Task-Methods

Manuale -> Scripting -> Objectmodel -> Task -> Task-Methods

Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IVariable | ItemVariable | - | available | available | yes | yes
void | MemValue [PUT] | - | available | available | yes | yes
VARIANT | MemValue [GET] | - | available | available | yes | yes
void | Run | - | available | available | yes | yes
void | Sleep | - | available | available | yes | yes
VARIANT_BOOL | StartTimer | - | available | available | yes | yes
void | Stop | - | available | available | yes | yes
VARIANT_BOOL | StopTimer | - | available | available | yes | yes
void | Value [PUT] | - | available | available | yes | yes
VARIANT | Value [GET] | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
VARIANT_BOOL | StartTimer | - | available | available | yes | yes
VARIANT_BOOL | StopTimer | - | available | available | yes | yes
void | Sleep | - | available | available | yes | yes
void | Run | - | available | available | yes | yes
void | Stop | - | available | available | yes | yes
VARIANT | Value [GET] | - | available | available | yes | yes
void | Value [PUT] | - | available | available | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

StartTimer

StopTimer

Sleep

Run

Stop

MemValue [GET]

MemValue [PUT]

Value [GET]

Value [PUT]

ItemVariable


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> Task -> Task-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> Task -> Task-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> Task -> Task-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> Task -> Task-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


StartTimer

Manuale -> Scripting -> Objectmodel -> Task -> Task-Methods -> StartTimer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StartTimer(long lID,long msTime) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


StopTimer

Manuale -> Scripting -> Objectmodel -> Task -> Task-Methods -> StopTimer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

StopTimer(long lID) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Sleep

Manuale -> Scripting -> Objectmodel -> Task -> Task-Methods -> Sleep

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Sleep(long msTime) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Run

Manuale -> Scripting -> Objectmodel -> Task -> Task-Methods -> Run

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Run() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Stop

Manuale -> Scripting -> Objectmodel -> Task -> Task-Methods -> Stop

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Stop() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


MemValue [GET]

Manuale -> Scripting -> Objectmodel -> Task -> Task-Methods -> MemValue [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MemValue(String Name) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MemValue [PUT]

Manuale -> Scripting -> Objectmodel -> Task -> Task-Methods -> MemValue [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

MemValue (String Name,VARIANT newValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Value [GET]

Manuale -> Scripting -> Objectmodel -> Task -> Task-Methods -> Value [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [GET](BSTR Name,|optional|VARIANT vIndex) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Value [PUT]

Manuale -> Scripting -> Objectmodel -> Task -> Task-Methods -> Value [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [PUT](BSTR Name,|optional|VARIANT vIndex,VARIANT newValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ItemVariable

Manuale -> Scripting -> Objectmodel -> Task -> Task-Methods -> ItemVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a variable object.

Datatype

ItemVariable(VARIANT vPv) As Variable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Task-Events

Manuale -> Scripting -> Objectmodel -> Task -> Task-Events

Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Exit |  | available | available | yes | yes
void | Init |  | available | available | yes | yes
void | Main |  | available | available | yes | yes
void | Timer |  | available | available | yes | yes

Noch in diesem Kapitel

Init

Main

Timer

Exit


Init

Manuale -> Scripting -> Objectmodel -> Task -> Task-Events -> Init

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is automatically executed when starting the task.

Datatype

Init() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Main

Manuale -> Scripting -> Objectmodel -> Task -> Task-Events -> Main

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is either executed once (type once) or cyclically (type cyclic).

Datatype

Main() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Timer

Manuale -> Scripting -> Objectmodel -> Task -> Task-Events -> Timer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is executed cyclically, as long as the according time is running. The cycle time is defined as a parameter with the starting of the timer.

Datatype

Timer(long lID) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Exit

Manuale -> Scripting -> Objectmodel -> Task -> Task-Events -> Exit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is automatically executed when stopping the task.

Datatype

Exit() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Tasks

Manuale -> Scripting -> Objectmodel -> Tasks

Remarks

This object contains a collection of tasks, tasks can be defined with the 'Process Control Engine' (PCE).A task is a VisualBasicScript file and can be executed over the Tasks/Task object model.Here is a sample how to configure a task to run only once and starts event triggered:<img src="../../../private/task_settings.jpg"></img>Tasks can also be configured cyclic, then VBA is not needed to use them...

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub StartTask()
Dim zTask As Task

'get task by its name...
Set zTask = thisProject.Tasks.Item("Task1")

'get task properties...
Debug.Print "CountVariable: " & zTask.CountVariable
Debug.Print "ActualCycleTime: " & zTask.ActualCycleTime
Debug.Print "CycleTime: " & zTask.CycleTime
Debug.Print "ErrorNumber: " & zTask.ErrorNumber
Debug.Print "ErrorString: " & zTask.ErrorString
Debug.Print "Priority: " & zTask.Priority
Debug.Print "Status: " & zTask.Status

'run task
zTask.Run

End Sub

Noch in diesem Kapitel

Tasks-Properties

Tasks-Methods


Tasks-Properties

Manuale -> Scripting -> Objectmodel -> Tasks -> Tasks-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IProject | Parent |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> Tasks -> Tasks-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> Tasks -> Tasks-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Tasks-Methods

Manuale -> Scripting -> Objectmodel -> Tasks -> Tasks-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITask | Item | - | available | available | yes | yes

Noch in diesem Kapitel

Item


Item

Manuale -> Scripting -> Objectmodel -> Tasks -> Tasks-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Single Task Item represents a vbs file.

Datatype

Item(String Name) As Task

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Template

Manuale -> Scripting -> Objectmodel -> Template

Remarks

The Frame contains general information on the outer appearance of the Screens. Each Screen is linked to a Frame. The VBA object for the Frames contains the most important information, e.g. name and position on the screen.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub GetTemplates()
Dim IMDITemplates As MDITemplates
Dim IMDITemplate As MDITemplate
Dim Count As Integer
Dim Ok As Boolean
Dim i As Integer

' --- Selection by Name
Set IMDITemplates = MyWorkspace.GetMDiTemplates("Keyboard")
If Not IMDITemplates Is Nothing Then
Set IMDITemplate = IMDITemplates.Item("Test 3")
Ok = PrintTemplate(IMDITemplate)
End If

' --- Selection by index (zenon Constant)
Set IMDITemplates = MyWorkspace.GetMDiTemplates(tpKeyboard)
If Not IMDITemplates Is Nothing Then
Count = IMDITemplates.Count
For i = 0 To Count - 1
Set IMDITemplate = IMDITemplates.Item(i)
Ok = PrintTemplate(IMDITemplate)
Next
End If
End Sub

Private Function PrintTemplate(IMDITemplate As MDITemplate) As Boolean
If Not IMDITemplate Is Nothing Then
Debug.Print ("Name: " & IMDITemplate.DynProperties("Name"))
Debug.Print ("GUID: " & IMDITemplate.DynProperties("GUID"))
Debug.Print ("ImportPath: " & IMDITemplate.DynProperties("ImportPath"))
Debug.Print ("Folder: " & IMDITemplate.DynProperties("Folder"))
Debug.Print ("MDIType: " & IMDITemplate.DynProperties("MDIType"))
Debug.Print ("Language: " & IMDITemplate.DynProperties("Language"))
Debug.Print ("Description: " & IMDITemplate.DynProperties("Description"))
Debug.Print ("CopaDataTemplate: " & IMDITemplate.DynProperties("CopaDataTemplate"))
Debug.Print ("DefaultTemplate: " & IMDITemplate.DynProperties("DefaultTemplate"))
PrintTemplate = True
Else
PrintTemplate = False
End If
End Function

Noch in diesem Kapitel

Template-Properties

Template-Methods

Template-Dynamic properties


Template-Properties

Manuale -> Scripting -> Objectmodel -> Template -> Template-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | BackgroundImage | Image for the Template | available | read only | yes | yes
short | BackgroundImageStyle | Style for the Image | available | read only | yes | yes
short | BorderStyle | Style of the template-border (for resizing) | available | read only | yes | yes
long | Bottom | Bottom-coordinate of the template | available | read only | yes | yes
long | Left | Left-coordinate of the template | available | read only | yes | yes
BSTR | Name | Name of the template (unique) | available | read only | yes | yes
ITemplates | Parent | Returns the parent object | read only | read only | yes | yes
long | Right | Right-coordinate of the template | available | read only | yes | yes
VARIANT_BOOL | ShowForeground | Shows template always in the foreground | available | read only | yes | yes
VARIANT_BOOL | ShowMinimize | Shows the windows minimize button | available | read only | yes | yes
VARIANT_BOOL | ShowSysMenu | Shows the windows system menu | available | read only | yes | yes
VARIANT_BOOL | ShowTitle | Shows titlebar for the template | available | read only | yes | yes
long | Style | Style of the template-window | available | read only | yes | yes
long | Top | Top-coordinate of the template | available | read only | yes | yes
long | BackgroundColor | BackColor | available | read only | yes | yes
long | Width | Width of the template | available | read only | yes | yes
long | Height | Height of the template | available | read only | yes | yes
VARIANT_BOOL | OpenMultiple | Open a template multiple times | available | read only | yes | yes

Noch in diesem Kapitel

Parent

Name

Top

Left

Bottom

Right

Width

Height

BackgroundColor

BackgroundImage

BackgroundImageStyle

Style

ShowForeground

OpenMultiple

ShowTitle

ShowSysMenu

ShowMinimize

BorderStyle


Parent

Manuale -> Scripting -> Objectmodel -> Template -> Template-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Templates

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> Template -> Template-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique name of the Frame. With this name the Frame can be found in the central Frame list of the project. This name is always unique.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Top

Manuale -> Scripting -> Objectmodel -> Template -> Template-Properties -> Top

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the position of the top Frame border in pixel. The value defines the distance from the top border of the screen. If this value is 0, then the Frame starts at the top border of the screen.

Datatype

Top() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Left

Manuale -> Scripting -> Objectmodel -> Template -> Template-Properties -> Left

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the position of the left Frame border in pixel. The value defines the distance from the left border of the screen. If this value is 0, then the Frame starts at the left border of the screen.

Datatype

Left() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Bottom

Manuale -> Scripting -> Objectmodel -> Template -> Template-Properties -> Bottom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the position of the bottom Frame border in pixel. The value defines the distance from the top border of the screen.

Datatype

Bottom() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Right

Manuale -> Scripting -> Objectmodel -> Template -> Template-Properties -> Right

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the position of the right Frame border in pixel. The value defines the distance from the left border of the screen.

Datatype

Right() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Width

Manuale -> Scripting -> Objectmodel -> Template -> Template-Properties -> Width

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The width of the template.

Datatype

Width() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Height

Manuale -> Scripting -> Objectmodel -> Template -> Template-Properties -> Height

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The height of the template.

Datatype

Height() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackgroundColor

Manuale -> Scripting -> Objectmodel -> Template -> Template-Properties -> BackgroundColor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BackgroundColor() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackgroundImage

Manuale -> Scripting -> Objectmodel -> Template -> Template-Properties -> BackgroundImage

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the path to the background image for the Frame.

Datatype

BackgroundImage() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackgroundImageStyle

Manuale -> Scripting -> Objectmodel -> Template -> Template-Properties -> BackgroundImageStyle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BackgroundImageStyle() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Style

Manuale -> Scripting -> Objectmodel -> Template -> Template-Properties -> Style

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the style of the Frame window. The returned value comprises all style settings.

Datatype

Style() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowForeground

Manuale -> Scripting -> Objectmodel -> Template -> Template-Properties -> ShowForeground

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Shows the Frame always in the foreground, if set TRUE.

Datatype

ShowForeground() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


OpenMultiple

Manuale -> Scripting -> Objectmodel -> Template -> Template-Properties -> OpenMultiple

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OpenMultiple() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowTitle

Manuale -> Scripting -> Objectmodel -> Template -> Template-Properties -> ShowTitle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Shows the titlebar for the Frame, if set TRUE.<span style="color:red">Only available, if property "BorderStyle" is set other than 0 (No frame).</span>

Datatype

ShowTitle() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowSysMenu

Manuale -> Scripting -> Objectmodel -> Template -> Template-Properties -> ShowSysMenu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Shows the Windows system menu, if set TRUE.<span style="color:red">Only available, if property "ShowTitle" is set TRUE.</span>

Datatype

ShowSysMenu() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowMinimize

Manuale -> Scripting -> Objectmodel -> Template -> Template-Properties -> ShowMinimize

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Shows the Windows minimize/maximize button, if set TRUE.<span style="color:red">Only available, if property "ShowSysMenu" is set TRUE.</span>

Datatype

ShowMinimize() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BorderStyle

Manuale -> Scripting -> Objectmodel -> Template -> Template-Properties -> BorderStyle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

BorderStyle() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Template-Methods

Manuale -> Scripting -> Objectmodel -> Template -> Template-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Copy | Copies the template |  | available | not used | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
VARIANT_BOOL | Export | Export the given template |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Import a template |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | Save | Save changes |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Copy

Save

Import

Export

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> Template -> Template-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> Template -> Template-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> Template -> Template-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> Template -> Template-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Copy

Manuale -> Scripting -> Objectmodel -> Template -> Template-Methods -> Copy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Copies the settings from an existing Frame to the own Frame.

Datatype

Copy(ITemplate pSource) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Source Frame object, from which the settings should be copied.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

pSource As Template

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuale -> Scripting -> Objectmodel -> Template -> Template-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save changes.

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Import

Manuale -> Scripting -> Objectmodel -> Template -> Template-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file

Datatype

Import(String szFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Path and Filename where the XML file for import is located.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Export

Manuale -> Scripting -> Objectmodel -> Template -> Template-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String szFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Path and Filename whre the XML file should be stored.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuale -> Scripting -> Objectmodel -> Template -> Template-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Scripting -> Objectmodel -> Template -> Template-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Scripting -> Objectmodel -> Template -> Template-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Scripting -> Objectmodel -> Template -> Template-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Scripting -> Objectmodel -> Template -> Template-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Scripting -> Objectmodel -> Template -> Template-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Scripting -> Objectmodel -> Template -> Template-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Template-Dynamic properties

Manuale -> Scripting -> Objectmodel -> Template -> Template-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Alarm template

Frame template

Noch in diesem Kapitel

Alarm template

Frame template


Alarm template

Manuale -> Scripting -> Objectmodel -> Template -> Template-Dynamic properties -> Alarm template

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

StandardPosition

Utilizzare posizione standard

attivo: Posiziona il modello per la barra dello stato allarmi sul bordo superiore dello schermo.

Default: attivo

Ulteriori informazioni nella guida in linea.

VT_UI4

Style

Stile della finestra

Window style

VT_BSTR

TemplateName

Nome

Nome univoco del modello.

  • Massimo: 28 caratteri nel progetto, 27 caratteri nel progetto globale.

Default: Template_x (xè un numero progressivo) ).
Indicazione: Quando si modifica il nome, se necessario, esso dovrà essere reinserito nella proprietà Modelli primari. Altrimenti la variabile del driver di sistema Ultima immagine aperta non può più identificare le immagini basate su questo modello.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackgroundColor

Colore di sfondo

Colore di sfondo proposto per tutte le nuove immagini definite su questo modello

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowForeground

Sempre in primo piano

Attivo: Nessun’ altra immagine può coprire quest’ area nel funzionamento online Si possono però gestire le immagini di sfondo.
Inattivo: Le immagini di questo modello possono essere coperte da altre immagini.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

OpenMultiple

Modello multi istanziabile

Attivo: Il modello può essere aperto più volte durante il runtime. Immagini che si basano su questo modello, vengono aperte al momento della chiamata con un nuovo modello invece che dello stesso. Se si tratta della stessa immagine, verrà aperta anche l´immagine una volta ancora.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

CloseOnClickOutside

Chiusura alla perdita del Focus

Gestisce il comportamento del modello nel caso di perdita di focus.

Attivo: Cliccando con il tasto sinistro del mouse fuori del modello, quest´ultimo si chiude automaticamente, ammesso che si clicchi su un settore di schermo che fa parte del runtime di zenon, ma non appartiene né al modello stesso né a un modello con la proprietà impostata Inibisci chiusura alla perdita del Focus.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

IgnoreCloseOnClick

Inibisci chiusura alla perdita del Focus

Gestisce il comportamento di altri modelli nel caso di perdita di focus. Si possono definire aree dello schermo in cui, cliccando all´interno di questo modello, si inibisce la chiusura automatica di modelli con la proprietà Chiusura alla perdita del Focus attiva.

  • Attivo: Quando questo modello riceve il focus, rimangono aperti tutti gli altri modelli con proprietà Chiusura alla perdita del Focus attivata, nonostante la perdita del focus.
  • Inattivo: Quando questo modello riceve il focus, vengono chiusi tutti gli altri modelli con proprietà Chiusura alla perdita del Focus attivata.

Ulteriori informazioni nella guida in linea.

ZT_MEMFILE

DefineFreeForm

Definizione libera modelli

Non disponibile se Modello a forma libera è attiva.

Definite la forma per il modello selezionato. Cliccate con il tasto sinistro del mouse sul pulsante per aprire il modello corrispondente nell´editor della forma modello. In questa sede potete fissare la forma del modello con l´aiuto di cerchi, rettangoli e poligoni arrotondati.

Ulteriori informazioni nella guida in linea.

VT_I4

PosLeft

Sinistra [Pixel]

Coordinate X del punto d´angolo superiore sinistro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: 0.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

VT_I4

PosRight

Destra [Pixel]

Coordinate X del punto d´angolo inferiore destro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: massimo dell´attuale risoluzione dello schermo.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

VT_I4

PosTop

Su [Pixel]

Coordinate Y del punto d´angolo superiore sinistro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: 0.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

VT_I4

PosBottom

Giu [Pixel]

Coordinate Y del punto d´angolo inferiore destro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: massimo dell´attuale risoluzione dello schermo.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

VT_I4

PosWidth

Larghezza (massima) [Pixel]

Definisce la larghezza massima dei modelli in pixel, a partire dal punto di ancoraggio sinistro.

  • Massimo: 10000
    Non disponibile sotto CE.

Ulteriori informazioni nella guida in linea.

VT_I4

PosHeight

Altezza (massima) [Pixel]

Definisce l´altezza massima del modello in pixel, a partire dal punto di ancoraggio superiore.

  • Massimo: 10000
    Non disponibile sotto CE.

Ulteriori informazioni nella guida in linea.

VT_UI4

OpeningSizeType

Dimensioni d'apertura

Definisce la dimensione con cui viene aperta nel Runtime un´immagine basata su questo modello.

  • Grandezza modello: Grandezza, come è stata definita in Larghezza (massima) [Pixel] e Altezza (massima) [Pixel].
    Se si seleziona un altro valore, nella finestra del modello la grandezza viene visualizzata nel Runtime con un linea tratteggiata.
  • Larghezza [px]: Larghezza, come è stata definita in Valore (grandezza di apertura). L´altezza viene adattata in maniera corrispondente.
  • Altezza [px]: Altezza, come è stata definita in Valore (grandezza di apertura). La larghezza viene adattata in maniera corrispondente.
  • Relativo [%]: La grandezza definita in Larghezza (massima) [Pixel] e Altezza (massima) [Pixel] viene modificata in base al valore precentuale definito in Valore (grandezza di apertura).

I valori corrispondenti vengono definiti facendo uso della proprietà Valore (grandezza di apertura).

Default: Grandezza modello

Ulteriori informazioni nella guida in linea.

VT_UI4

OpeningSizeValue

Valore (grandezza di apertura)

Valore per il tipo di determinazione di grandezza scelto nella proprietà Dimensioni d'apertura in caso di apertura nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_UI4

MinSizeType

Limite minimo

Tipo di limite del valore minimo:

  • Senza: Nessun limite.
    Se si seleziona un altro valore, nella finestra del modello il limite selezionato viene visualizzato nel Runtime con un linea tratteggiata.
  • Larghezza: Limite di larghezza.
  • Altezza: Limite di altezza.
  • Relativo: Limitata ad un valore percentuale della grandezza immagine configurata.

Ha effetto solamente su gesti Multi-Touch. I valori corrispondenti vengono definiti facendo uso della proprietà Valore (Minimo).

Default: Senza

Ulteriori informazioni nella guida in linea.

VT_UI4

MinSizeValue

Valore (Minimo)

Valore per l´impostazione scelta nella proprietà.

Ulteriori informazioni nella guida in linea.

VT_UI4

LimitationType

Muovi

Definisce possibili limitazioni per il movimento di un oggetto:

  • senza restrizioni
  • delimita ai bordi del monitor
    Riferimento: La modalità di delimitazione viene definita tramite la proprietà Limite

non è disponibile sotto Windows CE.

Ulteriori informazioni nella guida in linea.

VT_UI4

LimitationArea

Margine minimo del frame

Disponibile solo se il valore della proprietà Muovi è stato settato su delimita ai bordi del monitor, e la proprietà Limite su dimensione cornice modello.

Definisce la grandezza in pixel della dimensione cornice modello. Quest´area non può essere spostata aldilà del bordo del monitor. In tal modo, essa rimane sempre nel campo visivo dell´operatore, che così può agganciare e spostare il modello.

  • Minimo: 0
  • Massimo: non definito
    Se configura la dimensione dell´area in modo tale che essa risulta più grande dell´immagine, oppure si zooma in modo corrispondente nel Runtime, l´immagine si comporta come un limite per la cornice modello.

Default: 30

Ulteriori informazioni nella guida in linea.

VT_UI4

LimitationContactPointSize

Margine minimo del frame

Disponibile solo se il valore della proprietà Muovi è stato settato su delimita ai bordi del monitor, e la proprietà Limite su dimensione cornice modello.

Definisce la grandezza in pixel della dimensione cornice modello. Quest´area non può essere spostata aldilà del bordo del monitor. In tal modo, essa rimane sempre nel campo visivo dell´operatore, che così può agganciare e spostare il modello.

  • Minimo: 0
  • Massimo: non definito
    Se configura la dimensione dell´area in modo tale che essa risulta più grande dell´immagine, oppure si zooma in modo corrispondente nel Runtime, l´immagine si comporta come un limite per la cornice modello.

Default: 30

Ulteriori informazioni nella guida in linea.

VT_I2

PosType

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: utilizza posizione assoluta

Ulteriori informazioni nella guida in linea.

VT_BOOL

NoMoveOnReopen

Mantieni posizione e dimensioni alla riapertura

Attivo: Un modello che è stato spostato manualmente durante il runtime, non viene riportato alla posizione progettata con l´apertura di una nuova immagine, se è aperto già sullo stesso client. La sua posizione e dimensione rimangono invariate.

Nota: Quest´opzione deve essere attiva perché la posizione del modello venga salvata prima dell´aggiornamento e il modello stesso venga aperto dopo l´aggiornamento in corrispondenza della posizione salvata.

Ulteriori informazioni nella guida in linea.

VT_I2

RefVert

Verticale

Attiva solo se avete selezionato presso Posizionamento relativo all'elemento oppure relativo al puntatore del mouse.

Selezionate nella lista dropdown il punto di riferimento desiderato per il modello. Scegliete fra sopra, sotto oppurecentrato.

Default: su

Ulteriori informazioni nella guida in linea.

VT_I2

RefHorz

Orizzontale

Attiva solo se avete selezionato presso Posizionamento relativo all'elemento oppure relativo al puntatore del mouse.

Selezionate nella lista dropdown il punto di riferimento desiderato per il modello. Scegliete fra sinistra, destra oppurecentrato.

Default: sinistra

Ulteriori informazioni nella guida in linea.

VT_I2

AltRefVert

Alternativa verticale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Selezionate nella lista dropdown il punto di riferimento alternativo desiderato per il modello. Al momento dell'apertura del modello viene usato il punto di riferimento alternativo, se non è possibile aprire il modello in corrispondenza del punto di riferimento preferito. Scegliete fra sopra, sotto oppurecentrato.

Default: su

Ulteriori informazioni nella guida in linea.

VT_I2

AltRefHorz

Alternativa orizzontale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Selezionate nella lista dropdown il punto di riferimento alternativo desiderato per il modello. Al momento dell'apertura del modello viene usato il punto di riferimento alternativo, se non è possibile aprire il modello in corrispondenza del punto di riferimento preferito. Scegliete fra sinistra, destra oppurecentrato.

Default: sinistra

Ulteriori informazioni nella guida in linea.

VT_I2

PosVert

Verticale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Selezionate nella lista dropdown il punto di riferimento desiderato sull'elemento. Al momento dell'apertura del modello si cerca anzitutto di partire da questo punto. Scegliete fra sopra o sotto.

Default: su

Ulteriori informazioni nella guida in linea.

VT_I2

PosHorz

Orizzontale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Selezionate nella lista dropdown il punto di riferimento desiderato sull'elemento. Al momento dell'apertura del modello si cerca anzitutto di partire da questo punto. Scegliete fra sinistra o destra.

Default: sinistra

Ulteriori informazioni nella guida in linea.

VT_I4

PixelVert

Spostamento verticale [Pixel]

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Mediante l'inserimento di un valore numerico positivo o negativo, spostate il punto di riferimento preferito verticalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

VT_I4

PixelHorz

Spostamento orizzontale [Pixel]

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Mediante l'inserimento di un valore numerico positivo o negativo, spostate il punto di riferimento preferito orizzontalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

VT_I2

AltPosVert

Verticale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Selezionate nella lista dropdown il punto di riferimento alternativo desiderato sull'elemento. Al momento dell'apertura del modello viene usato il punto di riferimento alternativo, se non è possibile aprire il modello in corrispondenza del punto di riferimento preferito. Scegliete fra sopra o sotto.

Default: su

Ulteriori informazioni nella guida in linea.

VT_I2

AltPosHorz

Orizzontale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Selezionate nella lista dropdown il punto di riferimento alternativo desiderato sull'elemento. Al momento dell'apertura del modello viene usato il punto di riferimento alternativo, se non è possibile aprire il modello in corrispondenza del punto di riferimento preferito. Scegliete fra sinistra o destra.

Default: sinistra

Ulteriori informazioni nella guida in linea.

VT_I4

AltPixelVert

Spostamento verticale [Pixel]

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Mediante l'inserimento di un valore numerico positivo o negativo, spostate il punto di riferimento alternativo verticalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

VT_I4

AltPixelHorz

Spostamento orizzontale [Pixel]

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Mediante l'inserimento di un valore numerico positivo o negativo, spostate il punto di riferimento alternativo orizzontalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

ZT_FILE

BackgroundPicture

File grafico

Scelta della grafica di sfondo come modello per tutte le nuove immagini definite sulla base di questo modello.
Indicazione: una modifica del file grafico non si ripercuote sulle immagini già esistenti che si basano su questo modello.

Ulteriori informazioni nella guida in linea.

VT_I2

BackgroundPictureStyle

Orientamento

Disponibile solamente dopo che è stato selezionato un File grafico:

Possibili modalità di rappresentazione:
affiancato: grandezza originale, affiancato.

Allungato: riempitivo del formato, allungato per la lunghezza dell´immagine.

normale: Grandezza originale, posizionato nell´angolo in alto a sinistra.
Centrato: Grandezza originale, centrato al centro dell´immagine.

Default: normale:

non è possibile uno spostamento a piacere.

Nota: una modifica dell´orientamento non si ripercuote sulle immagini già esistenti che si basano su questo modello.

Ulteriori informazioni nella guida in linea

VT_I2

BorderStyle

Tipo di cornice

Determinazione del tipo di cornice. In tal modo si stabilisce anche se la grandezza del modello può essere modificata nel Runtime.

  • Permetti ridimensionamento: Si può modificare nel Runtime la grandezza del modello. Intorno al modello viene visualizzata una cornice spessa.
  • Dimensione fissa: La grandezza non può essere modificata. Intorno al modello viene visualizzata una cornice fine.
  • Nessuna cornice: La grandezza non può essere modificata. Non viene visualizzata nessuna cornice intorno al modello.

Default: Nessuna cornice

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowTitle

Titolo

Disponibile solamente se è selezionata una cornice per il modello.:
Attivo: Usare gli header Windows per le immagini di questo modello. Le immagini possono essere spostate durante il runtime.
Inattivo: non usare nessun Header.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowSysMenu

Menu di sistema

Disponibile solo se il titolo è attivo:
Attivo: Visualizza menu di sistema Windows nella barra del titolo.
Inattivo: non visualizzare nessun sistema di menù.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowMinimize

Pulsanti Min./Max.

Disponibile solo se il titolo è attivo:
Attivo: visualizza campo di simbolo nella barra del titolo.
Inattivo: non visualizza nessun campo di simbolo.
Default: inattivo.

Ulteriori informazioni nella guida in linea.


Frame template

Manuale -> Scripting -> Objectmodel -> Template -> Template-Dynamic properties -> Frame template

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

Style

Stile della finestra

Window style

VT_BSTR

TemplateName

Nome

Nome univoco del modello.

  • Massimo: 28 caratteri nel progetto, 27 caratteri nel progetto globale.

Default: Template_x (xè un numero progressivo) ).
Indicazione: Quando si modifica il nome, se necessario, esso dovrà essere reinserito nella proprietà Modelli primari. Altrimenti la variabile del driver di sistema Ultima immagine aperta non può più identificare le immagini basate su questo modello.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

BackgroundColor

Colore di sfondo

Colore di sfondo proposto per tutte le nuove immagini definite su questo modello

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowForeground

Sempre in primo piano

Attivo: Nessun’ altra immagine può coprire quest’ area nel funzionamento online Si possono però gestire le immagini di sfondo.
Inattivo: Le immagini di questo modello possono essere coperte da altre immagini.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

OpenMultiple

Modello multi istanziabile

Attivo: Il modello può essere aperto più volte durante il runtime. Immagini che si basano su questo modello, vengono aperte al momento della chiamata con un nuovo modello invece che dello stesso. Se si tratta della stessa immagine, verrà aperta anche l´immagine una volta ancora.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

CloseOnClickOutside

Chiusura alla perdita del Focus

Gestisce il comportamento del modello nel caso di perdita di focus.

Attivo: Cliccando con il tasto sinistro del mouse fuori del modello, quest´ultimo si chiude automaticamente, ammesso che si clicchi su un settore di schermo che fa parte del runtime di zenon, ma non appartiene né al modello stesso né a un modello con la proprietà impostata Inibisci chiusura alla perdita del Focus.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

IgnoreCloseOnClick

Inibisci chiusura alla perdita del Focus

Gestisce il comportamento di altri modelli nel caso di perdita di focus. Si possono definire aree dello schermo in cui, cliccando all´interno di questo modello, si inibisce la chiusura automatica di modelli con la proprietà Chiusura alla perdita del Focus attiva.

  • Attivo: Quando questo modello riceve il focus, rimangono aperti tutti gli altri modelli con proprietà Chiusura alla perdita del Focus attivata, nonostante la perdita del focus.
  • Inattivo: Quando questo modello riceve il focus, vengono chiusi tutti gli altri modelli con proprietà Chiusura alla perdita del Focus attivata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseFreeForming

Modello a forma libera

Permette l´uso della forma modello libera per il modello selezionato. Perciò è possibile definire dei modelli, con, per esempio, angoli arrotondati, buchi, ecc.

  • Attivo: La forma modello libera viene usata per questo modello e per le immagini ad esso collegate.
  • Inattivo: modello a forma libera non è disponibile. Una forma modello già esistente non viene visualizzata nell´Editor dei modelli e delle immagini,

Default: inattivo

Avvertenza:

  • Non è disponibile per il modello Barra stato allarmi e per Windows CE.
  • Non può essere combinato con le proprietà del gruppo Cornice.

Ulteriori informazioni nella guida in linea.

ZT_MEMFILE

DefineFreeForm

Definizione libera modelli

Non disponibile se Modello a forma libera è attiva.

Definite la forma per il modello selezionato. Cliccate con il tasto sinistro del mouse sul pulsante per aprire il modello corrispondente nell´editor della forma modello. In questa sede potete fissare la forma del modello con l´aiuto di cerchi, rettangoli e poligoni arrotondati.

Ulteriori informazioni nella guida in linea.

VT_I4

PosLeft

Sinistra [Pixel]

Coordinate X del punto d´angolo superiore sinistro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: 0.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

VT_I4

PosRight

Destra [Pixel]

Coordinate X del punto d´angolo inferiore destro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: massimo dell´attuale risoluzione dello schermo.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

VT_I4

PosTop

Su [Pixel]

Coordinate Y del punto d´angolo superiore sinistro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: 0.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

VT_I4

PosBottom

Giu [Pixel]

Coordinate Y del punto d´angolo inferiore destro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: massimo dell´attuale risoluzione dello schermo.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

VT_I4

PosWidth

Larghezza (massima) [Pixel]

Definisce la larghezza massima dei modelli in pixel, a partire dal punto di ancoraggio sinistro.

  • Massimo: 10000
    Non disponibile sotto CE.

Ulteriori informazioni nella guida in linea.

VT_I4

PosHeight

Altezza (massima) [Pixel]

Definisce l´altezza massima del modello in pixel, a partire dal punto di ancoraggio superiore.

  • Massimo: 10000
    Non disponibile sotto CE.

Ulteriori informazioni nella guida in linea.

VT_UI4

OpeningSizeType

Dimensioni d'apertura

Definisce la dimensione con cui viene aperta nel Runtime un´immagine basata su questo modello.

  • Grandezza modello: Grandezza, come è stata definita in Larghezza (massima) [Pixel] e Altezza (massima) [Pixel].
    Se si seleziona un altro valore, nella finestra del modello la grandezza viene visualizzata nel Runtime con un linea tratteggiata.
  • Larghezza [px]: Larghezza, come è stata definita in Valore (grandezza di apertura). L´altezza viene adattata in maniera corrispondente.
  • Altezza [px]: Altezza, come è stata definita in Valore (grandezza di apertura). La larghezza viene adattata in maniera corrispondente.
  • Relativo [%]: La grandezza definita in Larghezza (massima) [Pixel] e Altezza (massima) [Pixel] viene modificata in base al valore precentuale definito in Valore (grandezza di apertura).

I valori corrispondenti vengono definiti facendo uso della proprietà Valore (grandezza di apertura).

Default: Grandezza modello

Ulteriori informazioni nella guida in linea.

VT_UI4

OpeningSizeValue

Valore (grandezza di apertura)

Valore per il tipo di determinazione di grandezza scelto nella proprietà Dimensioni d'apertura in caso di apertura nel Runtime.

Ulteriori informazioni nella guida in linea.

VT_UI4

MinSizeType

Limite minimo

Tipo di limite del valore minimo:

  • Senza: Nessun limite.
    Se si seleziona un altro valore, nella finestra del modello il limite selezionato viene visualizzato nel Runtime con un linea tratteggiata.
  • Larghezza: Limite di larghezza.
  • Altezza: Limite di altezza.
  • Relativo: Limitata ad un valore percentuale della grandezza immagine configurata.

Ha effetto solamente su gesti Multi-Touch. I valori corrispondenti vengono definiti facendo uso della proprietà Valore (Minimo).

Default: Senza

Ulteriori informazioni nella guida in linea.

VT_UI4

MinSizeValue

Valore (Minimo)

Valore per l´impostazione scelta nella proprietà.

Ulteriori informazioni nella guida in linea.

VT_UI4

LimitationType

Muovi

Definisce possibili limitazioni per il movimento di un oggetto:

  • senza restrizioni
  • delimita ai bordi del monitor
    Riferimento: La modalità di delimitazione viene definita tramite la proprietà Limite

non è disponibile sotto Windows CE.

Ulteriori informazioni nella guida in linea.

VT_UI4

LimitationArea

Margine minimo del frame

Disponibile solo se il valore della proprietà Muovi è stato settato su delimita ai bordi del monitor, e la proprietà Limite su dimensione cornice modello.

Definisce la grandezza in pixel della dimensione cornice modello. Quest´area non può essere spostata aldilà del bordo del monitor. In tal modo, essa rimane sempre nel campo visivo dell´operatore, che così può agganciare e spostare il modello.

  • Minimo: 0
  • Massimo: non definito
    Se configura la dimensione dell´area in modo tale che essa risulta più grande dell´immagine, oppure si zooma in modo corrispondente nel Runtime, l´immagine si comporta come un limite per la cornice modello.

Default: 30

Ulteriori informazioni nella guida in linea.

VT_UI4

LimitationContactPointSize

Margine minimo del frame

Disponibile solo se il valore della proprietà Muovi è stato settato su delimita ai bordi del monitor, e la proprietà Limite su dimensione cornice modello.

Definisce la grandezza in pixel della dimensione cornice modello. Quest´area non può essere spostata aldilà del bordo del monitor. In tal modo, essa rimane sempre nel campo visivo dell´operatore, che così può agganciare e spostare il modello.

  • Minimo: 0
  • Massimo: non definito
    Se configura la dimensione dell´area in modo tale che essa risulta più grande dell´immagine, oppure si zooma in modo corrispondente nel Runtime, l´immagine si comporta come un limite per la cornice modello.

Default: 30

Ulteriori informazioni nella guida in linea.

VT_I2

PosType

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: utilizza posizione assoluta

Ulteriori informazioni nella guida in linea.

VT_BOOL

NoMoveOnReopen

Mantieni posizione e dimensioni alla riapertura

Attivo: Un modello che è stato spostato manualmente durante il runtime, non viene riportato alla posizione progettata con l´apertura di una nuova immagine, se è aperto già sullo stesso client. La sua posizione e dimensione rimangono invariate.

Nota: Quest´opzione deve essere attiva perché la posizione del modello venga salvata prima dell´aggiornamento e il modello stesso venga aperto dopo l´aggiornamento in corrispondenza della posizione salvata.

Ulteriori informazioni nella guida in linea.

VT_I2

RefVert

Verticale

Attiva solo se avete selezionato presso Posizionamento relativo all'elemento oppure relativo al puntatore del mouse.

Selezionate nella lista dropdown il punto di riferimento desiderato per il modello. Scegliete fra sopra, sotto oppurecentrato.

Default: su

Ulteriori informazioni nella guida in linea.

VT_I2

RefHorz

Orizzontale

Attiva solo se avete selezionato presso Posizionamento relativo all'elemento oppure relativo al puntatore del mouse.

Selezionate nella lista dropdown il punto di riferimento desiderato per il modello. Scegliete fra sinistra, destra oppurecentrato.

Default: sinistra

Ulteriori informazioni nella guida in linea.

VT_I2

AltRefVert

Alternativa verticale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Selezionate nella lista dropdown il punto di riferimento alternativo desiderato per il modello. Al momento dell'apertura del modello viene usato il punto di riferimento alternativo, se non è possibile aprire il modello in corrispondenza del punto di riferimento preferito. Scegliete fra sopra, sotto oppurecentrato.

Default: su

Ulteriori informazioni nella guida in linea.

VT_I2

AltRefHorz

Alternativa orizzontale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Selezionate nella lista dropdown il punto di riferimento alternativo desiderato per il modello. Al momento dell'apertura del modello viene usato il punto di riferimento alternativo, se non è possibile aprire il modello in corrispondenza del punto di riferimento preferito. Scegliete fra sinistra, destra oppurecentrato.

Default: sinistra

Ulteriori informazioni nella guida in linea.

VT_I2

PosVert

Verticale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Selezionate nella lista dropdown il punto di riferimento desiderato sull'elemento. Al momento dell'apertura del modello si cerca anzitutto di partire da questo punto. Scegliete fra sopra o sotto.

Default: su

Ulteriori informazioni nella guida in linea.

VT_I2

PosHorz

Orizzontale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Selezionate nella lista dropdown il punto di riferimento desiderato sull'elemento. Al momento dell'apertura del modello si cerca anzitutto di partire da questo punto. Scegliete fra sinistra o destra.

Default: sinistra

Ulteriori informazioni nella guida in linea.

VT_I4

PixelVert

Spostamento verticale [Pixel]

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Mediante l'inserimento di un valore numerico positivo o negativo, spostate il punto di riferimento preferito verticalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

VT_I4

PixelHorz

Spostamento orizzontale [Pixel]

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Mediante l'inserimento di un valore numerico positivo o negativo, spostate il punto di riferimento preferito orizzontalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

VT_I2

AltPosVert

Verticale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Selezionate nella lista dropdown il punto di riferimento alternativo desiderato sull'elemento. Al momento dell'apertura del modello viene usato il punto di riferimento alternativo, se non è possibile aprire il modello in corrispondenza del punto di riferimento preferito. Scegliete fra sopra o sotto.

Default: su

Ulteriori informazioni nella guida in linea.

VT_I2

AltPosHorz

Orizzontale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Selezionate nella lista dropdown il punto di riferimento alternativo desiderato sull'elemento. Al momento dell'apertura del modello viene usato il punto di riferimento alternativo, se non è possibile aprire il modello in corrispondenza del punto di riferimento preferito. Scegliete fra sinistra o destra.

Default: sinistra

Ulteriori informazioni nella guida in linea.

VT_I4

AltPixelVert

Spostamento verticale [Pixel]

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Mediante l'inserimento di un valore numerico positivo o negativo, spostate il punto di riferimento alternativo verticalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

VT_I4

AltPixelHorz

Spostamento orizzontale [Pixel]

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Mediante l'inserimento di un valore numerico positivo o negativo, spostate il punto di riferimento alternativo orizzontalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

ZT_FILE

BackgroundPicture

File grafico

Scelta della grafica di sfondo come modello per tutte le nuove immagini definite sulla base di questo modello.
Indicazione: una modifica del file grafico non si ripercuote sulle immagini già esistenti che si basano su questo modello.

Ulteriori informazioni nella guida in linea.

VT_I2

BackgroundPictureStyle

Orientamento

Disponibile solamente dopo che è stato selezionato un File grafico:

Possibili modalità di rappresentazione:
affiancato: grandezza originale, affiancato.

Allungato: riempitivo del formato, allungato per la lunghezza dell´immagine.

normale: Grandezza originale, posizionato nell´angolo in alto a sinistra.
Centrato: Grandezza originale, centrato al centro dell´immagine.

Default: normale:

non è possibile uno spostamento a piacere.

Nota: una modifica dell´orientamento non si ripercuote sulle immagini già esistenti che si basano su questo modello.

Ulteriori informazioni nella guida in linea

VT_I2

BorderStyle

Tipo di cornice

Determinazione del tipo di cornice. In tal modo si stabilisce anche se la grandezza del modello può essere modificata nel Runtime.

  • Permetti ridimensionamento: Si può modificare nel Runtime la grandezza del modello. Intorno al modello viene visualizzata una cornice spessa.
  • Dimensione fissa: La grandezza non può essere modificata. Intorno al modello viene visualizzata una cornice fine.
  • Nessuna cornice: La grandezza non può essere modificata. Non viene visualizzata nessuna cornice intorno al modello.

Default: Nessuna cornice

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowTitle

Titolo

Disponibile solamente se è selezionata una cornice per il modello.:
Attivo: Usare gli header Windows per le immagini di questo modello. Le immagini possono essere spostate durante il runtime.
Inattivo: non usare nessun Header.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowSysMenu

Menu di sistema

Disponibile solo se il titolo è attivo:
Attivo: Visualizza menu di sistema Windows nella barra del titolo.
Inattivo: non visualizzare nessun sistema di menù.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ShowMinimize

Pulsanti Min./Max.

Disponibile solo se il titolo è attivo:
Attivo: visualizza campo di simbolo nella barra del titolo.
Inattivo: non visualizza nessun campo di simbolo.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Templates

Manuale -> Scripting -> Objectmodel -> Templates

Remarks

This collection contains the defined Frames. Each Screen is linked to a Frame, which holds general settings as the position, the name, ...The Frames of the global project are also available in this collection.The single Frames can be found in the collection by their unique names or their indices. Each Frame has to have a unique name.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub GetTemplates()
Dim IMDITemplates As MDITemplates
Dim IMDITemplate As MDITemplate
Dim Count As Integer
Dim Ok As Boolean
Dim i As Integer

' --- Selection by Name
Set IMDITemplates = MyWorkspace.GetMDiTemplates("Keyboard")
If Not IMDITemplates Is Nothing Then
Set IMDITemplate = IMDITemplates.Item("Test 3")
Ok = PrintTemplate(IMDITemplate)
End If

' --- Selection by index (zenon Constant)
Set IMDITemplates = MyWorkspace.GetMDiTemplates(tpKeyboard)
If Not IMDITemplates Is Nothing Then
Count = IMDITemplates.Count
For i = 0 To Count - 1
Set IMDITemplate = IMDITemplates.Item(i)
Ok = PrintTemplate(IMDITemplate)
Next
End If
End Sub

Private Function PrintTemplate(IMDITemplate As MDITemplate) As Boolean
If Not IMDITemplate Is Nothing Then
Debug.Print ("Name: " & IMDITemplate.DynProperties("Name"))
Debug.Print ("GUID: " & IMDITemplate.DynProperties("GUID"))
Debug.Print ("ImportPath: " & IMDITemplate.DynProperties("ImportPath"))
Debug.Print ("Folder: " & IMDITemplate.DynProperties("Folder"))
Debug.Print ("MDIType: " & IMDITemplate.DynProperties("MDIType"))
Debug.Print ("Language: " & IMDITemplate.DynProperties("Language"))
Debug.Print ("Description: " & IMDITemplate.DynProperties("Description"))
Debug.Print ("CopaDataTemplate: " & IMDITemplate.DynProperties("CopaDataTemplate"))
Debug.Print ("DefaultTemplate: " & IMDITemplate.DynProperties("DefaultTemplate"))
PrintTemplate = True
Else
PrintTemplate = False
End If
End Function

Noch in diesem Kapitel

Templates-Properties

Templates-Methods


Templates-Properties

Manuale -> Scripting -> Objectmodel -> Templates -> Templates-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IProject | Parent | The parent object of the current object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> Templates -> Templates-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> Templates -> Templates-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Templates-Methods

Manuale -> Scripting -> Objectmodel -> Templates -> Templates-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITemplate | Create | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
ITemplate | Item | Returns a object at a position or by a specified key | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

Create

Item

Delete

Export

Import

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


Create

Manuale -> Scripting -> Objectmodel -> Templates -> Templates-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new Frame and returns 'Template' object.

Datatype

Create(String szFileName,[optional] VARIANT bAddToCollection) As Template

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuale -> Scripting -> Objectmodel -> Templates -> Templates-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Template from the collection, which is identified by the parameter vID.Hint: The Frames defined in the global project are added to the Frames of the current project. On accessing a Frame with its name it is first searched for in the current project. If it cannot be found there, it is searched for in the global project.The parameter vID can have two values:<ul><li>Index: Access with an index mostly is used in combination with the property "Count" to find out the position of the variable object in the list.</li><li>Frame name: The Frame can also be accessed with its unique name.</li></ul>Hint: The returned object should be checked on Nothing, for the case that no object was found with the search criteria.

Datatype

Item(VARIANT vID) As Template

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Delete

Manuale -> Scripting -> Objectmodel -> Templates -> Templates-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the 'Template' object from the 'Templates' collection.

Datatype

Delete(String szIdentification) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuale -> Scripting -> Objectmodel -> Templates -> Templates-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Path and Filename whre the XML file should be stored.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuale -> Scripting -> Objectmodel -> Templates -> Templates-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Path and Filename where the XML file for import is located.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> Templates -> Templates-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> Templates -> Templates-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> Templates -> Templates-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> Templates -> Templates-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


TextList

Manuale -> Scripting -> Objectmodel -> TextList

Remarks

TextList Class for the Text Lists API

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

TextList-Properties

TextList-Methods


TextList-Properties

Manuale -> Scripting -> Objectmodel -> TextList -> TextList-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITextList | Parent | Returns the parent object of the current object | not used | available | yes | yes
long | Count | Returns the amount of Text-List items | not used | available | yes | yes
BSTR | ID | Returns the Id of the Text-List | not used | available | yes | yes
BSTR | Name | Returns the name of the Text-List | not used | available | yes | yes
BSTR | Description | Returns the description of the Text-List | not used | available | yes | yes
VARIANT_BOOL | Removed | Returns the Removed status of the Text-List | not used | available | yes | yes
BSTR | Guid | Returns the Guid of the Text-List | not used | available | yes | yes

Noch in diesem Kapitel

Parent

Count

Guid

Name

Description

Removed


Parent

Manuale -> Scripting -> Objectmodel -> TextList -> TextList-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Access to the parent Text-List

Datatype

Parent() As ITextList

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> TextList -> TextList-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of Text-List Items (Read only)

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Guid

Manuale -> Scripting -> Objectmodel -> TextList -> TextList-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of the Text-List

Datatype

Guid() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> TextList -> TextList-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the Text-List

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Description

Manuale -> Scripting -> Objectmodel -> TextList -> TextList-Properties -> Description

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the description of the Text-List

Datatype

Description() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Removed

Manuale -> Scripting -> Objectmodel -> TextList -> TextList-Properties -> Removed

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Removed status of the Text-List

Datatype

Removed() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


TextList-Methods

Manuale -> Scripting -> Objectmodel -> TextList -> TextList-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITextList | Item | Returns a object at a position or by a specified key | not used | available | yes | yes
ITextList | Create | Creates and returns new Text-List object | not used | available | yes | yes

Noch in diesem Kapitel

Item

Create


Item

Manuale -> Scripting -> Objectmodel -> TextList -> TextList-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object at a position or by a specified key

Datatype

Item(VARIANT vNameOrPos) As ITextList

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Create

Manuale -> Scripting -> Objectmodel -> TextList -> TextList-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates and returns new Text-List object

Datatype

Create(BSTR bsName, BSTR bsDescription) As ITextList

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


TextListManager

Manuale -> Scripting -> Objectmodel -> TextListManager

Remarks

Access to the Text Lists API in the Project

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

TextListManager-Properties

TextListManager-Methods


TextListManager-Properties

Manuale -> Scripting -> Objectmodel -> TextListManager -> TextListManager-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IProject | Parent | Returns the parent object of the current object | not used | available | yes | yes
long | Count | Returns the amount of Text-List Items | not used | available | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> TextListManager -> TextListManager-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Access to the parent project

Datatype

Parent() As IProject

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> TextListManager -> TextListManager-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the amount of Text-List Items (Read only)

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


TextListManager-Methods

Manuale -> Scripting -> Objectmodel -> TextListManager -> TextListManager-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITextList | Item | Returns a object at a position or by a specified key | not used | available | yes | yes
ITextList | Create | Creates and returns new Text-List object | not used | available | yes | yes
VARIANT_BOOL | Save | Saves the Text-List | not used | available | yes | yes

Noch in diesem Kapitel

Item

Create

Save


Item

Manuale -> Scripting -> Objectmodel -> TextListManager -> TextListManager-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns an object at a position or by a specified key

Datatype

Item(VARIANT vNameOrPos) As ITextList

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Create

Manuale -> Scripting -> Objectmodel -> TextListManager -> TextListManager-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates and returns new Text-List object

Datatype

Create(BSTR bsName, BSTR bsDescription) As ITextList

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Save

Manuale -> Scripting -> Objectmodel -> TextListManager -> TextListManager-Methods -> Save

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Save() As VARIANT_BOOL

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


TimeFunction

Manuale -> Scripting -> Objectmodel -> TimeFunction

Remarks

The "TimeFunction" object, also called "Time control" in zenOn, enables the user to define function calls which should be executed at a defined (fixed) time or cyclically.When defining the time control functions for the month or year changes it is important to define the date correctly because this lays down the day after the month or year change on which the function is executed.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateTimeFunction()
End Sub

Noch in diesem Kapitel

TimeFunction-Properties

TimeFunction-Methods

TimeFunction-Dynamic properties


TimeFunction-Properties

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active |  | available | read only | yes | yes
VARIANT_BOOL | Cycled |  | available | read only | yes | yes
long | ID | Returns count of contained objects | read only | read only | yes | yes
long | IntervalTime | Returns count of contained objects | available | read only | yes | yes
VARIANT_BOOL | MonthSwitch | Returns time-function by position or ID | available | read only | yes | yes
BSTR | Name | Returns time-function by position or ID | available | read only | yes | yes
ITimeFunctions | Parent | Parent of object | read only | read only | yes | yes
DATE | StartTime | Parent of object | available | read only | yes | yes
VARIANT_BOOL | YearSwitch |  | available | read only | yes | yes

Noch in diesem Kapitel

Parent

ID

Name

Active

Cycled

StartTime

IntervalTime

MonthSwitch

YearSwitch


Parent

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As TimeFunctions

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID for the "TimeFunction" object.

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the name of the "TimeFunction" object as string.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Active

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Properties -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

If set TRUE, the time-function will be executed in the Runtime. Otherwise, the time-function is not executed in the Runtime.Hint: Time specific properties of the "TimeFunction" object can only be set if this property is set TRUE.

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Cycled

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Properties -> Cycled

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets if the execution of the function is done cyclic.Hint: In combination with the property "Cycled" the execution type for the "TimeFunction" object can be set. For further information please have a look at the "SetDaySelected" method.

Datatype

Cycled() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


StartTime

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Properties -> StartTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Gets or sets the start time when the function should be executed.

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_TimeFunction_SetStartTime(ByRef zTime As TimeFunction)

'Set new start time: 2007-08-21 14:30:30
zTime.StartTime = DateSerial(2007, 8, 21) + TimeSerial(14, 30, 30)

'Output new start time
Debug.Print zTime.StartTime

End Sub


IntervalTime

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Properties -> IntervalTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Time interval, in which the function should be executed. The interval is defined in seconds.Hint: This property is only available, if the property "Cycled" is set to TRUE and the properties "MonthSwitch" and "YearSwitch" are deactivated.

Datatype

IntervalTime() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


MonthSwitch

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Properties -> MonthSwitch

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

If set TRUE, the function will only be executed on the turn of a month (Length of interval: 1 month). Otherwise, the setting from the property "IntervalTime" is used for the execution of the function.Hint: This property is only available, if the property "Cycled" is set to TRUE and property "YearSwitch" is deactivated.

Datatype

MonthSwitch() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YearSwitch

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Properties -> YearSwitch

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

If set TRUE, the function will only be executed at the turn of a year (Length of interval: 1 year). Otherwise, the setting from the property "IntervalTime" is used for the execution of the function.Hint: This property is only available, if the property "Cycled" is set to TRUE and property "MonthSwitch" is deactivated.

Datatype

YearSwitch() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


TimeFunction-Methods

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDaySelected | - |  | available | available | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IRtFunction | ItemRtFunction | - |  | read only | read only | yes | yes
void | SetDaySelected | - |  | available | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes

Noch in diesem Kapitel

ItemRtFunction

IsDaySelected

SetDaySelected

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


ItemRtFunction

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> ItemRtFunction

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a "RtFunction" object with the function that was assigned by the creation of the "TimeFunction" object.

Datatype

ItemRtFunction() As RtFunction

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDaySelected

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> IsDaySelected

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsDaySelected(long lDay) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetDaySelected

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> SetDaySelected

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SetDaySelected(long lDay,Boolean bValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

State of the day for the execution of the function. If set TRUE, then the function will be executed on this day. Otherwise it will not be executed.

Day that should be checked.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bValue As Boolean

lDay As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_TimeFunction_SetExecutionType(ByRef zTime As TimeFunction)

'Set execution type: "cyclic only on that day"
zTime.SetDaySelected 8, True
zTime.Cycled = True

'Set execution type: "only on that day"
zTime.SetDaySelected 8, True
zTime.Cycled = False

'Set execution type: "cyclic from that day"
zTime.SetDaySelected 8, False
zTime.Cycled = True

'Set execution type: "from that day"
zTime.SetDaySelected 8, False
zTime.Cycled = False

End Sub


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


Get

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TimeFunction-Dynamic properties

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Time function entry

Noch in diesem Kapitel

Time function entry


Time function entry

Manuale -> Scripting -> Objectmodel -> TimeFunction -> TimeFunction-Dynamic properties -> Time function entry

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

Active

Attivo

Attivo: La funzione tempo viene eseguita nel Runtime.
Inattiva: La funzione tempo non viene eseguita nel Runtime.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Name

Nome

Nome della funzione tempo.
Default: Time-Function x (x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

ZT_FUNCTION

Function

Funzione

Funzione che deve essere eseguita sulla base di meccanismi a tempo.
Apre il dialogo di selezione funzioni.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Ulteriori informazioni nella guida in linea.

VT_I4

Type

Tipo di esecuzione

A partire da questo giorno: La funzione viene eseguita a partire dal giorno impostato, ogni giorno all´ora stabilita.
Solo in questo giorno: La funzione viene eseguita il giorno impostato, allo scadere del tempo stabilito, una sola volta.
Ciclico a partire da questo giorno: La funzione viene eseguita a partire dal giorno impostato, nell´intervallo definito, ciclicamente.
Ciclico solo in questo giorno: La funzione viene eseguita solo il giorno della settimana stabilito, nell´intervallo definito, ciclicamente.

Ulteriori informazioni nella guida in linea

ZT_DATETIME

ExecuteDate

Ora partenza

La data in corrispondenza della quale o a partire dalla quale deve essere eseguita la funzione tempo.

Ulteriori informazioni nella guida in linea.

ZT_ZEIT

Interval

Intervallo

Intervallo di tempo nel quale la funzione deve essere eseguita.
Default: 00:15:00.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Monthly

Intervallo di un mese

Disponibile solamente se per la proprietà Tipo di esecuzione è stato selezionato il valore ciclico.
Attiva: La funzione viene eseguita dopo un intervallo di un mese alla fine del mese.
Non attiva: vengono usate le altre impostazioni per l´esecuzione della funzione.
Default: inattivo

Nota: il cambio mese e anno si riferiscono alla data di esecuzione impostata e non al passaggio concreto che si verifica il 01°/ 01° alle ore 00:00. 01. ore 00:00. Se si vuole che il cambio avvenga esattamente in corrispondenza di questa data e questa ora, le si deve impostare in fase di progettazione, per es. 01. 01. 2012, ore 00:00:00.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Yearly

Intervallo di un anno

Disponibile solamente se per la proprietà Tipo di esecuzione è stato selezionato il valore ciclico.
Attiva: La funzione viene eseguita dopo un intervallo di un mese alla fine dell´anno.
Non attiva: vengono usate le altre impostazioni per l´esecuzione della funzione.
Default: inattivo

Nota: il cambio mese e anno si riferiscono alla data di esecuzione impostata e non al passaggio concreto che si verifica il 01°/ 01° alle ore 00:00. 01. ore 00:00. Se si vuole che il cambio avvenga esattamente in corrispondenza di questa data e questa ora, le si deve impostare in fase di progettazione, per es. 01. 01. 2012, ore 00:00:00.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Monday

Lunedì

Attivo: La funzione viene eseguita (anche) di lunedì.
Inattiva: La funzione non viene eseguita di lunedì.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Tuesday

Martedì

Attivo: La funzione viene eseguita (anche) di martedì.
Inattiva: La funzione non viene eseguita di martedì.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Wednesday

Mercoledì

Attivo: La funzione viene eseguita (anche) di mercoledì.
Inattiva: La funzione non viene eseguita di mercoledì.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Thursday

Giovedì

Attivo: La funzione viene eseguita (anche) di giovedì.
Inattiva: La funzione non viene eseguita di giovedì.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Friday

Venerdì

Attivo: La funzione viene eseguita (anche) di venerdì.
Inattiva: La funzione non viene eseguita di venerdì.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Saturday

Sabato

Attivo: La funzione viene eseguita (anche) di sabato.
Inattiva: La funzione non viene eseguita di sabato.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Sunday

Domenica

Attivo: La funzione viene eseguita (anche) di domenica.
Inattiva: La funzione non viene eseguita di domenica.
Default: attivo.

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


TimeFunctions

Manuale -> Scripting -> Objectmodel -> TimeFunctions

Remarks

This object manages "TimeFunction" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_TimeFunctions()
'Declarations
Dim zProject As Project
Dim zTimeFcts As TimeFunctions
Dim i As Integer

'Initialize zProject with the current project
Set zProject = MyWorkspace.ActiveDocument
'Initialize zTimeFcts with the "TimeFunction" object collection of the project
Set zTimeFcts = zProject.TimeFunctions

'Create a new "TimeFunction" object and assign the first available function to it
zTimeFcts.Create "zenOn_TimeFunction", zProject.RtFunctions.Item(0).ID

'For every "TimeFunction" object within the collection...
For i = 0 To zTimeFcts.Count - 1
'... output the name
Debug.Print zTimeFcts.Item(i).Name

Next i

'Delete the former created "TimeFunction" object
zTimeFcts.Delete "zenOn_TimeFunction"

End Sub

Noch in diesem Kapitel

TimeFunctions-Properties

TimeFunctions-Methods


TimeFunctions-Properties

Manuale -> Scripting -> Objectmodel -> TimeFunctions -> TimeFunctions-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of contained objects | read only | read only | yes | yes
IProject | Parent | Parent of object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> TimeFunctions -> TimeFunctions-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> TimeFunctions -> TimeFunctions-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


TimeFunctions-Methods

Manuale -> Scripting -> Objectmodel -> TimeFunctions -> TimeFunctions-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITimeFunction | Create | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
ITimeFunction | Item | Returns a object at a position or by a specified key | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes

Noch in diesem Kapitel

Item

Create

Delete

Export

SingleExport

Import


Item

Manuale -> Scripting -> Objectmodel -> TimeFunctions -> TimeFunctions-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the "TimeFunction" object from the collection, which is identified by the parameter vNameOrPos. The parameter vNameOrPos can have two values:

  • Element name: The element can be accessed with its unique name.
  • Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "TimeFunction" object in the list.

Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As TimeFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Scripting -> Objectmodel -> TimeFunctions -> TimeFunctions-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a new "TimeFunction" object by its name as string and the unique ID of the function that should be assigned to the object.

Datatype

Create(String bsName,long nFunctionID) As TimeFunction

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Delete

Manuale -> Scripting -> Objectmodel -> TimeFunctions -> TimeFunctions-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes an existing "TimeFunction" object by its name as string.

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuale -> Scripting -> Objectmodel -> TimeFunctions -> TimeFunctions-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


SingleExport

Manuale -> Scripting -> Objectmodel -> TimeFunctions -> TimeFunctions-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuale -> Scripting -> Objectmodel -> TimeFunctions -> TimeFunctions-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Units

Manuale -> Scripting -> Objectmodel -> Units

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Noch in diesem Kapitel

Units-Methods

Units-Dynamic properties


Units-Methods

Manuale -> Scripting -> Objectmodel -> Units -> Units-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

Export

Import

DynPropertyParam [GET]

DynPropertiesEnum [GET]

CreateDynProperty

DynProperties [GET]

DynProperties [PUT]


Export

Manuale -> Scripting -> Objectmodel -> Units -> Units-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file for export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuale -> Scripting -> Objectmodel -> Units -> Units-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import setting using a xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> Units -> Units-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> Units -> Units-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateDynProperty

Manuale -> Scripting -> Objectmodel -> Units -> Units-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> Units -> Units-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> Units -> Units-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Units-Dynamic properties

Manuale -> Scripting -> Objectmodel -> Units -> Units-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Unit manager

Noch in diesem Kapitel

CPrimaryUnit

Unit manager


CPrimaryUnit

Manuale -> Scripting -> Objectmodel -> Units -> Units-Dynamic properties -> CPrimaryUnit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
More... | Units | Unità di misura |
VT_BSTR | Name | Unità di misura | Indicazione dell´unità di base in corrispondenza della quale avviene la conversione, oppure dell´unità convertita nella quale avviene la conversione. Per esempio: C°, K, m, y, Celsius, Kelvin, metri, yard ecc. L´inserimento non può superare i 50 caratteri. Ulteriori informazioni nella guida in linea.
ZT_AKZ | SystemModelGroup | Gruppi d'impianto | Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti. Ulteriori informazioni nella guida in linea.


Unit manager

Manuale -> Scripting -> Objectmodel -> Units -> Units-Dynamic properties -> Unit manager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
More... | Units | Unità di misura |


User

Manuale -> Scripting -> Objectmodel -> User

Remarks

This object represents an user from the central user administration of the current project. The most important settings of the single users are available with this object.All available settings can be edited with VBA.The critical properties Identification and Password can only be edited with a method, whereas the properties Name and Level can be edited directly in the property.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub ChangeUser()
Dim zUser As User
Dim vResult As Variant

Set zUser = thisProject.Passwords.ItemUser(0)
Debug.Print zUser.Name & " will be changed"

'change the identification of the user
vResult = zUser.IdentificationChange("NewLogonName")

'change the password for the user
vResult = zUser.PasswordChange("P@ssword", "NewPassword")

End Sub

Noch in diesem Kapitel

User-Properties

User-Methods

User-Dynamic properties


User-Properties

Manuale -> Scripting -> Objectmodel -> User -> User-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active | Activate/Deactivate user |  | available | available | yes | yes
VARIANT_BOOL | Admin | User has admin rights | available |  | available | yes |  | yes
BSTR | Identification | TagName |  | read only | read only | yes | yes
long | Level | Rights/Password-Levels 0 |  | available | available | yes | yes
long | Level1 | Rights/Password-Levels 1 |  | available | available | yes | yes
long | Level2 | Rights/Password-Levels 2 |  | available | available | yes | yes
long | Level3 | Rights/Password-Levels 3 |  | available | available | yes | yes
VARIANT_BOOL | Locked | Lock/Unlock user |  | available | read only | yes | yes
BSTR | Name | Name |  | available | available | yes | yes
IPasswords | Parent | Parent-object |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Identification

Name

Level

Level1

Level2

Level3

Active

Locked

Admin


Parent

Manuale -> Scripting -> Objectmodel -> User -> User-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Passwords

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Identification

Manuale -> Scripting -> Objectmodel -> User -> User-Properties -> Identification

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique identification of the user. With this identification the user can be found in the central user administration.This property cannot be written directly – instead the method IdentificationChange is available, with which the identification of a user can be changed.

Datatype

Identification() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> User -> User-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property operates the name of the user. The name can be read as well as written. But be aware, that the name cannot have more than 30 characters.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Level

Manuale -> Scripting -> Objectmodel -> User -> User-Properties -> Level

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Level() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Level1

Manuale -> Scripting -> Objectmodel -> User -> User-Properties -> Level1

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Level1() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Level2

Manuale -> Scripting -> Objectmodel -> User -> User-Properties -> Level2

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Level2() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Level3

Manuale -> Scripting -> Objectmodel -> User -> User-Properties -> Level3

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Level3() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Active

Manuale -> Scripting -> Objectmodel -> User -> User-Properties -> Active

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Activate/Deactivate user

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Locked

Manuale -> Scripting -> Objectmodel -> User -> User-Properties -> Locked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Lock/Unlock user

Datatype

Locked() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Admin

Manuale -> Scripting -> Objectmodel -> User -> User-Properties -> Admin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

User has admin rights

Datatype

Admin() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


User-Methods

Manuale -> Scripting -> Objectmodel -> User -> User-Methods

Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
VARIANT_BOOL | IdentificationChange | Changes the TagName | available | not used | yes | yes
VARIANT_BOOL | PasswordChange | Changes the password | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

PasswordChange

IdentificationChange


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> User -> User-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> User -> User-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> User -> User-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> User -> User-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


PasswordChange

Manuale -> Scripting -> Objectmodel -> User -> User-Methods -> PasswordChange

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method changes the password of the current user. If the parameter szOld is not true for the current password, False is returned.Otherwise the new password is confirmed and the cange is saved.

Datatype

PasswordChange(String szOld,String szNew) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IdentificationChange

Manuale -> Scripting -> Objectmodel -> User -> User-Methods -> IdentificationChange

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method changes the unique identification of the user. If the same identification already exists, False is returned.If the identification does not exist yet, it is linked to the current user and saved. In this case the method returns True.

Datatype

IdentificationChange(String szIdentification) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


User-Dynamic properties

Manuale -> Scripting -> Objectmodel -> User -> User-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

User

CUserForList

Noch in diesem Kapitel

User

CUserForList


User

Manuale -> Scripting -> Objectmodel -> User -> User-Dynamic properties -> User

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | UserActive | Utente attivo | Attivo: L´utente viene accettato nel Runtime. Inattivo: L´utente non viene accettato nel Runtime. Default: attivo. Ulteriori informazioni nella guida in linea.
VT_BSTR | UserName | Nome completo | Nome dell´utente. Per diverse azioni utente, questa successione di caratteri viene visualizzata nella Lista eventi cronologica (CEL). Dovrebbe essere il nome completo dell´utente. Nella CEL c´è una colonna apposita per la visualizzazione di questa informazione. Inoltre, questa informazione può essere visualizzata anche facendo ricorso ad una variabile del driver di sistema. Ulteriori informazioni nella guida in linea.
VT_BOOL | Admin | Amministratore | Attivo: Questo utente non è un amministratore. Perciò esso non può editare nel Runtime altri utenti e sbloccare il sistema. Inattivo: Questo utente non è un amministratore.. Default: inattivo. Attenzione: Un amministratore può rendere accessibili ad altri utenti solo quei gruppi autorizzazioni che possiede anche lui. Ulteriori informazioni nella guida in linea.
VT_BOOL | UserLocked | Bloccato | Attivo: L´utente è bloccato. Inattivo: L´utente non è bloccato. Default: inattivo. Dopo un numero stabilito di inserimenti errati della password, un utente viene bloccato automaticamente. In questa sede si può rimuovere il blocco. Nel Runtime, solo un Administrator può rimuovere il blocco di un utente, visto che solo un Administrator può gestire e modificare utenti. Ulteriori informazioni nella guida in linea.
VT_BSTR | LockCode | Codice di blocco | PIN-Code a 4 cifre. Questo codice viene usato dall'utente per bloccare diverse aree oppure per renderle accessibili. Bloccando con questo codice, si evita che si renda involontariamente accessibile un'area e così si possano verificare problemi.
VT_UI4 | UserLevel0 | UserLevel0 | "With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value. The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."
VT_UI4 | UserLevel1 | UserLevel1 | "With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value. The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."
VT_UI4 | UserLevel2 | UserLevel2 | "With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value. The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."
VT_UI4 | UserLevel3 | UserLevel3 | "With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value. The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."
VT_I4 | LoginRTP | Profilo runtime | Selezione del profilo runtime che deve essere assegnato all´utente al momento del login. Possibili profili: nessuno: non viene assegnato nessun profilo. DEFAULT: viene assegnato il profilo DEFAULT LAST: viene assegnato il profilo LAST Default: nessuno Ulteriori informazioni nella guida in linea.
VT_BOOL | IsMsgCtrlUser | Utente Message Control | Attivo: L´utente viene usato dal Message Control. Ulteriori informazioni nella guida in linea.
VT_BSTR | MsgPinCode | Codice PIN | Codice PIN con cui l´utente conferma di aver ricevuto il messaggio. Nota: questo codice dovrebbe differenziarsi in modo chiaro da quello della proprietà Codice-NA. Ulteriori informazioni nella guida in linea.
VT_BSTR | MsgNACKCode | Codice-NA | Codice Not-Available con cui l´utente può rifiutare la ricezione del messaggio. Nota: questo codice dovrebbe differenziarsi in modo chiaro da quello della proprietà Codice PIN. Ulteriori informazioni nella guida in linea.
VT_BSTR | MsgErsatzUser | Sostituto | Persona che sostituisce l´utente nel caso in cui quest´ultimo non dovesse essere raggiungibile. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un utente. Il sistema consente di effettuare la scelta solamente fra quegli utenti che sono stati attivati come user del Message Control (vedi proprietà Utente Message Control). Ulteriori informazioni nella guida in linea.
VT_BSTR | MsgGSM | GSM | Numero del telefono cellulare dell´utente. Viene usato per messaggi via GSM e SMS. Inserimento in cifre; è consentito inserire all´inizio il segno + come abbreviazione per lo 00 dei prefissi internazionali. Ulteriori informazioni nella guida in linea.
VT_BSTR | MsgPhone | Telefono | Numero del telefono fisso dell´utente. Viene usato per messaggi Text-to-Speech. Inserimento in cifre; è consentito inserire all´inizio il segno + come abbreviazione per lo 00 dei prefissi internazionali. Ulteriori informazioni nella guida in linea.
VT_BSTR | MsgEmail | E-Mail | Indirizzo E-Mail dell´utente. Ulteriori informazioni nella guida in linea.
VT_BSTR | GUID | GUID |
VT_BSTR | UserGroupsOrderImExpo | UserGroupsOrderImExpo |
ZT_AKZ | SystemModelGroup | Gruppi d'impianto | Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti. Ulteriori informazioni nella guida in linea.


CUserForList

Manuale -> Scripting -> Objectmodel -> User -> User-Dynamic properties -> CUserForList

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | UserActive | Utente attivo | Attivo: L´utente viene accettato nel Runtime. Inattivo: L´utente non viene accettato nel Runtime. Default: attivo. Ulteriori informazioni nella guida in linea.
VT_BSTR | UserName | Nome completo | Nome dell´utente. Per diverse azioni utente, questa successione di caratteri viene visualizzata nella Lista eventi cronologica (CEL). Dovrebbe essere il nome completo dell´utente. Nella CEL c´è una colonna apposita per la visualizzazione di questa informazione. Inoltre, questa informazione può essere visualizzata anche facendo ricorso ad una variabile del driver di sistema. Ulteriori informazioni nella guida in linea.
VT_BOOL | Admin | Amministratore | Attivo: Questo utente non è un amministratore. Perciò esso non può editare nel Runtime altri utenti e sbloccare il sistema. Inattivo: Questo utente non è un amministratore.. Default: inattivo. Attenzione: Un amministratore può rendere accessibili ad altri utenti solo quei gruppi autorizzazioni che possiede anche lui. Ulteriori informazioni nella guida in linea.
VT_BOOL | UserLocked | Bloccato | Attivo: L´utente è bloccato. Inattivo: L´utente non è bloccato. Default: inattivo. Dopo un numero stabilito di inserimenti errati della password, un utente viene bloccato automaticamente. In questa sede si può rimuovere il blocco. Nel Runtime, solo un Administrator può rimuovere il blocco di un utente, visto che solo un Administrator può gestire e modificare utenti. Ulteriori informazioni nella guida in linea.
VT_UI4 | UserLevel0 | UserLevel0 | "With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value. The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."
VT_UI4 | UserLevel1 | UserLevel1 | "With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value. The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."
VT_UI4 | UserLevel2 | UserLevel2 | "With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value. The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."
VT_UI4 | UserLevel3 | UserLevel3 | "With the UserLevel properties you have the opportunity to get/set selected authorization groups via a long value. The value for the selected authorization groups is splitted over four properties. For example: Selected authorization levels 0,1,2 have an UserLevel0 value of 7 (1+2+4)."
VT_I4 | LoginRTP | Profilo runtime | Selezione del profilo runtime che deve essere assegnato all´utente al momento del login. Possibili profili: nessuno: non viene assegnato nessun profilo. DEFAULT: viene assegnato il profilo DEFAULT LAST: viene assegnato il profilo LAST Default: nessuno Ulteriori informazioni nella guida in linea.
VT_BOOL | IsMsgCtrlUser | Utente Message Control | Attivo: L´utente viene usato dal Message Control. Ulteriori informazioni nella guida in linea.
VT_BSTR | MsgErsatzUser | Sostituto | Persona che sostituisce l´utente nel caso in cui quest´ultimo non dovesse essere raggiungibile. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un utente. Il sistema consente di effettuare la scelta solamente fra quegli utenti che sono stati attivati come user del Message Control (vedi proprietà Utente Message Control). Ulteriori informazioni nella guida in linea.
VT_BSTR | MsgGSM | GSM | Numero del telefono cellulare dell´utente. Viene usato per messaggi via GSM e SMS. Inserimento in cifre; è consentito inserire all´inizio il segno + come abbreviazione per lo 00 dei prefissi internazionali. Ulteriori informazioni nella guida in linea.
VT_BSTR | MsgPhone | Telefono | Numero del telefono fisso dell´utente. Viene usato per messaggi Text-to-Speech. Inserimento in cifre; è consentito inserire all´inizio il segno + come abbreviazione per lo 00 dei prefissi internazionali. Ulteriori informazioni nella guida in linea.
VT_BSTR | MsgEmail | E-Mail | Indirizzo E-Mail dell´utente. Ulteriori informazioni nella guida in linea.
VT_BSTR | GUID | GUID |
VT_BSTR | UserGroupsOrderImExpo | UserGroupsOrderImExpo |
ZT_AKZ | SystemModelGroup | Gruppi d'impianto | Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti. Ulteriori informazioni nella guida in linea.


UserGroup

Manuale -> Scripting -> Objectmodel -> UserGroup

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub EnumUserGroup()
Dim zPRJ As Project
Dim zUGP As UserGroup
Dim i As Integer

Set zPRJ = MyWorkspace.ActiveDocument

For i = 0 To zPRJ.Passwords.CountUserGroup - 1
Set zUGP = zPRJ.Passwords.ItemUserGroup(i)
Debug.Print "Usergroup >>> " & zUGP.DynProperties("UserGroupName")
Debug.Print " Level 0-31 : " & zUGP.DynProperties("UserGroupLevel0")
Debug.Print " Level 32-63 : " & zUGP.DynProperties("UserGroupLevel1")
Debug.Print " Level 64-91 : " & zUGP.DynProperties("UserGroupLevel2")
Debug.Print " Level 92-127: " & zUGP.DynProperties("UserGroupLevel3")
Next i
End Sub

Public Sub CreateUserGroup()
Dim zPRJ As Project
Dim zUGP As UserGroup

Set zPRJ = MyWorkspace.ActiveDocument

Set zUGP = zPRJ.Passwords.CreateUserGroup("MyGroup", 255) 'Level 0-7

With zUGP
.DynProperties("UserGroupLevel0") = 255 'Level 0-7
.DynProperties("UserGroupLevel1") = 255 'Level 32-39
.DynProperties("UserGroupLevel2") = 255 'Level 64-71
.DynProperties("UserGroupLevel3") = 255 'Level 96-103
End With
End Sub

Noch in diesem Kapitel

UserGroup-Methods

UserGroup-Dynamic properties


UserGroup-Methods

Manuale -> Scripting -> Objectmodel -> UserGroup -> UserGroup-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | not used | yes | yes
VARIANT | DynProperties [GET] | - | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> UserGroup -> UserGroup-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> UserGroup -> UserGroup-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> UserGroup -> UserGroup-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> UserGroup -> UserGroup-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateDynProperty

Manuale -> Scripting -> Objectmodel -> UserGroup -> UserGroup-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UserGroup-Dynamic properties

Manuale -> Scripting -> Objectmodel -> UserGroup -> UserGroup-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

UserGroup

Noch in diesem Kapitel

UserGroup


UserGroup

Manuale -> Scripting -> Objectmodel -> UserGroup -> UserGroup-Dynamic properties -> UserGroup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | UserGroupName | Nome | Il nome del gruppo utenti selezionato. Cliccate sul campo d´inserimento apposito per cambiare il nome. Nota: @ non è un carattere valido per un nome di un gruppo utenti. Ulteriori informazioni nella guida in linea.
VT_UI4 | UserGroupLevel0 | UserGroupLevel0 |
VT_UI4 | UserGroupLevel1 | UserGroupLevel1 |
VT_UI4 | UserGroupLevel2 | UserGroupLevel2 |
VT_UI4 | UserGroupLevel3 | UserGroupLevel3 |
VT_BSTR | GUID | GUID |
VT_BOOL | IsMsgCtrlGroup | Gruppo Message Control | Attivo: Il gruppo utenti viene usato dal Message Control. Ulteriori informazioni nella guida in linea.


VarAssignment

Manuale -> Scripting -> Objectmodel -> VarAssignment

Remarks

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'Create a new VarAssignment (Allocation)
Sub CreateAssignment()
Dim zVarAssign As VarAssignment
'create by NAME
Set zVarAssign = MyWorkspace.ActiveDocument.VarAssignments.Create("MyAssignment3", "WIZ_VAR_10", "WIZ_VAR_11")
'change settings
With zVarAssign
'set trigger type
.DynProperties("TriggerType") = 1
'set trigger variable by Name
.DynProperties("TriggerVariable") = "MyTrigger"
End With
End Sub

Noch in diesem Kapitel

VarAssignment-Properties

VarAssignment-Methods

VarAssignment-Dynamic properties


VarAssignment-Properties

Manuale -> Scripting -> Objectmodel -> VarAssignment -> VarAssignment-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ID | Set/Get unique ID for the object | read only | read only | yes | yes
BSTR | Name | Set/Get the user-defined name | available | read only | yes | yes
IVarAssignments | Parent | Parent of object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

ID

Name


Parent

Manuale -> Scripting -> Objectmodel -> VarAssignment -> VarAssignment-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As VarAssignments

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Scripting -> Objectmodel -> VarAssignment -> VarAssignment-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get unique ID for the object

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> VarAssignment -> VarAssignment-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Set/Get the user-defined name

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VarAssignment-Methods

Manuale -> Scripting -> Objectmodel -> VarAssignment -> VarAssignment-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | ChangeSourceVariable | Change source (can be member of another project) | available | not used | yes | yes
VARIANT_BOOL | ChangeTargetVariable | Change target (can be member of another project) | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IVariable | ItemSourceVariable | Get the linked source variable | read only | read only | yes | yes
IVariable | ItemTargetVariable | Get the linked target variable | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
IVariable | ItemSourceVariable | Get the linked source variable | read only | read only | yes | yes
IVariable | ItemTargetVariable | Get the linked target variable | read only | read only | yes | yes

Noch in diesem Kapitel

ItemSourceVariable

ItemTargetVariable

ChangeSourceVariable

ChangeTargetVariable

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


ItemSourceVariable

Manuale -> Scripting -> Objectmodel -> VarAssignment -> VarAssignment-Methods -> ItemSourceVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemSourceVariable() As IVariable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ItemTargetVariable

Manuale -> Scripting -> Objectmodel -> VarAssignment -> VarAssignment-Methods -> ItemTargetVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ItemTargetVariable() As IVariable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ChangeSourceVariable

Manuale -> Scripting -> Objectmodel -> VarAssignment -> VarAssignment-Methods -> ChangeSourceVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Change source (can be member of another project).

Datatype

ChangeSourceVariable(String bsProject,long nNewSourceID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Projectname as string.

PvID of new source variable as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsProject As String

nNewSourceID As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CallChange()
ChangeAssignment MyWorkspace.ActiveDocument.VarAssignments.Item("MyAssignment")
End Sub

Sub ChangeAssignment(zVarAssign As VarAssignment)
Dim zSrcVar As Variable
Dim zDstVar As Variable
Dim strProject As String

Set zSrcVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_11")
Set zDstVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_12")
strProject = MyWorkspace.ActiveDocument.Name
'change the source and target variable
With zVarAssign
.ChangeSourceVariable strProject, zSrcVar.PvID
.ChangeTargetVariable strProject, zDstVar.PvID
End With
End Sub


ChangeTargetVariable

Manuale -> Scripting -> Objectmodel -> VarAssignment -> VarAssignment-Methods -> ChangeTargetVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Change target (can be member of another project).

Datatype

ChangeTargetVariable(String bsProject,long nNewTargetID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

PvID of new target variable as string.

Projectname as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

nNewTargetID As Long

bsProject As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CallChange()
ChangeAssignment MyWorkspace.ActiveDocument.VarAssignments.Item("MyAssignment")
End Sub

Sub ChangeAssignment(zVarAssign As VarAssignment)
Dim zSrcVar As Variable
Dim zDstVar As Variable
Dim strProject As String

Set zSrcVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_11")
Set zDstVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_12")
strProject = MyWorkspace.ActiveDocument.Name
'change the source and target variable
With zVarAssign
.ChangeSourceVariable strProject, zSrcVar.PvID
.ChangeTargetVariable strProject, zDstVar.PvID
End With
End Sub


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> VarAssignment -> VarAssignment-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> VarAssignment -> VarAssignment-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> VarAssignment -> VarAssignment-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> VarAssignment -> VarAssignment-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


VarAssignment-Dynamic properties

Manuale -> Scripting -> Objectmodel -> VarAssignment -> VarAssignment-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Allocation entry

Noch in diesem Kapitel

Allocation entry


Allocation entry

Manuale -> Scripting -> Objectmodel -> VarAssignment -> VarAssignment-Dynamic properties -> Allocation entry

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | Nome | Nome univoco dell´assegnazione. Default: Assegnazione x (x è un numero progressivo). Attenzione: Questa proprietà non è a disposizione per il cambio lingua. Ulteriori informazioni nella guida in linea.
ZT_VARIABLE | SourceVariable | Variabile sorgente | Nome della variabile il cui valore deve essere assegnato alla variabile di destinazione. Apre il dialogo che serve alla selezione delle variabili. Ulteriori informazioni nella guida in linea.
ZT_VARIABLE | TargetVariable | Variabile di destinazione | Nome della variabile a cui deve essere assegnato il valore della variabile sorgente. Apre il dialogo che serve alla selezione delle variabili. Ulteriori informazioni nella guida in linea.
ZT_VARIABLE | TriggerVariable | Variabile trigger | La variabile bit connessa attiva l´assegnazione. Se non è collegata nessuna variabile, l´assegnazione avviene spontaneamente. Il che significa che, ogni volta che cambia il valore della variabile sorgente, esso viene automaticamente scritto su quella di destinazione. Apre il dialogo che serve alla selezione delle variabili filtrato per variabili bit. Ulteriori informazioni nella guida in linea.
VT_UI2 | TriggerType | Tipo trigger | Fronte: L´attribuzione viene eseguita se il valore della variabile trigger collegata passa da 0 a 1. Livello: L'attribuzione viene eseguita finché la variabile trigger collegata ha un valore pari a 1. Default: Fronte. Ulteriori informazioni nella guida in linea.
ZT_AKZ | SystemModelGroup | Gruppi d'impianto | Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti. Ulteriori informazioni nella guida in linea.


VarAssignments

Manuale -> Scripting -> Objectmodel -> VarAssignments

Remarks

The VarAssignments collection contains all existing allocations of the current project. With this collection you can access all or certain allocations.Additional to the access via the index the allocations can also be accessed via the unique name or the position.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'Create a new VarAssignment (Allocation)
Sub CreateAssignment()
Dim zVarAssign As VarAssignment
Dim zSrcVar As Variable
Dim zDstVar As Variable
'by NAME
Set zVarAssign = MyWorkspace.ActiveDocument.VarAssignments.Create("MyAssignment", "WIZ_VAR_10", "WIZ_VAR_11")
'OR by ID
Set zSrcVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_10")
Set zDstVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_11")
Set zVarAssign = MyWorkspace.ActiveDocument.VarAssignments.CreateByID("MyAssignment", zSrcVar.PvID, zDstVar.PvID)
End Sub

'Delete an VarAssignment (Allocation)
Sub DeleteAssignment()
Dim bResult As Boolean
'by NAME
bResult = MyWorkspace.ActiveDocument.VarAssignments.Delete("MyAssignment")
End Sub

'Enumerate all Assignements of the active project
Sub EnumAssignments()
Dim zVarAssign As VarAssignment
Dim zVarAssigns As VarAssignments
Dim i As Integer
'get collection of VarAssignements
Set zVarAssigns = MyWorkspace.ActiveDocument.VarAssignments
'enum all VarAssignments
For i = 0 To zVarAssigns.Count - 1
'get VarAssignment
Set zVarAssign = zVarAssigns.Item(i)
Debug.Print zVarAssign.Name & " [" & _
zVarAssign.DynProperties("SourceVariable").Name & " > " & _
zVarAssign.DynProperties("TargetVariable").Name & "]"
Next i
End Sub

Noch in diesem Kapitel

VarAssignments-Properties

VarAssignments-Methods


VarAssignments-Properties

Manuale -> Scripting -> Objectmodel -> VarAssignments -> VarAssignments-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of contained objects | read only | read only | yes | yes
IProject | Parent | Parent of object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> VarAssignments -> VarAssignments-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> VarAssignments -> VarAssignments-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarAssignments-Methods

Manuale -> Scripting -> Objectmodel -> VarAssignments -> VarAssignments-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IVarAssignment | Create | Creates and returns a new Object |  | available | not used | yes | yes
IVarAssignment | CreateByID | Creates and returns a new Object |  | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection |  | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IVarAssignment | Item | Returns a object at a position or by a specified key |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes

Noch in diesem Kapitel

Item

Create

CreateByID

Delete

SingleExport

Export

Import

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


Item

Manuale -> Scripting -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a object at a position or by a specified key

Datatype

Item(VARIANT vID) As VarAssignment

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Index or name. If the parameter is a numerical value, the Frame is searched by its index (>= 0 and <= Count-1). If it is an alphanumerical value, the Frame is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Enumerate all Assignements of the active project
Sub EnumAssignments()
Dim zVarAssign As VarAssignment
Dim zVarAssigns As VarAssignments
Dim i As Integer

Set zVarAssigns = MyWorkspace.ActiveDocument.VarAssignments
For i = 0 To zVarAssigns.Count - 1
Set zVarAssign = zVarAssigns.Item(i)
Debug.Print zVarAssign.Name & " [" & _
zVarAssign.DynProperties("SourceVariable").Name & " > " & _
zVarAssign.DynProperties("TargetVariable").Name & "]"
Next i
End Sub


Create

Manuale -> Scripting -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates and returns a new Object

Datatype

Create(String bsName,String bsSource,String bsTarget) As VarAssignment

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Assignment as string

Name of source variable as string.

Name of target variable as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

bsSource As String

bsTarget As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Create a new VarAssignment (Allocation)
Sub CreateAssignment()
Dim zVarAssign As VarAssignment
'by NAME
Set zVarAssign = MyWorkspace.ActiveDocument.VarAssignments.Create("MyAssignment", "WIZ_VAR_10", "WIZ_VAR_11")
End Sub


CreateByID

Manuale -> Scripting -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> CreateByID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates and returns a new Object.

Datatype

CreateByID(String bsName,long nSourceID,long nTargetID) As VarAssignment

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Assignment as string.

PvID of source variable as string.

PvID of target variable as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

nSourceID As Long

nTargetID As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Create a new VarAssignment (Allocation)
Sub CreateAssignment()
Dim zVarAssign As VarAssignment
Dim zSrcVar As Variable
Dim zDstVar As Variable
'OR by ID
Set zSrcVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_10")
Set zDstVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_11")
Set zVarAssign = MyWorkspace.ActiveDocument.VarAssignments.CreateByID("MyAssignment", zSrcVar.PvID, zDstVar.PvID)
End Sub


Delete

Manuale -> Scripting -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Deletes the objects from collection

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Assignment as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Delete an VarAssignment (Allocation)
Sub DeleteAssignment()
Dim bResult As Boolean
'by NAME
bResult = MyWorkspace.ActiveDocument.VarAssignments.Delete("MyAssignment")
End Sub


SingleExport

Manuale -> Scripting -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuale -> Scripting -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuale -> Scripting -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuale -> Scripting -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Scripting -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Scripting -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Scripting -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Scripting -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Scripting -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Scripting -> Objectmodel -> VarAssignments -> VarAssignments-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Variable

Manuale -> Scripting -> Objectmodel -> Variable

Remarks

The collection Variables contains all defined variables of the current project. With this collection you can access all or selected variables.Beside the access via the index a variable also can be found with its unique name or the unique channel Id.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateVariable()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zEdLimit As EdLimit 'Object from type EdLimit

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" variable called "TestVariable" with object type "internal variable" and datatype "INT"
Set zVariable = zVariables.CreateVar("TestVariable", zDrivers.Item(0), 33, zVarTypes.Item("INT"))
'Create a limit at the "TestVariable"
zVariable.CreateEdLimit

'Select the first limit of the variable
Set zEdLimit = zVariable.EDLimitItem(0)
'Set the limit active
zEdLimit.Active = True
'Set limit text
zEdLimit.Text = "Limit reached"
'Set limit value to 10
zEdLimit.LimitValue = 10
'Set the limit as maximum
zEdLimit.IsMax = True
'Set the limit as alarm
zEdLimit.Alarm = True
'Limit should be recognized in the CEL
zEdLimit.Cel = True

Call CreateArrayVariable

End Sub

Sub CreateArrayVariable()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zArrEl As Variable 'Object from type Variables
Dim zEdLimit As EdLimit 'Object from type EdLimit
Dim i As Integer

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" array variable called "ArrayVar" from object type "internal variable", datatype "INT", start at index 1,
'dimension of 5 and automatic addressing
Set zVariable = zVariables.CreateArrayVar("ArrayVar", zDrivers.Item(0), 33, zVarTypes.Item("INT"), 1, 5, 0, 0, True, False, False)

'Activate all array elements
For i = 0 To 4
zVariable.ActivateSubItem (i)
Next i

'Read the first array element
Set zArrEl = zVariable.SubItem(0)
'Create a limit at the array element
zArrEl.CreateEdLimit

'Select the first limit of the variable
Set zEdLimit = zArrEl.EDLimitItem(0)
'Set the limit active
zEdLimit.Active = True
'Set limit text
zEdLimit.Text = "Limit reached"
'Set limit value to 10
zEdLimit.LimitValue = 10
'Set the limit as maximum
zEdLimit.IsMax = True
'Set the limit as alarm
zEdLimit.Alarm = True
'Limit should be recognized in the CEL
zEdLimit.Cel = True

End Sub

Noch in diesem Kapitel

Variable-Properties

Variable-Methods

Variable-Dynamic properties


Variable-Properties

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Alignment |  | available | read only | yes | yes
VARIANT | AlternateArchiveValue |  | available | read only | yes | yes
VARIANT | AlternateValue | For internal use only | available | read only | yes | yes
long | ArraySize |  | available | read only | yes | yes
IVarType | BaseType |  | read only | read only | yes | yes
long | BitAddr |  | available | read only | yes | yes
long | DataBlock |  | available | read only | yes | yes
IEC_TYPES | DataType |  | read only | read only | yes | yes
short | Digits |  | available | available | yes | yes
VARIANT_BOOL | IsArray |  | read only | read only | yes | yes
DATE | LastUpdateTime |  | read only | read only | yes | yes
short | LastUpdateTimeMilliSeconds |  | read only | read only | yes | yes
BSTR | Name |  | available | read only | yes | yes
long | NetAddr |  | available | read only | yes | yes
long | Offset |  | available | read only | yes | yes
IVariables | Parent |  | read only | read only | yes | yes
long | PvID |  | read only | read only | yes | yes
VARIANT | RangeMax |  | available | available | yes | yes
VARIANT | RangeMin |  | available | available | yes | yes
VARIANT_BOOL | ReadOnly |  | available | read only | yes | yes
BSTR | Recourceslabel |  | available | read only | yes | yes
VARIANT | SignalMax |  | available | read only | yes | yes
VARIANT | SignalMin |  | available | read only | yes | yes
long | StatusExtValue |  | not used | read only | yes | yes
BSTR | StatusString |  | not used | available | yes | yes
long | StatusValue |  | not used | read only | yes | yes
long | StringLength |  | available | read only | yes | yes
BSTR | Tagname |  | available | read only | yes | yes
BSTR | Unit |  | available | available | yes | yes
VARIANT | UserValue |  | available | available | yes | yes

Noch in diesem Kapitel

Parent

PvID

Name

Tagname

Recourceslabel

DataType

BaseType

Digits

Unit

SignalMax

SignalMin

RangeMin

RangeMax

UserValue

AlternateValue

AlternateArchiveValue

StatusValue

StatusExtValue

StatusString

LastUpdateTime

LastUpdateTimeMilliSeconds

ReadOnly

IsArray

ArraySize

NetAddr

DataBlock

Offset

BitAddr

Alignment

StringLength


Parent

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Variables

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PvID

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> PvID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique variable ID (per project). With this ID a variable can be found in the central variables list of the project.

Datatype

PvID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of a variable.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Tagname

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> Tagname

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the identification of the variable.

Datatype

Tagname() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Recourceslabel

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> Recourceslabel

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the resources label of the variable.

Datatype

Recourceslabel() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


DataType

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> DataType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the defined data type of the variable as a constant.

Datatype

DataType() As EC_TYPES

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


BaseType

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> BaseType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns informations about the datatype which is used at the variable.

Datatype

BaseType() As VarType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Digits

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> Digits

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of digits from a real or lreal variable.

Datatype

Digits() As short

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Unit

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> Unit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the defined unit of the variable. The unit specifies the value of the variable, e.g. degrees Celcius, .... The configuration of most modules allows the display of the unit, e.g. numerical value, archive picture, ...This property can be changed in the Runtime.

Datatype

Unit() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SignalMax

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> SignalMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the maximal signal range of a variable.

Datatype

SignalMax() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


SignalMin

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> SignalMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the minimal signal range of a variable.

Datatype

SignalMin() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


RangeMin

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> RangeMin

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the minimal measuring range of a variable.

Datatype

RangeMin() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RangeMax

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> RangeMax

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the maximal measuring range of a variable.

Datatype

RangeMax() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


UserValue

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> UserValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This property can get a user defined value and is not used for the Runtime. In VBA a variant can be linked with the variable, that is needed at a later moment.This variant could e.g. be the Id for a record in a SQL database, that contains further information on the variable.

Datatype

UserValue() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


AlternateValue

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> AlternateValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the alternate value of the variable. The alternate value of a variable is used in archives and the recipe group manager, if the current value is needed but not available, e.g. automatic filling of archives, no connection to the PLC, ...

Datatype

AlternateValue() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


AlternateArchiveValue

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> AlternateArchiveValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the alternate value of the variable. The alternate value of a variable is used in archives and the recipe group manager, if the current value is needed but not available, e.g. automatic filling of archives, no connection to the PLC, ...

Datatype

AlternateArchiveValue() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


StatusValue

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> StatusValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The returned value corresponds to the status of a variable.

Status | Abbreviations in editor | Value (hex)
Invalid | I-BIT | 0x00040000
Not updated | not used | 0x20000000
Alternative value | read only | 0x08000000
General request | yes | 0x00010000
Spontaneous | yes | 0x00020000
Summer/winter time announcement | SU/WI | 0x00080000
Switched off | N_UPDATE | 0x00080000
Realtime external | RT_E | 0x00200000
Realtime internal | RT_I | 0x00400000
Winter time | WINTER | 0x80000000
Manual value | MVALUE | 0x00001000
User status 1 .. 8 | ST_M1 .. ST_M8 | 0x00000001- 0x00000080
Select | SELEC | 0x00000100
Revision | REV | 0x00000200
Desired direction | DIREC | 0x00000400
Runtime exceeded | RTE | 0x00000800
Default message trafo value | DM_TR | 0x01000000
Not sortable | NSORT | 0x00800000
Info for variable | INFO | 0x04000000
Transmission cause | TCBx | 0x0000003F00000000
P/N bit | PN_BIT | 0x0000004000000000
Test bit | T_BIT | 0x0000008000000000
Normal status | NORM | 0x0000040000000000
Deviation normal status | ABNORM | 0x0000080000000000

NOTE:
Check the property IsOnline to make sure that the variable is advised, when you want to read this property to avoid errors! (> 6.21)

Datatype

StatusValue() As long
VBA | yes | 0x00040000
VSTA | yes | 0x00040000

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


StatusExtValue

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> StatusExtValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the status value for states where the higher 32 bits are set.For definition of Statis see StatusValue

NOTE:
Check the property IsOnline to make sure that the variable is advised, when you want to read this property to avoid errors! (> 6.21)

Datatype

StatusExtValue() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


StatusString

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> StatusString

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the status of a variable.

For definition of Statis see StatusValue

NOTE:
Check the property IsOnline to make sure that the variable is advised, when you want to read this property to avoid errors! (> 6.21)

Datatype

StatusString() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


LastUpdateTime

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> LastUpdateTime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the time of the last update of the value.

NOTE:
Check the property IsOnline to make sure that the variable is advised, when you want to read this property to avoid errors! (> 6.21)

Datatype

LastUpdateTime() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


LastUpdateTimeMilliSeconds

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> LastUpdateTimeMilliSeconds

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the milliseconds since the last update time.

NOTE:
Check the property IsOnline to make sure that the variable is advised, when you want to read this property to avoid errors! (> 6.21)

Datatype

LastUpdateTimeMilliSeconds() As short

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ReadOnly

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> ReadOnly

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if the variable is read only and false if it is readable+writeable.

Datatype

ReadOnly() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


IsArray

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> IsArray

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if the variable is an array (ArraySize > 1).

Datatype

IsArray() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ArraySize

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> ArraySize

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of indices of the variable. A standard variable has no index. With array variables this property returns the defined size of the array.

Datatype

ArraySize() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


NetAddr

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> NetAddr

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the net address of a variable.

Datatype

NetAddr() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


DataBlock

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> DataBlock

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the number of the used data block.

Datatype

DataBlock() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Offset

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> Offset

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the offset of a variable.

Datatype

Offset() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BitAddr

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> BitAddr

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the bit number of a variable.

Datatype

BitAddr() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Alignment

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> Alignment

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the alignment item of the addressing settings.

Datatype

Alignment() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


StringLength

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Properties -> StringLength

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the length of a string variable.

Datatype

StringLength() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Variable-Methods

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | ActivateSubItem | - |  | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CreateDynProperty | - |  | available | not used | yes | yes
IEdLimit | CreateEdLimit | - |  | available | not used | yes | yes
VARIANT_BOOL | DeactivateSubItem | - |  | available | not used | yes | yes
VARIANT_BOOL | DeleteEdLimit | - |  | available | not used | yes | yes
IDriver | Driver | - |  | available | available | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
long | EdLimitCount | - |  | read only | not used | yes | yes
IEdLimit | EdLimitItem | - |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLimitActiv | - |  | available | available | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsOnline | - |  | not used | read only | yes | yes
VARIANT_BOOL | IsRDAActiv | - |  | read only | read only | yes | yes
VARIANT_BOOL | IsRemaActiv | - |  | read only | read only | yes | yes
ILimits | Limits | - |  | not used | available | yes | yes
BSTR | SecondaryUnitName [GET] | - |  | not used | available | yes | yes
void | SetValueWithStatus | - |  | not used | available | yes | yes
SCODE | SetValueWithStatusEx | - |  | not used | available | yes | yes
IVariable | SubItem | - |  | available | read only | yes | yes
long | SubItemCount | - |  | read only | read only | yes | yes
BSTR | SubItemName | - |  | available | read only | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
double | CalcPrimaryUnitValue | - |  | not used | available | yes | yes
double | CalcSecondaryUnitValue | - |  | not used | available | yes | yes
void | ModifyAlternateValue | - |  | available | available | yes | yes
short | SecondaryUnitDigits [GET] | - |  | not used | available | yes | yes
VARIANT | Value [GET] | - |  | not used | available | yes | yes
void | Value [PUT] | - |  | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
IDriver | Driver | - |  | available | available | yes | yes
IDriver | Driver | - |  | available | available | yes | yes
IDriver | Driver |  |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  |  | read only | read only | yes | yes
VARIANT | DynProperties [GET] |  |  | available | available | yes | yes
void | DynProperties [PUT] |  |  | available | available | yes | yes
IDriver | Driver |  |  | available | available | yes | yes
long | EdLimitCount |  |  | read only | not used | yes | yes
IEdLimit | EdLimitItem |  |  | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only |  | read only | yes |  | yes
VARIANT | DynProperties [GET] |  | available |  | available | yes |  | yes
void | DynProperties [PUT] |  | available |  | available | yes |  | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

CreateDynProperty

Value [GET]

Value [PUT]

ModifyAlternateValue

SecondaryUnitName [GET]

SecondaryUnitDigits [GET]

IsRDAActiv

IsLimitActiv

IsRemaActiv

IsOnline

Driver

Limits

SetValueWithStatus

CalcSecondaryUnitValue

CalcPrimaryUnitValue

EdLimitCount

EdLimitItem

CreateEdLimit

DeleteEdLimit

SubItemCount

SubItem

SubItemName

ActivateSubItem

DeactivateSubItem

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties [GET](BSTR bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties [PUT](BSTR bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CreateDynProperty

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> CreateDynProperty

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a dynamic property.

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

String for the dynamic property to be created.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub EdLimDynProp()

Dim zVariable As Variable 'Child object from type Variables

'Take the first variable from the variables list
Set zVariable = MyWorkspace.ActiveDocument.Variables.Item(0)

'Create a limit
zVariable.CreateDynProperty ("Limits")
'Set the limit text
zVariable.DynProperties("Limits[0].Text") = "Limit reached"
'Set the limit value
zVariable.DynProperties("Limits[0].LimitValue") = 10
'Set the value as maximum
zVariable.DynProperties("Limits[0].IsMax") = True

End Sub


Value [GET]

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> Value [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [GET]([optional]VARIANT vIndex) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Value [PUT]

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> Value [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Value [PUT]([optional]VARIANT vIndex,VARIANT newValue) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ModifyAlternateValue

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> ModifyAlternateValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ModifyAlternateValue(VARIANT newValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SecondaryUnitName [GET]

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> SecondaryUnitName [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SecondaryUnitName() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SecondaryUnitDigits [GET]

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> SecondaryUnitDigits [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SecondaryUnitDigits [GET]() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsRDAActiv

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> IsRDAActiv

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns true if RDA is activated at a variable.

Datatype

IsRDAActiv() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLimitActiv

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> IsLimitActiv

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns true for limits activated and false for reaction matrix activated.

Datatype

IsLimitActiv() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsRemaActiv

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> IsRemaActiv

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns true if a variable is linked to a reaction matrix.

Datatype

IsRemaActiv() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsOnline

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> IsOnline

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method checks, if the current variable is advised and has a valid value.

A variable will be advised when:

- the variable is actually displayed in a picture...

- the variable has defined alarms...

- the variable is used within VBA (OnlineVariable)...

- the variable has set the option "DDE"...

- ...

Datatype

IsOnline() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Driver

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> Driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Driver() As IDriver

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Limits

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> Limits

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the limit administration of the variable. In the limit administration you can access the single limits with their most important information.

Datatype

Limits() As Limits

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Limit()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zLimit As Limit 'Object from type Limit

'Fill the objects
Set zVariables = thisProject.Variables
'Read the "TestVariable" variable
Set zVariable = zVariables.Item("TestVariable")

'Read the first limit of the variable
Set zLimit = zVariable.Limits.Item(0)
'Show the alarm class
Debug.Print "AlarmClass = " & zLimit.AlarmClass
'Show the limit text
Debug.Print "Limit text = " & zLimit.Text
'Show the limit value
Debug.Print "Limit value = " & zLimit.Value
'Show if the value is the maximum
Debug.Print "Acts on maximum = " & zLimit.IsMax

End Sub


SetValueWithStatus

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> SetValueWithStatus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method sets a value in combination with a status and a timestamp.

Datatype

SetValueWithStatus(VARIANT Value,long Status,long Time,short TimeMilliSec) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Milliseconds of time stamp for set value.

Lower 32 status bits.
For definition of Statis see StatusValue.

Time stamp for set value.

Set value as Variant.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

TimeMilliSec As short

Status As Long

Time As Long

Value As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetValue()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables

'Fill the objects
Set zVariables = thisProject.Variables
'Take the first variable
Set zVariable = zVariables.Item(0)
'Write value 10, status I-BIT, with the actual time and 333 ms onto the variable
zVariable.SetValueWithStatus 10, 262144, Now, 333

End Sub


CalcSecondaryUnitValue

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> CalcSecondaryUnitValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CalcSecondaryUnitValue(double dfPrimaryValue) As double

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CalcPrimaryUnitValue

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> CalcPrimaryUnitValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CalcPrimaryUnitValue(double dfSecondaryValue) As double

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


EdLimitCount

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> EdLimitCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

EdLimitCount() As long

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


EdLimitItem

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> EdLimitItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

EdLimitItem(VARIANT vIndex) As IEdLimit

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CreateEdLimit

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> CreateEdLimit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a limit at a variable.

Datatype

CreateEdLimit() As EdLimit

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateEDLimit()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" variable called "TestVariable" with object type "internal variable" and datatype "INT"
Set zVariable = zVariables.CreateVar("TestVariable", zDrivers.Item(0), 33, zVarTypes.Item("INT"))
'Create a editor limit at the "TestVariable"
zVariable.CreateEdLimit

End Sub


DeleteEdLimit

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> DeleteEdLimit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method deletes selected limits of a variable.

Datatype

DeleteEdLimit(VARIANT vIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The limit can be selected via its name (string) or via a number (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteEDLimit()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim i As Integer

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" variable called "TestVariable" with object type "internal variable" and datatype "INT"
Set zVariable = zVariables.CreateVar("TestVariable", zDrivers.Item(0), 33, zVarTypes.Item("INT"))
'Create 5 editor limits at the "TestVariable"
For i = 0 To 4
zVariable.CreateEdLimit
Next i
'Delete the 2nd limit
zVariable.DeleteEDLimit (1)

End Sub


SubItemCount

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> SubItemCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the number of sub items in an array or structure.

Datatype

SubItemCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CountItems()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" array variable called "array" from object type "internal variable", datatype "INT", start at index 1,
'dimension of 5 and automatic addressing
Set zVariable = zVariables.CreateArrayVar("array", zDrivers.Item(0), 33, zVarTypes.Item("INT"), 1, 5, 0, 0, True, False, False)

'Activate all array elements
For i = 0 To 4
zVariable.ActivateSubItem (i)
Next i

Debug.Print "Count items = " & zVariable.SubItemCount

End Sub


SubItem

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> SubItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you get array and structure elements by index.

Datatype

SubItem(long lIndex) As Variable

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Position of the element in the array or structure.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SubItem()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim cacheElement As Variable 'Child object from type Variables
Dim zEdLimit As EdLimit 'Object form type EdLimit
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" array variable called "array" from object type "internal variable", datatype "INT", start at index 1,
'dimension of 5 and automatic addressing
Set zVariable = zVariables.CreateArrayVar("array", zDrivers.Item(0), 33, zVarTypes.Item("INT"), 1, 5, 0, 0, True, False, False)

'Activate all array elements
For i = 0 To 4
zVariable.ActivateSubItem (i)
Next i

'Read the first element from the array
Set cacheElement = zVariable.SubItem(0)
'Create a limit at the array element
cacheElement.CreateEdLimit

'Select the first limit of the variable
Set zEdLimit = cacheElement.EDLimitItem(0)
'Set the limit active
zEdLimit.Active = True
'Set limit text
zEdLimit.Text = "Limit reached"
'Set limit value to 10
zEdLimit.LimitValue = 10
'Set the limit as maximum
zEdLimit.IsMax = True
'Set the limit as alarm
zEdLimit.Alarm = True
'Limit should be recognized in the CEL
zEdLimit.Cel = True

End Sub


SubItemName

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> SubItemName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the name of an array or structure item.

Datatype

SubItemName(long lIndex) As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Position of the element in the array or structure (starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SubItemNames()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" array variable called "array" from object type "internal variable", datatype "INT", start at index 1,
'dimension of 5 and automatic addressing
Set zVariable = zVariables.CreateArrayVar("array", zDrivers.Item(0), 33, zVarTypes.Item("INT"), 1, 5, 0, 0, True, False, False)

'Activate all array elements
For i = 0 To 4
zVariable.ActivateSubItem (i)
Next i

'Show the name of all array elements
For i = 0 To zVariable.SubItemCount - 1
Debug.Print "Name of first sub item = " & zVariable.SubItemName(i)
Next i

End Sub


ActivateSubItem

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> ActivateSubItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method activates an array or a structure element. Returns true when element has been activated, false if no change has been done.

Datatype

ActivateSubItem(VARIANT vSubItem) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Array or structure element can be selected via name (string) or via number (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vSubItem As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ActiveSubItem()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim actSubItem As Boolean 'Status variable

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
'Array variable called "array" with some elements should be available
Set zVariable = zVariables.Item("array")
'Element "array[2]" is activated
actSubItem = zVariable.ActivateSubItem("array[2]")
Debug.Print "Activated = " & actSubItem

End Sub


DeactivateSubItem

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> DeactivateSubItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method deactivates array or structure elements.

Datatype

DeactivateSubItem(VARIANT vSubItem) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Array or structure element can be selected via name (string) or via number (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vSubItem As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeActivateSubItem()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim actSubItem As Boolean 'Status variable

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
'Array variable called "array" with some elements should be available
Set zVariable = zVariables.Item("array")
'Element "array[2]" is deactivated
actSubItem = zVariable.DeActivateSubItem("array[2]")
Debug.Print "Activated = " & actSubItem

End Sub


Get

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Variable-Dynamic properties

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

C$$DrvName$$VarED

3S_Arti_NG variable ED

AKDrv variable ED

CAMISTSVarED

BACnetNG variable ED

BeckhoffNG variable ED

Biffi variable ED

BURPVI variable ED

CTI variable ED

CDNP3_TGVarED

DNP3 variable ED

EibV2 variable ED

Elrest variable ED

IEC61850 variable ED

IEC62056 variable ED

IEC870_103 variable ED

IEC870 variable ED

iLon100 variable ED

Internal variable ED

Internal variable RT

CKDNP1VarED

Lon32 - Variable ED

MathDr32 - Variable ED

Mathematical variable RT

CNMEA2000VarED

NWMDRV32 - Variable ED

OPCUA variable ED

Sample32 variable ED

SE_32 variable ED function

SE_32 variable ED

SPRECON870 variable ED

Sys2000 variable ED

Syskron variable ED

SysDrv variable ED

Base class variable

Variable ED

Variable RT

Noch in diesem Kapitel

CVarGrenze

C$$DrvName$$VarED

3S_Arti_NG variable ED

AKDrv variable ED

CAMISTSVarED

BACnetNG variable ED

BeckhoffNG variable ED

Biffi variable ED

BURPVI variable ED

CTI variable ED

CDNP3_TGVarED

DNP3 variable ED

EibV2 variable ED

Elrest variable ED

IEC61850 variable ED

IEC62056 variable ED

IEC870_103 variable ED

IEC870 variable ED

iLon100 variable ED

Internal variable ED

Internal variable RT

CKDNP1VarED

Lon32 - Variable ED

CMathInfo

MathDr32 - Variable ED

Mathematical variable RT

CNMEA2000VarED

NWMDRV32 - Variable ED

OPCUA variable ED

Sample32 variable ED

SE_32 variable ED function

SE_32 variable ED

SPRECON870 variable ED

Sys2000 variable ED

Syskron variable ED

SysDrv variable ED

Base class variable

Variable ED

Variable RT


CVarGrenze

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> CVarGrenze

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

Active

Limite attivo

Attivo: Si tiene conto del valore limite nel Runtime.
Inattivo: Il valore limite viene ignorato nel Runtime.
Default: attivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Text

Testo valore limite

Questo testo viene emesso in caso di violazione di valori limite; esso viene emesso a seconda dell'impostazione assunta nella lista allarmi, nella lista eventi cronologica e/o nella riga di stato allarmi.

Testo valore limite dinamico permette di inserire nel testo del valore limite di una variabile e di matrici di reazioni valori attuali di altre variabili. E' possibile collegare anche un testo fisso mediante l'uso di un indice con le parole chiavi di una tabella lingua. Ciò porta a alcune limitazioni:
testo statico viene depositato nell'area di memoria per il valore limite, per il quale sono a disposizione al massimo 1024 segni. I valori delle variabili collegate vengono salvati nel settore di memoria per il testo commento:al massimo 80 caratteri.

Le limitazioni possono essere aggirate grazie all'estensione per testi di valore limite dinamici lunghi. Attivate a questo scopo Testi lunghi per valori limiti - CEL oppure Testi lunghi per valori limiti - AML. Valori di variabili per testi di valori limite dinamici possono essere esportati in un file proprio. Attenzione: Non può essere impostato con l'utilizzo di valori limiti dinamici nessun commento.

Ulteriori informazioni nella guida in linea.

VT_R8

LimitValue

Valore limite

Disponibile solo se non è definito nessun valore limite dinamico:
Definisce il valore a partire dal quale il limite è da considerarsi violato.
Se dei valori superiori o inferiori provocano una violazione del limite, lo si definisce tramite la proprietà "Minimo/Massimo".

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsMax

Min/Max

Minimo: violazione del valore limite che si verifica quando si raggiunge o si va al di sotto del valore limite definito.
Massimo: violazione del valore limite che si verifica quando si raggiunge o si va al di sopra del valore limite definito.
Default: Minimo:

Ulteriori informazioni nella guida in linea.

VT_R8

ThresholdValue

Valore soglia

può essere dichiarata una soglia che determina l´uscita del valore limite. In tal modo possono essere vietate delle reazioni indesiderate causate da valori numerici instabili.
Esempio 1: Esempio: valore massimo 900, soglia=10 => 890
Il valore limite è violato sopra il valore 900 e lascia il livello critico, quando il valore risulta inferiore a 890.
Esempio 2: valore minimo = 900, valore soglia = 10, = 910
Il valore limite è violato sopra il valore 900 e lascia il livello critico, quando il valore risulta superiore a 910.
A differenza dell'isteresi, questa proprietà non influenza la rappresentazione del valore, ma solo il comportamento dell'allarme.

Ulteriori informazioni nella guida in linea.

VT_UI4

Delay

Tempo di ritardo [s]

Periodo di tempo in secondi in cui la violazione del valore limite deve essere in attesa. Il valore deve essere in attesa ininterrottamente perlomeno per la durata del periodo indicato affinché vengano iniziate le azioni definite in caso di violazione del valore limite.
AML/CEL:

  • Come dato data/ora per la violazione del valore limite nella AML e/o nella CEL viene usato il punto temporale della prima violazione.
  • Come valore, il sistema inserisce il primo valore dopo il tempo di ritardo, quindi non il valore che ha provocato l´allarme.

Attenzione: In combinazione con Lampeggio, questa proprietà ha effetto in rete nel modo seguente:

  • Valore limite con lampeggio e senza ritardo: Gli elementi collegati lampeggiano sul server e sui client.
  • Valore limite con lampeggio e ritardo: Gli elementi collegati lampeggiano solo sul server e non sui client.
  • Allarme con lampeggio e senza ritardo: Gli elementi collegati lampeggiano sul server e sui client.
  • Allarme con lampeggio e ritardo: Gli elementi collegati lampeggiano sul server e sui client.

Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsVariable

Valore limite con variabile attivo

Determina se il valore limite è definito in modo fisso oppure viene definito in modo dinamico tramite una variabile.

  • Inattivo: Il valore limite viene definito tramite un'assegnazione fissa.
  • Attivo: Il valore limite viene definito tramite quello di un’altra variabile.
    AML/CEL: come dato data/ora per la violazione del valore limite nella AML e/o nella CEL viene usato il timestamp più recente delle due variabili.

Default: inattivo

Attenzione: Se il valore limite variabile cambia, cosicché il valore attuale della variabile (pur non cambiando) viene a trovarsi nell’area critica, viene scatenata una violazione del valore limite.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

Variable

Variabile

Disponibile solo se "valore limite dinamico" è attivo:
Variabile che deve essere utilizzata come valore limite dinamico.

Ulteriori informazioni nella guida in linea.

ZT_FUNCTION

Function

Funzione

Funzione che deve essere eseguita automaticamente nel Runtime quando si verifica la violazione di un valore limite.
Se lo stato è definito come allarme, si può impedire l’esecuzione spontanea della funzione. A tal scopo selezionate l´opzione Chiama da pulsante nella pagina Allarmi.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AML_Call

Chiama da pulsante nella pagina Allarmi

Disponibile solo se il valore limite è un allarme.

  • Attivo: La funzione non si esegue spontaneamente nel funzionamento online ma soltanto all’attivazione del pulsante “funzione” nella lista allarme.
  • Inattivo: La funzione viene eseguita spontaneamente non appena si verifica l'allarme.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

ZT_COLOR

Color

Colore

Informazione di colore utilizzata per i simboli e gli stati se la variabile è utilizzata nell’elemento binario; i colori dei testi di allarme nella lista allarmi si stabiliscono nella definizione della classe allarmi/eventi.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Invisible

Invisibile

Attivo: Lo stato non viene visualizzato nell´elemento dinamico "elemento di stato", oppure elementi non vengono visualizzati se la loro visibilità viene gestita mediante questa variabile.
Inattivo: La visibilità non viene influenzata dalla violazione di valore limite.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Blinking

Lampeggio

Attivo: Gli elementi dinamici che sono collegati a questa variabile, iniziano a lampeggiare non appena viene violato un valore limite.
Il lampeggio può essere ripristinato cliccando due volte con il tasto destro del mouse.
Inattivo: nessun lampeggio viene provocato da questo valore limite.
Default: inattivo.
Attenzione: In combinazione con la proprietà Tempo di ritardo [s], la proprietà di cui sopra ha i seguenti effetti nella rete:
valore limite con lampeggio e senza ritardo Gli elementi collegati lampeggiano sul server e sui client.
Valore limite con lampeggio e ritardo.: Gli elementi collegati lampeggiano solo sul server, ma non sui client.
Allarme con lampeggio e senza ritardo: Gli elementi collegati lampeggiano sul server e sui client.
Allarme con lampeggio e ritardo.: Gli elementi collegati lampeggiano sul server e sui client.

Ulteriori informazioni nella guida in linea.

VT_BSTR

UserProperty1

Informazioni aggiuntive 1

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Mehr im Online-Handbuch

VT_BSTR

UserProperty2

Informazioni aggiuntive 2

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Mehr im Online-Handbuch

VT_BOOL

Alarm

Come allarme

Attivo: Se si verifica una violazione di valore limite, viene generato un inserimento nella Lista allarmi.
Non attiva: non viene generato nessun inserimento nella Lista allarmi.
Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

Cel

Nella CEL

Attivo: Se si verifica una violazione di valore limite, viene generato un inserimento nella Lista eventi cronologica (CEL).
Inattivo: Non viene viene generato un inserimento nella Lista eventi cronologica.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmAcknowledge

Con ripristino

Disponibile solo per gli allarmi.
Attiva: l´allarme deve essere ripristinato prima di essere rimosso dal Buffer circolare.
Non attiva: ripristino non obbligatorio.
Default nel caso di allarmi: attiva, altrimenti non attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmComment

Commento richiesto

Disponibile solo se la proprietà Con ripristino è attiva.

Attivo: Prima di poter ripristinare un allarme, si deve inserire in commento. Per poter fare questo, l´utente deve disporre dell´autorizzazione funzioni Inserisci commento allarme.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmDelete

Riconoscimento a due stadi

Disponibile solamente nel caso che la proprietà Con ripristino sia attiva.

  • Attivo: L´allarme viene rimosso dal buffer circolare solo nel caso in cui sia stato ripristinare , sia uscito, e quando la sua rimozione dal buffer circolare sia stata confermata.
  • Inattivo: L´allarme viene rimosso dal buffer circolare quando è stato ripristinato ed è uscito.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

Print

Stampa

Attivo: l´allarme, oppure la violazione di valore limite vengono stampati online per questa variabile se stabilito nelle impostazioni della proprietà Stampa per nel gruppo AML e CEL delle impostazioni di progetto.
Non attiva: nessuna stampa online.
Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI2

Group

Gruppo allarmi/eventi

Assegnazione di un gruppo allarmi/eventi (massimo 65535) per un valore limite in caso di uso come allarme.
L´ assegnazione ad un gruppo allarmi/eventi avviene selezionandolo nella lista.
Default: 0 - (non usato)

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

GroupName

GroupName

Gets/Sets the alarm group of a limit.

VT_UI2

Class

Classe allarmi/eventi

Assegnazione di una classe allarmi/eventi (massimo 65535) per un valore limite in caso di uso come allarme.
L´ assegnazione ad una classe allarmi/eventi avviene selezionandola nella lista.
Default: 0 (non usato)

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

ClassName

ClassName

Gets/Sets the alarm class which is linked to a limit.

ZT_FILE

HelpFile

File guida

Disponibile solo se il valore limite è un allarme.

File (*.chm) tramite il quale deve essere visualizzato un capitolo dell´help relativo a questo allarme nella lista allarmi.

Ulteriori informazioni concernenti il file help nella guida in linea.

Progettazione per EPLAN:
L´apertura di una pagina di EPLAN è possibile. A tal scopo si deve disporre anzitutto di una licenza per la connessione EPLAN e il percorso del programma EPLAN deve essere definito nello zenon6.ini.
Configurazione:

  • Inserimento della successione caratteri $PRG:xxxxxx
  • xxxxxx è un testo sostitutivo per il parametro che deve essere trasmesso.
  • La proprietà Capitolo guida viene ignorata, ma non può essere vuota.

Ulteriori informazioni su EPLAN le trovate nella guida in linea.

VT_BSTR

HelpCapture

Capitolo guida

Disponibile solamente se il valore limite è un allarme:
capitolo della guida in linea che deve essere visualizzato per questo allarme nella Lista di informazione allarmi.

Ulteriori informazioni nella guida in linea.


C$$DrvName$$VarED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> C$$DrvName$$VarED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


3S_Arti_NG variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> 3S_Arti_NG variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


AKDrv variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> AKDrv variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

DP_TYPE

Telegram Identifier

Telegram type, Message type

VT_UI2

DP_TYPE

Telegram Identifier

Telegram type, Message type

VT_UI1

R_NR

O1/Region number

Region number or Octet 1 (CASDU1)

VT_UI1

R_NR

O1/Region number

Region number or Octet 1 (CASDU1)

VT_UI1

K_NR

O2/Component

Component number or Octet 2 (CASDU2)

VT_UI1

K_NR

O2/Component

Component number or Octet 2 (CASDU2)

VT_UI1

B_NR

O3/Board

Board number or Octet 3 (IOA1)

VT_UI1

B_NR

O3/Board

Board number or Octet 3 (IOA1)

VT_UI1

W_NR

O4/Value number

Value number or Octet 4 (IOA2)

VT_UI1

W_NR

O4/Value number

Value number or Octet 4 (IOA2)

VT_UI1

DA

O5/Subaddress

Data type or Octet 5 (IOA3)

VT_UI1

DA

O5/Subaddress

Data type or Octet 5 (IOA3)

VT_UI1

PT

Point

Point number or Octet 6

VT_UI1

PT

Point

Point number or Octet 6

VT_BOOL

Send

Prozess direction

Process direction

Receive: Datapoint will be received only (e.g. messages, measuring values)

Send: Datapoint will be sent (e.g. commands, setpoints).

To be able to be sent, the datapoint has to have also the Set value active property active (see "Set value").

VT_BOOL

Send

Prozess direction

Process direction

Receive: Datapoint will be received only (e.g. messages, measuring values)

Send: Datapoint will be sent (e.g. commands, setpoints).

To be able to be sent, the datapoint has to have also the Set value active property active (see "Set value").

VT_BOOL

Z_TYP

Destination typ

Selection of LAN station or LAN group

VT_BOOL

Z_TYP

Destination typ

Selection of LAN station or LAN group

VT_UI1

Z_NR

Destination number

LAN station or LAN group number

Link address if serial connection

VT_UI1

Z_NR

Destination number

LAN station or LAN group number

Link address if serial connection

VT_BOOL

VTA

Typ of addressing

Address type

In accordance to parameterization of GW1703.ini and remote station.

STA: System technical

VTA: Process technical (PTA in GW1703.ini)

VT_BOOL

VTA

Typ of addressing

Address type

In accordance to parameterization of GW1703.ini and remote station.

STA: System technical

VTA: Process technical (PTA in GW1703.ini)

VT_BOOL

MERKER

Marker

Active: Datapoint will not be updated by process value (can be used as internal variable, doesn't need a datapoint address)

Inactive: Datapoint will be updated by process value

see also Driver Intern

VT_BOOL

MERKER

Marker

Active: Datapoint will not be updated by process value (can be used as internal variable, doesn't need a datapoint address)

Inactive: Datapoint will be updated by process value

see also Driver Intern

VT_BOOL

EWB

Toggle to substitute value

Switch to substitute value

Active: Substitute value will be used

Inactive: Substitute value will not be used

VT_BOOL

EWB

Toggle to substitute value

Switch to substitute value

Active: Substitute value will be used

Inactive: Substitute value will not be used

VT_BOOL

EW_INI

Inititialize substitute value/normal state

Initialization of substitute value

Active: Substitute value will be overwritten in runtime by normal state

Inactive: Substitute value will be kept

VT_BOOL

EW_INI

Inititialize substitute value/normal state

Initialization of substitute value

Active: Substitute value will be overwritten in runtime by normal state

Inactive: Substitute value will be kept

VT_R8

EW

Substitute value

Substitute value to be switched on

VT_R8

EW

Substitute value

Substitute value to be switched on

VT_BOOL

RED

Redundancy Peripheral address

Redundant address

Active: Use redundant address

Inactive: No redundant address

VT_BOOL

RED

Redundancy Peripheral address

Redundant address

Active: Use redundant address

Inactive: No redundant address

VT_UI1

R_2

Red. O1/Region number

Redundant datapoint address

Region number or Octet 1 (CASDU1)

VT_UI1

R_2

Red. O1/Region number

Redundant datapoint address

Region number or Octet 1 (CASDU1)

VT_UI1

K_2

Red. O2/Component

Redundant datapoint address

Region number or Octet 2 (CASDU2)

VT_UI1

K_2

Red. O2/Component

Redundant datapoint address

Region number or Octet 2 (CASDU2)

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


CAMISTSVarED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> CAMISTSVarED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


BACnetNG variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> BACnetNG variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I4

BACnetPropertyID

BACnet property ID

Impostate la Property ID per proprietà specifiche per l´utente,oppure se non volete indicare la proprietà tramite nome oppure identificazione.

Nota: solo nel caso in cui impostate il valore -1 la proprietà viene individuata tramite nome e/o identificazione.

Ulteriori informazioni nella guida in linea.

VT_UI4

BACnetDataType

BACnet data type

Definite come viene rappresentata una variabile numerica o una variabile stringa su una proprietà BACnet. Selezionate il tipo di dato desiderato fra quelli presenti nella lista a cascata. La descrizione dei possibili tipi di dato la trovate nella guida in linea.

Ulteriori informazioni nella guida in linea.

VT_I1

BACnetWritePriority

BACnet write priority

Indicate la priorità di scrittura sulla base della quale viene scritta la variabile. Se inserite il valore 0, la variabile verrà scritta senza indicazione della priorità di scrittura.

Possibili valori sono quelli compresi fra 0 - 16.

Il livello di priorità minore: 16

Il livello di priorità maggiore: 1

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

BACnetStringLength

BACnet string length

Disponibile solamente se avete selezionato in corrispondenza della proprietà BACnet data type il tipo di dato BITSTRING.

Definite in questa sede la lunghezza della bitstring in bit.

Ulteriori informazioni nella guida in linea.

VT_I4

BACnetEventState

BACnet event state

Visualizzare lo stato di event state come numero. In questo caso, il testo per event state può essere definito liberamente.

Valori:

-1: il testo viene usato.

0: Normale

1: Fault

2: Off-normal

3: High-limit

4: Low-limit

5: Life-safety-alarm

Default: -1

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


BeckhoffNG variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> BeckhoffNG variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


Biffi variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> Biffi variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

NV-Index

NV-Index

L'indice NV è rilevante solo per Node-Data.

Indicate qui l'indice variabili di rete (NVI/NVO) delle variabili.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Transient

Transient command

L'impostazione è rilevante solo per Node-Data.

Indicate se un valore attuale ricevuto via command event deve essere resettato automaticamente a 0 dal driver. (z.B. ICON2K Open, Close, Stop)

Ulteriori informazioni nella guida in linea.

VT_BOOL

Send_direct

Send directly

L'impostazione è rilevante solo per Node-Data.

Indicate se un valore impostabile deve essere trasmesso al DCM direttamente oppure tramire buffer.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


BURPVI variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> BURPVI variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

BURPVI_ADDRESS

PVI Name

È il nome della variabile PLC. Il nome è costituito da Nome task/Nome variabile . Per variabili globali: solo Nome variabile.

Ulteriori informazioni nella guida in linea.

VT_BSTR

BURPVI_VT_TYPE

PVI Type (VT)

Tipo variabile nel PLC. I valori possibili sono descritti nella guida online. Se si usa un tipo di dato divergente in zenon, ne può conseguire un typecasting.

Ulteriori informazioni nella guida in linea.

VT_UI4

BURPVI_VN_ELEMENTS

PVI Number of Elements (VN)

Numero degli elementi in caso di variabili di campo.
Nel caso di variabili di campo pluridimensionali, viene indicato il numero degli elementi di tutte le dimensioni del campo (Per esempio: var[10][5] => VN=50).

Ulteriori informazioni nella guida in linea.

VT_UI4

BURPVI_VL_LENGTH

PVI Length (VL)

Lunghezza variabili in byte.
Nel caso di variabili singole, essa corrisponde alla lunghezza dei dati di processo. Nel caso delle variabili di campo, la lunghezza è definita come lunghezza elemento.

Ulteriori informazioni nella guida in linea.

VT_BSTR

BURPVI_OD

PVI Additional (OD)

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


CTI variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> CTI variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

SecondaryObject

Secondary object

Indica il tipo di oggetto secondario per

- Tempo/Contatore

- Drum

- variabile Loop

- Variabile allarmi

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


CDNP3_TGVarED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> CDNP3_TGVarED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

Command_Mode

Command Mode

Solo per il tipo di oggetto del driver Binary Output e Analog Output Selezione del Command Mode fra quelli della lista a cascata:

  • Automatic SBO: In fase di scrittura, viene eseguito un Select. Dopo la conferma del Select da parte della Outstation, segue un Operate. Lo stato della variabile viene settato su CoT_actterm. Ciò vale per Output binari e Output analogici. Un Output bonario del tipo BOOL può essere usato via comando anche per Close e Trip, settando QoC su 2.
  • Direct Operate: Per la scrittura di Outputs binari e Outputsanalogici, si usa Function Code 0x5 - Direct Operate.
  • Direct Operate NoAck: Per la scrittura diOutputs binari e Outputs analogici, si usa Function Code 0x5 - Direct Operate. Non c`è risposta da parte del PLC; non si ha conferma se la scrittura sia stata eseguita con successo o meno.

Default: Direct Operate

Ulteriori informazioni nella guida in linea sui driver.

VT_BOOL

Classless_Read

Classless read

Assegnazione dei valori alla variabile in caso di richieste di lettura esplicite:

  • Inattivo: Vengono assegnati alla variabile i valori ricevuti via Integrity-Poll, Event-Poll oppure oder unsolicited responses.
    I valori ricevuti in risposta ad una richiesta di lettura esplicita non vengono assegnati.
  • Attivo: Alla variabile vengono assegnati solo i valori ricevuti in risposta ad una richiesta di lettura esplicita.

Ulteriori informazioni nella guida in linea sui driver.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


DNP3 variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> DNP3 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

Variation

Variation

Selezione della variazione fra quelle del menù a tendina.

  • Default: Si usa la variazione per variabili come inviata dalla Outstation.
    Se si usa un´altra variazione rispetto a quella della Outstation oppure una per variabili che non appartengono a nessuna classe ma devono essere lette, si può procedere alla definizione di una variazione alternativa. Selezione dal menù a tendina. Le alternative offerte dipendono da tipo oggetto driver della variabile. I valori numerici corrispondono ai valori consentiti della variazione per questo tipo di dato.

Il driver viene dopo ogni Class 0 Poll o inizializzato tramite una variabile Class Poll lettura manuale con la variazione definita. Se si seleziona una variazione diversa da Default, si dovrebbe attivare sempre anche la proprietà Lettura variabile continua.

Nota: la Outstation deve supportare la lettura della variazione.

Ulteriori informazioni nella guida in linea.

VT_UI2

Scangroup

Scangroup

Ulteriori informazioni nella guida in linea.

VT_UI2

Command_Mode

Command Mode

Selezione del comando Mode fra quelli del menù a tendina.

  • Automatic SBO: In fase di scrittura, viene eseguito un Select. Dopo la conferma del Select da parte della Outstation, segue un Operate. Lo stato della variabile viene settato su CoT_actterm. Ciò vale per Outputs binari e Outputs analogici. Un Output bonario del tipo BOOL può essere usato via comando anche per Close e Trip, settando QoC su 2.
  • Direct Operate: Per la scrittura di Outputs binari e Outputs anologici, si usa Function Code 0x5 - Direct Operate.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


EibV2 variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> EibV2 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

MainGroup

Main group

Indicate il numero del gruppo principale desiderato.

Minimo: 0

Massimo: 15

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI2

MiddleGroup

Middle group

Indicate il numero del gruppo medio desiderato.

Minimo: 0

Massimo: 7

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI2

SubGroup

Sub group

Indicate il numero del gruppo inferiore desiderato.

Minimo: 0

Massimo: 255

Default: 0

Ulteriori informazioni nella guida in linea.

VT_BSTR

ETS2Database

ETS Database

Definite in questa sede la banca dati desiderata. Un clic sul comando apre il dialogo che serve alla selezione della banca dati. In alternativa potete inserire manualmente il nome della banca dati nel campo di testo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

CyclicReading

Read cyclical

Stabilisce in quale modo il valore viene trasmesso dal PLC.

attivo: Il valore viene richiesto in modo ciclico dal PLC.

Default: inattivo

Nota: Questa opzione dovrebbe essere usata con grande prudenza visto che il carico dei bus cresce enormemente.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


Elrest variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> Elrest variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Deviceparameter

Device parameter

Le seguenti proprietà Vi servono per realizzare l'indirizzamento del driver ELREST32.

Ulteriori informazioni nella guida in linea

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


IEC61850 variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> IEC61850 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

I61850_ADR

IEC61850-Address

IEC Indirizzo IEC61850

VT_UI2

I61850_LAN

IEC61850-Stationnumber

IEC61850-numero stazione

VT_UI2

I61850_VAL

IEC61850-Value

Valore IEC61850

Questo valore stabilisce in CDCs INS, INC, SGCB e ACD quale segnalazione singola / comando singolo devono essere valutati.

VT_UI1

I61850_CDC

CDC

CDC

Selezione del CDC per l'estensione "Nodo logico".

Default: DEFAULT

VT_UI1

I_BIT

Invalid treatment

Trattamento invalido

nessuno: nessun trattamento.

ultimo valore valido: cambiamento ad un 'immagine di valore sostituivo con ultimo valore non disturbato.

Commutare su valore di riserva: commutazione a un 'immagine di valore sostituivo; valore di valore sostituivo parametrizzato.

Commutare su PV di riserva: commutazione ad un 'immagine di valore sostituivo; valore di valore sostituivo parametrizzato.

allineamento del valore sostitutivo: cambiamento ad un 'immagine di valore sostituivo; il valore deve essere allineato manualmente.

VT_BOOL

EWB

Inititialize substitute value

inzializzare valore di sostituzione / stato normale.

Attiva: Valore di sostituzione nel Runtime viene sovrascritto dallo stato di processo.

Non attiva: Si mantiene il valore di sostituzione.

VT_BOOL

EW_INI

Inititialize substitute value

inzializzare valore di sostituzione / stato normale.

Attiva: Valore di sostituzione nel Runtime viene sovrascritto dallo stato di processo.

Non attiva: Si mantiene il valore di sostituzione.

VT_BOOL

MERKER

Marker

Merker

Attivo: variabile senza riferimento di processo (l'indirizzo non viene controllato; per uso interno)

Inattivo: la variabile viene attualizzata dal processo.

VT_BOOL

ST_SAVE

Save state

Salva stato.

Attiva: Stato della variabile viene salvato sul disco fisso.

Viene effettuato un backup quando si riavvia il Runtime.

Non attiva: Lo stato non viene salvato

Default: Inattivo

VT_BOOL

VAL_SLAVE

Save value

Salva valore

Attiva: Valore della variabile viene salvato sul disco fisso.

Viene effettuato un backup quando si riavvia il Runtime.

Non attiva: Il valore non viene salvato

Default: Inattivo

VT_R8

EW

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_UI1

GOOSE_INDEX

GOOSE Index

VT_UI1

GOOSE_ATTR1

GOOSE Attr1 dataset position

VT_UI1

GOOSE_ATTR2

GOOSE Attr2 dataset position

VT_UI1

GOOSE_ATTR3

GOOSE Attr3 dataset position

VT_UI1

GOOSE_ATTR4

GOOSE Attr4 dataset position

VT_UI1

GOOSE_ATTR5

GOOSE Attr5 dataset position

VT_UI1

GOOSE_ATTR1_POS

GOOSE Attr1 dataset position

VT_UI1

GOOSE_ATTR2_POS

GOOSE Attr2 dataset position

VT_UI1

GOOSE_ATTR3_POS

GOOSE Attr3 dataset position

VT_UI1

GOOSE_ATTR4_POS

GOOSE Attr4 dataset position

VT_UI1

GOOSE_ATTR5_POS

GOOSE Attr5 dataset position

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


IEC62056 variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> IEC62056 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

IEC62056_ADDRESS

IEC62056 Address

Inserimento dell´indirizzo OBIS.

VT_UI1

IEC62056_TIMEADJUST

IEC62056 Time Adjustment

Correzione del timestamp. Selezione della modalità dell´adattamento tempo fra quelle proposte dal menù a tendina:

  • None: non viene effettuata nessuna correzione.
  • Begin of interval: la correzione concerne il timestamp iniziale.
  • End of interval: la correzione concerne il timestamp finale.

Default: None

L´intervallo cui si riferisce la modifica, viene configurato con la proprietà IEC62056 Time Interval.

VT_UI2

IEC62056_TIMEINTERVAL

IEC62056 Time Interval

Inserimento dell´intervallo di tempo espresso in minuti.

Disponibile solo se la proprietà IEC62056 Time Adjustment non è stato selezionato none.

Massimo: 65535

Default: 15

Esempio: nel caso che si sia scelto l´intervallo 15 e End of interval per IEC62056 Time Adjustment, il timestampo viene settato sempre alla fine di un quarto d´ora.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


IEC870_103 variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> IEC870_103 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

IEC870_103_FktType

IEC870-103 FUNCTION TYPE

Inserite un valore. Corrisponde a FUN nella norma.

Ulteriori informazioni nella guida in linea.

VT_UI4

IEC870_103_InfNo

IEC870-103 INFORMATION NUMBER

Inserite un valore. Corrisponde a INF nella norma.

Ulteriori informazioni nella guida in linea.

VT_UI4

IEC870_103_Index

IEC870-103 Index

Inserite un valore. Corrisponde alla successione di MEA in ASDU 3 o 9.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


IEC870 variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> IEC870 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI1

PGN

IEC870 Type identification

Selezionate nella lista Dropdown il tipo ASDU del punto di dato.

default: T00 internal state

Ulteriori informazioni nella guida in linea.

VT_UI2

FieldNr.:

IEC870 COA

Inserite il Common Object Address (COA). I limiti del campo valori sono determinate dalle impostazioni del driver.

Ulteriori informazioni nella guida in linea.

VT_UI4

IEC870_IOA1

IEC870 IOA

Inserite il Information Object Address (IOA). I limiti del campo valori sono determinate dalle impostazioni del driver.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


iLon100 variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> iLon100 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


Internal variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> Internal variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

Local

Funzionamento

Locale: nel caso di progetti di rete, la variabile interna viene valutata e/o gestita localmente, cioè sul client.
Il che significa che il valore della variabile può essere diverso su ogni client e anche i valori limite vengono analizzati localmente.
Rete: nel caso dei progetti di rete, la variabile interna viene analizzata e gestita sul server del progetto. Essa ha lo stesso valore sul server e su tutti client.
Default: locale.

Ulteriori informazioni nella guida in linea.

VT_UI1

Remanenz

Ritentività

Off: Al momento dell'avvio del runtime, viene utilizzato come valore di partenza il valore di riserva della variabile o, nel caso delle variabili stringa, una stringa vuota.
Valore iniziale: Il valore di partenza viene settato facendo riferimento al "valore iniziale" indicato nella proprietà.
Ritentivo: L'ultimo valore delle variabili è quello che viene utilizzato come valore di partenza al momento del riavvio del runtime.
Default: off.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Initial_value

Valore iniziale

Il valore definito in questa sede viene usato al momento dello start del Runtime come valore attuale della variabile, se la proprietà "Ritenzione" è settata su "Valore di inizializzazione".

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


Internal variable RT

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> Internal variable RT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

Local

Funzionamento

Locale: nel caso di progetti di rete, la variabile interna viene valutata e/o gestita localmente, cioè sul client.
Il che significa che il valore della variabile può essere diverso su ogni client e anche i valori limite vengono analizzati localmente.
Rete: nel caso dei progetti di rete, la variabile interna viene analizzata e gestita sul server del progetto. Essa ha lo stesso valore sul server e su tutti client.
Default: locale.

Ulteriori informazioni nella guida in linea.

VT_UI1

Remanenz

Ritentività

Off: Al momento dell'avvio del runtime, viene utilizzato come valore di partenza il valore di riserva della variabile o, nel caso delle variabili stringa, una stringa vuota.
Valore iniziale: Il valore di partenza viene settato facendo riferimento al "valore iniziale" indicato nella proprietà.
Ritentivo: L'ultimo valore delle variabili è quello che viene utilizzato come valore di partenza al momento del riavvio del runtime.
Default: off.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Initial_value

Valore iniziale

Il valore definito in questa sede viene usato al momento dello start del Runtime come valore attuale della variabile, se la proprietà "Ritenzione" è settata su "Valore di inizializzazione".

Ulteriori informazioni nella guida in linea.

VT_VARIANT

Value

Value

VT_VARIANT

UserValue

UserValue

VT_UI8

StatusValue

StatusValue

This property returns the status of a variable as a value.

VT_BSTR

StatusString

StatusString

This property returns the status of a variable.

ZT_DATETIME

LastUpdateTime

LastUpdateTimeMilliSeconds

This property returns the update time in milliseconds.

VT_UI2

LastUpdateTimeMilliSeconds

LastUpdateTimeMilliSeconds

This property returns the update time in milliseconds.

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


CKDNP1VarED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> CKDNP1VarED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

Command_Mode

Command Mode

Solo per il tipo di oggetto del driver Binary Output e Analog Output Selezione del Command Mode fra quelli della lista a cascata:

  • Automatic SBO: In fase di scrittura, viene eseguito un Select. Dopo la conferma del Select da parte della Outstation, segue un Operate. Lo stato della variabile viene settato su CoT_actterm. Ciò vale per Output binari e Output analogici. Un Output bonario del tipo BOOL può essere usato via comando anche per Close e Trip, settando QoC su 2.
  • Direct Operate: Per la scrittura di Outputs binari e Outputsanalogici, si usa Function Code 0x5 - Direct Operate.
  • Direct Operate NoAck: Per la scrittura diOutputs binari e Outputs analogici, si usa Function Code 0x5 - Direct Operate. Non c`è risposta da parte del PLC; non si ha conferma se la scrittura sia stata eseguita con successo o meno.

Default: Direct Operate

Ulteriori informazioni nella guida in linea sui driver.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


Lon32 - Variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> Lon32 - Variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


CMathInfo

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> CMathInfo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

SourceVars

SourceVars

VT_UI2

Type

Type

VT_BSTR

Formula

Formula

Apre il dialogo che serve ad inserire la formula per il calcolo della variabile.

Ulteriori informazioni nella guida in linea.

ZT_MEMFILE

MathInfo

MathInfo

ZT_VARIABLE

EnableCalc

Attiva il calcolo

Assegna alla variabile matematica una variabile il cui valore determina se il calcolo viene eseguito. L´assegnazione di una variabile attiva la proprietà.

Se si clicca sul pulsante ... oppure sul campo con la variabile, si apre il dialogo che serve alla selezione di una variabile.

Default: disattivata; nessuna variabile assegnata.

Ulteriori informazioni nella guida in linea.


MathDr32 - Variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> MathDr32 - Variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

MathInfo

MathInfo

Contains information if e.g. var is used to determine a sum (as in data reduction)

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


Mathematical variable RT

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> Mathematical variable RT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

MathInfo

MathInfo

Contains information if e.g. var is used to determine a sum (as in data reduction)

VT_VARIANT

Value

Value

VT_VARIANT

UserValue

UserValue

VT_UI8

StatusValue

StatusValue

This property returns the status of a variable as a value.

VT_BSTR

StatusString

StatusString

This property returns the status of a variable.

ZT_DATETIME

LastUpdateTime

LastUpdateTimeMilliSeconds

This property returns the update time in milliseconds.

VT_UI2

LastUpdateTimeMilliSeconds

LastUpdateTimeMilliSeconds

This property returns the update time in milliseconds.

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


CNMEA2000VarED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> CNMEA2000VarED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


NWMDRV32 - Variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> NWMDRV32 - Variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


OPCUA variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> OPCUA variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

BrowseName

Browse name

Corrisponde a Browse name della specificazione OPC UA.

Sono permessi dei rifermenti gerarchici in avanti, a partire dalla cartella-oggetto.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


Sample32 variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> Sample32 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

SampleTest

Sample Additional

Esempio per Sample driver.

VT_BSTR

SampleButton

Auswahl

Esempio per Sample driver.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


SE_32 variable ED function

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> SE_32 variable ED function

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


SE_32 variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> SE_32 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


SPRECON870 variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> SPRECON870 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI1

IEC870_TYPE

IEC870 Type identification

Selezionate nella lista Dropdown il tipo ASDU del punto di dato.

default: T00 internal state

Ulteriori informazioni nella guida in linea.

VT_UI2

IEC870_COA1

IEC870 COA

Inserite il Common Object Address (COA). I limiti del campo valori sono determinate dalle impostazioni del driver.

Ulteriori informazioni nella guida in linea.

VT_UI4

IEC870_IOA1

IEC870 IOA

Inserite il Information Object Address (IOA). I limiti del campo valori sono determinate dalle impostazioni del driver.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SPRECON870_CounterActive

Counter value handling

Disponibile solamente se nella configurazione driver è stato impostato un gruppo.

Attivato: L’elaborazione conta viene utilizzata dal driver.

Ulteriori informazioni nella guida in linea.

VT_UI4

SPRECON870_CounterGroupID

Counter group

Disponibile solo se la proprietà Counter value handling è stata attivata.

Nome per l´identificazione del Counter group, secondo quanto configurato nel driver.

Tramite l´assegnazione della variabile ad un gruppo contatori, viene definito il comportamento della variabile stessa. Il gruppo di contatori rappresenta una sorta di matrice di reazione che gestisce il conteggio di elaborazioni (p.e. la conversione da valore assoluto a relativo).

Default: < No group >

Ulteriori informazioni nella guida in linea.

VT_UI2

SPRECON870_MaxCounterDifference

Maximum counter difference

Disponibile solo se la proprietà Counter value handling è stata attivata.

Definisce la massima differenza tra due valori trasferiti. La variazione massima si riferisce al valore normalizzato (calcolo del valore). Se viene superata la differenza massima di valore, viene eseguita l’impostazione della proprietà Max. counter diff. exceeded.

Minimo: 0 - disattivata, la differenza massima non viene monitorata

Massimo: 65535

Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI1

SPRECON870_OnMaxCounterDifference

Max. counter diff. exceeded

Disponibile solo se la proprietà Counter value handling è stata attivata.

Trattamento dei valori di conteggio (relativo/assoluto) per i quali il monitoring da Maximum counter difference deve reagire.

Selezione dalla lista a cascata:

- Disabled

- Set INVALID state: viene settato lo stato e, in tal modo, viene attivata la Replacement value handling (sempre che questa opzione sia stata configurata). Questo trattamento è anche vero per l'overflow del contatore di valori assoluti. Se si raggiunge uno stato di errore, viene settato lo stato INVALID e il valore di conteggio attuale non viene accettato. Il valore di conteggio ricevuto per ultimo viene segnato come non valido. I calcoli che necessitano un valore di conteggio precedente, possono essere eseguiti nuovamente solo dopo la ricezione di due altri valori di conteggio. Lo stato INVALID viene azzerato non appena viene ricevuto nuovo valore di conteggio con differenza minore a quella dell´impostazione per la proprietà Replacement value handling.

Default: Disabled

Ulteriori informazioni nella guida in linea.

VT_UI1

SPRECON870_OnNoUpdate

Not updated in time

Disponibile solo se la proprietà Counter value handling è stata attivata.

Definisce il comportamento per il conteggio di valori che non vengono aggiornati all'interno della finestra temporale, ovvero viene attivata la gestione valore alternativo. Selezione dalla lista a cascata:
- Disabled: Vengono usate le impostazioni dalla proprietà Replacement value handling.

- Set INVALID state: Viene settato lo stato INVALID.

Default: Disabled

Ulteriori informazioni nella guida in linea.

VT_UI1

SPRECON870_ReplacementType

Replacement value handling

Selezione di trattamento di valori di riserva se lo stato della variabile è INVALID oppure NT_870. Selezione dalla lista a cascata:

- Disabled: Nessun trattamento di valore di riserva.

- Last valid value: passa all´ultimo valore non disturbato. A questo scopo, di questo valore deve essere salvata un´immagine di processo. Se non c´è un ultimo valore non disturbato, viene usato quello disponibile (per es. 0 + INVALID).

- Use replacement value: la variabile viene scritta con il valore della proprietà Replacement value.

- Use replacement variable: La variabile viene scritta sia con il valore, che con lo stato della variabile dalla proprietà Replacement variable.
Eccezione: se la stessa variabile del valore di riserva non ha né lo stato INVALID, né quello NT_870, non si passa a questa variabile, ma si mantiene la propria variabile, compreso valore e stato.
Caso speciale Status GI: visto che durante una General Interrogation il valore di riserva non deve essere necessariamente disponibile, una variabile può passare per breve tempo a INVALID, finché non si riceve un valore di riserva.

Tutte le impostazioni, fatta eccezione Disabled, settano il bit di stato ALT_VAL. Non appena la causa del trattamento del valore di riserva ( INVALID o NT_870 ) non sussiste più, la variabile riprende il valore del processo e viene resettato il bit di stato ALT_VAL.

Default: Disabled

Ulteriori informazioni nella guida in linea.

VT_UI4

SPRECON870_ReplacementValue

Replacement value

Valore con il quale viene scritta la variabile se per la proprietà Replacement value handling è stata selezionata l´opzione Use replacement value.

Minimo: 4294967295

Massimo: 0

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

SPRECON870_ReplacementVariable

Replacement variable

Variabile il cui valore e stato vengono ripresi se per la proprietà Replacement value handling è stata selezionata l´opzione Use replacement variable. Ogni modifica di valore della variabile del valore di riserva viene visualizzata sulla variabile disturbata. Cliccando sul pulsante, si apre il dialogo che serve alla selezione delle variabili.

Attenzione: si può selezionare solamente una variabile dello stesso driver. Se si seleziona nel dialogo una variabile di un altro driver, il dialogo viene chiuso, ma l´impostazione non viene ripresa.

Default: Spazio

Ulteriori informazioni nella guida in linea.

VT_BOOL

SPRECON870_ReverseDirectionEnable

Reverse direction enable

Attivazione di Reverse-direction.

Attivo: La variabile viene inviata, dopo una corrispondente general interrogation in Reverse-direction.

VT_BOOL

SPRECON870_ReverseDirectionOnly

Reverse direction only

Disponibile solamente se la proprietà Reverse direction enable è stata attivata.
Attiva: a questa variabile non viene mai assegnato uno dei valori ricevuti dal PLC, Dopo l´avvio del Runtime, viene assegnato alla variabile il default configurato, oppure un valore preso dall´immagine ritentiva. Poi la variabile può essere modificata solo tramite "Settare valore impostabile"-

VT_BOOL

SPRECON870_ReverseDirectionRemanent

Remanent

Disponibile solo se la proprietà Reverse direction enable è stata attivata. Ultimo valore, time-stamp e stato della variabile vengono salvati nell´immagine ritentiva. Dopo un riavvio del sistema, valore, time-stamp e stato salvati nell´immagine ritentiva, vengono letti e assegnati alla variabile.

VT_R8

SPRECON870_ReverseDirectionInitialValue

Initial value

Il default viene usato solo se la proprietà Reverse direction only è stata attivata, oppure se l´indirizzo di rete della variabile rimanda ad una connessione che è stata evidenziata come Internal connection. Per variabili del tipo di dato String, non si può stabilire nessun default.
Se, quando si avvia il Runtime, non è stato assegnato alla variabile nessun valore dall´immagine ritentiva, il default e lo stato NT vengono scritti sulla variabile stessa.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


Sys2000 variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> Sys2000 variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

Node

Node

Indicate l'indirizzo del nodo del PLC.

Ulteriori informazioni nella guida in linea.

VT_UI4

LogID

Log ID

Indicate l'indirizzo del Log (Log ID) nel PLC.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


Syskron variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> Syskron variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I4

Syskron_LDS_FKT_RD

Syskron_LDS Function Read

Definite qui la funzione di accesso per la lettura. Un clic sul comando apre il dialogo che serve alla selezione della funzione di accesso. In alternativa potete inserire manualmente il nome della funzione di accesso nel campo di testo.

Ulteriori informazioni nella guida in linea.

VT_I4

Syskron_LDS_FKT_WR

Syskron_LDS Function Write

Definite qui la funzione di accesso per la scrittura. Un clic sul comando apre il dialogo che serve alla selezione della funzione di accesso. In alternativa potete inserire manualmente il nome della funzione di accesso nel campo di testo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Syskron_LDS_PARAM_RD

Syskron_LDS Parameters Read

Definite in questa sede tutti i parametri di trasmissione delle variabili. Cliccando sulla superficie si apre il dialogo per l'inserimento di tutti i parametri per la trasmissione delle funzioni che vengono trasmessi nel Runtime per la lettura alla funzione.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Syskron_LDS_PARAM_WR

Syskron_LDS Parameters Write

Definite in questa sede tutti i parametri di trasmissione delle variabili. Cliccando sulla superficie si apre il dialogo per l'inserimento di tutti i parametri per la trasmissione delle funzioni che vengono trasmessi nel Runtime per la scrittura alla funzione. L'ultimo parametro di trasmissione è sempre il valore impostabile inviato da zenon.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


SysDrv variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> SysDrv variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.


Base class variable

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> Base class variable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Variable ED

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> Variable ED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsLocalDigits

IsLocalDigits

"With this property you have the opportunity to decide whether the ""Decimals"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMin

IsLocalSignalMin

"With this property you have the opportunity to decide whether the ""Minimum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSignalMax

IsLocalSignalMax

"With this property you have the opportunity to decide whether the ""Maximum signal resolution"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMin

IsLocalRangeMin

"With this property you have the opportunity to decide whether the ""Minimum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRangeMax

IsLocalRangeMax

"With this property you have the opportunity to decide whether the ""Maximum measuring range"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlternateValue

IsLocalAlternateValue

"With this property you have the opportunity to decide whether the ""Alternate value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMin

IsLocalValueMin

"With this property you have the opportunity to decide whether the ""Minimum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalValueMax

IsLocalValueMax

"With this property you have the opportunity to decide whether the ""Maximum set value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUseMacro

IsLocalUseMacro

"With this property you have the opportunity to decide whether the ""Non linear value adjustment with macros"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalInOut

IsLocalInOut

"With this property you have the opportunity to decide whether the ""Setting values active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystNeg

IsLocalHystNeg

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHystPos

IsLocalHystPos

"With this property you have the opportunity to decide whether the ""negative hysteresis"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArchHystNeg

IsLocalArchHystNeg

VT_BOOL

IsLocalArchHystPos

IsLocalArchHystPos

VT_BOOL

IsLocalUpdatePriority

IsLocalUpdatePriority

"With this property you have the opportunity to decide whether the ""Priority of the driver connection"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalDDEaktiv

IsLocalDDEaktiv

"With this property you have the opportunity to decide whether the ""DDE active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStandby

IsLocalStandby

"With this property you have the opportunity to decide whether the ""Only read from standby"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRemaActiv

IsLocalRemaActiv

"With this property you have the opportunity to decide whether the ""Reaction matrix active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRema

IsLocalRema

"With this property you have the opportunity to decide whether the ""Reaction matrix"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDActive

IsLocalHDActive

"With this property you have the opportunity to decide whether the ""HD active"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDUpdate

IsLocalHDUpdate

"With this property you have the opportunity to decide whether the ""HD scan rate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalHDSize

IsLocalHDSize

"With this property you have the opportunity to decide whether the ""Number of HD values"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalKDAActiv

IsLocalKDAActiv

"With this property you have the opportunity to decide whether the ""Recording type"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalStingLength

IsLocalStingLength

"With this property you have the opportunity to decide whether the ""String length"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalQuitPV

IsLocalQuitPV

"With this property you have the opportunity to decide whether the ""Acknowledgement variable"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalViewQuitPV

IsLocalViewQuitPV

Description as text.

VT_BOOL

IsLocalQuitValue

IsLocalQuitValue

"With this property you have the opportunity to decide whether the ""Acknowledgement value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalTagname

IsLocalTagname

"With this property you have the opportunity to decide whether the ""Identification"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalUnit

IsLocalUnit

"With this property you have the opportunity to decide whether the ""Unit"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAltValString

IsLocalAltValString

"With this property you have the opportunity to decide whether the ""String alternative value"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalRecLabel

IsLocalRecLabel

"With this property you have the opportunity to decide whether the ""Ressources label"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustHW

IsLocalAdjustHW

"With this property you have the opportunity to decide whether the ""AdjustHardwareValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAdjustZenon

IsLocalAdjustZenon

"With this property you have the opportunity to decide whether the ""AdjustZenOnValue"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalArraySize

IsLocalArraySize

"With this property you have the opportunity to decide whether the ""Array size"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCounterGroup

IsLocalCounterGroup

VT_BOOL

IsLocalMaxGradient

IsLocalMaxGradient

VT_BOOL

IsLocalNormalStateActive

IsLocalNormalStateActive

VT_BOOL

IsLocalNormalState

IsLocalNormalState

VT_BOOL

IsLocalAlarmPV0

IsLocalAlarmPV0

"With this property you have the opportunity to decide whether the ""Alarm Variable 1"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV1

IsLocalAlarmPV1

"With this property you have the opportunity to decide whether the ""Alarm Variable 2"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmPV2

IsLocalAlarmPV2

"With this property you have the opportunity to decide whether the ""Alarm Variable 3"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalVarInASM

IsLocalVarInASM

"With this property you have the opportunity to decide whether the ""Save in IPA database"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain

IsLocalAlarmDomain

"With this property you have the opportunity to decide whether the ""Alarm area"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalAlarmDomain2

IsLocalAlarmDomain2

Description as text.

VT_BOOL

IsLocalAlarmDomain3

IsLocalAlarmDomain3

Description as text.

VT_BOOL

IsLocalAlarmDomain4

IsLocalAlarmDomain4

Description as text.

VT_BOOL

IsLocalLocking

IsLocalLocking

"With this property you have the opportunity to decide whether the ""Interlocking"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalSBO

IsLocalSBO

"With this property you have the opportunity to decide whether the ""Select before operate"" should be linked to the datatype or not.
FALSE = It should be linked, TRUE = It shouldn't be linked."

VT_BOOL

IsLocalCancelOperate

IsLocalCancelOperate

Description

VT_BOOL

IsLocalAlarmViaEquipmentModel

IsLocalAlarmViaEquipmentModel

Description

VT_UI1

IsSWProtokol

IsSWProtokol

VT_BOOL

IsSW_Akt

IsSW_Akt

VT_BOOL

IsSW_VBA

IsSW_VBA

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Variable RT

Manuale -> Scripting -> Objectmodel -> Variable -> Variable-Dynamic properties -> Variable RT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_VARIANT

Value

Value

VT_VARIANT

UserValue

UserValue

VT_UI8

StatusValue

StatusValue

This property returns the status of a variable as a value.

VT_BSTR

StatusString

StatusString

This property returns the status of a variable.

ZT_DATETIME

LastUpdateTime

LastUpdateTimeMilliSeconds

This property returns the update time in milliseconds.

VT_UI2

LastUpdateTimeMilliSeconds

LastUpdateTimeMilliSeconds

This property returns the update time in milliseconds.

More...

Limits

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

VT_UI4

ID_ComplexVariable

ID_ComplexVariable

With this property you have the opportunity to get/set the ID of a variable from a structure element. This ID is 0 when the variable has no structure datatype.

VT_BSTR

Name

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Tagname

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

Unit

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

VT_R8

AlternateValue

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

VT_BSTR

AlternateValueString

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Recourceslabel

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

VT_UI4

NetAddr

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

VT_UI4

DataBlock

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI4

Offset

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

BitAddr

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

VT_UI2

Alignment

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

VT_UI2

StringLength

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

VT_BSTR

SymbAddr

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

VT_UI4

Driver

Driver

VT_UI4

ID_DataTyp

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

VT_UI4

ID_DriverTyp

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

VT_UI1

UpdatePriority

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Standby

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

VT_UI2

Digits

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMin

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

SignalMax

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMin

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_R8

RangeMax

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

VT_BOOL

UseMacro

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustHardware

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

AdjustZenon

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

VT_R8

HystNeg

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

HystPos

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystNeg

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_R8

ArchHystPos

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

VT_BOOL

DDEActive

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI4

ArraySizeOld

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

VT_UI4

CounterGroup

Gruppo contatore

Disponibile solo in SICAM 230.

VT_UI4

MaxGradient

Gradiente massimo

Disponibile solo in SICAM 230.

VT_BOOL

NormalStateActive

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

NormalState

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmPV2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

VT_BOOL

HDActive

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

VT_R4

HDUpdate

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_UI4

HDSize

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsKDAActiv

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

VT_BOOL

ExternVisible

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BSTR

ExternVisibleFor

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

VT_BOOL

ReadWrite

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

VT_BSTR

InitialValue

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Profilename

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Adressparam

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Vargroup

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

VT_BOOL

IsRemaActiv

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

ZT_REMA

Rema

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmQuitPV

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

AlarmViewQuitPV

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

VT_UI4

AlarmQuitPVValue

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

VT_BOOL

VarInASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

VT_BOOL

AlarmViaEquipmentModel

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

ZT_BSTR_REF

AreaName

AreaName

Description as text.

ZT_BSTR_REF

AreaName2

AreaName2

Description as text.

ZT_BSTR_REF

AreaName3

AreaName3

Description as text.

ZT_BSTR_REF

AreaName4

AreaName4

Description as text.

VT_BOOL

InOut

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

VT_BOOL

CancelOperate

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMin

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_R8

ValueMax

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

VT_BSTR

LockingName

LockingName

"With this property you have the opportunity to assign an interlocking via its name.
zElement.DynProperties(""LockingName"") = ""Interlocking 1"""

VT_UI1

SetValueProtocol

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_Act

Vecchio e nuovo valore
  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SV_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

VT_BSTR

VisualName

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Meaning

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

VT_BSTR

WaterfallParam

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

ZT_AKZ

SystemModelGroup

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.


Variables

Manuale -> Scripting -> Objectmodel -> Variables

Remarks

The collection Variables contains all defined variables of the current project. With this collection you can access, create and delete variables.Beside the access via the index a variable also can be found with its unique name or the unique channel Id.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateVars()
Dim zPRJ As Project
Dim zDRV As Driver
Dim zVTp As VarType
Dim i
'part of the Variablename...
Const VarNamePart As String = "TEST_"

Set zPRJ = MyWorkspace.ActiveDocument
'set first created driver....
Set zDRV = zPRJ.Drivers.Item(0)
'check if driver is the "INTERNAL" driver
If InStr(1, zDRV.Name, "Intern", vbTextCompare) = 0 Then Exit Sub
'set vartype (UINT)
Set zVTp = zPRJ.VarTypes.Item("UINT")
For i = 0 To 9
zPRJ.Variables.CreateVar VarNamePart & i, zDRV, tpSystemVariable, zVTp
Next i
End Sub

Sub DeleteVars()
Dim zPRJ As Project
Dim i
'part of the Variablename...
Const VarNamePart As String = "TEST"

Set zPRJ = MyWorkspace.ActiveDocument
'run trough all variables of the active project
For i = zPRJ.Variables.Count - 1 To 0 Step -1 'reverse loop!
'search part of the varname
If InStr(1, zPRJ.Variables.Item(i).Name, VarNamePart) <> 0 Then
'delete variable
If zPRJ.Variables.DeleteVar(zPRJ.Variables.Item(i).Name) = False Then
Debug.Print "ERROR deleting: " & zPRJ.Variables.Item(i).Name
End If
End If
Next i
End Sub

Noch in diesem Kapitel

Variables-Properties

Variables-Methods


Variables-Properties

Manuale -> Scripting -> Objectmodel -> Variables -> Variables-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IProject | Parent |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> Variables -> Variables-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> Variables -> Variables-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Variables-Methods

Manuale -> Scripting -> Objectmodel -> Variables -> Variables-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckInModule | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | CheckOutModule | Imports the selected XML file | available | not used | yes | yes
IVariable | CreateArrayVar | - | available | not used | yes | yes
IVariable | CreateArrayVarEx | - | available | not used | yes | yes
IVariable | CreateVar | - | available | not used | yes | yes
VARIANT_BOOL | DeleteVar | - | available | not used | yes | yes
void | DoAutoSave | - | available | not used | yes | yes
VARIANT_BOOL | Export | - | available | not used | yes | yes
VARIANT_BOOL | Import | - | available | not used | yes | yes
VARIANT_BOOL | ImportDirect | Imports the selected XML file | available | not used | yes | yes
IVariable | Item | - | available | available | yes | yes
IVariable | ItemPvID | - | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
IVariable | CreateVar | - | available | not used | yes | yes
IVariable | CreateArrayVar | - | available | not used | yes | yes
IVariable | CreateArrayVarEx | - | available | not used | yes | yes
VARIANT_BOOL | DeleteVar | - | available | not used | yes | yes
VARIANT_BOOL | Export | - | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT_BOOL | Import | - | available | not used | yes | yes
VARIANT_BOOL | ImportDirect | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | ModifyVariable | Modify the given variable to match the new configuration. | available | not used | yes | yes
VARIANT_BOOL | ModifyArrayVariable | Modify the given array variable to match the new configuration. | available | not used | yes | yes

Noch in diesem Kapitel

Item

ItemPvID

DoAutoSave

CreateVar

ModifyVariable

ModifyArrayVariable

CreateArrayVar

CreateArrayVarEx

DeleteVar

Export

SingleExport

Import

ImportDirect

CheckOutModule

CheckInModule


Item

Manuale -> Scripting -> Objectmodel -> Variables -> Variables-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Variable from the collection, which is identified by the parameter vID.The parameter vID can have two values:

Datatype

Item(VARIANT vPv) As Variable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

vID As Variant
Index or name.

If the parameter is a numerical value, the variable is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the variable is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vPv As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemPvID

Manuale -> Scripting -> Objectmodel -> Variables -> Variables-Methods -> ItemPvID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the object Variable from the collection, identified with the parameter vID.The parameter vID contains the unique channel Id of the variable.The returned object should be checked on Nothing.

Datatype

ItemPvID(VARIANT vPvID) As Variable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DoAutoSave

Manuale -> Scripting -> Objectmodel -> Variables -> Variables-Methods -> DoAutoSave

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you have the opportunity to stop writting changes on properties into the database. This should bring up performance improvements. Hint: Don't forget to make a .DoAutoSave(True) after a .DoAutoSave(False) otherwise data which has been typed in VBA won't be saved. The function doesn't work when the editor loses his focus (for example when the VBA code gets debugged).

Datatype

DoAutoSave(Boolean bSave) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

False = Stop writting into database. True = Start writting into database.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bSave As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DoAutoSave()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
'Changes on properties should not be written into the database
zVariables.DoAutoSave (False)
'Read the first variable in list
Set zVariable = zVariables.Item(0)
'Changes on properties
zVariable.DynProperties("Unit") = "Volt"
zVariable.DynProperties("Name") = "Var_1"
'Now changes should be written into the database
zVariables.DoAutoSave (True)

End Sub


CreateVar

Manuale -> Scripting -> Objectmodel -> Variables -> Variables-Methods -> CreateVar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateVar(BSTR strName, LPDISPATCH lpDriver, tpKanaltypes kTypes, LPDISPATCH lpVarType) As IVariable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ModifyVariable

Manuale -> Scripting -> Objectmodel -> Variables -> Variables-Methods -> ModifyVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Can be used to modify driver, channeltypes, datatypes, adressmode, and the settings of a non array variable.

Datatype

ModifyVariable(BSTR strName, LPDISPATCH lpDriver, tpKanaltypes kTypes, LPDISPATCH lpVarType,tpAdrMode lAdrMode,VARIANT_BOOL bStartAtNewOffset) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ModifyArrayVariable

Manuale -> Scripting -> Objectmodel -> Variables -> Variables-Methods -> ModifyArrayVariable

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Can be used to modify the dimension of the array. Also driver, channeltypes, datatypes, adressmode, offset calculation and lower bound (0 or 1) can be modified.

Datatype

ModifyArrayVariable(BSTR strName, LPDISPATCH lpDriver, tpKanaltypes kTypes, LPDISPATCH lpVarType, long lLBound, long lDimension1,long lDimension2,long Dimension3,tpAdrMode lAdrMode,VARIANT_BOOL bStartAtNewOffset) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CreateArrayVar

Manuale -> Scripting -> Objectmodel -> Variables -> Variables-Methods -> CreateArrayVar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateArrayVar(BSTR strName, LPDISPATCH lpDriver, tpKanaltypes kTypes, LPDISPATCH lpVarType, long lLBound, long lDimension1,long lDimension2,long Dimension3,VARIANT_BOOL bPacked,VARIANT_BOOL bStartAtNewOffset,VARIANT_BOOL bReserved) As IVariable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CreateArrayVarEx

Manuale -> Scripting -> Objectmodel -> Variables -> Variables-Methods -> CreateArrayVarEx

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateArrayVarEx(BSTR strName, LPDISPATCH lpDriver, tpKanaltypes kTypes, LPDISPATCH lpVarType, long lLBound, long lDimension1,long lDimension2,long Dimension3,tpAdrMode lAdrMode,VARIANT_BOOL bStartAtNewOffset) As IVariable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


DeleteVar

Manuale -> Scripting -> Objectmodel -> Variables -> Variables-Methods -> DeleteVar

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DeleteVar(BSTR Name) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuale -> Scripting -> Objectmodel -> Variables -> Variables-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


SingleExport

Manuale -> Scripting -> Objectmodel -> Variables -> Variables-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuale -> Scripting -> Objectmodel -> Variables -> Variables-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Import(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ImportDirect

Manuale -> Scripting -> Objectmodel -> Variables -> Variables-Methods -> ImportDirect

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ImportDirect(BSTR bsFileName, VARIANT_BOOL bIECDTOvw, VARIANT_BOOL bUDTOvw) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


CheckOutModule

Manuale -> Scripting -> Objectmodel -> Variables -> Variables-Methods -> CheckOutModule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This function executes a check out of the whole variable administration at a multiuser project.

Datatype

CheckOutModule() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckInModule

Manuale -> Scripting -> Objectmodel -> Variables -> Variables-Methods -> CheckInModule

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This function executes a check in at a multiuser project when a variable is checked out or the variable administration is completely checked out.

Datatype

CheckInModule() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VariableValue

Manuale -> Scripting -> Objectmodel -> VariableValue

Remarks

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VBA

Noch in diesem Kapitel

VariableValue-Properties


VariableValue-Properties

Manuale -> Scripting -> Objectmodel -> VariableValue -> VariableValue-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | Value | Value of the variable | not used | read only | yes | yes
long | Status | First 32 bits of the variable state | not used | read only | yes | yes
long | StatusExt | Last 32 bits of the variable state | not used | read only | yes | yes
DATE | Time | Timestamp of the value | not used | read only | yes | yes
short | TimeMilliseconds | Milliseconds of the timestamp | not used | read only | yes | yes

Noch in diesem Kapitel

Value

Status

StatusExt

Time

TimeMilliseconds


Value

Manuale -> Scripting -> Objectmodel -> VariableValue -> VariableValue-Properties -> Value

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Value for the Variable

Datatype

Value() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuale -> Scripting -> Objectmodel -> VariableValue -> VariableValue-Properties -> Status

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

First 32 Bits of the variable state.

Datatype

Status() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


StatusExt

Manuale -> Scripting -> Objectmodel -> VariableValue -> VariableValue-Properties -> StatusExt

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

last 32 Bits for the variable state.

Datatype

StatusExt() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Time

Manuale -> Scripting -> Objectmodel -> VariableValue -> VariableValue-Properties -> Time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Timestamp of the value

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


TimeMilliseconds

Manuale -> Scripting -> Objectmodel -> VariableValue -> VariableValue-Properties -> TimeMilliseconds

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Milliseconds for the timestamp.

Datatype

TimeMilliseconds() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


VarType

Manuale -> Scripting -> Objectmodel -> VarType

Remarks

With the object VarType you have the opportunity to edit selected datatypes.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateComplexType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a structure datatype called "Structure_1"
Set zVarType = zVarTypes.CreateComplexType("Structure_1")
Call NewSubItem

End Sub

Sub NewSubItem()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zVarType_1 As VarType 'Child object from type VarTypes
Dim zDrivers As Drivers 'Object from type Drivers
Dim zComplexItem As ComplexItem 'Child object from type ComplexItem
Dim i As Integer

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Read the own created structure datatype "struct"
Set zVarType = zVarTypes.Item("Structure_1")
'Read the INT datatype as base type for the structure element
Set zVarType_1 = zVarTypes.Item("INT")
'Create 5 structure elements called "Element_" from type INT which should be embedded
For i = 1 To 5
Set zComplexItem = zVarType.NewSubItem("Element_" & i, zVarType_1, False, 1, 0, 0, 0)
Next i

End Sub

Noch in diesem Kapitel

VarType-Properties

VarType-Methods


VarType-Properties

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ID |  | read only | read only | yes | yes
BSTR | Name |  | read only | read only | yes | yes
IVarTypes | Parent |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Name

ID


Parent

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As VarTypes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the datatype.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

internal uniqe ID as long

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarType-Methods

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CanDeleteType | - |  | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IEdLimit | CreateEdLimit | - |  | available | not used | yes | yes
VARIANT_BOOL | DeleteEdLimit | - |  | available | not used | yes | yes
VARIANT_BOOL | DeleteSubItem | - |  | available | not used | yes | yes
void | DynProperties [PUT] | - |  | available | available | yes | yes
VARIANT | DynProperties [GET] | - |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - |  | read only | read only | yes | yes
long | EdLimitCount | - |  | available | not used | yes | yes
IEdLimit | EdLimitItem | - |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
long | GetDataType | - |  | available | not used | yes | yes
BOOL | IsAllowed | - |  | available | available | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
BOOL | IsSimple | - |  | available | available | yes | yes
IComplexItem | NewSubItem | - |  | available | not used | yes | yes
IComplexItem | SubItem | - |  | available | not used | yes | yes
long | SubItemCount | - |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty |  | read only | not used | yes | yes
BOOL | IsAllowed | - |  | available | available | yes | yes

Noch in diesem Kapitel

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]

IsAllowed

IsSimple

GetDataType

SubItemCount

SubItem

CanDeleteType

NewSubItem

DeleteSubItem

EdLimitCount

EdLimitItem

CreateEdLimit

DeleteEdLimit

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


IsAllowed

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> IsAllowed

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

IsAllowed(LPDISPATCH lpDriver, tpKanaltypes kTypes) As BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


IsSimple

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> IsSimple

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns -1 when the datatype is a simple datatype and 0 when it is a complex datatype.

Datatype

IsSimple() As BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub IsSimple()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zDrivers As Drivers 'Object from type Drivers

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
Set zDrivers = MyWorkspace.ActiveDocument.Drivers

'Read the datatype INT from the list.
Set zVarType = zVarTypes.Item("INT")
'Check if it is a simple or a complex datatype
Debug.Print "Is Simple = " & zVarType.IsSimple

End Sub


GetDataType

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> GetDataType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the number of the datatype.

Datatype

GetDataType() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDataType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the datatype INT from the list.
Set zVarType = zVarTypes.Item("INT")
'Get the number of the datatype
Debug.Print "Datatype = " & zVarType.GetDataType

End Sub


SubItemCount

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> SubItemCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the number of items in a structure datatype.

Datatype

SubItemCount() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SubItem

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> SubItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns a sub item of a structure datatype.

Datatype

SubItem(long lIndex) As ComplexItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A long variable which defines the position of the structure element (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SubItem()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zComplexItem As ComplexItem 'Child object from type ComplexItem

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the own created structure datatype "struct"
Set zVarType = zVarTypes.Item("struct")
'Read the first item of this structure datatype
Set zComplexItem = zVarType.SubItem(0)
'Move the first item one position downwards
zComplexItem.MoveItemDown

End Sub


CanDeleteType

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> CanDeleteType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns true if a selected datatype can be deleted and false if it can't be deleted.

Datatype

CanDeleteType() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CanDeleteType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the INT datatype from the list
Set zVarType = zVarTypes.Item("INT")
'Check if the selected datatype can be deleted
Debug.Print "Can delete type = " & zVarType.CanDeleteType

End Sub


NewSubItem

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> NewSubItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you can create new sub items for a structure datatype.

Datatype

NewSubItem(String bstrTypeName, IVarType pBaseType, Boolean bReferenz, long lLBound, long lDim1, long lDim2, long lDim3) As ComplexItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Set false for a embedded datatype and true for a linked one.

A VarType object which defines the basic type of the element.

A string which defines the name of the element.

Set the number of elements for the first array dimension.

Set the number of elements for the second array dimension.

Set the number of elements for the third array dimension.

Set the array start index (0 or 1).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bReferenz As Boolean

pBaseType As VarType

bstrTypeName As String

lDim1 As Long

lDim2 As Long

lDim3 As Long

lLBound As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub NewSubItem()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zVarType_1 As VarType 'Child object from type VarTypes
Dim zDrivers As Drivers 'Object from type Drivers
Dim zComplexItem As ComplexItem 'Child object from type ComplexItem

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Read the own created structure datatype "struct"
Set zVarType = zVarTypes.Item("struct")
'Read the INT datatype as base type for the structure element
Set zVarType_1 = zVarTypes.Item("INT")
'Create a new structure element called "Element_1" from type INT which should be embedded
Set zComplexItem = zVarType.NewSubItem("Element_1", zVarType_1, False, 0, 0, 0, 0)

End Sub


DeleteSubItem

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> DeleteSubItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you can delete an item from a structure datatype.

Datatype

DeleteSubItem(VARIANT vNameOrIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The structure item can be selected via a string (name) or via a index number.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vNameOrIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteSubItem()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the own created structure datatype "structure" from the list
Set zVarType = zVarTypes.Item("structure")
'Delete an item called "element_1" from the structure datatype
Debug.Print "Sub item has been deleted = " & zVarType.DeleteSubItem("element_1")
End Sub


EdLimitCount

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> EdLimitCount

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns the number of limits from a datatype.

Datatype

EdLimitCount() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CountEdLimits()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the datatype INT from the list.Project some limits at the datatype.
Set zVarType = zVarTypes.Item("INT")
'Count the number of limits from a datatype
Debug.Print "Number of limits at the datatype = " & zVarType.EdLimitCount

End Sub


EdLimitItem

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> EdLimitItem

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns an "EdLimit" object from a datatype.

Datatype

EdLimitItem(VARIANT vIndex) As EdLimit

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The limit can be selected via a number (counting starts at 0) or via a string (name of the limit).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub EdLimitItem()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zEdLimit As EdLimit 'Object from type EdLimit

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the datatype INT from the list.Project some limits at the datatype.
Set zVarType = zVarTypes.Item("INT")
'Create a Limit at the INT datatype
zVarType.CreateEdLimit
'Returns a EdLimit object from the first limit
Set zEdLimit = zVarType.EdLimitItem(0)

'Set the limit active
zEdLimit.Active = True
'Set limit text
zEdLimit.Text = "Limit reached"
'Set limit value to 10
zEdLimit.LimitValue = 10
'Set the limit as maximum
zEdLimit.IsMax = True
'Set the limit as alarm
zEdLimit.Alarm = True
'Limit should be recognized in the CEL
zEdLimit.Cel = True

End Sub


CreateEdLimit

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> CreateEdLimit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method creates a limit at a datatype.

Datatype

CreateEdLimit() As EdLimit

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateEdLimit()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the INT datatype from the list
Set zVarType = zVarTypes.Item("INT")
'Creates a limit at the INT datatype
zVarType.CreateEdLimit

End Sub


DeleteEdLimit

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> DeleteEdLimit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method deletes a selected limit from a datatype.

Datatype

DeleteEdLimit(VARIANT vIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The limit can be selected via its name (string) or via a number (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteEdLimit()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the INT datatype from the list.Some limits should be projected at the datatype
Set zVarType = zVarTypes.Item("INT")
'Delete "Limit[1]" at the INT datatype
zVarType.DeleteEdLimit ("Limit[1]")

End Sub


Get

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Scripting -> Objectmodel -> VarType -> VarType-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VarTypes

Manuale -> Scripting -> Objectmodel -> VarTypes

Remarks

With the object VarTypes you have the opportunity to create, delete and edit datatypes from the list of datatypes.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateComplexType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a structure datatype called "Structure_1"
Set zVarType = zVarTypes.CreateComplexType("Structure_1")
Call CreateSimpleType

End Sub

Sub CreateSimpleType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zVarTypes_1 As VarTypes
Dim zVarType_1 As VarType

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
Set zVarTypes_1 = MyWorkspace.ActiveDocument.VarTypes

'Read datatype "UINT"
Set zVarType_1 = zVarTypes_1.Item(1)

'Create a simple datatype from type "UINT" called "SimpleType_1"
Set zVarType = zVarTypes.CreateSimpleType("SimpleType_1", zVarType_1)

End Sub

Noch in diesem Kapitel

VarTypes-Properties

VarTypes-Methods


VarTypes-Properties

Manuale -> Scripting -> Objectmodel -> VarTypes -> VarTypes-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IProject | Parent |  | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> VarTypes -> VarTypes-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> VarTypes -> VarTypes-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarTypes-Methods

Manuale -> Scripting -> Objectmodel -> VarTypes -> VarTypes-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CanDeleteType | - | available | available | yes | yes
IVarType | CreateComplexType | - | available | not used | yes | yes
IVarType | CreateSimpleType | - | available | not used | yes | yes
VARIANT_BOOL | DeleteType | - | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | ImportDirect | - |  |  |  |
IVarType | Item | - | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | ImportDirect | - | available | not used | yes | yes

Noch in diesem Kapitel

Item

CreateSimpleType

CreateComplexType

DeleteType

CanDeleteType

SingleExport

Export

Import

ImportDirect


Item

Manuale -> Scripting -> Objectmodel -> VarTypes -> VarTypes-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method you can access datatypes out of the list.

Datatype

Item(VARIANT vNameOrID) As VarType

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

The datatype can be selected via its name (string) or via an ID (number).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vNameOrID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Item()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Read all settings from the "INT" datatype
Set zVarType = zVarTypes.Item("INT")

Debug.Print "Name of item = " & zVarType.Name

End Sub


CreateSimpleType

Manuale -> Scripting -> Objectmodel -> VarTypes -> VarTypes-Methods -> CreateSimpleType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method a simple datatype can be created.

Datatype

CreateSimpleType(String bstrTypeName, IVarType pBaseType) As VarType

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Needs an item from type VarType to set the base type of the own created datatype.

A string which defines the name of the simple datatype.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

pBaseType As VarType

bstrTypeName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateSimpleType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zVarTypes_1 As VarTypes
Dim zVarType_1 As VarType

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
Set zVarTypes_1 = MyWorkspace.ActiveDocument.VarTypes

'Read datatype "UINT"
Set zVarType_1 = zVarTypes_1.Item(1)

'Create a simple datatype from type "UINT" called "SimpleType_1"
Set zVarType = zVarTypes.CreateSimpleType("SimpleType_1", zVarType_1)

End Sub


CreateComplexType

Manuale -> Scripting -> Objectmodel -> VarTypes -> VarTypes-Methods -> CreateComplexType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method a structure datatype can be created.

Datatype

CreateComplexType(String bstrTypeName) As VarType

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the structure datatype.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bstrTypeName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateComplexType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a structure datatype called "Structure_1"
Set zVarType = zVarTypes.CreateComplexType("Structure_1")

End Sub


DeleteType

Manuale -> Scripting -> Objectmodel -> VarTypes -> VarTypes-Methods -> DeleteType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this method an own created datatype can be deleted.

Datatype

DeleteType(VARIANT vNameOrIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The datatype can be selected via position (number) or via its name (string).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vNameOrIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Delete an own created datatype called "own_simple"
zVarTypes.DeleteType ("own_simple")

End Sub


CanDeleteType

Manuale -> Scripting -> Objectmodel -> VarTypes -> VarTypes-Methods -> CanDeleteType

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This method returns true if a selected datatype can be deleted and false if it can't be deleted.

Datatype

CanDeleteType(VARIANT vNameOrIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CanDeleteTypes()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Try if this datatype can be deleted
Debug.Print "Can this type be deleted = " & zVarTypes.CanDeleteType("INT")

End Sub


SingleExport

Manuale -> Scripting -> Objectmodel -> VarTypes -> VarTypes-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Export

Manuale -> Scripting -> Objectmodel -> VarTypes -> VarTypes-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Export(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


Import

Manuale -> Scripting -> Objectmodel -> VarTypes -> VarTypes-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Import(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ImportDirect

Manuale -> Scripting -> Objectmodel -> VarTypes -> VarTypes-Methods -> ImportDirect

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ImportDirect(BSTR bsFileName, VARIANT_BOOL bIECDTOvw, VARIANT_BOOL bUDTOvw) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA


ZenMenu

Manuale -> Scripting -> Objectmodel -> ZenMenu

Remarks

With an object of this type a context or main menu item can be edited, deleted, created,...

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'This sample creates a main menu with 5 items and sets the backcolor of the menu.
Sub ZenMenu()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu
Dim i As Integer 'Loop variable

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Create a main menu
Set zMenu = zMenus.Create("Main_1")
'Is true for main menu and false for context menu
zMenu.IsPulldown = True

'Create 5 main menu items
For i = 0 To 4
Set zMenuItem = zMenu.Create("ID_" & i, False)
'Set the text of the main menu item
zMenuItem.Caption = "Item_" & i
Next i

'Set Background color of the main menu
zMenu.BackColor = 12345678

'Check how many items are available in this main menu
Debug.Print "Count = " & zMenu.Count

End Sub

Noch in diesem Kapitel

ZenMenu-Properties

ZenMenu-Methods

ZenMenu-Dynamic properties


ZenMenu-Properties

Manuale -> Scripting -> Objectmodel -> ZenMenu -> ZenMenu-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
OLE_COLOR | BackColor | BackColor | available | available | yes | yes
long | Count | Count of defined menu-items | read only | read only | yes | yes
long | ID | Returns the unique ID for the menu | read only | read only | yes | yes
VARIANT_BOOL | IsPulldown | Is the menu a pulldown menu (true) or a popup menu (false) | available | read only | yes | yes
BSTR | Name | Name of the menu | available | read only | yes | yes
BSTR | Notes | Notes to the menu | available | available | yes | yes
IZenMenus | Parent | Parent-object | read only | read only | yes | yes
OLE_COLOR | TextColor | TextColor | available | read only | yes | yes

Noch in diesem Kapitel

Parent

Count

ID

Name

Notes

BackColor

TextColor

IsPulldown


Parent

Manuale -> Scripting -> Objectmodel -> ZenMenu -> ZenMenu-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ZenMenus

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> ZenMenu -> ZenMenu-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Scripting -> Objectmodel -> ZenMenu -> ZenMenu-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID for the menu item.

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> ZenMenu -> ZenMenu-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the context or main menu.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Notes

Manuale -> Scripting -> Objectmodel -> ZenMenu -> ZenMenu-Properties -> Notes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a string with some notes. This property is not visible in zenOn.

Datatype

Notes() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


BackColor

Manuale -> Scripting -> Objectmodel -> ZenMenu -> ZenMenu-Properties -> BackColor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this property you can set the back color of the menu.

Datatype

BackColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


TextColor

Manuale -> Scripting -> Objectmodel -> ZenMenu -> ZenMenu-Properties -> TextColor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this property you can set the text color of a menu.

Datatype

TextColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


IsPulldown

Manuale -> Scripting -> Objectmodel -> ZenMenu -> ZenMenu-Properties -> IsPulldown

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true for a main menu and false for a context menu. It can also be used to change a main menu to a context menu and vice versa.

Datatype

IsPulldown() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ZenMenu-Methods

Manuale -> Scripting -> Objectmodel -> ZenMenu -> ZenMenu-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IZenMenuItem | Create | Creates a new menu-item | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the given menu-item | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IZenMenuItem | Item | Returns a menu-item by position or name | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

Item

Create

Delete

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


Item

Manuale -> Scripting -> Objectmodel -> ZenMenu -> ZenMenu-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns a menu item by position or name of item.

Datatype

Item(VARIANT vPosition) As ZenMenuItem

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

This parameter can either be a numerical value or a string.
Example: 0,1,2,... or "ID_FIRST", "ID_SECOND",...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vPosition As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ItemMenus()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a main menu
Set zMenu = zMenus.Item(1)

'Select the first item of the main menu
Set zMenuItem = zMenu.Item(0)
Debug.Print "Name of menu item = " & zMenuItem.Name

End Sub


Create

Manuale -> Scripting -> Objectmodel -> ZenMenu -> ZenMenu-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this function new context and main menu items can be created.

Datatype

Create(String bsName,Boolean bPulldown) As ZenMenuItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the menu item.

Example: "Test"

This parameter can be set true or false without any effect.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

bPulldown As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateMenuItem()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a context or main menu
Set zMenu = zMenus.Item(0)

'Create an item with the name "Test" in the selected menu
Set zMenuItem = zMenu.Create("Test", True)

End Sub


Delete

Manuale -> Scripting -> Objectmodel -> ZenMenu -> ZenMenu-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

With this function a menu item can be deleted.

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the menu item.

Example: "ID_FIRST"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteMenuItem()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim deleted As Boolean

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a context or main menu
Set zMenu = zMenus.Item(1)

'Delete a main menu item and return true or false for deleted or not deleted
deleted = zMenu.Delete("ID_FIRST")
Debug.Print "Deleted = " & deleted

End Sub


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> ZenMenu -> ZenMenu-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> ZenMenu -> ZenMenu-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> ZenMenu -> ZenMenu-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> ZenMenu -> ZenMenu-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


ZenMenu-Dynamic properties

Manuale -> Scripting -> Objectmodel -> ZenMenu -> ZenMenu-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Menu

Noch in diesem Kapitel

Menu


Menu

Manuale -> Scripting -> Objectmodel -> ZenMenu -> ZenMenu-Dynamic properties -> Menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | Pulldown | Pulldown | "With this property you have the opportunity to select wheter the menu is a main or a context menu. TRUE = It's a main menu, FALSE = It's a context menu. "
VT_BSTR | Notes | Notes | With this property you have the opportunity to get/set notes from a menu.
VT_BSTR | Name | Nome | Nome univoco del menù. Default: Nuovo menù principale x o nuovo menù contestuale x (x è un numero progressivo). Attenzione: Questa proprietà non è a disposizione per il cambio lingua. Ulteriori informazioni nella guida in linea.
ZT_SCHRIFT | Font | Carattere | Tipo carattere del menù. Vale per tutti gli inserimenti di menù. Ulteriori informazioni nella guida in linea.
ZT_COLOR | TextColor | Colore testo | Colore testo per il menù selezionato. Ulteriori informazioni nella guida in linea.
ZT_COLOR | BackColor | Colore di sfondo | Colore di sfondo per il menù selezionato. Ulteriori informazioni nella guida in linea.
ZT_AKZ | SystemModelGroup | Gruppi d'impianto | Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti. Ulteriori informazioni nella guida in linea.


ZenMenuItem

Manuale -> Scripting -> Objectmodel -> ZenMenuItem

Remarks

With an object of this type items of a context menu and main menu submenus can be edited, deleted, created,...

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'This sample creates a context and a main menu with one item each.
'The main menu item can execute a set value function.
'The context menu item can execute a vba makro.
'Preparation: A variable and a makro have to be available
Sub ZenMenuItem()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Create a main menu
Set zMenu = zMenus.Create("Main_1")
zMenu.IsPulldown = True
'Create a main menu item
Set zMenuItem = zMenu.Create("ID_1", True)
'Set text of menu item
zMenuItem.Caption = "First"

'Create a context menu
Set zMenu = zMenus.Create("Context_1")
zMenu.IsPulldown = False
'Create a context menu item
Set zMenuItem = zMenu.Create("id_1", True)
'Set text of menu item
zMenuItem.Caption = "first"

'Projects the set value action at the main menu item
Call setValue(zMenus)
'Projects the makro action at the context menu item
Call setMakro(zMenus)

End Sub

Sub setValue(Menus As ZenMenus)

Dim zVar As Variable 'Variable for the set value function
Dim Menu As ZenMenu 'Child object of ZenMenus
Dim MenuItem As ZenMenuItem 'Child object of ZenMenu

'Select the main menu
Set Menu = Menus.Item(0)
'Select the first main menu item
Set MenuItem = Menu.Item(0)

'Object of variable "test" is assigned
Set zVar = MyWorkspace.ActiveDocument.Variables.Item("test")
'Deactivate the submenus
MenuItem.Popup = False
'Select set value as the action type of the menu item
MenuItem.Type = tpVariable
'The variable of the set value function is assigned via Ids
MenuItem.ActionID = zVar.PvID
'Set the "change by" value to 5
MenuItem.setValue = 5

End Sub

Sub setMakro(Menus As ZenMenus)

Dim zVar As Variable 'Variable for the set value function
Dim Menu As ZenMenu
Dim MenuItem As ZenMenuItem

'Select the context menu
Set Menu = Menus.Item(1)
'Select the first context menu item
Set MenuItem = Menu.Item(0)
'Deactivate the submenus
MenuItem.Popup = False
'Select set value as the action type of the menu item
MenuItem.Type = tpVbaMacro
'Set the Macro via the dynProperties
MenuItem.DynProperties("VBA-Macro") = "Init_Default"

End Sub

Noch in diesem Kapitel

ZenMenuItem-Properties

ZenMenuItem-Methods

ZenMenuItem-Dynamic properties


ZenMenuItem-Properties

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ActionID | ID of the variable/rt-function/macro/help-ID | available | read only | yes | yes
BSTR | Caption | Caption of the menu-item | available | read only | yes | yes
VARIANT_BOOL | Checked | Menu-item has checkbox | available | read only | yes | yes
long | Count | Count of defined menu-items | read only | read only | yes | yes
VARIANT_BOOL | Enabled | Enables/Disables the menu-item | available | read only | yes | yes
BSTR | Guid | Project-GUID by variables of a other project | not used | not used | yes | yes
BSTR | HelpFile | Helpfile for execution (Type = tpZenHelp) | available | read only | yes | yes
BSTR | HelpTopic | Help-ID for execution (Type = tpZenHelp) | available | read only | yes | yes
long | ID | Returns the unique ID for the menu-item | read only | read only | yes | yes
long | MenuID | Returns the unique ID for the zenOn-menu | read only | read only | yes | yes
BSTR | Name | Unique Name of the menu-item | available | read only | yes | yes
IZenMenuItem | Parent | Parent-object | read only | read only | yes | yes
long | ParentID | Returns the unique ID for the parent menu-item | read only | read only | yes | yes
short | Password | Password-level for execution | available | read only | yes | yes
BSTR | Picture | Bitmap-file of the menu-item | available | read only | yes | yes
VARIANT_BOOL | Popup | Menu-item contains sub-items | available | read only | yes | yes
VARIANT_BOOL | Seperator | Menu-item is a seperator (no execution) | available | read only | yes | yes
double | SetValue | Defined SetValue (Type = tpVariable) | available | read only | yes | yes
VARIANT_BOOL | ShowSetValueDlg | Show set-value dialog (Type = tpVariable) | available | read only | yes | yes
BSTR | Tooltip | Tooltip-Text for the menu-item | not used | not used | yes | yes
tpZenMenus | Type | Type of the menu-item (Variable/RtFunction/Help/Macro) | available | read only | yes | yes
VARIANT_BOOL | UseCurValue | Use current set-value of the variable (Type = tpVariable) | available | read only | yes | yes
VARIANT_BOOL | VarFromElement | Use Variable from the linked element (Type = tpVariable) | available | read only | yes | yes
VARIANT_BOOL | Visible | Shows/hides the menu-item | available | read only | yes | yes
BSTR | ToolTip | Tooltip-Text for the menu-item | not used | not used | yes | yes

Noch in diesem Kapitel

Parent

Count

ID

MenuID

ParentID

Name

Caption

ToolTip

HelpFile

Picture

HelpTopic

Seperator

Enabled

Visible

Checked

Popup

Type

Password

Guid

VarFromElement

UseCurValue

ShowSetValueDlg

ActionID

SetValue


Parent

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ZenMenuItem

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID for the submenu item.

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


MenuID

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> MenuID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID for the menu.

Datatype

MenuID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ParentID

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> ParentID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the unique ID for the parent menu item.

Datatype

ParentID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of a menu item.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Caption

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Caption

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the text of a menu item.

Datatype

Caption() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ToolTip

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> ToolTip

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

ToolTip() As BSTR

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


HelpFile

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> HelpFile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A helpfile can be set via a case sensitive string (directory + file).Hint: To set this property the action typ of the menu item should be set to help.

Datatype

HelpFile() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Picture

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Picture

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

A bitmap can be set via a string (directory + file).Hint: A bitmap can only be set at a context menu.

Datatype

Picture() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


HelpTopic

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> HelpTopic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns or sets the selected chapter for the helpfile. The given parameter is case sensitive!

Datatype

HelpTopic() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Seperator

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Seperator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns if the "seperator" item is set or not.

Datatype

Seperator() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Enabled

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Enabled

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns if the menu item is set active or not in the runtime.

Datatype

Enabled() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Visible

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Visible

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the state of the "visible" item of a menu.

Datatype

Visible() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Checked

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Checked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns if the "check mark" item is set or not.

Datatype

Checked() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Popup

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Popup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Submenus for a menu item can be set active or inactive.

Datatype

Popup() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Type

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns action type of menu item. Following numbers are allocated to the parameters: tpRtFunction = 1; tpVariable = 2; tpVbaMacro = 3; tpZenHelp = 6.

Datatype

Type() As tpZenMenus

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Password

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Password

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the password level of the menu item.Hint: This value can only be set when an action typ is active.

Datatype

Password() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> Guid

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Not in use.

Datatype

Guid() As String

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


VarFromElement

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> VarFromElement

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the state of the set value "Variable from element" item.Hint: The action type set value has to be activated. This option is only available at context menus.

Datatype

VarFromElement() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


UseCurValue

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> UseCurValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the state of the set value "Propose current value" item.Hint: The action type set value has to be activated.

Datatype

UseCurValue() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowSetValueDlg

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> ShowSetValueDlg

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the state of the set value "dialog" item.

Datatype

ShowSetValueDlg() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ActionID

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> ActionID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the ID of the chosen action. Depending on the chosen action type the ID of the variable, of the function or of the help chapter (if a string is used it is set to -1) is returned. Assign variable: zMenuItem.ActionID = zVar.PvIDAssign function: zMenuItem.ActionID = zFunc.ID

Datatype

ActionID() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


SetValue

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Properties -> SetValue

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the "change by" value of a change value action. Hint: The action type set value has to be activated.

Datatype

SetValue() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ZenMenuItem-Methods

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IZenMenuItem | Create | Creates a new menu-item | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the given menu-item | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] | - | read only | read only | yes | yes
IZenMenuItem | Item | Returns a menu-item by position or name | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes

Noch in diesem Kapitel

Item

Create

Delete

DynPropertyParam [GET]

DynPropertiesEnum [GET]

DynProperties [GET]

DynProperties [PUT]


Item

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This function returns a submenu object via position or name.

Datatype

Item(VARIANT vPosition) As ZenMenuItem

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

This parameter can either be a numerical value or a string.
Example: 0,1,2,... or "ID_FIRST", "ID_SECOND",...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vPosition As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ItemMenus()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu
Dim zMenuItem_1 As ZenMenuItem 'Child object of ZenMenu

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a menu
Set zMenu = zMenus.Item(1)
'Select the first menu item in the main menu
Set zMenuItem = zMenu.Item(0)
'Select the first submenu
Set zMenuItem_1 = zMenuItem.Item(0)
Debug.Print "Name = " & zMenuItem_1.Name

End Sub


Create

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This function creates a new submenu item.

Datatype

Create(String bsName,Boolean bPulldown) As ZenMenuItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the submenu item.

Example: "Sub_1"

This parameter can be set true or false without any effect.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

bPulldown As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateSubmenu()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu
Dim zMenuItem_1 As ZenMenuItem 'Child object of ZenMenu

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a context or main menu
Set zMenu = zMenus.Item(0)
'Select the first menu item in the main menu
Set zMenuItem = zMenu.Item(0)
'Create a new submenu
Set zMenuItem_1 = zMenuItem.Create("Test", False)

End Sub


Delete

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The function deletes a submenu.

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the submenu item.

Example: "Sub_1"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteSubMenus()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu
Dim deleted As Boolean

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a menu
Set zMenu = zMenus.Item(1)
'Select the first menu item in the main menu
Set zMenuItem = zMenu.Item(0)
'Deletes a submenu
deleted = zMenuItem.Delete("ID_1")
Debug.Print "Deleted = " & deleted

End Sub


DynPropertyParam [GET]

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Methods -> DynPropertyParam [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Methods -> DynPropertiesEnum [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynProperties [GET]

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Methods -> DynProperties [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Methods -> DynProperties [PUT]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


ZenMenuItem-Dynamic properties

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Dynamic properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dynproperties

Base menu item

Noch in diesem Kapitel

Base menu item


Base menu item

Manuale -> Scripting -> Objectmodel -> ZenMenuItem -> ZenMenuItem-Dynamic properties -> Base menu item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_I2

Password

Livello di autorizzazione:

Livello della password necessario per eseguire questa voce di menù.

Ulteriori informazioni nella guida in linea.

VT_UI4

Locking

Interblocco

Selezione di un interblocco per per la voce di menù.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Signature

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BSTR

SignatureText

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

VT_I2

SignatureEditModus

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

VT_BSTR

Caption

Testo

Didascalia della voce di menù. L´inserimento deve essere univoco. Se esistono più inserimenti con lo stesso testo, durante il runtime viene visualizzato solamente la prima di queste voci di menù.

Nota: se nel campo proprietà Tipo di azione facendo uso del menù a tendina isi seleziona il valore Comando, il sistema scrive come valore della proprietà Testo: $ALL$.

Ulteriori informazioni nella guida in linea.

VT_BSTR

Name

ID menù

Nome della voce di menù.

In Tipo di azione Comandi sono selezionabili in una lista a cascata le azioni già definite nel comandi.

Ulteriori informazioni nella guida in linea.

ZT_FILE

Picture

File grafico

File grafico che viene visualizzato nell´area all´estrema sinistra.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Enabled

Attivo

Attivo: Normalmente il sistema visualizza la voce di menù e l´azione collegata viene eseguita quando si fa uso dell´inserimento stesso.
inattivo: Normalmente il sistema visualizza l´inserimento di menù "gegreyed" e l´azione collegata non viene eseguita..

Ulteriori informazioni nella guida in linea.

VT_I2

Type

Tipo di azione

I seguenti tipi di azioni sono a disposizione nel menu principale e contestuale:

Funzione: viene eseguita un'azione.
Guida: viene visualizzato un inserimento della guida.
Nessuna azione: non viene eseguita nessuna azione.
Setta valore impostabile: un valore impostabile viene depositato in una variabile.

I seguenti tipi di azioni possono essere eseguiti solamente nel menu contestuale:

Ripristina allarmi: ripristina tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menù contestuale.
Ripristina lampeggio: Elimina il lampeggio di tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menù contestuale. Ma l'allarme non viene ripristinato.
Comando: esegue un comando.
Macro VBA: viene eseguita una macro VBA.

Ulteriori informazioni nella guida in linea

VT_BOOL

Visible

Visibile

Stabilisce se la voce di menù viene visualizzata nel runtime.

Default: attiva

Ulteriori informazioni nella guida in linea.

VT_BOOL

Checked

Checkmark

Davanti alla voce di menù viene visualizzata un segno di spunto. Ciò concerne solamente la rappresentazione grafica.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_BOOL

Popup-Menu

Sottomenù

La voce di menù non esegue nessuna azione, ma apre un sottomenù.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

Seperator

Separatore attivo

Attivo: Al posto di una voce di menù, viene inserito un separatore orizzontale. Larghezza e colore della linea possono essere definiti.

Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_UI1

SeparatorWidth

Larghezza

Definite la larghezza del separatore in pixel.

Default: 0

Ulteriori informazioni nella guida in linea.

ZT_COLOR

SeparatorColor

Colore

Definite il colore di riempimento del separatore. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: Nero

Ulteriori informazioni nella guida in linea.

ZT_FILE

BackgroundPicture

File grafico

Grafica di sfondo per la voce di menù.

Ulteriori informazioni nella guida in linea.

VT_I2

BackgroundPicRepres

Orientamento

Grandezza della grafica di sfondo per l´inserimento di menù.
Grandezza originale: L´immagine viene rappresentata nella sua grandezza originale. L´inserimento di menu viene adattato alla grandezza dell´immagine.
Allungato: L´immagine viene allungata in corrispondenza della grandezza dell´inserimento di menù.
Default: Grandezza originaria.

Esempio: i menù dovrebbero essere usati in un progetto Touchscreen. Come impostazioni standard per la grandezza delle singole voci di menù, vengono usate le impostazioni del sistema operativo. Con una grafica di sfondo nella grandezza originale si può gestire in modo individuale la grandezza delle voci di menù.

Ulteriori informazioni nella guida in linea.

ZT_FILE

HelpFile

File

Disponibile solo per il tipo di azione "Help"::
File help una pagina del quale deve essere aperta e visualizzata.
Normalmente vengono visualizzate le pagine della guida in linea degli elementi collegati. Se un elemento collegato non ha nessuna pagina della guida in linea, verrà visualizzata quella definita in questa sede.

Ulteriori informazioni nella guida in linea.

VT_BSTR

HelpCapture

Capitolo

Disponibile solo per il tipo di azione "Help":
Capitolo della guida che deve essere visualizzato.

Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.
Normalmente vengono visualizzate le pagine della guida in linea degli elementi collegati. Se un elemento collegato non ha nessuna pagina della guida in linea, verrà visualizzata quella definita in questa sede.

Ulteriori informazioni nella guida in linea.

ZT_FUNCTION

Function

Funzione

Disponibile solo per il tipo di azione"Funzione ":
Funzione che deve essere eseguita sulla base di meccanismi a tempo.
Se deve essere eseguita più di una funzione, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Ulteriori informazioni nella guida in linea.

ZT_VBAMAKRO

VBA-Macro

Macro VBA

Disponibile solamente per il tipo di azione "Macro VBA":
Macro VBA che deve essere eseguita tramite la voce di menù selezionata.

Ulteriori informazioni nella guida in linea.

VT_BOOL

FromElem

Variabile da elemento

Disponibile solamente per il tipo di azione "Setta valore impostabile" e "Menù contestuale:
Attivo: La variabile per "Setta valore impostabile" viene ripresa dall´elemento dinamico.
inattivo: La variabile per "Setta valore impostabile" viene indicata nelle proprietà della voce di menù.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

ZT_VARIABLE

Variable

Variabile

Disponibile solamente per il tipo di azione "Setta valore impostabile"::
Variabile sulla quale deve essere settato un valore impostabile tramite l´inserimento di menù selezionato.

Ulteriori informazioni nella guida in linea.

VT_BOOL

SWDialog

Dialogo

Disponibile solamente per il tipo di azione "Setta valore impostabile":
Attivo Quando si esegue l´azione, prima del settaggio del valore impostabile si apre un dialogo che dà all´utente l´opportunità di modificarlo.
Se esistono delle immagini Keyboard (per es. SETVALUEKBD, SETSTRINGKBD o SETBOOLKBD), verrano aperte queste automaticamente anziché il box di dialogo.
Inattivo: Il valore definito nelle proprietà della voce di menù viene inviato direttamente all´hardware.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

VT_BOOL

ActValue

Proponi valore attuale

Disponibile solamente per il tipo di azione "Setta valore impostabile":
Attivo Il valore attuale della variabile viene proposto come valore impostabile.
Inattivo Il valore impostabile viene indicato direttamente nelle proprietà della voce di menù.
Default: inattivo

Ulteriori informazioni nella guida in linea.

VT_R8

Sollwert

Valore impostabile/modifica di

Disponibile solamente per tipo di azione "setta valore impostabile":
Valore numerico che deve essere depositato come valore impostabile sulla variabile selezionata. Sono attesi e accettati solamente valori numerici. I valori vengono applicati se contengono fino a 6 cifre decimali.
Se la proprietà Proponi valore attuale è attiva, il valore attuale della variabile viene aumentato (valore positivo) o diminuito (valore negativo) in corrispondenza di questo valore.

Ulteriori informazioni nella guida in linea.


ZenMenus

Manuale -> Scripting -> Objectmodel -> ZenMenus

Remarks

This object manages context and main menus.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOnMenus()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object
Dim i As Integer 'Loop variable

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Loop creates five context and five main menus
For i = 1 To 5
'Creates a context menu
Set zMenu = zMenus.Create("context_" & i)
'False for context menu
zMenu.IsPulldown = False

'Creates a main menu
Set zMenu = zMenus.Create("main_" & i)
'True for main menu
zMenu.IsPulldown = True
Next i

'Check if all items have been created (Hint: counting starts at 0 until .count-1)
For i = 0 To zMenus.Count - 1
Debug.Print "Item " & i & " = " & zMenus.Item(i).Name
Next i

End Sub

Noch in diesem Kapitel

ZenMenus-Properties

ZenMenus-Methods


ZenMenus-Properties

Manuale -> Scripting -> Objectmodel -> ZenMenus -> ZenMenus-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined menus | read only | read only | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes

Noch in diesem Kapitel

Parent

Count


Parent

Manuale -> Scripting -> Objectmodel -> ZenMenus -> ZenMenus-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuale -> Scripting -> Objectmodel -> ZenMenus -> ZenMenus-Properties -> Count

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ZenMenus-Methods

Manuale -> Scripting -> Objectmodel -> ZenMenus -> ZenMenus-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description |  | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). |  | available | not used | yes | yes
IZenMenu | Create | Creates a new menu |  | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the given menu |  | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file |  | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). |  | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file |  | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). |  | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Returns true when the local and server version are different (editor). | read only |  | not used | yes |  | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). |  | read only | not used | yes | yes
IZenMenu | Item | Returns the menu by name or position |  | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index |  | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). |  | available | not used | yes | yes

Noch in diesem Kapitel

Item

Create

Delete

Get

CheckOut

CheckIn

UndoCheckOut

IsLocked

IsCheckedOut

IsDifferent

Export

SingleExport

Import


Item

Manuale -> Scripting -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This function returns a ZenMenu item. If there are more context and main menu items available the counting works like this: Item(0) = "Main_1", Item(1) = "Context_1", Item(2) = "Main_2", …

Datatype

Item(VARIANT vPosition) As ZenMenu

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuale -> Scripting -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> Create

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Creates a context menu or a main menu depending on the "IsPulldown" property of the zMenu object (False = context menu, True = main menu).

Datatype

Create(String bsName) As ZenMenu

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the menu.

Example: "menu_1"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateMenus()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Creates a context menu
Set zMenu = zMenus.Create("menu_1")
zMenu.IsPulldown = False

'Creates a main menu
Set zMenu = zMenus.Create("menu_2")
zMenu.IsPulldown = True

End Sub


Delete

Manuale -> Scripting -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> Delete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

The defined menu will be deleted. As this function works via names there are no seperated properties for context or main menu selection. (context and main menu can not have the same names)

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The string defines the name of the menu which should be deleted.

Example: "main_menu"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteMenus()

Dim zMenus As ZenMenus 'Parent object

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Delete context and main menus via their name
zMenus.Delete ("main_menu")
zMenus.Delete ("context_menu")

End Sub


Get

Manuale -> Scripting -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> Get

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuale -> Scripting -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> CheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuale -> Scripting -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> CheckIn

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuale -> Scripting -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> UndoCheckOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuale -> Scripting -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> IsLocked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuale -> Scripting -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> IsCheckedOut

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuale -> Scripting -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> IsDifferent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuale -> Scripting -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> Export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


SingleExport

Manuale -> Scripting -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> SingleExport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Import

Manuale -> Scripting -> Objectmodel -> ZenMenus -> ZenMenus-Methods -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


ZenWorkspace

Manuale -> Scripting -> Objectmodel -> ZenWorkspace

Remarks

This ClassModule represents the actual workspace in the editor.There are several events to react on actions of the projects within the workspace.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Option Explicit
Private Declare Function GetKeyState Lib "user32" (ByVal nVirtKey As Long) As Integer
Private Declare Function GetAsyncKeyState Lib "user32" (ByVal vKey As Long) As Integer
Private Const VK_LSHIFT = &HA0
Private Const VK_RSHIFT = &HA1

Private Sub ZenWorkspace_OnPostBuild(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' are created!"
End Sub

Private Sub ZenWorkspace_OnPostTransport(ByVal obProject As IProject, ByVal bSuccess As Boolean)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' were transported succesfully (" & bSuccess & ")!"
End Sub

Private Sub ZenWorkspace_OnPreBuild(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' will be created!"
End Sub

Private Sub ZenWorkspace_OnPreTransport(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' will be transported!"
End Sub

Private Sub ZenWorkspace_OnProjectLoaded(ByVal obProject As IProject)
Debug.Print "Project '" & obProject.Name & "' is loaded!"
End Sub

Private Sub ZenWorkspace_Startup()
If GetAsyncKeyState(VK_LSHIFT) <> 0 Then
SaveSetting "zenOn", "StartupScreen", "ShowOnStartup", "YES"
End If
If GetAsyncKeyState(VK_RSHIFT) <> 0 Then
SaveSetting "zenOn", "StartupScreen", "ShowOnStartup", "YES"
End If
If GetSetting("zenOn", "StartupScreen", "ShowOnStartup", "YES") = "YES" Then
frmStartup.Show
End If
'check vba references...
Call CheckVBAReferences
End Sub

Private Sub ZenWorkspace_OnElementCreated(ByVal obElement As Element)
Dim obMpElem As CD_ManipulationElement

Set obMpElem = New CD_ManipulationElement
Set obMpElem.Parent = Me
Debug.Print "Element of Type " & obElement.Type & " created."

''>> The codeline below will set defaults to elements when they are created.
'obMpElem.SetDefault obElement
''>> The Defaultsettings are located in the classmodule "CD_ManipulationElement"
End Sub

Private Sub ZenWorkspace_OnElementDoubleClicked(ByVal obElement As Element)
'Show Symbol Wizard for linked Symbols,
'if the symbol has outlined properties.
If obElement.Type = 130 Then
'symbol...
If SymbolHasProps(obElement) = True Then
'start wizard...
frmSymbol.InitWizard obElement
frmSymbol.Show
End If
End If
End Sub

Function SymbolHasProps(zELE As Element) As Boolean
Dim v As Variant
Dim i As Integer
Dim s As String
'check DynProperties of Symbol...
v = zELE.DynPropertiesEnum("")
For i = 0 To UBound(v)
s = v(i)
s = Mid(s, 1, InStr(1, s, ",") - 1)
If InStr(1, s, "\") <> 0 Then
SymbolHasProps = True
Exit Function
End If
Next i
End Function

Private Sub ZenWorkspace_OnObjectCreated(ByVal obObject As Object)
'this Event is fired, when a new object is created within a project...
Dim strObjectType As String
Dim obTemplate As Template
Dim obPicture As DynPicture
Dim obFunction As RtFunction
Dim obElement As Element
Dim obUser As User
Dim obRema As Rema
Dim obScript As Script
Dim obEdLimit As EdLimit
Dim obRGMRecipe As RGMRecipe
Dim obRecipe As Recipe
Dim obVarAssignment As VarAssignment
Dim obVariable As Variable
Dim obTimeFunction As TimeFunction
Dim ErrH As Label
On Error GoTo ErrH
'depending to the type of the created object, different actions can be done...
strObjectType = TypeName(obObject)
Select Case strObjectType
Case "ITemplate"
Set obTemplate = obObject
Debug.Print "Template created......> " & obTemplate.Name
Debug.Print "----- in Project......> " & obTemplate.Parent.Parent.Name
Case "IDynPicture"
Set obPicture = obObject
Debug.Print "Picture created.......> " & obPicture.Name
Debug.Print "---- in Project.......> " & obPicture.Parent.Parent.Name
Case "IRtFunction"
Set obFunction = obObject
Debug.Print "Function created......> " & obFunction.Name
Debug.Print "----- in Project......> " & obFunction.Parent.Parent.Name
Case "IElement"
Set obElement = obObject
Debug.Print "Element created.......> " & obElement.Name
Debug.Print "---- in Picture.......> " & obElement.Parent.Parent.Name
Debug.Print "---- in Project.......> " & obElement.Parent.Parent.Parent.Parent.Name
Case "IScript"
Set obScript = obObject
Debug.Print "Script created........> " & obScript.Name
Debug.Print "--- in Project........> " & obScript.Parent.Parent.Name
Case "IRema"
Set obRema = obObject
Debug.Print "REMA created..........> " & obRema.Name
Debug.Print "- in Project..........> " & obRema.Parent.Parent.Name
Case "IUser"
Set obUser = obObject
Debug.Print "User created..........> " & obUser.Name
Debug.Print "- in Project..........> " & obUser.Parent.Parent.Name
Case "IEdLimit"
Set obEdLimit = obObject
Debug.Print "Limit created.........> "
Debug.Print "---- Variable.........> " & obEdLimit.Parent.Name
Debug.Print "-- in Project.........> " & obEdLimit.Parent.Parent.Parent.Name
Case "IRGMRecipe"
Set obRGMRecipe = obObject
Debug.Print "RMG Recipe created....> " & obRGMRecipe.DynProperties("RecipeName")
Debug.Print "----- in RGM Group....> " & obRGMRecipe.Parent.DynProperties("Name")
Debug.Print "------- in Project....> " & obRGMRecipe.Parent.Parent.Parent.Name
Case "IRecipe"
Set obRecipe = obObject
Debug.Print "Recipe created........> " & obRecipe.Name
Debug.Print "--- in Project........> " & obRecipe.Parent.Parent.Name
Case "ITimeFunction"
Set obTimeFunction = obObject
Debug.Print "TimeFunction created..> " & obTimeFunction.Name
Debug.Print "--------- in Project..> " & obTimeFunction.Parent.Parent.Name
Case "IVarAssignment"
Set obVarAssignment = obObject
Debug.Print "VarAssignment created.> " & obVarAssignment.Name
Debug.Print "---------- in Project.> " & obVarAssignment.Parent.Parent.Name
Case "IVariable"
Set obVariable = obObject
Debug.Print "Variable created......> " & obVariable.Name
Debug.Print "----- in Project......> " & obVariable.Parent.Parent.Name
Case Else
Debug.Print strObjectType
End Select
Exit Sub
ErrH:
Debug.Print "[ERROR] " & Err.Number & " - " & Err.Description
Resume Next
End Sub

Noch in diesem Kapitel

ZenWorkspace-Properties

ZenWorkspace-Methods

ZenWorkspace-Events


ZenWorkspace-Properties

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IProject | ActiveDocument |  | read only | not used | yes | yes
IApplication | Application |  | read only | not used | yes | yes
BSTR | Name |  | read only | not used | yes | yes
IApplication | Parent |  | read only | not used | yes | yes
ISymbols | Symbols | Returns the Symbols object | read only | not used | yes | yes
IDispatch | VBE | Returns the VBE-extensibility object | available | not used | yes | yes

Noch in diesem Kapitel

Application

Parent

ActiveDocument

Symbols

Name

VBE


Application

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Properties -> Application

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the Application object of the editor...

Datatype

Application() As Application

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Parent

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Properties -> Parent

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Application

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


ActiveDocument

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Properties -> ActiveDocument

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the activated project in the workspace as a project object.

Datatype

ActiveDocument() As Project

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Symbols

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Properties -> Symbols

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

Symbols() As Symbols

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Name

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Properties -> Name

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the name of the ClassModule 'MyWorkspace'Always 'MyWorkspace'

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


VBE

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Properties -> VBE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Returns the VBE-extensibility object

Datatype

VBE() As Dispatch

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ZenWorkspace-Methods

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | ActivateProject | - | available | not used | yes | yes
VARIANT_BOOL | CloseWorkspace | Closes the workspace. | available | not used | yes | yes
VARIANT_BOOL | CopyProject | Creates a copy of the given Project at the given location. | available | not used | yes | yes
VARIANT_BOOL | CreateBackup | Creates a backup of the currently workspace. | available | not used | yes | yes
VARIANT_BOOL | CreateProjectBackup | Create a backup of the given project. | available | not used | yes | yes
VARIANT_BOOL | CreateWorkspace | Creates a new workspace with the given name at the given location. | available | not used | yes | yes
IMDITemplates | GetMDiTemplates | Returns a collection of MDI templates of the specified type (either by name or by index). | available | not used | yes | yes
VARIANT_BOOL | InsertProject | Inserts the given project into the workspace. | available | not used | yes | yes
VARIANT_BOOL | LoadProject | - | available | not used | yes | yes
VARIANT_BOOL | LoadProjectByName | Loads the given project by Name. | available | not used | yes | yes
VARIANT_BOOL | LoadWorkspace | Loads the given workspace file. | available | not used | yes | yes
VARIANT_BOOL | RemoveProject | Removes the given project from the workspace. | available | not used | yes | yes
VARIANT_BOOL | RestoreBackup | Restores the given workspace backup. | available | not used | yes | yes
VARIANT_BOOL | RestoreProjectBackup | Restores the given backup. | available | not used | yes | yes
VARIANT_BOOL | SaveWorkspace | Saves the current workspace. | available | not used | yes | yes
VARIANT_BOOL | SetStartProject | - | available | not used | yes | yes
VARIANT | UnloadedProjects [GET] | Returns a list of all unloaded projects available in the current workspace. | available | not used | yes | yes
VARIANT_BOOL | UnloadProject | - | available | not used | yes | yes
IArvTemplates | GetArvTemplates | Returns a collection of Archive templates (either by name or by index). | available | not used | yes | yes

Noch in diesem Kapitel

LoadProject

LoadProjectByName

UnloadProject

ActivateProject

SetStartProject

CreateWorkspace

LoadWorkspace

SaveWorkspace

CloseWorkspace

CreateBackup

RestoreBackup

InsertProject

CreateProjectBackup

RestoreProjectBackup

RemoveProject

CopyProject

UnloadedProjects [GET]

GetMDiTemplates

GetArvTemplates


LoadProject

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> LoadProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Loads a project in the workspace over its uniqe GUID.

Datatype

LoadProject(String bsGuid) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


LoadProjectByName

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> LoadProjectByName

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LoadProjectByName(String bsProjectName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UnloadProject

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> UnloadProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Unloads a project in the workspace over its uniqe GUID.

Datatype

UnloadProject(String bsGuid) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ActivateProject

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> ActivateProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Activates a project in the workspace over its uniqe GUID.

Datatype

ActivateProject(String bsGuid) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetStartProject

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> SetStartProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SetStartProject(String bsGuid) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateWorkspace

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> CreateWorkspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateWorkspace(String bsFileAndLocation) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


LoadWorkspace

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> LoadWorkspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

LoadWorkspace(String bsFileAndLocation) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SaveWorkspace

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> SaveWorkspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

SaveWorkspace() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CloseWorkspace

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> CloseWorkspace

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CloseWorkspace(Boolean bHideCompileDialog) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateBackup

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> CreateBackup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateBackup(String bsFileAndLocation) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RestoreBackup

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> RestoreBackup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RestoreBackup(String bsFileAndLocation, String bsWorkspaceLocation) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


InsertProject

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> InsertProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

InsertProject(String bsGuid, String bsName, String bsHost) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateProjectBackup

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> CreateProjectBackup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CreateProjectBackup(String bsProjectName, String bsFileAndLocation, String bsDescription, Boolean bOverWrite) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RestoreProjectBackup

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> RestoreProjectBackup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RestoreProjectBackup(String bsFileAndLocation) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoveProject

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> RemoveProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

RemoveProject(String bsProjectName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CopyProject

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> CopyProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

CopyProject(String bsSource, String bsDestinationName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UnloadedProjects [GET]

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> UnloadedProjects [GET]

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

UnloadedProjects() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetMDiTemplates

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> GetMDiTemplates

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

GetMDiTemplates(VARIANT vType) As MDITemplates

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetArvTemplates

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Methods -> GetArvTemplates

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Return a ArvTemplate collection.

Datatype

GetArvTemplates() As IArvTemplates

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

VB.NET

VBA

Examples

C#

VB.NET

VBA

Private Sub GetTemplates()

Dim IArvTemplates As ArvTemplates

Dim IArvTemplate As ArvTemplate

Dim Count As Integer

Dim Ok As Boolean

' --- Auswahl über den Namen

Set IArvTemplates = MyWorkspace.GetArvTemplates()

If Not IArvTemplates Is Nothing Then

Set IArvTemplate = IArvTemplates.Item("Test 3")

Ok = PrintTemplate(IArvTemplate)

End If

' --- Auswahl über den Index

Set IArvTemplates = MyWorkspace.GetArvTemplates()

If Not IArvTemplates Is Nothing Then

Count = IArvTemplates.Count

For i = 0 To Count - 1

Set IArvTemplate = IArvTemplates.Item(i)

Ok = PrintTemplate(IArvTemplate)

Next

End If

End Sub

Private Function PrintTemplate(IArvTemplate As ArvTemplate) As Boolean

If Not IArvTemplate Is Nothing Then

Debug.Print ("Name: " & IArvTemplate.DynProperties("Name"))

Debug.Print ("GUID: " & IArvTemplate.DynProperties("GUID"))

Debug.Print ("ImportPath: " & IArvTemplate.DynProperties("ImportPath"))

Debug.Print ("Folder: " & IArvTemplate.DynProperties("Folder"))

Debug.Print ("Language: " & IArvTemplate.DynProperties("Language"))

Debug.Print ("Description: " & IArvTemplate.DynProperties("Description"))

Debug.Print ("CopaDataTemplate: " & IArvTemplate.DynProperties("CopaDataTemplate"))

PrintTemplate = True

Else

PrintTemplate = False

End If

End Function


ZenWorkspace-Events

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | OnElementCreated |  | read only | not used | yes | yes
void | OnElementDeleted |  | available | not used | yes | yes
void | OnElementDoubleClicked |  | available | not used | yes | yes
void | OnObjectCreated |  | available | not used | yes | yes
void | OnPostBackupProject | Event is fired after a project backup has been created. | available | not used | yes | yes
void | OnPostBuild | Event is fired after a project is compiled | available | not used | yes | yes
void | OnPostRestoreProject | Event is fired after a project backup has been restored. | available | not used | yes | yes
void | OnPostTransport | Event is fired after a project is transported | available | not used | yes | yes
void | OnPostVSTAUpdate | For internal use only | not used | not used | yes | yes
void | OnPreBackupProject | Event is fired before a project backup is about to be created. | available | not used | yes | yes
void | OnPreBuild | Event is fired before a project is compiled | available | not used | yes | yes
void | OnPreProjectUnload | Event is fired when a project is about to be unloaded (editor only). | available | not used | yes | yes
void | OnPreRestoreProject | Event is fired before a project backup is about to be restored. | available | not used | yes | yes
void | OnPreTransport | Event is fired before a project is transported | available | not used | yes | yes
void | OnPreVSTADebugStart | For internal use only | not used | not used | yes | yes
void | OnPreVSTADebugStop | For internal use only | not used | not used | yes | yes
void | OnPreVSTAUpdate | For internal use only | not used | not used | yes | yes
void | OnProjectLoaded | Event is fired when a project has been loaded (editor only). | available | not used | yes | yes
void | OnRTConnect | Event is fired when a remote transport connection has been established. | available | not used | yes | yes
void | OnRTConnectionFailed | Event is fired when a connection timeout has occured, and a remote transport connection could not be established. | available | not used | yes | yes
void | OnRTConnectionTerminated | Event is fired when a remote transport connection has been terminated. | available | not used | yes | yes
void | OnVSTADebugStart | For internal use only | not used | not used | yes | yes
void | OnVSTADebugStopped | For internal use only | not used | not used | yes | yes
void | OnWorkspaceExit |  | available | not used | yes | yes
void | OnWorkspaceStartup |  | available | not used | yes | yes

Noch in diesem Kapitel

OnWorkspaceStartup

OnWorkspaceExit

OnElementCreated

OnElementDeleted

OnElementDoubleClicked

OnPreBuild

OnPostBuild

OnPreTransport

OnPostTransport

OnProjectLoaded

OnPreProjectUnload

OnObjectCreated

OnRTConnect

OnRTConnectionFailed

OnRTConnectionTerminated

OnPreRestoreProject

OnPostRestoreProject

OnPreBackupProject

OnPostBackupProject

OnPreVSTADebugStart

OnVSTADebugStart

OnPreVSTADebugStop

OnVSTADebugStopped

OnPreVSTAUpdate

OnPostVSTAUpdate


OnWorkspaceStartup

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnWorkspaceStartup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnWorkspaceStartup() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnWorkspaceStartup()
If GetAsyncKeyState(VK_LSHIFT) <> 0 Then
SaveSetting "zenOn", "StartupScreen", "ShowOnStartup", "YES"
End If
If GetAsyncKeyState(VK_RSHIFT) <> 0 Then
SaveSetting "zenOn", "StartupScreen", "ShowOnStartup", "YES"
End If
If GetSetting("zenOn", "StartupScreen", "ShowOnStartup", "YES") = "YES" Then
frmStartup.Show
End If
'check vba references...
Call CheckVBAReferences
End Sub


OnWorkspaceExit

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnWorkspaceExit

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnWorkspaceExit() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnElementCreated

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnElementCreated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a new element is created within a picture.

Datatype

OnElementCreated(Element obElement) As void

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Returns an object of type Element

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obElement As Element

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnElementCreated(ByVal obElement As Element)
Dim obMpElem As CD_ManipulationElement

Set obMpElem = New CD_ManipulationElement
Set obMpElem.Parent = Me
Debug.Print "Element of Type " & obElement.Type & " created."

''>> The codeline below will set defaults to elements when they are created.
'obMpElem.SetDefault obElement
''>> The Defaultsettings are located in the classmodule "CD_ManipulationElement"
End Sub


OnElementDeleted

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnElementDeleted

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a element is deleted within a picture.

Datatype

OnElementDeleted(Element obElement) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnElementDoubleClicked

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnElementDoubleClicked

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a element has been double-clicked.

Datatype

OnElementDoubleClicked(Element obElement) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreBuild

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPreBuild

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the runtimefiles for a project will be built.

Datatype

OnPreBuild(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Returns an object of type Project

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obProject As Project

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnPreBuild(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' will be created!"
End Sub


OnPostBuild

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPostBuild

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the runtimefiles for a project were built.

Datatype

OnPostBuild(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Returns an object of type Project

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obProject As Project

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnPostBuild(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' are created!"
End Sub


OnPreTransport

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPreTransport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the runtimefiles should be transported to a remote pc.

Datatype

OnPreTransport(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Returns an object of type Project

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obProject As Project

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnPreTransport(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' will be transported!"
End Sub


OnPostTransport

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPostTransport

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when the runtimefiles have been transported to a remote pc.

Datatype

OnPostTransport(Project obProject, Boolean bSuccess) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Boolean return value, returns true if the transport was successfully.

Returns an object of type Project

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bSuccess As Boolean

obProject As Project

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnPostTransport(ByVal obProject As IProject, ByVal bSuccess As Boolean)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' were transported succesfully (" & bSuccess & ")!"
End Sub


OnProjectLoaded

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnProjectLoaded

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired, when a project was loaded.

Datatype

OnProjectLoaded(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreProjectUnload

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPreProjectUnload

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreProjectUnload(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnObjectCreated

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnObjectCreated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

This event is fired when a new object is created.A new object could be:

Datatype

OnObjectCreated(Dispatch obObject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Object, the type depends to the created object (Variable,Screen,...)

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obObject As Dispatch

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnObjectCreated(ByVal obObject As Object)
'this Event is fired, when a new object is created within a project...
Dim strObjectType As String
Dim obTemplate As Template
Dim obPicture As DynPicture
Dim obFunction As RtFunction
Dim obElement As Element
Dim obUser As User
Dim obRema As Rema
Dim obScript As Script
Dim obEdLimit As EdLimit
Dim obRGMRecipe As RGMRecipe
Dim obRecipe As Recipe
Dim obVarAssignment As VarAssignment
Dim obVariable As Variable
Dim obTimeFunction As TimeFunction
Dim ErrH As Label
On Error GoTo ErrH
'depending to the type of the created object, different actions can be done...
strObjectType = TypeName(obObject)
Select Case strObjectType
Case "ITemplate"
Set obTemplate = obObject
Debug.Print "Template created......> " & obTemplate.Name
Debug.Print "----- in Project......> " & obTemplate.Parent.Parent.Name
Case "IDynPicture"
Set obPicture = obObject
Debug.Print "Picture created.......> " & obPicture.Name
Debug.Print "---- in Project.......> " & obPicture.Parent.Parent.Name
Case "IRtFunction"
Set obFunction = obObject
Debug.Print "Function created......> " & obFunction.Name
Debug.Print "----- in Project......> " & obFunction.Parent.Parent.Name
Case "IElement"
Set obElement = obObject
Debug.Print "Element created.......> " & obElement.Name
Debug.Print "---- in Picture.......> " & obElement.Parent.Parent.Name
Debug.Print "---- in Project.......> " & obElement.Parent.Parent.Parent.Parent.Name
Case "IScript"
Set obScript = obObject
Debug.Print "Script created........> " & obScript.Name
Debug.Print "--- in Project........> " & obScript.Parent.Parent.Name
Case "IRema"
Set obRema = obObject
Debug.Print "REMA created..........> " & obRema.Name
Debug.Print "- in Project..........> " & obRema.Parent.Parent.Name
Case "IUser"
Set obUser = obObject
Debug.Print "User created..........> " & obUser.Name
Debug.Print "- in Project..........> " & obUser.Parent.Parent.Name
Case "IEdLimit"
Set obEdLimit = obObject
Debug.Print "Limit created.........> "
Debug.Print "---- Variable.........> " & obEdLimit.Parent.Name
Debug.Print "-- in Project.........> " & obEdLimit.Parent.Parent.Parent.Name
Case "IRGMRecipe"
Set obRGMRecipe = obObject
Debug.Print "RMG Recipe created....> " & obRGMRecipe.DynProperties("RecipeName")
Debug.Print "----- in RGM Group....> " & obRGMRecipe.Parent.DynProperties("Name")
Debug.Print "------- in Project....> " & obRGMRecipe.Parent.Parent.Parent.Name
Case "IRecipe"
Set obRecipe = obObject
Debug.Print "Recipe created........> " & obRecipe.Name
Debug.Print "--- in Project........> " & obRecipe.Parent.Parent.Name
Case "ITimeFunction"
Set obTimeFunction = obObject
Debug.Print "TimeFunction created..> " & obTimeFunction.Name
Debug.Print "--------- in Project..> " & obTimeFunction.Parent.Parent.Name
Case "IVarAssignment"
Set obVarAssignment = obObject
Debug.Print "VarAssignment created.> " & obVarAssignment.Name
Debug.Print "---------- in Project.> " & obVarAssignment.Parent.Parent.Name
Case "IVariable"
Set obVariable = obObject
Debug.Print "Variable created......> " & obVariable.Name
Debug.Print "----- in Project......> " & obVariable.Parent.Parent.Name
Case Else
Debug.Print strObjectType
End Select
Exit Sub
ErrH:
Debug.Print "[ERROR] " & Err.Number & " - " & Err.Description
Resume Next
End Sub


OnRTConnect

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnRTConnect

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnRTConnect(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRTConnectionFailed

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnRTConnectionFailed

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnRTConnectionFailed(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRTConnectionTerminated

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnRTConnectionTerminated

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnRTConnectionTerminated(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreRestoreProject

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPreRestoreProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreRestoreProject(String bsGuid, String bsName,String bsFile) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPostRestoreProject

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPostRestoreProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPostRestoreProject(String bsGuid, String bsName,String bsFile,Boolean bSuccess) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreBackupProject

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPreBackupProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreBackupProject(String bsGuid, String bsName,String bsFile) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPostBackupProject

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPostBackupProject

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPostBackupProject(String bsGuid, String bsName,String bsFile,Boolean bSuccess) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreVSTADebugStart

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPreVSTADebugStart

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreVSTADebugStart() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnVSTADebugStart

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnVSTADebugStart

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnVSTADebugStart() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreVSTADebugStop

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPreVSTADebugStop

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreVSTADebugStop() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnVSTADebugStopped

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnVSTADebugStopped

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnVSTADebugStopped() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreVSTAUpdate

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPreVSTAUpdate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPreVSTAUpdate() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPostVSTAUpdate

Manuale -> Scripting -> Objectmodel -> ZenWorkspace -> ZenWorkspace-Events -> OnPostVSTAUpdate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Remarks

Datatype

OnPostVSTAUpdate() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Server di archiviazione

Manuale -> Server di archiviazione

In zenon, il server archivi svolge i compiti di salvataggio di dati di processo, nonché di export dei dati archiviati. I dati sono poi a disposizione degli utenti che ne possono effettuare in un secondo momento l´analisi e la modifica - anche all´esterno di zenon.

Il modulo Server archivi è a Vostra disposizione in zenon in due versioni:

  • Server di archiviazioneStarter Edition: versione con funzionalità limitate.
  • Versione con licenza del server archivi

tutorial Informazioni sulla licenza

Nell´Editor e Runtime (standalone, server, standby) è necessaria una licenza.

Nota: La Starter Edition a funzionalità ridotta del Server di archiviazione è compresa nella licenza standard. Essa non è disponibile per le versioni con licenza I/O.

Il Server archivi si trova nel Manager di progetto.

In zenon avete la possibilità di analizzare e elaborare dati d'archivio con:

  • un´immagine del tipo Post-elaborazione archivio
  • Trend esteso
  • Generatore Report
  • Report Viewer
  • zenon Analyzer

Noch in diesem Kapitel

Informazioni generali

Tipi di archiviazione

Concetto dell´archiviazione

Progettazione nell'editor

Funzioni

Gestione durante il runtime

Uso di dati d'archivio in zenon:

Ulteriori informazioni


Informazioni generali

Manuale -> Server di archiviazione -> Informazioni generali

L´archiviazione avviene secondo diversi metodi e con diversi tipi di registrazione.

Per usare l´archiviazione:

  • Impostate degli archivi e degli archivi in cascata nell´Editor Editor.
  • Fate in modo che il sistema visualizzi a vostro beneficio nel Runtime gli archivi usando un´immagine del tipo post-elaborazione archivi.
  • Salvate i dati d'archivio in diversi formati.
  • Analizzate i dati d'archivio con altri moduli, come Trend esteso, Generatore Report, Report Viewer e zenon Analyzer.

Ora

Quando salvano i dati, gli archivi usano il tempo UTC. L´ora locale che viene settata sul computer, si compone di: UTC + fuso orario + ora legale/ ora solare. Il Runtime zenon considera automaticamente l´ora locale quando interroga gli archivi.

Informazioni dettagliate

Informazioni dettagliate su formati, tempo e tipi RDA, le trovate nel capitolo Ulteriori informazioni.

Noch in diesem Kapitel

Versione con licenza del server archivi

Server Archivi Starter Edition


Versione con licenza del server archivi

Manuale -> Server di archiviazione -> Informazioni generali -> Versione con licenza del server archivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sul PC, è possibile passare in qualsiasi momento dalla Starter Edition del Server archivi a quella completa del modulo, mantenendo la compatibilità dei dati (estensione della licenza).

  • Se disponete di una licenza valida per il Server di archiviazione, sono a vostra disposizione tutte le funzionalità di questo modulo.
  • Per il runtime di Windows CE 6.0, la Starter Edition del server archivi è disponibile come opzione insieme alla Starter Edition del Trend Esteso (export sotto CE solo in formato CSV).

Funzioni della versione con licenza

La versione con licenza del server di archiviazione dispone di:

  • Registrazione dati: ciclica, gestita dagli eventi, al cambiamento di valore.
  • Compressione dati a cascata (archivi in cascata)
  • Registrazione lotti
  • Archiviazione RDA
  • Salvataggio in SQL
  • Start/stop della registrazione definiti dagli utenti
  • Esecuzione della funzione In corrispondenza dell'avvio e della fine dell´archivio.
  • Trasferimento dati automatico
  • Creazione automatica di archivi di sostituzione.
  • Export dei dati tramite funzione (per es. in XML)
  • Post-elaborazione manuale dei dati d'archivio.

Salvataggio in SQL

La versione con licenza del server archivi può essere estesa con il salvataggio in SQL. Deve essere stata registrata la licenza per il zenon SQL Server.


Server Archivi Starter Edition

Manuale -> Server di archiviazione -> Informazioni generali -> Server Archivi Starter Edition

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel pacchetto standard della versione di < CD_PRODUCTNAME >a base TAG sul PC, è contenuta la versione ridotta del Server di archiviazione, vale a dire la sua Starter Edition.

Limitazioni

La Starter Edition si basa sul server archivi standard, ma presenta le seguenti limitazioni:

  • nessun RDA
  • nessuna creazione di archivi definita dall´utente mediante le funzioni Partenza archivio e Termina archivio
  • nessuna registrazione in caso di una variazione del valore o archiviazione gestita dagli eventi, ma solo tipo di registrazione ciclica.
  • nessun dislocamento dei dati
  • nessun archivio in cascata
  • nessuna archiviazione batch
  • nessuna possibilità di post-elaborazione manuale dei dati d'archivio
  • Export sotto CE possibile solo in formato ASCII (su PC anche in XML e DFB).
  • I dati archivio possono essere salvati solamente nel formato ARX.

attention Attenzione
  • Se nell'Editor è disponibile solo la licenza per la Starter Edition del server archivi, non possono essere configurate tutte quelle funzionalità che superano i limiti della stessa.
  • Se nel Runtime è disponibile solo la licenza per la Starter Edition del server archivi, non possono essere avviati tutti quegli archivi che superano i limiti della stessa. Viene generato un inserimento nel server di diagnosi.
    Anche dal report e dalla post-elaborazione archivi non possono poi essere eseguite delle operazioni di salvataggio.
    Esempio: Un archivio è configurato con la previsione della registrazione in caso di modifica di valori. Non viene avviato nel runtime. Quindi non vengono neppure registrati dei dati per l'archivio.

Nota: Per le versioni I/O dotate di licenza, la Starter Edition non è disponibile.


Tipi di archiviazione

Manuale -> Server di archiviazione -> Tipi di archiviazione

L´archiviazione si basa sul principio della cascata di archivi. In questo caso, le variabili desiderate vengono registrate in un archivio di base e trasferite tramite funzioni di compressione in un archivio in cascata. Questo procedimento può essere ripetuto quante volte si vuole. Gli archivi possono essere realizzati in modo diversi. Per ognuno di questi modi sono a disposizione da uno a tre tipo di registrazione.

Creazione:

Un archivio può essere creato in modi diversi:

  • In corrispondenza dell'avvio e della fine del Runtime:
    L´archivio è sempre attivo quando lo è il Runtime.
  • Definito da utente:
    L´intervallo di tempo in cui dei dati possono essere scritti nell´archivio viene determinato tramite le funzioni Partenza archivio e Termina archivio.
  • RDA (Real Time Data Acquisition)
    Legge i valori archiviati nel PLC e li salva in un archivio di zenon.

Tipi di registrazione

I dati possono essere registrati in archivi con diversi metodi:

  • Ciclici:
    I valori delle variabili assegnate vengono scritti nell'archivio ciclicamente, vale a dire sulla base di un intervallo di tempo definito. Il valore per millisecondi viene settato nel time-stamp automaticamente su 0.
  • Gestito da eventi:
    All´archivio viene assegnata una variabile-trigger.. Ogni qualvolta il valore della variabile trigger viene settato su 1, sono scritti nell´archivio i valori di quelle variabili che sono state assegnate all´archivio nella selezione delle variabil.
  • Al cambiamento valore:
    I valori delle variabili assegnate vengono scritti nell'archivio ad ogni loro variazione.
    Nota: Al fine di limitare la quantità di dati, nel caso di questa forma di registrazione si consiglia la configurazione di un´Isteresi, specialmente Negativa per l'archivio e Positiva per l'archivio. I dettagli a questo proposito li trovate ne capitolo isteresi nella parte della guida in linea dedicata alle variabili.

Quale tipo di registrazione è a vostra disposizione dipende dal metodo con il quale viene creato l´archivio.

attention Attenzione

In un archivio del tipo Al cambiamento valore , le variabili vengono salvate anche in concomitanza di ogni modifica di stato.

Ad esempio: Se viene fermato un driver, tutte le sue variabili ricevono lo stato OFF. Per questo motivo, uno stop e start del driver causa due inserimenti:

  1. OFF
  2. SPONT oppure GI (nel caso di una riconnessione coronata da successo)

Ciò accade anche se il valore della variabile non cambia.

Compressione

La funzione di compressione viene inizializzata alla fine del ciclo di memorizzazione. Sono a disposizione le seguenti funzioni di compressione:

  • somma
  • Media valori
  • Minimo
  • Massimo

In un progetto possono essere utilizzate anche più archivi in cascata parallelamente.

attention Attenzione

Variabili stringa non possono essere compresse.

In memoria

Per conservare un completo ciclo di memorizzazione, i dati d'archivio possono essere salvati, oppure esportati mediante una funzione.

In memoria

Descrizione

Database (banca dati)

Per ogni archivio esistono dei file nei quali può essere salvato il numero definito di cicli archivio. In caso di superamento del numero configurato di file, quelli in eccedenza possono essere o rigettati, oppure esportati.

Esportazione file

Dopo la chiusura di un ciclo d'archivio, esso viene immediatamente esportato su un file.

Funzione di esportazione

L´export di archivi salva degli archivi con filtro tempo nei seguenti formati file standard:

  • ASCII
  • dBase
  • SQL
  • XML

A questo proposito vale quanto segue:

  • I file possono essere salvati localmente e su calcolatori in rete.
  • I nomi dei file vengono generati dal sistema.
  • Il nome contiene anno, mese, giorno, ora, minuto e secondo dell´effettuazione dell´export:
    JJMMTThhmmss.XML

Noch in diesem Kapitel

In corrispondenza dell'avvio e della fine del Runtime

Avviare e interrompere archiviazione tramite funzioni

RDA - Real Time Data Acquisition


In corrispondenza dell'avvio e della fine del Runtime

Manuale -> Server di archiviazione -> Tipi di archiviazione -> In corrispondenza dell'avvio e della fine del Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa forma di archiviazione, l´archivio viene avviato al momento dello start del Runtime e viene chiuso quando viene terminato il Runtime. La registrazione dei dati può avvenire come segue:

  • Ciclicamente
  • Gestita da eventi
  • Al cambiamento valore


Avviare e interrompere archiviazione tramite funzioni

Manuale -> Server di archiviazione -> Tipi di archiviazione -> Avviare e interrompere archiviazione tramite funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´archiviazione nel Runtime di zenon può essere gestita anche manualmente facendo uso delle funzioni Partenza archivio e Termina archivio .

Finché è attivo, dei valori possono essere scritti nell´archivio. Nel caso di archiviazione mediante funzioni, la registrazione può avvenire come segue:

  • Ciclicamente
  • Gestita da eventi
  • Al cambiamento valore


RDA - Real Time Data Acquisition

Manuale -> Server di archiviazione -> Tipi di archiviazione -> RDA - Real Time Data Acquisition

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La funzionalità RDA viene utilizzata per leggere i valori salvati nel PLC e per salvarli in un archivio di zenon. La registrazione può avvenire come segue:

  • Al cambiamento valore

Un tipico campo di applicazione è rappresentato dai PLC che non comunicano permanentemente con zenon, oppure devono archiviare molti valori in un breve intervallo di tempo.
Ad esempio: Per un PLC con comunicazione a cambiamento di valore, o valore devono essere archiviati in un intervallo di <100 ms. zenon consente al minimo 100 ms. In questo caso, i valori vengono raccolti nel controller e letti come blocco mediante RDA.

RDA può essere usato anche per analisi post mortem in caso di errori sul controller, sempre che quest´ultimo supporti questa operazione.

Configurazione

Per configurare RDA:

  1. Definite le variabili nel PLC.
    • Nel PLC deve essere creata per ogni variabile RDA un´area lineare distinta, continua.
    • Il tipo di dato per la variabile non può essere inferiore a quello in cui è organizzato il PLC.
    • La prima variabile della zona riservata alle variabili RDA nel PLC serve da trigger per attivare il processo di trasferimento.
      Ciò significa: se questa variabile viene settata dal PLC su 1 (o >0), i valori successivi (come definito nell´Header) vengono caricati e archiviati in zenon. Una volta archiviati questi valori, il driver setta la variabile automaticamente al valore 0.
  2. Definite la variabile in zenon.

    I valori vengono visualizzati nell´archivio nel formato del tipo di dato della variabile RDA.
    Esempio: Se nel´archivio i valori devono essere visualizzati come numero in virgola mobile (REAL), la variabile RDA deve avere il tipo di dato REAL.

    Attenzione: La proprietà di variabile Tipo di registrazione per Salvataggio dati su disco fisso deve essere impostata su Valori risorteggiati (RDA).

  3. Create l´archivio in zenon e selezionate le variabili RDA.
    L´archivio deve essere impostato come modo di registrazione Al cambiamento di valore.

Nota: Informazioni dettagliate sull´archiviazione RDA le trovate nel capitolo RDA, nella sezione Ulteriori informazioni.

info Informazioni su

Se un driver supporta RDA o meno, lo potete verificare consultando la documentazione del driver in questione.

I driver con comunicazione simbolica in genere non supportano RDA. Per alcuni di questi driver, però, esiste una soluzione alternativa. Le informazioni a questo proposito le trovate nella documentazione del driver in questione e nel capitolo Note.


Concetto dell´archiviazione

Manuale -> Server di archiviazione -> Concetto dell´archiviazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In linea di principio, per ogni progetto possono essere aperti fino a 1296 diversi archivi. Questo numero risulta dalle possibilità di denominazione ed identificazione breve: Due caratteri alfanumerici (A-Z, 0-9) danno come risultato 362 archivi. Pro archivio si può impostare un numero qualsiasi di variabili. Il numero degli archivi chiusi e salvati è limitato solamente dallo spazio di memoria a disposizione.

Già prima della creazione degli archivi, si deve stabilire quali dati devono essere archiviati e in quale granularità.

Consigli:

  • Fate in modo che gli archivi siano facili da gestire ed evitate di salvare enormi quantità di dati, perché:
    • Archivi non necessari occupano prezioso spazio di memoria e rappresentano un carico inutile per il calcolatore.
    • Archivi troppo grandi richiedono un grande impiego di risorse e di tempo nel Runtime per essere visualizzati.
  • Cercate di riconoscere quali siano i nessi fra i dati e organizzate i vostri archivi anche sulla base di queste considerazioni.

Questioni basilari

Prima di passare alla progettazione dei vostri archivi, dovreste realizzare un concetto generale. Importante è decidere quanto segue:

  • Quali dati devono essere archiviati,
    • in quali intervalli,
    • tramite quale driver/quale protocollo,
    • a quale scopo.
  • Quali dati devono essere usati
    • in quali moduli di zenon o applicazioni esterne.

Origine dati

L´origine dei dati è uno dei punti più importanti da considerare al momento della creazione di una archivio Le cose da tenere presente sono soprattutto:

  • Di che tipo sono i dati?
  • Come vengono trasferiti i dati a zenon?

Ulteriori informazioni importanti per la configurazione:

  • Driver:
    Quali driver instaurano la connessione con il PLC?
    I dati possono essere scritti in un archivio solo nella misura in cui il driver è in grado di fornirli.
  • Granularità:
    Quanto dettagliata deve essere la registrazione dei dati?
    Per esempio: Per lo più, per un contatore dell´acqua è sufficiente archiviare un valore al giorno. Per una pressa di una fabbrica di automobili, invece, può essere necessario registrare le variazioni di valore nel giro di pochi millisecondi.
  • Periodo di conservazione dell´archivio:
    Per quanto tempo devono essere disponibili i dati in zenon?
    Quanto più dati si archiviano in un certo lasso di tempo, tanto maggiore è lo spazio di memoria necessario
  • Granularità per archiviazione a lungo termine:
    Nel caso di grandi quantità di dati, risulta di grande importanza sapere in anticipo per quanto tempo essi dovranno essere disponibili in una certa risoluzione. Per esempio: è necessario usare i dati anche dopo anni nella risoluzione nella quale sono stati raccolti? Oppure basta avere a disposizione valori medi o somme per lunghi periodi? In quest´ultimo caso, in zenon si procede alla creazione di archivi in cascata.

Uso dei dati

Non solamente l´origine dei dati gioca un ruolo importate nell´archiviazione, ma anche il loro uso futuro in zenon .

I dati d'archivio vengono usati soprattutto in trend e report. Per limitare il carico della memoria di lavoro e i tempi di caricamento, i dati devono essere preparati nel modo più efficiente possibile.

Nota: Incapsulate i dati sempre in modo corrispondente al loro uso. Ciò significa: Si deve scegliere in modo oculato il ciclo di salvataggio degli archivi. L´intervallo di tempo dei dati un una capsula dovrebbe corrispondente a quello dei dati usati in zenon.

Ad esempio: Devono essere esaminati i dati degli ultimi dieci minuti in un trend. Se si salva per ogni giorno solamente una capsula pro archivio, dovrà essere letto l´intero archivio di un giorno per visualizzare i dati di 10 minuti. Il che significa, che la maggior parte dei dati dovrà essere caricata inutilmente. Se, invece, si salvano le capsule in intervalli di 1 minuto, bisognerà aprire solamente 10 capsule per avere i dati desiderati.

Nel formulare il concetto per l´uso dei dati, si dovrà trovare un equilibrio fra contenuto dell´informazione pro capsula a il numero di file richiesto. Metodi di uso frequente:

  • Concepire differenti archivi per diversi scopi.
    Per esempio archivi destinati al salvataggio dati a lungo termine e archivi per l´uso in trend, che vengono salvati solo per breve tempo.
  • Raccogliere in un archivio quei dati che vengono usati insieme.
    Per esempio raccogliere tutti i dati che debbono essere usati in un trend in un archivio destinato a servire per la visualizzazione nel trend in questione. In tal modo si evita che debbano essere caricate per diverse curve in un trend più capsule che contengono eventualmente anche dei dati che non hanno nessun rilievo per il trend stesso.

Risoluzione di stampa e risoluzione dello schermo

Specialmente nel caso dell´uso di dati nel modulo Trend esteso, la risoluzione dello schermo, o quella della stampa giocano un ruolo decisivo. Questo perché la risoluzione limita di fatto il numero di valori per curva che possono essere rappresentati in modo significativo. Se la curva trend viene visualizzata in un elemento della larghezza di 1.000 pixel, non potranno essere rappresentati più di 100 valori a curva.

Noch in diesem Kapitel

Best Practice


Best Practice

Manuale -> Server di archiviazione -> Concetto dell´archiviazione -> Best Practice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel configurare gli archivi si deve tenere presente soprattutto i seguenti fattori: di quali dati si ha bisogno? A quale intervallo di tempo devono riferirsi? per quale scopo se ne ha bisogno? È molto importante cercare di ottimizzare dimensione e numero degli archivi. Degli archivi troppo grandi, infatti, possono rappresentare un carico troppo grande per il calcolatore e richiedere uno spazio di memoria troppo esteso, oppure possono rallentare o intralciare il funzionamento del Runtime. Quali tipi di registrazione e tempi di ciclo vengono supportati, dipende dal PLC e dal driver.

In questo capitolo trovate dei consigli che possono risultare utili nella configurazione degli archivi.

Configurazione per il tipo di registrazione "Al cambio di valore"

Il tipo di registrazione Al cambio di valore salva ogni modifica. Ciò significa che si può avere, con fino a 10 valori al secondo, una somma di 36000 valori che devono essere salvati per ogni ora. Se si vogliono visualizzare dei grandi intervalli di tempo, il sistema deve leggere nel Runtime degli archivi di grandi dimensioni. Vengono letti sempre tutti i valori di tutte le variabili, anche se viene visualizzata solamente una variabile. È possibile determinare quale deve essere il numero massimo dei valori da leggere nella memoria per il Trend esteso, la post-elaborazione archivi, l´AML, la CEL e le tabelle. Di Default, la grandezza è limitata a 1 GB. Essa può essere però adattata mediante lo zenon6.ini usando l´inserimento SPEICHER=.

Consigli:

  • Stabilite prima di tutto quali variabili causano il numero maggiore di inserimenti.
  • Configurate poi l´Hysterese per valori fluttuanti. In tal modo, il numero degli inserimenti verrà ridotto.
  • Adattate il valore di SPEICHER= al vostro sistema.
  • Verificate lo sviluppo della dimensione dei file d'archivio su un sistema di test, prima di implementare la configurazione nel processo produttivo.

Configurazione della visualizzazione in un trend.

I dati visualizzabili in un trend sono limitati anche dalle caratteristiche concrete di schermo e stampa. Se, ad esempio, un diagramma di trend si estende per 1440 pixel, in teoria potrà essere visualizzato un massimo di 1440 valori. Se per un valore devono essere a disposizione 5 pixel, ciò corrisponde ad un valore ogni 5 minuti nell´ambito di 24 ore.

Consigli:

  • Verificate quali dati ed intervalli di tempo sono necessari nel Runtime.
  • Raccogliete le variabili che vengono visualizzate insieme in un solo archivio, anziché dividere gli archivi in base alle variabili.
  • Usate gli archivi in cascata.
  • Adattate i cicli di memorizzazione degli archivi e degli archivi in cascata agli intervalli di tempo che intendete visualizzare.

    Quanto meno dati ridondanti devono essere letti e trasmessi in rete, tanto più modesto è il consumo di risorse nel Runtime.

  • Per grandi intervalli di tempo, usate la funzione di zoom al fine di visualizzare i dati da archivi in cascata, anziché tutti i dati di un archivio di base.
  • Indicizzate il file Runtime (proprietà di progetto Indicizza file Runtime).
  • Indicizzate le variabili lotti (configurazione degli archivi).
  • Quando avete a che fare con grandi quantità di dati, disattivate la funzione di aggiornamento automatico della visualizzazione nel trend.

Configurazione del reporting

Consigli:

  • Usate il tipo di registrazione Al cambio di valore solo quando assolutamente necessario.
    Tenete presente che la registrazione di ogni modifica può causare l´accumularsi di grandi quantità di dati.
  • Usate gli archivi con registrazione ciclica.
  • Adattate gli intervalli di registrazione e i cicli di memorizzazione ai periodi che volete visualizzare.


Progettazione nell'editor

Manuale -> Server di archiviazione -> Progettazione nell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli archivi sono creati e gestiti nell´Editor, nel modulo Server di archiviazione.

Noch in diesem Kapitel

Visualizzazione dettagliata

Barra degli strumenti e menù contestuali

Creare un nuovo archivio

Modifica archivio

Archivio compresso

Aggiungere e cancellare delle variabili

Archiviazione lotti

Crea un'immagine del tipo Post-elaborazione archivio


Visualizzazione dettagliata

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Visualizzazione dettagliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli archivi vengono visualizzati nella visualizzazione dettagli in una tabella. Le colonne di questa tabella sono configurate in modo fisso e non possono essere modificate individualmente. La larghezza delle colonne può essere adattata con il mouse. Nelle colonne può essere effettuata una ricerca incrementale.

Colonne tabella

Per ogni archivio, viene visualizzato quanto segue:

  • Archivi
  • Start, stop
  • Inizio
  • Registrazione
  • Dislocazione
  • Variabile Lotto
  • Quantità
  • Dimensione stimata

Ricerca nella tabella.

Per effettuare una ricerca nella tabella:

  1. Cliccate sull´intestazione colonna desiderata.
  2. Un simbolo (binocolo) segnala che la ricerca avviene in questa colonna.
  3. Inserite il criterio di ricerca.
  4. Il primo inserimento corrispondente trovato viene selezionato.


Barra degli strumenti e menù contestuali

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Barra degli strumenti e menù contestuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Albero di progetto

Menù contestuale Server archivi

Voce di menù | Azione
Nuovo archivio | Apre l´assistente per la creazione di un nuovo archivio.
Esporta tutti in XML | Esporta tutti gli archivi in un file XML.
Importa XML | Importa file XML.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Apre la guida online.

Visualizzazione dettagliata

Barra simboli Server archivi e Archivi

Parametri | Descrizione
Nuovo archivio | Apre l´assistente per la creazione di un archivio.
Nuovo archivio in cascata | Apre l´assistente per la creazione di un archivio in cascata.
Modifica archivio | Attiva il dialogo per editare l´archivio selezionato.
Aggiungi variabile | Apre il dialogo che serve alla selezione delle variabili.
Rimuovi variabile | Cancella variabili dalla lista senza controllo sicurezza.
Torna all'elemento di partenza | Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza. Nel menu contestuale esistente solamente, se aperto come elemento collegato.
Elimina | Cancella l´archivio selezionato.
Esporta selezione in XML | Esporta tutti gli archivi selezionati in un file XML.
Importa XML | Importa file XML.
Rinomina | Consente di modificare il nome dell´archivio.
Guida | Apre la guida online.

Menù contestuale Server archivi

Voce di menù | Azione
Nuovo archivio | Apre l´assistente per la creazione di un nuovo archivio.
Salva | Salva gli archivi nuovi e quelli modificati.
Esporta tutti in XML | Esporta tutti gli archivi in un file XML.
Importa XML | Importa file XML.
Guida | Apre la guida online.

Menù contestuale Archivio

Voce di menù | Azione
Modifica archivio | Attiva il dialogo per editare l´archivio selezionato.
Aggiungi variabile | Apre il dialogo che serve alla selezione delle variabili.
Nuovo archivio in cascata | Apre l´assistente per la creazione di un archivio in cascata.
Crea template | Apre il dialogo per la creazione di un modello per archivi in cascata.
Importa template | Apre il dialogo per importare un modello per archivi in cascata.
Elimina | Cancella l´archivio selezionato.
Esporta selezione in XML | Esporta tutti gli archivi selezionati in un file XML.
Importa XML | Importa file XML.
Rinomina | Consente di modificare il nome dell´archivio.
Guida | Apre la guida online.

Menù contestuale Archivio in cascata

Voce di menù | Azione
Modifica archivio | Attiva il dialogo per editare l´archivio selezionato.
Aggiungi variabile | Apre il dialogo che serve alla selezione delle variabili.
Nuovo archivio in cascata | Apre l´assistente per la creazione di un archivio in cascata.
Elimina | Cancella l´archivio selezionato.
Esporta selezione in XML | Esporta tutti gli archivi selezionati in un file XML.
Importa XML | Importa file XML.
Rinomina | Consente di modificare il nome dell´archivio.
Guida | Apre la guida online.

Menù contestuale Lista variabili

Voce di menù | Azione
Aggiungi variabile | Apre il dialogo che serve alla selezione delle variabili.
Guida | Apre la guida online.

Menù contestuale Variabili

Voce di menù | Azione
Rimuovi variabile | Cancella variabile dalla lista. Attenzione: La cancellazione viene effettuata senza che il sistema faccia un richiesta di conferma.
Guida | Apre la guida online.


Creare un nuovo archivio

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Creare un nuovo archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete creare degli archivi sia manualmente, che con l´aiuto di un assistente. Per poter avviare l´assistente, dovete attivare nell´Editor, nel menù Opzioni/Impostazioni, l´opzione usa assistente.

Per creare un nuovo archivio con l´aiuto dell´assistente:

  1. Verificate anzitutto che l´opzione usa assistente sia attiva.
  2. Navigate per raggiungere il nodo Server di archiviazione.
  3. selezionate nel menù contestuale oppure nella barra degli strumenti Nuovo archivio
  4. L´assistente viene avviato. Seguite le istruzioni dell´assistente .

Per creare un nuovo archivio in modo individuale:

  1. Navigate per raggiungere il nodo Server di archiviazione.
  2. selezionate nel menù contestuale oppure nella barra degli strumenti Nuovo archivio
  3. Si apre la finestra di dialogo Nuovo archivio.
    Se l´assistente dovesse essere avviato, chiudetelo usando il pulsante Annulla.
  4. Configurate l´archivio in modo corrispondente alla finestra di dialogo Modifica archivio.

Noch in diesem Kapitel

Assistente


Assistente

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Creare un nuovo archivio -> Assistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L'assistente Vi aiuta nel lavoro di base di progettazione di un archivio. L´assistente vi aiuta nel processo di creazione di archivi e archivi in cascata. Consente l´inserimento di nome e nome breve dell'archivio, rende possibile la selezione di variabili e modelli, nonché le impostazioni per il tipo di registrazione dei valori delle variabili.

Parametri | Descrizione
Avanti | Passa alla pagina successiva dell'assistente.
Indietro | Passa alla pagina precedente dell'assistente.
Annulla | Vengono rifiutate tutte le impostazioni effettuate. Non viene creato nessun archivio.
Termina | Disponibile solamente al termine dell´assistente. Chiude l'assistente. Il nuovo archivio viene inserito nella visione ad albero degli archivi (sezione lista del Manager di progetto).

Se volete configurare l'archivio senza far ricorso all'aiuto dell'assistente, cliccate su Annulla.

Se l´assistente non dovesse essere visualizzato:

  1. aprite nell´Editor il menù a tendina Opzioni
  2. selezionate le Impostazioni
  3. attivate nella scheda Impostazioni l`opzione Utilizza Assistenti di configurazione

Configurazione con assistente

  1. Dopo l´avvio dell´assistente cliccate sul pulsante Avanti. La configurazione inizia con l´assegnazione del nome e di una descrizione breve.
  2. Assegnate una descrizione breve (2 caratteri sono obbligatori) e un nome.

    • Nome breve: 2 caratteri. Può contenere solamente caratteri alfanumerici: vale a dire le lettere dalla A alla Z e cifre da 0 a 9, ma non sono consentiti né carattere particolari legati ad un determinato paese, né caratteri speciali.
      Nota: Il nome breve non può essere modificato in seguito.
    • Nome: Inserimento di un nome valido per l´archivio.
      I seguenti caratteri sono proibiti: / \ : * ? < > ! | " ' # % @
      Il nome, invece, può essere cambiato in un secondo momento.
  3. Cliccate su Avanti.
  4. Viene configurata la selezione variabili.

    1. Cliccate sul pulsante Seleziona variabili
    2. Si apre la finestra di dialogo che serve alla selezione delle variabili che devono essere archiviate.
    3. Selezionate le variabili desiderate
  5. Cliccate su Avanti.

    Viene selezionato il modello da usare per la struttura di compressione desiderata.

    Cliccate sul pulsante Selezione template per aprire la Finestra di dialogo per la selezione di un modello.

    • Dei modelli possono essere importati solo per archivi base con registrazione ciclica. Questi archivi non possono ancora avere alcun archivio in cascata.
    • La finestra di dialogo verrà aperta solamente nel caso esista almeno un modello.

    Attenzione: il sistema non verifica se il modello contiene una struttura a cascata valida.

    Ulteriore procedura dell´assistente;

    • Selezione di un modello: A questo punto l´assistente viene chiuso. Cliccate sul pulsante Termina.
    • Nessun modello selezionato: Cliccate su Avanti per configurare individualmente il tipo di registrazione.
  6. Configurate il tipo di registrazione nel caso in cui non abbiate scelto nel passo precedente nessun modello.

    Selezione del tipo di registrazione fra quelli della lista a cascata.

  7. Cliccate su Avanti.

    Configurate nuovi archivi in cascata, se lo desiderate.

    1. Cliccate su Nuovo per creare un nuovo archivio in cascata, o su "Modifica" per cambiare il nome di un archivio già esistente.
    2. Assegnate all´archivio in cascata i tipi di compressione desiderati. Questi ultimi valgono sempre per tutti gli archivi in cascata visualizzati in questa finestra di dialogo.
    3. Per cancellare un archivio in cascata, cliccate su Cancella.
  8. Chiudete l´assistente cliccando sul pulsante Termina.

Tipi di registrazione possibili

Parametri

Descrizione

Registrazione ciclica

Impostate il tempo di ciclo.

Registrazione spontanea

Configurate:

  • eventuale salvataggio dell´immagine di processo.
  • se necessario, valore di inizializzazione.

Registrazione ad evento

Configurate:

  • una variabile d´evento cliccando sul pulsante ...
  • il timestamp
  • se necessario, valore di inizializzazione.

Per i dettagli vedi capitolo Tipo di registrazione.

info Informazioni su

Nel caso si tratti di un archivio nuovo, viene visualizzata la finestra di dialogo del tipo di registrazione. Non però nel caso di un archivio in cascata, visto che questo tipo di archivi effettua sempre una registrazione a cambio di valore.


Modifica archivio

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Modifica archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per modificare degli archivi:

  1. selezionate l´archivio desiderato
  2. selezionate nel menù contestuale oppure nella barra degli strumenti Modifica archivio, oppure premete il tasto INVIO.
  3. si apre la finestra di dialogo per configurare un archivio

Nota: questa finestra di dialogo si aprirà anche quando viene creato un nuovo archivio e l´assistente è disattivato.

Noch in diesem Kapitel

Proprietà

Runtime

Registrazione

Salva

Opzioni

P.es.:


Proprietà

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Modifica archivio -> Proprietà

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda definite la denominazione e selezionate variabili, lotti e modelli di impianto.

Nota: Preziose indicazioni concernenti la configurazione delle proprietà degli archivi in cascata le trovate nel capitolo Archivi in cascata.

Nome

Parametri

Descrizione

Nome

Nome e identificazione dell´archivio.

Identificazione

Identificazione univoca dell´archivio, consistente di due caratteri. Questa identificazione viene integrata nel nome del file ARX al momento del salvataggio dei dati d'archivio e viene usata nell´assegnazione automatica del nome al momento dell´export. In tal modo si assicura la corretta assegnazione dei dati all´archivio.

Attenzione: L´identificazione può essere assegnata solo al momento della creazione di un nuovo archivio. Non può essere più modificata in un secondo momento.
Nota: Per l´identificazione sono consentiti solamente caratteri alfanumerici (A-Z e 0-9). In tal modo si evitano eventuali problemi nell´effettuare l´export e la dislocazione degli archivi.

Nome archivio

Nome dell´archivio liberamente assegnabile.

Nota: I seguenti caratteri sono proibiti: / \ : * ? < > ! | " ' # % @

Gestione variabili

Visualizzazione e configurazione delle variabili di cui si deve tener conto in questo archivio.

  • Aggiungere variabili:
    Selezionate nel menù contestuale Aggiungi variabile. Potete aggiungere al Vostro archivio le variabili provenienti da tutti i progetti che si trovano nello stesso workspace. Assicuratevi che le variabili di altri progetti siano effettivamente disponibili nel Runtime.
  • Cancellare variabili:
    Selezionate la variabile e scegliete nel menù contestuale il comando Cancella variabile.

Nota: La ridondanza senza perdita di dati è supportata solamente per quelle variabili che provengono dallo stesso progetto dell´archivio.

Lotto

Parametri

Descrizione

Lotto

Configurazione di lotti Vedi anche capitolo Archiviazione lotti.

Variabile Lotto

Selezione di variabili lotti Esse devono essere del tipo String. Il valore delle variabili viene usato come nome charge. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione delle variabili.

Nota: Il valore delle variabili viene usato come nome charge. Mentre l´archivio è aperto, il valore della variabile può cambiare, e, con esso, anche il nome charge. Tenetelo presente al momento di effettuare l´operazione di filtro. Il valore delle variabili al momento della chiusura dell´archivio viene usato come nome charge definitivo.

Indicizza Lotto

Attivo: I valori dei lotti di questo archivio vengono indicizzati automaticamente. Ciò consente l´accesso rapido ai valori lotti.

Nel Runtime, i lotti possono essere indicizzati anche tramite la funzione Indicizza file d'archivio.

Progettazione impianto

Parametri | Descrizione
Progettazione impianto | Configurazione di modelli di impianto.
Gruppi d'impianti | Selezione di un gruppo di impianti per l´archivio. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un gruppo di impianti.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

info Informazioni su

Gli archivi possono contenere delle variabili di sotto-progetti. Variabili provenienti da sotto-progetti sono riconoscibili dal nome della variabile. Esso, infatti, contiene il nome del progetto.

Anche per le variabili lotti (Archiviazione lotti ) e le variabili d'evento, possono essere utilizzate variabili da sotto-progetti.


Runtime

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Modifica archivio -> Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda definite quando e come vengono avviati e chiusi gli archivi, e quali funzioni vengono eseguite al momento dell´avvio o della chiusura degli archivi stessi.

Start e stop

Parametri

Descrizione

Start e stop

Selezione della modalità in cui l´archivio viene avviato e chiuso nel Runtime.

In corrispondenza dell'avvio e della fine del Runtime

L´archivio viene avviato e terminato automaticamente con l'esecuzione del Runtime

Il sistema tiene conto anche del tempo impostato alla voce Start della archiviazione. Se esso è nel futuro, non verrà effettuata alcuna archiviazione finché non sarà raggiunto.

Attenzione: Se attivate questa impostazione, l´archivio non deve essere assolutamente chiuso o avviato tramite funzioni. Ciò potrebbe causare problemi durante il funzionamento Runtime

Definito dall'utente (per es. attraverso funzioni)

L´archivio viene avviato e chiuso secondo le impostazioni definite dall´utente. Per esempio, tramite le funzioni Partenza archivio e Termina archivio

Queste funzioni possono essere attivate:

  • dall´utente manualmente
  • tramite eventi
  • tramite temporizzatore.

Attenzione: Queste funzioni non corrispondono a quelle delle impostazioni per Esegui funzioni per.

RDA Archivio a blocchi

L´archivio viene gestito via RDA.

In questo caso, i valori archiviati nel PLC vengono letti e salvati in un archivio. Questo processo viene inizializzato tramite una variabile trigger.

Esegui funzioni per

Parametri

Descrizione

Esegui funzioni per

Selezione delle funzioni che devono essere eseguite al momento dello start e della chiusura dell´archivio.

Attenzione: Queste funzioni vengono eseguite al momento dello start e della chiusura. Esse però non causano lo start e la chiusura dell´archivio. Le funzioni per lo start e la chiusura di un archivio vengono progettate ad hoc e collegate ad un pulsante.

Avvio archivio

Selezionate una funzione che deve essere eseguita al momento dell´apertura dell´archivio.

Arresto archivio

Parametri | Descrizione
Arresto archivio | Selezionate una funzione che deve essere eseguita al momento della chiusura dell´archivio.

Inizio archiviazione

Parametri

Descrizione

Inizio archiviazione

Definizione del tempo di inizio.

Data / ora

Definizione dell'ora di partenza per il ciclo di registrazione e memorizzazione.

L'ora impostata stabilisce il primo momento di memorizzazione dei file che devono essere archiviati. Essa viene usata come base del calcolo dei cicli di memorizzazione impostati.

Esempio: Poniamo che configuriate un archivio che deve essere salvato settimanalmente. Questo ciclo di memorizzazione inizia con l´ora di partenza impostata. Se essa viene fissate per un martedì, il vostro archivio settimanale funzionerà da martedì a martedì.

Consigli:

  • Lasciate l´ora di partenza al 1/1 alle 00:00. In tal modo sarete certi che gli archivi mensili e quelli annuali inizieranno sempre con il primo giorno del mese e dell´anno.
  • L´inizio del ciclo di interrogazione e di salvataggio dovrebbe indicare un´ora piena e una data del passato, in modo tale che la registrazione dei dati inizi subito al momento del prossimo avvio del runtime.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Registrazione

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Modifica archivio -> Registrazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda definite come vengono registrati i dati negli archivi.

Ciclica

Parametri

Descrizione

Ciclica

Impostazioni per la registrazione ciclica.

Si può scegliere liberamente il ciclo. Esso, però, è in stretta connessione con il ciclo di memorizzazione.

Suggerimento: Il ciclo di memorizzazione dovrebbe essere pari ad un multiplo di quello di interrogazione. Altrimenti si possono verificare delle sovrapposizioni fra interrogazione e salvataggio degli archivi. Ciò sarebbe causa di inesattezze nell´ambio degli archivi in cascata.

Nota: Nel timestamp, il valore in millisecondi viene settato automaticamente su 0 .

Registrazione ciclica

Attivo: I dati d'archivio vengono registrati ciclicamente. Definite poi il ciclo.

Ciclo registrazione

Definite in quale ciclo (giorni, ore, minuti e secondi) il valori devono essere scritti nell´archivio.

Mensile

I valori vengono letti ad ogni cambio del mese.

Offset

Definite quanto a lungo l´archivio deve attendere dopo aver richiesto i valori al driver. L'offset è necessario soprattutto per i driver lenti. Questa impostazione è importante quando un archivio viene chiuso direttamente dopo la lettura dell´ultimo valore.
Non ha nessun influsso sul timestamp dei valori.

Nota: L'offset deve essere sempre inferiore al tempo di ciclo

Gestito da eventi

Parametri

Descrizione

Gestito da eventi

Impostazioni per la registrazione gestita dagli eventi.

Registrazione ad evento

Attivo: I dati d'archivio vengono registrati in modo gestito dagli eventi.

Variabile trigger

Selezione della variabile che deve avviare la lettura dei valori. La lettura viene inizializzata dal ritardo fronte di questa variabile trigger da 0 a 1. Selezione cliccando sul pulsante ....

Timestamp acquisito da

Definizione del modo in cui il timestamp viene settato. Esso può essere ripreso da:

  • Variabile trigger
  • Variabile archiviata

Al cambiamento valore

Parametri

Descrizione

Al cambiamento valore

Impostazioni per il tipo di registrazione "Al cambio di valore"

Suggerimento: Si sconsiglia di utilizzare questo metodo in presenza di forti oscillazioni dei valori, visto che ciò potrebbe causare una quantità di inserimenti eccezionalmente grande.

Registrazione spontanea

Attivo: le variabili vengono scritte nell'archivio solo nel caso di una modifica spontanea del valore.

Raccomandazione: Impostate per l´area di misurazione un´Isteresi per evitare valori fluttuanti. Questi ultimi, infatti, possono causare velocemente l´accumularsi di una grande quantità di dati. I dettagli a questo proposito li trovate nel capitolo Isteresi nella parte della guida in linea dedicata alle Variabili.

Salva valori all'avvio

Attivo: Alla creazione di un nuovo file di archivio vengono inseriti i valori attuali delle variabili.

Nota: Questa opzione deve essere attivata se una curva Gantt nel Trend esteso deve visualizzare anche lo stato attuale.

Salva immagine di processo alla fine

Attivo: Alla chiusura di un file di archivio vengono inseriti i valori attuali delle variabili.

Salvataggio ad evento/spontaneo

Parametri

Descrizione

Salvataggio ad evento/spontaneo

Ignorare il valore di inizializzazione

Quando una variabile viene letta per la prima volta, si può inserire un valore di inizializzazione. Ciò accade, per esempio, al momento dello start del Runtime, oppure quando un server 2 passa a a svolgere il ruolo di server 1.

  • Attivo: Nell´archivio non si tiene conto del valore di inizializzazione.
  • Inattivo: Si tiene conto del valore di inizializzazione. Il sistema rileva ed inserisce anche lo start e il cambio di server.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Salva

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Modifica archivio -> Salva

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda definite come vengono salvato gli archivi.

attention Attenzione

Quando cambia la modalità di salvataggio o il ciclo, l´attuale archivio-alpha viene cancellato. Un archivio-alpha è quel file d'archivio che viene scritto in quel momento da zenon.

Opzioni della finestra di dialogo Salva

Formato di salvataggio

Selezione della modalità in cui devono essere salvati gli archivi.

Parametri | Descrizione
Formato interno (*.arx) | Attivo: I dati sono a disposizione per la post-elaborazione e l´analisi in un ring (FIFO). I dati sono salvati inizialmente nella seguente cartella: [Project Path]\[Computer Name]\[Project Name].. Poi vengono trasferiti nella cartella di export secondo il metodo FIFO. .
dBase IV (*.dbf) | Attivo: Quando si chiude l´archivio, i dati vengono dislocati subito in un file dBase (*.dbf). Attenzione: Per gli archivi trasferiti non sono più possibili post-elaborazione archivio, creazione protocollo e grafica lineare.
CSV (*.txt) | Attivo: Quando si chiude l´archivio, i dati vengono dislocati subito in un file CSV (*.txt). Attenzione: Per gli archivi trasferiti non sono più possibili post-elaborazione archivio, creazione protocollo e grafica lineare.
Salva con formato Unicode | Attivo: Il file TXT viene salvato come Unicode.
XML (*.xml) | Attivo: Quando si chiude un archivio, i dati vengono salvati subito in un file *.XML. Attenzione: Per gli archivi trasferiti non sono più possibili post-elaborazione archivio, creazione protocollo e grafica lineare.

Nota: Nella Starter Edition del Server di archiviazione è possibile solamente il salvataggio in una banca dati interna (ARX).

Tempo di campionamento

Definisce l´intervallo in cui vengono creati gli archivi. Tale ciclo ha un effetto reciproco con il Ciclo di registrazione. Per i dettagli si veda il capitolo Cicli nel Runtime.

Parametri

Descrizione

Ciclo

Attivo: La lunghezza dell´archivio viene determinata in giorni, ore, minuti e secondi.

Questa opzione ha effetti sulla dimensione e il numero dei file d'archivio e determina il ciclo per archivi in cascata.

Definite i valori per:

  • Giorni
  • Ore
  • Minuti
  • Secondi

Nota: Questi valori hanno effetto anche sugli archivi definiti dagli utenti. In questi ultimi, essi vengono usati al fine di calcolare il numero degli archivi da archiviare.

Raccomandazione: Valori maggiori di 30 secondi.

Cambio mese

Attivo: L´archivio viene salvato ad ogni cambio di mese (archivio mensile).

Annualmente

Attivo: L´archivio viene salvato ad ogni cambio d´anno (archivio annuale).

Nota: Questa opzione definisce già il ciclo per gli archivi in cascata.

attention Attenzione

Partenza e termine degli archivi definito dall'utente:

Se è vero che gli inserimenti nell´opzione Ciclo non hanno effetti su start e stop di archivi, visto che ciò è gestito tramite funzioni, tuttavia questo valore ha importanza per determinare quanti file di archivio vengono conservati. L'effettiva diversa dimensione dei file di archivio non viene presa in considerazione in questa sede.

Il numero dei file d´archivio da conservare viene calcolato nel modo seguente:
durata di conservazione/ciclo.
Poi il sistema inizia l´operazione di dislocamento. In tal modo si garantisce che un dislocamento abbia luogo anche con archivi definiti dall´utente dopo che è stato raggiunto un certo numero di file. Il numero dei file da conservare è limitato ad un massimo di 65535. La configurazione di ciclo di memorizzazione e durata di conservazione ne tiene conto automaticamente.

Esempio:

  • Periodo di memorizzazione: 5 ore (= 300 minuti)
  • Tempo di ciclo: 15 minuti

Risultato: 300/15 = 20 file d´archivio da conservare.

Dislocazione archivio

Configurazione della dislocazione degli archivi. Gli archivi vengono cancellati localmente dopo la loro dislocazione.

Parametri

Descrizione

Periodo mantenimento archivi

Definite la durata di conservazione dell´archivio prima che esso venga dislocato.

Granularità:

  • Ore
  • Giorni
  • mesi
  • anni

Possono essere conservati al massimo 65535 file d'archivio.

Attenzione: La durata di conservazione è strettamente legata al ciclo di memorizzazione. Quando si cambia quest´ultimo, i valori per la durata di conservazione vengono adatti al massimo possibile.

Esempi:

  • Ciclo: 1 secondo
    massima durata di salvataggio 18 ore.
  • Tempo di ciclo 1 minuto
    massima durata di salvataggio 1092 ore, o 45 giorni, oppure 1 mese.

Attenzione: Se si inserisce il valore 0, non viene salvato nessun archivio. Esiste solo l'archivio attualmente attivo.

Dislocamento dopo durata di conservazione

Definizione del metodo di dislocamento.

Non dislocare (Gli archivi saranno cancellati)

Attivo: Gli archivi vengono cancellati definitivamente dopo lo scadere della durata di conservazione.

Formato interno (*.arx)

Attivo: Gli archivi vengono dislocati nel formato interno di banca dati *.arx.

Se viene raggiunto il numero dei file d'archivio da conservare, vengono salvati gli archivi più vecchi nel formato ARX. Questo file può essere reimportato in zenon e, in questa sede, sia letto e che descritto.

Banca dati SQL
  • Attivo: Gli archivi vengono dislocati in un database-SQL, per es.: Microsoft SQL Server, Oracle, CRATE.IO e altri sistemi di database che dispongono di un´interfaccia ODBC.
    Selezione della banca dati: Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione e configurazione di una banca dati.

Gli archivi trasferiti in una banca dati SQL vengono, contrariamente a file dBase, ASCII o XML, automaticamente riletti se necessario (ad esempio Trend esteso).

Attenzione: Gli archivi dislocati in una banca dati SQL possono essere solo letti in zenon, ma non più scritti.

Nota:

  • Le banche dati possono essere dislocate anche in un MS Azure service bus.

Informazioni dettagliate concernenti la dislocazione in database-SQL le trovate nel capitolo Dislocazione di archivi in un database SQL , nella sezione della guida dedicata alle Ulteriori informazioni.

Crea tabelle

Quando si clicca si questo pulsante, si apre la finestra di dialogo che serve a creare o attualizzare le tabelle del database-SQL.

Utilizza servizio MS Azure bus per la scrittura

Attivo: La scrittura nella tabella SQL non avverrà direttamente via connessione OLEDB e SQL INSERT statement, ma tramite il bus di servizio MS Azure.

Il nome di connessione con il bus di servizio MS Azure deve essere indicato nel campo di inserimento sotto l´opzione.

Informazioni dettagliate a questo proposito le trovate nel capitolo MS Azure-service bus, nella sezione della guida dedicata alle Ulteriori informazioni.

XML (*.xml)

Attivo: Gli archivi vengono dislocati in formato XML.

CSV (*.txt)

Attivo: Gli archivi vengono dislocati in formato CSV in un file di testo.

Esporta in Unicode

Attivo: Attivate questa checkbox per salvare il file TXT dislocato come Unicode.

dBase IV (*.dbf)

Attivo: Gli archivi vengono dislocati in formato DBF.

Colonne esportate per dislocamento CSV/dBase:

Nel caso delle opzioni di dislocamento dBase e CSV, possono essere dislocati anche certi parametri delle variabili archiviate.

Inserite i parametri desiderati nel campo di testo nell´ordine seguente:

  • V: Nome variabile
  • I: Identificazione variabile
  • W: Valore
  • S: Stato
  • D: Data
  • Z: Ora

Default: DZVWS

Il percorso per il luogo di salvataggio dei file dislocati viene configurato mediante la proprietà di progetto Generale/Percorsi. Un´eccezione è rappresentata dal Dislocamento SQL. Il percorso viene impostato nell´opzione archivi dislocati (vedi anche capitolo Cartella riferita al progetto). Inoltre, tramite l´opzione Cartella rilettura archivi può essere definito anche il percorso per la rilettura di archivi. Questi percorsi possono riferirsi anche allo stesso luogo di salvataggio. File d´archivio esportati, dunque, possono essere riletti anche senza dover essere copiati manualmente. Avere differenti percorsi ha senso soprattutto nel caso in cui, per esempio, la rilettura avviene da un DVD e i dati esportati vengono masterizzati su nuovi DVD solo in corrispondenza di tempi definiti.

Chiudi finestra di dialogo

Parametri | Descrizione
OK | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Parametri di export

Il separatore di colonna per l´ASCII-export e le cifre decimali TXT, DBF, XML e SQL possono essere modificati nel project.ini:

Sezione [ARCHIV]

Inserimenti:

  • TRENNZEICHEN=
  • ARCHDIGITS=

Nome file

I nomi dei file archivi da esportare sono definiti come segue:

Parametri | Descrizione
XXAAMMGGhhmmss.xxx | Nome file
XX | Short name (Denominazione breve archivio)
AA | Anno (per es. 14 per 2014)
MM | Mese (ad es. 03 per Marzo)
GG | Giorno
hh | Ore in UTC
mm | Minuti
ss | Secondi
xxx | Formato file


Opzioni

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Modifica archivio -> Opzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda definite i criteri da usare per la creazione di archivi in cascata. Per far ciò, potete settare filtri esclusivi e inclusivi su differenti bit di stato.

Calcolo per archivi compressi

Parametri

Descrizione

Calcolo per archivi compressi

Riprendere valori nel calcolo di archivi a cascata solamente se è corretto il seguente filtro di stato.

Attivo: Il sistema tiene presenti i bit di stato attivati per il calcolo dei valori di archivi in cascata.

Gli altri stati vengono

  • indicati nell´editor degli archivi
  • indicati nel report e possono anche essere settati in quella sede.

Definizione degli stati la trovate nel capitolo Elaborazione stati

Ogni bit può assumere uno di cinque stati:

  • spazio: non viene valutato
  • 0 verde: Se ne tiene conto se il valore è 0.
  • 1 verde: Se ne tiene conto se il valore è 1.
  • 0 rosso: Non se ne tiene conto se il valore è 0.
  • 1 rosso: Non se ne tiene conto se il valore è 1.

Nota: Se si attiva il checkbox, deve essere attivato perlomeno un bit di stato.

Impostazioni timestamp per archivi compressi

Parametri | Descrizione
Impostazioni timestamp per archivi compressi |
Data e ora del valore minimo/massimo | Attivo: Come timestamp si usa quello del valore massimo/valore minimo trovato.
Data e ora del calcolo | Attivo: Come timestamp si usa quello del calcolo.

Archivio di riserva

Parametri

Descrizione

Archivio di riserva

Crea archivi di riserva

Comportamento se il Runtime non è attivo:

  • Attivo: Dei file di archivio mancanti sono creati alla prossima partenza del Runtime
    Nota: A tal scopo, deve essere selezionata la registrazione ciclica
  • Inattivo: Vene riempito solamente il ciclo attuale.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Crea un filtro di stato

Cliccando sulla checkbox accanto allo stato visualizzato, potete decidere per ogni valore dell´archivio se esso verrà preso in considerazione per l´archivio a cascata.

Example Esempio

Nell´archivio in cascata devono essere presi in considerazione solo quei valori per i quali è settato il bit NORM e non è settato quello INVALID.

A tal scopo settate per NORM un 1 verde e per INVALID un 1 rosso. Le checkbox di tutti gli altri bit rimangono grigi.

Potete escludere o includere esplicitamente bit settati o non settati.

info Informazioni su

Non tutti i bit di stato settati nella registrazione vengono visualuzzati. I bit non visualizzati sono.

  • T_EXTERN (Statusbit 21)
  • T_INTERN (Statusbit 22)
  • INFO (Statusbit 26)
  • RES28 (Statusbits 28)
  • RES31 (Statusbits 31)
  • WR_ACK (Statusbit 40)
  • WR_SUC (Statusbit 41)
  • COT0 (Statusbit 32) fino a COT5 (Statusbit 37)
  • T_STD (Statusbit 30)

I bit di stato non visualizzati vengono:

  • non scritti al momento del salvataggio come file TXT o XML.
  • non stampati al momento della stampa
  • non visualizzati nel manager gruppo ricette.

Trovate una visione generale su tutti i bit di stato nel capitolo Bit di stato


P.es.:

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Modifica archivio -> P.es.:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sulla base delle opzioni delle seguenti schede vengono calcolati il tempo di avvio e di fine di un file d'archivio, nonché i tempi di inserimento dei valori delle variabili nel file d'archivio stesso:

  • Runtime: Inizio archiviazione
  • Tipo di registrazione: Registrazione ciclica
  • Salva: Tempo di campionamento

Il calcolo del tempo d´inserimento di valori delle variabili nel file d'archivio avviene nuovamente per ogni file d'archivio.

attention Attenzione

Fate attenzione alla differenza fra:

  • il ciclo di interrogazione e il ciclo di memorizzazione (ASZ), nonché
  • tempo di ciclo (AZ)

Non li si deve confondere in nessun caso.

P.es.:

  • Ident.: XX
  • Inizio archiviazione: 01.01.2013, 00:00:00
  • Registrazione ciclica: 13 secondi (00:00:13)
  • Tempo di campionamento 1 minuto (00:01:00)

Risultato:

Data | Ora | File d'archivio
07.12.2013 | 03:08:13 | xx80131207020900.arx
07.12.2013 | 03:08:26 | xx80131207020900.arx
07.12.2013 | 03:08:39 | xx80131207020900.arx
07.12.2013 | 03:08:52 | xx80131207020900.arx
07.12.2013 | 03:09:13 | xx80131207021000.arx
07.12.2013 | 03:09:26 | xx80131207021000.arx
07.12.2013 | 03:09:39 | xx80131207021000.arx
07.12.2013 | 03:09:52 | xx80131207021000.arx
  • Ogni file d'archivio contiene dei dati per rispettivamente un minuto.
  • L´archiviazione inizia per ogni file d'archivio alle hh:mm:13.

Determinazione dell´EZW

La determinazione del tempo del primo valore (EWZ) avviene mediante un arrotondamento del ciclo di interrogazione e del ciclo di memorizzazione sul tempo di ciclo. Tenete presente quanto segue:

  • L´arrotondamento del ciclo di interrogazione e di quello di memorizzazione sul primo tempo di ciclo avviene sulla base del seguente modello:
    • ore con ore
    • minuti con minuti
    • secondi con secondi

    Ciò significa: Se il valore da arrotondare (H:M:S) del ciclo di interrogazione e salvataggio è più piccolo di quello del tempo di ciclo, questo è sempre 0!

  • Se il tempo di ciclo è un giorno, il ciclo di interrogazione e salvataggio comincerà sempre alle ore 0:0:0. La registrazione comincerà alle 00:00.
  • Nel caso in cui il tempo di ciclo sia mensile, la registrazione comincerà sempre il primo del mese alle ore 0:0:0.

Alcuni esempi:

  • ASZ: Ciclo di interrogazione e salvataggio
  • ASZr: Ciclo di interrogazione e salvataggio arrotondato
  • AZ: Ciclo registrazione
  • EZW: Tempo del primo valore
ASZ | AZ -> | EZW; | ASZr + AZ = | EZW
XX:XX:XX | 1G 00:00:00 | 00:00:00; | 00:00:00 + 00:00:00 | 00:00.00
00:01:00 | 0G 23:59:00 | 23:59:00; | 00:00:00 + 23:59:00 | 23:59:00
00:30:00 | 0G 00:30:00 | 01:00:00; | 00:30:00 + 00:30:00 | 01:00:00
00:30:00 | 0G 00:29:00 | 00:58:00; | 00:29:00 + 00:29:00 | 00:58:00
00:30:00 | 0G 00:05:00 | 00:35:00; | 00:30:00 + 00:05:00 | 00:35:00
00:29:00 | 0G 00:05:00 | 00:30:00; | 00:25:00 + 00:05:00 | 00:30:00
00:00:00 | 2G 00:00:00 | 00:30:00; | 00:00:00 + 2G 00:00:00 | 3. 00:00:00


Archivio compresso

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Archivio compresso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli archivi in cascata si riferiscono sempre ad un archivio di base i cui dati essi visualizzano in forma compressa. In zenon, gli archivi in cascata si comportano come ogni altro archivio. Con gli archivi in cascata potete fare quanto segue:

  • modificarli nel Runtime usando l´immagine del tipo Post-elaborazione archivio
  • implementarli in report e trend.
  • dislocarli.

Per effettuare la compressione di dati, sono a disposizione i seguenti metodi di calcolo:

  • somma
  • Media valori
  • Minimo
  • Massimo

L´uso di archivi in cascata è consigliabile soprattutto quando si ha a che fare con grandi quantità di dati. Per confrontare periodi, come intere settimane, mesi o anni, spesso bastano valori medi o somme. I dati grezzi possono essere preparati in modo chiaro e la loro quantità può essere ridotta in modo sensibile.

Creazione di un archivio in cascata

Per creare un archivio in cascata:

  1. Selezionate nella visualizzazione dettagli l´archivio che deve essere compresso.
  2. Selezionate nella barra degli strumenti, oppure nel menù contestuale Nuovo archivio in cascata.
  3. Viene avviato l´assistente, sempre che esso sia stato attivato nelle opzioni.
    (Per far sì che l´assistente possa essere avviato, deve essere attivata nell´Editor, e più precisamente nel menù Opzioni/Impostazioni, l´opzione usa assistente.)
  4. Assegnare un nome.

  5. Selezionate le variabili e i metodi della compressione.

    Cliccate sul pulsante selezione variabili e si apre la finestra di dialogo che serve alla selezione di una variabile e di un metodo di compressione.

    Negli archivi a cascata, la registrazione è sempre Spontanea. Il ciclo di interrogazione degli archivi in cascata viene settato mediante il ciclo di salvataggio del corrispondente archivio di base I valori selezionati per un archivio in cascata vengono calcolati sempre dopo che un archivio di base è stato chiuso e salvato. zenon interpreta la chiusura dell`archivio di base come cambio valore e inizializza i calcoli per l´archivio in cascata.

Noch in diesem Kapitel

Selezione variabili e metodi di compressione

Modificare un archivio in cascata

Modelli per archivi in cascata


Selezione variabili e metodi di compressione

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Archivio compresso -> Selezione variabili e metodi di compressione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo Selezione variabili viene effettuata la scelta delle variabili da comprimere e del metodo di compressione da utilizzare.

Archivi disponibili

Parametri | Descrizione
Archivi disponibili | Selezionate nella lista delle variabili quelle di cui si deve tener conto nell´archivio in cascata. Selezione multipla con Ctrl oppure Shift.
Somma: | Attivo: I valori delle variabili selezionate vengono sommati in dipendenza dal ciclo di salvataggio.
Media valori | Attivo: Il sistema determina la media dei valori delle variabili selezionate.
Minimo | Attivo: Il sistema determina il minimo per ogni variabile selezionata.
Massimo | Attivo: Il sistema determina il minimo per ogni variabile selezionata.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Adatta timestamp per valore medio

Il timestamp in un archivio in cascata corrisponde al momento in cui il file ARX viene chiuso.
Ciò porta al verificarsi della seguente situazione.

  • In un archivio vengono salvati i valori di un giorno X. Il tempo di partenza sono le 00:00, l´orario in cui l´archivio viene salvato sono le 24:00.
  • L´archivio in cascata per questo giorno X ha un valore medio e riceve il timestamp 00:00:00 il giorno X + 1. (Minimo e massimo possono avere lo stesso timestamp, oppure quello originale; nel nostro caso prendiamo quello originale).
  • Se si filtra nell´archivio in cascata sulla base del giorno X, ore 00:00:00, fino al giorno X + 1, ore 00:00:00, si ricevono i valori minimo e massimo con il timestamp originario per il giorno X.
  • Il valore medio lo si ottiene per il giorno X-1 (timestamp giornoX, 00:00:00). Atteso era il valore per il giorno X, che si trova nel file con il timestamp giorno X + 1, 00:00:00.
  • Minimo e massimo, dunque, hanno un timestamp all´interno del periodo selezionato, mentre il valore medio ha un timestamp al di fuori di questo periodo.

Soluzione

Al fine di ricevere un timestamp concordante, settate il timestamp per il valore medio di un secondo indietro. A tal scopo, inserite nel project.ini, nella sezione [ARCHIV], il valore 1 per ZEIT_AUTOMATISCH=.

Così il tempo per l´archivio in cascata verrà settato automaticamente un secondo prima di quello previsto per il salvataggio. Giorno X+1, 00:00:00, diviene così giorno X, 23:59:00.


Modificare un archivio in cascata

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Archivio compresso -> Modificare un archivio in cascata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La modifica di archivi in cascata differisce da quella di archivi di base soprattutto per quello che riguarda le proprietà. Nel caso degli archivi in cascata, ai metodi di calcolo vengono assegnate delle variabili.

Nome

Parametri

Descrizione

Nome

Nome e identificazione dell´archivio.

Identificazione

Identificazione univoca dell´archivio, consistente di due caratteri. Viene usata per l´assegnazione automatica del nome nel caso di funzioni di export.

Attenzione: L´identificazione può essere assegnata solo al momento della creazione di un nuovo archivio di base. Non può essere più modificata in un secondo momento.

Nome archivio

Nome dell´archivio liberamente assegnabile.

Nota: I seguenti caratteri sono proibiti: / \ : * ? < > ! | " ' # % @

Gestione variabili

Parametri

Descrizione

Gestione variabili

Selezionate il metodo di calcolo nell´archivio e aggiungete variabili, oppure cancellate quelle di cui si deve tener conto nell´ archivio in cascata. Selezione multipla con Ctrl oppure Shift.

  • Somma: I valori delle variabili assegnate vengono sommati in dipendenza dal ciclo di salvataggio.
  • Media valori: Il sistema determina la media dei valori delle variabili assegnate.
  • Minimo: Il sistema determina il minimo per ogni variabile assegnata.
  • Massimo: Il sistema determina il massimo per ogni variabile assegnata.

Aggiungi o cancella variabili:

  • Aggiungere variabili:
    Selezionate nel menù contestuale Aggiungi variabile. Potete aggiungere delle variabili provenienti da archivi di base.
  • Cancellare variabili:
    Selezionate la variabile e scegliete nel menù contestuale il comando Cancella variabile.

Lotto

Parametri

Descrizione

Lotto

Configurazione di lotti Vedi anche capitolo Selezione lotti.

Variabile Lotto

Selezione di variabili lotti Esse devono essere del tipo String. Il valore delle variabili viene usato come nome charge. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione delle variabili.

Nota: Il valore delle variabili viene usato come nome charge. Mentre l´archivio è aperto, il valore della variabile può cambiare, e, con esso, anche il nome charge. Tenetelo presente al momento di effettuare l´operazione di filtro. Il valore delle variabili al momento della chiusura dell´archivio viene usato come nome charge definitivo.

Indicizza Lotto

Attivo: I valori dei lotti di questo archivio vengono indicizzati automaticamente. Ciò consente l´accesso rapido ai valori lotti.

Definizione d´impianto

Parametri | Descrizione
Definizione d´impianto | Configurazione di modelli di impianto.
Gruppi d'impianti | Selezione di un gruppo di impianti per l´archivio. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un gruppo di impianti.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Nota: Altre schede vengono configurate in modo analogo a Modifica archivio.

Limitazioni

  • Gli archivi in cascata sono automaticamente settati da zenon sul tipo di archiviazione Spontanea. Il tipo di registrazione non può essere modificato.
  • Il ciclo di salvataggio è determinato dalla lunghezza dell´archivio di base relativo. I valori delle variabili vengono scritti nell’archivio in cascata al momento di terminazione dell’archivio base.
  • Di default, si tiene conto di tutti gli inserimenti dell´archivio di base per il calcolo (il che significa che vengono presi in considerazione anche gli inserimenti INVALID e valori manuali).
    Eccezione: Nell´archivio di base è stata attivata e configurata alla voce Opzioni la proprietà accetta valori nel calcolo dell´archivio in cascata solo se il seguente filtro stati è vero.


Modelli per archivi in cascata

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Archivio compresso -> Modelli per archivi in cascata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I modelli per archivi in cascata consentono di importare archivi in cascata esistenti in archivi base. In tal modo è possibile riutilizzare in modo semplice delle strutture che sono state già configurate.

Ci sono a disposizione dei modelli predefiniti che sono forniti con zenon. Inoltre, configurazioni individuali possono essere salvate come modelli.

Dei modelli possono essere importati solo per archivi base con registrazione ciclica. Questi archivi non possono ancora avere alcun archivio in cascata.

Percorsi dei modelli

I modelli vengono depositati in due percorsi:

  • Modelli predefiniti:
    nella sottocartella della cartella di installazione: \Templates\Archives\<Lingua>\<Nome file>.xml
  • Modelli definiti dall´utente:
    %programdata%\COPA-DATA\zenon7.50plates\Templates\Archives\<Lingua>\<Nome file >.xml

    Nota: a seconda del tipo di registrazione, anche questo percorso si può trovare nella cartella di programma. zenon ne tiene conto automaticamente.

Formato file

I modelli vengono salvati in formato XML. Il modello contiene meta-dati con:

  • Descrizione del modello
  • Nome del modello
  • Per ogni archivio della gerarchia, le impostazioni fondamentali dell´archivio.

Noch in diesem Kapitel

Importa modello

Modelli predefiniti

Crea e modifica modelli


Importa modello

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Archivio compresso -> Modelli per archivi in cascata -> Importa modello

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per importare dei modelli per archivi in cascata:

  1. Selezionate l´archivio base desiderato.
  2. Selezionate nel menù contestuale il comando Importa template
  3. Si apre il dialogo per selezionare uno modello.
  4. Selezionate il modello desiderato.
  5. Cliccate sul pulsante Acquisisci.
  6. L´archivio in cascata viene importato.

info Informazioni su

Dei modelli possono essere importati solo per archivi base con registrazione ciclica. Questi archivi non possono ancora avere alcun archivio in cascata.

Parametri | Descrizione
Finestra Modelli | Visualizzazione dei modelli esistenti.
Finestra Modello selezionato | Visualizzazione dell´archivio in cascata selezionato
Acquisisci | Importa l´archivio in cascata nell´archivio base e chiude la finestra di dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Modelli predefiniti

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Archivio compresso -> Modelli per archivi in cascata -> Modelli predefiniti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con zenon vengono forniti i seguenti modelli predefiniti:

  • Contatori: Archivio in cascata dei contatori, che aggrega i giorni per una settimana, e i mesi e gli anni fino a 2 anni e conserva i dati fino a 10 anni.
  • Standard: Archivio in cascata standard, che comprime 30 minuti per un’ora, e i giorni e mesi fino a un anno e conserva i dati fino a 16 anni.
  • Settore dell´energia: Archivio in cascata per l’Energia, che comprime 15 minuti per un’ora, e i giorni fino a un mese e conserva i dati fino a 1 anno.

I modelli forniti con il software sono protetti da scrittura (sola lettura) e non possono essere modificati. Nella finestra di dialogo essi sono visualizzati con simboli di color blu. I modelli di creazione propria, che sono modificabili, ricevono dei simboli rossi.

Archivio in cascata Contatore

Livello archivio | Livello di compressione | Livello di compressione Archivio in cascata | In memoria
1: CO-P_COU_30MIN | 30 Minuti | 1 ora | 14 giorni
2: C2-P_COU_1HOUR | 1 ora | 1 giorno | 6 mesi
3: C3-P_COU_1DAY | 1 giorno | Quando cambia il mese | 3 anni
4: C4-P_COU_1MONTH | 1 mese | Quando cambia l´anno | 10 anni

Archivio in cascata standard

Livello archivio | Attuale archivio in cascata | Compressione Archivio in cascata | In memoria
1: DO-P_STD_1DAY | 1 giorno | 7 giorni | 1 anno
2: D2-P_STD_1WEEK | 1 settimana | Quando cambia il mese | 3 anni
3: D3-P_STD_1MONTH | 1 mese | Quando cambia l´anno | 10 anni
4: D4-P_STD_1YEAR | 1 anno | 2 anni | 16 anni

Archivio in cascata. Energia

Livello archivio | Attuale archivio in cascata | Compressione Archivio in cascata | In memoria
1: EO-P_ENE_15MIN | 15 Minuti | 1 ora | 14 giorni
2: E1-P_ENE_1HOUR | 1 ora | 1 giorno | 6 mesi
3: E2-P_ENE_1DAY | 1 giorno | 30 giorni | 1 anno


Crea e modifica modelli

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Archivio compresso -> Modelli per archivi in cascata -> Crea e modifica modelli

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I modelli possono essere creati anche individualmente. I modelli possono essere creati solamente per archivi di base (primo livello), e solo per archivi con registrazione ciclica. Per tutti gli altri archivi, la voce di menù è disattivata; nel caso degli archivi in cascata essa non esiste proprio.

Per creare un modello individuale:

  1. selezionate nella visualizzazione dettagli l´archivio base dell´archivio in cascata desiderato
  2. selezionate nel menù contestuale Crea template
  3. si apre la finestra di dialogo per configurare modelli
  4. selezionate la cartella desiderata, oppure createne una nuova
  5. assegnate un nome univoco al modello.
  6. accettate il nuovo modello cliccando sul pulsante OK

Quando si crea un modello, il sistema riprende la completa gerarchia dell´archivio in cascata selezionato.

Nota: i modelli forniti con il software e la loro struttura non possono essere né modificati, né cancellati.

Dialogo Crea e modifica template

Parametri | Descrizione
Lista template | Contiene una struttura con tutti modelli già definiti. I modelli possono essere selezionati e se ne può modificare il Nome e la Descrizione. Gli elementi predefiniti non possono essere modificati.
Nome | Nome del modello. Suggerimento: selezionate un nome univoco in modo da essere in grado di trovare velocemente il modello giusto al momento dell´import.
Descrizione | Descrizione dettagliata del modello.
Nuova cartella | Crea una nuova cartella al di sotto della cartella evidenziata. Uso tastiera: Tasto Ins.
Rinomina | Apre l´elemento evidenziato per rinominarlo. Uso tastiera: tasto F2. Gli elementi predefiniti non possono essere rinominati.
Elimina | Cancella l´elemento selezionato. Se si vuole solamente cancellare dei modelli, e non crearne dei nuovi, dopo la cancellazione, la finestra di dialogo deve essere chiusa cliccando su Annulla. Gestione tramite tastiera: Taste Canc. Nota: Gli elementi predefiniti non possono essere cancellati.

Chiudi finestra di dialogo

Ok | Accetta le impostazioni e chiude il dialogo. Il modello salva le impostazioni di tutti gli archivi in cascata dell´archivio selezionato.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Crea, modifica e cancella elementi.

Crea cartella

Per creare una nuova cartella:

  1. selezionate una cartella esistente
  2. cliccate sul pulsante Nuova cartella
    oppure

    premete il tasto Ins
    oppure

    selezionate nel menù contestuale della cartella sovraordinata Nuova cartella

Modifica elemento

Per modificare un elemento:

  1. selezionate l´elemento
  2. modificate il nome e/o la descrizione
    oppure

    selezionare nel menù contestuale dell´elemento il comando corrispondente

Cancella elemento

Per cancellare un elemento:

  1. selezionate l´elemento
  2. cliccate sul pulsante Cancella
    oppure

    premete il tasto Canc
    oppure

    selezionate nel menù contestuale dell´elemento Cancella

  3. Chiudete il dialogo cliccando su Annulla.

Modifica struttura

Per modificare la struttura:

  1. selezionate l´elemento desiderato (cartella o modello)
  2. trascinatelo con il mouse sulla cartella cui deve essere subordinato

Modifica cartella e modello senza accettare le impostazioni archivio

Potete modificare cartelle e modelli anche senza accettare al momento della chiusura le impostazioni dell´archivio.

A tale scopo, modificate gli elementi nella finestra a sinistra con la lista dei modelli.


Aggiungere e cancellare delle variabili

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Aggiungere e cancellare delle variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le variabili e i loro tipi di compressione dati sono visualizzati nella visione dettagliata degli archivi.

In questa sede possono essere aggiunte od eliminate delle variabili.

  • Aggiungi:
    Per aggiungere delle variabili, selezionate anzitutto nel menù contestuale oppure nella barra degli strumenti il comando Aggiungi variabile, oppure aggiungete la variabile via Drag&Drop.
  • Rimuovi:
    Selezionate le variabili desiderate e premete il tasto Canc, oppure scegliete nel menù contestuale o nella barra degli strumenti il comando Rimuovi variabile.
    Attenzione: Le variabili vengono rimosse dalla lista delle variabili senza che il sistema ponga alcuna domanda all´utente.

Aggiungere delle variabili all´archivio di base.

Per aggiungere una variabile ad un archivio di base:

  1. Selezionate nel menù contestuale oppure nella barra dei simboli dell´archivio di base o della lista delle variabili il comando Aggiungi variabile
  2. Si apre il dialogo di selezione

    Aggiungete le variabili desiderate

  3. Chiudete la finestra di dialogo.
  4. Se esistono degli archivi in cascata, viene aperta la finestra di dialogo che serve ad aggiungere le nuove variabili in questi archivi.

    Decidete se e con quale tipo di compressione le variabili devono essere aggiunte a tutti gli archivi in cascata esistenti.

    • Applica a tutti gli archivi compressi: In tutti gli archivi in cascata esistenti si terrà conto delle variabili che sono state aggiunte. Se si attiva questa opzione, si deve procedere a selezionare i tipi di compressione desiderati (somma, valore medio, minimo, massimo).

Aggiungere delle variabili all´archivio archivio in cascata.

Per aggiungere una variabile ad un archivio in cascata:

  1. Selezionate il comando "Aggiungi variabile" nel menù contestuale o nella barra dei simboli dell´archivio di base, oppure della lista delle variabili.
  2. Viene aperto il dialogo di selezione; tale apertura dipende dal tipo dell´archivio:
    1. nessun archivio in cascata subordinato esistente.

    Aggiungete le variabili desiderate

    1. archivio in cascata subordinato esistente:

      Selezionate le variabili desiderate e i tipi di compressione.

      Se si vuole che queste variabili vengano accettate e riprese da tutti gli archivi in cascata subordinati, si deve attivare l´opzione Applica a tutti gli archivi compressi.

  3. chiudete la finestra di dialogo.

Inserisci delle variabili in un archivio in cascata per Drag&Drop

Ulteriori variabili possono essere aggiunte direttamente in un archivio in cascata anche tramite Drag&Drop. In questo caso ci sono due possibilità:

  • Variabile singola:
    Selezionate una singola variabile fra quelle della lista dell´ archivio di base e trascinatela tenendo premuto il tasto sinistro del mouse sul tipo di compressione desiderato di un archivio in cascata connesso.
  • Tutte le variabili:
    Trascinate l´intero archivio di base su uno dei tipi di compressione. Così facendo, tutte le variabili in esso contenute verranno assegnate.


Archiviazione lotti

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Archiviazione lotti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’archiviazione charge consente una semplice organizzazione di classificazioni charge in un archivio. Con l´aiuto di denominazioni charge potete effettuare qualsiasi operazione di filtro quando lavorate con i dati archivio per esempio nel modulo Trend esteso, oppure nel Generatore di rapporti.

Si usa un archivio lotti soprattutto quando non si devono registrare dei processi di carattere ciclico. Ad esempio, in un impianto di imbottigliamento di bibite nel quale vengono realizzati diversi prodotti in differenti quantità. In questo contesto, il nome lotto liberamente definibile può essere usato molto facilmente per stabilire una relazione fra l´archivio e il lotto. Il nome lotto può essere anche ai fini di filtro nel Runtime.

Dato che gli archivi lotti non sono basati su intervalli di tempo definiti, oppure su di un numero di inserimenti di valore, ha senso indicizzarli. Così si può porre i presupposti per un futuro veloce accesso ai dati.

Differenze principali fra un archivio lotti e un archivio:

  • ora di start e stop dell´archivio definita (normalmente: non ciclico).
  • nome lotto definito

info Informazioni su

Il valore della variabile charge viene scritto all´inizio della charge sia nel file Index, che nell´header del file ARX. Ogni volta che questa variabile cambia, questi inserimenti vengono adattati. Al momento della fine della charge, il valore attuale della variabile charge viene scritto definitivamente nel file Index e nell´header.

Solo quando una charge è conclusa, il nome charge è scritto in modo fisso.

Indice

Per consentire un accesso più veloce ai valori lotti nel filtro lotti, è possibile creare un indice per ogni archivio. L’indice viene salvato nel file [Identificazione breve].ARI. Ogni qualvolta si salva un archivio lotti, viene eseguito anche un inserimento nel file di Index. Questo inserimento contiene il nome archivio, la denominazione del lotto, il tempo di start e quello di fine del lotto. Quando poi si esporta l´archivio, anche il file index viene attualizzato.

Gli archivi possono essere cancellati o spostati usando file operations. In questo caso, il file di index deve essere indicizzato nuovamente. A questo scopo, eseguite la funzione Indicizza file d'archivio.

Indicizzazione automatica.

Effettuando la configurazione dell´archivio di base oppure dell´archivio in cascata, attivate nella scheda Proprietà l´opzione Indicizza lotto. L’ indice viene creato solamente da file di archivio nella cartella Runtime. Se si legge dalla cartella di backup, viene letto un file di archivio alla volta.

La nuova creazione di un indice lotti avviene con la funzione Indicizza file d'archivio. Usate questa funzione se i dati sono stati salvati manualmente nella cartella Runtime, oppure sono stati letti manualmente da essa. Il file index non viene dislocato, e non viene letto neanche quando i dati sono ottenuti dalla cartella di backup. Una nuova indicizzazione accede solamente ai file d'archivio nella cartella Runtime. Se i dati d'archivio vengono letti dalla cartella di rilettura, essi non vengono spostati di nuovo nella cartella Runtime. I dati vengono caricati nella RAM. Una nuova indicizzazione, dunque, accede ai dati nella cartella Runtime, ma non a quelli della cartella di rilettura.

Funzione Indicizza file d'archivio

Il tempo di generazione del file di indice dipende dalla dimensione dei file di archivio. Per evitare il blocco del runtime, questa operazione viene fatta in background. Se l’indicizzazione non è ancora terminata, ma sono già necessari i valori charge, questa richiesta deve attendere finché l'operazione non è terminata. Con l’opzione esecuzione sincrona la funzione attende che l’indicizzazione sia terminata.


Crea un'immagine del tipo Post-elaborazione archivio

Manuale -> Server di archiviazione -> Progettazione nell'editor -> Crea un'immagine del tipo Post-elaborazione archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Crea un'immagine del tipo Post-elaborazione archivio

L´immagine del tipo Post-elaborazione archivio serva a visualizzare archivi nel Runtime, a configurarli e a modificarli.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine l´opzione Post-elaborazione archivio.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Immagine del tipo Post-elaborazione archivio

Parametri | Descrizione
Inserisci modello | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Immagine | Elementi di controllo per finestre.
Finestra dati d'archivio | Visualizzazione dei dati d'archivio nel Runtime.
Filtro impostato (Lista) | Visualizzazione del filtro impostato.
Filtro impostato (Visualizzazione) | Visualizzazione del filtro impostato.
Stato archivio | Visualizzazione dello stato archivio.
Nome breve | Visualizzazione della descrizione breve dell´archivio visualizzato.
Totale | Visualizzazione del numero dei valori visualizzati.
Quantità I-Bits | Visualizzazione del numero delle variabili con lo stato INVALID.
Funzioni lista | Pulsanti per la gestione delle funzioni della lista durante il Runtime.
Apri archivio | Apre la finestra di dialogo che serve alla selezione di un archivio.
Chiudi archivio | Chiude l´archivio aperto attualmente.
Salva archivio | Salva le modifiche nell´archivio modificato e attualizza archivi in cascata su richiesta.
Modifica record | Apre la Finestra di dialogo che serve a modificare l´inserimento archivio selezionato.
Inserisci record | Apre la Finestra di dialogo che serve ad inserire inserimenti archivio nei file d'archivio. Se per questo intervallo di tempo non esiste nessun file di archivio, non potrà essere aggiunto nessun inserimento. Se si cerca di aggiungere un inserimento, apparirà una segnalazione d´errore corrispondente.
Cancella record | Elimina gli inserimenti archivio selezionati dopo una richiesta di conferma per ragioni di sicurezza.
Seleziona | Cliccate sul pulsante apre la finestra di dialogo che serve alla selezione del filtro.
Configurazione colonne | Apre la Finestra di dialogo per la configurazione della larghezza colone e del carattere.
Stampa | Stampa la lista su una stampante definita in anticipo.
Profilo filtro | Elementi di controllo per profili filtro.
Selezione profili | Inserimento di un nome per un nuovo profilo filtro, oppure selezione di un profilo filtro tra quelli offerti dal menù a tendina.
Salva | Salva il filtro attuale come profilo con il nome indicato nel campo di testo Profilo filtro.
Elimina | Cancella il profilo filtro selezionato attualmente.
Importa | Apre la finestra di dialogo che serve ad importare un profilo filtro.
Esporta | Apre la finestra di dialogo che serve ad esportare un profilo filtro.


Funzioni

Manuale -> Server di archiviazione -> Funzioni

In zenon sono a Vostra disposizione diverse funzioni che Vi consentono di gestire l´archiviazione:

  • Cambio immagine – Post elaborazione archivio: Configurazione del cambio immagine incluso filtraggio.
  • Partenza archivio: Avvio manuale di un archivio
  • Termina archivio: Chiusura manuale di un archivio
  • Mostra archivi attivi: Visualizzazione degli archivi attivi nel Runtime.
  • Indicizza file d'archivio: Indicizzazione per start/stop archivio
  • Esporta archivio: Esporta archivio

Noch in diesem Kapitel

Cambio immagine – Post elaborazione archivio

Partenza archivio

Termina archivio

Indicizza file d'archivio

Mostra archivi attivi

Esporta archivio


Cambio immagine – Post elaborazione archivio

Manuale -> Server di archiviazione -> Funzioni -> Cambio immagine – Post elaborazione archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aprire e parametrizzare un´immagine del tipo Post-elaborazione archivio durante il Runtime:

  1. Impostate una Immagine del tipo Post-elaborazione archivio
  2. Create una funzione Cambio immagine per questa immagine.
  3. Definite le Proprietà di filtro desiderate

La parametrizzazione del contenuto visualizzato nel Runtime avviene tramite le condizioni di filtro del cambio immagine. Ciò Vi consente di accedere tramite diverse funzioni sempre alla stessa immagine e di farvi visualizzare delle liste filtrate rispettivamente secondo diversi criteri.

È possibile modificare queste proprietà di filtro durante il Runtime. Eccezione: Nell´Editor sono stati definiti filtri di tempo fissi.

Progettare cambio immagine

Per impostare un cambio immagine per passare ad un´immagine del tipo Post-elaborazione archivio:

  1. Selezionate nel menù contestuale del nodo Funzione il comando Nuova funzione.
  2. Cliccate su Cambio immagine.
  3. Si apre il dialogo che serve alla selezione immagine.
  4. Scegliete l´immagine del tipo Post-elaborazione archivio
  5. Viene visualizzata la finestra di dialogo che serve alla selezione di un archivio.
  6. Selezionate l´archivio che deve essere visualizzato nel Runtime al momento del cambio immagine.
  7. Configurate tramite l´opzione Formato in che modo i dati devono essere ordinati per la visualizzazione.
  8. Configurate il filtro desiderato per variabili, bit di stato, tempo e lotti.
    Cliccate sul pulsante Filtro.
  9. Chiudete il dialogo Filtro e quello Archivi cliccando in entrambi i casi su OK.

Dialogo Selezione archivi

Parametri

Descrizione

Nome filtro

Nome del filtro configurato.

Questo nome viene attaccato ai parametri della funzione di cambio e serve a differenziare diverse funzioni di cambio immagine con differenti configurazioni di filtro.

Archivi

Lista degli archivi disponibili.

Attenzione: Un archivio deve essere selezionato. Esso verrà visualizzato durante il Runtime. Se si vuole che venga visualizzato un achivio lotti, esso deve coincidere con l´archivio configurato per la selezione nel Runtime.

Formato

Formato di visualizzazione e ordinamento degli inserimenti dell'archivio visualizzato:

  • Tempo: per data e ora
  • Variabile: per nome variabile
  • Non ordinato: nessun ordinamento

Utilizza archivi da percorso di backup

Attivo: Vengono usati anche degli archivi della cartella di rilettura.

Inattivo: Vengono usati solamente gli archivi attuali.

Quando vengono scaricati dati d'archivio dalla cartella di backup, vengono letti anche i dati di archivio del percorso Runtime e di tutte le sottocartelle della cartella di backup.

Attenzione: Prima di poter accedere ad archivi dislocati tramite l´opzione Utilizza archivi da percorso di backup, essi devono essere prima copiati nella cartella di rilettura. Al momento del dislocamento, gli archivi vengono salvati nella cartella archivi dislocati. Essa non corrisponde alla cartella di rilettura. Potete definire le cartelle nella finestra di dialogo Impostazioni standard, nella scheda Cartelle. Trovate il dialogo alla voce File -> Configurazione generale -> Standard.

Suggerimento: Le cartelle per archivi dislocati e Archivi dalla cartella di rilettura possono essere anche settate in modo identico per evitare la copia manuale. Avere differenti percorsi ha senso soprattutto nel caso in cui, per esempio, la rilettura avviene da un DVD e i dati esportati vengono masterizzati su nuovi DVD solo in corrispondenza di tempi definiti.

Chiudi finestra di dialogo

Ok

Accetta le impostazioni e chiude il dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.

Filtro

Apre la finestra di dialogo per la configurazione dei criteri di filtro.

  • Filtro archivio: Variabili (disponibile solamente se è stato selezionato un archivio) e bit di stato.
  • Tempo: Filtro tempo
  • Lotti: Filtro Lotto

Guida

Apre la guida online.

Noch in diesem Kapitel

Filtro archivio

Ora

Lotti


Filtro archivio

Manuale -> Server di archiviazione -> Funzioni -> Cambio immagine – Post elaborazione archivio -> Filtro archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametri

Descrizione

Lista di stato

Selezione del bit di stato sul base del quale deve essere effettuata l´operazione di filtro. Selezione e deselezione cliccando sul bit di stato corrispondente

Disponibile solamente se l´opzione Tutti inserimenti è disattivata.

Lista variabili

Variabili dell´archivio selezionato che devono essere visualizzate. Selezione e deselezione cliccando nella check box davanti alla variabile.

Disponibile solamente se l´opzione Tutti inserimenti è stata disattivata.

Valore (in unità di base)

Attivo: Il sistema filtra alla ricerca di quei valori d´archivio che si trovano fra un minimo ed un massimo, oppure contengono come stringa una certa successione di caratteri,

Inserimento di:

  • Minimo: Limite inferiore del valore.
  • Massimo: Limite massimo del valore.
  • Maschera String: Successione di caratteri sulla base della quale deve essere effettuata l´operazione di filtro.

Disponibile solamente se l´opzione Tutti inserimenti è disattivata.

Cancellare selezione

Disponibile solamente se la finestra di dialogo viene aperta nel Runtime usando il pulsante selezione.

Nel Runtime, con l´apertura della finestra di dialogo mediante il pulsante selezione, vengono selezionati quegli inserimenti della lista che corrispondono alle variabili e ai bit di stato selezionati.

  • Attivo: Cancella tutte le selezioni all´interno della lista al momento della chiusura della finestra di dialogo.

Visualizza questa finestra di dialogo a Runtime

Attivo: Prima di ogni apertura dell´immagine viene aperto il dialogo di filtro. Le impostazioni di filtro possono essere modificate. Quest´opzione non è disponibile sotto Windows CE.
Attenzione: Se nella scheda Lotti si seleziona anche l´opzione Mostra dialogo di selezione lotti, quest´ultimo verrà aperto nel Runtime. Esso non verrà più visualizzato nel caso di un reload.

Indicazioni per il filtro intervallo di tempo:

Proponi dialogo a Runtime attivo:

  • Il filtro viene aperto nel Runtime con un cambio immagine. All´aggiornamento del progetto, il filtro non verrà più offerto. Questo comportamento può differire con i singoli tipi di immagine, se il dialogo è stato visualizzato e poi chiuso con il cambio immagine.
  • Si usa sempre l´ultimo intervallo di tempo concluso.

Proponi dialogo a Runtime non attivo:

  • Utilizza ultimo intervallo di tempo concluso non attivo: Si usa l´ultimo intervallo di tempo concluso.
  • Utilizza ultimo intervallo di tempo concluso non attivo: Si usa l´intervallo di tempo attuale.

Tutti inserimenti

Attivo: le impostazioni valgono per tutti gli stati e tutte le variabili. Gli inserimenti in lista di stato, lista delle variabili e valore non possono essere selezionati individualmente.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Ora

Manuale -> Server di archiviazione -> Funzioni -> Cambio immagine – Post elaborazione archivio -> Ora

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione del filtro tempo.

Nota: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

I filtri tempo possono sia essere pre-impostati nell´Editor, che modificato poi nel Runtime:

  • Periodo assoluto
  • Periodo relativo
  • Da
  • Intervallo tempo

Il filtraggio tempo può essere realizzato in due modi:

  1. Indica intervallo di tempo nell´Editor
    Si usano intervalli di tempo fissi. nell´editor viene indicato in intervallo tempo. Nel runtime si può effettuare il filtraggio solo sulla base di questo intervallo di tempo. Anche altri filtri (per es. filtri per nomi variabile, gruppi e classi allarmi/eventi ecc) non sono più modificabili durante il Runtime.
  2. Filtro tempo configurabile durante il Runtime
    Il filtro tempo viene impostato nell´Editor e può essere modificato a piacere nel Runtime.

Configurare il filtro tempo

Filtro

Scelta del filtro.

Parametro

Description (Descrizione)

Nessun filtro tempo

Attivo: Non viene usato nessun filtro temporale.

Nota: Nel Runtime verranno visualizzati tutti gli inserimenti a partire da 1. 1. 1990.

Filtro assoluto

Attivo: Viene indicato un periodo di tempo fisso nell´editor. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato.

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Periodo relativo

Attivo: Viene indicato un periodo di tempo relativo.

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attivo: Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione dell´area fra quelle della lista a cascata:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo tempo

Attivo: Viene indicato un intervallo di tempo fisso. Selezione dell´area fra quelle della lista a cascata:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 Minuti
  • 30 Minuti
  • 60 Minuti

Nel settore "Impostazioni"vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudi finestra di dialogo

Parametro | Description (Descrizione)
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Noch in diesem Kapitel

Periodo assoluto

Periodo relativo

Da

Intervallo tempo

Indicare intervallo nell´editor

Filtro tempo adattabile durante il Runtime


Periodo assoluto

Manuale -> Server di archiviazione -> Funzioni -> Cambio immagine – Post elaborazione archivio -> Ora -> Periodo assoluto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il filtro assoluto definite un intervallo di tempo fisso. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato. Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione periodo assoluto
  2. configurate il tempo desiderato nella parte delle Impostazioni

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attivo: Il filtro tempo viene configurato nel Runtime.
Default | Attivo: Il filtro tempo viene indicato nell´Editor. Nel Runtime si può fissare solamente il punto di partenza del filtro.
Da | Punto di partenza del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.
Fino a | Tempo di chiusura del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Periodo relativo

Manuale -> Server di archiviazione -> Funzioni -> Cambio immagine – Post elaborazione archivio -> Ora -> Periodo relativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Viene indicato un periodo di tempo relativo.

Attenzione: questo filtro viene costantemente aggiornato e continua a funzionare.
Esempio: impostate un tempo relativo di 10 minuti e aprite alle ore 12:00 un´immagine con questo filtro tempo. In questo caso, verrano visualizzati i dati dalle 11:50 alle 12:00 al momento dell´apertura dell´immagine. Se l´immagine rimane aperta, il filtro viene aggiornato automaticamente. Alle 12:01 vedrete i dati dalle 11:51 alle 12:01 ecc.

Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione periodo relativo
  2. configurate il tempo desiderato nella parte delle Impostazioni

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attivo: Il filtro tempo viene configurato nel Runtime.
Default | Attivo: Il filtro tempo viene indicato nell´Editor. Nel Runtime si può fissare solamente il punto di partenza del filtro. Selezione dell´intervallo tempo relativo in giorni, ore, minuti e secondi.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Da

Manuale -> Server di archiviazione -> Funzioni -> Cambio immagine – Post elaborazione archivio -> Ora -> Da

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Viene definito un tempo a partire dal quale il filtro è attivo. Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione Da
  2. selezionate il filtro desiderato fra quelli della lista a cascata.
    • Da HH:MM:SS
    • Dal Giorno - HH:MM:SS
    • Dal Giorno, Mese - HH:MM:SS
  3. configurate il tempo desiderato nella parte delle Impostazioni

Parametro

Descrizione

Impostazioni

Configurazione del filtro di tempo.

[Data/Ora]

In dipendenza dalle impostazioni effettuate per l´opzione Ab, in questa sede viene configurato un tempo a partire dal quale il filtro è attivo:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Attenzione! il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto l´orario delle 23:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.
  • Da HH:MM:SS

Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Esempio: facciamo il caso che indichiate come orario le 23:00:00. Se al momento dell´esecuzione della funzione sono le 23:30, viene effettuato il filtro dalle 23:00:00 fino al momento attuale. Se però sono le 22:30, allora il filtro viene effettuato dalle 23:00 del giorno precedente fino al momento attuale.
  • Dal Giorno - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nel mese corrente, si fa riferimento al tempo corrispondente del mese precedente.

Esempio: facciamo il caso che indichiate come giorno il 5 e come orario le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 del mese e sono le 23:30, il sistema effettua il filtro dal 5 del mese a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 del mese, il filtro viene effettuato a partire dal 5 del mese precedente alle 23:00 fino al momento attuale.

  • Dal Giorno, Mese - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nell´anno corrente, si fa riferimento al tempo corrispondente dell´anno precedente.

Esempio: facciamo il caso che indichiate comegiorno il 5, , come mese ottobre - e come ora le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 di ottobre e sono le 23:30, il sistema effettua il filtro dal 5 di ottobre a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 di ottobre, il filtro viene effettuato a partire dal 5 di ottobre precedente alle 23:00 fino al momento attuale.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Intervallo tempo

Manuale -> Server di archiviazione -> Funzioni -> Cambio immagine – Post elaborazione archivio -> Ora -> Intervallo tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Viene definito un intervallo di tempo nell´ambito del quale il filtro è attivo. Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione intervallo di tempo
  2. configurate il tempo desiderato nella parte delle Impostazioni

Parametro

Descrizione

Impostazioni

Configurazione del filtro di tempo.

Intervallo tempo

Selezione di un intervallo di tempo fra quelli proposti dal menù a tendina.

Nel Runtime si effettuerà un´operazione filtro sulla basa di questo intervallo di tempo. Il filtro si riferirà al momento dell´apertura dell´immagine.
Ad esempio: Il valore 60 minuti mostra tutti gli archivi dell´ultima ora.

Se questo dialogo viene offerto anche nel Runtime, si può selezionare il punto da cui deve incominciare a decorrere l´intervallo di tempo.

Modifica intervallo di tempo

Consente degli adattamenti del ciclo, spostamenti ed estensioni degli intervalli di tempo.

Attivo: L´analisi avviene secondo il seguente schema:

  • in primo luogo viene analizzata l´opzione Usa l´ultimo intervallo di tempo terminato.
  • Poi viene applicato Modifica periodo di.
  • Poi viene applicata l´opzione Spostamento intervallo avanti di.

Inattivo: non viene effettuata nessuna modifica all´intervallo di tempo.

Attenzione: A partire dalla versione 7.10, le azioni di filtro effettuate sulla base di questa funzione hanno prodotto altri esiti che nelle versioni precedenti.

Spostamento intervallo avanti di

Attivo: L´intervallo di tempo definito nel filtro viene spostato in avanti, nel futuro. Indicazione in ore - minuti - secondi.

Se si imposta uno spostamento pari o maggiore all´intervallo di tempo selezionato, il sistema visualizzerà una segnalazione che invita a verificare i dati della progettazione.

Modifica periodo di

Attivo: L´intervallo di tempo definito nel filtro viene modificato. Indicazione in ore - minuti - secondi.

Se si imposta una modifica e uno spostamento pari o maggiore all´intervallo di tempo selezionato, il sistema visualizzerà una segnalazione che invita a verificare i dati della progettazione.

Aggiungi tempo

Attivo: Il tempo indicato nell´opzione Modifica periodo di viene aggiunto a quello definito nell´opzione intervallo di tempo.

Sottrai tempo

Attivo: Il tempo indicato nell´opzione Modifica periodo di viene sottratto a quello definito nell´opzione intervallo di tempo.

Utilizza ultimo intervallo di tempo concluso

Attivo: Viene usato l´ultimo intervallo di tempo concluso.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Indicare intervallo nell´editor

Manuale -> Server di archiviazione -> Funzioni -> Cambio immagine – Post elaborazione archivio -> Ora -> Indicare intervallo nell´editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questo metodo, indicate nell´editor già un intervallo di tempo fisso, che viene usato al momento dell´esecuzione della funzione nel runtime. Nel Runtime potete solamente fissare il punto temporale di partenza, ma non potete modificare alcuna impostazione di filtro.

Ad esempio: mettiamo che abbiate inserito un filtro tempo di 30 minuti. Nel runtime, potete solamente stabilire quando deve incominciare questo periodo di 30 minuti. Ma non potete neanche modificare il filtro in un filtro giorno.

attention Attenzione

Se usate questo tipo di filtro, non potete più adattare durante il Runtime anche tutti gli altri filtri che sono disponibili nella scheda Generale! Continua ad essere possibile filtrare sulla base di testo, stato e impianto.

Per impostare il filtro:

  1. nell´immagine deve essere disponibile il pulsante Filtro al fine di poter avviare il filtro stesso nel Runtime.
  2. selezionate il filtro desiderato
  3. configurate l´intervallo di tempo selezionato

Suggerimento per l´intervallo di tempo: attivate nel dialogo filtro l´opzione Proponi dialogo a Runtime. In tal modo potete adattare il punto temporale di partenza già prima dell´esecuzione della funzione. se non vi fate visualizzare il filtro al momento dell´apertura della funzione nel Runtime, verrà usato sempre l´intervallo di tempo attuale. Se avete attivato l´opzione Usa l´ultimo intervallo di tempo terminato, viene visualizzato l´ultimo intervallo di tempo.
Per esempio: mettiamo che abbiate impostato un filtro di 30 minuti. Quando si attiva la funzione sono le 10:45. Nel caso in cui l´opzione Usa l´ultimo intervallo di tempo terminato non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Nel caso in cui, però, l´opzione dovesse essere attiva, il filtro viene settato all´intervallo di tempo precedente dalle 10:00:00 alle 10:29:59.


Filtro tempo adattabile durante il Runtime

Manuale -> Server di archiviazione -> Funzioni -> Cambio immagine – Post elaborazione archivio -> Ora -> Filtro tempo adattabile durante il Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se seguite questo metodo, definite nell´Editor un filtro tempo: esso può essere adattato durante il Runtime prima di essere eseguito. Per impostare il filtro:

  1. nell´immagine devono essere presenti i pulsanti Filtro e Mostra filtro
  2. selezionate il filtro desiderato:
    • Periodo assoluto
    • Periodo relativo
  3. selezionate alla voce Impostazioni l´opzione Proponi data e ora attuale
  4. nel Runtime, verrà aperto il dialogo di filtro con la data e l´ora attuali.


Lotti

Manuale -> Server di archiviazione -> Funzioni -> Cambio immagine – Post elaborazione archivio -> Lotti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda configurate la riduzione della visualizzazione a determinati lotti. L´informazione lotti viene usata in aggiunta al filtro esistente.

Se il filtro lotti è attivo, nel Runtime accade quanto segue:

  • Una lista di tutti i lotti configurati che corrispondono all´intervallo di tempo progettato viene ottenuta in anticipo dal server di archiviazione.
  • Essa costituisce la base sulla quale il sistema filtra la lista degli archivi

    Attenzione: L´archivio lotti selezionato nel Runtime deve corrispondere a quello scelto nel cambio immagine.

info Informazioni su

Alcuni filtri in zenon possono essere configurati indipendentemente l´uno dall´altro nell´Editor e poi combinati a Runtime. Con il filtro lotto, questo è possibile solo fino ad un certo punto.

Il filtro lotto può offrire a Runtime una lista dei lotti esistenti. Si tratta di dati Runtime che non sono disponibili nell´Editor. .

Quando si configura il cambio immagine nell´Editor, si può usare la scheda Filtro tempo in combinazione con il filtro lotto solo come filtro preliminare per la finestra di dialogo di selezione lotti. Quando poi si seleziona un lotto di questa lista a Runtime, il filtro tempo viene sovrascritto con i dati del lotto selezionato per ottenere così un filtro esatto per il lotto selezionato.

Questo significa: quando si usa il dialogo di selezione lotti a Runtime e si seleziona un lotto, il filtro tempo non corrisponde a quello configurato nell´Editor.

Filtro

Impostazioni per l´uso del filtro lotti. Selezione di una delle opzioni:

  • Nessun filtro lotti
  • Usa direttamente filtro lotti
  • Visualizza dialogo di selezione lotto
    Nota: quando il filtro lotti viene visualizzato come finestra di dialogo, è possibile eseguire un filtro preliminare sulla base delle identificazioni archivi. Si raccomanda espressamente di utilizzare questa possibilità di filtro preliminare per migliorare le prestazioni.

Parametri

Descrizione

Nessun filtro lotto
  • Attivo: il filtro lotti viene disattivato e non può essere configurato. A Runtime non verrà eseguito un filtro sulla base dei lotti.

Applica direttamente filtro lotto
  • Attivo: il filtro configurato qui verrà utilizzato direttamente a Runtime.

Nota: non è possibile farsi visualizzare tutti i lotti in una lista e selezionarne uno manualmente. Se si vuole che venga visualizzato un determinato lotto, si deve configurare in modo corrispondente il filtro per archivi, nome e tempo. Questo presuppone una conoscenza esatta dei dati esistenti. In alternativa, si raccomanda di selezionare l´opzione Visualizza dialogo di selezione lotto.

Visualizza dialogo di selezione lotto

Attivo: a Runtime, la finestra di dialogo per la selezione lotti viene visualizzata:

  • Cliccando su Filtro, oppure
  • Con un cambio immagine, se è stata attivata l´opzione Proponi dialogo a Runtime (non disponibile per ogni funzione/ogni tipo di immagine)
    Nota: la finestra di dialogo non verrà visualizzato in caso di reload.

Le opzioni possono essere preselezionate nell´Editor.

Sostituisci dialogo a Runtime con l'immagine

Disponibile solo se è stata selezionata l´opzione Visualizza dialogo di selezione lotto.

Definizione di un´immagine che deve essere aperta a Runtime al posto del Dialogo di selezione lotto. Vengono proposte alla selezione solamente immagini di tipo Filtro tempo/lotto.

Cliccare sul pulsante ... per aprire la finestra di dialogo che serve alla selezione di un´immagine.

Se non si trova l´immagine collegata a Runtime, il sistema cerca le immagini corrispondenti con nomi specifici.

Nota: si può selezionare un´immagine "Filtro lotto" anche utilizzando l´opzione Proponi dialogo a Runtime. Questa immagine, però, non viene usata qui come filtro lotto, ma come filtro tempo. Le opzioni "filtro lotto" non vengono applicate correttamente in questa posizione.

Selezione lotto relativo

Attenzione: questa opzione è disponibile solamente per il Trend esteso. Con faceplate, quest´opzione viene visualizzata per tutti i tipi di immagine; anche qui, però, è disponibile solamente per il modulo ETM.

Configurazione per ETM:

Questa opzione è disponibile se l´opzione Visualizza dialogo di selezione lotto è attiva e se la proprietà Progetto WindowsCE è disattivata nelle proprietà di progetto.

  • Attivo: consente un confronto diretto di diversi lotti. La rappresentazione parte sempre dal punto zero.

Visione generale della implementazione della configurazione a Runtime:

Ora

Configurazione del filtro tempo per la selezione lotti. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Ultimo lotto
  • Applica filtro tempo dalla scheda "Tempo"

Parametri

Descrizione

Nessun filtro
  • Attivo: non si tiene conto dell´intervallo di tempo impostato nella scheda Ora. Verrano visualizzati tutti i lotti conclusi e ancora attivi.

Ultimo lotto

Attenzione: questa opzione funziona solo in combinazione con l´opzione Applica direttamente filtro lotto.

Consente la combinazione di Visualizza lotto corrente e Visualizza lotti conclusi. Almeno una di queste due opzioni deve essere attivata. Se sono entrambe disattivate, questo corrisponde all´impostazione Nessun filtro.

  • Attivo: inserimento del numero dei lotti conclusi di recente sulla base dei quali deve essere effettuata l´operazione di filtro. Inserimento del numero nel campo numerico, oppure configurazione mediante tasti frecce.

Esempio: il valore inserito per questa opzione è 3. Ci sono 2 lotti correnti e 10 sono conclusi. In questo caso il sistema visualizzerà i due lotti correnti e uno di quelli conclusi.

Nota: come intervallo di tempo per i lotti correnti, non viene utilizzato il valore impostato nel filtro tempo, ma l´ultimo anno. Questo filtro non viene eseguito come filtro preliminare, e non può essere dunque usato per avere un miglioramento delle performance.

Informazioni sulla compatibilità:
Se il progetto viene compilato per una versione precedente alla 7.11, vale quanto segue: se si selezionano i lotti correnti, oppure la combinazione fra lotti correnti e conclusi, saranno visualizzati a Runtime solamente i lotti chiusi.

Visualizza lotto corrente
  • Attivo: verrano visualizzati i lotti attivi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti attivi al momento, il sistema mostrerà anche lotti già conclusi finché non sarà raggiunto il limite impostato.
Esempio: devono essere visualizzati 3 lotti. Solamente 1 lotto è attivo, mentre 5 sono stati già chiusi. In questo caso, verranno visualizzati il lotto ancora attivo e 2 di quelli già terminati.

Visualizza lotti chiusi
  • Attivo: vengono visualizzati i lotti conclusi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti conclusi, il sistema mostrerà anche lotti ancora attivi finché non sarà raggiunto il limite impostato.

Applica filtro tempo dalla scheda "Tempo"
  • Attivo: il sistema esegue un filtro preliminare usando le impostazioni della scheda Zeit.

Nell´ambito di questo intervallo di tempo si potrà adattare l´effettivo intervallo del filtro. Selezione dal menù a tendina:

  • Inizio e fine esterni ai limiti del filtro: (Default)
    I lotti possono iniziare prima dell´ora di partenza impostata nel filtro Tempo e terminare dopo il tempo di conclusione configurato.
  • Inizio e fine interni ai limiti del filtro:
    I lotti devono iniziare e finire all´interno dei termini temporali impostati nel filtro Tempo per il loro inizio e la loro fine.
  • Inizio anche precedente al limite filtro:
    I lotti possono iniziare prima dell´ora di partenza impostata nel filtro Tempo, ma devono terminare prima o in corrispondenza del tempo di conclusione configurato.
  • Fine anche successiva al limite del filtro:
    I lotti possono terminare anche dopo il tempo di conclusione configurato nel filtro Tempo, ma devono iniziare dopo o in corrispondenza dell´ora di partenza configurata.
  • Inizio e fine coincidono con i limiti del filtro:
    I lotti vengono ridotti facendo riferimento ai termini temporali fissati per inizio e fine nel filtro Zeit.

Archivi

Configurazione delle impostazioni di filtro per gli archivi. Questo filtro si applica come filtro preliminare per la finestra di selezione lotti.

Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Statico
  • Da variabile

Parametri

Descrizione

Nessun filtro
  • Attivo: non si esegue nessuna operazione di filtro su base nome archivi.

Statico
  • Attivo: si filtrano gli archivi la cui identificazione corrisponde alla successione di caratteri impostata nel campo di inserimento.

Inserimento di identificazioni archivi nel campo di inserimento:

  • Più identificazioni sono divise da una virgola (,).
  • * oppure vuoto: tutti gli archivi, nessun filtro.

Da variabile
  • Attivo: a Runtime viene applicato il valore della variabile collegata qui come filtro per nomi archivi.

Quando si clicca sul pulsante ... si apre la finestra di dialogo che serve alla selezione di una variabile.

Disponibile per tutti i moduli solo se è stata selezionata l´opzione Applica direttamente filtro lotti.

Informazioni concernenti le variabili nel Runtime:

  • Nel Runtime, la selezione variabili viene attivata solamente nel caso in cui si sia proceduto a collegare già nell´Editor una variabile valida. Il pulsante ... non è mai attivo nel Runtime. È dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, essa verrà registrata e letta. Ciò può causare dei ritardi nel caso di connessioni driver e protocolli lenti.

Attenzione: se il sistema non trova la variabile selezionata a Runtime, non verrà eseguito nessun filtro sulla base di nomi archivio. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Nota riguardante l´ETM: nel modulo ETM gli archivi sono determinati dalle curve progettate nel cambio immagine. A Runtime, questo è possibile solamente in combinazione con l´opzione Lotto relativi . Con questa opzione, le variabili devono essere selezionate a Runtime, il che è fissato a sua volta dalla selezione possibile di archivi. Dopo essere stato filtrato, l´archivio deve essere uno di quelli sui quali si basano le curve configurate. In caso contrario non verrà visualizzato nessun dato. Questa impostazione può essere usata anche per limitare le curve visualizzate. Tuttavia queste continueranno ad essere visualizzate nella lista delle curve.

Esempio: ETM.

Curve configurate | Origine dati | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
A | AR | AR | Viene visualizzata nella lista delle curve e disegnata nel Trend.
B | EA |  | Viene visualizzata solamente nella lista delle curve.
C | EP |  | Viene visualizzata solamente nella lista delle curve.

Nota relativa alla post elaborazione archivio: l´archivio per cui viene aperta l´immagine è già selezionato nella funzione di cambio immagine. Visto che si può selezionare solamente un archivio, non ha senso impostare ulteriori limitazioni.

Esempio di post elaborazione archivio:

Archivio configurato | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
AR | EA | Non viene visualizzato nessun dato.

Nomi

Configurazione del filtro dei nomi. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Statico
  • Da variabile

Parametri

Descrizione

Nessun filtro
  • Attivo: non si esegue un filtro sulla base dei nome lotti.

Statico
  • Attivo: si filtrano i nomi lotti che corrispondono alla successione caratteri indicata nel campo di inserimento.

Inserimento del nome lotto nel campo di inserimento:

  • Più identificazioni sono divise da un segno pipe (|).
  • * oppure vuoto: tutti i lotti di tutti gli archivi visualizzati, nessun filtro.

Da variabile
  • Attivo: a Runtime si usa il valore della variabile collegata qui come filtro per i nomi lotti.

Quando si clicca sul pulsante ... si apre la finestra di dialogo per la selezione di una variabile.

Disponibile solo se è stata selezionata l´opzione Applica direttamente filtro lotto.

Informazioni concernenti le variabili nel Runtime:

  • Nel Runtime, la selezione variabili viene attivata solamente nel caso in cui si sia proceduto a collegare già nell´Editor una variabile valida. Il pulsante ... non è mai attivo nel Runtime. È dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, essa verrà registrata e letta. Ciò può causare dei ritardi nel caso di connessioni driver e protocolli lenti.

Attenzione: se non è possibile trovare la variabile selezionata a Runtime, non sarà eseguito nessun filtro dei nomi lotti. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Partenza archivio

Manuale -> Server di archiviazione -> Funzioni -> Partenza archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione avvia nel Runtime un archivio già progettato.

attention Attenzione

Attenzione: se si definisce lo start e lo stop dell´archivio facendo uso di Start/Stop del runtime, l´arresto oppure l´avvio dell´archivio tramite funzioni non è più possibile. Queste funzioni, cioè, non hanno alcun effetto.

Per configurare la funzione:

  1. Selezionate il pulsante Nuova funzione nel nodo Funzioni della barra degli strumenti, oppure nel menù contestuale.
  2. Viene visualizzato il dialogo per selezionare una funzione
  3. navigate per raggiungere il nodo Archiviazione
  4. Selezionate la funzione Partenza archivio.
  5. Si apre il dialogo che serve alla selezione di un archivio.
  6. Selezionate l´archivio desiderato
  7. Chiudete il dialogo cliccando su OK.
    Nella lista delle funzioni, il nome archivio viene visualizzato come parametro.
  8. Collegate la funzione ad un bottone

Nel Runtime, quando la funzione viene eseguita, essa avvia l´archivio selezionato.

Dialogo Selezione archivi

Parametri | Descrizione
Archivi disponibili | Visualizzazione di tutti gli archivi di base e archivi in cascata configurati. La selezione avviene cliccando su un inserimento.
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Termina archivio

Manuale -> Server di archiviazione -> Funzioni -> Termina archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione termina nel Runtime un archivio selezionato.

attention Attenzione

Attenzione: se si definisce lo start e lo stop dell´archivio facendo uso di Start/Stop del runtime, l´arresto oppure l´avvio dell´archivio tramite funzioni non è più possibile. Queste funzioni, cioè, non hanno alcun effetto.

Per configurare la funzione:

  1. Selezionate nel nodo Funzioni della barra degli strumenti, oppure nel menù contestuale, il comando Nuova funzione.
  2. Viene visualizzato il dialogo per selezionare una funzione
  3. navigate per raggiungere il nodo Archiviazione
  4. Selezionate la funzione Termina archivio.
  5. Si apre il dialogo che serve alla selezione di un archivio.
  6. Selezionate l´archivio desiderato
  7. Chiudete il dialogo cliccando su OK.
    Nella lista delle funzioni, il nome archivio viene visualizzato come parametro.
  8. Collegate la funzione ad un bottone

Nel Runtime, quando la funzione viene eseguita, essa termina l´archivio selezionato.

Dialogo Selezione archivi

Parametri | Descrizione
Archivi disponibili | Visualizzazione di tutti gli archivi di base e archivi in cascata configurati. La selezione avviene cliccando su un inserimento.
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Indicizza file d'archivio

Manuale -> Server di archiviazione -> Funzioni -> Indicizza file d'archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per consentire un accesso più veloce ai valori lotti nel filtro lotti, è possibile creare un indice per ogni archivio. L’indice viene salvato nel file [Identificazione breve].ARI. Ogni qualvolta si salva un archivio lotti, viene eseguito anche un inserimento nel file di Index. Questo inserimento contiene il nome archivio, la denominazione del lotto, il tempo di start e quello di fine del lotto. Quando poi si esporta l´archivio, anche il file index viene attualizzato.

Gli archivi possono essere cancellati o spostati usando file operations. In questo caso, il file di index deve essere indicizzato nuovamente. A questo scopo, eseguite la funzione Indicizza file d'archivio.
Nota: L´indicizzazione può avvenire anche in modo automatico. A tal scopo, al momento della configurazione dell´archivio attivate nella scheda Proprietà l´opzione Indicizza lotto.

Dettagli concernenti l´indicizzazione li potete trovare nel capitolo Archivi lotti.

info Informazioni su

La funzione Indicizza file d'archivio viene sempre eseguita sul server di processo.

Per configurare la funzione:

  1. Selezionate nel nodo Funzioni della barra degli strumenti, oppure nel menù contestuale, il comando Nuova funzione.
  2. Viene visualizzato il dialogo per selezionare una funzione
  3. navigate per raggiungere il nodo Archiviazione
  4. Selezionate la funzione Indicizza file d'archivio.
  5. Si apre il dialogo che serve alla selezione di un archivio.
    Vengono visualizzati solamente archivi lotti.
  6. Selezionate l´archivio desiderato
  7. Chiudete il dialogo cliccando su OK.
    Nella lista delle funzioni, il nome archivio viene visualizzato come parametro.
  8. Collegate la funzione ad un bottone

Nel Runtime, quando la funzione viene eseguita, essa indicizza l´archivio selezionato.

Dialogo Selezione archivi

Parametri | Descrizione
Archivi disponibili | Visualizzazione di tutti gli archivi lotto configurati. La selezione avviene cliccando su un inserimento.
Esecuzione sincrona | Vale solamente per l´esecuzione di uno script. Attivo: La prossima funzione parte solamente dopo che questa è terminata.
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Mostra archivi attivi

Manuale -> Server di archiviazione -> Funzioni -> Mostra archivi attivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione apre nel Runtime una finestra che mostra tutti gli archivi aperti attualmente. La finestra è permanentemente aperta in primo piano.

Per configurare la funzione:

  1. Selezionate nel nodo Funzioni della barra degli strumenti, oppure nel menù contestuale, il comando Nuova funzione.
  2. Viene visualizzato il dialogo per selezionare una funzione
  3. navigate per raggiungere il nodo Archiviazione
  4. Selezionate la funzione Mostra archivi attivi.
  5. Collegate la funzione ad un bottone


Esporta archivio

Manuale -> Server di archiviazione -> Funzioni -> Esporta archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione esporta nel Runtime gli inserimenti registrati di un archivio in un file. Al momento dell´export, identificazione e unità di misura sono traducibili. Essi vengono esportati nella lingua attualmente impostata per il Runtime.

Per quello che concerne la conversione delle unità di misura, vale quanto segue: i dati d'archivio vengono esportati sempre nella Unità di misura in cui sono stati creati. Vale a dire che in questa sede non si prende in considerazione una conversione di unità di misura.

Per l´export si deve progettare quanto segue:

  • Informazioni generali concernente formati, contenuti e destinazione dell´export.
  • L´archivio
  • Il filtro tempo
  • Il filtro lotti

attention Attenzione

Il nome del file di export non deve contenere dei segni speciali.
sono proibiti: \ / : * ? " < > |

Per progettare l´export di archivio:

  1. Selezionate nel nodo Funzioni della barra degli strumenti, oppure nel menù contestuale, il comando Nuova funzione.
  2. Viene visualizzato il dialogo per selezionare una funzione
  3. navigate per raggiungere il nodo Archiviazione
  4. Selezionate la funzione Esporta archivio.
  5. Si apre il dialogo filtro per configurare l´export.

info Informazioni su

Il numero delle cifre decimali in caso di export di archivi nei formati TXT, XML e DBF, nonché in caso di dislocamento su un server SQL, può essere adattato nel project.ini tramite l´impostazione ARCHDIGITS= che trovate nella sezione [ARCHIV].

Default: ARCHDIGITS=1

Dialogo Filtro

Schede

Descrizione

Generale

Definizione di:

  • Formato di esportazione
  • la colonna da esportare
  • Opzioni
  • File di esportazione

Archivio

Selezione dell´archivio da esportare

Ora

Stabilire l´intervallo corrispondente.

Lotto

Selezione della charge desiderata.

info Informazioni su

In caso di export di un archivio lotto attivo, vengono settati automaticamente i seguenti inserimenti:

  • Tempo di fine: il momento dell´export.
  • Nome lotto: il valore attuale delle variabili lotto.

Attenzione: Questi valori non devono corrispondere necessariamente a quelli dell´archivio lotto chiuso.

Struttura tabelle e comportamento in caso di export

Struttura della tabella

Statements:

  • Tabella _DATA:

    "CREATE TABLE [" + szDBTable "_DATA"] ([PRJ] varchar(128),[ARV] varchar(2),[VAR] varchar(128),[CALCULATION] int,[TIMESTAMP_S] int,[TIMESTAMP_MS] int,[VALUE] varchar(128),[STATUS] int)"

  • Tabella _BATCH per lotti:

    "CREATE TABLE [" + szDBTable + "_BATCH] ([PRJ] varchar(128),[ARV] varchar(2),[BATCH] varchar(128),[START_S] int,[END_S] int)"

Comportamento in caso di export

  1. Nessun nome di tabella:

    Viene creata la tabella _DATA e i valori vengono inseriti.
    (Viene creata anche la tabella _BATCH, nonostante qui non ci sia nessun filtro attivo e non venga inserito nessun valore).

  2. Nome tabella XXX indicato:

    Vengono crete le tabelle XXX_DATA e XXX_BATCH e, vengono inseriti i valori a seconda della configurazione (lotti attivati/disattivati). .

Al momento dell´export, in zenon o non viene inserito nessun nome, oppure il nome tabella senza _DATA. Se dei valori devono essere aggiunti in una determinata (per es. MYPROJECT_DATA), in zenon può essere inserito solamente MYPROJECT come nome tabella. Se si inserisce il nome MYPROJECT_DATA, il sistema provvede creare ed a riempire la tabella MYPROJECT_DATA_DATA.

Se viene esportata una tabella preesistente (nessun nome, o nome senza _DATA), il sistema provvede anche ad inserire i valori nella tabella. Ciò avviene indipendentemente dal fatto se gli stessi valori sono già presenti nella tabella stessa o meno.

Controllo della memoria in caso di backup

Quando viene effettuato il backup di archivi salvati, il sistema controlla la memoria disponibile.

Tipo di salvataggio

Controllo della memoria

SQL

Se meno del 10% della memoria disponibile nel sistema è libera, la lettura dei dati provenienti dal server SQL viene interrotta.

File ARX

prima della lettura di file di archivio (*.arx), il sistema controlla il posto disponibile. La lettura viene interrotta se:

  • meno del 10% della memoria disponibile nel sistema è libera
  • se la dimensione del project.ini definita per il posto memoria riservato (SPEICHER=) viene superata

L´interruzione della lettura dei dati viene resa nota all´utente mediante l´emissione di un messaggio di errore nel Diagnose Viewer.

attention Attenzione

Se nel corso dell´archiviazione vengono generati file la cui dimensione supera il posto memoria riservato nel project.ini, oppure la regola citata del 10%, non è possibile continuare la lettura di questi file.

Noch in diesem Kapitel

Generale

Archivio

Ora

Lotti


Generale

Manuale -> Server di archiviazione -> Funzioni -> Esporta archivio -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda vengono definiti:

  • Formato di esportazione
  • Contenuti
  • Opzioni file

Formato di esportazione

Selezione del formato in cui deve avvenire l´export.

Formato

Descrizione

dBase

Attivo: Export in un file Base IV (*.dbf).
Attenzione: I file DBF devono:

  • corrispondere nella denominazione al formato 8.3 DOS per nomi file (8 caratteri alfanumerici per il nome, 3 caratteri estensione, nessuno spazio)
  • essere depositati vicino alla cartella (Root)

CSV

Attivo: Export in un file di testo CSV (*.txt).

Struttura (-> sta per tabulazione):
Nome -> Identificazione- -> Valore -> Unità -> (Status_HI_DWORD)(Status_LO_DWORD) -> Secondi

XML

Attivo: Export in un file XML (*.xml).

SQL

Attivo: Export in una banca dati SQL

Nota: Al fine di poter effettuare un export in un database-SQL, si deve disporre della licenza corrispondente per l´Editor e il Runtime.

Colonne esportate

Selezione delle colonne della banca dati che devono essere esportate. Questa selezione vale solamente per le´export in dBase e CSV. Per XML e SQL, invece, sono definite delle colonne fisse. Se si sceglie come formato di export XML oppure SQL , la selezione colonne viene disabilitata e visualizzata in color grigio.

Nota: La/le forma/forme brevi delle colonne selezionate sono elencate in una lista che si trova al di sotto dei box di selezione per le colonne da esportare. La successione è quella della selezione. Ogni forma breve si trova fra le parentesi accanto al nome della colonna.

dBase e CSV

Possono essere selezionate le seguenti colonne:

Colonna

Descrizione

Nome variabile (V)

Attivo: Viene esportata la colonna Nome-variabile. Contiene il nome delle variabili.

Valore (I)

Attivo: Viene esportata la colonna identificazione. Contiene l´identificazione delle variabili.

Valore (W)

Attivo: Viene esportata la colonna valore. Contiene il valore tecnico delle variabili.

Unità (U)

Attivo: Viene esportata la colonna unità di misura. Contiene l´unita di misura attinente al valore.

Stato (S)

Attivo: Viene esportata la colonna stato. Contiene lo stato delle variabili.

Nota: A partire dalla versione 7.50 di zenon, si possono esportare anche stati della versione <6.5. Per farlo si deve modificare in modo corrispondente l´inserimento [STATUS] del file project.ini.

Una visione generale relativa ai "vecchi" stati si trova nella parte della guida dedicata alla Conversione progetto, nel capitolo Bit di stato - nuova denominazione breve.

Attenzione: i "vecchi" stati dovrebbero essere utilizzati solamente per ragioni di compatibilità. Non si raccomanda l´uso di questi stati.

Data (D)

Attivo: Viene esportata la colonna data. Contiene il date stamp delle variabili.

Tempo (Z)

Attivo: Viene esportata la colonna tempo. Contiene il time-stamp delle variabili.

SQL

Le colonne per l´export sono definite in forma fissa e non possono essere selezionate dall´utente. Vengono esportate:

Colonna | Descrizione
PRJ | Nome progetto
ARV | Identificazione archivio
VAR | Nome variabile
CALCULATION | Non zero per inserimenti da archivi in cascata.
TIMESTAMP_S | Time stamp delle variabili in formato Unix.
TIMESTAMP_MS | Millisecondi per il time stamp.
VALUE | Valore della variabile.
STATUS | Stato delle variabili (valore decimale).

Opzioni

Ulteriori opzioni per l´export

Parametri | Descrizione
Proponi dialogo a Runtime | Attivo: Questa finestra di dialogo viene visualizzata al momento dell´apertura dell´immagine nel Runtime.
Utilizza archivi da percorso di backup | Attivo: Gli archivi che devono essere esportati, vengono letti dalla cartella rilettura. Quando vengono scaricati dati d'archivio dalla cartella di backup, vengono letti anche i dati di archivio del percorso Runtime e di tutte le sottocartelle della cartella di backup.
Esporta in Unicode | Attivo: Il file esportato viene salvato in Unicode (UTF-16). Disponibile solamente per il formato di export CSV.

Esporta su file

Si stabilisce in quale file vengono esportati gli archivi.

Parametri

Descrizione

Nome file

Nome file definito dall´utente che lo può assegnare liberamente. Il file viene salvato in ogni export con lo stesso nome. .
Nota: il nome non deve contenere dei segni speciali. Sono proibiti: \ / : * ? " < > |

Disponibile solamente se l´opzione Genera nome file automaticamente è disattivata.

Genera automaticamente nome file

Attivo: I nomi file vengono generati automaticamente a partire da un´identificazione breve e una day key.

Formato della day key: AAMMGGHHMMSS.yyy

  • AA: anno (a due cifre)
  • MM: mese (a due cifre)
  • GG: giorno (a due cifre)
  • HH: ora (a due cifre)
  • MM: Minuti (2 cifre)
  • SS: secondo (a due cifre)
  • yyy: tipo file (DBF, TXT, XML)

Nome file dal nome Lotto

Attivo: Crea il nome file dal nome della charge.

Disponibile solo se avete attivato l´opzione Genera automaticamente nome file.

Attenzione: Il nome lotto non deve contenere dei segni speciali.

Suffisso

Identificazione libera che viene aggiunta automaticamente al nome file.

Al massimo 29 caratteri ASCII.
Nota: Disponibile solo nel caso abbiate attivato l´opzione Genera automaticamente nome file

Cartella di esportazione configurata

Visualizzazione della cartella impostata per l´export.

Modificate la cartella nell´Editor, nel menù: File-> Configurazione generale -> Scheda Standard -> Cartella Archivi esportati.

Esporta su database SQL

Parametri | Descrizione
Connessione database | In caso di dislocamento in un database-SQL.: Indicazione della banca dati da usare. Nota: Per l´export in un database-SQL, si deve disporre di una licenza per Editor e Runtime.
Tabella | In caso di dislocamento in un database-SQL.: Indicazione della banca dati da usare. Nota: Per l´export in un database-SQL, si deve disporre di una licenza per Editor e Runtime.

Chiudi finestra di dialogo

Parametri | Descrizione
OK | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Archivio

Manuale -> Server di archiviazione -> Funzioni -> Esporta archivio -> Archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si seleziona l´archivio da esportare.

Scelta di un archivio

Parametri | Descrizione
Scelta di un archivio | Selezione di un archivio già creato fra quelli presenti nella struttura ad albero. Nella lista delle funzioni, il nome dell´archivio selezionato viene visualizzato come parametro.
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Ora

Manuale -> Server di archiviazione -> Funzioni -> Esporta archivio -> Ora

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda viene configurato il filtro tempo.

Filtro

Scelta del filtro.

Parametro

Description (Descrizione)

Nessun filtro tempo

Attivo: Non viene usato nessun filtro temporale.

Nota: Nel Runtime verranno visualizzati tutti gli inserimenti a partire da 1. 1. 1990.

Filtro assoluto

Attivo: Viene indicato un periodo di tempo fisso nell´editor. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato.

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Periodo relativo

Attivo: Viene indicato un periodo di tempo relativo.

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attivo: Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione dell´area fra quelle della lista a cascata:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo tempo

Attivo: Viene indicato un intervallo di tempo fisso. Selezione dell´area fra quelle della lista a cascata:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 Minuti
  • 30 Minuti
  • 60 Minuti

Nel settore "Impostazioni"vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudi finestra di dialogo

Parametro | Description (Descrizione)
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

La configurazione del filtro tempo avviene in modo analogo alla filtraggio tempo in caso di cambio immagine.


Lotti

Manuale -> Server di archiviazione -> Funzioni -> Esporta archivio -> Lotti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda configurate la riduzione della visualizzazione a determinati lotti. L´informazione lotti viene usata in aggiunta al filtro esistente.

info Informazioni su

Alcuni filtri in zenon possono essere configurati indipendentemente l´uno dall´altro nell´Editor e poi combinati a Runtime. Con il filtro lotto, questo è possibile solo fino ad un certo punto.

Il filtro lotto può offrire a Runtime una lista dei lotti esistenti. Si tratta di dati Runtime che non sono disponibili nell´Editor. .

Quando si configura il cambio immagine nell´Editor, si può usare la scheda Filtro tempo in combinazione con il filtro lotto solo come filtro preliminare per la finestra di dialogo di selezione lotti. Quando poi si seleziona un lotto di questa lista a Runtime, il filtro tempo viene sovrascritto con i dati del lotto selezionato per ottenere così un filtro esatto per il lotto selezionato.

Questo significa: quando si usa il dialogo di selezione lotti a Runtime e si seleziona un lotto, il filtro tempo non corrisponde a quello configurato nell´Editor.

Filtro

Impostazioni per l´uso del filtro lotti. Selezione di una delle opzioni:

  • Nessun filtro lotti
  • Usa direttamente filtro lotti
  • Visualizza dialogo di selezione lotto
    Nota: quando il filtro lotti viene visualizzato come finestra di dialogo, è possibile eseguire un filtro preliminare sulla base delle identificazioni archivi. Si raccomanda espressamente di utilizzare questa possibilità di filtro preliminare per migliorare le prestazioni.

Parametri

Descrizione

Nessun filtro lotto
  • Attivo: il filtro lotti viene disattivato e non può essere configurato. A Runtime non verrà eseguito un filtro sulla base dei lotti.

Applica direttamente filtro lotto
  • Attivo: il filtro configurato qui verrà utilizzato direttamente a Runtime.

Nota: non è possibile farsi visualizzare tutti i lotti in una lista e selezionarne uno manualmente. Se si vuole che venga visualizzato un determinato lotto, si deve configurare in modo corrispondente il filtro per archivi, nome e tempo. Questo presuppone una conoscenza esatta dei dati esistenti. In alternativa, si raccomanda di selezionare l´opzione Visualizza dialogo di selezione lotto.

Visualizza dialogo di selezione lotto

Attivo: a Runtime, la finestra di dialogo per la selezione lotti viene visualizzata:

  • Cliccando su Filtro, oppure
  • Con un cambio immagine, se è stata attivata l´opzione Proponi dialogo a Runtime (non disponibile per ogni funzione/ogni tipo di immagine)
    Nota: la finestra di dialogo non verrà visualizzato in caso di reload.

Le opzioni possono essere preselezionate nell´Editor.

Sostituisci dialogo a Runtime con l'immagine

Disponibile solo se è stata selezionata l´opzione Visualizza dialogo di selezione lotto.

Definizione di un´immagine che deve essere aperta a Runtime al posto del Dialogo di selezione lotto. Vengono proposte alla selezione solamente immagini di tipo Filtro tempo/lotto.

Cliccare sul pulsante ... per aprire la finestra di dialogo che serve alla selezione di un´immagine.

Se non si trova l´immagine collegata a Runtime, il sistema cerca le immagini corrispondenti con nomi specifici.

Nota: si può selezionare un´immagine "Filtro lotto" anche utilizzando l´opzione Proponi dialogo a Runtime. Questa immagine, però, non viene usata qui come filtro lotto, ma come filtro tempo. Le opzioni "filtro lotto" non vengono applicate correttamente in questa posizione.

Selezione lotto relativo

Attenzione: questa opzione è disponibile solamente per il Trend esteso. Con faceplate, quest´opzione viene visualizzata per tutti i tipi di immagine; anche qui, però, è disponibile solamente per il modulo ETM.

Configurazione per ETM:

Questa opzione è disponibile se l´opzione Visualizza dialogo di selezione lotto è attiva e se la proprietà Progetto WindowsCE è disattivata nelle proprietà di progetto.

  • Attivo: consente un confronto diretto di diversi lotti. La rappresentazione parte sempre dal punto zero.

Visione generale della implementazione della configurazione a Runtime:

Ora

Configurazione del filtro tempo per la selezione lotti. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Ultimo lotto
  • Applica filtro tempo dalla scheda "Tempo"

Parametri

Descrizione

Nessun filtro
  • Attivo: non si tiene conto dell´intervallo di tempo impostato nella scheda Ora. Verrano visualizzati tutti i lotti conclusi e ancora attivi.

Ultimo lotto

Attenzione: questa opzione funziona solo in combinazione con l´opzione Applica direttamente filtro lotto.

Consente la combinazione di Visualizza lotto corrente e Visualizza lotti conclusi. Almeno una di queste due opzioni deve essere attivata. Se sono entrambe disattivate, questo corrisponde all´impostazione Nessun filtro.

  • Attivo: inserimento del numero dei lotti conclusi di recente sulla base dei quali deve essere effettuata l´operazione di filtro. Inserimento del numero nel campo numerico, oppure configurazione mediante tasti frecce.

Esempio: il valore inserito per questa opzione è 3. Ci sono 2 lotti correnti e 10 sono conclusi. In questo caso il sistema visualizzerà i due lotti correnti e uno di quelli conclusi.

Nota: come intervallo di tempo per i lotti correnti, non viene utilizzato il valore impostato nel filtro tempo, ma l´ultimo anno. Questo filtro non viene eseguito come filtro preliminare, e non può essere dunque usato per avere un miglioramento delle performance.

Informazioni sulla compatibilità:
Se il progetto viene compilato per una versione precedente alla 7.11, vale quanto segue: se si selezionano i lotti correnti, oppure la combinazione fra lotti correnti e conclusi, saranno visualizzati a Runtime solamente i lotti chiusi.

Visualizza lotto corrente
  • Attivo: verrano visualizzati i lotti attivi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti attivi al momento, il sistema mostrerà anche lotti già conclusi finché non sarà raggiunto il limite impostato.
Esempio: devono essere visualizzati 3 lotti. Solamente 1 lotto è attivo, mentre 5 sono stati già chiusi. In questo caso, verranno visualizzati il lotto ancora attivo e 2 di quelli già terminati.

Visualizza lotti chiusi
  • Attivo: vengono visualizzati i lotti conclusi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti conclusi, il sistema mostrerà anche lotti ancora attivi finché non sarà raggiunto il limite impostato.

Applica filtro tempo dalla scheda "Tempo"
  • Attivo: il sistema esegue un filtro preliminare usando le impostazioni della scheda Zeit.

Nell´ambito di questo intervallo di tempo si potrà adattare l´effettivo intervallo del filtro. Selezione dal menù a tendina:

  • Inizio e fine esterni ai limiti del filtro: (Default)
    I lotti possono iniziare prima dell´ora di partenza impostata nel filtro Tempo e terminare dopo il tempo di conclusione configurato.
  • Inizio e fine interni ai limiti del filtro:
    I lotti devono iniziare e finire all´interno dei termini temporali impostati nel filtro Tempo per il loro inizio e la loro fine.
  • Inizio anche precedente al limite filtro:
    I lotti possono iniziare prima dell´ora di partenza impostata nel filtro Tempo, ma devono terminare prima o in corrispondenza del tempo di conclusione configurato.
  • Fine anche successiva al limite del filtro:
    I lotti possono terminare anche dopo il tempo di conclusione configurato nel filtro Tempo, ma devono iniziare dopo o in corrispondenza dell´ora di partenza configurata.
  • Inizio e fine coincidono con i limiti del filtro:
    I lotti vengono ridotti facendo riferimento ai termini temporali fissati per inizio e fine nel filtro Zeit.

Archivi

Configurazione delle impostazioni di filtro per gli archivi. Questo filtro si applica come filtro preliminare per la finestra di selezione lotti.

Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Statico
  • Da variabile

Parametri

Descrizione

Nessun filtro
  • Attivo: non si esegue nessuna operazione di filtro su base nome archivi.

Statico
  • Attivo: si filtrano gli archivi la cui identificazione corrisponde alla successione di caratteri impostata nel campo di inserimento.

Inserimento di identificazioni archivi nel campo di inserimento:

  • Più identificazioni sono divise da una virgola (,).
  • * oppure vuoto: tutti gli archivi, nessun filtro.

Da variabile
  • Attivo: a Runtime viene applicato il valore della variabile collegata qui come filtro per nomi archivi.

Quando si clicca sul pulsante ... si apre la finestra di dialogo che serve alla selezione di una variabile.

Disponibile per tutti i moduli solo se è stata selezionata l´opzione Applica direttamente filtro lotti.

Informazioni concernenti le variabili nel Runtime:

  • Nel Runtime, la selezione variabili viene attivata solamente nel caso in cui si sia proceduto a collegare già nell´Editor una variabile valida. Il pulsante ... non è mai attivo nel Runtime. È dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, essa verrà registrata e letta. Ciò può causare dei ritardi nel caso di connessioni driver e protocolli lenti.

Attenzione: se il sistema non trova la variabile selezionata a Runtime, non verrà eseguito nessun filtro sulla base di nomi archivio. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Nota riguardante l´ETM: nel modulo ETM gli archivi sono determinati dalle curve progettate nel cambio immagine. A Runtime, questo è possibile solamente in combinazione con l´opzione Lotto relativi . Con questa opzione, le variabili devono essere selezionate a Runtime, il che è fissato a sua volta dalla selezione possibile di archivi. Dopo essere stato filtrato, l´archivio deve essere uno di quelli sui quali si basano le curve configurate. In caso contrario non verrà visualizzato nessun dato. Questa impostazione può essere usata anche per limitare le curve visualizzate. Tuttavia queste continueranno ad essere visualizzate nella lista delle curve.

Esempio: ETM.

Curve configurate | Origine dati | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
A | AR | AR | Viene visualizzata nella lista delle curve e disegnata nel Trend.
B | EA |  | Viene visualizzata solamente nella lista delle curve.
C | EP |  | Viene visualizzata solamente nella lista delle curve.

Nota relativa alla post elaborazione archivio: l´archivio per cui viene aperta l´immagine è già selezionato nella funzione di cambio immagine. Visto che si può selezionare solamente un archivio, non ha senso impostare ulteriori limitazioni.

Esempio di post elaborazione archivio:

Archivio configurato | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
AR | EA | Non viene visualizzato nessun dato.

Nomi

Configurazione del filtro dei nomi. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Statico
  • Da variabile

Parametri

Descrizione

Nessun filtro
  • Attivo: non si esegue un filtro sulla base dei nome lotti.

Statico
  • Attivo: si filtrano i nomi lotti che corrispondono alla successione caratteri indicata nel campo di inserimento.

Inserimento del nome lotto nel campo di inserimento:

  • Più identificazioni sono divise da un segno pipe (|).
  • * oppure vuoto: tutti i lotti di tutti gli archivi visualizzati, nessun filtro.

Da variabile
  • Attivo: a Runtime si usa il valore della variabile collegata qui come filtro per i nomi lotti.

Quando si clicca sul pulsante ... si apre la finestra di dialogo per la selezione di una variabile.

Disponibile solo se è stata selezionata l´opzione Applica direttamente filtro lotto.

Informazioni concernenti le variabili nel Runtime:

  • Nel Runtime, la selezione variabili viene attivata solamente nel caso in cui si sia proceduto a collegare già nell´Editor una variabile valida. Il pulsante ... non è mai attivo nel Runtime. È dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, essa verrà registrata e letta. Ciò può causare dei ritardi nel caso di connessioni driver e protocolli lenti.

Attenzione: se non è possibile trovare la variabile selezionata a Runtime, non sarà eseguito nessun filtro dei nomi lotti. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

La configurazione del filtro lotti avviene in modo analogo alla filtro in caso di cambio immagine.


Gestione durante il runtime

Manuale -> Server di archiviazione -> Gestione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Runtime, gli archivi possono essere visualizzati e modificati mediante un´immagine del tipo post-elaborazione archiv.

Gli archivi che vengono creati nel Runtime, sono salvati come file *.arx nella cartella Runtime del calcolatore:

%Public%\Documents\zenonProjects\[workspace]\[project]\[computer name]\[project]

Il file d'archivio attuale ha il nome dell´identificazione. Quando l´archivio viene chiuso, questo file è salvato e rinominato, e viene creato un altro file con l´identificazione come nome. Per la rinomina del file, il tempo UTC è usato per l´area. Nel Runtime, si accede ai file tramite filtri. Non sono necessarie operazione con i file nel browser file.

A seconda dell´impostazione, i valori da archivi possono essere modificati, cancellati e integrati nel Runtime.

Attenzione: Se nel corso dell´archiviazione vengono generati file la cui dimensione supera il posto memoria riservato nel project.ini, oppure la regola citata del 10%, non è possibile continuare la lettura di questi file. Per i dettagli vedi capitolo Esporta archivi.

info Informazioni su

Per una cifra decimale possono essere usati come separatori la virgola (,) o il punto (.). Il separatore decimale viene sempre trasformato automaticamente in un punto .

Crea un'immagine del tipo post-elaborazione archivi

Elemento di controllo | Descrizione
Finestra dati d'archivio | Visualizzazione dei dati d'archivio nel Runtime.
Filtro impostato (Lista) | Visualizzazione del filtro impostato.
Filtro impostato (Visualizzazione) | Visualizzazione del filtro impostato.
Stato archivio | Visualizzazione dello stato archivio.
Nome breve | Visualizzazione della descrizione breve dell´archivio visualizzato.
Totale | Visualizzazione del numero dei valori visualizzati.
Quantità I-Bits | Visualizzazione del numero delle variabili con lo stato INVALID.
Apri archivio | Apre la finestra di dialogo che serve alla selezione di un archivio.
Chiudi archivio | Chiude l´archivio aperto attualmente.
Salva archivio | Salva le modifiche nell´archivio modificato e attualizza archivi in cascata su richiesta.
Modifica record | Apre la Finestra di dialogo che serve a modificare l´inserimento archivio selezionato.
Inserisci record | Apre la Finestra di dialogo che serve ad inserire inserimenti archivio nei file d'archivio. Se per questo intervallo di tempo non esiste nessun file di archivio, non potrà essere aggiunto nessun inserimento. Se si cerca di aggiungere un inserimento, apparirà una segnalazione d´errore corrispondente.
Cancella record | Elimina gli inserimenti archivio selezionati dopo una richiesta di conferma per ragioni di sicurezza.
Seleziona | Cliccate sul pulsante apre la finestra di dialogo che serve alla selezione del filtro.
Configurazione colonne | Apre la Finestra di dialogo per la configurazione della larghezza colone e del carattere.
Stampa | Stampa la lista su una stampante definita in anticipo.
Selezione profili | Inserimento di un nome per un nuovo profilo filtro, oppure selezione di un profilo filtro tra quelli offerti dal menù a tendina.
Salva | Salva il filtro attuale come profilo con il nome indicato nel campo di testo Profilo filtro.
Elimina | Cancella il profilo filtro selezionato attualmente.
Importa | Apre la finestra di dialogo che serve ad importare un profilo filtro.
Esporta | Apre la finestra di dialogo che serve ad esportare un profilo filtro.

Profilo filtro

I profili filtro sono impostazioni di filtro che possono essere salvate e aperte dall'utente nel runtime con riferimento ad una determinata immagine.

Per poter utilizzare i profili filtro, si devono progettare nell´immagine i seguenti elementi di controllo:

Elemento di controllo | Descrizione
Profilo filtro | Gestione profili nel Runtime.
Selezione profilo | Selezione di un profilo salvato nel runtime fra quelli proposti dal menù a tendina.
Salva | Cliccando sul pulsante nel Runtime si salvano le impostazione di filtro come profilo.
Elimina | Cliccando sul pulsante (X) nel Runtime si cancella il profilo selezionato.

In tal modo, potete nel Runtime:

  • salvare filtri
  • usare i filtri salvati
  • cancellare profili filtro

I profili filtro possono essere anche esportati e importati con altri elementi di controllo.

Funzioni

Le seguenti funzioni sono a disposizione per il controllo e la sorveglianza degli archivi.

  • Partenza archivio: Avvio manuale di un archivio selezionato nell´Editor.
  • Termina archivio: Chiusura manuale dell´archivio selezionato nell´Editor.
  • Indicizza file d'archivio: Indicizza in un secondo momento gli Archivi charge.
  • Mostra archivi attivi: Visualizzazione degli archivi attivi al momento.
  • Esporta archivio: Export di archivi in diversi formati.

Modifica di archivi salvati in SQL

È possibile cambiare dei valori in archivi salvati in SQL.
Però non è possibile:

  • modificare il timestamp
  • cancellare valori
  • aggiungere valori

Noch in diesem Kapitel

Procedura

Seleziona

Filtro lotti e filtro tempo

Definire il carattere e la larghezza delle colonne

Modifica valori

Aggiungi valori

Salvare valori nell’archivio

Stampa archivio

Cicli nel Runtime


Procedura

Manuale -> Server di archiviazione -> Gestione durante il runtime -> Procedura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento dell´avvio di un archivio nel Runtime, viene creato un file xx.arx (xx = identificazione breve dell´archivio). Non appena si termina l´archivio, esso viene chiuso e nominato in conformità alle regole.

È possibile archiviare anche delle variabili stringa.

attention Attenzione

Non chiudete mai il Runtime quando degli archivi sono attivi. Ciò vale anche per quei processi in corso che usano degli archivi (per es. Batch Control).

Causa: Un´interruzione ad archivio attivo impedisce una chiusura corretta.

Il Runtime è stato chiuso ad archivio ancora attivo.

Problema: Il Runtime è stato chiuso quando l´archivio era ancora attivo. Ciò significa:

  • L´archivio non viene chiuso.
  • Di conseguenza, il file non potrà venire rinominato.
  • Il file ARX è ancora presente.

Ciò porta al verificarsi di quanto segue:

  • L´archivio non continua ad essere attivo quando si riavvia il Runtime.

    Se l'archivio è stato configurato come archivio ciclico, verrà riempito ad ogni riavvio del Runtime dei valori di riserva relativi al settore mancante nell'intervallo corrente. Se non è stato trasmesso ancora nessun valore, viene usato il valore di sostituzione definito; in caso contrario l´ultimo valore valido. Gli inserimenti esistenti non vengono sovrascritti.

  • L´esecuzione della funzione Termina archivio non chiude più l´archivio. Il file ARX, dunque, non può essere copiato in modo corretto.
  • Non si può eseguire un export dell´archivio finché c´è un file ARX.

Soluzione: Riavviate l´archivio e poi chiudetelo. Il tal modo esso verrà chiuso correttamente e poi rinominato.
È possibile che ci siano dei valori non validi nell´archivio.
Consigli di progettazione: negli script AUTOEND oppure AUTOEND_SERVPROJ, chiudete tutti gli archivi avviati manualmente. In tal modo, essi verranno terminati e chiusi automaticamente al momento della chiusura del Runtime.

Valori ad archivio fermato

Se vengono generati dei valori mentre un archivio è fermato, accade quanto segue:

  • Nel caso di archivi ciclici, vengono usati dei valori di sostituzione per riempirli.
  • Nel caso di archivi senza punti di interrogazione definiti, viene scritto nell´archivio l´ultimo rispettivo valore con lo stato I-Bit.

Reload e cambio server

Se il reload viene inizializzato a Runtime attivo, oppure si verifica un cambio di ruoli fra server 1 e server 2, può verificarsi l´emergere di valori doppi o spostati.


Seleziona

Manuale -> Server di archiviazione -> Gestione durante il runtime -> Seleziona

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si clicca sul pulsante Selezione si apre una finestra di dialogo che serve alla selezione dei valori che devono essere visualizzati in grassetto.

Nella lista vengono evidenziati tutti gli inserimenti che corrispondono ai criteri scelti. Con l´attivazione dell´opzione Cancellare selezione, l´evidenziazione in grassetto viene rimossa. .

Dialogo filtro

Parametri

Descrizione

Lista di stato

Selezione del bit di stato sul base del quale deve essere effettuata l´operazione di filtro. Selezione e deselezione cliccando sul bit di stato corrispondente

Disponibile solamente se l´opzione Tutti inserimenti è disattivata.

Lista variabili

Variabili che devono essere visualizzate dall´archivio selezionato. Selezione e deselezione cliccando nella Checkbox davanti alla variabile.

Disponibile solamente se l´opzione Tutti inserimenti è disattivata.

Valore (in unità di base)

Attivo: Il sistema filtra alla ricerca di quei valori d´archivio che si trovano fra un minimo ed un massimo, oppure contengono come stringa una certa successione di caratteri,

Inserimento di:

  • Minimo: Limite inferiore del valore.
  • Massimo: Limite massimo del valore.
  • Maschera String: Successione di caratteri sulla base della quale deve essere effettuata l´operazione di filtro.

Disponibile solamente se l´opzione Tutti inserimenti è disattivata.

Cancellare selezione
  • Attivo: Alla chiusura del dialogo, tutti gli elementi che erano evidenziati in grassetto non lo sono più.
    Disattiva possibilità di inserimento per bit di stato e variabili.

Tutti inserimenti

Attivo: le impostazioni valgono per tutti gli stati e tutte le variabili. Gli inserimenti in lista di stato, lista delle variabili e valore non possono essere selezionati individualmente.


Filtro lotti e filtro tempo

Manuale -> Server di archiviazione -> Gestione durante il runtime -> Filtro lotti e filtro tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le Impostazioni filtro configurate nel cambio immagine possono essere modificate nel Runtime. Per far ciò:

  1. Aprite nell´Editor la funzione per il cambio immagine.
  2. cliccate su Filtro.
  3. Attivate nella scheda Filtro archivil´opzione Proponi dialogo a Runtime.
  4. Se volete poter configurare nel Runtime anche delle singole variabili, disattivate nell´Editor l´opzione Tutti gli inserimenti.

Nel Runtime, quando si apre l´immagine viene visualizzato, a seconda della progettazione, il filtro tempo o il filtro lotti:

  • Filtro lotti attivato: Filtro lotti viene offerto
  • Filtro lotti disattivato: Filtro tempo viene offerto.

Configurazione del filtro lotti

se si setta l´opzione come tipo di filtro tempo Nessun filtro tempo, nel runtime vengono visualizzati tutti gli inserimenti dal 1/ 1. 2000.

attention Attenzione

Tutti gli archivi lotti configurati vengono offerti nella lista degli archivi. Qui deve essere scelto lo stesso archivio selezionato nel cambio immagine. Solo in questo caso verranno visualizzati dei dati.

Parametri

Descrizione

Filtro Lotto

Selezione del lotto sulla base del quale deve essere effettuata l´operazione di filtro. Il filtro consiste delle due liste:

  • Lista archivi: Lista degli archivi
  • Lista lotti: lista dei lotti assegnati all´archivio selezionato.

Lista archivi

Scelta dell’archivio desiderato.

Nodo *:

  • raccoglie tutti i lotti di tutti gli archivi visualizzati.
  • Chiave è il nome lotto.
  • Il tempo d´inizio è quello del lotto che comincia prima.
  • Il tempo di conclusione è quello del lotto che finisce per ultimo.

Lista lotti

Visualizzazione dei lotti assegnati all´archivio selezionato.

Filtro mediante l´inserimento di un testo, una data, un´ora oppure un intervallo di tempo - a seconda del tipo.

Gli inserimenti vengono ordinati quando si clicca sull´header.

Nome lotto

Mostra i nomi di tutti i lotti disponibili.

Filtro: inserimento di una successione di caratteri. Vengono visualizzate solamente le charge con la successione caratteri corrispondente.

Data di start

Mostra la data di fine di tutti i lotti disponibili.

Filtro: inserimento di una data di start o selezione di una data dal calendario.

Ora partenza

Disponibile solamente se indicate una data di inizio.

Visualizzazione del tempo di fine di tutti i lotti disponibili.

Filtro: inserimento di un´ora di partenza. * sta per l´orario 0:00:00.

Data di fine

Mostra la data di fine di tutti i lotti disponibili.

Filtro: inserimento di una data di fine o selezione di una data dal calendario.

Tempo di fine

Disponibile solamente se indicate una data di fine.

Visualizzazione del tempo di fine di tutti i lotti disponibili.

Filtro: inserimento di un´ora di partenza. * sta per l´orario 23:59:59.

Durata

Questa colonna Vi indica la durata di tutti i lotti disponibili.

Solo visualizzazione.

info Informazioni su

Vengono visualizzate anche le charge non ancora portate a termine, sempre che esse corrispondano ai criteri di filtro.

info Informazioni su

Il valore della variabile charge viene scritto all´inizio della charge sia nel file Index, che nell´header del file ARX. Ogni volta che questa variabile cambia, questi inserimenti vengono adattati. Al momento della fine della charge, il valore attuale della variabile charge viene scritto definitivamente nel file Index e nell´header.

Solo quando una charge è conclusa, il nome charge è scritto in modo fisso.

SQL

Il filtraggio lotti su valori trasferiti in SQL, è effettuato per mezzo di un filtro tempo. Quest´ultimo contiene tutti i valori dell´archivio fra il tempo di inizio e quello di fine del lotto. Anche il tempo di start del lotto e quello finale sono compresi. Non si tiene conto dei millisecondi in questo filtro tempo..

Configurazione dell´intervallo di tempo

Il dialogo filtro che serve all´impostazione del tempo può essere offerto nel Runtime specializzato per un intervallo di tempo. A tale scopo:

  1. Aprite nell´Editor la funzione per il cambio immagine.
  2. cliccate su Filtro.
  3. Aprite la scheda Tempo.
  4. Scegliete l´opzione intervallo di tempo.

Nel Runtime, invece che l´intera finestra di dialogo, verrà offerto solo un dialogo specifico per la configurazione dell´intervallo di tempo. Per esempio, per l´impostazione Un giorno:

P.es.:

Con questa impostazione, anche intervalli di tempo individuali, come ad esempio i turni, possono essere aperti e configurati velocemente.

Ad esempio: Turno dalle 06:00 alle 14:00.

  1. Selezionate come intervallo di tempo: Un giorno.

    Un giorno dura di default dalle 00:00 alle 24:00.

  2. Settate il valore per lo spostamento dell´intervallo di tempo su 6 ore.

    Adesso il giorno durerà dalle 6:00 alle 6:00 del giorno successivo.

  3. Settate adesso l´intervallo di tempo su 16 ore.
  4. Mantenete invariata l´opzione Deduci tempo.

    Ciò significa che il sistema deduce 16 ore a partire dalle 06:00 del giorno dopo. Adesso il giorno dura dalle 6:00 alle 14:00, il che corrisponde esattamente al turno desiderato.

  5. Trasferite i nuovi file Runtime.
  6. Riavviate il Runtime.
  7. Selezionate il giorno desiderato nel cambio immagine.

Otterrete i dati del giorno selezionato dalle 06:00 alle 14:00.


Definire il carattere e la larghezza delle colonne

Manuale -> Server di archiviazione -> Gestione durante il runtime -> Definire il carattere e la larghezza delle colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per le liste contenenti i dati d'archivio, si può modificare nel Runtime sia il carattere, che la larghezza delle colonne. A tal scopo, si deve anzitutto procedere alla progettazione dell´elemento di controllo finestra di diagramma. Nel Runtime, quando si clicca sul pulsante, si apre la finestra di dialogo che serve alla configurazione della larghezza colonne e del carattere:

Parametri | Descrizione
Larghezza colonne | Larghezza colonne in caratteri. Per modificare la larghezza colonne, inserite il valore desiderato nel campo di testo accanto alla colonna.
Carattere | Selezione del carattere fra quelli della lista a cascata. Il sistema mette a disposizione nell´Editor dei caratteri configurati.
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Standard | Setta tutti gli inserimenti per la larghezza colonne sui valori standard. Il carattere scelto non viene modificato.


Modifica valori

Manuale -> Server di archiviazione -> Gestione durante il runtime -> Modifica valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I valori delle variabili negli archivi possono essere modificati nel Runtime. Per modificare tali valori

  1. Evidenziate l´inserimento nella lista dei dati d'archivio.

    Nota: Si possono anche selezionare contemporaneamente diversi inserimenti.

  2. Cliccate sul pulsante Apri, oppure cliccate due volte sull´inserimento.
  3. Si apre la fin per effettuare le modifiche al valore.
  4. Indicate il valore desiderato e il time stamp.

    Quando si modificano diversi archivi contemporaneamente, tutti ricevono nella finestra di dialogo il valore inserito e il timestamp.

  5. Confermate il dialogo cliccando su OK.

    Se sono stati modificati uno o più valori, con un clic su OK accade quanto segue:

    • lo stato dell´inserimento viene settato su valore manuale (MAN_VAL)
    • la riga modificata viene colorata di blu
    • il titolo di colonna si colora di rosso
    • si attiva il pulsante Salva.
  6. Salvate la lista attualizzata cliccando sul pulsante Salva.
    Dopo il salvataggio della lista modificata, il colore del titolo di colonna viene resettato.

Finestra di dialogo Modifica archivio

Parametri

Descrizione

Valore

Inserimento del nuovo valore.

Se sono stati selezionati più valori, accade quanto segue:

  • il valore di default viene settato su 0
  • il nuovo valore viene usato per tutti gli inserimenti evidenziati.

Ora

Inserimento del nuovo timestamp.

Se sono stati selezionati più valori, accade quanto segue:

  • il valore di default viene settato su 0
  • il nuovo valore viene usato per tutti gli inserimenti evidenziati.

Ok

Accetta le impostazioni e chiude il dialogo.

Annulla

Annulla tutte le modifiche e chiude la finestra di dialogo.


Aggiungi valori

Manuale -> Server di archiviazione -> Gestione durante il runtime -> Aggiungi valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ad un archivio esistente possono essere aggiunti anche dei nuovi valori.

Per aggiungere nuovi valori:

  1. cliccate sul pulsante Incolla.
  2. si apre la finestra di dialogo che serve a creare nuovi valori.

  3. selezionate una variabile
  4. indicate valore, numero e timestamp.
  5. confermate la Vostra selezione cliccando su OK.

    Quando si clicca su OK ed inserimento nella lista, accade quanto segue:

    • lo stato dell´inserimento viene settato su valore manuale (MAN_VAL)
    • la nuova riga viene colorata di blu
    • il titolo di colonna si colora di rosso
    • si attiva il pulsante Salva.
  6. Salvate la lista attualizzata cliccando sul pulsante Salva.
    Dopo il salvataggio della lista modificata, il colore del titolo di colonna viene resettato.

Avvertenza:

  • Se si è selezionato un inserimento prima di aprire la finestra di dialogo:
    • non si possono modificare timestamp e ciclo
    • il nuovo valore viene inserito al di sotto della variabile evidenziata
  • Negli archivi salvati in SQL non si possono aggiungere dei valori.
  • Dopo il salvataggio della lista modificata, il colore del titolo di colonna viene resettato.

Finestra di dialogo Inserisci valore

Parametri | Descrizione
Valore | Inserimento del nuovo valore.
Quantità | Inserimento del numero dei valori desiderati.
Ciclo | Inserimento del tempo ciclo in secondi.
Data | Inserimento della data.
Ora | Inserimento orario.
Variabili | Selezione delle variabili fra quelle della lista.
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.


Salvare valori nell’archivio

Manuale -> Server di archiviazione -> Gestione durante il runtime -> Salvare valori nell’archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I valori nuovi e modificati devono essere salvati per poter poi essere accettati e ripresi nell´archivio. A tal scopo, cliccate sul pulsante Salva. I valori modificati verranno così salvati nell´archivio. Se per l´archivio in questione esistono anche archivi in cascata, questi ultimi verranno attualizzati automaticamente.

Se nell´archivio ci sono dei valori non salvati, il sistema lo metterà in evidenza colorando di rosso l´header.


Stampa archivio

Manuale -> Server di archiviazione -> Gestione durante il runtime -> Stampa archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Di default, gli archivi vengono stampati in forma di lista quando si clicca sul pulsante Stampa. Questa lista può essere dotata anche di un header.´ A tal scopo, deve esistere in zenon un file di formato con il nome ARV_G.FRM.

Per formattare la stampa:

  1. Create un file di formattazione:
    • Nome: ARV_G.FRM
  2. Importate il file nell´Editor, nel sotto-nodo: File\Testi e formati.

    Ciò corrisponde al luogo di salvataggio: %PUBLIC%\Documents\zenon_Projects\[Arbeitsbereich]\[Projekt]\RT\FILES\zenon\custom\lists.

  3. Verificate la stampante impostata per liste e formati nel menù File-> Configurazione generale -> Standard -> Stampante- > per blocco note.

Configurazione del file ARV_G.FRM

Create un file di testo con il nome ARV_G.FRM.

Questo file contiene le parole chiave per la formattazione della stampa nel Runtime.

Attenzione: Le parole chiave vengono inserite in tedesco per tutte le lingue.

Parola chiave | Significato
@AMELDUNG | Testo valore limite dell´inserimento d´archivio.
@ARCHIVNAME | Nome dell'archivio.
@DATZEIT | Data stamp/Time stamp dell´inserimento d´archivio.
@EINHEIT | Unità dell´inserimento archivio
@HEADZEIT | Data stamp/Time stamp dell´archivio.
@KANALNAME | Nome della variabile dell'inserimento archivio
@SEITE | Numero di pagina per la stampa.
@STATUS | Testo di stato dell´inserimento archivio
@TAGNR | Identificazione variabile dell´inserimento.
@WERT | Valore dell'inserimento archivio

Le parole chiave per la parte degli inserimenti d´archivio della lista ripetuti in forma ciclica sono incluse fra i caratteri %%.

P.es.:

Pagina @HEADZEIT @ARCHIVNAME
: @SEITE -----------------

Data/Tempo nome variabile valore unità di misura testo di stato stato
----------------------------------------------------------------------------------------------------------------
%%
@DATZEIT @KANALNAME @WERT @EINHEIT @AMELDUNG @STATUS
%%


Cicli nel Runtime

Manuale -> Server di archiviazione -> Gestione durante il runtime -> Cicli nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configurazione dell´interrogazione e del salvataggio nell´Editor, nonché dell´ora di partenza degli archivi, ha un effetto corrispondente sull´esecuzione nel Runtime:

L´ora di partenza impostata nell´archivio serve come base per il calcolo dei tempi di salvataggio. A partire da questo momento, vengono aggiunti i cicli di salvataggio. In tal modo, zenon sa ad ogni start del Runtime quando deve essere chiuso l´archivio alpha attualmente attivo, e deve essere iniziato un nuovo file. .

Se si chiude il Runtime mentre è in corso la scrittura di dati in un file d'archivio, quest´ultimo rimane aperto. Quando viene riaperto, il Runtime verifica se il file adesso dovrebbe essere chiuso:

  • Sì: Il file viene chiuso e ne viene subito iniziato un altro.
  • No: I nuovi dati vengono aggiunti al file esistente, che continua ad essere usato. I valori che sono stati generati nel corso del periodo di interruzione del Runtime, vengono inseriti da zenon con corrispondente valore di riempimento archivio, e gli viene assegnato lo stato INVALID.

info Informazioni su

Configurate il ciclo di interrogazione e quello di salvataggio sempre in modo tale che uno sia un multiplo intero dell´altro, al fine di evitare delle sovrapposizioni e, di conseguenza, delle imprecisioni negli archivi in cascata.


Uso di dati d'archivio in zenon:

Manuale -> Server di archiviazione -> Uso di dati d'archivio in zenon:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I dati dell´archiviazione possono essere riutilizzati in zenon per:

  • Generatore Report
  • Report Viewer
  • Trend esteso

Inoltre, i dati possono essere analizzati con il prodotto di COPA-DATA zenon Analyzer.

Noch in diesem Kapitel

Generatore Report

Report Viewer

Trend esteso


Generatore Report

Manuale -> Server di archiviazione -> Uso di dati d'archivio in zenon: -> Generatore Report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Generatore Report lavora con orientamento alle celle.

Esempio di un report:

Si possono assegnare determinate funzioni e formati ad ognuna di queste celle. Viene progettato un report in forma di immagine propria del tipo Generatore Report. Il calcolo, l´emissione e la visualizzazione dei dati avviene tramite funzioni report predefinite. Esse possono essere inserite nelle celle corrispondenti tramite una finestra di dialogo, oppure manualmente. Per poter visualizzare i report nel Runtime, essi devono essere anzitutto configurati nell´Editor.

attention Attenzione

La stampante desiderata deve essere selezionata prima della creazione del report, perché la formattazione delle pagine di un report dipende dalla stampante impostata. Una successiva modifica della stampante potrebbe rendere necessaria la riformattazione del report esistente.

Noch in diesem Kapitel

Funzioni di archivio e di protocollo


Funzioni di archivio e di protocollo

Manuale -> Server di archiviazione -> Uso di dati d'archivio in zenon: -> Generatore Report -> Funzioni di archivio e di protocollo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Basi:

Tutte le funzioni archivio si basano sulla fase archive (FILTERINDEX,PARAMETER,RICHTUNG).

Le estensioni vengono evidenziate nel nome funzione tramite lettere aggiuntive.

Abbreviazioni | Descrizione | Commento
r | read only | L´archivio può essere solamente letto. I valori modificati non possono essere salvati.
sp | Colonne | Offre una speciale formattazione per la definizione delle celle da utilizzare.
m | Matematica | Ha effetto solamente su Valore e Tempo.
ex | extended | Offre trattamenti speciali.
w | write | E' possibile scrivere.

Indice filtro

L´indice filtro crea l´ordine fra i numeri del filtro archivi usati nelle funzioni di report e le variabili degli archivi.

Example Esempio

=archive (5,"valore","giù")

FILTERINDEX = 5

Viene utilizzato per la funzione di report l´inserimento riportato nel filtro al numero 5.

Parametri

Opzioni | Possibile valore
valore | [1-n]
stato | [1-n]
tempo | [1-n]
quantità | [1]

Direzione

Opzioni | Descrizione
destra | Il valore verrà inserito a destra (riga). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si imposta una funzione archivesp con una sola colonna, il valore verrà inserito verso il basso (nella colonna).
In giù | Il valore verrà inserito in basso (colonna). Si deve prevedere un numero di celle sufficiente ad ospitare gli inserimenti attesi. Attenzione: se si imposta una funzione archivesp con una sola riga, il valore verrà inserito verso destra (nella riga).

Tutte le funzioni archivio possono essere create con l´Assistente funzioni.

Per emettere informazioni di stato vengono utilizzate le impostazioni del file project.ini nella sezione [STATUS], o quelle dall´attribuzione definita internamente. Se è stata modificata la descrizione di stato nel project.ini, viene emesso il nome cambiato. (Suggerimento: consente di conservare la compatibilità di progetto con vecchi nomi di stato).

In modalità online, l’intervallo di tempo della query può essere definito o nella chiamata alla funzione , oppure a Runtime all’apertura di un file di Report.

Modifica inserimenti archivi

I valori di archivio possono essere modificati a Runtime, a patto che sia consentito dalle autorizzazioni utente. Le modifiche vengono salvate o manualmente tramite l´elemento di controllo Salva, oppure automaticamente al momento del salvataggio del file report. Lo stato di un inserimento modificato viene settato automaticamente su Manual value.

info Informazioni su

Modifica di campi stinga nel Report: Se un testo consta solamente di numeri, quando lo si salva, gli spazi vuoti vengono eliminati di default. Se si desidera avere degli spazi vuoti, essi devono rappresentati mediante i caratteri ASCII 255 (Alt+255).


Report Viewer

Manuale -> Server di archiviazione -> Uso di dati d'archivio in zenon: -> Report Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Anche il Report Viewer consente di elaborare e preparare dati d'archivio per l´utente. A differenza di quanto accade in caso di uso del Generatore Report, qui i dati non possono più essere manipolati. Il Report Viewer, però, offre delle possibilità grafiche molto ampie per la virtualizzazione dei dati, come ad esempio i diagrammi. Inoltre, è possibile confrontare due intervalli di tempo al fine di analizzarli in modo approfondito.

Per poter creare dei report mediante il Report Viewer, è necessario avere a disposizione anche software di terzi. Già al momento dell´installazione di zenon, dunque, viene installato anche il Microsoft Report Designer. Esso si apre non appena create un nuovo report. Per la visualizzazione nel Runtime, esiste un tipo di immagine proprio.

I dettagli concernenti la configurazione, li trovate nella guida relativa al Report Viewer.


Trend esteso

Manuale -> Server di archiviazione -> Uso di dati d'archivio in zenon: -> Trend esteso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Trend esteso (che necessita di una licenza a parte) rappresenta i valori online e i valori d´archivio delle variabili in forma di curve. A differenza dell’elemento dinamico Trend, è possibile zoomare, sfogliare, esaminare e scalare valori online e valori di archivi. Come per quel che concerne il Generatore Report e il Report Viewer, anche per il Trend esteso esiste un tipo di immagine proprio I dettagli concernenti la configurazione, li trovate nella guida alla voce Trend esteso.

Starter Edition del Trend esteso:

Nel pacchetto standard della versione a base Tag per il PC è contenuta una variante ridotta del Trend esteso.

La "Starter Edition" del trend esteso presenta le limitazioni seguenti:

  • nessun trend XY
  • nessun secondo Asse tempo
  • numero di curve limitato a 8.
  • nessuna rappresentazione logaritmica.
  • nessuna interrogazione.
  • nessuna funzione di zoom.


Ulteriori informazioni

Manuale -> Server di archiviazione -> Ulteriori informazioni

Questa sezione contiene alcune informazioni di base concernenti archivi e archiviazione.

Noch in diesem Kapitel

Formato dei file di archivio

Dislocazione di archivi in un database SQL.

RDA

Archiviazione nella rete di zenon


Formato dei file di archivio

Manuale -> Server di archiviazione -> Ulteriori informazioni -> Formato dei file di archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli archivi hanno la seguente struttura dato:

  • Il file di archivio con identificazione ARX comprende le definizioni della variabile e i dati numerici.
  • Il file ARS contiene i dati stringa.
  • Lo header d’archivio comprende le definizioni di archivio ed eventualmente il valore della variabile Charge.
  • La quantità di memoria riservato al valore della variabile lotto dipende, se la variabile lotto è una stringa, dalla lunghezza della stringa. Per le variabili numeriche, è riservata una quantità fissa di 32 caratteri. Variabili stringa charge sono archiviate in Unicode. Se non è definita alcuna Variabile charge, non è riservato nessuno spazio nella memoria.
  • Il record dati nel file ARX ha una lunghezza di 24 Byte e offre anche la possibilità di depositare valori double. Le informazioni di stato sono a 64 bit.
  • Gli archivi possono essere salvati ad intervallo di 1 secondo. Per gli archivi ciclici si consiglia di scegliere e mantenere tempi di salvataggio maggiori di 30 secondi.

Conversione di progetti realizzati con versioni precedenti alla 6.20 SP0

A partire dalla versione 6.20 SP0, i file d'archivio vengono salvati in formato ARX; prima veniva utilizzato quello ARV. Quando si converte un progetto, il sistema verifica al momento dello start del Runtime se ci sono dei file d'archivio in formato ARV nella cartella Runtime. Dopo la conferma della conversione, i file vengono modificati nel formato ARX. Questa conversione è effettuata per tutti i progetti prima dell’avvio del progetto. Nel corso del processo di conversione, vengono cancellati i file ARV. Per l´esportazione in SQL, devono essere aggiunte alla tabella delle ulteriori colonne.

Raccomandazione: Salvate i file ARV prima di effettuare la conversione.

Denominazione di un archivio

Il nome di un archivio consta di:

  • Nome breve
  • Tempo di salvataggio in UTC, nel formato JJMMTThhmmss
  • Estensione file .arx

Ad esempio: XX140403071200.arx

XX | Nome dell'archivio
14 | Anno
04 | Mese
03 | Giorno
07 | ora (UTC)
12 | Minuti
00 | Secondo

Tempo UTC e ora locale

Quando salvano i dati, gli archivi usano il tempo UTC. L´ora locale che viene settata sul computer, si compone di: UTC + fuso orario + ora legale/ ora solare. Il Runtime zenon considera automaticamente l´ora locale quando interroga gli archivi.

Esempio: Berlino in estate

  • Ora locale Ore 14:00
  • UTC: Le 14:00, ora locale, meno 1h (ora legale), meno 1h (fuso orario) = ore 12:00 UTC
    Il valore, che viene generato localmente alle 14:00, viene salvato con l´orario: ore 12:00.

Interrogate dei valori a Berlino fra le 13:00 e le 15:00, ora locale. Il Runtime richiede all´archivio i valori che hanno un timestamp compreso fra le 11:00 e le 13:00 e li visualizza con l´ora locale (fra le 13:00 e le 15:00).

Noch in diesem Kapitel

Variabili stringa


Variabili stringa

Manuale -> Server di archiviazione -> Ulteriori informazioni -> Formato dei file di archivio -> Variabili stringa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le variabili stringa possono essere ora archiviate. Esse vengono salvate in un file con il nome [breve descrizione][Data/ora].ARS. I file contengono solo i valori della stringa e il link al file ARX. Nel file ARX è segnato se deve esistere un archivio stringa.. Se non ci sono stringhe nell’archivio, non viene prodotto nessun file ARS. Se ci sono stringhe, il file ARS deve essere presente.

attention Attenzione

Le operazioni file devono tener presenti entrambi il file. Se manca un file ARS necessario, non vengono caricati neanche i dati dal file ARX.

I dati della stringa sono salvati in formato UNICODE con dimensione dei dati dinamica. Ciò avviene per risparmiare memoria ed è indipendente dalla lunghezza della stringa. Nel record del file ARX viene segnata la posizione del record stringa per il file ARS. Presupporre dove si trova la stringa nell'archivio ARS non è possibile, perché la loro posizione durante l'elaborazione può variare.

Nella proprietà delle variabili, per le stringhe esiste sempre un valore di riserva in modo tale da poter fornire sempre valori all'archivio. Il Valore di riempimneto arch. per tipo String viene usato se zenon, per esempio per il riempimento di archivi ciclici, ha bisogno di un valore per la variabile stringa, ma non è disponibile nessun valore. Se non è stato trasmesso ancora nessun valore, viene usato il valore di sostituzione definito; in caso contrario l´ultimo valore valido.

Nell'editor, nell'analisi della dimensione dell'archivio, viene usata sempre la lunghezza massima della stringa.

Grandezza Campo dati

In generale la dimensione del campo dati corrisponde alla variabile stringa più lunga dell´archivio. In questo caso, bisogna considerare quanto segue:

  • Dislocazione archivi:
    Nella creazione delle tabelle per la dislocazione archivi con l´Editor di zenon, la larghezza colonne viene adattata alla stringa più lunga.
  • Esportazione archivi:
    la larghezza colonne è impostata in modo fisso a 128 caratteri. I caratteri che eccedono questo limite verranno ignorati.

Nota Variabile del driver di sistema: la lunghezza stringa è limitata a 5 caratteri e non può essere modificata. I contenuti stringa di variabile del driver di sistema, però, possono essere più lunghi di 5 caratteri. Inserite nell´archivio anche una variabile stringa di, per es., una lunghezza di 256 caratteri per evitare un´eventuale perdita di dati.

attention Attenzione

Se cambia la lunghezza di una variabile stringa da archiviare, bisogna adattare anche il campo dati al momento della dislocazione in SQL, o dell´export in SQL!

Nota: non dimenticate di effettuare queste modifiche prima che dei cambi vengano ripresi dal Runtime. Altrimenti i più lunghi valori stringa vengono archiviati in modo incompleto!

Campo dati per adattamento SQL.

L'adattamento può avvenire manualmente mediante l'uso di uno strumento di gestione della banca dati (per esempio: Management Studio per MS-SQL Server), oppure tramite la configurazione degli archivi.

Per adattare il campo dati nell´Editor di zenon, eseguite per ogni archivio i seguenti passi:

  1. Selezionate nel menù contestuale dell´archivio Modifica archivio
  2. Passate alla scheda Salva.
  3. Passate all´area Esportazione dopo periodo di salvataggio.
  4. Cliccate su Crea tabelle.


Dislocazione di archivi in un database SQL.

Manuale -> Server di archiviazione -> Ulteriori informazioni -> Dislocazione di archivi in un database SQL.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La dislocazione di archivi in un database-SQL consente di salvare in modo standardizzato dei dati per poterli poi usare in altre applicazioni. Vengono supportati, ad esempio: Microsoft SQL Server, Oracle, CRATE.IO e altri sistemi database che dispongono di un´interfaccia ODBC. Contemporaneamente, si può continuare ad usare i dati anche in trend e report zenon. I database-SQL, inoltre, consentono l´ottimizzazione mirata del salvataggio dei dati.

Per quello che concerne il trasferimenti dei dati di archivio in un database-SQL, si differenziano due stadi del salvataggio dei dati:

  • Dati a breve termine: Corrisponde all´impostazione Conserva archivi nella finestra di dialogo Salva. Essi vengono salvati in formato ARX sul supporto dati locale.
  • Dati a lungo termine: Quando si raggiunge la durata del buffer circolare dei dati di archivio, il contenuto di questo file viene scritto come transazione nella banca dati SQL e cancellato a livello locale.

Nel caso in cui i dati di questo archivio siano necessari per trend o report, i dati a breve termine salvati localmente vengono combinati automaticamente con i dati a lungo termine salvati nel database-SQL in un flusso senza soluzione di continuità.

Questa proprietà può essere usata anche per utilizzare in zenon dei dati esterni. Dopo che si è proceduto a creare le necessarie tabelle del database, queste ultime possono essere riempite di dati anche mediante tool esterni. Non è necessario avviare l´archivio per far ciò. I dati inseriti nella tabella sono a disposizione per essere visualizzati in un trend o report di zenon.

Avvertenza:

  • Archivi SQL possono essere dislocati anche su un bus di servizio MS Azur. Per far ciò, quando configurate l´archivio, dovete anzitutto attivare nella scheda Salva, l´opzione Usa service bus MS Azure per scrivere. Potete leggere i dettagli a questo proposito:
    • Nel capitolo MS Azur-Dienstbus di questa guida.
    • Nel manuale MS Azure

attention Attenzione

Dei duplicati non possono essere dislocati un un database-SQL a causa della chiave primaria!

  • Problema: Con quelle variabili il cui time stamp proviene da un apparecchio esterno, può verificarsi l´insorgere di duplicati. Ad esempio: Il PLC invia eventi poco prima che si verifichi un´interruzione della connessione e ripete l´invio dopo che il collegamento è stato ripristinato. Ci sono due inserimenti con lo stesso valore e lo stesso time stamp.
    Quando il sistema tenta di dislocare dati con duplicati, l´export SQL si interrompe.
  • Soluzione: Rimuovete i duplicati dal dislocamento nell´immagine post-elaborazione archivio.

Duplicati causati da interruzione al momento della chiusura del Runtime

Quando il Runtime si chiude mentre è in corso un export in un database-SQL, il Runtime sarà effettivamente terminato solo dopo che l´export sarà portato a termine. Se, però, durante questo lasso di tempo il Runtime viene chiuso in anticipo via process desk o taskmanager, succede quanto segue:

  • Una parte dei valori si trova già nel database-SQL
  • iI file d'archivio, però, non è stato ancora cancellato.

Al momento della riapertura del Runtime, il sistema cerca di dislocare il file d'archivio ancora esistente nel database-SQL.
Procedura:

  • Gli originali vengono dislocati.
  • Se ci sono dei duplicati, essi non vengono dislocati a causa della chiave primaria. L´export viene ripetuto al prossimo ciclo. I duplicati vengono cancellati nel corso del processo.

Formati delle tabelle.

Per ogni archivio viene creata una tabella nella banca dati, che conterrà i dati di archivio esportati. Inoltre viene creata per l´intero progetto una tabella di lista incrociata che contiene un elenco delle attribuzioni fra i nomi delle variabile e l´ID delle variabili univoco e numerico.

info Informazioni su

Quando si creano delle tabelle SQL per dati d'archivio, lotti e variabili, viene generata automaticamente con l´Editor una chiave primaria.

Attenzione: Per ragioni di prestazioni, la chiave primaria per archivi è ottimizzata per l´uso con i riferimenti variabili non applicabili a più progetti. Non vi compare, dunque, il project GUID delle variabili. Se degli archivi con riferimenti variabili che interessano più progetti devono essere dislocati in SQL, la chiave primaria deve essere cancellata manualmente, oppure essere integrata con l´aggiunta del project GUID.

Formato della tabella dati

La tabella dati consiste delle seguenti colonne:

Colonna

Tipo

Descrizione

VARIABLE

int[4]

Variabile numerica ID

CALCULATION

int[4]

Tipo di compressione per archivi in cascata

E' possibile un numero massimo di 4 valori. Somma, valore medio, minimo, massimo..
Nel caso si esporti un archivio in cascata in un file (per es. .csv), i valori da 1 a 4 vengono scritti in forma di stringa:

  • 1=somma
  • 2=valore medio
  • 3=minimo
  • 4=massimo

Nel caso di dislocazione o export in SQL, i valori vengono scritti in codice ASCII come integer:

  • 49=somma
  • 50=valore medio
  • 51=minimo
  • 52=massimo

TIMESTAMP_S

int[4]

Timestamp in formato tempo UNIX.

TIMESTAMP_MS

int[4]

Quota di millisecondi del Timestamp

VALUE

float[8]

Valore

STATUS

int[4]

Flag di stato per il valore (zenon Stato)

GUID

varchar[36]

Registra il il progetto-GUID della variabile. Non deve essere ZERO.

STRVALUE

varchar

la lunghezza dipende da quella massima della variabile string da archiviare. Per un valore numerico questo campo è “ZERO”

Primary key, clustered: TIMESTAMP_S e TIMESTAMP_MS e VARIABLE e CALCULATION e GUID.

Il nome della tabella della banca dati è costituito dal nome del progetto e dal nome breve dell'archivio. Le due parti vengono collegate con un trattino basso:
Nome progetto_Nome breve
Se il nome progetto, dunque, è ARV_IN_DB e la denominazione breve archivio è A1, il nome tabella sarà: ARV_IN_DB_A1.

attention Attenzione

Visto che il GUID è contenuto nell´indice, il valore NOT deve essere pari a zero. A partire da zenon 7.20, una stringa vuota viene inserita al posto di ZERO per consentire il trasferimento di variabili del vostro progetto per il GUID.

Se vengono compilati file Runtime per la versione 7.11 o versioni precedenti, ne consegue un problema di compatibilità: Siccome qui ZERO è scritto nella colonna GUID, il trasferimento non funzionerà.

Soluzione: La tabella nel server SQL deve essere creata manualmente senza GUID nella primary key, oppure completamente senza una chiave primaria.

Per esempio, con la seguente sintassi:

CREATE TABLE [$projectname$_$archivename$]

(

[VARIABLE] int,

[CALCULATION] int,

[TIMESTAMP_S] int,

[TIMESTAMP_MS] int,

[VALUE] float,

[STATUS] int,

[GUID] varchar(36),

[STRVALUE] varchar(?),

CONSTRAINT [PK_$projectname$_$archivename$] PRIMARY KEY CLUSTERED

(

[TIMESTAMP_S] ASC,

[TIMESTAMP_MS] ASC,

[VARIABLE] ASC,

[CALCULATION] ASC

)

)

Formato della tabella per nome lotto .

La tabella contenente i nomi lotto per gli archivi esportati in SQL:

  • ha il nome [Projektname]_[Archivkürzel]_BATCH
  • consiste di tre colonne:
Colonna | Tipo | Descrizione
BATCH | varchar (128) | Nome lotto
START_S | int | Data/ora Unix dell´inizio lotto
END_S | int | Data/ora Unix della fine lotto

Primary key, clustered: START_S e END_S.

Formato della tabella lista incrociata

Colonna | Tipo | Descrizione
VARIABLE | int[4] | Variabile numerica ID
NAME | varchar[128] | Nome della variabile
GUID | varchar[36] | Registra il il progetto-GUID della variabile. Non deve essere ZERO.

Chiave primaria, clustered: VARIABILE e GUID.

Il nome della tabella lista incrociata è costituito dal nome progetto e dalla desinenza VARIABLES. Queste due parti sono collegate da una lineetta. Se il nome del progetto, dunque, è ARV_IN_DB, il nome della tabella sarà ARV_IN_DB_VARIABLES.

Noch in diesem Kapitel

Bus di servizio MS Azure

Conversione

Configurazione


Bus di servizio MS Azure

Manuale -> Server di archiviazione -> Ulteriori informazioni -> Dislocazione di archivi in un database SQL. -> Bus di servizio MS Azure

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se, per il dislocamento di un archivio, si attiva l´opzione Usa service bus MS Azure per scrivere, tutti i valori d´archivio verranno aggiunti alla Azure Service Bus Queue con il nome archivequeue. Ciò deve esistere in MS Azure-Namespace delle connessione configurata.. Il nome di connessione MS Azure va inserito nel campo che si trova sotto l´opzione.

Configurazione

In MS Azure deve essere attiva perlomeno un´istanza di un AzureZenonArchiveWorker cloud service, che riceva i valori d´archivio dalla coda con il nome archivequeue e li aggiunga nell' MS Azure SQL-Storage. Il formato tabelle corrisponde a quello del classico dislocamento SQL di un archivio.

Il servizio cloud deve essere creato manualmente con il deploymentpackage AzureArchiveCloudService.cspkg, tramite l´interfaccia di configurazione MS Azure. . Trovate il pacchetto nella cartella %ProgramData%\COPA-DATA\zenon7.50\CloudServices.

Impostazioni:

  • Zenon.ArchiveServiceBus.ConnectionString: Corrisponde al nome di connessione MS Azure inella configurazione archivio.
  • Zenon.ArchiveSQLServer.ConnectionString: Indica il nome di connessione per la destinazione MS Azure SQL-Storage.
  • Ambiente: Produzione
  • Distribuire anche se uno o più ruoli contengono una singola istanza: attivare.
  • Avvia distribuzione: attivare.

Procedura

La lettura dei dati d'archivio avviene via connessione OLEDB e SQL SELECT statement. Il nome connessione OLEDB mostra, di regola, la stessa banca dati MS Azure SQL di quella dell´output connection name (Zenon.ArchiveSQLServer.ConnectionString) in AzureZenonArchiveWorker.


Conversione

Manuale -> Server di archiviazione -> Ulteriori informazioni -> Dislocazione di archivi in un database SQL. -> Conversione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si usano degli archivi di versioni di zenon precedenti alla 6.20 SP0 in una nuova versione, è necessario aggiungere manualmente le seguenti colonne:

  • STRVALUE nella tabella dati
  • GUID nella tabella lista incrociata

Le colonne vengono aggiunte o direttamente nella banca dati, oppure tramite una finestra di dialogo nell´Editor di zenon.

Per aggiungere le colonne nell`Editor:

  1. Aprite per ogni archivio interessato la finestra di dialogo Modifica archivio.
  2. Aprite la scheda Salva.
  3. Aprite la finestra di dialogo dell´opzione database-SQL.
  4. Chiudete il dialogo cliccando su OK.

Alla chiusura del dialogo, le modifiche sono eseguite automaticamente nella banca dati.

attention Attenzione

Se non rendete effettive queste modifiche, non viene trasferito nessun dato di archivio nella banca dati SQL!


Configurazione

Manuale -> Server di archiviazione -> Ulteriori informazioni -> Dislocazione di archivi in un database SQL. -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per salvare i dati di un archivio in una banca dati SQL:

  1. Selezionate alla voce Salva la proprietà Banca dati SQL:
  2. Clicchi sul pulsante ....
  3. Si apre il dialogo che serve alla selezione di una banca dati.
    1. Configurate il Provider.
      Per es. SQL Server Native Client.
    2. Configurate la connessione.

      Per esempio, con lo zenon 2012 Server, con lo zenon database user standard zenOnSrv, con la password zen_$2012.

    3. Testate la connessione.
    4. Chiudete il dialogo cliccando su OK.

    Dopo che avete confermato la finestra di dialogo, zenon imposta la tabella lista incrociata e la tabella dati nella banca dati. Non appena ci sono dei dati da dislocare, essi vengono aggiunti nella tabella dati. Se zenon perde la connessione con la banca dati durante lo svolgimento di questo processo, i dati rimangono salvati localmente. Il dislocamento continua non appena la connessione è stata ripristinata con successo.

  4. Cliccate, se necessario, sul pulsante Crea tabelle.

    Facendo uso del pulsante Crea tabelle queste ultime possono essere create di nuovo in qualsiasi momento, oppure le si può adattare automaticamente se, ad esempio, delle variabili vengono aggiunte o cancellate dall´archivio, oppure la Providerstring viene modificata manualmente. Ogni volta che aggiungete o eliminate delle variabili da archivi che sono configurati per l´esportazione SQL, le tabelle in SQL devono essere attualizzate (adattate) in modo corrispondente.

attention Attenzione

Quando si usano il Native Client 10 e 11, la password non viene ripresa automaticamente nella stringa provider. Essa deve essere inserita manualmente.

Per esempio: ...;User ID=sqlExampleUser1;Password=secretPassword;...

Nota: Se configurate un archivio per il dislocamento in SQL e lo configurate di nuovo in un secondo momento, dovete adattare in modo corrispondente anche le tabelle in SQL.
Ad esempio: Avete configurato un archivio per il dislocamento in SQL; le tabelle in SQL sono state già impostate. Poi collegate una variabile per l´archiviazione lotti. In questo caso, si deve procedere a creare di nuovo le tabelle in SQL. In caso contrario il dislocamento in SQL non può avvenire perché la tabella per le informazioni lotti non esiste.

attention Attenzione

Assicuratevi che nel Runtime il provider configurato nella connessione sia disponibile sul computer Runtime.

Nota: Con l´Editor di zenon viene installato anche un client SQL. Visto che il Runtime di zenon non ha bisogno di un server SQL, non viene installato automaticamente nessun client SQL. Lo si può però scaricare dalla Web site di Microsoft; dovrà poi essere installato individualmente.

Al momento dell´installazione del provider, fate attenzione di installare la versione corretta. Quest´ultima deve andar bene con la versione di zenon usata. Ciò significa: Se si usa una versione a 32-Bit del Runtime di zenon, anche il provider deve essere una versione a 32-Bit. Ciò vale anche se esso viene installato su un sistema operativo a 64-Bit, e anche quando la stessa banca dati è un´applicazione a 64-Bit.


RDA

Manuale -> Server di archiviazione -> Ulteriori informazioni -> RDA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Informazioni più precise sulla configurazione e la gestione della archiviazione RDA.

Noch in diesem Kapitel

PLC formattazione dati

Descrizione header

Formato Time stamp

Tipi

Avvertenza:


PLC formattazione dati

Manuale -> Server di archiviazione -> Ulteriori informazioni -> RDA -> PLC formattazione dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I tipi di dato RDA possibili sono:

  • BYTE
  • WORD
  • DWORD
  • FLOAT

Essi dipendono dal driver usato in zenon.

Nota: Se il Vostro driver supporta RDA o meno, lo potete verificare consultando la documentazione del driver in questione.

attention Attenzione

Non possono essere letti quei valori che si trovano nel futuro. I valori possono trovarsi nel futuro se i sistemi temporali nel PLC e sul PC differiscono fra di loro. Fate in modo, dunque, che i sistemi temporali vengano sempre sincronizzati.


Descrizione header

Manuale -> Server di archiviazione -> Ulteriori informazioni -> RDA -> Descrizione header

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametri

Descrizione

Indice [0]

Variabile RDA che è stata inserita nell´archivio. Decide il tipo di dato (per es. BYTE, WORD, DWORD, FLOAT).

  • La dimensione dipende dal tipo di dato in zenon.
  • Il trigger flag viene settato dal PLC su 1, quando i valori devono essere prelevati. . Dopo che zenon si è andato a prendere i dati, Il flag viene automaticamente riportato a0.

Indice [1]

Numero dei valori che devono essere salvati.

32-Bit Intel Format. Settato dal PLC.

Indice [2]

Tempo di ciclo in millisecondi, viene usato per TYP 1 e 4 .

32-Bit Intel Format. Settato dal PLC.

Indice [3]

Tipo RDA:

  • Tipo 1: Senza tempo (non viene più usato)
  • Tipo 2: Con formato tempo 1 (non viene più usato)
  • Tipo 3: Con formato tempo 2
  • Tipo 4: Senza tempo

32-Bit Intel Format. Settato dal PLC.

Indice [4]

Numero del valore più recente. Dovrebbe corrispondere al valore in Index [1].

32-Bit Intel Format. Settato dal PLC.

Indice [5]

Contiene dati. Il contenuto dipende dal tipo:

  • Tipo 3: Valori
  • Tipo 4: Data e ora.

Indice [6]

Contiene dati. Il contenuto dipende dal tipo:

  • Tipo 3: Data e ora
  • Tipo 4: Valori

Index [ecc.]


Formato Time stamp

Manuale -> Server di archiviazione -> Ulteriori informazioni -> RDA -> Formato Time stamp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il formato tempo viene rappresentato mediante un´espressione lunga 8 byte:

Byte: | Corrisponde a | Possibili valori
1 | Anno Nota: Il formato tempo inizia con l´anno 1900, scritto in una forma a due cifre. 1900 = 00. A partire dall´anno 2000, si usano tre cifre 2000 = 100. | per es. 99, 100, 114, ecc
2 | Mese | 1 - 12
3 | Giorno | 1 - 31
4 | Ora | 0 - 23
5 | Minuto | 0 - 59
6 | Secondo | 0 - 59
7 | Centesimo di secondo | 0 - 100
8 | riservato | -


Tipi

Manuale -> Server di archiviazione -> Ulteriori informazioni -> RDA -> Tipi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono diversi tipi disponibili per l´archiviazione RDA . Attualmente si usano i seguenti:

  • Tipo 3
  • Tipo 4

Attenzione: Il tipo 1 e il tipo 2 sono ancora configurabili per ragioni di compatibilità. Essi, però, non vengono più né usati, né documentati.
Il tipo 1 è stato sostituito dal tipo 4, mentre il tipo 2 è stato sostituito dal tipo3.

Noch in diesem Kapitel

Tipo 3

Tipo 4


Tipo 3

Manuale -> Server di archiviazione -> Ulteriori informazioni -> RDA -> Tipi -> Tipo 3

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Indice | Descrizione
Indice [0] | Variabile RDA.
Indice [1] | Numero dei valori da salvare.
Indice [2] | Viene ignorato. (tempo di ciclo in millisecondi.)
Indice [3] | Tipo RDA.
Indice [4] | Numero del valore più recente.
Indice [5] | Primo valore salvato. Dimensione: dipende dal tipo di dato di zenon.
Indice [6] | Time stamp per il primo valore. (Per i dettagli, vedi Formato Time stamp).
Indice [7] | Secondo valore salvato. Dimensione: dipende dal tipo di dato di zenon.
Indice [8] | Time stamp per il secondo valore (Per i dettagli, vedi Formato Time stamp).
Index [ecc..] | [n-mo valore]


Tipo 4

Manuale -> Server di archiviazione -> Ulteriori informazioni -> RDA -> Tipi -> Tipo 4

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Indice

Descrizione

Indice [0]

Variabile RDA.

Indice [1]

Numero dei valori da salvare.

Indice [2]

Tempo di ciclo in millisecondi

Indice [3]

Tipo RDA.

Indice [4]

Numero del valore più recente.

Indice [5]

Data e ora.
(Per i dettagli, vedi Formato Time stamp. Primo valore salvato.

Dimensione: dipende dal tipo di dato di zenon.

Indice [6]

Valori salvati.

  • Valore 1
  • Valore 2
  • Valore 3
  • Valore 4
  • ecc.


Avvertenza:

Manuale -> Server di archiviazione -> Ulteriori informazioni -> RDA -> Avvertenza:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando lavorate con l´archiviazione RDA, tenete presente quanto segue:

  • La trasmissione dei dati richiede tempo. In concomitanza con un evento trigger, può (a seconda del numero dei valori) risultare un tempo di trasmissione di diversi secondi.
  • In un sistema ridondante si può avere il seguente problema: a causa dei lunghi tempi di trasmissione, può accadere che un server che sta leggendo un archivio RDA, non riesca a sincronizzare completamente i dati in caso smetta di funzionare. In questo caso, il server che ne prende il posto, leggerebbe ancora una volta l´archivio RDA, visto che il trigger non è ancora stato resettato sul valore 0.
  • Con il tipo 4, al contrario del tipo 3, è trasferito solo il tempo di partenza
  • Il meccanismo RDA di zenon richiede un blocco coerente nel controller raggiungibile via offset. Per questo motivo, RDA non è possibile di regola con driver con indirizzamento simbolico. Per alcuni driver con indirizzamento simbolico è a disposizione una soluzione alternativa. Un esempio lo trovate di seguito alla voce Esempio di una dichiarazione di tipo di dato secondo IEC 61131-3. I dettagli a questo proposito li trovate nella documentazione del relativo driver.

Esempio di una dichiarazione di tipo di dato secondo IEC 61131-3

RDA-Typ 3:

TYPE RDA_DATA_3 : (* Structure for RDA type 3 payload *)

STRUCT

Value : DINT; (* valore

TimeStamp : ARRAY[0..7] OF BYTE; (* timestamp (anno, mese, giorno, ora, minuto, secondo, 1/100 di secondo, riserva) *)

END_STRUCT

END_TYPE

TYPE RDA_3 : (* Structure for RDA type 3 *)

STRUCT

Trigger : DINT; (* Variabile trigger *)

Count : UDINT; (* numero dei dataset *)

Cycle : UDINT; (* tempo di ciclo in [ms] (solo tipo per 1 e 4 rilevante) *)

RDA_Type : UDINT; (* tipo RDA, 1 - 4 *)

Oldest : UDINT; (* Indice del valori più vecchio (per ragioni di compatibilità, carattere jolly rilevante solo per tipo 1) *)

Data : ARRAY[0..19] OF RDA_DATA_3; (* Payload*)

END_STRUCT

END_TYPE

RDA-Typ 4:

TYPE RDA_4 : (* Structure for RDA type 4 *)

STRUCT

Trigger : DINT; (* Variabile trigger *)

Count : UDINT; (* numero dei dataset *)

Cycle : UDINT; (* tempo di ciclo in [ms] (solo tipo per 1 e 4 rilevante *)

RDA_Type : UDINT; (* tipo RDA, 1 - 4 *)

Oldest : UDINT; (* Indice del valori più vecchio (per ragioni di compatibilità, carattere jolly rilevante solo per tipo 1) *)

TimeStamp : ARRAY[0..7] OF BYTE; (* timestamp del primo valore (anno, mese, giorno, ora, minuto, secondo, 1/100 di secondo, riserva) *)

Data : ARRAY[0..19] OF DINT; (* Payload*)

END_STRUCT

END_TYPE


Archiviazione nella rete di zenon

Manuale -> Server di archiviazione -> Ulteriori informazioni -> Archiviazione nella rete di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´archiviazione è integrata nella rete di zenon.

La funzionalità di rete di zenon consente di usare in modo distribuito progetti su diversi server e di creare in modo molto efficiente delle complesse Strutture di rete. La struttura di processo può essere configurata in modo tale che determinati contenuti siano visibili solamente su quella postazione che è destinata a svolgere un certo compito (un particolare calcolatore). L´Editor di zenon aiuta gli utenti a creare e configurare queste strutture.

Questa funzionalità di rete può essere eseguita anche in modio ridondante. Ciò è garanzia ulteriore di sicurezza dei dati e mezzo per evitare le conseguenze negative di possibili malfunzioni nell´ambito del sistema.

info Informazioni su

Ulteriori informazioni le trovate nella parte della guida dedicata alla Rete.

Noch in diesem Kapitel

Comportamento in rete

Gestione multi-progetto


Comportamento in rete

Manuale -> Server di archiviazione -> Ulteriori informazioni -> Archiviazione nella rete di zenon -> Comportamento in rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´archiviazione si esegue sul server prioritario.

Il server primario sincronizza i dati d'archivio con il server-standby e risponde alle richieste dei client (per es. apertura di un´immagine del tipo Trend esteso).

info Informazioni su

Quando il server-standby assume il ruolo di server primario in caso di disfunzione o guasto del server primario originale, viene rifornito dei dati mancanti relativi a AML, CEL e archivi. Questi dati mancanti provengono dal buffer interno del server-standby. Questo buffer viene rifornito di valori dai driver.

Cambio ridondanza

Il cambio di ridondanza può subire un ritardo causato dal modulo Archiviazione di zenon.

Se delle variabili provenienti da un altro progetto vengono archiviate in un archivio, cambia la procedura di start del Runtime nella rete di zenon. In questo caso, infatti, gli archivi vengono avviati solo dopo il caricamento di tutti i progetti.

In tal modo si garantisce che vengano riconosciute tutte le variabili da archiviare prima che inizi il processo di archiviazione ed il calcolatore assuma il ruolo di server primario.

Example Esempio

Il Runtime di zenon viene avviato su quel computer configurato in fase di progettazione come Server 1, oppure Server 2.

  • Il Runtime parte assumendo il ruolo di server-standby.
  • Vengono caricati tutti i progetti.
  • L´archiviazione viene sincronizzata.

I passaggi sopra descritti avvengono indipendentemente dal ruolo attuale del calcolatore, o dagli esiti della valutazione dello stesso.

Solo dopo il compimento di tutti questi passaggi viene effettuato - se necessario - un cambio di ridondanza.


Gestione multi-progetto

Manuale -> Server di archiviazione -> Ulteriori informazioni -> Archiviazione nella rete di zenon -> Gestione multi-progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In un archivio possono essere registrati i valori di variabili di diversi progetti dell´area di lavoro. I valori in tal modo registrati possono poi essere filtrati, visualizzati in forma di lista o come trend, stampati o esportati come avviene per i dati di normali archivi.

Esempio archivio

  1. Aprite nel progetto IPRO il nodo Server di archiviazione.
  2. Create un uovo archivio con il nome BA - BASIS.
  3. Aprite il menù contestuale della lista variabili e selezionate Aggiungi variabili.
  4. Si apre la finestra di dialogo per la selezione delle variabili.

  5. Qui non si possono selezionare solamente variabili del progetto IPRO. Per selezionare variabili di altri progetti:
    1. Cliccate su un progetto nella parte sinistra della lista:
      appariranno le relative variabili che potranno essere selezionate.
    2. Selezionare la variabile desiderata
  6. Scegliere delle variabili da PRO1 e PRO2.
  7. Nella lista variabili dell´archivio viene indicato prima del nome della variabile il nome del relativo progetto.

attention Attenzione

zenon non verifica nell´Editor se la struttura di rete permette effettivamente a Runtime un accesso al progetto selezionato e alle sue variabili.

Per esempio, nell´Editor si può selezionare nel progetto PRO1 una variabile del progetto di integrazione. Questo collegamento, però, funzionerà a Runtime solo se è stato avviato anche il progetto di integrazione. Su un calcolatore su cui è stato avviato solamente il progetto PRO1 (progetto di partenza), questa connessione non funzionerà!

Dopo che avrete completato la selezione delle variabili, apparirà una finestra di dialogo che vi ricorda quanto segue: nei sistemi ridondanti la registrazione senza lacune non è garantita in ogni caso.

Esempio

  • Il progetto PRO1 viene eseguito in modo ridondante; un computer è il server primario, un secondo il server-standby.
  • Lo stesso vale anche per il progetto PRO2.
  • Il progetto di integrazione con i progetti subordinati PRO1 e PRO2 viene avviato su un terzo calcolatore. Esso è client per i sottoprogetti.

Se vengono archiviate variabili dei progetti PRO1 e PRO2 nel progetto di integrazione, il calcolatore riceve i dati tramite la rete dal rispettivo server prioritario di PRO1 e PRO2.
Se, ad esempio, il server prioritario di PRO1, per il periodo che passa fino a che il Server-Standby di PRO1 non assume il ruolo di server, si troverebbero dei valori di sostituzione nell´archivio delle variabili di PRO1 .

Nota: il buffer standby della ridondanza senza perdita di dati, salva solo le variabili del progetto in cui il calcolatore è stato configurato come uno dei due server.
Soluzione: per garantire una registrazione senza perdita di dati, l´archiviazione deve verificarsi localmente nel sottoprogetto eseguito in modalità ridondante.

info Informazioni su

Ulteriori informazioni concernenti gli archivi nel modello client-server della rete di zenon, le trovate nella parte della guida dedicata alla Rete, nei capitoli Modello client-server, Gestione multi-progetto e gestione multi-progetto Archivi.


Simulazione driver

Manuale -> Simulazione driver

Se, al momento della progettazione, non è disponibile il processo di base, quest´ultimo può essere simulato e poi testato. A tal scopo, sono a disposizione tre modalità:

  • Simulazione - statica: valori constanti simulati dal driver.
  • Simulazione - conta: i valori simulati dal driver vengono calcolati
  • Simulazione - programmata: i valori vengono calcolati mediante un progetto di simulazione con zenon Logic

attention Attenzione

Se il driver viene fermato nella modalità Simulazione - conta, si ferma solamente il procedimento di conta. Le variabili non passano a disturbato. In tutte le altre modalità di funzionamento, invece, il driver viene interrotto per davvero.

Nota: Simulazione - programmata non viene supportata dai driver per:

  • Variabili interne
  • Variabili matematiche
  • Variabili di simulazione
  • Variabili di sistema

info Informazioni su

Le variabili di zenon che rappresentano , IO variabili zenon Logic, non sono disponibili nel progetto nello stato Simulazione driver - programmata.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Noch in diesem Kapitel

Simulazione statica

Simulazione – conta

Simulazione - programmata


Simulazione statica

Manuale -> Simulazione driver -> Simulazione statica

Nel caso di simulazione statica, non viene instaurata una comunicazione con il controller; i valori vengono simulati dal driver. In questa modalità, i valori rimangono costanti. I valori possono essere modificati dal runtime oppure dall´utente. Al riavvio del runtime con Simulazione - statica, tuttavia, questi valori non verranno salvati e andranno dunque perduti.


Simulazione – conta

Manuale -> Simulazione driver -> Simulazione – conta

Nel caso di simulazione - conta, non viene instaurata una comunicazione con il controller; i valori vengono simulati dal driver. In questa modalità il driver incrementa i valori automaticamente all´interno di un intervallo valori cominciando da 0. Quando si raggiunge il valore massimo, il procedimento di conta riprende da 0.

info Informazioni su

Se si hanno valori di partenza negativi, il procedimento di conta inizia solamente da 0.

INT usa per contare il valore massimo di USINT.

attention Attenzione

Se il driver viene fermato nella modalità Simulazione - conta, si ferma solamente il procedimento di conta. Le variabili non passano a disturbato. In tutte le altre modalità di funzionamento, invece, il driver viene interrotto per davvero.


Simulazione - programmata

Manuale -> Simulazione driver -> Simulazione - programmata

Nel caso di simulazione programmata, non viene instaurata una comunicazione con il controller; i valori vengono calcolati da un progetto di simulazione liberamente programmabile. Il progetto di simulazione viene creato con l´aiuto del workbench di zenon Logic ed eseguito nel runtime di zenon Logic. Ciò consente di modificare lo stato e il time stamp di variabili sul driver. I comandi di scrittura su variabili vengono trasmessi alla simulazione tramite zenon; il server ridondante e il server di standby vengono sincronizzati. In tal modo è possibile simulare anche procedimenti complessi.

Per avviare il programma di simulazione selezionate nella Configurazione driver la modalità Simulazione - programmata.

info Informazioni su

Windows CE

La simulazione-programmata non è disponibile sotto Windows CE.

Noch in diesem Kapitel

Editor

Configurazione driver.

zenon Logic Workbench

Runtime

Indicazioni sulle variabili in progetti di simulazione

Segnalazioni d'errore


Editor

Manuale -> Simulazione driver -> Simulazione - programmata -> Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Crea progetto

Elimina progetto

Engineering distribuito

Cambia driver

XML-Export/Import


Crea progetto

Manuale -> Simulazione driver -> Simulazione - programmata -> Editor -> Crea progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter creare un progetto per la simulazione - programmata, si deve procedere come segue:

  • si deve selezionare un solo driver di processo
  • il nome progetto deve essere valido.

attention Attenzione

Simulazione - programmata non viene supportata dai driver per:

  • Variabili interne
  • Variabili matematiche
  • Variabili di simulazione
  • Variabili di sistema

Per creare un progetto di simulazione:

  • cliccate all´interno del gruppo Progetto di simulazione del driver, in corrispondenza della proprietà Modifica su Clicca qui ->
  • viene creato un nuovo progetto zenon Logic
  • Nome e numero di porta per Porta eventi e Porta standard vengono attribuiti automaticamente; potete modificarli a piacere.
  • viene aperto il workbench di zenon Logic

Il workbench del progetto di simulazione viene chiuso automaticamente se:

  • si chiude l´editor di zenon
  • si cancella un driver il cui progetto di simulazione viene redatto al momento nel workbench
  • il progetto di simulazione per il driver viene chiuso usando la proprietà Elimina
  • il progetto di simulazione viene rinominato

info Informazioni su

Numeri di porta: Quando viene generato il progetto di simulazione, gli viene assegnato automaticamente un numero di porta univoco. Un numero di porta assegnato automaticamente è univoco solo per il relativo progetto. Nei progetti multi-gerarchici, ci si deve assicurare che un numero di porta sia usato una sola volta in tutti i progetti eseguiti nel Runtime. Se un numero di porta viene usato più di una volta, infatti, si possono verificare degli errori di comunicazione con il Workbench/Runtime di zenon Logic.

I numeri di porta possono essere modificati ed adeguati manualmente. Un numero di porta deve soddisfare le seguenti condizioni:

  • Deve essere libero nel progetto.
  • Deve essere univoco per tutti i progetti che sono eseguiti nel Runtime.
  • Deve essere disponibile sul calcolatore su cui è attivo il driver.

Numeri di porta consentiti:

  • Minimo: 6000 (in caso di assegnazione automatica, si consiglia adeguamento manuale)
  • Massimo: 6999 (in caso di assegnazione automatica, si consiglia adeguamento manuale)

Luogo in cui salvare il progetto

Un progetto zenon Logic contiene molti file e cartelle. Per facilitare il lavoro, soprattutto nel caso di una progettazione distribuita, tutti i file vengono salvati in forma compatta nel file Simul_<Treiber-ID>.zip che si trova nella cartella <Sql Projekt Pfad>\FILES\zenon\custom\drivers. Nell´editor, questo file si trova con quelli del driver. Al momento dell´avvio del workbench di zenon Logic, i file vengono decompressi automaticamente e, al momento della chiusura del workbench, vengono di nuovo compressi.

Crea variabili

Quando si creano delle variabili in un progetto di simulazione, è importante procedere rispettando la seguente successione di passaggi:

  1. prima di tutto create la variabile
  2. selezionate poi il tipo di dato valido nel workbench di zenon Logic
  3. solo dopo attivate la proprietà embed symbol

Sfondo: le variabili vengono create di default con il tipo di oggetto driver PLC marker. Questo tipo di oggetto non supporta per tutti i driver tutti i tipi di dato. Se una variabile viene copiata nel workbench di zenon Logic con la proprietà embed symbol attiva, quest´ultima dovrà essere disattivata per poter poi procedere al cambiamento del tipo di dato. In tal modo, la variabile viene cancellata in zenon.

info Informazioni su

Segnalazione di errore "Can not create variable"

Non è possibile creare una variabile nell´oggetto di simulazione se il driver non ha nessun tipo di oggetto driver (escluso

Variabile del driver) che supporta questo tipo di dato.

Quando si attiva embed symbol, verrà poi visualizzata la segnalazione di errore "can not create variable".

Tipo di dato strutturato

Quando si creano delle variabili con un tipo dato strutturato, avviene quanto segue:

  • le variabili vengono create, se possibile, con il tipo di oggetto driver PLC marker.
  • il sistema prova tutti i tipi di oggetto driver (fatta eccezione per Variabile del driver) finché non ne trova uno utilizzabile per tutti gli elementi.
  • se non è disponibile nessun tipo di oggetto driver adeguato, avviene quanto segue:
    • non viene creata nessuna variabile nel caso di non-variabili struttura
    • nel caso delle variabili struttura, si usa il tipo di oggetto driver PLC marker.

Esempio:

un tipo dato strutturato contiene elementi del tipo UINT e STRING. Viene creata una variabile per il driver S7TCP e embed symbol viene attivata.

  • La variabile non viene creata in PLC marker, ma come Ext. Datablock, in cui sono presenti tutti gli elementi di struttura.
  • Viene aggiunto un nuovo tipo LINT; esso non viene supportato da Ext. Datablock.
  • Quando si crea una nuova variabile, essa viene impostata come tipo PLC marker. Può essere attivata solamente la prima variabile complessa (UINT). Nel caso della variabile strutturata esistente, il tipo di oggetto rimana Ext. Datablock e l´ultimo elemento di struttura (LINT) non può essere attivato.

Compilazione dei file

Se un progetto di simulazione viene compilato nel workbench di zenon Logic, ciò comporta in zenon la creazione delle variabili e del file di programma nel runtime.
Nel compilare, nella cartella runtime \RT\FILES\zenon\custom\drivers viene generata una sottocartella con il nome del progetto di simulazione. In questa cartella viene poi depositato il file con il codice della simulazione in SIMULRT.COD.

Durante la compilazione, nella finestra di emissione viene visualizzata la seguente segnalazione:

SIMULRT.COD

E se si compila con C-Compiler, apparirà inoltre:

T5APP.DLL

attention Attenzione

Nel caso di Progetti multiutente, non si può creare nessun nuovo progetto di simulazione offline. Esso non può essere più cancellato.


Elimina progetto

Manuale -> Simulazione driver -> Simulazione - programmata -> Editor -> Elimina progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per cancellare un progetto di simulazione:

  1. cliccate all´interno del gruppo- Progetto di simulazione del driver in corrispondenza della proprietà Elimina sul pulsante su Clicca qui >
  2. cliccate su ok quando il sistema Vi richiede di confermare a fine di sicurezza
  3. il file ZIP contenente i file di progetto viene cancellato subito
  4. il workbench di zenon Logic viene chiuso

Tenete presente:

  • la cartella runtime per il progetto di simulazione, invece, viene conservata
  • la funzione Annulla non è disponibile per questa azione,
  • cliccando su Modifica si crea un nuovo progetto di simulazione
  • nel caso di Progetti multiutente:
    • si deve configurare il driver su Consenti modifiche per consentire la cancellazione del programma di simulazione
    • il progetto non viene visualizzato su altri client come cancellato finché non è stato sincronizzato;

      il tentativo di aprire un progetto cancellato prima della sincronizzazione (clic su Modifica) causa la creazione di un nuovo progetto di simulazione.

    • come nel caso di progetti Standalone, la cancellazione mediante il comando cancellare modifiche è irreversibile.

attention Attenzione

Il progetto di simulazione viene rimosso già al momento della cancellazione dalla banca dati locale e da quella del server. Non sarà possibile annullare questa operazione!

Nota: Anche la cancellazione del file ZIP con i file del driver porta all´eliminazione del progetto di simulazione. Condizione: il workbench di zenon Logic per questo driver non è aperto. Si sconsiglia di adottare questa procedura!


Engineering distribuito

Manuale -> Simulazione driver -> Simulazione - programmata -> Editor -> Engineering distribuito

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso di progetti multiutente, tutte le funzionanti workbench zenon Logic appartenenti al progetto vengono chiuse per la simulazione driver in corrispondenza di:

  • Riprendi modifiche per moduli, che per Permetti modifiche vengono completamente bloccati per altri utenti, come variabili, driver e tipi di dato.
  • Cancella modifiche:
    • non vengono creati nuovi progetti sul server
    • le modifiche vanno perse nel programma di simulazione
    • i file driver non presenti nella banca dati del server vengono cancellati anche nelle banche dati locali
  • Sincronizza:
    le modifiche realizzate localmente nel programma di simulazione vanno perdute.
  • Attualizza la versione locale:
    le modifiche realizzate localmente nel programma di simulazione vanno perdute.

attention Attenzione

Lo stato del file ZIP del progetto di simulazione non deve essere in alcun modo modificato extra (, Permetti modifiche, Rifiuta modifiche Stato Multiuser), per salvare operazioni corrette Riprendi modifiche e Permetti modifichedel driver!

Elimina progetto

Nel caso di Progetti multiutente

  • si deve configurare il driver su Consenti modifiche per far sì che il programma di simulazione possa essere cancellato.
  • il progetto non viene visualizzato su altri client come cancellato finché non è stato sincronizzato;
    • se tentate di aprire un progetto cancellato prima della sincronizzazione (clic su Modifica), sarà creato un nuovo progetto di simulazione.
  • come nel caso di progetti standalone, la cancellazione mediante il comando cancellare modifiche è irreversibile.

attention Attenzione

Un progetto di simulazione con lo stato rendere possibili le modifiche, nella modalità Offline non può essere cancellato.

per questa ragione un progetto di simulazione generato in un progetto multiutente offline non può essere più cancellato.


Cambia driver

Manuale -> Simulazione driver -> Simulazione - programmata -> Editor -> Cambia driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso di cambiamento di driver in zenon vale quanto segue:

  • Il progetto di simulazione rimane.
  • Tuttavia, tutte le porte vengono settate su 0. Per ottenere numeri di porta funzionanti, aprite il progetto nell´Editor. Il sistema provvederà automaticamente a inserire nuovi numeri di porta. Questi possono essere anche assegnati manualmente.

attention Attenzione

I driver che sono collegati ad un progetto zenon Logic tramite la soluzione integrata, non possono essere cambiati.


XML-Export/Import

Manuale -> Simulazione driver -> Simulazione - programmata -> Editor -> XML-Export/Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un progetto in modalità simulazione - programmata può essere esportato via XML. Non può essere importato però come nuovo progetto per un altro driver.

Workaround:

  1. Esportate i programmi zenon Logic.
  2. Importateli nel nuovo progetto per il nuovo driver.
  3. Sostituite le variabili mediante Cerca e Sostituisci.


Configurazione driver.

Manuale -> Simulazione driver -> Simulazione - programmata -> Configurazione driver.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando procedete alla configurazione del driver, sono a Vostra disposizione quattro modalità:

  • Hardware
  • Simulazione – conta
  • Simulazione statica
  • Simulazione - programmata

Selezionate la modalità Simulazione - programmata.

Noch in diesem Kapitel

Stato Variabile driver

Sincronizzazione ciclica


Stato Variabile driver

Manuale -> Simulazione driver -> Simulazione - programmata -> Configurazione driver. -> Stato Variabile driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo stato del runtime di zenon Logic viene visualizzato nella variabile driver SimulRTState su Offset 60. La variabile è numerica e non può essere scritta. Il valore fornisce informazioni sullo stato del runtime:

Bit | Significato | Descrizione
31 | senza applicazione | Runtime non ha caricato nessun programma; il programma è stato bloccato, oppure non è caricato nel runtime.
30 | non istanziato | Il runtime non è stato istanziato, per esempio perché non è stato possibile caricare DLL con il runtime, oppure perché non c`è abbastanza spazio di memoria, oppure perché DLL non è disponibile o lo è nella versione sbagliata.
18 | p-code available | p-Code è disponibile insieme a codice compilato; è possibile passare dall´uno all´altro.
17 | compiled code active | Il runtime è funzionante con code compilato (altrimenti: p-Code interpretato).
16 | compiled code available | compiled code di C-Compiler è disponibile.
15 | application is loaded | un´applicazione è presente, il runtime funziona.
14 | cant start - missing handlers | Mancano alcune funzioni "C".
13 | active breakpoints installed | E´stato settato dal debugger almeno un breakpoint.
12 | CT segment exists | L´applicazione è stata compilata con l´opzione "complex variables in separate segment".
11 | Riservato | (Interno, solo per il runtime.)
10 | sysinfo request is available | (Interno, solo per il runtime.)
9 | freeze event production | Binding non trasmette nessun evento.
8 | single cycle mode | (Interno, solo per il runtime e debugger)
7 | Riservato | (Interno, solo per il runtime.)
6 | locked variables | Perlomeno una variabile è bloccata.
5 | trigo functions are in degrees | Le funzioni trigonometriche vengono indicate in gradi.
4 | log message(s) in stack | (Interno, solo per il runtime.)
3 | application stopped between 2 progs | Il runtime é stato bloccato nell´effettuazione dell´operazione di debugging nel mezzo di due passaggi.
2 | application stopped on SFC breakpt | (Interno, solo per il runtime.)
1 | application stopped on error | Il runtime viene bloccato per errore grave. Necessario un nuovo start.
0 | application is running | TRUE = l´applicazione è nella modalità "run". FALSE = l´applicazione fa una pausa nella modalità "cycle to cycle".

info Informazioni su

La variabile driver SimulRTState con Offset 60 indica lo stato del runtime sul server. Ciò vale anche se viene visualizzata la variabile sul server in standby.


Sincronizzazione ciclica

Manuale -> Simulazione driver -> Simulazione - programmata -> Configurazione driver. -> Sincronizzazione ciclica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le simulazioni funzionano in rete sul server e sul Server-Standby in modo autonomo. Al momento dello start del Server-Standby si verifica una sincronizzazione con il server, ma:

  • se questa prima sincronizzazione viene rimandata in modo corrispondente alla scadenza pacchetti
  • delle piccole differenze portano a crescenti divergenze nell´esecuzione.

Anche lo stato delle variabili simulate varia. Per limitare l´entità di queste differenze, sfruttate la funzione Trasmetti Immagine di simulazione driver allo standby per la sincronizzazione dell´immagine di simulazione:

  • create una nuova funzione.
  • selezionate Trasmetti driver-immagine di simulazione allo standby

  • Si apre il dialogo per la selezione dei driver.

  • nella lista sono indicati tutti i driver collegati al processo (escluso simulatore) disponibili (cliccate sulla cima della colonne per cambiare il criterio secondo il quale i driver sono ordinati nella lista).
  • selezionate adesso quel driver che devono essere sincronizzati
  • per ogni richiamo della funzione sul Server-Standby viene richiesta un´immagine dal server per il driver selezionato.

Mediante attivazione ciclica, possono essere ridotte al minimo le differenze nello stato di simulazione attuale. Adattate la griglia dell´esecuzione alla quantità dei dati da sincronizzare, visto che questa operazione significa un carico per rete e computer.

La Esecuzione: della funzione è impostata in modo fisso a Server Standby e non può essere modificata. Essa si verifica solamente se:

  • il calcolatore è il Server-Standby
  • il server online è
  • il progetto è un progetto di rete
  • sono stati selezionati driver per la sincronizzazione

Per modificare la selezione del driver

  • cliccate nelle proprietà del driver sul gruppo Generale e sulla proprietà Parametri
  • Si apre il dialogo per la selezione dei driver.


zenon Logic Workbench

Manuale -> Simulazione driver -> Simulazione - programmata -> zenon Logic Workbench

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La Simulazione - programmata viene programmata nel workbench zenon Logic, che collabora in modo stretto con l´Editor di zenon. Per la simulazione (a differenza della soluzione integrata) vengono scambiate fra gli editor solamente le variabili di un driver.

Definizione delle variabili da scambiare

Al momento dell´avvio del workbench di zenon Logic, tutte le variabili del driver che non sono ancora esistenti in zenon Logic vengono impostate come variabili globali. Per queste ultime è sempre attiva automaticamente l´impostazione Rendere simbolo indipendente.

Visibilità

Se si definisce nel workbench una nuova variabile nell´area globale oppure ritentiva, essa è visibile solamente in zenon Logic. Per renderla visibile anche in zenon, deve essere attivata l´opzione Rendi indipendenti simboli. A partire da questo momento, la variabile viene attualizzata da entrambi gli editor.

Nel caso in cui si disattiva per la variabile l´opzione Rendere simbolo indipendente, la variabile viene cancellata nell´editor di zenon. Questo comportamento del sistema permette di definire in zenon Logic delle variabili globali e ritentive, che non sono visibili per zenon.

Per una variabile creata con il workbench di zenon Logic in zenon, il sistema prova l´assegnazione all´area SPSMERKER. Se però il zenon Drivernon supporta il tipo di dato configurato in essa, il sistema cerca la prima area dati che supporta questo tipo di dato. Se il sistema non trova nessun´area, la variabile non può essere impostata.

Una variabile è bloccata solamente se si ha un Progetto multiutente e quest´ultimo non possiede ancora lo stato Abilitare le modifiche.

Impostazioni di progetto

Alcune impostazioni sotto Progetto -> Parametri-progetto.... -> Altre opzioni -> Estese in zenon Logic hanno influenza sulla funzionalità della simulazione.

Impostazioni Estese

Descrizione

Runtime: Modalità di esecuzione

Raccomandazione:

Modalità: con trigger

Tempo di ciclo: da 1/4 a 1/3 del tempo necessario all´attualizzazione del driver
Delle modifiche di valore troppo frequenti di variabili simulate portano a sottoporre il computer ad un carico elevato

Compiler/Opzioni: Rendere indipendenti simboli di tutte le variabili

Raccomandazione: disattivare.
Attiva: i dati per una variabile vengono scambiati visto che l´assegnazione avviene nel runtime mediate i nomi simbolo.

Ma: le modifiche alla progettazione delle variabili non vengono attualizzate fra zenon e zenon Logic. non è più possibile l´online change.

Compiler/Opzioni: mantenere la scrittura in lettere maiuscole/minuscole dei simboli.

Senza conseguenza: nel runtime, i nomi variabili vengono sempre convertiti nella scrittura in lettere maiuscole.

Compiler/Opzioni: impostare bit di stato per variabili con profilo.

Attivo: Nel programma di simulazione lo stato delle variabili viene simulato o il sistema reagisce ad esso.

„C" Compiler

Nativer Code viene supportato.

Nome del DLL che deve contenere il codice compilato: t5app.dll.


Runtime

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Funzionalità

Array e simulazione

File Runtime

Scambio dati

Formato dati

Ridondanza

Stato

Start/Stopp

Comandi driver

Assegnazione variabili

Data e ora


Funzionalità

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> Funzionalità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il runtime di zenon Logic mette a disposizione le seguenti funzionalità.

  • Trasferimento file
  • Tipi di dato:
    • BOOL
    • BYTE
    • DINT
    • DWORD
    • INT
    • LINT
    • LREAL
    • REAL
    • SINT
    • STRING
    • TIME
    • UDINT
    • UINT
    • USINT
    • WORD
  • Array di zenon (vedi anche Array e simulazione)
  • Dato relativo alla data/ dato ora
  • Registrazione valori digitale
  • Blocchi funzione collegati in modo dinamico, reperibili in t5block*.dll
  • Hot restart
  • Logging:
    • Segnalazioni Trace del programma (printf)
    • Segnalazioni errore del runtime
    • tutte su workbench e server di diagnosi
  • Codice macchina: Native compiled code con C-Postcompiler (non disponibile per Windows CE)
  • Online change
  • Linguaggi di programmazione: AWL, AS, FUP, KOP, ST
  • Dati Retain (dati ritentivi)
  • Blocchi funzioni e features speciali:
    • serializzazione dati
    • Occupazione di memoria dinamica
    • Ricette indipendenti
    • Lista variabile indipendente
    • File Management
    • Files
    • Mathe
    • Random
    • Segnali
    • Tabelle stringe
    • Trigonometria
    • Ora
  • Comunicazione spontanea:
    • Cambio valori come evento
    • 16 collegamenti
    • Isteresi
  • UDP & TCP/IP per linguaggi IEC
  • Variabili - Interblocco


Array e simulazione

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> Array e simulazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per simulare array multidimensionali nel contesto di una simulazione driver, dovete attivare nel workbench di zenon Logic la proprietà "Salva variabili complesse in segmento proprio".

Array con indice di partenza 1

Se, nell´ambito di una simulazione, ci sono degli array con indice di partenza 1, essi vengono impostati nel workbench di zenon Logic con un indice in più.

Example Esempio

Un array dispone in zenon degli indici da 1 a 4. Questo tipo di array ha, invece, nel workbench di zenon Logic gli indizi da 0 a 4.

In tal modo si assicura che in zenon e in zenon Logic vengano usati gli stessi indici. L´indice 0 non viene trasmesso al driver.

Se cambiate degli array nel workbench di zenon Logic, dovete tener presente questo ulteriore indice.


File Runtime

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> File Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento della creazione dei file runtime, viene generata nel Cartella Runtime del progetto nel percorso \RT\FILES\zenon\custom\drivers una sottocartella recante il nome del progetto di simulazione. In questa cartella viene depositato il file simulrt.cod con il codice della simulazione.

Nella caso che la compilazione nel workbench e la trasmissione nella cartella runtime abbiano avuto successo, nella finestra di emissione dell´editor apparirà la seguente segnalazione:

SIMULRT.COD

E se si compila con C-Compiler, apparirà inoltre:

T5APP.DLL

Trasporto remoto

I file runtime per la simulazione vengono generati come sottocartella dei file del driver. Nel caso del Trasporto Remoto, la sottocartella viene trasmessa con tutti i file in essa contenuti al computer di destinazione.


Scambio dati

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> Scambio dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo scambio dati provenienti dal Runtime di zenon Logic verso il driver inizia con il secondo ciclo del Runtime di zenon Logic. In tal modo, il primo ciclo è a disposizione per inizializzare tutte le variabili nel runtime.

Uno scambio ha luogo solamente se:

  • la variabile viene richiesta e:
    • non ha ancora ricevuto nessun valore.
    • nel driver non ha lo stato Spento (OFF/_VSB_N_UPD) oppure Valore di riserva (ALT_VAL/_VSB_AVALUE)
    • è ancora usato dal driver.
    • sono cambiati valore o stato.

Lo scambio dati in direzione del driver avviene in modo asincrono rispetto al ciclo del runtime. Il driver passa in rassegna le modifiche dei valori una volta per ciclo di update. Tutti i valori modificati - fatta eccezione per quelli con lo stato Spento (OFF/_VSB_N_UPD) oppure valore di riserva (ALT_VAL/_VSB_AVALUE) - vengono inseriti nella lista delle variabili da attualizzare nel driver e vengono registrati durante il runtime.

Funzione Simulazione immagine di processo del driver trasferita allo Standby

Questa funzione viene eseguita solo sul server di standby (per la configurazione vedi capitolo Allineamento ciclico). I dati vengono estratti in modo sincrono dal driver e trasferiti sul server che compila l´immagine. Il driver ha 5 secondi a disposizione per questa operazione. Visto che i dati per l´immagine sono creati nello stesso thread in cui è eseguita la simulazione, si deve garantire che la simulazione stessa venga espletata nel giro di 5 secondi. Se si supera questo intervallo di tempo, non viene trasmessa nessuna immagine per questo driver.

Simulazione valore

Le modifiche di valore non vengono trasmesse subito, ma sono depositati un un buffer. La grandezza del buffer è pari a 8192 modifiche valore, oppure al quintuplo del numero delle variabili, a seconda di quale valore è più grande. Il ritardo della trasmissione a causa del ciclo del driver può essere di al massimo 100 ms. Se cambia di nuovo il valore di una variabile mentre essa attende di essere trasmessa, tutti i valori non ancora trasmessi durante il runtime vengono depositati subito; solo dopo si prende nota dei nuovi valori. Ciò può provocare un carico più elevato per computer e rete, ma, nel contempo, è garanzia del fatto che tutti i valori vengano trasmessi durante il runtime.

Driver Comando di scrittura

Se è stata configurata Simulazione - programmata ed essa è attiva, i comandi di scrittura sullo standby vengono passati fino al runtime.

Le operazioni di scrittura vengono eseguite dal driver in modo asincrono rispetto al runtime. Lo scambio dati ha luogo tramite un buffer. La dimensione del buffer è pari a 8192 modifiche valore, oppure al quintuplo del numero delle variabili, a seconda di quale valore è più grande.

I comandi di scrittura vengono passati attraverso il runtime dopo le modifiche di valore. Se un comando di scrittura non può essere eseguito in modo corretto, viene visualizzata la segnalazione di errore Write queue full! Write command for <DP-Name> lost!.

Se i bit di stato sono attivi, lo stato Scrittura avvenuta con successo indica che il driver è riuscito a scrivere il valore sulla variabile. Il programma Runtime dovrebbe cancellare questo stato dopo aver elaborato il comando di scrittura. Un bit di stato già attivo non ritarda una nuova operazione di scrittura del driver. I comandi di scrittura vengono eseguiti anche quando il programma Runtime è stato interrotto da un punto di interruzione (breakpoint).

Nota: non tutti i comandi di scrittura del driver devono essere visibili nel runtime. Se per una stessa variabile ci sono nel buffer più comandi di scrittura, è visibile nel programma runtime solamente l´ultimo.

Disattiva variabile, passa a valore sostitutivo.

Se la variabile viene disattivata, oppure se si passa al valore sostitutivo, ciò non è rilevabile per il runtime. Modifiche di valore effettuate con il runtime, non vengono assegnate alle variabili nel driver. Se la variabile passa di nuovo al valore spontaneo oppure viene attivata, anche il valore attuale proveniente dal runtime viene di nuovo trasmesso al driver. Alla disattivazione del valore spontaneo, viene settato il bit di stato OFF; quando si ritorna al valore spontaneo, viene resettato il bit OFF.


Formato dati

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> Formato dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dati ritentivi

Dati ritentivi vengono depositati nel file SimulRt<TreiberID>.ret. Per ogni simulazione viene generato un file del genere, sempre che siano presenti delle variabili ritentive. Si tiene conto di questo file al momento del confronto in rete.

Driver ritentivo

L´impostazione Simulazione - programmata all´avvio del driver non è un criterio per restaurare l´immagine variabile ritentivamanente.


Ridondanza

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> Ridondanza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Start sul Server-Standby

Se il driver è già attivo sul Server-Standby, dovrebbe essere disponibile anche l´immagine per la simulazione. In questo caso, la simulazione viene avviata "hot" con quest´immagine. In caso di mancanza dell´immagine si verifica un warm start.

Funzione Simulazione immagine di processo del driver trasferita allo Standby

Questa funzione viene eseguita solo sul server di standby (per la configurazione vedi capitolo Allineamento ciclico). I dati vengono estratti in modo sincrono dal driver e trasferiti sul server che compila l´immagine. Il driver ha 5 secondi a disposizione per questa operazione. Visto che i dati per l´immagine sono creati nello stesso thread in cui è eseguita la simulazione, si deve garantire che la simulazione stessa venga espletata nel giro di 5 secondi. Se si supera questo intervallo di tempo, non viene trasmessa nessuna immagine per questo driver.

Allineamento

Oltre ai file di programma della simulazione, vengono sincronizzati anche:

  • dati ritentivi (*.ret)
  • tutti i file *.simul
    Questa parte finale del nome file viene generata dal programma di simulazione per file specifici della simulazione stessa e collocata nella cartella con la denominazione computer sotto a Cartella Runtime.


Stato

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> Stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Simulazione stato

Per quello che concerne la simulazione di stato, in zenon Logic alla voceProgetto -> Parametro di progetto -> Estese -> Compiler -> Opzioni -> deve essere attivo Imposta bit di stato per variabil con profilo. Nel caso in cui lo stato di una variabile venga modificato, si verifica la trasmissione della variabile al driver.

La modifica al seguente stato non causa un aggiornamento del valore nel driver e non viene neanche ripresa dalla simulazione:

  • External Real-Time (T_EXTERN/_VSB_RT_E)
  • Internal Real-Time (T_INTERN/_VSB_RT_I)
  • Ora solare (T_STD/_VSB_WINTER)
  • Conferma scrittura (WR_ACK/_VSB_WR_ACK)
  • Scrittura avvenuta con successo (WR_SUC/_VSB_WR_SUC)
  • Stato normale (NORM/_VSB_NORM)
  • Normal deviation (N_NORM/_VSB_ABNORM)
  • Seleziona nella rete (NET_SEL/_VSB_SELEC)
  • Runtime exceeded (TIMEOUT/_VSB_RTE)
  • In costruzione (PROGRESS/_VSB_DIREC)
  • Spento (OFF/_VSB_N_UPD)
  • Valore di riserva (ALT_VAL/_VSB_AVALUE)

info Informazioni su

Il bit di stato Scrittura avvenuta con successo (WR_SUC/_VSB_WR_SUC) è disponibile nel programma Runtime può essere resettato per visualizzare la scrittura avvenuta con successo.

Tuttavia, il reset non causa di per sé la trasmissione dal Runtime di zenon. Solo i cambiamenti di valore vengono inviati dal driver al Runtime.

Bit di stato trattati in modo particolare

I seguenti bit di stato si escludono a vicenda:

Bit

Descrizione

17: Spontaneo-
(SPONT/_VSB_SPONT)

Viene settato lo stato SPONTAN. Lo stato settato è lo stesso anche se il trattamento di stato è disattivato, oppure non è stato definito alcuno stato. Lo stato GI + INVALID viene cancellato.

18: Non valido-
(INVALID/_VSB_I_BIT)

Viene settato lo stato INVALID . Lo stato SPONTAN + GI viene cancellato.

16: General Interrogation
(GI/_VSB_GR)

Viene settato lo stato General Interrogation . Lo stato SPONTAN + INVALID viene cancellato.

8: Seleziona nella rete
(NET_SEL/_VSB_SELEC)

Se questo bit di stato è attivo (BSO attivazione/disattivazione), per il riconoscimento di una modifica i seguenti bit di stato devono essere pari a 0 e devono essere trasmessi come 0 al driver:

  • Seleziona nella rete (NET_SEL)
  • Causa di trasmissione (COTx)
  • Select (SE_870)
  • N_CONF (P/N-BIT)
  • Test-BIT (TEST)
  • Scrittura avvenuta con successo (WR_SUC)

Select before operate (SBO)

Perché il sistema reagisca a Seleziona prima di operare, nel programma runtime deve essere disponibile la simulazione di stato. La procedura per Seleziona prima di operare viene fissata nel programma runtime.

Attivazione

Se viene inviato al driver un SBO select, ciò provoca per il runtime una scrittura di valore con lo stato Seleziona nella rete (NET_SEL) + Causa di trasferimento (COT_act).

Nel programma Runtime deve essere implementata una corrispondente procedura SBO che verrà avviata.

Il bit di stato Seleziona nella rete (NET_SEL) deve essere resettato nel programma Runtime.

Disattivazione

La disattivazione causa una scrittura di valore con lo stato Seleziona nella rete (NET_SEL) + Causa di trasferimento (COT_deact).

Nel programma runtime deve essere terminata la procedura SBO.

Il bit di stato Seleziona nella rete (NET_SEL) deve essere resettato nel programma Runtime.


Start/Stopp

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> Start/Stopp

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Partenza driver

L´aggiornamento dei valori inizia sul Server-Standby se il driver ha ricevuto dal suo server l'immagine di processo. L´immagine deve giungere prima della scadenza del timeout del modulo, altrimenti il driver si avvia senza di essa. Se il Server-Standby passa ad essere server prima della scadenza del tempo di attesa, l´attesa stessa termina. I driver che si avviano in un progetto server oppure senza rete, non hanno tempo di attesa. Questo comportamento si verifica sia nel caso di una simulazione che nella modalità hardware.

Lanciare runtime

Se il driver lancia la Simulazione - programmata, in un primo passo il sistema carica la DLL con il runtime di simulazione. In seguito viene parametrizzato il runtime e il programma runtime si avvia, sempre che sia stato possibile caricarlo con successo.

Se è disponibile un´immagine del runtime, quest´ultimo viene avviato con essa Hot. Altrimenti il sistema esegue un Warm start. Se anche quest´ultimo non risulta possibile, si cerca di lanciare il runtime in modalità Cold Start. Nel caso in cui non sia disponibile alcun programma valido, il runtime si avvia "fermato". Lo stato di tutte le variabili viene settato su INVALID.

Il programma di simulazione funziona in un proprio thread e, perciò, è completamente indipendente dal ciclo driver.

info Informazioni su

Variabili ritentive

I dati ritentivi contengono solamente il valore delle variabili di zenon Logic, non il loro stato. Per lo start ciò significa quanto segue:

  • Warm start Lo stato settato per una variabile viene ripristinato - indipendentemente dal fatto se si tratta di una variabile ritentiva o no.
  • Cold start con variabili ritentive: solo il valore della variabile ritentiva in zenon Logic viene ripristinato, non lo stato.

Arresta runtime

Se il runtime viene fermato, viene settato per tutte le variabili lo stato INVALID. Le variabili che vengono richieste mentre il runtime è bloccato, ricevono come inizializzazione lo stato INVALID. Il runtime salva tutti i dati per il warm start e l´online change:

  • SIMULRT.HOT: contiene i dati per il riavvio hot.
  • SIMULRT.UPD: contiene i dati per l´online change.

Questi due file vengono generati nella cartella del programma runtime. Il runtime deve possedere un´autorizzazione di scrittura relativa a questa cartella.

Aggiorna progetto Runtime

  • Nuova compilazione di un progetto di simulazione:
    fa sì che il driver corrispondente venga caricato di nuovo.
  • Modifica del timeout di modulo:
    il runtime non la riconosce come modifica e non determina il fatto che il driver venga caricato un´altra volta.

L´implementazione standard nel kit driver provoca un hot start del runtime nel momento in cui il progetto di simulazione viene aggiornato. Se ciò non risulta possibile (per esempio perché il programma è diverso), viene eseguito un cold start con retain.

Scarico del runtime

Se il runtime è aperto, esso viene arrestato. Prima di scaricare il runtime, il sistema trasmette tutti gli aggiornamenti di valori in attesa al driver. Solo in seguito il runtime viene reso disponibile e si scarica SimulRuntime.dll sul PC.


Comandi driver

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> Comandi driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I comandi driver servono a influenzare i driver tramite zenon, per esempio avviarli e chiuderli.
La progettazione avviene attraverso la funzione Comandi driver.

Arresta/avvia driver

Se il driver viene terminato nella modalità Simulazione - programmata, ne consegue la chiusura del runtime. Tutte le variabili ricevono lo stato INVALID. Se so riavvia il driver, la simulazione viene ricaricata e il runtime viene avviato.

Driver Passaggio Hardware/Simulazione

Nel cambio fra le modalità Hardware e Simulazione, il driver si comporta secondo il seguente schema:

  1. se il driver è stato configurato nell´Editor per la modalità hardware:
    • dopo l´esecuzione della funzione comando driver con il parametro Driver in modalità simulazione il driver viene portato nella modalità simulazione - statica.
  2. Se il driver è stato configurato nell´Editor per una delle modalità di simulazione (statica, conta, programmata):
    • dopo l´esecuzione della funzione comando driver con il parametro Driver in modalità hardware il driver viene portato nella modalità hardware e comunica con il controllo.
    • il driver ritorna dopo l´esecuzione della funzione comando driver con il parametro Driver in modalità simulazione alla modalità di simulazione configurata.


Assegnazione variabili

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> Assegnazione variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´assegnazione del driver di zenon alle variabili di zenon Logic avviene mediante il nome convertito in lettere maiuscole. Se il runtime di zenon richiede una variabile dal driver, quest´ultimo la inoltra alla simulazione. Se non è caricata nessuna simulazione, la variabile riceve lo stato spento ( OFF/VSB_N_UPD) quando il driver è arrestato. Altrimenti quello non valido (INVALID/_VSB_I_BIT). Le variabili del tipo oggetto-driver Variabile del driver non vengono mai richieste dalla simulazione.


Data e ora

Manuale -> Simulazione driver -> Simulazione - programmata -> Runtime -> Data e ora

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare il time stamp, deve essere attivo in zenon Logic l´inserimento Progetto -> Parametri progetto -> Estesi -> Compilatore -> Opzioni -> Imposta bit di stato per variabili con profilo

Se nel programma runtime viene settata la data per una variabile, il valore di data e tempo viene usato come time stamp. Ogni volta che cambia la data o l´ora di una variabile durante l´ultimo ciclo, questa modifica attiva sempre una trasmissione dei valori al driver. Ciò vale anche nel caso in cui non siano cambiati né valore né stato.

La maggior parte dei driver trasmettono un nuovo time stamp al runtime solo quando cambiano contemporaneamente anche valore e/o stato. Un´eccezione, però, è rappresentata, per esempio, dai driver IEC870, che trasmettono nuovi time stamps al runtime dall´hardware (oppure Simulazione - programmata) con lo stesso valore o lo stesso stato.

info Informazioni su

Si deve far in modo che sia garantito il fatto che data e ora progrediscano. Se ciò non si verifica, si avranno dei problemi di archiviazione. La data deve avere un valore maggiore/minore a 0.

Alle variabili che hanno ricevuto uno stamp dal programma runtime viene attribuito lo stato Tempo reale esterno (T_EXTERN/_VSB_RT_E).

Tutte le variabili trasmesse al driver che non hanno ricevuto uno stamp dal runtime, ottengono durante il ciclo un time stamp comune. In tal modo si assicura che il tempo corrisponda a quello della modifica. Questi driver ottengono lo stato Tempo reale interno (T_INTERN/_VSB_RT_I).

Data & tempo

Per tutte le informazioni concernenti data e tempo vale quanto segue:

  • i tempi corrispondono a UTC.
  • Tutti i tempo devono essere compresi fra 02. 01. 1970 e 2038.
  • La conversione della data in una stringa avviene nel formato YYYY/MM/DD.
  • Il tempo viene convertito nel formato HH:MM:SS.


Indicazioni sulle variabili in progetti di simulazione

Manuale -> Simulazione driver -> Simulazione - programmata -> Indicazioni sulle variabili in progetti di simulazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si vogliono creare e modificare delle variabili in progetti di simulazione, vale quanto segue:

  1. zenon Logic

    Se le variabili per un progetto di simulazione vengono create nel workbench di zenon Logic, esse non dispongono ancora di un indirizzamento valido per la comunicazione. Se si passa alla comunicazione hardware, essa può essere interrotta se le nuove variabili vengono usate in immagini senza un indirizzamento adeguato in modo corretto.

  2. Rinomina

    Se una variabile di un progetto di simulazione viene rinominata, cambia in modo corrispondente anche il nome della variabile in zenon. Così, ad esempio, i nomi delle variabili che vengono usate in un progetto VBA, devono essere adeguate anche nel codice VBA.

  3. Soluzioni integrata

    Variabili di soluzioni integrate come zenon Logic, IEC 870 oppure IEC 850, non possono essere rinominate nel progetto di simulazione. In questo caso, la variabili perdono le loro informazioni di progetto.
    Ad esempio: se nel progetto di simulazione Project0/Global/NewVar viene rinominata in myNeVariablenwVar, essa diviene in zenon myNewVar. Dopo la ridenominazione, la comunicazione con il runtime di zenon Logic è impossibile.

  4. La comunicazione si basa sul nome variabile

    Le variabili di un driver che comunica sulla base di nomi variabili, non possono essere rinominate nel progetto di simulazione.

  5. Cancella o importa variabili

    Quando si cancella o importa una variabile quando in zenon Logic è attivo online change, tutte le variabili vengono rimosse e poi inserite di nuovo in zenon Logic.

  6. Variabili con simbolo "embed" attivo

    Le variabili esistenti in un programma e il cui simbolo "embed" è stato attivato, non sono disponibili tramiteLogic zu SCADA in zenon. Se una variabile con simbolo"embed" attivo viene spostata dall´area globale in un programma, essa viene cancellata in zenon.


Segnalazioni d'errore

Manuale -> Simulazione driver -> Simulazione - programmata -> Segnalazioni d'errore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le segnalazioni di errore nell´Editor di zenon:

Messaggio di errore

Causa e soluzione

Il nome selezionato è già utilizzato da un altro driver o contiene caratteri non validi. Selezionare un altro nome.

Il nuovo nome del progetto di simulazione viene usato già nel progetto oppure non è valido.

  • Assegnate un nome valido.

Il progetto di simulazione del driver <Nome file>/<Denominazione> non è compilato e perciò non può essere usato! Compilare il progetto nel Workbench.

Per il driver in questione c`è un progetto di simulazione. Esso, però, non è stato compilato.

  • Avviate il workbench di zenon Logic con il progetto di simulazione di questo driver.
  • Compilate il progetto

Suggerimento: Non fa alcuna differenza se nelle impostazioni driver la simulazione è settata su Simulazione - programmata.

Write queue full! Write command for <Name Variable> lost!

Indica la perdita di un comando di scrittura.


Simulazione progetto

Manuale -> Simulazione progetto

Con l'aiuto della simulazione di progetto avete la possibilità di passare dalla modalità di simulazione a quella hardware. Nella modalità di simulazione potete simulare dei processi al fine di testarli. In questa modalità vengono eseguite operazioni di commutazione, generate delle ricette, settati valori limite ecc; tutto ciò avviene senza che queste operazioni vengano inviate al livello del processo (per esempio ad un PLC).

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.

Tutti i progetti devono disporre di una licenza. Per i progetti standalone è necessario disporre di una licenza per il client. Per i progetti server, la licenza deve essere disponibile sul Server-Standby, oppure localmente.

Se si cambia la licenza sul server, i client devono essere riavviati perché la licenza venga applicata.

Modalità simulazione

In modalità di simulazione:

  • tutti in driver vengono avviati nella modalità simulazione driver - programmato.
  • Non viene salvato nessun dato esternamente:
    • Non viene eseguito l´export SQL
    • Non vengono generati inserimenti per la banca dati IPA
    • Gli inserimenti IPA già esistenti non possono essere cancellati, modificati, né si può scrivere un commento.
  • I dati PFS sui turni non vengono salvati nella banca dati
    (Il salvataggio di questi dati sarà effettuato non appena il Runtime sarà avviato in modalità hardware.)

info Informazioni su

La simulazione di progetto non è disponibile per i client sul Terminal Server.

Modulo "Sequenze di comando"

La simulazione di progetto è già inclusa nel modulo Sequenze di comando, per usufruire del quale è necessario disporre di una licenza.

Noch in diesem Kapitel

Generale

Variabile del driver di sistema - Stato Runtime (simulazione)

Script

Particolarità della modalità di simulazione.

Traduzione online

Immagini di simulazione

File nell´immagine di simulazione

Runtime Parametri della riga di comando

Limitazioni


Generale

Manuale -> Simulazione progetto -> Generale

Potete passare al progetto di simulazione solamente se tutti i progetti nel Runtime sono progetti standalone o progetti client. La modalità di simulazione "separa" il calcolatore o il Runtime dalla rete. Inoltre tutti i driver vengono avviati nella modalità simulazione driver - programmata. Per questo motivo, nessun driver ha più una connessione di processo.

Dopo il passaggio alla modalità di simulazione, il Runtime viene riavviato e si comporta come se tutti i progetti fossero configurati come progetti standalone.

Noch in diesem Kapitel

Passaggio alla modalità di simulazione

Passaggio alla modalità hardware

Creare l'immagine di simulazione

Funzione "Attiva/Disattiva progetto di simulazione"


Passaggio alla modalità di simulazione

Manuale -> Simulazione progetto -> Generale -> Passaggio alla modalità di simulazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando passate alla modalità di simulazione, vengono eseguiti i seguenti passaggi:

  1. Richiamate la funzione che serve a passare alla modalità di simulazione.
  2. Il sistema controlla se tutti i progetti possono passare nella modalità di simulazione, oppure se si trovano già in questa modalità.
  3. Vengono eseguiti i passaggi dell'azione Crea immagine di simulazione.
  4. Per ogni progetto viene generato un inserimento nella Lista eventi cronologica che prende nota del passaggio alla modalità di simulazione.
  5. Si chiude il Runtime e si avvia lo zenProcess con ulteriore parametrizzazione.
  6. zenProcess attende che il Runtime si chiuda e lo avvia poi nella modalità di simulazione.
  7. Il Runtime riconosce il parametro della riga di comando e avvia tutti i progetti come progetti standalone.
  8. La cartella dei dati Runtime è adesso quella della simulazione. La cartella dati Runtime della modalità hardware non viene modificata
  9. I progetti vengono lanciati. I driver si avviano nella modalità "simulazione driver - programmata" e vengono caricati con l´immagine variabile della cartella di simulazione. Le variabili locali ricevono i valori dall´immagine locale. L´immagine della variabile viene applicata alla simulazione programmata. Se, nel corso della simulazione driver programmata, la variabile cambia subito nel primo ciclo di un programma, essa ha nel Runtime di zenon come primo valore non quello originale (come nel Runtime con connessione hardware), ma quello che è stato modificato nella simulazione.
  10. Viene caricata l'immagine di processo per i driver interni.
  11. Per ogni progetto viene generato un inserimento nella rispettiva Lista eventi cronologica che prende nota del passaggio alla modalità di simulazione.
  12. La variabile del driver di sistema riceve il valore per la modalità di simulazione.

Questi passaggi vengono eseguiti per tutti i progetti nel Runtime, a meno che non abbiate stabilito altrimenti in modo esplicito.


Passaggio alla modalità hardware

Manuale -> Simulazione progetto -> Generale -> Passaggio alla modalità hardware

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La modalità hardware è disponibile ogni qualvolta viene avviato il Runtime, anche se non si è passati dalla modalità di simulazione a quella hardware. Vengono eseguiti i seguenti passaggi:

  1. Richiamate la funzione che serve a passare alla modalità hardware.
  2. L´immagine dei driver (driver di processo e driver interno) e quella della simulazione di zenon Logic vengono salvate.
  3. Si chiude il Runtime e si avvia zenProcess con ulteriore parametrizzazione.
  4. zenProcess attende che il Runtime si chiuda e poi lo lancia con i parametri di avvio per la connessione di processo.
  5. Il Runtime si avvia e carica i progetti e i dati Runtime - dal server,. se necessario.
  6. I driver vengono inizializzati con i dati delle variabili locali prima della simulazione.
  7. Se necessario, l´immagine della simulazione viene trasferita al server. Potete attivare questa opzione con una corrispondente configurazione della riga di comando.


Creare l'immagine di simulazione

Manuale -> Simulazione progetto -> Generale -> Creare l'immagine di simulazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tutti i file e le variabili modificabili dal Runtime vengono riassunti nell´immagine di simulazione. Quando create un´immagine di simulazione, vengono eseguiti i seguenti passaggi:

  1. Tutte le variabili di tutti i progetti vengono richieste dal sistema per rifornirle dei dati attuali.
  2. Nell´immagine di simulazione locale (a seconda della modalità selezionata) vengono cancellati i dati non necessari (Eccezione: Con l'immagine di processo esistente):
    1. Inizializza con l'immagine di processo e dati Runtime (senza dati d'archivio): la cartella di simulazione locale viene cancellata completamente.
    2. Inizializza con l'immagine di processo e dati Runtime (con dati d'archivio): Vengono cancellati tutti i file d'archivio (*.ARX e *.ARS) nella cartella di simulazione locale.
  3. A seconda di quali impostazioni avete configurato per la funzione Simulazione on/off, il sistema va a prendere da tutti i progetti i dati progetti, i dati Runtime e i dati variabili corrispondenti. Per l'AML, la CEL e le HDD, viene salvato lo stato attuale, localmente per un progetto standalone, sul server per un progetto server (Eccezione: Con l'immagine di processo esistente):
  4. I file di progetto modificabili nel Runtime (per es. quelli per il PFS, gli utenti ecc.) saranno copiati dall´immagine di simulazione sul file corrispondente nella cartella di progetto (Eccezione: Con l'immagine di processo esistente):
  5. Il sistema attende finché tutte le variabili non hanno ricevuto un valore. La barra di avanzamento mostra il nome delle variabili per cui si attendono i valori. La visualizzazione è limitata a 60 caratteri e non mostra il valore corrispondente. Il tempo di attesa non è limitato.
    Nota: se nella funzione Attiva/disattiva progetto di simulazione è stata disattivata l´opzione Attendi per tutte le variabili, il tempo di attesa sarà quello configurato in Massimo tempo di attesa. Se il valore di Massimo tempo di attesa è pari a 0 , non verrà visualizzata nessuna barra di avanzamento.
  6. Viene creata un´immagine di variabile di tutti i driver e i driver interni salvano i loro dati. Queste immagini vengono copiate nella cartella del calcolatore. Se create l´immagine nella simulazione, essa contiene anche quella della simulazione driver programmata.
  7. Nuova trasferimento dei file modificati come da punto 3 a punto 6.
  8. L´immagine variabile viene confrontata con la cartella di simulazione locale.
  9. L´immagine delle variabili locali viene salvata, a meno che venga creata un´immagine nella simulazione.

Questi passaggi vengono eseguiti per tutti i progetti nel Runtime, a meno che non abbiate stabilito altrimenti in modo esplicito.


Funzione "Attiva/Disattiva progetto di simulazione"

Manuale -> Simulazione progetto -> Generale -> Funzione "Attiva/Disattiva progetto di simulazione"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la funzione Simulazione on/off passate dalla modalità di simulazione a quella hardware.

Le due modalità possono essere avviate con diversi presupposti. Essi verranno illustrati nei prossimi capitoli:

  • Modalità di attivazione simulazione:
    • Con l'immagine di processo
    • Inizializza con l'immagine di processo e dati Runtime (senza dati d'archivio)
    • Inizializza con l'immagine di processo e dati Runtime (con dati d'archivio)
    • Con l'immagine di processo esistente
  • Attivazione modalità Hardware
    • Attivazione connessione al processo
    • Attivazione connessione al processo e acquisizione Simulazione di processo dal Server
  • Crea/trasmetti immagine di simulazione
    • Creazione simulazione di processo (RT in modalità simulata). Acquisizione simulazione di processo dal Server (RT in modalità hardware)

Inoltre, le seguenti opzioni generali sono a disposizione:

Parametri

Descrizione

Nome simulazione di processo (nome PC, se vuoto).

Digitate qui il nome desiderato per la simulazione di processo.

Nota: viene salvato solamente il nome della cartella.

Se non inserite in modo esplicito un nome, viene usato quello del computer.

Attendi per tutte le variabili

Togliete il segno di spunta a questo checkbox anche se volete poi passare alla modalità di simulazione, se non tutte le variabili hanno un valore o sono "invalid" (sconsigliato!).

La checkbox non è attiva se l'opzione Attivazione connessione al processo è attiva (Attivazione modalità Hardware).

Default: attivo

Massimo tempo di attesa [s]

Inserite in questa sede il tempo massimo di attesa per il passaggio a valori validi delle variabili.

Perciò un passaggio alla modalità simulazione è possibile anche quando non tutte le variabili hanno un valore, oppure non sono "invalid".

Se questo timeout è stato attivato, il tempo di attesa impostato viene visualizzato nel Runtime nel titolo della finestra di dialogo di stato Essa mostra lo scorrere del tempo. Le variabili mancanti vengono sempre visualizzate. Quando il tempo è trascorso, si passa alla simulazione nonostante eventuali variabili mancanti.

Se il Massimo tempo di attesa è stato impostato su 0 secondi, non verrà visualizzata la finestra di dialogo stato

Default: 30 secondi
Intervallo di input: 0 - 3600

Nota: quest'opzione è attiva solo se è stato tolto il segno di spunta alla checkbox Attendi per tutte le variabili .

Visualizza errori durante il Runtime

Spuntate questa checkbox se volete ricevere un messaggio di errore nel Runtime quando la funzione non è stata eseguita correttamente.

Proponi dialogo a Runtime

Attivate questa checkbox se volete che la finestra di dialogo venga visualizzata anche nel Runtime.

Nota: le impostazioni di scelta della modalità sono bloccate nel Runtime. Se avete selezionato Attivazione connessione al processo, viene inibita anche la possibilità di inserire un nome per la simulazione di processo.

info Informazioni su

Se nel Runtime un progetto si trova, per esempio, nella fase di reload, oppure se esso deve essere aggiornato, oppure in VBA è aperto un dialogo, la funzione Simulazione on/off non viene eseguita immediatamente. La funzione viene eseguita automaticamente non appena non sussiste più nessuna ragione di ritardo.

Se la modalità non è Attivazione connessione al processo e la checkbox "Attendi per tutte le variabili " non è attiva, il testo parametro viene integrato con l´aggiunta di {Tempo di attesa xxx secondi}.

Diagnosis Viewer

Se ci sono ancora una o più variabili senza valore(i) dopo il timeout, il sistema provvede a generare un inserimento LOG per ogni connessione nel Diagnosis Viewer . Nel testo generale si legge la frase "simulation image has variables with missing values!", seguita da una lista di tutte le variabili sprovviste di un valore valido.

Note sulla compatibilità:

L´intera funzionalità Attendi per le variabili è stata resa accessibile dopo zenon 7.10 e 7.00. È possibile anche creare file Runtime per versioni precedenti. Nelle versioni precedenti, però, la nuova funzionalità Attendi per le variabili non è disponile.

Noch in diesem Kapitel

Con l'immagine di processo

Inizializza con l'immagine di processo e dati Runtime (senza dati d'archivio)

Inizializza con l'immagine di processo e dati Runtime (con dati d'archivio)

Con l'immagine di processo esistente

Attivazione connessione al processo

Attivazione connessione al processo e acquisizione Simulazione di processo dal Server

Creazione simulazione di processo (RT in modalità simulata). Acquisizione di simulazione dal server (RT in modalità hardware)


Con l'immagine di processo

Manuale -> Simulazione progetto -> Generale -> Funzione "Attiva/Disattiva progetto di simulazione" -> Con l'immagine di processo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo caso, viene creata un´immagine di tutte le variabili locali e vengono salvati tutti i dati di progetto modificabili nel Runtime. Poi viene riavviato il Runtime nella modalità di simulazione.

Questa funzione viene eseguita solamente se il progetto non si trova già nella modalità di simulazione.

info Informazioni su

Tutti i dati esistenti nell´immagine vengono cancellati. Per l´inizializzazione vengono presi in considerazione solamente i valori attuali delle variabili.


Inizializza con l'immagine di processo e dati Runtime (senza dati d'archivio)

Manuale -> Simulazione progetto -> Generale -> Funzione "Attiva/Disattiva progetto di simulazione" -> Inizializza con l'immagine di processo e dati Runtime (senza dati d'archivio)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo caso, viene creata un´immagine di tutte le variabili locali e di tutti i file della cartella del calcolatore (eccezione: dati di archivio) e vengono salvati i dati di progetto modificabili nel Runtime. Poi viene riavviato il Runtime nella modalità di simulazione.

info Informazioni su

Tutti i dati esistenti nell´immagine vengono cancellati. Per l´inizializzazione vengono presi in considerazione solamente i valori attuali delle variabili.

info Informazioni su

Assicuratevi che tutti gli allarmi storici e i file CEL vengano copiati. Questa procedura può durare un po´di tempo (dipende dalla dimensione dei file in questione).


Inizializza con l'immagine di processo e dati Runtime (con dati d'archivio)

Manuale -> Simulazione progetto -> Generale -> Funzione "Attiva/Disattiva progetto di simulazione" -> Inizializza con l'immagine di processo e dati Runtime (con dati d'archivio)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo caso, viene creata un´immagine di tutte le variabili locali e di tutti i file della cartella del calcolatore - i dati di archivio eventualmente presenti localmente nell´immagine non vengono cancellati - e vengono salvati i dati di progetto modificabili nel Runtime. Poi viene riavviato il Runtime nella modalità di simulazione.

info Info

Tutti i dati esistenti nell´immagine vengono cancellati. Per l´inizializzazione vengono presi in considerazione solamente i valori attuali delle variabili.

info Info

Assicuratevi che tutti gli allarmi storici, i file CEL e i dati di archivio vengano copiati. Questa procedura può durare un po´di tempo (dipende dalla dimensione dei file in questione).

info Informazioni su

In questo caso, i vecchi archivi vengono conservati. La funzione di archiviazione inizia a riempire gli archivi mancanti al momento dell´avvio del Runtime, sempre che abbiate disposto così in fase di progettazione. Questa procedura può durare un po´di tempo.


Con l'immagine di processo esistente

Manuale -> Simulazione progetto -> Generale -> Funzione "Attiva/Disattiva progetto di simulazione" -> Con l'immagine di processo esistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo caso, un´immagine di simulazione esistente viene trasferita dal server al client. Non c'è nessun trasferimento con un progetto standalone. Il relativo stato delle variabili locali viene salvato e il Runtime viene riavviato sulla base dell´immagine di simulazione. Il Runtime viene riavviato anche se si trova già in modalità di simulazione. In questo caso, però, non viene salvata alcuna immagine driver delle variabili locali per lo start nella modalità hardware.

info Informazioni su

Grazie alla possibilità di creare un´immagine di simulazione (tramite l'opzione "Crea immagine di simulazione"), potete sempre iniziare una simulazione esattamente dallo stesso punto e con gli stessi presupposti. Nell´immagine non vengono salvati solamente i valori delle variabili, ma viene programmato anche il relativo stato della simulazione driver. Visto che l´immagine viene trasmessa dal server (se esiste), avete anche la possibilità di lavorare su diversi client con la stessa immagine. L´immagine viene copiata dal server quando viene avviato il Runtime. In questa procedura vengono trasferite solamente le modifiche.


Attivazione connessione al processo

Manuale -> Simulazione progetto -> Generale -> Funzione "Attiva/Disattiva progetto di simulazione" -> Attivazione connessione al processo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo caso, passate dalla modalità di simulazione a quella hardware. A questo scopo, viene usata l´immagine delle variabili locali.

Al momento della chiusura della modalità di simulazione, l´immagine di simulazione viene salvata; così lo stato finale della modalità di simulazione potrà essere ripristinato in caso di bisogno. Nel caso in cui esista una connessione al server, l´immagine di simulazione viene trasferita salvata sul server.

attention Attenzione

Se più client trasferiscono la stessa immagine di simulazione contemporaneamente, non c´è la garanzia che l´immagine di simulazione salvata funzionerà.


Attivazione connessione al processo e acquisizione Simulazione di processo dal Server

Manuale -> Simulazione progetto -> Generale -> Funzione "Attiva/Disattiva progetto di simulazione" -> Attivazione connessione al processo e acquisizione Simulazione di processo dal Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l'aiuto della simulazione di progetto avete la possibilità di passare dalla modalità di simulazione a quella hardware. Nella modalità di simulazione potete simulare dei processi al fine di testarli. In questa modalità vengono eseguite operazioni di commutazione, generate delle ricette, settati valori limite ecc; tutto ciò avviene senza che queste operazioni vengano inviate al livello del processo (per esempio ad un PLC).

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.

Tutti i progetti devono disporre di una licenza. Per i progetti standalone è necessario disporre di una licenza per il client. Per i progetti server, la licenza deve essere disponibile sul Server-Standby, oppure localmente.

Se si cambia la licenza sul server, i client devono essere riavviati perché la licenza venga applicata.

Modalità simulazione

In modalità di simulazione:

  • tutti in driver vengono avviati nella modalità simulazione driver - programmato.
  • Non viene salvato nessun dato esternamente:
    • Non viene eseguito l´export SQL
    • Non vengono generati inserimenti per la banca dati IPA
    • Gli inserimenti IPA già esistenti non possono essere cancellati, modificati, né si può scrivere un commento.
  • I dati PFS sui turni non vengono salvati nella banca dati
    (Il salvataggio di questi dati sarà effettuato non appena il Runtime sarà avviato in modalità hardware.)

info Informazioni su

La simulazione di progetto non è disponibile per i client sul Terminal Server.

Modulo "Sequenze di comando"

La simulazione di progetto è già inclusa nel modulo Sequenze di comando, per usufruire del quale è necessario disporre di una licenza.

In aggiunta viene trasmessa al server l´immagine di simulazione, la quale, in tal modo, sarà a disposizione anche di altri client.


Creazione simulazione di processo (RT in modalità simulata). Acquisizione di simulazione dal server (RT in modalità hardware)

Manuale -> Simulazione progetto -> Generale -> Funzione "Attiva/Disattiva progetto di simulazione" -> Creazione simulazione di processo (RT in modalità simulata). Acquisizione di simulazione dal server (RT in modalità hardware)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Qui create un´immagine di simulazione e la salvate localmente con il nome indicato, se vi trovate nella modalità di simulazione.

Nella modalità hardware, l´immagine di simulazione viene trasferita al server se esso è disponibile ed è salvata lì con il nome indicato.

info Informazioni su

In tal modo, potete creare un´immagine degli stati momentanei e la potete salvare. Poi potrete riprendere in qualsiasi momento partendo esattamente da questo punto e con esattamente gli stessi presupposti.


Variabile del driver di sistema - Stato Runtime (simulazione)

Manuale -> Simulazione progetto -> Variabile del driver di sistema - Stato Runtime (simulazione)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La variabile del driver di sistema "Stato-Runtime (simulazione)" indica in quale stato si trova il Runtime attualmente. La trovate fra le variabili del driver in corrispondenza del tema Informazioni di sistema. Sono possibili i seguenti stati:

Stato | Descrizione
0 | Connessione di processo - il Runtime si trova nella modalità hardware.
1 | In simulazione, cambio a connessione di processo
2 | Con connessione al processo, cambio a simulazione
3 | In simulazione - il Runtime si trova in modalità di simulazione


Script

Manuale -> Simulazione progetto -> Script

Per la modalità di simulazione, avete a disposizione i seguenti script che vengono eseguiti automaticamente:

Script | Descrizione
AUTOSTART_SIMUL | Se il Runtime viene avviato in modalità di simulazione, lo script dal nome AUTOSTART_SIMUL viene eseguito automaticamente, sempre che esso sia disponibile.
AUTOEND_SIMUL | Se il Runtime viene chiuso in modalità di simulazione, lo script dal nome AUTOEND_SIMUL viene eseguito automaticamente, sempre che esso sia disponibile.


Particolarità della modalità di simulazione.

Manuale -> Simulazione progetto -> Particolarità della modalità di simulazione.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esistono le seguenti differenze fra la modalità hardware e quella di simulazione:

  • Non viene utilizzata la directory di backup
  • Gli archivi non vengono esportati
  • Gli archivi vengono salvati solamente in formato zenon
  • La funzione Esporta archivio non può essere eseguita.
  • L´export SQL è disattivato per diversi moduli.
  • Il Message Control è disattivato.
  • I Runtime di zenon Logic non vengono avviati.
  • Non c'è scambio di dati con un Runtime di zenon Logic mediante un driver di zenon
  • Nessuna simulazione sul Web Client di zenon e sotto Windows CE
  • Le variabili di SB sono senza valore
  • Non avviene la commutazione del driver fra hardware e modalità di simulazione.
  • Può succedere che uno script non venga eseguito per intero se viene eseguita nello script una funzione che richiede il riavvio del Runtime.
  • Il programma di simulazione contenuto in "Simulazione driver programmata" viene usato anche per la simulazione progetto.
  • In modalità di simulazione, la funzione Salvataggio dati ritentivi non salva nessun valore dei seguenti driver:
    • driver interno
    • driver matematico
    • driver di sistema


Traduzione online

Manuale -> Simulazione progetto -> Traduzione online

Definite i testi da tradurre per tutti i progetti nel progetto di partenza (progetto di start). Definite nel progetto di start anche la funzione corrispondente. Ciò assicura che abbiate il testo online nel progetto giusto. Anche le eventuali segnalazioni di errore verranno inserite nel progetto corrispondente.


Immagini di simulazione

Manuale -> Simulazione progetto -> Immagini di simulazione

Per far sì che essi possano essere ricreati, i valori delle variabili dei driver devono essere salvati nei seguenti file:

Nome file | Descrizione
Drv'Treiber-ID'.sim | In questi file, tutti i valori di tutte le variabili vengono salvati sul driver rispettivo. I file sono necessari per ripristinare i valori attuali nella simulazione dopo il riavvio del Runtime. Se i file sono stati creati durante il funzionamento in modalità di simulazione, è contenuta anche un´immagine della simulazione programmabile.
Drv'Treiber-ID'.lsim | In questi file, i valori delle variabili locali sono salvati per il driver corrispondente. Se il Runtime si avvia con connessione di processo e questi file vengono trovati, le variabili locali ottengono da questi file. In seguito i file vengono cancellati. Ciò accade anche se il Runtime viene avviato manualmente.
Drv'Treiber-ID'.lssim | Salva l´immagine delle variabili locali che viene ripresa nell'immagine di simulazione.


File nell´immagine di simulazione

Manuale -> Simulazione progetto -> File nell´immagine di simulazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando viene generata un´immagine di processo per la simulazione, vengono ripresi in essa file e cartelle da diverse fonti. Quando la simulazione è attiva, il sistema accede a questi file e non più a quelli originali, che, per esempio, si trovano nella directory del calcolatore.

I seguenti file della cartella di sistema del progetto vengono copiati nella directory di sistema dell´immagine di processo:

  • project.mdb
  • rezepturen.cmp
  • rezepturenrt.cmp
  • fpm.cmp
  • password.cmp
  • passwordrt.cmp

e le seguenti cartelle:

  • system\rgm_fb
  • system\rt_profiles
  • system\reports

Dalla directory del calcolatore vengono presi tutti i file, fatta eccezione per quelli che finiscono in *.lsim. Per la modalità Simulazione senza immagine, vengono ripresi i file *.sim, internvar.bin, sy_ma32.bin e uservar.bin. Per la modalità Simulazione senza archivi, vengono ripresi tutti i file, eccetto quelli con la desinenza *.arx e *.ars.


Runtime Parametri della riga di comando

Manuale -> Simulazione progetto -> Runtime Parametri della riga di comando

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tramite i parametri della riga di comando, il Runtime riconosce se deve avviarsi in modalità simulazione o in modalità hardware. Se non è stato indicato nessun parametro, il Runtime si avvia in modalità hardware. Questi parametri possono essere inseriti anche nel caso di uno start manuale.

Parametri della riga comandi

zenProcess

L´applicazione zenProcess.exe viene usata per riavviare il Runtime di zenon al momento del passaggio fra le due modalità simulazione e hardware.

Sintassi

La chiamata di zenProcess.exe avviene con la seguente sintassi:

zenprocess.exe parameter1 parameter2 parameter3

  • Parametro 1: SIM oppure spazio vuoto
  • Parametro 2: RESTART=
  • Parametro 3: RTPAR=

Parametri

Parametri

Descrizione

SIM

Visualizzazione nel titolo della finestra di dialogo.
Se questo parametro è:

  • settato: il titolo della finestra di dialogo visualizza quanto segue: "Switching to simulation mode".
  • non settato: il titolo della finestra di dialogo visualizza quanto segue: "Switching to online mode".

RESTART=

Riavvio del Runtime. Il percorso di zenrt32.exe deve essere indicato.

Procedura:

Il parametro provoca un riavvio solo dopo che il Runtime è terminato. Il Runtime stesso dunque, non viene chiuso da questo parametro; a questo scopo si deve richiamare una funzione nel Runtime. Il sistema attende finché tutti i processi non sono terminati in modo normale. Nel frattempo vengono visualizzati nella finestra di dialogo il numero e il nome (al massimo 5) dei processi in corso di cui si attende la conclusione. Subito dopo, il Runtime viene riavviato.

Esempio: RESTART="d:\zversionen\720_inst\zenrt32.exe"

RTPAR=

Riavvio in modalità simulazione o in modalità hardware.

  • SIMUL: il Runtime viene avviato in modalità simulazione con il nome d´immagine indicato. Se non si indica nessun nome d´immagine, il sistema userà il nome del calcolatore.
    Sintassi: SIMUL=Nome d'immagine
  • REALMODE: Ii Runtime viene avviato in modalità hardware con il nome d´immagine indicato. Se non si indica un nome d´immagine, non ci sarà nessun trasferimento.
    Sintassi: REALMODE="Abbildname"

Esempio:

RTPAR="SIMUL=TEST.SIM"

CANCEL

Con questo parametro cancellate l´operazione di commutazione. Il Runtime verrà chiuso, ma non riavviato.

Esempio

Avviare il Runtime in modalità simulazione con un´immagine esistente:

zenprocess.exe SIM RESTART="d:\zversionen\720_inst\zenrt32.exe" RTPAR="SIMUL=TEST.SIM"


Limitazioni

Manuale -> Simulazione progetto -> Limitazioni

Sono conosciute le seguenti limitazioni:

  • il modulo Batch Control non viene supportato nella simulazione.


Stili

Manuale -> Stili

Gli stili consentono di fare quanto segue con le proprietà grafiche di elementi d'immagine:

  • Estrarle nell´ambito di gruppi di stili.
  • Gestirle in gruppi di stili.
  • Assegnarle ad altri elementi.

Gli stili vengono amministrati e gestiti sempre nel progetto globale.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Gruppo stili

Nell´estrazione di stili, tutte le proprietà grafiche supportate di un elemento vengono sempre estratte e salvate in un gruppo di stili.

Menù contestuale - Manager di progetto

Il nodo Stili del manager di progetto dispone di un menù contestuale.
Esso contiene i comandi:

  • Profilo editor: Consente l´assegnazione di profili Editor.
  • Guida: Apre la guida online.

Noch in diesem Kapitel

Tipi di stili

Creare stili

Amministrare gli stili

Collegare stili e gruppi di stili

Finestra di dialogo Scelta stile


Tipi di stili

Manuale -> Stili -> Tipi di stili

Potete creare i seguenti stili e collegarli a elementi statici eelementi dinamici. Non ogni proprietà è disponibile per ogni elemento:

Proprietà | Elementi statici | Elementi dinamici
Arrotondamenti | X | Solo Button
Riempimento | X | --
Glow | X | X
Linea | X - eccezione per Testo statico | --
Bordi e ombre | X | X
Testo | X | --

Legenda:

  • X: Disponibile
  • --: non disponibile

Noch in diesem Kapitel

Arrotondamenti

Riempimento

Glow

Linea

Bordi e ombre

Testo


Arrotondamenti

Manuale -> Stili -> Tipi di stili -> Arrotondamenti

Il tipo di stile Arrotondamenti è disponibile per tutti gli elementi che supportano arrotondamenti.

Il tipo di stile Arrotondamenti comprende le seguenti proprietà:

  • Proporzionale
  • Tutte X [%]
  • Tutte Y [%]
  • Sinistra/Alto X [%]
  • Sinistra/Alto Y [%]
  • Destra/Alto X [%]
  • Destra/alto Y [%]
  • Destra/Basso X [%]
  • Destra/Basso Y [%]
  • Sinistra/Basso X [%]
  • Sinistra/Basso Y [%]


Riempimento

Manuale -> Stili -> Tipi di stili -> Riempimento

Il tipo di stile Riempimento è disponibile per tutti gli elementi che supportano riempimenti.

Il tipo di stile Riempimento comprende le seguenti proprietà:

  • Gruppo di elementi Riempimento:
    • Tipo di riempimento
    • Colore di sfondo
    • Trasparenza colore riempimento [%]
    • Sfumatura colore
    • Trasparenza colore di sfumatura [%]
  • Gruppo di elementi Effetto riempimento 3-D:
    • Effetto riempimento 3-D
    • Offset [%]
    • Angolo [°]

Limitazioni

Per progetti con proprietà Progetto WindowsCE attiva, oppure con l´impostazione Windows Basic per la proprietà Qualità grafica, vale quanto segue:

  • solamente rettangoli, cerchi e archi di cerchio possono avere una sfumatura di colore.
  • la sfumatura di colore può essere definita solamente tramite le proprietà dei valori di luminosità.
  • le proprietà del gruppo Effetto riempimento 3-D sono disattivate per tutti gli elementi.
  • le trasparenze sono disattivate.

Impostazioni colori

Per le impostazioni colori vale quanto segue:

  • Colori statici: sono sempre salvati nello stile.
  • Tavolozza dei colori solo tavolozze di colori del progetto globale possono essere usate per gli stili.

Stili estratti mostrano sempre i colori della tavolozza del progetto globale. Lo stile colore collegato può essere sovrascritto mediante le impostazioni del progetto locale se:

  • il progetto ha un´altra impostazione per Tavolozza colori in Editor rispetto al progetto globale.
  • la tavolozza dei colori del progetto globale è sovrascritta dal progetto locale.

Tipp Suggerimento

Quando usate stili, utilizzate solamente liste caratteri e tavolozze dei colori del progetto globale.


Glow

Manuale -> Stili -> Tipi di stili -> Glow

Il tipo di stile Glow è disponibile per tutti gli elementi.

Il tipo di stile Glow comprende le seguenti proprietà:

  • Attiva
  • Trasparenza [%]
  • Estensione [Pixel]
  • Colorare
  • Colore


Linea

Manuale -> Stili -> Tipi di stili -> Linea

Il tipo di stile Linea è disponibile per tutti gli elementi statici che supportano linee.
Eccezione: Testo statico.

Il tipo di stile Linea comprende le seguenti proprietà:

  • Larghezza linea
  • Tipo linea
  • Colore di linea
  • Trasparenza del colore linea [%]
  • Tipo di inizio
  • Tipo di fine
  • Dimensione


Bordi e ombre

Manuale -> Stili -> Tipi di stili -> Bordi e ombre

Il tipo di stile Bordi e ombre è disponibile per tutti gli elementi.

Comprende le seguenti proprietà:

  • Tipo di cornice
  • Colore cornice/ombra
  • Trasparenza [%]
  • Larghezza linea
  • Effetto Blur
  • Distanza [Pixel]
  • Angolo [°]
  • Dimensioni ombra [%]


Testo

Manuale -> Stili -> Tipi di stili -> Testo

Il tipo di stile Testo è disponibile per l´elemento Testo statico.

Comprende le seguenti proprietà:

  • Gruppo Visualizzazione
  • Sottogruppo Riempimento
    • Colore testo
  • Sottogruppo Formattazione testo
    • Orientamento orizzontale
    • Orientamento verticale
    • A capo automatico

Tipi di carattere

Per gli stili si usano solamente i tipi di carattere contenuti nella lista del progetto globale.

Lo stile di testo collegato può essere sovrascritto mediante le impostazioni del progetto locale se:

  • il progetto ha un´altra impostazione per Lista tipi di carattere nell'Editor rispetto al progetto globale.
  • la lista caratteri del progetto globale è sovrascritta dal progetto locale.

Tipp Suggerimento

Quando usate stili, utilizzate solamente liste caratteri e tavolozze dei colori del progetto globale.


Creare stili

Manuale -> Stili -> Creare stili

Per creare uno stile, estraetelo da un elemento già esistente. L´opzione non è disponibile se vengono selezionati contemporaneamente più elementi.
Nota: Perché uno stile possa essere estratto, ci deve essere un progetto globale nell´area di lavoro. Gli stili vengono amministrati e gestiti in quella sede.

Estrarre stili

Per estrarre uno stile:

  1. selezionate nell´Editor l´elemento il cui stile volete estrarre.
  2. selezionate nel menù contestuale il comando Crea gruppo di stile da elemento

    Le proprietà supportate dell´elemento vengono estratte ed impostate come nuovo gruppo di stile nel nodo Stili del progetto globale.
    Il gruppo di stili contiene tutte le proprietà supportate come singoli stili. Le proprietà non disponibili nell´oggetto sorgente, vengono create ricorrendo ai corrispondenti valori di default.
    Quali proprietà sono supportate dipende dal tipo di stile e dall´elemento originale.

    Ai gruppi di stili e agli stili viene assegnato automaticamente un nome al momento della loro creazione. Potete modificare questo nome secondo le vostre esigenze individuali nelle proprietà dello stile.

info Informazioni su

Nomi:

  • devono essere unici per gruppi di stili e per i singoli stili all´interno di un gruppo,
  • non devono essere vuoti
  • non devono consistere solamente di spazi,
  • non devono contenere nessuno dei seguenti caratteri: / \ . : * ? < > | " ' # % @


Amministrare gli stili

Manuale -> Stili -> Amministrare gli stili

Amministrate gli stili di zenon nel progetto globale, più precisamente nel nodo Stili.

Tutti i gruppi di stili sono visibili nella visualizzazione dettagli degli stili. Questi ultimi dispongono di una visuale ad albero che contiene tutti i singoli stili.
Gli elementi possono essere ordinati e filtrati sulla base di ogni colonna.
Nota: Il tempo che appare nella colonna Data ultima modifica non si riferisce al cambiamento dello stile, ma al momento in cui il file contenente lo stile è stato salvato.

Le proprietà dello stile selezionato vengono visualizzate nella "Finestra proprietà". Le si potrà modificare in quella sede.

Modificare stili e gruppi di stili

Si possono apportare delle modifiche alle proprietà corrispondenti di ogni stile nella "Finestra proprietà".
Per modificare uno stile, oppure un gruppo di stili:

  1. Selezionate l´elemento desiderato.

    È possibile una selezione multipla. Nel caso di selezione multipla, vengono offerte alla modifica solamente quelle proprietà che possono essere cambiate congiuntamente per tutti gli elementi evidenziati. Il sistema mette in evidenza i campi che attualmente sono configurati in modo differente, colorandone il contenuto di rosso.

  2. Configurate le proprietà desiderate.

    Le modifiche vengono salvate non appena lasciate il campo di inserimento, oppure le confermate pigiando il tasto Ins.
    Ogni modifica si ripercuote su tutti gli elementi collegati a questo stile.

Proprietà per gruppi di stili e stili:

  • Gruppo Generale:
    • Name: Nome dello stile o del gruppo di stili.
    • Typ: Tipo dello stile. Solo visualizzazione.
    • Beschreibung: Descrizione individuale dello stile o del gruppo di stili.
  • A seconda dello stile, vengono offerti i corrispondenti gruppi di proprietà:
    • Visualizzazione:
    • Effetti
    • Riempimento
    • Arrotondamento

info Informazioni su

Nomi:

  • devono essere unici per gruppi di stili e per i singoli stili all´interno di un gruppo,
  • non devono essere vuoti
  • non devono consistere solamente di spazi,
  • non devono contenere nessuno dei seguenti caratteri: / \ . : * ? < > | " ' # % @

Cancellare gruppi di stili e stili

Per cancellare uno stile o un gruppo di stili:

  1. Selezionate gli elementi desiderati.
    È possibile una selezione multipla.
  2. Selezionate il comando Cancella nella barra degli strumenti, oppure nel menù contestuale.

    Gli elementi selezionati vengono cancellati dopo una richiesta di conferma da parte del sistema. Quando si cancellano dei gruppi di stili, anche tutti gli stili in essi contenuti vengono cancellati.

Nota: Quando si cancellano degli stili, il sistema provvede a ripristinare i valori impostati in precedenza per le proprietà a cui essi erano collegati. La proprietà dello stile mostra Nessuno stile collegato

Noch in diesem Kapitel

Barra simboli e Menù contestuale Visualizzazione dettagliata


Barra simboli e Menù contestuale Visualizzazione dettagliata

Manuale -> Stili -> Amministrare gli stili -> Barra simboli e Menù contestuale Visualizzazione dettagliata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per gli stili sono disponibili dei simboli ed un menù contestuale. I comandi contenuti nel menù contestuale corrispondono ai simboli.

Simbolo/Comando

Descrizione

Elimina

Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.

Rimuovi tutti i filtri

Elimina tutte le impostazioni di filtro

Espandi tutto

Consente di estendere o ridurre tutti i nodi o quelli selezionati nella lista. Scegli:

  • Espandi tutto
  • Riduci tutto
  • Espandi selezione
  • Riduci selezione

Modifica cella selezionata

Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.

Sostituisci testo nella colonna selezionata...

Apre il dialogo che serve alla ricerca e alla sostituzione di testi.

Proprietà

Apre la finestra Impostazioni per l´inserimento selezionato.

Guida

Apre la guida online.


Collegare stili e gruppi di stili

Manuale -> Stili -> Collegare stili e gruppi di stili

Gli stili possono essere assegnati ad elementi statici ed elementi dinamici. Lo stile viene collegato all´elemento. Le modifiche apportate allo stile nel modulo Stili del progetto globale, vengono trasferite a tutti gli elementi collegati.

Nota: Non tutti gli elementi supportano tutte le proprietà di uno stile. Vengono assegnate sempre solo proprietà supportate.

Per assegnare uno stile o un gruppo di stili ad un elemento, usate:

  • Drag&Drop
  • la finestra di dialogo nella proprietà corrispondente.
  • il menù contestuale della proprietà corrispondente.

Nota: gli stili collegati vengono visualizzati nella rispettiva proprietà con la seguente sintassi: Nome gruppo di stili.Nome stile.

Regole di collegamento

Per il collegamento di stili e gruppi di stili, vale quanto segue:

  • Vengono collegati solamente quegli stili che corrispondono alla proprietà di destinazione.
  • Quando si effettua il collegamento di gruppi di stili, vengono collegati solamente quegli stili che sono supportati dalle proprietà dell´elemento.

Drag&Drop:

Per collegare un gruppo di stili o uno stile ad un elemento via Drag&Drop:

  1. Selezionate l´elemento.
  2. Navigate all´interno del progetto globale e passate al gruppo Stili.
  3. Selezionate lo stile o il gruppo di stili desiderato.
  4. Con il mouse, trascinate il gruppo di stili, o lo stile sull´elemento nella finestra principale.

    Le proprietà dello stile, oppure del gruppo di stili vengono applicate all´elemento d´immagine.

Nota: Se c`è già un gruppo di stili collegato, singoli stili potranno venir collegati solamente se non interessano nessuna proprietà del gruppo di stili. Uno singolo stile potrà essere trascinato via Drag&Drop su un elemento che è già definito mediante un gruppo di stili. Tuttavia esso verrà applicato solamente se non influenza nessuno stile del gruppo di stili stesso. Però esiste anche la possibilità di sostituire gruppi di stili con altri gruppi di stili, e singoli stili con altri singoli stili.

Finestra di dialogo per proprietà

Per collegare un gruppo di stili o uno stile ad un elemento facendo uso della finestra di dialogo Scelta stile:

  1. Selezionate l´elemento.
  2. Passate al gruppo proprietà desiderato.
  3. Configurate il gruppo di stile desiderato,oppure il tipo di stile, come ad es. Linienstil, Stile riempimento, Stile effetto Glow ecc.

    Se alla proprietà è già collegato uno stile, esso verrà visualizzato.
    Se sono stati selezionati più elementi con stili differenti, lo stile dell´ultimo elemento selezionato sarà visualizzato in caratteri rossi. Se si cambia lo stile, questa modifica viene applicata a tutti gli elementi selezionati.

  4. Cliccando sul pulsante ... si apre la finestra di dialogo che serve alla selezione di uno stile, oppure di un gruppo di stili.
    In questa finestra di dialogo si può anche rimuovere uno stile già collegato.

Menù contestuale

  1. Selezionate l´elemento.

    L'elemento deve essere già collegato ad un gruppo di stili.

  2. Navigate nelle proprietà e passate al gruppo desiderato.
  3. Cliccate con il tasto destro del mouse sulla proprietà.
  4. Selezionate il comando Deriva tutte le proprietà dal gruppo di stile:
    Per questo elemento verranno collegate tutte le proprietà disponibili nel gruppo di stili.

Noch in diesem Kapitel

Menù contestuale Elementi

Sostituire o eliminare un collegamento

Limitazioni


Menù contestuale Elementi

Manuale -> Stili -> Collegare stili e gruppi di stili -> Menù contestuale Elementi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli elementi in zenon che possono essere collegati ad uno stile, o ad un gruppo di stili, contengono nel menù contestuale comandi correlati a gruppi di stili.
Per collegare o per cancellare il collegamento di stili o gruppi di stili usando il menù contestuale:

  1. Selezionate l´elemento desiderato.
  2. Cliccate con il tasto destro del mouse sulla proprietà desiderata;
  3. Scegliete poi nel menù contestuale che si aprirà il comando desiderato;

Comandi disponibili:

Comando

Azione

Nota

Separa [stile] dal gruppo di stile

Elimina il collegamento di questa proprietà ad un determinato stile di un gruppo di stili. Tutte le altre proprietà mantengono il loro collegamento.

Il simbolo freccia che indica il collegamento, viene rimosso.

La proprietà viene cancellata dal gruppo di stili. Si può collegare uno stile differente a questa proprietà. Finché non viene collegato un altro stile, continuano a venire utilizzati i valori configurati nel gruppo di stili originale.

Tutte le altre proprietà mantengono il collegamento con il gruppo di stili originario.

Deriva tutte le proprietà dal gruppo di stile

Per questo elemento verranno collegate tutte le proprietà disponibili nel gruppo di stili.

Un simbolo freccia posto a destra del campo di inserimento della proprietà mostra che c´è un collegamento.

Tutte le proprietà che vengono collegate, sovrascrivono i valori preesistenti. Quando essi vengono modificati nel gruppo di stili, cambiano anche qui.

Separa tutte le proprietà dal gruppo di stile

Tutti i collegamenti derivati da questo gruppo di stili vengono eliminati.

Il simbolo freccia che indica il collegamento, viene rimosso.

I valori configurati rimangono. Se i valori vengono modificati nel gruppo di stili, la modifica non viene applicata a questi elementi.

Tutte le proprietà collegate di questo elemento vengono eliminate dal gruppo di stili. Le proprietà possono essere collegate con un altro gruppo di stili, oppure con altri stili.

Finché non viene collegato un altro stile, continuano a venire utilizzati i valori configurati nel gruppo di stili originale.


Sostituire o eliminare un collegamento

Manuale -> Stili -> Collegare stili e gruppi di stili -> Sostituire o eliminare un collegamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se un gruppo di stili è stato collegato ad un elemento, singole proprietà dell´elemento possono essere sostituite da altri valori, o cancellate.

Sostituire valori

Avete diverse possibilità di sostituire un valore:

  • Separate lo stile dal gruppo di stili usando il menù contestuale della proprietà.
    Assegnate alla proprietà un nuovo stile.
  • Collegate un nuovo singolo stile alla proprietà via Drag&Drop.
  • Selezionate un altro stile per la proprietà usando il dialogo di selezione.

Rimuovere uno stile o un gruppo di stili

Per rimuovere uno stile o un gruppo di stili:

  • Cancellate lo stile o il gruppo di stili dalla proprietà.
    Viene visualizzato "Nessuno stile collegato". Le proprietà attinenti ricevono di nuovo il valore che avevano prima del collegamento.


Limitazioni

Manuale -> Stili -> Collegare stili e gruppi di stili -> Limitazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli stili vengono amministrati nel progetto globale e usano impostazioni del progetto globale. A seconda delle impostazioni del progetto locale, ciò può determinare le seguenti limitazioni:

Tipi di carattere

Per gli stili si usano solamente i tipi di carattere contenuti nella lista del progetto globale.

Lo stile di testo collegato può essere sovrascritto mediante le impostazioni del progetto locale se:

  • il progetto ha un´altra impostazione per Lista tipi di carattere nell'Editor rispetto al progetto globale.
  • la lista caratteri del progetto globale è sovrascritta dal progetto locale.

Impostazioni colori

Per le impostazioni colori vale quanto segue:

  • Colori statici: sono sempre salvati nello stile.
  • Tavolozza dei colori solo tavolozze di colori del progetto globale possono essere usate per gli stili.

Stili estratti mostrano sempre i colori della tavolozza del progetto globale. Lo stile colore collegato può essere sovrascritto mediante le impostazioni del progetto locale se:

  • il progetto ha un´altra impostazione per Tavolozza colori in Editor rispetto al progetto globale.
  • la tavolozza dei colori del progetto globale è sovrascritta dal progetto locale.

Tipp Suggerimento

Quando usate stili, utilizzate solamente liste caratteri e tavolozze dei colori del progetto globale.


Finestra di dialogo Scelta stile

Manuale -> Stili -> Finestra di dialogo Scelta stile

Cliccando sul pulsante ... della proprietà per collegare uno stile o un gruppo di stili, si apre la finestra di dialogo che serve alla selezione di uno stile o di un gruppo di stili. In questa sede potete assegnare uno stile o un gruppo di stili e eliminare il collegamento di stili e gruppi di stile.

info Informazioni su

Vengono offerti alla selezione solamente quei gruppi di stili e stili che possono essere collegati all´elemento, dal quale è stata aperta la finestra di dialogo.

Parametri

Descrizione

Lista progetti

Visualizzazione del progetto globale.

Lista stili

Lista degli stili e dei gruppi di stili disponibili.
Quando si clicca su uno stile, quest´ultimo viene selezionato.

La lista può essere ordinata e la si può filtrare.

Barra simboli e menù contestuale:

  • Rimuovi tutti i filtri:
    Rimuove tutte le impostazioni di filtro
  • Espandi tutto:
    Consente di estendere o ridurre tutti i nodi o quelli selezionati nella lista.

Nessuna selezione

Rimuove stile già esistente dalla proprietà.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Collegare uno stile o un gruppo di stili

Per collegare uno stile o un gruppo di stili:

  1. Aprite la finestra di dialogo.
  2. Cliccate sullo stile o sul gruppo di stili desiderato.
  3. Cliccate su OK.

    Lo stile o il gruppo di stili con tutti i suoi stili viene ripreso nella proprietà e applicato a tutti gli elementi selezionati.

Regole di collegamento

Per il collegamento di stili e gruppi di stili, vale quanto segue:

  • Vengono collegati solamente quegli stili che corrispondono alla proprietà di destinazione.
  • Quando si effettua il collegamento di gruppi di stili, vengono collegati solamente quegli stili che sono supportati dalle proprietà dell´elemento.

Eliminare collegamento

Per eliminare il collegamento di uno stile o di un gruppo di stili:

  1. Aprite la finestra di dialogo.
  2. Cliccate su Nessuna selezione.

    Lo stile o il gruppo di stili viene rimosso dalla proprietà e la finestra di dialogo viene chiusa.. Gli elementi selezionati mantengono le proprietà dello stile collegato per ultimo.


Temporizzatori

Manuale -> Temporizzatori

Con i temporizzatori vengono definite tutte le chiamate di funzioni, che devono essere eseguite in ciclo o entro un tempo determinato (fisso).
In tal modo è possibile salvare giornalmente in una rete sul server importanti dati relativi alla produzione.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Menu contestuale - Manager di progetto

Punto di menù | Azione
Nuova funzione tempo | Crea una nuova funzione per i temporizzatori.
Esporta tutte in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa degli inserimenti da un file XML.
Profilo editor | Apre la lista a cascata con i Profili editor predefiniti.
Guida | Attiva la guida online

Noch in diesem Kapitel

Progettazione nell'editor

Temporizzatori Visualizzazione dettagli barra simboli e menu contestuale


Progettazione nell'editor

Manuale -> Temporizzatori -> Progettazione nell'editor

La definizione della temporizzazione viene effettuata tramite selezione della voce Temporizzatori nel Manager di progetto. Le funzioni di tempo già esistenti vengono mostrate dopo la selezione nella visualizzazione dettagli.

Una nuova funzione di tempo può essere creata con selezione della voce Nuova funzione tempo dal menù contestuale.

Nella Finestra delle proprietà vengono ora visualizzate le proprietà della nuova funzione di tempo, che possono anche essere modificate.

Troverà una descrizione dettagliata delle singole proprietà nell' Help delle proprietà.

Nota: il cambio mese e anno si riferiscono alla data di esecuzione impostata e non al passaggio concreto che si verifica il 01°/ 01° alle ore 00:00. 01. ore 00:00. Se si vuole che il cambio avvenga esattamente in corrispondenza di questa data e questa ora, le si deve impostare in fase di progettazione, per es. 01. 01. 2012, ore 00:00:00.


Temporizzatori Visualizzazione dettagli barra simboli e menu contestuale

Manuale -> Temporizzatori -> Temporizzatori Visualizzazione dettagli barra simboli e menu contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menu

Punto di menù | Azione
Nuova funzione tempo | Aggiunge una nuova funzione tempo nella lista.
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Esporta selezione in XML | Esporta tutti gli inserimenti selezionati in un file XML.
Importa XML | Importa degli inserimenti da un file XML.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Tools

Manuale -> Tools

Una serie di tool vi aiutano a gestire, analizzare e configurare zenon:

  • Diagnose Viewer: consente la lettura e la configurazione dei file LOG di zenon.
  • Keyblock Runtime Start: avvia il Runtime di zenon e, contemporaneamente, blocca tutti i tasti di sistema di Windows.
  • Aggiornamento online dell´help di zenon consente l´update online della guida in linea di zenon.
  • Project Translation Interface: tool per la traduzione di file di lingua di zenon. Apre o salva file per il zenon Language Translation Wizard. Con esso si possono importare o esportare progetti rispettivamente in o da zenon.
  • Startup Tool: consente di avviare l´Editor e il Runtime con certi parametri, di amministrare differenti versioni di zenon su un computer, di amministrare istanze SQL e di definire lingue per l´Editor e il Runtime.
  • System Information Collector: legge informazioni del sistema e di zenon, le visualizza in una finestra di emissione e le salva in forma di file ZIP.
  • COPA-DATA PRP: consente di gestire una rete di zenon cpn ridondanza hardware tramite comunicazione PRP.
    Nota: la comunicazione PRP presuppone che si abbia una licenza valida di zenon sul computer.

Per zenon Logic avete a disposizione quanto segue:

  • zenon Logic Runtime Manager: amministra tutti i progetti Runtime di zenon Logic sul vostro computer.
    La documentazione di questo tool è parte di documentazione di zenon Logic.

Noch in diesem Kapitel

Diagnosis Viewer

Keyblock Runtime Start

Aggiornamento online dell´help di zenon

Tool startup

System Information Collector

COPA-DATA PRP


Diagnosis Viewer

Manuale -> Tools -> Diagnosis Viewer

Tutti i moduli di zenon come, per esempio, Editor, Runtime, driver, nonché zenon Analyzer, scrivono delle segnalazioni in un file Log comune. Esso può essere letto e visualizzato con il programma Diagnose Viewer. Il Diagnose Viewer consente la lettura di file di Log esistenti, l'online-logging, il salvataggio della visualizzazione attuale, e la parametrizzazione di Diagnose Client e Diagnose Server.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Avviare il Diagnose Viewer

Il Diagnose Viewer viene installato nella cartella: %Program Files (x86)%\Common Files\COPA-DATA\STARTUP. Apertura sotto:

  • Windows 8: digitate "Diagnosis Viewer" sul Desktop per Apps
  • Windows 7: Start/Tutti i programmi/zenon/Version Independent Tools -> Diagnosis Viewer.

Il Diagnose Viewer è a disposizione solamente in lingua inglese.

Uso di IPv6

Il server di diagnosi funziona anche con client di diagnosi che vengono raggiunti tramite indirizzi IPv6. A tal scopo si è provveduto ad adattare il formato dei file Log. Il Diagnose Viewer legge solamente il nuovo formato dei file LOG. Se si aprono dei file di versioni più vecchie di zenon (o viceversa), l´indirizzo IP del client di diagnosi non viene visualizzato in modo corretto.

Analisi driver

I driver di zenon protocollano tutti gli errori nei file LOG. La cartella standard per i file Log è la sottocartella LOG della directory ProgramData, per es.:

%ProgramData%\COPA-DATA\LOG. I file LOG sono file di testo con una struttura speciale:

Attenzione: con le impostazioni standard, un driver registra solamente le informazioni errate. Con il Diagnosis Viewer, invece, si può estendere il livello di diagnosi per la maggiore parte dei driver anche a "Debug" e "Deep Debug". In questo caso, il driver protocollerà anche tutte le altre attività e tutti gli altri eventi fondamentali.

Nel Diagnosis Viewer si può anche:

  • Seguire nuovi inserimenti in tempo reale
  • Individualizzare le impostazioni di registrazione
  • Modificare la cartella in cui vengono salvati i file LOG

Nota:

  1. Il Diagnosis Viewer visualizza tutti gli inserimenti in UTC (tempo coordinato universale) e non nell´ora locale.
  2. Nella sua impostazione standard, il Diagnosis Viewer non visualizza tutte le colonne di un file LOG. Per visualizzare un numero maggiore di colonne, attivare la proprietà Add all columns with entry nel menù contestuale dell´intestazione della colonna.
  3. Se si usa solamente l´Error-Logging, la descrizione del problema si trova nella colonna Error text. Per altri livelli di diagnosi, invece, questa descrizione si trova nella colonna General text.
  4. In caso di problemi di comunicazione, molti driver registrano codici di errore che gli vengono trasmessi dal PLC. Questi codici vengono visualizzati nell´Error text e/o nell´ Error code e/o nel Driver error parameter(1 e 2). Delle indicazioni relative al significato dei codici di errore si possono trovare nella documentazione driver e nella descrizione del protocollo/PLC.
  5. Dopo aver eseguito i test, riportare il livello di diagnosi da Debug o Deep Debug alle impostazioni originarie. Con i livelli Debug e Deep Debug, infatti, c`è una grande quantità di dati che devono essere salvati sul disco fisso e questo potrebbe compromettere le prestazioni del sistema. Il sistema continua a registrare questi dati anche dopo che il Diagnosis Viewer è stato chiuso.

attention Attenzione

A causa delle limitate risorse disponibili, con Windows CE gli errori non vengono protocollati di default.

Noch in diesem Kapitel

Generale

Topologia del sistema di diagnosi

Decorso standard

Diagnose Server

Client di diagnosi

Diagnosis Viewer - Programma di analisi

Possibilità di filtro

Lettura del file LOG

Struttura del file Log

Gestione degli errori per il Diagnose Viewer


Generale

Manuale -> Tools -> Diagnosis Viewer -> Generale

Il sistema di diagnosi di zenon effettua individua le segnalazioni di errore di zenon e zenon Analyzer. Esso consiste di tre parti:

  • Diagnose Server: zenLogSrv locale oppure impostato nello zenon6.ini
  • Diagnose Clients: tutti i moduli, driver, servizi ecc che settano delle segnalazioni
  • Diagnose Viewer: Programma di analisi

Versioni

A partire dalla versione 7.00 di zenon si usa come servizio per il sistema di diagnostica lo zenLogSrv anziché lo zenSysSrv. Questo significa:

  • i sistemi di diagnosi delle versioni fino alla 6.51 sono compatibili fra di loro e quelli a partire dalla versione 7.00 sono compatibili fra di loro.
  • Ma i meccanismi di diagnosi di zenon 6.51 SP0 e di zenon 7.00 SP0 non sono compatibili.
Compatibilità: | Server di diagnosi 6.51 SP0 e precedenti | Server di diagnosi 7.00 SP0 e seguenti
Client di diagnosi 6.51 SP0 e precedenti | compatibili | incompatibili
Diagnose Viewer 6.51 SP0 e precedenti | compatibili | incompatibili
Client di diagnosi 7.00 SP0 e seguenti | incompatibili | compatibili
Diagnose Viewer 7.00 SP0 e seguenti | incompatibili | compatibili

Con il Diagnose Viewer versione 7.00 SP0 e versioni successive, i file Log creati da un Server di diagnosi della versione 6.51 SP0 (o versione precedente) possono essere aperti. La cosa non funziona nel senso contrario!

Port standard

  • dalla versione 7: 50780 (port del servizio zenLogSrv)
  • fino alla versione 6.51 inclusa: 1101 (port del servizio zenSysSrv)

Se non risulta possibile aprire la porta, il servizio corrispondente si chiude.

attention Attenzione

Se la porta alla quale il Diagnose Viewer deve connettersi, è chiusa, il sistema cercherà di avviare il server di diagnosi locale. In tal modo si assicura che il sistema realizzi un login a livello locale se un server di diagnosi non è disponibile in rete.

Posto occupato nella memoria

Il servizio zenLogSrv salva in un buffer gli inserimenti LOG aspettando che essi possano essere scritti nel file LOG. Se il consumo dello spazio della memoria di lavoro sale in continuazione a causa dello zenLogSrv, ciò è l´indizio evidente che non è possibile scrivere nel file LOG.


Topologia del sistema di diagnosi

Manuale -> Tools -> Diagnosis Viewer -> Topologia del sistema di diagnosi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La topologia del sistema di diagnosi è diversa nelle versioni fino alla 6.51 SP0 e in quelle a partire dalla 7.00 SP0.

Topologia prima della versione 7.00 SP0 zenon

Lo schema mostra tutte le connessioni possibili per le quali è responsabile la versione zenSysSrv. Ogni freccia rappresenta una connessione di rete fra le applicazioni. Tutte le applicazioni si collegano allo zenSysSrv tramite la port 1101, indipendentemente dal fatto se client o server si trovano sullo stesso calcolatore, oppure comunicano tramite una rete.

  1. L´Editor invia gli inserimenti Log, nonché i comandi e i dati del Trasporto Remoto allo zenSysSrv. Lo zenSysSrv manda la configurazione del Diagnose Client (Editor, Runtime, driver, Web Server, Web Client ecc.) e i dati del Trasporto Remoto all´Editor.
  2. Il Diagnose Viewer manda i comandi di diagnosi, le configurazioni di diagnosi e gli inserimenti Log al zenSysSrv. Lo zenSysSrv manda i dati di diagnosi e la configurazione del Diagnose Client al Diagnose Viewer.
  3. Lo zenSysSrv manda la configurazione del Diagnose Client ai Diagnose Client. I Diagnose Client mandano gli inserimenti Log allo zenSysSrv.

Lo zenSysSrv reagisce in modo corrispondente ad ogni messaggio in arrivo:

  • Gli inserimenti Log vengono scritti nei file LOG.
  • I comandi del Trasporto Remoto (avvia Runtime, carica file / importa file, …) vengono eseguiti.
  • I comandi di diagnosi (setta configurazione Server/Client, inizia Online Logging, …) vengono eseguiti.

Topologia a partire dalla versione 7.00 SP0 zenon

Lo schema mostra tutte le possibili connessioni per cui è responsabile lo zenSysSrv e lo zenLogSrv (a partire dalla versione 7.00 SP0). Ogni freccia rappresenta una connessione di rete fra le applicazioni. Tutte le applicazioni si connettono a zenLogSrv mediante Port 50780. L´Editor si connette a zenSysSrv mediante Port 1101. Non ha alcuna importanza se client e server sono sullo stesso computer, oppure comunicano attraverso una rete.

  1. L´Editor invia comandi e dati del Trasporto Remoto a zenSysSrv. Lo zenSysSrv invia i dati del Trasporto Remoto all´Editor
  2. L´Editor manda gli inserimenti Log allo zenLogSrv. Lo zenLogSrv manda la configurazione del Diagnose Client all´Editor.
  3. Il Diagnose Viewer manda i comandi di diagnosi, le configurazioni di diagnosi e gli inserimenti Log al zenLogSrv. Lo zenLogSrv manda i dati di diagnosi e la configurazione dei Diagnose Client al Diagnose Viewer.
  4. Lo zenSysSrv manda gli inserimenti Log allo zenLogSrv. Lo zenLogSrv manda la configurazione dei Diagnose Client allo zenSysSrv.
  5. Lo zenLogSrv manda la configurazione dei Diagnose Client ai Diagnose Client. I Diagnose Client mandano gli inserimenti LOG allo zenLogSrv.

Lo zenSysSrv reagisce a comandi Trasporto Remoto in arrivo.
Lo zenLogSrv reagisce a comandi di diagnosi in arrivo e a inserimenti Log.

Esempio

In un ambiente con un Diagnose Server centrale viene avviato il Runtime su un apparecchio. Sulla base della versione Runtime, la configurazione viene letta andandola a prendere nello zenon6.ini. Le versioni prima della 7.00 SP0 leggono l´inserimento LOG_CONFIG andando a prenderlo nello [SYS_REMOTE], le versioni più recenti leggono questo inserimento andando a prelevarlo da [LOGGING_SYSTEM]. In presenza di questa configurazione, il sistema cerca di instaurare una connessione di diagnosi. (Per i dettagli, vedi Procedura standard.) Anche ogni ulteriore componente scaricata dal Runtime (driver, zenNetSrv ecc.) instaura una connessione di diagnosi.


Decorso standard

Manuale -> Tools -> Diagnosis Viewer -> Decorso standard

Di default, i client trasmettono al Diagnose Server solamente le segnalazioni di errore (Errors).

Il Diagnose Server salva le segnalazioni ricevute in file TXT con una struttura particolare. La cartella standard per i file LOG è la LOGche si trova al di sotto di quella ProgramData. Ad esempio: %ProgramData%\COPA-DATA\LOG.
Ulteriori informazioni le trovate nella guida Installazione e Updates nel capitolo Struttura file.

Nota: a causa della limitatezza delle risorse, sotto Windows CE non vengono generate di default neanche delle segnalazioni di errore.

Per comunicare al Diagnose Server non solo segnalazioni di errore ma anche altre informazioni importanti a fini diagnostici, devono essere effettuate le corrispondenti impostazioni per il Client.

Anche il comportamento del Server può essere configurato.

Configurazione

La configurazione della connessione avviene nello zenon6.ini, suddivisa in:

  • Diagnose Client
  • Diagnose Server
  • versioni, per assicurare che le configurazioni delle versioni non si intralcino l´una con l´altra.

Anche la configurazione del Diagnose Viewer consente delle impostazioni per configurare la connessione:

  • Impostazioni del Server
  • Impostazione di connessione Diagnose Server Connection
  • Client di diagnosi
  • Diagnosis Viewer - Programma di analisi

Si consiglia di effettuare la configurazione della connessione per server e client via zenon6.ini.

Procedura

Il Diagnose Server è:

  • un servizio sul PC
    il servizio si avvia automaticamente al momento della partenza del sistema operativo. Il servizio locale può essere avviato solamente una volta.
  • un´applicazione sotto CE
    Sotto CE, solo un processo può usare la porta. Altri processi eventualmente avviati, vengono chiusi, perché la porta non può essere aperta. Se la configurazione locale del Diagnose Server sotto CE è tale che deve essere mostrata solamente la superficie (INIT=2), possono crearsi diversi processi a causa dei tentativi dei Diagnose Client di avviare il Diagnose Server locale.

Non appena un Diagnose Client è attivo, vengono eseguiti i seguenti passi:

  1. Il Diagnose Client legge la configurazione prendendola dallo zenon6.ini e la usa. Se nello zenon6.ini non c`è alcuna configurazione, viene usata quella standard (Diagnose Server=localhost:50780).
  2. Il Diagnose Client cerca di instaurare una connessone con il Diagnose Server:

    L´instaurazione della connessione riesce:

    1. la connessione di diagnosi è realizzata e degli inserimenti LOG vengono inviati.

    L´instaurazione della connessione fallisce:

    1. il Diagnose Client cerca di avviare il Diagnose Server locale e di usarlo.
      Il sistema cerca di avviare il servizio sul PC.
      Sotto CE, il sistema cerca di generare il processo.
    2. Il Diagnose Client cerca di instaurare una connessone con il Diagnose Server locale. Se ciò riesce, la connessione di diagnosi è realizzata e degli inserimenti LOG vengono inviati.

    Nel caso in cui la connessione non dovesse riuscire, non verrà creato nessun inserimento LOG.

Noch in diesem Kapitel

Inserimenti nello zenon6.ini

Windows CE


Inserimenti nello zenon6.ini

Manuale -> Tools -> Diagnosis Viewer -> Decorso standard -> Inserimenti nello zenon6.ini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La configurazione dello zenSysSrv e dello zenLogSrv viene eseguita nel file zenon6.ini. Ci sono delle differenze fra le versioni fino alla 6.51 e e quelle a partire dalle 7.00. In tal modo è possibile configurare su un apparecchio sia vecchi che nuovi Diagnose Client e Diagnose Server indipendentemente gli uni dagli altri. In questo modo, per esempio, si possono deviare gli inserimenti Log di vecchi Diagnose Client senza che gli inserimenti Log di nuovi Diagnose Client ne siano interessati.

Diagnose Server prima della versione 7.00 SP0

Inserimento INI

Descrizione

[SYS_REMOTE]

Sezione nello zenon6.ini.

Contiene i parametri per zenSysSrv (Trasporto Remoto e Diagnose Server).

LOGDirectory=

Definisce la cartella per i file Log.

Se non c´è questo inserimento, viene usata la cartella LOG nella cartella %ProgramData% della versione usata come valore standard.

Esempio:
LOGDirectory= %ProgramData%\COPA-DATA\zenon651\LOG

CONFIG=

Stringa di configurazione per il Diagnose Server e il zenSysSrv . Trasporto Remoto e diagnosis system usano (fino alla versione 6.51 SP0 compresa) la stessa configurazione server. La stringa consiste delle seguenti parti: DEVICE=[Device];HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: setta il tipo di comunicazione usato. Sono a disposizione
    TCP/IP e seriale.
  • HOST: viene settato sul nome computer del Diagnose Server.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.
  • BAUD: indica la velocità di connessione di una connessione seriale.

Configurazione PC:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Configurazione CE:

  • DEVICE=COM1
  • BAUD=115200

LOGMinFreeDiskSpace=

Definisce lo spazio di memoria minimo in MB che deve essere libero sul disco fisso. Prima di scendere sotto di questo valore, vengono cancellati file LOG.

Default: 1024

LOGMaxUsedDiskSpace=

Definisce lo spazio massimo di memoria in MB usato per i file LOG sul disco fisso. Prima che questo valore sia superato, vengono cancellati file LOG.

Default: 1024

LOGMinUsedDiskSpace=

Definisce lo spazio di memoria in MB sul disco fisso che viene occupato anche quando non ci sono dei file LOG.

Default: 5

LOGLogLifeTime=

Definisce il ciclo di vita dei file LOG in secondi. I file di LOG più vecchi vengono cancellati.

Default: 1209600 (corrisponde a 14 giorni)

LOGImageCnt=

Definisce il numero di inserimenti LOG dopo cui vengono scritti tutti i file di registro incrementali.

  • 0: non attivo (default)

LOGLogUpdateTime=

Numero di millisecondi dopo cui gli inserimenti LOG ricevuti vengono scritti in un file LOG.

Default: 2000

LOGMaxBufferedRecs=

Definisce il numero di inserimenti LOG che memorizzati nel buffer se non è possibile scriverli in file.

Default: 10240

LOGMaxLogFileSize=

Dimensione massima di un file LOG in byte. Quando un file LOG ha raggiunto questa dimensione, viene chiuso e ne viene generato uno nuovo.

Default: 5242880 (corrisponde a 5 MB)

LOGCheckDiskTime=

Definisce l´intervallo in secondi nel corso del quale il sistema verifica la quantità di memoria occupatoa dai file LOG.

Default: 60

INIT=

Azione al momento dell´avvio dell´applicazione sotto Windows CE:

  • 0: termina immediatamente.
  • 1 (o altro valore maggiore di 2): aprire porta di ascolto e ridurre a icona nella System Tray.
  • 2: mostra solo superficie

Default: 1

Nota: in seguito alla separazione di zenSysServ e zenLogServ per zenon 7.00, questo valore di default è stato modificato anche per altre versioni. Prima il valore di default era 2.

Diagnose Server a partire dalla versione 7.00 SP0

Inserimento INI

Descrizione

[LOGGING_SYSTEM]

Sezione nello zenon6.ini.

Contiene i parametri per il Diagnose Server. Riguarda solamente lo zenLogSrv e non ha alcun effetto sullo zenSysSrv.

LOGDirectory=

Definisce la cartella per i file Log.

Se non c´è questo inserimento, il sistema usa come valore standard:

  • Il percorso estratto dalla registry
    per es.. %ProgramData%\COPA-DATA\LOG
  • La cartella LOG nel percorso ProgramData dello zenLogSrv, se nella registry non è definito nessun percorso.
    per es. %ProgramData%\COPA-DATA\zenon700\LOG

CONFIG=

Stringa di configurazione per il Diagnose Server. La stringa consiste delle seguenti parti: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: fissa il tipo di comunicazione usato e deve essere sempre settato su TCP/IP
  • HOST: viene settato sul nome computer del server di diagnosi.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.

Configurazione:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

LOGMinFreeDiskSpace=

Definisce lo spazio di memoria minimo in MB che deve essere libero sul disco fisso. Prima di scendere sotto di questo valore, vengono cancellati file LOG.

Default: 1024

LOGMaxUsedDiskSpace=

Definisce lo spazio massimo di memoria in MB usato per i file LOG sul disco fisso. Prima che questo valore sia superato, vengono cancellati file LOG.

Default: 1024

LOGMinUsedDiskSpace=

Definisce lo spazio di memoria in MB sul disco fisso che viene occupato anche quando non ci sono dei file LOG.

Default: 5

LOGLogLifeTime=

Definisce il ciclo di vita dei file LOG in secondi. I file di LOG più vecchi vengono cancellati.

Default: 1209600 (corrisponde a 14 giorni)

LOGImageCnt=

Definisce il numero di inserimenti LOG dopo cui vengono scritti tutti i file di registro incrementali.

Default: 0

LOGLogUpdateTime=

Numero di millisecondi dopo cui gli inserimenti LOG ricevuti vengono scritti in un file LOG.

Default: 2000

LOGMaxBufferedRecs=

Definisce il numero di inserimenti LOG che memorizzati nel buffer se non è possibile scriverli in file.

Default: 10240

LOGMaxLogFileSize=

Dimensione massima di un file LOG in byte. Quando un file LOG ha raggiunto questa dimensione, viene chiuso e ne viene generato uno nuovo.

Default: 5242880 (corrisponde a 5 MB)

LOGCheckDiskTime=

Definisce l´intervallo in secondi nel corso del quale il sistema verifica la quantità di memoria occupatoa dai file LOG.

Default: 60

INIT=

Azione al momento dell´avvio dell´applicazione sotto Windows CE:

  • 0: termina immediatamente.
  • 1 (o altro valore maggiore di 2): aprire porta di ascolto e ridurre a icona nella System Tray.
  • 2: mostra solo superficie

Default: 1

Diagnose Client prima della versione 7.00 SP0

Inserimento INI

Descrizione

[SYS_REMOTE]

Sezione nello zenon6.ini.

Contiene i parametri per il Diagnose Client.

LOG_CONFIG=

Una stringa di configurazione per il Diagnose Client èr salvata qui. La stringa consiste delle seguenti parti: DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: fissa il tipo di comunicazione usato e deve essere sempre settato su TCP/IP
  • HOST: viene settato sul nome computer del server di diagnosi.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.

Configurazione:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Diagnose Client a partire dalla versione 7.00 SP0

Inserimento INI

Descrizione

[LOGGING_SYSTEM]

Sezione nello zenon6.ini.

Contiene i parametri per il Diagnose Client.

LOG_CONFIG=

Una stringa di configurazione per il Diagnose Client èr salvata qui. La stringa consiste delle seguenti parti:

DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: fissa il tipo di comunicazione usato e deve essere sempre settato su TCP/IP
  • HOST: viene settato sul nome computer del Diagnose Server.
  • PORT: indica la porta da usare.
  • TIMEOUT: indica il tempo di timeout della connessione in secondi.

Configurazione:

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

Nota:

INIT sotto CE

Con Windows CE si raccomanda vivamente di non settare l´inserimento INIT= (nella sezione [LOGGING_SYSTEM] o [SYS_REMOTE]) sul valore 2.

Ragione: il valore 2 porta al verificarsi della situazione seguente: sia SysSrvCE che LogSrvCE visualizzano solamente l´interfaccia e non aprono la porta di ascolto.
Se poi un Diagnose Client vuole stabilire una connessione, il tentativo fallisce. Visto che i Diagnose Client in questo caso avviano il LogSrvCE come processo e questo non apre la porta, ogni singolo Diagnose Client avvia questo processo. La conseguenza di questo sono molti processi LogSrvCE paralleli e un ritardo dell´avvio dei Diagnose Client, visto che questi attendono il trascorrere del timeout quando stabiliscono la connessione.

zenLogSrv su un sistema con diverse versioni

Se zenLogSrv viene usato su un sistema con diverse versioni come Diagnose Server centrale locale, l´inserimento LOG_CONFIG nella sezione [SYS_REMOTE] deve essere il seguente:
DEVICE=TCP/IP;HOST=localhost;PORT=5780;TIMEOUT=10

Ragione: client più vecchi usano poi lo zenLogSrv come Diagnose Server. I nuovi client lo fanno automaticamente. Questo servizio viene avviato automaticamente sul PC quando il sistema viene avviato; con CE deve essere avviato manualmente.

Attenzione se è impossibile raggiungere la porta, i client più vecchi avviano lo zenSysSrv e ritentano una connessione con questo.


Windows CE

Manuale -> Tools -> Diagnosis Viewer -> Decorso standard -> Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sotto Windows CE, il Diagnose Server viene avviato come applicazione.

Nell´effettuare la configurazione della connessione, tenete presente il consiglio del parametro INIT:

Con Windows CE si raccomanda vivamente di non settare l´inserimento INIT= (nella sezione [LOGGING_SYSTEM] o [SYS_REMOTE]) sul valore 2.

Ragione: il valore 2 porta al verificarsi della situazione seguente: sia SysSrvCE che LogSrvCE visualizzano solamente l´interfaccia e non aprono la porta di ascolto.
Se poi un Diagnose Client vuole stabilire una connessione, il tentativo fallisce. Visto che i Diagnose Client in questo caso avviano il LogSrvCE come processo e questo non apre la porta, ogni singolo Diagnose Client avvia questo processo. La conseguenza di questo sono molti processi LogSrvCE paralleli e un ritardo dell´avvio dei Diagnose Client, visto che questi attendono il trascorrere del timeout quando stabiliscono la connessione.

Superfici sotto CE

Transport Service (zenSysSrv)

Parametri

Descrizione

Start

Apre la Listening Port e consente allo zenSysSrv di ricevere comandi Trasporto Remoto.

Browse

Apre il dialogo per la ricerca del sistema file.

Stop

Termina la ricezione di comandi Trasporto Remoto e chiude la Listening Port.

Configuration

Selezione di una configurazione server disponibile fra quelle proposte dalla lista a cascata. Non possono essere configurate nuove connessioni. Per la configurazione delle connessioni, vedi sezione Inserimenti nello zenon6.ini.
Sono disponibili:

  • Configurazione tramite lo zenon6.ini
  • Configurazione standard per TCP/IP
  • Configurazioni standard per COM1 fino a COM4

Hide

Riduce ad icona la superficie nella taskbar.

Exit

Termina l´applicazione e chiude, se necessario, prima la Listening Port.

X
(pulsante in alto a destra)

Riduce ad icona la superficie nella taskbar.

Logging Service (zenLogSrv)

Parametri

Descrizione

Start

Apre la Listening Port e consente allo zenLogSrv di ricevere inserimenti LOG.

Stop

Termina la ricezione di inserimenti LOG e chiude la Listening Port.

Configuration

Selezione di una configurazione disponibile fra quelle proposte dalla lista a cascata. Non possono essere configurate nuove connessioni. Per la configurazione delle connessioni, vedi sezione Inserimenti nello zenon6.ini.
Sono disponibili:

  • Configurazione tramite lo zenon6.ini
  • Configurazione standard per TCP/IP

Hide

Riduce ad icona la superficie nella taskbar.

Exit

Termina l´applicazione e chiude, se necessario, prima la Listening Port.

X
(pulsante in alto a destra)

Riduce ad icona la superficie nella taskbar.


Diagnose Server

Manuale -> Tools -> Diagnosis Viewer -> Diagnose Server

Il Diagnose Server:

  • Crea e gestisce file di Log.
  • Il server è:
    • implementato come zenLogSrv a partire dalla versione 7.00 di zenon
    • integrato nello zenSysService fino alla versione 6.51 di zenon inclusa
  • La configurazione del server viene ripresa dallo zenon6.ini.
  • Il server scrive i file Log ricevuti nel file Log.
  • E' possibile configurare il luogo dove si salvano i file. Standard: %ProgramData%\COPA-DATA\LOG\
  • I file di Log hanno la denominazione LOG<YYMMTThhmmss>.txt.
  • Il server è multi-client. Diverse valutazioni possono collegarsi contemporaneamente al server.
  • C'è la possibilità di connettersi con il server online per seguire le operazioni di Loggin attuali.
  • C'è la possibilità di collegarsi a server diversi dal Server di diagnosi operante localmente e di effettuare le stesse operazioni (configurare il server o i client, Online Logging) che si realizzano sul server locale.
  • Possono essere modificati i parametri nel server attuale (con cui è collegato il Diagnose Viewer). Nel caso sia necessaria una modifica in un altro server di diaegnosi, la connessione server può essere cambiata usando il menu File-Connetti con... .
  • Nel menu, la voce Settings - Server configuration è disponibile solo nel caso in cui non si usi al momento un Online-Logging.

Noch in diesem Kapitel

Controllo integrità sistema

Impostazioni del Server


Controllo integrità sistema

Manuale -> Tools -> Diagnosis Viewer -> Diagnose Server -> Controllo integrità sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento dello start del runtime, viene avviato un thread di controllo che possiede il più elevato livello di priorità. Il thread controlla ogni 10 secondi i parametri critici di sistema e scrive gli eventuali avvertimenti e messaggi di errore nel modulo Supervisor del server di diagnosi.

Vengono controllati i seguenti parametri.

Parametri | Valore limite
Soglia di avvertimento per handle usati | > 5000
Soglia di errore per handle usati | > 9000
Soglia di avvertimento per oggetti GDI usati | > 5000
Soglia di errore per oggetti GDI usati | > 9000
Soglia di avvertimento per carico CPU per il thread principale | > 70 %
Soglia di errore per carico CPU per il thread principale | > 90 %
Soglia di avvertimento per carico CPU complessivo | > 70 %
Soglia di avvertimento per carico CPU complessivo | > 90 %
Soglia di avvertimento per memoria principale libera | < 30 %
Soglia di errore per memoria principale libera | < 10 %
Soglia di avvertimento per OnTimer in mainframe | > 1000 ms
Soglia di errore per OnTimer in mainframe | > 5000 ms


Impostazioni del Server

Manuale -> Tools -> Diagnosis Viewer -> Diagnose Server -> Impostazioni del Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Diagnose Server può essere configurato facendo uso di inserimenti nello zenon6.ini, oppure ricorrendo al dialogo Server configuration nel Diagnose Client. Si consiglia di effettuare le impostazioni tramite lo zenon6.ini.

Configurazione tramite lo zenon6.ini

Vedi sezione Inserimenti nello zenon6.ini.

Configurazione tramite dialogo

Per configurare un Diagnose Server facendo uso del dialogo:

  1. avviate il Diagnose Viewer
  2. aprire l´inserimento File Connect to...
  3. configurate il server desiderato
    (Fate attenzione a scegliere la port correttamente, a seconda della versione che state utilizzando!)
  4. aprite l´inserimento Settings -> Server configuration
  5. configurate gli eventi desiderati
  6. Chiudere la finestra di dialogo cliccando su OK.

Nota: tutte le modifiche verranno scritte nello zenon6.ini non appena si conferma la finestra di dialogo.

Configurazione degli eventi che vengono presi in considerazione dal Diagnose Viewer:

Parametri | Descrizione
Modules | Selezione del modulo da configurare.
Messagelevel | selezione degli eventi Default: Errors
LOGImageCnt | Numero degli inserimento dopo cui vengono scritti tutti i campi incrementali. Default: 0 (non attivo)
LOGMinFreeDiskSpace | Si controlla in continuazione se è disponibile meno posto sul disco di quello che è stato impostato al momento della configurazione. I più vecchi file di LOG vengono cancellati. Posto minimo libero sul disco (espresso in MB) prima che si proceda alla cancellazione di file di LOG. Default: 1024 MB
LOGMaxUsedDiskSpace | Posto massimo sul disco (espresso in MB) usato per il Log. Default: 1024 MB
LOGMinUsedDiskSpace | Posto minimo usato sul disco (espresso in MB) indipendentemente dal fatto se il LOGMinFreeDiskSpace sia superato per difetto o no. Default: 5 MB
LOGLogUpdateTime | Tempo in millisecondi dopo cui vengono salvati gli inserimenti ricevuti. Default: 2000 ms
LOGMaxBufferedRecs | Il server inserisce nel buffer il contenuto di tutti i campi Log incrementali per diverse applicazioni, per poter scrivere immagini di queste nel file LOG. Con l'avvio di un file LOG e dopo un numero configurabile di inserimenti-LOG, viene scritta nel file LOG un'immagine completa per tutti gli indirizzi. I dati ricevuti vengono scritti nei file di LOG. L'inserimento non avviene direttamente, ma passando per un buffer temporaneo. Si può stabilire se i dati debbono essere scritti immediatamente o con un tempo di ritardo. Numero degli inserimenti nel buffer quando non è stato possibile salvarli. Default: 10240
LOGMaxLogFileSize | Il server scrive i file Log ricevuti nel file Log. Se quest'ultimo raggiunge la grandezza configurata, viene creato un nuovo file. Grandezza massima di un singolo file LOG in Byte. Default: 5 MB
LOGDirectory | Cartella nella quale viene scritto il file LOG. Default: %ProgramData%\COPA-DATA\LOG\
LOGLogLifeTime | Avviene un controllo continuo volto a verificare se la durata del file LOG sia scaduta o meno. I più vecchi file LOG vengono cancellati. Numero dei secondi che vengono conservati nel file LOG. Default: 14 giorni
LOGCheckDiskTime | Intervallo espresso in secondi nel quale si controlla il posto del disco occupato. Default: 60 s
Message level for all modules | Le impostazioni vengono accettate per tutti i moduli.
Default values | Ripristina le impostazioni standard
Accept | Accetta le impostazioni per questo modulo.
Cancel | Rifiuta le modifiche e chiude il dialogo.
OK | Riprende e accetta le modifiche e chiude il dialogo.


Client di diagnosi

Manuale -> Tools -> Diagnosis Viewer -> Client di diagnosi

Tutti i programmi che creano inserimenti Log, sono Diagnose Client. Questi inserimenti Log vengono inviati al server di diagnosi via TCP/IP. Il calcolatore server e la porta vengono letti e contattati (indipendentemente dalla versione utilizzata) a partire dallo zenon6.ini locale. Se la connessione non può essere instaurata, il sistema ci riprova ciclicamente:

  • se il Diagnose Server non è raggiungibile, il sistema prova ad instaurare una connessione ogni 500 ms.
  • Se, trascorsa la metà del tempo di timeout, non fosse ancora possibile stabilire una connessione, si fa il tentativo di avviare il servizio zenSysSrv o zenLogSrv.

Le impostazioni relative vengono configurate mediante l´inserimento LOG_CONFIG= nella sezione [SYS_REMOTE] (fino alla versione 6.51) oppure il [LOGGING_SYSTEM] (a partire dalla versione 7.00).

Configurazione Diagnose Client

Per configurare un Diagnose Client facendo uso del dialogo:

  1. avviate il Diagnose Viewer
  2. aprite l´inserimento Settings -> Client configuration
    (disponibile solamente se il loggin non è attivo)
  3. evidenziate un client
  4. Cliccare su List of parameters
  5. Si apre il dialogo di configurazione
  6. configurate il client
  7. Chiudere la finestra di dialogo cliccando su OK.
  8. ripetete eventualmente il procedimento per altri client.

Lista client

Parametri | Descrizione
Clients | Ordina in una lista tutti i client disponibili.
Refresh | Attualizza la lista dei client.
List of parameters | Apre il dialogo per la configurazione del client selezionato.
Close | Chiude il dialogo.

Configura client

I moduli standard che possono essere selezionati, sono i seguenti:

Parametri

Descrizione

Modules

Selezione del modulo da configurare.

La lista si compone di moduli standard e altri moduli, che dipendono dal client in questione.

  • General: segnalazioni generali
  • Net: Messaggi in rete
  • Proxy: Segnalazioni del Proxy di zenon
  • Db: Messaggi di ZenDbSrv
  • SysSrv: Messaggi di ZenSysSrv
  • Driver: Messaggi di un driver
  • LOG: Messaggi di Logging
  • SAT: Messaggi speciali di SICAM 230

Messagelevel

Tipo delle informazioni

All

Seleziona tutto.

None

Deseleziona tutto.

Message Level for all Modules

Assegna Message Level evidenziati a tutti i moduli.

Max Buffered records

Quantità degli inserimenti che vengono inseriti nel buffer quando esiste una connessione col il server.
Default: 256

OK

Accetta tutte le modifiche e chiude il dialogo.

Cancel

Annulla tutte le modifiche e chiude il dialogo.

Accept

Riprende e accetta tutte le modifiche e lascia aperto il dialogo.

Default values

Inserisce i valori standard.


Diagnosis Viewer - Programma di analisi

Manuale -> Tools -> Diagnosis Viewer -> Diagnosis Viewer - Programma di analisi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Diagnose Viewer serve alla visualizzazione dei dati LOG. Si collega al server di diagnosi per visualizzare i file online o per richiamare file LOG storici. I file LOG non contengono solamente i dati LOG; vengono depositate anche ulteriori informazioni necessarie per l´analisi, come titoli colonne.

Per visualizzare un file LOG:

  1. selezionate File -> Open
  2. si apre il dialogo che serve alla scelta di un file LOG, con focus sulla cartella standard configurata
  3. selezionate il file desiderato
  4. il file LOG viene visualizzato

  5. cliccando due volte su un inserimento si apre la visuale dettagli

Riconoscimento di "Coda driver pieno" in caso di driver

Se delle segnalazioni di un driver vengono cancellate per "Coda driver pieno", i Diagnose Client e il Diagnose Server, scrivendo un nuovo inserimento per tutti i moduli attivi, settano un segnale nel nuovo inserimento che indica il fatto che degli inserimenti più vecchi sono stati cancellati dalla Queue. Questi segnali presenti nei file LOG aperti vengono contati:

Parametri | Descrizione
Colonna Record version | Questa colonna deve essere contenuta nella selezione colonne. Essa mostra la versione del record. Una versione 8x rimarca Overflows.
Contatore 82 | 8 rimanda a Overflow, 2 alla versione del record in questione.
Riga di stato: queue overflows | Con la riga di stato attiva, viene indicato in questa sede il numero di Overflows.

Nota: non tutti gli inserimenti scritti nel file di LOG vengono anche visualizzati. Se un record LOG non visualizzato è stato rimarcato con una coda, esso viene visualizzato nel prossimo record visualizzato da questo client. Se diversi inserimenti non visualizzati sono rimarcati con una coda, il contatore nella riga di stato può divergere dal numero dei record che sono rimarcati con coda.

Noch in diesem Kapitel

Impostazioni globali


Impostazioni globali

Manuale -> Tools -> Diagnosis Viewer -> Diagnosis Viewer - Programma di analisi -> Impostazioni globali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli inserimenti sono in lingua inglese.

Parametri

Descrizione

File

Comandi nel menù file

Open

Apre il dialogo che serve alla selezione di un file LOG salvato in formato TXT Ogni file di LOG aperto, viene visualizzato in una propria finestra.

Open to active document

Ogni file di LOG selezionato viene aggiunto alla finestra attiva in quel momento.

Close

Chiede la finestra attiva in quel momento.

Save

Salva i file di LOG della finestra attiva al momento.

Save as

Salva la visuale attuale della finestra attiva (per es. dopo le impostazioni di filtro) nel file che l'utente indica.

Remote Download

Disponibile solo se esiste una connessione con un Diagnose Server remoto. Consente il dowload di dati di logging del server remoto nella cartella LOG locale. Viene creata una sotto-cartella con il nome del calcolatore. Il sistema rende disponibile solo i file che sono stati modificati o che sono nuovi.

Connect to

Viene aperto un dialogo per la selezione di un tipo di connessione.

Online

Viene attivata l'osservazione errori online.
Quando viene avviato il Loggin online, vengono emessi tutti gli inserimenti ricevuti. Può essere impostato anche qui lo stesso dialogo filtro come nel caso della lettura file.

Differenza: nel caso in cui sia stata selezionata una connessione Log, vengono visualizzati tutti gli inserimenti Log ricevuti; in caso contrario solo quelli provenienti dai clienti selezionati.

Nel caso in cui si modifichi il filtro in relazione alla connessione Log, tutti gli inserimenti che non corrispondono alle condizioni di filtro, vanno perduti. (Il file LOG viene però impostato e tutti gli inserimenti vengono salvati.) Gli inserimenti visualizzati possono essere salvati.

Offline

Viene disattivata l'osservazione errori online (default).

Exit

Termina il Diagnose Viewer.

Noch in diesem Kapitel

Impostazione di connessione Diagnose Server Connection

Definizione colonne

Profili


Impostazione di connessione Diagnose Server Connection

Manuale -> Tools -> Diagnosis Viewer -> Diagnosis Viewer - Programma di analisi -> Impostazioni globali -> Impostazione di connessione Diagnose Server Connection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Diagnose Viewer si connette automaticamente al momento dello start con uno standard-server selezionato. Se non è definito nessun server standard, si usa localhost. La configurazione server può avvenire anche tramite lo zenon6.ini (consigliato).

Seleziona Diagnose Server

Cliccando su File -> Connect to..., si apre la finestra di dialogo per la selezione di un server.

Parametri

Descrizione

Lista server

Ordina in una lista tutti i server configurati e mostra:

  • Stato
  • Nome
  • Porta
  • Timeout

OK

Riprende le impostazioni e chiude il dialogo.

Cancel

Rifiuta le impostazioni e chiude il dialogo.

New Server

Apre il dialogo che serve alla configurazione di un nuovo server.

Delete Server

Inserimento "server selezionato" viene cancellato dalla lista.

Edit Server

Apre il dialogo per la configurazione del server selezionato.

Connect to

Instaura la connessione con il server selezionato.

As default

Inserimento "server selezionato" diviene "server standard.

Crea e modifica Diagnose Server

Cliccando su New Server oppure su Edit Server nel dialogo "Diagnosis Server connection", si apre il dialogo per la configurazione del server:

Parametri | Descrizione
Server name | Il nome del calcolatore con il quale deve essere effettuata la connessione. Su esso devono essere attivi: Fino alla versione 6.51: zenSysSrv Dalla versione 7.00: zenLogSrv
Port | Port del servizio sul calcolatore destinatario: fino alla versione 6.51: 1101 dalla versione 7.10: 50780
Timeout | Tempo, espresso in secondi, nel corso del quale si attende una risposta del Sysservice. Default: 10 s
OK | Riprende le impostazioni e chiude il dialogo.
Cancel | Rifiuta le impostazioni e chiude il dialogo.


Definizione colonne

Manuale -> Tools -> Diagnosis Viewer -> Diagnosis Viewer - Programma di analisi -> Impostazioni globali -> Definizione colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Alla voce Settings -> Column settings del menù si possono selezionare le colonne che devono essere visualizzate. La selezione vale solamente per l´intervallo di tempo in cui il file è aperto. Le impostazioni colonna, tuttavia possono essere salvate come profili:

Parametri | Descrizione
available | Colonne disponibili
selected | Colonne che vengono visualizzate
> | aggiunge le colonne selezionate in available a selected
>> | aggiunge tutte le colonne disponibili in available a selected
< | rimuove le colonne selezionate in selected
<< | rimuove tutte le colonne disponibili in selected
^ | ordina gli inserimenti selezionati in un livello superiore (multiselect possibile).
v | ordina gli inserimenti selezionati in un livello inferiore (multiselect possibile).
Ok | Riprende le impostazioni e chiude il dialogo.
Annulla | Rifiuta le impostazioni e chiude il dialogo.

Le colonne possono essere configurate anche nel menù contestuale:

Parametri | Descrizione
Add all columns with entry | Aggiunge tutte le colonne che contengono inserimenti.
Remove Column | Esclude le colonne selezionate.
Remove all empty columns | Esclude tutte le colonne senza inserimento.
Column width automatic | La larghezza della colonna selezionata viene adattata automaticamente all'inserimento più lungo.
All columns widths automatic | La larghezza di tutte le colonne viene adattata automaticamente all'inserimento più lungo.


Profili

Manuale -> Tools -> Diagnosis Viewer -> Diagnosis Viewer - Programma di analisi -> Impostazioni globali -> Profili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le impostazioni colonna possono essere salvate come profili:

Per salvare dei profili:

  1. Indicate nel campo della barra simboli un nome
  2. Cliccate sul simbolo con il dischetto.

Per caricare dei profili:

  1. Selezionare un profilo salvato fra quelli del menù a tendina
  2. Cliccate sul simbolo con il dischetto.

I profili sono salvati nel formato di file *.lvs.


Possibilità di filtro

Manuale -> Tools -> Diagnosis Viewer -> Possibilità di filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per definire dei filtri, aprite il dialogo corrispondente facendo uso dei relativi simboli oppure della scheda del filtro.

Barra simboli Filtro

Per poterla utilizzare, la barra dei simboli deve essere anzitutto attivata nel menu View facendo uso dell´inserimento Icon bar

Simbolo | Tooltip | Descrizione
1 | Change pre-filter settings | Apre il dialogo con cinque schede che serve alla definizione dei filtri.
2 | Change pre-filter for IP-ProcessID-LogID | Apre la scheda IP address - Process No - Log ID.
3 | Change pre-filter for modules | Apre la scheda Modules.
4 | Change pre-filter for additional columns | Apre la scheda Additional columns.
5 | Change pre-filter for time interval | Apre la scheda Time interval.
6 | Change pre-filter for coloring | Apre la scheda Colors.

Dialogo filtro

Schede | Descrizione
IP-ProcessID-LogID | Apre la scheda IP address - Process No - Log ID che serve alla configurazione dei collegamento di cui si deve effettuare il Login.
Modules | Apre la scheda Modules per i moduli di cui si deve effettuare il protocollaggio.
Additional columns | Apre la scheda Additional columns che serve alla selezione delle ulteriori colonne da visualizzare.
Time interval | Apre la scheda Time interval che serve alla definizione dei filtri tempo.
Colors | Apre la scheda Colors che serve alla selezione dei colori da utilizzare per mettere in evidenza determinate informazioni.

Noch in diesem Kapitel

IP address - Process No - Log ID

Modules

Additional columns

Time interval

Colors


IP address - Process No - Log ID

Manuale -> Tools -> Diagnosis Viewer -> Possibilità di filtro -> IP address - Process No - Log ID

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione delle connessioni e dei processi che devono essere visualizzati.

Parametri | Descrizione
available | Lista delle connessioni disponibili.
selected | Lista delle connessioni selezionate.
Pfeiltasten | Inseriscono i collegamenti selezionati (>), oppure tutti i collegamenti (>>) alla lista selected, oppure li elimina dalla stessa (< o <<).
OK | Riprende e accetta tutte le modifiche di tutte le schede e chiude il dialogo.
Abbrechen | Rifiuta tutte le modifiche di tutte le schede e chiude il dialogo.


Modules

Manuale -> Tools -> Diagnosis Viewer -> Possibilità di filtro -> Modules

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezione del moduli che devono essere visualizzati.

Parametri | Descrizione
Module filter active | Attivo: viene effettuata un´operazione sulla base di moduli. In tal modo, vengono visualizzati solamente dei record LOG che sono assegnati a un modul selezionato.
available | A disposizione ci sono i seguenti moduli:
selected | Moduli selezionati.
Tasti freccia | Inseriscono i collegamenti selezionati (>), oppure tutti i collegamenti (>>) alla lista selected, oppure li elimina dalla stessa (< o <<).
Ok | Riprende e accetta tutte le modifiche di tutte le schede e chiude il dialogo.
Annulla | Rifiuta tutte le modifiche di tutte le schede e chiude il dialogo.


Additional columns

Manuale -> Tools -> Diagnosis Viewer -> Possibilità di filtro -> Additional columns

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezione delle ulteriori colonne che devono essere visualizzate.

Parametri | Descrizione
available | Lista delle colonne disponibili. Vengono visualizzate tutte le definizioni di campo presenti nel file.
selected | Lista delle colonne selezionate.
Tasti freccia | Inseriscono i collegamenti selezionati (>), oppure tutti i collegamenti (>>) alla lista selected, oppure li elimina dalla stessa (< o <<).
Ok | Riprende e accetta tutte le modifiche di tutte le schede e chiude il dialogo.
Annulla | Rifiuta tutte le modifiche di tutte le schede e chiude il dialogo.


Time interval

Manuale -> Tools -> Diagnosis Viewer -> Possibilità di filtro -> Time interval

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione del filtro tempo per la rappresentazione degli inserimenti.

Parametri | Descrizione
Start time: | selezione della data e del momento a partire da cui verranno visualizzati degli inserimenti. Default: Data attuale
End time: | selezione della data e del momento fino a cui verranno visualizzati degli inserimenti. Default: Data attuale
Reset time interval | resetta il filtro sul valore standard.
Ok | Riprende e accetta tutte le modifiche di tutte le schede e chiude il dialogo.
Annulla | Rifiuta tutte le modifiche di tutte le schede e chiude il dialogo.


Colors

Manuale -> Tools -> Diagnosis Viewer -> Possibilità di filtro -> Colors

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezione dei colori per caratterizzare delle informazioni.

Parametri | Descrizione
Colors for: | selezione del colore
IP address | Attivo: Dei differenti indirizzi IP vengono colorati in modo diverso.
Modules | Attivo: Dei differenti moduli hanno diversi colori.
Log connection | Attivo: Diversi nomi del collegamento LOG vengono colorati in modo differente.
no colors | Attivo: gli inserimenti non vengono colorati.
Ok | Riprende e accetta tutte le modifiche di tutte le schede e chiude il dialogo.
Annulla | Rifiuta tutte le modifiche di tutte le schede e chiude il dialogo.


Lettura del file LOG

Manuale -> Tools -> Diagnosis Viewer -> Lettura del file LOG

E' possibile aprire contemporaneamente più file di LOG in una analisi. Per limitare la visualizzazione bisogna impostare un pre-filtro. Ciò è reso possibile da 5 schede. Questo filtro può essere modificato anche in seguito. Una volta impostato il filtro, vengono visualizzati solo gli inserimenti che soddisfano le condizioni del filtro stesso. Gli inserimenti vengono messi in ordine cronologico.

Colonne filtro

Un'altra possibilità di filtro è rappresentata dalle colonne filtro. E' possibile inserire nel campo di inserimento sotto il titolo della colonna delle condizioni di filtro. I campi supportano la Regular Expressions, grazie alla quale è possibile formare anche delle complesse condizioni di filtro. La lista può essere ordinata in senso crescente o decrescente cliccando sul titolo delle colonne. Gli inserimenti visualizzati possono essere salvati. I campi da visualizzare possono essere selezionati usando la voce di menù Settings -> Column settings.

Campi standard nel file LOG:

ID | Parametri | Descrizione
i | IP address | Indirizzo IP. Identifica il client e consente di assegnare il messaggio.
i | Log ID | ID dell´inserimento. Identifica il client e permette di effettuare l'assegnazione del messaggio.
i | Message Level | Nome del livello di messaggio per cui è stato inserito il messaggio.
i | Module | Nome del modulo per cui è stato inserito il messaggio.
i | Process ID | ID del processo Identifica il client e consente di assegnare il messaggio.
i | Record type | Tipo di inserimento.
i | Record version | Numero di versione dell´inserimento.
i | Thread ID | ID del Threads da cui la segnalazione è stata inserita.
i | Timestamp | Ora della generazione della segnalazione in UTC.

Campi opzionali con ID fisso:

ID | Costante | Descrizione
1 | Name of log connection | Nome del collegamento di Loggin.
2 | Thread name | Nome del thread.
3 | Name of source files | Nome del file sorgente.
4 | Source line | Sourceline.
5 | Assert condition | Condizione assert.
6 | Computer name | Nome computer.
7 | Function name | Nome funzione.
8 | Project name | Nome progetto.
9 | Project GUID | GUID del progetto.
10 | Project path | Percorso progetto.
11 | Sent Data | Dati inviati.
12 | Received data | Dati ricevuti.
13 | no. serial interface | Numero della porta seriale
14 | Baudrate | Baudrate
15 | dtr setting | Impostazione DTR.
16 | rts setting | Impostazione RTS.
17 | Serial char. length | Lunghezza segni seriale.
18 | Parity | Parità.
19 | No. stopbits | Numero degli stopbit.
20 | CTS | CTS.
21 | dsr | DSR.
22 | dsr sensitivity | DSR Sensitivity.
23 | Network port no. | Numero di porta in rete.
24 | Server name | Nome server.
25 | Standby name | Nome Standby Server.
26 | Client name | Nome client.
27 | Server IP | Indirizzo IP server.
28 | Standby IP | Indirizzo IP Standby.
29 | Client IP | Indirizzo IP Client.
30 | Binary buffer | Buffer binario.
31 | Pointer | Pointer.
32 | Class name | Nome della classe.
33 | Error code | Codice di errore.
34 | DLL instance handle | DLL Instanzhandle.
35 | DLL name | Nome DLL.
36 | Driver error parameter 1 | Parametro di errore 1 driver
37 | Driver error parameter 2 | Parametro di errore 2 driver
38 | Trace Message | Messaggio Trace.
39 | Errortext | Testo di errore.
40 | Error file name | Nome error file.
41 | Success condition | Condizione per successo.
42 | Value if successful | Valore se non si è avuto successo.
43 | Net adress | Indirizzo di rete:
44 | Datablock | Blocco dati.
45 | Offset | Offset.
46 | Bit number | Numero Bit.
47 | Area in PLC | Settore nel PLC.
48 | Communication direction | Indica la direzione della comunicazione come valore stringa.
49 | General text | Testo generale.
50 | Main version no. | Numero versione principale.
51 | Sub version no. | Numero sottoversione.
52 | Build no. | Numero Build.
53 | Servicepack | Service Pack.
54 | Hotfix no. | Numero hotfix.
55 | Sending client | Client che ha inviato il comando
56 | Target client for command | Client destinatario del comando.
57 | Database no. | Numero banca dati.
58 | Datapoint no. | Numero punto dati (numero canale).
59 | Datapoint value | Valore del punto dati.
60 | Datapoint status | Stato del punto dato.
61 | Datapoint timestamp | Ora del punto dato in secondi.
62 | Duration in ms | Durata in millisecondi.
63 | Number, counter | Numero, contatore.


Struttura del file Log

Manuale -> Tools -> Diagnosis Viewer -> Struttura del file Log

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I file Log sono file di testo ANSI. I singoli campi vengono divisi medianti segni di tabulazione. Come segno conclusivo si usa CR+LF. Questi file possono essere aperti anche in Notepad.

I file Log contengono le informazioni in modo sequenziale, e non in ordine cronologico.

Noch in diesem Kapitel

Livelli di segnalazione

Funzione di ricerca


Livelli di segnalazione

Manuale -> Tools -> Diagnosis Viewer -> Struttura del file Log -> Livelli di segnalazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la suddivisione dei messaggi Log esistono otto gruppi: quest'ultimi hanno un codice Bit e, perciò, possono essere anche combinati.

1 | Messaggi d'errore
2 | Avvisi
4 | Messaggio di successo
8 | TRACE
16 | ASSERT
32 | Messaggi Log
64 | Debug
128 | Debug esteso


Funzione di ricerca

Manuale -> Tools -> Diagnosis Viewer -> Struttura del file Log -> Funzione di ricerca

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Mediante View/Find si può effettuare una ricerca nella finestra attuale. Tutti i risultati della stessa vengono marcati.


Gestione degli errori per il Diagnose Viewer

Manuale -> Tools -> Diagnosis Viewer -> Gestione degli errori per il Diagnose Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Errore

Errore

Possibili cause

La port non può essere aperta.
  • Un´altra applicazione usa la porta.
    Controllate con "netstat".
  • Le porte per gli inserimenti
    [SYS_REMOTE] CONFIG e
    [LOGGING_SYSTEM] CONFIG
    sono identiche. zenLogSrv e zenSysSrv cercano poi di aprire la stessa porta.

I Diagnose Client non avviano lo zenLogSrv

  • Lo zenAdminSrv è stato chiuso. Senza di esso, il servizio non può essere avviato.
  • Lo zenLogSrv non è registrato sul PC come servizio. In questo caso, digitare nella riga di comandi: zenLogSrv.exe –Service
  • I Diagnose Client non sono della versione 7.00SP0 oppure dal numero di serie maggiore. Lo zenLogSrv, però, viene usato solamente a partire da questa versione.
  • Sotto Windows CE: le singole componenti (Runtime, SysSrvCE, LogSrvCE) si trovano in diverse cartelle. Esse, però, si devono trovare nella stessa cartella, altrimenti non riescono a trovarsi l´una con l´altra.

Sotto CE, molti processi vengono impostati da SysSrvCE.exe o. LogSrvCE.exe.
  • Uno dei due inserimenti nello zenon6.ini,
    [SYS_REMOTE] INIT oppure
    [LOGGING_SYSTEM] INIT
    ha il valore 2.
    Ciò ha come conseguenza che l´applicazione mostra solamente la superficie e non apre la Listening Port. Ogni Diagnose Client cerca di avviare il processo, visto che non riesce a collegarsi al server di diagnosi.

Diversi processi si interrompono.

(Unhandled Exceptions del server di diagnosi al momento di ricevere delle segnalazioni LOG o comandi di configurazione oppure del Diagnose Client e del Diagnose Viewer al momento dell´avvio o quando ricevono la configurazione).
  • Le versioni non sono compatibili. I Diagnose Client, il Diagnose Server e il Diagnose Viewer devono essere tutti della versione 7.00 SP0 o successiva, OPPURE della versione 6.51 SP0 o precedenti (vedi Compatibilità).

Inserimenti LOG.

Inserimento

Descrizione

SysSrv received not supported network message!

Lo zenSysSrv ha ricevuto un telegramma di rete che non viene supportato. Esempio: Inserimenti LOG

LogSrv received not supported network message!

Lo zenLogSrv ha ricevuto un telegramma di rete che non viene supportato. Esempio: Comandi Trasporto Remoto.

Could not open listening port. Server will be stopped.

Lo zenLogSrv oppure zenSysSrv non ha potuto aprire la sua Listening Port. La segnalazione di errore viene protocollata nel modo seguente:

  • zenLogSrv e zenSysSrv sul PC:
    Inserimento nella visualizzazione eventi di Windows.
  • zenSysSrv sotto CE:
    Message-Box per l´utente e inserimento LOG per il Diagnose Server.
  • zenLogSrv sotto CE:
    Message Box per l´utente.

I seguenti inserimenti LOG vengono assegnati a diversi sistemi. La prima parte della segnalazione indica se il servizio o il client sono interessati:

  • SysSrv: zenSysSrv
  • SysCli: Client al zenSysSrv
  • LogSrv: zenLogSrv
  • LogCli: Client di diagnosi
Inserimento | Descrizione
[SysSrv/LogSrv/SysCli/LogCli] Info InitString [String] | È stata inizializzata una connessione di rete con la stringa di configurazione visualizzata. Il server apre le port e i client si connettono al server.
[SysSrv/LogSrv/SysCli/LogCli] WINSOCK ERROR | Nel corso di un´operazione di rete si è verificato un errore eccezionale. I dettagli vengono emessi.
[SysSrv/LogSrv] Accept Failed! | Un tentativo di connessione di un client non poteva essere accettato.
[SysSrv/LogSrv/SysCli/ LogCli] Write Faild | Non è stato possibile inviare tutti i dati. Il numero dei bytes inviati e quello dei byte da inviare vengono indicati dal sistema.
[SysSrv/LogSrv] Client [String] in List Delete! | Il client si è disconnesso dal server.
[SysSrv/LogSrv] Client [String] in List Insert | Il client si è connesso al server.


Keyblock Runtime Start

Manuale -> Tools -> Keyblock Runtime Start

Keyblock Runtime Start è un programma con cui il Runtime di zenon viene eseguito come Shell . In questo caso il Runtime di zenon viene avviato, ma vengono bloccati tutti i tasti di sistema di Windows. I tasti di scelta rapida, come ad esempio il tasto Windows oppure la combinazione Ctrl+Alt+Canc, non hanno più alcuna funzione. Gli utenti non possono più accedere al sistema operativo facendo uso di questi tasti, ma possono lavorare solamente nell´interfaccia di zenon.

Il presupposto di ciò è che la proprietà di progetto Titolo Runtime sia settata su Nessun titolo (schermo completo). In questo caso zenon funziona in modalità a schermo intero e il Runtime non può ridotto a icona .

Tenete presente anche le indicazioni in proposito contenute nel capitolo Proteggi file Runtime

Nota: il blocco del tasto Windows può essere aggirato. Bloccate il tasto Windows usando l'inserimento corrispondente nello Startup Tool (scheda "General" delle "Application settings.."; abilitare l'opzione "Disable Windows Key")

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Noch in diesem Kapitel

Utilizzo

Proteggi file runtime


Utilizzo

Manuale -> Tools -> Keyblock Runtime Start -> Utilizzo

Per usare Keyblock Runtime Start:

  1. Aprire nella cartella di avvio di Windows, alla voce COPA-DATA, i Tools di zenon.
  2. Selezionare Keyblock Runtime Start.
  3. Il programma si avvia e lancia automaticamente il Runtime
  4. Il programma blocca tutti gli accessi al sistema operativo:
    • Combinazioni di tasti bloccate:

      Ctrl+Alt+Canc

      Ctrl+Esc

      Alt+Tab

      Alt+Esc

      Alt+F4

      Tasto WINDOWS(fatta eccezione perWindows + L)
      Nota:
      Con il blocco dei tasti di sistema, viene bloccata anche la gestione normale delle barre di scorrimento con il mouse a Runtime. Si può aggirare questo blocco usando il menù contestuale.
      Se si blocca il sistema usando la combinazione di tasti Windows + L, tutte gli shortcut di Windows saranno di nuovo a disposizione alla prossima registrazione nel sistema. Per evitarlo, disattivare nello Startup Tool, più precisamente sotto Application -> Options -> General, il tasto Windows.

    • Nascondere il pannello di controllo nel menù di avvio
    • Blocco della gestione della barra degli strumenti
    • Impedire

      Modifica delle password

      Chiusura di Windows

      Logout

      Blocco del computer

      Cambio di utente

    • Nascondere tutti gli elementi del Task Manager

info Informazioni su

Se il Keyblock Runtime Start viene avviato con il meccanismo di Autostart del sistema operativo, tenere presente quanto segue:

  • La cartella di Autostart è specifica dell´utente:
    Se si registra un altro utente, il programma non verrà eseguito.
  • L´esecuzione di programmi di Autostart può essere inibito premendo il tasto SHIFT al momento dell´avvio del sistema operativo.

Non è possibile aggirare questo blocco durante a Runtime. Quando si chiude il Runtime in modo normale, anche le restrizioni di sistema vengono cancellate. Se si vuole poter gestire il Runtime senza queste restrizioni, il Runtime deve essere avviato senza il Keyblock Runtime Start.

attention Attenzione

Fatte attenzione che nel progetto sia configurata una possibilità di chiudere il runtime Non esiste la possibilità di terminare regolarmente il Runtime:

  • esso può essere chiuso solamente spegnendo il calcolatore.
  • anche dopo il riavvio rimangono bloccati tutti i tasti di sistema

Per rendere di nuovo disponibili i tasti di sistema anche dopo una chiusura non regolare (per esempio per mancanza improvvisa di energia elettrica):

  • riavviate il Runtime facendo uso di Keyblock Runtime Start
  • chiudete il Runtime in modo regolare facendo uso di un pulsante "chiudi".


Proteggi file runtime

Manuale -> Tools -> Keyblock Runtime Start -> Proteggi file runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´accesso ai file Runtime può essere limitato in modo notevole e, in tal modo, si può creare un meccanismo di protezione dei file stessi. Si può permettere l´accesso di lettura e scrittura alla cartella Runtime a un solo utente Windows. Tutti gli altri utenti Windows non hanno nessun tipo di diritto nell´ambito della cartella Runtime, neanche diritti di sola lettura. Gli utenti effettuano il login durante il Runtime come user di zenon.

Per limitare l´accesso al file system:

  1. Creare solamente un singolo utente Windows (per esempio: zenon_ADMIN) autorizzato ad avviare zenon, e a leggere e scrivere nella cartella Runtime di zenon.
  2. Disabilitare l´accesso alla cartella Runtime di zenon per tutti gli altri utenti Windows - inclusa autorizzazione di lettura!
  3. Disabilitare ogni forma di accesso remoto all´utente zenon_ADMIN.
  4. Bloccare ogni software per la manutenzione remota, o per l´ accesso remoto, come il Remote Desktop di zenon .
  5. Assicurarsi che zenon possa essere avviato solamente se questo utente (zenon_ADMIN) ha eseguito il login.
    Visto che altri utenti Windows non hanno nessuna autorizzazione di lettura, il Runtime si avvierà solamente nel contesto di questo utente (zenon_ADMIN).
  6. Assicurarsi che zenon sia eseguito come shell:
    1. A questo scopo, creare un Autostart di zenon con Keyblock Runtime Start
    2. Attivare la proprietà Pulsanti di sistema bloccati nel gruppo Impostazioni Runtime delle proprietà di progetto.
    3. Avviare zenon in modalità schermo intero: per la proprietà Titolo Runtime, selezionare l´opzione Nessun titolo dal menù a tendina.
    4. In fase di configurazione, tenere presenti anche i sistemi con più di un monitor.
    5. Disabilitare "Explorer start".
    6. Non offrire finestre di dialogo di selezione file.
      (in questo caso non devono essere progettate delle funzioni che esigono dall´utente di selezionare dei file nel Runtime)

Seguendo queste indicazioni si riduce l´accesso al file system di zenon.


Aggiornamento online dell´help di zenon

Manuale -> Tools -> Aggiornamento online dell´help di zenon

Il Documentation-Download Tool gestisce l´aggiornamento della Vostra guida in linea, inclusi Embedded Help, Dialog Help, Tool-Tipps e la documentazione in formato PDF di zenon e zenon Logic.

L´aggiornamento viene effettuato online. È quindi necessario disporre di una connessione Internet.

Contenuti degli update della documentazione:

Il Documentation-Download Tool supporta gli update di:

  • documentazione di zenon e zenon Logic
  • documentazione relativa ai driver
  • Tutorial
  • Glossario

Formati file degli update della documentazione:

Il Documentation-Download Tool supporta gli update di:

  • guida in linea per zenon e zenon Logic (.chm)
  • documentazione di zenon (.pdf)

Nota: questo tool è a disposizione solamente in lingua inglese.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Noch in diesem Kapitel

Installazione

Start del programma

Navigazione

Proxy Settings

Selezione della versione

Selezione lingua

Quadro generale degli update disponibili

Dialogo di stato


Installazione

Manuale -> Tools -> Aggiornamento online dell´help di zenon -> Installazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Documentation-Download Tool viene installato automaticamente con zenon.


Start del programma

Manuale -> Tools -> Aggiornamento online dell´help di zenon -> Start del programma

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avviare il Documentation-Download-Tools:

  • Passate alla cartella C:\Program Files (x86)\Common Files\COPA-DATA\STARTUP.
  • Avviate il programma DokumentationDownloadTool.exe cliccando due volte con il mouse.
  • La finestra di dialogo di partenza del programma si apre.


Navigazione

Manuale -> Tools -> Aggiornamento online dell´help di zenon -> Navigazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Si naviga attraverso le finestre di dialogo avviene facendo uso della barra di navigazione che si trova nella parte inferiore della finestra di dialogo:

Pulsante | Descrizione
Exit | Chiude il Documentation-Download-Tool
Back | Torna alla finestra di dialogo precedente del tool.
Next | Passa alla prossima finestra di dialogo nella fase di avanzamento del tool.
Proxy Settings | Apre/Chiude la lista espandibile per la Configurazione delle impostazioni Proxy. Attiva solamente nella finestra di dialogo di partenza.


Proxy Settings

Manuale -> Tools -> Aggiornamento online dell´help di zenon -> Proxy Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le impostazioni proxy della rete possono essere configurate attraverso l´inserimentoProxy Settings.

Per aprirle, cliccate nella finestra di partenza del tool su Proxy Settings. L´apertura è possibile solamente nel dialogo di partenza. Questa proprietà, infatti, non è attiva nelle successive finestre di dialogo.

Parametri | Descrizione
Auto-detect proxy settings for this network | Le impostazioni proxy vengono usate per la comunicazione con l´Internet. (Default: attivo)
Manual proxy configuration | Consente la configurazione delle impostazioni proxy.
Proxy: | Indirizzo del server proxy.
Port: | Porta del server proxy. (Default: 8080)
User: | Nome utente sul server proxy (opzionale).
Password: | Password sul server proxy (opzionale).

info Informazioni su

Il Documentation-Download-Tool memorizza queste impostazioni proxy. Se modificate regolarmente la password di accesso, dovete modificarla anche nelle impostazioni Proxy del Documentation-Download-Tool!

Noch in diesem Kapitel

Impostazioni proxy errate


Impostazioni proxy errate

Manuale -> Tools -> Aggiornamento online dell´help di zenon -> Proxy Settings -> Impostazioni proxy errate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si effettuano inserimenti errati, il sistema visualizza un dialogo di errore.

Confermate questo dialogo cliccando su OK e tornerete automaticamente al dialogo di impostazione delle Proxy Settings.


Selezione della versione

Manuale -> Tools -> Aggiornamento online dell´help di zenon -> Selezione della versione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa finestra di dialogo selezionate la versione di zenon che deve essere aggiornata.

Parametri | Descrizione
Lista delle versioni installate | Elenca le versioni di zenon installate sul computer. Selezione della versione che deve essere aggiornata con un semplice click del mouse. Nota: si può aggiornare solamente una versione di COPA-DATA alla volta. Non è possibile effettuare una scelta multipla.
Exit | Chiude il Documentation-Download-Tool
Next | Passa alla prossima finestra di dialogo nella fase di avanzamento del tool.
Proxy Settings | Non attivo in questa finestra di dialogo.


Selezione lingua

Manuale -> Tools -> Aggiornamento online dell´help di zenon -> Selezione lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa finestra di dialogo selezionate la lingua di zenon che deve essere aggiornata.

Parametri

Descrizione

Lista delle lingue disponibili

Elenca le lingue disponibili per zenon:

  • Inglese (ENGLISH)
  • Francese (FRENCH)
  • Tedesco (GERMAN)
  • Italiano (ITALIAN)
  • Russo (RUSSIAN)
  • Spagnolo (SPANISH)

Selezione della lingua che deve essere aggiornata con un click del mouse.

Nota: si può aggiornare solamente una versione di COPA-DATA alla volta. Non è possibile effettuare una scelta multipla.

Exit

Torna alla finestra di dialogo precedente del tool.

Back

Torna alla finestra di dialogo precedente del tool.

Next

Passa alla prossima finestra di dialogo nella fase di avanzamento del tool.

Proxy Settings

Non attivo in questa finestra di dialogo.

Noch in diesem Kapitel

Nessun update disponibile

Contenuti della guida di zenon dipendenti dalla lingua


Nessun update disponibile

Manuale -> Tools -> Aggiornamento online dell´help di zenon -> Selezione lingua -> Nessun update disponibile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se la guida online e offline non sono aggiornate, il sistema visualizzerà una corrispondente finestra di dialogo:

cliccando sul pulsante OK si torna alla finestra di dialogo Language .


Contenuti della guida di zenon dipendenti dalla lingua

Manuale -> Tools -> Aggiornamento online dell´help di zenon -> Selezione lingua -> Contenuti della guida di zenon dipendenti dalla lingua

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I contenuti linguistici disponibili per zenon e zenon Logic:

Lingua | Embedded Help | Guida online/offline | Documentazione driver online/offline
Inglese | inglese | inglese | inglese
Francese | francese | inglese | inglese
Tedesco | tedesco | tedesco | tedesco
Italiano | italiano | italiano | inglese
Russo | russo | inglese | inglese
spagnolo | spagnolo | inglese | inglese


Quadro generale degli update disponibili

Manuale -> Tools -> Aggiornamento online dell´help di zenon -> Quadro generale degli update disponibili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una volta scelte le condizioni di update, appare una finestra di dialogo nella quale c´è un elenco degli update disponibili:

Parametri | Descrizione
Lista degli update a disposizione. | Lista dei documenti che sono disponibili nella versione di zenon scelta. Nota: questa lista ha il solo scopo di fornire un´informazione. Non è possibile effettuare una selezione.
Exit | Chiude il Documentation-Download-Tool
Back | Torna alla finestra di dialogo precedente del tool.
Next | Passa alla prossima finestra di dialogo nella fase di avanzamento del tool.
Proxy Settings | Non attivo in questa finestra di dialogo.


Dialogo di stato

Manuale -> Tools -> Aggiornamento online dell´help di zenon -> Dialogo di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa finestra di dialogo mostra lo stato di avanzamento del download dei file PDF e/o di quelli della guida in linea.

Parametri

Descrizione

Fileinformation

Informazioni dettagliate concernenti il file che viene scaricato al momento:

  • Origine del file
  • Dimensione del file
  • Luogo di salvataggio sul computer locale

Current File:

Visualizzazione dello stato del file attuale, inclusa velocità del download in corso.

Overall Progress

Visualizzazione dello stato dell´intero update, inclusa visualizzazione percentuale e quella della parte restante.

Exit
  • Interrompe il download in corso.
  • Chiude il Documentation-Download-Tool

Pause

Mette in pausa il download in corso.

Resume

Fa ripartire il download interrotto (cliccando su Pausa).

Questo pulsante è attivo solamente se è stato attivato prima il bottone Pausa

Cancel

Termina il download in corso.

Proxy Setting

Non attivo in questa finestra di dialogo.

Noch in diesem Kapitel

Download complete

Annulla


Download complete

Manuale -> Tools -> Aggiornamento online dell´help di zenon -> Dialogo di stato -> Download complete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo la conclusione del download, viene visualizzata la seguente finestra di dialogo:

Parametri | Descrizione
Exit | Chiude il Documentation-Download-Tool
Resume | Non attivo in questa finestra di dialogo.
Restart | Si torna al Dialogo di partenza del tool.
Proxy Settings | Non attivo in questa finestra di dialogo.


Annulla

Manuale -> Tools -> Aggiornamento online dell´help di zenon -> Dialogo di stato -> Annulla

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo l´attivazione del pulsante Cancel, viene visualizzata la seguente finestra di dialogo:

Parametri | Descrizione
Exit | Chiude il Documentation-Download-Tool
Resume | Non attivo in questa finestra di dialogo.
Restart | Si torna al Dialogo di partenza del tool.
Proxy Settings | Non attivo in questa finestra di dialogo.


Tool startup

Manuale -> Tools -> Tool startup

Lo Startup Tool permette di:

  • avviare editor e runtime con determinati parametri.
  • far funzionare diverse versioni di zenon parallelamente su un computer
    (le versioni di zenon già installate vengono aggiunte automaticamente nello Startup Tool al momento dell´installazione della nuova).
  • gestire diverse istanze SQL per la stessa versione di zenon
  • gestire impostazioni di diverse versioni.
  • definire la lingua dell´Editor e del Runtime prima dello start.
  • definire la lingua del Web Client prima dello start.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

attention Attenzione

Il tool "Startup Tool" non si avvia se non funziona il zenAdminSrv. Se quest´ultimo non dovesse essere attivo, può essere avviato manualmente nel Pannello di controllo di Windows alla voce Gestione/Servizi .

Noch in diesem Kapitel

Dialogo di partenza

Properties

Messaggi durante la registrazione

Riga di comando


Dialogo di partenza

Manuale -> Tools -> Tool startup -> Dialogo di partenza

Nel dialogo di partenza gestite le versioni attualmente installate di zenon. A partire dalla versione 7.10, avete la possibilità di avviare l´Editor e il Runtime sia come applicazione a 32-Bit che a 64-Bit.

Se è stata specificata solamente una versione a 32 bit di zenon 7.10, oppure viene riconosciuta una versione più vecchia, il sistema visualizza solamente un pulsante per l´Editor e uno per il Runtime:

Se sono state specificate entrambe le versioni, il sistema visualizza due pulsanti separati per 32 bit e 64-bit.

Pulsante

Funzione

Lista delle versioni di zenon.

Mostra tutte le versioni di zenon installate.

Move entry down

Sposta verso l´alto l´inserimento selezionato all´interno della lista.

Move entry up

Sposta verso il basso l´inserimento selezionato all´interno della lista.

Editor

Avvia l´editor della versione selezionata di zenon.

Due pulsanti separati sono disponibili per versioni a 64-bit. Il bottone per 64-bit contiene un´indicazione corrispondente nell´angolo in basso a sinistra.

Runtime

Avvia il runtime della versione selezionata di zenon

Due pulsanti separati sono disponibili per versioni a 64-bit. Il bottone per 64-bit contiene un´indicazione corrispondente nell´angolo in basso a sinistra.

Register

Avvia tutti i servizi della versione selezionata di zenon:

  • Standard: Registra zenon. Lo ZenSysSrv vien registrato come processo.
  • Terminal Server: registra zenon per l´uso con un Terminal Server. Procedimenti:
    Viene annullata la registrazione dello ZenDBSrv che non viene più registrato e neppure avviato.
    Lo ZenSysSrv vien registrato come servizio.
    Gli inserimenti nello zenon6.ini vengono adattati all´uso sul Terminal Server.

Se in un inserimento non c`è nessun Parametro per Workspace e/o Runtime, l´attuale versione viene ri-registrata. Ciò vale per la registrazione come Standard e come Terminalserver.

Help

Apre la guida online.

Tools

Apre un dialogo per avviare ulteriori applicazioni della versione selezionata di zenon.

Se vengono aperti i tools per una versione a 64-bit valida, essi verranno visualizzati in due liste, per 32-bit tools e 64-bit tools.

Processi al momento dello start

Al momento dell´avvio dell´editor, oppure del runtime, i dati delle impostazioni standard vengono scritti nel file zenon6.ini. Le impostazioni presenti in quel momento nel file INI vengono sovrascritte.

A partire dalla versione 5, la comunicazione di rete si effettua mediante i servizi (zenNetSrv.exe e zenSysSrv.exe). Entrambi i file devono trovarsi nella cartella zenon. Questi servizi dipendono dalle diverse funzioni e proprio per questo devono essere registrati in modo adeguato alle diverse versioni.

attention Attenzione

Dopo la conversione di un progetto in una versione di zenon più recente, questo progetto non potrà essere più modificato, né potrà più funzionare con la versione precedente. Tuttavia, la versione di backup creata al momento della conversione, potrà continuare ad essere usata nell´Editor originario.

Nel caso di progetti di rete, sul server e sui client devono essere usate le stesse versioni dell´Editor di zenon.

Noch in diesem Kapitel

Application

Item

Guida


Application

Manuale -> Tools -> Tool startup -> Dialogo di partenza -> Application

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inserimento | Funzione
Options | Apre il dialogo per la configurazione dell´impostazione.
Exit | Chiude lo Startup Tool

Options

  • L´inserimento Options nel menù Application apre la finestra di dialogo per la configurazione delle proprietà per:
  • General: Impostazioni generali
  • Network configuration: Configurazione della rete e della forte cifratura della comunicazione di rete
  • Listening ports: Configurazione delle listening ports
  • Service startup: Avviare programmi come servizio

Noch in diesem Kapitel

Generale

Network configuration

Listening ports:

Service startup


Generale

Manuale -> Tools -> Tool startup -> Dialogo di partenza -> Application -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Impostazioni generali:

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

I pulsanti vengono visualizzati nella lingua di sistema del computer.

Parametri

attivo

inattivo

Start Startup Tool mimimized

Apre il Tool come icona. Il Tool può essere aperto cliccando sul pulsante corrispondente che si trova sulla barra task.

Il menù contestuale offre per la versione attiva di <CD_PRODUKTNAME> tutte le azioni possibili nel Dialogo start.

Apre il Tool sul desktop (default).

Remember last registered version

Setta la versione selezionata su standard e la sceglie automaticamente al momento del prossimo start. La versione non viene più registrata in seguito (default).

Al momento dello start dello Startup Tool, offre alla scelta dell´utente la prima versione che si trova nella lista. Quando si apre l´editor oil runtime, viene registrata sempre di nuovo la versione in questione.

Register all OCX files of selected version

registra tutti i file OCX (ActiveX Controls) che si trovano nel percorso di programma.

Questa opzione assicura che vengano registrati sempre gli ActiveX Controls adatti alla versione in questione (default).

Attenzione: non esercita alcuna influenza sulla registrazione di ActiveX Control e server COM, che vengono indicati alla voce Impostazioni individualinella versione corrispondente.

registra solamente le componenti poste prima.

Questa opzione sveltisce il processo di registrazione ed è da raccomandare soprattutto per tutti i progetti che rinunciano all´uso di ActiveX.

Disable Windows Key

Sulla tastiera viene bloccato il tasto Windows che non può più eseguire nessuna funzione.

Le modifiche diventano effettive solamente dopo il riavvio del sistema.

Il tasto Windows è di nuovo a disposizione.

Le modifiche diventano effettive solamente dopo il riavvio del sistema.

Language for Editor or Runtime

Avvia l´editor oppure il runtime con la lingua selezionata nella lista.

Garantisce che zenon venga avviato a partire dallo Startup Tool sempre nella lingua definita. Non ha alcuna influenza sull´avvio diretto di zenon.exe.

Avvia l´editor oppure il runtime con la lingua selezionata in zenon6.ini. Questa è l´ultima usata in zenon oppure quella selezionata alla voce Opzioni -> Impostazioni -> Editor e Runtime Lingua selezionata (default).

Comportamento dell´opzione Disable Windows Key

L´opzione Disable Windows Key si comporta come segue:

Setta blocco

  • Situazione di partenza: L´opzione non è settata.
  • Azione: L´opzione viene attivata.
  • Risultato:
    • Il sistema deve essere riavviato.
    • Il tasto Windows viene disattivato. Le combinazioni tasti Windows sono bloccate.

Rimuovi blocco

  • Situazione di partenza: L´opzione non è settata.
  • Azione: L´opzione viene disattivata.
  • Risultato:
    • Il sistema deve essere riavviato.
    • Il tasto Windows è di nuovo a disposizione. Il blocco delle combinazioni tasti Windows viene rimosso.


Network configuration

Manuale -> Tools -> Tool startup -> Dialogo di partenza -> Application -> Network configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7 di zenon si può:

  • usare IPv6
  • crittografare la trasmissione in rete

configurare questo dialogo:

  • Timeouts
  • l´uso di TCP/IP tramite IPv4 o IPv6
  • l´elevato livello di crittografia della comunicazione di rete sul calcolatore locale

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

I pulsanti vengono visualizzati nella lingua di sistema del computer.

Parametri

Descrizione

General settings

Impostazioni generali

Le modifiche di queste impostazioni vengono scritte al momento della registrazione nel file zenon6.ini oppure nel file zenon.ini e sovrascrivono lì le configurazioni che dovessero divergere dalle nuove.

Le impostazioni modificate devono essere eseguite per tutti calcolatori Runtime oppure tutte le stazioni collegate. Nel caso di modifiche dell´impostazione IPv6 , il calcolatore deve essere riavviato.

Le modifiche vengono eseguite alla chiusura del dialogo solo dopo che l´utente ha confermato una segnalazione del sistema cliccando sul pulsante Sì.

Network communication timeout

Timeout per comunicazione di rete in secondi.
Default = 30

Corrisponde all´inserimento NET_TIMEOUT_MSEC= nello zenon6.ini.

Network module timeout

Timeout per comunicazione moduli in secondi. Non è usato per la richiesta di modulo (module request) spontanea sul client o sul Server-Standby. Se non perviene una risposta dal server entro il tempo impostato, l´azione viene cancellata.

Default = 30

Esempi: chiamata di dati d'archivio per Trend esteso, gestione ricette, lista password...

Corrisponde all´inserimento NET_NETMODULE_TIMEOUT_MSEC= nello zenon6.ini.

Time synchronisation with server project

Attivo: il tempo viene sincronizzato con un progetto server (default)

Inattivo: il tempo non viene sincronizzato (per esempio per ridondanza circolare)

Corrisponde all´inserimento TIMESYNCH= nello zenon6.ini.

Use IPv6 for all TCP/IP connections

Attivo: tutte le connessioni TCP vengono instaurate esclusivamente via IPv6.

Inattivo: tutte le connessioni TCP vengono instaurate esclusivamente via IPv4.

Non è possibile un funzionamento duale.

Corrisponde all´inserimento USEIPV6= nello zenon6.ini.

Nota: se si modifica questa opzione, il calcolatore deve essere riavviato. La modifica deve essere eseguita anche su tutte le stazioni collegate.

Le seguenti componenti non sono interessate dall´impostazione:

  • Comunicazione driver con i PLC
  • Comunicazione protocollo nel ProcessGateway-Plugins
  • Comunicazione Workbench e Runtime in zenon Logic

Attenzione: Funziona solamente a partire dalla versione 7. Se l´opzione è attiva, nessuna versione precedente alla 7 può essere avviata.

Encrypt network communication

Impostazioni per l´elevata crittografia in rete.

Encrypt network communication

Attivo: La comunicazione di rete viene cifrata.

Nota: Questa crittografia vale anche per la comunicazione del Web Client di zenon .

Password

Inserisci password.

Per i criteri, vedi sezione "Password Crittografia di rete" nel capitolo Elevata crittografia della comunicazione di rete.

La lunghezza visualizzata viene settata sempre a 20 caratteri, in modo tale da poter nascondere quella reale.

La password configurata in questa sede viene depositata nello zenon6.ini .

Verify password

Confermare la password inserendola una seconda volta.

attention Attenzione

Se sono stati modificati manualmente degli inserimenti nello zenon6.ini locale, essi verranno sovrascritti non appena, effettuando la registrazione, si conferma la corrispondente richiesta del sistema con un "Sì".

Messaggi

Trovate una spiegazione concernente le segnalazioni di sistema e di errore nella sezione Segnalazioni in fase di registrazione.

info Informazioni su

Informazioni relative ai messaggi di errore per la crittografia avanzata si trovano in:

Guida in linea relativa alla Rete -> capitolo Crittografia avanzata della comunicazione di rete ->, nella sezione Messaggi di errore.


Listening ports:

Manuale -> Tools -> Tool startup -> Dialogo di partenza -> Application -> Listening ports:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si possono configurare in modo individuale le porte usate da zenon per singole applicazioni. Nel Runtime vengono usate le impostazioni salvate nello zenon6.ini corrispondente.

attention Attenzione

Quando effettuate la configurazione, tenete presente quanto segue:

  • Le modifiche effettuate in questa scheda possono causare un riavvio del calcolatore.
  • Tutti i calcolatori con i quali esiste una comunicazione, devono avere le stesse, identiche impostazioni.
  • Queste impostazioni non sono disponibili con Windows CE.
  • Se è definito un indirizzo IP, esso deve essere adattato se l´impostazione per IPv6 viene attivata o disattivata.
  • Se una scheda di rete definita non è collegata nel momento in cui il servizio viene avviato, non viene aperto nessun listening socket.
  • Le segnalazioni di errore non vengono protocollate nel diagnose server, ma nel Windows Application Event Log.

Finestra di dialogo Listening ports

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

I pulsanti vengono visualizzati nella lingua di sistema del computer.

Parametri

Descrizione

Application

Lista comprendente tutte le applicazioni configurabili. L´applicazione selezionata può essere configurata mediante le opzioni disponibili in Settings.

Settings

Impostazioni per l´applicazione selezionata in Application.

All network adapters

Per il binding delle Listening Ports si usano tutte le schede di rete disponibili. (come prima). È un´impostazione standard.

Single local IP address

Per il binding delle Listening Ports si usa l´indirizzo locale definito in questa sede.

Protocolli supportati:

  • IPv4
  • IPv6

Single network adapter

Per il binding delle Listening Ports si usa il primo indirizzo delle schede di rete definite in questa sede.

Default port

Per il binding si usa il numero di porta standard.

Customer port

Per il binding si usa il numero di porta definito in questa sede.

Ok

Riprende le modifiche in tutte le tab e chiude il dialogo.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Port standard

Assegnazione delle porte-standard alle applicazioni:

Applicazione | Porta standard
zenon |
Network Service | 1100
Transport Service | 1101
WEB Service Classic | 1102
DB Service | 1103
SQL Browser Service, (per la progettazione multiutente nell´Editor) | 1434
zenAdminSrv.exe | 50777
Logging Service | 50780
zenVNC.exe | 5600 - 5610
SNMP Trap Service | 50782
zenLicenseSr | 50783
zenLicenseStub | 50789
zenLicenseCenter | 50689
WEB Service Tunneling | 8080
zenon Logic |
Il numero di porta assegnato a zenon Logic o straton dipende dal progetto e dal servizio. Per es.: il primo progetto zenon Logic occupa 1200 e 9000, i secondo progetto 1201 e 9001 ecc | 1200 - 1210 4500 - 4510 7000 - 7010 9000 - 9010
zenon Analyzer |
Administration Service | 50777
Analyzer Connector Service | 50778
Analyzer License Service | 50779
ZAMS | 50781
Driver |
Driver Simulation | 6000 - 6020
Process Gateway OPC Server | 135
Process Gateway SNMP | 161
Process Gateway Modbus | 502
Process Gateway IEC60870-5 104 slave | 2402
Process Gateway DEC | 5555
Process Gateway DNP3 Slave | 20000


Service startup

Manuale -> Tools -> Tool startup -> Dialogo di partenza -> Application -> Service startup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I programmi possono essere avviati automaticamente usando il servizio zenStartupMgr. Potete usare questa opportunità per avviare automaticamente il Runtime come servizio.

Dialogo Service startup

Parametri | Descrizione
Liste Services | Lista dei servizi configurati.
New | Apre la finestra di dialogo che serve a selezionare un programma.
Edit | Apre la finestra di dialogo che serve a modificare l´inserimento evidenziato.
Delete | Cancella l´inserimento evidenziato.
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Finestra di dialogo Seleziona programma

Parametri | Descrizione
Program | Percorso per il programma che deve essere avviato come servizio. Un clic sul comando ... apre il dialogo che serve ad effettuare la selezione del file. Lunghezza massima: 259 caratteri
Parameters | Inserimento di parametri. Lunghezza massima: 259 caratteri
Ok | Accetta le impostazioni e chiude il dialogo.
Cancel | Annulla tutte le modifiche e chiude la finestra di dialogo.

Avviare il Runtime come servizio

Per avviare un Runtime come servizio:

  1. Registrate il file zenStartupMgr.exe come servizio
  2. Configurate le proprietà per la registrazione.
  3. Avviate, se necessario, il Trasporto Remoto con lo zenStartupMgr
  4. Definite nello Startup Tool il Runtime da avviare
  5. Configurate un Avvio ritardo per il Runtime di zenon se usate una registrazione licenza dongle.

I dettagli su questo tema li trovate nella parte della guida dedicata alla Runtime, nel capitolo Avviare il Runtime come servizio.

Attenzione: se il Runtime viene avviato tramite zenStartupMgr, non può essere più interrotto o riavviato dall´utente.

Registrare il servizio

Per registrare zenStartupMgr.exe come servizio:

  1. Aprite la riga di comando.
  2. Andate al percorso di salvataggio del file zenStartupMgr.exe
    (Default con 32-Bit OS: %ProgramFiles(x86)%\Common Files\COPA-DATA\zenStartupMgr
    (Default con 64-Bit OS: %ProgramFiles\Common Files\COPA-DATA\zenStartupMgr)
  3. Registrate il file come servizio con il comando zenStartupMgr.exe –service
    Nota: il servizio, se già in esecuzione, viene prima interrotto e poi registrato. Se zenStartupMgr è in esecuzione, viene chiuso.

Configurare un servizio per l´uso di molti driver

A causa della memoria desktop riservata in modo fisso, il sistema operativo Windows consente la creazione di un numero limitato di finestre; tale numero dipende dalla versione e dalla possibile interazione con il desktop.

Versione/azione | Interactive Desktop | Non-Interactive Desktop
Windows 7 32-Bit | 12 MB | 512 KB
Windows 7/Windows Server 2008 R2 64-Bit | 20 MB | 768 KB

Ogni driver di zenon ha bisogno di più finestre. Si può influire sul numero di driver utilizzabili usando l´opzione Consenti al servizio di interagire col desktop delle proprietà del servizio.

  • Inattivo: è possibile avviare un massimo di 20 driver.
  • Attivo: possono essere avviati tanti driver quanti in un Runtime aperto come processo utente.

Per attivare l´opzione Consenti al servizio di interagire col desktop :

  1. Aprite il manager dei servizi di Windows.
  2. Aprite le proprietà del servizio zenStartupMgr.
  3. Passate alla scheda Connessione.

  4. Attivate l´opzione Consenti al servizio di interagire col desktop.
    Per questo servizio dovete impostare il "Tipo di avvio" automatico. Quando il servizio è attivo, l´utente loggato sul calcolatore viene informato se il Runtime di zenon apre come servizio un´ulteriore finestra, per esempio in caso di un nuovo allarme e con la riga di stato attiva.

    Nota Windows 8/Server 2012: perché il servizio possa essere avviato, l'inserimento deve essere correttamente settato nel registro di sistema di Windows.

    1. Andate alla voce HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Windows.
    2. Aprite, oppure create il valore DWORD NoInteractiveServices.
    3. Cambiate il valore decimale settandolo da 1 a 0.
  5. Per evitare che sul desktop vengano visualizzate segnalazioni-Runtime, procedete come segue:
    Disattivate il servizio Rilevamento servizi interattivi.


Item

Manuale -> Tools -> Tool startup -> Dialogo di partenza -> Item

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il menù Item contiene le seguenti voci:

Inserimento | Funzione
New | Realizza un nuovo inserimento nella lista e apre il dialogo Properties.
Delete | Cancella l´inserimento selezionato dopo la conferma di una richiesta a fini di sicurezza.
Properties | Apre il dialogo Properties per l´inserimento selezionato.


Guida

Manuale -> Tools -> Tool startup -> Dialogo di partenza -> Guida

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel menù help si trovano i seguenti inserimenti:

  • Help: apre la guida online
  • Info about: mostra le informazioni sulla versione.


Properties

Manuale -> Tools -> Tool startup -> Properties

Nel dialogo Properties vengono definiti i parametri di ogni inserimento:

Inserimento | Funzione
General | Impostazioni generali
Database | Impostazioni concernenti il collegamento alla banca dati.
Extras | Impostazioni per la registrazione di ActiveX Controls (ocx) e COM Server (dll), nonché per lo start di ulteriori programmi o file di batch.

Noch in diesem Kapitel

Generale

Database

Extras


Generale

Manuale -> Tools -> Tool startup -> Properties -> Generale

In questa sezione vengono inseriti i dettagli delle versioni dizenon. Il percorso per la versione a 32-Bit di zenon è assolutamente necessario. Se lo Startup Tool riconosce una versione a 64-bit, viene sbloccato per inserimenti il percorso per la versione a 64-bit.

Sono disponibili le seguenti proprietà per un inserimento:

Generale

Parametri

Descrizione

Name

Nome univoco, nel modo in cui deve essere visualizzato nella lista. L´inserimento è assolutamente necessario.

Version

Startup Tool inserisce automaticamente il numero della versione di zenon. A tal scopo, bisogna selezionare in precedenza alla voce Path un percorso di programma.

Programm path (32-bit)

Percorso di programma in cui si trova la versione eseguibile a 32-Bit del file zenon (Zenrt32.exe).

Se il sistema riconosce qui una versione a 64-Bit di zenon, esso sblocca la proprietà Programm path (64-bit) per l´input.

Programm path (64-bit)

Percorso di programma in cui si trova la versione eseguibile a 64-Bit del file zenon (Zenrt32.exe).

L´Input è possibile solamente se è stato indicato il percorso per la versione a 32-bit e una versione a 64-bit è stata riconosciuta da zenon.

Non appena entrambi i percorsi sono stati inseriti in modo corretto, i pulsanti per lo start di Editor e Runtime vengono divisi rispettivamente in due bottoni, uno per la versione a 32-bit e uno per quella a 64-bit.

Editor

Parametri | Descrizione
Workspace | Il workspace desiderato al momento dell´apertura dell´editor. Non appena si è indicato questo workspace, tutti i progetti che vi si trovano vengono visualizzati automaticamente nella lista a cascata alla voce Editor - progetto.
Editor-Project | Selezione del progetto che deve essere attivo dopo lo start dell´editor.
Overwrite INI settings | Attivo: Al momento dello start dell´editor, vengono usate sempre le impostazioni di questo dialogo. Le modifiche che sono state apportate lavorando con l´editor, vengono rimosse. Sono interessati Workspace, Editor-Project, RT-Project e RT-Path).
Take over INI settings | Attivo: Tutte le impostazioni modificate per Workspace, Editor-Project, RT-Project e RT-Path vengono, salvate nello zenon6.ini dopo la chiusura dell´Editor, lette nello Startup Tool e utilizzate al momento del nuovo start.

Runtime

Parametri | Descrizione
RT-Project | Il progetto che è settato come progetto di partenza per il runtime.
RT-Path | Il percorso del progetto. Nel caso in cui il progetto RT sia contenuto nel workspace, il percorso viene impostato automaticamente.

info Info

Parametri sconosciuti?

Nel caso in cui le impostazioni per il workspace non dovessero essere conosciute, utilizzate il seguente procedimento:

  1. inserire Nome, Path eWorkspace;
  2. lasciare liberi Editor-Project, RT-Project eRT-Path;
  3. attivare Read back the INI settings ;
  4. chiudere il dialogo cliccando su OK .

Dopo che l´editor è stato avviato e chiuso, le impostazioni standard vengono riprese automaticamente dal file INI.


Database

Manuale -> Tools -> Tool startup -> Properties -> Database

In questa sede definite le proprietà della banca dati. Queste ultime consentono di usare diverse istanze SQL per diversi inserimenti (versioni zenon).

attention Attenzione

A partire dalla versione 6.51, può essere definita l´istanza SQL e la password viene salvata in forma cifrata. I nuovi inserimenti sono di livello prioritario rispetto a quelli già esistenti.

Compatibilità: finché non viene modificata alcuna proprietà, gli inserimenti esistenti rimangono validi. Se, per una versione a partire dalla 6.51, viene modificato un inserimento, però, valgono i nuovi inserimenti. In questo caso, le versioni più vecchie devono essere riviste separatamente! Le impostazioni per le versioni precendenti alla 6.51, le trovate nel capitolo Database prima della versione 6.51.

Visualizzazione dialoghi: La visualizzazione dei dialoghi viene adattata automaticamente alla versione scelta (prima di 6.51, a partire da 6.51).

Inserimento

Funzione

Read from zenDB.ini

Cliccando sul pulsante, il sistema legge le impostazioni del file zenDB.ini e riempie automaticamente i campi.

  • SQL Instance
  • DB Path
  • User
  • Password

Clear all fields

Tutti i campi di inserimento vengono vuotati.

Inserimenti vuoti non vengono scritti in zenDB.ini al momento della registrazione.

SQL Instance

Selezione dell´istanza del server SQL che deve essere usata.

Il nome può essere scritto direttamente nel campo di inserimento, oppure selezionato fra quelli della lista a cascata.
Nota: cliccando sulla lista a cascata, il sistema ricerca nel calcolatore locale le istanze, che poi vengono presentate in una lista. La ricerca può durare un po´di tempo.

DB Path

Percorso per le banche dati SQL dei progetti zenon.
Ad esempio: %ProgramData%\COPA-DATA\SQL\

Attenzione: Diversi server SQL (per es. 2008R2 e 2012) devono assolutamente usare percorsi separati.

Background: nella conversione dei progetti la GUID rimane uguale. Se i percorsi non sono differenti, le due istanze sovrascrivono reciprocamente i loro file di banca dati!

User

Username per la banca dati.

Diritti necessari

L´utente deve disporre nel server SQL dei seguenti Server roles:

  • public
  • sysadmin

Password

Password dell´utente. Essa viene depositata in modo cifrato. La lunghezza dell´inserimento viene visualizzata sempre con 20 caratteri, indipendentemente dalla lunghezza reale.

Attenzione: La crittografia avviene mediante loStartup Tool. L´impostazione della banca dati, dunque, deve avvenire assolutamente con lo Startup Tool.
La password deve essere adeguata anche sul SQL Server per l´utente zenOnSrv.

Le impostazioni vengono salvate nello zenon6.ini.

Noch in diesem Kapitel

Database prima della versione 6.51


Database prima della versione 6.51

Manuale -> Tools -> Tool startup -> Properties -> Database -> Database prima della versione 6.51

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Impostazione per le proprietà della banca dati prima di zenon 6.51:

Inserimento

Funzione

Read from zenDB.ini

Cliccando sul pulsante, il sistema legge le impostazioni del file zenDB.ini e riempie automaticamente i campi Provider e DB Path.

Clear all fields

Tutti i campi di inserimento vengono vuotati.

Inserimenti vuoti non vengono scritti in zenDB.ini al momento della registrazione.

Provider

Collegamento con la istanza SQL. Gli inserimenti importanti sono:

  • nome istanza
  • provider utilizzato
  • Nome utente
  • User passoword

Ad esempio:
Provider=SQLNCLI.1;
Password=srv_000;
Persist Security Info=False;
User ID=zenOnSrv;
Initial Catalog=%s;
Data Source=localhost\ZENON_DEV;

DB Path

Percorso per le banche dati SQL dei progetti zenon.
Ad esempio: %ProgramData%\COPA-DATA\SQL\

Attenzione: il SQL Server 2005 e il SQL Server 2008 R2 devono usare assolutamente dei percorsi separati.

Background: nella conversione dei progetti la GUID rimane uguale. Se i percorsi non sono differenti, le due istanze sovrascrivono reciprocamente i loro file di banca dati!

attention Attenzione

L´inserimento per Provider in questo dialogo è differente da quello nel zenDB.ini.

Dialogo: La stringa inizia con Provider=...

zenDB.ini: String inizia con Provider=Provider=...


Extras

Manuale -> Tools -> Tool startup -> Properties -> Extras

In questa sede definite ActiveX Controls (*.ocx) oppure COM Server (*.dll), che devono essere registrati con la versione di zenon in questione. Questi ocx e dll possono provenire da qualsiasi fonte, essere scritti dunque autonomamente, oppure essere di altri produttori. Inoltre, potete definire in questa sede i programmi che devono essere eseguiti prima dello start e dopo la chiusura dell´editor o del runtime.

Registrazione di ActiveX Controls - COM Server

Tutti i file qui indicati vengono registrati automaticamente al momento della registrazione della versione corrispondente di zenon, indipendentemente dalla Impostazione centrale Registro.

Parametri | Descrizione
Filename/Filepath | Lista di tutti i file da registrare
Add | Apre il dialogo di Windows che serve alla selezione di un file da registrare. In questa finestra di dialogo, si possono selezionare singoli file ocx o dll che possono essere aggiunti alla lista. A questo scopo, selezionate nel dialogo in primo luogo il tipo di file desiderato (ocx o dll). Tutti i file vengono salvati con indicazione del percorso. Se cambia il percorso, eliminate il riferimento corrispondente usando il comando Remove e impostate poi un altro percorso.
Remove | Cancella tutti gli inserimenti selezionati dalla lista di selezione dei file da registrare.

Programmi pre e post start.

Pre Start e Post Start Vi consentono di definire quei programmi e file batch che devono essere eseguiti prima dello start o dopo la chiusura di zenon.

Parametri | Descrizione
Pre Start | Programma esterno che deve essere avviato prima dello start dell'editor o del Runtime. Attenzione: Editor o Runtime saranno avviati solo dopo che questo programma sarà stato chiuso.
Post Start | Programma esterno che deve essere avviato dopo la chiusura dell'editor o del runtime. Attenzione: Post Start viene aperto solamente se l´opzione Read back the INI settings (Item->Properties->General) è stata attivata.


Messaggi durante la registrazione

Manuale -> Tools -> Tool startup -> Messaggi durante la registrazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Popup durante la registrazione

Messaggio

Significato

You have changed the IPv6 setting. All internal TCP/IP connections will be switched to IPv6/IPv4.

To ensure that all affected components are properly switched you have to restart the computer! You will also have to change this setting on all connected station!

Do you really want to apply the change?

Modificate le impostazioni per il protocollo IP da IPv4 a IPv6 o viceversa.

Dopo aver effettuato la modifica, dovete riavviare il computer in modo tale che tutti i service vengano modificati nel modo corrispondente. La modifica deve essere effettuata anche su tutte le stazioni collegate.

Le modifiche di queste impostazioni vengono scritte al momento della registrazione nel file zenon6.ini oppure nel filezenon.ini e sovrascrivono lì le configurazioni che dovessero divergere dalle nuove.

Gerneral network configuration settings will be changed.

You have to restart the runtime to apply the changes!

Attention: Do not forget to adept the settings on other stations as well.

Apply settings.

Are you sure this is your intent?

Modificate Impostazioni generalicome timeouts.

Le modifiche di queste impostazioni vengono scritte al momento della registrazione nel file zenon6.ini oppure nel filezenon.ini e sovrascrivono lì le configurazioni che dovessero divergere dalle nuove.

Le impostazioni modificate devono essere effettuate per tutti i Runtime.

Messaggi durante la registrazione

Al momento di registrare i servizi, tutti gli stadi del processo vengono visualizzati un una finestra propria, che viene poi chiusa autonomamente dopo quattro secondi. Se si verifica un errore, una segnalazione corrispondente Vi informa sulla causa che l´ha provocato. Dopo aver confermato la segnalazione stessa cliccando su ok, il processo viene interrotto e zenon non viene avviato. Possibili segnalazioni di errore:

Messaggio | Causa | Suggerimento
Couldn´t find zenNetSrv Service! | O manca il file zenNetSrv.exe nella cartella dei programmi di zenon, oppure è presente, ma in una versione errata. | La soluzione più veloce e sicura, in genere, è quella che consiste nell´installare di nuovo zenon.
zenNetSrv.exe still running! | Non è stato possibile chiudere il servizio zenNetSrv.exe. | Probabilmente sul computer è attivo un tool di sicurezza che impedisce l´accesso.
Couldn´t find zenSysSrv Service! | O manca il file zenSysSrv.exe nella directory di programma di zenon, oppure c´è, ma in una versione errata. | La soluzione più veloce e sicura, in genere, è quella che consiste nell´installare di nuovo zenon.
zenSysSrv.exe still running! | Non è stato possibile chiudere il servizio zenSysSrv.exe. | Probabilmente sul computer è attivo un tool di sicurezza che impedisce l´accesso.


Riga di comando

Manuale -> Tools -> Tool startup -> Riga di comando

Lo Startup Tool può essere gestito anche facendo uso della riga comandi. A tal fine, però, zenon_Startup.exe si deve trovare nel percorso di sistema. Trovate il file

  • sotto Windows 7/8 nel percorso Program Files%\Common Files\COPA-DATA\STARTUP

Facendo uso della barra comandi potete:

  • creare nuovi inserimenti
  • riorganizzare degli inserimenti esistenti (per es. dopo la cancellazione di versioni precedenti).
  • registrare degli inserimenti

Noch in diesem Kapitel

Parametri


Parametri

Manuale -> Tools -> Tool startup -> Riga di comando -> Parametri

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´indicazione viene avviata con zenon_Startup.exe seguito da un Parametro e da eventuali nomi campo.

Parametri:

Parametri | Funzione | Nomi campo | Valore di risposta
-new | Crea un nuovo inserimento | sì, Lista vedi new | 0 oppure 1
-reg | registra servizi | Nome dell´inserimento | Nessuno
-reorg | controlla e riorganizza gli inserimenti esistenti. | non esistente | Nessuno

Se si apre lo Startup Tool solamente con -reg, verrà ri-registrata solamente la versione. L´accesso allo zenon6.ini si limita in questo caso alla sola lettura. Viene registrata la versione definita nella sezione [PATH], tutti i parametri vengono ripresi dallo zenon6.ini.

Uso di più parametri contemporaneamente:

E´possibile usare più parametri contemporaneamente. Se si usano più parametri -new contemporaneamente, il valore di risposta non può essere analizzato in modo univoco.

In linea di principio, nel caso di denominazioni multiple si procede nella seguente successione:

  1. –new: Crea nuovi inserimenti.
  2. –reg: Registra l´inserimento impostato.
  3. –reorg: Rimuove tutti gli inserimenti non validi per le versioni cancellate di zenon.

Noch in diesem Kapitel

new - Creazione di nuovi inserimenti

reorg - Riorganizzare gli inserimenti

reg - Registrazione di inserimenti


new - Creazione di nuovi inserimenti

Manuale -> Tools -> Tool startup -> Riga di comando -> Parametri -> new - Creazione di nuovi inserimenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il parametro -new serve a creare dei nuovi inserimenti. Sono necessari almeno due nomi campo:

  • NAME, il nome univoco dell´inserimento.

    Nel caso in cui il nome dovesse essere stato già assegnato, il sistema non crea nessun inserimento.

  • PATH, il percorso in cui è stato depositato zenon.

Sintassi

La sintassi è strutturata nel seguente modo: zenon_Startup.exe -> Parametro > Nome campo="TEXT"

  1. zenon_Startup.exe
  2. Passaggio vuoto
  3. Parametri
  4. Passaggio vuoto
  5. Nome campo
  6. = Segno
  7. Virgolette di apertura
  8. Testo
  9. virgolette di chiusura

Example Esempio

zenon_Startup.exe -new NAME="Neuer Eintrag" PATH="C:\Beispiel Verzeichnis\zenon"

Nomi campo

Possono essere utilizzati i seguenti nome campo:

Nome campo | Campo obbligatorio | Descrizione
NAME | X | Nome univoco dell'inserimento. Per es.: NAME="Test"
PATH | X | Il percorso d´uso in cui si trova zenon. Per es.: PATH="C:\Program Files (x86)\COPA-DATA\zenon 7.10 SP0"
PATH64 | - | Il percorso d´uso in cui si trova la versione a 64 Bit di zenon. Per es.: PATH="C:\Program Files\COPA-DATA\zenon 7.10 SP0"
PROJECT_RT | - | Nome del progetto Runtime da avviare. Per es.: PROJECT_RT="Progetto test"
PROJECT_RT_PATH | - | La cartella Runtime del progetto (vedi PROJECT_RT). Per es.: PROJECT_RT_PATH="C:\Users\Public\Documents\zenon_Projects\Testprojekt"
PROJECT_ED | - | Il progetto che deve essere attivato nell'editor. Per es.: PROJECT_RT="Progetto test"
WSP | - | La postazione di lavoro che deve essere caricata con l´editor. Per es.: WSP="C:\Users\Public\Documents\zenon_Projects\DEMO622.WSP6"
SQLSRV | - | Denominazione del server SQL che deve essere usato dall´editor. Per es.: SQLSRV="MSSQL$ZENON_DEV"
PROVIDER | - | String provider per la inizializzazione della connessione SQL. Per es.: PROVIDER="Provider=SQLNCLI.1;Password=000;Persist Security Info=False;User ID=zenOnSrv;Initial Catalog=%s;Data Source=localhost\ZENON_DEV;"
DBPATH | - | Percorso della banca dati SQL da utilizzare. Per es.: DBPATH="C:\ProgramData\COPA-DATA\SQL\"
PRESTART | - | Apertura di programma che deve essere eseguita prima dello start dell´editor oppure del runtime, nonché prima della registrazione di questa versione. Per es.: PRESTART="C:\zenon Versionen\zenon 6.50\Dlls\zenVNCCli.exe"
POSTSTART | - | Apertura di programma che deve essere eseguita dopo la chiusura dell´editor. Per es.: POSTSTART="C:\zenon Versionen\zenon 6.50\Dlls\zenVNCCli.exe" Attenzione: Post Start viene aperto solamente se l´opzione Read back the INI settings (Item->Properties->General) è stata attivata nello Startup Tool o nel file Startup.ini.

Più nomi campo sono divisi da spazi vuoti.

info Informazioni su

I percorsi con segni vuoti devono essere messi sempre fra parentesi.

Valori restituiti

0 - esecuzione senza errori

1 - non è stato possibile realizzare l´inserimento


reorg - Riorganizzare gli inserimenti

Manuale -> Tools -> Tool startup -> Riga di comando -> Parametri -> reorg - Riorganizzare gli inserimenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il parametro -reorg controlla tutti gli inserimenti per verificare se la versione collegata di zenon è ancora presente nel sistema file. Nel caso in cui i dati di applicazione non dovessero essere più reperibili, l´inserimento viene definitivamente cancellato dallo Startuptool.

Il comando non fornisce alcun valore di risposta. Dopo l´esecuzione, viene avviato lo Startup Tool.

Esempio: zenon_Startup.exe -reorg


reg - Registrazione di inserimenti

Manuale -> Tools -> Tool startup -> Riga di comando -> Parametri -> reg - Registrazione di inserimenti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il parametro –reg registra tutti i servizi necessari nella cartella dell´inserimento indicato. L´apertura avviene tramite:

  • -reg "Nome dell´inserimento"

Nel caso in cui lo Startup Tool dovesse essere già avviato, non si effettua la registrazione, ma lo Startup Tool viene aperto in primo piano.

Il comando non fornisce alcun valore di risposta.

Example Esempio

zenon_Startup.exe -reg "Version 6.50"

registra la versione 6.50.

Presupposto: deve esistere un inserimento nel tool startup con questo nome.


System Information Collector

Manuale -> Tools -> System Information Collector

Per poter essere in grado di risolvere problemi, il supporto tecnico di COPA-DATA Vi chiederà eventualmente di fornire dati rilevanti sul vostro sistema operativo e zenon. Il modo più semplice per creare questi dati è farlo automaticamente usando il SystemInformation Collector, e poi mandare quest´ultimo al supporto tecnico.

Noch in diesem Kapitel

Avviare il System Information Collector

Raccogliere le informazioni

Utilizzare le informazioni

Inoltrare il report a COPA-DATA.


Avviare il System Information Collector

Manuale -> Tools -> System Information Collector -> Avviare il System Information Collector

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il System Information Collector viene installato con zenon. Lo trovate sul:

  • Computer nel percorso %Program Files (x86)%\Common Files\COPA-DATA\STARTUP
  • Supporto di installazione nel percorso \AdditionalSoftware\COPA-DATA System Information Collector.

Per avviare il System Information Collector:

  1. Windows 8: digitate sul desktop come criterio di ricerca SIC per Apps.
    Windows 7: passate a Start/Tutti i programmi/zenon/Version Independent Tools
    oppure: avviate dal supporto di installazione.
  2. cliccate su System Information Collector
  3. il System Information Collector si avvia

Menù e barra degli strumenti

Menù

Nel menù ci sono queste opzioni a disposizione:

  • File
    • New Scan: apre la finestra iniziale
    • Open: apre un report salvato
    • Save: salva il report visualizzato al momento come file ZIP
    • Exit: chiude il System Information Collector
  • Edit
    • Copy: copia il testo evidenziato negli appunti
    • Find: apre una finestra di dialogo per la ricerca nel report attuale
  • View
    • Expand: estende tutti i nodi
    • Collapse: chiude tutti i nodi
  • Guida
    • About: Informazioni sulla versione del programma

Fatta eccezione per Exit e About, tutte le opzioni sono disponibili anche nella barra degli strumenti.

Barra degli strumenti

Simbolo | Descrizione
Home New Scan | Apre la finestra start.
Open | Apre un report salvato
Save | Salva il report visualizzato al momento come file ZIP
Copy | Copia il testo evidenziato negli appunti.
Find | Apre una finestra di dialogo per la ricerca nel report attuale
Expand | Espande tutti i nodi.
Collapse | Chiude tutti i nodi.


Raccogliere le informazioni

Manuale -> Tools -> System Information Collector -> Raccogliere le informazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per raccogliere informazioni in modo automatico:

  1. avviate il System Information Collector
  2. selezionate una delle quattro opzioni cliccando sul pulsante corrispondente
    • Full: raccoglie informazioni sul sistema e zenon. File Dump non vengono raccolti.
    • System: raccoglie solamente informazioni sul sistema
    • Scada: raccoglie informazioni su zenon, senza file dump
    • Scada with dumpfiles: raccoglie solamente informazioni su zenon e include i file dump

  3. il System Information Collector crea un report contenente le informazioni desiderate

  4. quando è pronto, il report viene visualizzato nella finestra principale


Utilizzare le informazioni

Manuale -> Tools -> System Information Collector -> Utilizzare le informazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le informazioni raccolte vengono visualizzate in System Information Collector. Esse non possono:

  • salvare il report
  • navigare attraverso il report e cercare informazioni determinate
  • evidenziare informazioni selezionate e copiarle negli appunti

salvare il report

Per salvare un report:

  1. cliccate sul simbolo Salva oppure sul comando Save nel menù File
  2. Si apre la finestra di dialogo che serve all´inserimento volontario di una password per la crittografia del report.
  3. si apre il dialogo per selezionare una cartella e un nome file
  4. il report viene salvato come file ZIP

Apri report.

Per aprire un report salvato:

  1. Cliccate sul simbolo Cartella nella barra dei simboli.
  2. Selezionate il report.
  3. Se avete inserito al momento del salvataggio una password per la crittografia del report, inseritela di nuovo in questa sede, oppure saltate questo passaggio cliccando su OK.
  4. Il report viene aperto.

Salvare informazioni selezionate

Per salvare solamente informazioni selezionate:

  1. selezionate l´informazione desiderata
  2. cliccate sul simbolo Copia oppure sul comando Copy nel menù Edit
  3. la selezione viene copiata negli appunti
  4. aggiungete il contenuto in un file di testo e salvatelo
  5. ripetete l´operazione per tutte le altre informazioni selezionate


Inoltrare il report a COPA-DATA.

Manuale -> Tools -> System Information Collector -> Inoltrare il report a COPA-DATA.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A seconda della sua dimensione, il report può essere inoltrato‑come allegato di una E-Mail, oppure come upload in un definito posto di salvataggio a COPA-DATA . Potete ottenere informazioni dettagliate su come inviare il report e su quale posto di salvataggio online utilizzare dal vostro fornitore di fiducia, oppure rivolgendovi al supporto tecnico di COPA-DATA.


COPA-DATA PRP

Manuale -> Tools -> COPA-DATA PRP

zenon supporta il Parallel Redundancy Protokoll (PRP) per la comunicazione hardware ridondante in rete.

La comunicazione PRP avviene direttamente a livello di protocollo, indipendentemente dall'Editor di zenon e dal Runtime di zenon. Non è necessario effettuare configurazioni speciali in zenon. Per usare il protocollo, il computer deve essere configurato in modo corrispondente.

Il servizio di rete COPA-DATA PRP, necessario per l'uso di PRP, si trova sul supporto di installazione. Una descrizione dettagliata dei passaggi di configurazione necessari si trova nel capitolo Installazione e configurazione di questo manuale.

tutorial Informazioni sulla licenza

Il servizio di rete è fornito con il prodotto.
Per usarlo, è richiesta una licenza valida di zenon sul computer.

Noch in diesem Kapitel

Requisiti di sistema

Requisiti hardware

Installazione e configurazione

PRP Configuration and Diagnostics Tools


Requisiti di sistema

Manuale -> Tools -> COPA-DATA PRP -> Requisiti di sistema

La comunicazione PRP è supportata per i seguenti sistemi operativi:

  • Windows 7
  • Windows 8

attention Attenzione

Per ragioni di sistema, Windows 10 non è supportato per la comunicazione PRP.


Requisiti hardware

Manuale -> Tools -> COPA-DATA PRP -> Requisiti hardware

Per la comunicazione PRP valgono i seguenti requisiti hardware:

  • La scheda di rete utilizzata deve supportare i jumbo frames.
  • La configurazione dell'indirizzo MAC amministrato localmente deve essere possibile sulla scheda di rete utilizzata.

attention Attenzione

La comunicazione PRP è supportata solamente in una rete ridondante.


Installazione e configurazione

Manuale -> Tools -> COPA-DATA PRP -> Installazione e configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare la comunicazione PRP, eseguire i seguenti passaggi di configurazione:

  1. Scollegare il cavo di alimentazione del computer con le due schede di rete prima di eseguire l'installazione.
  2. Riavviare il computer.
  3. Configurare il vostro adattatore di rete.
  4. Creare un bridge di rete nelle impostazioni di sistema (= Bridge).
  5. Installare il COPA-DATA PRP driver.
  6. Configurare la connessione PRP.

Attenzione:

  • Per eseguire l'installazione bisogna avere i diritti amministratore sul computer.
  • Il sistema deve essere riavviato per completare l'installazione.
  • Seguire le istruzioni per i singoli passaggi.

attention Attenzione

Fare attenzione ad eseguire i passaggi della configurazione nella successione indicata.

Noch in diesem Kapitel

Configurazione dell'adattatore di rete (primo di quattro passaggi)

Combinare i due adattatori di rete - Bridge (secondo di quattro passaggi)

Installazione del driver COPA-DATA PRP (terzo di quattro 4 passaggi).

Configurazione della connessione PRP (quarto di quattro passaggi)


Configurazione dell'adattatore di rete (primo di quattro passaggi)

Manuale -> Tools -> COPA-DATA PRP -> Installazione e configurazione -> Configurazione dell'adattatore di rete (primo di quattro passaggi)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel primo passaggio, modificare la configurazione di entrambi gli adattatori di rete. La finestra di dialogo di configurazione e la denominazione delle proprietà estese dipendono dalla scheda di rete usata.

Adattatore di rete 1

Configurare il primo adattatore di rete.

  1. Aprire le proprietà di sistema Modifica impostazioni scheda.
    Queste impostazioni si trovano in Pannello di controllo=> Rete e Internet => Centro connessioni di rete e condivisione
  2. Selezionare l'adattatore di rete desiderato.
  3. Con il tasto destro del mouse selezionare nel menù contestuale l'inserimento Proprietà.
    Si apre la finestra di dialogo di configurazione delle proprietà dell'adattatore di rete.
  4. Cliccare sul pulsante Configura...
    Si apre la finestra delle proprietà dell'adattatore di rete.
  5. Passare alla scheda Avanzate.
  6. Nella lista Settings, selezionare l'inserimento Jumbo Packet.
    Nota: il nome di questo inserimento può essere diverso a seconda della scheda di rete.
  7. Selezionare un valore nel menù a tendina Value.
    Scegliere il valore più piccolo fra quelli disponibili che è maggiore di 1530 Byte.
    Attenzione: non deve essere selezionata l'impostazioneDeaktiviert.
  8. Nella scheda Avanzate selezionare l'impostazione Locally-administered address.
  9. Digitare nel campo di inserimento Value: un indirizzo MAC univoco. Il formato dell'indirizzo MAC dipende dall'hardware utilizzato.
    Esempi:
    • 0A:80:41:ae:fd:7e
    • 0A-80-41-ae-fd-7e
    • 0A8041aefd7e
  10. Assicurarsi che entrambe le connessioni usino lo stesso indirizzo MAC.
    Modificare questo indirizzo nel campo di inserimento Value:
    • L'indirizzo MAC deve cominciare con 0A!
    • L'indirizzo MAC nella rete locale deve essere univoco.
  11. Terminare la configurazione della scheda di rete cliccando sul pulsante OK

Adattatore di rete 2

Ripetere i passaggi per il secondo adattatore di rete.
Fare attenzione ad inserire lo stesso indirizzo MAC indicato nella configurazione precedente.

attention Attenzione

Assicurarsi che:

  • L'indirizzo MAC usato sia lo stesso per entrambi gli adattatori di rete.
  • Non sia utilizzato da un altro computer in rete.


Combinare i due adattatori di rete - Bridge (secondo di quattro passaggi)

Manuale -> Tools -> COPA-DATA PRP -> Installazione e configurazione -> Combinare i due adattatori di rete - Bridge (secondo di quattro passaggi)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo passaggio, si combinano i due adattatori di rete con un bridge di rete. A questo scopo, adattare la configurazione di entrambi gli adattatori di rete usati.

Creare un bridge di rete nelle impostazioni di sistema.

  1. Aprire le proprietà di sistema Modifica impostazioni scheda.
    Queste impostazioni si trovano in Pannello di controllo=> Rete e Internet => Centro connessioni di rete e condivisione
  2. Selezionare i due adattatori di rete che si vuole usare per la comunicazione PRP.
    Nota: assicurarsi che entrambi gli adattatori siano già stati configurati in modo corrispondente. Una modifica della configurazione di un adattatore di rete diventa effettiva solo dopo che si è creato un nuovo bridge.
    Attenzione: entrambi gli adattatori di rete devono essere stati configurati con lo stesso indirizzo MAC!
  3. Con il tasto destro del mouse, selezionare il comando Connessioni con bridging.
    Verrà realizzato un bridge di rete per lì adattatore selezionato. Questo processo viene visualizzato per mezzo di una apposita finestra di dialogo.
  4. Il bridge creato viene visualizzato nel Pannello di controllo.

    Attenzione: il bridge deve contenere solamente due adattatori.


Installazione del driver COPA-DATA PRP (terzo di quattro 4 passaggi).

Manuale -> Tools -> COPA-DATA PRP -> Installazione e configurazione -> Installazione del driver COPA-DATA PRP (terzo di quattro 4 passaggi).

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo passaggio, si installa il servizio di sistema necessario per la comunicazione PRP.

Installare il COPA-DATA PRP driver

  1. Selezionare il bridge appena creato.
  2. Con il tasto destro del mouse, selezionare nel menù contestuale l'inserimento Proprietà.
    Si apre la finestra di dialogo di configurazione delle proprietà del bridge.
  3. Cliccare sul pulsante Installa....
    Si apre la finestra di dialogo per installare un tipo di funzionalità di rete.
  4. Selezionare Servizio come funzionalità di rete da installare.
  5. Cliccare sul pulsante Aggiungi...
    Si apre la finestra di dialogo per la selezione del servizio di rete.
  6. Cliccare sul pulsante Supporto dati...
    Si apre la finestra di dialogo per la selezione del luogo dove è salvato il programma di installazione del servizio di rete.
  7. Cliccare sul pulsante Sfoglia.
  8. Passare alla seguente cartella del computer locale:
    • \Programme (x86)\Common Files\COPA-DATA\CDPrpFlt\
      per i sistemi operativi a 32-Bit.
    • \Programme (x86)\Common Files\COPA-DATA\CDPrpFlt\
      per i sistemi operativi a 64-Bit.
  9. Scegliere il file CDPrpFlt.inf.
    Attenzione: assicurarsi di selezionare l'installer corretto per il sistema operativo utilizzato (32-Bit o 64-Bit).
  10. Confermare la selezione cliccando su OK.
    Si apre la finestra di dialogo per la selezione del servizio di rete.
  11. Selezionare il servizio di rete COPA-DATA PRP driver.
  12. Confermare la selezione cliccando su OK
    • Confermare la richiesta di conferma di Windows cliccando sul pulsante "Installa".
      Attenzione: a questo punto potrebbe essere necessario riavviare il computer.

      Nota: questa richiesta di conferma non verrà visualizzata se è stato già abilitato il box "... Considera sempre attendibile" in occasione di precedenti installazioni di componenti di programma di zenon
  13. Dopo che l'installazione è stata portata a termine con successo (e dopo il riavvio del computer), il servizio è visibile nella finestra delle proprietà dell'adattatore di rete, nella lista degli elementi utilizzati.
  14. Assicurarsi che la connessione LAN e il servizio di rete COPA-DATA PRP driver siano abilitati (segno di spunta nei checkbox corrispondenti).

attention Attenzione

Assicurarsi che l'uso nel sistema produttivo non sia pregiudicato dal necessario riavvio del computer.


Configurazione della connessione PRP (quarto di quattro passaggi)

Manuale -> Tools -> COPA-DATA PRP -> Installazione e configurazione -> Configurazione della connessione PRP (quarto di quattro passaggi)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prima di eseguire la configurazione, assicurarsi che la connessione LAN e il servizio di rete COPA-DATA PRP driver siano attivi.

Configurazione PRP

  1. Avviare il programma PRPCfgDiag.exe.
    Questo software si trova nella cartella C:\Programmi Files (x86)\Common Files\COPA-DATA\STARTUP del vostro computer.
    Si apre la finestra di dialogo PRP Configuration and Diagnostics.

    Nota: il PRP Configuration and Diagnostics Tool è disponibile solo in lingua inglese.
  2. Cliccare sul pulsante Configuration.
    Si apre la finestra di dialogo per la selezione degli adattatori di rete.

    Nota: Il contenuto del menù a tendina si basa sulle impostazioni di sistema.
  3. Selezionare nel menù a tendina l'adattatore di rete per LAN_A e LAN_B.
  4. Confermare l'assegnazione cliccando su OK.
  5. Concludere la configurazione cliccando sul pulsante Exit.

info Informazioni su

Una descrizione dettagliata del PRP Configuration and Diagnostics Tools si trova nel capitolo PRP Configuration and Diagnostics Tool .


PRP Configuration and Diagnostics Tools

Manuale -> Tools -> COPA-DATA PRP -> PRP Configuration and Diagnostics Tools

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

IlPRP Configuration and Diagnostics Tool svolge due compiti:

  • Visualizzazione
    Visualizzazione del traffico dati inviati via PRP. La visualizzazione avviene separatamente per i due adattatori di rete utilizzati.
  • Configurazione
    Assegnazione degli adattatori di rete configurati.

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

Il programma PRPCfgDiag.exe è incluso nel pacchetto d zenon.
Trovate questo software sul vostro computer nella cartellla C:\Programmi Files (x86)\Common Files\COPA-DATA\STARTUP.

Requisiti

Per configurare ilPRP Konfigurations- und Diagnose Tool e per usarlo, si ha bisogno di quanto segue:

  • Due adattatori di rete combinati in bridge nelle impostazioni di sistema.
    Nota: In questo bridge possono essere configurati solamente i due adattatori che sono usati per la comunicazione PRP. Non devono essere contenuti altri adattatori di rete in questo bridge.
  • Il driver CDPrpFlt deve essere installato.

info Informazioni su

Le informazioni relative all'installazione e alle necessarie preparazioni da effettuare nelle impostazioni di sistema si trovano nel capitolo Installazione e configurazione.

Noch in diesem Kapitel

Statistica

Configurazione


Statistica

Manuale -> Tools -> COPA-DATA PRP -> PRP Configuration and Diagnostics Tools -> Statistica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il flusso di dati viene visualizzato nella finestra di dialogo Statistics. La visualizzazione avviene separatamente per i due adattatori LAN.

Il flusso di dati viene sempre registrato, anche quando il tool non è aperto.

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

Parametri

Descrizione

Send count

Visualizzazione del frame Ethernet inviato.

Receive count

Visualizzazione del frame Ethernet ricevuto.

Error count

Visualizzazione di frame PRP erronei.

Mismatch count

Visualizzazione dei frame PRP ricevuti/inviati differentemente quando il traffico di dati via rete dei due adattatori LAN presenta delle divergenze.

Link status

Stato della scheda di rete:

  • Active
    La scheda di rete assegnata è attiva e il flusso di dati viene trasferito.
  • Inactive
    La scheda di rete assegnata non è attiva. Non si ricevono PRP-Supervision frames. Non c'è nessuna stazione PRP nella rete, oppure si è verificato un errore.

Configuration

Apre la finestra di dialogo per la configurazione.

Exit

Chiude il programma.
Nota: i dati continuano ad essere registrati.


Configurazione

Manuale -> Tools -> COPA-DATA PRP -> PRP Configuration and Diagnostics Tools -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella finestra di dialogo "Configuration" avviene quanto segue:

  • Si assegna l'adattatore usando il menù a tendina.
    Il contenuto del menù a tendina si basa sulle impostazioni del bridge di rete.
    Ulteriori informazioni a questo proposito si trovano nel capitolo Installazione e configurazione.
  • Viene visualizzato l'indirizzo MAC multicast.
  • Vengono visualizzati i messaggi di errore relativi alla configurazione degli adattatori di rete in una finestra di emissione.

attention Attenzione

Il computer deve essere riavviato dopo che sono state fatte delle modifiche alla configurazione.

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

Parametri

Descrizione

Primary physical LAN Adapter

Assegnazione di un adattatore di rete alla connessione fisica per l'adattatore LAN primario.

Nel menù a tendina vengono elencati quegli adattatori che sono contenuti nel bridge configurato.
Le informazioni a questo proposito si trovano nel capitolo Installazione e configurazione.

Secondary physical LAN Adapter

Assegnazione di un adattatore di rete alla connessione fisica per l'adattatore LAN sec0ndario/ridondante.

Nel menù a tendina vengono elencati quegli adattatori che sono contenuti nel bridge configurato.
Le informazioni a questo proposito si trovano nel capitolo Installazione e configurazione.

LAN_A/LAN_B Multicast MAC

Indirizzo MAC multicast per PRP-Supervision frames.
Questo indirizzo per la comunicazione in rete è predefinito e non può essere modificato.

Nota: assicurarsi che questo indirizzo non venga usato da nessun altro adattatore nella rete!

L'ultimo byte può essere configurato nel campo di inserimento. Il formato di input di questo inserimento è HEX.

Error message

Finestra di emissione per i messaggi di errore.

OK

Accetta tutte le modifiche e passa alla finestra di dialogo Statistic.

Cancel

Rifiuta tutte le modifiche e passa alla finestra di dialogo Statistic.


Trasporto remoto

Manuale -> Trasporto remoto

Il trasporto remoto permette di trasportare i file runtime ad un sistema di destinazione. Informazioni sul tema salvataggio e realizzazione di backup di file esistenti, le trovate nel capitolo Backup di progetto.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Informazioni generali

Nel caso in cui Runtime e l'Editor si trovino sullo stesso calcolatore, i file Runtime sono direttamente a disposizione del Runtime. Se il Runtime si trova su di un altro calcolatore, i file Runtime vengono trasmessi via Trasporto Remoto per essere disponibili localmente in quella sede.

Con il Trasporto Remoto

  • vengono trasmessi solamente i file di volta in volta necessari in rete.
  • può essere trasportato anche qualsiasi altro file (ActiveX Control, Font, ecc.)
  • si può provocare l´effettuazione di un upload automatico su Server 1 e Server 2
  • possono essere utilizzate molte altre funzionalità.

Suggerimento: Usate la visuale Topologia di rete nell´Editor per configurare tutti i calcolatori Runtime e il trasporto dei file Runtime.

Nota: Fate attenzione che, nel caso della gestione multi-progetto, la trasmissione dei singoli progetti sia corretta.

attention Attenzione

I file immagine del tipo PNG non possono essere sovrascritti quando sono visualizzati nel Runtime.

Background: il Runtime blocca i file .png aperti. In tal modo si evita che possano venire sovrascritti.

Soluzione: Prima che il Trasporto Remoto venga inizializzato, bisogna assicurarsi che immagini con file *.png:

  • non siano aperte nel Runtime
  • non vengano utilizzate da un altro programma.

Ciò vale anche per la ricarica dei file Runtime modificati. La sincronizzazione Runtime in rete non funziona per un´immagine *.png, se essa è aperta su un computer zenon coinvolto nel processo (Standby-Server, Client).

Funzionalità

Il trasporto remoto mette a disposizione, oltre alla mera funzionalità di copia, anche una serie di altre funzionalità.

Parametri | Descrizione
Copia incrementale | L´Editor riconosce automaticamente quali file del sistema di destinazione sono ancora diversi da quelli da trasmettere e trasmette solo quelli che sono stati modificati.
Imposta progetto di partenza | Attraverso il trasporto remoto il progetto di partenza può essere settato sul calcolatore remoto.
Avvia e termina runtime remoto | Il Runtime può essere avviato e chiuso sul calcolatore remoto.
Richiedi lo stato del sistema remoto | Può essere visualizzato lo stato attuale del calcolatore remoto (sistema operativo, zenon versione, lettori esistenti ecc.).
Riavvia OS | Un calcolatore può essere riavviato in modo remoto.
Aggiornamento online | In tal modo il runtime remoto viene aggiornato online.
Avvia collegamento desktop remoto | Instaura un Collegamento desktop remoto
Rileggi tutti i file progetto | Un progetto completo può essere ricopiato da un sistema remoto.
Copia e registra file | I file non sono solo copiati, ma anche registrati nel sistema di destinazione. Particolarmente interessante per font e elementi Active X.
Copia e esegui file | I file eseguibili vengono copiati e avviati.

attention Attenzione

Nel caso di avvio del Runtime per trasporto remoto, tenete presente quanto segue:

  • il 32-Bit zensyssrv.exe avvia il Runtime a 32-Bit
  • il 64-Bit zensyssrv.exe avvia il Runtime a 64-Bit

info Informazioni su

In teoria è possibile anche la trasmissione via Windows Explorer, oppure la messa a disposizione di unità di rete. Si sconsiglia di adottare questa procedura! La trasmissione via Trasporto Remoto è più sicura e sistematica e riduce il carico che grava sulla connessione di rete. Nel caso di implementazione come unità di rete, il funzionamento del Runtime dipende dal fatto se è disponibile un drive e se le sue prestazioni sono sufficienti.

Noch in diesem Kapitel

Barra simboli Trasporto remoto

Menù contestuale Trasporto remoto

Progettazione nell'editor

Stabilisci collegamento

Elaborazione batch Trasmissione a diversi calcolatori contemporaneamente


Barra simboli Trasporto remoto

Manuale -> Trasporto remoto -> Barra simboli Trasporto remoto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un computer di sviluppo può realizzare delle connessioni remote con altri calcolatori. La batta simboli Trasporto remoto mette a disposizione delle funzioni che servono alla trasmissione e alla interrogazione di dati.

Simbolo

(da sinistra a destra)

Funzione

Trasporto Remoto: Impostazioni di collegamento

Apre il dialogo di configurazione del Trasporto Remoto per impostare il sistema di destinazione e la cartella di destinazione.

Trasporto Remoto: Stabilisci collegamento

Instaura una connessione Trasporto Remoto con il sistema remoto.

Remote: Trasporta file Runtime modificati

Trasmette al computer di destinazione tutti i file runtime cambiati a partire dal momento dell´ultima modifica sul computer di sviluppo.

Remote: Importa tutti file Runtime

Rilegge tutti i file Runtime modificabili del sistema remoto (come ricette, oppure gestione user) e li importa nella cartella Runtime locale.

Remote: Imposta progetto di partenza

Setta il progetto attivo come progetto di partenza sul sistema remoto.

Remote: Avvia Runtime

Avvia il Runtime sul sistema remoto.

Remote: Termina Runtime

Termina il Runtime sul sistema remoto.

Remote: Aggiorna progetto

Esegue sul sistema remoto la funzione Aggiorna.

Remote Desktop: Avvia connessione

Avvia un collegamento che serve a consentire la gestione del computer di destinazione via zenon Remote Desktop. Così è possibile una gestione visuale.

Opzioni barra strumenti

Cliccando sulla freccia si apre il sotto-menu:

Attivo: viene visualizzata la barra dei simboli.

Se non appare la barra dei simboli, la si può rendere attiva facendo uso del menù Opzioni -> Barre dei simboli.

Nota: per una barra degli strumenti posizionata liberamente (sganciata dall´Editor), le opzioni non vengono visualizzate. . La barra degli strumenti può essere chiusa cliccando sul pulsante X.

Ulteriori simboli possono essere aggiunti facendo uso di Opzioni della barra simboli:

Trasporta tutti i file Runtime

Trasmette tutti i file Runtime al sistema di destinazione.

Riavvia il sistema operativo

Riavvia il sistema operativo del computer di destinazione dopo aver effettuato un controllo di sicurezza. Questa opzione non viene supportata con Windows CE.

Rileva lo stato di sistema

Rileva lo stato del sistema del computer di destinazione e scrive i dati nella finestra di emissione. Il sistema rileva quanto segue:

  • Nome Computer
  • Sistema operativo
  • Runtime attivo/non attivo
  • Progetto di partenza
  • Memoria reale
  • Processori
  • Numero di serie remoto
  • Numero di attivazione remoto
  • la versione remota di zenon

Cambia la password e visualizza la licenza

Apre Dialogo per connessione.

Consente:

  • Modifica della password per la connessione
  • Visualizzazione e modifica della licenza del calcolatore di destinazione
  • Configurazione della Crittografia sul calcolatore di destinazione

Nota: tutti i comandi per il trasporto remoto sono a disposizione anche nel Menù contestuale del progetto.


Menù contestuale Trasporto remoto

Manuale -> Trasporto remoto -> Menù contestuale Trasporto remoto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Avete accesso ai comandi per il trasporto remoto tramite la barra dei simboli oppure il menù contestuale del progetto:

  1. cliccate con il tasto destro del mouse sul progetto nel manager di progetto
  2. selezionate nel menù contestuale il nodo Trasporto Remoto
  3. scegliete poi nella lista a cascata che si aprirà il comando desiderato;

Comando

Funzione

Stabilisci collegamento

Instaura un collegamento con il computer destinatario.

Impostazioni di collegamento

Apre il dialogo per la configurazione del collegamento..

Trasporta file Runtime modificati

Trasmette al computer di destinazione tutti i file runtime modificati sul computer di sviluppo.

Trasporta tutti i file Runtime

Trasmette tutti i dati runtime dal computer di sviluppo a quello di destinazione.

Importa tutti file Runtime

Rilegge tutti i file modificabili nel runtime (come ricette, oppure gestione user) sul computer di sviluppo.

Imposta come progetto di partenza

Setta il progetto di partenza per il computer di destinazione.

Avvia Runtime

Avvia il runtime sul computer di destinazione.

Termina Runtime

Chiude il runtime sul computer di destinazione.

Aggiorna progetto

Esegue sul computer di destinazione la funzione aggiorna.

Riavvia il sistema operativo

Riavvia il sistema operativo del computer di destinazione dopo aver effettuato un controllo di sicurezza. Questa opzione non viene supportata con Windows CE.

Rileva lo stato di sistema

Rileva lo stato del sistema del computer di destinazione e scrive i dati nella finestra di emissione. Il sistema rileva quanto segue:

  • Nome Computer
  • Sistema operativo
  • Runtime attivo/non attivo
  • Progetto di partenza
  • Memoria reale
  • Processori
  • Numero di serie remoto
  • Numero di attivazione remoto
  • la versione remota di zenon

Cambia la password e visualizza la licenza

Apre Dialogo per connessione.

Consente:

  • Modifica della password per la connessione
  • Visualizzazione e modifica della licenza del calcolatore di destinazione
  • Configurazione della Crittografia sul calcolatore di destinazione

Remote: Avvia connessione con il desktop

Avvia un collegamento che serve a consentire la gestione del computer di destinazione via zenon Remote Desktop.


Progettazione nell'editor

Manuale -> Trasporto remoto -> Progettazione nell'editor

Si configura il Trasporto remoto nelle proprietà di progetto alla voce Generale/Trasporto remoto e lo si gestisce facendo uso della Barra dei simboli del trasporto remoto.

Al fine di configurare il trasporto remoto:

  1. navigate nelle proprietà proprietà di progetto e passate al nodo Generale
  2. cliccate sulla proprietà Trasporto remoto
  3. viene aperta la finestra di dialogo che serve alla configurazione delle proprietà della connessione e dei file da trasmettere.
    Nota: lo screenshot mostra la configurazione della modalità di trasporto TCP/IP a rete attiva.

Parametri

Descrizione

Medio di trasporto

Seriale

Trasmissione tramite una connessione seriale, per es. a un terminale CE.
  • Porta

Selezione della porta COM per la connessione seriale.

Nota: Non visibile se è stato selezionato Seriale come Modalità di trasporto.

TCP/IP

Trasmissione per TPC/IP in una rete o tramite un modem.

Upload su Server 1 e Server 2

Con checkbox attivo, nel corso di un download i file Runtime vengono trasmessi non solo al calcolatore indicato, ma anche a quelli indicati in rete come server 1 e server 2.

Attenzione: La trasmissione dei dati al Server 2 avverrà solamente se per il Server 2 sarà stato inserito un nome PC!

Default: non attivo

Nota: visibile solamente se nelle impostazioni di progetto è stata attivata la rete ed è stata selezionata la modalità di trasporto TCP/IP.
  • Nome PC o Indirizzo IP

Il nome calcolatore o l´indirizzo TPC/IP viene indicato come destinazione.

  • Inserimento del nome calcolatore manualmente o cliccando sul pulsante ...
  • Inserimento manuale dell´indirizzo IP

L´indirizzo IP deve corrispondere al formato della versione IP impostata (IPv4 o IPv6).

Sorgente / Destinazione

Lista delle connessioni.

Nella prima riga può essere definita una destinazione per la cartella più alta della struttura. Cliccando con il tasto destro del mouse si apre il menù contestuale che consente la selezione.

Il percorso può essere inserito anche manualmente. A questo proposito vale quanto segue:

  • Backslash iniziale (\): Percorso relativo al progetto.
  • Drive letter inziale: Percorso assoluto.
    Nota Windows CE: Con zenon si può inserire anche per Windows CE una Drive Letter. Quest´ultima segnala solamente il fatto che si tratta di un percorso assoluto, e viene ignorata nella trasmissione.
  • Attenzione: questo percorso deve esistere permanentemente nel sistema di destinazione. Non progettate nessun processore di rete implementato, nessun dispositivo USB e nessun supporto removibile!

Nota: Fate attenzione che, nel caso della gestione multi-progetto, la trasmissione dei singoli progetti sia corretta.

La larghezza delle colonne della lista può essere adattata con il mouse.

attiva

Definisce i file opzionali da trasmettere.

Percorso base del progetto non può essere escluso.

Origine

Cartella per file che vengono trasmessi.

Destinazione

Cartella di destinazione.

Definisce la root. Possono essere definiti nuovi inserimenti.

Le sottocartelle non possono essere modificate. In tal modo si garantisce che nel Runtime tutti i file vengano trovati sul sistema di destinazione.

Nota: la cartella di Default è la cartella Runtime definita nelle proprietà di progetto. Se la cartella di destinazione viene inserita manualmente, fate attenzione che essa termini con il nome del progetto. Ciò è importante per la gestione multi-progetto.

Ad esempio:
C:\Users\Public\Documents\zenon_Projects\MY_PROJECT

Elaborazione

Modo di trasmissione. Può essere scelto liberamente per la root e nuovi inserimenti. Cliccando sulla parola (Copia) si apre il menù a tendina:

  • Copia:
    copia file (Default)
  • Copiare e registrare:
    copia file e li registra nel sistema. Utile per elementi ActiveX e per caratteri (file ttf).
  • Copiare ed eseguire:
    copia file e li esegue.

Nota: questa modalità di trasporto è disponibile solamente per gli inserimenti liberamente definiti. I file necessari per garantire la funzionalità del Runtime, invece, vengono impostati automaticamente nella lista e la modalità del loro trasporto non è modificabile.

Descrizione

Per nuovi inserimenti, inserimento testo opzionale per descrivere i file da trasmettere.

attention Attenzione

Nell’utilizzo della ridondanza vale la seguente regola: se si utilizzano driver che hanno bisogno di un file di configurazione, l´inserimento \zenon\custom\drivers deve essere disattivato.

Gestire trasporto remoto in rete

Selezionate nel menù contestuale del progetto -> Trasporto Remoto -> <Comando>:

Parametri

Descrizione

Stabilisci collegamento

Viene instaurata una connessione con il sistema destinatario per mezzo del servizio zenSysSvr. Su entrambi i sistemi deve essere stato attivato il servizio zenSysSvr, oppure deve essere avviato sull'apparecchio CE il servizio SysSrvCE.exe. Le versioni devono essere identiche.

Trasmetti i file runtime modificati

Nel caso in cui si selezioni questa impostazione, vengono trasmessi solo i file runtime che sono stati modificati dal momento dell'ultima trasmissione. Se non esistono dei file runtime nel sistema destinatario, vengono trasmessi tutti i file runtime.

Trasmetti tutti i file runtime.

Se si attiva questa impostazione, vengono trasmessi tutti i (nuovi) file runtime. La sola eccezione sono quei file, per, per esempio, le ricette standard o il Message Control, che siano stati esplicitamente esclusi dalla trasmissione selezionando l'impostazione: 'RT dati modificabili'.

Rileggi tutti i file runtime.

Se si seleziona questa impostazione, tutti i file runtime dei moduli Ricette, Manager gruppi ricette, Message Control , Gestione utentie Production & Facility Scheduler (PFS) vengono trasportati dal sistema destinatario alla directory runtime locale. Le modifiche del runtime possono poi essere lette nell'editor tramite l'opzione "importa i file runtime".

Settare progetto come progetto di partenza

Il progetto selezionato è definito come progetto di partenza. Ogni volta che viene aperto il runtime, viene caricato questo progetto.

Avvia Runtime

Lancia il progetto in Runtime.

Termina Runtime

Chiudi il runtime.

Aggiorna progetto

Il progetto viene aggiornato. Vengono letti i file runtime modificati.

Riavvia il sistema operativo

Il sistema, con il quale esiste una connessione, viene rilanciato dopo una richiesta di conferma da parte del sistema. E´possibile che dobbiate effettuare un nuovo login nel sistema operativo. Questa opzione non viene supportata con Windows CE.

Richiedere lo stato di sistema

Si verifica se il runtime è attivo sul sistema di destinazione e qual è lo stato e la versione di zenon che vi è installato. Il sistema rileva quanto segue:

  • Nome Computer
  • Sistema operativo
  • Runtime attivo/non attivo
  • Progetto di partenza
  • Memoria reale
  • Processori
  • Numero di serie remoto
  • Numero di attivazione remoto
  • la versione remota di zenon

Modifica password e mostra licenza

Apre Dialogo per connessione.

Consente:

  • Modifica della password
  • Visualizzazione e modifica della licenza
  • Configurazione della crittografia

Inizia connessione Desktop remoto

Avvia un collegamento che serve a consentire la gestione del computer di destinazione via zenon Remote Desktop.

Noch in diesem Kapitel

TCP/IP

Seriale

Definizione di file

Runtime: file modificabili

Windows CE


TCP/IP

Manuale -> Trasporto remoto -> Progettazione nell'editor -> TCP/IP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il nome o l´l'indirizzo IP del calcolatore di destinazione verrà indicato nella configurazione del trasporto remoto. L´indirizzo IP deve corrispondere al formato della versione IP impostata, cioè essere conforme a IPv4 se si usa IPv4, e conforme a IPv6 se si usa IPv6.

se usate il nome, verranno salvati gli ultimi nomi utilizzati a cui si potrà poi accedere per selezionarne uno mediante una lista a cascata. L´uso di numeri di porta è possibile solo in collegamento ad un nome.

attention Attenzione

Di default, il Trasporto Remoto usa la porta TPC 1101. Questa porta non deve essere bloccata da altre applicazioni,

Noch in diesem Kapitel

Impostazione automatica nel caso di progetti di rete


Impostazione automatica nel caso di progetti di rete

Manuale -> Trasporto remoto -> Progettazione nell'editor -> TCP/IP -> Impostazione automatica nel caso di progetti di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se il progetto da trasmettere è stato configurato come progetto di rete, non sarà necessario effettuare altre impostazioni nel campo di inserimento Nome PC o Indirizzo IP nelle Remote-Transport Impostazioni di connessione. Il trasporto remoto utilizza in tal caso sempre quel calcolatore che è stato definito come Server 1 nel campo delle proprietà della configurazione di rete . Ciò garantisce che le modifiche verranno sempre trasmesse sul server che le trasmette a sua volta automaticamente ai client!

Se il checkbox Upload su Server 1 su Server 2 è attivo, l´aggiornamento non sarà effettuato solamente sul calcolatore con il quale esiste una connessione. L´aggiornamento avverrà anche sui calcolatori indicati come server.

I presupposti perché ciò accada sono:

  • Checkbox attivo:
  • Rete attiva
  • Server 1 indicato in fase di configurazione

La trasmissione al Server 2 avverrà solamente se per Server 1 sarà stato inserito un nome PC:

Se il calcolatore connesso è uno dei server (non importa se collegato via nome o IP), non ci sarà nessun ulteriore upload di dati verso questo calcolatore. Questo upload sarebbe infatti ridondante visto che l´aggiornamento avviene già via trasporto remoto.

info Informazioni su

Ulteriori informazioni sulla rete di zenon le trovate nel capitolo Rete.


Seriale

Manuale -> Trasporto remoto -> Progettazione nell'editor -> Seriale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La comunicazione nel trasporto remoto avviene di default via TCP/IP. Si può però passare anche ad una comunicazione seriale. In tal modo, ad esempio, si può entrare in comunicazione con apparecchi sui cui è installato Windows CE. A tal scopo:

  • cambiare sull´apparecchio remoto mediante lo zenon6.ini il tipo di comunicazione del servizio di trasporto
  • configurare nell´Editor il trasporto remoto

attention Attenzione

Una modifica del file zenon6.ini avrà effetto solo dopo un nuovo avvio del servizio di trasporto remoto.

Inserimenti nello zenon6.ini

Nel caso in cui il servizio trasporto dovesse essere utilizzato per il trasporto seriale, in zenon6.inisul calcolatore remoto dovrebbero essere inserite le seguenti impostazioni manualmente. Nota: con Windows CE queste impostazioni saranno generate automaticamente attraverso l'interfaccia del servizio trasporto remoto nel file zenon6.ini.

[SYS_REMOTE]

; SysService è collegato con la porta Com:

CONFIG=DEVICE=COM;

PORT=COM2;

attention Attenzione

Non dev'essere dimenticato il ; (punto e virgola) conclusivo.

Con questa impostazione, il trasporto remoto funziona con un baudrate di 115200 bit/secondo. Nell´editor è defintio in forma standard lo stesso baudrate.

Impostazioni dell´Editor

Selezionate nell´Editor:

  1. seriale come modalità di trasporto
  2. nella lista a cascata della port COM del calcolatore sorgente


Definizione di file

Manuale -> Trasporto remoto -> Progettazione nell'editor -> Definizione di file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quali file vengono trasmessi, lo definite nel dialogo di configurazione facendo uso della checkbox della colonna attivo. La riga con il percorso del progetto di base non può essere deselezionata. I file di progetto verranno sempre trasmessi.

Nota: i percorsi sorgente sono sempre impostati in relazione al percorso base del progetto.

attention Attenzione

Tenete presente quelli che sono gli effetti delle impostazioni che prendete se il progetto viene usato in rete!

Ad esempio:

la tramissione di grafiche può essere disattivata visto che questi dati si trovano già sul server. Allora viene avviato il client. Il client determina che le grafiche non sono state trasportate e non se le va neanche a prendere da solo. Sul client, dunque, non verrà visualizzata nessuna grafica.

Oppure, vengono trasmessi al client dei file che ne sovrascrivono degli altri lì presenti.

File da trasmettere

Con il Trasporto Remoto vengono trasmessi tutti i file necessari per il progetto al sistema di destinazione.

Vengono sempre trasmessi tutti i file delle cartelle:

  • Standard

    Tutti i file che si trovano nella cartella Runtime (...\RT\FILES\zenon\system\) del progetto.
    Questi file determinano l´aspetto e il comportamento del progetto e vengono trasmessi di default:

info Info

Non vengono trasmessi di default i file con le desinenze:

  • .hot
  • .ho
  • .ret
  • .re
  • Optional

    In più devono essere trasmessi tutti i file che sono stati inseriti nel progetto. La selezione avviene facendo uso della checkbox attivo delle impostazioni del Trasporto Remoto. Questi file si trovano nei seguenti sotto percorsi del percorso del progetto:

    • \zenon\custom\graphics: per grafiche
    • \zenon\custom\lists: per tabelle lingua
    • \zenon\custom\media: per tutti i file media
    • \zenon\custom\reports: per le tabelle del generatore Report.
    • \zenon\custom\help: per i file dell´help
    • \zenon\custom\additional: per ulteriori file
    • \zenon\custom\rdlc: per file Report Viewer
    • \zenon\custom\drivers: per driver
    • \straton: per zenon Logic

    Raccomandazione: trasmettere sempre il percorso base di progetto, grafiche, tabelle lingua, tabelle di report e file media.
    Dal percorso base di progetto vengono trasmessi di default: i file project.ini, Projekt.vba, Monitor.mon e la cartella Progetto.

    zenon come standard utilizza sempre percorsi relativi e non più percorsi assoluti in modo da garantire che i dati possano essere ritrovati sul sistema del destinatario.

    Per i dati da trasmettere opzionalmente dovrebbero essere utilizzati i percorsi originali (campo vuoto “destinazione”), in modo da permettere a zenon di identificarli nuovamente anche sul sistema del destinatario.

Progetto globale

Quando nel workspace si trova un progetto globale, questo viene trasmesso automaticamente. Non deve essere effettuata nessun´altra impostazione. Verranno sempre trasmessi tutti i file necessari per il progetto globale poiche inclusi nel progetto specifico!

Imposta progetto di partenza

Per il Runtime, il progetto di partenza deve essere indicato nel zenon6.ini. A tale scopo, cliccate sul pulsante Remote Runtime Setta progetto di partenza che si trova nella Barra simboli Trasporto Remoto. Vengono fatti i seguenti inserimenti:

[PATH]

VBF30=percorso del progetto

[DEFAULT]

DEFANWENDUNG30=nome del progetto

Selezione di file individuali

Per trasmettere propri file individuali:

  1. cliccate con il tasto destro del mouse nella prima cella vuota della colonna Sorgente
  2. selezionate nel menù contestuale Scegli file oppure Selezione cartella
  3. verrà aperto l´explorer per effettuare la selezione
  4. selezionate il file desiderato oppure la cartella desiderata
  5. attivate la checkbox nella colonna attivo
  6. cliccate con il tasto destro del mouse nella cella della colonna Destinazione
  7. definite la cartella di destinazione
    Se la destinazione rimane vuota, i file vengono trasmessi nell´ordine definito alla voce sorgente.

attention Attenzione

Indicare i percorsi in modo relativo!

Indicate i percorsi per i vostri file individuali in modo relativo al percorso base del progetto. In tal modo, il sistema di destinazione manterrà sempre la struttura cartelle corretta.
Esempio:

Indicazione per Sorgente: inserire /default.iso.
Così il trasporto remoto sa automaticamente che il file si trova nel percorso base del progetto.
Le cartelle vengono indicate analogamente.

Windows CE:

Se l´apparecchio di destinazione è un terminal Windows CE, e nel caso in cui non sia stata definita una destinazione specifica per il percorso base di progetto, verrà utilizzata in forma standard la destinazione /Storage Card/Data.

Azione in caso di trasmissione

Nella colonna Edita si regola con righe aggiunte che cosa succederà con i file durante il Trasporto remoto Ci sono tre possibilità:

Azione | Descrizione
Copia | Copia il file sul sistema remoto.
Copiare & registra | Copia il file sul sistema remoto e lo registra lì nella registry ( es *.ocx, dll). Suggerimento: Utile per elementi ActiveX e per caratteri (file ttf).
Copia & esegui | Copia il file sul sistema remoto e lo esegue.


Runtime: file modificabili

Manuale -> Trasporto remoto -> Progettazione nell'editor -> Runtime: file modificabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon esistono dei dati che possono essere soggetti ad una modifica sia nell'editor che nel runtime. Sono file per:

  • Manager di gruppi ricette
  • Ricette standard
  • Gestione user
  • Schedulatore

Proteggere i file runtime in modo tale che non siano sovrascritti

Se tutti i file runtime venissero creati e trasmessi nuovamente, i file modificati nel runtime nel frattempo verrebbero sovrascritti. Per evitare l´effetto non voluto che dati vengano sovrascritti, si può scegliere in questa sede Non rigenerare e ritrasmettere, selezionando quali file non devono essere creati o trasmessi nuovamente.

Proteggere i file Editor in modo tale che non siano sovrascritti

I dati modificati nel runtime possono essere riletti nell´editor. In tal modo, i dati corrispondenti nell´editor verranno sovrascritti. Per evitare l'effetto non voluto di sovrascrivere dati, si può scegliere qui selezionando Non decompilare quali file non devono essere riletti.

Dialogo RT dati modificabili

Accedete al dialogo per la configurazione dei file runtime modificabili tramite le proprietà di progetto Generale/RT dati modificabili:

I seguenti tipi di file sono selezionabili:

Parametri | Descrizione
Manager di gruppi ricette | Gruppi di ricette e ricette del manager dei gruppi di ricette Nel corso della trasmissione, nuovi file vengono trasmessi e impostate delle nuove sottocartelle, mentre i file e le sottocartelle cancellate sono eliminate anche nel sistema di destinazione.
Ricette standard | Ricette standard
Gestione user | Gestione utenti per Login e gestione diritti nel Runtime.
Schedulatore | Modifiche nei modelli di tempo e orari del PFS.

attention Attenzione

Effettuando una conversione di progetto fate attenzione a convertire anche i file Runtime modificabili. I file Runtime devono essere importati nella versione di partenza dell´Editor, e, dopo l´update, di nuovo caricati nel Runtime. Per i dettagli al proposito, consultate il capitolo Procedimento consigliato per convertire i file Runtime , che si trova nella parte della guida concernente la Conversione di progetto.

Trasmissione dei file

Durante il runtime

Per poter trasmettere i file durante il Runtime:

  1. vengono trasmessi tutti i file
  2. vengono trasmessi solamente i file modificati

Entrambe le possibilità sono praticabili per i file definiti in RT dati modificabili.

Dal Runtime

Ci sono due possibilità di leggere file dal Runtime:

  1. Importa tutti file Runtime:
    1. importa tutti i file Runtime nella cartella che è stata definita nella proprietà Cartella Runtime
    2. indipendentemente dall´impostazione della proprietà RT dati modificabili
  2. Importa i file runtime:
    1. importa i file definiti nella proprietà RT dati modificabili e
    2. sostituisce la progettazione nell´Editor con questi file Runtime
    3. sistema particolarmente adatto a riprendere i dati di un sistema remoto nell´Editor

Errore di connessione

Nella trasmissione vengono sovrascritti dei file esistenti in modo corrispondente a quanto previsto nelle impostazioni.

Se emergono degli errori durante la trasmissione oppure se la connessione si interrompe, i file devono essere trasmessi di nuovo e completamente.


Windows CE

Manuale -> Trasporto remoto -> Progettazione nell'editor -> Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La trasmissione a sistemi Windows CE può avvenire direttamente tramite una connessione TPC, o una connessione seriale, oppure tramite scheda di memoria.

Configurazione

Seriale o TCP/IP

  1. Fate attenzione che sia attiva nelle proprietà del progetto nel nodo Generale la proprietà Progetto WindowsCE.
  2. Selezionate il tipo di connessione:
    • TCP/IP
    • Seriale
  3. Il dialogo di configurazione contiene adesso dei nuovi inserimenti, come directory di destinazione è predefinito C:\Storage Card\Data.
    Il C:\ viene poi eliminato automaticamente dal Trasporto Remoto visto che la comunicazione con i sistemi CE avviene senza Drive letter.

Scheda di memoria

Il trasporto remoto supporta una possibilità di trasporto speciale con il quale il progetto viene trasportato al posto di un collegamento seriale o TCP/IP direttamente sulla scheda di memoria. Per questo è necessario un calcolatore nel quale può essere inserita la scheda di memoria (PCMCIA, ATA , Compact Flash etc...).

attention Attenzione

Bisogna fare attenzione, però, che il CE Runtime e il zenon6.ini si trovino nel ROOT della scheda!

Inserisca la scheda nell’unità corrispondente e faccia attenzione su quale lettore del sistema operativo viene collegata la scheda. (per es.. D: oppure E: oppure...)
  1. Attivate la checkbox Utilizza dispositivo locale di lettura.
  2. Definite la cartella Runtime sul dispositivo di destinazione.

    Esempio: se la scheda di memoria in CE è visualizzata come \Storage Card, dev´essere indicato C:\Storage Card\Projektpfad come Cartella Runtime sul dispositivo! Il C:\ verrà automaticamente eliminato dal trasporto remoto.

  3. Instaurate una connessione con il Vostro PC e trasferite i file sulla scheda di memoria locale.
  4. Scrivete la cartella Runtime sul dispositivo di destinazione con la funzione Settare progetto di partenza remoto (Barra simboli Remote-Transport) nello zenon6.ini sulla scheda di memoria.
  5. Infilate la scheda di memoria nel terminale CE e avviate il Runtime.


Stabilisci collegamento

Manuale -> Trasporto remoto -> Stabilisci collegamento

Per instaurare una connessione remota:

  1. cliccate sul pulsante corrispondente che si trova sulla Barra dei simboli Remote-Transport

    oppure selezionate nel menù contestuale del progetto: Trasporto Remoto -> Stabilisci collegamento

  2. verrà aperto il Dialogo per stabilire una connessione

Parametri |  | Descrizione
Password di connessione |  | Impostazioni per la password per la connessione remota.
Password |  | Inserimento della password per l´instaurazione della connessione (facoltativo).
Modifica password per l´instaurazione della connessione |  | Apre il dialogo che serve a modificare la password.
Configurazione sistema remoto |  | Impostazioni del sistema di destinazione.
Configurazione numero di serie e di attivazione |  | Attivo: La Licenza del calcolatore remoto viene visualizzata dopo l´instaurazione della connessione e può essere modificata in questa sede. Default: Non attivo
Configura crittografia della comunicazione di rete | Attivo: dopo l´instaurazione della connessione, la crittografia della comunicazione di rete può essere attivata o disattivata sul sistema di destinazione. Nota: la connessione del Trasporto Remoto deve essere protetta con una password. Default: Non attivo
Non visualizzare questa finestra |  | Attivo: questo dialogo non viene più aperto al momento dell´instaurazione della connessione. Nota: per far sì che il dialogo venga visualizzato di nuovo, selezionate nel menù contestuale del progetto Remote-Transport -> Cambia la password e visualizza la licenza Default: Non attivo
Ok |  | Riprende le impostazioni e instaura la connessione.
Elimina |  | Rifiuta le modifiche e chiude il dialogo senza instaurare la connessione.
Guida |  | Apre la guida online

Noch in diesem Kapitel

Codifica


Codifica

Manuale -> Trasporto remoto -> Stabilisci collegamento -> Codifica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La connessione Trasporto Remoto può avvenire in modo cifrato tramite lo SysSrv. A tal fine, assegnate una password nel Trasporto Remoto. A partire dalla versione 7.20, la password viene salvata in forma cifrata:

  • All´origine (Editor) nel project.ini, sezione TRANSPASS.
  • Alla destinazione (Runtime) nello zenon6.ini, sezione TRANSPASS.

Anche la comunicazione del Trasporto Remoto può essere cifrata. A tal fine, si deve attivare nello Startup Tool la Crittografia della rete zenon.

Salvare la password in forma crittografata

La password per la trasmissione via Trasporto remoto viene salvata di default nel project.ini, nella sezione [TRANSPASS]; essa viene salvata in forma crittografata utilizzando la chiave KEYCRYPT=. Nella chiave KEY= la password può essere salvata come "plain text" (testo non formattato). Questo metodo è stato usato fino alla versione 7.11 compresa. Quando si converte un progetto nella versione 7.20, il valore per la chiave KEY= viene cancellato e la password viene salvata in modo crittografato usando la chiave KEYCRYPT=.

Per la trasmissione vale quanto segue:

  • se esiste un valore per KEY=, , lo SysSrv usa la password non crittografata. Ciò vale anche nel caso in cui in KEYCRYPT= sia inserita una password crittografata.
  • Se non c´è KEY=, ma c´è KEYCRYPT=, lo SysSrv usa la password crittografata.
  • Inserimento o modifica della password: Se c´è KEY=, questo inserimento viene sincronizzato. Se non c´è e usate la versione 7.20 (o una versione dal numero superiore), il sistema provvederà a generare un inserimento in KEYCRYPT=.
  • Conversione progetto: Se nel project.ini esiste KEY=, il suo valore viene cancellato, e viene generato un nuovo inserimento KEYCRYPT=.

Comportamento

Editor locale | Remote PC | Password remota | Risultato | Condizione
<7.20 | <7.20 | no | Connessione OK | Con PW vuota.
<7.20 | <7.20 | Non crittografata | Connessione OK | Con PW corretta.
<7.20 | <7.20 | Crittografata (no) | Connessione OK | PW remota crittografata viene ignorata.
>=7.20 | <7.20 | no | Connessione OK | Con PW vuota.
>=7.20 | <7.20 | Non crittografata | Connessione OK | Con PW corretta.
>=7.20 | <7.20 | Crittografata (no) | Connessione OK | PW remota crittografata viene ignorata.
>=7.20 | >=7.20 | no | Connessione OK | Con PW vuota.
>=7.20 | >=7.20 | Non crittografata | Connessione OK | Con PW corretta.
>=7.20 | >=7.20 | Crittografata | Connessione OK | Con PW corretta.
>=7.20 | >=7.20 | Crittografata + non crittografata | Connessione OK | Con PW corretta.
<7.20 | >=7.20 | no | Connessione OK | Con PW vuota.
<7.20 | >=7.20 | Non crittografata | Connessione OK | Con PW corretta.
<7.20 | >=7.20 | Crittografata | Connessione OK | Con PW corretta.
<7.20 | >=7.20 | Crittografata + non crittografata | Connessione OK | Con PW corretta.

Conversione

  • Nel processo di conversione dalla versione X alla 7.20, nell´Editor (sistema d´origine) l´inserimento KEY= viene sostituito da KEYCRYPT= e la password viene salvata in forma crittografata.
  • Nel sistema di destinazione, invece, si verifica se c´è inserimento per KEY= nello zenon6.ini.
    Sì: Questo inserimento ha priorità. Per consentire la conversione, l´inserimento in questione deve essere cancellato manualmente nel sistema di destinazione.

Crittografare l´intera comunicazione di rete.

Mediante l´attivazione della crittografia del traffico della rete di zenon, si può fare in modo che l´intera comunicazione avvenga in forma cifrata.

Comportamento

Versione Sorgente (Editor) | Versione Destinazione (Runtime) | Crittografia rete Sorgente | Crittografia rete Destinazione | Connessione possibile
<7.20 | <7.20 | Qualsiasi | Qualsiasi | Si
<7.20 | >= 7.20 | Qualsiasi | Attivo | No
<7.20 | >= 7.20 | Qualsiasi | Non attivo | Sì, non crittografata
>= 7.20 | <7.20 | Non attivo | Qualsiasi | Si
>= 7.20 | <7.20 | Attivo | Qualsiasi | No
>= 7.20 | >= 7.20 | Non attivo | Non attivo | Sì, non crittografata
>= 7.20 | >= 7.20 | Non attivo | Attivo | No
>= 7.20 | >= 7.20 | Attivo | Non attivo | No
>= 7.20 | >= 7.20 | Attiva, password "abc" | Attiva, password "def" | No
>= 7.20 | >= 7.20 | Attiva, password "xyz" | Attiva, password "xyz" | Sì, crittografata

Attivazione della crittografia di rete via Trasporto Remoto

Se si attiva la crittografia di rete via Trasporto Remoto, vale quanto segue:

  • Finché il sistema non viene riavviato, il Trasporto Remoto funziona senza crittografia anche dopo che si sia settata una password per la crittografia di rete.
  • Dopo il riavvio del sistema della destinazione, però, questo sistema richiede una connessione crittografata con la corretta password.

Noch in diesem Kapitel

Modifica password per l´instaurazione della connessione

Configura crittografia della connessione di rete


Modifica password per l´instaurazione della connessione

Manuale -> Trasporto remoto -> Stabilisci collegamento -> Codifica -> Modifica password per l´instaurazione della connessione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per modificare la password di connessione:

  1. selezionate nel menù contestuale del progetto Remote-Transport -> Stabilisci collegamento oppure Cambia la password e visualizza la licenza
  2. cliccate all´interno del dialogo sul pulsante Modifica password di connessione
  3. si apre il dialogo che serve alla modifica della password

Parametri | Descrizione
Vecchia password | Inserire la password esistente.
Nuova Password | Inserire la nuova password
Conferma password | Confermare la nuova password inserendola una seconda volta.


Configura crittografia della connessione di rete

Manuale -> Trasporto remoto -> Stabilisci collegamento -> Codifica -> Configura crittografia della connessione di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La comunicazione di rete può essere protetta tramite un´elevata forma di crittografia. La crittografia viene attivata sia localmente mediante lo Startup Tool di zenon, mediante un tool per il Web Client di zenon oppure via Trasporto Remoto nel dialogo Stabilisci collegamento:

Parametri

Descrizione

Acquisisci configurazione locale

Legge i parametri di crittografia del calcolatore locale.

Codifica comunicazione di rete

Attivo: sul calcolatore remoto viene attivata la crittografia della rete.

Default: Non attivo

Password

Inserisci password.

Per i criteri, vedi sezione "Password Crittografia di rete" nel capitolo "Elevata crittografia della comunicazione di rete".

La lunghezza visualizzata viene settata sempre a 20 caratteri, in modo tale da poter nascondere quella reale.

Conferma password

Confermare la password inserendola una seconda volta.

Ok

Salva le modifiche e chiude il dialogo.

Elimina

Rifiuta le modifiche e chiude il dialogo.

Guida

Apre la guida online

La password configurata in questa sede viene depositata nello zenon6.ini del calcolatore remoto.

info Informazioni su

Informazioni relative ai messaggi di errore per la crittografia avanzata si trovano in:

Guida in linea relativa alla Rete -> capitolo Crittografia avanzata della comunicazione di rete ->, nella sezione Messaggi di errore.


Elaborazione batch Trasmissione a diversi calcolatori contemporaneamente

Manuale -> Trasporto remoto -> Elaborazione batch Trasmissione a diversi calcolatori contemporaneamente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´aiuto dell´elaborazione batch, più calcolatori possono essere raggiunti contemporaneamente.

Progettazione del Remote-Transport Elaborazione batch:

  1. create un file hosts.txt.A-Z
  2. Inserite per ogni computer l´indirizzo IP o il nome calcolatore in una riga differente.

    Esempio:

    HOST=192.168.0.24;
    HOST=192.168.0.15;

  3. Aggiungete nella cartella \zenon\custom\additional die hosts.txt.


Trend esteso

Manuale -> Trend esteso

Il trend esteso serve a visualizzare in forma di curve valori online e valori storici (Valori di archivio) di variabili e variabili derivate. Consente la rieleggibilità dei dati storici. Lo scrolling all´interno del Trend esteso offre una funzione righello, zoom e una analisi trend. A differenza dell’elemento dinamico Trend, è possibile zoomare, sfogliare, esaminare e scalare valori online e valori di archivi.

tutorial Informazioni sulla licenza

Nell´Editor e nel Runtime (standalone, server, standby e client) è necessaria una licenza.

Nota: una Starter Edition del server archivi ridotta nel numero delle funzioni è già disponibile nella licenza standard di zenon.

Starter Edition del Trend esteso:

Nel pacchetto standard di zenon è contenuta una versione del Trend esteso dalle funzionalità ridotte denominata Starter Edition.

La "Starter Edition" presenta le limitazioni seguenti:

  • nessun trend XY
  • nessun secondo Asse tempo
  • numero di curve limitato a 8.
  • nessuna rappresentazione logaritmica.
  • Tipo di registrazione con un cursore.

Per le ulteriori limitazioni d´uso nell´ambito di progetti Windows CE, vedi la guida zenon Operator sotto Windows CE, capitolo Limitazioni per zenon.

Attenzione!

Se nell'editor è disponibile solo la licenza per la "Starter Edition" del Trend esteso, non possono essere impostate tutte quelle funzionalità che superano i limiti sopra indicati.

Se nel runtime è disponibile solo una licenza per la Starter Edition del Trend esteso, non è possibile eseguire in modo corretto le funzioni di cambio immagine che non corrispondono alle regole sopra citate. L'immagine del Trend esteso viene aperta con il filtro di default (=filtro vuoto). In questo caso, viene generato un inserimento corrispondente nel Server di diagnosi.

Esempio: cercate di eseguire nel Runtime con la Starter Edition una funzione di passaggio ad un'immagine con 10 curve. Questa immagine Trend esteso viene aperta, ma non viene visualizzata alcuna curva.

Licenza

Sul PC, è possibile passare in qualsiasi momento dalla Starter Edition del Trend esteso a quella completa del modulo, mantenendo la compatibilità dei dati. Per le versioni I/O dotate di licenza, la Starter Edition non è disponibile.

Windows CE

Per il Runtime Windows CE 6.0, è possibile avere la Starter Edition del Trend esteso insieme alla Starter Edition del server archivi. Per le versioni più vecchie di Windows CE, non è disponibile nessuno dei due moduli. L´elemento di controllo Lista estesa curve non è disponibile sotto CE. Per questo motivo, tutti gli elementi di controllo che si riferiscono a questo elemento, verranno visualizzati solo se il progetto non è un progetto CE.

Noch in diesem Kapitel

Progettazione nell'editor

Gestione durante il runtime


Progettazione nell'editor

Manuale -> Trend esteso -> Progettazione nell'editor

Per poter usare il Trend esteso nel Runtime deve accadere quanto segue nell`Editor:

  • bisogna impostare un´immagine del tipo Trend esteso
  • si deve creare una funzione di cambio immagine
  • si devono configurare le curve

Noch in diesem Kapitel

Crea un'immagine del tipo Trend esteso

Cambio immagine – Trend esteso

Configurazione curve

Profili filtro

Funzione "Stampa diagramma Trend esteso"

Inserimenti nel file project.ini


Crea un'immagine del tipo Trend esteso

Manuale -> Trend esteso -> Progettazione nell'editor -> Crea un'immagine del tipo Trend esteso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´immagine del tipo Trend esteso serve ad elaborare il trend esteso nel Runtime.

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Trend esteso.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Elemento

Descrizione

Inserisci modello

Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine.

I modelli sono forniti con zenon, ma è possibile definirli anche individualmente.

I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.

Immagine

Selezione della finestra da visualizzare per diagrammi e curve nel Runtime.

Diagramma

Finestra che serve alla visualizzazione della curva di trend.

Nome diagramma

Mostra il nome diagramma.

Filtro impostato

Mostra durante il Runtime il filtro tempo impostato attualmente.

Cursore lista di emissione

Mostra la posizione del cursore nella finestra di diagramma e i valori fissati alla voce Impostazioni diagrammi e emissione cursore.

Lista curve estesa

Lista curve che può essere modificata durante il Runtime. Possono essere modificati:

  • Nome curva
  • Titolo
  • Colore
  • Colore di sfondo
  • Visualizza area
  • Asse Y
  • Attivo
  • Ordinamento

Nota: non è disponibile sotto Windows CE. Sotto Windows CE viene sostituita dalla Lista curve (obsolete).

Lista curve (obsolete)

Lista delle curve.

Viene usata per ragioni di compatibilità per CE. Per tutti gli altri progetti si consiglia di usare la Lista estesa curve.

Funzioni diagramma

Elementi di gestione per diagrammi.

Filtro

Visualizzazione del filtro impostato.

Impostazioni diagramma

Attiva il Dialogo per le impostazioni diagrammi e emissione cursore.

Curve

Modifica parametri curve

Asse X

apre Dialogo per impostazioni dell´asse X.

Aggiorna

Attualizza la visualizzazione.

Stop

Non aggiornare schermo.

Avanti

Aggiornare schermo.

Cursore on/off

Esamina valori

Doppio cursore on/off

Valori che si trovano fra 2 cursori, mostra

Stampa

Stampa diagramma.

Nota: può essere che l´esito delle stampe ottenute mediante il pulsante Stampa dell´immagine Trend esteso si differenzi dalla stampa effettuata mediante le funzioni Cambio immagine Trend esteso e Stampa diagramma Trend esteso. Le funzioni partono dal presupposto costituito da una finestra delle seguenti dimensioni: 1000 x 700 Pixel. La stampa effettuata tramite il pulsante, invece, parte dal presupposto costituito dalla proporzione definita nell´Editor.

Stampa con dialogo

Stampare visualizzazione diagramma.

Copia negli appunti

Salvare visualizzazione negli appunti.

Esporta dati visualizzati

esporta tutti i dati visibli di tutte le curve visualizzate in un file CSV.

Navigazione diagramma

Pulsanti per la navigazione nel diagramma.

Cursore Sx di un Pixel

Sposta il cursore di un pixel a sinistra

Se si tiene premuto il tasto Shift, il cursore viene spostato di 10 pixel.

Cursore Dx di un Pixel

Sposta il cursore di un pixel a destra.

Se si tiene premuto il tasto Shift, il cursore viene spostato di 10 pixel.

Indietro

Scorrere indietro nel tempo sull’asse tempo (Storico)

Indietro di un quarto

Sposta indietro l´intervallo di tempo visualizzato di un quarto dell´unità di misura prescelta.

In avanti

Scorrere avanti nel tempo sull’asse tempo (Attuale)

Avanti di un quarto

Sposta avanti l´intervallo di tempo visualizzato di un quarto dell´unità di misura prescelta.

Zoom

ingrandire visualizzazione

Step back

Ridimensionare la visualizzazione.

Zoom +

riduce gli intervalli di tempo della rappresentazione

Zoom -

ingrandisce gli intervalli di tempo della rappresentazione

Zoom al 100 %

imposta il fattore zoom su 100 %.

Quest´azione zoom viene salvata nella Zoom-History.

Ad esempio: se, usando lo Zoom,

  • si zooma due volte un´area selezionata del Trend esteso,
  • poi si seleziona Zoom contenuto a 100% e
  • e poi si zooma di nuovo un´area selezionata,

ci saranno quattro eventi zoom nella History. Si può tornare indietro passo per passo usando la funzione Step indietro.

Profili filtro

Pulsanti per impostazioni filtro nel Runtime.

Selezione profili

Selezionare un profilo dalla lista.

Salva

Salva l´impostazione attuale come profilo.

Elimina

Cancella il profilo selezionato.

Importa

Importa profili filtro da un file di export

Esportazione

Esporta profili filtro in file

info Informazioni su

Gli elementi di controllo Cursore di un Pixel a sinistra e Cursore di un Pixel a destra spostano solamente il cursore, ammesso che esso sia attivo, ma non il trend.

Al posto degli elementi di controllo, si possono usare anche i tasti freccia della tastiera.

Se si tiene premuto il tasto SHIFT durante lo spostamento per mezzo di tasti freccia o elementi di controllo, il movimento si verifica in passi da 10 pixel.


Cambio immagine – Trend esteso

Manuale -> Trend esteso -> Progettazione nell'editor -> Cambio immagine – Trend esteso

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il cambio immagine vengono definiti i parametri per il diagramma trend da visualizzare nel Runtime. Ogni curva trend è caratterizzata da una propria denominazione. Per non perdere una visione chiara, non dovrebbero essere visualizzate troppe curve trend allo stesso tempo. La progettazione delle curve può essere effettuata per più variabili contemporaneamente, le quali vengono poi attivate nel Runtime.

Per configurare il cambio immagine:

  1. selezionate nel nodo Funzioni del menù contestuale, la voce Nuova Funzione
  2. si apre il dialogo per selezionare una funzione
  3. Navigate per raggiungere il nodo Immagini
  4. selezionate Cambio immagine
  5. selezionate l´immagine desiderata del tipo Trend esteso
  6. si apre il dialogo per configurare il diagramma

Scheda | Descrizione
Dati | Configurazione della sorgente dati e della amministrazione curve.
Rappresentazione | Configurazione della rappresentazione diagramma.
Asse X | Configurazione dell´asse X.
Ora | Configurazione del filtro di tempo.
Lotto | Configurazione del filtro lotti.
impostazione colonne | Configurazione delle colonne da visualizzare.
Impostazioni stampante | Configurazione delle impostazioni per la stampa di diagrammi o salvataggio come immagine.
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Noch in diesem Kapitel

Dati

Rappresentazione

Asse X

Ora

Lotti

Impostazioni di colonna

Impostazioni stampante


Dati

Manuale -> Trend esteso -> Progettazione nell'editor -> Cambio immagine – Trend esteso -> Dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione di sorgente dati e di curve e della loro visualizzazione nel Runtime.

Le opzioni a disposizione si diversificano a seconda della sorgente dati.

  • Dati online
  • Block-Array
  • Dati archivi

Configurazione dati

Origine dati

Parametri

Descrizione

Origine dati

Selezione della sorgente dati:

  • Dati online
  • Block-Array
  • Dati archivi

Selezionabile solamente finché non sono configurate delle curve.

Dati online

Attiva: per la visualizzazione vengono usati attuali dati online e valori salvati.

Block-Array

Attiva: per la visualizzazione vengono usati variabili e valori array. In tal modo potete far in sì che siano visualizzate solamente quelle variabili che si basano su un driver che supporta variabili con valori array.

La rappresentazione di variabili con valori array funziona esattamente come quella XY. Tuttavia, non dovete selezionare nessun filtro tempo e nessuna variabile X. Inserite nella tab asse X (visualizzazione XY) in Scala Da e A i corrispondenti indici Array dei dati originari.

Nota: block-Array corrisponde alla proprietà Grandezza array che può essere impostata in una variabile e non è identico con la variabile array.

Dati archivi

Attiva: per la rappresentazione vengono usati i valori archivio salvati nella banca dati (formato ARX, oppure dati SQL)

Nota: archivi in formato XML-, dBase- oppure TXT non vengono più visualizzati dopo la fine del ciclo di salvataggio.

Opzioni

Parametri

Descrizione

Opzioni

Configurazione di opzioni in dipendenza dell´origine dei dati.

ordina dati

Disponibile solamente per dati online e dati d'archivio.

Attiva: i dati vengono ordinati con un time stamp dopo essere stati caricati.

Nota: l´uso di questa opzione può compromettere le prestazioni, perché ogni volta tutti i dati devono essere riordinati.

Raccomandazione: usate questa opzione se i dati provengono da una sorgente esterna e non è certo che la sequenza sia corretta.

Solo dati Delta

Disponibile solamente per dati d'archivio.

Attiva: quando si apre o attualizza il trend, vengono caricati solamente quegli archivi che contengono dati modificati.

Lettura archivi dai percorsi di backup

Disponibile solamente per dati d'archivio.

Per la rappresentazione vengono usati i dati storici del readback folder.

Quando vengono scaricati dati d'archivio dalla cartella di backup, vengono letti anche i dati di archivio del percorso Runtime e di tutte le sottocartelle della cartella di backup.

Selezione automatica dell´archivio in cascata adatto

Disponibile solamente per dati d'archivio.

Attiva: nel Runtime, il sistema seleziona automaticamente l´archivio in cascata adatto.

Funzionamento nel Runtime:

  • se si seleziona un grande intervallo di tempo nell´archivio base, oppure si allarga zoomando molto spesso, di norma ciò richiede una grande quantità di dati.
    Se si attiva questa opzione, vengono visualizzati solamente i dati del prossimo archivio in cascata. Se si torna a zoomare all´interno del diagramma, quest´ultimo ripassa all´archivio precedente.
  • Valore soglia: Radice di larghezza diagramma = numero dei valori dell´archivio in cascata.
    Esempio: una larghezza digramma pari a 625 Pixel restituisce un valore soglia di 25 valori.
    Se non è possibile determinare il valore soglia, si usa l´impostazione di Default di 15 valori.
  • Dagli archivi in cascata si prende quella variabile di compressione che appare per prima nella successione seguente: - media
    - massimo
    – minimo
    – somma
    Attenzione: Se però la variabile per il diagramma viene presa da un archivio in cascata, accade quanto segue:
    - si usa solo la stessa funzione di compressione
    - non si torna più in direzione dell´archivio base.
  • Se ci sono più archivi in cascata allo stesso livello e con la stessa funzione di compressione, si usa sempre il primo.
  • Se per una variabile dell´archivio base si trova solamente una "sum variable", apparirà un avvertimento corrispondente nel Diagnosis Viewer e nella finestra di emissione dell´Editor.

Impostazione di default:

  • attivo:
  • Eccezion fatta per progetti realizzati con una versione precedente a 7.11 e convertiti nella versione attuale.

Curve

Parametri

Descrizione

Curve

Visualizzazione e attivazione delle curve configurate. Cliccando due volte su un inserimento, si apre la finestra di dialogo che serve alla configurazione della curva.

Si può attivare e disattivare in questa sede la visualizzazione nel Runtime, nonché configurare la successione della visualizzazione.

Le colonne visualizzate nella lista curve corrispondono alla configurazione attuale della Lista curve estesa che trovate nella scheda Impostazioni colonna.

Colonne importanti:

  • Nome curva: visualizzazione del nome della curva
  • Titolo: visualizzazione del titolo curva configurato.
  • Colore: visualizzazione del colore curva configurato.
  • Achse Y: attivazione/disattivazione della visualizzazione dell´asse Y nel Runtime mediante clic nella Checkbox.
    Se la Checkbox è stata disattivata, l´asse Y per la curva può essere selezionato e visualizzato durante il Runtime nell´immagine Trend esteso.
  • Attiva: attivazione/disattivazione della visualizzazione della curva nel Runtime mediante clic nella Checkbox.
    Se la Checkbox è stata disattivata, la curva può essere selezionata e visualizzata nell´immagine Trend esteso.
  • Nome variabile:: visualizzazione del nome variabile.
  • Identificazione variabile: visualizzazione dell´identificazione della variabile.
  • Ordinamento: Definisce la successione in cui le curve vengono visualizzate in questa scheda e nel Runtime. Essa può essere modificata cliccando in una cella e inserendo una cifra. In alternativa, la successione può essere modificata cliccando sull´intestazione colonna e usando il Drag&Drop.
    Minimo: 1
    Massimo: Numero delle curve.
    L´ordinamento avviene cliccando sull´intestazione colonna.
    La successione può essere anche configurata nel Runtime.

Avvertenza:

  • il numero consentito di curve dipende dal tipo di licenza.
  • Se si sceglie una variabile archivio del tipo Stringa, nel dialogo Impostazioni curve viene attivata automaticamente l´opzione Diagramma Gantt.
  • L´ordinamento secondo altre colonne come Successione non ha effetto sulla successione della visualizzazione delle curve.

Aggiungi

Apre il dialogo che serve alla selezione variabili, in dipendenza dell´origine dei dati.

  • Dati online: variabili numeriche
  • Block-Array: variabili numeriche
  • Dati archivi: Variabili di archivi esistenti

Modifica

Apre il dialogo che serve alla Configurazione curve.

Questo dialogo può essere aperto anche cliccando due volte su una curva nella lista Curve.

Elimina

Cancella le curve selezionate dalla lista.

Disponibile solamente se sono state progettate delle curve.

Proposta per salvataggio dati su Hard Disk

Parametri

Descrizione

Proposta per salvataggio dati su Hard Disk

È disponibile solo per dati online.

Offre valori proposti dal sistema per la proprietà del gruppo Salvataggio dati su Harddisk nell´Editor di zenon.

Il calcolo della proposta dipende direttamente dal Refreshrate (scheda visualizzazione ). Nel caso della Visualizzazione YT viene preso in considerazione per il calcolo anche il tempo configurato nel filtro tempo.

Quantità

Numero dei valori che vengono scritti. Corrisponde al valore che viene inserito nella proprietà Quantità valori.

Ciclo registrazione

Tempo ciclo in secondi. Corrisponde al valore che viene inserito nella proprietà Frequenza d'interrogazione [s].

Anteprima

Mostra i valori attuali delle variabili che devono essere sostituiti con i valori proposti.

Accetta proposta

Attiva: quando si chiude il dialogo con OK, scrive i valori proposti nelle corrispondenti proprietà della variabile.

Nota: Se la proprietà HD attivo è disattivata, viene attivata.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Nota: Le opzioni per l´import e l´export di questo filtro disponibili fino alla versione 7.10 sono state temporaneamente rimosse. L´import di filtri da progetti realizzati con altre versioni, dunque, non è possibile al momento.

Salvataggio dati su disco fisso

Se si vuole che delle variabili online vengano visualizzate nel Trend esteso, Vi consigliamo di realizzare una sincronizzazione dei valori per il salvataggio dei valori variabile sul disco fisso. Se al momento di effettuare la configurazione del passaggio ad un´immagine del tipo Trend esteso si è settata l´opzione Dati online, il sistema propone valori ottimali per il salvataggio dei valori variabile sul disco fisso. Questi possono essere anche modificati manualmente.

Nell´Editor di zenon trovate queste proprietà nel gruppo Salvataggio dati su disco fisso.
Questo comprende le proprietà:

  • HD attivo: attiva o disattiva il salvataggio dati.
  • Quantità valori: numero dei valori che vengono salvati.
  • Frequenza d'interrogazione [s]: Tempo ciclo in secondi.
  • Tipo di registrazione: tipo di salvataggio:
    • Dati disco fisso (ciclico): scrittura ciclica dei valori sul disco fisso.
    • Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso.
      Si adatta all´analisi cosiddetta post-mortem. Il PLC deve essere configurato per salvare i dati in caso di errore e scriverli dopo la nuova messa in opera sul disco fisso..

Se non si usa il salvataggio dati su disco fisso, i dati non vengono salvati nel Runtime.

Noch in diesem Kapitel

Dati array


Dati array

Manuale -> Trend esteso -> Progettazione nell'editor -> Cambio immagine – Trend esteso -> Dati -> Dati array

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per visualizzare variabili con dati array:

  • definite per le variabili corrispondenti la proprietà Grandezza array nel gruppo Impostazioni aggiuntive, per esempio 10

  • selezionate in corrispondenza della funzione Cambio immagine ad un´immagine Trend esteso, la proprietà Block-Array:

risultato nel Runtime

  1. Quando si avvia il Runtime, l´immagine Trend esteso è ancora vuota:

  2. non appena i valori della ricetta sono stati settati, vengono visualizzati i valori delle variabili con Block-Array.


Rappresentazione

Manuale -> Trend esteso -> Progettazione nell'editor -> Cambio immagine – Trend esteso -> Rappresentazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Impostazioni per la visualizzazione del diagramma nel Runtime:

Nome Diagramma

Parametri

Descrizione

Nome Diagramma

Nome diagramma liberamente configurabile:

Lunghezza massima: 30 caratteri
Integra nome lotti in modo dinamico: il nome diagramma può contenere nomi lotti. A tal scopo, inserite la successione di caratteri %c% nel nome. Nel Runtime, %c% verrà sostituito con quel nome lotto che soddisfa le condizioni di filtro.
Ad esempio: Il nome diagramma Diagramm1_%C%_Ende restituisce nel Runtime Diagramm1_Charge1_Ende

Aggiornamento

Impostazioni per l´aggiornamento del diagramma.

Larghezza scorrimento

Definizione dello scorrimento dell'immagine in percentuale una volta raggiunto il margine destro del diagramma.

Possibili valori: da 0 a 100
Attenzione: Disponibile solo per la Visualizzazione YT.

Refresh rate

Stabilire la attualizzazione dell´immagine in secondi.

  • Nel caso di Dati online e Block-Array il valore deve essere superiore a 0.
  • Nel caso didati online e Block-Array non è possibile nessuna apertura statica.
  • Nel caso di dati archivio, la Refreshrate si adatta dinamicamente al tempo di carico dei dati. Se l´operazione di carico dei dati dura più a lungo della metà dell´intervallo di refresh, la refreshrate viene raddoppiata.
    In alternativa, nel caso di dati d'archivio si può settare il valore per la refreshrate su 0. La conseguenza di ciò è che i dati visualizzati non vengono aggiornati.
    Quest´impostazione è molto utile se si deve visualizzare una grande quantità di dati nell´ETM. Se in questo caso la refresh rate è settata su un valore troppo piccolo, può succedere che si verifichi un infinite loop.

Massimo rispettivamente: 3600 s

Ottimizzare refresh rate: Nell´effettuare la lettura di dati di archivio, all´inizio e alla fine viene generata dal server (anche Standalone) e dal client una segnalazione log, che può essere letta con il Diagnosis Viewer. In tal modo si può stabilire quanto dura la lettura dei dati e si `de dunque in grado di scegliere la migliore Refreshrate.

Offset

Spostamento del punto zero dell´asse del tempo in maniera corrispondente al valore indicato in secondi.

Massimo: 65535 s

Non disponibile per l´origine dati Block-Array.

Design

Parametri | Descrizione
Design | Impostazioni per il design del monitor.
Carattere | Selezione del carattere definito dall’utente per le didascalie sugli assi e per le segnalazioni dei valori.
Sfondo | Selezione del colore di sfondo per la grafica visualizzata. Cliccando sul colore si apre il dialogo che serve alla scelta del colore.
Griglia | Selezione del colore della griglia sovrapposta Cliccando sul colore si apre il dialogo che serve alla scelta del colore.
Distanza del diagramma dalla bordo della finestra | Impostazioni per la determinazione della distanza fra diagramma dalla bordo della finestra. Minimo rispettivamente: 10 px Massimo rispettivamente: 2000 px
In sù | Distanza tra il margine superiore dell'elemento di controllo e la curva trend in esso rappresentata (Attenzione: lasciare eventualmente spazio per inserire successivamente le informazioni della funzione di righello)
In giù | Distanza tra il margine inferiore della cornice dell'elemento di controllo e l’asse X (origine 0% asse Y). (Attenzione: lasciare spazio per la legenda a due righe dell’asse X con i caratteri definiti dall´utente)
Sinistra: | Distanza tra il margine sinistro dell’elemento di controllo e l’asse Y (origine 0% asse X) (Attenzione: lasciare spazio per la legenda dell’asse Y dalla parte sinistra con i caratteri definiti dall´utente)
Destra | Distanza tra il margine destro dell’elemento di controllo e l’asse Y (origine 100% asse X). (Attenzione: lasciare spazio per la legenda dell´asse Y dalla parte destra con i caratteri definiti dall´utente)

Runtime

Parametri

Descrizione

Runtime

Impostazioni per il comportamento nel Runtime.

Visualizza questa finestra di dialogo a Runtime

Condizione: nel filtro tempo si deve fissare un intervallo di tempo. Se si attiva nella scheda asse X per la visualizzazione XY l´opzione Confronto con secondo periodo, il sistema offrirà due filtri tempo per i due assi X.

Attivo: Prima di ogni apertura dell´immagine viene aperto il dialogo di filtro. Le impostazioni di filtro possono essere modificate. Quest´opzione non è disponibile sotto Windows CE.
Attenzione: Se nella scheda Lotti si seleziona anche l´opzione Mostra dialogo di selezione lotti, quest´ultimo verrà aperto nel Runtime. Esso non verrà più visualizzato nel caso di un reload.

Indicazioni per il filtro intervallo di tempo:

Proponi dialogo a Runtime attivo:

  • Il filtro viene aperto nel Runtime con un cambio immagine. All´aggiornamento del progetto, il filtro non verrà più offerto. Questo comportamento può differire con i singoli tipi di immagine, se il dialogo è stato visualizzato e poi chiuso con il cambio immagine.
  • Si usa sempre l´ultimo intervallo di tempo concluso.

Proponi dialogo a Runtime non attivo:

  • Utilizza ultimo intervallo di tempo concluso non attivo: Si usa l´ultimo intervallo di tempo concluso.
  • Utilizza ultimo intervallo di tempo concluso non attivo: Si usa l´intervallo di tempo attuale.

Sostituisci filtro tempo con immagine

Disponibile solo se l´opzione Proponi dialogo a Runtime è attiva.

Sostituisce nel Runtime la finestra di dialogo con un´immagine del tipo filtro tempo. Viene visualizzata l´immagine collegata attualmente. Si può selezionare solamente un´immagine del tipo filtro tempo. In questo caso non è consentito scegliere immagini del tipo Filtro Lotto. Queste ultime vengono configurate nella scheda Lotti.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine. Vengono proposte solamente immagini del progetto da aprire e solo quelle del tipo Filtro tempo.

Se si seleziona un´immagine filtro, nella visualizzazione dettagli della funzione viene visualizzata nella colonna Parametri anche l´informazione BOX SCREEN: senza un´immagine collegata viene visualizzato solo BOX.

Visualizza reticolo nel diagramma XY

Visualizzazione del reticolo nel Runtime:

  • Attivo: acceso
  • Disattivato: spento

Disponibile solamente se nella scheda Asse X è stata attivata l´opzione Visualizzazione XY.

Asse Y: Variabile per valore del 1. cursore

Variabile per ascisse del primo cursore.

Se cliccate sul pulsante .... si apre la finestra di dialogo che serve a selezionare una variabile del tipo LREAL oppure DWORD/DINT/UDINT.

Quando si apre e si muove il cursore nel Runtime, le sue ascisse (valori tempo o X) vengono scritte nella variabile assegnata. I valori vengono salvati nel formato tempo Unix time (numero di secondi passati dal 1° gennaio 1970 00:00 Uhr UTC).

Asse Y: Variabile per valore del 2. cursore

Variabile per ascisse del secondo cursore.

Se cliccate sul pulsante .... si apre la finestra di dialogo che serve a selezionare una variabile del tipo LREAL oppure DWORD/DINT/UDINT.

Quando si apre e si muove il cursore nel Runtime, le sue ascisse (valori tempo o X) vengono scritte nella variabile assegnata. I valori vengono salvati nel formato tempo Unix time (numero di secondi passati dal 1° gennaio 1970 00:00 Uhr UTC).

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Asse X

Manuale -> Trend esteso -> Progettazione nell'editor -> Cambio immagine – Trend esteso -> Asse X

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Impostazioni per l´asse X. Esse possono essere progettate in due modi diversi:

  • Visualizzazione YT: rappresentazione della curva trend nell`arco di tempo progettato.
    Nella configurazione dell’asse tempo sono definibili l'arco di tempo, i charge e la rappresentazione degli assi.
  • Visualizzazione XY: visualizzazione dei valori di una variabile o di una variabile derivata (curve locali e punti d´operazione ecc.)
    Disponibile solamente se nella scheda Lotti non è attiva l´opzione Selezione lotto relativa.

Noch in diesem Kapitel

Visualizzazione YT

Visualizzazione XY


Visualizzazione YT

Manuale -> Trend esteso -> Progettazione nell'editor -> Cambio immagine – Trend esteso -> Asse X -> Visualizzazione YT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Asse X

Parametri

Descrizione

Asse X

Scelta della modalità di visualizzazione:

Visualizzazione YT

Attiva: viene progettata la visualizzazione delle curve in funzione del tempo.

Visualizzazione XY

Attiva: viene progettata la visualizzazione delle curve tramite un´altra variabile.

Variabile per l'asse X

(Non è disponibile per la visualizzazione YT )

Titolo asse

(Non è disponibile per la visualizzazione YT )

Posizione

Inserimento di un valore percentuale per il posizionamento dell´asse X riferito all´altezza dell´asse Y.

Possibili valori: da 0 fino 100

Ad esempio:

  • 0 %: posizionamento all´estremità inferiore dell´asse Y.
  • 100 %: posizionamento all´estremità superiore dell´asse Y.
  • 50 %: posizionamento al centro dell´asse Y.

Colore

Definizione dei colori degli assi. Cliccando su colore, si apre il dialogo che serve alla selezione di un colore.

Nota: progettabile indipendentemente dal colore della curva.

Mostra linee griglia verticali

Attiva: nel Runtime vengono visualizzate linee verticali in corrispondenza dei tick principali.

Confronto con secondo Periodo

Attiva: Mostra confronto con un secondo periodo.

Solo per archivi con filtro sulla base di un intervallo di tempo o di un lotto. Non è possibile un confronto con filtro lotti relativo.

Per ogni variabile di archivio vengono mostrati contemporaneamente due intervalli di tempo (per esempio: confronto settimane).

Verranno aperti due trend. Il secondo intervallo di tempo viene rappresentato dalla parte opposta dell´asse tempo con il colore della griglia.

Disponibile solamente se si dispone di una licenza per il tutto il modulo.

Visualizza in tempo reale

Attiva: l´asse viene segnato con le determinazioni tempo esistenti.

Inattiva: il momento di apertura viene definito con 00:00 e viene descritto in modo relativo nel passato (-01:00).

Descrizione

Posizione della descrizione degli assi:

Sopra l'asse

Descrizione sopra l´asse.

Sotto l'asse

Descrizione sotto l´asse.

Tipologia asse

(Non è disponibile per la visualizzazione YT )

Lineare

(Non è disponibile per la visualizzazione YT )

Logaritmica

(Non è disponibile per la visualizzazione YT )

Suddivisione asse

Impostare suddivisione degli assi.

Num. divisioni principali

Numero di suddivisioni principali con segnalazione valori.

Massimo: 60

Lunghezza tick principale

Lunghezza delle suddivisioni principali in pixel.

Massimo: 10

Num. divisioni secondarie

Numero di suddivisioni tra due suddivisioni primarie.

Massimo: 60

Scala automatica

(Non è disponibile per la visualizzazione YT )

Handle di ridimensionamento cursore

Parametri

Descrizione

Handle di ridimensionamento cursore

Definizione del punto di ancoraggio a forma di cerchio, rappresentato centrato al fine di facilitare l´uso dei righelli, per esempio nel funzionamento touch.

Diametro

Diametro del punto di ancoraggio in pixel.

  • 0: nessun punto di ancoraggio (compatibile con progetti di versioni precedenti alla 7)
  • >0: il punto di ancoraggio viene rappresentato in modo corrispondente al valore indicato

Default: 0

Massimo: 100

Scala

Parametri

Descrizione

Scala

Definizione dei valori della scala mediante attivazione delle Checkbox:

  • AA: Anno
  • MM: mese
    TT: Giorno
  • HH: Ora
  • MM: Minuti
  • SS: Secondo
  • MS: millisecondi

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Visualizzazione XY

Manuale -> Trend esteso -> Progettazione nell'editor -> Cambio immagine – Trend esteso -> Asse X -> Visualizzazione XY

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Disponibile solamente se nella scheda Lotti non è stata attivata l´opzione Selezione lotto relativa.

Parametri

Descrizione

Asse X

Scelta della modalità di visualizzazione:

Visualizzazione YT

Attiva: viene progettata la visualizzazione delle curve in funzione del tempo.

Visualizzazione XY

Attiva: viene progettata la visualizzazione delle curve tramite un´altra variabile.

Variabile per l'asse X

Selezionare ed evidenziare una variabile assegnata al diagramma. Essa viene utilizzata per l'asse X.

Cliccando sul pulsante ... si apre in dipendenza dell´origine dei dati un dialogo per la selezione delle variabili.

Titolo asse

Testo del titolo asse durante il Runtime.

Lunghezza massima: 30 caratteri

Posizione

Inserimento di un valore percentuale per il posizionamento dell´asse X riferito all´altezza dell´asse Y.

Possibili valori: da 0 fino 100

Ad esempio:

  • 0 %: posizionamento all´estremità inferiore dell´asse Y.
  • 100 %: posizionamento all´estremità superiore dell´asse Y.
  • 50 %: posizionamento al centro dell´asse Y.

Colore

Definizione dei colori degli assi. Cliccando su colore, si apre il dialogo che serve alla selezione di un colore.

Nota: progettabile indipendentemente dal colore della curva.

Mostra linee griglia verticali

Attiva: nel Runtime vengono visualizzate linee verticali in corrispondenza dei tick principali.

Confronto con secondo Periodo

(Non disponibile per visualizzazione XY)

Visualizza in tempo reale

(Non disponibile per visualizzazione XY)

Descrizione

Posizione della descrizione degli assi:

Sopra l'asse

Descrizione sopra l´asse.

Sotto l'asse

Descrizione sotto l´asse.

Tipologia asse

Selezione della modalità di rappresentazione dell´asse.

  • Lineare
  • Logaritmica

Lineare

Attiva: rappresentazione lineare dell´asse.

Logaritmica

Attiva: rappresentazione logaritmica dell´asse.

Disponibile solamente se si dispone di una licenza per il tutto il modulo.

Suddivisione asse

Impostare suddivisione degli assi.

Num. divisioni principali

Numero di suddivisioni principali con segnalazione valori.

Massimo: 100

Lunghezza tick principale

Lunghezza delle suddivisioni principali in pixel.

Massimo: 4 - 10

Num. divisioni secondarie

Numero di suddivisioni tra due suddivisioni primarie.

Massimo: 4 - 10

Scala automatica

(Non è disponibile per la visualizzazione YT )

Handle di ridimensionamento cursore

Handle di ridimensionamento cursore | (Non disponibile per visualizzazione XY)
Diametro | (Non disponibile per visualizzazione XY)

Scala

Scala

Definizione dei valori della scala mediante attivazione delle Checkbox:

  • AA: Anno
  • MM: mese
    TT: Giorno
  • HH: Ora
  • MM: Minuti
  • SS: Secondo
  • MS: millisecondi

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

info Informazioni su

Visualizzazione dell´asse x nel diagramma a partire dalla versione 6.51

Per ragioni di salvaguardia delle prestazioni, i dati di archivio per l´asse x non vengono più caricati automaticamente. Per visualizzare nonostante questo l´asse x nel diagramma:

  • aggiungete la variabile selezionata come variabile per l´asse X anche come curva nel diagramma
  • disattivate la visualizzazione per questa curva

info Informazioni su

Se è stata progettata la visualizzazione XY, all´inizio dell´interrogazione viene sempre visualizzato solamente il rispettivo valore attuale. Questo valore non può essere aggiornato. Il cursore non può essere mosso.


Ora

Manuale -> Trend esteso -> Progettazione nell'editor -> Cambio immagine – Trend esteso -> Ora

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione del filtro tempo. Non è disponibile per la provenienza dati Block-Array.

Nota: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

I filtri tempo possono sia essere pre-impostati nell´Editor, che modificato poi nel Runtime:

  • Periodo assoluto
  • Periodo relativo
  • Da
  • Intervallo tempo

Il filtraggio tempo può essere realizzato in due modi:

  1. Indica intervallo di tempo nell´Editor
    Si usano intervalli di tempo fissi. nell´editor viene indicato in intervallo tempo. Nel runtime si può effettuare il filtraggio solo sulla base di questo intervallo di tempo. Anche altri filtri (per es. filtri per nomi variabile, gruppi e classi allarmi/eventi ecc) non sono più modificabili durante il Runtime.
  2. Filtro tempo configurabile durante il Runtime
    Il filtro tempo viene impostato nell´Editor e può essere modificato a piacere nel Runtime.

Filtro tempo

Filtro

Scelta del filtro.

Parametro

Description (Descrizione)

Nessun filtro tempo

Attivo: Non viene usato nessun filtro temporale.

Nota: Nel Runtime verranno visualizzati tutti gli inserimenti a partire da 1. 1. 1990.

Filtro assoluto

Attivo: Viene indicato un periodo di tempo fisso nell´editor. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato.

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Nota: il tempo viene salvato in UTC. I dettagli lo potete leggere nel capitolo Trattamento delle indicazioni di tempo nel manuale del Runtime.

Periodo relativo

Attivo: Viene indicato un periodo di tempo relativo.

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: questo filtro viene aggiornato continuamente.

Da

Attivo: Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Selezione dell´area fra quelle della lista a cascata:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Nel settore Impostazioni vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Attenzione: il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura.
In questo tipo di filtro, il punto finale non è definito, si sposta.

Intervallo tempo

Attivo: Viene indicato un intervallo di tempo fisso. Selezione dell´area fra quelle della lista a cascata:

  • Un giorno
  • Una settimana
  • 2 settimane
  • Un mese
  • Un anno
  • 15 Minuti
  • 30 Minuti
  • 60 Minuti

Nel settore "Impostazioni"vengono visualizzate le opzioni corrispondenti, che potranno essere configurate in questa sede.

Chiudi finestra di dialogo

Parametro | Description (Descrizione)
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Nota: L´opzione Nessun filtro tempo non è a disposizione per il Trend esteso.

Noch in diesem Kapitel

Periodo assoluto

Periodo relativo

Da

Intervallo tempo

Indicare intervallo nell´editor

Filtro tempo adattabile durante il Runtime


Periodo assoluto

Manuale -> Trend esteso -> Progettazione nell'editor -> Cambio immagine – Trend esteso -> Ora -> Periodo assoluto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il filtro assoluto definite un intervallo di tempo fisso. Quando si esegue la funzione, viene usato esattamente il periodo di tempo assoluto impostato. Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione periodo assoluto
  2. configurate il tempo desiderato nella parte delle Impostazioni

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attivo: Il filtro tempo viene configurato nel Runtime.
Default | Attivo: Il filtro tempo viene indicato nell´Editor. Nel Runtime si può fissare solamente il punto di partenza del filtro.
Da | Punto di partenza del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.
Fino a | Tempo di chiusura del filtro. Selezione di giorno, mese, anno, ora, minuto e secondo.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Periodo relativo

Manuale -> Trend esteso -> Progettazione nell'editor -> Cambio immagine – Trend esteso -> Ora -> Periodo relativo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Viene indicato un periodo di tempo relativo.

Attenzione: questo filtro viene costantemente aggiornato e continua a funzionare.
Esempio: impostate un tempo relativo di 10 minuti e aprite alle ore 12:00 un´immagine con questo filtro tempo. In questo caso, verrano visualizzati i dati dalle 11:50 alle 12:00 al momento dell´apertura dell´immagine. Se l´immagine rimane aperta, il filtro viene aggiornato automaticamente. Alle 12:01 vedrete i dati dalle 11:51 alle 12:01 ecc.

Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione periodo relativo
  2. configurate il tempo desiderato nella parte delle Impostazioni

Parametro | Descrizione
Impostazioni | Configurazione del filtro di tempo.
Proponi data e ora attuale | Attivo: Il filtro tempo viene configurato nel Runtime.
Default | Attivo: Il filtro tempo viene indicato nell´Editor. Nel Runtime si può fissare solamente il punto di partenza del filtro. Selezione dell´intervallo tempo relativo in giorni, ore, minuti e secondi.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Da

Manuale -> Trend esteso -> Progettazione nell'editor -> Cambio immagine – Trend esteso -> Ora -> Da

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Viene definito un tempo a partire dal quale il filtro è attivo. Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione Da
  2. selezionate il filtro desiderato fra quelli della lista a cascata.
    • Da HH:MM:SS
    • Dal Giorno - HH:MM:SS
    • Dal Giorno, Mese - HH:MM:SS
  3. configurate il tempo desiderato nella parte delle Impostazioni

Parametro

Descrizione

Impostazioni

Configurazione del filtro di tempo.

[Data/Ora]

In dipendenza dalle impostazioni effettuate per l´opzione Ab, in questa sede viene configurato un tempo a partire dal quale il filtro è attivo:

  • Da HH:MM:SS
  • Dal Giorno - HH:MM:SS
  • Dal Giorno, Mese - HH:MM:SS

Attenzione! il punto di partenza di questo filtro viene aggiornato automaticamente. Vengono usati sempre i tempi disponibili al momento dell´apertura, anche se l´immagine rimane aperta e viene raggiunto l´orario delle 23:00:00.
In questo tipo di filtro, il punto finale non è definito, si sposta.
  • Da HH:MM:SS

Viene indicato un orario a partire dal quale il filtro è attivo. Se l´orario non è ancora raggiunto alla data odierna, il sistema effettua il filtro sulla base dell´orario corrispondente del giorno precedente.

Esempio: facciamo il caso che indichiate come orario le 23:00:00. Se al momento dell´esecuzione della funzione sono le 23:30, viene effettuato il filtro dalle 23:00:00 fino al momento attuale. Se però sono le 22:30, allora il filtro viene effettuato dalle 23:00 del giorno precedente fino al momento attuale.
  • Dal Giorno - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nel mese corrente, si fa riferimento al tempo corrispondente del mese precedente.

Esempio: facciamo il caso che indichiate come giorno il 5 e come orario le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 del mese e sono le 23:30, il sistema effettua il filtro dal 5 del mese a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 del mese, il filtro viene effettuato a partire dal 5 del mese precedente alle 23:00 fino al momento attuale.

  • Dal Giorno, Mese - HH:MM:SS

Vengono indicati un giorno e un orario per l´inizio del filtro. Se il tempo indicato non viene raggiunto nell´anno corrente, si fa riferimento al tempo corrispondente dell´anno precedente.

Esempio: facciamo il caso che indichiate comegiorno il 5, , come mese ottobre - e come ora le 23:00:00. Se al momento dell´esecuzione della funzione è il 10 di ottobre e sono le 23:30, il sistema effettua il filtro dal 5 di ottobre a partire dalle 23:00:00 fino al momento attuale. Se, però, è solo il 4 di ottobre, il filtro viene effettuato a partire dal 5 di ottobre precedente alle 23:00 fino al momento attuale.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Intervallo tempo

Manuale -> Trend esteso -> Progettazione nell'editor -> Cambio immagine – Trend esteso -> Ora -> Intervallo tempo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Viene definito un intervallo di tempo nell´ambito del quale il filtro è attivo. Per settare il filtro:

  1. selezionate alla voce Filtro l´opzione intervallo di tempo
  2. configurate il tempo desiderato nella parte delle Impostazioni

Parametro

Descrizione

Impostazioni

Configurazione del filtro di tempo.

Intervallo tempo

Selezione di un intervallo di tempo fra quelli proposti dal menù a tendina.

Nel Runtime si effettuerà un´operazione filtro sulla basa di questo intervallo di tempo. Il filtro si riferirà al momento dell´apertura dell´immagine.
Ad esempio: Il valore 60 minuti mostra tutti gli archivi dell´ultima ora.

Se questo dialogo viene offerto anche nel Runtime, si può selezionare il punto da cui deve incominciare a decorrere l´intervallo di tempo.

Modifica intervallo di tempo

Consente degli adattamenti del ciclo, spostamenti ed estensioni degli intervalli di tempo.

Attivo: L´analisi avviene secondo il seguente schema:

  • in primo luogo viene analizzata l´opzione Usa l´ultimo intervallo di tempo terminato.
  • Poi viene applicato Modifica periodo di.
  • Poi viene applicata l´opzione Spostamento intervallo avanti di.

Inattivo: non viene effettuata nessuna modifica all´intervallo di tempo.

Attenzione: A partire dalla versione 7.10, le azioni di filtro effettuate sulla base di questa funzione hanno prodotto altri esiti che nelle versioni precedenti.

Spostamento intervallo avanti di

Attivo: L´intervallo di tempo definito nel filtro viene spostato in avanti, nel futuro. Indicazione in ore - minuti - secondi.

Se si imposta uno spostamento pari o maggiore all´intervallo di tempo selezionato, il sistema visualizzerà una segnalazione che invita a verificare i dati della progettazione.

Modifica periodo di

Attivo: L´intervallo di tempo definito nel filtro viene modificato. Indicazione in ore - minuti - secondi.

Se si imposta una modifica e uno spostamento pari o maggiore all´intervallo di tempo selezionato, il sistema visualizzerà una segnalazione che invita a verificare i dati della progettazione.

Aggiungi tempo

Attivo: Il tempo indicato nell´opzione Modifica periodo di viene aggiunto a quello definito nell´opzione intervallo di tempo.

Sottrai tempo

Attivo: Il tempo indicato nell´opzione Modifica periodo di viene sottratto a quello definito nell´opzione intervallo di tempo.

Utilizza ultimo intervallo di tempo concluso

Attivo: Viene usato l´ultimo intervallo di tempo concluso.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Indicare intervallo nell´editor

Manuale -> Trend esteso -> Progettazione nell'editor -> Cambio immagine – Trend esteso -> Ora -> Indicare intervallo nell´editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questo metodo, indicate nell´editor già un intervallo di tempo fisso, che viene usato al momento dell´esecuzione della funzione nel runtime. Nel Runtime potete solamente fissare il punto temporale di partenza, ma non potete modificare alcuna impostazione di filtro.

Ad esempio: mettiamo che abbiate inserito un filtro tempo di 30 minuti. Nel runtime, potete solamente stabilire quando deve incominciare questo periodo di 30 minuti. Ma non potete neanche modificare il filtro in un filtro giorno.

attention Attenzione

Se usate questo tipo di filtro, non potete più adattare durante il Runtime anche tutti gli altri filtri che sono disponibili nella scheda Generale! Continua ad essere possibile filtrare sulla base di testo, stato e impianto.

Per impostare il filtro:

  1. nell´immagine deve essere disponibile il pulsante Filtro al fine di poter avviare il filtro stesso nel Runtime.
  2. selezionate il filtro desiderato
  3. configurate l´intervallo di tempo selezionato

Suggerimento per l´intervallo di tempo: attivate nel dialogo filtro l´opzione Proponi dialogo a Runtime. In tal modo potete adattare il punto temporale di partenza già prima dell´esecuzione della funzione. se non vi fate visualizzare il filtro al momento dell´apertura della funzione nel Runtime, verrà usato sempre l´intervallo di tempo attuale. Se avete attivato l´opzione Usa l´ultimo intervallo di tempo terminato, viene visualizzato l´ultimo intervallo di tempo.
Per esempio: mettiamo che abbiate impostato un filtro di 30 minuti. Quando si attiva la funzione sono le 10:45. Nel caso in cui l´opzione Usa l´ultimo intervallo di tempo terminato non è attiva, il filtro viene settato sull´intervallo di tempo attuale, dalle 10:30:00 alle 10:59:59. Nel caso in cui, però, l´opzione dovesse essere attiva, il filtro viene settato all´intervallo di tempo precedente dalle 10:00:00 alle 10:29:59.


Filtro tempo adattabile durante il Runtime

Manuale -> Trend esteso -> Progettazione nell'editor -> Cambio immagine – Trend esteso -> Ora -> Filtro tempo adattabile durante il Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se seguite questo metodo, definite nell´Editor un filtro tempo: esso può essere adattato durante il Runtime prima di essere eseguito. Per impostare il filtro:

  1. nell´immagine devono essere presenti i pulsanti Filtro e Mostra filtro
  2. selezionate il filtro desiderato:
    • Periodo assoluto
    • Periodo relativo
  3. selezionate alla voce Impostazioni l´opzione Proponi data e ora attuale
  4. nel Runtime, verrà aperto il dialogo di filtro con la data e l´ora attuali.


Lotti

Manuale -> Trend esteso -> Progettazione nell'editor -> Cambio immagine – Trend esteso -> Lotti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione del filtro lotti. Disponibile solamente per la sorgente dati dati d'archivio.

L´opzione Selezione lotto relativa è disponibile solo per l´Asse YT e solamente se non sono state progettate delle curve.

Filtro

Impostazioni per l´uso del filtro lotti. Selezione di una delle opzioni:

  • Nessun filtro lotti
  • Usa direttamente filtro lotti
  • Visualizza dialogo di selezione lotto
    Nota: quando il filtro lotti viene visualizzato come finestra di dialogo, è possibile eseguire un filtro preliminare sulla base delle identificazioni archivi. Si raccomanda espressamente di utilizzare questa possibilità di filtro preliminare per migliorare le prestazioni.

Parametri

Descrizione

Nessun filtro lotto
  • Attivo: il filtro lotti viene disattivato e non può essere configurato. A Runtime non verrà eseguito un filtro sulla base dei lotti.

Applica direttamente filtro lotto
  • Attivo: il filtro configurato qui verrà utilizzato direttamente a Runtime.

Nota: non è possibile farsi visualizzare tutti i lotti in una lista e selezionarne uno manualmente. Se si vuole che venga visualizzato un determinato lotto, si deve configurare in modo corrispondente il filtro per archivi, nome e tempo. Questo presuppone una conoscenza esatta dei dati esistenti. In alternativa, si raccomanda di selezionare l´opzione Visualizza dialogo di selezione lotto.

Visualizza dialogo di selezione lotto

Attivo: a Runtime, la finestra di dialogo per la selezione lotti viene visualizzata:

  • Cliccando su Filtro, oppure
  • Con un cambio immagine, se è stata attivata l´opzione Proponi dialogo a Runtime (non disponibile per ogni funzione/ogni tipo di immagine)
    Nota: la finestra di dialogo non verrà visualizzato in caso di reload.

Le opzioni possono essere preselezionate nell´Editor.

Sostituisci dialogo a Runtime con l'immagine

Disponibile solo se è stata selezionata l´opzione Visualizza dialogo di selezione lotto.

Definizione di un´immagine che deve essere aperta a Runtime al posto del Dialogo di selezione lotto. Vengono proposte alla selezione solamente immagini di tipo Filtro tempo/lotto.

Cliccare sul pulsante ... per aprire la finestra di dialogo che serve alla selezione di un´immagine.

Se non si trova l´immagine collegata a Runtime, il sistema cerca le immagini corrispondenti con nomi specifici.

Nota: si può selezionare un´immagine "Filtro lotto" anche utilizzando l´opzione Proponi dialogo a Runtime. Questa immagine, però, non viene usata qui come filtro lotto, ma come filtro tempo. Le opzioni "filtro lotto" non vengono applicate correttamente in questa posizione.

Selezione lotto relativo

Attenzione: questa opzione è disponibile solamente per il Trend esteso. Con faceplate, quest´opzione viene visualizzata per tutti i tipi di immagine; anche qui, però, è disponibile solamente per il modulo ETM.

Configurazione per ETM:

Questa opzione è disponibile se l´opzione Visualizza dialogo di selezione lotto è attiva e se la proprietà Progetto WindowsCE è disattivata nelle proprietà di progetto.

  • Attivo: consente un confronto diretto di diversi lotti. La rappresentazione parte sempre dal punto zero.

Visione generale della implementazione della configurazione a Runtime:

Ora

Configurazione del filtro tempo per la selezione lotti. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Ultimo lotto
  • Applica filtro tempo dalla scheda "Tempo"

Parametri

Descrizione

Nessun filtro
  • Attivo: non si tiene conto dell´intervallo di tempo impostato nella scheda Ora. Verrano visualizzati tutti i lotti conclusi e ancora attivi.

Ultimo lotto

Attenzione: questa opzione funziona solo in combinazione con l´opzione Applica direttamente filtro lotto.

Consente la combinazione di Visualizza lotto corrente e Visualizza lotti conclusi. Almeno una di queste due opzioni deve essere attivata. Se sono entrambe disattivate, questo corrisponde all´impostazione Nessun filtro.

  • Attivo: inserimento del numero dei lotti conclusi di recente sulla base dei quali deve essere effettuata l´operazione di filtro. Inserimento del numero nel campo numerico, oppure configurazione mediante tasti frecce.

Esempio: il valore inserito per questa opzione è 3. Ci sono 2 lotti correnti e 10 sono conclusi. In questo caso il sistema visualizzerà i due lotti correnti e uno di quelli conclusi.

Nota: come intervallo di tempo per i lotti correnti, non viene utilizzato il valore impostato nel filtro tempo, ma l´ultimo anno. Questo filtro non viene eseguito come filtro preliminare, e non può essere dunque usato per avere un miglioramento delle performance.

Informazioni sulla compatibilità:
Se il progetto viene compilato per una versione precedente alla 7.11, vale quanto segue: se si selezionano i lotti correnti, oppure la combinazione fra lotti correnti e conclusi, saranno visualizzati a Runtime solamente i lotti chiusi.

Visualizza lotto corrente
  • Attivo: verrano visualizzati i lotti attivi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti attivi al momento, il sistema mostrerà anche lotti già conclusi finché non sarà raggiunto il limite impostato.
Esempio: devono essere visualizzati 3 lotti. Solamente 1 lotto è attivo, mentre 5 sono stati già chiusi. In questo caso, verranno visualizzati il lotto ancora attivo e 2 di quelli già terminati.

Visualizza lotti chiusi
  • Attivo: vengono visualizzati i lotti conclusi.

Nota: se il numero dei lotti da visualizzare è superiore a quello dei lotti conclusi, il sistema mostrerà anche lotti ancora attivi finché non sarà raggiunto il limite impostato.

Applica filtro tempo dalla scheda "Tempo"
  • Attivo: il sistema esegue un filtro preliminare usando le impostazioni della scheda Zeit.

Nell´ambito di questo intervallo di tempo si potrà adattare l´effettivo intervallo del filtro. Selezione dal menù a tendina:

  • Inizio e fine esterni ai limiti del filtro: (Default)
    I lotti possono iniziare prima dell´ora di partenza impostata nel filtro Tempo e terminare dopo il tempo di conclusione configurato.
  • Inizio e fine interni ai limiti del filtro:
    I lotti devono iniziare e finire all´interno dei termini temporali impostati nel filtro Tempo per il loro inizio e la loro fine.
  • Inizio anche precedente al limite filtro:
    I lotti possono iniziare prima dell´ora di partenza impostata nel filtro Tempo, ma devono terminare prima o in corrispondenza del tempo di conclusione configurato.
  • Fine anche successiva al limite del filtro:
    I lotti possono terminare anche dopo il tempo di conclusione configurato nel filtro Tempo, ma devono iniziare dopo o in corrispondenza dell´ora di partenza configurata.
  • Inizio e fine coincidono con i limiti del filtro:
    I lotti vengono ridotti facendo riferimento ai termini temporali fissati per inizio e fine nel filtro Zeit.

Archivi

Configurazione delle impostazioni di filtro per gli archivi. Questo filtro si applica come filtro preliminare per la finestra di selezione lotti.

Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Statico
  • Da variabile

Parametri

Descrizione

Nessun filtro
  • Attivo: non si esegue nessuna operazione di filtro su base nome archivi.

Statico
  • Attivo: si filtrano gli archivi la cui identificazione corrisponde alla successione di caratteri impostata nel campo di inserimento.

Inserimento di identificazioni archivi nel campo di inserimento:

  • Più identificazioni sono divise da una virgola (,).
  • * oppure vuoto: tutti gli archivi, nessun filtro.

Da variabile
  • Attivo: a Runtime viene applicato il valore della variabile collegata qui come filtro per nomi archivi.

Quando si clicca sul pulsante ... si apre la finestra di dialogo che serve alla selezione di una variabile.

Disponibile per tutti i moduli solo se è stata selezionata l´opzione Applica direttamente filtro lotti.

Informazioni concernenti le variabili nel Runtime:

  • Nel Runtime, la selezione variabili viene attivata solamente nel caso in cui si sia proceduto a collegare già nell´Editor una variabile valida. Il pulsante ... non è mai attivo nel Runtime. È dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, essa verrà registrata e letta. Ciò può causare dei ritardi nel caso di connessioni driver e protocolli lenti.

Attenzione: se il sistema non trova la variabile selezionata a Runtime, non verrà eseguito nessun filtro sulla base di nomi archivio. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Nota riguardante l´ETM: nel modulo ETM gli archivi sono determinati dalle curve progettate nel cambio immagine. A Runtime, questo è possibile solamente in combinazione con l´opzione Lotto relativi . Con questa opzione, le variabili devono essere selezionate a Runtime, il che è fissato a sua volta dalla selezione possibile di archivi. Dopo essere stato filtrato, l´archivio deve essere uno di quelli sui quali si basano le curve configurate. In caso contrario non verrà visualizzato nessun dato. Questa impostazione può essere usata anche per limitare le curve visualizzate. Tuttavia queste continueranno ad essere visualizzate nella lista delle curve.

Esempio: ETM.

Curve configurate | Origine dati | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
A | AR | AR | Viene visualizzata nella lista delle curve e disegnata nel Trend.
B | EA |  | Viene visualizzata solamente nella lista delle curve.
C | EP |  | Viene visualizzata solamente nella lista delle curve.

Nota relativa alla post elaborazione archivio: l´archivio per cui viene aperta l´immagine è già selezionato nella funzione di cambio immagine. Visto che si può selezionare solamente un archivio, non ha senso impostare ulteriori limitazioni.

Esempio di post elaborazione archivio:

Archivio configurato | Filtro preliminare archivi nel filtro lotto | Risultato nell´immagine
AR | EA | Non viene visualizzato nessun dato.

Nomi

Configurazione del filtro dei nomi. Selezione di una delle opzioni seguenti:

  • Nessun filtro
  • Statico
  • Da variabile

Parametri

Descrizione

Nessun filtro
  • Attivo: non si esegue un filtro sulla base dei nome lotti.

Statico
  • Attivo: si filtrano i nomi lotti che corrispondono alla successione caratteri indicata nel campo di inserimento.

Inserimento del nome lotto nel campo di inserimento:

  • Più identificazioni sono divise da un segno pipe (|).
  • * oppure vuoto: tutti i lotti di tutti gli archivi visualizzati, nessun filtro.

Da variabile
  • Attivo: a Runtime si usa il valore della variabile collegata qui come filtro per i nomi lotti.

Quando si clicca sul pulsante ... si apre la finestra di dialogo per la selezione di una variabile.

Disponibile solo se è stata selezionata l´opzione Applica direttamente filtro lotto.

Informazioni concernenti le variabili nel Runtime:

  • Nel Runtime, la selezione variabili viene attivata solamente nel caso in cui si sia proceduto a collegare già nell´Editor una variabile valida. Il pulsante ... non è mai attivo nel Runtime. È dunque possibile selezionare l´opzione, ma non si potrà collegare nessuna nuova variabile.
  • Se la variabile non è registrata sul driver nel momento in cui viene usato il filtro lotti, essa verrà registrata e letta. Ciò può causare dei ritardi nel caso di connessioni driver e protocolli lenti.

Attenzione: se non è possibile trovare la variabile selezionata a Runtime, non sarà eseguito nessun filtro dei nomi lotti. Questo vale anche nel caso in cui non sia possibile determinare il valore della variabile. In questo caso il filtro corrisponde all´impostazione Nessun filtro.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Impostazioni di colonna

Manuale -> Trend esteso -> Progettazione nell'editor -> Cambio immagine – Trend esteso -> Impostazioni di colonna

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione delle impostazioni di colonna della lista curve estesa.

Parametri

Descrizione

Emissione cursore / Valori tra primo e secondo cursore

Configurazione dei tipi e delle larghezze colonna da visualizzare.

Tipo colonne

A disposizione stanno i seguenti tipi di colonna:

Emissione cursore

  • Data
  • Variabile
  • Valore
  • Unità di misura
  • Stato
  • Stato

Valore tra primo e secondo cursore

  • Minimo
  • Media valori
  • Massimo
  • Differenza tempo
  • Differenza valore
  • Somma
  • Deviazione standard
  • Numero inserimenti

Cliccando nella checkbox si attiva/disattiva la visualizzazione del tipo nel Runtime.

Larghezza

Larghezza colonna dell´emissione cursore o larghezza colonna dei punti di misurazione fra primo e secondo cursore nella lista emissione cursore. Il valore corrisponde al numero dei caratteri.

Cliccando sul valore fa sì che si possano effettuare modifiche.

Visualizza intestazione in modalità compatibilità

Attiva: Per le versioni di zenon precedenti alla 6.51 SP0, vengono visualizzate per la "finestra di interrogazione in modalità compatibilità" delle intestazioni di colonna. Si usa, per esempio, per la visualizzazione di progetti convertiti durante il Runtime.

Per i progetti a partire dalla versione 6.51, tutto ciò non è più necessario. In questo caso, tutti i titoli di colonne vengono visualizzati nella Lista di interrogazione.

Lista curve estesa

Configurazione della visualizzazione della lista curve estesa

Campo lista

Visualizzazione delle colonne configurate.

Scelta colonne

Apre il dialogo per la selezione delle colonne.

Formato colonne

Apre il dialogo che serve a formattare le colonne.

Ok

Riprende le modifiche in tutte le tab e chiude il dialogo.

Elimina

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.

info Informazioni su

Il titolo dell´intestazione dell´aspetto cursore sono modificabili a piacere con l´aiuto della funzione del cambio lingua.

Per rendere disponibile l´intestazione anche nel caso di conversione di vecchi progetti, potete cancellare l´attuale lista aspetto cursore e sostituirla con la nuova, oppure attivare la checkbox Visualizza intestazione.

Se create un progetto per una versione di zenon più vecchia di 6.51 SP0, potete aggiungere la corrispondente lista aspetto cursore dopo l´impostazione della versione runtime di destinazione.

Noch in diesem Kapitel

Scelta colonne

Formato colonne

Adattare l´aspetto del cursore lista di emissione


Scelta colonne

Manuale -> Trend esteso -> Progettazione nell'editor -> Cambio immagine – Trend esteso -> Impostazioni di colonna -> Scelta colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa sede configurate durante il Runtime le colonne che andranno visualizzate.

Pulsante | Funzione
Colonne disponibili | Lista delle colonne che possono essere visualizzate nella tabella.
Colonne selezionate | Colonne che vengono visualizzate nella tabella.
Aggiungi -> | Sposta le colonne selezionate da quelle disponibili a quelle selezionate. Dopo aver confermato il dialogo cliccando su OK, verranno visualizzate nella visualizzazione dettagli.
Aggiungi tutte -> | Sposta tutte le colonne disponibili nelle colonne selezionate.
<- Cancella | Elimina le colonne evidenziate dalle selezionate e le visualizza nella lista di quelle disponibili. Dopo aver confermato il dialogo cliccando su OK, esse vengono eliminate dalla visualizzazione dettagliata.
<- Cancella tutte | Cancella tutte le colonne dalla lista delle colonne selezionate.
In su | Sposta l´inserimento selezionato verso l´alto. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.
In giù | Sposta l´inserimento selezionato verso il basso. Questa funzione è sempre disponibile per inserimenti singoli, non è possibile però nel caso di una selezione multipla.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.


Formato colonne

Manuale -> Trend esteso -> Progettazione nell'editor -> Cambio immagine – Trend esteso -> Impostazioni di colonna -> Formato colonne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa sede si formattano le colonne.

Configurazione delle proprietà delle colonne per le liste. Le impostazioni hanno effetto sulla lista corrispondente nell´Editor, oppure (nel caso di configurazione di un cambio immagine) nel Runtime.

Colonne disponibili

Parametri | Descrizione
Colonne disponibili | Lista delle colonne disponibili usando la Selezione colonne. La colonna evidenziata viene configurata tramite le opzioni nella sezione Impostazioni.

Impostazioni

Parametri

Descrizione

Impostazioni

Impostazioni per colonna selezionata.

Descrizione

Titolo della colonna

Il titolo colonna è traducibile online. Per poterlo tradurre, bisogna inserire il carattere @ prima del nome.

Larghezza

Larghezza della colonna in caratteri.
Calcolo: numero per larghezza media del carattere selezionato.

Orientamento

Orientamento. La selezione avviene via pulsanti di opzione.

Impostazioni possibili:

  • Orientamento a sinistra: nella colonna, il testo si dispone prendendo come riferimento il bordo sinistro.
  • Centrato: nella colonna, il testo si dispone in posizione centrale.
  • Orientato a destra: nella colonna, il testo si dispone prendendo come riferimento il bordo destro.

Disattiva filtro colonne a Runtime

Attivo: Il filtro per questa colonna non può essere modificato durante il Runtime.

Nota: disponibile solo per:

  • Batch Control
  • Trend esteso
  • Immagini filtro
  • Message Control
  • Manager Gruppi di Ricette

Colori definiti da utente

Proprietà per l´impostazione dei colori per ogni colonna definiti dall´utente per testo e sfondo. Le impostazioni hanno effetto su Editor e Runtime.

Nota:

  • Queste impostazioni sono a disposizione solo per liste configurabili.
  • A Runtime, inoltre, può essere evidenziato il focus in un lista mediante diversi colori di testo e di sfondo. La configurazione di tali colori avviene tramite le Proprietà di progetto.

Utilizza colore definito da utente

Attivo: Vengono usati i colori definiti dall´utente.

Colore testo

Colore per la visualizzazione del testo. Cliccando su "Colore", si apre la tavolozza che serve alla selezione di un colore.

Colore di sfondo

Colore per la visualizzazione dello sfondo delle celle. Cliccando su "Colore", si apre la tavolozza che serve alla selezione di un colore.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Adattare l´aspetto del cursore lista di emissione

Manuale -> Trend esteso -> Progettazione nell'editor -> Cambio immagine – Trend esteso -> Impostazioni di colonna -> Adattare l´aspetto del cursore lista di emissione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´aspetto del cursore lista di emissione può essere adattato alle esigenze individuali.

Barre di scorrimento, intestazione e griglia

Per definire la dimensione e l´aspetto della barra di scorrimento, della intestazione e di una griglia per la tabella:

  1. Attivate nel gruppo Visualizzazione, la proprietà Funzionalità grafiche avanzate:
  2. definite le proprietà desiderate nei gruppi Barra di scorrimento e Intestazione e griglia per l´elemento Lista allarmi nell´immagine.

info Informazioni su

Se si seleziona la proprietà Stile di visualizzazione File grafico, tutti gli elementi per cui non è stato selezionato un file grafico, vengono rappresentati con un effetto di riempimento. Per gli elementi di gestione delle liste, non si possono usare delle grafiche trasparenti.

Ordina durante il Runtime

Per evidenziare nel Runtime la colonna rilevante per l´ordinamento, e stabilire la successione in cui quest´ultimo deve essere effettuato, dovete progettare degli elementi grafici per l´header:

  1. Selezionate per la proprietà Stile di visualizzazione il valore File grafico
  2. Collegate le proprietà In ordine crescente e In ordine decrescente rispettivamente ad un file grafico
  3. Nel Runtime, la grafica selezionata per la rispettiva direzione di ordinamento viene visualizzata nella colonna rilevante per l´ordinamento stesso.
  4. Cliccando sulla grafica, si modifica la successione di ordinamento
  5. Cliccando sul titolo della colonna, si attiva la colonna stessa per effettuare l´ordinamento

Gestire l´intestazione nel Runtime

Potete consentire agli utenti di gestire l´intestazione nel Runtime. In tal modo è possibile personalizzare dell´aspetto della visualizzazione nel Runtime:

  • Modifica larghezza
  • Modifica ordine

All´interno delle impostazioni di progetto, passate al gruppo Lista di informazione allarmi e selezionate nella proprietà Header AML il valore Intestazione modificabile . In alternativa, potete anche far sì che l´intestazione sia non modificabile o invisibile.

Queste impostazioni valgono per tutte le intestazioni del progetto.

info Informazioni su

Potete impedire la gestione o la visibilità dell´intestazione per ogni singola immagine del tipo Lista allarmi: a questo scopo basta disattivare la proprietà Visualizza intestazione oppureIntestazione utilizzabile per la visualizzazione tabellare.

Anteprima

L´header e le barre di scorrimento vengono visualizzate nell´Editor in forma di anteprima quando si attiva la proprietà Funzionalità grafiche avanzate. Ciò rende molto più semplice configurare dettagli, quali colori, effetti di riempimento, effetti di luce oppure griglie.

Attenzione: visto che la grandezza delle barre di scorrimento nell´anteprima corrisponde alla dimensione che esse assumono nel runtime, la dimensione complessiva della lista nell´editor può divergere da quella del runtime. Ciò vale anche per le dimensioni dell´header e del carattere dello stesso.


Impostazioni stampante

Manuale -> Trend esteso -> Progettazione nell'editor -> Cambio immagine – Trend esteso -> Impostazioni stampante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione delle impostazioni per la stampa o l´emissione in un file.

Emissione

Parametri

Descrizione

Emissione

Configurazione del tipo di emissione e delle opzioni corrispondenti.

Stampante

Attiva: Il diagramma viene emesso sulla stampante che è stato definita in sede di configurazione generale di zenon come standard per screenshot. Vedi anche capitolo Stampanti.

File

Attiva: il diagramma viene salvato come file. Configurate l´emissione con le opzioni.

  • Tipo
  • Larghezza
  • Altezza
  • Indicazione nome file
  • Nome file automatico
  • Con prefisso

Queste opzioni sono disponibili solamente per l´emissione in un file.

Tipo

Selezione del tipo di file fra quelli del menù a tendina. Sono a disposizione:

  • JPG
  • BMP
  • SVG

Larghezza

Indicazione della larghezza del file grafico in pixel.

Altezza

Indicazione dell´altezza del file grafico in pixel.

Indicazione nome file

Attiva: indicazione di un nome file a piacere.

Nome file automatico

Attiva: il nome file viene assegnato automaticamente.

Formato: <Prefisso_><YYYYMMDD>_<HHMM>.<Tipo>

Con prefisso

Disponibile solo se è stata attivata l´opzione Nome file automatico.

Indicate un prefisso a piacere per il nome file generato automaticamente. Esso viene posto davanti al nome da cui è separato per mezzo di un trattino basso (_).

Opzioni

Parametri | Descrizione
Opzioni | Configurazione delle opzioni.
Visualizza legenda | Attiva: con il diagramma viene stampata una legenda. Essa fornisce informazioni, ad es., sulle curve e i loro colori.
Stampa su una pagina | Attiva: la legenda verrà stampata sulla stessa del diagramma.

Header e piè di pagina, titolo e commento

Parametri

Descrizione

Intestazione e piè di pagina, titolo e commento

Quando si stampa un diagramma Trend esteso si può stabilire che vengano fornite anche altre informazioni per l´header e per il piè di pagina, nonché venga stampato un titolo e un commento.

Per facilitare l´inserimento dei dati, sono a vostra disposizione quattro pulsanti:

  • Data
  • Ora
  • Nome Diagramma
  • Numero di pagine

Header

Indicazione delle informazioni previste per l´header nei settori:

  • Sinistra:
  • Centro
  • Destra

Piè di pagina

Indicazione delle informazioni previste per il piè di pagina nei settori:

  • Sinistra:
  • Centro
  • Destra

Titolo

inserimento di un titolo.

Commento

Inserimento di commento.

Ok

Riprende le modifiche in tutte le tab e chiude il dialogo.

Elimina

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.

Guida

Apre la guida online.

Nota: può essere che l´esito delle stampe ottenute mediante il pulsante Stampa dell´immagine Trend esteso si differenzi dalla stampa effettuata mediante le funzioni Cambio immagine Trend esteso e Stampa diagramma Trend esteso. Le funzioni partono dal presupposto costituito da una finestra delle seguenti dimensioni: 1000 x 700 Pixel. La stampa effettuata tramite il pulsante, invece, parte dal presupposto costituito dalla proporzione definita nell´Editor. Annulla


Configurazione curve

Manuale -> Trend esteso -> Progettazione nell'editor -> Configurazione curve

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le curve vengono create nella scheda Dati cliccando sul pulsante Aggiungi. Per configurare delle curve:

  1. selezionate la curva nella lista
  2. cliccate sul pulsante Modifica
  3. si apre il dialogo di configurazione
  4. configurate:
    1. Parametri curve
    2. Parametri asse y

Noch in diesem Kapitel

Parametri curve

Parametri asse y

Diagramma Gantt


Parametri curve

Manuale -> Trend esteso -> Progettazione nell'editor -> Configurazione curve -> Parametri curve

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per ogni curva trend possono essere parametrizzate le impostazioni della curva stessa.

Curva

Parametri | Descrizione
Curva | Configurazione della curva.
Nome curva | Nome curva liberamente definibile. Di default, viene inserito il nome variabile. Nota: una modifica del nome variabile effettuata in un secondo momento non ha alcun effetto sul nome curva esistente.
Larghezza linea | Definizione della larghezza della curva in pixel.
Distanza dal margine superiore [Pixel]. | Disponibile solo per la visualizzazione Gantt. Definizione della distanza in pixel dal Gantt Chart al margine superiore del diagramma.

Tipo linea

Parametri

Descrizione

Tipo linea

Definizione del tipo di linea da utilizzare per la curva trend: Possibili forme di visualizzazione:

  • Linea
  • Tratti
  • Punti
  • Tratto-punto
  • Tratto-punto-punto

Nota: Se nella proprietà Qualità grafica si seleziona Windows Basis, in presenza di una larghezza della linea pari a 1 possono essere rappresentate nel trend esteso solamente delle linee piene.

Interpolazione

Attiva: i valori vengono collegati per mezzo di polilinea (punti d’ appoggio).

Inattiva: le modifiche di valore vengono rappresentate a "scala".

Lunghezza curve

Attiva: La curva viene prolungata dall'ultimo punto dato disponibile fino al punto corrispondente al momento attuale.

Visualizza area

Attiva: i valori vengono rappresentati come superfici anziché come linee.

Diagramma Gantt

Attiva: viene attivata la rappresentazione Gantt per questa curva. Il nome curva viene usato come didascalia

Per indicazioni relative alle limitazioni, vedi sezioni Diagramma Gantt e Parametro asse Y.

Visualizza valore limite

Disponibile solo per la visualizzazione Gantt.

Attiva: Viene rappresentato il valore limite numerico.

Visualizza testo valore limite

Disponibile solo per la visualizzazione Gantt.

Attiva: Viene rappresentata la denominazione del valore limite.

Colore

Parametri

Descrizione

Colore

Configurazione della colorazione.

Colore curva

Configurazione del colore curva. Cliccando su colore si apre il dialogo per la selezione del colore.

Colore di sfondo

Configurazione del colore di riempimento. Cliccando su colore si apre il dialogo per la selezione del colore.

Attiva solamente se è stata attivata l´opzione Visualizza area.

Trasparenza colore riempimento [%]

Definizione della trasparenza del colore di riempimento in percentuale. In tal modo potete evitare che delle curve vengano coperte da altre curve nel caso si sia scelta l´opzione visualizza area.

  • 0 %: nessuna trasparenza
  • 100 %, trasparenza totale

Nota: Disponibile sotto Windows CE.

Offset di visualizzazione

Parametri | Descrizione
Offset di visualizzazione | Configurazione dell´offset di visualizzazione
Giorni | Sposta la curva del numero di giorni impostato.
Ore | Sposta la curva del numero di ore impostato.
Minuti | Sposta la curva del numero di minuti impostato.
Cambio mese | Sposta la curva di un mese.
Annualmente | Sposta la curva di un anno
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Elimina | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.


Parametri asse y

Manuale -> Trend esteso -> Progettazione nell'editor -> Configurazione curve -> Parametri asse y

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa sede e nel dialogo Impostazioni curve vengono definiti i parametri delle curve.

Rappresentazione

Parametri

Descrizione

Rappresentazione

I parametri per la rappresentazione di curve durante il Runtime.

Titolo asse

Denominazione dell´asse

Posizione

Posizionamento dell´asse Y rispetto all´asse X in percentuale della lunghezza dell´asse X.

  • 0: sinistra
  • 100: destra

Colore

Configurazione del colore assi. Cliccando su colore si apre il dialogo per la selezione del colore.

Attenzione: progettabile indipendentemente dal colore della curva.

Linee griglia

Visualizzazione di linee ausiliarie per le suddivisioni principali.

Non disponibile per diagramma Gantt.

Tipologia asse

Parametri | Descrizione
Tipologia asse | Impostazione della scala dell’asse Y. Non disponibile per diagramma Gantt.
Lineare | Divisione lineare dell’asse Y. Non disponibile per diagramma Gantt.
Logaritmica | Divisione logaritmica dell’asse Y.

Scala

Parametri

Descrizione

Scala

Impostazione del campo di visualizzazione delle variabili di processo all’interno dei limiti tecnici progettati (funzione zoom).

Non disponibile per diagramma Gantt.

Da

Valore iniziale scala.

Fino a

Valore finale scala.

Autoscaling

Attiva: per questa curva lo scaling dell´asse viene determinato automaticamente nel Runtime. I valori min/max dell´area da visualizzare sono usati come limiti dell´asse.

Se la checkbox è attivata, i campi di inserimento per lo scaling (Da/A) non sono più a disposizione per effettuare un configurazione individuale.

Descrizione

Parametri | Descrizione
Descrizione | Posizione della descrizione degli assi.
A sinistra dell'asse | I valori vengono visualizzati a sinistra dell´asse.
A destra dell'asse | I valori vengono visualizzati a destra dell´asse.
Visualizzazione esponenziale | I valori vengono rappresentati in modo esponenziale. Non disponibile per diagramma Gantt.
Nascondi unità | Attiva: l´unità per la didascalia asse non viene visualizzata. Consente la rappresentazione di diverse variabili con differenti unità. Default: inattiva Non disponibile per diagramma Gantt.

Suddivisione asse

Parametri | Descrizione
Suddivisione asse | Impostare suddivisione degli assi. Non disponibile per diagramma Gantt.
Num. divisioni principali | Numero di suddivisioni principali con segnalazione valori.
Lunghezza delle suddivisioni principali (pixel) | Lunghezza delle suddivisioni principali in pixel.
Num. divisioni secondarie | Numero di suddivisioni tra due suddivisioni primarie.
Scala automatica | Impostazione automatica della scala e della suddivisione degli assi nel funzionamento online.
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Elimina | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

La visualizzazione della curva e quella dell´asse Y vengono configurate mediante le Checkbox asse Y e Attivo nella scheda Dati.


Diagramma Gantt

Manuale -> Trend esteso -> Progettazione nell'editor -> Configurazione curve -> Diagramma Gantt

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´aiuto della visualizzazione Gantt, potete visualizzare lo stato di un impianto nel Trend esteso. Potete visualizzare, per esempio, quando un´impianto si trovava in funzione, in manutenzione, in pausa ecc. Grazie alla visualizzazione nel trend esteso, potete confrontare gli stati dell´impianto con le linee di sviluppo processo. Potete dunque valutare il comportamento del Vostro impianto. Un esempio: constatate un comportamento anormale delle linee di sviluppo processo, ma vedete, sulla base di Gantt Charts, che l´impianto in quel momento si trovava in fase di manutenzione.

Progettazione

Nella visualizzazione Gantt vengono utilizzati a fini di analisi i valori limite e le matrici di reazione e non i valori effettivi delle variabili in questione. La visualizzazione rispecchia lo stato dell´impianto; il valore esatto non gioca nessun ruolo.

I singoli Gantt Charts vengono visualizzati nella cornice superiore dell´elemento di controllo diagramma. Progettate la cornice in modo tale che sia abbastanza grande da non provocare nessun problema di visualizzazione.

Come base per il colore delle singole Gantt Charts si usa il valore limite violato oppure la matrice di reazione. Viene sempre usata con i valori e gli stati attualmente progettati la Rema. Se modificate queste ultime, anche le analisi storiche vengono visualizzate con i valori attuali. Non c`è una storia per i valori limite oppure gli stati delle matrici di reazione.

Nota: Se una curva Gantt deve indicare anche lo stato attuale, nella configurazione dell´archiviazione, nella scheda Salva, deve essere attivata l´opzione Salva l´immagine di processo al momento dello startup.

Parametri curve

Le impostazioni curva per la rappresentazione Gantt vengono settate mediante lo stesso dialogo che serve ad effettuare quelle relative alla configurazione generale delle curve. I parametri da settare sono in parte differenti:

  • il nome curva viene usato come didascalia
  • Distanza da margine superiore: per far sì che la curva venga visualizzata all´interno del Trend esteso, in questa sede deve essere inserito un valore negativo.
  • Visualizza valore limite
  • Visualizza testo valore limite

    Se si usano insieme le opzioni Visualizza valore limite e Visualizza testo valore limite, la visualizzazione avviene come:Testo valore limite/Valore limite

Asse Y

La configurazione dell´asse Y curva avviene tramite lo stesso dialogo che serve ad effettuare la configurazione generale delle curve. In questa sede si configura la didascalia.

  • Colore
  • La posizione in % della larghezza dell´asse X (misurato da sinistra)

Le seguenti impostazioni dell´asse Y non sono a disposizione per rappresentazioni Gantt:

  • Mostra linea griglia orizzontale
  • Tipologia asse
  • Scala
  • Visualizzazione esponenziale
  • Suddivisione asse

Visuale durante il Runtime:

Rappresentazione Gantt per variabili stringa

La configurazione delle impostazioni curva per la rappresentazione Gantt di variabili archivi del tipo Stringa è diversa da quella di altri tipi di rappresentazione Gantt per le seguenti ragioni:

  • Visualizza valore limite: è disattivata.
  • Visualizza testo valore limite: è disattivata.
  • Colore alternativo: sostituisce la proprietà Colore di riempimento e viene inizializzata con un colore che si differenzia dal Colore curva.

Durante il Runtime:

La visualizzazione avviene in questo caso come per una comune rappresentazione Gantt, con le seguenti differenze: ,

  • ad ogni nuovo valore della variabile, la barra cambia colore passando dal colore curva a colore alternativo
  • come testo viene visualizzato il valore stringa della variabile

Indicazioni sulla progettazione della rappresentazione Gantt per variabili stringa

Nel caso di curve Gantt con testo, la larghezza delle linee non viene adattata automaticamente. Il valore di default 0 corrisponde qui ad una larghezza pari a 1 Pixel. Il carattere viene ripresa dalle impostazioni della scheda Visualizzazione, il colore del carattere è nero.

Se per la registrazione della variabile string nell´archivio si è scelta l´opzione registrazione spontanea e si vuole che sia visualizzato lo stato attuale, deve essere attivata anche l´opzione Salva valori all'avvio.

Se vengono generati file Runtime per una versione antecedente a zenon 7.11, accade quando segue:

  • la curva del tipo rappresentazione Gantt per variabili stringa non viene eliminata
  • viene visualizzata una barra senza testo finché la variabile ha un valore.


Profili filtro

Manuale -> Trend esteso -> Progettazione nell'editor -> Profili filtro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I profili filtro sono impostazioni di filtro che possono essere salvate e aperte dall'utente nel runtime con riferimento ad una determinata immagine.

Per poter utilizzare i profili filtro, si devono progettare nell´immagine i seguenti elementi di controllo:

Elemento di controllo | Descrizione
Profilo filtro | Gestione profili nel Runtime.
Selezione profilo | Selezione di un profilo salvato nel runtime fra quelli proposti dal menù a tendina.
Salva | Cliccando sul pulsante nel Runtime si salvano le impostazione di filtro come profilo.
Elimina | Cliccando sul pulsante (X) nel Runtime si cancella il profilo selezionato.

In tal modo, potete nel Runtime:

  • salvare filtri
  • usare i filtri salvati
  • cancellare profili filtro

I profili filtro possono essere anche esportati e importati con altri elementi di controllo.


Funzione "Stampa diagramma Trend esteso"

Manuale -> Trend esteso -> Progettazione nell'editor -> Funzione "Stampa diagramma Trend esteso"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´aiuto della funzione Stampa diagramma Trend esteso potete stampare diagrammi del modulo trend esteso, oppure salvarli in un file (JPG, BMP o SVG) senza essere costretti ad aprire l´immagine del tipo Trend esteso.

Per configurare la funzione:

  1. create una nuova funzione
  2. navigate per raggiungere il nodo Applicazioni
  3. selezionate Stampa diagramma Trend esteso

La funzione si configura in modo analogo al cambio immagine.

Nota: può essere che l´esito delle stampe ottenute mediante il pulsante Stampa dell´immagine Trend esteso si differenzi dalla stampa effettuata mediante le funzioni Cambio immagine Trend esteso e Stampa diagramma Trend esteso. Le funzioni partono dal presupposto costituito da una finestra delle seguenti dimensioni: 1000 x 700 Pixel. La stampa effettuata tramite il pulsante, invece, parte dal presupposto costituito dalla proporzione definita nell´Editor.


Inserimenti nel file project.ini

Manuale -> Trend esteso -> Progettazione nell'editor -> Inserimenti nel file project.ini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel file project.ini si possono effettuare i seguenti inserimenti per il trend esteso .

Parametri

Descrizione

[DEFAULT]

Impostazioni generali

MILLISEK=
  • 1: visualizzazione in griglia in millisecondi
  • 0: minimale in griglia di update

[EW_TREND]

ANZEIGE_GWTEXT=
  • 1: visualizza il testo di valore limite (default)
  • 0: non visualizzare.

[ARCHIV]

Configurazione archivio

ARCHDIGITS=

Numero delle cifre decimali quando si esportano archivi in formato TXT, XML oppure DBF, e per l´esportazione in un server SQL
Default: 1

TRENNZEICHEN=

Separatore in caso di esportazione in file ASCII.
Default: ;

SPEICHER=

Numero massimo di valori che vengono letti per il Trend esteso, la Post-elaborazione archivio e i report.

Default: 1000

SQL_MAXROWS=

Numero massimo di valori che possono essere letti da SQL.

L´inserimento avviene in passaggi da 1000.
100 = 100.000 valori.

A partire dalla versione 6.50, il sistema verifica automaticamente che almeno il 10% della memoria sia libero.


Gestione durante il runtime

Manuale -> Trend esteso -> Gestione durante il runtime

Nel funzionamento online la finestra del trend esteso viene aperta attraverso una chiamata di funzione. Viene aperta laimmagine predefinita nell´Editor.

Con lista curve estesa:

Per la gestione del Trend esteso e la visualizzazione sono a disposizione a seconda di quanto stabilito in fase di Progettazione diversi elementi di controllo.

Elemento

Descrizione

Immagine

Selezione della finestra da visualizzare per diagrammi e curve nel Runtime.

Diagramma

Finestra che serve alla visualizzazione della curva di trend.

Nome diagramma

Mostra il nome diagramma.

Filtro impostato

Mostra durante il Runtime il filtro tempo impostato attualmente.

Cursore lista di emissione

Mostra la posizione del cursore nella finestra di diagramma e i valori fissati alla voce Impostazioni diagrammi e emissione cursore.

Lista curve estesa

Lista curve che può essere modificata durante il Runtime. Possono essere modificati:

  • Nome curva
  • Titolo
  • Colore
  • Colore di sfondo
  • Visualizza area
  • Asse Y
  • Attivo
  • Ordinamento

Nota: non è disponibile sotto Windows CE. Sotto Windows CE viene sostituita dalla Lista curve (obsolete).

Lista curve (obsolete)

Lista delle curve.

Viene usata per ragioni di compatibilità per CE. Per tutti gli altri progetti si consiglia di usare la Lista estesa curve.

Funzioni diagramma

Elementi di gestione per diagrammi.

Filtro

Visualizzazione del filtro impostato.

Impostazioni diagramma

Attiva il Dialogo per le impostazioni diagrammi e emissione cursore.

Curve

Modifica parametri curve

Asse X

apre Dialogo per impostazioni dell´asse X.

Aggiorna

Attualizza la visualizzazione.

Stop

Non aggiornare schermo.

Avanti

Aggiornare schermo.

Cursore on/off

Esamina valori

Doppio cursore on/off

Valori che si trovano fra 2 cursori, mostra

Stampa

Stampa diagramma.

Nota: può essere che l´esito delle stampe ottenute mediante il pulsante Stampa dell´immagine Trend esteso si differenzi dalla stampa effettuata mediante le funzioni Cambio immagine Trend esteso e Stampa diagramma Trend esteso. Le funzioni partono dal presupposto costituito da una finestra delle seguenti dimensioni: 1000 x 700 Pixel. La stampa effettuata tramite il pulsante, invece, parte dal presupposto costituito dalla proporzione definita nell´Editor.

Stampa con dialogo

Stampare visualizzazione diagramma.

Copia negli appunti

Salvare visualizzazione negli appunti.

Esporta dati visualizzati

esporta tutti i dati visibli di tutte le curve visualizzate in un file CSV.

Navigazione diagramma

Pulsanti per la navigazione nel diagramma.

Cursore Sx di un Pixel

Sposta il cursore di un pixel a sinistra

Se si tiene premuto il tasto Shift, il cursore viene spostato di 10 pixel.

Cursore Dx di un Pixel

Sposta il cursore di un pixel a destra.

Se si tiene premuto il tasto Shift, il cursore viene spostato di 10 pixel.

Indietro

Scorrere indietro nel tempo sull’asse tempo (Storico)

Indietro di un quarto

Sposta indietro l´intervallo di tempo visualizzato di un quarto dell´unità di misura prescelta.

In avanti

Scorrere avanti nel tempo sull’asse tempo (Attuale)

Avanti di un quarto

Sposta avanti l´intervallo di tempo visualizzato di un quarto dell´unità di misura prescelta.

Zoom

ingrandire visualizzazione

Step back

Ridimensionare la visualizzazione.

Zoom +

riduce gli intervalli di tempo della rappresentazione

Zoom -

ingrandisce gli intervalli di tempo della rappresentazione

Zoom al 100 %

imposta il fattore zoom su 100 %.

Quest´azione zoom viene salvata nella Zoom-History.

Ad esempio: se, usando lo Zoom,

  • si zooma due volte un´area selezionata del Trend esteso,
  • poi si seleziona Zoom contenuto a 100% e
  • e poi si zooma di nuovo un´area selezionata,

ci saranno quattro eventi zoom nella History. Si può tornare indietro passo per passo usando la funzione Step indietro.

Profili filtro

Pulsanti per impostazioni filtro nel Runtime.

Selezione profili

Selezionare un profilo dalla lista.

Salva

Salva l´impostazione attuale come profilo.

Elimina

Cancella il profilo selezionato.

Importa

Importa profili filtro da un file di export

Esportazione

Esporta profili filtro in file

info Informazioni su

Gli elementi di controllo Cursore di un Pixel a sinistra e Cursore di un Pixel a destra spostano solamente il cursore, ammesso che esso sia attivo, ma non il trend.

Al posto degli elementi di controllo, si possono usare anche i tasti freccia della tastiera.

Se si tiene premuto il tasto SHIFT durante lo spostamento per mezzo di tasti freccia o elementi di controllo, il movimento si verifica in passi da 10 pixel.

Se nel Trend esteso si visualizzano valori d’archivio, oppure se l’aggiornamento continuo dei valori online è spento, si inseriscono i valori attuali delle curve con un clic sul pulsante Aggiorna. In alternativa, si attualizzano i dati con il tempo di aggiornamento impostato nel Diagramma.

Nel trend esteso è possibile, inoltre, scorrere tra i valori con un clic sul pulsante << (visualizzare valori più vecchi) oppure >> (visualizzare valori più recenti). Quando si visualizzano i valori online, si può vedere al massimo la profondità HD definita per la variabile di processo. Per i valori d’archivio, è fondamentale la progettazione degli archivi salvati nella banca dati.

info Informazioni su

Nel caso del trend di archivio, la frequenza di aggiornamento si adatta dinamicamente al tempo di carico dei dati. Se l´operazione di carico dei dati dura più a lungo della metà dell´intervallo di refresh, la frequenza di aggiornamento viene raddoppiata.

Zoom

Se cliccate sul pulsante Zoom + e trascinate un´area sul diagramma, il sistema rappresenta i valori in una risoluzione più fine e in un intervallo minore (asse X e asse Y). Lo zoom è possibile solamente se l’area selezionata contiene almeno una suddivisione per asse. Si può zoomare più volte. Cliccando sul pulsante Zoom -, si ripristinano i livelli predefiniti del fattore di zoom.

Dati online

Nel caso di dati online, l’aggiornamento continuo visualizza ad ogni refresh gli inserimenti più attuali. Per poter effettuare lo scrolling dei dati, bisogna disattivare l’aggiornamento continuo usando il pulsante Stop. Se si desidera riattivare l’aggiornamento dati, bisogna premere sul pulsante Avanti. Con il successivo ciclo di aggiornamento del diagramma, si attualizzano i nuovi dati e l’ambito di visualizzazione dell’ asse X.

info Informazioni su

Variabili online nel Trend esteso:

Le variabili online per il Trend esteso vengono progettate nell `Editor e non possono più essere modificate nel Runtime. In sede di configurazione nell´Editor viene configurato anche il buffer circolare HDD per le variabili. Non è possibile nel Runtime né creare, né modificare il buffer per le variabili. Per questo motivo, le curve di variabili online non possono essere adattare nel Runtime.

Le variabili di archivi, invece, possono essere aggiunte anche durante il Runtime.

Noch in diesem Kapitel

Cursore

Esportazione dati

Impostazioni diagramma

Gestisci lista curve estesa

Filtro in caso di cambio immagine

Modifica rapida dei parametri degli assi nel funzionamento online


Cursore

Manuale -> Trend esteso -> Gestione durante il runtime -> Cursore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccate sul pulsante Cursore on/off per avviare la modalità di interrogazione. Appare un cursore al centro del diagramma. Potete muovere il cursore cliccando su di esso e muovendo il mouse tenendo premuto il tasto del mouse. In alternativa potete usare anche la tastiera. Premete il tasto a sinistra oppure a destra per muovere il cursore a piccoli passi. Per realizzare uno spostamento più ampio, tenete premuto anche il tasto Shift. Vedrete il valore corrispondente nella finestra di emissione del cursore. Cliccate di nuovo sul pulsante Cursore on/off per avviare la modalità di interrogazione. Potete visualizzare le seguenti informazioni nella finestra di interrogazione del cursore:

Parametri | Descrizione
Data | Data/tempo del valore salvato Scala minima: millisecondi
Variabile | Nome della variabile da cui proviene il valore.
Valore | Valore.
Unità | Unità del valore salvato
Stato | Testo di stato (testo valore limite) del valore salvato
Stato | Stato del valore salvato
Minimo | Valore minimo del tempo di misurazione
Media valori | Valore medio del tempo di misurazione (opzionale)
Massimo | Valore massimo del tempo di misurazione (opzionale)
Differenza tempo | Differenza di tempo. Scala minima: Millisecondi
Differenza valore | Differenza dei valori.
Somma | Somma
Deviazione standard | Deviazione standard
Numero inserimenti | Numero dei punti di misurazione.

Per modificare le informazioni visualizzate e le larghezze colonne relative, cliccate sul pulsante Impostazioni diagramma Viene aperto il dialogo per la Configurazione del Trend esteso. :

In corrispondenza dell´area Emissione cursore, potete impostare l'ampiezza delle colonne della finestra di emissione cursore che ospitano le diverse informazioni. Con l´aiuto della checkbox potete stabilire quali colonne volete siano visulizzate.

info Informazioni su

Se è stata progettata la visualizzazione XY, all´inizio dell´interrogazione viene sempre visualizzato solamente il rispettivo valore attuale. Questo valore non può essere aggiornato. Il cursore non può essere mosso.

Doppio cursore on/off

Se avete configurato l´elemento di controllo Doppio cursore on/off, avete la possibilità di usare un secondo cursore nel diagramma. Per far sì che sia possibile un´interrogazione con due cursori, procedete come segue: cliccate sul pulsante Doppio cursore on/off per far sì che vengano visualizzati due cursori, uno all´estremità sinistra e l´altro all´estremità destra della finestra di diagramma. Potete muovere il secondo cursore con il mouse, oppure con la tastiera. Tenendo premuto il tasto Ctrl e premete il tasto A sinostra oppure A destra er muovere il cursore a piccoli passi. Per realizzare uno spostamento più ampio, tenete premuto anche il tasto Shift.

Potete far sì che vengano visualizzati i valori fra primo e secondo cursore nella finestra di emissione del cursore. Le colonne che sono a Vostra disposizione, possono essere adattate ai Vostri desideri e alla Vostre esigenze nel dialogo Impostazioni di diagramma e Emissione cursore.

info Informazioni su

Nel caso del tipo di visualizzazione Block-Array non è disponibile il cursore doppio.

Scrivere ascisse in variabili

Per il cursore possono essere definite due variabili in cui vengono scritte nel Runtime le ascisse al momento del richiamo e del movimento del cursore (valori tempo o X). Queste variabili possono essere del tipo LREAL oppure DWORD/DINT/UDINT , e vengono configurate nel cambio immagine, nella scheda Rappresentazione. I valori vengono salvati nel formato tempo Unix time (numero di secondi passati dal 1° gennaio 1970 00:00 Uhr UTC).


Esportazione dati

Manuale -> Trend esteso -> Gestione durante il runtime -> Esportazione dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Come elemento di controllo, un pulsante Esporta tutti i dati può essere inserito nell´immagine per il Trend esteso e usato durante il runtime. In tal modo tutti i dati visibili di tutte le curve visualizzate vengono salvati in un file di testo in formato CSV.

Formato del file CSV

  • L´emissione avviene in un file di testo Unicode.
  • Carattere di separazione: punto e virgola (;)
  • Il posto in cui viene salvato il file e il nome dello stesso possono essere scelti liberamentenel dialogo in cui si effettua il salvataggio.
  • Il file non ha un header.
  • I dati vengono visualizzati in un file di testo nella seguente successione:

    Nome variabile; identificazione;unità; stato; tempo

Proprietà

Formato

Nome variabile:

Catena di caratteri

Ident.:

Catena di caratteri

Valore:
  • fino ad otto posizioni davanti al separatore decimale,
  • 8 posizioni dietro il separatore decimale

Unità:

Catena di caratteri

Stato:

Catena di caratteri

Tempo:

dd.mm.yyyy hh:mm:ss.ms

Se una proprietà di variabile esportata è vuota, non viene emessa.

Esempio: MyVarREAL_4;;978.45000000;;SPONT;09.09.2011 09:37:44.443

attention Attenzione

Se vengono selezionate molte curve per l´export, la quantità di dati può richiedere un considerevole intervallo di tempo.


Impostazioni diagramma

Manuale -> Trend esteso -> Gestione durante il runtime -> Impostazioni diagramma

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dalla progettazione attuale, che è stata realizzata nell’ editor, si possono effettuare modifiche temporanee durante il funzionamento online (senza salvataggio). Per aprire il dialogo per la configurazione cliccate sul pulsante Diagramma.

Importanti possibilità di modifica:

Parametri | Descrizione
Dati: Curve -> attivo | Attiva e disattiva la visualizzazione della curva.
Dati: Curve -> asse Y | Visualizzazione dell’ asse Y rispetto alla curva
Dati: Curve-> Modifica | Modifica delle proprietà della curva trend selezionata
Impostazioni di colonna | Impostazioni dei parametri diagramma
Rappresentazione: Design | Carattere definito dall’ utente per la descrizione dell’ asse X e Y e per la segnalazione del valore
Rappresentazione: Aggiornamento | Aggiornamento del diagramma con dati online


Gestisci lista curve estesa

Manuale -> Trend esteso -> Gestione durante il runtime -> Gestisci lista curve estesa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si progetta nell´Editor una lista curve estesa, le curve possono essere modificate durante il Runtime. E' possibile:

  • Filtra sulla base di
    • Attivazione
    • Colore
    • Nome curva
    • Ordinamento
    • Titolo
    • Nome variabile
    • Identificazione variabile
    • Asse Y
  • Modificare i nomi curva
  • Modificare i titoli
  • Modificare i colori
  • Attivare o disattivare l´asse Y
  • Attivare o disattivare le curve
  • Modificare la successione di visualizzazione.

Per modificare un elemento, cliccate due volte sulla cella corrispondente della lista.

info Informazioni su

Sotto Windows CE non è possibile rappresentare la lista curve estesa, che, in quella sede, viene sostituita dalla normale lista curve.

Ordina curve

È possibile definire la successione nella quale le curve vengono disegnate nel modulo Trend esteso:

  • Nell´Editor: con il cambio immagine, nella scheda Dati, nella configurazione della lista curve.
  • Nel Runtime: nella finestra Lista curve estesa.

Per poter modificare la sequenza, la colonna Successione deve essere visualizzata nella lista curve.

Durante il runtime

Per cambiare la sequenza in cui le curve vengono disegnate:

  1. Cliccate nella finestra Lista curve estesa.
  2. Selezionate la curva da modificare.
  3. Cliccate nella cella della colonna Successione.
  4. Inserite la cifra desiderata L´ordine delle altre curve verrà modificato automaticamente. Una posizione più in basso nella sequenza, significa che la curva verrà disegnata prima (visualizzata più indietro); una posizione più in alto nella sequenza, significa che la curva verrà disegnata dopo (visualizzata più avanti):
    • Minimo: 1
    • Massimo: numero delle curve

L´ordinamento avviene cliccando sull´intestazione della colonna. L´ordinamento secondo altre colonne come Successione non ha effetto sulla successione della visualizzazione delle curve.

Drag&Drop

In determinate circostanze, le lista curve può essere ordinata nell´Editor e nel Runtime mediante Drag&Drop:

  1. Ordinate la lista sulla base della colonna Successione.

    Attenzione: La lista viene ordinata sulla base di una successione anche quando appare per le prima volta. Per il Drag&Drop, tuttavia, si deve cliccare esplicitamente sull´intestazione della colonna per poter effettuare l´ordinamento! Non ha nessuna importanza se l´ordinamento è ascendente o discendente.

  2. Fate attenzione che non ci sia nessun raggruppamento.
  3. Cliccate sulla riga con la curva desiderata.
  4. Trascinate la curva al posto desiderato. Il posto nel quale essa viene inserita, viene visualizzato in un bordo rosso.

Definire l´aspetto delle checkbox per mezzo della grafica

Si può modificare individualmente l´aspetto delle checkbox con grafiche. A tale scopo, assegnate le grafiche desiderate alle corrispondenti proprietà della lista curve nell´Editor. Le grafiche devono essere già state create nel nodo File\Grafiche. Proprietà da configurare nel gruppo Visualizzazione:

  • In
  • In (inattivo)
  • Out
  • Out (inattivo)

La grafica definita viene disegnata durante il Runtime tenendo conto delle relazioni pagine (Aspect Ratio).


Filtro in caso di cambio immagine

Manuale -> Trend esteso -> Gestione durante il runtime -> Filtro in caso di cambio immagine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le Impostazioni filtro configurate nel cambio immagine possono essere modificate nel Runtime. Per far ciò:

  1. Aprite nell´Editor la funzione per il cambio immagine.
  2. Attivate nella scheda Rappresentazionel´opzione Proponi dialogo a Runtime.

Nel Runtime, quando si apre l´immagine viene visualizzato, a seconda della progettazione, quanto segue:

  • dialogo di configurazione completo.
  • Filtro lotti attivato: Filtro lotti viene offerto
  • Filtro lotti disattivato, filtro tempo intervallo di tempo: Filtro tempo viene offerto.

Configurazione del filtro lotti

se si setta l´opzione come tipo di filtro tempo Nessun filtro tempo, nel runtime vengono visualizzati tutti gli inserimenti dal 1/ 1. 2000.

attention Attenzione

Tutti gli archivi lotti configurati vengono offerti nella lista degli archivi. Qui deve essere scelto lo stesso archivio selezionato nel cambio immagine. Solo in questo caso verranno visualizzati dei dati.

Parametri

Descrizione

Filtro Lotto

Selezione del lotto sulla base del quale deve essere effettuata l´operazione di filtro. Il filtro consiste delle due liste:

  • Lista archivi: Lista degli archivi
  • Lista lotti: lista dei lotti assegnati all´archivio selezionato.

Lista archivi

Scelta dell’archivio desiderato.

Nodo *:

  • raccoglie tutti i lotti di tutti gli archivi visualizzati.
  • Chiave è il nome lotto.
  • Il tempo d´inizio è quello del lotto che comincia prima.
  • Il tempo di conclusione è quello del lotto che finisce per ultimo.

Lista lotti

Visualizzazione dei lotti assegnati all´archivio selezionato.

Filtro mediante l´inserimento di un testo, una data, un´ora oppure un intervallo di tempo - a seconda del tipo.

Gli inserimenti vengono ordinati quando si clicca sull´header.

Nome lotto

Mostra i nomi di tutti i lotti disponibili.

Filtro: inserimento di una successione di caratteri. Vengono visualizzate solamente le charge con la successione caratteri corrispondente.

Data di start

Mostra la data di fine di tutti i lotti disponibili.

Filtro: inserimento di una data di start o selezione di una data dal calendario.

Ora partenza

Disponibile solamente se indicate una data di inizio.

Visualizzazione del tempo di fine di tutti i lotti disponibili.

Filtro: inserimento di un´ora di partenza. * sta per l´orario 0:00:00.

Data di fine

Mostra la data di fine di tutti i lotti disponibili.

Filtro: inserimento di una data di fine o selezione di una data dal calendario.

Tempo di fine

Disponibile solamente se indicate una data di fine.

Visualizzazione del tempo di fine di tutti i lotti disponibili.

Filtro: inserimento di un´ora di partenza. * sta per l´orario 23:59:59.

Durata

Questa colonna Vi indica la durata di tutti i lotti disponibili.

Solo visualizzazione.

info Informazioni su

Vengono visualizzate anche le charge non ancora portate a termine, sempre che esse corrispondano ai criteri di filtro.

info Informazioni su

Il valore della variabile charge viene scritto all´inizio della charge sia nel file Index, che nell´header del file ARX. Ogni volta che questa variabile cambia, questi inserimenti vengono adattati. Al momento della fine della charge, il valore attuale della variabile charge viene scritto definitivamente nel file Index e nell´header.

Solo quando una charge è conclusa, il nome charge è scritto in modo fisso.

SQL

Il filtraggio lotti su valori trasferiti in SQL, è effettuato per mezzo di un filtro tempo. Quest´ultimo contiene tutti i valori dell´archivio fra il tempo di inizio e quello di fine del lotto. Anche il tempo di start del lotto e quello finale sono compresi. Non si tiene conto dei millisecondi in questo filtro tempo..

Configurazione dell´intervallo di tempo

Il dialogo filtro che serve all´impostazione del tempo può essere offerto nel Runtime specializzato per un intervallo di tempo. A tale scopo:

  1. Aprite nell´Editor la funzione per il cambio immagine.
  2. cliccate su Filtro.
  3. Aprite la scheda Tempo.
  4. Scegliete l´opzione intervallo di tempo.

Nel Runtime, invece che l´intera finestra di dialogo, verrà offerto solo un dialogo specifico per la configurazione dell´intervallo di tempo. Per esempio, per l´impostazione Un giorno:

P.es.:

Con questa impostazione, anche intervalli di tempo individuali, come ad esempio i turni, possono essere aperti e configurati velocemente.

Ad esempio: Turno dalle 06:00 alle 14:00.

  1. Selezionate come intervallo di tempo: Un giorno.

    Un giorno dura di default dalle 00:00 alle 24:00.

  2. Settate il valore per lo spostamento dell´intervallo di tempo su 6 ore.

    Adesso il giorno durerà dalle 6:00 alle 6:00 del giorno successivo.

  3. Settate adesso l´intervallo di tempo su 16 ore.
  4. Mantenete invariata l´opzione Deduci tempo.

    Ciò significa che il sistema deduce 16 ore a partire dalle 06:00 del giorno dopo. Adesso il giorno dura dalle 6:00 alle 14:00, il che corrisponde esattamente al turno desiderato.

  5. Trasferite i nuovi file Runtime.
  6. Riavviate il Runtime.
  7. Selezionate il giorno desiderato nel cambio immagine.

Otterrete i dati del giorno selezionato dalle 06:00 alle 14:00.


Modifica rapida dei parametri degli assi nel funzionamento online

Manuale -> Trend esteso -> Gestione durante il runtime -> Modifica rapida dei parametri degli assi nel funzionamento online

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per stabilire in modo esatto i valori delle curve visualizzate, possono essere spostati gli assi X e Y. Si può realizzare tale spostamento per:

  • Drag&Drop usando il tasto sinistro del mouse
    • spostando l´asse X verticalmente
    • spostando l´asse Y orizzontalmente
      Quando viene spostato, l´asse Y viene duplicato: mentre si sposta la copia, l´asse originale rimane al suo posto.
  • cliccando con il tasto destro destro del mouse sull´asse si apre il dialogo per la configurazione:
    • Scheda asse X visualizzazione YT
    • Dialogo asse Y

Quando si riapre l´immagine, lo spostamento viene annullato.


Variabili

Manuale -> Variabili

Le variabili, chiamate anche variabile di processo o punti di dato, sono l’interfaccia tra la fonte di dati (PLC, bus di campo) e zenon. Rappresentano determinati valori di misurazione o stati dell´hardware, incluse proprietà come scala, valori limite ecc.

Le variabili sono gestite e parametrizzate nella lista variabili centrale di un progetto e sono lì accessibili da qualsiasi punto (funzioni, variabili, archivi etc.). Nei cosiddetti progetti d´integrazione si può accedere anche a variabili di progetti subordinati.

Una variabile è basata sempre su due componenti: tipo di dato e tipo di oggetto driver. Entrambe le componenti sono indipendenti l´una dall´altra e possono quindi essere configurate in maniera separata.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuova Variabile... | Apre l´assistente per la creazione di una nuova variabile.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa degli inserimenti da un file XML.
Import/Export esteso | Apre il menù per importare ed esportare progetti Step 7, dBase e CSV.. Nota: Ulteriori informazioni a questo proposito le trovate nella guida relativa a import - export, nel capitolo Import di progetto Step 7.
Visualizza variabili non utilizzate | Realizza una analisi di progetto per le variabili non utilizzate nel progetto attuale e la mostra in forma di Lista risultati in una finestra apposita.
Apri in una nuova finestra. | Apre una finestra propria per la visualizzazione e la modifica delle variabili. (Di default, essa si trova nella parte inferiore dell´editor)
Profilo editor | Apre il menù a tendina contenente i profili editor predefiniti.
Guida | Apre la guida online.

Ad ogni variabile possono essere conferiti attributi propri. Complessivamente sono definiti 64 stati / attributi.

info Informazioni su

Gli elementi d'immagine, che sono collegati con una variabile che non ha né valore, né stato, vengono resi invisibili durante il Runtime.

Noch in diesem Kapitel

Variabili Visualizzazione dettagli Barra simboli e Menù contestuale

Denominazione di oggetti

Registrare variabili in zenon

Tipi di dato

Driver

Creare, modificare e usare variabili

Concetto di trasmissione ereditaria

Calcolo valore

Valori limiti

Matrici di reazione

Funzioni per variabili

Immagine Diagnosi variabili

Cambio unità di misura


Variabili Visualizzazione dettagli Barra simboli e Menù contestuale

Manuale -> Variabili -> Variabili Visualizzazione dettagli Barra simboli e Menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Barra degli strumenti

Nr | Simbolo | Azione
01 | Nuova Variabile | Apre il dialogo per la creazione di una nuova variabile.
02 | Crea funzione standard | Apre l´assistente per la selezione delle variabili e dei valori impostabili e che crea una funzione adatta. L´azione viene documentata nella finestra di emissione.
03 | Variabili utilizzate | Realizza una analisi di progetto delle variabili selezionate nel progetto attuale e la mostra in forma di Lista risultati in una finestra apposita.
04 | Visualizza variabili non utilizzate | Realizza una analisi di progetto per le variabili non utilizzate nel progetto attuale e la mostra in forma di Lista risultati in una finestra apposita.
05 | Torna all'elemento di partenza | Quando si è passati tramite la funzione Elementi collegati nella lista, il simbolo riporta all´elemento di partenza. Nel menu contestuale esistente solamente, se aperto come elemento collegato.
06 | Copia | Copia gli inserimenti selezionati negli appunti
07 | Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
08 | Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
09 | Estendi/riduci | Lista a cascata per estendere tutti nodi o quelli selezionati, oppure per ridurli.
10 | Attiva tutte | Attiva tutti gli elementi non attivi di una variabile struttura.
11 | Attiva | Attiva gli elementi selezionati di una variabile struttura.
12 | Disattiva | Disattiva gli elementi selezionati di una variabile struttura.
13 | Esporta selezione in XML | Esporta gli elementi selezionati in un file XML.
14 | Importa XML | Importa variabili da un file XML.
15 | Importazione - Esportazione | Apre il menù per importare ed esportare progetti Step 7, dBase e CSV.. Nota: Ulteriori informazioni a questo proposito le trovate nella guida relativa a import - export, nel capitolo Import di progetto Step 7.
16 | Filtro esteso | Attiva/disattiva filtro esteso Apre la finestra di dialogo che serve alla selezione dei criteri di filtro.
17 | Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
18 | Modifica celle selezionate | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
19 | Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
20 | Sostituisci testo in valore limite | Apre il dialogo che serve alla selezione della Proprietà dinamica. Dopo aver selezionato una proprietà, cliccando su OK si apre il dialogo con cui effettuare la ricerca e la sostituzione.
21 | Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
22 | Guida | Apre la guida online.

Menù contestuale

Punto di menù

Azione

Nuova Variabile

Apre il dialogo per la creazione di una nuova variabile.

Crea funzione standard

Apre l´assistente per la selezione delle variabili e dei valori impostabili e che crea una funzione adatta. L´azione viene documentata nella finestra di emissione.

Elemento collegato

Apre sottomenù con gli elementi collegati.

Variabili utilizzate

Realizza una analisi di progetto delle variabili selezionate nel progetto attuale e la mostra in forma di Lista risultati in una finestra apposita.

Visualizza variabili non utilizzate

Realizza una analisi di progetto per le variabili non utilizzate nel progetto attuale e la mostra in forma di Lista risultati in una finestra apposita.

Copia

Copia gli inserimenti selezionati negli appunti

Inserisci

Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".

Elimina

Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.

Espandi/riduci nodi

Consente di estendere o ridurre tutti i nodi o quelli selezionati nella lista. Scegli:

  • Espandi tutto
  • Riduci tutto
  • Espandi selezione
  • Riduci selezione

Attiva tutte

Attiva tutti gli elementi non attivi di una variabile struttura.

Attiva

Attiva gli elementi selezionati di una variabile struttura.

Disattiva

Disattiva gli elementi selezionati di una variabile struttura.

Esporta selezione in XML

Esporta tutti gli inserimenti selezionati in un file XML.

Importa XML

Importa degli inserimenti da un file XML.

Import/Export esteso

Apre il menù per importare ed esportare progetti Step 7, dBase e CSV..

Nota: Ulteriori informazioni a questo proposito le trovate nella guida relativa a import - export, nel capitolo Import di progetto Step 7.

Filtro esteso

Attiva/disattiva filtro esteso

Apre la finestra di dialogo che serve alla selezione dei criteri di filtro.

Rimuovi tutti i filtri

Elimina tutte le impostazioni di filtro

Modifica celle selezionate

Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.

Sostituisci testo nella colonna selezionata...

Apre il dialogo che serve alla ricerca e alla sostituzione di testi.

Sostituisci testo in valore limite

Apre il dialogo che serve alla selezione della Proprietà dinamica. Dopo aver selezionato una proprietà, cliccando su OK si apre il dialogo con cui effettuare la ricerca e la sostituzione.

Proprietà

Apre la finestra Impostazioni per l´inserimento selezionato.

Guida

Apre la guida online.


Denominazione di oggetti

Manuale -> Variabili -> Denominazione di oggetti

Il nome di un oggetto deve essere univoco in zenon.

info Informazioni su

Quando assegnate il nome, tenete presente quanto segue:

  • I caratteri # e @ non sono consentiti per i nomi variabili.
  • La lunghezza massima di Nome, Identificazione e Valore di riempimneto arch. per tipo String è rispettivamente di 128 caratteri.
  • La lunghezza massima di Identificazione servizio è di 255 caratteri.

Per la denominazione, si distingue fra lettere maiuscole e minuscole. Ne consegue che possono essere create delle variabili con lo stesso nome, che si distinguono solamente per l´uso di lettere maiuscole e minuscole. Per esempio le variabili test e Test sono due variabili differenti.

Attenzione: nomi identici che divergono solamente per l´uso delle lettere maiuscole e minuscole, possono provocare delle difficoltà in relazione a driver o zenon Logic, in particolare nel caso di:

  1. Configurazione driver:

    Se la denominazione driver diverge solamente per l´uso di lettere maiuscole e minuscole, entrambi i driver in questione usano lo stesso file allocazioni.

  2. zenon Logic:

    zenon Logic non distingue fra lettere maiuscole e minuscole. Due variabili che in zenon si differenziano solamente per la scrittura in lettere maiuscole e minuscole, non possono essere usate in zenon Logic. Ciò riguarda le variabili:

    • per un progetto zenon Logic con driver zenon Logic, driver IEC870 e driver IEC850.
    • che sono settate in zenon su Visibile esternamente.
    • che sono assegnate ad un driver per cui è stato creato un progetto zenon Logic per Simulazione - programmata

info Informazioni su

Raccomandazione: usate nomi oggetto univoci, che non si differenzino solamente per la scrittura in lettere maiuscole e minuscole.


Registrare variabili in zenon

Manuale -> Variabili -> Registrare variabili in zenon

In zenon, le variabili vengono attivate nel momento in cui si aprono le immagini in cui esse sono collegate. A partire da questo momento, esse vengono lette dal sistema. Quando si chiude un´immagine, le variabili collegate vengono disattivate e la loro lettura viene interrotta.

info Informazioni su

Il tempo di apertura di immagini nel Runtime dipende dal numero delle variabili collegate. Solo dopo che tutte le variabili sono state registrate con successo, l´immagine diventa gestibile.

Se molte variabili devono essere registrate, il tempo di apertura dell´immagine può essere ritardato. In questo caso, una barra di avanzamento mostra il procedere del processo di caricamento.

Attivare (Advise):

Il driver interroga continuamente i valori delle variabili. Ciò accade indipendentemente dal fatto se esse in quel momento sono necessarie nel processo, oppure no; anche se una variabile, per es., non ha un valore limite, non viene visualizzata nell´immagine e non avviene alcuna registrazione dei suoi valori. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno.

  • Vantaggio: i dati sono immediatamente disponibili. Così, ad esempio, il toggling di valori variabile nella funzione Settare valore impostabile, oppure in elementi d'immagine come Interruttore, viene eseguito in modo più rapido, perché il sistema non deve interrogare la variabile appositamente prima dello switch.
  • Svantaggio: un maggiore carico della comunicazione con il PLC.

Le seguenti funzionalità assicurano che le variabili siano sempre attivate:

  • Gestione allarmi
  • CEL
  • Gestione archivi
  • VBA/VSTA Online Container
  • Proprietà HD attivo attiva.
  • Proprietà Lettura variabile continua attiva.
  • L´opzione Mantieni la lista update in memoria è attiva nella configurazione driver (scheda Generale).

Le variabili che sono attivate mediante la proprietà Lettura variabile continua, sono a disposizione anche per altre applicazioni Windows.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua.

Interroga (Request):

Se le variabili non sono attivate, i valori e lo stato sono interrogati dal driver quando necessario.

Se i valori delle variabili devono essere interrogati appositamente, il Runtime attende finché il driver non conosce il valore delle variabili. Se il valore non è disponibile a causa dell´interruzione della comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.


Tipi di dato

Manuale -> Variabili -> Tipi di dato

Ogni variabile è basata su un tipo di dato IEC. Il tipo di dato dispone delle stesse proprietà della variabile stessa (unità, risoluzione segnale, valori limite ecc.). Un´eccezione sono le proprietà specifiche del driver, come, ad esempio, l´indirizzamento del PLC. Un tipo di dato è un modello di base per la variabile senza riferimento al processo. Il riferimento al processo stesso viene creato soltanto con il tipo d´oggetto del driver per la variabile.

Al momento di creare una nuova variabile, dev´essere selezionato un tipo di dato. Tutte le proprietà del tipo di dato vengono riprese dalla variabile. Le proprietà vengono referenziate al tipo di dato che ne è alla base. Il che significa: quando si modifica una proprietà a livello di tipo di dato, essa sarà modificata anche in tutte le variabili che sono state crete con questo tipo di dato. Se un valore è referenziato lo si vede dal rispettivo simbolo (freccia) nella finestra delle proprietà. Questo meccanismo di trasmissione ereditaria può anche essere bloccato. Ulteriori informazioni le trovate nella sezione Concetto di trasmissione ereditaria .

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuovo tipo di dato semplice... | Apre il dialogo per la creazione di un nuovo tipo di dato.
Nuova struttura di dato... | Apre il dialogo per la creazione di un nuovo tipo dato strutturato.
Esporta tutti in XML... | Esporta tutti gli inserimenti in un file XML.
Importa file XML... | Importa degli inserimenti da file XML.
Guida | Apre la guida online.

Tipi di dato IEC

I tipi di dato IEC sono tipi di dato standardizzati da IEC nella norma IEC 61131-3. Al momento, zenon supporta i seguenti tipi di dato IEC:

Nome breve

Nome lungo

Commento/Intervallo valori

Numero bit

BOOL

Boolean

Bit: 0/1

1

BYTE

SINT

Short integer

Signed Byte

da -128 fino 127

8

USINT

Unsigned short integer

Byte: da 0 fino 255

8

INT

Integer

Word con segno

da -32768 fino 32767

16

UINT

Unsigned integer

Word: da 0 fino 65535

16

DINT

Double integer

Signed double

da -2147483648 fino 2147483647

32

UDINT

Unsigned double integer

Double:

da 0 fino 4294967295

32

LINT

Long integer

Visto che zenon non può mantenere l´intervallo valori di un numero a 64bit, il vero campo numeri viene limitato a 52 Bit. I numeri con segni sono possibili da –2251799813685248 a 2251799813685247. I numeri al di fuori di questo intervallo causano un overflow oppure un underflow, corrispondente ad un integer 52Bit.

Le seguenti componenti funzionano con una piena risoluzione 64 Bit nel Runtime di zenon:

  1. La "shared memory VBA Interface", se il valore è indicato nella risoluzione segnale.
  2. La "shared memory Interface" di zenon Logic.
  3. Il kit driver funziona per tutto l'ambito di 64 Bit, e perciò per tutti i driver nella misura in cui il driver supporta questo tipo di dato IEC. Al momento questi sono Sample32, Intern e STRATON32.

Il manager gruppi ricette e le ricette non possono salvare neanche un valore 52bit con un'esattezza completa.

64 oppure 52

ULINT

Unsigned long integer

Visto che zenon non può mantenere il campo valori di un numero 64bit, il vero campo numeri viene limitato a 52 Bit. I numeri con segni sono possibili da 0 a 4503599627370495. I numeri al di fuori di questo intervallo causano un overflow oppure un underflow, corrispondente ad un integer 52Bit.

Le seguenti componenti funzionano con una piena risoluzione 64 Bit nel Runtime di zenon:

  • La "shared memory VBA Interface" se il valore è indicato nella risoluzione segnale.
  • La "shared memory Interface" di zenon Logic.
  • Il kit driver funziona per tutto l'ambito di 64 Bit e perciò per tutti i driver nella misura in cui il driver supporta questo tipo di dato IEC. Al momento questi sono Sample32, Intern e STRATON32.

Il manager gruppi ricette e le ricette non possono salvare neanche un valore 52bit con un'esattezza completa.

64 oppure 52

REAL

Real numbers

Numero reale

Il tipo di dato REAL con single point precision (32-Bit) copre un ampio campo valori, ma ha una precisione limitata.

Quando si convertono valori decimali in valori del tipo di dato REAL, è possibile, a seconda dalla dimensione, che occorrano errori di arrotondamento a partire dalla settima cifra decimale. Da un punto di vista tecnico, si sconsiglia, pertanto, un´amministrazione di valori decimali con più di 6 cifre significative.

Si raccomanda l´uso del tipo di dato LREAL , invece che di quello REAL, sempre che esso sia supportato dal PLC. La maggiore esattezza rispetto a quella offerta dal tipo di dato REAL è necessaria, per es., per z.B. per gli stati del contatore.

Se si tratta invece di valori che contano a passi di numeri interi, si consiglia l´uso di un tipo di dato integer. Per esempio, una variabile del tipo UDINT può salvare ogni valore intero compreso fra 0 e 4.294.967.295 senza errori. Se gli stati contatore superano questo limite, normalmente verranno eseguiti aggiornamenti a catena di due variabili del tipo DINT, oppure verrà resettato il contatore.

Suggerimento/Soluzione alternativa: Se, tuttavia, volete continuare a lavorare con il tipo di dato REAL (per es. in caso di limitazioni dei tipi di dato dovute al PLC a disposizione), la bit string del PLC può essere letta come DINT invece che come REAL.
Questa bit string può essere scomposta in zenon Logic con i blocchi funzione AND_MASK e OR_MASK e si possono estrarre le componenti del valore REAL (segno, esponente, mantissa). In tal modo, si possono calcolare esatti valori numerici.

32

LREAL

Real numbers

Numero reale

64

STRING

Variable-length single byte character string

Stringa ASCII (la lunghezza massima è dipendente dal driver).
La lunghezza stringa è settata di default a 5 caratteri. È possibile che sia necessario inserire la lunghezza corretta della stringa in fase di progettazione.

>= 8x lunghezza della stinga

WSTRING

Variable-length

multi-byte character string

Contiene stringhe multi-byte, ad esempio stringhe in codifica Unicode (UTF-8 ecc).
La lunghezza stringa è settata di default a 5 caratteri. È possibile che sia necessario inserire la lunghezza corretta della stringa in fase di progettazione

>= Nx lunghezza della stinga

DATE

Date

Data IEC in passi di un giorno.

16

TIME

Duration

Durata in formato IEC. Tempo IEC in passi di 1ms, intero con segno.

32

TOD

Time of day

Orario (ora del giorno ) in passi di 1ms.

32

DATE_AND_TIME

Date and time of day

Definisce un periodo di tempo con 64 bit e viene salvato in formato Binary-Coded Decimal.

64

attention Attenzione

In zenon, i tipi di dato DATE, TIME, TOD, vengono trattati come un tipo di dato UDINT in formato tempo Unix (secondi passati dal 01.01.1970). Il tipo di dato DATE_AND_TIME corrisponde a quello FLOAT nel formato tempo Unix. Nel formato UNIX, il tempo viene salvato in modo esatto fino ai millisecondi (tre cifre dopo la virgola). In un primo momento, il driver trasforma il tipo di dato usato in zenon in quello corrispondente e manda il nuovo valore al PLC.
Non tutti i driver supportano questi tipi di dato. Per sapere se esso supporta i tipi di dato, leggete la documentazione del driver.

Per una descrizione dettagliata di come funziona la trasmissione ereditaria delle proprietà dei tipi di dato, consultate il capitolo Concetto di trasmissione ereditaria.

Noch in diesem Kapitel

Tipi di dato Visualizzazione dettagli Barra simboli e menù contestuale

Forme di tipi di dato


Tipi di dato Visualizzazione dettagli Barra simboli e menù contestuale

Manuale -> Variabili -> Tipi di dato -> Tipi di dato Visualizzazione dettagli Barra simboli e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale

Voce di menù | Azione
Nuovo tipo di dato semplice... | Apre il dialogo che serve a creare un nuovo tipo di dato semplice.
Nuova struttura di dato... | Apre il dialogo che serve a creare un nuovo tipo dato strutturato.
Nuovo elemento struttura | Apre il dialogo che serve ad aggiungere un elemento di struttura per un tipo dato strutturato.
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di...".
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Esporta selezione in XML... | Esporta tutti gli inserimenti selezionati in un file XML.
Importa file XML... | Importa degli inserimenti da un file XML.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Sostituisci testo nei valori limite... | Apre il dialogo che serve alla selezione della Proprietà dinamica. Dopo aver selezionato una proprietà, cliccando su OK si apre il dialogo con cui effettuare la ricerca e la sostituzione.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Guida | Apre la guida online.


Forme di tipi di dato

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esistono principalmente due diverse forme di tipi di dato:

  • tipi di dato semplici; essi, a loro volta, consistono di:
    • tipi di dato semplici preconfigurati
    • tipi di dato semplici definiti dall´utente
  • Tipi di dato strutturato

Noch in diesem Kapitel

Tipi di dato semplici preconfigurati

Tipi di dato semplici definiti dall´utente

Tipi di dato strutturato


Tipi di dato semplici preconfigurati

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato semplici preconfigurati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Essi vengono forniti con il pacchetto standard di zenon e sono a disposizione immediatamente quando si crea una nuova variabile. Corrispondono ai tipi di dato semplici previsti dalla norma IEC 61131-3, come INT, USINT ecc. Essi definiscono un´area di valori fissa (limiti superiori e inferiori fissi) con un numero fissato di valori. Pertanto i numeri reali possono essere rappresentati come numeri in virgola mobile solamente con una certa approssimazione.

Le proprietà dei tipi di dato semplici possono essere modificate. I nomi di questi tipi di dato corrispondono ai nomi dei tipi di dato IEC. I nomi dei tipi di dato IEC non possono essere né cambiati, né cancellati.

I tipi di dato sono visibili in zenon soltanto quando nel progetto è stato creato un driver. Ogni driver ha una lista contenente i tipi di dato che esso supporta. Se un tipo di dato IEC non compare nella lista di tipi di dato, vuol dire che non è supportato da nessuno dei driver implementati.

Modifiche delle proprietà di tipi di dato hanno un effetto su tutte le variabili collegate, ed anche sui tipi dato strutturato collegati!


Tipi di dato semplici definiti dall´utente

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato semplici definiti dall´utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questi tipi di dato possono essere creati dall´utente. Per la creazione viene utilizzato un tipo di dato già esistente. Al momento della creazione, tutte le proprietà di questo tipo di dato vengono copiate sul nuovo tipo di dato e possono essere poi modificate. Non esiste alcun riferimento con il tipo di dato che originariamente ne era alla base. Tutti i tipi di dato, dunque, possono essere configurati indipendentemente l´uno dall´altro.

Per i tipi di dato definiti dall´utente possono essere modificate tutte le proprietà, ivi inclusi nome e tipo di dato IEC.

attention Attenzione

Può essere che tutte le variabili che si basano su un tipo di dato per il quale viene modificato il tipo di dato IEC debbano essere configurate di nuovo manualmente.

Esempio

Un dato IEC del tipo INT viene modificato in un tipo di dato IEC BOOL. Tutti i limiti di valore impostabile di tutte le variabili, ovunque la variabile sia stata utilizzata (immagini), non sono più corretti. Questo fatto diventa particolarmente critico, se le proprietà della variabile sono state sovrascritte e non sono più collegate con il tipo di dato!

Per questa ragione, quando si crea un nuovo tipo di dato definito dall´utente, si dovrebbe sempre utilizzare un tipo di dato che ha lo stesso tipo di dato IEC di cui si ha bisogno.

attention Attenzione

Sconsigliamo vivamente di modificare in un secondo momento il tipo di dato IEC!
Dal tipo di dato IEC, infatti, dipendono moltissime impostazioni che devono essere poi configurate manualmente se esso viene modificato. (Es. risoluzione segnale, area di misurazione, isteresi, limiti di valori impostabili, adattamento non lineare del valore etc….).
In caso di modifica del tipo di dato IEC, tutte le proprietà specifiche per questo tipo di dato devono essere controllate!!! In parte le proprietà devono essere adeguate prima della modifica, dato che, p. es., per una variabile BOOL non potranno più essere modificati né la risoluzione segnale, né l´area di misurazione .

Noch in diesem Kapitel

Creazione di un nuovo tipo di dato definito dall´utente

Modifica delle proprietà di un tipo di dato definito dall´utente

Cancellazione di un tipo di dato definito dall´utente


Creazione di un nuovo tipo di dato definito dall´utente

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato semplici definiti dall´utente -> Creazione di un nuovo tipo di dato definito dall´utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Aprite il nodo "Variabili" e cliccate su Tipi di dato.

Tutti i tipi di dati già esistenti saranno elencati nella visualizzazione dettagli. Alla prima apertura di quest´ultima, compaiono nella lista soltanto i tipi di dato predefiniti, corrispondenti ai tipi di dato IEC. Un tipo di dato definito dall’utente si basa sempre su di un tipo di dato IEC. Cliccate adesso con il tasto destro del mouse nella lista, e cliccate nel menù contestuale su Nuovo tipo di dato semplice....

Nella finestra di dialogo che si apre, inserite il nome del tipo di dato definito dall´utente e selezionate un tipo di dato già esistente. Questo tipo di dato serve da modello per quello da creare. Tutte le proprietà verranno copiate nel nuovo tipo di dato. Nella finestra di proprietà possono essere ulteriormente adattate. Non esisterà più nessun riferimento al tipo di dato originario dal quale è stata effettuata la copia delle proprietà.

info Informazioni su

La lunghezza del nome del tipo di dato è limitata ad un massimo di 128 caratteri.

cliccate su Termina. Il nuovo tipo di dato definito dall´utente appare adesso nella lista dei tipi di dato semplici nella visualizzazione dettagli.


Modifica delle proprietà di un tipo di dato definito dall´utente

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato semplici definiti dall´utente -> Modifica delle proprietà di un tipo di dato definito dall´utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La modifica della proprietà di un tipo di dato definito da utente può essere effettuata nella finestra di proprietà nella quale sono elencate tutte le proprietà del tipo di dato.

Vi preghiamo di tenere presente che il tipo di dato IEC non dovrebbe essere cambiato, perché, in tal caso, cambierebbe anche la risoluzione del segnale.


Cancellazione di un tipo di dato definito dall´utente

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato semplici definiti dall´utente -> Cancellazione di un tipo di dato definito dall´utente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezioni il tipo di dato da eliminare dalla lista e confermi l´azione nel box di dialogo seguente.

attention Attenzione

In caso di eliminazione di un tipo di dato definito da utente, tutte le variabili basate su questo tipo di dato verranno cancellate.


Tipi di dato strutturato

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato strutturato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I tipi dato strutturato sono sempre tipi di dato definiti dall'utente. Contrariamente ai tipi di dato semplici che consentono solo una lista di variabili “piana”, con questo tipo di dato può costruire una vera e proprio struttura. Questa struttura può essere anche di tipo nidificato e essere anche molto complessa.

Per creare una struttura di variabile, dev´essere prima creato un tipo dato strutturato. Una struttura consiste di un nome di struttura e di elementi di struttura. Elementi di struttura possono essere tipi di dato semplici, oppure altre strutture. Elementi di struttura possono anche essere degli array (campi) con al massimo 3 dimensioni.

attention Attenzione

Dovete stabilire al momento della creazione se l´elemento di struttura usa il tipo collegato o scollegato. Non è possibile apportare delle modifiche in un secondo momento.

Esempio di tipo dato strutturato:

Nella figura qui sopra sono visualizzate due strutture:

La struttura Regolatore consiste di due elementi di struttura: Numero di giri impostabile e un Numero di giri effettivo.

  • L'elemento di struttura Engine speed actual è stato collegato al tipo di dato “INT”, il che significa, che tutte le proprietà del tipo di dato predefinito “INT” vengono ereditate da questo elemento di struttura.
  • L'elemento di struttura Numero di giri impostabile è stato reso indipendente in questa struttura. Tutte le proprietà di un tipo di dato, quindi, potranno essere impostate direttamente nell´elemento di struttura stesso.

La struttura illustrata "Motore", invece, consiste dei seguenti elementi di struttura: Activity Inpu, Charging Rate, Voltage, Temperature [3] e la struttura Engine Speed Control.

  • L'elemento di struttura Activity Input è collegato al tipo di dato predefinito “UINT”- vengono ereditate tutte le proprietà relative UINT.
  • L'elemento di struttura Charging Rate ha reso indipendente (embedded) il tipo di dato “INT” – tutte le proprietà possono essere impostate direttamente sull'elemento di struttura.
  • L´elemento di struttura Voltage è collegato con il tipo di dato definito dall´utente “Voltage”. L´elemento eredita tutte le proprietà da questo tipo di dato.
  • L'elemento di struttura Temperature è rappresentato in un array unidimensionale (un campo) di tre elementi del tipo di dato predefinito “SINT”.
  • L'elemento di struttura Engine Speed Control è collegato con alla struttura Controller, che è già stata descritta più in alto. Non possono essere inserite in modalità indipendente delle strutture in una struttura . Esse sono sempre collegate alla struttura originale. La struttura contiene altri due elementi di struttura: „Valore impostabile numero di giri“ e „Valore effettivo numero di giri“ le cui proprietà vengono accettate dalla struttura orginaria.

Noch in diesem Kapitel

Creazione di tipo dato strutturato.

Aggiungere ulteriori elementi di struttura

Modificare le proprietà di un elemento di struttura

Sposta elemento di struttura

Eliminazione di un tipo dato strutturato


Creazione di tipo dato strutturato.

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato strutturato -> Creazione di tipo dato strutturato.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un tipo dato strutturato dovete procedere nel modo seguente:

  1. Cliccate con il tasto destro del mouse nella lista su un tipo di dato definito dall´utente e selezionate nel menù contestuale Nuovo tipo dato strutturato.
  2. Apparirà una finestra di dialogo nella quale potete definire il nome.

    Nota: La lunghezza del nome del tipo di dato è limitata ad un massimo di 128 caratteri.

  3. Concludete l'operazione con Termina. Il nome del tipo dato strutturato può essere poi modificato nella finestra di proprietà.
  4. Adesso si apre una finestra di dialogo nella quale create il primo elemento di struttura.
  5. Assegnate un nome univoco.
  6. Selezionate il tipo di dato sul quale deve basarsi l´elemento. Cliccando sul pulsante ... si apre il dialogo di selezione.

    Potete collegare anche delle strutture come elementi di struttura. Non è possibile inserire delle strutture in modo indipendente (scollegato) come elemento di struttura. Inoltre è possibile collegare solamente intere strutture e non parti di esse.

  7. Stabilite se il tipo di dato deve essere inserito in in maniera scollegata (reso indipendente), oppure collegato.
  8. Definite le dimensioni array.
    Se non volete usare nessun array, inserite la dimensione 0.
  9. Concludete l'operazione cliccando su Termina.

Inserire in modo scollegato (rendere indipendente) o collegare

Parametri | Descrizione
Elementi di struttura scollegati | Possono avere delle proprietà differenti dal loro tipo di dato originario. Le proprietà vengono definite appositamente e salvate per ogni singolo elemento di struttura.
Elementi di struttura collegati | Riprendono sempre tutte le proprietà del tipo di dato originario dal quale derivano. In caso di modifica del tipo di dato originario, si modificano anche tutti gli elementi di struttura collegati!


Aggiungere ulteriori elementi di struttura

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato strutturato -> Aggiungere ulteriori elementi di struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aggiungere ulteriori elementi struttura:

  1. Cliccate con il tasto destro del mouse sul tipo di dato struttura desiderato.
  2. Selezionate nel menù contestuale Nuovo elemento di struttura
  3. Nella finestra di dialogo che si aprirà, definite:
    1. Una denominazione univoca (il nome è limitato ad un lunghezza massima di 128 caratteri)
    2. Le dimensioni array e
    3. Se volete un elemento di struttura scollegato (reso indipendente) oppure collegato.

Se adesso evidenziate il tipo di dato struttura nella visuale dettagliata, gli elementi struttura già esistenti vengono visualizzati come sottopunti.


Modificare le proprietà di un elemento di struttura

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato strutturato -> Modificare le proprietà di un elemento di struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per modificare le proprietà di un elemento struttura:

Elementi di struttura scollegati (resi indipendenti)

  1. selezionate l´elemento struttura nella visualizzazione dettagliata.
  2. Modificate nella finestra delle proprietà quella desiderata.

Elemento di struttura collegato

Nel caso di elementi struttura collegati, possono essere modificati nella finestra delle proprietà:

  • Nome
  • Offsets
  • dimensione dell´array
  • Descrizione

Tutte le altre proprietà devono essere modificate direttamente nel tipo di dato originario.

attention Attenzione

Vi preghiamo di tenere presente che le modifiche sul tipo di dato hanno effetto immediato su tutte le variabili collegate ed anche su tutti gli altri tipi dato strutturato che avete collegato a questo tipo di dato!

Non si consiglia di effettuare delle modifiche al tipo di dato. Esse devono essere preparate in modo molto prudente ed effettuate con attenzione. Soprattutto per quello che riguarda le impostazioni del tipo di dato IEC, dell´area di misurazione, dei limiti di valori impostabili ecc.

Si corre il rischio, infatti, di dover modificare manualmente tutte le variabili e le immagini in cui vengono usate queste variabili!


Sposta elemento di struttura

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato strutturato -> Sposta elemento di struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli elementi di un tipo di dato struttura possono essere spostati per per Drag&Drop. Per spostare degli elementi:

  1. Selezionate l´elemento desiderato.
  2. Potete selezionare anche più elementi correlati.
  3. Cliccate nella selezione e trasportate gli elementi al posto desiderato

Nel caso di progetti multiutente, il sistema provvederà a verificare se lo stato del tipo di dato da modificare è settato su Rendi possibili le modifiche, oppure se può essere settato in tal modo.

Sposta più oggetti

Elementi correlati possono essere spostati per mezzo del Drag&Drop. A questo proposito, vale quanto segue:

  • Possono essere spostati solo elementi di struttura correlati.

  • Se, nel caso di selezione multipla, dovesse scoprire l´esistenza di una lacuna, il sistema non consentirà di effettuare l´azione di drop.


Eliminazione di un tipo dato strutturato

Manuale -> Variabili -> Tipi di dato -> Forme di tipi di dato -> Tipi di dato strutturato -> Eliminazione di un tipo dato strutturato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per eliminare un tipo dato strutturato:

  1. Cliccate con il tasto destro del mouse sul tipo dato strutturato desiderato nella lista.
  2. Selezionate nel menù contestuale Elimina
  3. Il tipo dato strutturato viene eliminato con tutti i suoi elementi struttura.

attention Attenzione

Anche tutte le variabili basate su questo tipo dato strutturato verrano eliminate!!


Driver

Manuale -> Variabili -> Driver

zenon offre più di 300 diverse connessioni ai più diversi PLC, sistemi bus e applicazioni.

Per potere comunicare con una fonte di dati è necessario collegarsi attraverso un driver di interfaccia (driver di protocollo). Il driver crea il collegamento tra un PLC e zenon. La sorgente dati però non deve essere necessariamente un PLC. Il driver DDE comunica con un server DDE, il driver OPC client con un server OPC ed il driver SNMP con gli agenti SNMP ecc.

C´è a disposizione un gran numero di driver diversi che possono anche essere utilizzati in parallelo.

attention Attenzione

Con Windows CE può essere lanciato solo un tipo di driver alla volta.

Menù contestuale - Manager di progetto

Voce di menù | Azione
Nuovo driver... | Apre la finestra contenente la lista dei driver disponibili.
Guida | Apre la guida online.

Al momento della creazione di una nuova variabile, si deve sempre definire il driver per il quale la variabile viene creata.

I driver di zenon sono driver protocollo. Non sono da confondere con driver d´interfaccia del sistema operativo (p.e. driver per una scheda LAN o driver per un´interfaccia seriale). I driver di zenon sono sempre basati sui driver d´interfaccia del sistema operativo e comunicano attraverso il protocollo (p.e. Modbus RTU, MPI, Melsec A ecc), che è comprensibile per il rispettivo PLC.

I driver di base sono a disposizione gratuitamente in zenon: Le variabili basate su questi driver non sono considerate nel calcolo della licenza:

Parametri

Descrizione

Driver di simulazione SIMUL32

Per variabili interne.

Le variabili generate all' interno dello scada (variabili harddisk, Merker) possono essere definite come oggetti merker; per la simulazione dinamica gli oggetti merker possono cambiare automaticamente il valore!

Driver matematico MATHDR32

Le variabili di questo driver servono al calcolo di funzioni matematiche, oppure per contatori impulsi e contatori ore di servizio.

Driver di sistema Sysdrv

Variabili per il monitoraggio e la gestione dell´hardware, della rete ed altre proprietà specifiche progetto.

Driver interno Intern

Variabili definibili dall'utente senza collegamento con un PLC. (Simili alle variabili del driver di sistema definibili dall'utente).

Ogni variabile ha il suo valore individuale. Non è possibile, dunque, per es. estrarre delle variabili Bit o Byte da una variabile Integer.

La progettazione di informazioni sull'indirizzo non è necessaria; le proprietà interessate non possono essere modificate neanche nella finestra di proprietà.

Trovate le descrizioni dettagliate dei singoli driver nelle corrispondenti documentazioni, che sono a vostra disposizione nella guida online, nel capitolo Driver.

Al momento della creazione di un nuovo driver, viene aperto un dialogo di selezione dove sono elencati tutti i driver disponibili. Le informazioni di questo dialogo sono salvate nei file Treiber_DE.xml, Treiber_EN.xml, a seconda della lingua. Se volete aprire o modificare i singoli file XML, potete utilizzare il tool driverinfo.exe.

Noch in diesem Kapitel

Driver Visualizzazione dettagliata Barra simboli e menù contestuale

Tipo di oggetto del driver

Creazione di un driver

Configurazione di un driver

Simulazione driver

Cambio del Driver

Eliminazione driver

Variabili del driver

Documentazioni driver


Driver Visualizzazione dettagliata Barra simboli e menù contestuale

Manuale -> Variabili -> Driver -> Driver Visualizzazione dettagliata Barra simboli e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale

Voce di menù | Azione
Nuovo driver ... | Apre la finestra di dialogo per la creazione di un nuovo driver.
Cambia driver... | Apre la finestra di selezione che serve alla definizione di un driver.
Elimina | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Configurazione driver... | Apre il dialogo per la configurazione del driver.
Importa variabili dal driver... | Apre la finestra di dialogo che serve all´import delle variabili.
Modifica cella selezionata | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Sostituisci testo nella colonna selezionata... | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Proprietà | Apre la finestra Impostazioni per l´inserimento selezionato.
Rimuovi tutti i filtri | Elimina tutte le impostazioni di filtro
Guida | Apre la guida online.


Tipo di oggetto del driver

Manuale -> Variabili -> Driver -> Tipo di oggetto del driver

I tipi di oggetto del driver determinano quale area di una variabile deve essere indirizzata nel PLC. Attualmente i produttori usano diverse denominazioni per le aree nei loro PLC. Nel mondo Siemens ci sono blocchi dati, markers, in/output ecc; nel mondo Modbus ci sono coil e Holding register. Ogni driver mette a disposizione internamente una lista contenente i tipo di oggetto del driver disponibili. Quando si crea una nuova variabile deve essere definito a quale area nel PLC è assegnata la variabile.

Differenza netta fra tipo di dato e tipo di oggetto del driver

La differenza netta consente di creare una struttura come tipo di dato in modo completamente indipendente e, per questo, in modo indipendente dal PLC. Questa struttura può essere assegnata a qualunque driver come variabile. Una struttura, ad esempio, può essere collegata 1:1 sia con un PLC Siemens che con un PLC Modbus mediante l'utilizzo dei driver corrispondenti.


Creazione di un driver

Manuale -> Variabili -> Driver -> Creazione di un driver

Per creare un nuovo driver:

  1. Cliccate con il tasto destro del mouse nel manager di progetto su Driver e selezionate nel menù contestuale Nuovo driver....
  2. Nel finestra di dialogo che si apre è contenuto un elenco con tutti i driver disponibili.

  3. Selezionate il driver desiderato e attribuitegli un nome:
    • La denominazione del driver deve essere univoca, cioè, se un driver è utilizzato più volte nel progetto, gli si deve attribuire ogni volta un nuovo nome.
    • La denominazione del driver è una parte del nome file. Perciò deve contenere solamente dei caratteri che vengono supportati dal sistema operativo. I caratteri non validi vengono sostituiti con un carattere di sottolineatura (_).
    • Attenzione: il nome non può essere cambiato in seguito.
  4. Confermate cliccando su OK. Nella successiva finestra di dialogo si effettua la configurazione del driver.

Per un progetto, possono essere caricati soltanto i driver rispettivamente necessari. Un inserimento successivo di un altro driver non rappresenta un problema.

info Informazioni su

Nel caso di progetti di nuova creazione o di progetti che sono stati convertiti nella versione 6.21, vengono creati automaticamente i seguenti driver:

  • Interna
  • MathDr32
  • SysDrv.


Configurazione di un driver

Manuale -> Variabili -> Driver -> Configurazione di un driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si crea un driver, si apre il dialogo di configurazione corrispondente. Se volete aprire il dialogo in un secondo momento per poter effettuare delle modifiche, cliccate due volte sul driver nella lista, oppure cliccate sulla proprietà Configurazione.

Parametri

Descrizione

Mode

Permette il passaggio fra modalità hardware e modalità di simulazione.

  • Hardware:

    Viene creato un collegamento con il PLC.

  • Simulazione statica

    Non si instaura una comunicazione con il PLC; i valori vengono simulati dal driver. In questa modalità, i valori rimangono costanti, oppure le variabili mantengono i valori settati mediante zenon Logic. Ogni variabile ha il suo proprio settore di salvataggio. Per esempio: due variabili del tipo merker con offset 79 possono avere diversi valori nel Runtime, e non si influenzano reciprocamente. Eccezione: Driver di simulazione.

  • Simulazione – conta

    Non si instaura una comunicazione con il PLC; i valori vengono simulati dal driver. In questa modalità, il driver incrementa i valori nell'ambito della loro area di misurazione in modo automatico.

  • Simulazione - programmata

    Non viene instaurata una comunicazione con il PLC; i valori vengono calcolati da un progetto di simulazione liberamente programmabile. Il progetto di simulazione viene realizzato con il workbench di zenon Logic ed è eseguito in un Runtime di zenon Logic integrato nel driver. Per i dettagli vedi il capitolo Simulazione driver.

Tenere variabili in memoria

Le variabili che sono state richieste una volta vengono richieste anche in seguito dal PLC, anche se esse non sono più necessarie.
Ciò ha il vantaggio che, ad esempio, i cambi immagini ripetuti vengono velocizzati dopo la prima apertura visto che le variabili non devono essere richieste nuovamente. Lo svantaggio è un maggiore carico della comunicazione verso il PLC.

Output scrivibili

Attivo: gli output possono essere scritti.

Inattivo: la scrittura degli output non è consentita.

Nota: non è disponibile per ogni driver.

Immagine di variabile ritentiva

Questa opzione salva e ripristina il valore attuale, il dato data/ora e lo stato di una variabile.

Requisito fondamentale: la variabile deve avere un valore valido e un time stamp.

L´immagine variabile viene salvata in modalità hardware se:

  • uno degli stati da S_MERKER_1(0) a S_MERKER8(7), REVISION(9), AUS(20) o ERSATZWERT(27) deve essere attivo.

L´immagine variabile viene salvata sempre se:

  • la variabile è del tipo di oggetto Variabile driver;
  • il driver è eseguito in modalità di simulazione. (simulazione non programmata)

I seguenti stati non vengono ripristinati all´avvio del Runtime:

  • SELECT(8)
  • WR-ACK(40)
  • WR-SUC(41)

La modalità Simulazione - programmata all´avvio del driver non è un criterio per restaurare l´immagine variabile ritentiva.

Stop al server standby

Impostazione per la ridondanza con driver che consentono solamente una connessione di comunicazione. A tal scopo verrà interrotto il driver sul server di standby e riavviato solamente quando verrà settato come server.

Attenzione: se questa opzione è attiva, non è più possibile assicurare un´archiviazione completa e senza soluzioni di continuità.

Attivo: fa passare automaticamente il driver in uno stato simile a quello di stop sul server non primario. A differenza di quando accade in caso di stop mediante il comando driver, la variabile non riceve lo stato spento, ma un valore vuoto. In tal modo il sistema evita che, nell´upgrade al ruolo di server, vengano creati dei valori non rilevanti in AML, CEL e archivi.

Nota: Non disponibile se il terminal CE funge da server di dati. Ulteriori informazioni sull´argomento le trovate nella parte della guida dedicata a zenon Operator, nel capitolo concernente CE Terminal come data server.

Tempo di update globale

Attivo: Il tempo di update globale impostato in ms viene usato per tutte le variabili nel progetto. La priorità impostata nelle variabili non viene utilizzata.
Disattivo: le priorità impostate vengono usate per le singole variabili.

Priorità

Qui si impostano i tempi di polling per le singole classi di priorità. Per tutte le variabili con la corrispondente priorità viene realizzato il polling nel tempo impostato.

L'assegnazione alle variabili viene effettuata in modo separato per ogni variabile mediante l'impostazione nelle proprietà delle variabili.
Con le classi di priorità la comunicazione delle singole variabili può essere ridotta secondo i criteri dell'importanza e della attualità necessaria. Ne deriva una migliore distribuzione del carico della comunicazione.

Attenzione: le classi di priorità non sono supportate da tutti i driver. I driver a comunicazione spontanea, ad esempio, non le supportano.

Close dialog

Parameters | Description
Ok | Riprende le modifiche in tutte le tab e chiude il dialogo.
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
Guida | Apre la guida online.

Tempo di update per driver ciclici

Per i driver ciclici vale quanto segue:

Con Set value, Advising di variabili e con Requests si attiva subito un ciclo di lettura per tutti i driver, indipendentemente dal tempo impostato per l´update. In tal modo c´è la garanzia che il valore, dopo la scrittura, sia subito disponibile nella visualizzazione. Per questa ragione, nel caso di driver ciclici i tempi dell´update possono essere più corti di quanto è stato fissato in fase di impostazione.


Simulazione driver

Manuale -> Variabili -> Driver -> Simulazione driver

Se, al momento della progettazione, non è disponibile il processo di base, quest´ultimo può essere simulato e poi testato. A tal scopo, sono a disposizione tre modalità:

  • Simulazione - statica: valori constanti simulati dal driver.
  • Simulazione - conta: i valori simulati dal driver vengono calcolati
  • Simulazione - programmata: i valori vengono calcolati mediante un progetto di simulazione con zenon Logic

attention Attenzione

Se il driver viene fermato nella modalità Simulazione - conta, si ferma solamente il procedimento di conta. Le variabili non passano a disturbato. In tutte le altre modalità di funzionamento, invece, il driver viene interrotto per davvero.

Nota: Simulazione - programmata non viene supportata dai driver per:

  • Variabili interne
  • Variabili matematiche
  • Variabili di simulazione
  • Variabili di sistema

info Informazioni su

Le variabili di zenon che rappresentano , IO variabili zenon Logic, non sono disponibili nel progetto nello stato Simulazione driver - programmata.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Noch in diesem Kapitel

Simulazione statica

Simulazione – conta

Simulazione - programmata


Simulazione statica

Manuale -> Variabili -> Driver -> Simulazione driver -> Simulazione statica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso di simulazione statica, non viene instaurata una comunicazione con il controller; i valori vengono simulati dal driver. In questa modalità, i valori rimangono costanti. I valori possono essere modificati dal runtime oppure dall´utente. Al riavvio del runtime con Simulazione - statica, tuttavia, questi valori non verranno salvati e andranno dunque perduti.


Simulazione – conta

Manuale -> Variabili -> Driver -> Simulazione driver -> Simulazione – conta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso di simulazione - conta, non viene instaurata una comunicazione con il controller; i valori vengono simulati dal driver. In questa modalità il driver incrementa i valori automaticamente all´interno di un intervallo valori cominciando da 0. Quando si raggiunge il valore massimo, il procedimento di conta riprende da 0.

info Informazioni su

Se si hanno valori di partenza negativi, il procedimento di conta inizia solamente da 0.

INT usa per contare il valore massimo di USINT.

attention Attenzione

Se il driver viene fermato nella modalità Simulazione - conta, si ferma solamente il procedimento di conta. Le variabili non passano a disturbato. In tutte le altre modalità di funzionamento, invece, il driver viene interrotto per davvero.


Simulazione - programmata

Manuale -> Variabili -> Driver -> Simulazione driver -> Simulazione - programmata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso di simulazione programmata, non viene instaurata una comunicazione con il controller; i valori vengono calcolati da un progetto di simulazione liberamente programmabile. Il progetto di simulazione viene creato con l´aiuto del workbench di zenon Logic ed eseguito nel runtime di zenon Logic. Ciò consente di modificare lo stato e il time stamp di variabili sul driver. I comandi di scrittura su variabili vengono trasmessi alla simulazione tramite zenon; il server ridondante e il server di standby vengono sincronizzati. In tal modo è possibile simulare anche procedimenti complessi.

Per avviare il programma di simulazione selezionate nella Configurazione driver la modalità Simulazione - programmata.

info Informazioni su

Windows CE

La simulazione-programmata non è disponibile sotto Windows CE.

Noch in diesem Kapitel

Editor

Configurazione driver.

zenon Logic Workbench

Runtime

Indicazioni sulle variabili in progetti di simulazione

Segnalazioni d'errore


Editor

Manuale -> Variabili -> Driver -> Simulazione driver -> Simulazione - programmata -> Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Crea progetto

Elimina progetto

Engineering distribuito

Cambia driver

XML-Export/Import


Crea progetto

Crea progetto

Per poter creare un progetto per la simulazione - programmata, si deve procedere come segue:

  • si deve selezionare un solo driver di processo
  • il nome progetto deve essere valido.

attention Attenzione

Simulazione - programmata non viene supportata dai driver per:

  • Variabili interne
  • Variabili matematiche
  • Variabili di simulazione
  • Variabili di sistema

Per creare un progetto di simulazione:

  • cliccate all´interno del gruppo Progetto di simulazione del driver, in corrispondenza della proprietà Modifica su Clicca qui ->
  • viene creato un nuovo progetto zenon Logic
  • Nome e numero di porta per Porta eventi e Porta standard vengono attribuiti automaticamente; potete modificarli a piacere.
  • viene aperto il workbench di zenon Logic

Il workbench del progetto di simulazione viene chiuso automaticamente se:

  • si chiude l´editor di zenon
  • si cancella un driver il cui progetto di simulazione viene redatto al momento nel workbench
  • il progetto di simulazione per il driver viene chiuso usando la proprietà Elimina
  • il progetto di simulazione viene rinominato

info Informazioni su

Numeri di porta: Quando viene generato il progetto di simulazione, gli viene assegnato automaticamente un numero di porta univoco. Un numero di porta assegnato automaticamente è univoco solo per il relativo progetto. Nei progetti multi-gerarchici, ci si deve assicurare che un numero di porta sia usato una sola volta in tutti i progetti eseguiti nel Runtime. Se un numero di porta viene usato più di una volta, infatti, si possono verificare degli errori di comunicazione con il Workbench/Runtime di zenon Logic.

I numeri di porta possono essere modificati ed adeguati manualmente. Un numero di porta deve soddisfare le seguenti condizioni:

  • Deve essere libero nel progetto.
  • Deve essere univoco per tutti i progetti che sono eseguiti nel Runtime.
  • Deve essere disponibile sul calcolatore su cui è attivo il driver.

Numeri di porta consentiti:

  • Minimo: 6000 (in caso di assegnazione automatica, si consiglia adeguamento manuale)
  • Massimo: 6999 (in caso di assegnazione automatica, si consiglia adeguamento manuale)

Luogo in cui salvare il progetto

Un progetto zenon Logic contiene molti file e cartelle. Per facilitare il lavoro, soprattutto nel caso di una progettazione distribuita, tutti i file vengono salvati in forma compatta nel file Simul_<Treiber-ID>.zip che si trova nella cartella <Sql Projekt Pfad>\FILES\zenon\custom\drivers. Nell´editor, questo file si trova con quelli del driver. Al momento dell´avvio del workbench di zenon Logic, i file vengono decompressi automaticamente e, al momento della chiusura del workbench, vengono di nuovo compressi.

Crea variabili

Quando si creano delle variabili in un progetto di simulazione, è importante procedere rispettando la seguente successione di passaggi:

  1. prima di tutto create la variabile
  2. selezionate poi il tipo di dato valido nel workbench di zenon Logic
  3. solo dopo attivate la proprietà embed symbol

Sfondo: le variabili vengono create di default con il tipo di oggetto driver PLC marker. Questo tipo di oggetto non supporta per tutti i driver tutti i tipi di dato. Se una variabile viene copiata nel workbench di zenon Logic con la proprietà embed symbol attiva, quest´ultima dovrà essere disattivata per poter poi procedere al cambiamento del tipo di dato. In tal modo, la variabile viene cancellata in zenon.

info Informazioni su

Segnalazione di errore "Can not create variable"

Non è possibile creare una variabile nell´oggetto di simulazione se il driver non ha nessun tipo di oggetto driver (escluso

Variabile del driver) che supporta questo tipo di dato.

Quando si attiva embed symbol, verrà poi visualizzata la segnalazione di errore "can not create variable".

Tipo di dato strutturato

Quando si creano delle variabili con un tipo dato strutturato, avviene quanto segue:

  • le variabili vengono create, se possibile, con il tipo di oggetto driver PLC marker.
  • il sistema prova tutti i tipi di oggetto driver (fatta eccezione per Variabile del driver) finché non ne trova uno utilizzabile per tutti gli elementi.
  • se non è disponibile nessun tipo di oggetto driver adeguato, avviene quanto segue:
    • non viene creata nessuna variabile nel caso di non-variabili struttura
    • nel caso delle variabili struttura, si usa il tipo di oggetto driver PLC marker.

Esempio:

un tipo dato strutturato contiene elementi del tipo UINT e STRING. Viene creata una variabile per il driver S7TCP e embed symbol viene attivata.

  • La variabile non viene creata in PLC marker, ma come Ext. Datablock, in cui sono presenti tutti gli elementi di struttura.
  • Viene aggiunto un nuovo tipo LINT; esso non viene supportato da Ext. Datablock.
  • Quando si crea una nuova variabile, essa viene impostata come tipo PLC marker. Può essere attivata solamente la prima variabile complessa (UINT). Nel caso della variabile strutturata esistente, il tipo di oggetto rimana Ext. Datablock e l´ultimo elemento di struttura (LINT) non può essere attivato.

Compilazione dei file

Se un progetto di simulazione viene compilato nel workbench di zenon Logic, ciò comporta in zenon la creazione delle variabili e del file di programma nel runtime.
Nel compilare, nella cartella runtime \RT\FILES\zenon\custom\drivers viene generata una sottocartella con il nome del progetto di simulazione. In questa cartella viene poi depositato il file con il codice della simulazione in SIMULRT.COD.

Durante la compilazione, nella finestra di emissione viene visualizzata la seguente segnalazione:

SIMULRT.COD

E se si compila con C-Compiler, apparirà inoltre:

T5APP.DLL

attention Attenzione

Nel caso di Progetti multiutente, non si può creare nessun nuovo progetto di simulazione offline. Esso non può essere più cancellato.


Elimina progetto

Elimina progetto

Per cancellare un progetto di simulazione:

  1. cliccate all´interno del gruppo- Progetto di simulazione del driver in corrispondenza della proprietà Elimina sul pulsante su Clicca qui >
  2. cliccate su ok quando il sistema Vi richiede di confermare a fine di sicurezza
  3. il file ZIP contenente i file di progetto viene cancellato subito
  4. il workbench di zenon Logic viene chiuso

Tenete presente:

  • la cartella runtime per il progetto di simulazione, invece, viene conservata
  • la funzione Annulla non è disponibile per questa azione,
  • cliccando su Modifica si crea un nuovo progetto di simulazione
  • nel caso di Progetti multiutente:
    • si deve configurare il driver su Consenti modifiche per consentire la cancellazione del programma di simulazione
    • il progetto non viene visualizzato su altri client come cancellato finché non è stato sincronizzato;

      il tentativo di aprire un progetto cancellato prima della sincronizzazione (clic su Modifica) causa la creazione di un nuovo progetto di simulazione.

    • come nel caso di progetti Standalone, la cancellazione mediante il comando cancellare modifiche è irreversibile.

attention Attenzione

Il progetto di simulazione viene rimosso già al momento della cancellazione dalla banca dati locale e da quella del server. Non sarà possibile annullare questa operazione!

Nota: Anche la cancellazione del file ZIP con i file del driver porta all´eliminazione del progetto di simulazione. Condizione: il workbench di zenon Logic per questo driver non è aperto. Si sconsiglia di adottare questa procedura!


Engineering distribuito

Engineering distribuito

Nel caso di progetti multiutente, tutte le funzionanti workbench zenon Logic appartenenti al progetto vengono chiuse per la simulazione driver in corrispondenza di:

  • Riprendi modifiche per moduli, che per Permetti modifiche vengono completamente bloccati per altri utenti, come variabili, driver e tipi di dato.
  • Cancella modifiche:
    • non vengono creati nuovi progetti sul server
    • le modifiche vanno perse nel programma di simulazione
    • i file driver non presenti nella banca dati del server vengono cancellati anche nelle banche dati locali
  • Sincronizza:
    le modifiche realizzate localmente nel programma di simulazione vanno perdute.
  • Attualizza la versione locale:
    le modifiche realizzate localmente nel programma di simulazione vanno perdute.

attention Attenzione

Lo stato del file ZIP del progetto di simulazione non deve essere in alcun modo modificato extra (, Permetti modifiche, Rifiuta modifiche Stato Multiuser), per salvare operazioni corrette Riprendi modifiche e Permetti modifichedel driver!

Elimina progetto

Nel caso di Progetti multiutente

  • si deve configurare il driver su Consenti modifiche per far sì che il programma di simulazione possa essere cancellato.
  • il progetto non viene visualizzato su altri client come cancellato finché non è stato sincronizzato;
    • se tentate di aprire un progetto cancellato prima della sincronizzazione (clic su Modifica), sarà creato un nuovo progetto di simulazione.
  • come nel caso di progetti standalone, la cancellazione mediante il comando cancellare modifiche è irreversibile.

attention Attenzione

Un progetto di simulazione con lo stato rendere possibili le modifiche, nella modalità Offline non può essere cancellato.

per questa ragione un progetto di simulazione generato in un progetto multiutente offline non può essere più cancellato.


Cambia driver

Cambia driver

Nel caso di cambiamento di driver in zenon vale quanto segue:

  • Il progetto di simulazione rimane.
  • Tuttavia, tutte le porte vengono settate su 0. Per ottenere numeri di porta funzionanti, aprite il progetto nell´Editor. Il sistema provvederà automaticamente a inserire nuovi numeri di porta. Questi possono essere anche assegnati manualmente.

attention Attenzione

I driver che sono collegati ad un progetto zenon Logic tramite la soluzione integrata, non possono essere cambiati.


XML-Export/Import

XML-Export/Import

Un progetto in modalità simulazione - programmata può essere esportato via XML. Non può essere importato però come nuovo progetto per un altro driver.

Workaround:

  1. Esportate i programmi zenon Logic.
  2. Importateli nel nuovo progetto per il nuovo driver.
  3. Sostituite le variabili mediante Cerca e Sostituisci.


Configurazione driver.

Manuale -> Variabili -> Driver -> Simulazione driver -> Simulazione - programmata -> Configurazione driver.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando procedete alla configurazione del driver, sono a Vostra disposizione quattro modalità:

  • Hardware
  • Simulazione – conta
  • Simulazione statica
  • Simulazione - programmata

Selezionate la modalità Simulazione - programmata.

Noch in diesem Kapitel

Stato Variabile driver

Sincronizzazione ciclica


Stato Variabile driver

Stato Variabile driver

Lo stato del runtime di zenon Logic viene visualizzato nella variabile driver SimulRTState su Offset 60. La variabile è numerica e non può essere scritta. Il valore fornisce informazioni sullo stato del runtime:

Bit | Significato | Descrizione
31 | senza applicazione | Runtime non ha caricato nessun programma; il programma è stato bloccato, oppure non è caricato nel runtime.
30 | non istanziato | Il runtime non è stato istanziato, per esempio perché non è stato possibile caricare DLL con il runtime, oppure perché non c`è abbastanza spazio di memoria, oppure perché DLL non è disponibile o lo è nella versione sbagliata.
18 | p-code available | p-Code è disponibile insieme a codice compilato; è possibile passare dall´uno all´altro.
17 | compiled code active | Il runtime è funzionante con code compilato (altrimenti: p-Code interpretato).
16 | compiled code available | compiled code di C-Compiler è disponibile.
15 | application is loaded | un´applicazione è presente, il runtime funziona.
14 | cant start - missing handlers | Mancano alcune funzioni "C".
13 | active breakpoints installed | E´stato settato dal debugger almeno un breakpoint.
12 | CT segment exists | L´applicazione è stata compilata con l´opzione "complex variables in separate segment".
11 | Riservato | (Interno, solo per il runtime.)
10 | sysinfo request is available | (Interno, solo per il runtime.)
9 | freeze event production | Binding non trasmette nessun evento.
8 | single cycle mode | (Interno, solo per il runtime e debugger)
7 | Riservato | (Interno, solo per il runtime.)
6 | locked variables | Perlomeno una variabile è bloccata.
5 | trigo functions are in degrees | Le funzioni trigonometriche vengono indicate in gradi.
4 | log message(s) in stack | (Interno, solo per il runtime.)
3 | application stopped between 2 progs | Il runtime é stato bloccato nell´effettuazione dell´operazione di debugging nel mezzo di due passaggi.
2 | application stopped on SFC breakpt | (Interno, solo per il runtime.)
1 | application stopped on error | Il runtime viene bloccato per errore grave. Necessario un nuovo start.
0 | application is running | TRUE = l´applicazione è nella modalità "run". FALSE = l´applicazione fa una pausa nella modalità "cycle to cycle".

info Informazioni su

La variabile driver SimulRTState con Offset 60 indica lo stato del runtime sul server. Ciò vale anche se viene visualizzata la variabile sul server in standby.


Sincronizzazione ciclica

Sincronizzazione ciclica

Le simulazioni funzionano in rete sul server e sul Server-Standby in modo autonomo. Al momento dello start del Server-Standby si verifica una sincronizzazione con il server, ma:

  • se questa prima sincronizzazione viene rimandata in modo corrispondente alla scadenza pacchetti
  • delle piccole differenze portano a crescenti divergenze nell´esecuzione.

Anche lo stato delle variabili simulate varia. Per limitare l´entità di queste differenze, sfruttate la funzione Trasmetti Immagine di simulazione driver allo standby per la sincronizzazione dell´immagine di simulazione:

  • create una nuova funzione.
  • selezionate Trasmetti driver-immagine di simulazione allo standby

  • Si apre il dialogo per la selezione dei driver.

  • nella lista sono indicati tutti i driver collegati al processo (escluso simulatore) disponibili (cliccate sulla cima della colonne per cambiare il criterio secondo il quale i driver sono ordinati nella lista).
  • selezionate adesso quel driver che devono essere sincronizzati
  • per ogni richiamo della funzione sul Server-Standby viene richiesta un´immagine dal server per il driver selezionato.

Mediante attivazione ciclica, possono essere ridotte al minimo le differenze nello stato di simulazione attuale. Adattate la griglia dell´esecuzione alla quantità dei dati da sincronizzare, visto che questa operazione significa un carico per rete e computer.

La Esecuzione: della funzione è impostata in modo fisso a Server Standby e non può essere modificata. Essa si verifica solamente se:

  • il calcolatore è il Server-Standby
  • il server online è
  • il progetto è un progetto di rete
  • sono stati selezionati driver per la sincronizzazione

Per modificare la selezione del driver

  • cliccate nelle proprietà del driver sul gruppo Generale e sulla proprietà Parametri
  • Si apre il dialogo per la selezione dei driver.


zenon Logic Workbench

Manuale -> Variabili -> Driver -> Simulazione driver -> Simulazione - programmata -> zenon Logic Workbench

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La Simulazione - programmata viene programmata nel workbench zenon Logic, che collabora in modo stretto con l´Editor di zenon. Per la simulazione (a differenza della soluzione integrata) vengono scambiate fra gli editor solamente le variabili di un driver.

Definizione delle variabili da scambiare

Al momento dell´avvio del workbench di zenon Logic, tutte le variabili del driver che non sono ancora esistenti in zenon Logic vengono impostate come variabili globali. Per queste ultime è sempre attiva automaticamente l´impostazione Rendere simbolo indipendente.

Visibilità

Se si definisce nel workbench una nuova variabile nell´area globale oppure ritentiva, essa è visibile solamente in zenon Logic. Per renderla visibile anche in zenon, deve essere attivata l´opzione Rendi indipendenti simboli. A partire da questo momento, la variabile viene attualizzata da entrambi gli editor.

Nel caso in cui si disattiva per la variabile l´opzione Rendere simbolo indipendente, la variabile viene cancellata nell´editor di zenon. Questo comportamento del sistema permette di definire in zenon Logic delle variabili globali e ritentive, che non sono visibili per zenon.

Per una variabile creata con il workbench di zenon Logic in zenon, il sistema prova l´assegnazione all´area SPSMERKER. Se però il zenon Drivernon supporta il tipo di dato configurato in essa, il sistema cerca la prima area dati che supporta questo tipo di dato. Se il sistema non trova nessun´area, la variabile non può essere impostata.

Una variabile è bloccata solamente se si ha un Progetto multiutente e quest´ultimo non possiede ancora lo stato Abilitare le modifiche.

Impostazioni di progetto

Alcune impostazioni sotto Progetto -> Parametri-progetto.... -> Altre opzioni -> Estese in zenon Logic hanno influenza sulla funzionalità della simulazione.

Impostazioni Estese

Descrizione

Runtime: Modalità di esecuzione

Raccomandazione:

Modalità: con trigger

Tempo di ciclo: da 1/4 a 1/3 del tempo necessario all´attualizzazione del driver
Delle modifiche di valore troppo frequenti di variabili simulate portano a sottoporre il computer ad un carico elevato

Compiler/Opzioni: Rendere indipendenti simboli di tutte le variabili

Raccomandazione: disattivare.
Attiva: i dati per una variabile vengono scambiati visto che l´assegnazione avviene nel runtime mediate i nomi simbolo.

Ma: le modifiche alla progettazione delle variabili non vengono attualizzate fra zenon e zenon Logic. non è più possibile l´online change.

Compiler/Opzioni: mantenere la scrittura in lettere maiuscole/minuscole dei simboli.

Senza conseguenza: nel runtime, i nomi variabili vengono sempre convertiti nella scrittura in lettere maiuscole.

Compiler/Opzioni: impostare bit di stato per variabili con profilo.

Attivo: Nel programma di simulazione lo stato delle variabili viene simulato o il sistema reagisce ad esso.

„C" Compiler

Nativer Code viene supportato.

Nome del DLL che deve contenere il codice compilato: t5app.dll.


Runtime

Manuale -> Variabili -> Driver -> Simulazione driver -> Simulazione - programmata -> Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Funzionalità

Array e simulazione

File Runtime

Scambio dati

Formato dati

Ridondanza

Stato

Start/Stopp

Comandi driver

Assegnazione variabili

Data e ora


Funzionalità

Funzionalità

Il runtime di zenon Logic mette a disposizione le seguenti funzionalità.

  • Trasferimento file
  • Tipi di dato:
    • BOOL
    • BYTE
    • DINT
    • DWORD
    • INT
    • LINT
    • LREAL
    • REAL
    • SINT
    • STRING
    • TIME
    • UDINT
    • UINT
    • USINT
    • WORD
  • Array di zenon (vedi anche Array e simulazione)
  • Dato relativo alla data/ dato ora
  • Registrazione valori digitale
  • Blocchi funzione collegati in modo dinamico, reperibili in t5block*.dll
  • Hot restart
  • Logging:
    • Segnalazioni Trace del programma (printf)
    • Segnalazioni errore del runtime
    • tutte su workbench e server di diagnosi
  • Codice macchina: Native compiled code con C-Postcompiler (non disponibile per Windows CE)
  • Online change
  • Linguaggi di programmazione: AWL, AS, FUP, KOP, ST
  • Dati Retain (dati ritentivi)
  • Blocchi funzioni e features speciali:
    • serializzazione dati
    • Occupazione di memoria dinamica
    • Ricette indipendenti
    • Lista variabile indipendente
    • File Management
    • Files
    • Mathe
    • Random
    • Segnali
    • Tabelle stringe
    • Trigonometria
    • Ora
  • Comunicazione spontanea:
    • Cambio valori come evento
    • 16 collegamenti
    • Isteresi
  • UDP & TCP/IP per linguaggi IEC
  • Variabili - Interblocco


Array e simulazione

Array e simulazione

Per simulare array multidimensionali nel contesto di una simulazione driver, dovete attivare nel workbench di zenon Logic la proprietà "Salva variabili complesse in segmento proprio".

Array con indice di partenza 1

Se, nell´ambito di una simulazione, ci sono degli array con indice di partenza 1, essi vengono impostati nel workbench di zenon Logic con un indice in più.

Example Esempio

Un array dispone in zenon degli indici da 1 a 4. Questo tipo di array ha, invece, nel workbench di zenon Logic gli indizi da 0 a 4.

In tal modo si assicura che in zenon e in zenon Logic vengano usati gli stessi indici. L´indice 0 non viene trasmesso al driver.

Se cambiate degli array nel workbench di zenon Logic, dovete tener presente questo ulteriore indice.


File Runtime

File Runtime

Al momento della creazione dei file runtime, viene generata nel Cartella Runtime del progetto nel percorso \RT\FILES\zenon\custom\drivers una sottocartella recante il nome del progetto di simulazione. In questa cartella viene depositato il file simulrt.cod con il codice della simulazione.

Nella caso che la compilazione nel workbench e la trasmissione nella cartella runtime abbiano avuto successo, nella finestra di emissione dell´editor apparirà la seguente segnalazione:

SIMULRT.COD

E se si compila con C-Compiler, apparirà inoltre:

T5APP.DLL

Trasporto remoto

I file runtime per la simulazione vengono generati come sottocartella dei file del driver. Nel caso del Trasporto Remoto, la sottocartella viene trasmessa con tutti i file in essa contenuti al computer di destinazione.


Scambio dati

Scambio dati

Lo scambio dati provenienti dal Runtime di zenon Logic verso il driver inizia con il secondo ciclo del Runtime di zenon Logic. In tal modo, il primo ciclo è a disposizione per inizializzare tutte le variabili nel runtime.

Uno scambio ha luogo solamente se:

  • la variabile viene richiesta e:
    • non ha ancora ricevuto nessun valore.
    • nel driver non ha lo stato Spento (OFF/_VSB_N_UPD) oppure Valore di riserva (ALT_VAL/_VSB_AVALUE)
    • è ancora usato dal driver.
    • sono cambiati valore o stato.

Lo scambio dati in direzione del driver avviene in modo asincrono rispetto al ciclo del runtime. Il driver passa in rassegna le modifiche dei valori una volta per ciclo di update. Tutti i valori modificati - fatta eccezione per quelli con lo stato Spento (OFF/_VSB_N_UPD) oppure valore di riserva (ALT_VAL/_VSB_AVALUE) - vengono inseriti nella lista delle variabili da attualizzare nel driver e vengono registrati durante il runtime.

Funzione Simulazione immagine di processo del driver trasferita allo Standby

Questa funzione viene eseguita solo sul server di standby (per la configurazione vedi capitolo Allineamento ciclico). I dati vengono estratti in modo sincrono dal driver e trasferiti sul server che compila l´immagine. Il driver ha 5 secondi a disposizione per questa operazione. Visto che i dati per l´immagine sono creati nello stesso thread in cui è eseguita la simulazione, si deve garantire che la simulazione stessa venga espletata nel giro di 5 secondi. Se si supera questo intervallo di tempo, non viene trasmessa nessuna immagine per questo driver.

Simulazione valore

Le modifiche di valore non vengono trasmesse subito, ma sono depositati un un buffer. La grandezza del buffer è pari a 8192 modifiche valore, oppure al quintuplo del numero delle variabili, a seconda di quale valore è più grande. Il ritardo della trasmissione a causa del ciclo del driver può essere di al massimo 100 ms. Se cambia di nuovo il valore di una variabile mentre essa attende di essere trasmessa, tutti i valori non ancora trasmessi durante il runtime vengono depositati subito; solo dopo si prende nota dei nuovi valori. Ciò può provocare un carico più elevato per computer e rete, ma, nel contempo, è garanzia del fatto che tutti i valori vengano trasmessi durante il runtime.

Driver Comando di scrittura

Se è stata configurata Simulazione - programmata ed essa è attiva, i comandi di scrittura sullo standby vengono passati fino al runtime.

Le operazioni di scrittura vengono eseguite dal driver in modo asincrono rispetto al runtime. Lo scambio dati ha luogo tramite un buffer. La dimensione del buffer è pari a 8192 modifiche valore, oppure al quintuplo del numero delle variabili, a seconda di quale valore è più grande.

I comandi di scrittura vengono passati attraverso il runtime dopo le modifiche di valore. Se un comando di scrittura non può essere eseguito in modo corretto, viene visualizzata la segnalazione di errore Write queue full! Write command for <DP-Name> lost!.

Se i bit di stato sono attivi, lo stato Scrittura avvenuta con successo indica che il driver è riuscito a scrivere il valore sulla variabile. Il programma Runtime dovrebbe cancellare questo stato dopo aver elaborato il comando di scrittura. Un bit di stato già attivo non ritarda una nuova operazione di scrittura del driver. I comandi di scrittura vengono eseguiti anche quando il programma Runtime è stato interrotto da un punto di interruzione (breakpoint).

Nota: non tutti i comandi di scrittura del driver devono essere visibili nel runtime. Se per una stessa variabile ci sono nel buffer più comandi di scrittura, è visibile nel programma runtime solamente l´ultimo.

Disattiva variabile, passa a valore sostitutivo.

Se la variabile viene disattivata, oppure se si passa al valore sostitutivo, ciò non è rilevabile per il runtime. Modifiche di valore effettuate con il runtime, non vengono assegnate alle variabili nel driver. Se la variabile passa di nuovo al valore spontaneo oppure viene attivata, anche il valore attuale proveniente dal runtime viene di nuovo trasmesso al driver. Alla disattivazione del valore spontaneo, viene settato il bit di stato OFF; quando si ritorna al valore spontaneo, viene resettato il bit OFF.


Formato dati

Formato dati

Dati ritentivi

Dati ritentivi vengono depositati nel file SimulRt<TreiberID>.ret. Per ogni simulazione viene generato un file del genere, sempre che siano presenti delle variabili ritentive. Si tiene conto di questo file al momento del confronto in rete.

Driver ritentivo

L´impostazione Simulazione - programmata all´avvio del driver non è un criterio per restaurare l´immagine variabile ritentivamanente.


Ridondanza

Ridondanza

Start sul Server-Standby

Se il driver è già attivo sul Server-Standby, dovrebbe essere disponibile anche l´immagine per la simulazione. In questo caso, la simulazione viene avviata "hot" con quest´immagine. In caso di mancanza dell´immagine si verifica un warm start.

Funzione Simulazione immagine di processo del driver trasferita allo Standby

Questa funzione viene eseguita solo sul server di standby (per la configurazione vedi capitolo Allineamento ciclico). I dati vengono estratti in modo sincrono dal driver e trasferiti sul server che compila l´immagine. Il driver ha 5 secondi a disposizione per questa operazione. Visto che i dati per l´immagine sono creati nello stesso thread in cui è eseguita la simulazione, si deve garantire che la simulazione stessa venga espletata nel giro di 5 secondi. Se si supera questo intervallo di tempo, non viene trasmessa nessuna immagine per questo driver.

Allineamento

Oltre ai file di programma della simulazione, vengono sincronizzati anche:

  • dati ritentivi (*.ret)
  • tutti i file *.simul
    Questa parte finale del nome file viene generata dal programma di simulazione per file specifici della simulazione stessa e collocata nella cartella con la denominazione computer sotto a Cartella Runtime.


Stato

Stato

Simulazione stato

Per quello che concerne la simulazione di stato, in zenon Logic alla voceProgetto -> Parametro di progetto -> Estese -> Compiler -> Opzioni -> deve essere attivo Imposta bit di stato per variabil con profilo. Nel caso in cui lo stato di una variabile venga modificato, si verifica la trasmissione della variabile al driver.

La modifica al seguente stato non causa un aggiornamento del valore nel driver e non viene neanche ripresa dalla simulazione:

  • External Real-Time (T_EXTERN/_VSB_RT_E)
  • Internal Real-Time (T_INTERN/_VSB_RT_I)
  • Ora solare (T_STD/_VSB_WINTER)
  • Conferma scrittura (WR_ACK/_VSB_WR_ACK)
  • Scrittura avvenuta con successo (WR_SUC/_VSB_WR_SUC)
  • Stato normale (NORM/_VSB_NORM)
  • Normal deviation (N_NORM/_VSB_ABNORM)
  • Seleziona nella rete (NET_SEL/_VSB_SELEC)
  • Runtime exceeded (TIMEOUT/_VSB_RTE)
  • In costruzione (PROGRESS/_VSB_DIREC)
  • Spento (OFF/_VSB_N_UPD)
  • Valore di riserva (ALT_VAL/_VSB_AVALUE)

info Informazioni su

Il bit di stato Scrittura avvenuta con successo (WR_SUC/_VSB_WR_SUC) è disponibile nel programma Runtime può essere resettato per visualizzare la scrittura avvenuta con successo.

Tuttavia, il reset non causa di per sé la trasmissione dal Runtime di zenon. Solo i cambiamenti di valore vengono inviati dal driver al Runtime.

Bit di stato trattati in modo particolare

I seguenti bit di stato si escludono a vicenda:

Bit

Descrizione

17: Spontaneo-
(SPONT/_VSB_SPONT)

Viene settato lo stato SPONTAN. Lo stato settato è lo stesso anche se il trattamento di stato è disattivato, oppure non è stato definito alcuno stato. Lo stato GI + INVALID viene cancellato.

18: Non valido-
(INVALID/_VSB_I_BIT)

Viene settato lo stato INVALID . Lo stato SPONTAN + GI viene cancellato.

16: General Interrogation
(GI/_VSB_GR)

Viene settato lo stato General Interrogation . Lo stato SPONTAN + INVALID viene cancellato.

8: Seleziona nella rete
(NET_SEL/_VSB_SELEC)

Se questo bit di stato è attivo (BSO attivazione/disattivazione), per il riconoscimento di una modifica i seguenti bit di stato devono essere pari a 0 e devono essere trasmessi come 0 al driver:

  • Seleziona nella rete (NET_SEL)
  • Causa di trasmissione (COTx)
  • Select (SE_870)
  • N_CONF (P/N-BIT)
  • Test-BIT (TEST)
  • Scrittura avvenuta con successo (WR_SUC)

Select before operate (SBO)

Perché il sistema reagisca a Seleziona prima di operare, nel programma runtime deve essere disponibile la simulazione di stato. La procedura per Seleziona prima di operare viene fissata nel programma runtime.

Attivazione

Se viene inviato al driver un SBO select, ciò provoca per il runtime una scrittura di valore con lo stato Seleziona nella rete (NET_SEL) + Causa di trasferimento (COT_act).

Nel programma Runtime deve essere implementata una corrispondente procedura SBO che verrà avviata.

Il bit di stato Seleziona nella rete (NET_SEL) deve essere resettato nel programma Runtime.

Disattivazione

La disattivazione causa una scrittura di valore con lo stato Seleziona nella rete (NET_SEL) + Causa di trasferimento (COT_deact).

Nel programma runtime deve essere terminata la procedura SBO.

Il bit di stato Seleziona nella rete (NET_SEL) deve essere resettato nel programma Runtime.


Start/Stopp

Start/Stopp

Partenza driver

L´aggiornamento dei valori inizia sul Server-Standby se il driver ha ricevuto dal suo server l'immagine di processo. L´immagine deve giungere prima della scadenza del timeout del modulo, altrimenti il driver si avvia senza di essa. Se il Server-Standby passa ad essere server prima della scadenza del tempo di attesa, l´attesa stessa termina. I driver che si avviano in un progetto server oppure senza rete, non hanno tempo di attesa. Questo comportamento si verifica sia nel caso di una simulazione che nella modalità hardware.

Lanciare runtime

Se il driver lancia la Simulazione - programmata, in un primo passo il sistema carica la DLL con il runtime di simulazione. In seguito viene parametrizzato il runtime e il programma runtime si avvia, sempre che sia stato possibile caricarlo con successo.

Se è disponibile un´immagine del runtime, quest´ultimo viene avviato con essa Hot. Altrimenti il sistema esegue un Warm start. Se anche quest´ultimo non risulta possibile, si cerca di lanciare il runtime in modalità Cold Start. Nel caso in cui non sia disponibile alcun programma valido, il runtime si avvia "fermato". Lo stato di tutte le variabili viene settato su INVALID.

Il programma di simulazione funziona in un proprio thread e, perciò, è completamente indipendente dal ciclo driver.

info Informazioni su

Variabili ritentive

I dati ritentivi contengono solamente il valore delle variabili di zenon Logic, non il loro stato. Per lo start ciò significa quanto segue:

  • Warm start Lo stato settato per una variabile viene ripristinato - indipendentemente dal fatto se si tratta di una variabile ritentiva o no.
  • Cold start con variabili ritentive: solo il valore della variabile ritentiva in zenon Logic viene ripristinato, non lo stato.

Arresta runtime

Se il runtime viene fermato, viene settato per tutte le variabili lo stato INVALID. Le variabili che vengono richieste mentre il runtime è bloccato, ricevono come inizializzazione lo stato INVALID. Il runtime salva tutti i dati per il warm start e l´online change:

  • SIMULRT.HOT: contiene i dati per il riavvio hot.
  • SIMULRT.UPD: contiene i dati per l´online change.

Questi due file vengono generati nella cartella del programma runtime. Il runtime deve possedere un´autorizzazione di scrittura relativa a questa cartella.

Aggiorna progetto Runtime

  • Nuova compilazione di un progetto di simulazione:
    fa sì che il driver corrispondente venga caricato di nuovo.
  • Modifica del timeout di modulo:
    il runtime non la riconosce come modifica e non determina il fatto che il driver venga caricato un´altra volta.

L´implementazione standard nel kit driver provoca un hot start del runtime nel momento in cui il progetto di simulazione viene aggiornato. Se ciò non risulta possibile (per esempio perché il programma è diverso), viene eseguito un cold start con retain.

Scarico del runtime

Se il runtime è aperto, esso viene arrestato. Prima di scaricare il runtime, il sistema trasmette tutti gli aggiornamenti di valori in attesa al driver. Solo in seguito il runtime viene reso disponibile e si scarica SimulRuntime.dll sul PC.


Comandi driver

Comandi driver

I comandi driver servono a influenzare i driver tramite zenon, per esempio avviarli e chiuderli.
La progettazione avviene attraverso la funzione Comandi driver.

Arresta/avvia driver

Se il driver viene terminato nella modalità Simulazione - programmata, ne consegue la chiusura del runtime. Tutte le variabili ricevono lo stato INVALID. Se so riavvia il driver, la simulazione viene ricaricata e il runtime viene avviato.

Driver Passaggio Hardware/Simulazione

Nel cambio fra le modalità Hardware e Simulazione, il driver si comporta secondo il seguente schema:

  1. se il driver è stato configurato nell´Editor per la modalità hardware:
    • dopo l´esecuzione della funzione comando driver con il parametro Driver in modalità simulazione il driver viene portato nella modalità simulazione - statica.
  2. Se il driver è stato configurato nell´Editor per una delle modalità di simulazione (statica, conta, programmata):
    • dopo l´esecuzione della funzione comando driver con il parametro Driver in modalità hardware il driver viene portato nella modalità hardware e comunica con il controllo.
    • il driver ritorna dopo l´esecuzione della funzione comando driver con il parametro Driver in modalità simulazione alla modalità di simulazione configurata.


Assegnazione variabili

Assegnazione variabili

L´assegnazione del driver di zenon alle variabili di zenon Logic avviene mediante il nome convertito in lettere maiuscole. Se il runtime di zenon richiede una variabile dal driver, quest´ultimo la inoltra alla simulazione. Se non è caricata nessuna simulazione, la variabile riceve lo stato spento ( OFF/VSB_N_UPD) quando il driver è arrestato. Altrimenti quello non valido (INVALID/_VSB_I_BIT). Le variabili del tipo oggetto-driver Variabile del driver non vengono mai richieste dalla simulazione.


Data e ora

Data e ora

Per usare il time stamp, deve essere attivo in zenon Logic l´inserimento Progetto -> Parametri progetto -> Estesi -> Compilatore -> Opzioni -> Imposta bit di stato per variabili con profilo

Se nel programma runtime viene settata la data per una variabile, il valore di data e tempo viene usato come time stamp. Ogni volta che cambia la data o l´ora di una variabile durante l´ultimo ciclo, questa modifica attiva sempre una trasmissione dei valori al driver. Ciò vale anche nel caso in cui non siano cambiati né valore né stato.

La maggior parte dei driver trasmettono un nuovo time stamp al runtime solo quando cambiano contemporaneamente anche valore e/o stato. Un´eccezione, però, è rappresentata, per esempio, dai driver IEC870, che trasmettono nuovi time stamps al runtime dall´hardware (oppure Simulazione - programmata) con lo stesso valore o lo stesso stato.

info Informazioni su

Si deve far in modo che sia garantito il fatto che data e ora progrediscano. Se ciò non si verifica, si avranno dei problemi di archiviazione. La data deve avere un valore maggiore/minore a 0.

Alle variabili che hanno ricevuto uno stamp dal programma runtime viene attribuito lo stato Tempo reale esterno (T_EXTERN/_VSB_RT_E).

Tutte le variabili trasmesse al driver che non hanno ricevuto uno stamp dal runtime, ottengono durante il ciclo un time stamp comune. In tal modo si assicura che il tempo corrisponda a quello della modifica. Questi driver ottengono lo stato Tempo reale interno (T_INTERN/_VSB_RT_I).

Data & tempo

Per tutte le informazioni concernenti data e tempo vale quanto segue:

  • i tempi corrispondono a UTC.
  • Tutti i tempo devono essere compresi fra 02. 01. 1970 e 2038.
  • La conversione della data in una stringa avviene nel formato YYYY/MM/DD.
  • Il tempo viene convertito nel formato HH:MM:SS.


Indicazioni sulle variabili in progetti di simulazione

Manuale -> Variabili -> Driver -> Simulazione driver -> Simulazione - programmata -> Indicazioni sulle variabili in progetti di simulazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si vogliono creare e modificare delle variabili in progetti di simulazione, vale quanto segue:

  1. zenon Logic

    Se le variabili per un progetto di simulazione vengono create nel workbench di zenon Logic, esse non dispongono ancora di un indirizzamento valido per la comunicazione. Se si passa alla comunicazione hardware, essa può essere interrotta se le nuove variabili vengono usate in immagini senza un indirizzamento adeguato in modo corretto.

  2. Rinomina

    Se una variabile di un progetto di simulazione viene rinominata, cambia in modo corrispondente anche il nome della variabile in zenon. Così, ad esempio, i nomi delle variabili che vengono usate in un progetto VBA, devono essere adeguate anche nel codice VBA.

  3. Soluzioni integrata

    Variabili di soluzioni integrate come zenon Logic, IEC 870 oppure IEC 850, non possono essere rinominate nel progetto di simulazione. In questo caso, la variabili perdono le loro informazioni di progetto.
    Ad esempio: se nel progetto di simulazione Project0/Global/NewVar viene rinominata in myNeVariablenwVar, essa diviene in zenon myNewVar. Dopo la ridenominazione, la comunicazione con il runtime di zenon Logic è impossibile.

  4. La comunicazione si basa sul nome variabile

    Le variabili di un driver che comunica sulla base di nomi variabili, non possono essere rinominate nel progetto di simulazione.

  5. Cancella o importa variabili

    Quando si cancella o importa una variabile quando in zenon Logic è attivo online change, tutte le variabili vengono rimosse e poi inserite di nuovo in zenon Logic.

  6. Variabili con simbolo "embed" attivo

    Le variabili esistenti in un programma e il cui simbolo "embed" è stato attivato, non sono disponibili tramiteLogic zu SCADA in zenon. Se una variabile con simbolo"embed" attivo viene spostata dall´area globale in un programma, essa viene cancellata in zenon.


Segnalazioni d'errore

Manuale -> Variabili -> Driver -> Simulazione driver -> Simulazione - programmata -> Segnalazioni d'errore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le segnalazioni di errore nell´Editor di zenon:

Messaggio di errore

Causa e soluzione

Il nome selezionato è già utilizzato da un altro driver o contiene caratteri non validi. Selezionare un altro nome.

Il nuovo nome del progetto di simulazione viene usato già nel progetto oppure non è valido.

  • Assegnate un nome valido.

Il progetto di simulazione del driver <Nome file>/<Denominazione> non è compilato e perciò non può essere usato! Compilare il progetto nel Workbench.

Per il driver in questione c`è un progetto di simulazione. Esso, però, non è stato compilato.

  • Avviate il workbench di zenon Logic con il progetto di simulazione di questo driver.
  • Compilate il progetto

Suggerimento: Non fa alcuna differenza se nelle impostazioni driver la simulazione è settata su Simulazione - programmata.

Write queue full! Write command for <Name Variable> lost!

Indica la perdita di un comando di scrittura.


Cambio del Driver

Manuale -> Variabili -> Driver -> Cambio del Driver

In zenon si possono sostituire i driver. Le variabili sono disponibili e funzionanti anche dopo il cambio del driver, sempre che esistessero nel driver cambiato. Il cambio della definizione driver è possibile solamente per i driver già rilasciati e che sono stati già dichiarati compatibili.

attention Attenzione

I driver che sono collegati ad un progetto zenon Logic tramite la soluzione integrata, non possono essere cambiati.

Per sostituire un driver già esistente:

  1. Selezionate il driver da sostituire nella visualizzazione dettagli.
  2. Aprite il menù contestuale cliccando con il tasto destro del mouse.
  3. Selezionate il comando Cambia driver....
  4. Si aprirà la stessa finestra di dialogo che si apre quando si crea un driver.
  5. Selezionate il nuovo driver.

Le impostazioni necessarie per il o i driver (interfaccia, interrupt address ecc.) vengono definite al momento della progettazione delle variabili.

Example Esempio

Durante la fase di creazione di un progetto, il concetto indirizzi per zenon non esiste ancora.. Sono definite solamente le variabili da utilizzare.

Per consentire una modifica in parallelo del progetto, si implementa come driver il Driver per simulatore-variabili. In questo modo è possibile creare immagini con elementi dinamici ed eseguire test online (settaggi valore etc.).

Una volta stabilito il concetto indirizzi definitivo con il collegamento a zenon, si effettua il cambio del driver che servirà in condizione di funzionamento definitivo.

Il cambio di un driver, però, è possibile solamente a condizione che il driver utilizzato durante la progettazione e quello definitivo abbiano le stesse caratteristiche (tipi di variabili).


Eliminazione driver

Manuale -> Variabili -> Driver -> Eliminazione driver

Per eliminare dei driver:

  1. Selezionate i driver desiderati (possibile selezione multipla).
  2. Selezionate Elimina nel menù contestuale oppure nella barra dei simboli:
  3. I driver verranno eliminati.

    Il procedimento di eliminazione deve essere confermato.

Attenzione: vengono eliminate anche tutte le variabili appartenenti a questi driver.


Variabili del driver

Manuale -> Variabili -> Driver -> Variabili del driver

Il kit driver implementa una serie di variabili driver. Queste sono suddivise in:

  • Informazione
  • Configurazione
  • Statistica e
  • Messaggi d'errore

Le definizioni delle variabili implementate nel kit driver si trovano nel file d´importazione drvvar.dbf (sul supporto di installazione nella cartella \Predefined\Variables) e possono essere importati da lì.

Nota: In zenon i nomi variabili devono essere univoci. Se dopo un import di variabili driver da drvvar.dbf ne deve essere effettuato un altro, le variabili precedentemente importate devono essere rinominate.

info Informazioni su

Non ogni driver supporta tutte le variabili driver.

Ad esempio:

  • le variabili per informazioni modem vengono supportate solamente da driver modem-compatibili.
  • le variabili driver per il ciclo polling, solo per i puri driver polling
  • Informazioni relative alla connessione come, ad esempio, ErrorMSG, sono supportate solo da driver che elaborano solamente una connessione alla volta.

Informazione

Nome dall´import | Tipo | Offset | Descrizione
MainVersion | UINT | 0 | Numero di versione principale del driver
SubVersion | UINT | 1 | Numero di versione secondaria del driver
BuildVersion | UINT | 29 | Numero di versione build del driver
RTMajor | UINT | 49 | Numero della versione principale di zenon:
RTMinor | UINT | 50 | Numero della versione secondaria di zenon
RTSp | UINT | 51 | Numero di Service Pack di zenon
RTBuild | UINT | 52 | Numero build di zenon:
LineStateIdle | BOOL | 24.0 | TRUE, se linea modem è occupata
LineStateOffering | BOOL | 24.1 | TRUE, quando arriva una chiamata
LineStateAccepted | BOOL | 24.2 | La chiamata viene accettata.
LineStateDialtone | BOOL | 24.3 | Segnale di chiamata è stato riconosciuto.
LineStateDialing | BOOL | 24.4 | Selezione chiamata attiva.
LineStateRingBack | BOOL | 24.5 | Connessione in corso.
LineStateBusy | BOOL | 24.6 | Destinazione occupata.
LineStateSpecialInfo | BOOL | 24.7 | Ricevuta informazione di stato specifica.
LineStateConnected | BOOL | 24.8 | Connessione stabilita.
LineStateProceeding | BOOL | 24.9 | Composizione numero eseguita.
LineStateOnHold | BOOL | 00:00 | Connessione in attesa.
LineStateConferenced | BOOL | 00:00 | Connessione in modalità conferenza.
LineStateOnHoldPendConf | BOOL | 00:00 | Connessione in attesa per conferenza.
LineStateOnHoldPendTransfer | BOOL | 24.13 | collegamento in attesa per trasferimento.
LineStateDisconnected | BOOL | 24.14 | Connessione terminata.
LineStateUnknow | BOOL | 24.15 | Stato di connessione non conosciuto.
ModemStatus | UDINT | 24 | Stato di modem attuale.
TreiberStop | BOOL | 28 | Driver fermato Nel caso di Stop driver, la variabile ha il valore TRUE e un bit OFF. Dopo l´avvio del driver, la variabile ha il valore FALSE e nessun bit OFF.
SimulRTState | UDINT | 60 | Fornisce informazioni sullo stato del Runtime nella simulazione driver.

Configurazione

Nome dall´import | Tipo | Offset | Descrizione
ReconnectInRead | BOOL | 27 | Se TRUE, viene creata automaticamente una nuova connessione alla lettura.
ApplyCom | BOOL | 36 | Attribuire le modifiche delle impostazioni alle interfacce seriali La scrittura su questa variabile ha per immediata conseguenza la chiamata del metodo SrvDrvVarApplyCom (attualmente senza ulteriori funzioni).
ApplyModem | BOOL | 37 | Attribuire le modifiche alle impostazioni del modem La scrittura su questa variabile ha per immediata conseguenza la chiamata del metodo SrvDrvVarApplyModem Esso chiude la connessione attuale e ne apre una nuova corrispondente alle impostazioni PhoneNumberSet e ModemHwAdrSet.
PhoneNumberSet | STRING | 38 | Numero di telefono da usare.
ModemHwAdrSet | DINT | 39 | Indirizzo hardware appartenente al numero di telefono.
GlobalUpdate | UDINT | 3 | Tempo di update in millisecondi (ms).
BGlobalUpdaten | BOOL | 4 | TRUE, se il tempo di update è globale
TreiberSimul | BOOL | 5 | TRUE se il driver è in simulazione
TreiberProzab | BOOL | 6 | TRUE, se le variabili sono tenute in memoria
ModemActive | BOOL | 7 | TRUE, se il modem è attivo con questo driver
Device | STRING | 8 | Nome dell´interfaccia seriale o nome del modem.
ComPort | UINT | 9 | Numero della porta seriale
Baudrate | UDINT | 10 | Baudrate della porta seriale
Parity | SINT | 11 | Parità della porta seriale
ByteSize | USINT | 14 | Numero di bit per carattere dell´interfaccia seriale. Valore = 0, se il driver non può instaurare nessuna comunicazione seriale.
StopBit | USINT | 13 | Numero dei bit di stop dell´interfaccia seriale.
Autoconnect | BOOL | 16 | TRUE se la connessione modem dev´essere creata automaticamente alla lettura/scrittura.
PhoneNumber | STRING | 17 | Numero di telefono attuale
ModemHwAdr | DINT | 21 | Indirizzo hardware del numero di telefono attuale
RxIdleTime | UINT | 18 | Se c´è nessun traffico di dati con successo più a lungo di questo tempo definito in secondi (s), sarà interrotto il collegamento modem.
WriteTimeout | UDINT | 19 | Massima durata di scrittura per una connessione modem in millisecondi (ms).
RingCountSet | UDINT | 20 | Numero di squilli prima che la chiamata sia accettata
ReCallIdleTime | UINT | 53 | Tempo di attesa fra chiamate in secondi (s).
ConnectTimeout | UINT | 54 | Tempo in secondi (s) per l´instaurazione della connessione.

Statistica

Nome dall´import | Tipo | Offset | Descrizione
MaxWriteTime | UDINT | 31 | Il tempo più lungo in millisecondi (ms) necessario per la scrittura.
MinWriteTime | UDINT | 32 | Il tempo più corto in millisecondi (ms) necessario per la scrittura.
MaxBlkReadTime | UDINT | 40 | Tempo più lungo in millisecondi (ms) impiegato per la lettura di un blocco dati
MinBlkReadTime | UDINT | 41 | Tempo più corto in millisecondi (ms) impiegato per la lettura di un blocco dati
WriteErrorCount | UDINT | 33 | Numero degli errori di scrittura
ReadSucceedCount | UDINT | 35 | Numero di tentativi di lettura con successo
MaxCycleTime | UDINT | 22 | Tempo massimo in millisecondi (ms) impiegato per la lettura di tutti dati richiesti
MinCycleTime | UDINT | 23 | Tempo minimo in millisecondi (ms) impiegato per la lettura di tutti dati richiesti
WriteCount | UDINT | 26 | Numero di tentativi di scrittura
ReadErrorCount | UDINT | 34 | Numero di tentativi di lettura falliti
MaxUpdateTimeNormal | UDINT | 56 | Intervallo dall´ultimo aggiornamento del gruppo di priorità Normale in millesecondi (ms).
MaxUpdateTimeHigher | UDINT | 57 | Intervallo dall´ultimo aggiornamento del gruppo di priorità Piú alto in millesecondi (ms).
MaxUpdateTimeHigh | UDINT | 58 | Intervallo dall´ultimo aggiornamento del gruppo di priorità alto in millesecondi (ms).
MaxUpdateTimeHighest | UDINT | 59 | Intervallo dall´ultimo aggiornamento del gruppo di priorità Il più alto in millesecondi (ms).
PokeFinish | BOOL | 55 | Va per un'interrogazione su 1, se tutti i pokes in attesa sono eseguiti.

Segnalazioni d'errore

Nome dall´import | Tipo | Offset | Descrizione
ErrorTimeDW | UDINT | 2 | Tempo (in secondi dal 1.1.1970), dalla presenza dell´ultimo errore
ErrorTimeS | STRING | 2 | Tempo (in secondi dal 1.1.1970), dalla presenza dell´ultimo errore come stringa.
RdErrPrimObj | UDINT | 42 | Numero dell´oggetto Prim quando l´ultimo errore di lettura è stato causato
RdErrStationsName | STRING | 43 | Numero della stazione quando l´ultimo errore di lettura è stato causato
RdErrBlockCount | UINT | 44 | Numero dei blocchi da leggere quando l´ultimo errore di lettura è stato causato
RdErrHwAdresse | DINT | 45 | Indirizzo hardware quando l´ultimo errore di lettura è stato causato
RdErrDatablockNo | UDINT | 46 | Numero di componente quando l´ultimo errore di lettura è stato causato
RdErrMarkerNo | UDINT | 47 | Numero di merker quando l´ultimo errore di lettura è stato causato
RdErrSize | UDINT | 48 | grandezza del blocco quando è stato causato l´ultimo errore di lettura.
DrvError | USINT | 25 | Numero messaggio di errore.
DrvErrorMsg | STRING | 30 | Stringa contenente il messaggio di errore.
ErrorFile | STRING | 15 | Nome del file degli errori.


Documentazioni driver

Manuale -> Variabili -> Driver -> Documentazioni driver

Informazioni su tutti i driver di zenon le potete trovare nella documentazione relativa. Quest´ultima la trovate nel capitolo Driver.

info Informazioni su

Nel caso in cui non doveste trovare un driver o una documentazione driver, potete rivolgervi a support@copadata.com.


Creare, modificare e usare variabili

Manuale -> Variabili -> Creare, modificare e usare variabili

Si possono creare delle variabili.

  • come variabili semplici
  • in arrays
  • come variabile strutturate

Finestra di dialogo Variabili

Per creare una nuova variabile, non importa di quale tipo:

  1. Selezionate nel nodo Variabili il comando Nuova variabile... del menù contestuale.

  2. Si apre il dialogo per configurare la variabile.
  3. configurate la variabile
  4. Le impostazioni possibili dipendono dal tipo della variabile.

Proprietà

Descrizione

Nome

Nome univoco della variabile. Se esiste già una variabile con quel nome nel progetto, non ne può essere impostata un´altra con lo stesso nome.

Lunghezza massima: 128 caratteri

Attenzione: I caratteri # e @ non sono consentiti per i nomi variabili. Se si usano dei caratteri non consentiti, non è possibile portare a termine la creazione della variabile, il pulsante Termina non è attivo (di color grigio).
Nota: alcuni driver consentono l´indirizzamento anche tramite la proprietà Indirizzo simbolico.

Driver

Selezionate il driver desiderato fra quelli del menù a tendina.

Nota: Se nel progetto non è stato nessun driver, automaticamente verrà caricato il driver per le variabili interne (Intern.exe).

Tipo di oggetto del driver

Selezionate il tipo oggetto driver desiderato fra quelli del menù a tendina.

Tipo di dato

Selezionate il tipo di dato desiderato. Un clic sul pulsante ... apre la finestra di dialogo che serve alla selezione..

Impostazioni array

Impostazioni estese per variabili array. I dettagli relativi li potete trovare nel capitolo Array

Opzioni di indirizzamento

Impostazioni estese per array e variabile strutturate. I dettagli relativi li potete trovare nel capitolo corrispondente.

Attivazione automatica elementi

Impostazioni estese per array e variabile strutturate. I dettagli relativi li potete trovare nel capitolo corrispondente.

Indirizzo simbolico

La proprietà Indirizzo simbolico può essere usata per l´indirizzamento in alternativa al Nome o alla Identificazione delle variabili. La selezione viene effettuata nel dialogo driver, la configurazione, invece, nella proprietà della variabile. La proprietà viene inserita automaticamente al momento dell´import di variabili di driver supportati.

Lunghezza massima: 1024 caratteri.

Eredità da tipo di dato

Area di misurazione, Risoluzione segnalee Setta valore impostabile sono sempre:

  • derivati dal tipo di dato
  • adeguati automaticamente in caso di modifica del tipo di dato

Nota per risoluzione segnale: se si passa ad un tipo di dato che non supporta la risoluzione segnale impostata, la risoluzione segnale viene adeguata automaticamente. Per esempio, nel caso di passaggio da INT a SINT, la risoluzione segnale viene modificata a 127. L´adeguamento avviene anche se la risoluzione segnale non è ereditata dal tipo di dato. In questo caso la area di misurazione deve essere modificata manualmente.

Noch in diesem Kapitel

Variabili semplice

Array

Variabili struttura

Variabili per più progetti

Uso in zenon Analyzer


Variabili semplice

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili semplice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le variabili semplici consistono sempre di un tipo di dato e di un tipo di oggetto del driver. Esse costituiscono la base di variabili array e variabile strutturate.

Noch in diesem Kapitel

Creazione di una variabile semplice

Modifica delle proprietà di una variabile semplice

Eliminazione di variabili semplici


Creazione di una variabile semplice

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili semplice -> Creazione di una variabile semplice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccate con il tasto destro del mouse all´interno del Manager di progetto su Variabile; poi scegliete nel menù contestuale la voce Nuova variabile....

Nella finestra di dialogo successiva, definite il nome, Driver , Tipo di oggetto del driver e Tipo di dato.

Proprietà | Descrizione
Nome | Nome univoco della variabile. Se esiste già una variabile con quel nome nel progetto, non ne può essere impostata un´altra con lo stesso nome.
Driver | Selezionate il driver desiderato fra quelli del menù a tendina.
Tipo di oggetto del driver | Selezionate il tipo oggetto driver adeguato fra quelli del menù a tendina.
Tipo di dato | Selezionate il tipo di dato desiderato. Un clic sul pulsante ... apre la finestra di dialogo che serve alla selezione..

La nuova variabile verrà poi visualizzata nella visualizzazione dettagli del manager di progetto. Le ulteriori proprietà delle variabili le definite nella finestra delle proprietà delle variabili.


Modifica delle proprietà di una variabile semplice

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili semplice -> Modifica delle proprietà di una variabile semplice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le modifiche di proprietà di variabili si effettuano nella finestra delle proprietà. A questo scopo cliccate sulla variabile da modificare nella visualizzazione dettagli e inserite le modifiche desiderate nella finestra delle proprietà.

Noch in diesem Kapitel

Modifica variabile

Errori nella modifica delle variabili


Modifica variabile

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili semplice -> Modifica delle proprietà di una variabile semplice -> Modifica variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il dialogo Modifica variabile si apre quando vengono selezionate una o più variabili e viene scelta una delle seguenti proprietà:

  1. Tipo di dato
  2. Driver
  3. Tipo di oggetto del driver
  4. Impostazioni array
    1. Dim 1
    2. Dim 2
    3. Dim 3
    4. Indice di start Array
  5. Calcolo offset
  6. Tipo di dato

In questa sede si modificano le impostazioni che formano una unità; ciò avviene per tutte le variabili che sono state selezionate (è possibile una scelta multipla).

Modifica quando sono state selezionate più variabili:

Se il valore della proprietà è uguale per tutte le variabili selezionate, esso viene visualizzato nel dialogo corrispondente; altrimenti l'inserimento rimane vuoto. Questo spazio vuoto significa che l'impostazione non è stata definita. Nel caso in cui si sia operata una selezione, non è più possibile scegliete "nessuna selezione". Se lo si desidera, però, si deve lasciare la finestra di dialogo cliccando su Annulla e si deve riaprirla. (Eccezione: checkbox).

Finché non si è specificato il driver, il combobox tipo di oggetto del driver contiene tutti i tipi che sono possibili per il driver della variabile selezionata. Quando si è selezionato il driver, vengono visualizzati solo i tipi del driver specificato. Se un driver viene modificato da o in uno di zenon Logic, il nome della variabile viene modificato e adeguato automaticamente.
Nel caso di una selezione multipla di variabili, i checkbox hanno tre stati: on, off e non definito. I campi non definiti non vengono modificati nella variabile. Se un campo è stato specificato, esso definisce il nuovo valore di tutte le variabili selezionate.

Controllo prima della modifica:

Per ogni variabile, il sistema controlla prima della modifica, se l'impostazione risultante è permessa o no.

Example Esempio

Esempio di una modifica proibita: una variabile array e una semplice sono state selezionate e la dimensione array viene modificata. Errore: una variabile semplice non può essere modificata a posteriori in una del tipo array.

Per quelle variabili che non possono essere modificate secondo le nuove impostazioni, viene generato un messaggio di errore. Prima della modifica, questi messaggi vengono visualizzati nella finestra di dialogo 'Errore nella modifica delle variabili', a modifica avvenuta, nella finestra di emissione dell'editor.


Errori nella modifica delle variabili

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili semplice -> Modifica delle proprietà di una variabile semplice -> Errori nella modifica delle variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se la modifica non è consentita per una o più variabili, viene aperto il dialogo Errore nella modifica delle variabili. Esso serve a indicare le variabili che non possono adottare le modifiche apportate. Questa finestra di dialogo viene aperta prima che una modifica venga applicata e solo se non esistono delle variabili per cui questo cambiamento è possibile. Gli inserimenti sono filtrabili e ordinabili.

Parametri | Descrizione
Nome | Nome della variabile che non può adottare le modifiche.
Driver | Nome del driver con relativa definizione sul quale si basa la variabile in questione.
Tipo di dati | Tipo di dato usato dalla variabile.
Tipo di oggetto del driver | Tipo di oggetto del driver usato dalla variabile.
Descrizione di errore | Descrizione della causa per cui la variabile non può adottare la modifica.
Annulla | La modifica della variabile viene interrotta. Non viene effettuato alcun cambiamento.
Ignora Tutti | Tutte le variabile che non possono adottare le modifiche, vengono ignorate. Le variabili, invece, per cui la modifica è possibile, vengono modificate. Per quelle ignorate, viene generato un messaggio nella finestra di emissione. Il testo corrisponde a quello della "Descrizione di errore".
Indietro | Si torna indietro al dialogo di modifica.
Riga di stato | Numero delle variabili selezionate e delle cause che hanno impedito le modifiche. Con il riconoscimento della prima causa, la variabile viene considerata non modificabile. Ci possono essere anche delle altre cause che impediscono la modifica, ma esse non vengono cercate dal sistema. Nel caso delle variabili complesse (array o strutturate), vengono controllate anche tutte le variabili già attivate, per verificare se ci sono problemi con le modifiche. Per ogni variabile attivata non modificabile, viene generato un messaggio. Da quanto detto deriva che il numero delle cause che impediscono la modifica può essere maggiore a quello delle variabili selezionate.


Eliminazione di variabili semplici

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili semplice -> Eliminazione di variabili semplici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccate nella visualizzazione dettagli con il tasto destro del mouse sulla variabile da cancellare per ottenete l´opzione di cancellazione nel menù contestuale:

Cliccate su Elimina e si apre la finestra contenente la richiesta di conferma:


Array

Manuale -> Variabili -> Creare, modificare e usare variabili -> Array

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Array sono campi di tipi di dato o di variabili. Distinguiamo fra:

  • Arrays di tipo di dato: possono essere realizzati solo in strutture.
  • Arrays di variabili: possono essere invece realizzati con tipi di dato semplici.

Gli arrays possono essere realizzati con al massimo 3 dimensioni.

Example Esempio

Esempio per una variabile array a due dimensioni.

Numero di giri [2,3]
Questa variabile consiste in sostanza di 6 variabili (2x3):

  • Numero di giri [1,1]
  • Numero di giri [1,2]
  • Numero di giri [1,3]
  • Numero di giri [2,1]
  • Numero di giri [2,2]
  • Numero di giri [2,3].

Internamente gli array sono trattati come delle strutture. Questo riguarda specialmente l´indirizzamento.

attention Attenzione

Le variabili array, che si basano su un driver stratonNG oppure straton32, non possono cominciare con 1. Un array zenon della dimensione 1,2,2 viene creato in zenon Logic solamente come semplice variabile.

Variabili non attive

In un array, singole variabili possono essere disattivate. Variabili non attive

  • Non sono disponibili in zenon
  • Non vengono registrate nel driver.
  • Non vengono tenute in considerazione nel calcolo di I/Os per la grandezza della licenza.

Potete impostare in un array delle variabili di riserva, che in un secondo momento, p.es. in una estensione, possono essere riattivate.

Dimensione di grandezza array (fino alla versione 5.50)

Fino alla versione 5.50 si poteva definire la grandezza array tramite la proprietà Grandezza array. In tal modo è possibile, ad esempio, utilizzare solamente una variabile con licenza, ma indirizzare indirettamente in RGM o in VBA differenti variabili con driver che usano indirizzi offset. Questa proprietà è ancora disponibile per ragioni di compatibilità.

Vengono create delle variabili con il suffisso da [0] a [n].
Attenzione: nel progetto non ci devono essere atrte variabili con lo stesso nome!

Nota: il driver interno non supporta questa proprietà. Si può definire un valore nell´Editor, ma nel Runtime non viene visualizzata nessuna variabile (valore sempre 0).

Noch in diesem Kapitel

Creazione di variabili array

Indirizzamento

Modifica delle proprietà di un array

Attivazione/Disattivazione di elementi array


Creazione di variabili array

Manuale -> Variabili -> Creare, modificare e usare variabili -> Array -> Creazione di variabili array

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le variabili array semplici vengono create allo stesso modo delle variabili semplici.

Proprietà | Descrizione
Nome | Nome univoco della variabile. Se esiste già una variabile con quel nome nel progetto, non ne può essere impostata un´altra con lo stesso nome.
Driver | Selezionate il driver desiderato fra quelli del menù a tendina. Nota: se nel progetto non è stato definito nessun driver, automaticamente verrà caricato il driver per le variabili interne (Intern.exe).
Tipo di oggetto del driver | Selezionate il tipo oggetto del driver adeguato fra quelli del menù a tendina.
Tipo di dato | Selezionate il tipo di dato desiderato. Un clic sul pulsante ... apre la finestra di dialogo che serve alla selezione..
Indirizzamento automatico | zenon calcola un'assegnazione automatica di indirizzo. . Essa dipende dalla granularità del tipo di oggetto del driver utilizzato e del tipo di dato IEC su cui si basa il tipo di dato usato..
Indirizzamento segue l´offset tipo di dato e l´offset di partenza | L´offset segue l´offset e il bit progettato con elemento di struttura assegnato.
Indirizzamento manuale | Indirizzamento manuale.
Ogni tipo di dato parte con un nuovo offset | In caso di indirizzamento automatico, determina la posizione dei singoli elementi array. Attivo: per ogni elemento array inizierà un nuovo offset. Inattiva: Offset vengono usati completamente (le variabili vengono messe in successione).
Attiva tutti gli elementi | Al momento della creazione della nuova variabile array, attiva tutti gli elementi automaticamente
Attiva elementi manualmente | Gli elementi non vengono attivati al momento della loro creazione. Devono essere attivati manualmente nella lista delle variabili Ciò può esser fatto usando il menù contestuale della lista variabile.


Indirizzamento

Manuale -> Variabili -> Creare, modificare e usare variabili -> Array -> Indirizzamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Di default, gli array vengono indirizzati automaticamente. Nel caso di variabili array, si indicano:

  • Indirizzo di rete/bus
  • Start-Offset
  • Blocco dati (opzionale):
  • Numero Bit (facoltativo)

Non devono essere fatte ulteriori impostazioni per i singoli elementi array. Il calcolo dell´indirizzo avviene automaticamente.

In caso di indirizzamento manuale di array, l'opzione Indirizzamento automatico dev´essere attivata già alla creazione dell´array, oppure in un secondo momento nella finestra proprietà.

Il calcolo dell´indirizzo viene eseguito di nuovo nel caso di modifica di:

  • Tipo di dato di un array
  • Tipo di oggetto del driver
  • Driver
  • Dimensione dell´array

Noch in diesem Kapitel

Esempio di array con indirizzamento automatico per una variabile INT

Esempio di un array con indirizzamento automatico per una variabile BOOL:

Esempio di array con indirizzamento manuale


Esempio di array con indirizzamento automatico per una variabile INT

Manuale -> Variabili -> Creare, modificare e usare variabili -> Array -> Indirizzamento -> Esempio di array con indirizzamento automatico per una variabile INT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Vogliamo creare un array di 5 variabili integer.

Configurazione base

Nel dialogo di configurazione delle variabili

  • Nome: assegnazione a piacere
  • Driver: S7 TCP/IP
  • Tipo di oggetto driver: Ext. Blocco dati
  • Tipo di dati: INT
  • Array: Start array con indice 1
  • Dim 1: 5
  • Dim 2: 0
  • Indirizzamento: Indirizzamento automatico
  • Ogni tipo di dato parte con un nuovo offset: attivo
  • Attivazione elementi: Attiva tutti gli elementi

Cliccando su OK vengono create le 5 variabili desiderate, ed una rispettiva variabile array nella quale possiamo definire le proprietà array.

Configurazione dettagliata

Se selezioniamo la variabile array nella visualizzazione dettagli, possiamo definire le proprietà di tutto l´array nella finestra delle proprietà. Le impostazioni più importanti si trovano nel gruppo “Indirizzamento”. In questa sede, impostiamo per l´array:

  • Blocco dati
  • Indirizzo di rete (=indirizzo bus)
  • Offset di partenza

Avendo selezionato "indirizzamento automatico", tutti gli indirizzi dei singoli elementi array dipendono da questo offset di partenza. Nel nostro esempio, modifichiamo il blocco dati passando a 50; l´indirizzo di rete lo lasciamo a 0 , mentre cambiamo l´Offset portandolo a 100.

La granularità dei blocchi dato S7 è di 8 bit. L´area di blocchi dato è quindi orientata byte. Ogni variabile INT necessita di 16 bit. Ne risulta il seguente indirizzamento automatico per il nostro array:

Array | Indirizzo di rete/bus | Blocco dati | Offset
Array of INT[1] | 0 | 50 | 100
Array of INT[2] | 0 | 50 | 102
Array of INT[3] | 0 | 50 | 104
Array of INT[4] | 0 | 50 | 106
Array of INT[5] | 0 | 50 | 108

Ogni offset, quindi, è sempre maggiore di 2 unità rispetto al precedente, perché una variabile di 16 bit necessità due offset di 8 bit.

Nel caso in cui utilizzassimo al posto del driver S7 un driver S5, la situazione sarebbe un´altra. Sul driver S5, infatti, l´area dei blocchi dati ha una granularità di 16 bit. L´area blocco dati di un PLC S5 è orientata a WORD. Con la medesima configurazione, avremo dunque la situazione seguente:

Array | Indirizzo di rete/bus | Blocco dati | Offset
Array of INT[1] | 0 | 50 | 100NT
Array of INT[2] | 0 | 50 | 101
Array of INT[3] | 0 | 50 | 102
Array of INT[4] | 0 | 50 | 103
Array of INT[5] | 0 | 50 | 104

Ogni offset è adesso maggiore di una unità rispetto al precedente, perché una variabile a 16 bit necessita solo di un offset di 16 bit.


Esempio di un array con indirizzamento automatico per una variabile BOOL:

Manuale -> Variabili -> Creare, modificare e usare variabili -> Array -> Indirizzamento -> Esempio di un array con indirizzamento automatico per una variabile BOOL:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Procediamo come nell´esempio dell´indirizzamento automatico con il tipo di dato INT, ma usiamo il tipo di dato standard BOOL. Tutte le altre impostazioni restano come descritto sopra e creiamo una nuova variabile array.

Nelle proprietà della variabile array definiamo i valori come segue:

Blocco dati: 50

Indirizzo di rete/bus 0

Offset: 100

Numero bit: 0

Nel caso del driver S7, dall´indirizzamento automatico deriva la seguente situazione:

Array | Indirizzo di rete/bus | Blocco dati | Offset | Numero bit
Array of INT[1] | 0 | 50 | 100 | 0
Array of INT[2] | 0 | 50 | 101 | 0
Array of INT[3] | 0 | 50 | 102 | 0
Array of INT[4] | 0 | 50 | 103 | 0
Array of INT[5] | 0 | 50 | 104 | 0

Una variabile 1 bit trova spazio in un offset 8 bit. Avendo impostato Ogni tipo di dato parte con un nuovo offset, ogni elemento di array è stato posto su un nuovo offset.

Se disattiviamo questa proprietà della variabile array, otterremo la situazione seguente:

Array | Indirizzo di rete/bus | Blocco dati | Offset | Numero bit
Array of INT[1] | 0 | 50 | 100 | 0
Array of INT[2] | 0 | 50 | 100 | 1
Array of INT[3] | 0 | 50 | 100 | 2
Array of INT[4] | 0 | 50 | 100 | 3
Array of INT[5] | 0 | 50 | 100 | 4

I bit vengono quindi messi nello stesso offset uno dopo l´altro. Nel caso in cui un offset non bastasse (come, per esempio, con un array di 20 variabili BOOL), si continuerà con il prossimo offset. Per un array di 20 variabili BOOL, quindi, sarebbe sufficiente dall´offset 100 numero bit 0 fino all´offset 102 numero bit 3.


Esempio di array con indirizzamento manuale

Manuale -> Variabili -> Creare, modificare e usare variabili -> Array -> Indirizzamento -> Esempio di array con indirizzamento manuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per l´indirizzamento automatico, nella configurazione variabili deve essere selezionata la proprietà Indirizzamento manuale. Poi possono essere indicate manualmente per ogni elemento array le informazioni concernenti:

  • Indirizzo di rete/bus
  • Offset
  • Blocco dati (opzionale):
  • Numero Bit (facoltativo)

Per l´esempio di array con indirizzamento automatico per una variabile BOOL, potremmo avere la cosa seguente:

Array | Indirizzo di rete/bus | Blocco dati | Offset | Numero bit
Array of INT[1] | 0 | 50 | 100 | 0
Array of INT[2] | 0 | 50 | 100 | 2
Array of INT[3] | 0 | 50 | 101 | 0
Array of INT[4] | 0 | 50 | 101 | 2
Array of INT[5] | 0 | 50 | 102 | 0

attention Attenzione

Se l'offset di partenza dell'array o la grandezza della dimensione dell'array stesso vengono modificate, tutte le informazioni d'indirizzo (offset e indirizzo Bit) vengono ricalcolate.

Nel caso di una modifica dello start-offset, anche gli offset delle variabili già attivate vengono modificati in modo corrispondente al delta della modifica. La differenza offset delle variabili attivate per le vostre variabili array rimane dunque immutata.


Modifica delle proprietà di un array

Manuale -> Variabili -> Creare, modificare e usare variabili -> Array -> Modifica delle proprietà di un array

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le proprietà vengono modificate mediante la finestra di proprietà e il dialogo Modifica variabili.

Tenete presente soprattutto due proprietà in oarticolare:

  • Ultimo offset utilizzato indica quale offset (incluso numero di bit) è stato utilizzato come ultimo nell´indirizzamento automatico.
  • Dimensione in byte: mostra quanti byte sono utilizzati dall´array in questione.

Non possono essere modificati:

  • Nome
  • Attivazione degli elementi

Proprietà | Descrizione
Driver | Selezionate il driver desiderato fra quelli del menù a tendina. Nota: se nessun driver è stato creato nel progetto, automaticamente verrà caricato il driver per le variabili interne (Intern.exe).
Tipo di oggetto del driver | Selezionate il tipo oggetto del driver adeguato fra quelli del menù a tendina.
Tipo di dato | Selezionate il Tipo di dato desiderato. Un clic sul pulsante ... apre la finestra di dialogo che serve alla selezione..
Indirizzamento automatico | zenon calcola un'assegnazione automatica di indirizzo. . Esso dipende dalla granularità del tipo di oggetto del driver utilizzato e del tipo di dato IEC su cui si basa il tipo di dato usato..
Indirizzo segue l´offset del tipo di dato e l´offset di partenza | L´offset segue l´offset e il bit progettato per l´elemento di struttura assegnato.
Indirizzamento manuale | Indirizzamento manuale oppure semiautomatico.
Ogni tipo di dato parte con un nuovo offset | In caso di indirizzamento automatico, determina il posizionamento dei singoli elementi di array. Attiva: per ogni elemento array inizierà un nuovo offset. Inattiva: Gli offset vengono usati completamente (le variabili vengono messe in successione).

Note a proposito della modifica del tipo di dato IEC

Se il tipo di dato IEC d un array viene modificato, vale quanto segue:

  • finché il valore della risoluzione segnale attuale si trova nell´ambito delle risoluzioni segnale del tipo di dato, non viene effettuato alcun adattamento:
  • L´area di misurazione non viene adattata:

    Eccezione: nel caso del tipo di dato BOOL la risoluzione segnale e l´area di misurazione vengono sempre adattate.

Per l´adattamento della risoluzione segnale vale la regola per cui la nuova risoluzione deve essere minore di quella precedente:

  • SingalbereichMin viene adattato solamente se SignalbereichMinNeu < è SignalbereichMinAlt
  • SignalbereichMax viene adattato solamente se SignalbereichMaxNeu< è SignalbereichMinAlt


Attivazione/Disattivazione di elementi array

Manuale -> Variabili -> Creare, modificare e usare variabili -> Array -> Attivazione/Disattivazione di elementi array

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ogni array può essere attivato e disattivato in maniera separata. L´attivazione può essere effettuata o alla creazione dell´array (“attiva tutti gli elementi”) o manualmente attraverso il menù contestuale dei singoli elementi array. L´indirizzamento automatico considera gli elementi array inattivi come se fossero attivi. Gli elementi inattivi tengono il posto e possono essere attivati in ogni momento.


Variabili struttura

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una struttura consiste di elementi singoli. Essi sono sempre dei tipi di dati. Per creare di un elemento di struttura deve sempre essere selezionato un tipo di dato già esistente. Elementi di struttura possono essere o embedded o collegati.

Parametri | Descrizione
Elementi di struttura scollegati | Possono avere delle proprietà differenti dal loro tipo di dato originario. Le proprietà vengono definite appositamente e salvate per ogni singolo elemento di struttura.
Elementi di struttura collegati | Riprendono sempre tutte le proprietà del tipo di dato originario dal quale derivano. In caso di modifica del tipo di dato originario, si modificano anche tutti gli elementi di struttura collegati!

Struttura di tipi di dato

I dettagli sulla creazione dei tipi di dato struttura li potete trovare nel capitolo Tipi di dato/Tipi di dato struttura.

Variabili struttura

Variabili struttura si basano sempre su un tipo di dato struttura. Rappresentano quindi principalmente la costruzione della struttura sulla quale sono basate. Nella creazione di una struttura di variabili possono essere indicate le seguenti opzioni:

Parametri

Descrizione

Arrays

Può essere definito se una struttura deve consistere in una singola struttura di variabile oppure in un array. Per le strutture di arrays possono essere definite fino a tre dimensioni.

Indirizzamento

L´indirizzamento delle strutture di variabili può essere effettuato automaticamente o manualmente. Di default l´indirizzamento è calcolato in modo automatico. Il calcolo dell´indirizzo dipende dalla risoluzione dal tipo di oggetto del driver e dagli elementi di struttura utilizzati.

Nel caso dell´indirizzamento automatico, ogni tipo di dato può essere avviato con un nuovo offset.

Attivazione di elementi in variabili struttura

Può essere impostato se tutti gli elementi di struttura sono attivati oppure no.

Attivazione significa che tutti gli elementi sono attivi. Le variabili attive possono essere utilizzate subito in zenon. Le variabile disattivate non sono disponibili e non vengono considerate nel calcolo I/O in zenon per quanto riguarda la licenza e non sono neanche registrate nel driver. In tal modo, potete impostare in una struttura delle aree di riserva che possono essere attivate in un secondo momento. Al momento, tutti gli elementi di una variabile struttura sono attivabili e disattivabili mediante il menù contestuale.

Nota: anche le variabili struttura disattivate vengono tenute in considerazione per il calcolo di indirizzamento. Se non lo si desidera, gli indirizzi devono essere assegnati manualmente, oppure deve essere cancellato l´elemento struttura corrispondente nel tipo di dato.

Comportamento nel caso di import XML

Strutture

Le strutture che differiscono da quelle esistenti, possono essere importate in strutture già esistenti. Le variabili che si basano su di esse vengono adattate automaticamente.

  • Gli elementi di struttura vengono identificati attraverso il loro nome.
  • Nel caso di elementi di struttura già esistenti, il tipo viene adattato nella misura in cui si differenzia.
  • Gli elementi non esistenti vengono aggiunti.
  • Gli elementi che non esistono nel nuovo elemento di struttura, vengono cancellati.

Variabili non attive

Quando si importano delle variabili strutturate, vengono importate sia variabili attive, che inattive. Gli elementi esistenti non vengono sovrascritti quando si effettua l´import. Se quindi si importa in un progetto una variabile inattiva e poi la si attiva, essa rimane attiva anche dopo un nuovo import XML.

Noch in diesem Kapitel

Creazione di variabili struttura

Modifica di variabili struttura

Cancellazione di variabili struttura


Creazione di variabili struttura

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Creazione di variabili struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una variabile struttura:

  1. create anzitutto una variabile semplice
  2. selezionate il tipo di dato struttura
  3. selezionate il driver e il tipo di oggetto driver
  4. definite le dimensioni array

Proprietà | Descrizione
Nome | Nome univoco della variabile. Se esiste già una variabile con quel nome nel progetto, non ne può essere impostata un´altra con lo stesso nome.
Driver | selezionate il driver desiderato fra quelli della lista a cascata. Nota: Se nessun driver è stato definito nel progetto, automaticamente verrà caricato il driver per le varibili interne (Intern.exe).
Tipo di oggetto del driver | selezionate il tipo oggetto driver desiderato fra quelli della lista a cascata.
Tipo di dato | Selezionate il Tipo di dato desiderato. Un clic sul pulsante ... apre la finestra di dialogo che serve alla selezione..
Indirizzamento automatico | zenon calcola un'assegnazione automatica di indirizzo. . Esso dipende dalla granularità del tipo di oggetto driver utilizzato e del tipo di dato IEC su cui si basa il tipo di dato usato..
indirizzo Offset segue tipo di dato Offset e Start-Offset | L´offset segue l´offset e il bit progettato con elemento di struttura assegnato.
Indirizzamento manuale | Indirizzamento manuale oppure semiautomatico.
Ogni tipo di dato parte con un nuovo offset | Determina in caso di indirizzamento automatico la posizione dei singoli elementi di struttura. Attivo: per ogni elemento struttura inizierà un nuovo offset. Un Bit-Offset > 0 causa l´aumento dell´Offset pari a 1. Inattiva: Offset vengono usati completamente (le variabili vengono messe in successione).
Attiva tutti gli elementi | Attiva automaticamente alla creazione della nuova variabile struttura tutti gli elementi
Attiva elementi manualmente | Gli elementi alla loro creazione non vengono attivati Devono essere attivati manualmente nella lista delle variabili La rispettiva procedura viene eseguita attraverso il menù contestuale della lista variabile.

Orientamento di tipi di dato nel caso di indirizzamento automatico

  • Un driver con granularità BYTE può usare con BOOL solamente i bit da 0 a 7. Tutti gli altri tipi di dato iniziano con bit 0.
  • Con WORD: BOOL Bits 0 fino a 15, U(S)INT i Bits 0 e 8, Tutti gli altri tipi di dato iniziano con bit 0.
  • Con DWORD: BOOL Bits 0 fino a 31, U(S)INT i Bits 0, 8, 16 e 24, (U)INT i Bits 0 e 16. Tutti gli altri tipi di dato iniziano con bit 0.
  • Le stringhe devono iniziare sempre con Bit 0.
    Ne consegue che: se nell´indirizzo attuale il Bitoffset > è 0, la variabile viene settata su bit 0 e offset+1.

Esempio

USINT = 8Bit, granularità WORD = 16bit.

La variabile può iniziare solamente con i bit 0 oppure 8. Se, per esempio, è stato progettato come bitoffset 2 e l´indirizzo attuale è Offset=0 Bit=0, la variabile viene settata su Offset 0 Bit 8. Se invece l´indirizzo attuale fosse Offset=0 e Bit=7, su Offset=1 Bit=0

Noch in diesem Kapitel

Struttura semplice con indirizzamento automatico

Variabile struttura come array con indirizzamento automatico

Indirizzamento manuale


Struttura semplice con indirizzamento automatico

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Creazione di variabili struttura -> Struttura semplice con indirizzamento automatico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esempio

In un primo passo, creiamo un tipo di dato struttura. A tale scopo, creiamo una struttura Slider con quattro elementi:

  • numero di giri set value (UINT),
  • numero di giri attuale (USINT),
  • Array [2] di
    • on/off (BOOL) e
  • controllo (SINT).

Poi dobbiamo creare facendo uso del dialogo Crea variabile una variabile strutturata che si basa su questo tipo di dato. Usiamo per questo esempio:

  • il driver S7 TCP/IP
  • il blocco dati Area
  • la dimensione array 0
  • le opzioni attivate
    • Indirizzamento automatico
    • Ogni tipo di dato parte con un nuovo offset
    • Attiva tutti gli elementi

Nella lista variabili viene generata, facendo clic su finisci, la struttura desiderata con tutti gli elementi.

Se si seleziona la struttura di variabile “Regolatore numero di giri” nella sezione lista, è possibile influire sulle proprietà di tutta la struttura nella finestra di proprietà. Le impostazioni più importanti si trovano nel gruppo Indirizzamento. Li vengono definiti il blocco dati, l´indirizzo di rete (=indirizzo bus) e l´offset di partenza per la struttura. Avendo selezionato Indirizzamento automatico, tutti gli indirizzi dei singoli elementi array dipendono da questo offset di partenza.

Nel nostro esempio impostiamo:

Blocco dati: 50

Offset: 100

Indirizzo di rete: 0

La risoluzione dei blocchi dato S7 è di 8 bit. L´area di blocchi dato è quindi orientata byte. Ogni variabile UINT necessita 16 bit, ogni variabile USINT 8 bit, ogni variabile BOOL 1 bit ed ogni variabile SINT 8 bit.

Ne risulta il seguente indirizzamento automatico per la nostra struttura.

Variabile | Indirizzo di rete/bus | Blocco dati | Offset | Numero bit
Regolatore-giri.Valore impostabile Numero di giri. | 0 | 50 | 100 | 0
Regolatore-Giri.Valore effettivo Numero di giri. | 0 | 50 | 102 | 0
Regolatore-Giri.ON/OFF[1]. | 0 | 50 | 104 | 0
Regolatore-Giri.ON/OFF[2]. | 0 | 50 | 105 | 1
Regolatore-Giri.Numero di giri.Sorveglianza. | 0 | 50 | 106 | 0

Ultimo offset utilizzato: 106 Bit 7

I singoli elementi della struttura di variabile vengono adattati in modo ottimale agli offset.

La variabile 8 bit „Regolatore-Giri.Valore impostabile numero giri" utilizza 1 offset, la variabile 16 bit „regolatore numero giri. valore attuale numero giri" utilizza 2 offset, le 2 variabili BOOL utilizzano in un´offset 2 bit e la variabile „regolatore numero giri. sorveglianza numero giri" utilizza 1 offset.

Gli indirizzi non possono essere adattati che attraverso la struttura di tipo di dato o attraverso le impostazioni indirizzo nella struttura di variabile, non possono essere adattati attraverso i singoli elementi di struttura. Soltanto l´indirizzamento manuale permetterebbe questo.

Nel caso in cui utilizzassimo al posto del driver S7 un driver S5 si presenterebbe un'altra scena. Sul driver S5 i blocchi dati hanno una risoluzione di 16 bit. L´area blocco dati di un PLC S5 è orientata a WORD.

A progettazione identica si presenterà la scena seguente:

Variabile | Indirizzo di rete/bus | Blocco dati | Offset | Numero bit
Regolatore-giri.Valore impostabile Numero di giri. | 0 | 50 | 100 | 0
Regolatore-Giri.Valore effettivo Numero di giri. | 0 | 50 | 101 | 0
Regolatore-Giri.ON/OFF[1]. | 0 | 50 | 102 | 0
Regolatore-Giri.ON/OFF[2]. | 0 | 50 | 102 | 1
Regolatore-Giri.Numero di giri.Sorveglianza. | 0 | 50 | 102 | 8

Ultimo offset utilizzato: 102 Bit 15

I singoli elementi della struttura di variabile vengono adattati in modo ottimale agli offset.

La variabile a 8 bit „Regolatore-Giri.Valore impostabile numero di giri" utilizza metà offset (bit 0 – 7); la variabile 16 bit „Regolatore-Giri. Valore attuale numero giri" utilizza un offset. Le 2 variabili BOOL utilizzano solo i primi 2 bit dell´offset 102 e quindi la variabile „Regolatore-Giri.Sorveglianza" parte nello stesso offse delle 2 BOOL con numero bit 8.


Variabile struttura come array con indirizzamento automatico

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Creazione di variabili struttura -> Variabile struttura come array con indirizzamento automatico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Array nel caso di elemento struttura con tipo di dato semplice

Le variabili vengono indirizzate in forma compatta a partire dall´offset, in corrispondenza di tipo di dato IEC e granularità. Non esiste dunque nessuna differenza rispetto all´indirizzamento "a pacchetto".

Variabili struttura come array

L´indirizzo del primo elemento struttura nell´indice n deriva dall´indirizzo dell´ultimo elemento struttura nell´indice n-1 più l´offset nell´elemento struttura.

Se la proprietà ogni tipo di dato parte con nuovo offset

  • attivo: l´indice comincia sempre con un Offset intero (Bit è 0, eventualmente spostato di Offset in elementi struttura).
  • inattivo: si indirizza "a pacchetto" in modo corrispondente al tipo di dato e granularità e spostato dell´offset dell´elemento struttura. Indipendentemente da ciò, la variabile viene orientata in corrispondenza di tipo di dato e granularità.

Esempio

Usiamo lo stesso esempio come nel capitolo Struttura semplice con indirizzamento automatico, cambiamo però nelle proprietà della variabili struttura la dimensione array 1 da 0 a 2.

Cliccando su Finiscisi presenta la scena seguente nella lista delle variabili:

La struttura esistente è stata modificata in modo da mettere a disposizione ogni elemento di struttura in modo duplice.

Per il nostro esempio con il driver S7 si presenta quindi la scena seguente per l´indirizzamento automatico, quando sono state effettuate le impostazioni seguenti: Ogni tipo di dato parte con nuovo offset:

Variabile | Indirizzo di rete/bus | Blocco dati | Offset | Numero bit
Regolatore–Giri[1].Valore impostabile numero di giri | 0 | 50 | 100 | 0
Regolatore–Giri[1].Valore effettivo numero di giri | 0 | 50 | 101 | 0
Regolatore–Giri[1].ON/OFF[1] | 0 | 50 | 103 | 0
Regolatore–Giri[1].ON/OFF[2] | 0 | 50 | 103 | 1
Regolatore–Giri[1].Sorveglianza | 0 | 50 | 104 | 0
Regolatore–Giri[2].Valore impostabile numero di giri | 0 | 50 | 105 | 0
Regolatore–Giri[2].Valore effettivo numero di giri | 0 | 50 | 106 | 0
Regolatore–Giri[2].ON/OFF[2] | 0 | 50 | 108 | 0
Regolatore–Giri[2].ON/OFF[2] | 0 | 50 | 108 | 1
Regolatore–Giri[2].Sorveglianza | 0 | 50 | 109 | 0

Ultimo offset utilizzato: 109 Bit 7

La struttura di array è stata generata come una struttura semplice. La seconda struttura di array parte esattamente là, dove la prima finisce.

Alla modifica del driver verso il driver S5 si presenta la scena seguente:

Variabile | Indirizzo di rete/bus | Blocco dati | Offset | Numero bit
Regolatore–Giri[1].Valore impostabile numero di giri | 0 | 50 | 100 | 0
Regolatore–Giri[1].Valore effettivo numero di giri | 0 | 50 | 101 | 0
Regolatore–Giri[1].ON/OFF[1] | 0 | 50 | 102 | 0
Regolatore–Giri[1].ON/OFF[2] | 0 | 50 | 102 | 1
Regolatore–Giri[1].Sorveglianza | 0 | 50 | 102 | 8
Regolatore–Giri[2].Valore impostabile numero di giri | 0 | 50 | 103 | 0
Regolatore–Giri[2].Valore effettivo numero di giri | 0 | 50 | 104 | 0
Regolatore–Giri[2].ON/OFF[2] | 0 | 50 | 105 | 0
Regolatore–Giri[2].ON/OFF[2] | 0 | 50 | 105 | 1
Regolatore–Giri[2].Sorveglianza | 0 | 50 | 105 | 7

Ultimo offset utilizzato: 105 Bit 15

Ogni tipo di dato parte con un nuovo offset

La struttura di array è stata generata come una struttura semplice. La seconda struttura di array parte esattamente là, dove la prima finisce. Ci possono essere delle differenze a causa dell'opzione Ogni tipo di dato parte con nuovo offset. Se questa opzione è settata la partenza della prossima struttura di array è depositata sempre su un nuovo offset, anche se la prossima struttura riuscirebbe a rientrare ancora in questo offset.

Example Esempio

L´ultimo elemento di struttura è un SINT (8Bit) e usa offset 102 Bit 0 a 7. Per l´esempio del driver S5 (16 bit offsets), la prossima struttura inizierebbe nel modo illustrato di seguito:

  • opzione attivata: “Ogni tipo di dato parte con nuovo offset”: Offset 103 Bit 0
  • Opzione disattivata: “Ogni tipo di dato parte con nuovo offset": Offset 102 Bit 8 Le strutture verranno allineate direttamente una all´altra.


Indirizzamento manuale

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Creazione di variabili struttura -> Indirizzamento manuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso dell´indirizzamento manuale, gli indirizzi possono essere assegnati in modo semiautomatico o completamente automatico.

Soluzione semiautomatica

Gli offset ed il numero bit sono definiti negli elementi di struttura nel tipo di dato. Tuttavia, in quella sede è definito soltanto un offset relativo. Nella struttura di variabile è definito un offset di partenza e tutti gli offset relativi vengono aggiunti a questo offset di partenza.

Esempio

come in struttura semplice con indirizzamento automatico, creiamo il tipo di dato struttura Struttura Regolatore. Con i singoli elementi di struttura, poi, viene impostato per ogni elemento un qualsiasi offset, per es.offset 3 per l'elemento struttura numero di giri oggettivo.

Alla creazione di una variabile struttura, l´opzioneIndirizzamento automaticoviene disabilitata. Nelle proprietà della struttura di variabile viene definito 100 come offset di partenza.. zenon calcola adesso per l´indirizzo della variabile „Regolatore-giri.Valore impostabile numero di giri“ l´offset 103 (100 dalla struttura e 3 dall´elemento di struttura).

In caso di modifica dell´offset relativo in un ulteriore momento si deve procedere come segue:

  • Prima l´offset dell´elemento di struttura dev´essere modificato nel tipo di dato.
  • Poi l´offset di partenza deve essere modificato nella variabile struttura (per esempio portandolo a 101).
  • E poi di nuovo all´offset di partenza (nel nostro esempio 100).

Background: Il nuovo calcolo d´indirizzo viene effettuato soltanto alla modifica dell´offset di partenza nella struttura di variabile e non se soltanto l´offset in un elemento di struttura viene modificato.

Soluzione completamente manuale

La progettazione si effettua nella stessa maniera della soluzione semiautomatica a differenza che, nella struttura di variabile, gli indirizzi vengono definiti manualmente per ogni elemento.

Nel caso di una modifica dello start-offset di una variabile struttura, anche gli offset delle variabili già attivate vengono modificati in modo corrispondente al delta della modifica. La differenza offset delle variabili attivate per le vostre variabili struttura rimane dunque immutata.


Modifica di variabili struttura

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Modifica di variabili struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

le modifiche vengono effettuate mediante le proprietà e il dialogo Modifica variabili.

Non possono essere modificati:

  • Nome
  • Attivazione degli elementi

Proprietà | Descrizione
Driver | selezionate il driver desiderato fra quelli della lista a cascata. Nota: Se nessun driver è stato definito nel progetto, automaticamente verrà caricato il driver per le varibili interne (Intern.exe).
Tipo di oggetto del driver | selezionate il tipo oggetto driver desiderato fra quelli della lista a cascata.
Tipo di dato | Selezionate il Tipo di dato desiderato. Un clic sul pulsante ... apre la finestra di dialogo che serve alla selezione..
Indirizzamento automatico | zenon calcola un'assegnazione automatica di indirizzo. . Esso dipende dalla granularità del tipo di oggetto driver utilizzato e del tipo di dato IEC su cui si basa il tipo di dato usato..
indirizzo Offset segue tipo di dato Offset e Start-Offset | L´offset segue l´offset e il bit progettato con elemento di struttura assegnato.
Indirizzamento manuale | Indirizzamento manuale oppure semiautomatico.
Ogni tipo di dato parte con un nuovo offset | Determina in caso di indirizzamento automatico la posizione dei singoli elementi di struttura. Attivo: per ogni elemento struttura inizierà un nuovo offset. Inattiva: Offset vengono usati completamente (le variabili vengono messe in successione).

Noch in diesem Kapitel

Modificare le proprietà

Attivazione e disattivazione di elementi di struttura

Modificare l’ordine


Modificare le proprietà

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Modifica di variabili struttura -> Modificare le proprietà

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le modifiche vengono effettuate attraverso la finestra di proprietà.

Consideri, che le modifiche nella struttura di variabile possano avere un effetto sui singoli elementi della struttura di variabile (p.e. calcoli d´indirizzamento alla modifica dell´offset di partenza resp. del driver). Le proprietà di ogni elemento di struttura di variabile possono essere modificate separatamente. Modifiche possono essere effettuate o per singoli elementi o per gli elementi di struttura della “struttura di tipo di dato” che fa da base. Le modifiche vengono poi ereditate. (A questo proposito vedi capitolo Concetto di trasmissione ereditaria)


Attivazione e disattivazione di elementi di struttura

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Modifica di variabili struttura -> Attivazione e disattivazione di elementi di struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´elemento deve essere selezionato e poi la relativa azione viene eseguita tramite menù contestuale. L´indirizzamento automatico considera gli elementi inattivi come se fossero attivi. Gli elementi inattivi tengono il posto e possono essere attivati in ogni momento.

Variabili non attive

  • non sono disponibili in zenon
  • non vengono registrate nel driver
  • non vengono tenute in considerazione nel calcolo di I/Os per la grandezza della licenza

Indicazioni importanti

tenete presente al momento della disattivazione di variabili delle cose seguenti:

  • riferimenti variabili in elementi ad immagine vanno perduti. Questi riferimenti possono essere ripristinati solo manualmente.
  • Se un elemento di struttura è basato su un tipo di dato IEC che non è ammissibile con il driver selezionato, l´elemento non può essere attivato!
  • Quando si disattivano e poi si riattivano delle variabili, gli elementi dinamici per queste variabili non sono attualizzati nell´editor. Per attualizzarli, cliccate all´interno della finestra delle proprietà dell´elemento sulla variabile in questione.


Modificare l’ordine

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Modifica di variabili struttura -> Modificare l’ordine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una modifica degli elementi di una struttura di variabile può essere effettuata solo dalla rispettiva struttura di tipo di dato. In caso di modifiche sulla struttura di tipo di dato, tutte le strutture di variabili basate su questa verranno di conseguenza modificate!


Cancellazione di variabili struttura

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili struttura -> Cancellazione di variabili struttura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionate la variabile nella visuale dettagliata e premete il tasto Canc.


Variabili per più progetti

Manuale -> Variabili -> Creare, modificare e usare variabili -> Variabili per più progetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Possono essere selezionate anche le variabili di altri progetti. Esse possono poi essere usate in più progetti contemporaneamente. È anche possibile stabilire un meccanismo di tipo gerarchico. Le variabili di progetti di livello superiore, dello stesso livello o subordinati, ma anche quelle di progetti non collegati ad altri, possono essere usate a piacere.

Per poter utilizzare delle variabili in diversi progetti, tutti questi, sia nel momento della progettazione che durante il runtime, devono:

  • essere attivi
  • essere accessibili in rete
    Indicazione: zenon controlla durante il runtime se il progetto non è accessibile nell´ambito della rete.

Nel progetto, le variabili provenienti da altri progetti vengono visualizzate nel seguente modo:
[Nome progetto]#[Nome variabile], per esempio Projekt1#WIZ_VAR_10

Nel caso in cui un uso in diversi progetti non dovesse essere possibile, altri progetti vengono visualizzati in colore grigio (non selezionabili) nel Dialogo di selezione variabili.

Nota: la grandezza di questa finestra di dialogo è modificabile. La posizione e la dimensione della finestra di dialogo vengono salvate nell´Editor, nel Runtime e in zenon Web Client in modo indipendente dal progetto.

attention Attenzione

Se i nomi progetto vengono modificati in un secondo momento, o se il progetto viene copiato, si deve provvedere a preservare un´assegnazione corretta. A tal scopo usate il Dialogo di sostituzione di riferimenti di progetto.

Tenete presente le particolari condizioni che vigono nel caso delle variabili in uso in diversi progetti in riferimento alla funzione comandi!


Uso in zenon Analyzer

Manuale -> Variabili -> Creare, modificare e usare variabili -> Uso in zenon Analyzer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usarle nell´ambito del prodotto di COPA-DATA zenon Analyzer, le variabili possono essere dotate di informazioni speciali per report. . A tal scopo, è messo a disposizione degli utenti un gruppo speciale di proprietà.

Le seguenti proprietà nel gruppo proprietà-variabili di zenon Analyzer forniscono delle informazioni per report in zenon Analyzer:

  • Nome visualizzato: Inserimento di un nome visualizzazione della variabile in zenon Analyzer. Esso deve essere unico nell´intero progetto. La verifica di ciò non avviene al momento dell´assegnazione in zenon, ma quando si effettua l´import in zenon Analyzer. Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.
  • Significato: Inserimento del significato (Meaning) di una variabile in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. Diversi significati vengono separati da virgole.
    Sintassi:[Meaning1],[Meaning2],…,[MeaningN]
  • Parametro per diagramma a cascata: Parametri di una variabile per un diagramma waterfall in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
    Sintassi: [Nome modello],[Indice righe],[Indice in riga],[Codice colore];

I dati vengono ripresi da zenon in zenon Analyzer tramite l´export effettuato per mezzo dell´Analyzer Export Wizard.

Noch in diesem Kapitel

Parametro Diagramma waterfall


Parametro Diagramma waterfall

Manuale -> Variabili -> Creare, modificare e usare variabili -> Uso in zenon Analyzer -> Parametro Diagramma waterfall

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un grafico a cascata può essere creato per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. A partire da zenon 7.20, i parametri per il diagramma vengono depositati nella proprietà delle variabili Analyzer/Parametro per diagramma a cascata. Essi possono essere inseriti manualmente, oppure creati con il Meaning and Waterfall Chart Wizard.

Esporta

Durante il caricamento del workspace di zenon, il Wizard legge la proprietà Parametro per diagramma a cascata. Se ci sono degli inserimenti corretti, essi vengono esportati in background e scritti nella banca dati di zenon Analyzer.

Struttura degli inserimenti

A seconda della loro struttura, il sistema decide se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea o sulle macchine.

  • Basati sulle macchine: Struttura con 4 digits, separati da virgola; un punto e virgola alla fine.

    Sintassi: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
    Esempio: MyWaterfall,4,2,#80FF00;

  • Basati sulla linea: Struttura con 7 digits, separati da virgola; un punto e virgola alla fine.

    Sintassi: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];
    Esempio: MyLineAnlaysis,4,2, #80FF00,0,0,0;

Regole di lettura

Per la lettura vale quanto segue:

  • Se ci sono inserimenti per Parametro per diagramma a cascata, gli inserimenti corrispondenti nel campo Identificazione servizio vengono ignorati.
    La struttura è il criterio per stabilire se l´inserimento va considerato a base macchina o a base linea.
  • L´identificazione WF= non è necessaria, ma la si può usare. I singoli elementi di un modello sono separati da virgole. Se ad una variabile sono assegnati più modelli waterfall, un punto e virgola funge da separatore.
  • Se non ci sono degli inserimenti, vengono ripresi quelli corrispondenti dalla proprietà Identificazione servizio. Qui deve essere premessa l´identificazione WF=.
  • Con una versione di zenon precedente alla 7.20, i parametri waterfall vengono ripresi dalla proprietà zenon Identificazione servizio.


Concetto di trasmissione ereditaria

Manuale -> Variabili -> Concetto di trasmissione ereditaria

Trasmissione ereditaria significa che le proprietà di un oggetto vengono trasmesse ad un oggetto derivante da questo oggetto. L´oggetto derivante accetta principalmente tutte le proprietà dell´oggetto di base; possono però essere modificate=sovrascritte tutte le proprietà o in parte.

Esiste anche il contrario, il collegamento. Anche qui il nuovo oggetto ha tutte le proprietà dell´oggetto di base, però nonpossono essere modificate /sovrascritte nell´oggetto di base. Una modifica è possibile solo nell´oggetto di base.

Vale per tutte le due possibilità: Se una proprietà viene modificata nell´oggetto di base, tutti gli oggetti derivanti da questo oggetto di base, accettano questa modifica. Le proprietà individuali quindi non sono salvate nell´oggetto, esiste un riferimento all´oggetto di base.

Eccezione: Appena un valore è stato sovrascritto (modificato) nell´elemento questa proprietà non ha più nessun effetto sull´oggetto di base. Se una proprietà sovrascritta è modificata nell´oggetto di base, questa modifica non ha nessun effetto sull´oggetto trasmesso. Questo vale soltanto per quelle proprietà che hanno perso il loro riferimento all´oggetto base. Tutte le altre proprietà mantengono il loro riferimento con l´oggetto di base. Una proprietà sovrascritta può essere ad ogni momento rimodificata con una proprietà derivante.

Noch in diesem Kapitel

Eredità in zenon

Trasmissione in eredità di proprietà di un tipo di dato con le variabili semplici


Eredità in zenon

Manuale -> Variabili -> Concetto di trasmissione ereditaria -> Eredità in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon gli oggetti base sono i tipi di dato. Tipi di dato semplici come anche le strutture di tipi di dato collegano le loro proprietà alle variabili basate su di loro.

Le variabili rappresentano gli oggetti derivanti dai tipi di dato. Da questi sono trasmessi in ereditarietà principalmente tutte le proprietà. Un´eccezione la troviamo nelle proprietà che

sono impostabili solo con le variabili, come, ad esempio, l'indirizzamento, che non hanno la loro origine in tipi di dato, ma che dipendono dal tipo di oggetto driver.

Nelle strutture esistono gli elementi di struttura. Questi possono essere embedded o collegati . In caso di collegamento accettano tutte le proprietà dal tipo di dato con il quale sono collegati. Tutte le modifiche effettuate sul tipo di dato originario vengono adottate 1:1. Non può però essere sovrascritta nessuna proprietà, dato che è soltanto collegata e non trasmessa in eredità.

Gli elementi di struttura embedded di una struttura di tipo di dato in principio non hanno più nessun riferimento con il loro tipo di dato originario. Sono delle copie, nelle quali tutte le impostazioni possono essere effettuate separatamente. Modifiche al tipo di dato originario non hanno nessun effetto. Elementi di struttura embedded possono essere modificati di nuovo in qualsiasi mo,ento in elementi di struttura collegati e viceversa.

Noch in diesem Kapitel

Trasmissione in eredità nelle strutture di tipi di dato e strutture di variabili


Trasmissione in eredità nelle strutture di tipi di dato e strutture di variabili

Manuale -> Variabili -> Concetto di trasmissione ereditaria -> Eredità in zenon -> Trasmissione in eredità nelle strutture di tipi di dato e strutture di variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Come nelle strutture di variabili funziona allo stesso modo nelle variabili semplici. Solo le proprietà sono da impostare per ogni singolo elemento di struttura. Ogni elemento di una “variabile strutturata” è collegato con un “elemento di struttura” della “struttura di tipo di dato” sul quale si basa la variabile.

Un elemento di struttura a sua volta può essere anche collegato con un tipo di dato.

In tal modo l´elemento di struttura di variabile prende le proprietà dell´elemento di struttura il quale a sua volta è collegato con un tipo di dato.

Diventa ancora più complesso se delle strutture sono utilizzate nelle strutture.

Variabile con una struttura in una struttura

Nell'esempio descritto sopra vediamo la variabile “Motore.Regolatore-giri”. “Regolatore-Giri“ è derivata dalla struttura motore. Questa, a sua volta contiene, l'elemento di struttura “Regolatore-giri”, che è una struttura. Questa struttura è collegata con la struttura motore, dato che le strutture nelle strutture possono solo essere collegate. In questa struttura „Regolatore numero di giri” è collegato il tipo di dato UINT.

Se allora in questo tipo di dato ci sono delle modifiche, queste hanno un effetto diretto sulla variabile “Motore.Regolatore-Giri .valore effettivo numero di giri“.

Anche qui raccomandiamo molta prudenza per le modifiche sui tipi di dato.

Sovrascrivere le proprietà o il ripristino del riferimento al tipo di dato viene effettuato come descritto sopra.


Trasmissione in eredità di proprietà di un tipo di dato con le variabili semplici

Manuale -> Variabili -> Concetto di trasmissione ereditaria -> Trasmissione in eredità di proprietà di un tipo di dato con le variabili semplici

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Alla creazione di una nuova variabile tutte le proprietà sono trasmesse dal tipo di dato. Questa circostanza è segnalata tramite una simbolo di collegamento davanti alla proprietà.

Proprietà derivanti sono riconoscibili tramite una freccia verso l’alto.

In questo esempio, tutte le proprietà provengono dal tipo di dato, tranne “cifre decimali”. Questa è stata sovrascritta nella variabile. Nel caso in cui la proprietà unità di misura venisse modificata nel tipo di dato originario, verrà modificata l´unità di misura in tutte le variabili basate su questo tipo di dato. Questo non vale per quelle variabili le quali proprietà sono state sovrascritte (modificate).

attention Attenzione

Faccia attenzione al fatto, che tutte le modifiche apportate al tipo di dato modificano sempre tutte le variabili basate su questo tipo di dato (ad eccezione che queste proprietà siano state modificate).

Noch in diesem Kapitel

Sovrascrivere le proprietà

Ripristino delle proprietà di un tipo di dato


Sovrascrivere le proprietà

Manuale -> Variabili -> Concetto di trasmissione ereditaria -> Trasmissione in eredità di proprietà di un tipo di dato con le variabili semplici -> Sovrascrivere le proprietà

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Proprietà di variabili possono essere sovrascritte in due modi:

  • La proprietà viene modificata tramite tastiera o mouse. Una volta effettuata la modifica, il riferimento di questa proprietà con il tipo di dato non esiste più.
  • La proprietà viene separata dal tipo di dato tramite il menù contestuale relativo. In questo caso o solo la proprietà selezionata o tutte le proprietà della variabile possono essere separate da questo tipo di dato. (Vedi screenshot!)

Una volta sovrascritta la proprietà il simbolo sparisce. Tutte le modifiche nel tipo di dato non avranno più nessun effetto sulle proprietà sovrascritte di una variabile.


Ripristino delle proprietà di un tipo di dato

Manuale -> Variabili -> Concetto di trasmissione ereditaria -> Trasmissione in eredità di proprietà di un tipo di dato con le variabili semplici -> Ripristino delle proprietà di un tipo di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionate la proprietà sovrascritta e scegliete nel menù contestuale la voce Tutti i valori del tipo di dato oppure solo il '<Nome>' Valore del tipo di dato. Alla proprietà o a tutte le proprietà vengono restituiti i loro simboli di collegamento.


Calcolo valore

Manuale -> Variabili -> Calcolo valore

Il calcolo valore definisce mediante diverse proprietà il campo valore di una variabile.

Isteresi e valore soglia

Valori fluttuanti possono essere neutralizzati facendo uso di diverse proprietà, in modo tale da poter evitare delle reazioni indesiderate come allarmi e inserimenti in archivi. Si differenzia fra:

  • Isteresi: impedisce la trasmissione di valori fluttuanti dal driver alle variabili.
  • Isteresi per archivio: impedisce la generazione di inserimenti archivi nel caso di modifiche fluttuanti di valori relative all´area di misurazione.
  • Valore soglia: impedisce delle reazioni indesiderate, come allarmi nel caso di valori numerici fluttuanti.

Adeguamento non lineare dei valori

Le variabili il cui valore non elaborato (controller) non può essere scalato in modo lineare nel valore misurato (zenon), possono essere adeguate facendo uso della proprietà Adattamento di valori non lineari su macro. I valori non elaborati vengono adeguati mediante delle macro VBA nel PLC e mediante una macro in zenon.
Le macro necessarie devono già esistere nella lista macro di zenon. Le si seleziona usando le seguenti proprietà:

  • AdjustHardwareValue: viene richiamata nel Runtime ogni qualvolta cambia un valore grezzo nel PLC e adegua il valore in zenon.
  • AdjustScadaValue: viene richiamata ogni qualvolta viene settato un valore da zenon; essa adegua il valore grezzo sul PLC.

attention Attenzione

Devono essere configurate entrambe le proprietà. La macro AdjustHardwareValue deve essere creata come funzione inversa rispetto a AdjustScadaValue.

Noch in diesem Kapitel

Isteresi


Isteresi

Manuale -> Variabili -> Calcolo valore -> Isteresi

L´isteresi definisce l´area all´interno della quale il sistema ignora una modifica di valore. In tal modo si vuole evitare che dei valori fluttuanti vengano visualizzati nell´elemento ad immagine e scatenino una continua violazione di valori limite.

In <CD_PRODUCTNAME si possono definire delle isteresi nelle proprietà delle variabili (Calcolo valore/Isteresi) per:

  • calcolo valore delle variabili: proprietà Positiva per il segnale e Negativa per il segnale per risoluzione segnale

    I valori in cambiamento che sono compresi all´interno dell´isteresi, non vengono trasmessi dal driver alla variabile.

  • Inserimento in archivi nel caso di modifica valore: proprietà Positiva per l'archivio e Negativa per l'archivio per area di misurazione

    Valori modificati che sono compresi nell´ambito dell´isteresi non vengono inseriti nell´archivio.

Example Esempio

Un valore limite è definito con 50° C. La temperatura oscilla un po´ normalmente. Per questo motivo, ogni superamento verso il basso o verso l´alto del valore di 50° C causerebbe una violazione del valore limite e dunque provocherebbe un allarme e un inserimento nell´archivio.

Per evitare che ciò accada, si definisce per la variabile l´isteresi:

  • Positiva per il segnale: 2
  • Negativa per il segnale: 2

E per l´archivio l´isteresi:

  • Positiva per l'archivio: 8
  • Negativa per l'archivio: 6

In tal modo:

  • solamente nel caso in cui si superino i 52° o si vada sotto i 48°, il sistema riconoscerà una violazione di valore limite
  • solamente nel caso in cui si superino i 58° o si vada sotto i 44°, il sistema genererà un inserimento di archivio

Nota: Le isteresi che devono solamente evitare il verificarsi di reazioni non volute (come allarmi) a violazioni di valori limite in caso di valori numerici fluttuanti, possono essere realizzate tramite valori soglia.

info Informazioni su

Tenete presente:

  • Non ogni driver supporta le isteresi. Se il Vostro driver supporta le isteresi o meno, lo potete verificare consultando la documentazione del driver in questione.
  • Progetto di integrazione Se si configura un´isteresi per una variabile in un sottoprogetto, ciò non ha nessun effetto se la variabile stessa si trova in un archivio del progetto di integrazione.


Valori limiti

Manuale -> Variabili -> Valori limiti

I valori limite hanno il compito di avviare una reazione al raggiungimento o al superamento di un valore o di uno stato. Il limite è definito di maniera fissa nell´editor oppure si definisce in dipendenza del valore di un´altra variabile nel Runtime. I metodi di reazione sono vari. Ad esempio: Citiamo come esempio il cambio di colore, inserimenti allarme o CEL, stampe, chiamate di funzione ecc. L'esecuzione della reazione viene eseguita inzenon.

La progettazione di

  • valori limite definisce il comportamento per le variabili numeriche
  • Stato definisce il comportamento per le variabili binarie (low, high o logiche 0, 1).

    Nota: per ragioni di validità generale, useremo in seguito anche per lon stato la denominazione di valore limite.

Nel caso in cui fosse necessaria un analisi complementare delle informazioni di stato delle variabili, la relativa progettazione deve essere effettuata tramite matrici di reazione. Possono essere usate delle matrici di reazione anche per valori stringa. Potete trovare delle informazioni dettagliate sulle matrici di reazione nella sezione Matrici di reazione.

Uso con EPLAN

In presenza di un allarme, si può aprire anche un documento EPLAN. A tal scopo si deve disporre anzitutto di una licenza per la connessione EPLAN e il percorso del programma EPLAN deve essere definito nello zenon6.ini.
Configurazione:

  • Inserimento della successione caratteri $PRG:xxxxxx nella proprietà File guida del gruppo Valori limiti

    Nota: xxxxxx è un testo sostitutivo per il parametro che deve essere trasmesso.

  • La proprietà Capitolo guida viene ignorata, ma non può essere vuota.

Per i dettagli vedi il capitolo Apri EPLAN dalla guida nella guida concernente la Guida Runtime.

Noch in diesem Kapitel

Progettazione di valori limite nell'editor

Valori limite durante il runtime

Testo dinamico valore limite


Progettazione di valori limite nell'editor

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con la selezione di una variabile nella sezione liste del manager di progetto vengono visualizzate tutte le proprietà della variabile selezionata nella finestra proprietà.

Per creare nuovi valori limiti, clicchi su Nuovo limite. Ogni volta che clicca su inserisci valori limite viene inserito un nuovo valore limite (valore limite 1, valore limite 2 ….) nella lista dietro.

Tutte le opzioni per la progettazione di valore limite si trovano nella finestra proprietà e sono descritte nella guida delle proprietà. Questa guida specifica viene automaticamente visualizzata ogni volta alla selezione di una proprietà.

Può essere definito per ogni variabile un numero qualsiasi di limiti.

Apra adesso la lista cliccando sul segno + davanti alla proprietà “Valori limite”. Tutti i valori limite generati sono elencati in questa lista. Se seleziona adesso un valore limite facendo un clic con il mouse, si apre la lista delle proprietà di valore limite da definire.

Noch in diesem Kapitel

Tempo di ritardo:

Valore soglia

Derivazione di valori limite da tipi di dato

Selezione multipla

Cancellazione di valori limite

Valori limiti sovrapposti

Anteprima valori limite


Tempo di ritardo:

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Tempo di ritardo:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tramite la proprietà Tempo di ritardo [s], si può progettare nelle proprietà per il valore limite un valore per un tempo di ritardo. Questo valore definisce l´intervallo in secondi per cui deve esistere una violazione di valore limite perché vengano attivate le azioni definite per la violazione stessa.
Valore di default: 0 - : nessun ritardo.

Valore massimo: 4294967295 secondi

Il tempo di ritardo vale indipendentemente in quale direzione il valore limite viene violato.

Esempio:

  • Progettazione
    • Valore limite 1 è settato sul valore 50.
    • Valore limite 2 è settato sul valore 100.
    • Il tempo di ritardo è di 3s.
  1. Il valore sale a 110.
    • Dopo che la violazione è durata per 3 secondi, essa viene visualizzata per il valore 100.
  2. Il valore scende a 70.
    • Non appena questo valore è durato per 3 secondi, viene disattivato l´allarme per la violazione di valore limite 100 e viene visualizzata una violazione per il valore 50.
  3. Se il valore scende a 40, viene disattivato l´allarme dopo 3 secondi.

Timestamp e valore

Come dato data/ora per la violazione del valore limite nella AML e nella CEL viene inserito il punto temporale della prima violazione.
Come valore, il sistema inserisce il primo valore dopo il tempo di ritardo, quindi non il valore che ha provocato l´allarme.

Legenda:

Cifra

Descrizione

1

Momento del superamento del valore limite.

Avvio del tempo di ritardo progettato.

Valore scatenante.

2

Fine del tempo di ritardo progettato. Allarme in entrata:

  • Tempo: Momento della violazione del valore limite (1)
  • Valore visualizzato valore dopo il tempo di ritardo (2)

attention Attenzione

In combinazione con Lampeggio, questa proprietà ha effetto in rete nel modo seguente:

  • Valore limite con lampeggio e senza ritardo:
    Gli elementi collegati lampeggiano sul server e sui client.
  • Valore limite con lampeggio e ritardo:
    Gli elementi collegati lampeggiano solo sul server e non sui client.
  • Allarme con lampeggio e senza ritardo:
    Gli elementi collegati lampeggiano sul server e sui client.
  • Allarme con lampeggio e ritardo:
    Gli elementi collegati lampeggiano sul server e sui client.


Valore soglia

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Valore soglia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I cosiddetti valori soglia impediscono il verificarsi di reazioni non desiderate a valori numerici fluttuanti. Essi generano una isteresi di valore limite. In questo caso il valore limite all´inizio della violazione è un altro al momento della fine della violazione stessa.

Ad esempio: valore limite max. a 100, valore soglia 10. Non appena il valore della variabile raggiunge 100, siamo in presenza di una violazione del valore limite stesso. Se il valore cade a 95, non avviene nessuna reazione. Solo quando il valore cade a 89, la violazione del limite sarà terminata.

I valori soglia possono essere settati sia per definire un valore massimo che minimo. Nel caso del massimo, il valore soglia si muove verso il basso, nel caso del minimo, verso l´alto.
Esempio valore massimo: valore massimo 900, soglia=10 = 890
Il valore limite è violato a partire dal valore 900 e lascia il livello critico, quando il valore risulta inferiore a 890.
Esempio valore minimo: valore minimo = 900, valore soglia = 10, = 910
Il valore limite è violato sopra il valore 900 e lascia il livello critico, quando il valore risulta superiore a 910.
A differenza dell'isteresi, questa proprietà non influenza la rappresentazione del valore, ma solo il comportamento dell'allarme.


Derivazione di valori limite da tipi di dato

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Derivazione di valori limite da tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I valori limite possono essere già definiti con i tipi di dato. I valori limite progettati sono a disposizione in tutte le variabili che sono basate sul rispettivo tipo di dato. Viene adottato anche qui il concetto di trasmissione ereditaria come descritto più in alto: Tutte le proprietà si comportano come il tipo di dato e possono essere sovrascritte per ogni singola variabile. In tal modo un valore limite può essere disattivato per ogni singola variabile in modo selettivo. Un valore limite derivante da un tipo di dato non può essere cancellato in una variabile (può essere cancellata solo con il tipo di dato). Possono essere aggiunte però ad una variabile anche ulteriori valori limite. Questi valori limiti specifici della variabile invece possono essere cancellati nella variabile stessa.

Potete trovare delle informazioni dettagliate sui tipi di dato nella sezione Tipi di dato.


Selezione multipla

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Selezione multipla

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Alla simultanea selezione di più variabili possono essere modificate anche le proprietà di più valori limite nello stesso tempo. Se una delle variabili selezionate non possiede il valore limite da modificare, questo non viene neanche generato.

Con la funzionalità Multi-select le proprietà comuni delle variabili sono rappresentate in colore rosso nella finestra della proprietà. (Viene visualizzata la proprietà della prima variabile selezionata.) Se ci sono delle proprietà che non sono in comune con le variabili scelte (es. val. limiti), esse sono rappresentate in colore giallo.


Cancellazione di valori limite

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Cancellazione di valori limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Cliccate nelle proprietà-valore limite su "cancella valore limite".


Valori limiti sovrapposti

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Valori limiti sovrapposti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I valori limiti analogici possono già essere progettati in maniera sovrapposta. zenon riconosce automaticamente quale valore limite è valido in quel momento.

Example Esempio

Valore limite 1 (Massimo) configurato a 100. Valore limite 2 (Massimo) configurato a 200. Se la variabile raggiunge nel funzionamento online un valore da 100 fino a 199 viene violato il valore limite 1. Se il valore raggiunge o sorpassa il valore 200 avviene una violazione del valore limite 2.


Anteprima valori limite

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Anteprima valori limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I valori limite per una variabile, oppure per un tipo di dato semplice, nonché le matrici di reazione collegate, possono essere visualizzate in una finestra di dialogo di anteprima.
L´apertura della visualizzazione avviene per:

  • Per le variabili, i tipi di dato semplici e le matrici di reazione: alla voce "valori limiti".
  • Per gli elementi d'immagine: in corrispondenza delle rispettive proprietà per colori, Glow, lampeggio o visibilità, sempre che queste siano definite usando variabili.

Visualizza anteprima del valore limite

Per visualizzare l´anteprima del valore limite, aprite la finestra di dialogo tramite la proprietà corrispondente:

Elemento

Gruppo di proprietà

Proprietà

Elementi d´immagine

Lampeggio

Visualizza anteprima lampeggio

Elementi d´immagine

Colore(i) riempimento dinamico(i)

Visualizza anteprima colori per Colore linea

Visualizza anteprima colori per Colore sfondo / riempimento

Visualizza anteprima colori per Sfumatura colore

Elementi d´immagine

Effetto glow (solo DirectX)

Visualizza anteprima colori per Variabile colore

Visualizza anteprima visibilità per Variabile per visibilità

Visualizza anteprima lampeggio per Variabile lampeggio

Elementi d´immagine

Visibilità

Visualizza anteprima visibilità

Variabili
e
tipi di dato semplici

Valori limiti

Anteprima limiti

A seconda del tipo di definizione del valore limite (via valori limite o matrici di reazione), si apre la finestra di dialogo corrispondente:

  • Anteprima valori limite
  • Anteprima stati della matrice di reazione

Noch in diesem Kapitel

Finestra di dialogo Anteprima del valore limite

Finestra di dialogo Anteprima stati della matrice di reazione


Finestra di dialogo Anteprima del valore limite

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Anteprima valori limite -> Finestra di dialogo Anteprima del valore limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Finestra di dialogo Anteprima del valore limite

L´anteprima visualizza delle informazioni concernenti i valori limite configurati: La proprietà Matrice di reazione non deve contenere nessun collegamento.

Parametri

Descrizione

Anteprima limiti

Visualizzazione dei valori limite definiti con le seguenti proprietà:

  • Min/Max
  • Testo valore limite
  • Colore
  • Lampeggio
  • Invisibile
  • Valore limite

Configurazione non possibile.

Ok

Chiude il dialogo

Annulla

Chiude il dialogo

Guida

Apre la guida.


Finestra di dialogo Anteprima stati della matrice di reazione

Manuale -> Variabili -> Valori limiti -> Progettazione di valori limite nell'editor -> Anteprima valori limite -> Finestra di dialogo Anteprima stati della matrice di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se è stata selezionata una matrice di reazione per i valori limite, quelli predefiniti vengono disattivati. L´anteprima mostra delle informazioni concernenti la matrice di reazione collegata.

Parametri

Descrizione

Anteprima matrice di reazione

Visualizza la matrice di reazione selezionata con le seguenti informazioni:

  • Valore
  • Stato
  • Colore
  • Invisibile
  • Lampeggio
  • Testo valore limite

Configurazione non possibile.

Ok

Chiude il dialogo

Annulla

Chiude il dialogo

Guida

Apre la guida.


Valori limite durante il runtime

Manuale -> Variabili -> Valori limiti -> Valori limite durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon reagisce in caso di variabili binarie al raggiungimento dello stato (fronte positivo). In caso di variabili numeriche avviene la reazione al raggiungimento e superamento del valore massimo impostato (maggiore uguale operazione) oppure se il valore va al di sotto del valore minimo impostato (minore uguale operazione.). Si parla allora di una violazione di valore limite.

info Informazioni su

Nel caso delle variabili binarie ci sono due valori limite, un valore limite "min" e uno "max". Vale quanto segue: indicare come valore limite 1 il "valore limite MIN", come valore limite 2 quello MAX.

Nel calcolo dei valori limite di variabili numeriche, se non viene definito in altro modo mediante 'l'adattamento valore non lineare', il valore grezzo delle variabile (risoluzione del segnale) viene ricalcolato per l'uso nel sistema di controllo sempre in modo lineare nell'area di misurazione.

Esempio: Un sensore della temperatura trasmette il suo valore al PLC. La variabile Byte corrispondente ha una risoluzione di 0...255. In zenon, la variabile assegnata ha un'area di misurazione di 0...100. Da ciò consegue:

Hardware | Sistema di controllo
0 | 0
127 | 50
255 | 100

Ad una nuova partenza di zenon, se un valore limite viene violato, la reazione viene eseguita subito al momento della partenza.

Eccezione: Se per la reazione è definito un inserimento allarme oppure CEL viene prima verificato se questo inserimento è già presente nella rispettiva lista. Se questo è il caso,non viene eseguito nuovamente l´inserimento allarme / CEL. In tal modo vengono evitati inserimenti duplici. L´esecuzione dell´altra reazione viene effettuata comunque.

attention Attenzione

Può essere attivo sempre solo un valore limite alla volta.

Trova dettagli sulla conversione dall'area di risoluzione nell'area di misurazione nell’help della finestra proprietà sotto “Valore”.

Noch in diesem Kapitel

Fine della violazione del valore limite


Fine della violazione del valore limite

Manuale -> Variabili -> Valori limiti -> Valori limite durante il runtime -> Fine della violazione del valore limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se un valore limite è stato violato, un cambio di valore entro l´area del limite non provoca nessuna nuova reazione.

Ad esempio: Un valore limite è definito da 100-200. Se il valore cambia da 110 a 115 non avverrà nessun altra reazione. Se il valore cambia verso 210 avviene un'altra reazione dovuta al prossimo valore limite.

In tal modo possono essere vietate delle reazioni indesiderate causate da valori numerici instabili tramite Valori soglia.


Testo dinamico valore limite

Manuale -> Variabili -> Valori limiti -> Testo dinamico valore limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili (anche a Matrice de reazione). E' possibile collegare anche un testo fisso mediante l'uso di un indice con le parole chiavi di una tabella lingua (vandi anche Uso di parole chiave in liste di testi). Questo testo del valore limite può essere poi visualizzato nella Lista allarmi, nella Lista eventi cronologica oppure nella riga di stato. Nell'elemento dinamico Collega testo e nell'elemento dinamico Elemento di stato non può essere visualizzato il testo dinamico del valore limite.

Sintassi

Per la parametrizzazione del Testo Valore Limite vale la seguente nomenclatura:

Parametri | Descrizione
$ | Identificazione per un testo di valore limite dinamico; questo segno deve essere inserito nel primo spazio (all'inizio) del testo stesso.
; | separatore per istruzioni Utilizzato per la separazione delle parti di testo costanti dalle parti di testo dinamiche. Nel caso della separazione con la variabile, non deve esserci nessuno spazio vuoto fra il segno di separazione e la variabile stessa.
@Testo | Testo della tabella lingua attualmente caricata.
%PV | Valore du un'altra variabile con il nome „PV“
@Text+%PV: | Parola chiave composta per il testo della tabella lingua attualmente caricata. Viene salvato il valore della variabile "PV" e il sistema cerca al momento di visualizzarla un testo della tabella lingua che si compone di "Text" e valore della variabile.

Questa codificazione di testo funziona solo ed esclusivamente nella Lista allarmi o nella Lista eventi cronologica. Essa non funziona negli elementi di testo. Grazie all'uso di parole chiave composte, sono possibili dei testi valore limite dinamici di una lunghezza superiore a 80 caratteri.

Example Esempio 1

Testo valore limite = $@Text; X-Pos ;%Wert1; Y-Pos ;%Wert2

Valgono i presupposti:

  • @Text è una parola chiave nella tabella lingua corrispondente a „Testo dalla tabella“
  • Wert1 è una variabile integer con il valore 14
  • Wert2 è una variabile integer con il valore 12

Emissione = Testo dalla tabella X-Pos 14 Y-Pos 12

Example Esempio 2

$AUS in Stellung ;%String1

Valgono i presupposti:

  • %String1 è una variabile string con il contenuto „ORT“

Emissione = AUS in posizione ORT

Example Esempio 3

$%@message_+Valore1
Valgono i seguenti presupposti:

  • @Meldung_ è una parte di una parola chiave nella tabella lingua.
  • Wert1 è una variabile integer con il valore 12

Con la parola chiave composta, ne deriva la parola chiave „Meldung_12“ e il testo corrispondente della tabella lingua viene visualizzato.

Example Esempio 4

$%@message_+String1
Valgono i seguenti presupposti:

  • @Meldung_ è una parte di una parola chiave nella tabella lingua.
  • String1 è una variabile string con il contenuto „zenon“.

Con la parola chiave composta, ne deriva la parola chiave „Message zenon“ e il testo corrispondente della tabella lingua viene visualizzato.

Limitazioni a causa testi di valori limite dinamici.

Salvare i testi dei valori limite dinamici porta ad alcune limitazioni:

  1. testo statico viene salvati nel settore di memoria per il valore limite:
    al massimo 1024 caratteri.
  2. I valori delle variabili collegate vengono salvati nel settore di memoria per il testo commento:
    al massimo 80 caratteri e al massimo 3 variabili.
  3. Se vengono utilizzati testi di valori limite dinamici, non possono essere inseriti dei commenti per questi allarmi.

Queste limitazioni possono essere evitate:

Evitare queste limitazioni mediante lunghi testi di valori limite dinamici.

Valori di variabili per testi di valori limite dinamici possono essere esportati in un file proprio.

Condizione: Nelle proprietà del progetto sono nel gruppo Lista informazioni allarmi la proprietàTesti lunghi per valori limiti - AML e nel gruppo Lista eventi cronologica la proprietà Testi lunghi per valori limiti - CEL attiva.
Invece che nel campo riservato al commento, i valori vengono salvati in un file proprio.

In linea di principio, per il valore limite sono a disposizione 1032 byte. Per ogni variabile collegata nel testo di valore limite, viene sottratto da questa quantità un certo numero di byte. Tale quantità dipende dal tipo di dato. Perciò, se si usano molte variabili collegate nel testo dinamico di valore limite, si ridurrà in modo corrispondente il numero dei caratteri a disposizione.

Esempio 1: Valore limite con una variabile stringa:
Dei 1032 byte

  • vengono utilizzati per le informazioni di struttura 9 byte
  • 1023 Byte rimangono per il contenuto della variabile stringa.

Esempio 2: Valore limite dinamico con due variabili stringa:
Dei 1032 byte

  • vengono utilizzati per le informazioni di struttura 18 byte (2 x 9 byte)
  • 1014 byte rimangono per il contenuto delle due variabili stringa.

Avvertenza:

  • Non esiste alcuna limitazione per il numero consentito di variabili per testo di valore limite.
  • La quantità di byte necessari per le informazioni di struttura dipende dal tipo di dato.
  • I nomi dei file per i file da creare sono Dxxx.aml e Dxxx.cel.
  • Per il buffer circolare vengono salvate le ulteriori informazioni in aml.bin e cel.bin.

Testi erronei nel runtime

Parametri | Descrizione
XXX | la variabile per la quale è disponibile un valore, ha subito una modifica
--- | Il valore della variabile non è ancora presente (possibile all’avviamento del programma).
>>> | Il numero massimo consentito di caratteri per il testo di valore limite dinamico è stato superato.

Noch in diesem Kapitel

Parole chiave dinamiche in testi di valori limite


Parole chiave dinamiche in testi di valori limite

Manuale -> Variabili -> Valori limiti -> Testo dinamico valore limite -> Parole chiave dinamiche in testi di valori limite

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Allarmi di variabili booleane in caso di segnalazioni multiple non danno informazioni sul motivo di attivazione dell'allarme. Per far sì che il testo di valore limite esprima nonostante questo la causa dell´allarme, la causa stessa può essere trasmessa con l´aiuto di una variabile index. Facendo uso del testo dinamico di valore limite, il sistema cerca nella tabella lingua (vedi capitolo Cambio lingua) il testo corretto e lo visualizza. Come parola chiave non ne viene usata una fissa, ma una dinamica. Essa si compone di prefisso+valore della variabile index: %@errornr+mIndex

È possibile usare delle parole chiave a più dimensioni (diversi indici).
Ad esempio: testo fisso; @Motorfehler%meinIndex1-%meinIndex2 diviene nel runtime, per esempio, @Motorfehler4-67. Il sistema cerca questa parola chiave nella tabella lingua e visualizza il testo corrispondente.

Esempi

Esempio 1

$@error in module: ;%moduleNr;@error type: ;%@errornr+mIndex;

Spiegazione:

$ definisce un testo dinamico di valore limite.

@error in module: una normale parola chiave tratta dalla tabella lingua

%moduleNr: viene sostituito nel runtime dal valore della variabile ModuleNr (funzionalità del testo dinamico di valore limite)

@error type: una normale parola chiave tratta dalla tabella lingua

@errornr: la prima parte della parola chiave dinamica

+mIndex: viene sostituito nel runtime con il valore della variabile mIndex, e completa la parola chiave @errornr

Risultato:

valore di mIndex | Parola chiave
1 | @errornr1
2 | @errornr2

Esempio 2: Stringhe

$%@Meldung_+Index_UINT_001;/;%@Ursache_+Index_STRING_004

Se Index_UINT_001 ha il valore 4 e Index_STRING_004 quello 'Feuer', il sistema cerca i testi Meldung_4 e Ursache_Feuer nella tabella lingua e li visualizza nella AML/CEL.


Matrici di reazione

Manuale -> Variabili -> Matrici di reazione

E' possibile definire delle informazioni su valori limite in sede centrale utilizzando una matrice di reazione (abbreviazione: Rema).
Se, ad esempio, deve essere eseguito lo stesso controllo per diversi stati di riempimento, ciò può essere definito in un'unica matrice di reazione. Ciò consente, ad esempio, di modificare il valore inferiore a livello centrale.

Vantaggi nei confronti di valori limite:

  • le matrici di reazione sono utilizzabili più volte. Una matrice di reazione può anche essere collegata con più variabili, che si possono basare su differenti tipi di dato.
  • Matrici di reazione per variabili numeriche possono trattare ogni modifica del valore di variabile come nuova violazione di valore limite. Per i valori limite questo non è possibile.
  • Per mezzo delle matrici di reazione si possono interrogare anche stato come, per esempio, Invalida (vedi Modifica di stato). Ciò non è possibile con valori limite.

Potete trovare delle informazioni dettagliate sui valori limite nella sezione Valore limite.

Noch in diesem Kapitel

Creazione di una matrice di reazione

Editare una matrice di reazione

Collegare matrici di reazione con variabili o tipi di dato

Tipi di matrici di reazione

Testi valore limite dinamici nelle matrici di reazione

Stati in caso di modifica del valore e tempo di ritardo

List of status bits


Creazione di una matrice di reazione

Manuale -> Variabili -> Matrici di reazione -> Creazione di una matrice di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezioni „Matrice di reazione“ sotto “Variabili” nel Manager di progetto ed apra il menu contestuale con il tasto destro del mouse. Selezioni Nuova Matrice di reazione....

Nel box di dialogo che si apre inserisca il nome ed il tipo della matrice di reazione. Tenete presente che questa attribuzione non sarà più modificabile in seguito. Il nome può essere modificato anche più tardi.

I singoli tipi della matrice di reazione possono essere utilizzati nel modo seguente:

Parametri | Descrizione
Binario | Evacuazione di stati discreti (Orientati a bit)
Numerico | Valutazione di stati analogici (orientati valore)
Multi binaria | Analisi estesa di variabili a 32 bit; i primi 16 bit determinano il valore della variabile e vengono trasmessi come numero; manovra di bit di stato; funzione speciale (disattivare variabili a bit di stato settato)?(progettazione dati protetti - solamente SAT)
Multi analogica | Analisi estesa con simultanea gestione di stato e funzione speciale (disattivare variabili a bit di stato settato)
String | Valutazione di stati per variabili stringa


Editare una matrice di reazione

Manuale -> Variabili -> Matrici di reazione -> Editare una matrice di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per modificare una matrice di reazione:

  • selezionate anzitutto la matrice di reazione nella visualizzazione dettagliata;
  • scegliete poi nel menù contestuale che si aprirà il comando desiderato;

Menù contestuale Visualizzazione dettagliata Matrice di reazione

Parametri | Descrizione
Nuova matrice di reazione | Crea una nuova matrice di reazione.
Configurazione | Apre il dialogo per la configurazione della matrice di reazione.
Copia | Copiare la matrice di reazione selezionata
Inserisci | Inserire la matrice di reazione copiate o tagliata
Elimina | Cancellare la matrice di reazione selezionata
Esporta selezione in XML | Esporta tutte le matrice di reazione selezionate in un file XML.
Elimina tutti i filtri | Elimina tutte le impostazioni di filtro
Modifica celle selezionate | Apre la cella che serve per apportare delle modifiche, sempre che essa possa essere modificata nella lista.
Proprietà | Apre la finestra proprietà.
Guida | Apre la guida online

Dialogo stati e reazioni

Cliccando su Configurazione si apre il dialogo che serve alla configurazione degli stati. Le possibilità di configurazione dipendono dal tipo di matrice di reazione.

Nella lista Stati possono essere selezionati e modificati anche diversi stati. Diverse impostazioni vengono evidenziate grazie allo sfondo rosso, oppure ad una cornice rossa.

Suggerimento: in questo modo potete modificare contemporaneamente stato e valori di più stati.

Menù contestuale Stati

Nella finestra liste "Stati" sono a disposizione i seguenti comandi nel menù contestuale:

Comando | Descrizione
Nuovo stato. | Crea un nuovo stato sulla base di quello attualmente selezionato.
Nuovo sottostato | Solo per multi-binarie: crea un nuovo sottostato per quello attualmente selezionato.
Copia | Copia lo stato selezionato negli appunti Nota Multi-binarie: è possibile copiare solo degli stati principali. I sottostati vengono copiati con quelli principali.
Incolla | Incolla lo stato selezionato proveniente dagli appunti
Elimina | Cancella lo stato selezionato dalla lista. Lo stato di default non può essere cancellato.
Test | Apre il dialogo che serve a testare lo stato.
In su | Sposta gli inserimenti selezionati verso l´alto. (Possibile anche per Drag & Drop.)
In giù | Sposta gli inserimenti selezionati verso il basso (Possibile anche per Drag & Drop.)
Guida | Apre la guida in linea relativa alla matrice di reazione corrispondente.

Impostazioni generali e definizione dei valori li trovate nella relativa matrice di reazione:

  • Binario
  • Numerico
  • String
  • Stati multi-binari e reazioni
  • Stati multi-numerici e reazioni

info Informazioni su

Nel caso in cui si avvii un aggiornamento progetto runtime o un cambio server-standby, le segnalazioni di ritorno in attesa o le conferme di scrittura vengono rifiutate.


Collegare matrici di reazione con variabili o tipi di dato

Manuale -> Variabili -> Matrici di reazione -> Collegare matrici di reazione con variabili o tipi di dato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A variabili e tipi di dato si possono collegare matrici di reazione invece che valori limite.

Per collegare una matrice di reazione:

  1. Selezionate la variabile desiderata, oppure il tipo di dato desiderato.
  2. Passate al gruppo delle proprietà Valori limiti.
  3. Cliccate in corrispondenza della proprietà Matrice di reazione sul pulsante ....
  4. Si apre la finestra di dialogo per la selezione e la configurazione di matrici di reazione
  5. Selezionate la matrice di reazione desiderata.
  6. Chiudete il dialogo cliccando su OK.

Nota: per rimuovere una matrice di reazione collegata in precedenza, cliccate nella finestra di dialogo su Nessuna selezione.

info Informazioni su

Se collegate un tipo di dato ad una matrice di reazione, tutte le variabili che sono state create sulla base di questo tipo di dato, usano automaticamente questa matrici di reazione.

Finestra di dialogo Selezione matrice di reazione

Questa finestra di dialogo consente di selezionare una matrice di reazione per una variabile o un tipo di dato. Per ogni matrice di reazione esistente viene visualizzato:

  • Nome
  • Tipo
  • Numero di stati configurati
  • Applica in AML
  • Applica in CEL
  • Se c´è una funzione collegata.
  • Se il lampeggio è attivo i disattivato.

Si può usare questa finestra di dialogo anche per configurare delle matrici di reazione, o per crearne delle nuove. Non è però possibile cancellare delle matrici di reazione.

Parametri

Descrizione

Lista progetti

Mostra il progetto attivo. Solo le matrici di reazione di questo progetto possono essere collegate.

Lista delle matrici di reazione

Lista delle matrici di reazione già configurate nel questo progetto. Per ogni matrice di reazione sono visualizzate delle informazioni riguardanti nome, tipo e configurazione.

Selezione cliccando sulla matrice di reazione e poi su OK.

La lista può essere visualizzata in forma filtrata. A tal scopo, digitate il criterio di filtro nell´apposito campo. Possono essere usati i caratteri jolly * e ?.

Le matrici di reazione possono essere configurate, copiate e create facendo uso della barra degli strumenti, oppure del menù contestuale.

Le si può anche rinominare. Per rinominare una matrice di reazione, cliccate due volte lentamente nella cella Nome, oppure evidenziate la cella e premete il tasto F2.

Nessuna selezione

Cliccando si rimuove il collegamento esistente e si chiude la finestra dialogo.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
Guida | Apre la guida online.

Barra simboli e menù contestuale

Le azioni per le matrici di reazione contenute nella finestra di dialogo Selezione matrice di reazione possono essere eseguite mediante la barra degli strumenti e il menù contestuale.

Simbolo/Comando | Descrizione
Nuova matrice di reazione | Apre la finestra di dialogo che serve a creare una nuova matrice di reazione.
Configurazione | Apre la finestra di dialogo per la configurazione della matrice di reazione selezionata.
Copia | Copia la matrice di reazione selezionata negli appunti. Nota: si possono selezionare più matrici di reazione contemporaneamente al fine di copiarle.
Incolla | Inserisce le matrici di reazione copiate nella lista.
Rimuovi tutti i filtri | Elimina tutti i filtri settati.


Tipi di matrici di reazione

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono 5 tipi di matrici di reazione:

  • Binario
  • Numerico
  • String
  • Multibinaria
  • Multi analogica

Per i tipi Multi-binaria e Multi-numerica possono essere configurati anche Testo AML/CEL, Gestione stato e Trattamento variabile.

Noch in diesem Kapitel

Binario

Numerico

String

Matrice di reazione multipla in generale

Test


Binario

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Binario

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una matrice di reazione binaria viene utilizzata per l’analisi di qualsiasi bit di stato di variabili digitali. La valutazione è orientata bit. Anche variabili analogiche possono essere analizzate in questo modo.

Parametri | Descrizione
Stati | Lista degli stati progettati con valore, stato e causa di trasmissione.
Nuovo stato | Crea un nuovo stato sulla base di quello attualmente selezionato.
Nuovo sottostato | Solo con multi binarie: crea un nuovo sottostato per quello attualmente selezionato.
Elimina | Cancella tutti gli stati selezionati dalla lista.
Test | Apre la finestra di dialogo che serve a testare lo stato.
In su | Sposta lo stato selezionato verso l´alto.
In giù | Sposta lo stato selezionato verso il basso.
Stato | Selezione dello stato
Causa di trasmissione | Ulteriore stato per causa di trasmissione (COT) secondo il protocollo IEC 60870. I dettagli a questo proposito li trovate nel capitolo Causa di trasmissione nella parte della guida dedicata all´Elaborazione stato.

Funzione

Funzione | Apre il dialogo per il collegamento di una nuova funzione. Una funzione già collegata può essere deselezionata in questa finestra di dialogo usando pulsante Nessuna selezione.
Chiama da pulsante nella pagina allarmi | Disponibile solamente se è stata attivata in AML/CEL l´opzione Come allarme. Attiva: La funzione viene aperta tramite AML.

Attributi aggiuntivi

Parametri

Descrizione

Colore

Colore in caso di violazione di valore limite.

Lampeggio

Attivo: Lampeggio in caso di violazione di valore limite

Invisibile

Attivo: In caso di violazione di valore limite si passa a invisibile.

File-guida

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un file di help nel formato chm. Questo file deve essere già stato impostato nel manager di progetto, nel nodo File/Guida.

Nel Runtime, il file della guida collegato viene aperto se:

  • si è inserito un capitolo della guida
  • è selezionato l´allarme corrispondente nella lista di informazione allarmi e
  • si clicca sul pulsante Apri help

Nota: questa proprietà può essere configurata solamente se è attiva la proprietà Come allarme.

Capitolo guida

Indicazione del capitolo della guida. Questo campo deve contenere un inserimento se si vuole che si apra la guida in linea durante il Runtime.

Nota: è a disposizione solo se è attiva la proprietà Come allarme.

Informazioni aggiuntive 1

Nel Runtime, l´informazione aggiuntiva indicata in questa sede può essere analizzata in una macro VBA.

Informazioni aggiuntive 2

Nel Runtime, l´informazione aggiuntiva indicata in questa sede può essere analizzata in una macro VBA.

AML/CEL

Parametri | Descrizione
Come allarme | Attivo: Viene inserita in AML.
Con ripristino | Questa opzione è disponibile solo se è attiva Come allarme. Attivo: Obbligo di ripristino.
Commento richiesto | Per ripristinare l´allarme, si deve anzitutto inserire un commento. L'utente, però, deve essere in possesso dell´autorizzazione funzione necessaria.
Con cancellazione | Questa opzione è disponibile solo se è attiva Come allarme. Attivo: Obbligo di cancellazione.
Stampa | Questa opzione è disponibile solo se è attiva Come allarme. Attivo: La stampa avviene facendo uso della stampante impostata come standard.
Nella CEL | Attivo: Viene inserita nella CEL. Suggerimento: se già il valore iniziale (il primo valore che arriva dal PLC) o quello dell´avvio del Runtime violano il valore limite, oppure se per questa ragione è attivo lo stato Rema, non viene generato nessun inserimento nella CEL. Solo quando la violazione del valore limite è stata rettificata e si verifica ancora, oppure lo stato non è attivo e poi si attiva, viene generato un inserimento nella CEL.
Gruppo allarmi/eventi | Assegnazione ad un gruppo allarmi/eventi.
Classe allarmi/eventi | Assegnazione ad una classe allarmi/eventi.

Valore

Parametri | Descrizione
Valore | Inserimento del valore
Testo valore limite | Testo che viene emesso in caso di violazione di un valore limite.
Tempo di ritardo: | Tempo per il quale deve durare la violazione del valore limite prima che quest´ultimo diventi attivo.
Numero di stati per contatore nel driver matematico | Assegnazione di uno fra quattro possibili numeri di stato per un contatore nel driver matematico . A tal scopo, la variabile deve disporre di una matrice di reazione.

Attivando le caselle delle opzioni si definisce una combinazione di valori e/o di condizioni e di stato. Il valore di stato è il valore di origine con cifratura binaria delle variabili binarie. Non viene considerato il valore convertito nell´area di misurazione (adattamento di valore lineare resp. non-lineare) !

L'attribuzione bit è:

Stato: |
Bit valore raw "0" | 2^0 = 1
Bit valore raw "1" | 2^1 = 2
Bit valore raw "2" | 2^2 = 4 ....

Sono possibili 2 collegamenti. Il significato delle caselle è :

Stato: |
Non rilevante: | Punto, non settato
Verifica su “0” | Verificare se il bit ha il valore logico “0”
Verifica su “1” | Verificare se il bit ha il valore logico “1”

L’ordine della progettazione è decisivo per la successiva applicazione. Quando si esegue la matrice di reazione nel funzionamento online, il controllo della combinazione di stato parte dalla riga superiore. Si prosegue con il controllo fino alla riga che soddisfa le condizioni impostate. Tutte le altre condizioni non si controllano più. Se nessuna riga soddisfa lo stato attuale delle variabili, vale lo stato default. In questo modo è possibile definire un criterio di priorità per i testi di valore limite della lista eventi cronologica, dell’allarme e della lista allarmi. La verifica del valore di stato viene effettuata nello stesso modo come la verifica di stato della variabile.

Analisi

Nelle variabili binarie viene discriminato solo il bit 0. Gli altri bit non vengono considerati. Nelle variabili 8 bit (tipo di dato IEC, SINT, USINT) vengono discriminati i bit da 0 fino a 7.

Esempio | (segnalazione singola con controllo disturbi)
Verificare INVALID-Bit settato | ................, ............1...
Verifichi se Bit= è settato | ...............0, ................
Verifichi se Bit è settato | ...............1, ................

Nell’esempio sopra riportato si conclude il controllo INVALID-Bit presente indipendentemente dallo stato della singola segnalazione (variabile disturbata) dopo la prima riga. Le attribuzioni delle variabili (allarme, lampeggio, CEL etc.) sono gestite esclusivamente da questa condizione. Se lo stato INVALID-Bit non è più presente si eseguono le altre righe. Per modificare l’ordine delle righe, si seleziona la rispettiva riga e si attivano i pulsanti Nuovo, Elimina, in sùu e in giù.


Numerico

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Numerico

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Unamatrice di reazione numerica viene utilizzata per l’analisi di qualsiasi stato di valore limite e bit di stato delle variabili. Al contrario alla matrice di reazione binaria,la discriminazione degli stati avviene attraverso valori numerici. Non il valore di origine viene considerato per l'analisi ma il valore convertito nell´area di misurazione (dopo adattamento di valore lineare o non lineare).

Parametri | Descrizione
Stati | Lista degli stati progettati con valore, stato e causa di trasmissione.
Nuovo stato | Crea un nuovo stato sulla base di quello attualmente selezionato.
Nuovo sottostato | Solo con multi binarie: crea un nuovo sottostato per quello attualmente selezionato.
Elimina | Cancella tutti gli stati selezionati dalla lista.
Test | Apre la finestra di dialogo che serve a testare lo stato.
In su | Sposta lo stato selezionato verso l´alto.
In giù | Sposta lo stato selezionato verso il basso.
Stato | Selezione dello stato
Causa di trasmissione | Ulteriore stato per causa di trasmissione (COT) secondo il protocollo IEC 60870. I dettagli a questo proposito li trovate nel capitolo Causa di trasmissione nella parte della guida dedicata all´Elaborazione stato.

Funzione

Funzione | Apre il dialogo per il collegamento di una nuova funzione. Una funzione già collegata può essere deselezionata in questa finestra di dialogo usando pulsante Nessuna selezione.
Chiama da pulsante nella pagina allarmi | Disponibile solamente se è stata attivata in AML/CEL l´opzione Come allarme. Attiva: La funzione viene aperta tramite AML.

Attributi aggiuntivi

Parametri

Descrizione

Colore

Colore in caso di violazione di valore limite.

Lampeggio

Attivo: Lampeggio in caso di violazione di valore limite

Invisibile

Attivo: In caso di violazione di valore limite si passa a invisibile.

File-guida

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un file di help nel formato chm. Questo file deve essere già stato impostato nel manager di progetto, nel nodo File/Guida.

Nel Runtime, il file della guida collegato viene aperto se:

  • si è inserito un capitolo della guida
  • è selezionato l´allarme corrispondente nella lista di informazione allarmi e
  • si clicca sul pulsante Apri help

Nota: questa proprietà può essere configurata solamente se è attiva la proprietà Come allarme.

Capitolo guida

Indicazione del capitolo della guida. Questo campo deve contenere un inserimento se si vuole che si apra la guida in linea durante il Runtime.

Nota: è a disposizione solo se è attiva la proprietà Come allarme.

Informazioni aggiuntive 1

Nel Runtime, l´informazione aggiuntiva indicata in questa sede può essere analizzata in una macro VBA.

Informazioni aggiuntive 2

Nel Runtime, l´informazione aggiuntiva indicata in questa sede può essere analizzata in una macro VBA.

AML/CEL

Parametri | Descrizione
Come allarme | Attivo: Viene inserita in AML.
Con ripristino | Questa opzione è disponibile solo se è attiva Come allarme. Attivo: Obbligo di ripristino.
Commento richiesto | Per ripristinare l´allarme, si deve anzitutto inserire un commento. L'utente, però, deve essere in possesso dell´autorizzazione funzione necessaria.
Con cancellazione | Questa opzione è disponibile solo se è attiva Come allarme. Attivo: Obbligo di cancellazione.
Stampa | Questa opzione è disponibile solo se è attiva Come allarme. Attivo: La stampa avviene facendo uso della stampante impostata come standard.
Nella CEL | Attivo: Viene inserita nella CEL. Suggerimento: se già il valore iniziale (il primo valore che arriva dal PLC) o quello dell´avvio del Runtime violano il valore limite, oppure se per questa ragione è attivo lo stato Rema, non viene generato nessun inserimento nella CEL. Solo quando la violazione del valore limite è stata rettificata e si verifica ancora, oppure lo stato non è attivo e poi si attiva, viene generato un inserimento nella CEL.
Gruppo allarmi/eventi | Assegnazione ad un gruppo allarmi/eventi.
Classe allarmi/eventi | Assegnazione ad una classe allarmi/eventi.

Valore

Parametri

Descrizione

Valore

Stabilire l´indicazione del valore:

  • Qualsiasi: un cambio qualsiasi di valore provoca una violazione di valore limite
  • Maggiore: indicazione di un valore limite
  • Minore: indicazione di un valore limite
  • Uguale: indicazione di un valore limite
  • Campo: Indicazione di un´area (da.... a)

Testo valore limite

Testo che viene emesso in caso di violazione di un valore limite.

Interpreta ogni cambio valore come nuova violazione

Attivo: ogni modifica di valore viene visualizzata come violazione.

Tempo di ritardo:

Tempo per il quale deve durare la violazione del valore limite prima che quest´ultimo diventi attivo.

Testo di stato per contatori nel driver matematico

Assegnazione di uno fra quattro possibili numeri di stato per un contatore nel driver matematico . A tal scopo, la variabile deve disporre di una matrice di reazione.

info Informazioni su

un valore decimale può essere scritto sia utilizzando che la virgola cheil punto; ma la virgola verrà trasformata automaticamente in unpunto.


String

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> String

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una matrice di reazione Stringa si utilizza per l’analisi di valori limiti e bit di stato delle variabili. Oltre alla nota progettazione delle combinazioni di valori limiti e di stati sono possibili progettazioni più avanzate:

Parametri | Descrizione
Stati | Lista degli stati progettati con valore, stato e causa di trasmissione.
Nuovo stato | Crea un nuovo stato sulla base di quello attualmente selezionato.
Nuovo sottostato | Solo con multi binarie: crea un nuovo sottostato per quello attualmente selezionato.
Elimina | Cancella tutti gli stati selezionati dalla lista.
Test | Apre la finestra di dialogo che serve a testare lo stato.
In su | Sposta lo stato selezionato verso l´alto.
In giù | Sposta lo stato selezionato verso il basso.
Stato | Selezione dello stato
Causa di trasmissione | Ulteriore stato per causa di trasmissione (COT) secondo il protocollo IEC 60870. I dettagli a questo proposito li trovate nel capitolo Causa di trasmissione nella parte della guida dedicata all´Elaborazione stato.

Funzione

Funzione | Apre il dialogo per il collegamento di una nuova funzione. Una funzione già collegata può essere deselezionata in questa finestra di dialogo usando pulsante Nessuna selezione.
Chiama da pulsante nella pagina allarmi | Disponibile solamente se è stata attivata in AML/CEL l´opzione Come allarme. Attiva: La funzione viene aperta tramite AML.

Attributi aggiuntivi

Parametri

Descrizione

Colore

Colore in caso di violazione di valore limite.

Lampeggio

Attivo: Lampeggio in caso di violazione di valore limite

Invisibile

Attivo: In caso di violazione di valore limite si passa a invisibile.

File-guida

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un file di help nel formato chm. Questo file deve essere già stato impostato nel manager di progetto, nel nodo File/Guida.

Nel Runtime, il file della guida collegato viene aperto se:

  • si è inserito un capitolo della guida
  • è selezionato l´allarme corrispondente nella lista di informazione allarmi e
  • si clicca sul pulsante Apri help

Nota: questa proprietà può essere configurata solamente se è attiva la proprietà Come allarme.

Capitolo guida

Indicazione del capitolo della guida. Questo campo deve contenere un inserimento se si vuole che si apra la guida in linea durante il Runtime.

Nota: è a disposizione solo se è attiva la proprietà Come allarme.

Informazioni aggiuntive 1

Nel Runtime, l´informazione aggiuntiva indicata in questa sede può essere analizzata in una macro VBA.

Informazioni aggiuntive 2

Nel Runtime, l´informazione aggiuntiva indicata in questa sede può essere analizzata in una macro VBA.

AML/CEL

Parametri | Descrizione
Come allarme | Attivo: Viene inserita in AML.
Con ripristino | Questa opzione è disponibile solo se è attiva Come allarme. Attivo: Obbligo di ripristino.
Commento richiesto | Per ripristinare l´allarme, si deve anzitutto inserire un commento. L'utente, però, deve essere in possesso dell´autorizzazione funzione necessaria.
Con cancellazione | Questa opzione è disponibile solo se è attiva Come allarme. Attivo: Obbligo di cancellazione.
Stampa | Questa opzione è disponibile solo se è attiva Come allarme. Attivo: La stampa avviene facendo uso della stampante impostata come standard.
Nella CEL | Attivo: Viene inserita nella CEL. Suggerimento: se già il valore iniziale (il primo valore che arriva dal PLC) o quello dell´avvio del Runtime violano il valore limite, oppure se per questa ragione è attivo lo stato Rema, non viene generato nessun inserimento nella CEL. Solo quando la violazione del valore limite è stata rettificata e si verifica ancora, oppure lo stato non è attivo e poi si attiva, viene generato un inserimento nella CEL.
Gruppo allarmi/eventi | Assegnazione ad un gruppo allarmi/eventi.
Classe allarmi/eventi | Assegnazione ad una classe allarmi/eventi.

Valore

Parametri

Descrizione

Valore

Stabilire l´indicazione del valore:

  • Qualsiasi: un cambio qualsiasi di valore provoca una violazione di valore limite
  • Maggiore: indicazione di un valore limite
  • Minore: indicazione di un valore limite
  • Uguale: indicazione di un valore limite
  • Campo: Indicazione di un´area (da.... a)

Rispetta Maiusc./Minusc.

Nel confronto delle stringhe vengono rispettati i caratteri minuscolo/maiuscolo.

Rispetta Wildcards

Gli stati possono utilizzare le wildcard di Windows.

(Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Testo valore limite

Testo che viene emesso in caso di violazione di un valore limite.

Interpreta ogni cambio valore come nuova violazione

Attivo: ogni modifica di valore viene visualizzata come violazione.

Tempo di ritardo:

Tempo per il quale deve durare la violazione del valore limite prima che quest´ultimo diventi attivo.

Testo di stato per contatori nel driver matematico

Assegnazione di uno fra quattro possibili numeri di stato per un contatore nel driver matematico . A tal scopo, la variabile deve disporre di una matrice di reazione.

Example Esempio

Esempio:

In successione con una analisi da grande a piccolo:

  • Strings: Mein,Name,ist,Hase.
  • Successione dell'analisi: ist,Name,Mein,Hase.
  • Motivazione:
    ist: inizia con una lettera minuscola ed è perciò più grande di tutte le altre stringhe.
    Name: N è più grande di M e H,
    Mein: M è più grande di H

Visualizzazione nella colonna Valore nella AML e nella CEL

Nella AML e nella CEL, nella colonna Valore possono essere visualizzati solamente i valori di tipi di dato numerici. Nel caso di inserimenti con un tipo di dato String, la colonna rimane vuota. I valori String possono essere visualizzato usando un elemento del tipo Collega testo.


Matrice di reazione multipla in generale

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Matrice di reazione multipla in generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Schede | Descrizione
Stati e reazioni | Configurazione degli stati e reazioni, diversa per Multibinari e Multi-numerici.
Testo Allarmi / CEL | Configurazione dell´emissione del valore accanto al testo di stato AML e CEL.
Gestione stato | Configurazione della gestione di stato.
Funzioni speciali | Configurazione delle funzioni speciali.

Nota: i bit NORM e N_NORM sono a disposizione in entrambi i tipi di matrici a reazione multipla (non nelle matrici standard).

Elaborazione di messaggi

I 16 bit maggiori (bit 16... 31) si utilizzano per elaborare le segnalazioni nella progettazione dati protetti; nei 16 bit maggiori è depositato il numero di segnalazione.

La matrice di reazione multibinaria è identica alla matrice di reazione binaria per gli stati principali. Quando si modificano gli stati principali vengono eseguite le rispettive progettazioni di stato (allarme, CEL, testo etc.):

  • Se uno stato principale possiede stati secondari, si controllano al raggiungimento dello stato principale prima gli stati secondari.
  • Se nessuna condizione secondaria coincide con la condizione attuale della variabile, si eseguono le rispettive progettazioni di stato (allarme, CEL, testo etc.) dello stato principale.
  • Se lo stato secondario coincide con lo stato attuale della variabile, si eseguono le rispettive progettazioni di stato (allarme, CEL, testo etc.) dello stato secondario.
  • Se lo stato della variabile cambia dallo stato secondario allo stato principale, non si effettua una nuova emissione alla CEL e alla Lista di informazione allarmi (per es. breaker tripping treatment nel sistema SAT).

Esempio:

Parametri | Descrizione
Valore principale | Engineering -> Valore inferiorexxxxxx00 nessun allarme, testo CEL off -> xxxxx100 allarme, testo CEL Interruttore off xxxxxx01 nessun allarme, testo CEL on xxxxxx10 allarme, testo CEL differenza xxxxxx11 allarme, testo CEL malfunzione
cambio da “ON” a “OFF” | nessun allarme, inserimento CEL “on”
cambio da “ON” a “ Interruttore OFF” | Immissione allarme "Interruttore off", testo CEL "Interruttore off" -> Ripristino dell'interruttore (commutare da "INTERRUTTORE OFF" a "OFF") allarme in uscita "Interruttore off"; nessun ulteriore testo CEL.

Per l’emissione nella CEL e nelle immagini di processo si può suddividere il contenuto totale delle variabili in due parti. Una parte si utilizza per la progettazione del testo valore limite, l’altra parte (valore) si trasmette alle immagini. (Applicazione: telegrammi protetti in SAT 1703).

Causa di trasferimento:

Matrici di reazione multibinarie e multianalogiche consentono l´analisi della Causa di trasmissione conformemente

alla norma IEC 60870-5-101/104. La causa di trasmissione consiste in:

Bit | Descrizione
6 Bit : | Valore della causa di trasmissione da 0 ... 63
1 Bit : | N_CONF (P/N-Bit): 0 = positiva 1 = conferma negativa
1 Bit : | Test-Bit

Nella matrice di reazione, ad ogni stato può essere assegnata l´identificazione della causa di trasmissione + ed il bit (P/N-Bit) N_CONF. Così lo stato è violato soltanto se la causa di trasmissione ricevuta è la stessa come la causa di trasmissione definita.

Parametri | Descrizione
Checkbox Causa di trasmissione | Attiva la valutazione del campo d´inserimento Causa trasmissione.
Campo d´inserimento Causa di trasmissione | Attende un valore di 0-63 come identificazione della causa trasmissione.

Noch in diesem Kapitel

Stati multi-binari e reazioni

Stati multi-numerici e reazioni

Configurazione testo AML/CEL

Configurazione Gestione stato

Configurazione funzioni speciali


Stati multi-binari e reazioni

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Matrice di reazione multipla in generale -> Stati multi-binari e reazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una matrice di reazione multibinaria serve all’analisi di bit di valore e di stato delle variabili digitali. I bit inferiori (bit 0..15) si utilizzano come valore da visualizzare nelle immagini (elementi dinamici) e nella lista eventi cronologica (casella “Valore”). Oltre alla nota progettazione delle combinazioni di valore e di stato sono possibili progettazioni aggiuntive.

Parametri | Descrizione
Stati | Lista degli stati progettati con valore, stato e causa di trasmissione.
Nuovo stato | Crea un nuovo stato sulla base di quello attualmente selezionato.
Nuovo sottostato | Solo con multi binarie: crea un nuovo sottostato per quello attualmente selezionato.
Elimina | Cancella tutti gli stati selezionati dalla lista.
Test | Apre la finestra di dialogo che serve a testare lo stato.
In su | Sposta lo stato selezionato verso l´alto.
In giù | Sposta lo stato selezionato verso il basso.
Stato | Selezione dello stato
Causa di trasmissione | Ulteriore stato per causa di trasmissione (COT) secondo il protocollo IEC 60870. I dettagli a questo proposito li trovate nel capitolo Causa di trasmissione nella parte della guida dedicata all´Elaborazione stato.

Funzione

Funzione | Apre il dialogo per il collegamento di una nuova funzione. Una funzione già collegata può essere deselezionata in questa finestra di dialogo usando pulsante Nessuna selezione.
Chiama da pulsante nella pagina allarmi | Disponibile solamente se è stata attivata in AML/CEL l´opzione Come allarme. Attiva: La funzione viene aperta tramite AML.

Attributi aggiuntivi

Parametri

Descrizione

Colore

Colore in caso di violazione di valore limite.

Lampeggio

Attivo: Lampeggio in caso di violazione di valore limite

Invisibile

Attivo: In caso di violazione di valore limite si passa a invisibile.

File-guida

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un file di help nel formato chm. Questo file deve essere già stato impostato nel manager di progetto, nel nodo File/Guida.

Nel Runtime, il file della guida collegato viene aperto se:

  • si è inserito un capitolo della guida
  • è selezionato l´allarme corrispondente nella lista di informazione allarmi e
  • si clicca sul pulsante Apri help

Nota: questa proprietà può essere configurata solamente se è attiva la proprietà Come allarme.

Capitolo guida

Indicazione del capitolo della guida. Questo campo deve contenere un inserimento se si vuole che si apra la guida in linea durante il Runtime.

Nota: è a disposizione solo se è attiva la proprietà Come allarme.

Informazioni aggiuntive 1

Nel Runtime, l´informazione aggiuntiva indicata in questa sede può essere analizzata in una macro VBA.

Informazioni aggiuntive 2

Nel Runtime, l´informazione aggiuntiva indicata in questa sede può essere analizzata in una macro VBA.

AML/CEL

Parametri | Descrizione
Come allarme | Attivo: Viene inserita in AML.
Con ripristino | Questa opzione è disponibile solo se è attiva Come allarme. Attivo: Obbligo di ripristino.
Commento richiesto | Per ripristinare l´allarme, si deve anzitutto inserire un commento. L'utente, però, deve essere in possesso dell´autorizzazione funzione necessaria.
Con cancellazione | Questa opzione è disponibile solo se è attiva Come allarme. Attivo: Obbligo di cancellazione.
Stampa | Questa opzione è disponibile solo se è attiva Come allarme. Attivo: La stampa avviene facendo uso della stampante impostata come standard.
Nella CEL | Attivo: Viene inserita nella CEL. Suggerimento: se già il valore iniziale (il primo valore che arriva dal PLC) o quello dell´avvio del Runtime violano il valore limite, oppure se per questa ragione è attivo lo stato Rema, non viene generato nessun inserimento nella CEL. Solo quando la violazione del valore limite è stata rettificata e si verifica ancora, oppure lo stato non è attivo e poi si attiva, viene generato un inserimento nella CEL.
Gruppo allarmi/eventi | Assegnazione ad un gruppo allarmi/eventi.
Classe allarmi/eventi | Assegnazione ad una classe allarmi/eventi.

Checkbox Status

Ogni status può assumere cinque possibili stati. La definizione avviene cliccando nella checkbox dello status corrispondente.

Stati possibili:

  • non considerato (Punto)
  • ein (1)
  • aus (0)
  • kommend (Freccia verso l´alto)
  • gehend (Freccia verso il basso)
  • wechselnd (Doppia freccia)

Valore

Parametri | Descrizione
Valore | Inserimento del valore
Testo valore limite | Testo che viene emesso in caso di violazione di un valore limite.
Tempo di ritardo: | Tempo per il quale deve durare la violazione del valore limite prima che quest´ultimo diventi attivo.
Testo di stato per contatori nel driver matematico | Assegnazione di uno fra quattro possibili numeri di stato per un contatore nel driver matematico . A tal scopo, la variabile deve disporre di una matrice di reazione.

info Informazioni su

un valore decimale può essere scritto sia utilizzando che la virgola cheil punto; ma la virgola verrà trasformata automaticamente in unpunto.


Stati multi-numerici e reazioni

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Matrice di reazione multipla in generale -> Stati multi-numerici e reazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Una matrice di reazione multinumerica viene utilizzata per l’analisi di valori limite e bit di stato delle variabili. Oltre alla nota progettazione delle combinazioni di valori limiti e di stati sono possibili progettazioni più avanzate:

Parametri | Descrizione
Stati | Lista degli stati progettati con valore, stato e causa di trasmissione.
Nuovo stato | Crea un nuovo stato sulla base di quello attualmente selezionato.
Nuovo sottostato | Solo con multi binarie: crea un nuovo sottostato per quello attualmente selezionato.
Elimina | Cancella tutti gli stati selezionati dalla lista.
Test | Apre la finestra di dialogo che serve a testare lo stato.
In su | Sposta lo stato selezionato verso l´alto.
In giù | Sposta lo stato selezionato verso il basso.
Stato | Selezione dello stato
Causa di trasmissione | Ulteriore stato per causa di trasmissione (COT) secondo il protocollo IEC 60870. I dettagli a questo proposito li trovate nel capitolo Causa di trasmissione nella parte della guida dedicata all´Elaborazione stato.

Funzione

Funzione | Apre il dialogo per il collegamento di una nuova funzione. Una funzione già collegata può essere deselezionata in questa finestra di dialogo usando pulsante Nessuna selezione.
Chiama da pulsante nella pagina allarmi | Disponibile solamente se è stata attivata in AML/CEL l´opzione Come allarme. Attiva: La funzione viene aperta tramite AML.

Attributi aggiuntivi

Parametri

Descrizione

Colore

Colore in caso di violazione di valore limite.

Lampeggio

Attivo: Lampeggio in caso di violazione di valore limite

Invisibile

Attivo: In caso di violazione di valore limite si passa a invisibile.

File-guida

Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un file di help nel formato chm. Questo file deve essere già stato impostato nel manager di progetto, nel nodo File/Guida.

Nel Runtime, il file della guida collegato viene aperto se:

  • si è inserito un capitolo della guida
  • è selezionato l´allarme corrispondente nella lista di informazione allarmi e
  • si clicca sul pulsante Apri help

Nota: questa proprietà può essere configurata solamente se è attiva la proprietà Come allarme.

Capitolo guida

Indicazione del capitolo della guida. Questo campo deve contenere un inserimento se si vuole che si apra la guida in linea durante il Runtime.

Nota: è a disposizione solo se è attiva la proprietà Come allarme.

Informazioni aggiuntive 1

Nel Runtime, l´informazione aggiuntiva indicata in questa sede può essere analizzata in una macro VBA.

Informazioni aggiuntive 2

Nel Runtime, l´informazione aggiuntiva indicata in questa sede può essere analizzata in una macro VBA.

AML/CEL

Parametri | Descrizione
Come allarme | Attivo: Viene inserita in AML.
Con ripristino | Questa opzione è disponibile solo se è attiva Come allarme. Attivo: Obbligo di ripristino.
Commento richiesto | Per ripristinare l´allarme, si deve anzitutto inserire un commento. L'utente, però, deve essere in possesso dell´autorizzazione funzione necessaria.
Con cancellazione | Questa opzione è disponibile solo se è attiva Come allarme. Attivo: Obbligo di cancellazione.
Stampa | Questa opzione è disponibile solo se è attiva Come allarme. Attivo: La stampa avviene facendo uso della stampante impostata come standard.
Nella CEL | Attivo: Viene inserita nella CEL. Suggerimento: se già il valore iniziale (il primo valore che arriva dal PLC) o quello dell´avvio del Runtime violano il valore limite, oppure se per questa ragione è attivo lo stato Rema, non viene generato nessun inserimento nella CEL. Solo quando la violazione del valore limite è stata rettificata e si verifica ancora, oppure lo stato non è attivo e poi si attiva, viene generato un inserimento nella CEL.
Gruppo allarmi/eventi | Assegnazione ad un gruppo allarmi/eventi.
Classe allarmi/eventi | Assegnazione ad una classe allarmi/eventi.

Valore

Parametri

Descrizione

Valore

Stabilire l´indicazione del valore:

  • Qualsiasi: un cambio qualsiasi di valore provoca una violazione di valore limite
  • Maggiore: indicazione di un valore limite
  • Minore: indicazione di un valore limite
  • Uguale: indicazione di un valore limite
  • Campo: Indicazione di un´area (da.... a)

Testo valore limite

Testo che viene emesso in caso di violazione di un valore limite.

Interpreta ogni cambio valore come nuova violazione

Attivo: ogni modifica di valore viene visualizzata come violazione.

Tempo di ritardo:

Tempo per il quale deve durare la violazione del valore limite prima che quest´ultimo diventi attivo.

Testo di stato per contatori nel driver matematico

Assegnazione di uno fra quattro possibili numeri di stato per un contatore nel driver matematico . A tal scopo, la variabile deve disporre di una matrice di reazione.

info Informazioni su

un valore decimale può essere scritto sia utilizzando che la virgola cheil punto; ma la virgola verrà trasformata automaticamente in unpunto.


Configurazione testo AML/CEL

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Matrice di reazione multipla in generale -> Configurazione testo AML/CEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda viene configurata l´emissione nella AML e nella CEL.


Configurazione Gestione stato

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Matrice di reazione multipla in generale -> Configurazione Gestione stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda viene configurata la gestione stato. Manovra di bit ( anche negati) su altri Bit

Possibili fonti: bit valore 0 ... 31l

Parametri | Descrizione
Bit d'origine | Scelta di un Qeullbit dalla listbox
NEG: | Negare il bit d’origine alla manovra
Bit di stato | Zielbit da una Listbox
Acquisisci | confermare la manovra selezionata
Elimina | cancellare manovra selezionata; attenzione: Non sarà effettuata nessun altra interrogazione
In su | spostare la manovra selezionata in su nell’ordine
In giù | spostare la manovra selezionata in giù nell’ordine


Configurazione funzioni speciali

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Matrice di reazione multipla in generale -> Configurazione funzioni speciali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda vengono configurate le funzioni speciali.

Con i bit di stato le variabili possono essere disattivate automaticamente cosi come possono essere concessi dei cambi di stato (per reset) per le variabili disattivate. Per i dettagli vedi capitolo Definizione stato.

Parametri | Descrizione
Disattivare a: | Bit di stato, al quale si deve disattivare la variabile ?Controllo sul valore "0" oppure "1" possibile
Cambiamenti di stato ammessi: | bit di stato ai quali è ammessa una modifica dello stato
nessun paragone vecchio/nuovo | non viene effettuata nessun controllo di modifiche
Nessun confronto vecchio/nuovo con dati real time. | non viene effettuato nessun controllo di modificazione di dati real time


Test

Manuale -> Variabili -> Matrici di reazione -> Tipi di matrici di reazione -> Test

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Consente il test delle impostazioni per la matrice di reazione. Sulla base della configurazione della matrice di reazione, il sistema simula che cosa accade quando si raggiungono i valori definiti. Vengono simulati inserimenti nella CEL o nella AML. Questa caratteristica riguarda SICAM 230.

Parametri | Descrizione
Stato | Per simulare delle modifiche di stato.
Valore | Simulazione di modifiche di valore.
Risultato test | Emissione di modifiche di stato e valore nella CEL e AML.
Trasmetti TR | Inviare modifiche in tempo reale.
Trasmetti NTR | Invia modifiche.


Testi valore limite dinamici nelle matrici di reazione

Manuale -> Variabili -> Matrici di reazione -> Testi valore limite dinamici nelle matrici di reazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I testi valore limite dinamici possono essere visualizzati anche nelle matrici di reazione:

$ %PV

$ @text

Vedi anche capitolo Testo dinamico valore limite.

Le matrici di reazione possono essere utilizzate per diverse variabili.


Stati in caso di modifica del valore e tempo di ritardo

Manuale -> Variabili -> Matrici di reazione -> Stati in caso di modifica del valore e tempo di ritardo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli stati possono generare degli allarmi in dipendenza di valori e tempo di ritardo. Così, ad esempio, un allarme può essere generato quando una variabile non ha subito modifiche per un certo lasso di tempo.

Configurazione:

  • Valore: Qualsiasi
  • Interpreta ogni cambio valore come nuova violazione: attivo
  • Tempo di ritardo: >0

In questo caso vale quanto segue:

  • l´allarme è attivato se il valore è costante per un periodo più lungo del Tempo di ritardo.
  • Se il valore cambia prima della scadenza del Tempo di ritardo, il Tempo di ritardo viene azzerato e ricomincia a scorrere. Così, ad esempio, un allarme può essere generato quando una variabile non ha subito modifiche per un certo lasso di tempo.


List of status bits

Manuale -> Variabili -> Matrici di reazione -> List of status bits

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Bit number | Short term | Long name | zenon Logic label
0 | M1 | User status 1; for Command Processing: Action type "Block"; Service Tracking of the IEC 850 driver | _VSB_ST_M1
1 | M2 | User status 2 | _VSB_ST_M2
2 | M3 | User status 3 | _VSB_ST_M3
3 | M4 | User status 4 | _VSB_ST_M4
4 | M5 | User status 5 | _VSB_ST_M5
5 | M6 | User status 6 | _VSB_ST_M6
6 | M7 | User status 7 | _VSB_ST_M7
7 | M8 | User status 8 | _VSB_ST_M8
8 | NET_SEL | Select in the network | _VSB_SELEC
9 | REVISION | Revision | _VSB_REV
10 | PROGRESS | In operation | _VSB_DIREC
11 | TIMEOUT | Runtime exceedance | _VSB_RTE
12 | MAN_VAL | Manual value | _VSB_MVALUE
13 | M14 | User status 14 | _VSB_ST_14
14 | M15 | User status 15 | _VSB_ST_15
15 | M16 | User status 16 | _VSB_ST_16
16 | GI | General query | _VSB_GR
17 | SPONT | Spontaneous | _VSB_SPONT
18 | INVALID | Invalid | _VSB_I_BIT
19 | T_CHG_A | Daylight saving time/winter time announcement | _VSB_SUWI
20 | OFF | Switched off | _VSB_N_UPD
21 | T_EXTERN | Real time external | _VSB_RT_E
22 | T_INTERN | Realtime internal | _VSB_RT_I
23 | N_SORTAB | Not sortable | _VSB_NSORT
24 | FM_TR | Error message transformer value | _VSB_DM_TR
25 | RM_TR | Working message transformer value | _VSB_RM_TR
26 | INFO | Information for the variable | _VSB_INFO
27 | ALT_VAL | Alternate value If no value was transferred, the defined alternate value is used otherwise the last valid value is used. | _VSB_AVALUE
28 | RES28 | Reserved for internal use (alarm flashing) | _VSB_RES28
29 | N_UPDATE | Not updated | _VSB_ACTUAL
30 | T_STD | Standard time | _VSB_WINTER
31 | RES31 | Reserved for internal use (alarm flashing) | _VSB_RES31
32 | COT0 | Cause of transmission bit 1 | _VSB_TCB0
33 | COT1 | Cause of transmission bit 2 | _VSB_TCB1
34 | COT2 | Cause of transmission bit 3 | _VSB_TCB2
35 | COT3 | Cause of transmission bit 4 | _VSB_TCB3
36 | COT4 | Cause of transmission bit 5 | _VSB_TCB4
37 | COT5 | Cause of transmission bit 6 | _VSB_TCB5
38 | N_CONF | Negative confirmation of command by device (IEC 60870 [P/N]) | _VSB_PN_BIT
39 | TEST | Test bit (IEC870 [T]) | _VSB_T_BIT
40 | WR_ACK | Writing acknowledged | _VSB_WR_ACK
41 | WR_SUC | Writing successful | _VSB_WR_SUC
42 | NORM | Normal status | _VSB_NORM
43 | N_NORM | Deviation normal status | _VSB_ABNORM
44 | BL_870 | IEC 60870 Status: blocked | _VSB_BL_BIT
45 | SB_870 | IEC 60870 Status: substituted | _VSB_SP_BIT
46 | NT_870 | IEC 60870 Status: not topical | _VSB_NT_BIT
47 | OV_870 | IEC 60870 Status: overflow | _VSB_OV_BIT
48 | SE_870 | IEC 60870 Status: select | _VSB_SE_BIT
49 | T_INVAL | Time invalid | not defined
50 | CB_TRIP | Breaker tripping detected | not defined
51 | CB_TR_I | Breaker tripping detection inactive | not defined
52 | OR_DRV | Value out of Range | not defined
53 | RES53 | reserved | not defined
54 | RES54 | reserved | not defined
55 | RES55 | reserved | not defined
56 | RES56 | reserved | not defined
57 | RES57 | reserved | not defined
58 | RES58 | reserved | not defined
59 | RES59 | reserved | not defined
60 | RES60 | reserved | not defined
61 | RES61 | reserved | not defined
62 | RES62 | reserved | not defined
63 | RES63 | reserved | not defined

info Informazioni su

In formulas all status bits are available. For other use the availability can be reduced.

You can read details on status processing in the Status processing chapter.


Funzioni per variabili

Manuale -> Variabili -> Funzioni per variabili

Le funzioni Vi consentono di mettere in atto dei comandi durante il runtime facendo uso di un pulsante o uno script.

Per creare una funzione:

  1. selezionate nel menù contestuale oppure nella barra dei simboli del nodo "Funzione" il comando Nuova funzione...
  2. navigare per raggiungere la Variabile
  3. Selezionate la funzione desiderata.

Noch in diesem Kapitel

Esporta dati

Leggi file dBase

Stampa valori attuali

Attiva gestione HD

Disattiva gestione HD

Attiva/disattiva Gestione HD

Setta valore impostabile

Comandi driver

Scrivi data/ora nella variabile

Acquisisci ora dalla variabile


Esporta dati

Manuale -> Variabili -> Funzioni per variabili -> Esporta dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione consente di esportare durante il runtime dati variabili.

Il formato d´esportazione e il nome file vengono definiti nell´editor. Il posto di salvataggio in caso di esecuzione durante il runtime è la cartella Export nella cartella runtime.

Suggerimento: Accedete alla cartella di progetto selezionando il progetto nell´editor e premendo la combinazione tasti Ctrl+Alt+R.

Per creare la funzione:

  1. create una nuova funzione
  2. selezionate Esportazione dati
  3. si apre il dialogo di configurazione

Parametri

Descrizione

Formato di emissione

Formato

Selezionate uno dei possibili tipi di dato:

  • dBase IV (*.dbf)
  • XML (*.xml)
  • CSV (*.txt)

Come Unicode

Questa checkbox è attiva solamente se avete selezionato come Tipo di dato CSV (*.txt).
Attiva: Il file viene salvato in Unicode (UTF-16).

Nome file

Definite il nome file.
Nel caso di file DBF è consentito un numero massimo di 8 caratteri.

Nota: il nome non è più modificabile nel runtime.

Posto di salvataggio nel runtime: cartella Export nella cartella runtime.

Variabili

Scelta variabili

Numero delle variabili da esportare. Cliccando sul pulsante, si apre il dialogo che serve alla selezione delle variabili.

Questa selezione non è più modificabile nel runtime.

Nota: Affinché si possa selezionare una variabile, per essa deve essere attiva la proprietà HD attivo nel gruppo Salvataggio dati su disco fisso.

Inizializzare nuovamente i valori

Nel caso dei dati HD, un buffer circolare viene riempito e portato avanti parallelamente.
Attivo : Il buffer circolare viene vuotato al momento dell'effettuazione dell'operazione di export e inizializzato di nuovo.
Non attivo : Il buffer circolare mantenuto al momento dell'effettuazione dell'operazione di export.


Leggi file dBase

Manuale -> Variabili -> Funzioni per variabili -> Leggi file dBase

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione viene usata per leggere un file DBase nello stato online e per depositare il suo contenuto come valori impostabile.

info Informazioni su

Essa assolve ormai solamente a fini di compatibilità.
Raccomandazione: al suo posto, usate zenon Logic per scrivere singoli valori o ricette e il manager di gruppi ricette per la scrittura in blocchi.

I nomi di variabili e i valori impostabili corrispondenti sono contenuti nel file DBase. Se, nel corso dell'esecuzione della funzione, la variabile definita esiste nel progetto attivo in quel momento, il valore impostato nel file dBase viene trasmesso al PLC come nuovo valore impostabile.

  • Parametri di trasferimento: Nome del file DBase.
    Il nome e il nome della cartella devono corrispondere alle convenzioni DOS.

Il file dBaseIV deve avere la seguente struttura ed i seguenti contenuti:

Titolo colonna

Tipo

Valore

Commento

NAME

Char

32

Nome della variabile.

WERT

Num

20

Valore della variabile.

TYP

Char

8

Tipo di dato
Possibili valori:

  • C: Stringa
  • N: Numerico

DIRECTION

Char

12

(Non viene usato al momento.)

Attenzione: la larghezza colonne deve corrispondere esattamente ai valori dati. Perciò non modificate il file in un calcolo tabelle, perché in questo caso viene modificata la larghezza colonne. Per la creazione usate dunque un programma che può trasferire larghezze di colonne e Header fissi.


Stampa valori attuali

Manuale -> Variabili -> Funzioni per variabili -> Stampa valori attuali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione nello stato online può essere stampato un semplice protocollo degli attuali valori delle variabili (variabili di processo e variabili derivate).

Come parametro di trasferimento bisogna indicare un file di formattazione. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo:

Le impostazioni progettabili sono:

Parametri | Descrizione
Pulsanti di sistema | OK, Annulla, Guida
Con dialogo per annullare | Visualizza il dialogo "annulla" durante la generazione dell'operazione di stampa nello stato online
Scelta formato file | Apre un box di dialogo che serve alla selezione del file *.FRM. Quest'ultimo viene generato con il bottone situato sotto. La descrizione del formato FRM si trova più avanti in questo capitolo.
Lancia l'Editor formato | lancia l'editor di testo per la generazione del file
Carattere | stabilisce il carattere da usare

Selezionato il pulsante “Scelta formato file”, si può scegliere il file (tipo file *.FRM).

Nel file di formattazione vengono utilizzate determinate parole chiave. Nel Runtime vengono inoltre inseriti, al posto delle parole chiave, i rispettivi parametri delle variabili.

Le parole chiave sono:

Parola chiave | Descrizione
@TTA.name | Emetti nome variabile
@TTA.wert | emettere il valore tecnico più attuale; emettere stati binari come valore oppure come contenuto di variabili stringa.
@TTA.einheit | emetti l’unità di misura definita per la variabile di processo
@TTA.text | emetti il testo definito per la variabile di processo
@TTA.status | emetti gli attuali bit di stato della variabile di processo in successione con l’identificazione breve (dal file ZENON6.INI).

Per la formattazione della pagina da emettere oppure come generale informazione sono disponibili le seguenti parole chiave:

Parola chiave | Descrizione
%DATE | emissione della data attuale
%TIME | emissione dell’ora attuale
%PAGE | emissione del numero pagina attuale

Sono progettabili l’intestazione e il piè di pagina. Con un “%%” bisogna selezionare l’inizio e la fine delle aree (intestazione, parte principale, piè di pagina). Dopo l’ultimo “%%” bisogna immettere tre spazi.

L’utilizzo di tabulati potrebbe causare errori nel caso di emissioni di lunghezza diversa. Per il posizionamento si devono usare solo spazi. Il simbolo chiave “@” non va contato.

File FRM “PROJEKT.FRM”

%%
Intestazione della pagina
%%
%%
%date Protocollo del valore di misurazione dell'impianto XYZ %time ora

Identificazione dell'unità di valore tecnica
Valore di misurazione 1 @MESSWERT1.valore bar
Valore di misurazione 2 @MESSWERT2.valore kV
Valore di misurazione 3 @MESSWERT3.valore ºC

Pagina %page
%%
%%
Piè di pagina
%%

Stampa online con il file “PROJEKT.FRM”

Intestazione

21.02.1995 Protocollo del valore di misurazione dell'impianto XYZ ore 12:00

Denominazione dell'unità di valore tecnica
Valore di misurazione 1 0.63 bar
Valore di misurazione 2 9.98 kV
> Valore di misurazione 3 17.3 ºC

> Pagina 5

Piè di pagina

Se la formattazione dei valori attuali è più stretta del posto tra le parole chiave TTA, si può utilizzare un file QRF con lo stesso nome. Le variabili di processo nel file QRF si riferiscono a merker definiti. Ogni merker (xxx) inizia con un “$” ed è definito da un determinata sintassi.

"define $" xxx as "Variable" |
- xxx | identificazione breve libera oppure cifra
- Variabile | Nome variabile

attention Attenzione

il formato di definizione QRF atteso dal codice è, per es.:
define "$001" as "REAL_VAR_NAME"
Molto importanti sono le virgolette!

Nel file FRM si può accedere a questi merker. Le variabili di processo rispondono quindi ad altri parametri.

$xxx.1 | nome variabile di processo
$xxx.2 | Valore tecnico
$xxx.3 | Unità
$xxx.4 | Testo di stato

Nota: i nomi variabile con un punto devono essere messi tra virgolette, per es.: "Variable.Test".

Esempio per la struttura del file QRF

File QRF “MOMENT.QRF”

"define $001" as "TTA1 "
"define $002" as "TTA2"

File FRM “MOMENT.FRM”

%%
Intestazione
%%
%%
Area principale
Valore di TTA1= @$001.2
Valore di TTA2= @$002.2
%%
%%
Piè di pagina
%%

Stampa online con il file “MOMENT.FRM”

Intestazione
Valore di TTA1= 100.25
Valore di TTA2= 25.745
Piè di pagina


Attiva gestione HD

Manuale -> Variabili -> Funzioni per variabili -> Attiva gestione HD

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione disattiva nel funzionamento online la gestione HD (Deposizione dei valori online a proprietà HD progettata; trend online).

Non sono necessari parametri di trasferimento.


Disattiva gestione HD

Manuale -> Variabili -> Funzioni per variabili -> Disattiva gestione HD

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione disattiva nel funzionamento online la gestione HD (Deposizione dei valori online a proprietà HD progettata; trend online).

attention Attenzione

Non si salvano più valori! Valori online vengono aggiornati. Non sono necessari parametri di trasferimento.


Attiva/disattiva Gestione HD

Manuale -> Variabili -> Funzioni per variabili -> Attiva/disattiva Gestione HD

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa funzione commuta nel funzionamento online la gestione HD (Deposizione dei valori online a proprietà HD progettata; trend online) tra le due condizioni. All’avviamento del funzionamento online si legge lo stato salvato nel file project.ini.

[DEFAULT] |
... |
HDDATEN= | 0 – off
 | 1 – on


Setta valore impostabile

Manuale -> Variabili -> Funzioni per variabili -> Setta valore impostabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione può essere settato un valore impostabile su una variabile nel funzionamento online.

Si devono indicare come parametri di trasferimento la variabile, il valore impostabile ed il tipo di impostazione. La configurazione della funzione viene eseguita tramite la seguente finestra di dialogo: La configurazione della funzione avviene con dialoghi propri per:

  • Variabili numeriche
  • Variabili binarie
  • Variabili stringa

L´inserimento nel Runtime avviene mediante la maschera d’inserimento del valore impostabile. Se disponibile nel progetto, viene usata automaticamente l'immagine keyboard SETVALUEKBD.

info Informazioni su

Nel caso in cui si avvii un aggiornamento progetto runtime o un cambio server-standby, le segnalazioni di ritorno in attesa o le conferme di scrittura vengono rifiutate.

Noch in diesem Kapitel

per variabili numeriche

per variabili binarie

per variabili stringa

Controlla Scrivi valore impostabile


per variabili numeriche

Manuale -> Variabili -> Funzioni per variabili -> Setta valore impostabile -> per variabili numeriche

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametri

Descrizione

Impostazioni valore impostabile

Configurazione del valore impostabile.

Imposta valore

Inserimento del valore impostabile da settare per la variabile.

Minimo

Inserimento del valore per minimo.

Massimo

Inserimento del valore per massimo.

Utilizza i limiti della variabile

Attivo : I valori impostabili permessi vengono ripresi dalla definizione delle variabili ( Denominazione/setta valore impostabile).
Inattivo: I valori impostabili permessi possono essere impostati direttamente nella funzione ( Minimo e Max).

Opzioni

Configurazione delle opzioni.

Proponi valore attuale

Attivo : Il valore presente al momento nel PLC viene proposto come valore di default, oppure direttamente trasmesso all'hardware. Viene modificata, inoltre, la descrizione del campo Valore impostabile in Modifica di e il valore lì impostato viene addizionato al default (sottratto nel caso di valori negativi).
Inattivo: Il valore impostato come Valore impostabile viene proposto come valore di default, oppure direttamente trasmesso all'hardware.

Direttamente su Hardware

Attivo : Il valore impostabile viene settato nel funzionamento online senza bisogno di ulteriore conferma dopo l'attivazione della funzione.
Inattivo: Prima del settaggio del valore impostabile, il dialogo corrispondente viene aperto e l'utente può modificare le impostazioni durante il Runtime.

Attendi conferma scrittura

Attivo : L'esecuzione della funzione viene terminata solo dopo l'arrivo di una conferma dell'azione di scrittura, o dopo che è trascorso il timeout di 30 secondi definito in modo fisso.
In tal modo si può fissare in script che la funzione successiva verrà eseguita solo quando la presente è stata effettivamente terminata.
La conferma può essere richiesta anche tramite il bit di stato WR-SUC.
Inattivo: Non si attende una conferma scrittura.

Setta valore impostabile tramite

Configurazione del modo in cui il valore impostabile deve essere settato:

  • Box di dialogo : il valore impostabile viene settato durante il Runtime usando un box di dialogo.
  • Immagine: il valore impostabile viene settato durante il Runtime usando un´immagine.
  • Programma: il valore impostabile viene settato durante il Runtime usando un programma. Selezione cliccando sul pulsante ....

Ok

La configurazione viene accettata, la funzione creata e il dialogo chiuso.

Annulla

La configurazione viene rifiutata, la funzione creata senza parametro e il dialogo chiuso.

Guida

La guida online viene aperta.

info Informazioni su

un valore decimale può essere scritto sia utilizzando la virgola che il punto; ma la virgola verrà trasformata automaticamente in un punto.


per variabili binarie

Manuale -> Variabili -> Funzioni per variabili -> Setta valore impostabile -> per variabili binarie

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametri

Descrizione

OFF (0)

setta valore variabile su Off (0).

ON (1)

setta valore variabile su ON (1).

TOGGLE

commuta valore variabile sullo stato complementare (opposto):

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Parametri

Descrizione

Impostazioni valore impostabile

Configurazione del valore impostabile.

Imposta valore

Inserimento del valore impostabile da settare per la variabile.

Minimo

Inserimento del valore per minimo.

Massimo

Inserimento del valore per massimo.

Utilizza i limiti della variabile

Attivo : I valori impostabili permessi vengono ripresi dalla definizione delle variabili ( Denominazione/setta valore impostabile).
Inattivo: I valori impostabili permessi possono essere impostati direttamente nella funzione ( Minimo e Max).

Opzioni

Configurazione delle opzioni.

Proponi valore attuale

Attivo : Il valore presente al momento nel PLC viene proposto come valore di default, oppure direttamente trasmesso all'hardware. Viene modificata, inoltre, la descrizione del campo Valore impostabile in Modifica di e il valore lì impostato viene addizionato al default (sottratto nel caso di valori negativi).
Inattivo: Il valore impostato come Valore impostabile viene proposto come valore di default, oppure direttamente trasmesso all'hardware.

Direttamente su Hardware

Attivo : Il valore impostabile viene settato nel funzionamento online senza bisogno di ulteriore conferma dopo l'attivazione della funzione.
Inattivo: Prima del settaggio del valore impostabile, il dialogo corrispondente viene aperto e l'utente può modificare le impostazioni durante il Runtime.

Attendi conferma scrittura

Attivo : L'esecuzione della funzione viene terminata solo dopo l'arrivo di una conferma dell'azione di scrittura, o dopo che è trascorso il timeout di 30 secondi definito in modo fisso.
In tal modo si può fissare in script che la funzione successiva verrà eseguita solo quando la presente è stata effettivamente terminata.
La conferma può essere richiesta anche tramite il bit di stato WR-SUC.
Inattivo: Non si attende una conferma scrittura.

Setta valore impostabile tramite

Configurazione del modo in cui il valore impostabile deve essere settato:

  • Box di dialogo : il valore impostabile viene settato durante il Runtime usando un box di dialogo.
  • Immagine: il valore impostabile viene settato durante il Runtime usando un´immagine.
  • Programma: il valore impostabile viene settato durante il Runtime usando un programma. Selezione cliccando sul pulsante ....

Ok

La configurazione viene accettata, la funzione creata e il dialogo chiuso.

Annulla

La configurazione viene rifiutata, la funzione creata senza parametro e il dialogo chiuso.

Guida

La guida online viene aperta.


per variabili stringa

Manuale -> Variabili -> Funzioni per variabili -> Setta valore impostabile -> per variabili stringa

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametri

Descrizione

Impostazioni valore impostabile

Configurazione del valore impostabile.

Imposta valore

Inserimento del valore impostabile da settare per la variabile.

Opzioni

Configurazione delle opzioni.

Proponi valore attuale

Attivo : Il valore presente al momento nel PLC viene proposto come valore di default, oppure direttamente trasmesso all'hardware. Viene modificata, inoltre, la descrizione del campo Valore impostabile in Modifica di e il valore lì impostato viene addizionato al default (sottratto nel caso di valori negativi).
Inattivo: Il valore impostato come Valore impostabile viene proposto come valore di default, oppure direttamente trasmesso all'hardware.

Direttamente su Hardware

Attivo : Il valore impostabile viene settato nel funzionamento online senza bisogno di ulteriore conferma dopo l'attivazione della funzione.
Inattivo: Prima del settaggio del valore impostabile, il dialogo corrispondente viene aperto e l'utente può modificare le impostazioni durante il Runtime.

Attendi conferma scrittura

Attivo : L'esecuzione della funzione viene terminata solo dopo l'arrivo di una conferma dell'azione di scrittura, o dopo che è trascorso il timeout di 30 secondi definito in modo fisso.
In tal modo si può fissare in script che la funzione successiva verrà eseguita solo quando la presente è stata effettivamente terminata.
La conferma può essere richiesta anche tramite il bit di stato WR-SUC.
Inattivo: Non si attende una conferma scrittura.

Setta valore impostabile tramite

Configurazione del modo in cui il valore impostabile deve essere settato:

  • Box di dialogo : il valore impostabile viene settato durante il Runtime usando un box di dialogo.
  • Immagine: il valore impostabile viene settato durante il Runtime usando un´immagine.
  • Programma: il valore impostabile viene settato durante il Runtime usando un programma. Selezione cliccando sul pulsante ....

Ok

La configurazione viene accettata, la funzione creata e il dialogo chiuso.

Annulla

La configurazione viene rifiutata, la funzione creata senza parametro e il dialogo chiuso.

Guida

La guida online viene aperta.


Controlla Scrivi valore impostabile

Manuale -> Variabili -> Funzioni per variabili -> Setta valore impostabile -> Controlla Scrivi valore impostabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando vengono scritti dei valori, ognuno di essi riceve un bit di stato. Se la scrittura viene effettuata con successo, viene settato anche il bit di stato corrispondente:

  • WR-ACK

    Il driver ha ricevuto un valore da scrivere.

  • WR-SUC

    Valore 1: Scrittura avvenuta con successo.

    Valore 0: Scrittura non effettuata con successo. Non è stato possibile settare il valore.

info Informazioni su

Nel caso di una ricarica del progetto o di un cambio server-standby, le segnalazioni di ritorno in attesa o le conferme di scrittura vengono rifiutate.

Questa combinazione di valori di stato permane finché non viene inizializzata una nuova modifica di valore. Poi entrambi gli stati sono settati su 0, finché il procedimento di scrittura non è concluso. Per la valutazione, nella matrice di reazione deve essere interrogata questa combinazione di bit:

WR-ACK, WR-SUC

Risultato:

  • WR-ACK 1, WR-SUC 1: Procedimento scrittura avvenuto con successo.
  • WR-ACK 1, WR-SUC 0: Procedimento scrittura avvenuto senza successo.

attention Attenzione

Il meccanismo verifica solamente se il processo di scrittura su PLC si è concluso con o senza successo. Ciò non significa, che il valore sia stato modificato effettivamente nel PLC, poiché esso può resettare/sovrascrivere il valore immediatamente. (Per esempio nella scrittura su output o transient bit, che vengono settati solamente a breve termine.)

Moduli

Questo meccanismo può essere usato con i seguenti moduli:

  • Funzione Setta valore impostabile Attivare opzione Attendi conferma scrittura nel dialogo di configurazione della funzione.
  • Ricette standard: Attivare proprietà Scrittura sincrona .
  • Manager gruppi di ricette: Attivare proprietà Scrittura sincrona.
  • Comandi

Inserimento nella CEL

  • Funzione Settare valore impostabile

    Per l´inserimento nella CEL, si deve attivare nelle proprietà di progetto, e più precisamente al nodo Lista eventi cronologica (CEL). la proprietà Funzioni settaggio valore. Ogni volta che si esegue la funzione, viene scritta nella CEL risposta positiva o negativa.

  • Ricette standard e Manager gruppi ricette

    Per l´inserimento nella CEL si usa una variabile di sistema, che passa a 1 nel caso la ricetta sia stata depositata con successo. Una variabile globale viene analizzata sul server, una locale sul client; questo per verificare quando è stata completata la scrittura dell´ultima ricetta eseguita.
    Con queste variabili si può generare un inserimento CEL per i valori limite o per le Matrici di reazione. La richiesta avviene con una matrice di reazione multianalogica o una multibinaria.


Comandi driver

Manuale -> Variabili -> Funzioni per variabili -> Comandi driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo capito descrive le funzionalità standard valide per la maggiore parte dei driver di zenon. Non tutte le funzionalità descritte in questa sede sono a disposizione per ogni driver. Per esempio, un driver, che secondo la descrizione non supporta una connessione modem, non contiene nessuna funzionalità modem.

I comandi driver servono a influenzare i driver tramite zenon, per esempio avviarli e chiuderli.
La progettazione avviene attraverso la funzione Comandi driver. A tale scopo:

  • create una nuova funzione.
  • selezionateVariabili > Comandi driver
  • si apre il dialogo di configurazione

Parametri

Descrizione

Driver

Lista a cascata con tutti i driver caricati nel progetto.

Stato attuale

Inserimento fisso, nelle versioni attuali senza funzione.

Comando driver

Lista a cascata che serve alla selezione del comando.
  • Start driver (modalità online)

Reinizializzare e lanciare il driver
  • Stop driver (modalità offline)

Il driver viene fermato, non si accettano più nuovi dati.

Nota: se il driver è nella modalità offline, tutte le variabili che sono state impostate per questo driver, ricevono lo stato Spento (OFF; Bit 20).

  • Driver in modalità simulazione

Il driver viene settato nel modo simulazione.
Il Driver simula i valori di tutte le variabili del driver. Non viene visualizzato nessun valore dall’Hardware collegato (p.es. SPS, sistema bus, ecc.)
  • Driver in modalità hardware

Il driver viene settato nella modalità hardware.
Per le variabili del driver vengono visualizzati i valori provenienti dall’hardware collegato (p.es. SPS, sistema bus, ecc.)
  • Comando specifico del driver

Inserimento di comandi driver specifici Apre il campo per l´inserimento di un comando.
  • Setpoint driver On

E´ permesso settare valore impostabile su driver
  • Setpoint driver Off

Settare valore impostabile su driver non è permesso
  • Connetti driver modem

Creare collegamento (per modem driver). Apre il campo di inserimento per digitare l´indirizzo hardware e per inserire il numero da selezionare.
  • Disconnetti driver modem

Terminare collegamento (per driver modem)

Visualizza questa finestra di dialogo a Runtime

Nel runtime viene offerto un dialogo per consentire delle modifiche.

Comandi driver in rete

Se un computer sul quale viene eseguita la funzione comandi driver , si trova nella rete di zenon, vengono eseguite ulteriori azioni. Viene spedito dal computer al server del progetto uno speciale comando di rete che esegue poi l´azione desiderata sul suo driver. Il server manda poi lo stesso comando driver allo standby del progetto. Anche lo stanby esegue l´azione anche sul suo driver.

In tal modo si assicura che il server e lo standby siano sincronizzati. Ciò funziona solamente se il server e lo standby hanno entrambi una connessione funzionante e indipendente con l´hardware.


Scrivi data/ora nella variabile

Manuale -> Variabili -> Funzioni per variabili -> Scrivi data/ora nella variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione, un PLC collegato può essere sincronizzato con il PC. All´esecuzione della funzione, viene presa l´ora di sistema e scritta in una variabile string nel formato: DD.MM.YYYY HH:MM:SS .

Come parametro va indicato il nome della variabile.


Acquisisci ora dalla variabile

Manuale -> Variabili -> Funzioni per variabili -> Acquisisci ora dalla variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con questa funzione un PLC collegato può essere sincronizzato con il PC. All´esecuzione della funzione la variabile string viene letta dal PLC e se la differenza di tempo tra il calcolatore e il PLC è più grande di un secondo, viene settato il tempo di sistema del calcolatore e scritto un inserimento CEL. La variabile string deve avere il formato seguente: DD.MM.YYYY HH:MM:SS.

Nota: viene salvata l´ora locale. I dettagli li potete leggere nel capitolo Gestione di data e ora del manuale dedicato al Runtime.

Come parametro va indicato il nome della variabile.


Immagine Diagnosi variabili

Manuale -> Variabili -> Immagine Diagnosi variabili

Un´immagine Diagnosi - variabili permette di visualizzare variabili nel runtime e di settare valori impostabili. Informazioni più precise sui tipi di immagine predefiniti le potete trovare nel capitolo "Immagini / Tipi immagine'.

Noch in diesem Kapitel

Crea immagine del tipo Diagnosi - variabili.

Cambio immagine Diagnosi variabili


Crea immagine del tipo Diagnosi - variabili.

Manuale -> Variabili -> Immagine Diagnosi variabili -> Crea immagine del tipo Diagnosi - variabili.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine l´opzione Manager Gruppi di Ricette.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Elemento di controllo | Descrizione
Inserisci modello | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Opzioni di visualizzazione | Elementi di controllo per la visualizzazione.
Diagnostica variabili | Finestra lista nel runtime.
Visualizzazione valore: Decimale | I valori delle variabili nelle liste (Valore attuale, valore impostabile) vengono rappresentati in modo decimale.
Visualizzazione valore: Esadecimale | I valori delle variabili nelle liste (Valore attuale, valore impostabile) vengono rappresentati in modo esadecimale.
Visualizzazione valore: Binario | I valori delle variabili nelle liste (Valore attuale, valore impostabile) vengono rappresentati in modo binario.
Visualizzazione valore: Ottale | I valori delle variabili nelle liste (Valore attuale, valore impostabile) vengono rappresentati in modo ottale.
Visualizzazione valore: Esponenziale | I valori delle variabili nelle liste (Valore attuale, valore impostabile) vengono rappresentati in modo decimale esponenziale.
Variabili |
Aggiungi variabile | Aggiungere variabile alla lista nel runtime
Rimuovi variabile | Elimina variabile dalla lista nel runtime.
Update valori |
Aggiornamento valore attuale ON | Attiva lettura automatica dei valori attuali della variabile
Aggiornamento valore attuale OFF | Lettura automatica dei valori attuali della variabile viene disattivata
Update valore attuale | Leggi di nuovo valori attuali della variabile
Tutte le variabili: Setta valori impostabili | Settaggio di valori impostabili della variabile all´hardware
Variabili selezionate: Setta valori impostabili | Settaggio di valori impostabili delle variabili selezionate nell´hardware
Modifica valore impostabile | modificare il valore impostabile della variabile selezionata
Variabili selezionate |
Imposta su valore spontaneo | Passa a valore spontaneo per le variabili selezionate.
Imposta sul valore di riserva | Passa a valore di sostituzione per le variabili selezionate.
Modifica valore di riserva | Modifica il valore di sostituzione delle variabili selezionate.
Attiva stato Revision | Per la variabili selezionate viene attivata la revisione. Per questo viene settato il bit di stato OFF (Bit 09).
Disattiva stato Revision | Per la variabili selezionate viene disattivata la revisione. Per questo viene resettato il bit di stato OFF (Bit 09).
Attiva stato OFF | Per la variabili selezionate viene attivato il valore spontaneo. Per questo viene resettato il bit di stato OFF (Bit 20).
Disattiva stato OFF | Per la variabili selezionate viene disattivato il valore spontaneo. Per questo viene settato il bit di stato OFF (Bit 20).
Profili filtro | Pulsanti per impostazioni filtro nel Runtime.
Selezione profilo | Selezionare un profilo dalla lista.
Salva | Salva l´impostazione attuale come profilo.
Elimina | Cancella il profilo selezionato.
Importa | Importa profili filtro da un file di export
Esportazione | Esporta profili filtro in file

info Informazioni su

un valore decimale può essere scritto sia utilizzando che la virgola cheil punto; ma la virgola verrà trasformata automaticamente in unpunto.

Per utilizzare la diagnosi variabili nel runtime dovete prima di tutto creare una Funzione con cambio immagine per passare all´immagine in questione.

info Informazioni su

Potete effettuate il filtraggio sulla base del bit di stato NORM e N_NORM.


Cambio immagine Diagnosi variabili

Manuale -> Variabili -> Immagine Diagnosi variabili -> Cambio immagine Diagnosi variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I parametri necessari per di una finestra Diagnosi variabilisono le variabili da rappresentare nell´immagine ed i valori impostabili per le variabili selezionate.

Diagnosi variabiliDiagnosi variabili procedete come segue:

  • scegliete Nuova funzione
  • selezionate Cambio immagine
  • Scegliete la Immagine del tipo Diagnosi variabili
  • si apre un dialogo di configurazione

Parametri

Descrizione

Variabili

Lista delle variabili e delle loro proprietà.

Aggiungi variabile

Apre il dialogo per la selezione delle variabile; facendone uso, potete aggiungere una o più variabili.m

Sciogli variabile

Delle variabili selezionate vengono sciolte dall´immagine.

Modifica valore impostabile

I valori impostabili proposti possono essere modificati per le variabili dell´immagine. I valori impostabili possono essere modificati anche cliccando sulla cella con il valore che si intende mutare.

Opzioni

Base numerica di visualizzazione

Definisce la rappresentazione dei valori durante il runtime.

Possibili valori:

  • Decimale
  • Esadecimale
  • Binario
  • Ottale
  • Decimali esponenziali

Update valore attuale ON

Attivo: quando si apre la finestra durante il runtime, i valori attuali vengono attualizzati.

Visualizza questa finestra di dialogo a Runtime

Attivo: Il dialogo viene visualizzato all´apertura dell´immagine nel runtime.

info Informazioni su

Potete modificare le colonne (testo visualizzato, tipi colonne e larghezza colonne) cliccando con il tasto destro del mouse sul titolo della colonna. Nel menù contestuale trovate le impostazioni di cui avete bisogno per effettuare le modifiche. Esse vengono trasmesse dall´editor al runtime e possono essere modificare anche in questa sede con lo stesso meccanismo.


Cambio unità di misura

Manuale -> Variabili -> Cambio unità di misura

Il cambio unità di misura permette la conversione e il cambio di unità di base in cosiddette unità di commutazione, per esempio metro in yard o metro in decimetro, centimetro in millimetro. Un´unità base contiene il valore di partenza per una conversione. L´unità di conversione contiene il valore calcolato in relazione all´unità di base. Entrambe dispongono di una denominazione di unità di misura. Per l´unità di conversione possono essere definiti Fattore, un Offset e una Posizione della virgola decimale in riferimento all´unità di base corrispondente.

Al momento di definire i parametri di una variabile, si può selezionare un´unità di base. Mediante la funzione Cambio unità di misura si può passare durante il runtime da un´unità all´altra.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Menù contestuale - manager di progetto

Punto di menù | Azione
Nuova unità di base | Crea una nuova unità base.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa delle unità di misura da un file XML.
Guida | Apre la guida online.

info Informazioni su

Il cambio dell´unità di misura non deve essere usato in concomitanza con la funzione report variablerw. Tale funzione, infatti, rende disponibile un cambio di unità per progetti più vecchi. Se un´unità di una variabile definita nel cambio unità di misura viene modificata facendo uso di questa funzione report, deve essere effettuata di nuovo la configurazione nel cambio di unità di misura.

Noch in diesem Kapitel

Unità di misura Visualizzazione dettagli barra simboli e menù contestuale

Progettare unità di misura

Attribuzione a una variabile dell´unità base

Funzione Cambio unità di misura

Runtime


Unità di misura Visualizzazione dettagli barra simboli e menù contestuale

Manuale -> Variabili -> Cambio unità di misura -> Unità di misura Visualizzazione dettagli barra simboli e menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Menù contestuale Unità di misura Visualizzazione dettagli

Punto di menù | Azione
Nuova unità di base | Crea una nuova unità base.
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa delle unità di misura da un file XML.
Guida | Attiva la guida online

Menù contestuale e barra simboli Unità base/Unità convertita

Punto di menù | Azione
Nuova unità di base | Crea una nuova unità base.
Nuova unità di conversione | Imposta una nuova unità di conversione per l´unità base sovraordinata.
Elementi collegati: Torna all'elemento di partenza | Lista a cascata con link che riconduce all´elemento dal quale si è giunti all´unità. Esiste solamente se l´unità è collegata con un altro elemento.
Rinomina | Permette il cambiamento della denominazione dell´unità di misura. Attenzione: quando se ne cambia la denominazione, tutte le unità di misura che sono già connesse a variabili, o che vengono utilizzate in funzioni, devono essere adeguate manualmente nelle corrispondenti variabili oppure nella relativa funzione. Vedi anche: Attribuzione a una variabile di un´unità base Funzione "cambio unità di misura".
Esporta tutti in XML | Esporta tutti gli inserimenti in un file XML.
Importa XML | Importa delle unità di misura da un file XML.
Copia | Copia gli inserimenti selezionati negli appunti
Inserisci | Aggiunge il contenuto degli appunti. Se un inserimento è già esistente con lo stesso nome, il contenuto viene aggiunto come "copia di".
Elimina | Cancella gli inserimenti selezionati.
Guida | Attiva la guida online


Progettare unità di misura

Manuale -> Variabili -> Cambio unità di misura -> Progettare unità di misura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la conversione, dovete creare una unità di base e un´unità di conversione, nonché i parametri per il calcolo. La conversione viene effettuata secondo la formula y=kx+d (Austria) oppure y=mx+b Germania). Ogni unità di base può essere assegnata a una Variabile come unità di misura.

Per creare un´unità di base, seguite la seguente procedura:

  • selezionate nel manager di progetto il nodo Unità di misura.
  • Cliccate poi con il tasto destro del mouse su Unità di misura.
  • Selezionate nel menù contestuale il comando Nuova unità di base.
  • Viene generato un nuovo inserimento nella lista.
  • Assegnate una denominazione all´unità di misura.
  • Impostate un´unità di conversione.

Per creare un´unità di conversione, seguite la seguente procedura:

  • cliccate con il tasto destro del mouse su Unità di base.
  • Selezionate nel menù contestuale il comando Nuova unità di conversione.
  • Viene generato un nuovo inserimento nella lista.
  • Assegnate una denominazione all´unità di misura.
  • impostate un Fattore per la conversione
  • stabilite un valore Posizione della virgola decimale per
  • stabilite un valore Offset per


Attribuzione a una variabile dell´unità base

Manuale -> Variabili -> Cambio unità di misura -> Attribuzione a una variabile dell´unità base

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le unità di base vengono assegnate a una variabile nella proprietà Unità di misura (nodo Generale).

In questa sede potete scegliere una denominazione a piacere per le unità. Se volete utilizzare la conversione dell´unità durante il runtime, selezionate in primo luogo una unità base definita scegliendola fra quelle del menù a tendina.

Suggerimento: Quando assegnate una denominazione a piacere, Vi consigliamo di impostare subito dopo nel nodo Unità di misura L´unità base con lo stesso nome.

Per far in modo che venga effettivamente eseguito il calcolo di conversione durante il runtime, dovete impostare una Funzione "Conversione unità di misura" .

attention Attenzione

Se poi si decide di modificare l´unità di misura in un secondo momento, il cambiamento della denominazione non viene effettuato automaticamente per le variabili già connesse.

Per cambiare la denominazione di unità di misura già connesse, procedete nel modo seguente:

  • selezionate la visualizzazione dettagli del manager di progetto
  • poi selezionate la colonna "unità di misura", oppure aggiungetela alla visualizzazione nel caso in cui essa non venga ancora visualizzata.
  • Selezionate poi nel menù contestuale il comando "Sostituisci testo nella colonna selezionata".
  • Nel dialogo che si aprirà, poi, cercate il vecchio nome e sostituitelo con il nuovo.


Funzione Cambio unità di misura

Manuale -> Variabili -> Cambio unità di misura -> Funzione Cambio unità di misura

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter passare da un´unità di misura all´altra durante il runtime, dovete creare una funzione Cambio unità di misura:

  • selezionate nel manager di progetto il nodo Funzione.
  • Selezionate nel menu contestuale il comando Nuova funzione.
  • Navigare per raggiungere la variabile.
  • Selezionate la funzione Cambio unità di misura.

    Nota: l´esecuzione della funzione Cambio unità di misura determina anche un refresk del rapporto, nel caso in cui questo venga visualizzato in quel momento.

  • Si apre il dialogo che serve a fissare i parametri della funzione Cambio unità di misura:

Proprietà | Descrizione
Cambio unità di misura | Dialogo che serve alla attribuzione di unità di calcolo a unità di base.
Unità di base | Lista delle unità basi impostate.
Sostituisci in | lista a cascata che serve alla selezione dell´unità di calcolo. Si può scegliere un´unità di calcolo progettata, oppure l´unità di base. Unità di calcolo progettata: si passa a questa durante il runtime. <Unità di base>: L´unità di base rimane attiva durante il runtime.

info Informazioni su

Nel´export XML di questa funzione, non viene esportata anche l´unità di misura. Essa deve essere esportata separatamente.

attention Attenzione

Se un´unità di misura viene rinominata in seguito, questo cambio di nome dell´unità base viene tenuto presente automaticamente nelle funzioni. Le unità di calcolo devono essere modificate manualmente.


Runtime

Manuale -> Variabili -> Cambio unità di misura -> Runtime

Nel runtime ogni valore delle variabili viene convertito in occasione di ogni inserimento e emissione da unità di segnale a unità di area di misurazione; il tutto affianca la conversione usata di default.

  • Emissione Mediante la Funzione Cambio unità di misura viene attivata un´unità di conversione per una variabile. Il valore in unità di area di misurazione viene convertito con l´offset dentro impostato e il fattore. Per la trasformazione del valore in una stringa viene corretto in modo corrispondente il numero impostato sulla variabile delle cifre decimali.
  • inserimento La conversione avviene, analogamente alla emissione, nella direzione opposta.

Limitazioni:

  • Effettuando un´operazione di export, vengono esportate le unità interessate dal cambio.
  • I valori che sono salvati come stringa, non vengono convertiti ancora una volta per l´emissione. Questi valori rimangono nell´unità di misura che era attiva al momento della crezione della stringa. In particolare ciò interessa tutti i valori che vengono inseriti nel testo di un inserimento della CEL, come "Valore impostabile da VECCHIO a NUOVO" ecc.
  • Contatore ore di funzionamento e contatore cicli di funzionamento nell´Industrial Maintenance Manager vengono visualizzati sempre in unità base.
  • Le prestazioni nella immagine EMS vengono visualizzate sempre in unità base.

VBA

L´accesso a valori via VBA avviene sempre in unità base. Per esempio: la Variable.Value non fornisce nessun valore convertito, perché non si tratta di una emissione di valore. Per poter utilizzare il cambio unità anche tramite VBA, sono state implementate altre 4 nuove funzioni aVariable.:

Keyword | Descrizione
SecondaryUnitName | fornisce il nome dell´unità di conversione impostata.
SecondaryUnitDigits | fornisce le cifre decimali dell´unità di conversione impostata.
CalcSecondaryUnitValue | converte il valore della Unità base nel valore della Unità di conversione.
CalcPrimaryUnitValue | converte il valore della Unità di conversione nel valore della Unità di base.


Visualizzazione globale

Manuale -> Visualizzazione globale

In zenon si considera visualizzazione globale ogni immagine per cui l´opzione Ricava dimensioni dal modello è stata disattivata, e che è più grande, o ha perlomeno le stesse dimensioni del modello. Essa consente di visualizzare quelle immagini la cui grandezza supera le dimensioni del modello, e permette di navigare e zoomare in queste immagini. In tal modo è possibile visualizzare in modo completo degli impianti molto grandi e navigare al loro interno. Si può zoomare all´interno dell´immagine globale per visualizzare delle parti dell´impianto. Si può definire in dipendenza dei livelli di zoom quali dettagli verranno visualizzati (zooming, panning e deculuttering). Si può passare anche direttamente agli elementi.

info Informazioni su

Alcuni elementi, come, ad esempio, Combo/Listbox, Lista allarmi, Diagramma del modulo Trend esteso ecc., non possono essere sottoposti a zoom. La dimensione di questi elementi rimane costante, tuttavia si modifica la posizione.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Noch in diesem Kapitel

Progettazione nell'editor

Funzione cambio a supervisione globale

Gestione durante il runtime


Progettazione nell'editor

Manuale -> Visualizzazione globale -> Progettazione nell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare un´immagine globale, avete bisogno di:

  1. un´immagine che superi l´immagine del suo modello; questa è l´immagine globale
  2. un´immagine del tipo Supervisione globale; essa serve alla navigazione nell´immagine globale e ha effetto sul modello dell´immagine globale

Nota: queste due immagini devono essere basate su modelli diversi.

Quando si Apre un´immagine del tipo Supervisione globale si deve definire quale modello deve essere gestito da quest´immagine.

Consigli:

  • non usate l´immagine globale come immagine di partenza.
  • Avviate l´immagine globale e la Supervisione globale contemporaneamente con uno script.

info Informazioni su

Nel caso della navigazione con gesti multitouch, non è necessaria un´immagine del tipo Supervisione globale. Con Multi-Touch si può navigare direttamente nella Visualizzazione globale.

Elementi d´immagine

La visibilità degli elementi dinamici e di quelli vettoriali, nonché il loro nome per le liste oggetti, vengono definiti nelle proprietà dell´oggetto in questione: Runtime/Visualizzazione globale/...

Noch in diesem Kapitel

Imposta immagine globale

Crea un'immagine del tipo "visualizzazione globale"

Livelli di zoom

Oggetti


Imposta immagine globale

Manuale -> Visualizzazione globale -> Progettazione nell'editor -> Imposta immagine globale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un´immagine globale:

  1. impostate una nuova immagine.
  2. passate al gruppo proprietà Modello
  3. selezionate la proprietà Ricava dimensioni dal modello
  4. disattivate questa proprietà (eleminare segno di spunto, se esistente)
  5. selezionate per le proprietà Larghezza [Pixel] e Altezza [Pixel] dei valori che superino la dimensione del modello di questa immagine

    Valori massimi: 32.000

  6. impostate una funzione di cambio immagine per questa immagine

info Informazioni su

Faceplates non sono adatti per la visualizzazione globale. Perché le immagini collegate in Faceplate Container non vengono scalate, ma visualizzate sempre nelle dimensioni originali.


Crea un'immagine del tipo "visualizzazione globale"

Manuale -> Visualizzazione globale -> Progettazione nell'editor -> Crea un'immagine del tipo "visualizzazione globale"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progettazione

Operazioni da eseguire per creare un´immagine:

  1. Impostate una nuova immagine:

    Selezionate nella barra degli strumenti, oppure nel menù contestuale del nodo Immagini il comando Nuova immagine.
    Verrà aperta un´immagine vuota del tipo standard.

  2. Modificare le proprietà dell´immagine:
    1. Assegnare un nome all´immagine nella proprietà Nome.
    2. Selezionate nella proprietà Tipo di immagine Supervisione globale.
    3. Selezionare nella proprietà Modello il modello desiderato.
  3. Progettare i contenuti dell´immagine:
    1. Selezionare nella barra menù il punto Elementi di controllo
    2. Selezionare la voce Inserisci modello del menù a tendina.
      Si apre la finestra di dialogo per selezionare layout predefiniti. In questo modo, determinati elementi di controllo verranno inseriti nell´immagine in posizioni predefinite.
    3. Cancellare dall´immagine gli elementi di cui non avete bisogno.
    4. Selezionare sulla base delle vostre esigenze ulteriori elementi nel menù a tendina Elementi. Piazzarli nella posizione desiderata all´interno dell´immagine.
  4. Create una funzione di cambio immagine.

Parametri | Descrizione
Inserisci modello | Apre la finestra di dialogo che serve a selezionare un modello per un tipo di immagine. I modelli sono forniti con zenon, ma è possibile definirli anche individualmente. I modelli inseriscono elementi di controllo predefiniti a posti predeterminati nell´immagine. Anche dopo essere stati impostati, gli elementi che risultassero non necessari possono essere rimossi anche individualmente. Ulteriori elementi vengono selezionati fra quelli proposti nella lista a cascata e trascinati nell´immagine. Gli elementi possono essere spostati nell´immagine e essere ordinati secondo le esigenze individuali.
Immagine | Elementi di controllo per la finestra di controllo.
Finestra di controllo | Visualizzazione dell´immagine che viene gestita.
Lista oggetti | Lista degli Oggetti cui si può accedere direttamente.
Visualizza livello zoom | Mostra il livello dello zoom attuale.
Zoom | Elementi di controllo per la gestione dello zoom.
Zoom Minimo | Disattiva la funzione zoom; l´immagine viene visualizzata nella dimensione modello.
Zoom Massimo | Livello massimo dello zoom.
Ingrandisci | Zoomare all´interno dell´immagine.
Rimpicciolire | Zoomare al di fuori dell´immagine.
Zoom (Slider) | Slider che serve a impostare i livelli dello zoom.
Navigazione | Elementi di controllo per la navigazione nella visualizzazione globale.
A sinistra | Sposta la sezione visualizzata a sinistra.
A destra | Sposta la sezione visualizzata a destra.
In su | Sposta la sezione visualizzata in sù.
In giù | Sposta la sezione visualizzata in giù.


Livelli di zoom

Manuale -> Visualizzazione globale -> Progettazione nell'editor -> Livelli di zoom

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I livelli dello zoom definiscono la relazione fra la dimensione del modello e l´immagine visualizzata. La visualizzazione avviene in livelli, cui viene assegnata una cifra numero percentuale. 100 % corrisponde alla grandezza del modello. Più grande è la sezione d´immagine, tanto minore è il livello.

Nota: Le visualizzazioni globale non possono essere zooomate in Faceplate.

Per progettare i livelli dello zoom:

  1. navigate nelle proprietà di progetto fino a giungere al gruppo Aspetto grafico/Runtime generale
  2. cliccate in corrispondenza della proprietà Livelli di zoom immagine globale sul pulsante ...
  3. si apre il dialogo per configurare i livelli dello zoom

Parametri | Descrizione
Livelli zoom esistenti | In questa lista vengono visualizzati i livelli di zoom disponibili al momento.
Nuovo... | Crea un nuovo livello dello zoom. Potete adattare manualmente il valore proposto. Il valore deve essere compreso fra 1 e 100.
Modifica... | Apre il campo per l´inserimento del valore percentuale relativo al livello in questione.
Elimina... | Elimina i livelli dello zoom selezionati.

Livello zoom minimo

Il livello minimo è limitato dalla relazione fra la grandezza immagine e quella del modello.

Esempio:

  • vengono progettati 10 livelli di zoom da 10% a 100%.
  • L´immagine ha una grandezza pari al doppio di quella del modello.
    • I livelli dello zoom arrivano fino a 50%. A partire da questo punto viene visualizzata sempre la grandezza completa dell´immagine.
  • L´immagine ha una grandezza pari al quadruplo di quella del modello.
    • I livelli dello zoom arrivano fino a 20 %.


Oggetti

Manuale -> Visualizzazione globale -> Progettazione nell'editor -> Oggetti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ogni elemento di un´immagine può essere dotato di un nome univoco. Questo nome può essere usato anche per la navigazione nella Supervisione globale. Cliccando sul nome nella lista oggetti, si fa in modo che la sezione visualizzata si sposti finché l´elemento non si trova al centro della sezione stessa.

Per definire gli oggetti:

  1. cliccate sull´elemento desiderato
  2. navigate nelle proprietà fino a giungere al gruppo Runtime
  3. cliccate sulla proprietà Nome f. lista oggetti
  4. assegnate un nome all´oggetto

Nel Runtime vegono visualizzati tutti gli oggetti nominati nella lista.


Funzione cambio a supervisione globale

Manuale -> Visualizzazione globale -> Funzione cambio a supervisione globale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si apre un´immagine del tipo "Supervisione globale" durante il Runtime, il sistema provvede a determinare in quale Modello dell´immagine si naviga. Per l´immagine a cui si deve passare, la funzione Ricava dimensioni dal modello non deve essere attiva; essa deve essere inoltre più grande del modello corrispondente.

Per impostare un cambio ad un´immagine del tipo Supervisione globale:

  1. create una nuova funzione
  2. selezionate Cambio immagine
  3. si apre il dialogo che serve alla scelta dell´immagine
  4. scegliete l´immagine del tipo Supervisione globale
  5. si apre il dialogo per configurare l´immagine

Parametri | Descrizione
Visualizzazione della visione globale del modello | Selezione del modello che deve essere gestito, fra quelli presenti nella lista a cascata.
Colore struttura | Definisce visualizzazione colori durante il runtime:
Standard | Colore della cornice,che mostra la parte selezionata nell´immagine globale. Cliccando su Colore si apre la tavolozza che serve a scegliere il colore
Selezione al click con tasto destro | Colore della cornice se si clicca sulla sezione con il tasto destro del mouse per trascinarla. Cliccando su Colore si apre la tavolozza che serve a scegliere il colore
Impostazioni |
Larghezza cornice | Larghezza della cornice che visualizza la parte selezionata nell'immagine globale.
Aggiorna Vista completa ciclicamente | Attivo: gli elementi dinamici nell´immagine assegnata vengono aggiornati ad intervalli regolari definiti.
Secondi | Tempo espresso in secondi per l´Update ciclico.
Evidenzia oggetto selezionato | Attivo: se si clicca su un oggetto della lista oggetti, esso viene evidenziato.
Zoom | Proprietà dello zoom.
Rispettare le relazioni pagina | Attivo: La relazione fra altezza e larghezza del rettangolo viene mantenuta quando si effettua il trascinamento.
Disattiva punti di ancoraggio di pagina | Attivo: i punti di ancoraggio della cornice vengono nascosti e non più visualizzati con eccezione di quelli agli angoli.
Zoom con i tasti “+”/”-“ | Selezione che permette di zoomare facendo uso dei + e -. Prima di tutto bisogna provvedere ad assegnare i tasti in modo corrispondente.
% | Mediante i tasti assegnati si zooma nell´immagine a livelli percentuali. Inserimento di un valore compreso fra 1 e 100. Default: 10
Livelli di zoom | Mediante i tasti assegnati si zooma nell´immagine facendo uso dei livelli di zoom.
Spostamento in pixel con i tasti freccia | Indicazione del numero di pixel di cui viene spostata un´immagine quando se ne effettua lo spostamento servendosi dei tasti freccia. Prima di tutto bisogna provvedere ad assegnare i tasti in modo corrispondente. Inserimento di un valore compreso fra 1 e 16.000. Default: 100
Ok | Riprende le impostazioni, chiude il dialogo e apre quello per Sostituire i collegamenti.
Annulla | Annulla tutti gli inserimenti e chiude il dialogo.
Guida | Attiva la guida online

info Informazioni su

Eventuali modifiche delle proprietà effettuate nell´Editor hanno effetto durante il Runtime solo dopo la riapertura dell´immagine del tipo Supervisione globale.


Gestione durante il runtime

Manuale -> Visualizzazione globale -> Gestione durante il runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per navigare in un´immagine globale durante il Runtime, usate:

  • l´immagine del tipo supervisione globale
    oppure
  • gesti multitouch sul touchscreen

Supervisione globale

  1. aprite anzitutto l´Immagine globale con una funzione di cambio immagine
  2. aprite l´immagine del tipo Supervisione globale con una Funzione di cambio immagine

Suggerimento: usate uno script per richiamare contemporaneamente entrambi i cambi immagine.

Con l´aiuto degli elementi di controllo, del mouse e della tastiera, potete poi navigare nell´immagine globale, e zoomare al suo interno. I dettagli relativi li potete trovare nel capitolo Supervisione globale

Multi-Touch

Con Multitouch potete navigare direttamente nella Visualizzazione globale anche senza Supervisione globale propria. I dettagli relativi li potete trovare nel capitolo Navigazione con multitouch nell´immagine globale

Noch in diesem Kapitel

Supervisione globale

Navigazione con Multi-Touch nell´immagine globale .


Supervisione globale

Manuale -> Visualizzazione globale -> Gestione durante il runtime -> Supervisione globale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Durante Runtime, la supervisione globale mette a Vostra disposizione diverse possibilità per gestire il livello dello zoom e la sezione visualizzata:

  • Elementi di controllo
  • Mouse e touch
  • Tastiera

Gli elementi di controllo possono essere gestiti anche via touchscreen. I punti di contatto per la gestione del mouse sono dimensionati in modo corrispondente, in modo tale dal poter essere utilizzati senza problemi anche in modalità touch.

Quando si usano i gesti Multi-Touch si può navigare direttamente all´interno dell´immagine globale e non è necessaria nessuna immagine del tipo Supervisione globale.

info Informazioni su

Nel Runtime, la Supervisione globale è sempre in primo piano come finestra propria, indipendentemente dalle impostazioni nell´Editor concernenti gli elementi d'immagine.

Noch in diesem Kapitel

Navigazione tramite elementi di controllo

Azioni con il mouse

Navigazione con la tastiera


Navigazione tramite elementi di controllo

Manuale -> Visualizzazione globale -> Gestione durante il runtime -> Supervisione globale -> Navigazione tramite elementi di controllo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Parametri | Descrizione
Zoom min. | Disattiva lo zoom. La sezione viene visualizzata nella grandezza del modello.
Zoom max. | Livello massimo dello zoom.
+ | Zoomare all´interno dell´immagine.
- | Zoomare al di fuori dell´immagine.
Slider | Slider che serve a impostare i livelli dello zoom.
A sinistra | Sposta la sezione visualizzata a sinistra.
A destra | Sposta la sezione visualizzata a destra.
in sù | Sposta la sezione visualizzata in sù.
in giù | Sposta la sezione visualizzata in giù.
Lista oggetti | Lista degli Oggetti cui si può accedere direttamente. Cliccando su un oggetto si ottiene che l´oggetto stesso venga visualizzato al centro della sezione dell´immagine mostrata in quel momento.


Azioni con il mouse

Manuale -> Visualizzazione globale -> Gestione durante il runtime -> Supervisione globale -> Azioni con il mouse

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il mouse e la gestione Touch avete a disposizione le seguenti azioni:

  • Sposta sezione:

    Per spostare la sezione visualizzata dell´immagine globale avete diverse possibilità:

    1. cliccate al centro della sezione in questione e muovete il mouse sul modello tenendo premuto il tasto sinistro.
    2. Premete il tasto Space e cliccate all´interno dell´immagine globale: Il puntatore del mouse assumerà l´aspetto di una mano. Adesso potete spostare l´immagine globale con il mouse. I clic con il tasto sinistro del mouse non vengono valutati nell´immagine globale se il tasto Space è premuto.
    3. Cliccate con il tasto destro del mouse all´interno della sezione d´immagine e muovete il mouse sul modello tenendo premuto il tasto destro.
    4. Tenete premuta la rotella del mouse e muovetelo sul modello.
  • Zoom:
    cliccate all´interno della sezione d´immagine e girate la rotella del mouse per zoomare. Lo zoom verrà realizzato sulla base dei livelli di zoom impostati. Durante lo zoom il puntatore rimane sul posto scelto all´interno dell´immagine.
  • Scroll:
    si può effettuare lo scroll all´interno dell´immagine globale usando la rotella del mouse:
    • Verticale cliccate all´interno dell´immagine globale e girate la rotella del mouse.
    • Orizzontale cliccate nell´immagine globale, tenete premuto il tasto Shift e girate la rotella del mouse.

      Tasto Shift + rotella del mouse verso l´alto: scroll verso destra.

      Tasto Shift + rotella del mouse verso il basso: scroll verso sinistra.

info Informazioni su

I modelli possono essere spostati anche con il mouse, se l´immagine non è una visualizzazione globale. A tale scopo deve essere attivata la proprietà Muovi modello via mouse. Nel Runtime, quando si clicca con il tasto sinistro del mouse su un´area vuota dello schermo e si muove il mouse stesso tenendo premuto il tasto, si muove l´intera immagine.

Interazioni

Le proprietàMuovi modello via mouse da una parte, e Sposta orizzontalmente e Sposta verticalmente dall´altra, non possono essere attivate contemporaneamente. Si può attivare o lo spostamento di un modello con il mouse, oppure lo spostamento orizzontale/verticale tramite gestione touch.

Attenzione al seguente caso eccezionale: nel seguente caso, entrambe le proprietà vengono settate e non sono poi configurabili.

  • La proprietà Sposta orizzontalmente, oppure Sposta verticalmente viene attivata.
  • La proprietà di progetto Analisi per Interazione viene settata su Windows 7, oppure disattivata.
  • La proprietà Muovi modello via mouse viene attivata.
  • Per la proprietà Analisi viene di nuovo selezionata l´opzione Windows 8.

Soluzione:

  • Selezionate per la proprietà Analisi di nuovo l´opzione Windows 7, oppure Disattivata.
  • .Disattivate la proprietà Muovi modello via mouse


Navigazione con la tastiera

Manuale -> Visualizzazione globale -> Gestione durante il runtime -> Supervisione globale -> Navigazione con la tastiera

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Potete zoomare e spostare le sezioni dell´immagine anche usando la tastiera. A tale scopo dovete anzitutto assegnare dei tasti agli elementi di controllo, per es.:

  • su -> Tasto freccia in su
  • giù -> Tasto freccia in giù
  • sinistra -> Tasto freccia a sinistra
  • destra -> Tasto freccia a destra
  • + (Slider) -> Tasto +
  • - (Slider) -> Tasto -

Per assegnare un tasto a un elemento di controllo:

  1. selezionate l´elemento di controllo
  2. passate alla proprietà Combinazione tasti
  3. cliccate sul pulsante ... oppure nel campo di inserimento
  4. si aprirà il dialogo per fissare la combinazione di tasti
  5. cliccate nel campo Combinazione tasti
  6. premete il tasto desiderato oppure la combinazione tasti, per es.: +
  7. la combinazione di tasti verrà visualizzata nel campo di inserimento
  8. chiudete il dialogo cliccando su OK.


Navigazione con Multi-Touch nell´immagine globale .

Manuale -> Visualizzazione globale -> Gestione durante il runtime -> Navigazione con Multi-Touch nell´immagine globale .

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I gesti Multi-Touch per zoom e scrolling possono essere utilizzati su pannelli con funzione touch anche al fine di navigare all´interno dell´immagine globale. A tale scopo è necessaria un´immagine del tipo Supervisione globale. La navigazione può essere implementata con:

  • Gesti touch Windows 7
  • Gesti touch Windows 8

Regole

  • Spostare: Se un´immagine in un container non è una visualizzazione globale, essa riprende le impostazioni dell´immagine faceplate.

Muovere una visualizzazione globale o visualizzazione globale in container di un faceplate.

  • L'immagine è più grande del modello: Il contenuto dell´immagine viene mosso.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: Nessuna reazione.

Visualizzazione globale separato in faceplate.

  • L'immagine è più grande del modello: viene mosso il contenuto dell´immagine.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: Nessuna reazione.

Muovere il modello senza bordo con il mouse, quando l´immagine è una visualizzazione globale ed ha le stesse dimensioni, oppure è più piccola del modello:

  • Con il tasto destro del mouse: Nessuna reazione.
  • Con il tasto sinistro del mouse: il modello viene spostato.

Modificare la grandezza della visualizzazione globale

Si può modificare la grandezza della visualizzazione globale.
Eccezione: Se la visualizzazione globale è un faceplate, la grandezza non può essere modificata.

Clic con il tasto destro del mouse:

  • L'immagine è più grande del modello: Viene mosso il contenuto.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: Nessuna reazione.

Conversione progetto

Valori di Sposta orizzontalmente e Sposta verticalmente in caso di conversione in zenon 7.20 di un progetto realizzato con una versione precedente:

  • L'immagine è più grande del modello: Spostare.
  • L´immagine ha le stesse dimensioni, o è più piccola del modello: Nessuna reazione.

Noch in diesem Kapitel

Navigazione sotto Windows 7

Navigazione sotto Windows 8


Navigazione sotto Windows 7

Manuale -> Visualizzazione globale -> Gestione durante il runtime -> Navigazione con Multi-Touch nell´immagine globale . -> Navigazione sotto Windows 7

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter usare gesti Multi-Touch sotto Windows 7 allo scopo di navigare nella Visualizzazione globale, dovete:

  • o essere attivati mediante la proprietà Multi-Touch per Zoom e Scrolling
  • o essere implementati tramite VBA/VSTA

Zoom e scrolling tramite la proprietà Multi-Touch per Zoom e Scrolling

Per utilizzare Multi-Touch senza VBA/VSTA:

  1. Attivate nelle proprietà di progetto, nel nodo Interazione per la proprietà Analisi, Windows 7.
  2. Disattivate nelle proprietà dell´immagine, e in particolare nel nodo Modello la proprietà Ricava dimensioni dal modello
  3. Attivate nelle proprietà dell´immagine, e in particolare nel nodo Interazione la proprietà Multi-Touch per Zoom e Scrolling

In tal modo è possibile effettuare lo scrolling e zoomare nell´immagine usando i gesti Multi-Touch. In questo modo gli eventi VBA/VSTA per zoom e scrolling vengono disattivati.

Zoom e scrolling tramite VBA/VSTA

Per realizzare zoom e scrolling tramite eventi VBA/VSTA, non deve essere attiva la proprietà Multi-Touch per Zoom e Scrolling.

In DynPicturesono a Vostra disposizione:

  • Property

    int ZoomLevel: Indica il livello attuale dello zoom nell´immagine globale (valore valido solamente nel Runtime e solo per un´immagine globale).

  • Stile

    SetZoomAndPos(float ZoomX, float ZoomY, int ZoomLevel, int CursorX, int CursorY, int PosX, int PosY, int PosMode):

    ZoomX -> Nuovo fattore di zoom direzione-X, se non usato, settare a 0

    ZoomY -> Nuovo fattore di zoom direzione-Y, se non usato, settare a 0

    ZoomLevel -> Livello zoom, se non usato, settare a -1

    CursorX -> Posizione cursore X

    CursorY -> Posizione cursore Y

    PosX -> Nuova posizione X (vedi PosMode)

    PosY -> Nuova posizione Y (vedi PosMode))

    PosMode -> Coordinate in Pos

    -1 = PosX, PosY vengono ignorati

    0 = punto centrale, coordinate originali

    1 = punto centrale, coordinate zoomate

    2 = in alto a sinistra , coordinate originali

    3 = in alto a sinistra , coordinate zoomate

    4 = coordinate zoomate del cursore da in alto a sinistra
    La posizione della finestra viene modificata in tal modo che, dopo lo zoom, il puntatore del mouse si trova sempre sullo stesso posto dell´immagine.

Attenzione: ZoomX, ZoomY e ZoomLevel non possono essere mai utilizzati contemporaneamente. O si indica uno ZoomLevel , oppure fattori zoom per gli assi x e y.


Navigazione sotto Windows 8

Manuale -> Visualizzazione globale -> Gestione durante il runtime -> Navigazione con Multi-Touch nell´immagine globale . -> Navigazione sotto Windows 8

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per navigare in una Visualizzazione globale con Multi-Touch sotto Windows 8:

  1. Attivate nelle proprietà di progetto, nel nodo Interazione per la proprietà Analisi, Windows 8.
  2. Per l´immagine, disattivate nel gruppo Modello la proprietà Ricava dimensioni dal modello, e stabilite che la grandezza dell´immagine sia maggiore di quella del modello.
  3. navigate nelle proprietà dell´immagine fino a giungere al gruppo Interazione
  4. Configurate le proprietà Zoomen e Verschieben.

Per il gesto "move" (sposta), potete definire la direzione: orizzontale, verticale o entrambe. Per far ciò usate le proprietà Horizontal verschieben e Vertikal verschieben.


Wizard

Manuale -> Wizard

Per poter sbrigare in fase di progettazione nel modo più facile e rapido possibile dei compiti ricorrenti, zenon mette disposizione dei wizard concernenti diversi settori dell´engineering.

Gli utenti possono creare anche dei propri wizard.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Avvia wizard

Per avviare un wizard:

  • Selezionare nel menù a tendina File l´inserimento Wizards ...

    oppure

  • premere la combinazione di tasti Alt+F12

Il wizard per la creazione di un progetto viene offerto dal sistema automaticamente quando si vuole creare un nuovo progetto.

Impostazioni nel file zenon6.ini

Per far sì che i wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nello zenon6.ini:

[VBA]

EIN=1

VSTA

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Noch in diesem Kapitel

Temi

Crea o adatta wizard

Aggiorna Wizard


Temi

Manuale -> Wizard -> Temi

In zenon sono disponibili i seguenti Wizard:

  • Analyzer
    • Export Wizard for Analyzer 2.10
    • Export Wizard for Analyzer 02:20
    • Meaning and Waterfall Chart Wizard
    • Sankey Wizard
  • Settore dell`energia.
    • Simulation Driver
    • IEC 61850 SSD Import
    • IEC850 Driver Configuration
  • Export - Import
    • FactoryLink Import Wizard
    • PDiag Import Wizard
    • WinCC Import Wizard
    • XML Export Wizard
    • XML Import Wizard
  • Language Table
    • Language Table Wizard
    • Language Translation Wizard
    • System Text Wizard VSTA
  • Meterin Point Administration Wizard
  • Pharmaceutical
    • Pharmaceutical Wizard
  • Project
    • Backup Comparison Wizard
    • Wizard di documentazione
    • Wizard di progetto
  • Variables
    • Everywhere Essentials QR Code Generator
    • Variable creation wizard
  • Wizards VSTA
    • Demo Wizard: modello vuoto che può essere adattato alle esigenze individuali.

Noch in diesem Kapitel

Analyzer

Settore dell`energia.

Esportazione/Importazione

Language Table

Metering Point Administration - Amministrazione punti di misurazione

Industria farmaceutica.

Project

Variables


Analyzer

Manuale -> Wizard -> Temi -> Analyzer

zenon Analyzer dispone di Wizard che aiutano gli utenti ad effettuare una corretta parametrizzazione del sistema SCADA e a realizzare l´esportazione di dati dal sistema SCADA stesso. Attualmente, il sistema SCADA zenon viene supportato.

Wizard:

  • Export Wizard for Analyzer 2.10: supporta l´Export di metadati da zenon per il zenon Analyzer Version 2.10.
  • Export Wizard for Analyzer 2.20: supporta l´Export di metadati da zenon per il zenon Analyzer Version 02:20.
  • Meaning and Waterfall Chart Wizard: Vi aiuta a predisporre un progetto di zenon alla elaborazione di informazioni variabile in zenon Analyzer.
  • Analyzer Export Wizard: supporta l´export di metadati da zenon a partire dalla versione 7:10 SP0 per zenon Analyzer.
  • Sankey Wizard: Vi aiuta nella creazione di diagrammi Sankey, che possono essere usati nel Runtime o nel zenon Analyzer.

I wizards per zenon Analyzer vengono installati automaticamente al momento dell´installazione di zenon 7.20. L´Analyzer Export Wizard dispone di una DLL propria. Meaning and Waterfall Chart Wizard e Sankey Wizard condividono una DLL. Installazione e manutenzione, dunque, sono diversi da quelli di altri wizard di zenon. Analyzer Wizard vengono aggiornati automaticamente con gli update di zenon a partire dalla versione 7.20. A partire dalla versione 7.10, l´update può essere effettuato anche (se necessario) manualmente, tramite il file Build per zenon contenuto nel supporto di installazione sul zenon Analyzer. Questi wizard non vengono aggiornati tramite il meccanismo di aggiornamento dei wizard di zenon. Ulteriori dettagli li trovate nel capitolo Installazione e Update nella guida concernente il zenon Analyzer.

Sintassi per inserimenti in zenon

L´inserimento in zenon dipende dalla versione di zenon usata.

Fino alla versione 07:11 di zenon

Fino alla versione 7.11 di zenon compresa, modello Meaning e Waterfall vengono inseriti nella proprietà di zenon Identificazione servizio. Essa può contenere significati per molte categorie.

Per inserimenti nella proprietà

  • Le categorie vengono separate da un punto e virgola (;).
  • Le aree all´interno di una categoria vengono separate da virgole (,).
  • Le categorie vengono contrassegnate tramite un indice:
    • ME=: Identifica un significato (Meaning).
      Sintassi: ME=[Significato principale come testo],[Significato aggiuntivo come testo],[Significato aggiuntivo come testo],…;
      Esempio: ME=Station_1,Station_2;
    • WF=: Identifica una variabile per la rappresentazione waterfall.
      Sintassi: WF=[Nome modello Testo],[Indice righe INT],[Indice colonne INT],[Codice colore come testo #XXXXXX];;
    • Anche ogni altro inserimento viene inteso come Meaning

Sintassi completa per la proprietà Identificazione servizio: ME=[Meaning1],[Meaning2],…,[MeaningN];WF=[Nome modello],[Indice righe],[Indice in riga],[Codice colore];

Attenzione: La proprietà Identificazione servizio è limitata a 255 caratteri nell´Editor di zenon.

Da zenon 07:20

A partire da zenon 7.20, sono disponibili in zenon delle proprietà specifiche per la definizione di Meaning e waterfall, nonché per l´inserimento di un nome di visualizzazione. Questi inserimento non necessitano di un´identificazione che li preceda.

Le seguenti proprietà nel gruppo proprietà-variabili di zenon Analyzer forniscono delle informazioni per report in zenon Analyzer:

  • Nome visualizzato: Inserimento di un nome visualizzazione della variabile in zenon Analyzer. Esso deve essere unico nell´intero progetto. La verifica di ciò non avviene al momento dell´assegnazione in zenon, ma quando si effettua l´import in zenon Analyzer. Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.
  • Significato: Inserimento del significato (Meaning) di una variabile in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. Diversi significati vengono separati da virgole.
    Sintassi:[Meaning1],[Meaning2],…,[MeaningN]
  • Parametro per diagramma a cascata: Parametri di una variabile per un diagramma waterfall in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
    Sintassi: [Nome modello],[Indice righe],[Indice in riga],[Codice colore];

Attenzione: Nell´Editor di zenon, tutti questi campi di inserimento possono contenere un massimo di 255 caratteri

  • Nel caso di export sul zenon Analyzer, vengono controllate sia la proprietà vecchia, che quelle nuove. Se tutte sono occupate, vengono ripresi gli inserimenti della nuove proprietà. Gli inserimenti che vengono creati mediante il Meaning and Waterfall Chart Wizard, sono sempre inseriti nelle nuove proprietà. .

Noch in diesem Kapitel

Export Wizard for Analyzer 2.10

Export Wizard for Analyzer 02:20

Export Wizard for Analyzer 03:00

Meaning and Waterfall Chart Wizard

Sankey Wizard


Export Wizard for Analyzer 2.10

Manuale -> Wizard -> Temi -> Analyzer -> Export Wizard for Analyzer 2.10

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L`Export Wizard di zenon for Analyzer 2.10 supporta l´export di metadati da zenon a partire dalla versione 7.10 SP0 per il zenon Analyzer 2.10.

Possono essere esportati:

  • dati del progetto globale
    • Modelli di impianti
    • Classi di allarme/evento
    • gruppi allarmi/eventi
    • Utente
  • Dati di progetti selezionati:
    • Archivi
    • Variabili

Nota: Il wizard è a disposizione solamente in lingua inglese.

Compatibilità:

Indipendentemente dalla versione, l´ Analyzer Export Wizard con diverse versioni di zenon Analyzer e di zenon. Per i dettagli, si prega di di consultare il capitolo Compatibilità Analyzer Wizards.

Noch in diesem Kapitel

Installa e apri Wizard

Finestra iniziale

Configurazione

Termina Wizard


Installa e apri Wizard

Manuale -> Wizard -> Temi -> Analyzer -> Export Wizard for Analyzer 2.10 -> Installa e apri Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il wizard viene installato automaticamente con zenon per ogni versione zenon Analyzer supportata.

Aprire Wizard

Per far sì che i wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nello zenon6.ini:

[VBA]

EIN=1

VSTA

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Per aprire il Wizard:

  1. Aprire in zenon il menù File
    , oppure premere la combinazione di tasti Alt+F12
  2. Selezionare l´inserimento Wizards....
  3. Si apre il dialogo di selezione
  4. Passare al nodo Analyzer
  5. Selezionare l´Analyzer Export Wizard

  6. Cliccare su OK e il Wizard si avvierà.


Finestra iniziale

Manuale -> Wizard -> Temi -> Analyzer -> Export Wizard for Analyzer 2.10 -> Finestra iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando aprite il Wizard, ricevete una pagina inizale che Vi mostra in una lista tutti gli oggetti esportabili.

I singoli oggetti vengono configurati per l´export nelle schede apposite.

Cliccando sul pulsante con la Freccia procedete attraverso i passaggi della configurazione dell´export.


Configurazione

Manuale -> Wizard -> Temi -> Analyzer -> Export Wizard for Analyzer 2.10 -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si esporta con l´Analyzer Export Wizard, il sistema offre in successione tutti i moduli selezionati nella scheda Settings per la configurazione dei dettagli. Cliccando sul pulsante con la Freccia a destra si va al passaggio immediatamente successivo. Si possono selezionare le singole schede anche direttamente cliccando sull´intestazione della scheda stessa.

Le seguenti schede sono a Vostra disposizione per configurare l´export:

  • Settings:
    Opzioni per la raccolta dei metadati
  • Equipment model :
    Esportazione dei gruppi modelli dal progetto globale.
  • Event classes:
    Classi allarme/evento dal progetto globale.
  • Event Event groups:
    Gruppi allarme/evento dal progetto globale.
  • Users:
    Utenti da progetto globale
  • Projects:
    Progetti dal workspace
  • Historian:
    Archivi dei progetti selezionati.
  • Variables:
    Variabili dei progetti selezionati.
  • Finish:
    Avvio dell´export ed output del risultato.

Attenzione: si può esportare solamente un progetto globale nella banca dati! aree di lavoro i cui progetti devono essere esportati nella banca dati, devono contenere questo progetto globale.

Noch in diesem Kapitel

Navigazione

Settings

Equipment model

Classi di allarme/evento

Event groups

Users

Projects

Historian

Variables

Finish


Navigazione

Navigazione

Si naviga attraverso le schede avviene facendo uso della barra di navigazione che si trova nella parte inferiore della finestra wizard:

Pulsante

Descrizione

Freccia a sinistra

Torna una scheda indietro nella fase di avanzamento del Wizard.

Freccia a destra

Passa alla prossima scheda nella fase di avanzamento del Wizard.

Export

Esporta i dati nella banca dati dell´Analyzer .

Attivo solamente se la scheda Finish è aperta.

Cancel

Chiude il Wizard senza eseguire l´export.

Alla chiusura del Wizard, viene visualizzata una finestra di dialogo che domanda se la configurazione deve essere salvata.

  • Sì: scrive le impostazioni configurate nella scheda Settings nella registry e termina il Wizard; quando lo si riavvia, il Wizard verrà aperto con questa configurazione.
  • No: chiude il Wizard senza salvare la configurazione.

Il salvataggio della configurazione dipende dall´utente.

Singole schede possono essere selezionate anche direttamente cliccando sulla loro intestazione.


Settings

Settings

In questa scheda:

  1. definite la banca dati alla quale si collega il wizard.
  2. fissate le opzioni generali per l´esportazione
  3. avviate la lettura dei dati.

Parametri

Descrizione

Settings

Informazioni e indicazioni concernenti i processi di export in corso

Database settings

Impostazioni di connessione all´Analyzer Server.

DB host

Calcolatore su cui si trova la banca dati.

DB instance

Istanza del database

DB name

Nome del database

Authentication

Tipo di registrazione:

  • Windows Authentication: si usano le informazioni di autenticazione di Windows.
  • SQL Server Authentication: Login con dati di un utente di SQL Server.

User name

Inserimento del nome utente.

Solo per Login con SQL Server Authentication. Con Windows Authentication solo visualizzazione.

Password

Inserimento della password.

Solo per Login con SQL Server Authentication. Nel caso di Windows Authentication non è possibile nessun inserimento.

Remember password

La password viene salvata per la prossima connessione.

Solo per Login con SQL Server Authentication. Nel caso di Windows Authentication questa opzione è disattivata.

Options

Opzioni generali per l´export

Load every project of this workspace into the memory

Attivo: carica tutti i progetti presenti nel Workspace, anche se non sono attivi e non sono settati su Mantieni progetto in memoria.

Keep the exisiting data in the Analyzer database

Attivo: vengono scritti nella banca data solamente i nuovi inserimento dell´area di lavoro.

Inattivo: gli inserimento nella banca dati vengono anche aggiornati oppure cancellati.
Eccezione: I progetti non vengono cancellati.

Preselect existing Analyzer database content

Attivo: gli inserimenti già presenti nella banca dati vengono preselezionati nelle singole aree.

Load Data

Load Data

Cliccando su questo pulsante, si caricano (in dipendenza del parametro Load every project of this workspace into the memory) nel wizard i dati dei progetti attualmente caricati.

Il sistema verifica se dei dati sono presenti nella banca dati Analyzer. I dati già esistenti vengono fusi con quelli dell´area di lavoro e caricati nel wizard. Nel caso dovessero esserci conflitti di denominazione, il sistema visualizzerà una finestra di dialogo nella quale si potrà porre rimedio agli errori e problemi insorti.

Dopo che il caricamento dei dati è stato portato a termine con successo, si può procedere alla configurazione dell´export che sarà effettuerà nelle successive schede.

Rinomina oggetti

Gli oggetti devono avere sempre lo stesso nome nella banca dati Analyzer e in zenon. Se degli oggetti già esistenti nella banca dati vengono rinominati in zenon, le relative modifiche possono essere accettate o rifiutate al momento della fusione dei dati. Se i cambiamenti non vengono accettati, il wizard sarà terminato perché solo oggetti con lo stesso nome possono essere editati correttamente.

Finestra di dialogo per la rinomina

Nel caso dovessero esserci conflitti di denominazione, il sistema visualizzerà una finestra di dialogo nella quale si potrà porre rimedio agli errori e problemi insorti:

Parametri

Descrizione

Lista degli oggetti modificati

Contiene tutti gli oggetti che sono stati modificati. Vengono visualizzati sia il nome vecchio che quello nuovo. Vengono visualizzati nella lista i seguenti oggetti che sono stati rinominati:

  • nomi dei gruppi di modelli di impianto
  • nomi delle classi allarmi/eventi
  • nomi dei gruppi allarmi/eventi
  • nomi progetto
  • nomi variabili

Eccezioni:

  • gli utenti vengono impostati sempre nuovamente.
  • I nomi archivio vengono impostati nella banca dati solo una volta come Visualname e possono essere sovrascritti in zenon Analyzer.

Rename

Rinomina tutti gli oggetti inseriti nella lista anche nella banca dati, chiude la finestra di dialogo e termina la lettura dei dati.

Cancel

Mantiene il nome attuale nella banca dati, termina la lettura dei dati e chiude il wizard.


Equipment model

Equipment model

Configurazione dei gruppi modello da esportare dal progetto globale.

attention Attenzione

Ad ogni gruppo di impianti in zenon può essere assegnato solamente un unico modello tempo.

Se sono stati assegnati più gruppi modelli di tempo, l´Analyzer Export Wizard usa solamente il primo che trova e lo esporta nei metadati dell´Analyzer. Gli altri gruppi modelli di tempo saranno ignorati.

Parametri

Descrizione

Equipment modeling

Informazioni e indicazioni concernenti l´export

Selezione Impianto/media

Menù a tendina che serve a selezionare quello che verrà offerto nella Lista modelli di impianto/Media ai fini della configurazione:

  • Plant: mostra modelli di impianto
  • Media: mostra media

Lista modelli di impianto/media

Campo lista con possibilità di selezione per modelli di impianto e gruppi modelli e/o media. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Nel campo lista viene visualizzato nei singoli nodi sempre il nome nel modo in cui esso è stato depositato e salvato nella banca dati. Se il nome viene modificato, quello originale del progetto zenon viene visualizzato fra parentesi.

Quei gruppi di impianti che sono stati cancellati nel progetto globale non verranno più visualizzati.

Se è stata disattivata nella scheda Settings l´opzione Keep the exisiting data in the Analyzer database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Cliccando su questo pulsante si selezionano tutti i gruppi di impianti.

Deselect all

Cliccando su questo pulsante si deselezionano tutti i gruppi di impianti.


Classi di allarme/evento

Classi di allarme/evento

Configurazione delle classi allarmi/eventi da esportare dal progetto globale.

Parametri

Descrizione

Alarm/event classes

Informazioni e indicazioni concernenti l´export

Lista delle classi allarmi/eventi.

Campo lista con possibilità di selezione di classi allarmi/eventi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: quando si selezionano più righe, cliccando su una Checkbox si setta l´opzione per tutte le righe selezionate.

Quelle classi allarmi/eventi che sono state cancellate nel progetto globale non verranno più visualizzate.

Se è stata disattivata nella scheda Settings l´opzione Keep the exisiting data in the Analyzer database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le Checkbox.


Event groups

Event groups

Configurazione dei gruppi allarmi/eventi da esportare dal progetto globale.

Parametri

Descrizione

Alarm/event groups

Informazioni e indicazioni concernenti l´export

Lista dei gruppi allarmi/eventi

Campo lista con possibilità di selezione di gruppi allarmi/eventi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: quando si selezionano più righe, cliccando su una Checkbox si setta l´opzione per tutte le righe selezionate.

Quelle classi allarmi/eventi che sono state cancellate nel progetto globale non verranno più visualizzate.

Se è stata disattivata nella scheda Settings l´opzione Keep the exisiting data in the Analyzer database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le Checkbox.


Users

Users

Configurazione degli utenti da esportare dal progetto globale.

Parametri

Descrizione

Users

Informazioni e indicazioni concernenti l´export

Lista degli utenti

Campo lista con possibilità di selezione di utenti. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: quando si selezionano più righe, cliccando su una Checkbox si setta l´opzione per tutte le righe selezionate.

Se è stata disattivata nella scheda Settings l´opzione Keep the exisiting data in the Analyzer database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Se un utente è stato rinominato in zenon, esso verrà considerato nuovo e verrà impostato nuovamente nel progetto. Il vecchio utente verrà cancellato.

Select all

Seleziona tutti gli inserimenti della lista e attiva le Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le Checkbox.


Projects

Projects

Configurazione dei progetti locali da esportare. Nome di server e Server-Standby possono essere modificati in questa sede. Per farlo:

  1. evidenziate il progetto nella lista dei progetti
  2. inserite il nome desiderato per server e Server-Standby

se nel progetto di zenon si cambia il nome del server o del Server-Standby, esso verrà aggiornato nella banca dati dell´Analyzer solo se nelle proprietà di progetto è stata attivata l´impostazione Rete attiva.

Parametri

Descrizione

Projects

Informazioni e indicazioni concernenti l´export

Lista progetti

Campo lista con possibilità di selezione di progetti. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: quando si selezionano più righe, cliccando su una Checkbox si setta l´opzione per tutte le righe selezionate.

Se è stata disattivata nella scheda Settings l´opzione Keep the exisiting data in the Analyzer database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Server

Indirizzo del server per il progetto selezionato nella finestra lista.

Standby

Indirizzo del Server-Standby per il progetto selezionato nella finestra lista.

Select all

Seleziona tutti gli inserimenti della lista e attiva le Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le Checkbox.


Historian

Historian

Selezione degli archivi dai progetti selezionati. Vengono visualizzati solamente gli archivi di base. Gli archivi in cascata non vengono visualizzati nella lista, ma vengono selezionati insieme a quelli di base e scritti nella banca dati.

Parametri

Descrizione

Historian

Informazioni e indicazioni concernenti l´export

Lista archivi

Campo lista con possibilità di selezione di archivi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: quando si selezionano più righe, cliccando su una Checkbox si setta l´opzione per tutte le righe selezionate.

Se è stata disattivata nella scheda Settings l´opzione Keep the exisiting data in the Analyzer database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le Checkbox.


Variables

Variables

Configurazione delle variabili da esportare dal progetto locale. Quando si effettua la scelta delle variabili, si può prefiltrare sulla base dei progetti gli inserimenti offerti dal sistema.

Parametri

Descrizione

Variables

Informazioni e indicazioni concernenti l´export

Variable Filter

Selezione del filtro variabili mediante i seguenti campi opzione:

  • Show all: vengono visualizzate tutte le variabili.
  • Historians only: vengono visualizzate solamente le variabili d´archivio.
  • Equipment groups only: vengono visualizzate solo le variabili che si trovano nei Modelli di impianto selezionati.
  • Show not selected only: vengono visualizzate solo le variabili che non sono state selezionate.

Riga filtro

Inserimento di caratteri alfanumerici sulla base dei quali si deve filtrare la Lista delle variabili.

Lista delle variabili

Campo lista con possibilità di selezione di variabili. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti della stessa vengono ordinati in senso ascendente o discendente.

Scelta multipla: quando si selezionano più righe, cliccando su una Checkbox si setta l´opzione per tutte le righe selezionate.

Se è stata disattivata nella scheda Settings l´opzione Keep the exisiting data in the Analyzer database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le Checkbox.

Regole per l´export di variabili con matrice di reazione

Quando si effettua l´export di variabili collegate aRema, vengono esportati anche il testo di valore limite e il valore degli stati Rema nella tabella STATUSNAME della banca metadati dell´Analyzer. Visto che nei report possono essere analizzati solo determinati stati, il wizard deve effettuare un´operazione preliminare di filtro.

I seguenti stati delle Rema vengono esportati o esclusi:

Rema

Regole

Numerico
  • Lo stato di default viene ignorato.
  • Nel caso in cui ci siano più inserimenti settati con stesso stato e condizione di valore limite, verrà esportato solamente il primo stato con il rispettivo testo.
  • Vengono esportati solamente quegli stati i cui valori sono uguali ad un valore limite (condizione di valore limite).
  • Le condizioni di valore limite maggiore, minore, qualsiasi e Area vengono ignorate.

Multi analogica
  • Valgono le regole esposte per Numerici.
  • In aggiunta a quanto detto sopra, bisogna far presente che vengono ignorati anche i sottostati.

Binario

  • Vengono esportati solamente gli stati i cui valori bit sono settati da destra a sinistra senza soluzione di continuità nella maschera di bit (0 oppure 1).
    Ad esempio:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    Vengono ignorati, ad esempio:
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi binaria
  • Valgono le regole esposte per Binari.
  • In aggiunta a quanto detto sopra, bisogna far presente che vengono ignorati anche i sottostati, nonché gli stati con definizioni edge nella maschera di bit.

String

  • Vengono completamente ignorati e non sono esportati.


Finish

Finish

Per esportare i dati configurati:

  1. cliccate nell´ambito della scheda Finish sul pulsante Export

  2. l´export viene avviato
  3. Il sistema fornisce una completa documentazione concernente gli elementi esportati, con segnalazioni che indicano se l´import è stato effettuato con successo o si sono verificati degli errori.
    Inoltre verrà visualizzato il numero degli oggetti inseriti, aggiornati e cancellati, nonché il numero degli errori verificatisi.

  4. Cliccate suClose per chiudere il Wizard.

Riconfigurare il wizard

Per riconfigurare il wizard:

  1. aprite la tab Settings
  2. cliccate sul pulsante "Load data“
  3. configurate la schede.


Termina Wizard

Manuale -> Wizard -> Temi -> Analyzer -> Export Wizard for Analyzer 2.10 -> Termina Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per terminare il Wizard:

  • cliccate sul pulsante Cancel
  • un dialogo pone la domanda se la configurazione debba essere salvata.
    • Se si clicca su Sì, il sistema scrive le impostazioni settate nella scheda Settings nella registry e termina il Wizard; quando lo si riavvia, il Wizard verrà aperto con questa configurazione.
    • Se si clicca su No, invece, il sistema termina il Wizard senza salvare la configurazione.


Export Wizard for Analyzer 02:20

Manuale -> Wizard -> Temi -> Analyzer -> Export Wizard for Analyzer 02:20

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Export Wizard di zenonper Analyzer 2.20 supporta l´export di metadati da zenon a partire dalla versione 7.0 SP0 per il zenon Analyzer 2.20.

Possono essere esportati:

  • dati del progetto globale
    • Modelli di impianti
    • Classi di allarme/evento
    • gruppi allarmi/eventi
    • Utente
  • Dati di progetti selezionati:
    • Archivi
    • Variabili con:

      - Nome visualizzato (vedi capitolo Nome di visualizzazione)

      - Significato (vedi capitolo Significato)

      - Parametro per diagramma a cascata (vedi capitolo Parametri Diagramma waterfall)

  • Diagrammi di Sankey (vedi capitolo Diagrammi di Sankey)

Nota: Il wizard è a disposizione solamente in lingua inglese.

Compatibilità:

Indipendentemente dalla versione, l´ Analyzer Export Wizard con diverse versioni di zenon Analyzer e di zenon. Per i dettagli, si prega di di consultare il capitolo Compatibilità Analyzer Wizards.

Noch in diesem Kapitel

Diagrammi di Sankey

Installa e apri Wizard

Finestra start

Configurazione

Terminare il Wizard


Diagrammi di Sankey

Manuale -> Wizard -> Temi -> Analyzer -> Export Wizard for Analyzer 02:20 -> Diagrammi di Sankey

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il wizard legge automaticamente in tutti i progetti attivi e nel progetto globale le definizioni per il diagramma di Sankey.. In zenon queste ultime si trovano nella cartella di progetto \Dateien\Sonstige.
A questo proposito, vale quanto segue:

  • Vengono presi in considerazione solo file XML validi che sono stati impostati per zenon Analyzer.
    Validi sono i diagrammi che nel file XML Sankey hanno settati gli attributi Analyzer e Valid su True. Tutti gli altri diagrammi di Sankey vengono ignorati e non vengono caricati.
  • Tutte le definizioni di diagramma di Sankey vengono scritte nella banca metadati zenon Analyzer nelle tabelle SANKEY_DIAGRAMM, SANKEY_OBJECT e SANKEY_VARIABLE.
  • A seconda delle impostazioni dell´ Opzione Keep the existing data in the Analyzer database, i diagrammi vengono aggiunti come segue:
    • Attivo: vengono aggiunti solamente nuovi diagrammi nella banca dati Analyzer.
    • Inattivo: i nuovi diagrammi vengono aggiunti e quelli già esistenti vengono attualizzati.
  • I diagrammi cancellati In zenon (file XML) non vengono cancellati nell´Analyzer. In zenon Analyzer i diagrammi possono essere cancellati direttamente solo nella banca dati.
  • Per aggiungere oppure aggiornare diagrammi, tutte le variabili di zenon necessarie devono:
    • essere selezionate mediante la scheda Variables
      , oppure
    • devono trovarsi già nella banca dati.

    Se delle variabili necessarie per il diagramma di Sankey non sono selezionate per l´export, questo diagramma non verrà esportato.

  • Se il diagramma di Sankey esiste già, le tabelle della banca metadati vengono aggiornate in modo corrispondente alle modifiche.
  • Cliccando sul pulsante Export della scheda Finish, si avvia l´export dei diagrammi di Sankey da zenon in zenon Analyzer.
    L´export dei diagrammi avviene solamente dopo quello di tutti gli altri dati come progetti o variabili. Il successo dell´operazione di export viene visualizzato nella lista di messaggi della scheda Finish.

attention Attenzione

L´import di diagrammi di Sankey avviene automaticamente sullo sfondo. Non sono disponibili interfacce che consentano di effettuare delle operazioni di configurazione.


Installa e apri Wizard

Manuale -> Wizard -> Temi -> Analyzer -> Export Wizard for Analyzer 02:20 -> Installa e apri Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il wizard viene installato automaticamente con zenon per ogni versione zenon Analyzer supportata.

Aprire Wizard

Per far sì che i wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nello zenon6.ini:

[VBA]

EIN=1

VSTA

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Per aprire il Wizard:

  1. aprite in zenon il menù File
    , oppure premete la combinazione di tasti Alt+F12
  2. selezionate l´inserimento Wizards..
  3. Si apre il dialogo di selezione
  4. navigate per raggiungere il nodoAnalyzer.
  5. selezionate l´Analyzer Export Wizard della versione desiderata.

  6. cliccando su OK aprite il Wizard


Finestra start

Manuale -> Wizard -> Temi -> Analyzer -> Export Wizard for Analyzer 02:20 -> Finestra start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando aprite il Wizard, ricevete una pagina inizale che Vi mostra in una lista tutti gli oggetti esportabili.

I singoli oggetti vengono configurati per l´export nelle schede apposite.

Cliccando sul pulsante con la Freccia procedete attraverso i passaggi della configurazione dell´export.


Configurazione

Manuale -> Wizard -> Temi -> Analyzer -> Export Wizard for Analyzer 02:20 -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso di esportazione con l´ Analyzer Export Wizard, tutti i moduli disponibili per l´export vengono offerti per realizzarne la configurazione dettagliata. Vengono esportati solamente i dati selezionati. L´export di Diagrammi di Sankey avviene sullo sfondo, senza che ci sia una possibilità di configurazione. Cliccando sul pulsante con la Freccia a destra passate al passaggio immediatamente successivo. Potete anche selezionare direttamente le singole schede cliccando sull´intestazione delle stesse.

Le seguenti schede sono a Vostra disposizione per configurare l´export:

  • Settings: Opzioni per esportare i metadati
  • Equipment models: Esportazione dei gruppi di impianti dal progetto globale.
  • Event classes: Classi allarme/evento dal progetto globale.
  • Event groups: Gruppi allarme/evento dal progetto globale.
  • Users: Utente da progetto globale
  • Projects: Progetto dal workspace
  • Archives: Archivi dei progetti selezionati.
  • Variables: Variabili dei progetti selezionati.
  • Finish: Avvio dell´export ed emissione del risultato.

Noch in diesem Kapitel

Navigazione

Settings

Equipment models

Classi di allarme/evento

Event groups

Users

Projects

Archives:

Variables

Finish


Navigazione

Navigazione

Si naviga attraverso le schede avviene facendo uso della barra di navigazione che si trova nella parte inferiore della finestra wizard:

Pulsante

Descrizione

Freccia a sinistra

Torna una scheda indietro nella fase di avanzamento del Wizard.

Freccia a destra

Passa alla prossima scheda nella fase di avanzamento del Wizard.

Export

Esporta i dati nella banca dati dell´Analyzer .

Attivo solamente se la scheda Finish è aperta.

Cancel

Chiude il wizard senza effettuare l´export.

Al momento della chiusura del Wizard, una finestra di dialogo pone la domanda se la configurazione debba essere salvata.

  • Sì: Scrive le impostazioni settate nella scheda Settings nella registry e chiude il wizard. Al momento del prossimo start, il wizard viene aperto con questa configurazione.
  • No: chiude il Wizard senza salvare la configurazione.

Il salvataggio della configurazione dipende dall´utente.

Singole schede possono essere selezionate anche direttamente cliccando sulla loro intestazione.


Settings

Settings

In questa scheda:

  1. definite la banca dati alla quale si collega il wizard.
  2. fissate le opzioni generali per l´esportazione
  3. avviate la lettura dei dati.

Settings

Parametri | Descrizione
Settings | Informazioni e indicazioni concernenti i processi di export in corso

Database settings

Parametri

Descrizione

Database settings

Impostazioni di connessione all´Analyzer Server.

DB host

Calcolatore su cui si trova la banca dati.

DB instance

Istanza del database

DB name

Nome del database

Authentication

Tipo di registrazione:

  • Windows Authentication: si usano le informazioni di autenticazione di Windows.
  • SQL Server Authentication: Login con dati di un utente di SQL Server.

User name

Inserimento del nome utente.

Solo per Login con SQL Server Authentication.
Nel caso di Windows Authentication solo visualizzazione.

Password

Inserimento della password.

Solo per Login con SQL Server Authentication.
Nel caso di Windows Authentication, non è possibile alcun inserimento.

Remember password

La password viene salvata per la prossima connessione.

Solo per Login con SQL Server Authentication.
Nel caso di Windows Authentication, non attivo.

Projects

Parametri

Descrizione

Projects

Lista dei progetti disponibili nell´attuale area di lavoro zenon. Il checkbox indica se vengono utilizzati i dati del progetto vengono utilizzati:

  • Attivo: Viene usato il progetto.

Vengono preselezionati i progetti che si trovano nella memoria attiva. I progetti non attivi possono essere aggiunti selezionando il checkbox relativo.

Options

Parametri

Descrizione

Options

Opzioni generali per l´export

Keep the existing data in the Analyzer database
  • Attivo: vengono scritti nella banca dati solamente gl inserimenti completamente nuovi dell´area di lavoro.
    Nota: Se vengono modificati link di variabili, archivi, ecc., o se ne creano dei nuovi, essi non verranno trasferiti. Se si vuole che anche essi vengano ripresi, il checkbox deve essere impostato su Non attivo.
  • Inattivo: Gli inserimento nella banca dati vengono anche aggiornati oppure cancellati. Vengono, dunque, impostati nuovi inserimenti, vengono aggiornati quelli modificati, vengono rimossi quelli cancellati.
    Eccezione: Progetti e diagrammi di Sankey non vengono cancellati.

Preselect existing Analyzer database content
  • Attivo: gli inserimenti già presenti nella banca dati vengono preselezionati nelle singole aree.

Load Data

Load Data

Cliccando su questo pulsante, si caricano (in dipendenza del parametro Load every project of this workspace into the memory) nel wizard i dati dei progetti attualmente caricati.

Il sistema verifica se dei dati sono presenti nella banca dati Analyzer. I dati già esistenti vengono fusi con quelli dell´area di lavoro e caricati nel wizard. Nel caso dovessero esserci conflitti di denominazione, il sistema visualizzerà una finestra di dialogo nella quale si potrà porre rimedio agli errori e problemi insorti.

Dopo che il caricamento dei dati è stato portato a termine con successo, si può procedere alla configurazione dell´export che sarà effettuerà nelle successive schede.

Rinomina oggetti

Gli oggetti devono avere sempre lo stesso nome nella banca dati Analyzer e in zenon. Se degli oggetti già esistenti nella banca dati vengono rinominati in zenon, le relative modifiche possono essere accettate o rifiutate al momento della fusione dei dati. Se i cambiamenti non vengono accettati, il wizard sarà terminato perché solo oggetti con lo stesso nome possono essere editati correttamente.

Finestra di dialogo per la rinomina

Nel caso dovessero esserci conflitti di denominazione, il sistema visualizzerà una finestra di dialogo nella quale si potrà porre rimedio agli errori e problemi insorti:

Parametri

Descrizione

Lista degli oggetti modificati

Contiene tutti gli oggetti che sono stati modificati. Vengono visualizzati sia il nome vecchio che quello nuovo. Vengono visualizzati nella lista i seguenti oggetti che sono stati rinominati:

  • nomi dei gruppi di modelli di impianto
  • nomi delle classi allarmi/eventi
  • nomi dei gruppi allarmi/eventi
  • nomi progetto
  • nomi variabili

Eccezioni:

  • gli utenti vengono impostati sempre nuovamente.
  • I nomi archivio vengono impostati nella banca dati solo una volta come Visualname e possono essere sovrascritti in zenon Analyzer

Rename

Rinomina tutti gli oggetti inseriti nella lista anche nella banca dati, chiude la finestra di dialogo e termina la lettura dei dati.

Cancel

Mantiene il nome attuale nella banca dati, termina la lettura dei dati e chiude il wizard.


Equipment models

Equipment models

Configurazione dei gruppi modello da esportare dal progetto globale.

attention Attenzione

Ad ogni gruppo di impianti in zenon può essere assegnato solamente un unico modello tempo.

Se sono stati assegnati più gruppi modelli di tempo, l´Analyzer Export Wizard usa solamente il primo che trova e lo esporta nei metadati dell´Analyzer. Gli altri gruppi modelli di tempo saranno ignorati.

Parametri

Descrizione

Equipment models

Informazioni e indicazioni concernenti l´export

Selezione Impianto/media

Menù a tendina che serve a selezionare il modello che verrà offerto nella Lista modelli di impianto/Media ai fini della configurazione-

Lista modelli di impianto/media

Campo lista con possibilità di selezione per modelli di impianto e gruppi modelli e/o media. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Nel campo lista viene visualizzato nei singoli nodi sempre il nome nel modo in cui esso è stato depositato e salvato nella banca dati. Se il nome viene modificato, quello originale del progetto zenon viene visualizzato fra parentesi.

Quei gruppi di impianti che sono stati cancellati nel progetto globale non verranno più visualizzati.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Cliccando su questo pulsante si selezionano tutti i gruppi di impianti.

Deselect all

Cliccando su questo pulsante si deselezionano tutti i gruppi di impianti.


Classi di allarme/evento

Classi di allarme/evento

Configurazione delle classi allarmi/eventi da esportare dal progetto globale.

Parametri

Descrizione

Event classes

Informazioni e indicazioni concernenti l´export

Lista delle classi allarmi/eventi.

Campo lista con possibilità di selezione di classi allarmi/eventi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti contenuti in questa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Quelle classi allarmi/eventi che sono state cancellate nel progetto globale non verranno più visualizzate.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le Checkbox.


Event groups

Event groups

Configurazione dei gruppi allarmi/eventi da esportare dal progetto globale.

Parametri

Descrizione

Event groups

Informazioni e indicazioni concernenti l´export

Lista dei gruppi allarmi/eventi

Campo lista con possibilità di selezione di gruppi allarmi/eventi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti contenuti in questa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Quelle classi allarmi/eventi che sono state cancellate nel progetto globale non verranno più visualizzate.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le Checkbox.


Users

Users

Configurazione degli utenti da esportare dal progetto globale.

Parametri

Descrizione

Users

Informazioni e indicazioni concernenti l´export

Lista degli utenti

Campo lista con possibilità di selezione di utenti. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti contenuti in questa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Se un utente è stato rinominato in zenon, esso verrà considerato nuovo e verrà impostato nuovamente nel progetto. Il vecchio utente verrà cancellato.

Select all

Seleziona tutti gli inserimenti della lista e attiva le Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le Checkbox.


Projects

Projects

Configurazione dei progetti locali da esportare. Nome di Server 1 e Server 2 possono essere modificati in questa sede.

Per modificare il nome di un server o di un Server-Standby:

  1. evidenziate il progetto nella lista dei progetti
  2. inserite il nome desiderato per Server 1 e Server 2.

se nel progetto di zenon si cambia il nome del Server 1 o del Server 2, esso verrà aggiornato nella banca dati dell´Analyzer solo se nelle proprietà di progetto è stata attivata l´impostazione Rete attiva.

Parametri

Descrizione

Projects

Informazioni e indicazioni concernenti l´export

Lista progetti

Campo lista con possibilità di selezione di progetti. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti contenuti in questa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Server 1

Indirizzo del Server 1 per il progetto selezionato nella finestra lista.

Server 2

Indirizzo del Server 2 per il progetto selezionato nella finestra lista.

Select all

Seleziona tutti gli inserimenti della lista e attiva le Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le Checkbox.


Archives:

Archives:

Selezione degli archivi dai progetti selezionati. Vengono visualizzati solamente gli archivi di base. Gli archivi in cascata non vengono visualizzati nella lista, ma vengono selezionati insieme a quelli di base e scritti nella banca dati.

Parametri

Descrizione

Archives

Informazioni e indicazioni concernenti l´export

Lista archivi

Campo lista con possibilità di selezione di archivi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti contenuti in questa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le Checkbox.


Variables

Variables

Configurazione delle variabili da esportare dal progetto locale selezionato. Quando si effettua la scelta delle variabili, si può prefiltrare sulla base dei progetti gli inserimenti offerti dal sistema.

Parametri

Descrizione

Variables

Informazioni e indicazioni concernenti l´export

Display

Selezione di quali variabili devono essere visualizzate, effettuata mediante i seguenti campi opzione:

  • All: vengono visualizzate tutte le variabili.
  • Selected: vengono visualizzate solo le variabili che sono state già selezionate.
  • Unselected: vengono visualizzate solo le variabili che non sono state ancora selezionate.

Variable filter

Selezione del filtro variabili mediante i seguenti campi opzione:

  • All: vengono visualizzate tutte le variabili.
  • Archives: vengono visualizzate solamente le variabili d´archivio.
  • Equipment groups: vengono visualizzate solo le variabili che si trovano nei Modelli di impianto selezionati.

Riga filtro

Inserimento di caratteri alfanumerici sulla base dei quali si deve filtrare la Lista delle variabili.

Lista delle variabili

Campo lista con possibilità di selezione di variabili. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Vengono mostrati:

  • Name (Analyzer): Nome in zenon Analyzer.
  • Name (Workspace): A partire da zenon 7.20, può essere assegnato nell´Editor tramite la proprietà Nome visualizzato. Deve essere univoco nel progetto. Vedi anche il capitolo Nomi di visualizzazione.
  • Meaning: A partire da zenon 7.20, può essere assegnato nell´Editor tramite la proprietà Significato. Vedi anche il capitolo Significato.
  • Ressource label: Corrisponde in zenon alla proprietà Identificazione servizio. Viene usato fino a zenon 7.11 incluso per Significato e Parametri Diagramma waterfall. A partire dalla versione 7.20, zenon mette a disposizione a tal scopo delle proprietà ad hoc.
  • Identification: Corrisponde in zenon alla proprietà Identificazione.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti contenuti in questa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le Checkbox.

Regole per l´export di variabili con matrice di reazione

Quando si effettua l´export di variabili collegate a Rema, vengono esportati anche il testo di valore limite, il colore di valore limite e il valore degli stati Rema nella tabella STATUSNAME della banca metadati dell´Analyzer. Visto che nei report possono essere analizzati solo determinati stati, il wizard deve effettuare un´operazione preliminare di filtro.

I seguenti stati delle Rema vengono esportati o esclusi:

Rema

Regole

Numerico
  • Lo stato di default viene ignorato.
  • Nel caso in cui ci siano più inserimenti settati con stesso stato e condizione di valore limite, verrà esportato solamente il primo stato con il rispettivo testo.
  • Vengono esportati solamente quegli stati i cui valori sono uguali ad un valore limite (condizione di valore limite).
  • Le condizioni di valore limite maggiore, minore, qualsiasi e Area vengono ignorate.

Multi analogica
  • Valgono le regole esposte per Numerici.
  • In aggiunta a quanto detto sopra, bisogna far presente che vengono ignorati anche i sottostati.

Binario

  • Vengono esportati solamente gli stati i cui valori bit sono settati da destra a sinistra senza soluzione di continuità nella maschera di bit (0 oppure 1).
    Ad esempio:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    Vengono ignorati, ad esempio:
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi binaria
  • Valgono le regole esposte per Binari.
  • In aggiunta a quanto detto sopra, bisogna far presente che vengono ignorati anche i sottostati, nonché gli stati con definizioni edge nella maschera di bit.

String

  • Vengono completamente ignorati e non sono esportati.

Import di informazioni variabili da zenon

Le seguenti proprietà nel gruppo proprietà-variabili di zenon Analyzer forniscono delle informazioni per report in zenon Analyzer:

  • Nome visualizzato: Inserimento di un nome visualizzazione della variabile in zenon Analyzer. Esso deve essere unico nell´intero progetto. La verifica di ciò non avviene al momento dell´assegnazione in zenon, ma quando si effettua l´import in zenon Analyzer. Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.
  • Significato: Inserimento del significato (Meaning) di una variabile in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. Diversi significati vengono separati da virgole.
    Sintassi:[Meaning1],[Meaning2],…,[MeaningN]
  • Parametro per diagramma a cascata: Parametri di una variabile per un diagramma waterfall in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
    Sintassi: [Nome modello],[Indice righe],[Indice in riga],[Codice colore];

Noch in diesem Kapitel

Nomi di visualizzazione

Significato

Parametro Diagramma waterfall


Nomi di visualizzazione

Nomi di visualizzazione

Quando viene caricata l´area di lavoro di zenon (a partire da zenon 7.20), il wizard legge la proprietà Analyzer/Nome visualizzato e la mostra per ogni variabile nella scheda Variables. Per i nomi di visualizzazione vale quanto segue:

  • Il nome deve essere univoco per ogni progetto.
  • I nomi che ricorrono più volte nello stesso progetto vengono evidenziati in rosso nella lista variabili.
  • Quando vengono scritti i dati nella banca metadati, vengono inseriti i Nome visualizzato.
  • Nel caso di un nome che ricorre due volte nell´ambito di uno stesso progetto, il sistema inserisce il Nome visualizzato solo per la variabile trovata per prima. Per la seconda variabile viene usato il Nome della variabile in zenon.
  • Il Nome visualizzato viene settato solo al momento del primo export della variabile. Nel caso in cui esso dovesse essere modificato in un secondo momento nell´Editor, questo cambiamento non verrà più ripreso nella banca metadati. Le modifiche, però, vengono naturalmente adottate al momento dell´export in una nuova banca metadati.
  • Con una versione di zenon precedente alla 7.20, il nome di visualizzazione viene sempre ripreso dalla proprietà zenon Identificazione.


Significato

Significato

Il wizard legge (a partire da zenon 7.20) la proprietà Analyzer/Significato e la mostra per ogni variabile nella scheda Variables
Per i significati vale quanto segue:

  • Se ci sono degli inserimenti per Significato, gli inserimenti corrispondenti nel campo Identificazione servizio vengono ignorati.
  • Se non ci sono degli inserimenti, vengono ripresi quelli corrispondenti dalla proprietà Identificazione servizio.
  • L´identificazione ME= non è più necessaria, ma la si può ancora usare. Se ad una variabile sono assegnati più significati, una virgola funge da separatore.
  • Con una versione di zenon precedente alla 7.20, il significato viene sempre ripreso dalla proprietà zenon Identificazione servizio.


Parametro Diagramma waterfall

Parametro Diagramma waterfall

Quando viene caricata l´area di lavoro di zenon (a partire da zenon 7.20), il wizard legge la proprietà Analyzer/Parametro per diagramma a cascata e la mostra per ogni variabile nella scheda Variables. Per waterfall vale quanto segue:

  • Se ci sono degli inserimenti per Parametro per diagramma a cascata, gli inserimenti corrispondenti nel campo Identificazione servizio vengono ignorati.
  • Se non ci sono degli inserimenti, vengono ripresi quelli corrispondenti dalla proprietà Identificazione servizio.
  • L´identificazione WF= non è più necessaria, ma la si può ancora usare. I singoli elementi di un modello sono separati da virgole. Se ad una variabile sono assegnati più modelli waterfall, un punto e virgola funge da separatore.
  • Con una versione di zenon precedente alla 7.20, i parametri waterfall vengono sempre ripresi dalla proprietà zenon Identificazione servizio.


Finish

Finish

Per esportare i dati configurati:

  1. cliccate nella scheda Finish sul pulsante Export.

  2. L´export viene avviato
  3. Il sistema fornisce una completa documentazione concernente gli elementi esportati, con segnalazioni che indicano se l´import è stato effettuato con successo o si sono verificati degli errori.
    Inoltre verrà visualizzato il numero degli oggetti inseriti, aggiornati e cancellati, nonché il numero degli errori verificatisi.

  4. Cliccare su Close per chiudere il Wizard.

Riconfigurare il wizard

Per riconfigurare il wizard:

  1. Aprire la scheda Settings.
  2. Cliccare sul pulsante Load data.
  3. Configurare le schede.


Terminare il Wizard

Manuale -> Wizard -> Temi -> Analyzer -> Export Wizard for Analyzer 02:20 -> Terminare il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per terminare il Wizard:

  • Cliccate sul pulsante Cancel.
  • Un dialogo pone la domanda se la configurazione debba essere salvata.
    • Sì: Scrive le impostazioni settate nella scheda Settings nella registry e chiude il wizard. Al momento del prossimo start, il wizard viene aperto con questa configurazione. Il salvataggio della configurazione dipende dall´utente.
    • No: chiude il Wizard senza salvare la configurazione.


Export Wizard for Analyzer 03:00

Manuale -> Wizard -> Temi -> Analyzer -> Export Wizard for Analyzer 03:00

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo zenon Export Wizard for Analyzer 3.00 supporta l´export di metadati da zenona partire dalla versione 7.11 SP0 per lo zenon Analyzer 3.00.

Possono essere esportati:

  • dati del progetto globale
    • Modelli di impianti
    • Classi di allarme/evento
    • gruppi allarmi/eventi
    • Utente
  • Dati di progetti selezionati:
    • Archivi
    • Variabili con:

      - Nome visualizzato (vedi capitolo Nome di visualizzazione)

      - Significato (vedi capitolo Significato)

      - Parametro per diagramma a cascata (vedi capitolo Parametri Diagramma waterfall)

  • Diagrammi di Sankey (vedi capitolo Diagrammi di Sankey)

Nota: Il Wizard è a disposizione solamente in lingua inglese.

Compatibilità:

Indipendentemente dalla versione, l´ Analyzer Export Wizard con diverse versioni di zenon Analyzer e di zenon. Per i dettagli, si prega di di consultare il capitolo Compatibilità Analyzer Wizards.

Noch in diesem Kapitel

Diagrammi di Sankey

Grafico a cascata

Installa e apri Wizard

Finestra start

Configurazione

Chiudere il Wizard


Diagrammi di Sankey

Manuale -> Wizard -> Temi -> Analyzer -> Export Wizard for Analyzer 03:00 -> Diagrammi di Sankey

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Wizard legge automaticamente le definizioni per il diagramma di Sankey da tutti i progetti attivi e dal progetto globale. In zenon queste ultime si trovano nella cartella di progetto \Dateien\Sonstige.
A questo proposito, vale quanto segue:

  • Vengono presi in considerazione solo file XML validi che sono stati impostati per zenon Analyzer.
    Validi sono i diagrammi che nel file XML Sankey hanno settati gli attributi Analyzer e Valid su True. Tutti gli altri diagrammi di Sankey vengono ignorati e non vengono caricati.
  • Tutte le definizioni di diagramma di Sankey vengono scritte nella banca metadati dello zenon Analyzer nelle tabelle SANKEY_DIAGRAMM, SANKEY_OBJECT e SANKEY_VARIABLE.
  • I diagrammi cancellati In zenon (file XML) non vengono cancellati nell´Analyzer. In zenon Analyzer i diagrammi possono essere cancellati direttamente solo nella banca dati.
  • Per aggiungere oppure aggiornare diagrammi, tutte le variabili di zenon necessarie devono:
    • essere selezionate mediante la scheda Variables
      , oppure
    • devono trovarsi già nella banca dati.

    Se variabili necessarie per il diagramma di Sankey non sono selezionate per l´export, il diagramma di Sankey non verrà esportato.

  • Se il diagramma di Sankey esiste già, le tabelle della banca metadati vengono aggiornate in modo corrispondente alle modifiche.
  • Cliccando sul pulsante Export della scheda Finish, si avvia l´export dei diagrammi di Sankey da zenon nello zenon Analyzer.
    L´export dei diagrammi avviene solamente dopo quello di tutti gli altri dati come progetti o variabili. Il successo dell´operazione di export viene visualizzato nella lista di messaggi della scheda Finish.

attention Attenzione

L´import di diagrammi di Sankey avviene automaticamente in background. Non sono disponibili interfacce che consentano di effettuare delle operazioni di configurazione.


Grafico a cascata

Manuale -> Wizard -> Temi -> Analyzer -> Export Wizard for Analyzer 03:00 -> Grafico a cascata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un grafico a cascata può essere creato per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. A partire da zenon 7.20, i parametri per il diagramma vengono depositati nella proprietà delle variabili Analyzer/Parametro per diagramma a cascata. Essi possono essere inseriti manualmente, oppure creati con il Meaning and Waterfall Chart Wizard.

Esporta

Durante il caricamento del workspace di zenon, il Wizard legge la proprietà Parametro per diagramma a cascata. Se ci sono degli inserimenti corretti, essi vengono esportati in background e scritti nella banca dati di zenon Analyzer.

Struttura degli inserimenti

A seconda della loro struttura, il sistema decide se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea o sulle macchine.

  • Basati sulle macchine: Struttura con 4 digits, separati da virgola; un punto e virgola alla fine.

    Sintassi: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
    Esempio: MyWaterfall,4,2,#80FF00;

  • Basati sulla linea: Struttura con 7 digits, separati da virgola; un punto e virgola alla fine.

    Sintassi: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];
    Esempio: MyLineAnlaysis,4,2, #80FF00,0,0,0;

Regole di lettura

Per la lettura vale quanto segue:

  • Se ci sono inserimenti per Parametro per diagramma a cascata, gli inserimenti corrispondenti nel campo Identificazione servizio vengono ignorati.
    La struttura è il criterio per stabilire se l´inserimento va considerato a base macchina o a base linea.
  • L´identificazione WF= non è necessaria, ma la si può usare. I singoli elementi di un modello sono separati da virgole. Se ad una variabile sono assegnati più modelli waterfall, un punto e virgola funge da separatore.
  • Se non ci sono degli inserimenti, vengono ripresi quelli corrispondenti dalla proprietà Identificazione servizio. Qui deve essere premessa l´identificazione WF=.
  • Con una versione di zenon precedente alla 7.20, i parametri waterfall vengono ripresi dalla proprietà zenon Identificazione servizio.


Installa e apri Wizard

Manuale -> Wizard -> Temi -> Analyzer -> Export Wizard for Analyzer 03:00 -> Installa e apri Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il wizard viene installato automaticamente con zenon per ogni versione zenon Analyzer supportata.

Aprire Wizard

Per far sì che i wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nello zenon6.ini:

[VBA]

EIN=1

VSTA

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Per aprire il Wizard:

  1. Aprire in zenon il menù File
    , oppure premere la combinazione di tasti Alt+F12
  2. Selezionare l´inserimentoWizards.
  3. Si apre il dialogo di selezione
  4. Passare al nodo Analyzer.
  5. Selezionare l´Analyzer Export Wizard nella versione desiderata.

  6. cliccando su OK aprite il Wizard


Finestra start

Manuale -> Wizard -> Temi -> Analyzer -> Export Wizard for Analyzer 03:00 -> Finestra start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando aprite il Wizard, ricevete una pagina inizale che Vi mostra in una lista tutti gli oggetti esportabili.

I singoli oggetti vengono configurati per l´export nelle schede apposite.

Cliccando sul pulsante con la Freccia procedete attraverso i passaggi della configurazione dell´export.


Configurazione

Manuale -> Wizard -> Temi -> Analyzer -> Export Wizard for Analyzer 03:00 -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel caso di esportazione con l´ Analyzer Export Wizard, tutti i moduli disponibili per l´export vengono offerti per realizzarne la configurazione dettagliata. Vengono esportati solamente i dati selezionati. L´export di Diagrammi di Sankey avviene sullo sfondo, senza che ci sia una possibilità di configurazione. Cliccando sul pulsante con la Freccia a destra passate al passaggio immediatamente successivo. Potete anche selezionare direttamente le singole schede cliccando sull´intestazione delle stesse. gli inserimenti già presenti nella banca dati vengono preselezionati nelle singole aree.

Le seguenti schede sono a Vostra disposizione per configurare l´export:

  • Settings: Opzioni per esportare i metadati
  • Equipment models : Esportazione dei gruppi di impianti dal progetto globale.
  • Event classes: Classi allarme/evento dal progetto globale.
  • Event groups: Gruppi allarme/evento dal progetto globale.
  • Users: Utente da progetto globale
  • Projects: Progetto dal workspace
  • Archives: Archivi dei progetti selezionati.
  • Variables: Variabili dei progetti selezionati.
  • Efficiency classes: Visualizzazione delle classi di efficienza da esportare.
  • Finish: Avvio dell´export ed emissione del risultato.

Noch in diesem Kapitel

Navigazione

Settings

Equipment models

Classi eventi

Event groups

Users

Projects

Archives:

Variables

Efficiency classes

Finish


Settings

Settings

In questa scheda:

  1. definite la banca dati alla quale si collega il wizard.
  2. fissate le opzioni generali per l´esportazione
  3. avviate la lettura dei dati.

Settings

Parametri | Descrizione
Settings | Informazioni e indicazioni concernenti i processi di export in corso

Database settings

Parametri

Descrizione

Database settings

Impostazioni di connessione all´Analyzer Server.

DB host

Calcolatore su cui si trova la banca dati.

DB name

Nome del database

Authentication

Tipo di registrazione:

  • Windows Authentication: si usano le informazioni di autenticazione di Windows.
  • SQL Server Authentication: Login con dati di un utente di SQL Server.

User name

Inserimento del nome utente.

Solo per Login con SQL Server Authentication.
Nel caso di Windows Authentication solo visualizzazione.

Password

Inserimento della password.

Solo per Login con SQL Server Authentication.
Nel caso di Windows Authentication, non è possibile alcun inserimento.

Remember password

La password viene salvata per la prossima connessione.

Solo per Login con SQL Server Authentication.
Nel caso di Windows Authentication, non attivo.

Projects

Parametri

Descrizione

Projects

Lista dei progetti disponibili nell´attuale area di lavoro zenon. Il checkbox indica se vengono utilizzati i dati del progetto vengono utilizzati:

  • Attivo: Viene usato il progetto.

Vengono preselezionati i progetti che si trovano nella memoria attiva. I progetti non attivi possono essere aggiunti selezionando il checkbox relativo.

Options

Parametri

Descrizione

Options

Opzioni generali per l´export

Don't modify existing data in the Analyzer metadata database
  • Attivo: vengono scritti nella banca dati solamente gl inserimenti completamente nuovi dell´area di lavoro.
    Nota: Se vengono modificati link di variabili, archivi, ecc., o se ne creano dei nuovi, essi non verranno trasferiti. Se si vuole che anche essi vengano ripresi, il checkbox deve essere impostato su Non attivo.
  • Inattivo: Gli inserimento nella banca dati vengono anche aggiornati oppure cancellati. Vengono, dunque, impostati nuovi inserimenti, vengono aggiornati quelli modificati, vengono rimossi quelli cancellati.
    Eccezione: Progetti e diagrammi di Sankey non vengono cancellati.

Update Visual names

Disponibile solamente se l´opzione Don't modify existing data in the Analyzer metadata database è stata disattivata.

  • Attivo: I nomi di visualizzazione modificati in zenon vengono sovrascritti durante l´esportazione nella banca dei metadati dello zenon Analyzer.
  • Inattivo: I nomi di visualizzazione modificati non vengono modificati nello zenon Analyzer.

Default: Inattivo
L´impostazione non viene salvata. La checkbox viene settata su "disattivata" al momento dello start del Wizard.

Comportamento:

Se la checkbox è spuntata, i nomi di visualizzazione modificati in zenon vengono modificati anche nello zenon Analyzer per:

  • Equipment models
  • Event classes
  • Event groups
  • Projects
  • Archives
  • Variables

I nomi di visualizzazione degli Users non possono essere modificati. In caso di modifiche, questi vengono creati nuovamente. .

Le modifiche apportate ai nomi di visualizzazione vengono mostrati nelle singole liste.

Esempio:

Situazione di partenza:

  • Nome di visualizzazione nel progetto di zenon: Z
  • Nome di visualizzazione nello zenon Analyzer: A

Azioni:

  • A = Z:
    Non succede niente
  • A <> Z:
    Z viene applicato se il nome non è stato ancora assegnato nella tabella dei metadati. Se invece Z esiste già nella tabella, A rimane immutato e viene visualizzato un messaggio di errore.

Load Data

Load Data

Cliccando su questo pulsante, si caricano (in dipendenza del parametro Load every project of this workspace into the memory) nel wizard i dati dei progetti attualmente caricati.

Il sistema verifica se dei dati sono presenti nella banca dati Analyzer. I dati già esistenti vengono fusi con quelli dell´area di lavoro e caricati nel wizard. Nel caso dovessero esserci conflitti di denominazione, il sistema visualizzerà una finestra di dialogo nella quale si potrà porre rimedio agli errori e problemi insorti.

Dopo che il caricamento dei dati è stato portato a termine con successo, si può procedere alla configurazione dell´export che sarà effettuerà nelle successive schede.

Rinomina oggetti

Gli oggetti devono avere sempre lo stesso nome nella banca dati Analyzer e in zenon. Se degli oggetti già esistenti nella banca dati vengono rinominati in zenon, le relative modifiche possono essere accettate o rifiutate al momento della fusione dei dati. Se i cambiamenti non vengono accettati, il wizard sarà terminato perché solo oggetti con lo stesso nome possono essere editati correttamente.

Finestra di dialogo per la rinomina

Nel caso dovessero esserci conflitti di denominazione, il sistema visualizzerà una finestra di dialogo nella quale si potrà porre rimedio agli errori e problemi insorti:

Parametri | Descrizione
Lista degli oggetti modificati | Contiene tutti gli oggetti che sono stati modificati. Vengono visualizzati sia il nome vecchio che quello nuovo. Eccezione: gli utenti vengono sempre creati nuovamente.
Rename | Rinomina tutti gli oggetti inseriti nella lista anche nella banca dati, chiude la finestra di dialogo e termina la lettura dei dati.
Cancel | Mantiene il nome attuale nella banca dati, termina la lettura dei dati e chiude il wizard.


Classi eventi

Classi eventi

Configurazione delle classi allarmi/eventi da esportare dal progetto globale.

Parametri

Descrizione

Event classes

Informazioni e indicazioni concernenti l´export

Lista delle classi allarmi/eventi.

Campo lista con possibilità di selezione di classi allarmi/eventi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti contenuti in questa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Quelle classi allarmi/eventi che sono state cancellate nel progetto globale non verranno più visualizzate.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le Checkbox.


Projects

Projects

Configurazione dei progetti locali da esportare. Nome di Server 1 e Server 2 possono essere modificati in questa sede.

Per modificare il nome di un server o di un Server-Standby:

  1. evidenziate il progetto nella lista dei progetti
  2. inserite il nome desiderato per Server 1 e Server 2.

Nota: è possibile effettuare delle modifiche solo se nella scheda Settings è stata disattivata l´opzione Don't modify existing data in the Analyzer metadata database. Le informazioni visualizzate per i server dipendono dalle impostazioni nel progetto e nel database. Per i dettagli, vedi il capitolo Visualizzazione delle impostazioni.

Parametri

Descrizione

Projects

Informazioni e indicazioni concernenti l´export

Lista progetti

Campo lista con possibilità di selezione di progetti. Per scegliere un inserimento, attivare la checkbox che si trova presso l´inserimento stesso.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti contenuti in questa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Server 1

Indirizzo del Server 1 per il progetto selezionato nella finestra elenco.
Sorgente (progetto o banca dati) a seconda della configurazione.

Server 2

Indirizzo del Server 2 per il progetto selezionato nella finestra elenco.
Sorgente (progetto o banca dati) a seconda della configurazione.

Select all

Seleziona tutti gli inserimenti della lista e attiva le Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le Checkbox.

Visualizzazione delle impostazioni server

Per la visualizzazione e la configurazione dei server in questa scheda, vale quanto segue:

  • Nel progetto di zenon la proprietà Rete attiva è attiva:
    vengono visualizzati il Server 1 e il Server 2 del progetto.
  • Nel progetto di zenon la proprietà Rete attiva è stata disattivata:
    vengono visualizzati il Server 1 e il Server 2 della banca dati.
  • Nel progetto di zenon la proprietà Rete attiva è stata disattivata e nella banca dati non ci sono inserimenti relativi ai server:
    in questo caso ci saranno gli inserimenti per Server 1 e Server 2 saranno vuoti.


Archives:

Archives:

Selezione degli archivi dai progetti selezionati. Vengono visualizzati solamente gli archivi di base. Gli archivi in cascata non vengono visualizzati nella lista, ma vengono selezionati insieme a quelli di base e scritti nella banca dati.

Parametri

Descrizione

Archives

Informazioni e indicazioni concernenti l´export

Lista archivi

Campo lista con possibilità di selezione di archivi. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

  • Name (Analyzer): nome dell´archivio nello zenon Analyzer.
  • Name (Project): nome dell´archivio nel progetto.
  • Archive ID (Project): ID dell´archivio ne progetto.
  • Project: progetto da cui proviene l´archivio.
  • Description: descrizione individuale del progetto.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti contenuti in questa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le Checkbox.


Variables

Variables

Configurazione delle variabili da esportare dal progetto locale selezionato. Quando si effettua la scelta delle variabili, si può prefiltrare sulla base dei progetti gli inserimenti offerti dal sistema.

Parametri

Descrizione

Variables

Informazioni e indicazioni concernenti l´export

Display

Selezione di quali variabili devono essere visualizzate, effettuata mediante i seguenti campi opzione:

  • All: vengono visualizzate tutte le variabili.
  • Selected: vengono visualizzate solo le variabili che sono state già selezionate.
  • Unselected: vengono visualizzate solo le variabili che non sono state ancora selezionate.

Variable filter

Selezione del filtro variabili mediante i seguenti campi opzione:

  • All: vengono visualizzate tutte le variabili.
  • Archives: vengono visualizzate solamente le variabili d´archivio.
  • Equipment groups: vengono visualizzate solo le variabili che si trovano nei Modelli di impianto selezionati.

Riga filtro

Inserimento di caratteri alfanumerici sulla base dei quali si deve filtrare la Lista delle variabili.

Attenzione: il filtro distingue lettere maiuscole e minuscole (case sensitive).

Lista delle variabili

Campo lista con possibilità di selezione di variabili. Per scegliere un inserimento, attivate la checkbox che si trova presso l´inserimento stesso.

Vengono mostrati:

  • Name (Analyzer): Nome in zenon Analyzer.
  • Name (Workspace): A partire da zenon 7.20, può essere assegnato nell´Editor tramite la proprietà Nome visualizzato. Deve essere univoco nel progetto. Vedi anche il capitolo Nomi di visualizzazione.
  • Meanings: A partire da zenon 7.20, può essere assegnato nell´Editor tramite la proprietà Significato. Vedi anche il capitolo Significato.
  • Project: progetto da cui deriva la variabile.
  • Identification: Corrisponde in zenon alla proprietà Identificazione.

Ordinamento: quando si clicca sull´intestazione della colonna, gli inserimenti contenuti in questa vengono ordinati in senso ascendente o discendente.

Scelta multipla: Se si evidenziano più righe, la selezione delle impostazioni vale per tutte le righe scelte.

Se è stata disattivata nella scheda Settings l´opzione Don't modify existing data in the Analyzer metadata database, nella banca dati gli oggetti modificati vengono cancellati o aggiornati.

Select all

Seleziona tutti gli inserimenti della lista e attiva le Checkbox.

Deselect all

Seleziona tutti gli inserimenti della lista e disattiva le Checkbox.

Regole per l´export di variabili con matrice di reazione

Quando si esegue l´export di variabili collegate a Remas, vengono esportati anche il testo di valore limite, il colore di valore limite e il valore degli stati Rema nella tabella STATUSNAME della banca dei metadati dell´Analyzer.exportiert. Visto che nei report possono essere analizzati solo determinati stati, il wizard deve effettuare un´operazione preliminare di filtro.

I seguenti stati delle Rema vengono esportati o esclusi:

Rema

Regole

Numerico
  • Lo stato di default viene ignorato.
  • Nel caso in cui ci siano più inserimenti settati con stesso stato e condizione di valore limite, verrà esportato solamente il primo stato con il rispettivo testo.
  • Vengono esportati solamente quegli stati i cui valori sono uguali ad un valore limite (condizione di valore limite).
  • Le condizioni di valore limite maggiore, minore, qualsiasi e Area vengono ignorate.

Multi analogica
  • Valgono le regole esposte per Numerici.
  • In aggiunta a quanto detto sopra, bisogna far presente che vengono ignorati anche i sottostati.

Binario

  • Vengono esportati solamente gli stati i cui valori bit sono settati da destra a sinistra senza soluzione di continuità nella maschera di bit (0 oppure 1).
    Ad esempio:
    ........ ....10.. 1
    ........ .....100 .
    ........ .....100 1
    Vengono ignorati, ad esempio:
    ........ ........ 1
    ........ ......00 1
    ........ .10..100 1

Multi binaria
  • Valgono le regole esposte per Binari.
  • In aggiunta a quanto detto sopra, bisogna far presente che vengono ignorati anche i sottostati, nonché gli stati con definizioni edge nella maschera di bit.

String

  • Vengono completamente ignorati e non sono esportati.

Import di informazioni variabili da zenon

Le seguenti proprietà nel gruppo proprietà-variabili di zenon Analyzer forniscono delle informazioni per report in zenon Analyzer:

  • Nome visualizzato: Inserimento di un nome visualizzazione della variabile in zenon Analyzer. Esso deve essere unico nell´intero progetto. La verifica di ciò non avviene al momento dell´assegnazione in zenon, ma quando si effettua l´import in zenon Analyzer. Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.
  • Significato: Inserimento del significato (Meaning) di una variabile in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. Diversi significati vengono separati da virgole.
    Sintassi:[Meaning1],[Meaning2],…,[MeaningN]
  • Parametro per diagramma a cascata: Parametri di una variabile per un diagramma waterfall in zenon Analyzer. L´inserimento avviene manualmente, oppure tramite il Meaning and Waterfall Chart Wizard. I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
    Sintassi: [Nome modello],[Indice righe],[Indice in riga],[Codice colore];

Noch in diesem Kapitel

Nomi di visualizzazione

Significato


Efficiency classes

Efficiency classes

Selezione e configurazione delle classi di efficienza da esportare. Nel corso di questo processo, vengono visualizzate le matrici di reazione di zenon (REMA) il cui stato corrisponde alle regole della struttura delle classi di efficienza. Vengono lette solamente le REMA che soddisfano certe condizioni.

REMA di zenon: requisiti

Per essere letta come una classe di efficienza, una matrice di reazione deve soddisfare le seguenti condizioni:

  • essere di tipo numerico o multi-numerico
  • Lo stato deve essere configurato in modo corretto
  • Deve essere presente il testo di valore limite

Configurazione stato

Gli stati da configurare devono corrispondere alle seguenti condizioni:

  • Il primo stato è minore rispetto al ad un valore definito. Quest´area è aperta verso il basso.

    Stato n1: <x

  • L´ultimo stato è maggiore rispetto all´ultimo valore definito prima. Quest´area è aperta verso l´alto.

    Statto n4: >z

  • Vengono definiti intervalli fissi fra primo e ultimo valore. Queste aree devono seguire l´una all´altra in modo esatto.

    Stato n2: x-y

    Stato n3: y-z

Configurazione nel Wizard

Per selezionare classi di efficienza per l´esportazione, procedere come segue:

  1. Selezionare le classi di efficienza desiderate.
  2. Configurare la normalizzazione.
    Attenzione: il valore None è riservato a un livello di espansione successivo e non deve essere selezionato.

    Tutte le classi di efficienza preesistenti nel database metadati vengono cancellate durante l´esportazione se sono state create dal Wizard. Quelle, invece, che derivano dal Metadata Editor vengono mantenute. Tutte le classi di efficienza selezionate vengono poi scritte nel database metadati:

Parametri

Descrizione

Efficiency Class Name

Selezione delle classi di efficienza da esportare attivando der
la checkbox che si trova davanti al nome.

Normalisation

Selezione della normalizzazione dal menu a tendina.

  • Minimo: 1 minuto
  • Massimo: 1 anno

Default: 15 minuti

Attenzione: None non deve essere selezionato. Questo valore è riservato a un livello di espansione successivo e causa configurazioni non valide.

attention Attenzione

Le matrici di reazione vengono identificate in zenon sulla base del nome. Se si modifica il nome di una matrice di reazione in zenon, la classe di efficienza corrispondente verrà creata di nuovo durante l´esportazione, mentre quella esistente verrà cancellata.


Finish

Finish

Per esportare i dati configurati:

  1. Nella scheda Finish, cliccare sul pulsante Export.

  2. L´export viene avviato
  3. Il sistema fornisce una completa documentazione concernente gli elementi esportati, con segnalazioni che indicano se l´import è stato effettuato con successo o si sono verificati degli errori.
    Inoltre verrà visualizzato il numero degli oggetti inseriti, aggiornati e cancellati, nonché il numero degli errori verificatisi.

  4. Cliccare su Close per chiudere il Wizard.

Riconfigurare il Wizard

Per riconfigurare il wizard:

  1. Aprire la scheda Settings.
  2. Cliccare sul pulsante Load data.
  3. Configurare le schede.


Chiudere il Wizard

Manuale -> Wizard -> Temi -> Analyzer -> Export Wizard for Analyzer 03:00 -> Chiudere il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per terminare il Wizard:

  • Cliccare sul pulsante Cancel.
  • Viene visualizzata una finestra di dialogo che chiede se la configurazione debba essere salvata.
    • Sì: scrive nella registry le impostazioni settate nella scheda Settings e chiude il Wizard. Quando verrà lanciato nuovamente, il Wizard verrà aperto con questa configurazione. Il salvataggio della configurazione dipende dall´utente.
    • No: chiude il Wizard senza salvare la configurazione.


Meaning and Waterfall Chart Wizard

Manuale -> Wizard -> Temi -> Analyzer -> Meaning and Waterfall Chart Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Meaning and Waterfall Chart Wizard vi aiuta a predisporre un progetto di zenon alla elaborazione di informazioni variabile in zenon Analyzer.

Nota: Il wizard è a disposizione solamente in lingua inglese.

attention Attenzione

Se si usa il Meaning and Waterfall Chart Wizard con un progetto con progettazione distribuita (Multi-User), si deve attivare nell´Editor di zenon l´opzione Consenti modifiche per:

  • il progetto (menù contestuale del progetto)
  • le variabili (menù contestuale delle variabili o del modulo Variabili)

Altrimenti, le modifiche effettuate dal Meaning and Waterfall Chart Wizard non verranno riprese. Il sistema provvederà a rimuoverle.

Il Meaning and Waterfall Chart Wizard aiuta nella fase di progettazione di zenon ad effettuare la configurazione di:

  • significati (Meaning)
  • Diagrammi a cascata (Waterfall Charts) per analisi di produzione basate sulle macchine e analisi di produzione basate sulla linea.

Il wizard scrive la configurazione nelle proprietà corrispondenti delle variabili in esso selezionate. Le proprietà di destinazione dipendono dalla versione di zenon utilizzata.

attention Attenzione

Sono disponibili solamente i modelli di impianto del progetto globale.

A partire da zenon 7.20

  • Significati:

    I significati (Meanings) vengono scritti nella proprietà Analyzer/Significato. Più inserimenti sono divisi mediante una virgola (,).

  • Waterfall:

    I parametri per i diagrammi waterfall vengono scritti nella proprietà Analyzer/Parametro per diagramma a cascata. I parametri per un diagramma sono separati da una virgola (,). Più diagrammi vengono divisi mediante un punto e virgola (;).

    • Sintassi (a base macchine): [Nome modello],[Indice righe],[Indice colonne],[Codice colore];Esempio:
    • Sintassi (a base linea) [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Per tutte le due proprietà vale quanto segue: Se ci sono ancora degli inserimenti provenienti da versioni precedenti di zenon nella proprietà Generale/Identificazione servizio, essi verranno cancellati e inseriti nelle proprietà corrispondenti per zenon 7.20.

Fino alla versione 7:11 di zenon inclusa:

I significati (Meanings) e parametri per i diagrammi waterfall vengono scritti nella proprietà-variabili Identificazione servizio. Così facendo, ai significati viene preposto il prefisso ME=, mentre ai parametri waterfall viene preposto il prefisso WF=.

Ulteriori informazioni su questo argomento le trovate nel capitolo Analyzer Wizards.

Noch in diesem Kapitel

Installa e apri Wizard

Finestra iniziale

Configurazione


Installa e apri Wizard

Manuale -> Wizard -> Temi -> Analyzer -> Meaning and Waterfall Chart Wizard -> Installa e apri Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Wizard viene installato automaticamente con <CD_PRODUCTAME>.

Aprire Wizard

Per far sì che i wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nello zenon6.ini:

[VBA]

EIN=1

VSTA

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Per aprire il Wizard:

  1. Aprire in zenon il menù File
    , oppure premere la combinazione di tasti Alt+F12
  2. Selezionare l´inserimento Wizards.
  3. Si apre il dialogo di selezione
  4. Passare al nodo Analyzer.
  5. Selezionare il Meaning and Waterfall Chart Wizard.

  6. Cliccando su OK si aprirà il Wizard.


Finestra iniziale

Manuale -> Wizard -> Temi -> Analyzer -> Meaning and Waterfall Chart Wizard -> Finestra iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si apre il Wizard, viene visualizzate una pagina iniziale che mostra in una lista e spiega tutti gli oggetti configurabili. La configurazione inizia con la scheda Settings

Meaning

Le variabili di zenon ottengono spesso nella progettazione nomi di carattere molto tecnico. Questa denominazione è spesso non abbastanza efficace per la rappresentazione in un report zenon Analyzer. Mediante il Wizard si può assegnare alle variabili un nome univoco per la rappresentazione nel report zenon Analyzer. Questo nome viene salvato in dipendenza dalla versione di zenon nella proprietà variabili corrispondente. Proprietà di destinazione e inserimento vengono selezionati automaticamente dal wizard.

Dopo l´importazione in zenon Analyzer, questo nome viene usato per i report senza che il nome variabile esistente debba essere modificato. Per ulteriori dettagli, vedi il capitolo Analyzer Wizards.

Waterfall chart

Alcuni report dello zenon Analyzer possono visualizzare un diagramma a cascata usando delle variabili di zenon. Perché ciò avvenga, già in partenza devono essere presenti informazioni sull´aspetto del diagramma nell´identificazione servizio della variabile selezionata. Con il wizard si possono definire la struttura e l´aspetto di un diagramma a cascata per report a base macchina e report a base linea . Le informazioni waterfall vengono salvate in dipendenza dalla versione di zenon nella proprietà variabili corrispondente. La proprietà e l´inserimento di destinazione vengono selezionati automaticamente dal wizard. Per ulteriori dettagli, si veda il capitolo Analyzer Wizards.

Navigazione

Cliccando sul pulsante con la freccia, si passa da un passaggio alla´altro della configurazione del Wizard.


Configurazione

Manuale -> Wizard -> Temi -> Analyzer -> Meaning and Waterfall Chart Wizard -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Meaning and Waterfall Chart Wizard viene configurato con le seguenti schede:

  • Settings: caricamento dei dati dai progetti.
    Solo dopo che i dati da acquisire sono stati selezionati e caricati, il Wizard offre ulteriori schede per la definizione di significati e/o di diagrammi a cascata.
  • Meaning filter: impostazioni di filtro per i significati.
  • Meaning: selezione e assegnazione dei significati.
  • Waterfall filter: impostazioni di filtro per diagramma a cascata a base macchina, oppure diagramma a cascata a base linea.
  • Waterfall charts: selezione delle variabili e configurazione di diagramma a cascata a base macchina, oppure diagramma a cascata a base linea.
  • Finish: la configurazione e la progettazione eseguita con il wizard viene applicata.

La configurazione della scheda Settings determina quali schede del Wizard devono essere visualizzate.

Noch in diesem Kapitel

Navigazione

Settings

Meanings

Machine

Line

Regole generali per diagrammi a cascata

Finish


Navigazione

Navigazione

La navigazione attraverso le schede avviene usando barra di spostamento che si trova nella parte inferiore della finestra del wizard:

Pulsante | Descrizione
Freccia a sinistra | Torna una scheda indietro nella fase di avanzamento del Wizard.
Freccia a destra | Passa alla prossima scheda nella fase di avanzamento del Wizard.
Finish | Scrive tutte le modifiche sulla variabile di zenon nell´Editor e chiude il Wizard.
Cancel | Chiude il wizard senza effettuare delle modifiche.

Le singole schede possono essere selezionate anche direttamente, cliccando sulla loro intestazione.


Settings

Settings

Selezione e caricamento delle schede da configurare.

Parametri

Descrizione

Settings

Impostazione che stabilisce quali schede devono essere caricate.

Load every project of this workspace into the memory
  • Attivo: anche i progetti del workspace che non sono in memoria, vengono caricati. Dopo la chiusura del Wizard, oppure quando si esegue il comando Finish, questi progetti vengono rimossi.

Define Meanings

  • Attivo: Vengono caricate le schede Meaning filter e Meaning.

Define Waterfall Chart

Selezione del diagramma a cascata:

  • Attivo: viene creato un diagramma a cascata.

Selezione del tipo di cascata mediante i pulsanti di opzione.

  • Machine: viene generato un diagramma a cascata del tipo "a base macchina". Vengono caricate le schede Waterfall filter e Waterfall.
  • Line: viene generato un diagramma a cascata del tipo "a base linea". Vengono caricate le schede Line Analysis filter e Line Analysis

Load data

Quando si clicca su questo pulsante, il sistema analizza le variabili di tutti i progetti caricati nel workspace e carica le informazioni richieste per i filtri e la modifica delle variabili. Le schede corrispondenti vengono visualizzate nel Wizard.

Durante il caricamento dei dati viene visualizzata una barra di stato.

Dopo la conclusione del processo di caricamento, sono a disposizione dell´utente tutte le schede per configurare i dati selezionati.


Meanings

Meanings

Configurazione di significati mediante le scheda Meaning filter e Meaning.

Noch in diesem Kapitel

Meaning filter

Meaning


Meaning filter

Meaning filter

Le variabili da modificare vengono prefiltrate con questa scheda. Se non si seleziona nessun oggetto in tutti i gruppi, tutte le variabili saranno a disposizione nella scheda Meaning .

attention Attenzione

Sono disponibili solamente i modelli di impianto del progetto globale.

Parametri | Descrizione
Lista gruppi di impianti | Il sistema esegue un´operazione di filtro sulla base dei singoli modelli le cui checkbox sono state attivate. Nessuna selezione: vengono selezionate le variabili di tutti i modelli di impianto.
Lista progetti | il sistema esegue un´operazione di filtro sulla base dei singoli progetti le cui checkbox sono state attivate. Nessuna selezione: vengono selezionate le variabili di tutti i progetti.
Lista archivi | il sistema esegue un´operazione di filtro sulla base dei singoli archivi le cui checkbox sono state attivate. Nessuna selezione: vengono selezionate le variabili di tutti gli archivi.


Meaning

Meaning

In questa scheda si configurano i significati delle variabili. Si possono selezionare delle variabili e si possono assegnare loro nuovi significati; c´è anche la possibilità di eliminare significati esistenti.

Selezione di variabili

Parametri

Descrizione

Search meaning

Quando si inserisce un criterio di ricerca, tutte le variabili con significati corrispondenti vengono elencate in una lista.

La lista viene aggiornata subito quando viene inserito un carattere. Non possono essere usati caratteri jolly.

Lista Variablen

Elenca in una lista le variabili a disposizione dopo il filtraggio.

Selezione di variabili da editare: attivazione dei Checkbox davanti alla variabile.

Nella colonna Meanings vengono visualizzati i significati già esistenti delle variabili. Vengono visualizzati solamente significati. Altri inserimenti o inserimenti per il diagramma a cascata vengono esclusi dalla visualizzazione e ignorati nel processo di editazione.

Le variabili possono essere ordinate cliccando su un´intestazione delle colonne.

Select all

quando si clicca su questa opzione, vengono selezionate tutte le variabili per poterle editare.

Deselect all

quando si clicca su questa opzione, vengono deselezionate tutte le variabili.

Visualizzazione statistica

Mostra quante variabili:

  • sono disponibili nella lista
  • sono state selezionate
  • sono state modificate.

Reset

Annulla tutte le modifiche che sono state effettuate cliccando su Update meaning.

Nota: le modifiche vengono accettate in modo definitivo solamente quando si clicca su Finish.

Aggiungi significati.

Add new meanings | Consente di aggiungere significati alle variabili. Nuovi significati vengono inseriti nel campo di inserimento, aggiunti alla lista e assegnati alle variabili selezionate tramite il pulsante Update meaning.
Eingabefeld | Inserimento di un nuovo significato. Lunghezza massima: 50 caratteri
Liste Meanings | Ordina in una lista tutti i significati impostati.
Add to list | Aggiunge l´inserimento dal campo testo alla lista dei significati.
Remove from list | Cancella l´inserimento selezionato dalla listaMeanings.
Remove all | Cancella tutti gli inserimenti dalla Lista Meanings.
Update meaning | Quando si clicca su questa opzione, il sistema assegna gli inserimenti della Lista Meanings alle variabili selezionate come nuovo significato. I significati aggiunti vengono visualizzati nella colonna Meanings (preview), la riga con le variabili viene colorata di verde..

Elimina significati

Remove existing meanings | Consente l´eliminazione di significati di variabili. Quando si seleziona una variabile, vengono visualizzati nella Lista Meanings tutti i significati assegnati. I significati che devono rimanere, vengono cancellati dalla lista quando si clicca sul pulsante Remove from list. Quando si clicca sul pulsante Update meaning vengono eliminati i significati delle variabili selezionate.
Lista Meanings | elenca in una lista tutti i significati assegnati alle variabili selezionate.
Remove from list | Cancella l´inserimento selezionato dalla listaMeanings.
Remove all | Cancella tutti gli inserimenti dalla Lista Meanings.
Update meaning | Quando si clicca su questa opzione, vengono eliminati tutti gli inserimenti nella Lista Meanings della variabile selezionata. La riga con la variabile viene colorata di rosso.

Attenzione: le modifiche e i nuovi inserimenti vengono scritti solo dopo l´esecuzione dell´azione Finish della scheda Finish sulla variabile di zenon.

Esempio Identificazione colore

  • Rosso: tutti i Meanings della variabile sono stati cancellati.
  • Verde: la variabile ha ricevuto nuovi Meaning.


Machine

Machine

Configurazione di un modello a cascata per report a base macchina mediante le schede Waterfall chart filter e Waterfall chart.

Noch in diesem Kapitel

Waterfall chart filter

Waterfall chart


Waterfall chart filter

Waterfall chart filter

In questa scheda si definisce il diagramma a cascata a base macchina. Un requisito per procedere a questa configurazione è che tutte le variabili da usare siano assegnate allo stesso gruppo di impianti. Se devono essere usate le variabili di un archivio, sia l´archivio che le variabili devono essere assegnati allo stesso gruppo di impianti.

attention Attenzione

Sono disponibili solamente i modelli di impianto del progetto globale.

Parametri | Descrizione
Lista gruppi di impianti | Selezione di un gruppo di impianti.
Lista progetti | Selezione di un progetto.
Lista archivi | Scelta di un archivio.

Devono essere selezionati un gruppo di impianti e un progetto. Esiste l´opzione di poter selezionare anche un archivio del gruppo di impianti adatto.

Nella scheda Waterfall non viene visualizzata nessuna variabile se:

  • non è stato selezionato nessun progetto
  • non è stato selezionato nessun gruppo di impianti
  • sono stati selezionati degli oggetti che non sono assegnati allo stesso gruppo di impianti.


Waterfall chart

Waterfall chart

In questa scheda può essere creata e modificata la definizione cascata.

Parametri

Descrizione

New

Attivo: viene creata una nuova definizione cascata.

Update

Attivo: viene modificata una definizione cascata esistente. Selezione dal menù a tendina.

Chart

Inserimento di un nome per una nuova definizione cascata.

Save

Quando si clicca su questa opzione, viene salvato l´input.

Nota: tutte le modifiche vengono scritte solo dopo l´esecuzione dell´azione Finish della scheda Finish sulla variabile di zenon.

Variablenliste

Elenca in una lista tutte le variabili che corrispondono alla configurazione nella scheda Waterfall filter. Variabili del tipo Bool e String non vengono visualizzate.

La lista può essere ordinata cliccando sull´intestazione colonna. Nella colonna Waterfalls vengono visualizzate le definizioni cascata esistenti. Nella colonna Waterfalls (preview) vengono visualizzate le definizioni cascata nuove o modificate.

Chart

Qui vengono create o modificate definizioni cascata per Drag&Drop.

Nota: tutte le modifiche vengono scritte solo dopo l´esecuzione dell´azione Finish della scheda Finish sulla variabile di zenon.

Crea definizione cascata

Per creare una nuova definizione cascata:

  1. Selezionare New.
  2. Trascinare le variabili desiderate per Drag&Drop una dopo l´altra nell´area Chart.
  3. Organizzare le barre secondo le regole
  4. Assegnare un nome nel campo di inserimento Chart.
  5. Cliccare su Save
  6. La configurazione viene visualizzata nella colonna Waterfalls (preview).
  7. Passare alla scheda Finish.
  8. Cliccare su Finish


Line

Line

Configurazione di un modello a cascata per report a base linea mediante le schede Waterfall chart filter e Waterfall chart.

Noch in diesem Kapitel

Waterfall chart filter

Waterfall chart


Waterfall chart filter

Waterfall chart filter

In questa scheda si definisce il diagramma a cascata a base linea. Un requisito per procedere a questa configurazione è che tutte le variabili e gli archivi da usare siano assegnati allo stesso gruppo di impianti.

attention Attenzione

Sono disponibili solamente i modelli di impianto del progetto globale.

Parametri | Descrizione
Main machine | Configurazione del macchinario principale.
Equipment | Lista dei modelli di impianto esistenti. Selezione di un modello mediante attivazione della Checkbx corrispondente. La selezione definisce gli archivi che possono essere utilizzati. Si può selezionare solamente un modello.
Project | Progetti esistenti. Si può filtrare la lista degli archivi selezionando i progetti. La selezione è facoltativa.
Archive | Lista degli archivi esistenti. Selezione di un archivio mediante attivazione della Checkbx corrispondente. Si può selezionare solo un archivio.
Side machines | Configurazione dei macchinari secondari.
Equipment | Lista dei modelli di impianto esistenti. Selezione di un modello mediante attivazione della Checkbx corrispondente. La selezione definisce gli archivi che possono essere utilizzati. Si può selezionare quanti modelli si vuole.
Project | Progetti esistenti. Si può filtrare la lista degli archivi selezionando i progetti. La selezione è facoltativa.
Archive | Lista degli archivi esistenti. Selezione di un archivio mediante attivazione della Checkbx corrispondente. Si può selezionare quanti archivi si vuole.

Regole

Per la selezione del macchinario principale vale quanto segue:

  • Deve essere selezionata esattamente un gruppo di impianti.
  • La selezione degli archivi può essere sottoposta ad un filtro preliminare usando il filtro Project.
    Si può selezionare solamente un progetto.
  • Deve essere selezionato esattamente un archivio.

Per la selezione dei macchinari secondari vale quanto segue:

  • Possono essere selezionati più gruppi di impianti. Questi devono però essere dello stesso livello del macchinario principale.
  • Se per il macchinario principale è stato selezionato un gruppo di impianti, possono essere scelti per i macchinari secondari solamente dei gruppi di impianto dello stesso livello del macchinario principale. Il gruppo di impianti del macchinario principale è escluso dalla selezione.
  • La selezione degli archivi può essere sottoposta ad un filtro preliminare usando il filtro Project.
    Si possono selezionare più progetti.
  • Deve essere selezionato almeno un archivio! Se una variabile è già usata nell´archivio del macchinario principale, non sarà disponibile per il macchinario secondario. .

attention Attenzione

Per essere a disposizione per il diagramma, le variabili devono essere sempre collegate allo stesso gruppo di impianti cui è collegato l´archivio in cui si trovano. Questo vale sia per i macchinari principali, che per quelli secondari.


Waterfall chart

Waterfall chart

In questa scheda può essere creata e modificata la definizione cascata.

Tenere presente le regole per il filtro nella scheda Line Analysis filter: per macchinari principali e secondari devono essere settate esattamente le stesse impostazioni di filtro variabili.

Parametri

Descrizione

New

Attivo: viene creata una nuova definizione cascata.

Update

Attivo: viene modificata una definizione cascata esistente. Selezione dal menù a tendina.

Chart

Inserimento di un nome per una nuova definizione cascata.

Save

Quando si clicca su questa opzione, viene salvato l´input.

Nota: tutte le modifiche vengono scritte solo dopo l´esecuzione dell´azione Finish della scheda Finish sulla variabile di zenon.

Legend

Legenda

  • Sub: perdite di macchinari secondari sono sottratte dal macchinario principale.
  • Add: perdite di macchinari secondari sono addizionate al macchinario principale.
  • SMa: macchinari secondari.

Variables main machine

Lista di tutte le variabili disponibili per il macchinario principale.

La lista può essere ordinata cliccando sull´intestazione colonna.

Variables side machine

Lista di tutte le variabili disponibili per i macchinari principali.

La lista può essere ordinata cliccando sull´intestazione colonna.

Chart

Qui vengono create o modificate definizioni cascata per Drag&Drop.

Nota: tutte le modifiche vengono scritte solo dopo l´esecuzione dell´azione Finish della scheda Finish sulla variabile di zenon.

Crea definizione cascata

Per creare una nuova definizione cascata:

  1. Selezionare New.
  2. Trascinare le variabili desiderate per Drag&Drop una dopo l´altra nell´area Chart.
  3. Organizzare le barre secondo le regole
  4. Assegnare un nome nel campo di inserimento Chart.
  5. Cliccare su Save

    La configurazione viene visualizzata nella colonna Waterfall def. preview (preview) della lista.

  6. Passate alla scheda Finish.
  7. Cliccare su Finish

Modifica definizione cascata

Per modificare una definizione cascata esistente:

  1. Selezionare Update.
  2. Selezionare la definizione desiderata fra quelle proposte dal menù a tendina.

    La definizione esistente viene visualizzata nel campo diagramma.

  3. Modificare la definizione.
  4. Cliccare su Save
  5. La configurazione viene visualizzata nella colonna Waterfall def. preview (preview) della lista.
  6. Passate alla scheda Finish.
  7. Cliccare su Finish

Regole per disegnare il diagramma

Quando si disegna, valgono (a differenza di quanto vale per il diagramma a base macchine) le seguenti regole:

Posizione | Regola | Definizione | Abbreviazioni
Ultima riga, prima colonna | Solo inserimenti per il macchinario principale. | SUBTRACT_SIDE_MACHINE_LOSSES | Sub
n-colonna, ultima riga e non 1° colonna | Inserimenti del macchinario principale | Default: ADD_SIDE_MACHINE_LOSSES = 0 | (nessuno)
 |  | Alternativa: Cliccando con il tasto destro del mouse sulla cella, si apre un´altra finestra di dialogo dopo quella per la selezione colori. Se si conferma cliccando su Sì, la definizione cambia in: ADD_SIDE_MACHINE_LOSSES = 1 | Add
n-colonna, ultima riga e non 1° colonna | Inserimenti dei macchinari secondari. | LOSS_FROM_SIDE_MACHINE = 1 | SMa

Dialogo: addizionare perdite macchinario secondario

Se vengono soddisfatte le condizioni seguenti, dopo la chiusura della finestra di dialogo per la selezione colori, ne viene visualizzata un´altra per addizionare le perdite di macchinari secondari:

  • Clic con il tasto destro del mouse nel diagramma
  • Su una variabile del macchinario principale
  • Nell´ultima riga
  • Dalla seconda colonna.

Parametri | Descrizione
Add side machine losses | Richiesta se le perdite di macchinari secondari devono essere aggiunte o meno.
Sì | Il valore di DD_SIDE_MACHINE_LOSSES viene settato su 1. Le perdite dei macchinari secondari vengono aggiunte.
No | Il valore di DD_SIDE_MACHINE_LOSSES viene settato su 0. Le perdite dei macchinari secondari vengono sottratte.
Annulla | Lo stato rimane quello di prima dell´apertura della finestra di dialogo.


Regole generali per diagrammi a cascata

Regole generali per diagrammi a cascata

Per quello che concerne l´impostazione e la modifica di definizioni warterfall, valgono le seguenti regole:

  1. Per la prima barra, la variabile deve essere trascinata nell´angolo in alto a sinistra dell´area.
  2. La seconda barra può essere inserita solamente al di sotto della prima.
  3. Tutte le ulteriori barre devono essere inserite o sotto oppure a destra di una di quelle esistenti.
    • La prima riga può contenere solamente una barra.
    • Quando si inserisce una barra a destra di una già esistente, quelle che si trovano sopra verranno allungate.
  4. La variabile selezionata viene visualizzata in color verde.
  5. Ogni variabile può essere usata solamente una volta.
  6. La barra riceve un indice:
    • primo numero: indice righe.
    • secondo numero: indice colonne.
  7. Il nome della variabile selezionate viene visualizzato nel tootip della barra. .
  8. Solo per diagrammi a base linea: le variabili di macchinari secondari possono essere inseriti solamente nell´ultima riga.

Nota: tenere presente le regole relative a filtro e design del diagramma in caso di diagrammi a base linea.

Salva definizione cascata

Per salvare definizione cascata:

  1. Assegnate un nome nel campo di inserimento Chart.
  2. Cliccate sul pulsante Save.
  3. La definizione viene salvata nella lista variabili e il nuovo inserimento viene visualizzato nella colonna Waterfall def. preview (preview) della lista.
  4. La nuova definizione cascata viene scritta solo dopo un clic sul pulsante Finish della scheda Finish sulla variabile zenon.

Modifica definizione cascata

Per modificare una nuova definizione cascata:

  1. Selezionare Update.
  2. Selezionate la definizione cascata desiderata fra quelle proposte dal menù a tendina.

    Attenzione: Vengono proposte solamente definizioni che corrispondono alla configurazione nella scheda Waterfall filter.

  3. La definizione cascata viene visualizzata nella superficie Chart.
  4. Modificate la definizione secondo le regole:
    • Aggiungi bara: Trascinare la variabile nella posizione desiderata. La variabile viene colorata di verde.
    • Cancella barra: Trascinare la barra nell´area di cancellazione. La variabile viene visualizzata di nuovo senza il colore di selezione.
    • Sposta barra: Spostare la barra nella posizione desiderata.
    • Modifica colore: Assegnare alla barra il colore desiderati cliccando con il tasto destro del mouse.
  5. Cliccare su Save
  6. Tutte le modifiche vengono visualizzate nella colonnaWaterfall def. preview (preview) della lista.
  7. Passate alla scheda Finish.
  8. Cliccate su Finish.

Cancella barra

Si possono cancellare le barre se:

  • si tratta di barre corte
  • a destra o a al di sotto di esse non ci sono delle altre barre

Per cancellare una barra, trascinatela per Drag&Drop in un posto libero al di fuori del campo Chart (ma non nella lista variabili).

La barra viene cancellata. Tutte le altre barre verranno spostate in modo corrispondente. Sposta barra

Si possono spostare le barre se:

  • si tratta di barre corte
  • lo spostamento si effettua nell´ambito di una riga

Per spostare una barra, trascinatela per Drag&Drop nella nuova posizione. Tutte le altre barre fra la vecchia e la nuova posizione verranno spostate di un posto.

Modifica il colore di una barra

Per modificare il colore di una barra:

  1. Cliccate poi con il tasto destro del mouse sulla barra
  2. Si apre la finestra di dialogo per la scelta del colore
  3. Selezionate il colore desiderato.
  4. Cliccare su OK.


Finish

Finish

In questa scheda vengono scritte le modifiche sulla variabile in zenon e viene visualizzato il risultato nel campo di emissione.

Cliccando sul pulsante Finish, il sistema scrive tutte le modifiche sulla variabile di zenon nell´Editor.

Le modifiche effettuate vengono visualizzate nel campo di emissione:

  • Update variable MEANINGS definition: modifiche apportate alle variabili che riguardano i significati.
  • Update variable WATERFALL definition: modifiche apportate alle variabili che riguardano la definizione cascata.
  • Indicazioni relative a inserimenti nuovi, modificati e cancellati, avvertimenti e messaggi di errore.

    Quando si esegue l´importazione in zenon, il sistema verifica la lunghezza dell´inserimento per le proprietà corrispondenti. La lunghezza massima consentita è di 250 caratteri. Se l´inserimento è più lungo, la successione verrà tagliata dopo il 250° carattere e il sistema scriverà una segnalazione di errore nel campo di emissione della scheda Finish.


Sankey Wizard

Manuale -> Wizard -> Temi -> Analyzer -> Sankey Wizard

Un diagramma di Sankey è una rappresentazione grafica di flussi di elementi. Le quantità vengono rappresentate mediante frecce la cui l'ampiezza è disegnata in maniera proporzionale alla quantità di flusso I diagrammi sono usualmente utilizzati per indicare trasferimenti di energia, materiali, nonché per evidenziare inefficienza nell´utilizzo delle risorse e potenziali di risparmio.

IlSankey Wizard vi aiuta a creare diagrammi di Sankey che poi potete vedere nel Runtime zenon ed in zenon Analyzer.

Le seguenti situazioni sono possibili:

  • Creare un nuovo diagramma di Sankey.
  • Usare un diagramma di Sankey già esistente da modello.
  • Modificare un diagramma di Sankey già esistente.
  • Cancellare un diagramma di Sankey già esistente.

Il diagramma Sankey viene salvato in un file XML.

Nota: Il wizard è a disposizione solamente in lingua inglese.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Noch in diesem Kapitel

Installare il Sankey Wizard

Avvia il Sankey Wizard

Finestra start

Navigazione

Action - seleziona azione

Variables - Selezione delle variabili

Diagramma - Creare un diagramma

Finish - Termina


Installare il Sankey Wizard

Manuale -> Wizard -> Temi -> Analyzer -> Sankey Wizard -> Installare il Sankey Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Wizard viene installato automaticamente con <CD_PRODUCTAME>.


Avvia il Sankey Wizard

Manuale -> Wizard -> Temi -> Analyzer -> Sankey Wizard -> Avvia il Sankey Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per far sì che i wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nello zenon6.ini:

[VBA]

EIN=1

VSTA

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Per attivare il Sankey Wizard procedete come segue:

  1. Aprite lo zenon Editor.
  2. Cliccate nella barra degli strumenti di sinistra su File.
  3. Cliccate su Wizard.

Nota: Potete aprire la finestra di selezione contente i wizard disponibili anche facendo uso della combinazione tasti Alt+F12.

Si apre la finestra di selezione che mostra i wizard disponibili

  1. Aprite il nodo Analyzer
  2. Cliccate qui su Sankey Wizard.
  3. cliccando su OK aprite il Wizard.


Finestra start

Manuale -> Wizard -> Temi -> Analyzer -> Sankey Wizard -> Finestra start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando aprite il Wizard, ricevete una pagina iniziale che Vi mostra in una lista e spiega tutti gli oggetti configurabili. La configurazione inizia con la scheda Action.

Cliccando sul pulsante con la Freccia oppure sul titolo della scheda, navigate attraverso i passaggi della configurazione del Wizard.


Navigazione

Manuale -> Wizard -> Temi -> Analyzer -> Sankey Wizard -> Navigazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La navigazione attraverso le schede avviene usando barra di spostamento che si trova nella parte inferiore della finestra del wizard:

Pulsante | Descrizione
Freccia a sinistra | Torna una scheda indietro nella fase di avanzamento del Wizard.
Freccia a destra | Passa alla prossima scheda nella fase di avanzamento del Wizard.
Finish | Scrive tutte le modifiche sulla variabile di zenon nell´Editor e chiude il Wizard.
Cancel | Chiude il wizard senza effettuare delle modifiche.

Le singole schede possono essere selezionate anche direttamente, cliccando sulla loro intestazione.


Action - seleziona azione

Manuale -> Wizard -> Temi -> Analyzer -> Sankey Wizard -> Action - seleziona azione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionate nella scheda Action l´azione desiderata attivandola.

Ci sono le seguente possibilità:

Parametri | Descrizione
Create diagram | Crea un nuovo diagramma.
Use existing diagram as template | Usa un diagramma esistente come modello. Nota: In questo caso, le variabili devono essere collegate di nuovo alle connessioni di nodo. Le connessioni variabili di diagrammi esistenti non vengono visualizzate nel modello.
Edit or delete diagram | Consente la modifica o la cancellazione di un diagramma esistente. Il diagramma da modificare o cancellare può essere selezionato dalla lista di quelli creati.

Lista dei diagrammi impostati.

La finestra centrale mostra una lista contenente i diagrammi già esistenti. Gli inserimenti sono visualizzati in grigio se è selezionata l´opzione Create_Diagram. Sono visibili le seguenti informazioni:

Parametri | Descrizione
Project | Nome del progetto in cui è salvato il diagramma.
Diagram | Mostra il nome del diagramma.
Description | Mostra la descrizione del diagramma.
Analyzer | Attivo: Il diagramma può essere usato nell´Analyzer e nel Runtime. Non attivo: Il diagramma può essere usato solo nel Runtime.
Valid | Attivo: Il diagramma è valido. Non attivo: Il diagramma non è valido. Non potete usare il diagramma né nell´Analyzer, né nel Runtime. Nota: In questo caso, modificate il diagramma e adattatelo fino a renderlo valido.
Delete | Cancella il diagramma selezionato. Prima di cancellare il diagramma, il sistema visualizza una finestra di dialogo che chiede conferma della cancellazione.

Project settings

In questa sede potete effettuare le seguenti impostazioni per il progetto:

Parametri | Descrizione
Name | Indicate in questa sede un nome per il progetto. Nota: Questo nome deve essere univoco. Se il nome assegnato non dovesse essere univoco, una finestra di dialogo ve lo farà presente. Un diagramma di nuova creazione a cui sia stato assegnato un nome già esistente, sostituirà quello esistente se voi confermate il dialogo. Se però cliccate sull´opzione No di questa finestra di dialogo, il nome viene automaticamente integrato con l´aggiunta di _1.
Save into project | Selezionate qui il progetto in cui il vostro diagramma deve essere salvato.
Description | Inserite qui una descrizione. Nota: È opzionale.
Create diagram for Analyzer | Attivo: Vengono visualizzate solo quelle variabili che si trovano in archivi. Nota: Le variabili che volete usare devono essere prima esportate facendo uso dell´Analyzer Export Wizard. Non attivo: La selezione delle variabili non è soggetta a limitazioni, ma il diagramma non può essere usato in zenon Analyzer, ma solo nel Runtime di zenon.

Nota: Dopo aver lasciato questa scheda, non avete più la possibilità di modificare le impostazioni effettuate in questa sede.

Finestra di dialogo: Cancella diagramma

Prima di cancellare il diagramma, il sistema visualizza una finestra di dialogo che chiede conferma della cancellazione.

Parametri | Descrizione
Ja | Cancella il diagramma selezionato.
Nein | La cancellazione viene interrotta. La finestra di dialogo verrà chiusa e il diagramma selezionato non verrà cancellato.


Variables - Selezione delle variabili

Manuale -> Wizard -> Temi -> Analyzer -> Sankey Wizard -> Variables - Selezione delle variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda potete selezionare le variabili per il vostro progetto.

Select project

Parametri | Descrizione
Select project | Lista dei progetti zenon attivi. Selezionate in questa sede quel (quei) progetto (progetti) da cui volete selezionare le variabili per il vostro diagramma. Nota: È possibile una selezione multipla.

Select data source

Parametri

Descrizione

Select data source

Selezionate in questa sede la sorgente dati (archivi).
Nota: L´opzione Online Data è disponibile per tutte le altre variabili che non provengono da archivi. Questa opzione può essere selezionata solamente se nella scheda Action non avete attivato l´opzione create for Analyzer. Per il Runtime si usano valori live, cioè valori online. Per il zenon Analyzer si usano valori storici.

  • Short name
    Identificazione breve dell´archivio
  • Long name
    Nome completo dell´archivio.
  • Project
    Nome progetto dell´archivio.
  • Parent archive
    Versione dell´archivio usato.

Variables

Parametri

Descrizione

Project variables

Selezionate in questa sede le variabili che volete collegare con il vostro diagramma. È possibile una selezione multipla.

Avete le seguenti possibilità:

  • Cliccare due volte sulla variabile desiderata.
  • Evidenziate la variabile desiderata e cliccate infine su Add->.
  • Tenete premuto il Tasto Ctrl, evidenziate più variabili, cliccate su Add->.
  • Cliccate su Add all-> per selezionare tutte le variabili.

Lista variabili

  • Name
    Nome della variabile
  • Project
    Nome del progetto della variabile
  • Archive:
    Identificazione breve dell´archivio
  • Aggregation:
    Tipo di compressione dell´archivio
    • AVG(Valore medio)
    • Max(Valore massimo)
    • Min(Valore minimo)
    • Sum(Somma)
    • RAW(Formato grezzo dati- senza compressione)

Pulsante Add ->

Aggiunge la/le variabile/variabili selezionata/e alla lista delle Diagram variables.

Pulsante Add all ->

Aggiunge tutte le variabili alla lista delle Diagram variables.

Pulsante <- Delete

Cancella la/le variabile/variabili selezionata/e dalla lista delle Diagram variables.

Pulsante <- Delete all

Cancella tutte le variabili dalla lista delle Diagram variables.

Diagram variables

Parametri

Descrizione

Diagram variables

Qui vedete le variabili selezionate. Queste sono rilevanti per la prossima scheda al momento di creare il diagramma.

Per cancellare delle variabili:

  • Selezionate le variabili che volete cancellare e cliccate su <-Delete.
  • Tenete premuto il tasto Ctrl, selezionate quelle variabili che volete cancellare e cliccate <-Delete.
  • Cliccate su<-Delete all per cancellare tutte le variabili selezionate.

Lista variabili

  • Name
    Nome della variabile
  • Project
    Nome del progetto della variabile
  • Archive:
    Identificazione breve dell´archivio
  • Aggregation:
    Tipo di compressione dell´archivio
    • AVG(Valore medio)
    • Max(Valore massimo)
    • Min(Valore minimo)
    • Sum(Somma)
    • RAW(Formato grezzo dati- senza compressione)

Nota: Dopo aver lasciato questa scheda, avete ancora la possibilità di modificare le impostazioni effettuate in questa sede.


Diagramma - Creare un diagramma

Manuale -> Wizard -> Temi -> Analyzer -> Sankey Wizard -> Diagramma - Creare un diagramma

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda avete la possibilità di disegnare un diagramma.

Superficie di disegno

Nella superficie di disegno posizionate i nodi e le connessioni da voi progettati.

Nodi

Parametri | Descrizione
Name | Nome nodo
Color | Colore del nodo. Visualizza il colore scelto per ultimo. Cliccando sul pulsante, si apre il dialogo di selezione colori.
Create | Imposta nodi e li posiziona sulla superficie di disegno.
Delete | Cancella i nodi selezionati dalla superficie di disegno. Attiva solo se è stato selezionato almeno un nodo nella superficie di disegno.

Diagramma

Parametri

Descrizione

Validate

Verifica se tutti i nodi sono collegati, o se tutti i collegamenti sono dotati di una variabile.

Il risultato della validazione viene visualizzato in una finestra di dialogo.

  • Node xx is not connected!
    Il nodo non ha nessuna connessione ad un altro nodo. .
  • A connection of node xx has no variable linked!
    La connessione del nodo non ha una variabile assegnata.

Save

Salva la progettazione attuale. Prima del salvataggio, il sistema effettua anche una verifica.

Reset

Cancella tutti i nodi e le connessioni già progettate.

Diagram settings

Parametri

Descrizione

Loss detection

Automatica individuazione di perdite con una connessione ulteriore che visualizza il differential flow.

  • Attivato: viene calcolato il rilevamento automatico delle perdite
  • Disattivato: Non viene calcolato il rilevamento automatico delle perdite.

Default: disattivato

Unknown Loss

Se in un nodo si supera la quantità dei flussi in entrata quella dei flussi in uscita, verrà visualizzato un differential flow nel colore prescelto.

Attivo solo se è stata attivata l´opzione Loss detection.

Nota: Questo differential flow è visibile solo nel Runtime di zenon, oppure nello zenon Analyzer.

Undefined Input

Se in un nodo si supera la quantità dei flussi in uscita quella dei flussi in entrata, verrà visualizzato un differential flow nel colore prescelto.

Attivo solo se è stata attivata l´opzione Loss detection.

Nota: Questo differential flow è visibile solo nel Runtime di zenon, oppure nello zenon Analyzer.

Connections (Variables)

Parametri | Descrizione
Connections (Variables) | Lista di tutte le variabili disponibili per la connessione. Se una variabile è già collegata ad una connessione, essa viene visualizzata in color verde nella lista di selezione. Nota: Queste variabili sono a disposizione dell´utente nella scheda Variables .
Link variable | Collega la variabile selezionata con la connessione prescelta. Non attiva se non è stata selezionata nessuna connessione. Nota: Quando si selezionano due nodi e una variabile, il sistema disegna oltre al collegamento anche la connessione.
Delete | Cancella la connessione selezionata. È possibile selezionare più connessioni contemporaneamente. Non attiva se non è stata selezionata nessuna connessione.

Noch in diesem Kapitel

Crea diagramma

Rappresentazione di un diagramma di Sankey in zenon Analyzer

Esempi: Wizard - zenon Analyzer


Crea diagramma

Crea diagramma

Per creare un diagramma di Sankey con l´apposito wizard procedete come segue:

Creare nodo e connessioni:

  1. Assegnate un nome al nodo che volete creare nella finestra Node, e più precisamente nel campo Name.
  2. Selezionate un colore per il nodo cliccando nel campo Color.
  3. Poi cliccate suCreate.
  4. Create il numero di nodi desiderato e ordinateli come volete.
  5. Collegate i nodi congiungendo una "uscita nodo" (a destra dello stesso nodo) ad "un´entrata nodo" (a sinistra del nodo stesso).

Nota: uno stesso nodo può avere diverse connessioni, oppure diversi nodi possono essere collegati ad uno stesso nodo. A seconda del numero di connessioni esistente, varia la grandezza dell´uscita nodo. Quei nodi che sono collegati solo da una parte, verranno visualizzati in forma rotonda o ovale. Quei nodi che sono collegati da entrambe le parti, verranno visualizzati in una forma geometrica con lati.

Per quello che concerne le connessioni dei nodi, ci sono inoltre le seguenti possibilità:

Retroazione: Creare un collegamento dall´uscita di un nodo alla sua entrata

Per farlo:

  • Cliccate due volte sul nodo per il quale volete creare una retroazione.

oppure

  • Trascinate il collegamento dall´uscita del nodo alla sua entrata.

Creare una connessione fra 2 nodi e collegarvi nello stesso tempo una variabile

Per farlo:

  1. Evidenziate i due nodi che intendete congiungere e la variabile che vi volete collegare.
  2. Cliccare su Link Variable

Collegare variabili a connessioni.

Ci sono diverse possibilità di collegare variabili a connessioni:

Drag&Drop

  • Trascinate la variabile desiderata dalla finestra Connections (Variables) alla connessione nodi in questione.

Nota: un presupposto per poter far ciò e l´aver già creato una connessione fra i nodi.

Pulsante Link Variable

  1. Evidenziate la connessione nodi desiderata.
  2. Selezionate la variabile che intendete collegare alla connessione.
  3. Cliccate sul pulsante Link Variable.

Nota: Ad ogni connessione potete collegare una sola variabile.

Collegare una variabile a più connessioni nodi:

  1. Tenete premuto il tasto Ctrl e selezionate diverse connessioni nodi.
  2. Selezionate la variabile desiderata.
  3. Cliccate su Link Variable.

    oppure

  4. Trascinate la variabile sulle connessioni nodi selezionate.

Nota: per vedere il nome della variabile collegata alla connessione, muovere il mouse sulla connessione stessa.

Impostazioni diagramma (Diagram settings):

Se attivate l´opzione Loss Detection, il sistema calcolerà automaticamente un´ individuazione di perdite. Una connessione addizionale visualizza il differential flow.

Nei campi Unknown Loss e Undefined Input si possono selezionare i colori che dovranno essere usati per visualizzare i differential flows. Per selezionare un colore, cliccare sul campo. Si aprirà la finestra di dialogo per selezionare un colore.

Come concludere di disegnare il diagramma:

Dopo aver portato a termine il disegno del vostro diagramma,

  • cliccate sul pulsante Validate.

Se tutte le connessioni sono state impostate correttamente, apparirà una finestra di dialogo contenente l´informazione che il diagramma è valido. In caso contrario, apparirà una finestra di dialogo contenente l´informazione che ci sono dei nodi non connessi, oppure variabili non collegate alle connessioni.
Perché un diagramma sia valido:

  • tutti i nodi devono essere connessi
  • tutte le connessioni devono essere dotate di una variabile
  • i nodi non devono sovrapporsi se vengono spostati in direzione entrate (a sinistra), o a uscite (a destra).

Per salvare un diagramma,

  • cliccate sul pulsante Save.

Il sistema provvederà a validare il diagramma da voi realizzato. Dopodiché il diagramma verrà salvato e contrassegnato come valido o non valido. Il sistema provvederà a indicare il progetto nel quale esso è salvato.

Per disegnare di nuovo un diagramma,

  • cliccate sul pulsante Reset.

Tutti i nodi e le connessioni disegnati verranno cancellati.

info Informazioni su

Cliccando sui pulsanti Validate o Save si orientano i nodi al lato destro e sinistro dell´area di disegno.

Nota: I nodi non devono sovrapporsi.

Modificare i nodi:

Dopo aver creato un paio di nodi, potete

assegnare a più nodi lo stesso nome:

  1. tenete premuto il tasto Ctrl
  2. Selezionate i nodi cui volete assegnare un nome.
  3. Assegnategli un nome.

selezionare lo stesso colore per più nodi:

  1. tenete premuto il tasto Ctrl
  2. Selezionate i nodi cui volete assegnare un colore.
  3. Selezionate poi un colore.

spostare più nodi contemporaneamente:

  1. tenete premuto il tasto Ctrl
  2. Selezionate i nodi che volete spostare.
  3. Spostate i nodi. Verranno spostate anche le loro connessioni.

Nota: Potete modificare anche singoli nodi selezionandoli ed effettuando i cambiamenti desiderati.

Cancellare nodi:

  1. Selezionate il nodo che volete cancellare.
  2. Cliccate nella finestra Node su Delete, oppure premete il tasto Canc.

Cancellare più nodi contemporaneamente:

  1. Tenete premuto il tasto Ctrl e selezionate il nodo che volete cancellare.
  2. Cliccate nella finestra Node su Delete, oppure premete il tasto Canc.

Nota: Quando si cancella un nodo verranno cancellate anche le sue connessioni.

Cancellare connessioni:

  1. Selezionate la connessione da cancellare.
  2. Cliccate nella finestra Connections (Variables) su Delete, oppure premete il tasto Canc.

Cancellare più connessioni contemporaneamente:

  1. Tenete premuto il tasto Ctrl e selezionate le connessioni che volete cancellare.
  2. Cliccate nella finestra Connections (Variables) su Delete, oppure premete il tasto Canc.


Rappresentazione di un diagramma di Sankey in zenon Analyzer

Manuale -> Wizard -> Temi -> Analyzer -> Sankey Wizard -> Diagramma - Creare un diagramma -> Rappresentazione di un diagramma di Sankey in zenon Analyzer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Rappresentazione di un diagramma di Sankey in zenon Analyzer

In zenon Analyzer i nodi vengono sempre ordinati di nuovo e il loro posizionamento non corrisponde esattamente a quello che hanno nel wizard. In zenon Analyzer la rappresentazione di un diagramma di Sankey viene automaticamente modificata al fine di ottimizzarne la lettura e la consultazione.

In questo caso, si tiene in particolare considerazione la larghezza delle connessioni. Essa dipende dai valori rappresentati (più grandi questi ultimi, tanto più spessa è la connessione).

Orientamento orizzontale

il sistema distribuisce i nodi automaticamente disponendoli orizzontalmente, in maniera proporzionale al loro numero, sulla larghezza complessiva.

Esempio: nel caso ci sono tre nodi, la rappresentazione della prima connessione finirà al centro dell´immagine.

Orientamento verticale

In zenon Analyzer, l´orientamento verticale dei nodi avviene automaticamente sempre in una linea verticale. Ciò significa che il primo livello è sempre ordinato in una linea verticale, indipendentemente dalla progettazione nel wizard.

I nodi finali vengono ordinati automaticamente, a intervalli costanti, da sopra a sotto.

info Informazioni su

Vi preghiamo di consultare i seguenti esempi.


Esempi: Wizard - zenon Analyzer

Esempi: Wizard - zenon Analyzer

Esempio di orientamento orizzontale

Progettazione Sankey Wizard

Visuale zenon Analyzer

Esempio di orientamento verticale

Progettazione Sankey Wizard

Visuale zenon Analyzer

Esempio di orientamento misto

Progettazione Sankey Wizard

Visuale zenon Analyzer


Finish - Termina

Manuale -> Wizard -> Temi -> Analyzer -> Sankey Wizard -> Finish - Termina

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella scheda Finish potete verificare se il vostro diagramma è valido o meno e dove è stato salvato.

  • Cliccate sul pulsante Finish.

Per terminare il Wizard di Sankey,

  • cliccate sul pulsante Close.

info Informazioni su

La progettazione del vostro diagramma Sankey viene salvata in un file XML.

Quest´ultimo si trova nel Manager di progetto del progetto selezionato, nel nodo File, nella cartella Altro.

Mediante l´Analyzer Export Wizard potete riprendere il diagramma di Sankey per usarlo in zenon Analyzer.

I dettagli su questa operazione di export li trovate nella guida sull´argomento Analyzer Export Wizard.


Settore dell`energia.

Manuale -> Wizard -> Temi -> Settore dell`energia.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Wizard per il settore dell´energia.

tutorial Informazioni sulla licenza

Questo gruppo di Wizard è visibile solamente se si ha una licenza per la Energy Edition di zenon.

Noch in diesem Kapitel

Simulazione driver

IEC 61850 SSD Import

IEC850 Driver Configuration Wizard


Simulazione driver

Manuale -> Wizard -> Temi -> Settore dell`energia. -> Simulazione driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Wizard crea un proprio programma straton per ogni driver del progetto di zenon per cui è stato creato un progetto di simulazione driver. Questo programma straton simula per tutte le coppie di variabili del driver alle quali si applica una regola di sostituzione, un´assegnazione diretta di variabile di comando a variabile di Feedback.

Esempio

  • Variabili di zenon:
    • Test_CO : USINT
    • Test_RV : USINT
    • Switch_CO: USINT
    • Switch_RV: LREAL
  • Regole di sostituzione:
    • *_CO -> *_RV
  • Risultato in zenon Logic:

attention Attenzione

Questo Wizard non supporta la progettazione multiutente e non è utilizzabile nei progetti multi-user.

Noch in diesem Kapitel

Avviare il Wizard

Welcome

Settings

Rebuild


Avviare il Wizard

Manuale -> Wizard -> Temi -> Settore dell`energia. -> Simulazione driver -> Avviare il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avviare il Wizard:

  1. Cliccare su File -> Wizards...

    O premere la combinazione di tasti Alt+F12

  2. Si aprirà la finestra di selezione in cui sono visualizzati i Wizard disponibili
  3. Selezionare la cartella Energy
  4. Selezionare lì Driver Simulation Wizard

  5. Cliccare su OK.
  6. Il Wizard si avvia con una pagina di benvenuto


Welcome

Manuale -> Wizard -> Temi -> Settore dell`energia. -> Simulazione driver -> Welcome

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La scheda Welcome informa su prestazioni e utilizzo del Wizard.

Si naviga all´interno del Wizard cliccando sulle singole schede, oppure, passo per passo, cliccando sui tasti con frecce.

Se si clicca su Close, il Wizard si chiude.


Settings

Manuale -> Wizard -> Temi -> Settore dell`energia. -> Simulazione driver -> Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda vengono create le regole di sostituzione.

Parametri

Descrizione

Execute wizard when compiling straton project

Attivo: non appena viene eseguita in zenon l´azione Compila file Runtime, viene eseguito anche il Wizard.

Nota: la logica di creazione del progetto straton viene eseguita in background. L´interfaccia utente del Wizard non viene aperta.

Drivers with simulation project

Mostra una lista di tutti i driver del progetto di zenon attualmente attivo nell´Editor di zenon per il quale è stato impostato un progetto di simulazione driver. Se si seleziona un driver di questa lista, verranno visualizzate nella sezione Replacement pattern le regole di sostituzione definite per questo driver.

Replacement pattern

Regole di sostituzione.

COMMAND Variable

Variabile di comando.

Si può usare al massimo una Wildcard (*).

RESPONSE Variable

Variabile di feedback

Si può usare al massimo una Wildcard (*).

Add

Aggiunge le regole alla Lista delle regole.

Modify

Consente di effettuare delle modifiche delle regole selezionate.

Remove

Cancella le regole selezionate dalla Lista delle regole.

Lista delle regole

Lista delle regole definite.

Tasti freccia

Passano alla scheda precedente o successiva.

Close

Chiude il Wizard.

Se si modificano le regole, il sistema propone di ricreare il processo di simulazione quando si chiude la finestra di dialogo. A questo scopo viene visualizzata questa finestra di dialogo:

Nota: confermare questa finestra di dialogo cliccando su Sì se si vuole che siano cancellate tutte le regole di sostituzione per un driver. I progetti di simulazione senza regole di sostituzione non vengono presi in considerazione al momento della compilazione automatica dei file Runtime in zenon.


Rebuild

Manuale -> Wizard -> Temi -> Settore dell`energia. -> Simulazione driver -> Rebuild

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si può inizializzare un rebuild di tutti i progetti simulazione di straton.

Se si clicca sul pulsante Rebuild , si avvia il processo di nuova creazione dei progetti di simulazione driver per tutti i driver corrispondenti del progetto.


IEC 61850 SSD Import

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC 61850 SSD Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´IEC 61850 SSD Import Wizard consente di leggere le configurazioni da un file SSD e di applicarle in un´immagine di zenon, inclusa progettazione compatibile con l´ALC. La posizione dei singoli dispositivi viene calcolata sulla base dei contenuti del file SSD.

La dimensione dei simboli è configurabile. Per la visualizzazione possono essere usati modelli di simboli specifici per certi paesi. È supportato anche l´utilizzo di simboli propri.

Le variabili devono essere ancora assegnate manualmente per una configurazione di progetto completa.

tutorial Informazioni sulla licenza

L´interfaccia utente del Wizard è disponibile solo in lingua inglese.

Si raccomanda di utilizzare il SSD Import Wizard con una versione provvista di licenza della Energy Edition di zenon.

Moduli e contenuti di zenon

Il Wizard utilizza i seguenti moduli e contenuti di zenon. Per ulteriori informazioni cliccare sui link dei singoli capitoli:

  • Immagini
    • Elementi d´immagine
    • Elemento combinato
    • Modelli
    • Simboli e gruppi elementi
  • Automatic Line Coloring
  • Editor
    • Livelli di visibilità
  • Visualizzazione globale

Noch in diesem Kapitel

Avviare il Wizard

Finestra di dialogo di configurazione

Configurazione di un´immagine di zenon conforme all´ALC.


Avviare il Wizard

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC 61850 SSD Import -> Avviare il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´IEC 61850 SSD Import Wizard viene installato automaticamente durante l´installazione standard di zenon.

Aprire Wizard

Per aprire il Wizard, procedere nel modo seguente:

  1. Aprire l´Editor di zenon
  2. Cliccare su "File" nella barra degli strumenti.
  3. Cliccare su Wizard.

Nota: si può aprire la finestra di selezione contente i Wizard e i tool disponibili anche usando la combinazione di tasti Alt+F12.

Si aprirà la finestra di selezione contente i Wizard disponibili

  1. Selezionare la cartella Energy
  2. Cliccare qui su IEC 61850 SSD Import.
  3. Cliccare su OK.
  4. Il Wizard si avvia con la finestra di dialogo IEC 61850 SSD Import

info Informazioni su

L´IEC 61850 SSD Import Wizard è a disposizione solamente in lingua inglese.


Finestra di dialogo di configurazione

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC 61850 SSD Import -> Finestra di dialogo di configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa finestra di dialogo si configurano i parametri per la progettazione di un´immagine di zenon, inclusi collegamenti con l´ALC.

Selection

Parametri

Descrizione

File

Campo di selezione del file di importazione SSD.

Cliccare sul pulsante ... e si aprirà la finestra di dialogo che serve alla selezione del file SSD.

Default: vuoto
Percorso predefinito C:\Public\Documents

Formati di file supportati:

  • *.SCD
  • *.ICD
  • *.CID
  • *.IID
  • *.SED

Lista dei simboli disponibili

Visualizza una lista di tutti i simboli disponibili nel progetto.
Il Wizard verifica se ci sono simboli per i tipi supportati.

I simboli disponibili vengono visualizzati con un un segno di spunta verde.

Se manca un simbolo per un tipo supportato, viene visualizzato un simbolo di color rosso nella punto corrispondente della lista.

Default: No Symbols Found

Symbols

Menù a tendina per la selezione dei simboli:

  • local
    Vengono usati I simboli della configurazione del progetto attivo.
  • [Dateiname]
    I simboli vengono importati da un file XML. Vengono visualizzati tutti i fil del seguente percorso: C:\ProgramData\COPA-DATA\zenon750\Templates\IEC850Import\

Default: local

Cliccando su ... si importano i contenuti del file XML selezionato nella Symbolbibliothek, nel nodo Bilder del progetto attivo..

La mancanza di simboli viene visualizzata mediante un triangolo rosso.

Nota: Ulteriori informazioni si trovano nel capitolo Simboli per l´importazione SSD.

Import Symbols

Importa i simboli selezionati nel menù a tendina dai Symbols nella libreria simboli.

Visualiazzato in color grigio se non è stata effettuata nessuna selezione nel menù a tendina.

Immagini di zenon disponibili

Lista di tutte le immagini configurate del progetto attivo nell´Editor di zenon. Questa lista può essere ordinata e filtrata.

  • Per ordinare la lista, cliccare su un´intestazione colonna. Un secondo clic inverte la direzione di ordinamento.
    La direzione di ordinamento viene indicata da una freccia.
    Per sfruttare delle possibilità di ordinamento estese, utilizzare il menù contestuale per l´ordinamento.
  • Per eseguire un´operazione di filtro, cliccare sull´elenco filtri. L´impostazione di default per il filtro è "Contiene".
    Per sfruttare delle possibilità di filtro estese, utilizzare il menù contestuale per il filtro.
    Un simbolo filtro di color giallo indica che un filtro è attivo.

Import to screen

Parametri | Descrizione
Name | Nome dell´immagine configurata nel progetto attivo di zenon
Type | Tipo dell´immagine configurata. Nota: il tipo di immagine configurato viene visualizzato nella lista con il prefisso tp.
Frame | Nome del modello assegnato all´immagine.
Size | Dimensione configurata dell´immagine.

Scale and layout

Parametri

Descrizione

Global scaling factor

Dimensione di base di un simbolo per la progettazione automatica in un´immagine di zenon. Indicata in pixel. Questo fattore di ingrandimento vale per tutta la progettazione.

Valori possibili: 1 bis 1.000
Default: 40

Nota: in linea di principio, si parte dal presupposto che i simboli siano in una dimensione di 1x1. Questo viene moltiplicato per il valore indicato nel campo di inserimento Global scaling factor.

Esempio: con un Global scaling factor pari a 40, il simbolo sarà disegnato come 40x40 pixel.

Non è consentito impostare un valore inferiore a 1. In questo caso, il sistema provvede a correggere automaticamente questo inserimento errato portandolo a 1.

CBR

Fattore di ingrandimento per l´elemento, basato sul valore configurato nel campo "Ratio".

  • x = ingrandimento orizzontale.
  • y = ingrandimento verticale.

Valori possibili: da 1 fino 20

Default: 1

CTR

Fattore di ingrandimento per l´elemento, basato sul valore configurato nel campo "Ratio".

  • x = ingrandimento orizzontale.
  • y = ingrandimento verticale.

Valori possibili: da 1 fino 20

Default: 1

DIS

Fattore di ingrandimento per l´elemento, basato sul valore configurato nel campo "Ratio".

  • x = ingrandimento orizzontale.
  • y = ingrandimento verticale.

Valori possibili: da 1 fino 20

Default: 1

DISG

Fattore di ingrandimento per l´elemento, basato sul valore configurato nel campo "Ratio".

  • x = ingrandimento orizzontale.
  • y = ingrandimento verticale.

Valori possibili: da 1 fino 20

Default: 1

REA

Fattore di ingrandimento per l´elemento, basato sul valore configurato nel campo "Ratio".

  • x = ingrandimento orizzontale.
  • y = ingrandimento verticale.

Valori possibili: da 1 fino 20

Default: 1

IFL

Fattore di ingrandimento per l´elemento, basato sul valore configurato nel campo "Ratio".

  • x = ingrandimento orizzontale.
  • y = ingrandimento verticale.

Valori possibili: da 1 fino 20

Default: 1

PTR

Fattore di ingrandimento per l´elemento, basato sul valore configurato nel campo "Ratio".

  • x = ingrandimento orizzontale.
  • y = ingrandimento verticale.

Valori possibili: da 1 fino 20

Default: 1

Nota: si raccomanda di configurare simboli di tipo PTR sempre con una grandezza doppia.

VTR

Fattore di ingrandimento per l´elemento, basato sul valore configurato nel campo "Ratio".

  • x = ingrandimento orizzontale.
  • y = ingrandimento verticale.

Valori possibili: da 1 fino 20

Default: 1

CAP

Fattore di ingrandimento per l´elemento, basato sul valore configurato nel campo "Ratio".

  • x = ingrandimento orizzontale.
  • y = ingrandimento verticale.

Valori possibili: da 1 fino 20

Default: 1

Layout

Parametri

Descrizione

Bay name position

Posizione della didascalia della bay:

  • Top
    la didascalia viene posizionata nell´immagine di zenon sopra una bay.
  • Bottom
    la didascalia viene posizionata nell´immagine di zenon sotto una bay.

Default: Top

Chiudi finestra di dialogo

Parametri | Descrizione
Cancel | Chiude il Wizard e den Wizard e rifiuta tutte le progettazioni.
Import | Disegna la configurazione sull´immagine selezionata, inclusi i collegamenti con l´ALC. Se nell´immagine ci sono già degli elementi, verrà visualizzato un avvertimento. Il processo di progettazione viene lanciato cliccando sul pulsante OK. Cliccando sul pulsante Cancel, si ritorna al Wizard. Nota: non attivo se non è stato selezionato nessun file SSD.

Noch in diesem Kapitel

Simboli per l´importazione SSD

Menù contestuale Ordinamento

Menù contestuale Filtraggio


Simboli per l´importazione SSD

Simboli per l´importazione SSD

Il SSD Import Wizard legge il file SSD selezionato per disegnare un´immagine di zenon. Nel corso di questo processo, il Wizard riconosce i tipi dei ConductingEquipments (in base allo standard) e utilizza i simboli configurati in modo corrispondente.

Formati di file supportati:

  • *.SCD
  • *.ICD
  • *.CID
  • *.IID
  • *.SED

Perché questo processo possa funzionare senza problemi, i simboli corrispondenti devono essere presenti nella progettazione di zenon.

Una lista dettagliata degli elementi necessari si trova nel capitolo Tipi supportati.

attention Attenzione

Quando si nomina un elemento bisogna fare attenzione alla scrittura in lettere maiuscole e minuscole.

Simboli mancanti

Se nella progettazione attuale di zenon manca un simbolo necessario, nel SSD Import Wizard verrà visualizzato un simbolo di color rosso. Questa finestra di avvertimento appare nel Wizard sempre accanto al menù a tendina Symbols. Se i simboli vengono importati da un file XML, questo avviso sarà visualizzato solo dopo il completamento dell´operazione di importazione.

  • No Symbols Found
    Nella libreria simboli non c´è nessun elemento.
  • Missing [Nome elemento]
    Nella libreria simboli locale non ci sono tutti gli elementi necessari. I simboli mancanti vengono visualizzati nella lista.

Nota: gli avvisi sono disponibili solo in lingua inglese.

I simboli vengono importati da un file XML.

  • Selezionare il file desiderato fra quelli del menù a tendina.
    Vengono visualizzati tutti i file XML del percorso C:\ProgramData\COPA-DATA\zenon750\Templates\IEC850Import\.
  • Cliccare sul pulsante ... per importare gli elementi del file XML nella libreria simboli.
    Nota: dopo che l´importazione è stata portata a termine con successo, la selezione del menù a tendina ritorna a local.
  • Verificare la denominazione dei simboli importati.

Un nuovo import del file sovrascrive i simboli preesistenti.

Noch in diesem Kapitel

Tipi supportati.

Requisti di un simbolo

Dimensione simbolo - Esempi


Tipi supportati.

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC 61850 SSD Import -> Finestra di dialogo di configurazione -> Simboli per l´importazione SSD -> Tipi supportati.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Tipi supportati.

I seguenti tipi dello standard vengono supportati:

Tipo | Descrizione | Nome elemento
CBR | Circuit Breaker Sezionatore | Ulteriori informazioni relative alla progettazione dell´immagine per il sezionatore si trovano CBR_H CBR_V Elemento combinato con diversi stati Switch
CTR | Current Transformer Trasformatore di corrente | CTR_H CTR_V Linee trasparenti "attraverso" il simbolo collegano linee esterne. Switch Nessuno stato
DIS | Disconnector or earthing switch sezionatore o sezionatore di terra | DIS_H DIS_V Elemento combinato con diversi stati
DISG | Disconnector grounded Sezionatore con messa a terra | DIS_grounded_DOWN DIS_grounded_L DIS_grounded_R DIS_grounded_UP Consiste di due elementi combinati - parte presunta vuota contiene a sua volta simboli per tutti gli stati - linea trasparente Colori da ALC
REA | Reactor Reactor | REA_DOWN Line color: da ALC Fill color: da ALC nessuno stato
IFL | Infeeding line linea di alimentazione | IFL to be implemented liberamente configurabile dal cliente
PTR | Power Transformer Trasformatore | PTR per due bobine esiste sempre ha tre elementi combinati uno di questi è invisibile ha progettazione invisibile = quadrato nell´angolo => proprietà: TRANSFORMATOR!! linee invisibili "con una piega" source e source per reverse nelle configurazioni ALC del progetto!!! ==== PTR_3_DOWN
VTR | Trasformatore | VTR_L VTR_R VTR_UP VTR_DOWN è elemento combinato nessuno stato Line color: da ALC ha simboli "scollegati"
CAP | Capacitor Condensatore |
 | Linea verticale | LINE_V Colori da ALC Dimensione: 100 x 2 Pixel) Spessore: 2
 | Linea orizzontale | LINE_H
DESC | Description Descrizione dell´elemento | DESC Casella di testo

Eccezioni rispetto allo standard

  • DIS_grounded (DISG)
    DIS_grounded non esiste nello standard. DIS_grounded è un ConductingEquipment del tipo DIS e con un terminale con ConnectivityNode „grounded"
  • PowerTransformer (PTR)
    PTR non è un ConductingEquipment, ma ha un tipo e un simbolo e viene anche disegnato. Questa è la procedura raccomandata nello standard.

attention Attenzione

Quando si nomina un elemento bisogna fare attenzione alla scrittura in lettere maiuscole e minuscole.

I simboli non esistenti vengono visualizzati come un quadrato di color rosso. .


Requisti di un simbolo

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC 61850 SSD Import -> Finestra di dialogo di configurazione -> Simboli per l´importazione SSD -> Requisti di un simbolo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Requisti di un simbolo

Come configurare in modo corretto


Dimensione simbolo - Esempi

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC 61850 SSD Import -> Finestra di dialogo di configurazione -> Simboli per l´importazione SSD -> Dimensione simbolo - Esempi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Dimensione simbolo - Esempi

La dimensione dei simboli in caso di progettazione automatica tramite il SSD Import Wizard viene determinata da due grandezze:

  • Global scaling factor
    Dimensione di base di tutti i simboli nell´immagine di zenon.
    La grandezza è espressa in pixel. l.
  • Fattore di ingrandimento per elemento.
    Questo calcola il rispettivo multiple dell´indice configurato.
    Il fattore di ingrandimento può essere impostato per:
    • x = ingrandimento orizzontale
    • y = ingrandimento verticale

Esempio 1

Global scaling factor: 20

Dimensione dell´elemento: 5 (x e y)

Risultato: Dimensione dell´elemento 100 pixel

Esempio 2

Global scaling factor: 50

Dimensione dell´elemento: 1 (x e y)

Risultato: Dimensione dell´elemento 50 pixel

Esempio 3

Global scaling factor: 25

Dimensione dell´elemento x: 2

Dimensione dell´elemento y: 1

Risultato: Dimensione dell´elemento 50 x 25 pixel

Esempio 4

Global scaling factor: 5

Dimensione per l´elemento CBR x: 6

Dimensione per l´elemento CBR y: 6

Dimensione per l´elemento PTR x: 10

Dimensione per l´elemento PTR y: 10

Dimensione per l´elemento REA x: 2

Dimensione per l´elemento REA y: 6

Risultato:

Dimensione per l´elemento CBR: 30 x 30 pixel

Dimensione per l´elemento PTR: 50 x 50 pixel

Dimensione per l´elemento REA: 10 x 30 pixel


Menù contestuale Ordinamento

Menù contestuale Ordinamento

La lista delle immagini di zenon disponibili può essere ordinata, sottoposta a filtro e adattata usando il menù contestuale. Per utilizzare queste possibilità estese di ordinamento, procedere come segue: portate il cursore del mouse su un´intestazione colonna e cliccare con il tasto destro.

Queste impostazioni non sono ritentive. Dopo il riavvio del Wizards, verrà riproposta la visualizzazione Standard.

info Informazioni su

I contenuti del menù contestuale sono a disposizione solamente in lingua inglese.

Parametri

Descrizione

Sort Ascending

Ordinamento crescente della colonna selezionata (A - Z).

Nota: sopra l´intestazione della colonna ordinata viene visualizzata una piccola freccia.

Sort Descending

Ordinamento decrescente della colonna selezionata (Z - A).

Nota: sopra l´intestazione della colonna ordinata viene visualizzata una piccola freccia.

Clear Sorting

Cancella l´ordinamento attivo.

Non attiva se non è attivo nessun ordinamento.

Conditional Formatting

Apre la finestra di dialogo per la progettazione di un filtro visualizzazione. In questo filtro si possono configurare delle condizioni per la visualizzazione.

Group by this column

Passa alla visualizzazione raggruppata.

L´intestazione colonna viene visualizzata nella prima riga della lista delle immagini disponibili di zenon.

Si cancella il raggruppamento cliccando sul pulsante der X nella visualizzazione gruppo.

Column Chooser

Apre la finestra di dialogo per mostrare o nascondere colonne.

In questa finestra di dialogo vengono offerte le colonne non visualizzate, che possono essere spostate per Drag&Drop nella lista delle immagini disponibili di zenon.

Le colonne visualizzate possono essere nascoste via Drag&Drop (indetro a questa finestra di dialogo).

Hide Column

Esclude la colonna selezionata.

Per visualizzare di nuovo le colonna, eseguire Column Chooser e trascinare la colonna desiderata con Drag&Drop nella lista delle immagini disponibili di <CD_PRODUCTRNAME>.

Non disponibile se è visualizzata solo una colonna.

Pinned state

Sposta la colonna selezionata:

  • Unpin column
    La posizione della colonna può essere spostata liberamente via Drag&Drop.
  • Pin at left
    Sposta la colonna selezionata all´estrema sinistra.
    Diventa dunque la prima colonna.
  • Pin at right
    Sposta la colonna selezionata all´estrema destra.
    Diventa dunque l´ultima colonna.

Best Fit

Determina la "larghezza ottimale" per la colonna selezionata.". Se possibile, la larghezza della colonna viene modificata in modo tale che tutti i contenuti siano leggibili.

Visualizzazione raggruppata

Le colonne possono essere visualizzate in forma raggruppata nella lista delle immagini disponibili di zenon.

Per ottenere una visualizzazione raggruppata, si hanno le due possibilità seguenti:

  • spostare le intestazioni colonna via Drag&Drop nella zona intestazione
    (Drag a column here to group by this column.)
  • selezionare l´inserimentoGroup by this column del menù contestuale.

Nella visualizzazione raggruppata, si può espandere o ridurre i dettagli della visuale cliccando sulla freccia verso l´alto, o la freccia verso il basso.

Cliccando sul pulsante x accanto al nome della colonna raggruppata, si cancella la visualizzazione raggruppata (per questa colonna).

info Informazioni su

Le immagini possono essere filtrate anche nella visualizzazione raggruppata. .


Menù contestuale Filtraggio

Menù contestuale Filtraggio

Menù contestuale per il filtro nella lista delle immagini disponibili di zenon. Per attivarlo, cliccare sul simbolo filtro della rispettiva colonna.

Parametri | Descrizione
No filter | Nessun filtro Cancella il filtro selezionato.
Contains | Contiene Filtra alla ricerca di inserimenti che contengono il criterio indicato.
Does not contain | Non contiene Filtra alla ricerca di inserimenti che non contengono il criterio indicato.
Starts with | Inizia con Filtra alla ricerca di inserimenti che iniziano con il criterio indicato.
Ends with | Finisce con Filtra alla ricerca di inserimenti che finiscono con il criterio indicato.
Equals | È uguale a Filtra alla ricerca di inserimenti che sono esattamente uguali al criterio indicato.
Not equal to | Non è uguale Filtra alla ricerca di inserimenti che non corrispondono al criterio indicato.
Is null | È vuoto Filtra alla ricerca di inserimenti vuoti.
Is not null | Non è vuoto Filtra alla ricerca di qualsiasi inserimento esistente.
Custom | Apre la finestra di dialogo per la configurazione di un filtro definito dall´utente. Nota: con certe risoluzioni dello schermo può succedere che la finestra di dialogo di configurazione del filtro definito dall´utente sia "nascosta" dietro la finestra del Wizard. In questo caso il Wizard non reagirà più a inserimenti e clic del mouse. Premere il tasto Esc per poter utilizzare di nuovo il Wizard.


Configurazione di un´immagine di zenon conforme all´ALC.

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC 61850 SSD Import -> Configurazione di un´immagine di zenon conforme all´ALC.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Posizionamento dei tipi - Visualizzazione contesto

Il Wizard usa le coordinate dello standard esteso. Questo significa che, per il posizionamento dei tipi, vengono usate le coordinate (SCLcoordinates), come indicato nel file SSD:

  • X descrive l´orientamento orizzontale
  • Y descrive l´orientamento verticale

SCL è un modello di dati gerarchico. Questo non contiene le coordinate complete. Le coordinate X e Y sono indicate rispettivamente in modo gerarchico rispetto all´elemento precedente.

Ogni nodo conosce la sua posizione relativa rispetto al suo nodo superiore. Substations vengono sempre accettate come nodi principali. La posizione assoluta viene calcolata come addizione di tutti i nodi sovra-ordinati. Questo calcolo viene eseguito dal SSD Import Wizard automaticamente.

Denominazione delle linee

Il ConnectivityNode del file SSD viene utilizzato per la denominazione delle linee di collegamento.

Livello di visibilità

La progettazione automatica di immagini da parte del Wizard utilizza livelli di visibilità:

  • Livello di visibilità 8
    Elementi e linee di collegamento
  • Livello di visibilità 0
    Descrizione (DESC)

In questo modo è possibile visualizzare nell´Editor progettazioni complesse in modo chiaro.

Noch in diesem Kapitel

Progettazione nell'Editor

Progettazione ALC

Messaggio di avviso quando esiste già una progettazione.


Progettazione nell'Editor

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC 61850 SSD Import -> Configurazione di un´immagine di zenon conforme all´ALC. -> Progettazione nell'Editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Progettazione nell'Editor

Prima di avviare il Wizard nell´Editor di zenon, si dovrebbero eseguire le seguenti progettazioni:

  • Creare un´immagine di zenon.
    Il Wizard supporta tutti i tipi di immagine di zenon. Non viene eseguita una verifica se ha senso utilizzare il tipo di immagine prescelto.
    Assicurasi che la dimensione dell´immagine sia sufficiente in caso di ampie descrizioni nel file SSD selezionato.
  • Creare i simboli corrispondenti nella libreria simboli (facoltativo).
    Nella creazione dei simboli, fare attenzione alla corretta denominazione degli elementi.
    I simboli possono essere aggiunti alla libreria dei simboli del progetto attivo anche nel Wizard già avviato importando un file XML.
  • Configurare le impostazioni ALC nelle proprietà di progetto.
    Configurare il comportamento dell´Automatic Line Coloring per il progetto in questione.

Configurazione nel Wizard

Configurare le seguenti impostazioni nel SSD Import Wizard:

  • Selezione di un file SSD.
  • Importazione o selezione dei simboli (facoltativo)
  • Selezione di un´immagine di zenon già progettata.
  • Selezione della posizione della didascalia.
  • Progettazione della dimensione di base (Global scaling factor) dei simboli.
  • Progettazione del fattore di ingrandimento di un elemento.

Noch in diesem Kapitel

Preparazione dell´immagine di zenon

Elementi ad immagine - Progettazione conforme a ALC


Preparazione dell´immagine di zenon

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC 61850 SSD Import -> Configurazione di un´immagine di zenon conforme all´ALC. -> Progettazione nell'Editor -> Preparazione dell´immagine di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Preparazione dell´immagine di zenon

Dimensione dell´immagine

Il SSD Import Wizard ignora la dimensione configurata quando disegna l´immagine. I simboli vengono disegnati sulla base del Global scaling factor configurato e del contenuto del file SSD.

Nonostante questo, in fase di progettazione si dovrebbe fare in modo che l´immagine abbia una grandezza sufficiente. Questa dimensione può essere modificata e adeguata anche dopo la chiusura del Wizard.

Visualizzazione globale

Un´immagine per la quale si configura una dimensione maggiore a quella del modello, è una cosiddetta Visualizzazione globale. In questo tipo di visualizzazione si può spostare l´immagine con il mouse, oppure con i gesti touch.

Per navigare e per scorrere all´interno di visualizzazioni globali, si può usare un´immagine di tipo "Supervisione globale", la gestione Touch e il mouse.

Velocità di configurazione

Chiudere l´immagine utilizzata nell´Editor mentre il SSD Import Wizard esegue il processo di disegno. Se l´immagine è aperta per la modifica nell´Editor, il processo di disegno automatico durerà molto più a lungo!


Elementi ad immagine - Progettazione conforme a ALC

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC 61850 SSD Import -> Configurazione di un´immagine di zenon conforme all´ALC. -> Progettazione nell'Editor -> Elementi ad immagine - Progettazione conforme a ALC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Elementi ad immagine - Progettazione conforme a ALC

Noch in diesem Kapitel

Elemento d´immagine CBR


Elemento d´immagine CBR

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC 61850 SSD Import -> Configurazione di un´immagine di zenon conforme all´ALC. -> Progettazione nell'Editor -> Elementi ad immagine - Progettazione conforme a ALC -> Elemento d´immagine CBR

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Elemento d´immagine CBR

Configurare l´elemento d´immagine per il sezionatore (Circuit Breaker) sulla base dei seguenti requisiti:

Visualizzazione della configurazione nell´Editor di zenon

Esempi di visualizzazione nel Runtime di zenon:


Progettazione ALC

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC 61850 SSD Import -> Configurazione di un´immagine di zenon conforme all´ALC. -> Progettazione ALC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Progettazione ALC

Configurare le impostazioni per il comportamento dell´ALC nelle proprietà di progetto:

  1. Per farlo, selezionare il progetto attivo nel Workspace.
  2. Selezionare nelle proprietà di progetto il gruppo Automatic Line Coloring
  3. Cliccare sul pulsante ...della proprietà Configurazione ALC,
  4. Si aprirà la finestra di dialogo di configurazione.
  5. Configurare le proprietà per:
    • Sorgenti ALC
    • Interblocchi
    • Marker immagine

info Informazioni su

Ulteriori informazioni relative alla configurazione si trovano nella guida dedicata all´Automatic Line Coloring (ALC), nel capitolo Configurazione.

Noch in diesem Kapitel

Elementi combinati


Elementi combinati

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC 61850 SSD Import -> Configurazione di un´immagine di zenon conforme all´ALC. -> Progettazione ALC -> Elementi combinati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Elementi combinati

Per una descrizione dettagliata rimandiamo alla story di Thomas Blankers (simboli d'immagine forniti con il prodotto).

Suggerimenti per la configurazione dei simboli utilizzati:

Nominare i simboli in modo corretto.

Configurare i simboli con l´aiuto dell´elemento combinato per i diversi stati ALC.

Configurare gli stati ALC con l´elemento combinato.

Descrizione breve.


Messaggio di avviso quando esiste già una progettazione.

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC 61850 SSD Import -> Configurazione di un´immagine di zenon conforme all´ALC. -> Messaggio di avviso quando esiste già una progettazione.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Messaggio di avviso quando esiste già una progettazione.

Dopo che sono state completate le configurazioni necessarie nel Wizard, si clicca sul pulsante Save e quanto è stato progettato viene disegnato sull´immagine di zenon scelta in precedenza.

Se questa progettazione viene eseguita in un´immagine che ha già dei contenuti propri, gli elementi contenuti in questa immagine vengono validati. Se uno degli elementi è già presente nell´immagine, viene visualizzato un dialogo di avviso che ne informa l´utente.

Se questa progettazione viene eseguita in un´immagine che ha già una progettazione propria, viene visualizzato un dialogo di avviso che ne informa l´utente.

Dialogo di avvertimento.

There are already [numero dei simboli] elements on [nome immagine]
Do you want to continue?

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.

L´immagine viene ridisegnata se si conferma la finestra di dialogo cliccando sul pulsante OK. Nel corso di questo processo, le progettazioni già esistenti vengono sostituite. Se un elemento viene piazzato di nuovo nell´immagine durante il processo di disegno, viene visualizzato il seguente dialogo di avvertimento:

Confermare questa finestra di dialogo cliccando sul pulsante OK per continuare il processo di disegno.

Tipp Suggerimento

Se la nuova progettazione dell´immagine di zenon è stata iniziata involontariamente e il primo dialogo di avvertimento è stato confermato cliccando sul pulsante OK, è possibile sopprimere i singoli dialoghi successivi procedendo nel modo seguente:

  1. Nella finestra di configurazione, posizionare il cursore del mouse sul pulsante Cancel.
  2. Non confermare con un clic del mouse la finestra di dialogo che verrà visualizzata.
    Usare invece il tasto Ins.
  3. Tenere premuto il tasto Ins.
  4. Nello stesso tempo, cliccare con il mouse sul pulsante il Cancel.

Cancellare poi il contenuto dell´immagine di zenon e riavviate il SSD Import Wizard.


IEC850 Driver Configuration Wizard

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC850 Driver Configuration Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´IEC850 Driver Configuration Wizard aiuta nella configurazione del reporting I RCB corretti possono essere selezionati in un´interfaccia grafica e assegnati tramite Drag&Drop al driver IEC850.

Le variabili che forniscono al driver l´IED usando gli RCB selezionati possono essere create nel Wizard. Anche driver IEC850 possono essere creati nell´Editor di zenon grazie a questo Wizard. . Questi vengono anche configurati nel Wizard sulla base di un file SCL esistente, per es. indirizzamento TCP/IP.

Esempio: un file SCD contiene la descrizione della sottostazione. Nell´Editor di zenon, tutti i driver IEC850 richiesti vengono configurati usando questo file SCD. Se il driver non esiste ancora nel progetto, lo si può creare nel Wizard.

Passo per passo, i contenuti di più file SLC (per es. ICD) possono essere trasferiti consecutivamente nella configurazione driver.

I passaggi di questa configurazione vengono eseguiti nel Wizard usando il Drag&Drop e il menù contestuale.

info Informazioni su

Il IEC850 Driver Configuration Wizard è disponibile solo in lingua inglese.

Requisiti:

  • Deve esserci un file SCL (*.scl, *.icd, *.cid, *.scd, *.ssd).

tutorial Informazioni sulla licenza

Per poter usare questo Wizard, si deve avere una licenza per il modulo Energy Edition di zenon.

Noch in diesem Kapitel

Avvia il Wizard.

Configuration

Menù contestuale

Lavorare con il Wizard


Avvia il Wizard.

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC850 Driver Configuration Wizard -> Avvia il Wizard.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´IEC850 Driver Configuration Wizard viene installato automaticamente durante l´installazione standard della Energy Edition di zenon.

Aprire Wizard

Per aprire il Wizard, procedere nel modo seguente:

  1. Aprire l´Editor di zenon
  2. Cliccare su "file" nella barra degli strumenti.
  3. Cliccare su Wizard.

Nota: si può aprire la finestra di selezione contente i Wizard e i tool disponibili anche con la combinazione di tasti Alt+F12.

Si apre la finestra di selezione che mostra i wizard disponibili

  1. Selezionare la cartella Energy
  2. Cliccare qui su IEC850 Driver Configuration.
  3. Cliccare su OK.
  4. Il wizard si avvia con la pagina Configuration

info Informazioni su

L´IEC850 Driver Configuration Wizard è disponibile solo in lingua inglese.


Configuration

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC850 Driver Configuration Wizard -> Configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si effettua la configurazione del driver IEC850:

Se nel progetto di zenon sono già configurati uno o più driver IEC850, questi verranno visualizzati nella parte destra della finestra di dialogo in una struttura ad albero. È possibile creare altri driver direttamente nel Wizard.

File selection

Selezione del file SCL. Cliccando sul comando ... si apre il dialogo di selezione file.

  • Dopo essere stato selezionato, il file viene caricato nel Wizard. I contenuti del file vengono visualizzati nella sezione sinistra del Wizard, nella Lista di IEDs, in una struttura ad albero.
  • Durante il processo di caricamento, viene eseguita anche un´analisi dei contenuti del file. I contenuti non supportati verranno visualizzati nella finestra di anteprima.

Parametri

Descrizione

File name

Visualizzazione del file SCL selezionato.

Se si seleziona un file, il percorso completo viene visualizzato nel campo di visualizzazione. Quest´ultimo non può essere popolato in modo attivo.

Default: vuoto

Quando si apre di nuovo il Wizard, viene preselezionato il file scelto per ultimo.

Nota: se il Wizard è stato già lanciato e il file selezionato in quel caso non esiste più, ci sarà un ritardo quando il Wizard sarà aperto di nuovo, oppure quando sarà selezionato di nuovo un file cliccando sul pulsante ....

Questo può succedere se il file in questione si trova su un computer della rete che non è più disponibile al momento.

Configuration

La visualizzazione si articola nelle seguenti sezioni:

  • Colonna a sinistra, con contenuti del file SCL selezionato. I contenuti vengono visualizzati in una struttura ad albero.
  • Pulsanti al centro, che corrispondono alla funzionalità Drag&Drop disponibile.
  • Pulsanti per la gestione delle configurazioni del driver.
  • Colonna a destra, con i contenuti dell´esistente configurazione del driver IEC850 del progetto corrente di zenon. I contenuti vengono visualizzati in una struttura ad albero.

Wizard - Suddivisione delle aree

Parametri

Descrizione

Liste di IEDs
[Contenuti file]

Nella colonna a sinistra vengono visualizzati in una struttura ad albero i contenuti del file SCL assegnato.

I contenuti già assegnati vengono visualizzati in color grigio.

Cliccando su [+] si espande la visuale.
Struttura nodi:

  • [Server IP-Adresse]_[IED-Name]
  • Reports
  • [RCB-Name]_[Dataset-Name]
  • [ClientLN.iedName]

Lista di driver
[Contenuti del progetto]

Nella colonna a destra vengono visualizzati tutti i driver IEC850 creati nel progetto e nel Wizard, con i loro collegamenti. I driver possono essere aggiunti o cancellati direttamente nel Wizard tramite il menù contestuale. I collegamenti vengono assegnati via Drag&Drop e possono essere cancellati usando il menù contestuale.

Default: Configurazione del driver IEC850 nell`Editor di zenon. Vuoto se in zenon non è stato ancora creato un driver IEC850.

Nota: nuove connessioni possono essere aggiunte a driver già impostati in zenon. Connessioni o driver già esistenti In zenon non possono essere cancellati.

Le impostazioni che non possono essere modificate mediante il Wizard sono visualizzate in color grigio.

Finestra di emissione

Testi dei LOG, testi di informazione e testi di stato per ilIEC850 driver configuration Wizard.

Pulsanti per la gestione delle configurazioni del driver.

Parametri

Descrizione

New Driver

Crea un nuovo driver.

Import Quality

Importa il modello per la matrice di reazione quality 850. Si può collegare questa matrice di reazione a variabili che corrispondono agli attributi dati */q[ST|MX].
Un file modello preconfigurato è fornito con il prodotto.

Percorso di salvataggio C:\ProgramData\COPA-DATA\zenon750\Templates\EnergyWizard\IEC_61850_Quality.XML

Nota: questo modello viene caricato in modo implicito nella finestra di dialogo Variables in Dataset.

Create Supervision Variable

Crea una variabile di monitoraggio della connessione nel progetto attuale di zenon.

Per questa variabile viene creata e collegata automaticamente una matrice di reazione.

Ulteriori informazioni su questo tema si trovano nella guida dedicata al Trend esteso, nel capitolo Differenze di visualizzazione dei metodi di dislocamento. Connection State-Variable.

Percorso di salvataggio C:\ProgramData\COPA-DATA\zenon750\Templates\EnergyWizard\IEC_61850_Quality.XML

Attenzione: se il driver non esiste ancora nel progetto attuale, non sarà possibile creare la variabile di monitoraggio della connessione. Questo si verifica soprattutto quando un driver è stato già creato nel Wizard, ma non è stato ancora acquisito nella configurazione usando il pulsante Apply.

New Connection

Crea una nuova connessione con il server nella configurazione driver e apre la finestra di dialogo New connection per configurare la connessione stessa.

Ulteriori informazioni si trovano nel capitolo Gestisci connessione.

Nota: Disponibile solo se è stato selezionato un driver.

Import Variables

Apre la finestra di dialogo Variables in Dataset per creare le variabili presenti nel daset dei RCBs selezionati.

Queste variabili vengono create nel progetto attuale di zenon.

Gruppo pulsanti centrale

L´attribuzione di connessioni non avviene solamente via Drag&Drop, ma può essere effettuato anche mediante dei pulsanti. Usando i pulsanti, si possono acquisire nei parametri di configurazione del driver dei contenuti del file caricato. Nel corso di questo processo, il sistema tiene conto di quali contenuti sono stati già acquisiti. In questo modo si evita che uno stesso contenuto venga acquisito due volte.

Parametri

Descrizione

IEDs

Pulsanti per acquisire IED con le connessioni (Connections) e i report in essi contenuti in nuovi driver.

>

Accetta solamente IED selezionati nella configurazione del driver.

Nel corso di questo processo, viene creato un nuovo driver con la connessione all´IED selezionato.

>>

Accetta tutti gli IED disponibili come nuovi driver nella configurazione driver.

Connections

Pulsanti per acquisire IED con le connessioni (Connections) e i report in essi contenuti in driver esistenti.

I pulsanti di questa sezione sono abilitati solamente se nella lista dei driver è selezionato un driver. Questi pulsanti non sono a disposizione anche quando nel driver c´è un sottonodo selezionato.

>

Crea una connessione all´IED nel driver esistente.

>>

Accetta tutti gli IED disponibili come connessioni nel driver esistente.

Reports

Pulsante per accettare RCB in una connessione esistente.

I pulsanti di questa sezione sono abilitati solamente se nella lista dei driver è selezionata una Connection.

>

Accetta i RCB selezionati nella configurazione del driver.

>

Accetta tutti i RCB dell´IED nella configurazione del driver.

Chiudi finestra di dialogo

Parametri

Descrizione

Apply

Accetta le impostazioni. La finestra di dialogo rimane aperta ed è possibile eseguire altre configurazioni.

Nota: attivo solamente se nel Wizard ci sono delle modifiche della configurazione che non sono state ancora salvate.

OK

Accetta le impostazioni e chiude il dialogo.

Cancel

Annulla tutte le modifiche e chiude la finestra di dialogo.

Prima della chiusura del Wizard, viene visualizzata una finestra di dialogo contenente una richiesta di conferma.

Richiesta di conferma quando si clicca su Camcel

Parametri | Descrizione
Ok | Il Wizard viene chiuso. Le modifiche non salvate andranno perdute.
Annulla | Cancella la chiusura del Wizard.


Menù contestuale

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC850 Driver Configuration Wizard -> Menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esistono diverse versioni del menù contestuale. Il contenuto del menù contestuale dipende dalla posizione del nodo per il quale viene usato.

Menù contestuale

Parametri

Descrizione

Create all connections

Crea più driver IEC850 nuovi. Per ogni IED viene creato un nuovo driver.

Nuovi inserimenti corrispondenti vengono creati nella lista dei driver.

Nome driver: Il driver viene creato con il nome dell´IED.

Ulteriori informazioni si trovano nel capitolo Gestisci driver.

New Driver

Crea un nuovo driver IEC850.
Un nuovo inserimento viene creato nella lista dei driver.

Nome driver standard: Edit (deve essere modificato)

Ulteriori informazioni si trovano nel capitolo Gestisci driver.

Rema Supervision

Crea una variabile di monitoraggio della connessione e la collega alla matrice di reazione.

New Connection...

A seconda della posizione nella struttura ad albero, viene aggiunta una nuova connessione o un nuovo host:

  • Driver
    Crea una nuova connessione con il server nella configurazione driver e apre la finestra di dialogo New connection per configurare la connessione stessa.
    Ulteriori informazioni si trovano nel capitolo Gestisci connessione.
  • Connection oReport
    Crea un nuovo host nella configurazione driver e apre la finestra di dialogo New connection per configurare l´host.
    Ulteriori informazioni si trovano nel capitolo Gestisci host.

Edit

Apre il dialogo per la configurazione della connessione.. A seconda della posizione nella struttura ad albero, si possono modificare differenti configurazioni:

  • Driver
    • Impostazioni di collegamento
    • Impostazioni host
    • Impostazioni report
  • Connessione& nodo Report
    • Indirizzo di rete/bus
    • Indirizzo IP
    • Nome della connessione

    Ulteriori informazioni si trovano nel capitolo Gestisci connessione.

  • Host
    • Impostazioni host

    Ulteriori informazioni si trovano nel capitolo Gestisci host.

  • Report
    • Impostazioni report

    Ulteriori informazioni si trovano nel capitolo Gestisci assegnazioni report.

Delete

Cancella i nodi selezionati senza richiesta di conferma.

Create Variables...

Creazione selettiva di variabili.
Apre la finestra di dialogo Variables in Dataset.

Create all Variables

Creazione di nuove variabili

Le variabili per tutti gli inserimenti dei dataset dei RCB vengono create nell´Editor di zenon.

Expand all

Tutti i nodi vengono estesi.

Collapse all

Tutti i nodi vengono ridotti.

Noch in diesem Kapitel

Nodo - Inserimento nel menù contestuale


Nodo - Inserimento nel menù contestuale

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC850 Driver Configuration Wizard -> Menù contestuale -> Nodo - Inserimento nel menù contestuale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nodo - Inserimento nel menù contestuale

Gli inserimenti del menù contestuale dipendono dalla posizione in cui viene aperto il menù. In questo capitolo si offre una visione generale di quali inserimenti di menù contestuale sono disponibili per i diversi nodi.

Lista degli IED

  • Non esiste un menù contestuale per la lista degli IED.

Lista dei driver

  • Nessuna selezione
    Le seguenti voci di menù contestuale sono disponibili quando non è selezionato nessun nodo:
    • New Driver
    • Expand all
    • Collapse all
  • Driver
    Le seguenti voci di menù contestuale sono disponibili quando è selezionato il nodo di un driver:
    • Create all Connections
    • New Driver
    • Rema Supervision
    • New Connection...
    • Edit
      (Disponibile solamente se il nodo è stato creato direttamente nel Wizard e quest´ultimo non è stato riavviato. Al riavvio del Wizard, questo inserimento non è più disponibile per le progettazioni esistenti).
    • Delete
      (Disponibile solamente se il nodo è stato creato direttamente nel Wizard e quest´ultimo non è stato riavviato. Al riavvio del Wizard, questo inserimento non è più disponibile per le progettazioni esistenti).
    • Create Variables...
    • Create all Variables
    • Expand all
    • Collapse all
  • Verbindung (Connection)
    Le seguenti voci di menù contestuale sono disponibili quando è selezionato il nodo di una connessione:
    • New Driver
    • Rema Supervision
    • New Conncection...
    • Edit...
      (Disponibile solamente se il nodo è stato creato direttamente nel Wizard e quest´ultimo non è stato riavviato. Al riavvio del Wizard, questo inserimento non è più disponibile per le progettazioni esistenti).
    • Delete
    • Create Variables...
    • Create all Variables
    • Expand all
    • Collapse all
  • Nodo report
    Le seguenti voci di menù contestuale sono disponibili quando è selezionato il nodo report:
    • New Driver
    • Rema Supervision
    • New Connection...
    • Edit...
      (Disponibile solamente se il nodo è stato creato direttamente nel Wizard e quest´ultimo non è stato riavviato. Al riavvio del Wizard, questo inserimento non è più disponibile per le progettazioni esistenti).
    • Delete
    • Create Variables...
    • Create all Variables
    • Expand all
    • Collapse all
  • Host
    Le seguenti voci di menù contestuale sono disponibili quando è selezionato il nodo di un host:
    • New Driver
    • Edit...
    • Delete
    • Create Variables...
    • Create all Variables
    • Expand all
    • Collapse all
  • Report
    Le seguenti voci di menù contestuale sono disponibili quando è selezionato un report:
    • New Driver
    • Edit...
    • Delete
    • Create Variables...
    • Create all Variables...
    • Expand all
    • Collapse all


Lavorare con il Wizard

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC850 Driver Configuration Wizard -> Lavorare con il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I passaggi di questa configurazione vengono eseguiti nel Wizard usando il Drag&Drop e il menù contestuale.

Invece del Drag&Drop, si possono usare anche i pulsanti.

Noch in diesem Kapitel

Configurazione nel Wizard

Gestisci driver

Configuration

Gestisci host

Gestire assegnazioni report.

Finestra di dialogo - Variables in Dataset


Configurazione nel Wizard

Configurazione nel Wizard

Per configurare dei driver:

  1. Selezionare il file SCL desiderato.
    Per farlo, cliccare sul pulsante ... della voce File selection.
    I possibile file sono:
    • file SCD con la descrizione della sottostazione.
    • file ICD con la configurazione di singoli server IEC61850
    • Altri file: *.scl, *.cid, *.ssd

    Se il file selezionato non contiene tutti gli elementi richiesti, viene visualizzato un messaggio corrispondente nella finestra di emissione. Nel Wizard, la lista degli IED rimane vuota.

  2. Nella Lista dei driver, creare (se necessario) nuovi driver oppure host.
    Questo passaggio è facoltativo. Si può eseguire questa impostazione anche nella configurazione driver nell´Editor di zenon e poi riavviare il Wizard.
    Le modifiche effettuare nel Wizard verranno riprese nella progettazione Editor di zenon.
  3. Nella Liste di IED a sinistra, selezionare la connessione con il server desiderata.
    Trascinarla via Drag&Drop sul driver desiderato nella lista di destra.
  4. Nella Liste di IED a sinistra, selezionare i report desiderati.
    Evidenziare quei report che si vuole assegnare all´host di un driver.
    È possibile una selezione multipla.
  5. Trascinare i report scelti per Drag&Drop sul driver desiderato nella lista di destra.
    Quando si trascina la selezione su un host, questi report vengono accettati automaticamente nella lista del relativo host.
    Nota: l´assegnazione non sarà possibile se per una connessione non è stato creato ancora nessun host. Eseguire il passaggio nr. 2 e creare gli host corrispondenti usando il menù contestuale.

  6. Chiudere il Wizard cliccando sul pulsante OK.

Regole di assegnazione

Per quel che riguarda l´assegnazione dei report di un file ai driver di una configurazione di progetto in zenon vale quanto segue: ogni report di un file può essere assegnato ad un driver solo una volta in zenon.

Ogni report della Lista di IED, dunque, può essere assegnato solo una volta ad un host della Lista di driver. In caso di selezione multipla, i report già assegnati verranno ignorati quando si cerca di assegnarli di nuovo via Drag&Drop. Solo quelli non ancora usati verranno presi in considerazione e aggiunti al nuovo host.

Cancellare report

Per cancellare un report:

  1. Selezionare il report desiderato nel nodo dell´host cui questo è attribuito.
  2. Selezionare nel menù contestuale il comando Delete.
  3. L´attribuzione del report all´host viene rimossa.

Nota: in questo caso non è possibile una selezione multipla. È possibile selezione più report, ma ne verrà cancellato solo uno, quello selezionato per ultimo.

Accettare la configurazione driver nel progetto

Per accettare la nuova configurazione, cliccare sul pulsante OK oppure Apply.

  • Il sistema verifica la configurazione.
  • I nuovi driver vengono creati in zenon.
  • Le nuove connessioni vengono create in zenon.
  • Nella configurazione driver vengono create o aggiornate le configurazioni RCB.
  • Il risultato viene visualizzato nella finestra di emissione.

  • Cliccando sul pulsante OK si chiude il Wizard.


Gestisci driver

Gestisci driver

I driver IEC850 esistenti nel progetto attivo di zenon al momento dello start del Wizard, vengono visualizzati nel Wizard e possono essere configurati.

È possibile creare altri driver direttamente nel Wizard. I driver creati nel Wizard, ma non ancora trasferiti in un progetto di zenon premendo il pulsante Apply o OK, possono essere rimossi.

Aggiungere driver

Per aggiungere un driver:

  1. Selezionare nel menù contestuale della lista dei driver il comando New Driver.
  2. Il driver viene visualizzato nella lista con l´inserimento di default Edit.
    Questo inserimento rimane attivo finché non viene sostituito da una denominazione driver corretta.
  3. Assegnare un nome univoco.
    L´inserimento del nome driver viene analizzato dal sistema che verifica se è veramente univoco e se contiene caratteri validi. Se il driver esiste già o se nel suo nome ci sono dei caratteri non consentiti, si aprirà una finestra di dialogo di errore.
  4. Cliccando sul pulsante Apply oppure cliccando su OK al momento della chiusura del Wizard, il driver verrà creato in zenon.

Cancellare driver

È possibile cancellare nel Wizard solo quei driver che sono stati creati direttamente nel Wizard stesso.. I driver esistenti di una progettazione nell´Editor di zenon sono visualizzati in color grigio e il comando Delete non è disponibile.
Per cancellare un driver:

  1. Selezionare il driver desiderato nella Lista dei driver.
  2. Selezionare nel menù contestuale il comando Delete.
  3. Il driver viene cancellato senza che il sistema faccia una domanda di sicurezza.

Nota: possono essere cancellati solamente i driver che non sono stati ancora creati in zenon.

Wizard e l´Editor di zenon

Se si modifica il nome di un driver nel Wizard, verrà creato un nuovo driver quando si clicca sul pulsante Apply.

Example Esempio

Nel IEC850 Driver Configuration Wizard si crea un nuovo driver.

Quando si clicca sul pulsanteApply nel Wizard, questo nuovo driver viene accettato nell´Editor di zenon.

Questo drver viene poi cancellato nel Wizard usando il menù contestuale. .

Avendo cliccato sul pulsante Apply, però, la configurazione è stata applicata nell´Editor di zenon.

Questo significa che il driver creato e cancellato nel Wizard verrà visualizzato nella lista dei driver quando si riavvierà il Wizard.

Finestra di dialogo di errore in caso di nome driver usato due volte

Se il nome driver è già in uso nella progettazione di zenon, verrà visualizzata la seguente finestra di dialogo:

Finestra di dialogo di errore in caso di caratteri non validi nel nome driver

Se si usano dei caratteri non validi nel nome di un driver, verrà visualizzata la seguente finestra di dialogo:


Configuration

Configuration

La connessione indica con quale server il driver stabilisce una connessione. Un driver può avere una connessione con più server.

Le connessioni possono essere create nel Wizard usando il menù contestuale, oppure trascinando contenuti via Drag&Drop. Queste connessioni possono essere modificate solo se sono state create nel Wizard.

Le configurazioni già esistenti nel driver devono essere modificate direttamente nelle impostazioni driver dell´Editor di zenon.

Aggiungere una connessione via Drag&Drop

Per aggiungere una connessione a un driver via Drag&Drop:

  1. Selezionare con un clic del mouse la connessione desiderata nella Lista degli IED (a sinistra).
  2. Trascinare questa connessione via Drag&Drop nella Lista dei driver sul driver desiderato.
  3. Nella lista dei driver verrà creato un nuovo sottonodo per la connessione selezionata.
    1. La denominazione di questo sottonodo verrà ripresa dalla Lista degli IED:
      [Net address]_[IP address]_[Name]
    2. In questo sottonodo verrà creato un nuovo sottonodo Reports.
    3. In questo sottonodo verrà creato un nuovo sottonodo Host 0.

info Informazioni su

I report già assegnati nella lista IED non verranno accettati e assegnati nel corso di questo processo. Verrà creata solamente la connessione corrispondente con un host vuoto.

Aggiungere una connessione via menù contestuale

Per aggiungere una connessione manualmente usando il menù contestuale:

  1. Cliccare nella Lista dei driver sul driver desiderato per cui si vuole creare una nuova connessione.
  2. Selezionare nel menù contestuale del nodo del driver scelto il comando New Connection.
    Si aprirà la finestra di dialogo per la configurazione di una connessione.
  3. In questa finestra di dialogo si configura:
    1. Net address:
      Indirizzo di rete della connessione
    2. IP address:
      Indirizzo IP della connessione
    3. Name:
      Nome liberamente definibile della connessione. Viene usato per il nome delle variabili quando vengono importate delle variabili.
      Corrisponde alla proprietà Server name della configurazione driver.
  4. Confermare l´inserimento cliccando sul pulsante OK.
    La finestra di dialogo verrà chiusa. Nella lista dei driver verrà creato per il driver selezionato un nuovo sottonodo per la connessione selezionata.
    1. Denominazione di questo sottonodo:
      [Net address]_[IP address]_[Name]
    2. In questo sottonodo verrà creato un nuovo sottonodo Reports.
  5. Cliccando sul pulsante Apply oppure cliccando su OK al momento della chiusura del Wizard, il driver verrà accettato nella progettazione dell´Editor di zenon.

Disponibilità e comportamento di "Cancella connessione" e "Modifica connessione"

È possibile cancellare o modificare nel Wizard solo quelle connessioni che sono state create direttamente nel Wizard stesso. I driver esistenti di una progettazione nell´Editor di zenon sono visualizzati in color grigio e i comandi Delete/Edit non sono disponibili.

Le connessioni esistenti nell`Editor prima dell´avvio del Wizard non vengono cancellate!

I comandi per cancellare e modificare sono disponibili solamente se:

  1. La Connection viene creata direttamente nel Wizard:
    1. tramite il menù contestuale
    2. è stata ripresa via Drag&Drop.

Cancellare connessione

Per cancellare una connessione:

  1. Selezionare l´inserimento connessione desiderato nella Lista dei driver.
  2. Selezionare nel menù contestuale del nodo della connessione scelta il comando Delete.
  3. La connessione viene cancellata senza una richiesta di conferma
    Anche tutti gli host e i report già assegnati a questa connessione vengono cancellati senza una richiesta di conferma.
  4. Cliccando sul pulsante Apply oppure cliccando su OK al momento della chiusura del Wizard, il driver verrà accettato nella progettazione dell´Editor di zenon.

Quando si riavvia il Wizard, tutte le connessioni saranno visualizzate in color grigio perché sono già create nell´Editor.

Modifica connessione

Per modificare una connessione tramite menù contestuale:

  1. Cliccare nella Lista dei driver sulla connessione desiderata che si vuole modificare.
  2. Selezionare nel menù contestuale del nodo della connessione scelta il comando Edit....
    Si aprirà la finestra di dialogo per la configurazione di una connessione.
  3. In questa finestra di dialogo si configura:
    1. Net address:
      Indirizzo di rete della connessione
    2. IP address:
      Indirizzo IP della connessione
    3. Name:
      Nome liberamente definibile della connessione. Viene usato per il nome delle variabili quando vengono importate delle variabili.
      Corrisponde alla proprietà Server name della configurazione driver.
    4. Confermare l´inserimento cliccando sul pulsante OK.
      La finestra di dialogo verrà chiusa. Le modifich verranno accettate nel Wizard.
  4. Cliccando sul pulsante Apply oppure cliccando su OK al momento della chiusura del Wizard, il driver verrà accettato nella progettazione dell´Editor di zenon.

Noch in diesem Kapitel

Configuration


Configuration

Configuration

Non tutte le proprietà della finestra di dialogo sono disponibili per la configurazione della connessione con il server IEC61850. Le proprietà non abilitate sono visualizzate in color grigio. Le configurazioni errate vengono visualizzate con un simbolo (punto esclamativo in un cerchio rosso) accanto al campo di inserimento.

Connection settings

Parametri

Descrizione

Net address

Corrisponde alla proprietà Indirizzo di rete/bus della configurazione delle variabili.

Nota: se il Net address è stato già assegnato nella configurazione driver, viene assegnato automaticamente il numero successivo disponibile.

Valore massimo: 65535

IP address

Indirizzo IP del server con cui deve essere stabilita la connessione.

Name

Nome attribuibile liberamente. Viene usato per il nome delle variabili quando vengono importate delle variabili.

Si raccomanda di attribuire nomi brevi, ma univoci.
Se questo nome viene letto da un file SCL, consiste di IED+LDevice. Questo nome può essere accorciato a piacere con questa proprietà.

Navigazione

Parametri | Descrizione
OK | Accetta le impostazioni e chiude il Wizard.
Cancel | Annulla tutte le modifiche e chiude il Wizard.


Gestisci host

Gestisci host

Un host è il nome del computer su cui viene avviato il driver nel Runtime di zenon.

Esempio:

  • Nome computer del server primario
  • Nome computer del Server-Standby

Host possono essere creati nel Wizard con il menù contestuale, oppure trascinando contenuti via Drag&Drop. Tutti gli host possono essere creati, modificati e cancellati nel Wizard. Queste modifiche effettuate nel Wizard vengono accettate nella configurazione driver dell´Editor di zenon.

Aggiungere host - Drag&Drop

Quando si aggiunge via Drag&Drop una connessione della lista degli IED a quella dei driver, viene creato un host.

Quando si crea una connessione via Drag&Drop, viene creato un inserimento neutrale per un host. Questo host viene creato di default con il nome Host0 nella lista dei driver sotto il driver rispettivamente selezionato.

Aggiungere host - Menù contestuale

Per aggiungere un host con il menù contestuale:

  1. Cliccare nella Lista dei driver sul driver per cui si vuole creare un host.
  2. Espandere la struttura ad albero del driver finché non è possibile selezionare il livello Reports della connessione.
  3. Cliccare sul nodo Reports.
  4. Selezionare nel menù contestuale del nodo della connessione scelta il comando New Connection.
    Si aprirà la finestra di dialogo per la configurazione di un host.
  5. Configurare in questa finestra di dialogo il nome host:
    inserire il nome desiderato nel campo di inserimento Hostname (RT computer Name).
  6. Confermare l´inserimento cliccando sul pulsante OK.
    La finestra di dialogo verrà chiusa. Nella lista Lista dei driver verrà creato un nuovo sottonodo per l´host.
  7. Cliccando sul pulsante Apply oppure cliccando su OK momento della chiusura del Wizard, l´host verrà accettato nella progettazione dell´Editor zenon.

Cancellare host

Per cancellare un host:

  1. Selezionare l´host desiderato nella struttura ad albero della Lista dei driver.
  2. Se necessario, espandere la struttura ad albero del driver.
  3. Nel menù contestuale del nodo dell´host scelto, selezionare il comando Delete.
  4. L´host verra cancellato senza una richiesta di conferma.
    Verranno rimosse senza richiesta di conferma.anche tutte le assegnazioni report di questo host.
  5. Cliccando sul pulsante Apply oppure cliccando su OK al momento della chiusura del Wizard, il driver verrà accettato nella progettazione dell´Editor di zenon.

Modificare host

Per modificare un host utilizzando il menù contestuale:

  1. Cliccare nella Lista dei driver sul driver per cui si desidera modificare un host.
  2. Se necessario, espandere la struttura ad albero del driver.
  3. Nel menù contestuale del nodo dell´host prescelto, selezionare il comando Edit....
    Si aprirà la finestra di dialogo per la configurazione di un host.
  4. Modificare gli inserimenti esistenti nel campo di inserimenti Hostname (RT computer Name).
  5. Confermare l´inserimento cliccando sul pulsante OK.
    La finestra di dialogo verrà chiusa. Nella Lista dei driver, l´host verrà visualizzato con il nuovo nome nel sottonodo corrispondente.
  6. Cliccando sul pulsante Apply oppure cliccando su OK momento della chiusura del Wizard, l´host verrà accettato nella progettazione dell´Editor zenon.

Noch in diesem Kapitel

Gestisci host


Gestisci host

Gestisci host

Non tutte le proprietà della finestra di dialogo sono disponibili per la configurazione dell´host. Le proprietà non abilitate sono visualizzate in color grigio. Le configurazioni errate vengono visualizzate con un simbolo (punto esclamativo in un cerchio rosso) accanto al campo di inserimento.

Impostazioni dell´host

Parametri

Descrizione

Hostname (RT computer name)

Nome del computer su cui viene eseguito il driver che riceve i report.

  • Per i progetti standalone:
    Nome del computer su cui viene eseguito il Runtime di zenon.
  • Nella rete di zenon:
    Nome del computer del server o del Server-Standby del progetto.

Nota: non usare "localhost", ma il nome computer preso dal sistema operativo. .

L´Hostname non può essere vuoto se è stata configurata almeno una delle seguenti impostazioni.

Default: vuoto

Client IED name

Nome IED del client IEC61850 nella forma in cui è indicato nel file SCD alla voce RCB.RptEnabled.ClientLN.

Questo campo di inserimento serve alla sola visualizzazione di informazioni e non può essere modificato nel Wizard. Per questo motivo il Client IED name è sempre visualizzato in color grigio in questa finestra di dialogo..

Ulteriori informazioni relative al "Client IED name" si trovano nel capitolo "Assegnazioni report" di questa guida.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.


Gestire assegnazioni report.

Gestire assegnazioni report.

I report possono essere assegnati ad un host via Drag&Drop. Host RCBs possono essere assegnati nel Wizard. L´host - un driver IEC850 che è stato avviato su un determinato computer - riconosce così quali RCB deve utilizzare.

Si può eseguire l´assegnazione anche usando il gruppo di pulsanti che si trova nella parte centrale della finestra del Wizard.

I RCB trasferiti da un file SCL possono essere assegnati, modificati e cancellati. Queste modifiche effettuate nel Wizard vengono accettate nella configurazione driver dell´Editor di zenon. Non vengono scritte nel file SCL.

Aggiungi report - Drag&Drop

I report possono essere trasferiti via Drag&Drop dalla Lista degli IED di una connessione alla Lista dei driver!

  1. Per farlo, selezionare il RCB desiderato nella struttura ad albero della Lista degli IED.
    Se necessario, espandere la struttura ad albero delle connessioni.
    È possibile anche una selezione multipla.
  2. Tenere premuto il tasto del mouse e trascinare via Drag&Drop i report selezionati nella Lista dei driver sull´host desiderato del driver in questione.
    L´assegnazione di report ad un driver è possibile solo se esiste almeno un host.

Elimina report

Per assegnare un report ad un connessione:

  1. Selezionare il report desiderato nella struttura ad albero della Lista dei driver.
    Se necessario, espandere la struttura ad albero del driver.
    È possibile selezionare più inserimenti, ma viene modificato sempre solo quello che è stato selezionato per ultimo. Non è possibile modificare o cancellare più report contemporaneamente.
  2. Selezionare nel menù contestuale del nodo della connessione scelta il comando Delete.
  3. Il report viene cancellato senza una richiesta di conferma.
  4. Cliccando sul pulsante Apply oppure cliccando su OK momento della chiusura del Wizard, la configurazione driver verrà accettata nella progettazione dell´Editor zenon.

Modificare report

Per modificare la configurazione di un report utilizzando il menù contestuale:

  1. Cliccare nella Lista dei driver sul report per cui si vuole modificare la configurazione dell´assegnazione.
  2. Se necessario, espandere la struttura ad albero del driver.
  3. Nel menù contestuale del nodo del report prescelto, selezionare il comando Edit....
    Si aprirà la finestra di dialogo per la configurazione delle impostazioni del report.
  4. Modificare gli inserimenti esistenti nei campi di inserimenti Report settings.
  5. Confermare l´inserimento cliccando sul pulsante OK.
    La finestra di dialogo verrà chiusa.
  6. Cliccando sul pulsanteApply oppure cliccando su OK al momento della chiusura del Wizard, la configurazione driver verrà accettata nella progettazione dell´Editor zenon.

Client IED Name - Denominazione host

Se nel file SCL è stata configurata un´istanza del RCB per unClient IED name, la denominazione host nella Lista dei driver viene estesa in modo corrispondente. Questo Client IED name non può essere modificato nel Wizard. Il Client IED name viene visualizzato fra due parentesi accanto al nome dell´host. Non è possibile configurare questo nome nel Wizard.

[Nome Host] (Nome del Client IED come configurato nel file SCL)

Example Esempio

Esempio di configurazione del Client IED name in un file SCL:

<RptEnabled max="4">

<ClientLN iedName="SCADA_Standby_CLIENT" ldInst="LD0" lnClass="ITCI" lnInst="1"/>

</RptEnabled>

Come previsto dalla Edition 2 dello standard, il client con il ClientLN name corrispondente è obbligato a utilizzare l´istanza del RCB se è definito così nel file SCL. I RCB di altri client devono essere evitati.

Non appena un report è stato assegnato ad un host con un ClientLN, l´host assume questo ClientLN name. A partire da questo momento, è possibile assegnare a questo host solamente report senza ClientLN, oppure con lo stesso ClientLN.

Noch in diesem Kapitel

Finestra di dialogo - Gestisci report

Attributi RCB


Finestra di dialogo - Gestisci report

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC850 Driver Configuration Wizard -> Lavorare con il Wizard -> Gestire assegnazioni report. -> Finestra di dialogo - Gestisci report

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Finestra di dialogo - Gestisci report

Non tutte le proprietà della finestra di dialogo sono disponibili per la configurazione dei report Le proprietà non abilitate sono visualizzate in color grigio.

Report Settings

L´aspetto della proprietà Use preconfigured (SCL) options dipende dai contenuti del file SCL. Ulteriori informazioni al proposito si trovano nel capitolo Attributi degli RCB.

Parametri

Descrizione

Use preconfigured (SCL) options

Attivo:

Il driver attiva un report senza sovrascrivere gli attributi dati del Il report è definito sulla base dei contenuti del file SCL del server. I seguenti attributi dati sono interessati:

  • IntgPd
  • BufTime
  • TrgOps
  • OptFields

Inattivo:

Il driver scrive gli attributi dati del RCB durante l´attivazione.

Trigger options

Potete attivare/disattivare le seguenti opzioni di attivazione indipendentemente l´una dall´altra:

  • TrgOp: data-change
  • TrgOp: quality-change
  • TrgOp: data-update
  • TrgOp: integrity
  • TrgOp: general-interrogation

Nota: non tutti i server supportano le TrgOps data-change e data-update contemporaneamente. Anche la TrgOp intergity può causare un sovraccarico inutile della comunicazione se è stato definito nel server per RCB un IntgPd (Integrity Period) troppo breve. In caso di dubbio, settare TrgOps: data-change + quality-change + general-interrogation.

Nota: non attivo se è stato attivato il parametro Use preconfigured (SCL) options.

Optional fields

Gli Optional Fields vengono scritti sul server quando si attiva un report. Questi corrispondono ai bit nell´attributo dati OptFlds del RCB.

Si raccomanda di attivare"Sequence number", "Data set name", "Reason for inclusion" e"Entry ID".

"Data set name" deve essere attivo, perché senza questa impostazione il driver non può analizzare i report ricevuti.

Nota: non attivo se è stato attivato il parametro Use preconfigured (SCL) options.

Time options

Parametri | Descrizione
Integrity period | Intervallo di tempo (IntgPd) in millisecondi in cui il server invia un Integrity Report. Nota: non attivo se TrgOp integrity è disattivata, oppure Use preconfigured (SCL) options è attiva. Visto che un Integrity Report normalmente non contiene nessuna modifica di valore, si raccomanda vivamente di attivare sul server solamente un report con TrgOp: integrity. Con un Integrity Report attivato, il server è in grado di rilevare più velocemente un errore di connessione. Tuttavia, zenon non ha bisogno di questo report. Nota: non attivo se è stato attivato il parametro Use preconfigured (SCL) options.
Buffer time | Intervallo di tempo (BufTime) in millisecondi in cui il server raccoglie i dati per un report. Nota: non attivo se è stato attivato il parametro Use preconfigured (SCL) options.
info Informazioni su
Una descrizione più dettagliata delle Trigger options si trova nella Documentazione driver IEC850, nel capitolo statically assigned RCB.


Attributi RCB

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC850 Driver Configuration Wizard -> Lavorare con il Wizard -> Gestire assegnazioni report. -> Attributi RCB

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Attributi RCB

Le proprietà RCB del file SCL vengono trasferite nella configurazione driver via Drag&Drop.
Nel corso di questo processo, il Wizard analizza la sezione "IED.Services.ReportSettings" del file SCL e verifica se esistono le seguenti opzioni:

  • optFields („Optional Fields")
  • bufTime („Buffer Time")
  • trgOps („Trigger options")
  • intgPd („Integrity period")

Si verifica anche se queste opzioni sono definite come dinamiche ("Dyn").

Se queste opzioni non sono definite nel file SCL, viene ripresa la definizione "fix" ("Fix").

Tutti gli attributi RCB sono dinamici

Se tutte le opzioni corrispondenti sono dinamiche ("Dyn"), la finestra di dialogo ha il seguente aspetto:

In questo caso, la proprietà "Use preconfigured (SCL) options" non è attiva.
Il testo della nota sottostante informa di questa cosa.

Attributi RCB non dinamici

Se le opzioni sono non solo "Dyn", ma anche "Fix" o "Conf", la finestra di dialogo ha il seguente aspetto:

In questo caso, la proprietà "Use preconfigured (SCL) options" è attiva e gli attributi RCB (Trigger options, Optional fields, Time options) non sono modificabili.
Il testo della nota sottostante fornisce informazioni su quali attributi RCB un client non deve sovrascrivere mentre attiva il report sul server.


Finestra di dialogo - Variables in Dataset

Manuale -> Wizard -> Temi -> Settore dell`energia. -> IEC850 Driver Configuration Wizard -> Lavorare con il Wizard -> Finestra di dialogo - Variables in Dataset

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Finestra di dialogo - Variables in Dataset

Questa finestra di dialogo visualizza contenuti del dataset selezionato. I dataset selezionati sono quelli presenti nei RCB che sono stati assegnati al driver nel Wizard.

Questi contenuti possono essere filtrati e preselezionati.

Variabili per l´attuale progetto di zenon possono essere create sulla base di questa preselezione.

Filtro preliminare di variabili

Tutti i contenuti del dataset selezionato sono visualizzati nella finestra di anteprima in alto.

Se si clicca sui pulsanti, viene eseguito un filtro preliminare di quelle variabili che vengono trasferite nella Lista delle variabili da creare cliccando sui pulsanti add oppure add all. Non è possibile una combinazione di checkbox e del campo di inserimento.

Parametri

Descrizione

Functional Constraints (FC)

I contenuti del report vengono sottoposti ad un filtro preliminare sulla base dei Functional Constraints selezionati e visualizzati nella finestra di anteprima.

Il filtro preliminare viene attivato cliccando nella checkbox corrispondente. È possibile una selezione multipla.

Quality Variables

Checkbox per il filtro preliminare delle variabili Quality che corrispondono all´attributo dati */q[ST|MX].

Se questa checkbox è attiva, nella finestra di anteprima verranno visualizzate solamente le variabili Quality.

È possibile una combinazione con Functional Constraints (FC).

Variable Search

Campo di inserimento per testo filtro Nella finestra di anteprima in alto vengono visualizzate solamente variabili contenenti il testo digitato nel campo di inserimento.

Il filtro preliminare viene aggiornato in tempo reale già durante l´inserimento.

Pulsanti di azione

Parametri | Descrizione
Create | Nel progetto attuale di zenon vengono create delle variabili per gli inserimenti selezionati. Poi viene chiusa la finestra di dialogo.
Select all | Questo pulsante non ha nessuna funzione e non è utilizzato nella versione attuale del Wizard.
Cancel | Ignora tutte le modifiche e chiude la finestra di dialogo.

Finestra di anteprima - Lista delle variabili da creare

Nella parte bassa di questa sezione viene visualizzata un´anteprima di quei contenuti del dataset selezionato per cui vengono create variabili nel progetto attuale di zenon cliccando sul pulsante Create.

I contenuti possono essere accettati o rimossi dal filtro preliminare cliccando sui pulsanti.

Parametri | Descrizione
add | L´inserimento selezionato viene aggiunto alla Lista delle variabili da creare.
add all | Tutti gli inserimenti offerti (pre-filtrati) vengono aggiunti alla Lista delle variabili da creare.
remove | L´inserimento selezionato viene rimosso alla Lista delle variabili da creare.
remove all | Tutti gli inserimenti della Lista delle variabili da creare vengono rimossi.
Quality-REMA | Collegamento delle variabili ad una matrice di reazione Se attivata, la matrice di reazione Quality viene collegata a quelle variabili che corrispondono all´attributo dati */q[ST|MX].


Esportazione/Importazione

Manuale -> Wizard -> Temi -> Esportazione/Importazione

Wizard per l´export e l´import di dati.

Noch in diesem Kapitel

FactoryLink Import Wizard

PDiag Import Wizard

WinCC Import Wizard

XML Export Wizard VSTA

XML Import Wizard


FactoryLink Import Wizard

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> FactoryLink Import Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il FactoryLink Import Wizard importa progetti FaktoryLink- in una progettazione di zenon.

In questo processo vengono supportate i seguenti componenti FactoryLink:

  • Variabili
  • File grafici (*.bmp, *.png, *.gif, ecc.)
  • Templates (inclusi elementi standard)
  • Mimics (inclusi elementi standard)

info Informazioni su

L´attuale FactoryLink Import Wizard è stato realizzato per zenon 7.50 usando VSTA per FactoryLink 7.5. Questo Wizard sostituisce il precedente VBA FactoryLink Wizard.

Noch in diesem Kapitel

Installare e aprire il Wizard

Progetto multiutente

Preparazione per l´esportazione dei dati di progetto da FactoryLink

Importazione progetto

Lista degli oggetti importabili


Installare e aprire il Wizard

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> FactoryLink Import Wizard -> Installare e aprire il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il FactoryLink Import Wizard viene installato automaticamente durante l´installazione standard di zenon.

Visualizzazione del Wizard nell´Editor di zenon

Per far sì che i wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nello zenon6.ini:

[VBA]

EIN=1

VSTA

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Aprire Wizard

Per aprire il Wizard, procedere nel modo seguente:

  1. Aprire l´Editor di zenon
  2. Cliccare su File nella barra degli strumenti.
  3. Cliccare su Wizard.

    Nota: si può aprire la finestra di selezione contente i Wizard e i tool disponibili anche usando la combinazione di tasti Alt+F12.

  4. Si aprirà la finestra di selezione in cui sono visualizzati i Wizard disponibili.

  5. Selezionare la cartella Export/Import.
  6. Cliccare qui su FactoryLink Import Wizard.
  7. Cliccare su OK.
  8. Il Wizard si avvia con la finestra iniziale.

info Informazioni su

Il FactoryLink Import Wizard è disponibile solo in lingua inglese.


Progetto multiutente

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> FactoryLink Import Wizard -> Progetto multiutente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo l´avvio del FactoryLink Import Wizard, il sistema analizza il progetto attuale. Se si tratta di un progetto multiutente, verrà visualizzato un dialogo di avvertimento.

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

I pulsanti vengono visualizzati nella lingua di sistema del computer.

Assicurarsi che questi requisiti siano soddisfatti prima di proseguire nell´esecuzione del Wizard.

Parametri | Descrizione
Ok | Conferma il dialogo di avvertimento e avvia il Wizard con la Finestra iniziale Welcome.
Annulla | Chiude il Wizard senza una richiesta di conferma.

Requisiti

Si prega di tenere presente il fatto che, per un progetto multiutente, l´impostazione Rendi possibili le modifiche è attiva per i seguenti nodi dell´Editor di zenon:

  • Variabili
  • Immagini
  • Modelli

attention Attenzione

Se l´impostazione "Rendi possibili le modifiche" non è attiva, l´importazione non riuscirà.


Preparazione per l´esportazione dei dati di progetto da FactoryLink

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> FactoryLink Import Wizard -> Preparazione per l´esportazione dei dati di progetto da FactoryLink

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´export di dati di progetto di FactoryLink deve avvenire nel programmaFactoryLink tramite il menù Display - Library Converter dell´applicazione ClientBuilder. Qui devono essere selezionate le "libraries" necessarie e tutti i contenuti del progetto da convertire.

Inoltre si deve garantire l´accesso alle bitmap usate nel progetto. Tutti i file devono rimanere nella struttura cartelle prevista e creata da FactoryLink .

Import di immagini e mimic da FactoryLink

attention Attenzione

Deve assolutamente essere selezionato ASCII come formato di destinazione delle immagini (Mimics).


Importazione progetto

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> FactoryLink Import Wizard -> Importazione progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Noch in diesem Kapitel

Welcome

Importazione

Finestra di emissione

Import


Welcome

Welcome

Quando si apre il Wizard, verrà visualizzata una pagina di informazioni generali che contiene un riassunto delle sue funzionalità.

Navigazione

La navigazione all´interno del Wizard avviene cliccando sulle singole schede, oppure passo per passo cliccando sui tasti con frecce.

Cliccando sul comando Close il Wizard viene chiuso senza una richiesta di conferma. Le cartelle e i file creati in precedenza non vengono salvati.


Importazione

Importazione

Nella scheda Import si selezionano i file e le cartelle della progettazione FactoryLink.

I nomi fra parentesi corrispondono ai nomi dei file e delle cartelle di una progettazione FactoryLink standard. Cliccando sul pulsante "..." corrispondente, si apre una finestra di dialogo di selezione file.

Nota: non è obbligatorio selezionare tutte le cartelle e tutti i file.

Parametri

Descrizione

Language definitions (MLANG.DAT)

File contenente le informazioni relative alla lingua della progettazione FactoryLink.

L´indicazione di questo file è facoltativa per i contenuti multi-lingua di una progettazione FactoryLink.

Dopo che questo file è stato selezionato, si possono scegliere le lingue a disposizione nel menù a tendina Language for Import.

Un primo risultato dell´analisi viene visualizzato nella finestra di emissione dopo la selezione del file:

n languages found in the language file.

Default: vuoto

FactoryLink Standard:

\FactoryLinkProjektName\Config Files\MLANG.DAT

(da FactoryLink Client Builder)

Variables (object.asc)

File per la definizione della(e) variabile(i).

Qui si selezionano le singole variabili. Il file object.asc contiene la definizione delle variabili utilizzate.

Default: vuoto

FactoryLink Standard:

\FactoryLinkProjektName\Variables\asc\object.asc

(da FactoryLink Configuration Server - OPC Server Export)

Graphics (Bitmap Files)

Selezione della cartella per le grafiche utilizzate.

Default: vuoto

FactoryLink Standard:

\FactoryLinkProjektName\Bitmap Files

(da FactoryLink Client Builder)

Templates (Templates Files)

Default: vuoto

FactoryLink Standard:

\FactoryLinkProjektName\Template Files

(da FactoryLink Client Builder)

Mimics (Mimic Files)

Default: vuoto

FactoryLink Standard:

\FactoryLinkProjektName\Mimic Files

(da FactoryLink Client Builder)

Import

Parametri

Descrizione

Language for import

Menù a tendina con le lingue a disposizione.

Il menù a tendina visualizza le lingue disponibili come definito nella proprietà Language definitions (MLANG.DAT). Il menù a tendina è vuoto se non è stato selezionato nessun file MLANG.dat.

Il numero delle lingue letto dal file non deve corrispondere necessariamente a quello disponibile nei Mimics/Templates per elementi di testo. Se la lingua scelta non è disponibile per elementi in un Mimic/Template, non sarà possibile importare quest´ultimo.

Default:

  • (vuoto)

    Se non è indicato nessun file MLANG.DAT.

  • DEFAULT

    Lingua (e)

    Se è indicato un file MLANG.DAT.

Nota: se non si seleziona nessun file di definizione lingua, oppure se si sceglie il valore "DEFAULT", le informazioni di testo multi-lingua non verranno prese in considerazione quando viene eseguita l´importazione.

Import

Avvia l´importazione dei dati dai file e dalle cartelle configurate.

Non attivo se si è indicato almeno un file oppure una cartella .asc.

Finestra di emissione

Nella finestra di emissione vengono visualizzati i risultati dell´analisi, gli errori e i passaggi dell´importazione.


Finestra di emissione

Finestra di emissione

Nella finestra di emissione vengono elencate le singole azioni eseguite dal Wizard.

Si può ordinare la lista cliccando sull´intestazione della colonna in questione. Cliccando una seconda volta si inverte la direzione dell´ordinamento.

Parametri

Descrizione

Simbolo azione

Simbolo grafico dell´azione:

Timestamp

Time stamp dell´azione eseguita dal Wizard.
Formato: GG.MM.AAAA hh:mm:ss

Source

Identificatore o origine dell´azione eseguita:

  • Import:
    :Descrizione dettagöliata dei singoli passaggi, per es.:
    • Adding file for import:
    • Starting the import of the Templates.
  • Screen creation:
    Passaggi dell´importazione di immagini di zenon.
  • Element creation:

    Note nella creazione di un elemento, per es.:

    • An Element with the name [Nome elemento] already exists in the screen [Nome immagine]
  • Graphics import:
    Ricerca all´interno della progettazione.
  • Languages:
    Analisi della definizione lingua (Language definitions)

Message

Descrizione breve dell´azione eseguita.

Simboli grafici

Parametri | Descrizione
 | Informazioni generali relative al passaggio attualmente eseguito dal Wizard.
 | Azione portata a termine con successo.
 | Simbolo di errore
 | Simbolo di avvertimento


Import

Import

Si prega di tenere presenti i seguenti punti in zenon quando si esegue un Wizard:

  • Per l´importazione di una progettazioneFactoryLink si raccomanda di creare nell´Editor un progetto nuovo, vuoto di zenon. In questo modo si eviterà già prima dell´importazione il problema di nomi di immagini e modelli presenti due volte.
  • Durante l´importazione non vengono sovrascritte le progettazione già esistenti nell´Editor di zenon! Se una progettazione esiste già, verrà visualizzato un inserimento corrispondente nella finestra di emissione.
  • Durante l´import, le variabili vengono mappate automaticamente sul driver interno del progetto di zenon.
    • In questo modo, prima si possono assegnare i tipi di dato a quelli disponibili del driver reale via selezione multipla.
    • Poi si può assegnare il driver reale alle variabili importate.
  • Se le variabili vengono rinominate nell´Editor di zenon, queste verranno di nuovo importate con il nome originale quando il Wizard verrà riavviato. .

attention Attenzione

Non vengono creati simboli di zenon.

Templates e Mimics:

I Templates in FactoryLink non devono essere confusi con i modelli di zenon. I FactoryLink Templates, infatti, corrispondono ai templates per immagini in zenon. Il FactoryLink Import Wizard tratta i Templates e i Mimics nello stesso modo, e crea partendo da essi immagini e modelli (inclusi elementi standard) per la progettazione di zenon.

In questo processo vengono supportati i seguenti elementi:

  • Elemento di testo
  • Ellisse/Cerchio
  • Rettangolo
    (inclusi arrotondamenti)
  • Linea
  • Poligono
  • Bitmap
    (diventa un pulsate con grafica)


Lista degli oggetti importabili

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> FactoryLink Import Wizard -> Lista degli oggetti importabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´importazione da progetti FactoryLink supporta i seguenti oggetti:

  • Variabili
    • Nome
    • identificazione
    • Tipo di dato
  • Driver
    • Sempre interno - driver interno
  • Import e creazione di FactoryLink Templates e Mimics.
  • Import e creazione di elementi immagine statici:
    • Elemento di testo
    • Ellisse/Cerchio
    • Rettangolo
      (inclusi arrotondamenti)
    • Linea
    • Poligono
    • Bitmap
      (diventa un pulsate con grafica)
  • Import di testi MultiLang da elementi di testo (per elementi statici)


PDiag Import Wizard

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> PDiag Import Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo zenon PDiag Import Wizard supporta l´import di messaggi PDiag. Questo wizard può servire anche come modello per estensioni individuali in questo contesto.

Il PDiag Import Wizard è disponibile solo in lingua inglese.

attention Attenzione

Questo Wizard non supporta la progettazione distribuita e non è utilizzabile nei progetti multiutente.

Noch in diesem Kapitel

Requisiti

Impostazioni

Import di messaggi


Requisiti

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> PDiag Import Wizard -> Requisiti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Wizard importa un file XML esportato dal moduloSimatic Prozess Diagnose (PDiag). Questo processo di export può essere eseguito nel Simatic Manager/process diagnosis usando il punto di menù Diagnosi di processo | Export .

Il file XML creato in questo modo viene importato in zenon con il wizard. In questo processo di import, le variabili basate sul driver S7-TCP vengono create con il tipo di oggetto de Alarm-S. Ogni messaggio e ogni valore di accompagnamento corrispondono a una variabile di zenon.

Vengono importate solo variabili UINT come valore di accompagnamento. Nel corso di questa importazione, il sistema analizza il testo del messaggio alla ricerca degli identificatori Simatic PDiag "@1X%2d@", "@1X%3d@" e "@1X%4d@" e lo adatta a zenon. E´ possibile usare anche la tabella lingua per i testi dinamici. I testi al di fuori del Wizard devono essere trasferiti nella tabella lingua di zenon.

Questo Wizard importa anche i messaggi S7-Graph generati automaticamente da PDiag e che, perciò, sono contenute nel file XML.


Impostazioni

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> PDiag Import Wizard -> Impostazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avviare il Wizard:

  1. Selezionare dal menù File il comando Wizard....

    Alternativa: Usare la combinazione di tasti Alt+F12

  2. Si apre la finestra di dialogo per la selezione dei Wizard disponibili in zenon
  3. Aprire il nodo Export/Import
  4. Selezionare PDIAG Wizard

Il Wizard ha le seguenti schede:

  • Welcome
  • Settings
  • Finish

Usando queste schede si esegue l´import del file XML.

Noch in diesem Kapitel

Welcome

Settings

Finish


Welcome

Welcome

La cartella Welcome contiene una breve spiegazione relativa al funzionamento e ai requisiti del Wizard.

Per passare alla scheda Settings, cliccare sulla voce di menù Settings (in alto a sinistra), oppure sulla freccia che si trova in basso a sinistra.


Settings

Settings

Nella scheda Settings si eseguono le impostazioni per l´import.

Impostazione

Descrizione

Driver

Selezione del driver S7-TCP dal progetto attivo per il quale deve essere eseguita l´operazione di import.

PDIAG XML File

Selezione del file XML che deve essere importato.

Identification

Inserimento facoltativo per l´identificazione della variabile. Questo inserimento può essere utilizzato come criterio per filtrare la lista delle variabili.

Net Adress

Definisce l´indirizzo di rete per l´indirizzamento della variabile di zenon. Si prega di consultare la documentazione del driver per sapere qual è l´indirizzo di rete valido.

Alarm Group

Definisce il gruppo allarmi/eventi delle segnalazioni importate.

Attenzione: Il wizard non crea autonomamente nessun gruppo allarmi/eventi in zenon. Bisogna dunque creali manualmente prima di eseguire l´import.

In IPA

Attivo: setta la proprietà Salva nel database IPA per le variabili. In questo modo i messaggi verranno trasmessi all´Industrial Performance Analyzer.

use Identification also as prefix for variable

Attivo: l´identificazione della variabile indicata nel Wizard viene usata come prefisso per il nome variabile delle variabili di allarme. Quest´opzione rende possibile l´assegnazione di nomi variabili univoci in progetti con più driver.

Get Alarm Class

Attivo: la priorità messaggio impostata nel Simatic Manager viene interpretata come una classe allarmi/eventi di zenon.

Attenzione: il Wizard non crea autonomamente nessuna classe allarmi/eventi in zenon. Bisogna dunque crearle manualmente prima di eseguire l´import.

Cliccando su Finish si avvia l´import. Questo pulsante è abilitato solamente nella scheda Finish. Cliccate sulla voce Finish del menù che si trova nella parte sinistra della finestra del Wizard, oppure sulla freccia in basso a sinistra.


Finish

Finish

Per avviare l´import, cliccare sul pulsante Finish.


Import di messaggi

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> PDiag Import Wizard -> Import di messaggi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Durante l´import vengono visualizzate delle note:

Dopo la conclusione dell´import, viene visualizzata un´informazione relativa al numero delle variabili che sono state importate.

Messaggi importanti

Messaggio | Descrizione
message text too long | Il testo di allarme è troppo lungo e verrà ridotto alla lunghezza consentita in zenon.
creating attribute variable for dynamic limit text | Oltre alla variabile di messaggio, viene creata anche una variabile di valore di accompagnamento per il testo dinamico Valore limite.


WinCC Import Wizard

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> WinCC Import Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il WinCC Import Wizard importa parti selezionate di progetti WinCC nel progetto di zenon caricato al momento.

attention Attenzione

Questo Wizard non viene visualizzato per la selezione se nel file zenon6.ini, alla voce [VSTA], è settato l´inserimento CSHARP=1.

L´importazione dei dati di progetti WinCC viene eseguito tramite due programmi:

  • WinCC Graphics Converter: esporta immagini, modelli e simboli da WinCC in un file XML.
  • WinCC Import Wizard: importa
    • Blocchi dati (Structure TAG), TAG, allarmi e archivi direttamente
    • Immagini, modelli e simboli via file XML creati precedentemente con il WinCC Graphics Converter

Noch in diesem Kapitel

Installazione

WinCC Graphics Converter

WinCC Import Wizard


Installazione

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> WinCC Import Wizard -> Installazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter eseguire il WinCC Import Wizard, si deve in primo luogo installare tutte le componenti.

info Informazioni su

Attenzione: zenon NON dovrebbe essere intallato sullo stesso computer dove viene eseguito WinCC.

Installation WinCC Graphics Converter

Per poter accedere alle informazioni WinCC, si deve installare ilWinCC Graphics Converter localmente sul computer sul quale è attivo il progetto WinCC. Il setup si trova sul supporto di installazione zenon, nella cartella \AdditionalSoftware\COPA-DATA WinCC Graphics Converter.

Dopo l´installazione, alla voce Start - Tutti i programmi - COPA-DATA - WinCC Graphics Converter si trova il tool di conversione per diverse versioni di WinCC. Avviare sempre solo il tool per la versione che si intende utilizzare.

info Informazioni su

Un requisito per utilizzare il converter è che .NET Framework 3.5 sia installato. Quando si installa il convertitore, il sistema verifica se il Framework è installato. Se questo manca, l´installazione viene terminata. In questo caso, prima installare .NET Framework 3.5 e poi riavviare l´installazione del convertitore.

Installare il Wizard per zenon 7.0 e versioni più recenti

Il Wizard viene installato automaticamente con l`Editor di <CD_PRODUCTAME>. Non sono necessarie altre impostazioni separate. Potete avviare subito il Wizard nell´Editor di zenon, usando la voce File- Wizards... e il nodo Export/Import.

Installazione del Wizard per zenon 6.51

Visto che il Wizard non è una componente di 6.51 SP0, per la sua installazione si devono eseguire i seguenti passaggi:

  • Installare anzitutto almeno il Build 6 di zenon 6.51. Si può richiedere il Build 6 al distributore di COPA-DATA, oppure al supporto tecnico di COPA-DATA.
  • Installare il Wizard con il WinCC Graphics Converter. Questo Setup installa il WinCC Graphics Converter Tool e anche il Wizard, a patto che zenon 6.51 SP0 sia installato. Si può richiedere il Setup al distributore di COPA-DATA, oppure al supporto tecnico di COPA-DATA.
  • Dopo aver eseguito l´installazione, avviare l´Editor di zenon. Verrà visualizzata la finestra di dialogo per l´aggiornamento del Wizard. Quando si avvia l´aggiornamento, il Wizard viene aggiunto al workspace di VSTA.
    Se si vuole eseguire questo passo in un secondo momento, si può riaprire in qualsiasi momento questa finestra di dialogo nell´Editor di zenon usando il menù File -Aggiorna Wizard ... . .

  • Avviare l´Editor di VSTA nell`Editor di zenon usando il menù File - Apri Editor VSTA..., e selezionare nella finestra Project Explorer il nodo References. Nel menù contestuale, eseguire la voce Add Reference... per aggiungere due riferimenti mancanti:
    • MSDASC: nella finestra di dialogo Add Reference, passare alla scheda COM e aggiungere i componenti Microsoft OLE DB Service Component 1.0 Type Library al progetto.
    • ADODB: nella finestra di dialogo Add Reference passare alla scheda Browse. Passare alla cartella C:\Program Files (x86)\Microsoft.NET\Primary Interop Assemblies e selezionare il file adodb.dll.

Nota: questo screenshot è a disposizione solamente in lingua inglese.

  • Adesso si può selezionare nella finestra Project Explorer dell´Editor di VSTA il nodo WorkspaceAddin e compilare l´add-in usando il comando Build del menù contestuale.

Non appena il processo di compilazione si è concluso con successo, il Wizard è a disposizione nell´Editor di zenon alla voce File - Wizards..., nella sezione Export/Import.


WinCC Graphics Converter

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> WinCC Import Wizard -> WinCC Graphics Converter

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il WinCC Graphics Converter consente di selezionare immagini, modelli e simboli in progetti WinCC e di esportarli come file XML.

info Informazioni su

Al momento possono essere creati file XML con progetti WinCC della versione 7.0 e 7.0 SP1.

Noch in diesem Kapitel

Welcome

Select .pdl files

Select output folder

Convert


Welcome

Welcome

Con il WinCC Graphics Convert è possibile convertire file grafici WinCC (pdl) in un formato XML leggibile per il WinCC Import Wizard. Le informazioni grafiche esistenti vengono salvate insieme ai file XML come file PNG e WMF e salvate in una cartella selezionata.

Per eseguire il convertitore:

  1. Cliccare su start.
  2. Passare a COPA-DATA -> WinCC Graphics Converter
  3. Avviare il WinCC Graphics Converter
  4. Seguire le istruzioni del Wizard


Select .pdl files

Select .pdl files

In questa scheda si selezionano i file PDL che devono essere esportati dal progetto WinCC Projekt. Per farlo:

  1. Cliccare sul pulsante Select .pdl files
  2. Passare alla cartella di progetto che contiene i file PDL.

    Nota: il progetto WinCC deve essere caricato sul computer. altrimenti non sarà possibile selezionare questi file!

  3. Selezionare i file desiderati
  4. Tutti i file PDL selezionati vengono visualizzati nella finestra di anteprima


Select output folder

Select output folder

In questa scheda si seleziona la cartella in cui devono essere salvati i file esportati. Per farlo:

  1. Cliccate sul pulsante Select output folder.
  2. Passare alla cartella in cui devono essere salvati i file esportati.
    Nota: si può anche creare una nuova cartella nel dialogo di selezione.


Convert

Convert

In questa scheda si esegue il processo di conversione.

Dopo aver eseguito l´export, copiare la cartella sul computer con il progetto zenon in cui i dati devono essere importati. Oppure fare in modo che il computer con il progetto zenon abbia accesso alla cartella di esportazione.


WinCC Import Wizard

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> WinCC Import Wizard -> WinCC Import Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Import WinCC Wizard viene avviato tramite la finestra di dialogo "Wizard" dell´Editor e serve ad importare i seguenti elementi WinCC:

  • Importazione degli Screens (i file XML creati tramite il WinCC Graphics Converter vengono convertiti in modelli, immagini e simboli in zenon)
  • Importazione di WinCC TAG (solo S7 TCP)
  • Importazione di WinCC Structure TAG ( solo S7 TCP)
  • Importazione di Alarm Limits
  • Importazione di Archive TAGs

Aprire il Wizard

Per far sì che i wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nello zenon6.ini:

[VBA]

EIN=1

VSTA

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Per aprire il Wizard:

  1. Aprire in zenon il menù File
    , oppure premete la combinazione di tasti Alt+F12
  2. Selezionare l´inserimento Wizards....
  3. Si aprirà il dialogo di selezione
  4. Passare al nodo Export/Import
  5. Selezionare il WinCC Import Wizard
  6. Cliccare su OK e il Wizard si avvierà

Il Wizard è suddiviso in sezioni:

  • Welcome: Visione d´insieme del Wizard.
  • Settings: Impostazioni per la connessione con il progetto WinCC. Dopo aver stabilito la connessione con successo, il sistema visualizza le schede per l´import diretto.
    • Data Blocks: Structure TAG di WinCC
    • TAGs: TAG di WinCC
    • Alarm Limits: Classi di allarmi e allarmi di WinCC
    • Archive TAGs: Dati archivio di WinCC
  • Screens: Importazione delle immagini di WinCC tramite il WinCC Graphics Converter

Noch in diesem Kapitel

Welcome

Settings

Data Blocks

TAGs

Alarm Limits

TAG di archiviazione

Screens


Welcome

Welcome

La pagina di partenza del Wizard fornisce informazioni relative a tutti i seguenti passi del processo di importazione.

L´importazione diretta di dati è possibile solo dopo che la connessione con il progetto WinCC è stata correttamente configurata nella scheda Settings.


Settings

Settings

In questa scheda si configura la connessione con il progetto WinCC i cui dati devono essere importati.

Parametri | Descrizione
WinCC DB connection | Configurazione della connessione con la banca dati WinCC.
Connected with | Visualizzazione della connessione attiva.
Connect | Instaura la connessione.
New Connection | Apre il dialogo per la configurazione di una nuova connessione.
Driver selection (S7 TCP) | Configurazione del driver di zenon.
Driver | Selezione di uno dei driver di zenon offerti dalla lista a cascata.
Create new Driver | Apre la finestra di dialogo per la creazione di un nuovo driver.

attention Attenzione

Il progetto WinCC deve essere attivo oppure aperto nel WinCC Explorer del PC con cui viene instaurata la connessione; altrimenti non sarà possibile stabilire la connessione.

Configurazione della connessione

Per stabilire una connessione:

  1. Cliccare sul pulsante New connection
  2. Si aprirà la finestra di dialogo per configurare le impostazioni della connessione

  3. Nella scheda Provider , selezionare il provider Microsoft OLE DB Provider for SQL Server
  4. Nella scheda Connection:
    1. alla voce server name, inserire l´istanza del server SQL in cui si trova il progetto WinCC. Ad esempio: HOSTNAME\WINCC
      Importante: l´istanza WinCC SQL Server (sqlsrv.exe) deve essere abilitata nel firewall.
    2. Alla voce logon information. inserire i dati di accesso. I dati di accesso devono essere prima creati con il SQL Server Management Studio nell´istanza di SQL Server.
      Importante: attivare l´opzione Allow saving password
    3. Alla voce database selezionare il progetto Editor WinCC. Si tratta del nome della banca data senza il conclusivo _R
      Indicazione importante: il progetto deve essere caricato e attivo nell´Editor WinCC, altrimenti non è a disposizione nel server SQL.
    4. Testate la connessione.
  5. chiudete il dialogo di configurazione cliccando su OK.
  6. Successivamente si può stabilire una connessione con il progetto WinCC cliccando sul pulsante Connect nel Wizard.
  7. Selezionate un driver di zenon

Dopo che la connessione è stata instaurata con successo ed è stato selezionato un driver di zenon, verranno visualizzate le schede per l´import diretto.


Data Blocks

Data Blocks

In questa scheda si selezionano i blocchi dati visualizzati in WinCC Explorer alla voce Data Blocks e li si importa come tipi di dato in zenon.

I Data Blocks WinCC vengono raggruppati secondo driver e visualizzati in gruppi sulla base di Block-Type e Block-Name.

Per importare dei blocchi dati:

  1. Selezionare i blocchi dati desiderati
  2. Cliccare su Import Data Blocks

Risultato

Data Blocks in WinCC:

Tipi di dato in zenon


TAGs

TAGs

In questa scheda vengono selezionati e importati come variabili di zenon TAG (S7) visualizzati nel WinCC Explorer alla voce Tag Management . L´export può essere eseguito direttamente in zenon, oppure in un file CSV.

Per importare Tag:

  1. Selezionare i TAG desiderati
  2. Cliccare su Import Tags oppure Export to CSV

Risultato

Tag in WinCC:

Variabili in zenon:


Alarm Limits

Alarm Limits

In questa scheda vengono importati classi di allarmi e valori limite:

  • Import Alarm Classes:
    Importa classi allarmi in un progetto globale esistente
  • Import Alarms:
    Importa classi e gruppi allarmi nel progetto zenon locale e crea variabili per i valori limite.

Import Alarm Classes:

Importa classi allarmi da WinCC in in progetto globale in zenon. Il progetto globale deve essere già stato creato ed essere attivo in zenon.

Per importare delle classi di allarmi:

  1. Selezionare le classi allarmi desiderate
  2. Cliccare su Import Alarm Classes

Risultato

Classi allarmi in WinCC:

Classi allarmi in zenon:

Import Alarms

Con questa forma di importazione, tutti le classi e i gruppi allarmi vengono importati nel progetto zenon. I testi Limit di WinCC vengono sostituiti da variabili di valore limite.

Per importare degli allarmi:

  1. Selezionare gli allarmi desiderati
  2. Cliccare su Import Alarms

Risultato

Allarmi in WinCC:

Allarmi in zenon:


TAG di archiviazione

TAG di archiviazione

In questa scheda si possono selezionare ed importare TAG inseriti nel WinCC Explorer alla voce Tag Logging. L´import viene eseguito in uno dei due archivi creati nel progetto di zenon, BINARY o ANALOG.

attention Attenzione

I TAG vengono creati negli archivi di zenon solamente se sono stati precedentemente importati come TAG.

Per importare Tag di archiviazione:

  1. Selezionare i TAG di archiviazione desiderati.
  2. Cliccare su Import Archiv Tags

Risultato

TAG di archiviazione in WinCC:

Archivi in zenon:


Screens

Screens

In questa scheda vengono importati i file XML generati con il WinCC Graphics Converter nel progetto attivo di zenon. In zenon, i modelli, le immagini e gli elementi ad immagine standard vengono creati automaticamente sulla base delle informazioni salvate nel file XML, e sulla base dei file WMF e PNG salvati nella cartella.

Parametri | Descrizione
Lista file | Mostra tutti i file che si trovano nella cartella selezionata.
Select Folder | Apre la finestra di dialogo per selezionare la cartella con i file di importazione.
Select All | Seleziona tutti i file esistenti nell´immagine.
Import XML | Avvia l´import.

Per importare delle immagini:

  1. Selezionare i file XML desiderati
  2. Cliccare su Import XML

Risultato

Immagini in WinCC:

Immagini in zenon:

Quali elementi ad immagine WinCC vengono creati automaticamente nell´Editor di zenon?

Elementi ad immagine standard

  • Line
  • Polygon
  • Polyline
  • Ellipse
  • Circle
  • Elipse Segment
  • Pie Segment
  • Elipse Arc
  • Circular Arc
  • Rectangle
  • Rounded Rectangle
  • Static Text

Tube Objects

  • Polygon tube
  • T-piece
  • Double T-piece
  • Tube bend

Smart Objects

  • I/O Field
  • Graphic Object
  • Windows Objects
  • Button

Per tutti gli altri oggetti WinCC viene creato in zenon un segnaposto.

Gestione errori

Gli errori che si verificano durante l´import di immagini vengono visualizzati nella finestra di emissione di zenon quando si creano i file Runtime.

Messaggio di errore | Gestione errori
Il simbolo "non può essere trovato nella libreria dei simboli"! | Nell´immagine è stato posizionato un segnaposto che sostituisce gli elementi non interpretabili. Background: per ogni elemento non interpretabile viene creato un simbolo nell´immagine mediante il Wizard. Questo, però, non si trova nella libreria dei simboli. Grazie al messaggio di errore, si ha la possibilità di verificare se in un´immagine ci sono ancora degli elementi (segnaposto) da rielaborare.
WRN:(FDV_RECETTE_TUNNEL_TPOS_DETAILS_FOU2->(ZONE_CNS0)Variable: could not be found in the project! | Contrassegna i nomi di variabili salvati in WinCC in I\O Field Element, ma non ancora creati (anche in WinCC) come variabili.


XML Export Wizard VSTA

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> XML Export Wizard VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il Wizard XML Export si esportano tutti i moduli desiderati di un progetto in una cartella scelta liberamente. Per ogni modulo viene creato un file XML proprio.

attention Attenzione

Questo Wizard non viene visualizzato per la selezione se nel file zenon6.ini, alla voce [VSTA], è settato l´inserimento CSHARP=1.

Il Wizard è a disposizione solamente in lingua inglese..

Noch in diesem Kapitel

Avviare il Wizard

Selezionare i file XML

Esporta


Avviare il Wizard

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> XML Export Wizard VSTA -> Avviare il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avviare il Wizard:

  • Cliccare su File -> Wizards...
    • Premete la combinazione di tasti Alt+F12
  • Si apre la finestra di selezione che mostra i Wizard disponibili
  • Selezionare la cartella Export/Import

  • Selezionare XML Export Wizard

  • Cliccare su OK.
  • Il Wizard si avvierà con la pagina di benvenuto e visualizzerà:
    • Una breve introduzione
    • La versione di zenon
    • Il nome del progetto dal quale si esegue l´operazione di export
    • Project-GUID
    • Il percorso di progetto

  • Usando il tasto con il simbolo della freccia (in basso a sinistra), si va da un passaggio all´altro del Wizard
    • C´è anche la possibilità di aprire le singole schede cliccando sulle tab nella parte alta della finestra.
  • Per attivare il pulsante Export, deve essere aperta la pagina Export XML progress


Selezionare i file XML

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> XML Export Wizard VSTA -> Selezionare i file XML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Selezionare quali moduli del progetto devono essere esportati:

  • Cliccare su Select Directory per definire la cartella da usare per l´ Export.
  • Selezionare, attivando le checkbox, i moduli e gli elementi che devono essere esportati (se necessario, scorrere verso il basso)


Esporta

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> XML Export Wizard VSTA -> Esporta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avviare l´export:

  • Cliccare sul pulsante Export
  • Vengono esportati i moduli desiderati.
  • La finestra di emissione mostrerà quali moduli vengono esportati con successo.
  • Il wizard si chiude automaticamente 3 secondi dopo la fine dell´operazione di export


XML Import Wizard

Manuale -> Wizard -> Temi -> Esportazione/Importazione -> XML Import Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo Wizard aiuta ad eseguire l´importazione di variabili, funzioni, immagini o di script da un file XML.

attention Attenzione

Questo Wizard non supporta la progettazione distribuita e non è utilizzabile nei progetti multiutente.


Language Table

Manuale -> Wizard -> Temi -> Language Table

Wizards per il cambio lingua

Noch in diesem Kapitel

Language Table Wizard

Language Translation Wizard

System Text Wizard


Language Table Wizard

Manuale -> Wizard -> Temi -> Language Table -> Language Table Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Language Table Wizard sostituisce il vecchio Language Change Wizard (VBA).

Il Wizard

  • Cerca nel progetto attivo i testi da tradurre, oppure le parole chiave (testo contrassegnato con una ´@´) e
  • Li scrive
    • O nella tabella lingua selezionata del progetto attivo, oppure,
    • Se si vuole, nel progetto globale.

attention Attenzione

Questo Wizard non viene visualizzato per la selezione se nel file zenon6.ini, alla voce [VSTA], è settato l´inserimento CSHARP=1.

Per esigenze di riferimento, deve essere selezionata almeno una tabella (ZENONSTR.TXT) per l´import.

Se vengono trovati testi senza il simbolo ´@´, questi possono essere settati nel progetto come parola chiave. Per farlo, si dovrà digitare una ´@´ davanti al testo.

Nota: Il wizard è a disposizione solamente in lingua inglese.

Noch in diesem Kapitel

Apertura del Wizard.

Finestra iniziale

Impostazioni

Finish


Apertura del Wizard.

Manuale -> Wizard -> Temi -> Language Table -> Language Table Wizard -> Apertura del Wizard.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Wizard può anche essere selezionato direttamente nella finestra di dialogo che serve a lanciare i Wizard.

Per avviare il Wizard manualmente:

  1. Cliccare su File -> Wizards...

    O premere la combinazione di tasti Alt+F12

  2. Si aprirà la finestra di selezione in cui sono visualizzati i wizard disponibili
  3. Selezionare la cartella Language Table
  4. Selezionate lì Language Table Wizard
  5. Cliccare su OK.
  6. Il wizard si avvia con una pagina di benvenuto


Finestra iniziale

Manuale -> Wizard -> Temi -> Language Table -> Language Table Wizard -> Finestra iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si apre il Wizard, verrà visualizzata una pagina Panoramica che contiene una documentazione relativa al Wizard in lingua inglese.

La navigazione all´interno del Wizard avviene cliccando sulle singole schede, oppure, passo per passo, cliccando sui tasti frecce.

Se si clicca su Cancel , il Wizard si chiude.


Impostazioni

Manuale -> Wizard -> Temi -> Language Table -> Language Table Wizard -> Impostazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Import options

Nel gruppo "Import options" si può selezionare quanto segue:

  • Se testi esistenti devono essere sovrascritti nella tabella lingua selezionata,
  • Se i testi traducibili trovati devono essere settati come parole chiave nel progetto (in questo caso i testi verranno contrassegnati nel progetto con una @) e
  • Se le tabelle lingua del progetto globale devono essere utilizzate o no.

Select language tables

Nel gruppo "Select language tables", a seconda dell´impostazione dell´opzione „Add keywords to lanaguage table global project", vengono visualizzate le tabelle lingua del progetto attivo, oppure quelle del progetto globale. . La parola chiave viene inserita nelle tabelle lingua selezionate come testo. Deve essere selezionata almeno una tabella!

Project options

Nel gruppo „Project options" è possibile selezionare quali testi o parole chiavi rilevanti per il processo devono essere ricercati.

Screen elements

Nel gruppo "„Screen elements" è possibile selezionare quali elementi d'immagine devono essere analizzati.


Finish

Manuale -> Wizard -> Temi -> Language Table -> Language Table Wizard -> Finish

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si può avviare la ricerca di testi traducibili e parole chiave. Cliccare sul pulsante Finish.

??


Language Translation Wizard

Manuale -> Wizard -> Temi -> Language Table -> Language Translation Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo Wizard serve per la elaborazione dati per il Project Translation Interface, uno strumento di traduzione.

Vengono elaborati tutti i dati rilevanti per la traduzione e poi compressi in un file ZIP. Questo file ZIP potrà poi essere decompresso nella Procect Translation Interface e le tabelle lingua potranno poi essere modificate e/o integrate. Dopo aver effettuato le modifiche, potete caricare il file ZIP nel wizard e le tabelle lingua modificate possono essere reimportate nel progetto.

attention Attenzione

Questo Wizard non viene visualizzato per la selezione se nel file zenon6.ini, alla voce [VSTA], è settato l´inserimento CSHARP=1.

Nota: Il wizard è a disposizione solamente in lingua inglese.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Il Language Translation Wizard è incluso nelle Project Translation Interfaces (a pagamento).

Noch in diesem Kapitel

Avviare wizard

Finestra iniziale

Esporta

Import


Avviare wizard

Manuale -> Wizard -> Temi -> Language Table -> Language Translation Wizard -> Avviare wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avviare il wizard:

  1. Cliccare su File -> Wizards...

    O premere la combinazione di tasti Alt+F12

  2. Si aprirà la finestra di selezione in cui sono visualizzati i wizard disponibili
  3. Selezionare la cartella Language Table
  4. Selezionare lì Language Translation Wizard
  5. Cliccare su OK.
  6. Il wizard si avvia con una pagina di benvenuto


Finestra iniziale

Manuale -> Wizard -> Temi -> Language Table -> Language Translation Wizard -> Finestra iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si apre il Wizard, verrà visualizzata una pagina Panoramica che contiene una documentazione relativa al Wizard in lingua inglese.

La navigazione all´interno del Wizard avviene cliccando sulle singole schede, oppure, passo per passo, cliccando sui tasti frecce.

Se si clicca su Cancel , il Wizard si chiude.


Esporta

Manuale -> Wizard -> Temi -> Language Table -> Language Translation Wizard -> Esporta

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Durante l´esecuzione dell´export, il wizard analizza tutti i testi di elementi d'immagine, di limits e di altri oggetti di progetto, che sono contrassegnati come testi traducibili tramite il simbolo @.

Questi testi vengono inseriti in un file XML ed esportati con le tabelle lingua selezionate in un file del formato ZIP: Inoltre, di tutte le immagini del progetto viene generato uno screenshot che verrà inserito nel file ZIP. Il file ZIP contiene anche le liste caratteri del progetto selezionato, nonché quelle del progetto globale.

Pulsante | Descrizione
Zip Name: | Nome del file di esportazione
C:\ | Posto di salvataggio del file di export. Cliccando sul pulsante ..., si apre il browser file che serve a scegliere una cartella di destinazione.
Liste Sprachdateien | Campo lista con possibilità di selezione dei file lingua presenti nel progetto.
Select all | Seleziona tutti gli inserimenti della lista e attiva le Checkbox.
Deselect all | Seleziona tutti gli inserimenti della lista e disattiva le Checkbox.
Export | Esporta i dati nella cartella di destinazione. È attiva solamente se una o più tabelle lingua sono state selezionate.
Freccia a sinistra | Torna una scheda indietro nella fase di avanzamento del Wizard.
Freccia a destra | Passa alla prossima scheda nella fase di avanzamento del Wizard.
Cancel | Chiude il wizard senza effettuare l´export.

attention Attenzione

I seguenti segni speciali non possono essere usati nel nome immagine:
: / \ * < >

Questi segni speciali vengono eliminati e sostituiti con un numero progressivo.


Import

Manuale -> Wizard -> Temi -> Language Table -> Language Translation Wizard -> Import

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda può essere selezionato il file ZIP da importare.

Pulsante | Descrizione
... | Posto di salvataggio del file di import. Cliccando sul pulsante ..., si apre il browser file che serve alla selezione di una cartella file.
Lista file lingua | Campo lista con possibilità di selezione dei file lingua tradotti da importare.
Select all | Seleziona tutti gli inserimenti della lista e attiva le Checkbox.
Deselect all | Seleziona tutti gli inserimenti della lista e disattiva le Checkbox.
Import | importa la tabella lingua selezionata nell´attuale progetto di zenon. È attiva solamente se uno o più file lingua sono stati selezionati.
Freccia a sinistra | Torna una scheda indietro nella fase di avanzamento del Wizard.
Cancel | Chiude il wizard senza importare.

attention Attenzione

Se in zenon 6.51 si aggiunge un nuovo file lingua, il progetto deve essere ricaricato nell´area di lavoro dopo la chiusura del wizard.

A partire dalla versione 7.00 SP0, invece, i file lingua vengono aggiornati automaticamente.


System Text Wizard

Manuale -> Wizard -> Temi -> Language Table -> System Text Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il wizard System Text consente di effettuare l´import di testi di sistema nella tabella lingua. I testi di sistema sono testi del Runtime che in zenon vengono usati in dialoghi e menù, e che non possono essere modificati dall´utente. Per rendere traducibili anche questi testi che sono predefiniti da zenon, essi devono essere anzitutto importati in una tabella lingua facendo uso di questo wizard. Il numero delle parole chiavi e dei testi da importare può essere limitato settando le impostazioni corrispondenti.

attention Attenzione

Questo Wizard non viene visualizzato per la selezione se nel file zenon6.ini, alla voce [VSTA], è settato l´inserimento CSHARP=1.

Nota: Il wizard è a disposizione solamente in lingua inglese.

Noch in diesem Kapitel

Apertura del wizard.

Finestra iniziale

Impostazioni

Finish


Apertura del wizard.

Manuale -> Wizard -> Temi -> Language Table -> System Text Wizard -> Apertura del wizard.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il wizard può anche essere selezionato direttamente nella finestra di dialogo che serve a lanciare i Wizard.

Per avviare il wizard manualmente:

  1. cliccate su File -> Wizards...

    premete la combinazione tasti Alt+F12

  2. si apre la finestra di selezione che mostra i wizard disponibili
  3. Selezionare la cartella Language Table
  4. Selezionate lì System Text Wizard
  5. cliccate su OK.
  6. Il wizard si avvia con una pagina di benvenuto


Finestra iniziale

Manuale -> Wizard -> Temi -> Language Table -> System Text Wizard -> Finestra iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si apre il Wizard, verrà visualizzata una pagina Panoramica che contiene una documentazione relativa al Wizard in lingua ingles

La navigazione all´interno del Wizard avviene cliccando sulle singole schede, oppure, passo per passo, cliccando sui tasti frecce.

Se si clicca su Cancel , il Wizard si chiude.


Impostazioni

Manuale -> Wizard -> Temi -> Language Table -> System Text Wizard -> Impostazioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella scheda „Settings" vengono riassunte le impostazioni per l´importazione dei testi di sistema.

Project settings

Nel gruppo „Project settings" si possono effettuare delle impostazioni generali: L´opzione „Overwrite existing language table" indica se i testi con parole chiave esistenti devono essere sovrascritti. „Add keyword to language table global project" definisce se testi di sistema devono essere scritti nel progetto attivo di zenon (Checkbox non è attivato), oppure nel progetto globale di zenon (Checkbox attivato). A seconda dell´opzione selezionata nel gruppo „Select Language", il sistema offre tabelle lingua esistenti per essere selezionate.

Select language

Nel gruppo „Select language" sono a disposizioni le lingue supportate da zenon. Quando si attiva la Checkbox corrispondente, viene selezionata la lingua da scrivere nella tabella lingua. È possibile una selezione multipla. Si può selezionare la tabella lingua corrispondente fra quelle visualizzate nel menù a tendina. Queste tabelle lingua devono essere già state progettate in zenon.

Select category

Nel gruppo „Select category" si possono attivare testi di sistema in corrispondenza del modo in cui sono usati nei moduli.


Finish

Manuale -> Wizard -> Temi -> Language Table -> System Text Wizard -> Finish

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si clicca sul pulsante "Finish" inizia il processo di importazione con le impostazioni effettuate. Le impostazioni effettuate possono essere salvate dopo la chiusura del wizard.


Metering Point Administration - Amministrazione punti di misurazione

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Wizard per la progettazione di punti di misurazione nell´Editor.

info Informazioni su

Questa documentazione contiene anche delle informazioni relative all´utilizzo del modulo Amministrazione punti di misurazione nel Runtime di zenon.

Noch in diesem Kapitel

Amministrazione punti di misurazione


Amministrazione punti di misurazione

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´amministrazione punti di misurazione è uno strumento che serve alla gestione di dati tecnici e all´amministrazione di punti di misurazione.

  • Nell´Editor di zenon, la progettazione viene effettuata mediante il Metering Point Administration Wizard.
  • Per la visualizzazione nel Runtime, si deve configurare nell´Editor un corrispondente elemento ActiveX in una qualsiasi immagine di zenon.
  • Nel Runtime si può procedere all´assegnazione di contatori a punti di misurazione, li si può sostituire e si può correggere (manualmente) dei valori.

Il wizard è disponibile in inglese e in tedesco.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Noch in diesem Kapitel

Generali - Progettazione

Installa ed apri l´amministrazione punti di misurazione.

Wizard - Dialogo Start

Wizard - Metering Point Administration

Progettazione nell´Editor di zenon:

Metering Point Administration - Amministrazione punti di misurazione nel Runtime

Componenti zenon Logic dell´amministrazione punti di misurazione.


Generali - Progettazione

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Generali - Progettazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter usare l´amministrazione punti di misurazione, è necessario eseguire i seguenti passi di configurazione:

  1. Configurate le variabili nell´Editor di zenon.
    Nota: variabili corrispondenti per valori relativi possono essere create anche direttamente nel wizard.
  2. Configurate degli archivi nell´Editor di zenon.
    Nota: Gli archivi possono essere creati anche direttamente dal wizard.
  3. Nell´Editor di zenon, avviare il Wizard Metering Point Administration.
  4. Impostate nel wizard punti di misurazione e contatori.
    Nota: i contatori possono essere impostati anche nel Runtime.
  5. Nel wizard, assegnate ai punti di misurazione le variabile di valore assoluto e di valore relativo provenienti dagli archivi.
    Nota: i valori relativi possono essere calcolati anche automaticamente.
  6. Progettate un´immagine nell´Editor di zenon.
  7. Collocate un elemento ActiveX in questa immagine di zenon.
  8. Nel Runtime, assegnate i contatori ai punti di misurazione corrispondenti.
  9. Se necessario, inserite i valori attuali per i punti di misurazione manuali nel Runtime per i contatori.


Installa ed apri l´amministrazione punti di misurazione.

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Installa ed apri l´amministrazione punti di misurazione.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´amministrazione punti di misurazione viene installata automaticamente come parte dell´installazione standard di zenon.

Aprire Wizard

Per far sì che i wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nello zenon6.ini:

[VBA]

EIN=1

VSTA

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Per aprire il tool, procedete nel modo seguente:

  1. Aprite l´Editor di zenon
  2. Cliccare su file nella barra degli strumenti.
  3. Cliccate su Wizard.

Nota: Potete aprire la finestra di selezione contente i wizard e i tool disponibili anche facendo uso della combinazione tasti Alt+F12.

Si apre la finestra di selezione che mostra i wizard e i tool disponibili

  1. Selezionate la cartella Metering Point Administration.
  2. Qui cliccate su Metering Point Administration.
  3. Cliccate su OK.


Wizard - Dialogo Start

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Dialogo Start

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il wizard Metering Point Administration si avvia con una schermata di benvenuto in lingua inglese.

Quando si avvia l´amministrazione punti di misurazione nell´Editor di zenon, il sistema verifica prima di tutto se il workbench di zenon Logic è aperto. Per evitare delle configurazioni errate, il sistema invita l´utente a chiudere il workbench di zenon Logic. Non è possibile avviare il Wizard se il workbench è aperto!

  • Per proseguire, cliccate sul pulsante Metering Point Administration.
    La finestra passa al dialogo di configurazione per l´amministrazione punti di misurazione.
  • Cliccando sul comando Exit si chiude il wizard.


Wizard - Metering Point Administration

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo aver confermato il dialogo di start del wizard, avviate la configurazione dell´amministrazione punti di misurazione. La configurazione inizia con la scheda Database.

Se sono state già salvate delle impostazione per database, al momento dell´apertura del wizard il sistema prova automaticamente ad instaurare una connessione. Se questo tentativo ha successo, si passa subito alla scheda punti di misurazione. Se il tentativo d´instaurare un connessione fallisce, invece, compare una segnalazione d´errore.

La navigazione a schede avviene cliccando sul titolo della scheda.

È possibile selezionare nella combobox fra tedesco e inglese come lingua di visualizzazione del wizard.

Parametri

Descrizione

Banca dati

Scheda con le impostazioni della necessaria connessione ad un database.

Metering Points (Punti di misurazione)

Scheda per la creazione e la gestione di punti di misurazione nell´Editor di zenon.

Ad ogni punto di misurazione vengono assegnati archivi e variabili corrispondenti.

Contatori

Scheda per la creazione e la gestione di contatori.

Lingua di visualizzazione

Menù a tendina per la selezione della lingua da usare per la visualizzazione del wizard:

  • Tedesco
  • Inglese

Navigazione

Pulsante | Descrizione
Exit | Chiude il Wizard. Le modifiche non salvate andranno perdute.
info Informazioni su
Le impostazioni modificate nel Wizard vengono salvate nel profilo user del sistema operativo e caricate nel momento in cui lo stesso utente riavvia il sistema.

Noch in diesem Kapitel

Banca dati

Metering Points (Punti di misurazione)

Contatori

Progetto multiutente.


Banca dati

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Banca dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Banca dati

In questa scheda configurate le impostazioni della connessione ad una banca dati.

Parametri

Descrizione

Database Host (Host banca dati)

Lista a cascata che serve alla selezione del server del database.

Selezionate, per esempio, il vostro computer in questo campo. Nota: Quando aprite questa scheda, il vostro computer viene visualizzato come selezione di default.

Autenticazione

Lista a cascata che serve alla selezione del metodo di login:

  • Windows Authentication (Default):
    Il login nella banca dati avviene usando le informazioni dell´utente registrato sul calcolatore locale.
  • SQL Server Authentication:
    Il nome utente e la password devono essere inseriti manualmente. Per effettuare il login nella banca dati bisogna disporre delle relative informazioni.

Nome utente

Nome utente per il login in una banca dati.

È visualizzato in color grigio (disattivato) se l´autenticazione è Windows Authentication.

Password

Password per effettuare il login in una banca dati.
Per ragioni di sicurezza, quando si digita la password ogni lettera viene visualizzata per mezzo di *.

È visualizzato in color grigio (disattivato) se l´autenticazione è Windows Authentication.

Connect (Connetti)

Instaura la connessione con il server di banca dati configurato.

Se non dovesse essere possibile instaurare una connessione (ad es., per inserimento di un nome utente o/e di una password erronei), il sistema provvede a visualizzare una finestra di dialogo che informa dell´errore commesso.

Visualizzato in color grigio (disattivato) se esiste già una connessione al server di database.

Disconnetti

Interrompe una connessione esistente con un server di database.

Visualizzato in color grigio (disattivato) se non c´è nessuna connessione attiva.

Database Name (Nome dal Database)

Menù a tendina per la selezione di un database.

Questa lista mostra tutte le banche dati disponibili del server di database configurato alla voce Datenbank-Host.

Se questa lista è vuota, non esiste nessun collegamento ad un server di banca dati, oppure nessuna banca dati SQL è disponibile sul computer selezionato.

Start configuration (Avvia la configurazione)

Si passa alla scheda Metering Points (punti di misurazione).

Se al momento non esiste una connessione con una banca dati, cliccando sul pulsante Start configuration viene stabilito automaticamente un collegamento utilizzando le informazioni di login che sono già state inserite.

Se questo inserimento è errato o incompleto, non è possibile modificare altre impostazioni nelle schede Metering Points (Punti di misurazione) e Meters (Contatori). Per poterlo fare, si deve sempre avere una connessione con una banca dati!

Navigazione

Pulsante | Descrizione
Exit | Chiude il Wizard. Le modifiche non salvate andranno perdute.
info Informazioni su
Se esiste già una connessione ad una banca dati, tutti i campi di inserimento vengono visualizzati in color grigio (disattivati).

Noch in diesem Kapitel

Banca dati - valutazione e adattamento

Industrial Maintenance Manager. Compatibilità


Banca dati - valutazione e adattamento

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Banca dati -> Banca dati - valutazione e adattamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Banca dati - valutazione e adattamento

Se si instaura una connessione ad una banca dati, il sistema effettua immediatamente un´analisi della struttura di questo database. Le tabelle necessarie per l´amministrazione punti di misurazione vengono create automaticamente, se necessario. La validazione viene effettuata nell´Editor e nel Runtime.

Se sono necessari degli aggiustamenti alla banca dati esistente, venite informati tramite una finestra di dialogo. Questo dialogo appare solo se sono necessarie delle modifiche.

Finestra di dialogo di valutazione

  • Confermate questa finestra di dialogo cliccando su Sì se deve essere adattata e modificata la banca dati con le tabelle corrispondenti.
  • Annulla chiude la finestra di dialogo. Non viene effettuata nessuna modifica nella banca dati. Non sarà dunque possibile configurare di punti di misurazione. Il wizard passa alla scheda Banca dati.

Validazione degli archivi.

Una validazione viene effettuata al momento dello start - Gli errori vengono visualizzati.

Se si verifica un problema durante il processo di validazione degli archivi, il sistema provvede a segnalarlo mediante un simbolo di color rosso che appare accanto all´elemento problematico. Una descrizione dettagliata del problema la potete avere in forma di tooltip, che ottenete muovendo il mouse sul simbolo rosso di cui sopra.

Esempio di visualizzazione - Runtime


Industrial Maintenance Manager. Compatibilità

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Banca dati -> Industrial Maintenance Manager. Compatibilità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Industrial Maintenance Manager. Compatibilità

La funzionalità dell´Industrial Maintenance Manager (IMM) può essere usata per i contatori dell´amministrazione punti di misurazione. L'IMM serve alla gestione dei dati relativi ai macchinari e alla manutenzione. E' possibile pianificare e gestire in modo semplice ed efficace gli intervalli con cui effettuare le operazioni di manutenzione. Si ha sempre una visione generale completa di quali apparecchi, impianti, macchinari ecc. devono essere sottoposti a controllo oggi/questa settimana/il mese prossimo ecc. Inoltre vengono creati protocolli in cui si trovano i dati relativi a quali lavori di manutenzione sono stati effettuati in passato.

Al momento del controllo della banca dati, il sistema verifica i nomi tabella di una configurazione IMM esistente. Se necessario, questi nomi vengono adattati, dopo che il sistema ha richiesto una conferma all´utente.

  • Confermate questa finestra di dialogo cliccando su Sì quando i nomi tabella devono essere modificati e adattati.
  • Se si clicca su No, la finestra di dialogo si chiude. Non viene effettuata nessuna modifica dei nomi tabella nella banca dati. Non sarà dunque possibile configurare dei punti di misurazione.

IMM Nomi tabelle:

  • Tabella dispositivi: Devices
  • Tabella per elaborazione manutenzione: MaintenanceWorks
  • Tabella per lo storico: MaintenanceHistory
  • Tabella per i documenti: Documents

info Informazioni su

A partire dalla versione zenon 7.20, ciò non ha più alcun rilievo per il processo di configurazione. A partire dalla versione 7.20, infatti, i nomi tabella per l´Industrial Maintenance Manager non possono più essere configurati liberamente.


Metering Points (Punti di misurazione)

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Metering Points (Punti di misurazione)

In questa scheda si creano nuovi punti di misurazione e si gestiscono quelli già esistenti.

Parametri

Descrizione

Nuovo...

Apre la finestra di dialogo per la creazione di un nuovo punto di misurazione.

Modifica...

Apre la finestra di dialogo per la modifica del punto di misurazione selezionato.

Elimina

Cancella il punto di misurazione selezionato.

Lista dei punti di misurazione

Lista dei punti di misurazione già impostati, così come configurato nella finestra di dialogo per la creazione di un nuovo punto di misurazione.

Selezione mediante clic. Il punto di misurazione selezionato viene sottolineato con una linea colorata. Non è possibile effettuare una scelta multipla.

  • Name (Nome)
    Nome del punto di misurazione.
  • do not translate!
    Breve testo di descrizione relativa al punto di misurazione.
  • Location (Luogo)
    Luogo del punto di misurazione.
  • Automatic (automatico)
    Attivo se il Comportamento dei punti di misurazione è automatic (automatico).
  • Metering type (Tipo di punto di misurazione)
    Tipo del punto di misurazione.
  • Calculation active (Calcolo attivo)
    Attivo se l´opzione Calculate relative value (Calcolo valore relativo) è attivata.
  • Meter name (Nome contatore)
  • Meter description (Descrizione contatore)
  • Relative value variable (Variabile di valore relativo)
    Variabile assegnata al valore relativo.
  • Absolute variable value (Variabile di valore assoluto)
    Variabile assegnata al valore assoluto.

Informazioni più dettagliate sull'argomento le trovate nella Descrizione dialogo.

Navigazione

Pulsante | Descrizione
Exit | Chiude il Wizard. Le modifiche non salvate andranno perdute.

Noch in diesem Kapitel

Creare nuovi punti di misurazione

Modifica punti di misurazione

Cancellare punti di misurazione

Nuovo archivio


Creare nuovi punti di misurazione

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> Creare nuovi punti di misurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Creare nuovi punti di misurazione

Cliccate nella scheda Metering Points (punti di misurazione) sul comando New (Nuovo) per creare un nuovo punto di misurazione.

Si apre la prossima finestra di dialogo in cui potete procedere alla configurazione del punto di misurazione.

Parametri

Descrizione

Nome

Nome del punto di misurazione.

Campo obbligatorio

Descrizione

Descrizione del punto di misurazione.

Inserimento facoltativo

Location (Luogo)

Luogo del punto di misurazione.

Inserimento facoltativo

Metering Type (Tipo di punto di misurazione)

Tipo di appartenenza del punto di misurazione.

Inserimento facoltativo

Nota: Il sistema tiene una lista di tutti i tipi di punto di misurazione progettati fino a quel punto. Essi vengono visualizzati quando si digita la prima lettera del nome. Se il tipo inserito non è contenuto ancora nella lista, essa viene integrata con l´aggiunta del tipo in questione (auto suggest).

Comportamento dei punti di misurazione

Campo facoltativo per la selezione dell´inserimento valore.

  • Automatic (Automatico):
    Se si attiva questa opzione, è possibile selezionare sia archivi ciclici che spontanei per il valore assoluto. . I valori vengono ripresi dalla variabile.
    I valori relativi possono essere calcolati automaticamente di conseguenza.
    Ulteriori informazioni relative a tale comportamento le trovate nella scheda Valore relativo.
  • Manuale:
    Se si attiva questa opzione, è possibile selezionare solo archivi spontanei per il valore assoluto.
    I valori contatori devono essere letti e inseriti manualmente.

Nota: La lista degli archivi e quella delle variabili per valore assoluto e valore relativo è soggetta a filtro effettuato sulla base del comportamento dei punti di misurazione. Questo significa che, con l´amministrazione manuale dei punti di misurazione, solamente gli archivi spontanei o le variabili degli archivi spontanei verranno visualizzati nella lista degli archivi e delle variabili.

Attenzione: se si modifica il comportamento di un punto di misurazione esistente, la variabile di valore assoluto e quella di valore relativo devono essere riselezionate.

Scelta progetto

Menù a tendina con i progetti dell´area di lavoro attuale nell´Editor di zenon.
Nota: Gli archivi e le variabili disponibili in questa sede sono legati al progetto.

Selezionate in questo campo il progetto desiderato.

Absolute value (Valore assoluto)

Scheda per la configurazione del valore assoluto del punto di misurazione.

Relative value (Valore relativo)

Scheda per la configurazione del valore relativo del punto di misurazione.

Summary (Riassunto)

Verifica e conclusione della configurazione dei punti di misurazione.

Navigazione

Parametri | Descrizione
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.
attention Attenzione
Ad ogni punto di misurazione deve essere necessariamente assegnata una variabile di valore assoluto e una variabile di valore relativo.

Noch in diesem Kapitel

Absolute value (Valore assoluto)

Relative value (Valore relativo)

Summary (Riassunto)


Absolute value (Valore assoluto)

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> Creare nuovi punti di misurazione -> Absolute value (Valore assoluto)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Absolute value (Valore assoluto)

In questa scheda si assegna una variabile di valore assoluto ad un punto di misurazione.

Parametri | Descrizione
Variable from archive (variabile dall´archivio) | Nella lista delle variabili vengono visualizzate le variabili dell´archivio selezionato (lista degli archivi). Selezionate un archivio corrispondente e una variabile corrispondente per il valore assoluto.
Add variable to archive (Aggiungere delle variabili all´archivio) | Vengono visualizzate variabili appartenenti al progetto. La variabile selezionata viene aggiunta all´archivio scelto.
Nuovo archivio | Apre la finestra di dialogo per la creazione di un nuovo archivio. Questa opzione è attiva solamente se è attivo Add variable to archive (Aggiungere delle variabili all´archivio).

Archivi (lista)

Selezionate in questa sede l´archivio le cui variabili volete avere visualizzate sul vostro schermo, oppure al quale intendete aggiungere una variabile selezionata.

Nota: Le configurazioni di archivi già disponibili verranno visualizzate nella lista. Esiste inoltre la possibilità di impostare direttamente nel wizard un nuovo archivio cliccando sul pulsante New Archive.

Parametri

Descrizione

Nome breve

Identificazione dell´archivio.

Identification (ID di archivio)

Nome archivio

Archive type (Tipo di archivio)

Tipo di archivio.

  • Cyclic
    L´archivio è ciclico.
    I valori vengono salvati in intervalli di tempo configurati.
  • EventTriggerd
    L´archivio è gestito dagli eventi.
    Nota: Gli archivi gestiti dagli eventi possono essere usati solamente per punti di misurazione automatici.
    Non è possibile configurare archivi gestiti dagli eventi direttamente nell´amministrazione punti di misurazione
  • Value Change
    L´archivio è spontaneo.
    Ogni cambiamento di valore viene scritto immediatamente sulla variabile dell´archivio. Si può progettare un´isteresi.

Archive trigger (innesco dell´archivio)

Causa che provoca la scrittura di valori in un archivio.

Nota: Disponibile solo per archivi gestiti da eventi.

Tempo di ciclo

Intervallo di tempo in caso di registrazione ciclica, nel corso del quale i valori vengono scritti nell´archivio.

Formato:

  • n.A.
    se il tipo di archivio è Value Change oppureEventTriggerd.
  • GG:HH:MM:SS
  • Month nel caso di un ciclo mensile.

Saving cycle (Tempo di campionamento)

Tempo intercorrente fra la creazione di nuovi file di archivio.
Formato:

  • GG:HH:MM:SS
  • Month nel caso di tempo di campionamento mensile.
  • Year nel caso di tempo di campionamento cambio anno.

Variabili (Lista)

Parametri | Descrizione
Nome | Nome della variabile.
Unità di misura | Unità di misura della variabile.
Identificazione | identificazione della variabile.
Driver | Driver della variabile.
Equipment groups (Gruppi d'impianti) | Gruppo di impianti cui è assegnata la variabile. Nota: Una variabile può essere assegnata anche a diversi gruppi di impianti. .

Navigazione

Parametri | Descrizione
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Relative value (Valore relativo)

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> Creare nuovi punti di misurazione -> Relative value (Valore relativo)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Relative value (Valore relativo)

In questa scheda si assegna una variabile di valore relativo ad un punto di misurazione.

Parametri

Descrizione

Create variable (Generare una nuova variabile)

Viene creata una nuova variabile per il valore relativo.

Tipo: LREAL, Driver: INTERN.

Nome

Nome della nuova variabile da creare.

Il sistema propone un nome valido, basato sulla variabile di valore assoluto selezionata. Il nome deve essere univoco e può essere assegnato a piacere. Non sono consentiti caratteri speciali. Si può usare un massimo di 256 caratteri.

L´inserimento viene validato. L´esito del processo di validazione (successo o errore) viene visualizzato accanto al campo di inserimento mediante un simbolo.

Nota: Visibile solamente se si è selezionato Generare una nuova variabile. Deve essere selezionata una variabile nella scheda Valore assoluto affinché venga visualizzato in questa sede una proposta di nome.

Variable from archive (variabile dall´archivio)

Mostra la lista degli archivi e delle variabili basate su di esso nell´archivio selezionato.

Add variable to archive (Aggiungere delle variabili all´archivio)

Vengono visualizzate variabili appartenenti al progetto. La variabile selezionata viene aggiunta all´archivio scelto.

Calculate relative value (Calcolo valore relativo)

Checkbox per l´attivazione del calcolo automatico di valori relativi:

La selezione è facoltativa con punti di misurazione automatici.

La selezione è attivata automaticamente con punti di misurazione manuali Questa preselezione automatica non può essere disattivata.

Nota: Ulteriori informazioni concernenti il calcolo automatico di valori relativi le trovate nel capitolo zenon Logic.

Nuovo archivio

Apre la finestra di dialogo per la creazione di un nuovo archivio.

Questa opzione non è attiva se è attivo Variabile da archivio.

Archivi

Gli archivi che sono stati creati precedentemente nell´Editor di zenon oppure con il pulsante Nuovo archivio, sono a disposizione dell´utente che li può selezionate da un lista. Vengono visualizzati esclusivamente archivi ciclici.

Archivi (lista)

Selezionate in questa sede l´archivio le cui variabili volete avere visualizzate sul vostro schermo, oppure al quale intendete aggiungere una variabile selezionata.

Nota: Le configurazioni di archivi già disponibili verranno visualizzate nella lista. Esiste inoltre la possibilità di impostare direttamente nel wizard un nuovo archivio cliccando sul pulsante New Archive.

Parametri

Descrizione

Nome breve

Identificazione dell´archivio.

Identification (ID di archivio)

Nome archivio

Archive type (Tipo di archivio)

Tipo di archivio.

  • Cyclic
    L´archivio è ciclico.
    I valori vengono salvati in intervalli di tempo configurati.
  • EventTriggerd
    L´archivio è gestito dagli eventi.
    Nota: Gli archivi gestiti dagli eventi possono essere usati solamente per punti di misurazione automatici.
    Non è possibile configurare archivi gestiti dagli eventi direttamente nell´amministrazione punti di misurazione
  • Value Change
    L´archivio è spontaneo.
    Ogni cambiamento di valore viene scritto immediatamente sulla variabile dell´archivio. Si può progettare un´isteresi.

Archive trigger (innesco dell´archivio)

Causa che provoca la scrittura di valori in un archivio.

Nota: Disponibile solo per archivi gestiti da eventi.

Tempo di ciclo

Intervallo di tempo in caso di registrazione ciclica, nel corso del quale i valori vengono scritti nell´archivio.

Formato:

  • n.A.
    se il tipo di archivio è Value Change oppureEventTriggerd.
  • GG:HH:MM:SS
  • Month nel caso di un ciclo mensile.

Saving cycle (Tempo di campionamento)

Tempo intercorrente fra la creazione di nuovi file di archivio.
Formato:

  • GG:HH:MM:SS
  • Month nel caso di tempo di campionamento mensile.
  • Year nel caso di tempo di campionamento cambio anno.

Variabili (Lista)

Parametri | Descrizione
Nome | Nome della variabile.
Unità di misura | Unità di misura della variabile.
Identificazione | identificazione della variabile.
Driver | Driver della variabile.
Equipment groups (Gruppi d'impianti) | Gruppo di impianti cui è assegnata la variabile. Nota: Una variabile può essere assegnata anche a diversi gruppi di impianti. .
info Informazioni su
La lista delle variabili viene esclusa dalla visualizzazione se è attiva l´opzione Generare una nuova variabile.

Navigazione

Parametri | Descrizione
Annulla | Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Summary (Riassunto)

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> Creare nuovi punti di misurazione -> Summary (Riassunto)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Summary (Riassunto)

In questa scheda vengono analizzate e finalizzate le configurazioni di un punto di misurazione.

L´esito viene visualizzato nella finestra di riassunto nella forma di un testo articolato in due campi.

Summary (Riassunto)

Parametri

Descrizione

Campo per le informazioni di progettazione.

Il campo superiore contiene un riassunto della configurazione del punto di misurazione.

Le informazioni sono differenziate mediante l´uso di colori differenti.

Se il colore del testo è nero

Le impostazioni sono corrette. Esse vengono create e applicate cliccando su Salva& Nuovo.

Se il colore del testo è rosso

Ci sono degli errori di impostazione che devono essere verificati e corretti.

In questo caso non è possibile salvare le impostazioni.

Se il colore del testo è verde

Nuove impostazioni vengono create ed applicate. Il salvataggio è adesso possibile.

Se il colore del testo è blu

Vengono visualizzate le configurazioni modificate in forma di testo di color blu.

Se il colore del testo è arancione

Avvertimenti.

Le configurazioni di progetto sconsigliate sono visualizzate mediante un testo di color arancione.

Campo per ulteriori informazioni

Le informazioni generali concernenti i passi effettuati vengono visualizzate in questo campo, se disponibili.

La colorazione dei testi segue gli stessi principi di quelli già esposti per il campo che ospita le informazioni sulla progettazione. Tuttavia in questo campo di testo vengono visualizzati solamente i passaggi che sono stati eseguiti con successo (testo verde) e quelli falliti (testo rosso).

Save & New (Salva e nuovo)

Accetta le impostazioni e crea un nuovo punto di misurazione. Tutti i valori vengono resettati ed è possibile procedere alla progettazione di ulteriori punti di misurazione.

In caso di configurazione erronea, il sistema provvede a visualizzare una corrispondente segnalazione di errore nel campo riservato alle informazioni di progettazione.

Annulla

Annulla tutte le modifiche in tutte le schede e chiude la finestra di dialogo.


Modifica punti di misurazione

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> Modifica punti di misurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Modifica punti di misurazione

Per modificare un punto di misurazione esistente, procedete nel modo seguente:

  1. Selezionate nella scheda Punti di misurazione il punto di misurazione che volete modificare.
    Esso verrà messo in evidenza mediante un colore particolare.
  2. Cliccate poi sul pulsante Modifica, oppure cliccate due volte sul punto di misurazione desiderato.
  3. La progettazione esistente viene visualizzata nella finestra di dialogo Modifica punti di misurazione.
  4. Aggiungere ulteriori informazioni, gestire nel modo desiderato il punto di misurazione e cliccare nella scheda Summary (riassunto) sul comando Save & Close (Salva e Chiudi).

Summary (Riassunto)

Le impostazioni modificate vengono visualizzate nel riassunto in colore blu.

  • Se si clicca su Save & Close (Salva e Chiudi), il sistema salva le impostazioni modificate.


Cancellare punti di misurazione

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> Cancellare punti di misurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Cancellare punti di misurazione

Per cancellare un punto di misurazione esistente, procedere nel modo seguente:

  1. Nella scheda Metering Points (punti di misurazione), selezionare il punto di misurazione che si vuole cancellare.
  2. Cliccare sul pulsante Delete (Cancella).
  3. Verrà visualizzato un messaggio di avviso .
  4. Confermare la cancellazione cliccando sul pulsante OK.
  5. Il punto di misurazione selezionato è cancellato.

Messaggio di avviso .

Parametri | Descrizione
Ok | Il punto di misurazione selezionato viene cancellato.
Annulla | Annulla il procedimento di cancellazione. La finestra di dialogo viene chiusa senza azione.
info Informazioni su
Se si cancella un punto di misurazione automatico con calcolo di valore relativo automatico, verranno cancellate anche le configurazioni relative (variabili e righe di codice) da zenon Logic.


Nuovo archivio

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> Nuovo archivio

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Nuovo archivio

Il pulsante „New archive (Nuovo archivio)" è visibile:

  • se nella scheda Absolute value (Valore assoluto) del wizard è attivo il comando Add vairalbe to archive (Aggiungere delle variabili all´archivio).
  • se nella scheda Valore relativo del wizard sono attivi i pulsanti Create variable (Generare una nuova variabile). oppure Add vairalbe to archive (Aggiungere delle variabili all´archivio).

Parametri

Descrizione

Short name (Denominazione breve archivio)

Nome breve dell´archivio da creare.

Massimo 2 caratteri, 0-9 oppure A-Z, deve essere univoco.

Attenzione: Non potete più cambiare l´identificazione in un secondo momento.

Identificazione archivio

Nome dell'archivio.

Default: Spazio

Tipo di archivio.

Tipo di registrazione:

  • Cyclic
    I dati vengono scritti nell´archivio in base all´intervallo di tempo impostato (Default).
  • ValueChange
    Registrazione in corrispondenza di un cambiamento del valore.

Tempo di ciclo

Definite in quale ciclo (giorni, ore, minuti e secondi) il sistema deve leggere i valori per gli archivi ciclici.

Default: 15 minuti (con archivi ciclici)

Mensile

Se attivo: I valori vengono letti ad ogni cambio del mese (archivi mensili).

Default: non attivo.

Ciclo di salvataggio

Definite in quale ciclo (giorni, ore, minuti) devono essere creati nuovi file d'archivio.

Default: 1 giorno

Nota: il comando è visualizzato in color grigio (non attivo) se il tempo di ciclo è mensile.

Mensile

Se attivo: Il salvataggio del file d'archivio avviene ad ogni cambio del mese.

Default: non attivo.

Chiudi finestra di dialogo

Parametri | Descrizione
Salva | Accetta le impostazioni e chiude il dialogo.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.
info Informazioni su
Ulteriori informazioni concernenti gli archivi le potete leggere nella guida dedicata al Server di archiviazione, e più precisamente nel capitolo Modifica archivi.

Archivi trigger o archivi gestiti dagli eventi non sono disponibili per l´amministrazione punti di misurazione.

Noch in diesem Kapitel

Informazioni di background

Visualizzazione di progettazioni erronee.

Validazione archivi


Informazioni di background

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> Nuovo archivio -> Informazioni di background

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Informazioni di background

Quando si creano nuovi archivi per variabili di valore assoluto e di valore relativo nell´amministrazione punti di misurazione, la durata di salvataggio dei file d'archivio è impostata sul massimo valore possibile.

Questo è necessario perché la modifica manuale mediante l´amministrazione punti di misurazione è possibile solo per file d'archivio non esportati (in formato *.ARX). Sono esclusi i dati che sono stati trasferiti in SQL: questi possono essere modificati manualmente in qualsiasi momento.

attention Attenzione

Gli file d'archivio trasferiti nel formato database interno .ARX non possono essere modificati. Selezionare quindi sempre il database-SQL per i dati d'archivio trasferiti.
Nota: si configura il trasferimento nella scheda Salva della finestra di dialogo Modifica archivio.

Raccomandazione:

Per limitare il numero di file da salvare è consigliabile configurare un ciclo di salvataggio abbastanza ampio.

Tipp Suggerimento

Progettate il vostro ciclo di salvataggio sempre >= 1 giorno.
Ulteriori informazioni su questo argomento le trovate nella parte della guida dedicata al Server di archiviazione, e più precisamente nel capitolo Modifica archivio, Salva.

Offset e tempo di attesa

Per garantire una corretta archiviazione del valore relativo, il modulo Amministrazione punti di misurazione esegue progettazioni automatiche.

Le seguenti impostazioni vengono effettuate automaticamente:

  • Offset: 5 secondi (solo per archivi relativi)
    Ulteriori informazioni le trovate nella parte della guida dedicata al Server di archiviazione, e più precisamente nel capitolo Modifica archivio, Tipo di registrazione.
  • Tempo di attesa VACO: 10 secondi
    Se è attivato un calcolo automatico di punti di misurazione per il valore relativo, il tempo di attesa di VACO deve essete impostato a 10 secondi e l´offset per nuovi archivi di valore relativo a 5 secondi.
    Per gli archivi di valore relativo già esistenti, l´offset deve essere manualmente verificato e modificato corrispondentemente.
    Ulteriori informazioni al proposito le trovare nella parte nel capitolo della guida Function Block VACO.

Informazioni durante la progettazione

Le informazioni corrispondenti vengono visualizzate durante la progettazione nella scheda Summary (Riassunto) per i punti di misurazione:

  • l´archivio per valore assoluto dovrebbe avere un offset 0 (avvertimento corrispondente)
  • l´archivio di valore relativo deve avere un offset 5 (informazione, l´adattamento viene effettuato automaticamente).
  • i due archivi devono essere diversi (avvertimento corrispondente)


Visualizzazione di progettazioni erronee.

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> Nuovo archivio -> Visualizzazione di progettazioni erronee.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Visualizzazione di progettazioni erronee.

Se si verifica un problema durante il processo di progettazione, il sistema provvede a segnalarlo mediante un simbolo di color rosso che appare accanto all´elemento problematico. Una descrizione dettagliata del problema la potete avere in forma di tooltip, che ottenete muovendo il mouse sul simbolo rosso di cui sopra.


Validazione archivi

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> Nuovo archivio -> Validazione archivi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Validazione archivi

Gli archivi utilizzati nel modulo Amministrazione punti di misurazione vengono analizzati durante la progettazione.

La validazione degli archivi per la progettazione avviene:

  • Dopo lo start del wizard, nella lista dei punti di misurazione.
    Una causa di configurazione erronea può essere la modifica dell´archivio direttamente nell´Editor di zenon.
  • Al momento della creazione/modifica di punti di misurazione (Editor).
  • Al momento della creazione di un nuovo archivio tramite l´amministrazione punti di misurazione (Editor e Runtime).
    La validazione viene inizializzata cliccando sul pulsante Save (Salva).

Criteri di configurazione per archivi di valore relativo.

Per punti di misurazione automatici sono applicabili certi criteri di configurazione agli archivi di valore relativo. Questi criteri risultano dalla logica del calcolo del valore relativo.
Gli archivi creati con il wizard corrispondono sempre a questi criteri.

  • Il tempo di ciclo non può essere maggiore a quello di salvataggio.
  • Il ciclo di salvataggio deve essere pari ad un multiplo intero del tempo di ciclo.
  • Se si è selezionato "Cambio mese" come tempo di ciclo, il ciclo di salvataggio deve essere "Cambio mese" o "Cambio anno".
  • Se si è selezionato "Cambio mese" come ciclo di salvataggio, il tempo di ciclo può essere il tempo di ciclo al massimo pari ad 1 giorno.

Noch in diesem Kapitel

Esempi


Esempi

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Metering Points (Punti di misurazione) -> Nuovo archivio -> Validazione archivi -> Esempi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Esempi

Il tempo di ciclo è maggiore al ciclo di salvataggio.

Il ciclo di salvataggio non è un multiplo intero del tempo di ciclo.

Tempo di ciclo erroneo in caso di ciclo di salvataggio mensile.


Contatori

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Contatori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Contatori

In questa scheda c´è la possibilità di creare nuovi contatori, di gestire quelli esistenti e di far apparire la lista contenente i contatori creati in precedenza.

Parametri | Descrizione
Nuovo... | Apre la finestra di dialogo Crea nuovo contatore.
Modifica... | Apre la finestra di dialogo per la Modifica di un contatore selezionato.
Elimina | Cancella il contatore selezionato.

Lista dei contatori configurati.

Parametri | Descrizione
Nome | Nome del contatore.
Descrizione | Descrizione del contatore.
Manufacturer (produttore) | Produttore del contatore.
Metering Type (tipo di contatore) | Tipo del contatore.
Numero di serie | Numero di serie del contatore.
Commento | Commento sul contatore.
Year of construction (anno di produzione) | Anno di produzione del contatore.

Navigazione

Pulsante | Descrizione
Exit | Chiude il Wizard. Le modifiche non salvate andranno perdute.

Noch in diesem Kapitel

Creare un nuovo contatore (Create new meter)

Modifica contatori

Cancella contatore


Creare un nuovo contatore (Create new meter)

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Contatori -> Creare un nuovo contatore (Create new meter)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Creare un nuovo contatore (Create new meter)

In questa finestra di dialogo (sia nel Wizard che a Runtime) si configurano i contatori e si modificano le configurazioni esistenti.

Parametri | Descrizione
Nome | Identificazione del contatore. Campo obbligatorio
Descrizione | Descrizione relativa al contatore. Inserimento facoltativo
Commento | Commento relativo al contatore. Inserimento facoltativo
Metering Type (Tipo di punto di misurazione) | Tipo del contatore. Menù a tendina contenente i tipi già progettati. Questo menù a tendina corrisponde anche alla lista dei tipi per la creazione di un nuovo punto di misurazione. Inserimento facoltativo
Manufacturer (produttore) | Nome del produttore del contatore. Inserimento facoltativo
Numero di serie | Numero di serie del contatore. Inserimento facoltativo
Year of construction (anno di produzione) | Anno di produzione del contatore. Inserimento facoltativo

Chiudi finestra di dialogo

Parametri | Descrizione
Save & New (Salva e nuovo) | Salva il nuovo contatore. Subito dopo si apre di nuovo la finestra di dialogo che serve a creare un nuovo contatore; essa è vuota. Si può procedere alla configurazione di ulteriori contatori.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.

Nota: Una volta che gli inserimenti sono stati salvati, il sistema scrive un nuovo inserimento nella banca dati e la lista dei contatori viene integrata con l´aggiunta di un nuovo inserimento.

Noch in diesem Kapitel

Progettazione di un contatore


Progettazione di un contatore

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Contatori -> Creare un nuovo contatore (Create new meter) -> Progettazione di un contatore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Progettazione di un contatore

Per creare un nuovo contatore, procedere nel modo seguente:

  1. Cliccare nel Wizard sulla scheda Contatori.
  2. Cliccare su Nuovo.
  3. Si aprirà la finestra di dialogo per la creazione o la modifica di un contatore.

  4. Inserire le informazioni relative al contatore.

Nota: in caso di inserimenti errati, viene visualizzato un triangolo rosso accanto al campo di inserimento.


Modifica contatori

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Contatori -> Modifica contatori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Modifica contatori

Per modificare un contatore esistente, procedete nel modo seguente:

  1. Passate alla scheda Meter (Contatore)
  2. Selezionate il contatore in questione nella lista di quelli già configurati.
  3. Cliccate su Edit (Modifica).
  4. Si apre la finestra di dialogo Edit meter (Modifica contatore).
  5. Aggiungete le informazioni desiderate e gestite il contatore a piacere.
  6. Cliccate su Save & Close (Salva e chiudi).


Cancella contatore

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Contatori -> Cancella contatore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Cancella contatore

Per cancellare un contatore esistente, procedete nel modo seguente:

  1. Selezionate nella scheda Meter (Contatore) il contatore che intendere cancellare.
  2. Cliccate poi sul pulsante Delete (Cancella); apparirà una finestra di dialogo che vi chiede conferma dell´intenzione di cancellare il contatore e voi cliccate su OK.
  3. Il contatore selezionato viene cancellato.

Nota: Se un contatore è già collegato ad un punto di misurazione, non lo si può cancellare. In questo caso il pulsante Cancella sarà visualizzato in color grigio (non attivo). Per cancellare un contatore che è stato già assegnato, lo si deve prima scollegare dal punto di misurazione, oppure sostituire nel Runtime.


Progetto multiutente.

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Wizard - Metering Point Administration -> Progetto multiutente.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Progetto multiutente.

Il Wizard per l´amministrazione punti di misurazione dell´Editor di zenon non supporta i progetto multiutente.

Se nel workspace ci sono dei progetti multiutente, si aprirà una finestra di dialogo corrispondente al momento dell´avvio del Wizard:

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

Se nel workspace ci sono solamente dei progetti multiutente, verrà visualizzato il seguente messaggio:

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

Convertire un progetto multiutente in un progetto standard

È possibile convertire un progetto multiutente in un progetto standard di zenon "non multi-utente":

  1. Creare una copia del progetto:
    Selezionare nel menù contestuale del progetto in questione il comando Progetto -> Salva con nome....
    Si aprirà la finestra di dialogo per salvare i dati di progetto.
  2. Inserire un nuovo nome.
  3. Il progetto salvato verrà riletto e creato nell´attuale workspace come nuovo progetto "non multiutente".

info Informazioni su

Se questo progetto si trova in un contesto di progetti multiutente, bisogna tenere presente i riferimenti di progetto.

Ulteriori informazioni su questo argomento si trovano nella parte della guida relativa alla Gestione progetto e Workspace, nel capitolo Sostituzione link progetto.


Progettazione nell´Editor di zenon:

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Progettazione nell´Editor di zenon:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell`Editor di zenon, progettare in un´immagine un elemento ActiveX, per poter poi usare la Amministrazione punti di misurazione a Runtime.

  1. Per farlo, creare una nuova immagine nell´Editor di zenon.
  2. Selezionare l´elemento ActiveX e delimitare con questo un´area nell´immagine.
  3. Si aprirà la finestra di dialogo Introduzione elemento.
  4. In questa finestra di dialogo, selezionare MeteringPointControl.MeteringPointUserControl nella lista degli Elementi ActiveX.
  5. Fare attenzione che questo elemento ActiveX abbia delle dimensioni minime pari a 900 pixel di larghezza e a 575 pixel di altezza, in modo tale che possa essere visualizzato in modo corretto a Runtime.

info Informazioni su

Ulteriori informazioni sull´elemento ActiveX si trovano nella parte della guida dedicata alle Immagini, nel capitolo Elementi d'immagine/ActiveX.


Metering Point Administration - Amministrazione punti di misurazione nel Runtime

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A Runtime:

  • Vengono collegati i punti di misurazione e i contatori configurati.
  • Vengono creati i nuovi contatori.
  • Vengono modificate le informazioni esistenti relative ai contatori.
  • Vengono inseriti valori manuali.

Noch in diesem Kapitel

Banca dati

Metering Points (Punti di misurazione)

Contatori

Amministrazione punti di misurazione nella rete di zenon


Banca dati

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Banca dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Banca dati

Parametri

Descrizione

Database Host (Host banca dati)

Lista a cascata che serve alla selezione del server del database.

Selezionate, per esempio, il vostro computer in questo campo. Nota: Quando aprite questa scheda, il vostro computer viene visualizzato come selezione di default.

Autenticazione

Lista a cascata che serve alla selezione del metodo di login:

  • Windows Authentication (Default):
    Il login nella banca dati avviene usando le informazioni dell´utente registrato sul calcolatore locale.
  • SQL Server Authentication:
    Il nome utente e la password devono essere inseriti manualmente. Per effettuare il login nella banca dati bisogna disporre delle relative informazioni.

Nome utente

Nome utente per il login in una banca dati.

È visualizzato in color grigio (disattivato) se l´autenticazione è Windows Authentication.

Password

Password per effettuare il login in una banca dati.
Per ragioni di sicurezza, quando si digita la password ogni lettera viene visualizzata per mezzo di *.

È visualizzato in color grigio (disattivato) se l´autenticazione è Windows Authentication.

Connect (Connetti)

Instaura la connessione con il server di banca dati configurato.

Se non dovesse essere possibile instaurare una connessione (ad es., per inserimento di un nome utente o/e di una password erronei), il sistema provvede a visualizzare una finestra di dialogo che informa dell´errore commesso.

Visualizzato in color grigio (disattivato) se esiste già una connessione al server di database.

Disconnetti

Interrompe una connessione esistente con un server di database.

Visualizzato in color grigio (disattivato) se non c´è nessuna connessione attiva.

Database Name (Nome dal Database)

Menù a tendina per la selezione di un database.

Questa lista mostra tutte le banche dati disponibili del server di database configurato alla voce Datenbank-Host.

Se questa lista è vuota, non esiste nessun collegamento ad un server di banca dati, oppure nessuna banca dati SQL è disponibile sul computer selezionato.

Start configuration (Avvia la configurazione)

Si passa alla scheda Metering Points (punti di misurazione).

Se al momento non esiste una connessione con una banca dati, cliccando sul pulsante Start configuration viene stabilito automaticamente un collegamento utilizzando le informazioni di login che sono già state inserite.

Se questo inserimento è errato o incompleto, non è possibile modificare altre impostazioni nelle schede Metering Points (Punti di misurazione) e Meters (Contatori). Per poterlo fare, si deve sempre avere una connessione con una banca dati!

Navigazione

Pulsante | Descrizione
Exit | Chiude il Wizard. Le modifiche non salvate andranno perdute.
info Informazioni su
Se esiste già una connessione ad una banca dati, tutti i campi di inserimento vengono visualizzati in color grigio (disattivati).


Metering Points (Punti di misurazione)

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points (Punti di misurazione)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Metering Points (Punti di misurazione)

In questa scheda si gestiscono i punti di misurazione nel Runtime di zenon.

Parametri | Descrizione
Assign Meter... (Assegna contatore...) | Attivo solamente se al punto di misurazione selezionato non è stato ancora assegnato nessun contatore.
Replace Meter...(Sostituisci contatore ...) | Attivo solamente se al punto di misurazione selezionato è stato già assegnato un contatore.
Manual value input... (Inserimento manuale valore...) | Consente di inserire manualmente un valore per il punto di misurazione selezionato. Se nella lista dei punti di misurazione se ne seleziona uno, il pulsante Inserimento manuale valore sarà visualizzato in colore grigio (non attivo).
Post-editing... (Post-elaborazione...) | Consente una post-elaborazione dei valori relativi dei punti di misurazione.
History... (Storia...) | Realizza un log con le informazioni concernenti la modifica dei punti di misurazione e la sostituzione di contatori.
Reload (Ricaricare) | Ricarica le configurazioni di zenon nel Runtime e riceve nuove impostazioni dalla banca dati.
info Informazioni su
Se una variabile di un progetto non è disponibile, il sistema ve lo fa presente per mezzo di un simbolo di color rosso che appare nella visualizzazione a lista. In questo caso, verificate se il progetto contenente questa variabile è caricato. .

Noch in diesem Kapitel

Assegna, sostituisci e cancella contatori

Inserimento valore manuale.

Post-elaborazione

Cronologia


Assegna, sostituisci e cancella contatori

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points (Punti di misurazione) -> Assegna, sostituisci e cancella contatori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Assegna, sostituisci e cancella contatori

In questa finestra di dialogo potete assegnare singoli contatori ad un punto di misurazione, li potete modificare oppure eliminare.

Nel caso dei punti di misurazione automatici, si apre sempre la finestra di dialogo di post-elaborazione quando si cerca di effettuare una modifica dell´assegnazione di contatori (nuova assegnazione, modifica, cancellazione).

Punto di misurazione

Parametri | Descrizione
Nome | Nome del punto di misurazione. Non modificabile in questa finestra di dialogo.
Location (Luogo) | Luogo del punto di misurazione. Non modificabile in questa finestra di dialogo.
Descrizione | Descrizione del punto di misurazione. Non modificabile in questa finestra di dialogo.
Unità di misura | Unità di misura del punto di misurazione. Non modificabile in questa finestra di dialogo.
Metering Type (tipo di contatore) | Tipo del contatore. Non modificabile in questa finestra di dialogo.

Manuale

Parametri | Descrizione
Date and Time (Data e ora) | Data e ora dell´assegnazione contatore o della sostituzione contatore. Default: Intervallo di interrogazione (query time period), arrotondato all´ora piena. Cliccando sul menù a tendina, si apre la finestra di dialogo che serve alla selezione di data e ora. Nota: è possibile inserire solo delle date a partire dal 1° 1° 2000. Richiami anteriori a questa data non sono validi, e vengono segnalati mediante un simbolo di colore rosso.
Area | L´area della variabile di valore assoluto.
Min. | Spettro minimo di valori possibili. Non modificabile in questa finestra di dialogo.
Max. | Spettro massimo di valori possibili. Non modificabile in questa finestra di dialogo.
Valore vecchio | Valore del vecchio contatore al momento della sua sostituzione. Default: 0 Nota: Visibile solo nel caso di sostituzione del contatore.
Valore nuovo | Valore del nuovo contatore al momento della sostituzione. Default: 0 Nota: Se l´inserimento si trova al di fuori dello spettro dei valori possibili della variabile (min./max.), il dato erroneo viene adattato automaticamente allo spettro possibile.

Contatori disponibili.

Parametri | Descrizione
Contatori disponibili. | Lista dei contatori disponibili. Vengono visualizzati tutti i contatori del tipo adatto che non sono ancora assegnati a nessun punto di misurazione. Si può selezionare solo un contatore per punto di misurazione.
Selezionare | Assegna il contatore selezionato e trasferisce i suoi valori alla sezione Assegna contatore.
Elimina | Cancella l´assegnazione di un contatore ad un punto di misurazione. Il contatore stesso non viene però cancellato, e viene mantenuto nella lista dei contatori.

Assegna contatori

Parametri | Descrizione
Nome | Nome del contatore assegnato. Non modificabile in questa finestra di dialogo.
Descrizione | Descrizione del contatore assegnato. Non modificabile in questa finestra di dialogo.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.

Noch in diesem Kapitel

Progettazione - Assegnazione contatori

Assegnazione contatori per punti di misurazione manuali.

Assegnazione contatori per punti di misurazione automatici.


Progettazione - Assegnazione contatori

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points (Punti di misurazione) -> Assegna, sostituisci e cancella contatori -> Progettazione - Assegnazione contatori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Progettazione - Assegnazione contatori

Per assegnare un contatore ad un punto di misurazione, oppure per modificare un´assegnazione esistente, procedete come segue:

  1. Selezionate nella Lista dei punti di misurazione un punto di misurazione.
  2. Cliccate su:
    1. Assign Meter (Assegna contatori), se al punto di misurazione non è ancora stato assegnato nessun contatore.
    2. Replace Meter (Sostituisci contatore), se al punto di misurazione è stato già assegnato un contatore..
  3. Si apre la finestra di dialogo Assign Meter/Replace Meter (Assegna/ sostituisci contatori).
  4. In caso di cambio o assegnazione di un contatore, indicare nel campo di inserimento Nuovo valore il valore attuale del contatore che si vuole assegnare.
    Se questo valore esiste già nell´archivio, verrà visualizzato un messaggio di avvertimento.
    Gli inserimenti che non rientrano nell´intervallo di input, verranno automaticamente modificati nel valore massimo o minimo.
    Nota: per i punti di misurazione automatici, il valore inserito qui nella colonna Valore assoluto della Finestra di dialogo di post-elaborazione viene visualizzato in color verde.
  5. Quando si sostituisce un contatore o si cancella l´assegnazione di un contatore:
    Digitare nel campo di inserimento Old value (vecchio valore) anche il valore attuale del contatore da sostituire o da eliminare.
    Gli inserimenti che non rientrano nell´intervallo di input, verranno automaticamente modificati nel valore massimo o minimo.
    Nota: per i punti di misurazione automatici, il valore inserito qui nella colonna Valore assoluto della Finestra di dialogo di post-elaborazione viene visualizzato in color verde.
  6. Selezionare un contatore fra quelli della lista Contatori disponibili .
    Nota: In essa si trovano tutti i contatori con lo stesso tipo di punto di misurazione del punto di misurazione selezionato.
  7. Configurate l´assegnazione del contatore:
    1. Per assegnare il contatore scelto al punto di misurazione, cliccate sul pulsante Select (Seleziona).
    2. Per eliminare il collegamento fra il punto di misurazione ed un contatore ad esso assegnato, cliccate sul pulsante Delete (Cancella).
  8. Il contatore selezionato:
    1. viene trasferito nell´area Assign meter (Assegna contatore).
    2. viene cancellato dall´area Assign meter (Assegna contatore).
  9. Cliccate su OK per finalizzare l´assegnazione.
  10. La finestra di dialogo viene chiusa:
    1. Per i punti di misurazione manuali:
      I valori assoluti vengono scritti nell´archivio valore assoluto. I valori relativi corrispondenti vengono calcolati automaticamente e scritti nell´archivio valore relativo.
    2. Per i punti di misurazione automatici
      Si apre la finestra di dialogo di post-elaborazione.


Assegnazione contatori per punti di misurazione manuali.

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points (Punti di misurazione) -> Assegna, sostituisci e cancella contatori -> Assegnazione contatori per punti di misurazione manuali.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Assegnazione contatori per punti di misurazione manuali.

I valori scritti automaticamente nell´archivio dipendono dall´azione:

  1. Riassegna contatore:
    nuovo valore
  2. Cancella contatore:
    vecchio valore
  3. Sostituisci contatore:
    tutte e due i valori
    Nota: time stamp per sostituzione contatore:
    1. vecchio valore: time stamp attuale
    2. nuovo valore: due secondi più tardi rispetto al time stamp del vecchio valore.

Calcolo valore relativo

I valori relativi vengono ricalcolati automaticamente.

  1. Durante l´assegnazione:
    1. Sono i valori relativi fra il nuovo valore e l´ultimo valore assoluto trovato che vengono ricalcolati.
    2. Sono i valori relativi fra il nuovo valore e il primo valore assoluto trovato dopo che vengono ricalcolati.
  2. Durante la cancellazione:
    1. Sono i valori relativi fra il vecchio valore e l´ultimo valore assoluto trovato prima che vengono ricalcolati.
    2. Sono i valori relativi fra il vecchio valore e il primo valore assoluto trovato dopo che vengono ricalcolati.
  3. Durante la sostituzione:
    1. Sono i valori relativi fra il vecchio valore e l´ultimo valore assoluto trovato prima che vengono ricalcolati.
    2. Sono i valori relativi fra il nuovo valore e il primo valore assoluto trovato dopo che vengono ricalcolati.

Finestra di dialogo di avvertimento.

Quando si effettua una sostituzione di contatore in un momento in cui esiste già un inserimento di archivio, esso deve essere sovrascritto. Una finestra di dialogo appare per avvertire l´utente.

Parametri | Descrizione
Sì | Accetta le impostazioni e chiude il dialogo.
No | Annulla tutte le modifiche e chiude la finestra di dialogo.
Annulla | Mantiene tutte le modifiche. Le modifiche non vengono eseguite. La finestra di dialogo rimane aperta per consentire di effettuare correzioni.


Assegnazione contatori per punti di misurazione automatici.

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points (Punti di misurazione) -> Assegna, sostituisci e cancella contatori -> Assegnazione contatori per punti di misurazione automatici.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Assegnazione contatori per punti di misurazione automatici.

Con i punti di misurazione automatici, si apre sempre la finestra di dialogo di post-elaborazione quando si modifica l´assegnazione di un contatore. I valori (Vecchio valore e Nuovo valore) configurati nella finestra di dialogo di assegnazione verranno visualizzati in verde nella colonna Valore assoluto. Il time stamp verrà relativo verrà incrementato di due secondi.

info Informazioni su

I nuovi valori vengono accettati nell´archivio di valore relativo solo dopo il completamento della configurazione nella finestra di dialogo di post-elaborazione!!


Inserimento valore manuale.

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points (Punti di misurazione) -> Inserimento valore manuale.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inserimento valore manuale.

Valori manuali possono essere inseriti solamente per punti di misurazione manuali (cioè non automatici). Con lo strumento dell´inserimento di valori manuali, è possibile inserire valori per un certo punto nel tempo. Non sono consentiti inserimenti di valore per il futuro.

Punto di misurazione

Parametri | Descrizione
Nome | Nome del punto di misurazione. Non modificabile in questa finestra di dialogo.
Location (Luogo) | Luogo del punto di misurazione. Non modificabile in questa finestra di dialogo.
Descrizione | Descrizione del punto di misurazione. Non modificabile in questa finestra di dialogo.
Unità di misura | Unità di misura del punto di misurazione. Non modificabile in questa finestra di dialogo.
Metering Type (tipo di contatore) | Tipo del contatore. Non modificabile in questa finestra di dialogo.

Impostazioni per valore manuale.

Parametri | Descrizione
Date and Time (Data e ora) | Data e ora dell´inserimento del valore assoluto. Cliccando sul menù a tendina, si apre la finestra di dialogo che serve alla selezione di data e ora. Nota: è possibile inserire solo delle date a partire dal 1° 1° 2000. Richiami anteriori a questa data non sono validi, e vengono segnalati mediante un simbolo di colore rosso. Default: Momento dell´interrogazione (query time point) arrotondato all´ora completa.
Valore | Valore assoluto del contatore manuale. Nota: Se l´inserimento si trova al di fuori dello spettro dei valori consentiti per la variabile (Min./Max.), il sistema provvede ad avvertire l´utente mediante un simbolo di color rosso. Default: Ultimo valore assoluto salvato nell´archivio.
Area | Area di valori per il valore assoluto.
Min. | Valore minimo della variabile di valore assoluto. Non modificabile in questa finestra di dialogo.
Max. | Valore massimo della variabile di valore assoluto. Non modificabile in questa finestra di dialogo.

Chiudi finestra di dialogo

Parametri | Descrizione
Ok | Accetta le impostazioni e chiude il dialogo.
Elimina | Annulla tutte le modifiche e chiude la finestra di dialogo.

Noch in diesem Kapitel

Inserimento valore manuale.


Inserimento valore manuale.

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points (Punti di misurazione) -> Inserimento valore manuale. -> Inserimento valore manuale.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Inserimento valore manuale.

Per inserire valori manualmente:

  1. Selezionate un punto di misurazione manuale fra quelli della lista dei punti di misurazione.
  2. Cliccate sul pulsante Manual value input (Inserimento valore manuale)
  3. Si apre la finestra di dialogo Inserimento valore manuale.
  4. Scegliete data e ora del valore manuale:
    A tal scopo, cliccate sul menù a tendina Data e ora, oppure inserite direttamente nel campo di inserimento il tempo corrispondente.
    Attenzione: inserimenti di valore manuali non possono essere nel futuro!
  5. Inserite il nuovo valore nel campo di inserimento.
    Nota: Lo spettro di valori consentiti per la variabile selezionata è indicato alla voce Area.
  6. Cliccate su OK, per applicare il nuovo valore con il time stamp configurato.
  7. L´inserimento di valore viene validato.
    Se per il momento prescelto esiste già un valore, si apre una finestra di dialogo che lo fa presente all´utente.
  8. I valori relativi vengono ricalcolati automaticamente.
    Dopo l´inserimento di valore, accade quanto segue:
    1. Si calcola in modo susseguente dal valore inserito fino all´ultimo valore assoluto trovato.
    2. Si calcola in modo susseguente dal valore inserito fino al prossimo valore assoluto trovato.

Dialogo in caso di doppi inserimenti di valore.

Se esiste già un inserimento di di archivio al momento temporale prescelto, esso deve essere sovrascritto. Una finestra di dialogo appare per avvertire l´utente.

Parametri | Descrizione
Sì | Accetta le impostazioni e chiude il dialogo.
No | Annulla tutte le modifiche e chiude la finestra di dialogo.
Annulla | Mantiene tutte le modifiche. Le modifiche non vengono eseguite. La finestra di dialogo rimane aperta per consentire di effettuare correzioni.

Visualizza inserimenti di valore.manuali

Tipp Suggerimento

Per farvi visualizzare gli inserimenti di valore manuali usate il pulsante Post-editing (Post-elaborazione).


Post-elaborazione

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points (Punti di misurazione) -> Post-elaborazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Post-elaborazione

In questa finestra di dialogo potete modificare in un secondo momento valori provenienti da un archivio. Gli inserimenti mancanti per valori relativi possono essere interpolati in modo da ottenere una serie di valori relativi ininterrotta, chiudendo per es. eventuali lacune.

Se si si sostituisce o elimina il contatore per un punto di misurazione automatico, si apre anche la finestra di dialogo per la post-elaborazione.

Metering Points (Punti di misurazione)

Parametri | Descrizione
Nome | Nome del punto di misurazione. Non modificabile in questa finestra di dialogo.
Location (Luogo) | Luogo del punto di misurazione. Non modificabile in questa finestra di dialogo.
Descrizione | Descrizione del punto di misurazione. Non modificabile in questa finestra di dialogo.
Metering Type (Tipo di punto di misurazione) | Tipo di punto di misurazione. Non modificabile in questa finestra di dialogo.

Valori

Parametri | Descrizione
Time period (Intervallo tempo) | Intervallo di tempo dei valori relativi e assoluti che deve essere visualizzato.
From (Da) | Inizio della time query. Cliccando sul menù a tendina, si apre la finestra di dialogo che serve alla selezione di data e ora. Nota: è possibile inserire solo delle date a partire dal 1° 1° 2000. Richiami anteriori a questa data non sono validi, e vengono segnalati mediante un simbolo di colore rosso. Default: Momento dell´interrogazione (query time point) - 2 h (arrotondato al minuto completo).
To (A) | Fine della time query. Cliccando sul menù a tendina, si apre la finestra di dialogo che serve alla selezione di data e ora. Nota: è possibile inserire solo delle date a partire dal 1° 1° 2000. Richiami anteriori a questa data non sono validi, e vengono segnalati mediante un simbolo di colore rosso. Default: Momento dell´interrogazione (query time point) - (arrotondato al prossimo minuto completo)
Load (Caricare) | Carica i dati d'archivio per i valori assoluto e relativo concernenti l´intervallo di tempo selezionato e li mostra nella lista degli inserimenti della lista.
Interpolate (interpolare) | Adatta i valori relativi nell´area compresa fra i due valori selezionati dall´utente. Selezione di inizio e fine tramite un clic e premendo il tasto Shift.
Applica | Scrive le modifiche effettuate nell´archivio.
Area | Intervallo di valori del valore relativo.
Min. | Valore minimo della variabile di valore relativo. Non modificabile in questa finestra di dialogo.
Max. | Valore massimo della variabile di valore relativo. Non modificabile in questa finestra di dialogo.

Lista degli inserimenti di archivio,

La lista è vuota quando viene aperta la finestra di dialogo. Dopo che è stato inserito un tempo di interrogazione (query time) ed è stato premuto il pulsante Load (caricare), il sistema provvede a riempire la lista degli inserimento di archivio trovati.

Parametri | Descrizione
Tempo | Dato relativo al tempo dell´inserimento di archivio. Formato: GG.MM.AAAA hh:mm:ss
Absolute value (Valore assoluto) | Valore assoluto dell´inserimento di archivio. Nota: i valori che sono stati accettati da un´assegnazione, cambio o cancellazione di un contatore, vengono visualizzati in color verde.
Relative value (Valore relativo) | Valore relativo dell´inserimento di archivio.

Chiudi finestra di dialogo

Parametri | Descrizione
Chiudi | Chiude la finestra di dialogo.

Noch in diesem Kapitel

Post-elaborazione di valori.


Post-elaborazione di valori.

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points (Punti di misurazione) -> Post-elaborazione -> Post-elaborazione di valori.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Post-elaborazione di valori.

Per modificare dei valori in un secondo momento:

  1. Selezionate innanzitutto nella scheda Punti di misurazione il punto di misurazione desiderato.
  2. Cliccate sul pulsante Post-elaborazione.
  3. Si aprirà la finestra di dialogo per la post-elaborazione.
  4. Selezionate un intervallo di tempo.
  5. Cliccate su Caricare per caricare i dati d'archivio concernenti i valori assoluti e relativi dell´intervallo di tempo selezionato.
  6. Gli inserimenti di valore trovati vengono visualizzati nella lista degli inserimenti di archivio.

Interpolare valori

Un requisito per poter interpolare dei valori è che esistano dei valori assoluti:

  1. Passare alla lista degli inserimenti di archivio e selezionare quei valori assoluti che si desidera usare per il calcolo di valori relativi.
  2. Per farlo, tenere premuto il tasto shift e selezionare il valore iniziale e quello finale che devono essere usati per l´interpolazione.
  3. Cliccare su Interpolare e il sistema calcola automaticamente i valori relativi esistenti tra di essi.
  4. I nuovi valori verranno visualizzati nella colonna "Valori relativi".
  5. Cliccare sul pulsante Applica per accettare nell´archivio i valori relativi appena calcolati.

Se si selezionano dei valori errati per l´interpolazione, verrà visualizzata una finestra di dialogo.

Inserimento di valori relativi

  1. Cliccare all´interno della lista degli inserimenti di archivio sul valore relativo che si vuole modificare.
  2. Si attiverà il campo per l´inserimento del valore relativo.
  3. Digitare il nuovo valore desiderato per il valore relativo.
  4. L´inserimento verrà validato.

Validazione

Se il valore inserito si trova al di fuori dello spettro di quelli consentiti, il sistema non consente di portare a terminare l´input del valore nel campo di inserimento. In questo caso appare un simbolo di color rosso all´inizio della riga. Una descrizione dettagliata dell´errore la potete avere in forma di tooltip, che ottenete muovendo il mouse sul simbolo rosso di cui sopra.

Nota: non è consentito lasciare vuoto il campo di inserimento riservato all´input valore. In questo caso digitate il numero 0.


Cronologia

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Metering Points (Punti di misurazione) -> Cronologia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Cronologia

La finestra di dialogo "Punti di misurazione-Cronologia" mostra lo stato di avanzamento della progettazione del punto di misurazione selezionato. . Non è previsto effettuare delle modifiche in questa finestra di dialogo.

Parametri | Descrizione
Nome | Nome del punto di misurazione. Non modificabile in questa finestra di dialogo.
Location (Luogo) | Luogo del punto di misurazione. Non modificabile in questa finestra di dialogo.
Descrizione | Descrizione del punto di misurazione. Non modificabile in questa finestra di dialogo.
Metering Type (Tipo di punto di misurazione) | Tipo di punto di misurazione. Non modificabile in questa finestra di dialogo.

Cronologia - History

Parametri

Descrizione

Tempo

Tempo dell´assegnazione del contatore o della sostituzione del contatore.

Vecchio nome del contatore

Nome del vecchio contatore.

Vecchio valore del contatore

Valore del vecchio contatore.

Nuovo nome del contatore

Nome del nuovo contatore.

Nuovo valore del contatore

Valore del nuovo contatore.

ID utente

Identificazione dell´utente che ha effettuato l´inserimento relativo alla sostituzione del contatore.

Nome utente

Nome dell´utente che ha effettuato l´inserimento relativo alla sostituzione del contatore.

Tipo di modifica

Viene visualizzato il tipo di modifica effettuata.

  • Added
    Quando un contatore viene assegnato per la prima volta.
    = Assegna contatore
  • Changed
    Quando viene effettuato una sostituzione contatore
    = Sostituisci contatore
  • Deleted
    L´assegnazione di un contatore è stata rimossa. Non è stato assegnato nessun nuovo contatore al punto di misurazione.

Chiudi

Chiude la finestra di dialogo.

info Informazioni su

La cronologia mostra solamente le modifiche concernenti le assegnazioni contatore ad un punto di misurazione.

Essa non mostra i cambi di valore.


Contatori

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Contatori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Contatori

In questa scheda avviene la gestione dei contatori nel Runtime.

Parametri | Descrizione
New (Nuovo) | Apre la finestra di dialogo che serve a creare un nuovo contatore.
Modifica | Apre la finestra di dialogo che serve a modificare il contatore selezionato.
Elimina | Cancella il contatore selezionato.

Lista dei contatori.

Parametri | Descrizione
Nome | Nome del contatore creato.
Descrizione | Descrizione del contatore.
Manufacturer (produttore) | Produttore del contatore.
Metering Type (tipo di contatore) | Tipo di contatore.
Numero di serie | Numero di serie del contatore.
Commento | Commento relativo al contatore creato.
Year of construction (anno di produzione) | Anno di produzione del contatore.

Noch in diesem Kapitel

Create new meter (Creare un nuovo contatore)

Modifica contatori

Cancella contatore


Create new meter (Creare un nuovo contatore)

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Contatori -> Create new meter (Creare un nuovo contatore)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Create new meter (Creare un nuovo contatore)

In questa finestra di dialogo (sia nel Wizard che a Runtime) si configurano i contatori e si modificano le configurazioni esistenti.

Parametri | Descrizione
Nome | Identificazione del contatore. Campo obbligatorio
Descrizione | Descrizione relativa al contatore. Inserimento facoltativo
Commento | Commento relativo al contatore. Inserimento facoltativo
Metering Type (Tipo di punto di misurazione) | Tipo del contatore. Menù a tendina contenente i tipi già progettati. Questo menù a tendina corrisponde anche alla lista dei tipi per la creazione di un nuovo punto di misurazione. Inserimento facoltativo
Manufacturer (produttore) | Nome del produttore del contatore. Inserimento facoltativo
Numero di serie | Numero di serie del contatore. Inserimento facoltativo
Year of construction (anno di produzione) | Anno di produzione del contatore. Inserimento facoltativo

Chiudi finestra di dialogo

Parametri | Descrizione
Save & New (Salva e nuovo) | Salva il nuovo contatore. Subito dopo si apre di nuovo la finestra di dialogo che serve a creare un nuovo contatore; essa è vuota. Si può procedere alla configurazione di ulteriori contatori.
Annulla | Annulla tutte le modifiche e chiude la finestra di dialogo.

Nota: Una volta che gli inserimenti sono stati salvati, il sistema scrive un nuovo inserimento nella banca dati e la lista dei contatori viene integrata con l´aggiunta di un nuovo inserimento.

Noch in diesem Kapitel

Progettazione di un contatore nel Runtime.


Progettazione di un contatore nel Runtime.

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Contatori -> Create new meter (Creare un nuovo contatore) -> Progettazione di un contatore nel Runtime.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Progettazione di un contatore nel Runtime.

Per creare un nuovo contatore, procedere nel modo seguente:

  1. Cliccare sulla scheda Contatori.
  2. Cliccare su Nuovo.
  3. Si aprirà la finestra di dialogo per la creazione, o la modifica di un contatore.
  4. Inserite le informazioni concernenti il contatore.

Nota: Il sistema provvede ad avvertirvi nel caso abbiate effettuato inserimenti errati mediante un simbolo di color rosso che appare accanto al campo di inserimento.


Modifica contatori

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Contatori -> Modifica contatori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Modifica contatori

Per modificare un contatore esistente, procedete nel modo seguente:

  1. Passate alla scheda Meter (Contatore)
  2. Selezionate il contatore in questione nella lista di quelli già configurati.
  3. Cliccate su Edit (Modifica).
  4. Si apre la finestra di dialogo Edit meter (Modifica contatore).
  5. Aggiungete le informazioni desiderate e gestite il contatore a piacere.
  6. Cliccate su Save & Close (Salva e chiudi).


Cancella contatore

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Contatori -> Cancella contatore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Cancella contatore

Per cancellare un contatore esistente, procedete nel modo seguente:

  1. Selezionate nella scheda Meter (Contatore) il contatore che intendere cancellare.
  2. Cliccate poi sul pulsante Delete (Cancella); apparirà una finestra di dialogo che vi chiede conferma dell´intenzione di cancellare il contatore e voi cliccate su OK.
  3. Il contatore selezionato viene cancellato.

Nota: Se un contatore è già collegato ad un punto di misurazione, non lo si può cancellare. In questo caso il pulsante Cancella sarà visualizzato in color grigio (non attivo). Per cancellare un contatore che è stato già assegnato, lo si deve prima scollegare dal punto di misurazione, oppure sostituire nel Runtime.


Amministrazione punti di misurazione nella rete di zenon

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Metering Point Administration - Amministrazione punti di misurazione nel Runtime -> Amministrazione punti di misurazione nella rete di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Amministrazione punti di misurazione nella rete di zenon

Se si esegue l´Amministrazione punti di misurazione a Runtime su un client e il server primario smette di funzionare, il modulo viene disattivato. In questo caso, verrà visualizzato un messaggio corrispondente nel Runtime di zenon.

Gli inserimenti delle finestre di dialogo ancora aperte al momento dell´interruzione del funzionamento del server, verranno ignorati. In questo modo si evita che ci siano delle incongruenze fra i dati degli archivi/Lista Eventi Cronologica di zenon e i dati storici dell´amministrazione punti di misurazione.

Non appena il server primario è di nuovo online, anche il modulo si riattiva.


Componenti zenon Logic dell´amministrazione punti di misurazione.

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Componenti zenon Logic dell´amministrazione punti di misurazione.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il calcolo di valori relativi nel caso di punti di misurazione automatici è realizzato, se l´impostazione Calcolo valore relativo è attiva, tramite zenon Logic.

Le impostazioni necessarie vengono riprese automaticamente dalla Amministrazione punti di misurazione. Trovate le informazioni su questi passaggi automatici nella scheda Riassunto del wizard Metering Point Administration, nell´Editor di zenon. Questa scheda fornisce informazioni anche su eventuali problemi insorti.

tutorial Informazioni sulla licenza

Non è necessario disporre di una particolare licenza di zenon Logic. È sufficiente quella standard.

Noch in diesem Kapitel

Verifica se il workbench di zenon Logic è aperto

Progettazione zenon Logic per l´amministrazione punti di misurazione.

Applica modifiche in zenon Logic

Blocco funzioni VACO

Blocco funzioni ArchivTrigger


Verifica se il workbench di zenon Logic è aperto

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Componenti zenon Logic dell´amministrazione punti di misurazione. -> Verifica se il workbench di zenon Logic è aperto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Verifica se il workbench di zenon Logic è aperto

Quando si avvia l´amministrazione punti di misurazione nell´Editor di zenon, il sistema verifica prima di tutto se il workbench di zenon Logic è aperto. Per evitare delle configurazioni errate, il sistema invita l´utente a chiudere il workbench di zenon Logic. Non è possibile avviare il Wizard se il workbench è aperto!

Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

Parametri

Descrizione

Wiederholen

Nuova verifica se il workbench di zenon Logic è aperto. Se il workbench di zenon Logic non è aperto, il Wizard verrà caricato.

Se il workbench di zenon Logic è ancora aperto, verrà visualizzata nuovamente la finestra di dialogo di errore.

Abbrechen

Cancella l´apertura dell´amministrazione punti di misurazione.


Progettazione zenon Logic per l´amministrazione punti di misurazione.

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Componenti zenon Logic dell´amministrazione punti di misurazione. -> Progettazione zenon Logic per l´amministrazione punti di misurazione.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Progettazione zenon Logic per l´amministrazione punti di misurazione.

Quando l´impostazione Calcolo valore relativo è attiva, in background avvengono automaticamente le seguenti azioni quando si creano dei punti di misurazione automatici:

Creazione di un driver

  1. Typ STRATONNG
  2. Nome: MeteringPoint
  3. Adattamento delle impostazioni driver.
    1. Host: localhost
    2. Port: 14731
      (Se ci sono più progetti nell´area di lavoro, il numero di porta viene aumentato di 1 unità per ogni progetto caricato).

Creazione di un progetto zenon Logic

  1. Nome: MeteringPoint
  2. Host: localhost
  3. Port: 14731
    (Se ci sono più progetti nell´area di lavoro, il numero di porta viene aumentato di 1 unità per ogni progetto caricato).

Creazione di un programma nel progetto zenon Logic per il calcolo dei valori relativi.

Nome: RelativeValueCalculation

Dopo la conclusione di questa configurazione, vengono compilati il progetto zenon Logic e quello zenon.

Durante la progettazione di un punto di misurazione nel wizard, il workbench di zenon Logic deve essere chiuso. Se si verificano dei problemi, il sistema provvede a visualizzare una segnalazione corrispondente nel riassunto del wizard.

attention Attenzione

Tutte le modifiche manuale effettuate sul driver MeteringPoint, nonché nel progetto zenon Logic MeteringPoint (incluso il programma RelativValueCalculation), possono avere come conseguenza il fatto che il calcolo valore relativo non funziona più correttamente.


Applica modifiche in zenon Logic

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Componenti zenon Logic dell´amministrazione punti di misurazione. -> Applica modifiche in zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Applica modifiche in zenon Logic

Delle modifiche alla configurazione di punti di misurazione possono causare dei cambi nel programma zenon Logic.

Queste modifiche, però, non verranno accettate nel Runtime di zenon con il semplice reload. L´attuale programma zenon Logic viene caricato solo dopo un riavvio del Runtime.

Example Esempio

Modifica del tempo di ciclo di un archivio esistente.

Per garantire un calcolo corretto per un punto di misurazione con valori relativi calcolati (proprietà Calcolo valore relativo attiva), deve essere riavviato il Runtime di zenon.


Blocco funzioni VACO

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Componenti zenon Logic dell´amministrazione punti di misurazione. -> Blocco funzioni VACO

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Blocco funzioni VACO

Il blocco funzioni VACO in zenon Logic esegue il calcolo di valori relativi.

Quando si creano o modificano punti di misurazione automatici con l´impostazione „Calcolo valore relativo" attiva, viene generata nel programma zenon Logic un´istanza RelativValueCalculation del blocco funzioni per il punto di misurazione corrispondente. Quando si cancella un punto di misurazione automatico con calcolo di valori relativi attivo o si disattiva il calcolo di valore relativo per un punto di misurazione automatico, le relative configurazioni di progetto in zenon Logic (variabili e righe di codice) vengono rimosse.

Programmazione - Codice sorgente

//Instance for Metering Point MessstellenName

VACO_MessstellenID(ANY_TO_LREAL({AbsolutVariablenName}),INT#1,{FunktionsTriggerVariablenName},T#5s,FALSE,0.0);

{RelativVariablenName}:=ANY_TO_DatenTypRelativVariable(VACO_0001);

{ArchivTriggerVariablenName}:=VACO_MessstellenID.TA;


Blocco funzioni ArchivTrigger

Manuale -> Wizard -> Temi -> Metering Point Administration - Amministrazione punti di misurazione -> Amministrazione punti di misurazione -> Componenti zenon Logic dell´amministrazione punti di misurazione. -> Blocco funzioni ArchivTrigger

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Blocco funzioni ArchivTrigger

Il blocco funzioni ArchivTrigger esegue (in background) i calcoli necessari al fine di inizializzare gli archivi ciclici con il tempo di ciclo configurato.

Quando si cambia la configurazione di un archivio ciclico per l´amministrazione punti di misurazione in zenon, avviene un update automatico del programma zenon Logic dopo l´apertura del wizard. .

Programmazione - Codice sorgente

//Instance for Trigger RE

Trigger_RE(ULINT#1420066800,ULINT#900,ULINT#28800,False,False,False);

OUT_TF_RE:=Trigger_RE.TF;


Industria farmaceutica.

Manuale -> Wizard -> Temi -> Industria farmaceutica.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Wizard per l´industria farmaceutica.

Noch in diesem Kapitel

Pharmaceutical Wizard


Pharmaceutical Wizard

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Pharmaceutical Wizard consente la gestione di progetti validati da usare nell´industria farmaceutica. Esso riassume le impostazioni rilevanti per un progetto Good Maufacturing Process (GMP). Esso possono essere gestite e modificate grazie a questo Wizard. Le impostazioni vengono caricate nel Wizard andando a prenderle da un progetto esistente, oppure facendo uso di un file di configurazione.

Vengono gestite le seguenti impostazioni:

  • impostazioni di progetto generali
  • Gestione user
  • Gruppi utenti
  • Impostazioni lista eventi cronologica (CEL)
  • Impostazioni per la gestione allarmi
  • modelli XML

Le impostazioni progettate nel Wizard:

  • possono essere assegnate ad un progetto attivo
  • possono essere salvate in un nuovo progetto
  • possono essere salvate in uno speciale file di configurazione.
    Questi file di configurazione creati nel Wizard, possono essere sempre riutilizzati ed estesi, ma sono sempre leggibili e modificabili solamente con il Wizard.

Noch in diesem Kapitel

Avvia wizard

Welcome

Settings

Project properties

User administration

User groups

CEL & Alarms

Templates I

Templates II

Finish


Avvia wizard

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Avvia wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avviare il wizard:

  1. Cliccare su File -> Wizards...

    O premere la combinazione di tasti Alt+F12

  2. Si aprirà la finestra di selezione in cui sono visualizzati i wizard disponibili
  3. Selezionare la cartella Pharmaceutical
  4. Selezionare lì Pharmaceutical Wizard

  5. Cliccare su OK.
  6. Il wizard si avvia con una pagina di benvenuto


Welcome

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Welcome

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La scheda Welcome informa su prestazioni e utilizzo del Wizard.

La navigazione all´interno del Wizard avviene cliccando sulle singole schede, oppure, passo per passo, cliccando sui tasti frecce.

Se si clicca su Cancel, il Wizard si chiude. Tutte le modifiche effettuate dal momento dell´ultimo salvataggio in un file o in un progetto vengono rifiutate.


Settings

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda:

  • vengono caricate le impostazioni
  • vengono adattate le descrizioni di progetto

Parametri

Descrizione

Configuration

Definizione di quale progetto viene modificato.

Load from active project

Carica le impostazioni del progetto attivo nel workspace nel Wizard.

Load from configuration file

Carica i dati di un file di configurazione salvato (*.cof). Il file viene selezionato fra quelli della lista. La lista mostra tutti i file di configurazione esistenti nella cartella scelta (Select directory).

Informazioni: i file di configurazione possono essere letti, creati e modificati solamente con il Wizard.

Select directory

Apre il dialogo di selezione file che consente di selezionare la cartella in cui si trovano i file di configurazione (*.cof) desiderati. Questi ultimi vengono visualizzati nella lista sotto il pulsante.

Templates

Impostazioni per modelli XML e XRS.

Project description

Indicazioni concernenti il progetto, come definito nel Dialogo della proprietà Descrizione progetto.

Viene ripreso dal progetto caricato e può essere modificato in questa sede. Tutte le modifiche vengono visualizzate nella scheda Finish per essere controllate.

Author

Autore del progetto.

Manager

Manager di progetto.

Company

Impresa.

Comment

Commenti.


Project properties

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Project properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Impostazioni per:

  • Rete
  • Autorizzazione di rete
  • Log delle modifiche

Parametri

Descrizione

Network

Rete

Proprietà per l´uso del progetto in una rete.

Ulteriori informazioni nella guida in linea.

Active

Rete attiva

Attivo: il progetto viene usato come progetto di rete. Deve essere definito un server.
Inattivo: il progetto è un progetto Standalone.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Server name

Server 1

Disponibile solamente nel caso che la proprietà Rete attiva sia attiva.
Calcolatore che nei progetti di rete instaura la connessione con l´hardware e gestisce i dati di progetto. I clienti si collegano a questo calcolatore.

Quando si clicca su ... si apre la finestra di dialogo contenente la lista dei computer disponibili in rete.

Indicazione Nome: l'indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore. "localhost" non può essere usato come nome.
Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.

Ulteriori informazioni nella guida in linea.

Standby name

Server 2

Disponibile solamente se nella proprietà Server 1 è stato inserito un computer

Se si clicca su ..., si apre la finestra di dialogo contente la lista dei computer disponibili in rete.
Nei sistemi ridondanti, questo calcolatore assume il ruolo del server primario quando esso smette di funzionare. Quando il server che gestisce il processo non reagisce prima dello scadere del tempo definito nella proprietà Network communication timeout nel Startup Tool, il sistema riconosce che esso ha smesso di funzionare. Un buffer apposito aiuta a superare il tempo morto fra la fine del funzionamento del server e il passaggio a quello di standby, evitando così la perdita di dati.

Indicazione Nome: "localhost" non può essere usato come nome.
Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.
Attenzione: Server primario e Server-Standby devono avere lo stesso tempo assoluto.
Ulteriori informazioni nella guida in linea

Redundancy type

Tipo di ridondanza

Disponibile solo se nella proprietà Server 2 sia stato inserito un calcolatore!

zenon supporta due tipi di ridondanza:

  • Ridondanza software: Il sistema è formato da un controllore e due calcolatori zenOn ridondati. Entrambi i calcolatori devono avere una connessione con il PLC. Entrambi i calcolatori comunicano con il PLC e aggiornano contemporaneamente i dati provenienti dal PLC. La comunicazione con il PLC viene svolta dal computer con la funzione server. Il server, dunque, comunica bidirezionalmente, lo standby in una sola direzione. Nel caso in cui smetta di funzionare il server, il gestisce la comunicazione bidirezionale con il PLC.
  • Ridondanza hardware: Il sistema è formato da due controllori ridondati e due calcolatori zenOn ridondati. Ogni calcolatore comunica con un PLC bidirezionalmente. Entrambi i computer e entrambi i PLC allineano i loro dati. Nel caso in cui una componente del primo sistema smette di funzionare, ne prende il posto il secondo sistema.

Default: Ridondanza software

Ulteriori informazioni nella guida in linea.

Network authorization

Autorizzazione

Proprietà per l´autorizzazione comando nella rete.

Ulteriori informazioni nella guida in linea.

Active

Autorizzazione attiva

Disponibile solamente nel caso in cui la proprietà Rete attiva sia attiva.
L´autorizzazione in rete è un meccanismo volto a garantire che solo una stazione della rete possa eseguire delle operazioni attive in un determinato momento. (per es. Modifica valore impostabile). L´accesso passivo, limitato alla sola lettura, invece, rimane sempre possibile.
Attiva: Un solo calcolatore può gestire un progetto in un determinato momento (per es. ripristinare degli allarmi, settare dei valori impostabili).
Non attiva: più calcolatori possono gestire il progetto contemporaneamente.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Timeout for request [s]

Timeout per la richiesta [s]

Disponibile solamente se la proprietà Autorizzazione attiva è stata attivata.
Se l´autorizzazione di una stazione della rete viene bloccata, essa può essere richiesta da un altro calcolatore. Questa richiesta deve ottenere risposta nell´arco di tempo impostato in questa sede. Se il tempo scade senza che sia giunta alcuna risposta, la stazione che ha posto la richiesta ottiene automaticamente l´autorizzazione.

Default: 60 Secondi

Ulteriori informazioni nella guida in linea.

Timeout for acknowlewdgement [s]

Timeout per autorizzazione utenti [s]

Disponibile solamente se la proprietà Autorizzazione attiva è stata attivata.
Nell´arco di tempo fissato in questa sede, il calcolatore (Client) in possesso dell´autorizzazione deve comunicare con il server. Se ciò non avviene, l´autorizzazione viene rilasciata automaticamente.
Attenzione: questo valore deve essere minore del tempo impostato nella proprietà Timeout [s].

Default: 60 secondi

Ulteriori informazioni nella guida in linea.

History of changes

Log delle modifiche

Proprietà per il Log delle modifiche.

Ulteriori informazioni nella guida in linea.

Active

Log delle modifiche attivo

Attivo: le modifiche apportate al progetto vengono protocollate.
Inattivo: le modifiche apportate al progetto non vengono protocollate.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Detailing level

Livelli di dettaglio

Disponibile solo se la proprietà Log delle modifiche attivo è stata attivata.

Selezione del livello di dettaglio fra quelli della lista a cascata.

  • Oggetto: vengono visualizzati solamente i nomi degli oggetti modificati. I dettagli delle proprietà modificate e dei loro valori non vengono visualizzati nel Log di Modifiche.
  • Proprietà: Oltre all'indicazione degli oggetti, vengono registrate nel log delle modifiche anche le proprietà modificate e i rispettivi nuovi valori.
  • Cambio valori: Questa impostazione consente il più alto livello di dettaglio possibile. In questa modalità oltre al nuovo valore di una proprietà, ne viene salvato anche il nuovo. In tal modo si garantisce una completa tracciabilità delle modifiche concernenti i valori.

Default: Proprietà

Ulteriori informazioni nella guida in linea.


User administration

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> User administration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Impostazioni per la gestione utenti:

Parametri

Descrizione

User administration

Gestione user

Proprietà relative al progetto per la gestione utenti.

Ulteriori informazioni nella guida in linea.

Delete users

Eliminazione utenti

  • Attivo: è consentita la cancellazione di un utente nel Runtime.
  • Inattivo: è possibile solo evidenziare gli utenti come cancellati. In questo caso gli user continueranno a comparire nella lista degli utenti, ma non saranno più validi per la gestione nel Runtime (in conformità a quanto previsto dalla normativa FDA).

Default: attiva

Ulteriori informazioni nella guida in linea.

Minimum password length

Lunghezza minima password

Lunghezza minima della password in caratteri.

  • Minimo: 0
  • Massimo: 20

Default: 6

Ulteriori informazioni nella guida in linea.

Period of password validity [days]

Periodo di validità password [gg]

Inserimento dell´intervallo di tempo (in giorni) durante il quale una password è valida. Dopo la scadenza del tempo impostato, deve essere assegnata una nuova password.

  • Minimo: 0 - La validità della password non ha scadenza e dunque non c´è bisogno di cambiarla. Se si adotta questa impostazione, il valore 2147483647 viene scritto sulla variabile di sistema "Giorni alla scadenza Password".
  • Massimo: 4294967295

Default: 0
Attenzione: nel caso di processi produttivi soggetti alla normativa FDA, non è permesso in questo caso l´inserimento del valore 0; questo perché le regole FDA richiedono una modifica ciclica/periodica della password.

Ulteriori informazioni nella guida in linea.

Number of invalid user name inputs

Num. max. tentativi Username

Numero consentito degli inserimenti di un nome utente non esistente.
Se si supera questo numero, il sistema verrà bloccato. A meno che non si tratti di amministratori, nessun utente può più effettuare il login. Se però un amministratore effettua il login, il sistema viene sbloccato automaticamente. In questo caso verrà generato nella Lista eventi cronologica (CEL) un inserimento corrispondente. Le modifiche di questo valore avranno validità nel Runtime solo dopo che il sistema sarà stato riavviato.

  • Minimo: 0
  • Massimo: 65535

Default: 3

Ulteriori informazioni nella guida in linea.

Number of invalid password inputs

Num. max. tentativi password

Numero degli inserimenti sbagliati consentiti per la password.
Se si supera questo numero, l´utente corrispondente verrà bloccato. Il blocco può essere rimosso solamente da un amministratore. In questo caso, viene generato un inserimento corrispondente nella Lista Eventi Cronologica (CEL).

  • Minimo: 0
  • Massimo: 65535

Default: 3

Ulteriori informazioni nella guida in linea.

User administration storage

Salvataggio della gestione utenti

Selected user storage

Selezione del posto in cui le impostazioni user devono essere salvate:

  • Progetto
  • Active Directory (AD)
  • Active Directory Application Mode (ADAM)

ADAM connection string

Connessione AD-LDS

Percorso di connessione con ADAM oppure AD LDS.

Il percorso di collegamento deve essere indicato nella forma seguente: [PC-Name]:[Port]/[Organisation]

Esempio: w3k:50000/O=750,c=com

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

ADAM user identification

Nome utente AD-LDS

Nome utente di un utente locale del PC ADAM/AD LDS con diritti di amministratore.

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

ADAM password

Password AD-LDS

Identificazione dell´utente locale del PC ADAM/AD LDS.

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

Log out/log in

Proprietà per login/logout

Activate automatical logout

Logout automatico attivo

  • Attivo: Avviene il logout automatico dell´utente se esso non ha posto in atto alcuna azione di gestione per il tempo definito nella proprietà Tempo [min].
  • Inattivo: il sistema non effettua il logout automatico dell´utente.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Activate temporary login

Login temp. attivo

Attivazione del login temporaneo per quegli utenti che vogliono gestire un elemento, ma non sono registrati nel sistema.

  • Attivo: l´utente che ha bisogno di un´autorizzazione operativa, viene invitato a inserire la sua identificazione e la sua password. A tal scopo, vengono aperti (a seconda di quanto stabilito in fase di configurazione) o l´immagine del tipo Login, oppure un dialogo modale. Il sistema effettua il logout dell´utente subito dopo che questi ha eseguito l´azione.
  • Inattivo: l´utente che ha bisogno di un´autorizzazione operativa, riceve l´informazione che non ha diritto ad ottenerla.

Default: attiva

Avvertenza:

  • Posizione e grandezza della maschera di login del dialogo modale possono essere definiti nel zenon6.ini alla voce [Befehlsgabe]Position =.
  • Al posto del dialogo modale si può usare l´immagine del tipo Login. Essa viene definita con la proprietà Immagine per Login con firma.

Ulteriori informazioni nella guida in linea.

Locked buttons style

Tasti bloccati

Disponibile solo se la proprietà è Login temp. attivo non attiva.
Definisce l'aspetto dei pulsanti bloccati a causa delle impostazioni e delle autorizzazioni. Viene combinato nel runtime con la proprietà Pulsanti bloccati (Aspetto grafico ) per la gestione di tasti.

Possibili forme di visualizzazione:

  • Grigio
  • Normale
  • Invisibile

Default: Normale

Ulteriori informazioni nella guida in linea.

Set names for authorization levels

Corrisponde alla proprietà Amm. Livelli di aut..

Oltre al numero, si può assegnare ad ognuno dei 128 livelli di autorizzazione un nome. Se si clicca sulla colonna destra, è possibile cambiare questo nome.


User groups

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> User groups

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda assegnate ai gruppi utenti i livelli di autorizzazione.

Parametri | Descrizione
User groups | Lista dei gruppi utenti
User group levels | Lista dei livelli di autorizzazione
Delete | Cancella un oggetto selezionato senza richiesta di conferma.

Se si clicca su un gruppo user, il sistema mostra il relativo livello di autorizzazione. Se si clicca sul livello, è possibile modificarlo. Il nome verrà adattato automaticamente. Se si clicca su un livello vuoto è possibile inserire un nuovo livello di autorizzazione.

Cliccando su Delete si possono cancellare sia gruppi che livelli di autorizzazione assegnati Quando si effettua la cancellazione, il sistema non fa una richiesta di conferma.


CEL & Alarms

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> CEL & Alarms

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione della Lista eventi cronologica e della Gestione allarmi.

Parametri

Descrizione

Chronlogic Event List and Alarm Message List

Lista eventi cronologica (CEL)

Proprietà per la gestione della Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea.

CEL active

Abilita CEL

  • Attivo: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
  • Inattivo: Non viene registrato nessun evento.

Default: attiva

Nota: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea.

Update automatically

Aggiorna automaticamente

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Attivo: Mentre è aperta la CEL nel Runtime, i nuovi eventi vengono aggiunti non appena si verificano.
  • Inattivo: Mentre la CEL è aperta, non vengono aggiunti nuovi inserimenti. I nuovi inserimenti vengono aggiunti solo quando si apre la CEL un´altra volta.
    Default: attiva

Ulteriori informazioni nella guida in linea.

Print system messages

Stampa messaggi di sistema

Attivo: nel caso di stampa-online, vengono stampati anche i messaggi di sistema.
Non attiva: i messaggi di sistema non vengono stampati nel caso di stampa-online.
Default: attiva

Ulteriori informazioni nella guida in linea.

Long dynamic limit texts CEL

Testi lunghi per valori limiti - CEL

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili.

  • Attivo: Contenuti dinamici vengono salvati in un file che ha il nome convenzionale D*.CEL. Questo file viene generato in aggiunta a quello C*.CEL. Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 1024 caratteri.
  • Inattivo: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.

Default: inattivo

Ulteriori informazioni nella guida in linea

Signature text editable

Testo firma modificabile

Attivo: Nel Runtime viene aperta una finestra di dialogo che serve ad editare il testo di firma.

Inattivo: il testo della firma non può essere modificato durante il Runtime.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Data storage CEL

Storico CEL

Proprietà per il salvataggio degli inserimenti nella Lista Eventi Cronologica (CEL) nella memoria principale e sul disco fisso.

Ulteriori informazioni nella guida in linea.

Size of the ringpuffer

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Grandezza del buffer circolare della CEL. Se si supera la capacità del buffer circolare (cel.bin), gli inserimenti vengono trasmessi all´archivio CEL (*.cel) .
Minimo: 1
Massimo: 32767
Default: 100

Nota: nel runtime vengono eventualmente visualizzati più inserimenti come progettati, perché i vecchi inserimenti vengono eliminati dalla CEL solamente al momento dell´update della lista.

Ulteriori informazioni nella guida in linea.

Save CEL data

Salvataggio dati CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Buffer circolare e Dati storici: Tutti gli inserimenti CEL (*.cel) vengono salvati.
  • Solo buffer circolare: Viene salvato solamente un numero definito di inseriment CEL (cel.bin). Il numero viene definito facendo uso della proprietà Dimensione buffer circolare.
  • Default: su apparecchi CE viene salvato solamente il buffer circolare (cel.bin); su PC, invece, vengono salvati anche inserimenti storici (*.cel).

Default: Default
I file (cel.bin e *.cel) vengono salvati nel percorso \Percorso progetto\Nome Computer\Nome progetto.

Ulteriori informazioni nella guida in linea.

Save ringpuffer on change

Salva buffer circolare in modo spontaneo

Selezione del tipo di salvataggio dati.

  • Attivo: ogni modifica dei dati della Lista eventi cronologica (CEL) ha come effetto anche il salvataggio dei dati stessi (cel.bin).
  • Inattivo: i dati della CEL (cel.bin) vengono salvati solamente al momento della chiusura del Runtime, oppure quando si esegue la funzione Salva buffer circolare AML e CEL. Si consiglia soprattutto nel caso di basse performance del sistema. I dati storici (*.cel) possono essere salvati indipendentemente da questa impostazione ogni volta che un valore cambia.

Nota: Se si setta la proprietà su attiva, ciò potrà (soprattutto nel caso di flash disk) causare un considerevole carico del sistema. Se invece per la proprietà si seleziona l´opzione inattiva, in caso di una chiusura inattesa del Runtime, si potrà avere una perdita di dati. Scegliere l´opzione inattiva è consigliabile soprattutto in caso di basse prestazioni.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Logging

Abilita log

Proprietà generali per la Lista Eventi Cronologica (CEL)

Ulteriori informazioni nella guida in linea.

Alarm acknowledgement

Ripristino allarmi

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attivo: Se un allarme viene ripristinato, si verifica un inserimento corrispondente nella Lista eventi cronologica (CEL).
Non attiva: il ripristino degli allarmi è seguito da un corrispondente inserimento nella CEL.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Function Set SW

Funzioni settaggio valore

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Attivo: Nel caso in cui i valori siano stati scritti con successo sull'hardware, si verifica un inserimento corrispondente nella CEL.
  • Inattivo: La scrittura di valori nella CEL non viene messa a protocollo.

Default: inattivo

Nota: Questa proprietà ha effetto durante il Runtime solo se il settaggio del valore impostabile viene eseguito tramite la funzione Settare valore impostabile.

Ulteriori informazioni nella guida in linea.

Send recipes

Dichiarazione ricette

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Nessun protocollaggio: Il settaggio di ricette standard e di ricette del Manager gruppi ricette (RGM) non viene protocollata nella CEL.
  • Procollo di ricette: Se si deposita una ricetta, essa viene protocollata con il nome della ricetta modificata nella CEL.
  • Protocollaggio valori e ricette: quando si deposita una ricetta, essa viene protocollata nella CEL con:
    • nome della ricetta
    • nuovo e vecchio valore della variabile
    • nome della variabile

Default: Nessun protocollaggio

Ulteriori informazioni nella guida in linea.

Change recipes

Modifica ricette

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Nessun protocollaggio: La modifica di ricette standard e di ricette del Manager gruppi ricette (RGM) non viene protocollata nella CEL.
  • Protocolla ricette: Quando si cambia una ricetta, essa viene protocollata nella CEL usando il nome della ricetta modificata.
  • Protocollaggio valori e ricette: quando si modifica una ricetta, essa viene protocollate nella CEL con:
    • nome della ricetta
    • nuovo e vecchio valore della variabile
    • nome della variabile

Default: Nessun protocollaggio

Ulteriori informazioni nella guida in linea.

Alarm groups

Gruppi di allarmi/eventi

Add

Aggiunge la successione di caratteri scritta nel campo inserimento come nuovo gruppo allarmi/eventi. Si può aggiungere anche facendo uso del tasto Invio.

Remove

Cancella gruppo-allarmi/eventi evidenziato

Alarm classes

Classi di allarme/evento

Add

Aggiunge la successione di caratteri scritta nel campo inserimento come nuova classe allarmi/eventi. Si può aggiungere anche facendo uso del tasto Invio.

Remove

Cancella classe-allarmi/eventi evidenziato


Templates I

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Templates I

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda possono essere modificati i seguenti elementi:

  • Immagini
  • Tipi di dato
  • Tavolozza colori
  • Matrici di reazione

Nella lista rispettivamente a destra, vengono visualizzati e modificati i file XML disponibili per l´elemento nell´attuale file di configurazione.

Pulsanti | Funzione
Lista a destra |
Export | Apre il dialogo che serve ad esportare i file XML che sono stati creati nell´Editor facendo uso del comando Esporta XML selezionati.
Import | Apre il dialogo che serve ad importare i file XML che sono stati creati nell´Editor facendo uso del comando Esporta XML selezionati. I file vengono importati nella cartella %ProgrammData%\COPA-DATA\zenon700\Templates\PharmaWizard
Delete | Cancella i file XML creati nell´Editor tramite il comando Esporta XML selezionati.
Lista a sinistra |
Add | Aggiunge modelli della lista a sinistra. In alternativa, si può anche cliccare due volte sul modello. Il salvataggio nel progetto attuale o in uno nuovo avviene nella scheda Finish.
Remove | Rimuove dei modelli dalla lista.


Templates II

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Templates II

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda possono essere modificati i seguenti elementi:

  • Simboli
  • Report del generatore di rapporti

Nella lista rispettivamente a destra, vengono visualizzati e modificati i file XML a disposizione nel file di configurazione attuale. I report vengono salvati come file XRS.

Pulsanti | Funzione
Lista a destra |
Export | Apre il dialogo che serve ad esportare i file XML che sono stati creati nell´Editor facendo uso del comando Esporta XML selezionati.
Import | Apre il dialogo che serve ad importare i file XML che sono stati creati nell´Editor facendo uso del comando Esporta XML selezionati. C:\\ProgrammData\COPA-DATA\zenon700\Templates\PharmaWizard.
Delete | Cancella i file XML che sono stati creati nell´Editor facendo uso del comando Esporta XML selezionati.
Lista a sinistra |
Add | Aggiunge modelli della lista a sinistra. In alternativa, si può anche cliccare due volte sul modello. Il salvataggio nel progetto attuale o in uno nuovo avviene nella scheda Finish.
Remove | Rimuove dei modelli dalla lista.


Finish

Manuale -> Wizard -> Temi -> Industria farmaceutica. -> Pharmaceutical Wizard -> Finish

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda viene:

  • inserita la descrizione di progetto
  • definito in che modo le modifiche di progetto devono essere salvate

Parametri

Descrizione

Project description

Indicazioni sul progetto come definito nella scheda Settings. Solo visualizzazione, non è possibile nessuna modifica.

Author

Nome del progettista.

Manager

Nome del manager.

Company

Impresa.

Comment

Commento sul progetto.

Save configuration settings

Opzioni per il salvataggio delle modifiche realizzate nel Wizard.

Campo messaggi

Segnalazioni che informano se le azioni di salvataggio dati hanno avuto successo o meno.

... in current project

Tutte le impostazioni vengono caricate nel progetto attuale. In questo caso, le impostazioni nel progetto verranno sovrascritte.

... as new project

Viene creato un nuovo progetto con le impostazioni settate e i modelli selezionati. Deve essere stato selezionato prima un nome progetto.

... as fíle

Viene creato un nuovo file di configurazione del tipo dato *.cof. Se il nome è già utilizzato da un file di configurazione esistente, quest´ultimo verrà sovrascritto.

Attenzione: i file di configurazione creati possono essere letti, creati e modificati solamente con il Wizard.

Name

Nome del file di configurazione.


Project

Manuale -> Wizard -> Temi -> Project

Wizards per:

  • Creazione del progetto
  • il confronto di Backup progetto
  • la creazione di una documentazione di progetto

Noch in diesem Kapitel

Project comparison

Wizard di progetto

Wizard di documentazione


Project comparison

Manuale -> Wizard -> Temi -> Project -> Project comparison

Il Wizard consente di confrontare fra di loro i backup di progetto. Il fine di questo confronto è stabilire quali oggetti e elementi sono stati cancellati, aggiunti oppure modificati. Il risultato può essere salvato e visualizzato come file XML oppure file HTML.

Requisiti

Il Wizard può leggere e realizzare un confronto fra quei backup di progetto che:

  • sono stati salvati come file ZIP.
  • sono stati creati con versionamento attivo.
  • sono stati creati con export XML attivo.

Per attivare il versionamento e l´export XML:

  1. Aprire il nodo Generale delle proprietà di progetto.
  2. Passare alla sezione Versionamento
  3. Attivare la proprietà Attiva versionamento
  4. Attivare la proprietà Esportazione XML attiva

attention Attenzione

Questo Wizard non viene visualizzato per la selezione se nel file zenon6.ini, alla voce [VSTA], è settato l´inserimento CSHARP=1.

File temporanei

Durante il confronto, il Wizard apre i backup di progetto nella cartella temporanea BackUpComparisonWorkingFolder. Essa viene collocata nel percorso C:\Users\Public\Documents\zenon_Projects\Worspace. Questa cartella temporanea viene cancellata non appena si chiude il Wizard.

Noch in diesem Kapitel

Avvia wizard

Welcome

Settings

Compare

Documentation


Avvia wizard

Manuale -> Wizard -> Temi -> Project -> Project comparison -> Avvia wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per avviare il wizard:

  1. cliccate su File -> Wizards...

    premete la combinazione tasti Alt+F12

  2. si apre la finestra di selezione che mostra i wizard disponibili
  3. Selezionare la cartella Project
  4. Selezionate lì Backup Comparison Wizard

  5. Cliccare su OK
  6. Il wizard si avvia con una pagina di benvenuto


Welcome

Manuale -> Wizard -> Temi -> Project -> Project comparison -> Welcome

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La scheda Welcome informa su prestazioni e utilizzo del Wizard.

La navigazione all´interno del Wizard avviene cliccando sulle singole schede, oppure passo per passo cliccando sui tasti con frecce.

Se si clicca su Cancel, il Wizard si chiude.


Settings

Manuale -> Wizard -> Temi -> Project -> Project comparison -> Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa tab si selezionano i due backup di progetto che devono essere confrontati l´uno con l´altro; in questa sede si effettua anche la scelta dei moduli di zenon che saranno coinvolti in questo confronto.

Parametri

Descrizione

Select project backups

selezione dei file di backup.

Latest version

Versione più recente. Cliccando sul pulsante ..., apre il file-browser che serve alla scelta di un backup di progetto.

Nota: i backup di progetto si trovano di norma nella cartella %ProgramData%\COPA-DATA\SQL2008R2\BACKUP\[Project], ma possono essere depositati a mezzo di export in una qualsiasi altra cartella.

Older version

Versione precedente. Cliccando sul pulsante ..., apre il file-browser che serve alla scelta di un backup di progetto.

Select project modules

Selezione del moduli che devono essere confrontati. La selezione avviene mediante l´attivazione delle checkbox che si trovano davanti ai moduli.

Queste impostazioni sono salvate individualmente per ogni utente e sono di nuovo disponibili alla prossima apertura del Wizard.

Tasti freccia

Cliccando sul pulsante si passa alla scheda precedente o seguente.

Cancel

Chiude il Wizard.


Compare

Manuale -> Wizard -> Temi -> Project -> Project comparison -> Compare

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda, i backup di progetto vengono confrontati sulla base dei moduli selezionati.

Parametri

Descrizione

Campo lista

Se si clicca sul pulsante Compare , vengono visualizzate nel campo lista le differenze fra i backup di progetto.

Contenuto delle colonne:

  • Module: nome del modulo.
  • Result: nome dell´oggetto.
  • Element: visualizzazione e descrizione dell´elemento.
  • Parameter: nome del parametro modificato.
  • Old: valore vecchio di un parametro modificato.
  • New: nuovo valore di un parametro modificato.

Identificazione tramite colore:

  • blu: nuovi oggetti e elementi
  • rosso: oggetti e elementi cancellati
  • verde: oggetti e elementi modificati
  • nero: oggetti e elementi immutati

Navigazione

Elementi che consentono la navigazione nella lista.

Changed elements

Attivo: cliccando sul pulsante freccia verticale, si passa all´elemento modificato precedente/seguente.

Deleted elements

Attivo: cliccando sul pulsante freccia verticale, si passa all´elemento cancellato precedente/seguente.

New elements

Attivo: cliccando sul pulsante freccia verticale, si passa al nuovo elemento precedente/seguente.

Show only differences

Attivo: se si clicca sul pulsante Compare verrà rappresentato mediante colori solamente ciò che è cambiato, mentre gli elementi rimasti immutati non verranno visualizzati.

Se si cambia questa opzione, il confronto deve essere riavviato cliccando su Compare.

Compare

Confronta i backup di progetto in base alla selezione e mostra quest´ultima nel campo lista.

Tasti a freccia doppia verticale

Cliccando sul pulsante, si passa al modulo precedente/seguente.

Tasti freccia verticale

Cliccando sul pulsante, si passa (a seconda dell´impostazione) al risultato precedente/seguente dello stesso tipo:

  • Changed elements
  • Deleted elements
  • New elements

Tasti freccia orizzontale

Cliccando sul pulsante si passa alla scheda precedente o seguente.

Cancel

Chiude il Wizard.

Esempio confronto di progetti:

Tutti gli oggetti:

Alcune modifiche:

Nel modulo Immagini:

  • è stata cancellata l´immagine batch .
  • nell´immagine SYSTEM_2 è stato modificato un elemento di testo
  • nell´immagine START è stato aggiunto un pulsante dal nome Name Button_1
  • nell´immagine ALARM non è cambiato nulla

Solo differenze:

le differenze sono riconoscibili come nel precedente screenshot. Gli oggetti e gli elementi rimasti immutati vengono esclusi.


Documentation

Manuale -> Wizard -> Temi -> Project -> Project comparison -> Documentation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il risultato del confronto dei backup di progetto può essere visualizzato e salvato come file XML o HTML in questa tab.

Parametri

Descrizione

Settings

Impostazioni per tipo della documentazione.

Create XML

Attivo: viene creato un file XML.

Create HTML

Attivo: viene creato un file HTML.

Save Path

Percorso per la cartella in cui viene salvato il file. Solo visualizzazione. la selezione avviene attraverso il pulsante Compare.

Create documentation

Cliccando sul pulsante:

  • si apre il file-browser: selezionate in questa sede il posto in cui salvare il file e assegnate un nome al file di documentazione.
  • La documentazione viene salvata nel tipo desiderato e la mostra nel campo lista.

Campo lista

Visualizzazione del documentazione.

Tasto freccia

Cliccando sul pulsante si passa alla scheda precedente.

Cancel

Chiude il Wizard.

Esempio File XML

Visualizzazione nel wizard:

visualizzazione come file XML:

Esempio File HTML

Durante la creazione di un file HTML vengono creati nel percorso di salvataggio anche un file XML e un file XSLT. Sulla base di questi due file viene creato in modo dinamico il file HTML.

Struttura del file HTML:


Wizard di progetto

Manuale -> Wizard -> Temi -> Project -> Wizard di progetto

Con questo Wizard si possono creare degli oggetti base per i nuovi progetti. È possibile configurare quanto segue:

  • informazioni concernenti il progetto
  • driver, anche con variabili driver
  • impostazioni grafiche
  • Immagini base con simboli, elementi WPF, AML, CEL, informazioni di sistema e una visione generale delle variabili di simulazione
  • Navigazione

Le impostazioni modificate nel Wizard vengono salvate nel profilo user del sistema operativo e caricate nel momento in cui lo stesso utente riavvia il sistema.

Il wizard viene eseguito in inglese; la lingua del progetto corrisponde a quella dell´editor di zenon aperto. Questo Wizard viene eseguito automaticamente quando si crea un nuovo progetto.

attention Attenzione

Questo Wizard non viene visualizzato per la selezione se nel file zenon6.ini, alla voce [VSTA], è settato l´inserimento CSHARP=1.

Progetti multiutente

Il wizard non supporta nessun progetto multiutente. Quando si imposta un nuovo progetto multiutente, il wizard non viene avviato automaticamente. Se lo si avvia manualmente, esso si chiude di nuovo ed appare un avvertimento.

info Informazioni su

Se il wizard viene avviato manualmente tramite il dialogo di selezione wizard, devono esserci i seguenti presupposti:

  • deve essere impostato un progetto vuoto
  • il progetto deve essere attivo.

Noch in diesem Kapitel

Avvia wizard

Welcome

Project info

Driver

Graphic settings

Screen selection

Finish

Esempio nel Runtime


Avvia wizard

Manuale -> Wizard -> Temi -> Project -> Wizard di progetto -> Avvia wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo Wizard viene avviato automaticamente quando si crea un nuovo progetto. Lo si può anche selezionare direttamente nel dialogo che serve a lanciare i Wizard.

Attenzione: se si avvia il Wizard in un progetto già esistente, gli oggetti vengono eventualmente modificati o sovrascritti.

Per avviare il wizard manualmente:

  1. cliccate su File -> Wizards...

    premete la combinazione tasti Alt+F12

  2. si apre la finestra di selezione che mostra i wizard disponibili
  3. Selezionare la cartella Project

  4. Selezionate lì Project Wizard VSTA

  5. cliccate su OK.
  6. il wizard si avvia con una pagina di benvenuto

Se aprite il Wizard a partire da un progetto esistente, comparirà un avvertimento:

cliccando su Sì confermate di accettare le modifiche della Vostra configurazione attuale.


Welcome

Manuale -> Wizard -> Temi -> Project -> Wizard di progetto -> Welcome

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La scheda Welcome informa su prestazioni e utilizzo del Wizard.

La navigazione all´interno del Wizard avviene cliccando sulle singole schede, oppure passo per passo cliccando sui tasti con frecce.

  • Se si clicca su Close, il Wizard si chiude.
  • Se si clicca su Overwrite, viene creato il progetto e vengono sovrascritti gli oggetti eventualmente esistenti.
    Il pulsante diventa attivo solamente quando si apre la scheda Finish.


Project info

Manuale -> Wizard -> Temi -> Project -> Wizard di progetto -> Project info

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa tab si configurano le impostazioni generali del progetto, nonché quelle relative al versionamento e al Log delle modifiche.

Parametri

Descrizione

Author

Autore del progetto.

Manager

Manager responsabile.

Company

Impresa.

Comment

Commento sul progetto.

Backup settings

Impostazioni per il versionamento.

Versionierung

Attiva versionamento

Attivo: viene usato il versionamento progetti. Ogni backup di progetto viene salvato con un proprio numero di versione.

Inattivo: nessun versionamento dei backup di progetto.

Default: inattivo

Ulteriori informazioni nella guida in linea.

XML export active

Esportazione XML attiva

Attivo: Nel backup di progetto viene inserito un file ZIP (Version.zip). Esso contiene 24 file XML con i backup dei singoli moduli.

Nota: nei progetti multiutente, solo nel caso di backup locale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

History of changes

Impostazioni per il Log delle modifiche.

Active

Log delle modifiche attivo

Attivo: le modifiche apportate al progetto vengono protocollate.
Inattivo: le modifiche apportate al progetto non vengono protocollate.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Detailing levels

Livelli di dettaglio

Disponibile solo se la proprietà Log delle modifiche attivo è stata attivata.

Selezione del livello di dettaglio fra quelli della lista a cascata.

  • Oggetto: vengono visualizzati solamente i nomi degli oggetti modificati. I dettagli delle proprietà modificate e dei loro valori non vengono visualizzati nel Log di Modifiche.
  • Proprietà: Oltre all'indicazione degli oggetti, vengono registrate nel log delle modifiche anche le proprietà modificate e i rispettivi nuovi valori.
  • Cambio valori: Questa impostazione consente il più alto livello di dettaglio possibile. In questa modalità oltre al nuovo valore di una proprietà, ne viene salvato anche il nuovo. In tal modo si garantisce una completa tracciabilità delle modifiche concernenti i valori.

Default: Proprietà

Ulteriori informazioni nella guida in linea.

Tasti freccia

Passare alla scheda successivo o precedente.

Overwrite

Crea un progetto e sovrascrive eventuali oggetti esistenti. Attivo solamente quando si apre la scheda Finish.

Close

Chiude il Wizard.
Le modifiche apportate possono essere salvate per l´utente attuale.


Driver

Manuale -> Wizard -> Temi -> Project -> Wizard di progetto -> Driver

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si selezionano i driver di zenon di cui si ha bisogno.

Parametri | Descrizione
Lista driver | Lista dei driver di zenon. La scelta avviene cliccando sul driver.
Driver information | Visualizzazione delle informazioni concernenti il driver selezionato.
Driver name | Nome del driver nella forma in cui esso deve apparire nel progetto. Libero inserimento di testo. Identificazione univoca del driver. zenon identifica il driver facendo riferimento a questo nome e non mediante il nome del file. Perciò è possibile caricare più volte lo stesso driver. Ciò è necessario, ad esempio, nel caso di driver seriali, se dovete accedere allo stesso tipo di PLC in diverse interfacce seriali. Attenzione: Questa proprietà non è a disposizione per il cambio lingua.
Add | Aggiunge il driver selezionato alla lista dei driver da impostare.
Remove | Cancella il driver selezionato alla lista dei driver da impostare.
Liste anzulegender Treiber | Lista dei driver da impostare con nome, descrizione e nome file.
Create screen with driver statistic variables | Attivo: per ogni driver viene creata un´immagine con variabili driver.
Tasti freccia | Passare alla scheda successivo o precedente.
Overwrite | Crea un progetto e sovrascrive eventuali oggetti esistenti. Attivo solamente quando si apre la scheda Finish .
Close | Chiude il Wizard. Le modifiche apportate possono essere salvate per l´utente attuale.


Graphic settings

Manuale -> Wizard -> Temi -> Project -> Wizard di progetto -> Graphic settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si configurano la risoluzione, nonché le impostazioni per Runtime e Touchscreen.

Parametri

Descrizione

General project settings

Impostazioni grafiche generali per il progetto.

Current primary monitor size

Visualizzazione dell´attuale risoluzione dello schermo. Nel caso di sistemi multiscreen, verrà visualizzata la risoluzione dello schermo principale.

Screen resolution

Selezione della risoluzione dello schermo desiderata fra quelle della lista a cascata.

Runtime title

Titolo Runtime

Visualizzazione della finestra principale del Runtime.

  • Nessun titolo: Visualizzazione della superficie completa. Barra del titolo non è visualizzata.
  • Titolo con pulsanti 'Ingrandisci' e 'Riduci a icona': si può modificare la grandezza della finestra e spostarla. Non è possibile chiudere (neanche usando il menù contestuale, la taskbar o la combinazione di tasti Alt+F4). Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menù contestuale.
  • Titolo con pulsanti di sistema, 'Riduci a icona' e 'Ingrandisci': si può modificare la grandezza della finestra e spostarla; inoltre la si può chiudere cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menù contestuale.
  • Titolo con menù di sistema: la finestra può essere spostata e chiusa cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menù contestuale.
  • Titolo senza pulsante: la finestra può essere spostata e chiusa cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menù contestuale.

Default: Nessun titolo:

Attenzione: Se si modifica questa proprietà nell´Editor, si dovrà riavviare il Runtime. Non è sufficiente effettuare solamente un aggiornamento del progetto, visto che, per riprendere le impostazioni concernenti la finestra principale, il Runtime deve essere chiuso e riaperto.

Ulteriori informazioni nella guida in linea.

Graphics quality

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati migliori rispetto a Windows Basis. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario. Possibile selezione:

  • Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.
  • DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.
  • DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sistema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: DirectX Hardware.

Attenzione: DirectX non è disponibile sotto Windows CE.

Avvertenza:

  • Se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
  • Quando si attiva l´opzione Windows Basis per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.
  • Per la rappresentazione di elementi ActiveX (desinenza file: *.ocx) non si usa un DirectX.

Ulteriori informazioni nella guida in linea.

Menu position

Selezione della posizione del menù fra quelle della lista a cascata.

Runtime settings

Impostazioni per il Runtime

Alarm status active

Linea stati attiva

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

  • Attivo: Non appena si verifica un allarme, nel runtime, all´estremità superiore dello schermo, compare una barra di stato rossa che contiene le informazioni sull´allarme. Si può ripristinare l´allarme anche cliccando due volte con il tasto destro del mouse su questa riga di stato, sempre che l´utente registrato disponga delle autorizzazioni necessarie.
  • Inattivo: Non viene visualizzata nessuna riga di stato.

Default: attiva

Attenzione Gestione multi-progetto: L´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi. Durante il Runtime viene utilizzate sempre la barra di stato allarmi del progetto superiore.

Ulteriori informazioni nella guida in linea.

Nota: questo Wizard attiva automaticamente la proprietà Lista di informazione allarmi attiva.

Driver invisible

Driver invisibile

Attivo: i driver avviati non vengono visualizzati durante il runtime nella taskbar di Windows.

Inattivo: i driver avviati vengono visualizzati durante il runtime nella taskbar di Windows.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Touch operation

Impostazioni per gestione touch

Multi-Touch

Multi-Touch attivo

Attivo: Si può usare il multitouch. Flick (breve movimento di strofinamento sul display) e clic destro (toccare il display e tenere premuto il dito) vengono disattivati.
Requisiti che tutti i driver corrispondenti e il dispositivo siano disponibili. Il dispositivo deve essere collegato e acceso.

Ulteriori informazioni nella guida in linea.

Mauszeiger visible

Cursore visibile

  • Attivo: Il cursore mouse è visibile nel Runtime.
  • Inattivo: Il cursore mouse non viene visualizzato nel Runtime. Se si progetta con Touchscreen, la visualizzazione del cursore mouse può essere fastidiosa e la si può disattivare facendo uso di questa proprietà.

Default: attiva
Attenzione: Questa impostazione ha effetto solamente su zenon, non sugli elementi standard di Windows, come header, menù, barre di scorrimento, ecc. Per gli elementi Windows, il cursore mouse deve essere disattivato direttamente nel sistema operativo.

Ulteriori informazioni nella guida in linea.

Automatic keyboard

Tastiera automatica

Per progetti con Touchscreen.

  • Attivo: viene aperta automaticamente una finestra keyboard quando è necessario effettuare un inserimento (per es.: nel caso di Setta valore impostabile oppure nel caso del login).
  • Inattivo: non viene aperta nessuna finestra Keyboard.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

Create keyboard screen

Attiva: crea DIALOGKBD per inserimenti alfanumerici e SETVALUEKBD per inserimenti numerici. Per i dettagli, vedi capitolo Crea immagine del tipo Keyboard. Per poter usare questi strumenti nel Runtime, deve essere attiva l´opzione Automatic Keyboard.

Keybooard size (%)

Definisce con quale percentuale della grandezza originale deve essere visualizzata la Keyboard automatica nel Runtime.
Minimo: 50 %
Massimo: 300 %
Default: 100 %

Ulteriori informazioni nella guida in linea.

Tasti freccia

Passare alla scheda successivo o precedente.

Overwrite

Crea un progetto e sovrascrive eventuali oggetti esistenti. Attivo solamente se la scheda Finish viene aperta.

Close

Chiude il Wizard.
Le modifiche apportate possono essere salvate per l´utente attuale.


Screen selection

Manuale -> Wizard -> Temi -> Project -> Wizard di progetto -> Screen selection

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda si possono selezionare delle immagini che devono essere impostate nel progetto.

Attenzione: le funzioni di cambio alle immagini selezionate devono essere configurate con le impostazioni standard. Non si effettuano delle impostazioni speciali, come filtri, variabili ecc.

Parametri

Descrizione

Screen types

Configurazione delle immagini.

Campo di selezione

Selezione del tipo di immagine fra quelle della lista a cascata.

Lista dei modelli (template)

Selezione dei modelli per l´immagine. Verranno visualizzate grandezza e anteprima.

Width

Larghezza dell´immagine

Solo visualizzazione,

Height

Altezza dell´immagine

Solo visualizzazione,

Anteprima

Anteprima del tipo di immagine selezionato con il modello scelto. Standard viene visualizzato vuoto.

Campo inserimento Nome

Nome dell´immagine scelto liberamente.

Add

Aggiunge l´immagine con il nome selezionato alla Lista delle immagini.

Remove

Cancella l´immagine selezionata dalla Lista delle immagini.

Lista delle immagini

Dispone nell´ambito di una lista tutte le immagini configurate con nome, tipo e grandezza.

È possibile impostare un massimo di 14 immagini.

Demo project

Impostazioni per un esempio di progetto.

Create demo screens

Attivo: Vengono creati degli esempi di immagini per la progettazione. Selezione delle immagini demo:

  • Demo pages:
    Esempi di pagine (vengono sempre creati)
  • Alarm message list:
    AML
  • Chronologic event list:
    CEL
  • System information:
    Pagine con informazioni di sistema, il cui numero dipende dalla risoluzione

Tasti freccia

Passare alla scheda successivo o precedente.

Overwrite

Crea un progetto e sovrascrive eventuali oggetti esistenti. Attivo solamente quando si apre la scheda Finish.

Close

Chiude il Wizard.
Le modifiche apportate possono essere salvate per l´utente attuale.

Esempio di configurazione


Finish

Manuale -> Wizard -> Temi -> Project -> Wizard di progetto -> Finish

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda viene creato il progetto.

Se si clicca sul pulsante Overwrite, il sistema crea il progetto sulla base delle impostazioni configurate nelle altre schede. Se esistono già degli oggetti, questi verranno sovrascritti. Il Wizard rimane aperto per consentire delle ulteriori operazioni di configurazione. Per chiudere il Wizard, cliccare suClose.


Esempio nel Runtime

Manuale -> Wizard -> Temi -> Project -> Wizard di progetto -> Esempio nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Di seguito, potete vedere due esempi delle conseguenze che hanno i Vostri inserimenti nel wizard sulla rappresentazione durante il Runtime.

  • Esempio 1: Con l´opzione Create demo screens attiva.
  • Esempio 2: senza immagini esempio.

info Informazioni su

Gli screenshot per questo tema sono disponibili solo in lingua inglese.

Noch in diesem Kapitel

Con immagini demo

senza immagini demo


Con immagini demo

Con immagini demo

Pagina iniziale:

Navigazione:

SIMUL Information:

Report Viewer:

AML

CEL:

SystemInfo_1 (a seconda della risoluzione dello schermo 1-3 immagini):

SystemInfo_2 (1280x1024):

Driver:


senza immagini demo

senza immagini demo

Pagina iniziale:

Navigazione:


Wizard di documentazione

Manuale -> Wizard -> Temi -> Project -> Wizard di documentazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo wizard Vi accompagna nei passi che sono necessari per creare un documento del progetto attivo.

Si può stabilire quali moduli devono essere inclusi nel documento e quali no.

Il wizard è modificabile.


Variables

Manuale -> Wizard -> Temi -> Variables

Wizards per variabili.

Noch in diesem Kapitel

Everywhere Essentials QR Code Generator

Variable creation wizard


Everywhere Essentials QR Code Generator

Manuale -> Wizard -> Temi -> Variables -> Everywhere Essentials QR Code Generator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Everywhere Essentials QR Code Generator Wizard serve a creare codici QR che possono essere visualizzati con l´Everywhere Essentials QR Data App.

info Informazioni su

Il Wizard ha bisogno dell´Everywhere Server (a pagamento) per la visualizzazione.

Ulteriori informazioni si trovano nella guida dedicata alle Applicazioni mobili per zenon, nei capitoli Everywhere Server by zenon e Everywhere Essentials QR Data App.

Possibile contenuti del codice QR:

  • Nome progetto
  • Nome variabile
    • Una certa variabile
    • Più variabili collegate ad un gruppo di impianti.
  • Dati di connessione con l´Everywhere Server

Tipp Suggerimento
  • Si usa l´Everywhere Server per poter utilizzare una configurazione di progetto per le applicazioni mobili di zenon.
  • Usare il modello di impianto nell´Editor di zenon per collegare delle variabili (per es. per indicatori e messaggi di allarme) con un gruppo di impianti.
  • Creare un codice QR per questo gruppo di impianti con l´Everywhere Essentials QR Code Generator
  • Stampare questo codice QR e applicarlo direttamente sul macchinario.
  • Eseguire la scansione del codice QR direttamente sul posto con l´Everywhere Essentials QR Data App per visualizzare i dati in tempo reale.

Noch in diesem Kapitel

Installare e aprire il Wizard

Finestra iniziale

Configurazione

Generate QR Code


Installare e aprire il Wizard

Manuale -> Wizard -> Temi -> Variables -> Everywhere Essentials QR Code Generator -> Installare e aprire il Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´Everywhere Essentials QR Code Generator viene installato automaticamente durante l´installazione standard di zenon.

Visualizzazione del Wizard nell´Editor di zenon

Per far sì che i wizard vengano visualizzati, le impostazioni per VBA e/o VSTA devono essere settate nel modo corretto nello zenon6.ini:

[VBA]

EIN=1

VSTA

ON=1

Se i Wizard VSTA non vengono visualizzati anche in presenza delle corrette impostazioni, andate alla sezione [VSTA] e settate l´inserimento LOADED= su 1.

Aprire Wizard

Per aprire il Wizard, procedere nel modo seguente:

  1. Aprire l´Editor di zenon
  2. Cliccare su File nella barra degli strumenti.
  3. Cliccare su Wizard.

    Nota: si può aprire la finestra di selezione contente i Wizard e i tool disponibili anche usando la combinazione di tasti Alt+F12.

  4. Si aprirà la finestra di selezione in cui sono visualizzati i Wizard disponibili.

  5. Selezionare la cartella Variables.
  6. Cliccare qui su Everywhere Essentials QR Code Generator.
  7. Cliccare su OK.
  8. Il Wizard si avvia con la finestra iniziale.

info Informazioni su

Il Everywhere Essentials QR Code Generator è disponibile solo in lingua inglese.


Finestra iniziale

Manuale -> Wizard -> Temi -> Variables -> Everywhere Essentials QR Code Generator -> Finestra iniziale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La scheda Welcome fornisce una breve visione d´insieme relativa alle funzionalità del Wizard.

Nota: il Wizard è a disposizione solamente in lingua inglese.

Navigazione

La navigazione all´interno del Wizard avviene cliccando sulle singole schede, oppure cliccando sui tasti di direzione.

Cliccando sul comando Close si chiude il Wizard. Una finestra di dialogo viene visualizzata prima della chiusura del Wizard.

Parametri | Descrizione
Sì | Chiude il Wizard. Le impostazioni configurate vengono conservate quando il Wizard viene riavviato.
No | Chiude il Wizard. Le configurazioni esistenti non vengono salvate.


Configurazione

Manuale -> Wizard -> Temi -> Variables -> Everywhere Essentials QR Code Generator -> Configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella scheda Generate QR Code si configurano i contenuti del codice QR.

Contenuti del codice QR:

  • O:
    Una variabile del progetto attuale.
  • Oppure:
    un gruppo di impianti del modello di impianto nel progetto globale, oppure del progetto attuale.
    Le variabili collegate al gruppo di impianti vengono visualizzate nell´Everywhere Essentials QR Data App.
  • Opzionale: Parametri di connessione all´Everywhere Server.

    Contenuto nell´Everywhere Essentials QR Data App:

    • Parametri di connessione non contenuti nel codice QR:

      L´App cerca di stabilire una connessione con l´Everywhere Server usando i profili di connessione esistenti.

    • Il codice QR contiene parametri di connessione:

      L´App stabilisce una connessione con l´Everywhere Server usando i parametri impostati nel Wizard. Mentre viene stabilita la connessione, nell´App viene visualizzata una finestra di dialogo per consentire l´inserimento di nome utente e password.


Generate QR Code

Manuale -> Wizard -> Temi -> Variables -> Everywhere Essentials QR Code Generator -> Generate QR Code

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Variable/Equipment Group

Parametri

Descrizione

Variable

Equipment Group

Campo opzionale per la selezione dell´elenco di anteprima :

  • Variable

    Mostra la lista delle variabili del progetto attivo di zenon.

  • Equipment Group

    Mostra il modello di impianto del progetto globale (se ne esiste uno) e quello del progetto attivo di zenon.

Everywhere Server

I parametri di connessione con l´Everywhere Server possono essere inseriti alla voce Everywhere Server.

Anche queste informazioni (se configurate) vengono inserite nel codice QR.

Parametri | Descrizione
Encode connection details | Attiva la codifica dei parametri di connessione nel codice QR.
URL | Nome dell´Everywhere Server con cui si vuole stabilire una connessione.
Port | Indirizzo di porta per la connessione con l´Everywhere Server. Nota: inserimenti non compresi nell'intervallo di immissione valido vengono corretti automaticamente e settati sul valore 65536.

Anteprima

Visualizza un´immagine di anteprima del codice QR della vostra progettazione.

QR Code

Parametri | Descrizione
Save to file | Il codice QR attualmente visualizzato viene salvato come file .png.
Copy to Clipboard | Copia il codice QR visualizzato negli appunti.

Noch in diesem Kapitel

Variabile

Equipment Group


Variabile

Variabile

Se è stato selezionato il campo opzioni „Variable", viene visualizzata la lista delle variabili del progetto attivo.

  • Le informazioni della variabile selezionata vengono codificate nel codice QR.
  • Il codice QR viene aggiornato direttamente nell´anteprima.

Parametri

Descrizione

Equipment Group

Campo opzioni per passare alla visuale del modello di impianto.

Filter

Filtra gli inserimenti nella visione d´insieme delle variabili. Questa operazione di filtro è eseguita solamente sulla base del nome variabile.

Il testo inserito in questo campo corrisponde alla condizione "contiene".

Variable

Visione generale di tutte le variabili del progetto attuale.

Si può ordinare la lista cliccando sull´intestazione delle colonne. Cliccando una seconda volta si inverte la direzione dell´ordinamento. La direzione viene indicata da un freccia. Si può modificare liberamente la larghezza della colonna cliccando con il tasto destro del mouse.

  • Name

    Nome variabile. Corrisponde alla proprietà Nome dell´Editor.

  • Identification

    Identificazione della variabile. Corrisponde alla proprietà Identificazione dell´Editor.

  • Driver

    Nome del driver. Corrisponde alla proprietà Nome dell´Editor.


Equipment Group

Equipment Group

Se è stato selezionato il campo opzioni Equipment Group, viene visualizzato il modello di impianto del progetto attivo. :

  • Viene visualizzato quanto segue:
    • Il modello di impianto del progetto globale (se ne esiste uno)
    • Il modello di impianto del progetto attivo.
  • Le variabili collegate al gruppo di impianti selezionato vengono codificate nel codice QR.
  • Il codice QR viene aggiornato direttamente nell´anteprima.

I modelli di impianto del progetto globale vengono offerti alla selezione solo se non esistono modelli di impianto con lo stesso nome nel progetto attivo. Se esistono modelli con lo stesso nome, l´utente ne viene informato tramite un simbolo (triangolo giallo) e un tooltip. l Il modello di impianto del progetto globale viene visualizzato in color grigio.

Se si sposta il cursore del mouse sul triangolo giallo, compare un tooltip con il seguente messaggio di errore:

The following Equipment Model(s) from the Global Project will be ignored! There is at least one Equipment Model with the same name in the local Project:

- [Nome modello nel progetto locale]


Variable creation wizard

Manuale -> Wizard -> Temi -> Variables -> Variable creation wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo wizard serve ad impostare velocemente molte variabili.

attention Attenzione

Questo wizard non supporta l'engineering distribuito e non è utilizzabile nei progetti multi-user.


Crea o adatta wizard

Manuale -> Wizard -> Crea o adatta wizard

I wizard sono comuni formulari, che contengono determinate funzioni nella parte codice. In questo modo i formulari vengono riconosciuti come Wizard di zenon.

I wizard forniti con zenon possono servire da base per wizard proprio.

I wizard propri possono essere salvati in cartelle ad hoc. Tutte le informazioni devono essere inserite nel filewizards.ini. Quest´ultimo può essere utilizzato al momento dell´aggiornamento del wizard.

Wizard VBA e VSTA

Per creare dei Wizard sono necessarie per VBA e VSTA le seguenti indicazioni:

  • Nome
  • Descrizione
  • Categoria
  • Visualizzazione nel dialogo
  • Numero di versione

Queste funzioni vengono lette da zenon per identificare formulari come wizard e visualizzare le informazioni corrispondenti nel dialogo wizard.

attention Attenzione

Non è consentito l´uso di virgole (,) nei campi Wizard (GetWizard...)!
Se si usa una virgola in uno dei campi Wizard, questo non verrà visualizzato nella finestra di dialogo `Wizard" dell´Editor di zenon.

Il wizard demo mette a disposizione un modello vuoto che può essere adattato alle esigenze individuali. I dettagli concernenti la creazione di Wizard VSTA li trovate nella sezione Dettagli VSTA-Wizards.

Nome

indica il nome Wizard così come visualizzato nel dialogo per i Wizard

Esempio: Project Wizard VSTA

VBA | VSTA
Public Function GetWizardName() As String GetWizardName = "Project-Wizard" End Function | GetWizardName (Type string)

Descrizione

Contiene la descrizione del Wizard come essa viene visualizzata nel settore "Descrizione" del dialogo.

Esempio: This wizard creates a simple zenon Project (V.1)

VBA | VSTA
Public Function GetWizardInfo() As String GetWizardInfo = "Wizard for creation of a project" End Function | GetWizardInfo (Type string)

Categoria

indica la categoria nella quale viene inserito il Wizard.

Ad esempio: Project

Nota: possono essere usate le categorie esistenti. Wizard VBA e VSTA possono essere inseriti nella stessa categoria.

VBA | VSTA
Public Function GetWizardCategory() As String GetWizardCategory = "Project" End Function | GetWizardCategory (Type string)

Visualizzazione nel dialogo

Stabilisce se il Wizard viene visualizzato nel dialogo o meno. In tal modo è possibile escludere un Wizard dalla visualizzazione senza che tutte le funzioni debbano essere cancellate, oppure essere rimosse dall´Add-in.

= true: viene visualizzato

= false: viene nascosto

VBA | VSTA
Public Function IsZenOnWizard() As Boolean IsZenOnWizard = True End Function | IsZenOnWizard (Type bool)

Numero di versione

Indica i numero di versione che viene visualizzato nella descrizione. Il numero di versione è necessario per gestire l´aggiornamento del wizard.

Esempio: (V.1)

Nota: Nell´ambito di una Wizard class non possono essere contenute delle funzioni con lo stesso nome. Ciò vale anche se rispondono diversi parametri.

VBA | VSTA
Public Function GetWizardVersion() As Integer GetWizardVersion = 6 End Function | GetWizardVersion (Type int)

Noch in diesem Kapitel

Dettagli VSTA-Wizard


Dettagli VSTA-Wizard

Manuale -> Wizard -> Crea o adatta wizard -> Dettagli VSTA-Wizard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

VSTA Wizard

#region Wizard_Identification

/// <summary>
/// This Static method returns the name of the wizard,
/// which will be displayed in the wizard-tree.
/// </summary>
/// <returns></returns>

static public string GetWizardName()
{
string strValue = "Name of the wizard";
return strValue;
}

/// <summary>
/// This Static method returns the description of the wizard,
/// which will be displayed at the bottom of the wizard-dialog.
/// </summary>/// <returns></returns>
static public string GetWizardInfo()
{
string strValue = "A more detailed description of the wizard.";
return strValue;
}

/// <summary>
/// This static method returns the category name of the wizard,
/// which will be used as node-name in the wizards-tree.
/// </summary>
/// <returns></returns>

static public string GetWizardCategory()
{
string strValue = "Wizard category";
return strValue;
}

/// <summary>
/// This static method returns a bool which can be used to "switch" the wizard
/// on/off in the wizard dialog (false=wizard is not shown in the tree).
/// </summary>
/// <returns></returns>

static public bool IsZenOnWizard()
{
bool bValue=true;
} return bValue;

/// <summary>
/// This static method returns the version of the wizard.
/// Indicated at the bottom of the wizard-dialog.
/// </summary>
/// <returns>wizard version</returns>

static public int GetWizardVersion()
{
int nValue = 1;
return nValue;
}

/// <summary>
/// This method is called when the wizard has been selected in the
/// wizard dialog and confirmed with "OK".
/// </summary>

public void StartWizard()
{
this.Show();
}
#endregion

VB.Net

'This shared method returns the name of the wizard,
'which will be displayed in the wizard-tree.

Public Shared Function GetWizardName() As String
GetWizardName = "Name of the wizard"
End Function

'This shared method returns the description of the wizard,
'which will be displayed at the bottom of the wizard-dialog.

Public Shared Function GetWizardInfo() As String
GetWizardInfo = "A more detailed description of the wizard."
End Function

'This shared method returns the category name of the wizard,
'which will be used as node-name in the wizards-tree.

Public Shared Function GetWizardCategory() As String
GetWizardCategory = "Wizard category"
End Function

'This shared method returns a bool which can be used to "switch" the wizard
'on/off in the wizard dialog (false=wizard is not shown in the tree).

Public Shared Function IsZenOnWizard() As Boolean
IsZenOnWizard = True
End Function

'This shared method returns the version of the wizard.
'Indicated at the bottom of the wizard-dialog.

Public Shared Function GetWizardVersion() As Integer
GetWizardVersion = 1
End Function

'This method is called when the wizard has been selected in the
'wizard dialog and confirmed with "OK".

Public Sub StartWizard()
Me.Show()
End Sub

C# Workspace

Perché l`Editor possa creare in modo dinamico un´istanza della VSTA-Class, deve essere aggiunta un´ulteriore funzione per "Default" Workspace Code. Questo segmento codice deve essere presente perché il Wizard venga visualizzato nel dialogo. Questo segmento codice non dovrebbe essere modificato!

#region Wizard

/// <summary>
/// This Routine Enables the Dynamic creation of VSTA-Wizards.
/// </summary>
/// <param name="strClassname"></param>

public void StartWizard(string strClassname)
{

//Retrieve the ClassType by its Typename:

Type t = Type.GetType(strClassname);
if(t!=null)
{

//Since the ClassType has been found, let's create it.
//The wizard from ClassType %strClassname% is required
//to have a Constructor with ZenWorkspace Parameter!

object[] Params = new object[] { this.ZenWorkspace };
object Wizard = Activator.CreateInstance(t, Params);
if (Wizard != null)
{
t.InvokeMember("StartWizard", BindingFlags.Public | BindingFlags.Instance | BindingFlags.InvokeMethod, null, Wizard, null);
}
}
}
#endregion

And for the VB.Net workspace like this:
'This Routine Enables the Dynamic creation of VSTA-Wizards,
'and should not be modified or removed!

Public Sub StartWizard(ByVal strClassname As String)
Dim obClassType As Type
Dim obWizard As Object
Dim obParams(0) As Object
obClassType = Type.GetType(strClassname)
If (Not obClassType Is Nothing) Then
obParams(0) = Me.ZenWorkspace
obWizard = Activator.CreateInstance(obClassType, obParams)
If (Not obWizard Is Nothing) Then
obClassType.InvokeMember("StartWizard", System.Reflection.BindingFlags.Public Or System.Reflection.BindingFlags.Instance Or ystem.Reflection.BindingFlags.InvokeMethod, obWizard, Nothing, Nothing)
End If
End If
End Sub


Aggiorna Wizard

Manuale -> Wizard -> Aggiorna Wizard

Quando installate un Service Pack di zenon, il sistema offre automaticamente l´update dei wizard.

I wizard esistenti non vengono sovrascritti dal setup. Per questo motivo può rendersi necessario che dei wizard debbano essere importati e attualizzati manualmente.

attention Attenzione

Queste informazioni valgono solo per i wizard che sono stati programmati in C#. Questi ultimi sono tutti i wizard che vengono offerti nella finestra Aggiorna Wizard.

Queste informazioni non valgono per i wizard che sono stati programmati in .Net, come:

  • Analyzer Wizards
  • Sankey Wizard

i .Net wizard vengono integrati tramite una DLL e vengono aggiornati automaticamente con gli update di zenon. L´update può essere effettuato (se necessario) anche manualmente, tramite il file Build per zenon contenuto nel supporto di installazione zenon Analyzer.

Richiedi update

Un update può essere iniziato in qualsiasi momento anche manualmente facendo uso dell´inserimento Aggiorna wizard che si trova nella lista a cascata File.

Parametri

Descrizione

Lista wizard

Ordina in una lista tutti i wizard VBA e quelli VSTA disponibili nell´Add-in attivo.

  • Nome

Nome del wizard.
  • Nome oggetto

Nome oggetto VBA/VSTA.
  • Precedente Versione

Versione usata attualmente.
  • Nuova versione

Versione verso la quale viene effettuato l´update.
  • Informazioni

informazioni sullo stato e sull´azione imminente:

  • Nuovo: il wizard non è ancora presente nel file VBA.
  • Modificato: è disponibile una nuova versione.
  • Non più aggiornato: il wizard disponibile è vecchio e viene cancellato.
  • Tipo

VBA o VSTA
  • Specifico per l'utente

il wizard è stato creato o modificato dall´utente

Fonti dati

Possibilità di definire delle cartelle proprie per propri wizard Viene inserito il luogo in cui è stato salvato il wizards.ini individuale.

Gli inserimenti corrispondenti vengono salvati nello zenon.ini nella sezione [VSTA] o [VBA] come WIZARDPATH=.

Cartelle aggiuntive per Wizard VSTA

Luogo di salvataggio individuale per wizard VSTA propri.

Cartelle aggiuntive per Wizard VBA

Luogo di salvataggio individuale per wizard VBA propri.

Ricorda un'altra volta

il dialogo viene aperto di nuovo al momento del prossimo start dell´editor.

Inizio aggiornamento

I wizard mostrati nella lista corrispondente vengono aggiornati.

annulla

La finestra di dialogo viene terminato senza update e verrà offerta di nuovo dal sistema solo dopo la prossima installazione di un Service Pack.

Assicurare attualità

Visto che oggetti non istanziati al momento dell´apertura del dialogo non possono essere controllati, il sistema offre sempre l´update di alcuni oggetti. In tal modo il sistema garantisce che Voi non dobbiate lavorare con un versione superata. La versione visualizzata nel dialogo di update funge solamente come forma di informazione per consultig e sviluppo.

Distribuisci wizard nell´azienda

Se avete scritto dei wizard propri e volete metterli a disposizione anche di altri utenti, potete usare anche questo meccanismo.
A tal scopo, esportate i wizard dal Vostro ambiente di sviluppo VBA/VBA; Vi consigliamo di deporre questo file di esportazione in un drive di rete disponibile. A gestire l´import servono i file ini. Dovete creare questi ultimi in modo corrispondente e dovete depositarli nel drive di rete.
La descrizione della struttura dei file la trovate qui: per VBA e per VSTA.

Adesso dovete solamente indicare ai Vostri colleghi il posto in cui li avete salvati ed essi possono comodamente importare i wizard nel loro editor. Se avete nuovi wizard o wizard modificati, dovete esportare solamente lo stato più recente, salvarlo e aumentare il numero di versione. In tal modo potete distribuire dei wizard comodamente all´interno dell´azienda.

Errori che possono emergere al momento dell´aggiornamento di wizard VSTA.

Errore

Possibili cause

Nel dialogo per l´aggiornamento non vengono mostrati wizard VSTA
  • Vengono indicati nella lista solo i wizard che si trovano nell´Add-in caricato.
    Se non vengono indicati i wizard VSTA, deve essere attivato VSTA-Add-in al momento dello start dell´editor. A tal scopo, settato in zenon6.ini nella sezione [VSTA] l´inserimento LOADED= a 1.
  • Se il workspace non può essere compilato a causa di errori nel codice, non viene mostrato nella lista nessun wizard.

Informazioni su come si procede a ripristinare gli Original Wizard le trovate nel capitolo Ripristina Original Wizard.

Non viene mostrato un particolare wizard.
  • Il wizard non supporta i metodi necessari.
  • Il workspace non è stato compilato dopo che il wizard è stato implementato; l´Add-in attivo non contiene ancora il wizard.

Non vengono mostrati wizard di creazione propria.
  • Il percorso configurato è sbagliato.
  • Il wizards.ini aperto nel percorso configurato è vecchio o errato.

Ripristina Original Wizard

Se dei wizard non compaiono nella lista corrispondente, potete ripristinare gli Original Wizard. Per farlo:

  1. chiudete l´Editor di zenon
  2. passate alla cartella: %ProgramData%\COPA-DATA\zenonxxx\VSTAWorkspace (xxx sta per la versione di zenon)
  3. rinominate l´intera cartella
  4. riavviate l´Editor
  5. la cartella e i wizard verrano impostati di nuovo

Noch in diesem Kapitel

Struttura del wizards.ini


Struttura del wizards.ini

Manuale -> Wizard -> Aggiorna Wizard -> Struttura del wizards.ini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Struttura del file INI per la gestione dei wizard in VSTA e VBA.

info Informazioni su

Questa documentazione è disponibile solamente in lingua inglese.

Noch in diesem Kapitel

VSTA wizards.ini

VBA wizards.ini

Metodi necessari per l´aggiornamento


VSTA wizards.ini

Manuale -> Wizard -> Aggiorna Wizard -> Struttura del wizards.ini -> VSTA wizards.ini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[DEFAULT]: Contains global settings

COUNT: Amount of Wizards included in the INI (Must be modified when adding/removing a Wizard to the ini

[MYWORKSPACE] Contains settings for the Workspace.cs

VERSION: Current Version

[WIZARD_X]: Contains settings of a Wizard:

NAME: Name as indicated in the Update dialog

CLASSNAME: Name of the Form-Class representing the Wizard.

VERSION: Version number

PATH:Path-expansion to location of the files.

DELETE: 1 when the Wizard is to be removed from the Workspace

FILES: The amount of files included in this wizard

FILE_X: The name of a file included in the wizard

TYPE_X: The type of the file (Required for the Form.cs and Resx File)

DEP_X: The Name of a file on which this file depends

Esempio

[DEFAULT]

COUNT=3

[MYWORKSPACE]

VERSION=1

[WIZARD_1]

NAME=Export-Wizard

CLASSNAME=Wizard_Exportxml

VERSION=3

PATH=\Wizard_Exportxml

DELETE=0

FILES=3

FILE_1=Wizard_Exportxml.cs

TYPE_1=Form

FILE_2=Wizard_Exportxml.Designer.cs

DEP_2=Wizard_Exportxml.cs

FILE_3=Wizard_Exportxml.resx

DEP_3=Wizard_Exportxml.cs

TYPE_3=EmbeddedResource

[WIZARD_2]

NAME=Wizard_Project

CLASSNAME=Wizard_Project

VERSION=1

PATH=\Wizard_Project

DELETE=0

FILES=3

FILE_1=Wizard_Project.cs

TYPE_1=Form

FILE_2=Wizard_Project.Designer.cs

DEP_2=Wizard_Project.cs

FILE_3=Wizard_Project.resx

DEP_3=Wizard_Project.cs

TYPE_3=EmbeddedResource

[WIZARD_3]

NAME=Demo Wizard

CLASSNAME=Wizard_Demo

VERSION=1

PATH=\Wizard_Demo

DELETE=0

FILES=3

FILE_1=Wizard_Demo.cs

TYPE_1=Form

FILE_2=Wizard_Demo.Designer.cs

DEP_2=Wizard_Demo.cs

FILE_3=Wizard_Demo.resx

DEP_3=Wizard_Demo.cs

TYPE_3=EmbeddedResource


VBA wizards.ini

Manuale -> Wizard -> Aggiorna Wizard -> Struttura del wizards.ini -> VBA wizards.ini

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

[DEFAULT]: Contains global settings

COUNT: Amount of Wizards included in the INI (Must be modified when adding/removing a Wizard to the ini

[MYWORKSPACE] Contains settings for the Workspace.cs

VERSION: Current Version

[WIZARD_X]: Contains settings of a Wizard:

NAME: Name as indicated in the Update dialog

VERSION: Current Version

PATH:Path-expansion to location of the files.

VB_NAME: Name of the VBA-Object representing the Wizard.

VB_TYPE: 0=Form, 1=class

DELETE: 1 when the Wizard is to be removed from the Workspace

Esempio

[DEFAULT]

COUNT=3

[MYWORKSPACE]

VERSION=3

[WIZARD_1]

NAME=Wizard for creating variables

VERSION=8

PATH=\CreateVariables\frmCreateVariables.frm

VB_NAME=frmCreateVariables

VB_TYPE=0

DELETE=0

[WIZARD_2]

NAME=Document Wizard

VERSION=12

PATH=\DocuWizard\frmDocuWizardEx.frm

VB_NAME=frmDocuWizardEx

VB_TYPE=0

DELETE=0

[WIZARD_3]

NAME=Import-Wizard

VERSION=3

PATH=\ImportWizard\frmImportWizard.frm

VB_NAME=frmImportWizard

VB_TYPE=0

DELETE=1


Metodi necessari per l´aggiornamento

Manuale -> Wizard -> Aggiorna Wizard -> Struttura del wizards.ini -> Metodi necessari per l´aggiornamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Esempio di metodi di cui si ha bisogno per far in modo che i wizard siano visualizzati nel dialogo per l´aggiornamento:

VBA

'The following methods define the form as a control system Wizard. If IsZenOnWizard is set to false,

'the Wizard does not appear in the Wizarddialog, does not influence the Wizardupdate Dialog.

Public Function GetWizardName() As String

GetWizardName = "Empty Wizard"

End Function

Public Function GetWizardInfo() As String

GetWizardInfo = "<TODO: Add description here>"

End Function

Public Function GetWizardCategory() As String

GetWizardCategory = "<TODO: Add category-information here>"

End Function

Public Function IsZenonWizard() As Boolean

IsZenonWizard = False

End Function

Public Function GetWizardVersion() As Integer

GetWizardVersion = 6

End Function

VSTA

#region Wizard_Identification

/// <summary>

/// This Static method returns the name of the wizard,

/// which will be displayed in the wizard-tree.

/// </summary>

/// <returns></returns>

static public string GetWizardName()

{

string strValue = "Demo Wizard";

return strValue;

}

/// <summary>

/// This Static method returns the description of the wizard,

/// which will be displayed at the bottom of the wizard-dialog.

/// </summary>/// <returns></returns>

static public string GetWizardInfo()

{

string strValue = "This is our Demo Wizard";

return strValue;

}

/// <summary>

/// This static method returns the category name of the wizard,

/// which will be used as node-name in the wizards-tree.

/// </summary>

/// <returns></returns>

static public string GetWizardCategory()

{

string strValue = "Wizard VSTA";

return strValue;

}

/// <summary>

/// This static method returns a bool which can be used to "switch" the wizard

/// on/off in the wizard dialog (false=wizard is not shown in the tree).

/// </summary>

/// <returns></returns>

static public bool IsZenOnWizard()

{

bool bValue = false;

return bValue;

}

/// <summary>

/// This static method returns the version of the wizard.

/// Indicated at the bottom of the wizard-dialog.

/// </summary>

/// <returns>wizard version</returns>

static public int GetWizardVersion()

{

int nValue = 1;

return nValue;

}

/// <summary>

/// This method is called when the wizard has been selected in the

/// wizard dialog and confirmed with "OK".

/// </summary>

public void StartWizard()

{

this.Show();

}

#endregion


Elemento WPF

Manuale -> Elemento WPF

Con l´elemento dinamico WPF possono essere implementati e visualizzati file WPF/XAML validi in zenon.

info Informazioni su

Tutti nomi di marchi e prodotti contenuti in questa documentazione sono marchi o marchi registrati del relativo proprietario.

Noch in diesem Kapitel

Basi:

Linee guida per i designer

Linee guida per progettisti.

Engineering in zenon


Basi:

Manuale -> Elemento WPF -> Basi:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

XAML

XAML significa Extensible Application Markup Language e si pronuncia ['zæ:m?l]. Questo linguaggio di markup basato su XML sviluppato da Microsoft definisce elementi grafici, animazioni, trasformazioni, rappresentazione di sfumature di colore ecc., in interfacce utenti Silverlight e WPF. L´uso di XAML permette di separare in modo rigoroso design e programmazione. Il designer prepara, ad esempio, l´interfaccia grafica e crea delle animazioni base che vengono poi riprese dallo sviluppatore/progettista che crea logica dell´applicazione.

WPF

WPF significa Windows Presentation Foundation, e definisce un framework grafico che è una parte di Windows .NET Framework.

  • WPF mette a disposizione del programmatore un modello ampio.
  • XAML descrive, basandosi su XML, la gerarchia delle interfacce come linguaggio markup.
    A seconda della struttura del file XAML si ha la possibilità di collegare proprietà, eventi e trasformazioni degli elementi WPF a variabili e funzioni di zenon.
  • Il framework unisce le diverse aree di una presentazione, come l’interfaccia utente, disegni, grafiche, audio, video, documenti e tipografia.

Per l´esecuzione in zenon si ha bisogno di Microsoft .NET Framework Version 3.5, oppure di una versione ancora più recente.

Noch in diesem Kapitel

WPF nella visualizzazione di processo

Assembly referenziati

Workflow


WPF nella visualizzazione di processo

Manuale -> Elemento WPF -> Basi: -> WPF nella visualizzazione di processo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

XAML rende possibili diverse opzioni grafiche per zenon, Elementi di visualizzazione ed elementi dinamici possono essere creati ed adattati nella loro forma grafica, indipendentemente dalla progettazione. Per esempio, prima un designer crea delle illustrazioni complesse, che poi vengono importate in forma di file XAML in zenon e collegate alla logica desiderata. Ci sono molte possibilità di applicazione concreta:

Elementi dinamici in analog-look.

Le grafiche non devono più essere disegnate in zenon, ma possono essere importate direttamente sotto forma di file XAML. Ciò permette l´uso di elementi illustrati in modo complesso nella visualizzazione di processo. Riflessi, ombreggiature, effetti 3D ecc, ad esempio, vengono supportati come grafica. Gli elementi, adattati al settore industriale in questione, permettono all´operatore una gestione intuitiva, analoga alla gestione tramite i comandi sul macchinario.

Illustrazioni complesse per una gestione intuitiva

L´implementazione di elementi di visualizzazione basati su XAML migliora la veste grafica dei vostri progetti e permette una visualizzazione di processo più semplice e chiara. Gli elementi, ottimizzati in fatto di usabilità, facilitano la gestione. La visualizzazione chiara dei dati semplifica la comprensione di contenuti complessi. La possibilità flessibile di modifica ed adeguamento dei singoli elementi aumenta il comfort della gestione. Perciò è possibile per il progettista determinare in piena autonomia valori, scale e unità.

Chiara presentazione dei dati e riepiloghi

Elementi di visualizzazione riassuntiva permettono una rappresentazione chiara dei dati di processo più rilevanti, in modo tale che l´operatore che gestisce l´impianto sia sempre informato su quanto sta accadendo nel processo. Analisi grafiche, visualizzazione valori e slider possono essere raggruppati in un solo elemento, consentendo così una gestione veloce e semplice.

Visualizzazione di processo specifica per i diversi settori industriali

Elementi, come termometro, scale o bargraf, sono gli elementi base della visualizzazione di un processo. Usando XAML, è possibile adeguare l´aspetto grafico di questi elementi alle diverse esigenze dei differenti settori industriali. In tal modo, nella visualizzazione del processo sul terminale, gli operatori ritrovano quegli elementi cui sono abituati e che conoscono già per via del loro lavoro con i macchinari.

Adattamento a Corporate Design

Le illustrazioni grafiche possono essere adeguate alle indicazioni stilistiche delle diverse imprese, permettendo così di raggiungere un aspetto omogeneo nella visualizzazione di tutto il processo produttivo. Si possono usare come base gli elementi di controllo standard di zenon, che potranno poi essere modificati adeguando colori, caratteri, stile delle illustrazioni a quelli tipici e caratteristici per una determinata impresa.


Assembly referenziati

Manuale -> Elemento WPF -> Basi: -> Assembly referenziati

Con l´elemento WPF non si possono rappresentare solamente oggetti standard (rettangoli, grafiche, ecc.), o effetti (sfumature di colore, animazioni, ecc.), ma anche controlli utente personalizzati (con logica nel code behind), che vengono referenziati come assembly.

Per esempio, si può creare un controllo utente che ha l´aspetto di un tachimetro e offre delle proprietà speciali e degli effetti ottici; per esempio, la proprietà "Value", che fa sì che la lancetta del tachimetro si muova e/o indichi il valore.

Il workflow per raggiungere questo obiettivo:

  • L´aspetto di un user control viene disegnato con gli oggetti standard messi a disposizione da WPF.
  • Le proprietà e le interazioni vengono programmate.
  • Il pacchetto completo viene compilato ed è disponibile come .NET Assembly.

Questo assembly può essere usato per progetti WPF. Per far ciò, deve essere referenziato (collegato) nell´Editor WPF (per es: Microsoft Expression Blend). Per far ciò, selezionate l´assembly nel dialogo di selezione file in zenon:

A partire da questo momento, gli user control WPF dell´assembly possono essere selezionati nel toolbox alla voce Custom UserControls e possono essere usati nel progetto WPF.

A tal proposito, vedi anche il capitolo: Linee guida per progettisti.

Usare assembly referenziati in zenon

Per usare un assembly in zenon, esso deve essere disponibile in forma di file.
File collection del formato .cdwpf gestiscono ciò autonomamente, il che significa che non c´è bisogno di altri passi di configurazione. Per i file del formato .xaml, invece, si deve aggiungere gli assembly alla cartella File:

  • Cliccate nella struttura ad albero su File.
  • Selezionate Altro.
  • Selezionate nel menù contestuale Aggiungi file....
  • Si apre il dialogo per la selezione file.
  • Aggiungete l´assembly desiderato.

Quando un file WPF viene visualizzato nell´elemento WPF (editor e runtime), gli assembly vengono caricati da questa cartella. In tal modo si garantisce che, quando vengono trasmessi i file runtime per mezzo di Trasporto Remoto, tutti gli assembly referenziati siano esistenti sul computer di destinazione.

Una file collection (.cdwpf) e un file XAML con lo stesso nome possono esistere in parallelo. Tutti gli assembly (*.dll) di tutte le file collection e della cartella Altri vengono copiati nella cartella di lavoro. Nel caso esistano diversi assembly con lo stesso nome, viene usato quello che ha il numero di versione file più alto.

attention Attenzione

Gli assembly vengono rimossi dopo il caricamento solo quando l´applicazione viene chiusa. Ciò significa:

Se un file WPF viene visualizzato con un assembly referenziato in zenon, questo assembly viene caricato e si trova nella memoria fino alla chiusura di zenon, anche se l´immagine è stata chiusa. Se volete eliminare un assembly dalla cartella File/Altri, prima di tutto bisogna riavviare l´editor in modo tale che l´assembly venga rimosso.

Gestione multi-progetto

Nella gestione multi-progetto, deve essere usato lo stesso assembly in tutti i progetti. Se in un progetto un assembly viene sostituito da un´altra versione, la sostituzione deve essere effettuata anche in tutti gli altri progetti che sono caricati nell´Editor o nel Runtime.


Workflow

Manuale -> Elemento WPF -> Basi: -> Workflow

La tecnologia WPF/XAML rende possibili nuovi workflow nella visualizzazione di processo. La separazione fra design e funzionalità consente di realizzare una chiara divisione dei compiti fra progettista e designer; il lavoro di quest´ultimo è facilitato dalla possibilità di utilizzare design già esistenti, che non devono essere più modificati dal progettista.

Al workflow per la creazione di elementi WPF in zenon partecipano le seguenti persone:

  • Designer
    • illustra elementi
    • si occupa dell´aspetto grafico per MS Expression Design
  • Operatore MS Expression Blend
    • anima gli elementi
    • crea variabili per l´animazione degli elementi WPF in zenon, ai quali può accedere il progettista.
  • Progettista
    • implementa gli elementi in zenon
    • imposta logica e funzionalità

Distinguiamo fra:

  • workflow con Microsoft Expression Blend
  • workflow con Adobe Illustrator

Noch in diesem Kapitel

Workflow con Microsoft Expression Blend

Workflow con Adobe Illustrator


Workflow con Microsoft Expression Blend

Manuale -> Elemento WPF -> Basi: -> Workflow -> Workflow con Microsoft Expression Blend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si usa Microsoft Expression Blend, la creazione di un elemento WPF avviene in quattro passaggi:

  1. Illustrazione dell´elemento in MS Expression Blend
  2. Aprire l´elemento in MS Expression Design ed esportarlo come WPF
  3. Animazione in MS Expression Blend
  4. Integrazione in zenon

Un esempio di creazione di un elemento WPF con Microsoft Expression Blend lo trovate nel capitolo Creare un pulsante come file XAML usando Microsoft Expression Blend.


Workflow con Adobe Illustrator

Manuale -> Elemento WPF -> Basi: -> Workflow -> Workflow con Adobe Illustrator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con Adobe Illustrator abbiamo il seguente workflow:

  1. Illustrazione degli elementi in Adobe Illustrator
  2. Import di file .ai ed elaborazione in MS Expression Design
  3. Export WPF da MS Expression Design
  4. Animazione in MS Expression Blend
  5. Integrazione in zenon

Un esempio di questa procedura lo trovate nel capitolo Workflow con Adobe Illustrator.


Linee guida per i designer

Manuale -> Elemento WPF -> Linee guida per i designer

Questo capitolo fornisce delle informazioni concernenti il modo corretto di creare file WPF in Microsoft Expression Blend e Adobe Illustrator. Le esercitazioni per la Creazione di un elemento pulsante e di un elemento bargraf mostrano il modo in cui, in pochi passaggi, si possono creare dei file WPF completamente funzionanti per zenon partendo da grafiche già esistenti.

Tale scopo si raggiunge usando i seguenti strumenti:

  • Adobe Illustrator CS3 (AI)
  • Microsoft Expression Design 4 (ED)
  • Microsoft Expression Blend 4 (EB)
  • zenon

info Informazioni su

Se si vogliono usare in WPF degli oggetti referenziati (assembly), si devono tener presenti le indicazioni contenute nel capitolo Oggetti referenziati.

Noch in diesem Kapitel

Workflow con Microsoft Expression Blend

Workflow con Adobe Illustrator


Workflow con Microsoft Expression Blend

Manuale -> Elemento WPF -> Linee guida per i designer -> Workflow con Microsoft Expression Blend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con Microsoft Expression Blend, un elemento WPF viene:

  • illustrato
  • convertito in formato WPF usando MS Expression Design
  • animato

L´esempio seguente mostra l´illustrazione e la conversione di un elemento pulsante in un file XAML.

Nota: una versione di prova di "Microsoft Expression Blend" può essere scaricata dalla Website di Microsoft.

Noch in diesem Kapitel

Creare un pulsante come file XAML con Microsoft Expression Blend


Creare un pulsante come file XAML con Microsoft Expression Blend

Manuale -> Elemento WPF -> Linee guida per i designer -> Workflow con Microsoft Expression Blend -> Creare un pulsante come file XAML con Microsoft Expression Blend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Creare un pulsante

  1. Avviate Expression Blend
  2. Selezionate l´opzione New Project

  3. Selezionate come tipo di progetto WPF
  4. Assegnate un percorso a vostra scelta e un nome (per es. MyBlendProject)

    Potete ignorare le impostazioni Language e Version, visto che non deve essere programmata nessuna funzionalità.

  5. Dopo aver chiuso il dialogo cliccando su OK, Microsoft Blend crea un nuovo progetto con le impostazioni selezionate. Expression Blend aggiunge un file XAML vuoto, che contiene già un riferimento di classe.
  6. Cancellate il file appartenente a quello XAML facendo uso del menù contestuale.
  7. Rinominate il file XAML cambiandone il nome da MainControl.xaml a MyButton.xaml.
  8. La dimensione development del file è settata di default su 640 volte 480 pixel e dovrà essere ancora modificata:
    1. Passate alla visuale XAML
    2. Correggete la dimensione portandola a 100 volte 100 pixel.
    3. Cancellate il riferimento di classe x:Class="MyBlendProject.MyButton".

  9. Passate alla visuale Design.

  10. Aggiungete un pulsante usando la barra dei simboli.
  11. Definite le proprietà.
    • Width: 50
    • Height: 50
    • Margins: 25

    Così il pulsante si troverà al centro del control.

  12. Salvate le modifiche e aprite il file in Internet Explorer a fini per controllarlo. Vedrete che il pulsante viene visualizzato nella dimensioni di 50 x 50 pixel.

Rendere il pulsante scalabile

Se implementate questo file in zenon così com´è adesso, il pulsante avrà sempre esattamente la dimensione pari a 50 x 50 pixel. Visto però che il pulsante deve essere usato come bottone scalabile, passate di nuovo a Expression Blend:

  1. Selezionate il pulsante nella visione ad albero.
  2. Selezionate nel menù contestuale del bottone la voce Group Into->Viewbox
  3. Il pulsante viene inserito in un Viewbox.
  4. Definite le proprietà del Viewbox
    • Width: Auto
    • Height: Auto
  5. Salvate il file.

  6. Se adesso aprite il file in Internet Explorer, il pulsante viene automaticamente scalato in caso di cambio delle dimensioni della finestra IE. Questo file si adatterebbe automaticamente anche in zenon ad un eventuale cambio delle dimensioni dell´elemento WPF.

Modifica nome

Prima di poter implementare il file in zenon, dovete dare un nome all´elemento WPF. Di default, gli elementi WPF non hanno un nome in Expression Blend e sono distinti da parentesi quadre e dal loro tipo. L´attribuzione di content zenon a content WPF avviene tramite il nome degli elementi WPF:

  • Nella struttura ad albero, modificate il nome:
    • del pulsante nominandolo MyButton
    • del ViewBox nominandolo MyViewBox

Questo pulsante può essere adesso integrato come file XAML in zenon.


Workflow con Adobe Illustrator

Manuale -> Elemento WPF -> Linee guida per i designer -> Workflow con Adobe Illustrator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si usa Adobe Illustrator, un elemento WPF viene:

  • illustrato in Adobe Illustrator
  • convertito in un WPF in MS Expression Design
  • animato in MS Expression Blend

L´esempio seguente mostra l´illustrazione e la conversione di un elemento bargraf in un file XAML.

Noch in diesem Kapitel

Illustrazione bargraf

Export WPF

Animazione in blend


Illustrazione bargraf

Manuale -> Elemento WPF -> Linee guida per i designer -> Workflow con Adobe Illustrator -> Illustrazione bargraf

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un bargraf viene creato in Adobe Illustrator.

  1. AI: elemento di partenza bargraf

    Illustrato in Adobe Illustrator CS3.

  2. AI: visualizzazione percorso bargraf in Adobe Illustrator

    • Tutti gli effetti devono essere convertiti (Object -> Convert appearance)
    • Tutte le linee vengono trasformate in percorsi (Object -> Path -> Contour line)
    • Non usare nessun filtro come ombreggiatura, sfocatura, ecc.

Note concernenti la compatibilità

Le illustrazioni che vengono realizzate con Adobe Illustrator, si prestano in linea di principio ad un export WPF. Tuttavia, non tutti gli effetti possibili in Illustrator possono essere convertiti in modo adeguato in Expression Design/Blend. Tenete presente:

Effetto

Descrizione

Maschere di ritaglio

Le maschere di ritaglio create in Adobe Illustrator non vengono interpretate correttamente da Expression Design. Per lo più, esse vengono visualizzate in Blend come delle superfici di color nero.

Vi consigliamo di creare le illustrazioni senza maschere di ritaglio.

Filtri e effetti

Non ogni filtro di Adobe Illustrator viene ripreso in Expression Design in modo esattamente corrispondente. I filtri di sfocatura gaussiana, effetti per il design degli angoli di Illustrator, per esempio, non funzionano in Expression Design.

Soluzione:

  • facendo uso del comando Oggetto -> Trasforma aspetto in Adobe Illustrator, potete trasformare la maggior parte degli effetti in modo tale da renderli leggibili per Expression Design.
  • Gli effetti per gli angoli di Adobe Illustrator vengono interpretati correttamente da MS se vengono trasformati in percorsi in Adobe Illustrator.

Campi di testo

Per poter collegare campi di testo a codice, essi devono essere creati separatamente in Expression Blend. Labels" sono necessari per testi dinamici; per le informazioni statiche, invece, sono sufficienti semplici „Campi testo".

MS Design non prevede la possibilità di creare label di testo. Dovete crearli direttamente in MS Blend.

Trasparenze e trasparenze di gruppo

Ci possono essere delle difficoltà in Adobe Illustrator per la corretta interpretazione di impostazioni di trasparenza, in particolare di quelle concernenti le trasparenze di gruppo.

MS Expression Blend e MS Expression Design, però, offrono la possibilità di creare nuove impostazioni di trasparenza.

Moltiplica livelli

Queste Impostazioni livello in Adobe Illustrator non vengono riprodotte sempre correttamente in MS Expression Blend.

C´è però la possibilità di impostare direttamente in Expression Design "Moltiplica livelli".

Strumenti analogici e posizioni standard

Per preparare le grafiche all´animazione nel modo migliore, lancetta e indicatore devono essere sempre nella posizione di partenza, per lo più leore 0 o 12:00.

In questo modo, i parametri di posizione per rotazioni ecc, vengono indicati in Blend correttamente e l´animazione può avvenire senza la necessità di una conversione dei dati concernenti la posizione.


Export WPF

Manuale -> Elemento WPF -> Linee guida per i designer -> Workflow con Adobe Illustrator -> Export WPF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per realizzare l´animazione in Microsoft Expression Blend c´è bisogno di file WPF. Consigliamo l´uso di Microsoft Expression Design per realizzare questo export, dato che esso fornisce buoni risultati e che la maggior parte degli effetti Illustrator vengono interpretati correttamente.

Nota: in Internet c`è un plug-in gratuito per l´export diretto di file WPF da Adobe Illustrator. Questo plug-in offre la possibilità di effettuare un export veloce e non complicato da Illustrator; per l´applicazione attuale, però, non è molto adatto visto che comporta delle perdite di qualità grafica. Sono possibili anche delle divergenze di colore rispetto al documento originario.

File nel formato .ai possono essere importati regolarmente in Expression Design. I percorsi sono mantenuti in questo processo.
Attenzione alcuni comuni effetti Illustrator, però, non possono essere rappresentati correttamente da Expression Design (vedi capitolo Illustrazione).

Esportiamo in 5 passaggi l´elemento bargraf già creato:

  1. ED: Import
    • Importate in Microsoft Expression Design il file Illustrator preparato usando File -> Importa
  2. ED: Ottimizzazione

    • Se il file originario non viene correttamente visualizzato in MS Expression Design, esso può essere modificato e ottimizzato in questa sede.
  3. ED: Seleziona

    • Evidenziate con la freccia Selezione diretta in MS Expression Design l´elemento per l´export WPF, in questo caso l´intero orologio.
  4. ED: Avvia Export

    • Avviate l´export mediante File -> Esporta
    • Si apre il dialogo per la configurazione delle impostazioni di export.
  5. ED: Impostazioni di esportazione

    • Effettuate le seguenti impostazioni di esportazione:
    1. Formato: XAML Silverlight 4 / WPF Canvas

      Assegna sempre un nome agli oggetti: Attivate l´opzione con simbolo di spuntatura.

      Piazzate gli oggetti raggruppati in un XAML layout container: Attivate l´opzione con simbolo di spuntatura.

    2. Testo: Blocco di testo modificabile
    3. Effetti linea: Rasterizza tutto.

Il file esportato ha la desinenza.xaml. Nel successivo passaggio, esso viene preparato e animato in MS Expression Blend.


Animazione in blend

Manuale -> Elemento WPF -> Linee guida per i designer -> Workflow con Adobe Illustrator -> Animazione in blend

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con MS Expression Blend:

  • vengono animati i file XAML di MS Expression Design.
  • vengono create variabili per la gestione degli effetti che possono essere indirizzati da zenon,

In 13 passaggi giungiamo dallo statico XAML all´elemento animato, che può essere integrato in zenon:

  1. EB: Crea progetto

    1. Aprite Microsoft Expression Blend.
    2. Create un nuovo progetto.
    3. Selezionate come Tipo di progetto WPF-> WPF- Control Library
    4. Assegnate un nome (nella nostra esercitazione: My_Project)
    5. Selezionate un luogo dove salvare il progetto.
    6. Selezionate un linguaggio (nella nostra esercitazione: C#)
    7. Selezionate la Framework Version 3.5.
  2. EB: Cancella MainControl.xaml.cs

    1. Passate a MainControl.xaml.cs.
    2. Cancellate questo file usando il comando Cancella del menù contestuale.
  3. EB: apri file XAML esportati
    1. Aprite il menù contestuale per My_Project (con il tasto destro del mouse).
    2. Selezionate Aggiungi elemento esistente…
    3. Selezionate il file XAML esportato da Microsoft Expression Design per aprirlo in Microsoft Expression Blend.
  4. EB: Apri MainControl.xaml

    1. Aprite il MainControl.xaml generato automaticamente.
    2. Navigate nel settore Oggetti e assi tempo e passate alla voce UserControl.
  5. EB: Adatta XAML-Code

    1. Cliccate con il tasto destro del mouse su UserControl
    2. Selezionate nel menù contestuale visualizza XAML
    3. Cancellate nel XAML-Code le righe 7 e 9:

      x:Class="Mein_Projekt.MainControl"

      d:DesignWidth="640" d:DesignHeight="480"

  6. EB: Controlla XAML-Code

    • Adesso il XAML Code dovrebbe avere il seguente aspetto:

    <UserControl

    xmlns=http://schemas.microsoft.com/winfx/2006/xaml/presentation
    xmlns:x=http://schemas.microsoft.com/winfx/2006/xaml
    xmlns:d=http://schemas.microsoft.com/expression/blend/2008
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"

    mc:Ignorable="d"
    x:Name="UserControl">

    <Grid x:Name="LayoutRoot"/>

    </UserControl>

  7. EB: Copia elementi

    1. Aprite il file XAML importato da Expression Design.
    2. Evidenziate tutti gli elementi.
    3. Selezionate nel menù contestuale Copia.
    4. Tornate al file XAML generato automaticamente.
  8. EB: Inserisci elementi

    1. Cliccate con il tasto destro del mouse su Layout Root.
    2. Selezionate Aggiungi.
  9. EB: Adatta tipo layout

    1. Cliccate con il tasto destro del mouse su LayoutRoot -> Modifica tipo di layout -> Viewbox
    2. Adesso la struttura dovrebbe avere il seguente aspetto: UserControl -> LayoutRoot -> Grid -> Elementi
    3. Assegnate un nome a LayoutRoot e Grid cliccando due volte sul nome
  10. EB: Testi e formati

    • Testi dinamici e statici vengono contrassegnati con campi di testo.
    • Valori (numeri) vengono emessi con Labels
  11. EB: Inserisci label

    • Label sostituiscono i numeri che devono essere collegati in seguito per mezzo di variabili Int (deve essere eseguito per tutti gli elementi-numeri)
  12. EB: Setta proprietà

    • Per visualizzare il 100%, settate la proprietà MaxHeight dell´elemento visualizzazione bargraf sul valore 341 (l´altezza massima dell´elemento indicatore corrisponde a 340).
  13. EB: prepara per uso in zenon

    1. Cancellate tutte le denominazioni (si possono assegnare nomi solamente agli elementi che devono essere indirizzati tramite zenon).
    2. Salvate il file XAML con un nome qualsiasi.
    3. Implementate il file XAML in zenon

Consiglio per effettuare un controllo: se il file XAML viene visualizzato in Microsoft Internet Explorer senza problemi e si adegua alla grandezza della finestra di Internet Explorer, verrà usato correttamente anche in zenon.


Linee guida per progettisti.

Manuale -> Elemento WPF -> Linee guida per progettisti.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo capitolo si occupa della creazione di un semplice user control WPF con funzionalità code-behind mediante Microsoft Visual Studio, e del debugging di questo user control nel Runtime.

A tal scopo, si usano i seguenti strumenti:

  • Microsoft Visual Studio 2015.
  • zenon.

info Informazioni su

Si consiglia di usare una versione di Microsoft Visual Studio a partire da quella 2012, a causa della migliore integrazione di XAML Designer.

Noch in diesem Kapitel

Creazione di un semplice user control WPF con funzionalità code-behind.

Debug del WPF User Control nel Runtime

Scambio di dati fra zenon e controlli utenti WPF

Accedere al modello ad oggetti zenon (Runtime) da un controllo utente WPF.


Creazione di un semplice user control WPF con funzionalità code-behind.

Manuale -> Elemento WPF -> Linee guida per progettisti. -> Creazione di un semplice user control WPF con funzionalità code-behind.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo capitolo si descrive la creazione e l´implementazione di un semplice user control WPF. Visto intendiamo descrivere solo il meccanismo/procedimento di base d´integrazione in zenon, la funzionalità dell´user control creato si limiterà all´addizione di due valori. Al fine di fornire un esempio semplice e chiaro, si è rinunciato volutamente ad un´esposizione della gestione degli errori estesa; né questo esempio pretende di fornire un quadro esplicativo completo ed esaustivo dell´argomento.

Creare WPF User Control

  1. Create in Visual Studio una nuova Solution, ed in essa un progetto WPF User Control Library.

    In questo esempio, si è optato per .NET Framework Version 4. Si può scegliere anche un´altra versione che deve essere installata sul sistema di destinazione sul quale sarà poi avviato il Runtime.

    Informazioni: Se il relativo modello di progetto non è contenuto nella lista dei modelli disponibili, lo si può aggiungere usando "Cerca" (campo situato in alto a destra della finestra di dialogo).

    Nel nostro esempio, il progetto riceve il nome WPFUserControlLibrary.

  2. Create 3 caselle di testo ed un pulsante nel file UserControl1.xaml:

  3. Aggiungete il seguente codice nell´evento click del pulsante:

Adesso disponete dell´user control, che fornisce la funzionalità desiderata. Visto, però, che zenon può rappresentare solamente quei file XAML che non rimandano ad un file code-behind, si ha bisogno di un ulteriore file XAML che referenzi la libreria (assembly) appena creata.

Creazione del file XAML (senza code-behind) per zenon

Per creare il file necessario in zenon, procedete come segue:

  1. Create anzitutto un altro progetto, ancora una volta del tipo WPF User Control Library.
  2. Nel nostro esempio, esso viene nominato WPFUserControlNoCodeBehind.
  3. Aggiungete in questi nuovo progetto una referenza al progetto appena creato.

  4. Il file XAML (UserControl1.xaml) ha il seguente aspetto:

  5. Visto che tutti i contenuti necessari sono inclusi nella DLL creato in precedenza e che non è consentito usare nessun file code-behind, cancellate le seguenti righe:

    x:Class="WPFUserControlNoCodeBehind.UserControl1"

    xmlns:local="clr-namespace:WPFUserControlNoCodeBehind"

  6. Cancellate anche (per l´impostazione della dimensione del Designer) le seguenti righe:

    mc:Ignorable="d"

    d:DesignHeight="300" d:DesignWidth="300"

  7. Cancellate il file code-behind (UserControl1.xaml.cs) in questo progetto.
  8. Trascinate l´user control creato in precedenza (dal progetto WPFUserControlLibrary) sulla casella degli strumenti nel XAML-Designer.
  9. Assegnate un nome alla Grid, nonché all´user control.

    Attenzione: se non si assegna nessun nome in questa sede, questi elementi non compariranno nella finestra di dialogo Collegamento dell´Editor di zenon; di conseguenza essi non potranno essere dinamizzati.

  10. Il file XAML dovrebbe avere il seguente aspetto:

Il prossimo passaggio illustra come implementare la DLL, nonché il file XAML in zenon.

Passaggi in zenon

  1. Aprite l´Editor di zenon
  2. Passate al nodo File -> Grafiche.
  3. Selezionate nel menù contestuale Aggiungi file...

  4. Scegliete il file XAML nel luogo di salvataggio (UserControl1.xaml dal progetto WPFUserControlNoCodeBehind) e aggiungetelo:

  5. Aggiungete la DLL con la funzionalità per il file XAML.

    A tale scopo:

    1. Selezionate nel menù contestuale del nodo File -> Altri Aggiungi file....
    2. Selezionate il file WPFUserControlLibrary.dll (dal percorso di output) del primo progetto (WPFUserControlLibrary).

  6. Create un´immagine di zenon.
  7. Aggiungete un elemento WPF e selezionate il file XAML precedentemente implementato.

    Adesso dovreste vedere quanto segue nell´Editor di zenon:

  8. Avviate il Runtime di zenon per testare il control anche lì.

info Informazioni su

Il file XAML e gli assembly referenziati possono essere salvati anche insieme come file *.cdwpf. Così dovrà essere importato solo un file nell´Editor (alla voce File -> Grafiche). Ulteriori informazioni su questo argomento le trovate nel capitolo File CDWPF (file collection).

Suggerimento: Quando si sviluppa un controllo utente WPF, nella maggior parte dei casi è più pratico aggiungere separatamente il file XAML e la/le DLL referenziato/i. . Ciò semplifica lo scambio della DDL e il debugging. Ulteriori informazioni su questo argomento le trovate nel capitolo Debug del WPF User Control nel Runtime.

attention Attenzione

Gli assembly vengono rimossi dopo il caricamento solo quando l´applicazione viene chiusa. Ciò significa:

Se un file WPF viene visualizzato con un assembly referenziato in zenon, questo assembly viene caricato e si trova nella memoria fino alla chiusura di zenon, anche se l´immagine è stata chiusa. Se volete eliminare un assembly dalla cartella File/Altri, prima di tutto bisogna riavviare l´editor in modo tale che l´assembly venga rimosso.

Ulteriori esempi li trovate nel capitolo Esempi: Integrazione di WPF in zenon.


Debug del WPF User Control nel Runtime

Manuale -> Elemento WPF -> Linee guida per progettisti. -> Debug del WPF User Control nel Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per effettuare il debug del WPF User Control nel Runtime, procedete nel modo seguente:

In questo esempio si usa il control descritto nel capitolo Creazione di un semplice user control WPF con funzionalità code-behind.

Debug via Attach to Process (Connetti a processo)

  1. Assicuratevi che il Runtime zenon sia avviato e che sia aperta un´immagine con l´user control WPF.

    Assicuratevi poi che la DLL usato corrisponda alla Build attuale (versione) del progetto dello User Control (WPFUserControlLibrary).

  2. Settate poi nel progetto Visual Studio un punto di interruzione nell´Evento click del pulsante.

  3. Selezionate in Visual Studio, al punto Debug , la voce di menù Attach to Process.
  4. Selezionate il processo Runtime zenon.

  5. Selezionate alla voce Attach to o Automatico , oppure la versione .NET Framework corrispondente (v4.x in questo caso)

  6. Cliccate su Attach.
  7. Attivate adesso il punto di interruzione inserendo nel Runtime di zenon valori nel WPF Control e cliccando sul pulsante.

Debug via Start External Program (Avvia programma esterno)

  1. Assicuratevi che il Runtime di zenon sia terminato.
  2. Assicuratevi che il progetto contente l´user control WPF sia settato come progetto di partenza nell`Editor di zenon.
  3. Assicuratevi che il progetto dell´User Control (WPFUserControlLibrary) sia settato come progetto di partenza in Visual Studio.

  4. Nelle proprietà di progetto del progetto Visual Studio selezionate sotto Debug, alla voceStart action: Start external program
  5. Per Start external program selezionate il percorso dell´applicazione zenon Runtime.
  6. Sotto Working Directory, selezionate la cartella \wpfcache dei file Runtime (...\PROJECTNAME\RT\FILES\zenon\custom\wpfcache)

    Suggerimento: Avendo selezionato il progetto nell´Editor di zenon, pigiate la combinazione di tasti CTRL+ALT+R per saltare direttamente al root path del file Runtime.

  7. Nelle proprietà di progetto, alla voce Build indicate anche come Output path la cartella \wpfache dei file Runtime.

  8. Realizzate il progetto in Visual Studio.
  9. Avviate il debug in Visual Studio con Start.

  10. A questo punto verrà avviato automaticamente il Runtime di zenon.
  11. Attivate il punto di interruzione inserendo nel Runtime di zenon valori nel WPF Control e cliccando sul pulsante.

info Informazioni su

Al momento dell´avvio del Runtime di zenon, gli assembly referenziati in WPF User Controls (DLL) della cartella \FILES\zenon\custom\additional, oppure gli assembly dei file CDWPF vengono copiati nella cartella \FILES\zenon\custom\wpfcache. Se la versione file del DDL esistente nella cartella \wpfache è la stessa, o più recente di quella del "file originale", esso non viene sostituito!

Per il debug, dunque, è sufficiente sostituire solamente il file direttamente nella cartella \wpfache.

Per la fornitura, si deve assicurare che la versione attuale della DLL sia effettivamente presente nella cartella \additonal, o nel file CDWPF!

Attenzione: se si aggiorna solamente il DDL nella cartella \additional, oppure in CDWPF, ma non si aumenta il numero di versione, si deve prima cancellare manualmente la DLL nella cartella \wpcache, visto che, in caso contrario, non verrebbe aggiornato (a causa del meccanismo descritto in precedenza).

attention Attenzione

Gli assembly vengono rimossi dopo il caricamento solo quando l´applicazione viene chiusa. Ciò significa:

Se un file WPF viene visualizzato con un assembly referenziato in zenon, questo assembly viene caricato e si trova nella memoria fino alla chiusura di zenon, anche se l´immagine è stata chiusa. Se volete eliminare un assembly dalla cartella File/Altri, prima di tutto bisogna riavviare l´editor in modo tale che l´assembly venga rimosso.


Scambio di dati fra zenon e controlli utenti WPF

Manuale -> Elemento WPF -> Linee guida per progettisti. -> Scambio di dati fra zenon e controlli utenti WPF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Ci sono diverse possibilità di effettuare lo scambio di dati fra zenon e i controlli utenti WPF.

  • Scambio di dati via Dependency Properties
  • Scambio di dati via VSTA

Noch in diesem Kapitel

Scambio di dati via Dependency Properties

Scambio di dati via VSTA


Scambio di dati via Dependency Properties

Manuale -> Elemento WPF -> Linee guida per progettisti. -> Scambio di dati fra zenon e controlli utenti WPF -> Scambio di dati via Dependency Properties

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il modo più elegante e più sicuro di scambiare dati fra zenon e controlli utenti WPF di creazione propria, è quello di usare le Dependency Properties.

Da base serve il progetto WPF User Control (WPFUserControlLibrary) creato nel capitolo Creazione di un semplice user control WPF con funzionalità code-behind.

Anche in questo capitolo ci concentreremo solamente sulla tematica di fondo (in questo caso, le Fall Dependency Properties e lo scambio di dati fra il controllo utente e zenon). Non descriveremo specifiche funzionalità di WPF, come Databinding (Associazione dati) ecc., né tratteremo in modo esplicito la problematica della risoluzione dei problemi.

Estensioni nel codice

  1. Create l´evento TextChanged per l´elemento textBoxA nel file UserControl1.xaml

    TextChanged="textBoxA_TextChanged"

  2. Inserite le seguenti righe di codice nella classe UserControl1 del file code-behind (UserControl1.xaml.cs).

/// <summary>

/// Gets or sets the ValueA.

/// </summary>

public double ValueA

{

get

{

return (double)GetValue(ValueADependencyProperty);

}

set

{

SetValue(ValueADependencyProperty, value);

}

}

/// <summary>

/// Dependency property for ValueA

/// </summary>

public static readonly DependencyProperty ValueADependencyProperty =

DependencyProperty.Register("ValueA", typeof(double),

typeof(UserControl1), new FrameworkPropertyMetadata(0.0, new PropertyChangedCallback(OnValueADependencyPropertyChanged)));

/// <summary>

/// Called when [value a dependency property changed].

/// </summary>

/// <param name="source">The source.</param>

/// <param name="e">The <see cref="DependencyPropertyChangedEventArgs"/> instance containing the event data.</param>

private static void OnValueADependencyPropertyChanged(DependencyObject source, DependencyPropertyChangedEventArgs e)

{

UserControl1 control = source as UserControl1;

if (control != null)

{

try

{

control.ValueA = (double)e.NewValue;

control.textBoxA.Text = control.ValueA.ToString();

}

catch (Exception)

{}

}

}

/// <summary>

/// Handles the TextChanged event of the textBoxA control.

/// </summary>

/// <param name="sender">The source of the event.</param>

/// <param name="e">The <see cref="TextChangedEventArgs"/> instance containing the event data.</param>

private void textBoxA_TextChanged(object sender, TextChangedEventArgs e)

{

try

{

ValueA = Convert.ToDouble(textBoxA.Text);

}

catch (Exception)

{}

}

Poi create la soluzione.

info Informazioni su

In questo esempio si usa una proprietà numerica (double). Si possono anche usare altri tipi di dato semplice (come bool, string, int, ecc.).

Collegamento in zenon

  1. Aggiornate l´user control WPF (DLL) nell´Editor di zenon.

    A tal scopo, procedete come descritto nel capitolo Creazione di un semplice user control WPF con funzionalità code-behind; tenete presente che esiste la possibilità che l´Editor di zenon debba essere riavviato nel caso in cui precedentemente sia stata caricata dall´Editor un´altra versione dell´assembly (DLL).

  2. Create una variabile numerica in zenon. Collegatela ad un elemento di testo dinamico: Piazzate quest´ultimo nell´immagine accanto all´elemento WPF con il vostro User Control.
  3. Aprite l´immagine contenente l´elemento WPF e selezionate presso quest´ultimo, alla voce WPF links: Configuration

  4. Espandete il nodo nel tree in alto a sinistra e selezionate AdditionControl

  5. Scegliete la riga conValueA (è il nome della proprietà creata in precedenza nel code), e selezionate alla voce Type of link: Variable

    Suggerimento: attribuite alle proprietà un prefisso, in modo da poterle trovare con facilità, per esempio: _ValueA

  6. Nella colonna, alla voce Linkage, selezionate la variabile creata precedentemente in zenon.

  7. Confermate il dialogo cliccando su OK e compilate i file Runtime.
  8. Avviate il Runtime per testare il controllo utente WPF.

  9. Se cambia il valore nel controllo utente, cambia automaticamente anche quello in zenon e viceversa.
  10. Naturalmente, potete effettuare il debug del controllo utente come descritto nel capitolo Debug del controllo utente WPF nel Runtime, e potete anche creare delle ulteriori Dependency Properties.

info Informazioni su

Per accedere (automaticamente) al momento dell´inizializzazione (per es. all´apertura del controllo utente) ai valori delle Dependency Properties, si può usare l´evento UserControl_Loaded .


Scambio di dati via VSTA

Manuale -> Elemento WPF -> Linee guida per progettisti. -> Scambio di dati fra zenon e controlli utenti WPF -> Scambio di dati via VSTA

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Via VSTA si possono anche scambiare dati fra zenon e i controllo utenti WPF.

Folgende Methoden der API werden dazu verwendet:

  • get_WPFProperty (lettura di valori)
  • set_WPFProperty (scrittura di valori)

.

L´esempio qui addotto si basa su quello illustrato nel capitolo Scambio di dati via Dependency Properties.

Creazione di una macro VSTA per lo scambio di dati fra zenon e il controllo utente WPF.

  1. Create la seguente macro nel ProjectAddin del progetto zenon.

    Tenete presente quanto segue:

    • "Screen" è il nome dell´immagine zenon in cui si trova l´elemento WPF.
    • "WPF_Element" è il nome dell´elemento WPF che contiene il controllo utente WPF.
    • "AdditionControl" è il nome del controllo utente WPF stesso (definito nel file (UserControl1.xaml).
    • "ValueA" è il nome dell´User Control Properties.
  2. Create una funzione "Esegui macro VSTA" e collegatela ad un pulsante nell´immagine in cui si trova anche l´elemento WPF.
  3. Avviate il Runtime per testare le modifiche.

    Quando viene eseguita la macro, il valore viene letto dal controllo, raddoppiato e riscritto.

info Informazioni su

Le proprietà User Control usate in questo metodo per lo scambio dei dati non devono essere eseguite necessariamente come Dependency Properties, come illustrato in questo esempio. Si possono usare anche "Standard" Properties; a questo proposito, vedi il capitolo Accesso via VSTA "Variable Link".


Accedere al modello ad oggetti zenon (Runtime) da un controllo utente WPF.

Manuale -> Elemento WPF -> Linee guida per progettisti. -> Accedere al modello ad oggetti zenon (Runtime) da un controllo utente WPF.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per accedere al modello ad oggetti zenon a partire da un controllo utente WPF ci sono diverse possibilità. Esse verranno illustrate nei capitoli seguenti.

Noch in diesem Kapitel

Accesso via VSTA "Variable Link"

Accesso via Marshalling


Accesso via VSTA "Variable Link"

Manuale -> Elemento WPF -> Linee guida per progettisti. -> Accedere al modello ad oggetti zenon (Runtime) da un controllo utente WPF. -> Accesso via VSTA "Variable Link"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per accedere all´interfaccia Runtime COM di zenon via "Variable Link", procedete come segue. Da base serve l´esempio Creazione di un semplice controllo utente WPF con funzionalità code-behind.

info Informazioni su

Il seguente code intende mostrare in modo esemplare come possa essere realizzato l´accesso COM al Runtime di zenon; ci si è limiti alla funzionalità di base. Non si è affrontato il tema della risoluzione dei problemi.

Adeguamenti e modifiche necessarie nel controllo utente WPF.

È necessario effettuare i seguenti passaggi nel progetto WPF User Control (WPFUserControlLibrary).

In primo luogo, si deve implementare un riferimento all´interfaccia COM di zenon.

Poi si deve inserire nella classe UserControl1 il seguente code:

//The zenon Project

zenOn.Project zenonProject = null;

/// <summary>

/// Property for the Variable link via VSTA

/// </summary>

public object zenonVariableLink

{

get { return null; }

set

{

if (value != null && zenonProject == null)

{

zenOn.Variable zenonVariable;

try

{

zenonVariable = (zenOn.Variable)value;

}

catch (Exception)

{

return;

}

if ((zenonVariable!= null) && (!string.IsNullOrEmpty(zenonVariable.Name)))

{

zenonProject = zenonVariable.Parent.Parent;

}

}

}

}

/// <summary>

/// Trigger used to notify the control from VSTA to release the COM resources

/// </summary>

public object zenonReleaseTrigger

{

get { return null; }

set

{

if ((bool)value && zenonProject != null)

{

try

{

Marshal.FinalReleaseComObject(zenonProject);

}

catch (Exception)

{

return;

}

zenonProject = null;

GC.Collect();

GC.WaitForPendingFinalizers();

GC.Collect();

}

}

}

Alle proprietà zenonVariableLink (per l´inizializzazione dell´oggetto COM ) e zenonReleaseTrigger (per il rilascio dell´oggetto COM) si accede dopo da VSTA (scrittura).

Per testare l´accesso COM velocemente ed in modo molto semplice, si può aggiungere nell´evento click del pulsane esistente del controllo utente la seguente riga di codice.

private void buttonAdd_Click(object sender, RoutedEventArgs e)

{

if (zenonProject != null)

{

MessageBox.Show(zenonProject.Name);

}

return;

...

info Informazioni su

In questo esempio si usa una variabile del tipo zenOn.Project. Naturalmente si possono usare anche altri oggetti, eventi ecc. del modello ad oggetti zenon.

Necessari adeguamenti e modifiche nel zenon Project/VSTA Code

Nel code VSTA si devono effettuare i seguenti passaggi:

Creazione di una macro VSTA per l´inizializzazione

/// <summary>

/// Macro for API initialization in the WPF User Control

/// </summary>

public void MacroWPFInit()

{

zenOn.IDynPicture myWPFScreen = this.DynPictures().Item("Screen");

zenOn.IElement myWPFElement = myWPFScreen.Elements().Item("WPF_Element");

myWPFElement.set_WPFProperty("AdditionControl", "zenonVariableLink", this.Variables().Item(0));

}

Creazione di una macro VSTA per il rilascio

/// <summary>

/// Macro for API release in the WPF User Control

/// </summary>

public void MacroWPFRelease()

{

zenOn.IDynPicture myWPFScreen = this.DynPictures().Item("Screen");

zenOn.IElement myWPFElement = myWPFScreen.Elements().Item("WPF_Element");

myWPFElement.set_WPFProperty("AdditionControl", "zenonReleaseTrigger", true);

}

Create due funzioni "esegui macro VSTA", che vengono collegate a pulsanti che si trovano nella stessa immagine dell´elemento WPF.

Avviate adesso il Runtime per testare la funzionalità.

  • Eseguite la macro di inizializzazione.
  • Premete il pulsante del controllo utente WPF User Control; appare un MessageBox contenente il nome del progetto.

  • Eseguite la macro di rilascio.

Per effettuare il debug del controllo utente, potete procedere come descritto nel capitolo Debug del controllo utente WPF nel Runtime.

Tipp Suggerimento

Ai fini di una chiara dimostrazione, l´inizializzazione ed il rilascio dell´oggetto COM avviene nel presente esempio semplicemente via funzioni macro VSTA. A seconda dell´impiego concreto, gli eventi in VSTA possono rivelarsi più idonei.

Ad esempio, il code per l´inizializzazione può essere eseguito nell´evento _Open dell´immagine con l´elemento WPF, e il code per il rilascio nell´evento _Close.

Il meccanismo qui descritto viene usato anche nel capitolo Visualizzazione di elementi WPF nel Web Client di zenon.

attention Attenzione

Se oggetti COM vengono usati in controlli utente WPF, essi devono essere sempre rilasciati in modo esplicito prima della distruzione de controllo utente WPF (prima della chiusura dell´immagine, del termine del Runtime e della ricarica).


Accesso via Marshalling

Manuale -> Elemento WPF -> Linee guida per progettisti. -> Accedere al modello ad oggetti zenon (Runtime) da un controllo utente WPF. -> Accesso via Marshalling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per accedere all´interfaccia Runtime COM di zenon via Marshalling, procedete come segue. Da base serve l´esempio Creazione di un semplice controllo utente WPF con funzionalità code-behind.

info Informazioni su

Il seguente code intende mostrare in modo esemplare come possa essere realizzato l´accesso COM al Runtime di zenon; ci si è limiti alla funzionalità di base. Non si è affrontato il tema della risoluzione dei problemi.

Adeguamenti e modifiche necessarie nel controllo utente WPF.

È necessario effettuare i seguenti passaggi nel progetto WPF User Control (WPFUserControlLibrary).

In primo luogo, si deve implementare un riferimento all´interfaccia COM di zenon.

Poi si deve inserire nella classe UserControl1 il seguente code:

//The zenon Project

zenOn.Project zenonProject = null;

Inoltre, il costruttore del controllo utente deve essere esteso con l´aggiunta delle righe sottostanti (per l´inizializzazione dell´oggetto COM):

/// <summary>

/// Constructor for UserControl1, initialize COM Object

/// </summary>

public UserControl1()

{

InitializeComponent();

try

{

zenonProject = ((zenOn.Application)Marshal.GetActiveObject("zenOn.Application")).Projects().Item("TESTPROJECT");

}

catch (Exception)

{

}

}

L´oggetto COM deve essere rilasciato nell´evento UserControl_Unloaded:

/// <summary>

/// Release COM Object

/// </summary>

private void UserControl_Unloaded(object sender, RoutedEventArgs e)

{

try

{

if (zenonProject != null)

{

Marshal.FinalReleaseComObject(zenonProject);

zenonProject = null;

}

}

catch (Exception)

{

}

}

Per testare l´accesso COM velocemente ed in modo molto semplice, si può aggiungere nell´evento click del pulsante esistente del controllo utente la seguente riga di codice.

private void buttonAdd_Click(object sender, RoutedEventArgs e)

{

if (zenonProject != null)

{

MessageBox.Show(zenonProject.Name);

}

return;

...

Compilate adesso la soluzione e aggiornate il controllo utente WPF nel progetto di zenon.

Avviate il Runtime per testare il controllo utente.

Per effettuare il debug del controllo utente, potete procedere come descritto nel capitolo Debug del controllo utente WPF nel Runtime.

info Informazioni su

In questo esempio si usa una variabile del tipo zenOn.Project. Naturalmente si possono usare anche altri oggetti, eventi ecc. del modello ad oggetti zenon.

attention Attenzione

Se oggetti COM vengono usati in controlli utente WPF, essi devono essere sempre rilasciati in modo esplicito prima della distruzione de controllo utente WPF (prima della chiusura dell´immagine, del termine del Runtime e della ricarica).

info Informazioni su

Nel Web Client di zenon non è possibile un accesso via Marshalling. Se è necessario qui un accesso all´interfaccia COM, si deve seguire il metodo descritto nel capitolo die Accesso via VSTA "Variable Link".


Engineering in zenon

Manuale -> Elemento WPF -> Engineering in zenon

Per poter usare User Control WPF in zenon, la versione 3.5 (o una ancora più recente, a seconda della versione .NET Framework usata nell´user control) deve essere installata sia sul computer su cui è eseguito l´Editor, che su quello in cui è eseguito il Runtime.

Condizioni per visualizzazione WPF in zenon

Al momento, la dinamicizzazione è disponibile per i tipi di dato semplici (tipi di dato numerici, nonché stringa). Array e strutture non possono essere dinamizzate.

Perciò in zenon possono essere utilizzate le seguenti funzioni WPF:

  • Proprietà dell´elemento che corrispondono a tipi di dato semplici come String, Int, Double, Bool ecc.
  • Proprietà dell´elemento del tipo "Object", che possono essere settate con tipi di dato semplici.
  • Eventi dell´elemento possono essere usati con funzioni; i parametri degli eventi, però, non sono disponibili/analizzabili in zenon.
  • Trasformazione dell´elemento per la quale esista un RenderTransform per l´elemento nel file XAML.

    Attenzione: se il content si trova al di là dell´area dell´elemento WPF durante la trasformazione, esso non verrà non disegnato.

Indicazioni sull´ombra: Per gli elementi WPF non è possibile visualizzare un´ombra in zenon.

attention Attenzione

Se vengono generati i file runtime di un progetto per una versione precedente a quella 6.50, gli elementi WPF esistenti non vengono implementati nelle immagini runtime.

Noch in diesem Kapitel

CDWPF-file (file collection)

Crea elemento WPF

Configurazione del collegamento

Validità di file XAML

Elementi predefiniti

Visualizzazione di elementi WPF nel Web Client di zenon

Esempi: Integrazione di WPF in zenon

Gestione errori


CDWPF-file (file collection)

Manuale -> Elemento WPF -> Engineering in zenon -> CDWPF-file (file collection)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Un file CDWPF (con il suffisso *.cdwpf) è un file ZIP rinominato che contiene le seguenti componenti:

  • File XAML (per referenziare l´User Control Assembly)
  • File DLL (il vero e proprio WPF User Control, facoltativo)
  • Grafica di anteprima (per anteprima, facoltativa).

Regole per l´uso di file collection:

  • I file (XAML, DLL, grafica di anteprima) possono trovarsi direttamente nel file CDWPF, oppure in una cartella comune.
  • Il nome del file collection deve corrispondere a quello del file XAML.
  • Può essere contenuto solamente un file XAML.
  • La grafica di anteprima dovrebbe essere piccola e non più alta di 64 pixel.
    Nome dell´anteprima file: preview.png oppure il nome del file XAML con la desinenza png.
  • Si possono usare quante assembly si voglia. La distinzione avviene sulla base della versione della versione file.
  • File collection non devono necessariamente contenere un assembly.
  • Vengono analizzate tutte le sottocartelle; si tiene conto solamente dei file dei tipi *.dll, *.xaml, o *.png.
  • Se un file collection (*.cdwpf) viene sostituito da un file di una differente versione, devono essere adeguati tutti i file CDWPF corrispondenti, in tutti i simboli ed immagini in tutti i progetti.


Crea elemento WPF

Manuale -> Elemento WPF -> Engineering in zenon -> Crea elemento WPF

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un elemento WPF:

  1. Selezionate nella barra dei simboli degli elementi il simbolo Elemento WPF, oppure scegliete l´inserimento corrispondente nel menù Elementi
  2. Selezionate nella finestra principale il punto start
  3. Delineate l´elemento trascinando il mouse.
  4. Selezionate nelle proprietà del gruppo Visualizzazione quella File XAML.
  5. Si apre la finestra dialogo di selezione file.
  6. Selezionate il file desiderato.
    Sono validi i file del formato:
    • *.xaml: Extensible Application Markup Language
    • *.cdwpf: WPF file collection, mostra anche anteprima.

    (Il file deve essere già esistere nel manager di progetto alla voce File/Grafiche oppure essere creato nella finestra di dialogo.)

  7. Configurate i collegamenti.

info Informazioni su

Se volete usare in WPF degli oggetti referenziati (assembly), tenete presente le indicazioni contenute nel capitolo Assembly referenziati.


Configurazione del collegamento

Manuale -> Elemento WPF -> Engineering in zenon -> Configurazione del collegamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare un elemento WPF

  1. Selezionate nelle proprietà del gruppo Collegamenti WPF quella Configurazione.
  2. Si apre un dialogo con tre schede; esso contiene un´anteprima del file XAML, nonché degli elementi presenti nel file.

Configurazione della finestra di dialogo

Parametri

Descrizione

Elementi esistenti

Mostra in una struttura ad albero i detti elementi del file. L´elemento selezionato può essere collegato a dati di processo.

L´attribuzione di WPF a dati di processo avviene sulla base del nome elemento. Per questo motivo, gli elementi vengono visualizzati solamente se essi ed i relativi elementi sovraordinati posseggono un nome. Le attribuzioni vengono configurate e visualizzate nelle schede Proprietà, Eventi e Trasformazione.

Suggerimento: se gli elementi corrispondenti non vengono visualizzati, controllate nel file XAML se esso ha una nome (per es.: <Grid Name="GridName">).

Anteprima

Nell´anteprima, l´elemento selezionato lampeggia.

Proprietà

Configurazione e visualizzazione delle proprietà (variabili, autorizzazioni, interblocchi, valori collegati).

Eventi

Configurazione e visualizzazione degli eventi (funzioni).

Trasformazione

Configurazione e visualizzazione delle trasformazioni.

Nome

Nome della proprietà.

Collegamento

Selezione del collegamento.

Tipo di collegamento

Tipo di collegamento (variabile, autorizzazione, funzione)

Info WPF

Mostra l´attuale valore nel WPF-Content per le proprietà. Per l´utente è direttamente visibile di quale tipo di proprietà si tratta (booleana, stringa, ecc).

Collegato

Indica se una proprietà viene utilizzata al momento.

Di default non contenuto nella visualizzazione; ma può essere selezionato tramite il Menù contestuale-> Selezione colonne.

info Informazioni su

Nel dialogo di configurazione possono essere visualizzati solamente oggetti logici. Gli oggetti visivi non vengono visualizzati. Ulteriori informazioni su come si fa a dinamizzare oggetti visuali, le potete leggere nella sezione Attribuzione di oggetto zenon a WPF Content.

Modifica collegamenti

Tutti i collegamenti configurati possono essere modificati usando le proprietà dell´elemento. A tal scopo, cliccate sull´elemento e aprite il gruppo delle proprietà Collegamenti WPF Qui potete continuare a configurare i collegamenti senza dover aprire la finestra di dialogo.

Limitazioni:

  • Il tipo di collegamento non può essere modificato in questa sede.
  • Nuovi collegamenti possono essere creati solo tramite il dialogo di configurazione.
  • Aggiunta di un elemento WPF in un simbolo: I collegamenti WPF non possono essere esportati.

Noch in diesem Kapitel

Proprietà

Eventi

Trasformazione


Proprietà

Manuale -> Elemento WPF -> Engineering in zenon -> Configurazione del collegamento -> Proprietà

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le proprietà permettono il collegamento di:

  • Variabili
  • Valori
  • Autorizzazioni e interblocchi

Parametri |  | Descrizione
Nome | Nome della proprietà.
Collegamento | Variabile, autorizzazione operativa collegata, o valore collegato. Se si clicca su questa colonna, si apre il dialogo di selezione corrispondente a quanto indicato nella colonnaTipo di collegamento.
Tipo di collegamento | Selezione di un collegamento.
Info WPF | Mostra l´attuale valore nel WPF-Content per le proprietà. Per l´utente è direttamente visibile di quale tipo di proprietà si tratta (booleana, stringa, ecc).
Collegato | Indica se una proprietà viene utilizzata al momento. Di default non contenuto nella visualizzazione, può essere selezionata tramite il Menù contestuale-> Selezione colonne.

Crea collegamento

Per creare un collegamento:

  1. Evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. Cliccate nella cella Tipo di collegamento
  3. Selezionate il collegamento desiderato fra quelli proposti dal menù a tendina.

    Sono a disposizione:

    • <non collegato> (elimina un collegamento esistente)
    • Autorizzazioni utente/Interblocco
    • Valore costante
    • Variabile
  4. Cliccate nella cella Collegamento
  5. Si apre a finestra di dialogo per la configurazione del collegamento desiderato.

info Informazioni su

Le proprietà di WPF e di zenon possono essere differenti. Se si collega, ad esempio, la proprietà Visibilità, sono a disposizione in .NET tre valori:

0 - visibile

1 - invisibile

2- compressa

Questi valori devono essere rappresentati mediante la variabile di zenon collegata.

Noch in diesem Kapitel

Collegamento variabile

Collega valori

Collega autorizzazione o interblocco


Collegamento variabile

Manuale -> Elemento WPF -> Engineering in zenon -> Configurazione del collegamento -> Proprietà -> Collegamento variabile

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per collegare una variabile ad una proprietà WPF:

  1. Evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. Cliccate nella cella Tipo di collegamento
  3. Selezionate dal menù a tendina Variabile
  4. Cliccate nella cella Collegamento
  5. Si apre la finestra di dialogo per la configurazione della variabile.

Questa finestra di dialogo vale anche per la scelta di variabili per trasformazioni. La configurazione permette anche la conversione di unità zenon in unità WPF.

Parametri

Descrizione

Variabile collegata

Selezione della variabile da collegare. Un clic sul comando ... apre il dialogo che serve alla selezione.

Intervallo valore dell'elemento WPF

Dati per la conversione dei valori variabile in valori WPF.

Conversione intervallo valore

Attivo: La conversione unità WPF è attiva.

Effetto durante il Runtime: il valore attuale di zenon (inclusa unità zenon) viene convertito per mezzo valore normato minimo e massimo nell´area WPF.

Ad esempio: Il valore di una variabile varia da 100 a 200. Con le variabili, l´area normata è impostata fra 100 e 200. L´obiettivo è quello di rappresentare queste modifiche di valore mediante un misuratore WPF. Per far ciò:

  • Alla voce Transformation, si collega la proprietà RotateTransform.Angle alla variabile
  • Si attiva l´opzione Adjust value
  • Si configura un´area valori WPF da 0 a 360

Adesso, in corrispondenza di un valore di - per esempio - 150, il misuratore verrà ruotato di 180 gradi.

Minimo

definisce il valore WPF minimo.

Massimo

definisce il valore WPF massimo.

Ok

Applica le impostazioni e chiude il dialogo.

Elimina

Rigetta le impostazioni e chiude il dialogo.

Guida

Apre la guida online


Collega valori

Manuale -> Elemento WPF -> Engineering in zenon -> Configurazione del collegamento -> Proprietà -> Collega valori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Valori collegati possono essere o una String, oppure un valore numerico del tipo Double. Quando si apre l´immagine, viene settato il valore scelto nel WPF content, dopo che quest´ultimo è stato caricato.

Per collegare una valore ad una proprietà WPF:

  1. Evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. Cliccate nella cella Tipo di collegamento
  3. Selezionate nel menù a tendina l´opzione Collegamenti valori
  4. Cliccate nella cella Collegamento
  5. Si apre la finestra di dialogo per la configurazione del collegamento valori.

Parametri

Descrizione

Valore collegato:

Inserimento di un valore numerico o di un valore stringa.

Utilizza Stringa

Attivo: un valore stringa viene usato al posto di un valore numerico.

I valori stringa sono convertibili per quello che concerne la lingua. Nel runtime, il testo viene tradotto al momento dell´apertura dell´immagine e salvato in WPF content. Se si effettua un cambio lingua mentre l´immagine è aperta, il valore stringa viene tradotto di nuovo e salvato.

Valore stringa/numerico

A seconda della scelta effettuata per la proprietà Utilizza Stringa, viene inserito in questo campo un valore numerico o stringa. Per i valori numerici, può essere inoltre selezionata un´unità di misura.

Unità:

Selezione di un´unità di misura del menù a tendina. Essa deve essere stata definita in precedenza nel Cambio unità di misura.

L´unità di misura viene assegnata al valore numerico. Se nel runtime viene eseguito un cambio unità, il valore viene convertito nella nuova unità di misura e salvato nel content WPF.

Ok

Applica le impostazioni e chiude il dialogo.

Elimina

Rigetta le impostazioni e chiude il dialogo.

Guida

Attiva la guida online


Collega autorizzazione o interblocco

Manuale -> Elemento WPF -> Engineering in zenon -> Configurazione del collegamento -> Proprietà -> Collega autorizzazione o interblocco

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le autorizzazioni non possono essere assegnate per tutto l´elemento WPF. All´elemento viene assegnato un livello utente. Le autorizzazioni vengono concesse nell´ambito del livello utente per singoli control. Se un´autorizzazione è attiva, viene scritto il valore 1 sulla proprietà nell´elemento.

Per collegare un´autorizzazione o un interblocco ad una proprietà WPF:

  1. Evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. Cliccate nella cella Tipo di collegamento
  3. Selezionate nel menù a tendina Autorizzazione/Interblocco
  4. Cliccate nella cella Collegamento
  5. Si apre la finestra di dialogo per la configurazione dell´autorizzazione.

Parametri | Descrizione
Collega autorizzazione/interblocco | Definizione dell´autorizzazione
Stato collegato | Selezione di un´autorizzazione che viene collegata ad un control WPF fra quelle del menù a tendina. Ad esempio: la visibilità e la gestione di un pulsante WPF può dipendere dallo stato dell´utente.

Autorizzazione | Descrizione
Livelli di autorizzazione disponibili | Se l´utente possiede dei diritti sufficienti per usare l´elemento WPF, viene scritto il valore 1 sulla proprietà.
Nessuna autorizzazione | Se l´utente non possiede diritti sufficienti per usare l´elemento WPF, viene scritto il valore 1 sulla proprietà.
Non bloccato | Se l´elemento non viene bloccato da un interblocco, viene scritto il valore 1 sulla proprietà.
Bloccato | Se l´elemento viene bloccato da un interblocco, viene scritto il valore 1 sulla proprietà.
Accessibile | Se esiste l´autorizzazione e l´elemento non è bloccato, viene scritto il valore 1 sulla proprietà.
Non operabili | Se manca l´autorizzazione o se l´elemento è bloccato, viene scritto il valore 1 sulla proprietà.


Eventi

Manuale -> Elemento WPF -> Engineering in zenon -> Configurazione del collegamento -> Eventi

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli eventi permettono di collegare delle funzioni di zenon ad un elemento WPF.

Parametri |  | Descrizione
Nome | Nome della proprietà.
Collegamento | Funzione collegata. Cliccando nella cella, aprite il dialogo di configurazione .
Tipo di collegamento | Selezione di un collegamento. Cliccando nella cella, aprite il dialogo di selezione.
Info WPF | Mostra l´attuale valore nel WPF-Content per le proprietà. Per l´utente è direttamente visibile di quale tipo di proprietà si tratta (booleana, stringa, ecc).
Collegato | Indica se una proprietà viene utilizzata al momento. Di default non contenuto nella visualizzazione, può essere selezionato tramite il Menù contestuale-> Selezione colonne.

Collega funzioni

Per creare un collegamento:

  1. Evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. Cliccate nella cella Tipo di collegamento
  3. Selezionate dal menù a tendina Funzione
  4. Cliccate nella cella Collegamento
  5. Si apre il dialogo per la configurazione della funzione

Parametri |  | Descrizione
Funzione collegata | Selezione della funzione da collegare. Cliccate sul pulsante ... e si apre la finestra di dialogo per la selezione della funzione.
Ok | Applica la selezione e chiude il dialogo.
Elimina | Rigetta le modifiche e chiude il dialogo.
Guida | Apre la guida online


Trasformazione

Manuale -> Elemento WPF -> Engineering in zenon -> Configurazione del collegamento -> Trasformazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´elemento WPF non supporta alcuna funzionalità di rotazione. Se, per esempio, l´elemento WPF si trova in un simbolo, e quest´ultimo viene ruotato, l´ elemento WPF non partecipa alla rotazione. Proprio per questo motivo, per WPF è stato introdotto un meccanismo proprio, detto trasformazione, che consente la rotazione oppure una trasformazione degli elementi. Queste trasformazioni vengono configurate nella scheda Trasformazione.

Attenzione: se il content si trova al di là dell´area dell´elemento WPF, questa parte del content va persa, oppure non viene disegnata.

Parametri

Descrizione

Nome

Nome della proprietà.

Collegamento

Selezione delle variabili collegate.

Le trasformazioni vengono visualizzate in XAML come oggetti di trasformazione con proprietà proprie. Se un elemento supporta una trasformazione, le possibili proprietà degli oggetti di trasformazione vengono rappresentate nella visualizzazione elenco. (Ulteriori informazioni in merito: integra pulsante come WPF-XAML in zenon.

Se la variabile collegata viene settata, ad esempio, sul valore 10, questo valore viene scritto sulla destinazione WPF e l´elemento WPF viene ruotato di 10°.

Tipo di collegamento

Selezione del tipo di collegamento trasformazione.

Info WPF

Mostra l´attuale valore nel WPF-Content per le proprietà. Per l´utente è direttamente visibile di quale tipo di proprietà si tratta (boleana, string, ecc).

Collegato

Indica se una proprietà viene utilizzata al momento.

Di default non contenuto nella visualizzazione, può essere selezionato tramite il Menù contestuale-> Selezione colonne.

Collega trasformazione

Per collegare una trasformazione ad una proprietà WPF:

  1. Evidenziate anzitutto la riga con la proprietà che deve essere collegata
  2. Cliccate nella cella Tipo di collegamento
  3. Selezionate dal menù a tendina trasformazione
  4. Cliccate nella cella Collegamento
  5. Si apre il dialogo per la configurazione della variabile

La configurazione permette anche la conversione di unità zenon in unità WPF.

Parametri

Descrizione

Variabile collegata

Selezione della variabile da collegare. Un clic sul comando ... apre il dialogo che serve alla selezione.

Intervallo valore dell'elemento WPF

Dati per la conversione dei valori variabile in valori WPF.

Conversione intervallo valore

Attivo: La conversione unità WPF è attiva.

Effetto durante il Runtime: il valore attuale di zenon (inclusa unità zenon) viene convertito per mezzo valore normato minimo e massimo nell´area WPF.

Ad esempio: Il valore di una variabile varia da 100 a 200. Con le variabili, l´area normata è impostata fra 100 e 200. L´obiettivo è quello di rappresentare queste modifiche di valore mediante un misuratore WPF. Per far ciò:

  • Alla voce Transformation, si collega la proprietà RotateTransform.Angle alla variabile
  • Si attiva l´opzione Adjust value
  • Si configura un´area valori WPF da 0 a 360

Adesso, in corrispondenza di un valore di - per esempio - 150, il misuratore verrà ruotato di 180 gradi.

Minimo

definisce il valore WPF minimo.

Massimo

definisce il valore WPF massimo.

Ok

Applica le impostazioni e chiude il dialogo.

Elimina

Rigetta le impostazioni e chiude il dialogo.

Guida

Apre la guida online


Validità di file XAML

Manuale -> Elemento WPF -> Engineering in zenon -> Validità di file XAML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La validità di file XAML è legata ad alcuni presupposti:

  • Spazio dei nomi corretto
  • Nessun riferimento class
  • Scalabilità

Spazio dei nomi corretto

L´elemento WPF può visualizzare esclusivamente WPF-Content, il che significa:

Solamente i file XAML con uno spazio dei nomi WPF corretto, possono essere visualizzati nell´elemento WPF. I file che usano uno spazio dei nomi Silverlight, non possono essere caricati o visualizzati in modo corretto. Nella maggior parte dei casi è però sufficiente sostituire lo spazio dei nomi Silverlight con quello WPF.

WPF-Namespaces:

xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"

xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"

Nessun uso di riferimento class

Visto che i file XAML vengono caricati in modo dinamico, non è possibile usare quei file XAML che contengono dei riferimenti di classe (chiave, „Class" im Header). La funzionalità che è stata programmata in un file C# proprio, non può essere usata.

Per usare User Control di WPF con code behind, si deve procedere come descritto nel capitolo Creazione di un semplice user control WPF con funzionalità code-behind.

Scalabilità

Se il contenuto di un elemento WPF deve essere adeguato alla grandezza dell´elemento WPF, i control dell´elemento WPF devono essere interlacciati in un control che offra questa funzionalità, ad esempio, una ViewBox. Inoltre bisogna far in modo che, per questi elementi, altezza e larghezza vengano configurati su automatico.

Controllo di un file XAML per verificarne la correttezza.

Per controllare se un file XAML ha il formato corretto:

  • Aprite il file XAML in Internet-Explorer.
    • Se lo si può aprire senza ulteriori plug-ins (Java o simili), si può presumere che questo file possa essere caricato o visualizzato anche da zenon con un elevato grado di sicurezza.
    • Se emergono problemi al momento di caricare il file, essi vengono visualizzati in Internet-Explorer; si può facilmente vedere in quale riga si sono verificati i problemi.

Anche la scala può essere testata in questo modo: Se il file è stato creato in modo corretto, il contenuto si adeguerà alla grandezza della finestra di Internet Explorer.

Messaggio di errore

Se si usa in zenon un file non valido, al momento del caricamento del file stesso nell´elemento WPF viene visualizzata una segnalazione di errore nella finestra di emissione.

Ad esempio:

„Errore nel caricamento di xaml-Datei:C:\ProgramData\COPA-DATA\SQL\781b1352-59d0-437e-a173-08563c3142e9\FILES\zenon\custom\media\UserControl1.xaml

Non è possibile trovare l´attributo "Class" nel XML-Namespace "http://schemas.microsoft.com/winfx/2006/xaml". Riga 7 Posizione 2."


Elementi predefiniti

Manuale -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

C´è una serie di elementi WPF forniti con zenon. Altri possono essere scaricati dal web shop.

Tutti gli elementi WPF hanno delle proprietà che determinano l´aspetto grafico dell´elemento in questione. (Dependency Properties). Settando i valori con un file XAML, oppure collegando la proprietà via zenon, si può modificare l´aspetto direttamente nel Runtime. Le tabelle nella descrizione dei singoli elementi contengono le relative Dependency Properties, , in dipendenza del control.

Elementi disponibili:

  • Orologio analogico
  • Bargraf verticale
  • Comtrade-Viewer
  • Diagramma - Energy class
  • Indicatore di progresso
  • Diagramma di Pareto
  • Diagramma di Sankey
  • Visuale rotonda
  • Indicatore della temperatura
  • Slider universale
  • Grafico a cascata

Sostituisci Assembly con nuova versione

Per ogni progetto, si può usare sia nell´Editor che nel Runtime di zenon solamente un assembly per un elemento WPF. Se in un progetto esistono due versioni di un assembly, verrà usato il file caricato per primo. Il sistema provvederà a chiedere all´utente quale versione deve essere utilizzata. Se si decide di continuare ad usare la versione utilizzata fino a quel momento, non sono necessarie ulteriori azioni. Se si sceglie una versione più recente, però, dovranno essere adattati tutti i file CDWPF corrispondenti in tutti i simboli e immagini in tutti i progetti.

Indicazioni concernenti la gestione multi-progetto: Se in un progetto un Assembly viene sostituito da una versione più recente, essa deve essere sostituita in tutti gli altri progetti che sono caricati nell´Editor o nel Runtime.

Noch in diesem Kapitel

Orologio analogico - AnalogClockControl

Bargraf verticale - VerticalBargraphControl

Barra stato di avanzamento - ProgressBarControl

COMTRADE-Viewer

Diagramma - Energy class

Diagramma di Pareto

Visualizzazione circolare - CircularGaugeControl

Diagramma di Sankey

Indicazione della temperatura - TemperatureIndicatorControl

Slider universale - UniversalReglerControl

Diagramma a cascata


Orologio analogico - AnalogClockControl

Manuale -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Orologio analogico - AnalogClockControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Property

Funzione

Valore

ElementStyle

Forma/tipo dell´elemento.

Enum:

  • SmallNumbers
  • BigNumbers
  • No

ElementBackgroundBrush

Colore dello sfondo dell´elemento.

Brush

ElementGlasReflection

Attivazione dell´effetto glas reflection sull´elemento.

Visibility

Offset

Valore in ore (h) che rappresenta la differenza di tempo rispetto all´orologio di sistema.

Int16

OriginText

Testo visualizzato nell´orologio (per es. indicazione del luogo).

String


Bargraf verticale - VerticalBargraphControl

Manuale -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Bargraf verticale - VerticalBargraphControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Property | Funzione | Valore
CurrentValue | Valore attuale che deve essere visualizzato. | Double
MinValue | Valore minimo della scala. | Double
MaxValue | Valore massimo della scala. | Double
MajorTicksCount | Numero delle suddivisioni principali della scala. | Integer
MinorTicksCount | Numero delle suddivisioni secondarie della scala. | Integer
MajorTickColor | Colore delle suddivisioni principali della scala. | Color
MinorTickColor | Colore delle suddivisioni secondarie della scala. | Color
ElementBorderBrush | Colore della cornice dell´elemento. | Brush
ElementBackgroundBrush | Colore dello sfondo dell´elemento. | Brush
ElementGlasReflection | Attivazione dell´effetto glas reflection sull´elemento. | Visibility
ElementFontFamily | Carattere dell´elemento. | Font
ScaleFontSize | Dimensione carattere della scala. | Double
ScaleFontColor | Colore carattere della scala. | Color
IndicatorBrush | Colore di riempimento del bargraf. | Brush
BargraphSeparation | Numero dei trattini di separazione del bargraf. | Integer
BargraphSeparationColor | Colore delle suddivisione della scala. | Color


Barra stato di avanzamento - ProgressBarControl

Manuale -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Barra stato di avanzamento - ProgressBarControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Property | Funzione | Valore
CurrentValue | Valore attuale che deve essere visualizzato. | Double
MinValue | Il valore minimo del campo valori. | Double
MaxValue | Il valore massimo del campo valori. | Double
ProgressbarDivisionCount | Numero delle suddivisioni della barra stato di avanzamento (Boxed). | Integer
VisibilityText | Visibilità della visualizzazione valore. | Boolean
TextSize | Dimensione carattere della visualizzazione valore. | Double
TextColor | Colore della visualizzazione valore. | Color
ProgressBarBoxedColor | Colore della cornice della barra stato di avanzamento (Boxed). | Color
ProgressBarMarginDistance | Distanza del Progressbar-Box dal bordo dell´elemento (sinistra, sopra destra, sotto). | Double
ProgressBarInactiveBrush | Colore indicatore non attivo. | Brush
ProgressBarActiveBrush | Colore indicatore attivo. | Brush
ProgressBarPadding | Distanza della barra di stato avanzamento dal Progressbar-Box (sinistra, sopra destra, sotto). | Double
ElementBorderBrush | Colore della cornice dell´elemento. | Brush
ElementBackgroundBrush | Colore dello sfondo dell´elemento. | Brush


COMTRADE-Viewer

Manuale -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> COMTRADE-Viewer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il COMTRADE-Viewer L´elemento COMTRADE-Viewer WPF è a disposizione dei partner di COPA-DATA che lo possono ottenere tramite il Partner Portal.

Serve all´analisi grafica dei dati relativi a guasti ed eventi contenuti in un file COMTRADE.

info Informazioni su

Il controllo supporta i file conformi alla norma IEEE C37.111 (IEEE Standard Common Format for Transient Data Exchange (COMTRADE) for Power Systems). Possono essere visualizzati file in formato ASCII o binario conformi all´edizione 1999 o 2013.

I file più vecchi, o quelli non provvisti di un´identificazione relativa all´anno, non sono supportati. Nel caso si rilevino file del genere, il sistema lo fa presente all´utente mediante un´apposita finestra visualizzata nel runtime.

Possibilità del controllo COMTRADE-Viewer WPF nel runtime di zenon:

  • Selezione di un file in formato COMTRADE.
  • Export degli oggetti selezionati in un file CSV.
  • Visualizzazione del file COMTRADE selezionato.
    Nota: Nell´editor di zenon si può stabilire quali colori devono essere usati per la visualizzazione.
    • Corrente (rappresentazione in forma di onda sinusoidale)
    • Tensione (rappresentazione in forma di onda sinusoidale)
    • Segnali digitali (rappresentazione in forma di digrammi a barre binari)
    • Visualizzazione di valori in corrispondenza di una determinata posizione del cursore.
    • Se si seleziona un elemento che non rappresenta né la corrente, né la tensione (ad es.: la frequenza), esso viene visualizzato in entrambe le aree analogiche (corrente e tensione).
  • Navigazione:
    • Zoom avanti e zoom indietro con la rotella del mouse e con gesti multi-touch.
    • Ingrandimento di un´area.
      Selezione di quest´area con un clic del mouse.
    • Spostamento dell´area visualizzata usando il tasto destro del mouse, barra di scorrimento o gesti multi-touch.

Tipp Suggerimento

Per trasportare dei file COMTRADE su un computer su cui è attivo il Runtime di zenon, potete anche usare il trasferimento file del driver IEC 61850, oppure il FTP function block di zenon Logic .

Ulteriori informazioni su questo tema le trovate nella documentazione relativa al driver IEC 61850, oppure in quella di zenon Logic.

Licenza

Il COMTRADE-Viewer può essere configurato solamente in un Editor di zenon, provvisto di una licenza valida per la Energy Edition. Se non si dispone di una licenza valida, il WPF viene visualizzato nell´Editor in color grigio (disabilitato). Anche per la visualizzazione nel Runtime è necessario disporre di una licenza valida per la Energy Edition.

Noch in diesem Kapitel

Visuale durante il Runtime

Visuale Runtime - Pagina di configurazione

Visuale Runtime - Visualizzazione di dati COMTRADE

Proprietà configurabili del controllo - Visualizzazione colori


Visuale durante il Runtime

Manuale -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> COMTRADE-Viewer -> Visuale durante il Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´elemento WPF COMTRADE offre due visuali nel Runtime:

  • Visuale di configurazione
    • Selezione di un file COMTRADE di configurazione.
    • Selezione degli elementi che devono essere visualizzati.
  • Visuale grafici
    • Zoom avanti e zoom indietro.
    • Visualizzazione di valori in corrispondenza di una determinata posizione del cursore.
    • Export degli elementi selezionati in un file CSV.

info Informazioni su

Il passaggio da una visuale all´altra è integrato nell´elemento WPF. Non è dunque necessario progettare una funzione di cambio immagine.


Visuale Runtime - Pagina di configurazione

Manuale -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> COMTRADE-Viewer -> Visuale Runtime - Pagina di configurazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si apre nel Runtime un´immagine in cui è stato configurato un elemento WPF COMTRADE-Viewer, la relativa pagina di configurazione apparirà vuota.

Nota: Ciò vale anche quando, nel Runtime di zenon,si passa da un´altra a questa immagine con la funzione di cambio immagine.

Configurazione del Comtrade Viewer

Il comando COMTRADE Viewer Configuration posto lateralmente in alto, consente il passaggio dalla visuale configurazione a quella grafici e viceversa.

Seleziona file

Il pulsante Open... apre la finestra di dialogo che serve a selezionare un file.

Il sistema realizza una preselezione per la visualizzazione nella finestra di dialogo di selezione file:

  • Esso trova le coppie di file *.cfg- e *.dat.
    Nota: I file opzionali del tipo*.hdr oppure *.inf non vengono presi in considerazione.
  • Vengono visualizzati solamente i corrispondenti file *.dat.
  • Cliccando sul file desiderato e sul pulsante OK, vengono caricati tutti i file attinenti (*.dat, *.cfg).
  • Si può caricare solo un file.
  • Caricato il file, il suo contenuto viene visualizzato nelle due colonne Analog Channels e Digital Channels.
    Le denominazioni e le unità degli elementi hanno origine nella configurazione COMTRADE e non possono essere modificate.

Analog Channels

Parametri | Descrizione
[Liste der verfügbaren Kanäle] | Selezione degli elementi che devono essere visualizzati. Una selezione multipla è possibile cliccando sull´inserimento desiderato della lista. Gli elementi selezionati sono visualizzati su uno sfondo colorato. Con un altro clic del mouse si annulla la selezione dell´inserimento della lista.
Select All | Seleziona tutti gli elementi della lista.
Deselect All | Disattiva la selezione esistente di elementi.

Digital Channels

Parametri | Descrizione
[Liste der verfügbaren Kanäle] | Selezione degli elementi che devono essere visualizzati. Una selezione multipla è possibile cliccando sull´inserimento desiderato della lista. Gli elementi selezionati sono visualizzati su uno sfondo colorato. Con un altro clic del mouse si annulla la selezione dell´inserimento della lista.
Select All | Seleziona tutti gli elementi della lista.
Deselect All | Disattiva la selezione esistente di elementi.

Mostra la selezione

Per far sì che la vostra selezione venga adesso visualizzata nella vista grafici, cliccate sul pulsante Apply.

Nota: Cliccando sul comando di switch COMTRADE Viewer Configuration posto lateralmente in alto, si passa solamente da una visuale all´altra. Non si tiene conto nel processo di una modifica nella selezione dei canali.


Visuale Runtime - Visualizzazione di dati COMTRADE

Manuale -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> COMTRADE-Viewer -> Visuale Runtime - Visualizzazione di dati COMTRADE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I canali selezionati sono visualizzati nel vista grafici dell´elemento WPF COMTRADE-Viewer. I colori da utilizzare possono essere configurati nell`Editor di zenon.

Export dei dati selezionati

I canali analogici e digitali selezionati possono essere esportati in un file CSV usando il pulsante CSV-Export.

Visuale grafici

La visuale grafici del COMTRADE-Viewers è divisa in tre sezioni:

  • Intensità di corrente
    Sezione in alto.
  • Tensione
    Sezione centrale.
  • Canali digitali
    Sezione in basso.

Denominazione assi

  • Asse orizzontale
    L´asse orizzontale rappresenta l´intero periodo di tempo, così come registrato nel file COMTRADE (*.dat).
    La scala di questo asse tempo dipende dal fattore di ingrandimento. Tanto maggiore è l´ingrandimento scelto, tanto più dettagliata sarà anche la rappresentazione temporale delle informazioni.
  • Asse verticale
    L´asse verticale rappresenta i valori.
    • La scala di questo asse dipende dal fattore di ingrandimento. Tanto maggiore è l´ingrandimento scelto, tanto più dettagliata sarà anche la rappresentazione dei valori.
    • La denominazione dei canali analogici viene visualizzata verticalmente accanto ai valori e corrisponde all´unità di misura definita nel file COMTRADE (*.cfg).
    • I canali digitali vengono visualizzati nella successione definita nel file COMTRADE (*.cfg).
      Il Channel identifier del file COMTRADE serve da identificazione.

Legenda

La legenda colori dei grafici appare sopra ai grafici stessi.

  • La denominazione dei canali digitali corrisponde a quella definita nel file COMTRADE (*.cfg).
  • I colori di ogni canale sono assegnati automaticamente con la tavolozza dei colori configurata.
  • Il tempo è visualizzato in un barra che si trova al di sotto del grafico. Il tempo iniziale viene visualizzato in forma di testo.

Navigazione e zoom

La navigazione (scrolling e zoom) è applicata sempre a tutte e tre le sezioni della rappresentazione grafica.

  • Usando la barra di scorrimento, potete spostare la visualizzazione scorrendo sulla linea orizzontale che rappresenta il tempo.
  • Zoom avanti e zoom indietro.
    • Usando la rotella del mouse, potete ingrandire o ridurre la visualizzazione con lo zoom nel punto in cui si trova attualmente il cursore.
    • Se si vuole visualizzare un´area particolare, la si seleziona tenendo premuto il tasto sinistro del mouse.
      Nota: La visualizzazione dei valori è sempre adeguata all´area che è stata selezionata via drag and drop. Ciò può avere come conseguenza l´appiattimento della curva nella visuale grafica ingrandita.
    • Con un doppio clic sulla barra di scorrimento si resetta l´ingrandimento al fattore iniziale.

Analisi

Gli esatti valori corrispondenti alla posizione attuale del cursore mouse appaiono in forma di blocchi di valore. Un cursore di tipo cross hair offre un ulteriore supporto ottico alla precisa determinazione del punto di lettura dei valori.


Proprietà configurabili del controllo - Visualizzazione colori

Manuale -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> COMTRADE-Viewer -> Proprietà configurabili del controllo - Visualizzazione colori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Progettazione nell'editor

L´elemento chiamato COMTRADE.CDWPF può essere configurato e collocato in ogni tipo di immagine di zenon.
La progettazione della Larghezza [Pixel] e della Altezza [Pixel] dell´elemento dipende dalle proporzioni. Ciò impedisce che la visualizzazione del COMTRADE-Viewer venga distorta nel Runtime.

Nota: Quando configurate il progetto, assicuratevi che ci si spazio sufficiente a garantire una visione chiara.

Adattamenti grafici

Il design grafico lo configurate nelle proprietà dell´elemento WPF.
Ulteriori informazioni a questo proposito le trovate nel capitolo Configurazione del collegamento di questa guida.

Possibili valori del colore:

  • Valori colore esadecimali
    #RRGGBB
    Esempio - Valori colore: #000000 = nero, #FFFFFF = bianco, #FF0000 = rosso
  • Valori colore per nome
    Riferimento: https://msdn.microsoft.com/en-us/library/system.drawing.color.aspx

Tipp Suggerimento

Le proprietà per l´elemento WPF COMTRADE-Viewer hanno la lettera iniziale "z". Usate il filtro nomi per assicurare una rappresentazione chiara quando configurate il collegamento.

Pagina di configurazione

Testo e colore di sfondo della pagina di configurazione.

Parametri | Descrizione | Valore
zConfiguratinPageTextColor | Colore del testo della pagina di configurazione. | String
zConfigurationPageBackgroundColor | Colore di sfondo della pagina di configurazione. | String

Pulsanti

Colore del testo e colore di sfondo dei pulsanti.

Parametri | Descrizione | Valore
zButtonTextColor | Colore del testo dei pulsanti. | String
zButtonBackgroundColor | Colore di sfondo dei pulsanti. | String

Chart

Colore del testo delle scritte dell´asse o legenda e colore di sfondo.

Parametri | Descrizione | Valore
zChartTextColor | Colore del testo delle scritte dell´asse. | String
zChartBackgroundColor | Colore di sfondo delle scritte dell´asse. | String

Label

Colore del testo e dello sfondo della visualizzazione dei valori in corrispondenza della posizione selezionata del cursore.

Parametri | Descrizione | Valore
zChartLabelTextColor | Colore del testo della visualizzazione del valore. | String
zChartLabelBackgroundColor | Colore di sfondo della visualizzazione del valore. | String

Chart

Tavolozza di colori della visuale grafici e della corrispondente legenda.

Parametri | Descrizione | Valore
zChartPalette | Tavolozza dei colori per grafici e legenda. Riferimento a nomi tavolozze dei colori (vedi visione generale). Default: se non è stata configurata nessuna tavolozza dei colori, si usa quella del sistema operativo del computer. | String

Possibili tavolozze dei colori - Visione generale


Diagramma - Energy class

Manuale -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Diagramma - Energy class

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il diagramma Energy class, L´elemento COMTRADE-Viewer WPF è a disposizione dei partner di COPA-DATA che lo possono ottenere tramite il Partner Portal.

Si deve usare una matrice di reazione per modellare un diagramma energy class. Questa matrice di reazione deve essere collegata a quella variabile il cui valore è previsto per la visualizzazione e la distribuzione in classi di energia. Il nome della variabile deve essere trasferito alla proprietà "zVariableName".

Matrice di reazione per il diagramma Energy class.

La matrice di reazione collegata deve corrispondere al seguente schema:

  • Il primo stato deve essere un´area, oppure una definizione "meno di".
  • Poi si possono definire quante aree si vuole.
  • L´ultimo stato deve essere un´area, oppure una definizione "maggiore di".

Per la progettazione vale quanto segue:

  1. Se il primo stato è un´area e il valore della variabile è compreso in quest´area, ciò nonostante nel diagramma viene visualizzato il primo stato. Lo stesso vale, viceversa, per l´ultimo stato.
  2. I colori usati dal diagramma WPF per le classi sono i colori di valore limite definiti nella matrice di reazione.
  3. Le lettere usate per le classi sono in ordine alfabetico partendo dalla "A".
Property | Descrizione | Valore
zenonFontID | ID di un font dalla prima lista caratteri (la dimensione carattere non viene presa in considerazione). | Integer
zenonNumberOfDecimalPlaces | Numero delle cifre decimali visualizzate. | Integer
zenonVariableName | Nome della variabile da visualizzare. | String

Nota: Per la visualizzazione del diagramma Energy class nel Web Client di zenon è necessario effettuare ulteriori passaggi di programmazione in VSTA. I dettagli relativi li trovate nel capitolo Visualizzazione di elementi WPF nel Web Client di zenon.


Diagramma di Pareto

Manuale -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Diagramma di Pareto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il diagramma di Pareto, L´elemento COMTRADE-Viewer WPF è a disposizione dei partner di COPA-DATA che lo possono ottenere tramite il Partner Portal.

Qui di seguito forniamo un esempio di un diagramma di Pareto nel Runtime:

Le seguenti impostazioni possono essere effettuate nella finestra di configurazione WPF sottoCOPADATA-ELEMENT:

Property | Funzione | Valore
zenonBarColor1 | Colore della 1° barra | Color (String)
zenonBarColor2 | Colore della 2° barra | Color (String)
zenonBarColor3 | Colore della 3° barra | Color (String)
zenonBarColor4 | Colore della 4° barra | Color (String)
zenonBarColor5 | Colore della 5° barra | Color (String)
zenonBarColor6 | Colore della 6° barra | Color (String)
zenonBarColor7 | Colore della 7° barra | Color (String)
zenonBarColor8 | Colore della 8° barra | Color (String)
zenonBarColor9 | Colore della 9° barra | Color (String)
zenonBarColor10 | Colore della 10° barra | Color (String)
zenonColorPercentageLine | Colore della percentage line (relative sumfrequency). | Color (String)
zenonLineVisibility | Visibilità della percentage line (relative sumfrequency). | Boolean
zenonVariable1_Label | Iscrizione della 1° barra | String
zenonVariable1_Value | Valore della 1° barra | Double
zenonVariable2_Label | Iscrizione della 2° barra | String
zenonVariable2_Value | Valore della 2° barra | Double
zenonVariable3_Label | Iscrizione della 3° barra | String
zenonVariable3_Value | Valore della 3° barra | Double
zenonVariable4_Label | Iscrizione della 4° barra | String
zenonVariable4_Value | Valore della 4° barra | Double
zenonVariable5_Label | Iscrizione della 5° barra | String
zenonVariable5_Value | Valore della 5° barra | Double
zenonVariable6_Label | Iscrizione della 6° barra | String
zenonVariable6_Value | Valore della 6° barra | Double
zenonVariable7_Label | Iscrizione della 7° barra | String
zenonVariable7_Value | Valore della 7° barra | Double
zenonVariable8_Label | Iscrizione della 8° barra | String
zenonVariable8_Value | Valore della 8° barra | Double
zenonVariable9_Label | Iscrizione della 9° barra | String
zenonVariable9_Value | Valore della 9° barra | Double
zenonVariable10_Label | Iscrizione della 10° barra | String
zenonVariable10_Value | Valore della 10° barra | Double

I seguenti eventi possono essere usati e collegati a funzioni di zenon:

Event | Funzione | Valore
zenonBar1Click | Funzione che viene eseguita quando si clicca sulla 1° barra. | Funzione
zenonBar2Click | Funzione che viene eseguita quando si clicca sulla 2° barra. | Funzione
zenonBar3Click | Funzione che viene eseguita quando si clicca sulla 3° barra. | Funzione
zenonBar4Click | Funzione che viene eseguita quando si clicca sulla 4° barra. | Funzione
zenonBar5Click | Funzione che viene eseguita quando si clicca sulla 5° barra. | Funzione
zenonBar6Click | Funzione che viene eseguita quando si clicca sulla 6° barra. | Funzione
zenonBar7Click | Funzione che viene eseguita quando si clicca sulla 7° barra. | Funzione
zenonBar8Click | Funzione che viene eseguita quando si clicca sulla 8° barra. | Funzione
zenonBar9Click | Funzione che viene eseguita quando si clicca sulla 9° barra. | Funzione
zenonBar10Click | Funzione che viene eseguita quando si clicca sulla 10° barra. | Funzione


Visualizzazione circolare - CircularGaugeControl

Manuale -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Visualizzazione circolare - CircularGaugeControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Property

Funzione

Valore

CurrentValue

Valore attuale che deve essere visualizzato.

Double

IsReversed

Orientamento scale, in senso orario o antiorario.

Boolean

ElementFontFamily

Carattere dell´elemento.

Font

MinValue

Valore minimo della scala.

Double

MaxValue

Valore massimo della scala.

Double

ScaleRadius

Radio della scala.

Double

ScaleStartAngle

Angolo in corrispondenza del quale inizia la scala.

Double

ScaleLabelRotationMode

Orientamento del titolo della scala.

Enum:

  • None
  • Automatic
  • SurroundIn
  • SurroundOut

ScaleSweepAngle

Area angolo che definisce la dimensione della scala.

Double

ScaleLabelFontSize

Dimensione carattere della denominazione della scala.

Double

ScaleLabelColor

Colore del carattere della denominazione della scala.

Color

ScaleLabelRadius

Radio secondo il quale è orientata la denominazione della scala.

Double

ScaleValuePrecision

Esattezza della denominazione della scala.

Integer

PointerStyle

Forma del pointer che indica il valore.

Enum:

  • Arrow
  • Rectangle
  • TriangleCap
  • Pentagon
  • Triangle

MajorTickColor

Colore delle suddivisioni principali della scala.

Color

MinorTickColor

Colore delle suddivisioni secondarie della scala.

Color

MajorTickSize

Dimensione delle suddivisioni principali della scala.

Size

MinorTickSize

Dimensione delle suddivisioni secondarie della scala.

Size

MajorTicksCount

Numero delle suddivisioni principali della scala.

Integer

MajorTicksShape

Forma/tipo delle suddivisioni principali della scala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksShape

Forma/tipo delle suddivisioni secondarie della scala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksCount

Numero delle suddivisioni secondarie della scala.

Integer

PointerSize

Dimensione del pointer.

Size

PointerCapRadius

Dimensione del punto di fissaggio del pointer.

Double

PointerBorderBrush

Colore della cornice del pointer

Brush

PointerCapStyle

Forma/tipo del punto di fissaggio del pointer.

Enum:

  • BackCap
  • FrontCap
  • Screw

PointerCapBorderBrush

Colore del punto di fissaggio del pointer.

Brush

PointerBrush

Colore del´indicatore.

Brush

GaugeBorderBrush

Colore della cornice dell´elemento.

Brush

GaugeBackgroundBrush

Colore dello sfondo dell´elemento.

Brush

PointerCapColorBrush

Colore del punto di fissaggio del pointer.

Brush

GaugeMiddlePlate

Raggio della placca intermedia dell’elemento di sfondo

Double

PointerOffset

Offset del pointer (spostamento).

Double

RangeRadius

Raggio dell’area totale di visualizzazione.

Double

RangeThickness

Spessore dell’area totale di visualizzazione.

Double

RangeStartValue

Valore iniziale dell’area totale di visualizzazione.

Double

Range1EndValue

Valore finale della 1° area e valore di start della 2° area.

Double

Range2EndValue

Valore finale della 2° area e valore di start della 3° area.

Double

Range3EndValue

Valore finale della 3° area e valore di start della 4° area.

Double

Range4EndValue

Valore finale della 4° area e valore di start della 5° area.

Double

Range5EndValue

Valore finale della 5° area e valore di start della 6° area.

Double

Range6EndValue

Valore finale della 6° area.

Double

Range1ColorBrush

Colore della 1° area.

Brush

Range2ColorBrush

Colore della 2° area.

Brush

Range3ColorBrush

Colore della 3° area.

Brush

Range4ColorBrush

Colore della 4° area.

Brush

Range5ColorBrush

Colore della 5° area.

Brush

Range6ColorBrush

Colore della 6° area.

Brush

ScaleOuterBorderBrush

Colore del bordo della scala.

Brush

ScaleBackgroundBrush

Colore dello sfondo della scala.

Brush

ValueTextFrameStyle

Forma/tipo della visualizzazione valore.

Enum:

  • LargeFrame
  • SmallFrame
  • None

ValueTextContent

Contenuto della visualizzazione valore.

Enum:

  • Testo
  • TextValue
  • Value

ValueTextSize

Dimensione carattere della visualizzazione valore.

Double

ValueTextColor

Colore carattere della visualizzazione valore.

Color

IsGlasReflection

Attivazione dell´effetto glas reflection sull´elemento.

Boolean

GaugeOffsett

Abbassamento del punto di rotazione di tutto l´elemento.

Double


Diagramma di Sankey

Manuale -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Diagramma di Sankey

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il diagramma di Sankey, L´elemento COMTRADE-Viewer WPF è a disposizione dei partner di COPA-DATA che lo possono ottenere tramite il Partner Portal.

Per modellare un diagramma di Sankey, si deve usare il Sankey Wizard. Questo wizard genera un file XML,che poi viene analizzato dall´elemento WPF. A tal scopo, si deve dotare la proprietà zSankeyName del nome del file XML. Il file XML deve trovarsi nella cartella Altro di un progetto nel workspace. Il file viene salvato dal wizard in questa cartella.

Qui di seguito forniamo un esempio di un diagramma di Sankey nel Runtime:

Le seguenti impostazioni possono essere effettuate nella finestra di configurazione WPF sottoCOPADATA-ELEMENT:

Property | Funzione | Valore
FontSize | Grandezza carattere di testi. | Integer
zBackgroundColor | Colore di sfondo del diagramma. | Color (String)
zFontColor | Colore dei testi. | Color (String)
zFontFamily | Tipo di carattere di tutti i testi. | Font (String)
zLossDetectionActive | Automatica individuazione di perdite attivata/disattivata Se true, le perdite sono rappresentate automaticamente ad un punto nodale come flussi. | Boolean
zNoDataText | Testo che viene visualizzato se non ci sono valori da rappresentare e zPrevireActive è false. | String
zNoValidXMLText | Testo che viene visualizzato se non è stato trovato nessun file XML valido con il nome inserito e zPreviewActive è false. | String
zNumberOfDecimalPlaces | Indica quante cifre decimali vengono visualizzate. | Integer
zPreviewActive | Visualizzazione di un´anteprima attivata/disattivata. L´anteprima viene visualizzata se Non ci sono dati da visualizzare (il diagramma modellato viene riempito usando valori di default), oppure Il file XML non è stato trovato, oppure esso non contiene una definizione valida (viene visualizzato un esempio di diagramma di Sankey). | Boolean
zRefreshRate | Refreshrate del diagramma in ms. | Integer
zSankeyName | Nome del file XML con la modellazione del diagramma. | String
zShowRelativeValues | Visualizzazione dei valori in assoluti false oppure relativi true. | Boolean

Nota: Per la visualizzazione del diagramma di Sankey nel Web Client di zenon è necessario effettuare ulteriori passaggi di programmazione in VSTA. I dettagli relativi li trovate nel capitolo Visualizzazione di elementi WPF nel Web Client di zenon.


Indicazione della temperatura - TemperatureIndicatorControl

Manuale -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Indicazione della temperatura - TemperatureIndicatorControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Property

Funzione

Valore

CurrentValue

Valore attuale che deve essere visualizzato.

Double

MinValue

Valore minimo della scala.

Double

MaxValue

Valore massimo della scala.

Double

MajorTicksCount

Numero delle suddivisioni principali della scala.

Integer

MinorTicksCount

Numero delle suddivisioni secondarie della scala.

Integer

TickNegativColor

Colore della suddivisione principale negativa (che passa gradualmente a TickPositivColor).

Color

TickPositivColor

Colore della suddivisione principale positiva (che passa gradualmente a TickNegativColor).

Color

MinorTickColor

Colore delle d secondarie.

Color

ElementBorderBrush

Colore della cornice dell´elemento.

Brush

ElementBackgroundBrush

Colore dello sfondo dell´elemento.

Brush

ElementGlasReflection

Attivazione dell´effetto glas reflection sull´elemento.

Visibility

ElementFontFamily

Carattere dell´elemento.

Font

IndicatorColor

Colore di riempimento dell´indicatore.

Color

IndicatorBorderColor

Colore della cornice dell´indicatore.

Color

MajorTickSize

Dimensione delle suddivisioni principali della scala.

Size

MinorTickSize

Dimensione delle suddivisioni secondarie della scala.

Size

ScaleLetteringDistance

Distanza della didascalia della scala (verticale); bisogna scrivere una didascalia per ogni x suddivisione principale.

Integer

IndicatorScaleDistance

Distanza fra indicatore e scala (orizzontale).

Double

ScaleFontSize

Dimensione carattere della scala.

Double

ScaleFontColor

Colore carattere della scala.

Color

Unit

Unità.

String

ElementStyle

Forma/tipo dell´elemento.

Enum:

  • SmallFrame
  • Unit
  • None


Slider universale - UniversalReglerControl

Manuale -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Slider universale - UniversalReglerControl

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Property

Funzione

Valore

CurrentValue

Valore attuale che deve essere visualizzato.

Double

ElementFontFamily

Carattere dell´elemento.

Font

MinValue

Valore minimo della scala.

Double

MaxValue

Valore massimo della scala.

Double

Radius

Double

ScaleRadius

Radio della scala.

Double

ScaleStartAngle

Angolo in corrispondenza del quale inizia la scala.

Double

ScaleLabelRotationMode

Orientamento del titolo della scala.

Enum:

  • None
  • Automatic
  • SurroundIn
  • SurroundOut

ScaleSweepAngle

Area angolo che definisce la dimensione della scala.

Double

ScaleLabelFontSize

Dimensione carattere della denominazione della scala.

Double

ScaleLabelColor

Colore del carattere della denominazione della scala.

Color

ScaleLabelRadius

Radio secondo il quale è orientata la denominazione della scala.

Double

ScaleValuePrecision

Esattezza della denominazione della scala.

Integer

ElementStyle

Tipo di visualizzazione dell´elemento:

Enum:

  • Knob
  • Plate
  • None

MajorTickColor

Colore delle suddivisioni principali della scala.

Color

MinorTickColor

Colore delle suddivisioni secondarie della scala.

Color

MajorTickSize

Dimensione delle suddivisioni principali della scala.

Size

MinorTickSize

Dimensione delle suddivisioni secondarie della scala.

Size

MajorTicksCount

Numero delle suddivisioni principali della scala.

Integer

MajorTicksShape

Forma/tipo delle suddivisioni principali della scala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksShape

Forma/tipo delle suddivisioni secondarie della scala.

Enum:

  • Rectangle
  • Trapezoid
  • Triangle

MinorTicksCount

Numero delle suddivisioni secondarie della scala.

Integer

BackgroundBorderBrush

Colore della cornice dell´elemento.

Brush

BackgroundBrush

Colore dello sfondo dell´elemento.

Brush

PointerCapColorBrush

Colore del punto di fissaggio del pointer.

Brush

GaugeMiddlePlate

Raggio della placca intermedia dell’elemento di sfondo

Double

ValueFontSize

Dimensione carattere della visualizzazione valore.

Double

ValueFontColor

Colore carattere della visualizzazione valore.

Color

IsGlasReflection

Attivazione dell´effetto glas reflection sull´elemento.

Boolean

KnobBrush

Colore del bottone.

Brush

IndicatorBrush

Colore dell´indicatore.

Brush

IndicatorBackgroundBrush

Colore di sfondo dell´indicatore non attivo.

Brush

KnobSize

Diametro del bottone.

Double

KnobIndicatorSize

Dimensione indicatore del bottone.

Size

ElementSize

Grandezza dell´elemento.

Size

VisibilityKnob

Attivazione del bottone.

Boolean

ValuePosition

Posizione della visualizzazione valore.

Double

ValueVisibility

Attivazione della visualizzazione valore.

Boolean


Diagramma a cascata

Manuale -> Elemento WPF -> Engineering in zenon -> Elementi predefiniti -> Diagramma a cascata

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Grafico a cascata, L´elemento COMTRADE-Viewer WPF è a disposizione dei partner di COPA-DATA che lo possono ottenere tramite il Partner Portal.

Per la modellazione di un grafico a cascata si deve usare il Meaning and Waterfall Chart Wizard. Con esso, si può modellare un grafico a cascata. L´informazione viene salvata direttamente nelle variabili interessate, più precisamente nella proprietà Analyzer --> Parameter for waterfall diagram.

Qui di seguito forniamo un esempio di un grafico a cascata nel Runtime:

Nota: questo screenshot è a disposizione solamente in lingua inglese.

Le seguenti impostazioni possono essere effettuate nella finestra di configurazione WPF alla voce COPADATA-ELEMENT:

Property | Funzione | Valore
zenonRefreshRate | Tempo intercorrente fra le attualizzazioni del diagramma in ms. | Integer
zenonWaterfallIdentifier | Nome del grafico a cascata. | String
zenonZSystemModel | Gruppo di impianti delle variabili usate. | String

Nota: Per la visualizzazione del grafico a cascata nel Web Client di zenon è necessario effettuare ulteriori passaggi di programmazione in VSTA. I dettagli relativi li trovate nel capitolo Visualizzazione di elementi WPF nel Web Client di zenon.


Visualizzazione di elementi WPF nel Web Client di zenon

Manuale -> Elemento WPF -> Engineering in zenon -> Visualizzazione di elementi WPF nel Web Client di zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter usare gli elementi WPF predefiniti "Diagramma Energy class", "Diagramma di Sankey" e "Grafico a cascata" anche per la visualizzazione in un Web Client di zenon, è necessario effettuare adeguamenti e modifiche nel progetto:

  • Progettazione nell´Editor di zenon:
  • Modifica XAML-Code

Noch in diesem Kapitel

Progettazione nell´Editor di zenon:

VSTA code (complesso)

VSTA code (semplificato)


Progettazione nell´Editor di zenon:

Manuale -> Elemento WPF -> Engineering in zenon -> Visualizzazione di elementi WPF nel Web Client di zenon -> Progettazione nell´Editor di zenon:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Eseguite nell´Editor di zenon le seguenti operazioni di configurazione per poter visualizzare determinati elementi WPF anche nel Web Client di zenon:

Posizionare WPF nell´immagine di zenon:

  • Posizionate l´elemento WPF in un´immagine di zenon.
  • Dategli un nome univoco nella proprietà Nome elemento.
    Trovate questa proprietà nel gruppo Generale.
    Nota: un messaggio di avviso appare se il nome di un elemento è stato già assegnato in un´altra immagine.
  • Usate il nome elemento assegnato qui nel code VSTA.


VSTA code (complesso)

Manuale -> Elemento WPF -> Engineering in zenon -> Visualizzazione di elementi WPF nel Web Client di zenon -> VSTA code (complesso)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per inserire il codice di programmazione per la visualizzazione di elementi WPF nel Web Client di zenon, eseguite i seguenti passi:

  1. Passate nell´Editor di zenon al nodo Scripting.
  2. Scegliete il nodo VSTA, e selezionate con un clic con il tasto destro del mouse la voce del menù contestuale Apri Editor VSTA con ProjectAddin ...
  3. Si apre la finestra di dialogo per creare un progetto VSTA.
  4. Selezionate nella finestra di dialogo Crea nuovo progetto VSTA la voce C#.
  5. Create (copiate) il codice sottostante.
  6. Inserite il nome dell´elemento WPF nel codice.

Nota: aprendo l´Editor di VSTA, verificate se contenuti del codice seguente sono già presenti nella configurazione di progetto. Per ottenere la visualizzazione dell´elemento WPF nel Web Client, confrontate il codice esistente ed effettuate le aggiunte necessarie. Vi preghiamo di tenere presenti i commenti relativi nel codice del modello.

VSTA Code

//As member:

zenOn.IDynPictures zScreens = null;

string[] WPFElements ={"WPF_Control", "WPFWebclient_1", "WPFWebclient_2" }; //Nomi degli elementi ad immagine WPF che compaiono nel progetto zenon e necessitano accesso all´API (tanti/ tanto pochi si vuole)

//Aggiungete le seguenti tre righe di codice nella funzione project archive:

void ThisProject_Active()

{

zScreens = this.DynPictures();

zScreens.Open += new zenOn.DDynPicturesEvents_OpenEventHandler(zScreens_Open);

zScreens.Close += new zenOn.DDynPicturesEvents_CloseEventHandler(zScreens_Close);

}

//Aggiungete le seguenti due righe di codice nella funzione project inactive:

void ThisProject_Inactive()

{

zScreens.Open -= new zenOn.DDynPicturesEvents_OpenEventHandler(zScreens_Open);

zScreens.Close -= new zenOn.DDynPicturesEvents_CloseEventHandler(zScreens_Close);

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

//Aggiungete due nuovi gestori eventi:

void zScreens_Open(zenOn.IDynPicture obDynPicture)

{

foreach (string element in WPFElements)

{

if (obDynPicture.Elements().Item(element) != null)

{

obDynPicture.Elements().Item(element).set_WPFProperty("ELEMENT", "zenonVariableLink", this.Variables().Item(0));

}

}

}

void zScreens_Close(zenOn.IDynPicture obDynPicture)

{

foreach (string element in WPFElements)

{

if (obDynPicture.Elements().Item(element) != null)

{

zenOn.IElement zWPFElement= obDynPicture.Elements().Item(element);

zWPFElement.set_WPFProperty("ELEMENT", "zenonTrigger", true);

zWPFElement = null;

}

}

}


VSTA code (semplificato)

Manuale -> Elemento WPF -> Engineering in zenon -> Visualizzazione di elementi WPF nel Web Client di zenon -> VSTA code (semplificato)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si usa solamente un elemento WPF in un´immagine di zenon, si può usare anche il seguente codice, più semplice. A tal scopo, si devono inserire i nomi dell´elemento WPF e dell´immagine in cui esso viene usato. Si raccomanda l´uso di questo codice quando, per ogni progetto, si intende usare solamente uno degli elementi WPF predefiniti.

VSTA Code:

zenOn.IDynPicture zScreen = null;

string wpfElement = "WPF_Control"; //Nome dell´elemento WPF nell´immagine.

string wpfPicture = "@Details_Overview_Online"; //Nome dell´immagine di zenon

//Aggiungere nella funzione project active:

void ThisProject_Active()

{

zScreen = this.DynPictures().Item(wpfPicture);

zScreen.Open += new zenOn.OpenEventHandler(zScreen_Open);

zScreen.Close += new zenOn.CloseEventHandler(zScreen_Close);

}

//Aggiungere nella funzione project inactive:

void ThisProject_Inactive()

{

zScreen.Open -= new zenOn.OpenEventHandler(zScreen_Open);

zScreen.Close -= new zenOn.CloseEventHandler(zScreen_Close);

//Final release and garbage collection of any API-Objects.

FreeObjects();

}

void zScreen_Open()

{

if (zScreen.Elements().Item(wpfElement) != null)

{

zScreen.Elements().Item(wpfElement).set_WPFProperty("ELEMENT", "zenonVariableLink", this.Variables().Item(0));

}

}

void zScreen_Close()

{

if (zScreen.Elements().Item(wpfElement) != null)

{

zenOn.IElement zWPFElement = zScreen.Elements().Item(wpfElement);

zWPFElement.set_WPFProperty("ELEMENT", "zenonTrigger", true);

zWPFElement = null;

}

}


Esempi: Integrazione di WPF in zenon

Manuale -> Elemento WPF -> Engineering in zenon -> Esempi: Integrazione di WPF in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Come vengono creati i file XAML e integrati in zenon come elementi WPF, lo potete vedere nei seguenti esempi:

  • Integra pulsante come WPF-XAML in zenon
  • Integra bargraf come WPF-XAML in zenon
  • Integrare DataGrid Control in zenon

Noch in diesem Kapitel

Integra bargraf come WPF-XAML in zenon

Integra pulsante come WPF-XAML in zenon

Integrare un controllo DataGrid in zenon


Integra bargraf come WPF-XAML in zenon

Manuale -> Elemento WPF -> Engineering in zenon -> Esempi: Integrazione di WPF in zenon -> Integra bargraf come WPF-XAML in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Struttura dell´esempio:

  • Creazione di una bargraf in Adobe Illustrator e trasformazione in WPF
  • integra in zenon
  • Collegamento con variabile
  • adatta l´elemento bargraf-WPF

crea bargraf

Create in primo luogo un bargraf come descritto nel capitolo Workflow con Adobe Illustrator. Per usare il file XAML in zenon, aggiungetelo nella visione ad albero del progetto nella cartella File/grafiche .

Integra bargraf

Nota: per la descrizione seguente viene usato un progetto di zenon con i seguenti contenuti:

  • un´immagine vuota come immagine di partenza
  • 4 variabili del driver interno per
    • scala 0
    • scala media
    • scala alta
    • valore attuale
  • una variabile del driver matematico per la visualizzazione del valore attuale 255)

Per integrare il bargraf:

  1. aprite anzitutto l´immagine vuota
  2. piazzate un elemento WPF nell´immagine
  3. selezionate nella finestra delle proprietà File XAML
  4. selezionate il file XAML desiderato (per esempio bargraph_vertical.xaml) e chiudete il dialogo

Adatta bargraf

Prima della configurazione, la scala del file XAML viene adattata, se necessario.

A tale scopo:

  • impostate una nuova variabile matematica che calcola il nuovo valore in riferimento alla scala, per esempio:
  • Variabile: 0-1000
  • variabile matematica {valore creato in xaml}*Variabile/1000

    Poi viene configurato il file XAML.

Configura bargraf

  1. cliccate sull´elemento WPF e selezionate la proprietà Configurazione
  2. Il dialogo di configurazione mostra un´anteprima del file XAML selezionato
  3. selezionate il valore minimo, quello medio e quello massimo e collegate la variabile corrispondente nella proprietà Content

  4. selezionate lo Slider e collegate la proprietà Value con la variabile matematica (nel nostro esempio: calculation)
  5. Controllate la progettazione nel runtime:


Integra pulsante come WPF-XAML in zenon

Manuale -> Elemento WPF -> Engineering in zenon -> Esempi: Integrazione di WPF in zenon -> Integra pulsante come WPF-XAML in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Struttura dell´esempio:

  • Creazione di un pulsante in Microsoft Expression Blend
  • integra in zenon
  • Collegamento di una variabile o con una funzione.
  • Adattamento del pulsante alla grandezza dell´elemento.
  • Crea un pulsante

Create in primo luogo un pulsante come descritto nel capitolo Crea pulsante come file XAML con Microsoft Expression Blend. Per usare il file XAML in zenon, aggiungetelo nella visione ad albero del progetto nella cartella File/grafiche .

Integra pulsante

Nota: per la descrizione seguente viene usato un progetto di zenon con i seguenti contenuti:

  • un´immagine vuota come immagine di partenza
  • una variabile interna int del tipo Int
  • una funzione Funktion_0 del tipo setta valore impostabile con:
    • Attiva opzione Direttamente su Hardware
    • Valore impostabile settato a 45

Per integrare il pulsante:

  1. aprite anzitutto l´immagine vuota
  2. piazzate un elemento WPF nell´immagine
  3. selezionate nella finestra delle proprietà File XAML
  4. selezionate il file XAML (per es.: MyButton.xaml) e chiudete il dialogo
  5. selezionate la proprietà Configurazione

Configura pulsante

Il dialogo di configurazione mostra un´anteprima del file XAML selezionato. Nella struttura ad albero c´è una lista di tutti gli elementi nominati nel file XAML_:

  1. selezionate il pulsante WPF, che si trova inLayoutRoot->MyViewBox->MyButton
  2. Cercate nella scheda Proprietà l´inserimentoContent; esso contiene il testo del pulsante.
  3. cliccate nella colonna Tipo di collegamento
  4. Selezionate nella lista a cascata l´inserimento Variabile.
  5. cliccate nella colonna Collegamento
  6. Si apre il dialogo di selezione variabili.
  7. selezionate la variabile int, per collegarla alla proprietà Content.

Eventi

Per assegnare anche eventi:

  1. Selezionate la scheda Eventi.

  2. Cercate l´inserimento Click; questo evento viene avviato dall´elemento WPF non appena si clicca sul pulsante.
  3. cliccate nella colonna Tipo di collegamento
  4. Selezionate nella lista a cascata l´inserimento Funzione.
  5. cliccate nella colonna Collegamento
  6. Si apre il Dialogo di selezione funzioni.
  7. selezionate Funktion_0
  8. Confermate la modifica effettuata con OK.
  9. Aggiungete nell´immagine ancora un Elemento Valore numerico
  10. collegate anche questo Valore numerico alla variabile int.
  11. poi compilate i file runtime e avviate il runtime.

Nel runtime viene visualizzato l´elemento WPF; il testo del pulsante è 0. Non appena cliccate sul pulsante, viene avviato l´evento Clicke la funzione Setta valore impostabile viene eseguita. Il valore 45 viene settato direttamente sull´hardware e sia il Valore numerico, che il Pulsante indicano il valore 45 .

Settate per mezzo dell´elemento Valore numerico un valore impostabile di 30; in tal modo questo valore verrà ripreso anche dall´elemento WPF.

Autorizzazione

In modo analogo di quanto accade con un Valore numerico, un elemento WPF può essere bloccato (simbolo del lucchetto) oppure reso disponibile a seconda dell´autorizzazione di gestione. Settate a 1 il livello autorizzazione dell´elemento WPF e impostate un utente Test con lvello di autorizzazione 1. Poi impostate le funzioni Login con dialogo e Logout . Collegate queste due funzioni con 2 nuovi pulsanti con testo nell´immagine.

Nel dialogo di configurazione dell´elemento WPF, selezionate il pulsante WPF MyButton e scegliete il tab Proprietà

  1. Selezionate l´elemento IsEnabled
  2. cliccate nella colonna Tipo di collegamento
  3. Selezionate nella lista a cascata l´inserimento Autorizzazione di gestione/Blocco.
  4. cliccate nella colonna Collegamento
  5. Selezionate nella lista a cascata l´opzione Autorizzazione di gestione esistente.

  6. Chiudete il dialogo cliccando su OK.

Compilate i file runtime e fate attenzione a selezionare anche le Autorizzazioni di gestione per trasmissione. Dopo l´avvio del runtime, il pulsante WPF dell´immagine viene visualizzato come non attivo ed è inutilizzabile. Se effettuate il Login con l´utente Test, il pulsante viene attivato e può essere utilizzato. Non appena effettuate il Logout, il pulsante viene bloccato.

Trasformazione

Per poter usare delle trasformazioni, dovete adattare il file XAML.

  1. Passate al programma Expression Blend
  2. Selezionate MyButton, in modo tale che le proprietà del pulsante siano visibili nella finestra delle proprietà.

  3. Selezionate alla voce Transform di RenderTransform l´opzione Apply relative transform

    In tal modo, viene aggiunto un blocco al file XAML; esso salva durante il runtime le impostazioni per la trasformazione.

  4. Salvate il file e sostituite nel progetto zenon la vecchia versione con questo nuovo file.
  5. aprite di nuovo il dialogo di configurazione dell´ elemento WPF:
    1. Selezionate il pulsante MyButton.
    2. Passate alla scheda Trasformazioni

    1. Selezionate l´elemento RotateTransform.Angle
    2. cliccate nella colonna Tipo di collegamento
    3. Selezionate nella lista a cascata l´inserimento Trasformazioni.
    4. cliccate nella colonna Collegamento
    5. Si apre il dialogo di selezione variabili.
    6. selezionate la variabile int, per collegarla alla proprietà RotateTransform.Angle.

Poi compilate i file runtime e avviate il runtime. Effettuate il Login come utente Test e cliccate sul pulsante. Il pulsante riceve il valore 45 e l`elemento WPF ruota di 45°.


Integrare un controllo DataGrid in zenon

Manuale -> Elemento WPF -> Engineering in zenon -> Esempi: Integrazione di WPF in zenon -> Integrare un controllo DataGrid in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un controllo DataGrid per zenon avete bisogno di:

  • Visual Studio (in questo esempio Visual Studio 2015)

Creare un controllo utente WPF

  1. In Visual Studio create una nuova Solution e, al suo interno, un progetto WPF User Control Library in .NET Framework 4, o in una versione più recente.

    Informazioni: se il relativo modello di progetto non è contenuto nella lista dei quelli disponibili, lo si può aggiungere usando "Cerca" (campo situato in alto a destra della finestra di dialogo).

    Nel nostro esempio, il progetto riceve il nome DataGridControlLibrary.

  2. Create una nuova connessione dati nel Server Explorer,

    Nel nostro esempio usiamo la banca dati Northwind, messa a disposizione da Microsoft gratuitamente come esempio di database.

    Per creare la connessione database:

    1. Cliccate con il tasto destro del mouse su Data Connections.
    2. Selezionate Add connection….
    3. Scegliete Microsoft SQL Server (SQLClient) come Data source.
    4. Selezionate il corrispondente nome server e database.

    Dopo aver aggiunto una connessione, la finestra del Server Explorer dovrebbe avere più o meno il seguente aspetto:

    Il prossimo passo consiste nella creazione di un nuovo DataSet.

Creazione di un DataSet.

  1. Cliccate con il tasto destro del mouse sul progetto.
  2. Selezionate nel menù contestuale Add – New Item….
  3. Create un nuovo DataSet con il nome DataSet1.
  4. Cliccate due volte sul DataSet per aprirlo nella finestra di progettazione.
  5. Trascinate le tabelle che vi servono (in questo esempioCustomers e Orders) nella finestra di progettazione DataSet.

Il prossimo passo consiste nella modifica del file XAML.

Configurazione del file XAML

  1. Nel caso in cui non dovesse ancora esserci, aggiungete nel file XAML il Namespace come riferimento alla classe:

  2. Definite le risorse e il DataGrid, che deve essere usato in WPF:

    <UserControl.Resources>

    <local:DataSet1 x:Key="DataSet1"/>

    <CollectionViewSource x:Key="CustomersViewSource" Source="{Binding Path=Customers, Source={StaticResource DataSet1}}"/>

    </UserControl.Resources>

    <Grid DataContext="{StaticResource CustomersViewSource}">

    <DataGrid Name="DataGrid1" DisplayMemberPath="CompanyName" ItemsSource="{Binding}" SelectedValuePath="CustomerID" HorizontalAlignment="Stretch" VerticalAlignment="Stretch"/>

    </Grid>

  3. Aprite il file code-behind (UserControl1.xaml.cs) e aggiungete nel costruttore le seguenti righe:

    public UserControl1()

    {

    InitializeComponent();

    DataSet1 ds = ((DataSet1)(FindResource("DataSet1")));

    DataSet1TableAdapters.CustomersTableAdapter ta = new DataSet1TableAdapters.CustomersTableAdapter();

    ta.Fill(ds.Customers);

    CollectionViewSource CustomersViewSource = ((CollectionViewSource)(this.FindResource("CustomersViewSource")));

    CustomersViewSource.View.MoveCurrentToFirst();

    }

    Nel far ciò, avviene quanto segue:

    • Si ottiene il DataSet.
    • Si crea un nuovo TableAdapter.
    • Si riempe il Dataset.
    • Si rendono disponibili queste informazioni DataGrid Control

Adesso si può compilare la soluzione.

Build

Compilate adesso la soluzione. Adesso viene creato il corrispondente file DLL (DataGridControlLibrary.dll) nella cartella di output del progetto.

Adesso disponete della DLL che offre la funzionalità necessaria.

Tuttavia zenon può visualizzare solamente file XAML che non possono essere collegati al file code-behind; proprio per questo si ha bisogno di un ulteriore file XAML che referenzi il DDL appena creato.

A tale scopo:

  1. Create anzitutto un altro progetto, ancora una volta del tipo WPF User Control Library.
  2. Nel nostro esempio, esso viene nominato DataGridControl.
  3. Aggiungete in questo nuovo progetto una referenza al progetto appena creato.

  4. Il file XAML (UserControl1.xaml) ha il seguente aspetto:

  5. Visto che tutti i contenuti necessari sono presenti nella DLL creata in precedenza e che non si ha bisogno di un code-behind, cancellate:

    x:Class="DataGridControl.UserControl1"

    xmlns:local="clr-namespace:DataGridControl"

  6. Cancellate anche (per il posizionamento) le seguenti righe:

    mc:Ignorable="d"

    d:DesignHeight="300" d:DesignWidth="300"

  7. Cancellate il file code-behind (UserControl1.xaml.cs) in questo progetto.
  8. Definite quello che deve essere visualizzato nel file XAML.

    Per far ciò, modificate il file XAML nel modo seguente:

    <UserControl xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"

    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"

    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"

    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"

    xmlns:dataGridLibrary="clr-namespace:DataGridControlLibrary;assembly=DataGridControlLibrary">

    <Grid x:Name="Grid1">

    <dataGridLibrary:UserControl1 Name="DataGridControl" HorizontalAlignment="Left" VerticalAlignment="Top"/>

    </Grid>

    </UserControl>

    La riga xmlns:dataGridLibrary="clr-namespace:DataGridControlLibrary;assembly=DataGridControlLibrary" definisce lo spazio nome dataGridLibrary e stabilisce che esso deve usare l´assembly precedentemente creato.

  9. Assegnate un nome al Grid.
  10. Aggiungete il Control dataGridLibrary:UserControl1 della nostra libreria e assegnate un nome, perché zenon può modificare solamente quegli oggetti che hanno un nome.
  11. Compilate adesso la soluzione.

Il prossimo passaggio illustra come implementare la DLL, nonché il file XAML in zenon.

Passi in zenon

  1. Aprite l´Editor di zenon
  2. Passate al nodo File -> Grafiche.
  3. Selezionate nel menù contestuale Aggiungi file...

  4. Scegliete il file XAML nel luogo di salvataggio (UserControl1.xaml dal progetto DataGridControl) e aggiungetelo:

  5. Aggiungete il DLL con la funzionalità per il file XAML.

    A tale scopo:

    1. Selezionate nel menù contestuale del nodo File -> Altri Aggiungi file....
    2. Selezionate il file DataGridControlLibrary.dll del primo progetto (DataGridControlLibrary).

  6. Impostate un´immagine di zenon.
  7. Aggiungete un elemento WPF e selezionate il file XAML precedentemente implementato.

    Adesso dovreste vedere quanto segue nell´Editor di zenon:

  8. Avviate il Runtime di zenon per testare il control anche lì.

attention Attenzione

Gli assembly vengono rimossi dopo il caricamento solo quando l´applicazione viene chiusa. Ciò significa:

Se un file WPF viene visualizzato con un assembly referenziato in zenon, questo assembly viene caricato e si trova nella memoria fino alla chiusura di zenon, anche se l´immagine è stata chiusa. Se volete eliminare un assembly dalla cartella File/Altri, prima di tutto bisogna riavviare l´editor in modo tale che l´assembly venga rimosso.


Gestione errori

Manuale -> Elemento WPF -> Engineering in zenon -> Gestione errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Inserimenti nei file LOG.

Inserimento | Level | Significato
Xaml file found in %s with different name, using default! | Avviso | Il nome del file collection e quello del file XAML in esso contenuto non corrispondono. Per evitare dei conflitti interni, nella cartella viene usato il file con il nome del file collection e la desinenza .xaml.
no preview image found in %s | Avviso | Il file collection non contiene una grafica anteprima valida (preview.png oppure [Nome del file XAML].png). Perciò non può essere visualizzata nessuna anteprima.
Xaml file in %s not found or not unique! | Errore | Il file collection non contiene nessun file XAML, oppure più file con la desinenza .xaml; non può essere usato.
Could not remove old assembly %s | Avviso | Nella cartella di lavoro si trova un assembly che deve essere sostituito con una nuova versione, ma non può essere cancellato.
Could not copy new assembly %s | Errore | Per un assembly nella cartella di lavoro è disponibile una nuova versione, che però non può essere copiata nella cartella stessa. Possibile causa: per es. il vecchio Assembly è ancora caricato. La vecchia versione continua ad essere usata, la nuova non può essere utilizzata.
file exception in %s | Errore | Si è verificato un errore file nel momento di accedere al file collection.
Generic exception in %s | Errore | Si è verificato un errore generale al momento di accedere al file collection.


zenon Logic

Manuale -> zenon Logic

zenon Logic is the programming environment integrated into zenon in accordance with IEC 61131. It is available as Editor and Runtime (Soft-PLC).

tutorial Informazioni sulla licenza

Must be licensed in Editor and Runtime.

Note: 8 TAGs are included in the standard license for Runtime. There is no limit for the Workbench. For details about licensing see chapter Licensing.

Noch in diesem Kapitel

Basics zenon Logic Workbench (IEC 61131-3)

zenon Logic Workbench

zenon Logic Runtime (Soft PLC)

zenon Logic Runtime Manager


Basics zenon Logic Workbench (IEC 61131-3)

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic is an IEC 61131-3 programming environment for different target systems with zenon Logic Runtime kernel. In the case of zenon, the zenon Logic Runtime kernel is designed as a soft PLC for PC and CE platforms.
With the zenon Logic development environment - the Workbench - PLCs can be engineered and programmed in the five defined programming languages of IEC 61131-3.

Project manager context menu

Menu item | Action
New zenon Logic project | Opens the assistant to create a new zenon Logic project.
Import XML... | Imports entries from an XML file. Attention: At the XML import you must deactivate online change so that the reload of the zenon Logic variable works.
Import external zenon Logic project... | Opens the dialog to select a zenon Logic project folder.
Editor profiles | Opens the context menu with pre-defined Editor profiles.
Help | Opens online help.

Noch in diesem Kapitel

General information on zenon Logic help

zenon Logic General

zenon Logic toolbar and context menu detail view

First steps with zenon Logic in zenon

Variable handling

Arrays

Data structures

Distributed engineering (multiuser)

Reusing projects


General information on zenon Logic help

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> General information on zenon Logic help

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This help manual provides a quick introduction to the use of zenon Logic in conjunction with the integrated solution with zenon. This manual does not provide an instruction into computer languages, functions and function blocks. For this use the extensive help included directly in the zenon Logic Workbench> (IEC 61131-3 programming environment).

The zenon Logic Workbench provides an extensive help functionality. In order to access this help function, open the entry Help in the menu of the zenon Logic Workbench or click here. In order to access a help chapter about a certain topic (e.g. function block), select it with a mouse click and then press F1.

The in zenon integrated zenon Logic Workbench has not TAG limitation independent of I/O or TAG extension of the zenon Editor.


zenon Logic General

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> zenon Logic General

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic is an IEC 61131-3 programming environment for different target systems with zenon Logic Runtime kernel. In the case of zenon, the zenon Logic Runtime kernel is designed as a soft PLC for PC and CE platforms.

zenon Logic Workbench

The zenon Logic Workbench is the tool for programming the zenon Logic PLC. The zenon Logic Workbench is started in the zenon Editor. All five IEC 61131-3 predefined languages are available:

Abbreviation | Long form of the language
SFC | Sequential Function Chart - AS
FBD | Function Block Diagram - FUP
LD | Ladder Diagram - KOP
ST | Structured Text - ST
IL | Instruction List - AWL

IEC 61131-3

Part three of the IEC 61131 descubes the syntax and semantic of computer languages for PLCs which have been defined in part 1 of the IEC 61131.

zenon Logic Runtime

The zenon Logic Runtime is the target system and executes the compiled code of the zenon Logic Workbench. There is the zenon Logic Soft PLC for the PC and for Windows CE platforms, as well as selected embedded platforms.

info Informazioni su

You can find more information on platforms here: www.copadata.com/en/products/zenon-logic.html.

You can find more information about the operation of zenon Logic Runtime in the zenon Logic Runtime (soft PLC) manual.

straton Runtime

In addition to the zenon Logic soft PLC, there is also the hardware PLC straton, which has implemented the zenon Logic runtime kernel as OEM software. The manufacturers of these hardware PLCs can be found on www.straton-plc.com.


zenon Logic toolbar and context menu detail view

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> zenon Logic toolbar and context menu detail view

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Toolbar

Parameters | Description
New zenon Logic project | Opens the dialog to create a new project, create it in the list and opens the zenon Logic Workbench with the new project.
Open zenon Logic project in Workbench | Opens the selected project in zenon Logic Workbench.
Delete | Cancella gli inserimenti selezionati dalla lista dopo una richiesta di conferma.
Import external zenon Logic project | Opens dialog to select the zenon Logic project files to be imported.
Import XML | Opens dialog to select the XML file to be imported. Attention: At the XML import you must deactivate online change so that the reload of the zenon Logic variable works.
Remove all filters | Elimina tutte le impostazioni di filtro
Edit selected cell | Apre la cella selezionata per effettuarne la modifica Vedete quale cella è stata selezionata in una riga evidenziata facendo riferimento al simbolo della lente di ingrandimento nella riga titolo. È possibile selezionare solamente quelle righe che possono essere editate.
Replace text in selected column | Apre il dialogo che serve alla ricerca e alla sostituzione di testi.
Properties | Apre la finestra Impostazioni per l´inserimento selezionato.
Help | Apre la guida online.


First steps with zenon Logic in zenon

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> First steps with zenon Logic in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Here you can find out how you create, configure and edit a zenon Logic project in the zenon Editor.

Noch in diesem Kapitel

Create a zenon Logic project in a zenon project

Editing a zenon Logic project

Deleting a zenon Logic project

Design of the Workbench


Create a zenon Logic project in a zenon project

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> First steps with zenon Logic in zenon -> Create a zenon Logic project in a zenon project

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To create a new zenon Logic project:

  1. right click on node zenon Logic (IEC 61131-3) or in the detail view
  2. select in the context menu or in the toolbar command New zenon Logic project...
  3. The configuration dialog is opened
  4. give it a valid name
  5. select the desired driver
    • straton driver are automatically configured
    • for IEC driver the configuration dialog is opened after the dialog is closed
  6. create the project by clicking on Finish

info Informazioni su

You adjust the properties of the zenon Logic projects in the zenon project in the properties window of the zenon Editor. You will find a description of the single properties in the property help.

You can change the settings of the zenon Logic project in its project settings. In order to do this open the project settings in the Workbench under Project/Settings....

Notes for project configuration

Note when configuring the project:

General:

  • In the zenon Editor, no zenon Logic projects with the name __Global can be created.
    Note: Projects with the name __Global that already exist are not shown.
  • zenon Logic Workbench creates, for each zenon Logic project, a project with the name <Projectname>__Global. These projects are not visible in the zenon Editor. They are also not deleted if the attendant zenon Logic project is deleted.

Distributed engineering:

  • In the zenon Logic Workbench, lines can be created in the All projects node MultiSpy and the global Binding Editor can be called up. The following is applicable for these settings: They are
    • Not saved as multi-user
    • Not transferred to the project server
    • Removed again in the next synchronization
  • If new zenon Logic projects are created in the zenon Logic Workbench via File -> Add new project, the following is applicable: They are
    • Not transferred to the project server
    • Deleted again in the next synchronization

Attention: Multi-user zenon Logic projects can only be created using the zenon Editor.

info Informazioni su

In general you should only create zenon Logic projects with the zenon Editor. This is because the attendant drivers are also automatically created in the zenon project.

New dialog project

Parameters

Description

Name

Freely definable name for the zenon Logic project.

Note: The Name

  • consists of alphabetic characters
  • must not exceed 15 characters
  • must not be empty
  • must only contain valid characters:
    invalid characters are: all numbers and special characters such as \ / , ; ß ú ý : * ? " < > | ( )
    a dot may only be used within the name not at the beginning of the name

Button Finish is only active if a valid name was entered.

Drivers

Selection of the driver. You have the choice between:

  • stratonNG (Default):
    creates a new connection with the correct project name, the zenon Logic Runtime port and the IP address 127.0.0.1
  • straton32:
    creates a new connection with the zenon Logic Runtime port and the IP address 127.0.0.1
  • IEC870:
    opens configuration dialog
  • IRC850:
    opens configuration dialog

This selection defines the eventual Runtime communication between zenon Logic and zenon. In addition the creation of the operating and monitoring (O and M) variables is based on this:

  • name based at the STRATON driver,
  • address based at the IEC driver

Finish

Creates the new zenon Logic project.

Cancel

Cancels project creation

Help

Opens online help.

Driver selection

Decision aid for the driver selection:

Drivers

Properties

stratonNG driver:

Default driver for zenon Logic projects:

  • can be used cyclic or spontaneous (on change)
  • supports complex data types (structure data types or arrays)
  • enables several connections with one driver to several Runtimes at the same time (recommended for using with Windows CE))

straton32 driver:

Ethernet TCP/IP based.

Note: Only included for compatibility reasons. Use of the stratonNG driver is recommended.

IEC870 driver:

It is mostly used in the infrastructure automation.

Properties:

  • can be operated serial (-101) or over Ethernet TCP/IP (-104)
  • Data traffic is generally spontaneous (on change)
  • complex data types are not supported

IEC850 driver:

Successor of the IEC60870 standard and is completely object-orientated.

For information about the configuration of the driver see the respective help of the driver:

  • straton32 driver: straton32
  • stratonNG driver: stratonNG
  • IEC870 driver: IEC870
  • IEC850 driver: IEC850

attention Attenzione

If you have selected a driver once, you cannot change it afterwards.

Exception: Changing from the straton32 to the stratonNG driver is not possible.

Change driver

To make a driver change from starton32 to stratonNG:

  • select the detail view of node Variables/Driver of the zenon Logic project with the straton32 driver
  • select Change driver in the context menu
  • the dialog for the selection of the driver is opened
  • you can only select the stratonNG driver
  • select the driver
  • close the dialog
  • the configuration is taken over in the zenon Logic project


Editing a zenon Logic project

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> First steps with zenon Logic in zenon -> Editing a zenon Logic project

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With a double click on the project or the context menu, you can open an existing zenon Logic project for editing. Alternatively you can click the corresponding icon in the toolbar in the details window.


Deleting a zenon Logic project

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> First steps with zenon Logic in zenon -> Deleting a zenon Logic project

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

To delete a zenon Logic project:

  1. select menu item delete in the context menu of the project or in the toolbar

    (Multi-select is possible)

  2. confirm the confirmation message whether you really want to delete the project
  3. select whether you want to delete the driver of the project

    (When simultaneously deleting several projects, the deleting the driver is prompted for each project.)

attention Attenzione

When you delete the driver, all variables linked to the driver in zenon are also deleted.


Design of the Workbench

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> First steps with zenon Logic in zenon -> Design of the Workbench

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Logic Workbench can be divided in the following areas:

Range | Description
1 | In this section documents are displayed and edited (programs, watch lists, ...).
2 | The workspace: Documents are created and opened in this list.
3 | The output window displays messages and provides diagnosis tools.
4 | In the variable editor variables and instances are declared.
5 | The properties tab is used for the configuration of the graphics documents.
6 | The tab Libraries lists all available functions and function blocks
7 | The tab Spy list displays the online values of selected variables during the debugging.
8 | The tab Definitions displays all definitions.
9 | The tab Graphics lists al graphical objects.

Each section (except section 1) can be shown and hidden with commands from the menu Views.

In the central area you will find the documents of the workspace. If several documents are opened at the same time, you can switch between the different documents using the tab at the bottom. With button X in the header the active document can be closed.

The variable editor and the document area in the center can be maximized at any time with the corresponding button (blue symbol with white line) or a double-click on the header.

If several documents are open in the central area, one of these can be fixed in the top or left part. In order to do this right click the corresponding tab and select Fix. With the same menu you can unfix the document at any time and fix another one:


Variable handling

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Variable handling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The integration of zenon Logic into zenon offers considerable advantages in the configuration of PLC and SCADA projects. The O&M variables (operating and monitoring) from the PLC system are available in zenon with just a few mouse clicks. When changing the variable (name, datatype, ...) these changes are immediately passed on the other system.

The advantage of the integration:

  • Easy handling of O&M variables
  • Immediate alignment of changes
  • Saving of labor because of omission of import/export
  • Increased quality by minimizing causes for errors

attention Attenzione

Instances of UDFBs are not available as B&B variables.

Noch in diesem Kapitel

Create O&M variables in zenon Logic

Create O&M variables in zenon

Using zenon variables in zenon Logic

Variable names


Create O&M variables in zenon Logic

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Variable handling -> Create O&M variables in zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

All variables created in the zenon Logic Workbench can be marked as O&M (operating and monitoring) variables:

  • Local program variables
  • Global variables
  • Retain variables (=remanent variables)
  • Array variables
  • Structure variables

Note: Variables of data type TIME cannot be declared as O&M variables.

Highlight variables as O&M

In order to do this the following steps are necessary:

(Refer to the online help of the zenon Logic Workbench for the exact steps to create a variable in zenon Logic.)

  1. Right click on a variable in the variable list.
  2. Select Properties from the context menu.
  3. Activate checkbox Embed symbol in the following dialog.
  4. Change the profile in the combo box from None to STRATON (*Operating and Monitoring for zenon*).
  5. Click on OK.

Now the O&M variable has been entered in the zenon variable list.

attention Attenzione

As soon as a zenon Logic variable is declared as O&M variable, you must not edit it as text in the Workbench!

This leads to the loss of variable declarations.

The O&M variable is displayed with a prefix in zenon. The prefix has the following structure:

[zenon Logic project name >/zenon Logic program name or Global or Retain]/[variable name]

attention Attenzione

Variables have a character length limitation. Including prefix the variable name must not be longer than 128 characters.

Activate in variable list

You can update the profile and the checkbox directly in the variable list of zenon Logic so you do not have to go to the context menu and the profile dialog.

Mark the line Properties of the corresponding variable. Press Ctrl+F12. Thus the profile zenon Logic is displayed in this line. In addition you must activate the checkbox for embedding the symbol via double click or Enter in column Symb..

attention Attenzione

The checkbox Embed symbol must be activated. Variables for which this checkbox is not active are not able to communicate with zenon using the STARTON driver and will not supply any values.

Additional attributes of the variable

The additional attributes Identification and Description of a variable are also displayed in zenon when you select the profile STRATON (*Operating and Monitoring for zenon*). In zenon the contents of identification and description can be found in the variable properties Identification and Resource label.

Arrays and structure variables

If arrays or structure variables are marked with the profile STRATON (*Operating and Monitoring for zenon*), they are also displayed in the variable list in zenon. You must however activate the desired elements of the variable.

attention Attenzione

If a O&M variable is an array, you must take care when setting initial values.

Recommendation: Arrays with initial values should not be declared as O&M! If it is inevitable, the string describing the initial value must not be longer than 1024 characters.

UDFB instances

  1. Input variables at UDFB instances are not available via the integrated solution in zenon.
  2. In zenon variables of an UDFB instance cannot be created. This is only possible if an instance of the UDFB is created in zenon Logic and the zenon Logic profile is set.

    UDFB instances which are marked with profile zenon Logic (*Operating and Monitoring for zenon*), they are not automatically available in zenon. In case you want them to be available, you must activate this functionality manually with the help of the following entry in file K5DBXS.INI. In file K5DBXS.INI scroll to section [XS] and enter ShareUDFBDatatype=1 .

    If you deactivate this entry, existing UDFB data types in a project are still modified. However no new UDFBs are created.

Hardware IO declarations

zenon Logic IO variables can be used zenon if in the zenon Logic Workbench they:

  • have a profile
  • have an alias name; this name is used in zenon instead of %IX0.0 (board type, board index, bit number)
    An alias is necessary if the zenon Logic profile is used and property Embed symbol was activated. In this case the variable is also available in zenon (Editor and Runtime).

Note: If an I/O group is deleted in zenon Logic, the variables of the I/O board with zenon Logic profile are also deleted in zenon.

Attention:

  • IO variables cannot be renamed in zenon.
  • IO variables for zenon Logic IO cards cannot be created in zenon.
  • The data type of IO variables should not be changed in zenon: Changes are not adopted in the zenon Logic Workbench.
  • Changes to the hardware IO declaration should always be carried out in zenon Logic. In zenon no new variable for the straton32 driver can be created as hardware I/O variable for zenon Logic.


Create O&M variables in zenon

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Variable handling -> Create O&M variables in zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

O&M (operating and monitoring) variables for the soft PLC zenon Logic can also be declared in zenon. In order to do this create a variable in zenon as usual:

attention Attenzione

Take care that the naming convention is IEC 61131-3 compatible (no special characters, ...); otherwise the button Finish will not be available in the dialog. See also: Variable names

info Informazioni su

The variables declared in zenon are always entered in the Global area of the variable list in zenon Logic.

Changes to variables of a zenon Logic driver in zenon

If variables of a driver which is linked to a zenon Logic project are modified:

  • a change recognition in the zenon Logic project is carried out
  • the zenon Logic Workbench connection to the Runtime asks whether the project should be recompiled

This behavior is regardless of whether the changes affects the zenon Logic project.


Using zenon variables in zenon Logic

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Variable handling -> Using zenon variables in zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

It is very easy to further process variables from PLC systems such as e.g. Siemens S7 or Beckhoff TwinCAT in zenon Logic, variables which were read in by the according zenon drivers in zenon.

There are two possibilities available for this:

  • Allocation:
    The variable from the PLC (e.g. S7 ) is linked to a zenon Logic variable with an allocation.
    In this case only a unidirectional communication is possible.
  • Logic to SCADA connection:
    The PLC variables (e.g. from a S7) are exchanged between zenon and zenon Logic using a Logic to SCADA connection. In order to switch the PLC variables in zenon Logic Workbench to visible, you must activate the Visibile esternamente property in the properties of the variables. The variable is thus included in the variable list of zenon Logic Workbench.
    Advantage: This process works in two directions. It can also be configured very quickly and easily.
    Note: Please be aware, that such a connection only works locally on a PC or a CE device. Here it is not possible to communicate with a zenon Logic Runtime on another device.

Logic to SCADA connection

A Logic to SCADA connection variable is specially marked in zenon Logic, because it can no longer be changed in zenon Logic. Changing the variable here would lead to problems, as the source of the variable is the PLC programming environment in the external PLC (e.g. Step7).

In order for communication with Runtime for Logic to SCADA connection variables to also take place, an I/O driver - the Logic to SCADA connection driver - must also be created in zenon Logic.
Configuration:

  1. Opens the field bus configuration in zenon Logic Workbench.
    To do this, double click on the field bus configuration module or click on the symbol in the tool bar.
  2. Right-click in the I/O driver area.
  3. Select Add configuration in the context menu.
  4. In the All group, select the Logic to SCADA connection entry.
    This configuration is entered and displayed.

It is thus ensured that the externally-visible variables from zenon communicate with zenon Logic.

attention Attenzione

Note when choosing the variable name:

The name of the variable from an external PLC must comply with IEC 61131-3 with regard to how it is written.
Allowed are:

  • Numbers
  • Letters from A to Z (no umlauts)
  • Underscores

In addition the name must not start with a number.
(for details, see also variable names.)
Tip: To use a variable with non-permitted characters in zenon Logic, the name can be set in the code directly in curly brackets.
Example: The variable myArray[3] is called up in the program with {myArray[3]}.

Possible interactions

Note for Logic to SCADA connections, possible interactions with the Isteresi property.
If a Isteresi was configured for the zenon variable, the value in zenon Logic does not match the value in the PLC. It is also possible that it does not match the value in zenon.
The following rules apply:

  • The value changes in the PLC and within the configured hysteresis bandwidth:
    The value is not communicated to zenon Runtime and therefore also not to zenon Logic.
  • The value is changed by the user in zenon (by means of a function for example) and the value remains within the configured hysteresis bandwidth:
    The value remains the same in zenon and in zenon Logic but it changes in the PLC.
  • The value is changed in zenon Logic and remains within the configured hysteresis:
    The value changes in the PLC and in zenon Logic, but remains unchanged in zenon.
    If in this situation the value changes in the PLC and stays within the hysteresis, three different values exist.
    One in the PLC, one in zenon and one in zenon Logic.


Variable names

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Variable handling -> Variable names

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In zenon Logic variable names must be in accordance with the IEC 61131-3 regulations. The correctness of the entry is checked by zenon as well as by zenon Logic (communication take place using the STRATON driver).

In contrast, for variables of other drivers (e.g. S7 TCP/IP driver), the person configuring the project has to ensure that the variable name corresponds to the conventions of IEC 61131-3 (communication using Logic to SCADA connection).

Examples for the IEC 61131-3 notation

Permitted name | Impermissible name | Invalid because:
_XYZ | __XYZ | Two underscores.
xy_z | xy__z | Two underscores.
xyz_ | xyz__ | Two underscores.
MotorOn | Motor On | Space.
Motor_On | Motor/On | Slash.
mw10 | 1mw10 | Number at the beginning.
xyz | #xyz | Hash.
_Motor1 | _Motor 1 | Space.
Stoerung | Störung | Umlaut.
Ueberbruecken | Überbrücken | Umlaut.
Mo_tor | Mo-tor | Hyphen.

From version 6.22 SP1 on it is possible to use variables which are not conform with the IEC 61131-3 regulations (free variable names). Take care when using free variable names.

Follow these rules when using free variable names:

  • The following characters are not allowed to be part of a variable name: '(*', '*)', '//', '{' and '}'
  • Variable names are not allowed to start with '__' (two underscores)
  • If free variable names are used when using programming language ST or IL, they must be between curly brackets {}.
  • If free variable names are used with structure of array, they must be between curly brackets {}.
  • Variables with free variable names with a basis data type can be used without curly braces {} in programming languages FBD and LD. They must be declared as global variables.
  • Variables with the same name once with {} and once without {} are regarded as two different variables.

info Informazioni su

Structure variables and arrays of structure variables with dot (".") in the name are displayed correctly. Standard arrays with slash ("/") or dot (".") in the name do not display values in the spy list.


Arrays

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Arrays

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Arrays can be created in zenon and zenon Logic for both systems. The declaration as O&M variable takes place as described in chapters Creating O and M variables in zenon Logic and Creating O and M variables in zenon. Take care when creating arrays in zenon Logic that you must activate the single elements in zenon.

When creating arrays in zenon, set the array start to 0. Thus the arrays have the same indices in both systems.

attention Attenzione

Arrays with initial values should not be declared as O&M! If it is inevitable, the string describing the initial value must not be longer than 255 characters.


Data structures

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Data structures

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Structure datatypes can be created in zenon or in the zenon Logic Workbench.

info Informazioni su

When creating structure data types in zenon the IEC 61131-3 naming convention has to be used otherwise the structure data type is not available in zenon Logic. Also see Variable names. Here the spelling is not checked by zenon!

info Informazioni su

If you create structure data types in zenon Logic, they are always declared as linked in zenon.

Therefore it is better to create a structure data type in zenon because then you can decide whether you want a linked or an embedded data type.


Distributed engineering (multiuser)

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Distributed engineering (multiuser)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Several people configuring a project can work together on one zenon project. Thus for example one project engineer works on a zenon Logic project and another works on the zenon project.

Variables

In distributed engineering O&m variables (operating and monitoring) are handled separately by the zenon Logic project.

You can create variables in zenon Logic as usual. If the variables should also be available in zenon, they have to be equipped with the corresponding property (element group, profile STRATON (*Operating and Monitoring for zenon*)). After that the variable in created in zenon. You can check it in for other engineers (apply changes). You cannot edit a checked in variable in the zenon Logic Workbench. It is marked accordingly in the zenon Logic variable list.

Drivers

STRATON drivers are attended separately in distributed engineering by the zenon Logic project. That means if you want to make changes, you have to check out the STARTON driver (enable changes).

zenon Logic projects

In order to edit a zenon Logic project in a multi-user zenon project, the zenon Logic project must be checked out (Check out). After the engineering, the changes can be accepted or undone.

Delete zenon Logic project

In order to delete zenon Logic projects, it must be checked out (check out) or edited in offline mode.


Reusing projects

Manuale -> zenon Logic -> Basics zenon Logic Workbench (IEC 61131-3) -> Reusing projects

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic projects can easily be integrated into a zenon project:

  1. Select in the context menu of the detail view of the module zenon Logic (IEC 61131-3) menu itemExternal zenon Logic Import project.
  2. Enter an existing zenon Logic project (highlight folder).
  3. Click on OK to integrate the existing zenon Logic project into the zenon project.
  4. Create a fixed name for the imported project.
  5. Select a driver for the integrated solution.

Another possibility is the XML import:

  1. In the context menu of the detail view of the zenon Logic (IEC 61131-3) module, click on Import XML.
  2. Select the desired XML file.
  3. Click on OK to import the zenon Logic project.
  4. Create a fixed name for the imported project.
  5. Select a driver for the integrated solution.

Note: At the XML import you must deactivate online change so that the reload of the zenon Logic variable works.


zenon Logic Workbench

Manuale -> zenon Logic -> zenon Logic Workbench

In this area you can find the manual for the zenon Logic Workbench. It is only available as online help.


zenon Logic Runtime (Soft PLC)

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Logic Runtime interprets the compiled PLC Code of the zenon Logic Workbench.
This manual gives you an overview of the use of zenon Logic Runtime.

Supported systems

Visione generale dei sistemi operativi server e desktop fino a Windows 8.1.

 | Windows Embedded 7/8 Standard | Windows Embedded 8.1 Pro/Industry | Windows 7 SP1/Windows 8 e 8.1/ Server 2008 (R2) SP1, 2012 e 2012 R2 | Windows CE
Editor | -- | X | X | --
Runtime | X | X | X | --
Runtime per Windows CE | -- | -- | -- | X
Web Server | X | X | X | X
WEB Client | X | X | X | --
HTML Web Engine | X | X | X | --

attention Attenzione

A partire dalla versione 7.50, Windows CE non è più supportato. . Viene installata la versione 7.20 di zenon CE. Per usarla, devono essere creati i file Runtime per la versione 7.20.

Overview of supported desktop operating systems for Windows 10

Windows version | zenon Supervisor / Operator | Everywhere by zenon | zenon Logic Runtime
Windows 10 Home | X | X (PC) | X
Windows 10 Mobile | -- | X (Mobile) | --
Windows 10 Pro | X | X (PC) | X
Windows 10 Enterprise | X | X (PC) | X
Windows 10 Education | X | X (PC) | X
Windows 10 Mobile Enterprise | -- | X (Mobile) | --
Windows 10 IoT Core | -- | -- | X
Windows 10 IoT Enterprise (Windows 10 Enterprise LTSB) | X | X (PC) | X

Key:

X: available
--: cannot run

Web Client

zenon Logic is not supported by the zenon web client.

Noch in diesem Kapitel

User interface

Licensing

Start the zenon Logic Runtime

zenon Logic Runtime cycle

Close the zenon Logic Runtime

Creating the hot restart file

Remote systems

zenon Logic Runtime with Real Time Kernel (RTK)

Redundancy zenon Logic and zenon

OEM specification

Forwarding time stamps and the variable status information

zenon Logic I/O driver support

zenon Logic I/O driver: Hot-Restart/Online Change

Error message


User interface

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic Runtime is available as a symbol in the system tray. This shows the current status of Runtime. A double-click on the symbol or on the Show item in the context menu opens the zenon Logic Runtime user interface.

The user interface shows a different status depending on the current status:

  • runs
  • Step mode
  • Breakpoints set
  • stopped

A bar chart shows the PLC load.

In addition to information about the status of the zenon Logic project running, the following actions can be executed in the zenon Logic Runtime user interface:

  • Slieder Allowed maximum of the PLC resources: set allowed maximum.
  • Settings... button : Makes configuration possible via three tabs
    • General settings
    • Redundancy
    • Advanced users
  • Start/Stop button: opens the dialog to start Runtime or stops Runtime
  • Messages button: opens and closes the message window

Noch in diesem Kapitel

Slider Allowed maximum

Settings

Messages


Slider Allowed maximum

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface -> Slider Allowed maximum

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The slider Allowed maximum is used to guarantee other applications which run on the same device - such as zenon - system resources.

With this slider the maximal allowed execution time related to the cycle time can be set. If with a set cycle time of 10 ms the slider is set to 50% the PLC cycle may take a maximum of 5ms. If the PLC cycle takes longer that 5 ms, the remaining calculation is done in the next cycle. So one cycle has to be omitted from the PLC. This results in a cycle overflow.

The slider can be set between 10% and 100% steplessly.

The bar graph (PLC load) shows, how high the PLC load is in relation to the setting of the slider. From this you can conclude how to set the slider for an optimal tuning.

PLC load high (Slider between 50 and 100%): Set slider towards 100% or increase cycle time.


Settings

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface -> Settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The settings make it possible to configure the zenon Logic Runtime with the help of three tabs:

  • General settings
  • Redundancy
  • Advanced users

Noch in diesem Kapitel

General

Redundancy

Advanced settings


General

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface -> Settings -> General

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the tab General the different parameter of the zenon Logic Runtime can be changed:

Parameters | Effect
Communication |
Port (Main): | IP port of the zenon Logic Runtime for the cyclic data transfer (e.g. zenon Logic Workbench).
Port (Binding): | IP port of zenon Logic Runtime for spontaneous data transfer (e.g. CA_PRODUCTNAME Workbench or binding).
Run-up |
No start. Open this box: | When the zenon Logic Runtime is started, first this box is opened.
Cold start: | Initialized run-up. Also retain variables are started initialized.
Cold start (loading of RETAIN variables): | Initialized run-up with current values of the retain variables. They only contain values, no states (see Info box).
Warm start: | Restart with all variable values from the last stop.
Start in step mode | Starts the zenon Logic Runtime and immediately stops it in debug mode.
Delay [s] | Delays the start by the set number of seconds. Default: 0
Retain Data |
Storage path Retain data | Here the file with the retain variables is stored. The default setting depends on whether the zenon Logic Runtime is started.
Save retain variables with their names | Activate this checkbox if you want to save retain data in the format with the variable names. With this the values of the retain variables can also be saved if you add or delete a retain variable. Note: To save a variable, it must be highlighted as embedded in the <CA:PRODUCTNAME> Workbench. If you do not activate the check box, the retain data are saved the conventional way. After changing the retain variable, the Runtime starts with the initial values for all retain variables. Default: deactivated
Cyclic saving of retain variables | If you deactivate this check box, the retain data are no longer saved cyclically but only when the Runtime is closed. They are still saved after a change but not more frequent than about every 10 ms. Default: activated
Real-time priority | Sets the zenon Logic Runtime process to the windows priority Realtime. If the flag is not set, it means priority Normal.

info Informazioni su

If you activated option Salva con nome variabile ritentiva in zenon and also want to use it with manual Runtime start, you must make sure that in file K5DBXS.INI in area [CMD] option RETAINBYNAME is set. With this all retain variables are highlighted as embedded when the zenon Logic Workbench is started.
Note: The INI file is only checked at the start of the zenon Logic Workbench. Changes during the Workbench runs have no effect.

info Informazioni su

Variabili ritentive

I dati ritentivi contengono solamente il valore delle variabili di zenon Logic, non il loro stato. Per lo start ciò significa quanto segue:

  • Warm start Lo stato settato per una variabile viene ripristinato - indipendentemente dal fatto se si tratta di una variabile ritentiva o no.
  • Cold start con variabili ritentive: solo il valore della variabile ritentiva in zenon Logic viene ripristinato, non lo stato.

info Informazioni su

If the zenon Logic Runtime has been started with the zenon Runtime or with the zenon Logic Runtime Manager, changes done in this user interface are not effective after a restart of the zenon Logic Runtime.

Please make the changes as usual in the zenon Logic project properties of the zenon Editors or in the zenon Logic Runtime Manager.

In such cases the dialog helps to determine which parameters were forwarded to the zenon Logic Runtime.

The changes to the settings which were done in this dialog are only effective if the zenon Logic Runtime is started directly (e.g. using the Windows Explorer).


Redundancy

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface -> Settings -> Redundancy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In tab Redundancy you can see the redundancy settings for the zenon Logic Runtime.

You can check or enter the following entries:

Entry | Meaning
Activate redundancy | Runtime runs in redundancy mode
Server Port: | Port for replication connection
Server Timeout [ms] | Timeout in order to determine if the passive client is available. After the timeout expires, the replication is stopped.
Client Timeout [ms] | Timeout in order to determine that the active server is no longer available. After the timeout expires, the passive client becomes the active server.
Partner address | IP address of the redundancy partner.

info Informazioni su

You can find details on configurating the redundancy of zenon Logic and zenon in chapter Redundancy zenon Logic and zenon.

Limitations

Redundancy is not supported in zenon Logic RTK Runtime.


Advanced settings

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface -> Settings -> Advanced settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

On this tab you carry out settings for the on change communication with external applications (Binding, zenon driver, ...).

The following settings are available:

Entry | Meaning | Range of values
System | Max. length of the system queue. In this queue e.g. overflows of the event queue are buffered. | 1024 ... 65520 Default: 1024
Alarms | Length of the alarm queue (not used at the moment) | 0 ... 65520 Default: 0
Events | Length of the event queue: In this queue the events of the zenon Logic Runtime event severs are written. From there they are sent via TCP. If this queue overflows, the overflow messages are written in the system queue. | 0 ... 65535 Default: 8192
Messages | Length of the info queue. In this queue the messages to the zenon Logic Workbench are buffered. | 1024 ... 65520 Default: 32768
max. puffer | Buffer size of the events per cycle. This parameter defines how much many variables are handled by the event server per cycle. | 128 ... 65535 Default: 1024
Reset to default settings | Restores the default settings |

info Informazioni su

If in large projects more than 1024 variables are transferred between zenon Logic and zenon with the straton32.exe driver, the parameter Max. buffer must be increased accordingly. An easy method to find out the number of Max. buffer is the value for the compiled I/Os in the output window of zenon Logic compilers. See illustration below.


Messages

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> User interface -> Messages

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Runtime messages can be displayed in the zenon Logic Runtime user interface. Click on the Messages>> button to activate the view. The message display opens. Click on the Messages<< button to close the message display.

For actions in the message display, click in the message display with the left or right mouse button. You obtain a context menu:

Menu entry | Description
Display time stamp of messages | Adds a time stamp to each message.
Copy messages to the clipboard | Copies selected entries to the clipboard.
Delete all messages | Deletes all messages from the message window.

You administer the settings for zenon Logic logging and the drivers with the diagnosis viewer.


Licensing

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Licensing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Installation with zenon (zenon Runtime and zenon Logic Runtime on one PC)

The zenon Logic Runtime is automatically licensed with the zenon serial number. During the installation enter the serial number and the activation number in the according dialog. If no license number is available, click on Demo Version.

Later licensing with license order

You also can do the licensing later with the License order. Open the license order in the Windows start menu under Programs -> COPA-DATA -> Licensing. For later licensing the serial number and the activation number are entered in this dialog. The procedure is finished with OK.

For soft-licensing the so-called license number must be read from the hardware configuration of your PC. Click the button for soft licensing and follow the requests in the following dialogs.

Afterwards licensing using the zenon Editor

In the zenon Editor you can open the dialog for licensing using File -> Standard configuration -> License product.... You can enter the serial number and the activation key here.

Information about the license of the zenon Logic Runtime

Open the user interface of the zenon Logic Runtime by clicking on the zenon Logic Runtime icon in the system tray. Then click on the top left corner on select About STARTONRT.... A window appears with information about version and license of the zenon Logic Runtime.

Noch in diesem Kapitel

TAG handling zenon - zenon Logic

Demo mode


TAG handling zenon - zenon Logic

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Licensing -> TAG handling zenon - zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The number of the TAGs used in zenon Logic is the number of I/Os in zenon Logic minus the number of the used I/Os with a zenon or zenon Logic profile. These I/Os are already considered at the TAG calculation in zenon.

This makes sure that no I/Os are counted twice.

The I/Os used are displayed in the <CA_PRODUCTNAME< Runtime user interface.


Demo mode

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Licensing -> Demo mode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic Runtime starts in Demo Mode if you enter a false (or no) serial number or a false (or no) activation key or if no dongle is connected. The Demo Mode stops the zenon Logic Runtime after 15 minutes. With a special demo serial number the zenon Logic Runtime runs continuously for 30 days. After these 30 days then the maximal time of the zenon Logic Runtime is again 15 minutes.

zenon Logic Mini

You did not buy the zenon Logic Runtime license but you own a valid zenon Runtime license. Then a mini version of the zenon Logic Runtime is licensed automatically.
With the mini version up to eight TAGs (=variables) can be used by zenon Logic via input/output mechanisms. TAGs are variables of field bus drivers and variables with profiles (e.g. B&B profile zenon Logic). With the exception of the calculation, the zenon internal profiles STRATON and zenOnRT for zenon-internal communication.

Calculation example:

  • Four variables for communication with zenon
    (are not calculated)
  • four variables for the communication with Profibus
  • four variables for the communication with the IEC 61850 Client.

This equals the maximum number of eight TAGs (0 + 4 + 4 = 8).


Start the zenon Logic Runtime

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Start the zenon Logic Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Logic Runtime supports multi-instances and therefore needs parameters (transfer parameters), when it is started.

There are the following possibilities for starting zenon Logic Runtime:

  • with the help of the zenon Runtime
  • with the help of the zenon Logic Runtime Manager
  • With a BAT file
  • Using the command line

Start with the help of the zenon Runtime

In order to start the zenon Logic Runtime with the zenon Runtime:

  • Select the zenon Logic project in the zenon Editor.
  • Change the Start type (Runtime) as you wish. The properties of Tipo di start are described in the embedded help in zenon.

Start with the help of the zenon Logic Runtime Manager

You can use the zenon Logic Runtime Manger to start the zenon Logic Runtime manually. You will find the zenon Logic Runtime Manager in the folder COPA-DATA in the Windows® start menu. The zenon Logic Runtime manager is used to start zenon Logic Runtime instances on a PC. You can for example chose hard real time here in order to start the zenon Logic real time version (zenon Logic RTK) or to start a zenon Logic Runtime instance during the booting of the system ("Auto start").

You receive accurate information about the individual elements of the zenon Logic Runtime manager by moving the mouse pointer over them. The corresponding help is displayed in the property help.

You receive the complete help about this application by clicking the ? in the menu bar.

attention Attenzione

Runtime Manager must be started with administrator rights.

Start in a DOS Shell

zenon Logic Runtime can be started using the command line interface or a BAT file. This start process is also valid for starting under Windows CE. If the path under CE contains a space, the path parameter must be defined between individual quote marks. Example: -PATH='\hard disk\project1\'

For the command the following is true:

  • all commands must be entered in capitals
  • the following signs are allowed:
    • -
    • / (must not be used as a last character for the value of PATH!)

The following handover parameters are available:

Main parameter

Parameters

Description

PORT=<Zahl>

Communication port.

If no parameter is set: 1200 (Default)

PORTTRACE=<Zahl>

Event server point, Binding port.

If no parameter is set: PORT+7800

PATH=<DB-Path>

Storage area of the zenon Logic application code.

If no parameter is set: zenon Logic Runtime folder.

Note:

  • Must be set.
  • Path must not end with a Backslash (\).
  • For error detection, the driver checks the project name at the end of the path.
  • zenon Runtime discovers, when starting, zenon Logic Runtimes that are already running by comparing the complete path.

ZENPATH=<Pfad>

zenon path

ZENPROJECT=<Name>

zenon project name.

Note: Must be set.

DONTHIDE

Do not hide the Runtime after starting (it is the only parameter without the = character)

STEP=<0|1>

Activation/deactivation of the stepping mode:

  • 1: Start in stepping mode
  • 0: no stepping mode
  • Without parameters: no stepping mode

START=<0|1|2|3>

Type of Runtime start:

  • 0: Display setup dialog
  • 1: Coldstart
  • 2: Warm start
  • 3: Hot start
  • Without parameters: Warm start

LOWPRIORITY=<0|1>

Priority:

  • 0: low priority
  • 1: Windows real time priority
  • Without parameters: low priority

WRITELOG=<0|1>

Setting for logging:

  • 0: Do not create LOG
  • 1: Create LOG
  • Without parameters: Create LOG

The log file that is stated in the PATH parameter is created. Name: STRATONRTLOG.TXT

Additional parameters

Parameters | Description
REMPATH=<Pfad> | Path for remanent data. If no parameter is set: PATH folder
DELAY=<Zahl> | Start delay in [s]: Delayed start of the zenon Logic Runtime. If no parameter is set: 0
MAXUTILPRCT=<Zahl> | Position of the slider for maximum PLC workload in %. If no parameter is set: 100

Event server

Settings equal to the settings under Settings/Advanced for the event server.

Parameters | Description
QSSYSTEM=<Zahl> | Size of system queue. If no parameter is set:1024
QSALARM=<Zahl> | Size of alarm queue. If no parameter is set: 0
QSEVENT=<Zahl> | Size of event queue. If no parameter is set: 8192
QSINFO=<Zahl> | Size of info queue. If no parameter is set: 32768
NBEVENT=<Zahl> | Maximum number of recordable events. If no parameter is set: 1024
EVENTCON=<Zahl> | Number of possible event connections. If no parameter is set: 256

Redundancy settings

Parameters | Description
REDENABLE=<0,1> | Redundancy on/off. Without parameters: 0
REDADDR=<IP> | Redundancy partner address.
REDPORT=<Zahl> | Redundancy port for replication.
REDCLITIMEOUT=<Zahl> | Redundancy client time out [ms]; time out which is used to determine when a passive client becomes an active server. If no parameter is set: 1000
REDSRVTIMEOUT=<Zahl> | Server Timeout redundancy [ms]. Time-out for ending the replication. If no parameter is set: 1000
REDZENON=<0,1> | If set to 1, the partner address is read from the PROJECT.INI. If no parameter is set: 0


zenon Logic Runtime cycle

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime cycle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Logic Runtime cycle consists of:

  • Calc. time: Time for data exchange, calculation, save calculated values, read and write modified values, idle time.
  • Cycle time: Complete cycle time determined by system latency.
  • System latency: Response time of the system.

These values can be displayed in the zenon Logic user interface. Use the shortcut Alt+S or Shift+Alt+A.

Property | Description
Binding exchange | Reading of the Binding values which are published in the network and which were configured by the application (if they were configured).
I/O exchange | Data exchange between the I/O drivers (except Modbus slave/server) and the I/O boards (if they were configured).
Application executione | Execution of the programs.
Digital sampling trace | Execution of the digital sampling (if it was configured).
Events | Sending of the events (Binding or straton32.exe driver of zenon) (if they were configured).
Forced values | Reading of the forced values of zenon from the zenon Logic Workbench (online debugging) and data exchange of the Modbus slave/server (if they were configured).
Sleep | Wait the remaining time until the cycle time is over. When cycle setting is As fast as possible (free run), the time is always 1 ms. The Sleep time is used in order to execute tasks of the operation system and of other windows applications.

Time allocation PLC and Windows

With the help of the slider in the zenon Logic Runtime user interface, you can determine how much time is reserved for the PLC and for Windows. The value displayed in the bar display always refers to the ratio set in the slider.

Noch in diesem Kapitel

Error message cycle time


Error message cycle time

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime cycle -> Error message cycle time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If the cycle time is exceeded, messages are displayed in the zenon Logic Runtime or in the Workbench and corresponding entries are written to the LOG file.

Error message user interface | Entry log file | Meaning
Timing configuration error. (x) cycles lost. | Timing configuration error. (x1) cycles lost. Configured cycle time = (x2) us, maximum execution time = (x3) us, maximum PLC utilisation = (x4). | Number (x) of not executed cycles due to cycle time out. The execution time is higher than the set cycle time or there are not enough CPU resources available.
Timing configuration error. PLC utilization peaked at (x)%. | Timing configuration error. PLC utilization exceeds 80%. Configured cycle time = (x1) us, maximum execution time = (x2) us, maximum PLC utilisation = (x3)%." | The execution time is higher than 80% of the set cycle time; actually (x)%.

Troubleshooting

You can rectify the cycle time being exceeded by:

  • Increasing the cycle time
  • decreasing execution time, e.g.:
    • use a system with more CPU resources
    • use C compiled code
    • reduce the program


Close the zenon Logic Runtime

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Close the zenon Logic Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Logic Runtime can be closed manually either by using the context menu of the symbol in the system tray or by using the open window of the zenon Logic Runtime:

Context menu symbol

Right clicking the icon in the system tray opens the following context menu:

  1. A dialog is opened if Close is clicked on.

  2. Clicking on Yes stops and closes Runtime.

In the windows of the zenon Logic Runtime

Another possibility to close the Runtime is in the open window of the zenon Logic Runtime.

The following menu opens after a click to the upper, left corner of the window:

  1. A dialog is opened if Close is clicked on.
  2. If you acknowledge the dialog, the zenon Logic Runtime is closed immediately.

info Informazioni su

If the zenon Logic Runtime was started together with the zenon Runtime and for the zenon Logic project the start type 'autom. start/stop' was selected in the zenon Editor, the zenon Logic Runtime is automatically closed when the zenon Runtime is closed.


Creating the hot restart file

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Creating the hot restart file

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

When you close the zenon Logic Runtime, a Hot Restart file is created automatically. You can trigger the writing of the WriteHot file via function Hot Restart.

Every time a Hot Restart file is created, a backup file is also created for which the last character of the file name is replaced with a '_'. In addition the files are created with a header which contains the Checksum of the data. When reading the data, header and Checksum are checked. If an error occurs, the backup file is used.

Function WriteHot has the following input parameters:

Parameters | Description
I | Trigger; if this parameter is TRUE the function is executed.
SYNC | If this parameter is TRUE, the cycle is hold for as long as the Hot Restart file is written. If the parameter is FALSE , the function is carried out asynchronous.
BUSY | This parameter is TRUE if the function is executed.

info Informazioni su

If you call up the function several times in a cycle, only the last call is considered.


Remote systems

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Remote systems

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This chapter deals with target systems which are not on the local computer. The target system is accessed via Ethernet TCP/IP.

Noch in diesem Kapitel

zenon Runtime and zenon Logic Runtime on one remote PC


zenon Runtime and zenon Logic Runtime on one remote PC

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Remote systems -> zenon Runtime and zenon Logic Runtime on one remote PC

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Installation on the target system

First you install and license the zenon Runtime on the remote PC. The zenon Logic Runtime is automatically installed and licensed.

Download the project data with zenon Logic Runtime, start type "autom. start/stop" or "autom. start"

In order to download the zenon and zenon Logic Runtime files, use the Remote Transport function of zenon. You will find more information in the chapter Remote Transport.

The zenon Logic Runtime is started and closed together with the zenon Runtime automatically.

Download of the application data with the zenon Logic Runtime start type "start manually"

If the zenon Logic Runtime is started manually on the target PC (e.g. during boot up of the operating system), the PLC code has to be loaded manually to the target platform with the zenon Logic Workbench. For that

  • enter the correct parameters in the property dialog Workbench in the zenon Editor: Host di destinazione and Porta
  • in the zenon Logic Workbench click on the Online button.
  • with this the zenon Logic Workbench establishes a connection to the target system.
  • now you can transfer the PLC code to the target system via button Download; the progress of the download is displayed with the help of a progress bar
  • after the download the PLC starts automatically with the new application.

If the download was successful and the PLC program runs on the target system faultless, RUN is displayed in the toolbar


zenon Logic Runtime with Real Time Kernel (RTK)

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Logic RTK (Realtime Kernel) is the zenon Logic Runtime system for hard realtime. With that highest determinism and failure safety towards the operating system are guaranteed.

Requirements:

  • zenon Logic RTK is available for the following Windows operating systems:
    • Windows 7, 32-bit version
    • Windows 8 and 8.1, 32-bit version
    • Windows 10, 32-bit version
  • The zenon Logic RTK can only be started with the zenon Logic Runtime Manager (Hard real time flag must be set) or in the command line input BAT file.

attention Attenzione

Do not operate two real-time extensions in parallel on one computer. This means:

  • If another real-time extension is already active on the computer, do not start the zenon Logic RTK.
  • Only one instance of the zenon Logic RTK can be started at a time.

The Realtime Kernel is designed, so that it triggers the zenon Logic Runtime cycle independent of Windows. So the zenon Logic Runtime cycle is guaranteed to be executed deterministically.

The PC's part of the calculating capacity can be set with a slider.

Depending on the size of the PLC application and the defined cycle time the slider has to be adjusted to the PLC load. The slider can be set between 10% and 85%. The current load (bar) indicates whether the allowed maximum for executing the PLC cycle is sufficient.

If the bar is near 100%, there is a danger of cycle overflows! In this case set the slider higher (towards 85%). If this is not possible because of the applications in Windows (e.g. bad screen opening times of zenon) the cycle time of the zenon Logic application has to be increased.

attention Attenzione

If the bar reaches the 100% mark, there is a danger of cycle overflows!

Example Esempio

Slider at 10%, cycle time 10ms:

The zenon Logic RTK must process the PLC program in 1 ms which equals 10% of the set cycle time of 10 ms.

Slider at 50%, cycle time 5ms:

For executing the PLC program 2.5ms are available for the zenon Logic RTK.

Slider at 85%, cycle time 20ms:

For executing the PLC program 17ms are available for the zenon Logic RTK.

Formula

The following formula can be used to find out, if the setting of the slider does not lead to cycle overflows in combination with the cycle time:

cycle time > (100 / Sliderposition [%] ) * calculating time

In order to find out the calculating time of the PLC cycle, click Shift+Alt+A and note the value Max. Cal. . time [µs].

Assumption:

Max. cal. Time: 274µs

Slider position: 50%

Set cycle time: 1ms (1000µs)

Calculation:

(100/50)*274 = 548µs

This means that the defined cycle time of 1 ms is sufficient.

attention Attenzione

Please keep in mind: If you do not stick to the described formula, the determinism which is based in the cycle time is not given anymore!

Cycle time

Cycle times from 100 µs or higher can be set.
Note: The actual use of the set cycle time depends on the system and the selected HAL Timer. Information on the current system load is provided by the system load time (keyboard shortcut: ALT+S) and Advanced statistics (keyboard shortcut: SHIFT+ALT+A).

Description of the measured values displayed:

System latency (Alt+S) |
Current [µs] | Current system latency (see also Runtime cycle)
Maximum [µs] | Maximum system latency (since the start of the Runtime)

Extended statistic (Shift+Alt+A) |
Cal. time [µs]. | Current calculation time of the last cycle
Max. cal. time [µs]. | Maximal calculation time for a PLC cycle (since the start of the Runtime)
Cycle time [µs] | Current cycle time
Min. cycle time [µs] | Minimal cycle time (since the start of the Runtime)
Max. cycle time [µs] | Maximal cycle time (since the start of the Runtime)
Cycle overflow [1] | Counter for cycle time exceedance (since the start of the Runtime)
Driver overflow [1] | Counter for failed PLC cycles of Windows (non-realtime) drivers (since the start of the Runtime)

The value of the cycle time can always only be a multiple of the HAL TimerPeriode (time basis). The time basis depends on the selected timer and its time basis (see also zenon Logic RTK configuration). That means: A set cycle time of 10 ms of a hardware with a time basis of 122 µs is not executed with exactly 10,000 ms but with 10,004 ms.

Noch in diesem Kapitel

Restrictions and requirements of the zenon Logic RTK

zenon Logic RTK configuration

Blue Screen Handling

Error codes at starting the zenon Logic RTK


Restrictions and requirements of the zenon Logic RTK

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> Restrictions and requirements of the zenon Logic RTK

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Hardware requirements for the zenon Logic RTK

ACPI:

The hardware (PC or IPC) and the operating system must support ACPI:

  • ACPI-Multiprocessor-P
  • ACPI-PC (Advanced Configuration and Power Interface)
  • ACPI uniprocessor PC

You can check whether your PC supports ACPI in the system control (system/device manager/computer).

CPUs:

The zenon Logic RTK is supported from the following processor generations on:

  • Pentium II or younger
  • AMD Athlon XP or younger

Limitations

The zenon Logic Real Time Kernel (RTK) runs as a separate process at hardware level independently of the operating system. In contrast, zenon Logic Runtime runs on Windows®. The real-time-enabled zenon Logic RTK has a few restrictions compared to the zenon Logic Runtime.

  • Virtual Machines are not supported.
  • zenon Logic redundancy is not supported
  • Not all function blocks are supported.
  • Not all I/O drivers are supported.
  • Some real-time drivers must be registered/deregistered manually.

Function blocks

The following funciton blocks are not processed directly in the Kernel Mode, but only emulated:

  • all file operations (category 'Files')
  • all TCP/IP modules (category 'TCP-IP')

Following function blocks are not supported by the zenon Logic RTK:

  • day_time_local (Category 'Clock')

info Informazioni su

The respective configuration of Runtime can be loaded in the zenon Logic workbench. To do this, select the Configuration entry in the Workbench in the context menu of the loaded project.

After you have selected the configuration, the function blocks which are not supported are marked red in the library.

I/O Driver

The following zenon Logic I/O drivers are executed by the zenon Logic RTK in Kernel Mode (real time):

  • Profibus (Hilscher CIF Profibus)
  • Hilscher SYCON universal (Hilscher SYCON configuration)

You can find more information about supported I/O drivers here: zenon Logic I/O driver support

Register and de-register real time drivers

There is a small chance that the real time driver of the zenon Logic RTK must be registered and de-registered manually. In order to do this start the command prompt via:
Start > execute > cmd.

Use the following syntax:

  • Register:

    <Folder of the zenon Logic RTK>:\ stratonrtkvm -regsrv

  • De-register:

    Folder of the zenon Logic RTK>:\ stratonrtkvm -unregsrv

Example of the <folder of the zenon Logic RTK>: %Programme (x86)%\COPA-DATA\zenon 750


zenon Logic RTK configuration

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Logic Real Time Kernel (RTK) runs as an own instance on hardware level and is independent of the operating system. The Timerticks which are used for control are directly obtained from the motherboard. Which timer are available depends on the used hardware. The configuration is carried out by the zenon Logic RTK configurator.

Noch in diesem Kapitel

Start RTK configuration

RTK basis information

RTK basic settings

RTK Taskmanager

RTK hardware configuration

RTK Logs

Close RTK configuration


Start RTK configuration

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> Start RTK configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Double click the button for zenon Logic RTK Configurator in the windows control panel.

The window for editing the configuration opens. In the left window you see a menu tree with the following options:

  • CDrtHAL configuration
  • Default settings
  • Task manager
  • Hardware configuration
  • Access to the physical memory.
  • LOG messages

In the right-hand window you can see information about the menu items and configure the RTK.


RTK basis information

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> RTK basis information

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

After the start menu item 'CDrtHal configuration' is active in the left-hand window of the configuration software. In the right-hand window displays basic information about the configuration and the system:

Property | Information
Version | Version of the real time driver (CDrtHAL).
Status | RTK is active or inactive
Interrupt controller | Type of interrupt controller.
High precision event timer | Support depends on hardware:
Process cores | Number of available process cores.


RTK basic settings

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> RTK basic settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

RTK basic settings

In the basic setting you define the following:

  • Source for the Timertick
  • CPU on which the RTK is carried out
  • Basic time as basis for the multiplication factor for the calculation of the cycle time

Timer for real-time source

Which time is displayed on the selection list depends on the used hardware. This information is also displayed on the start page of the RTK configuration. Available can be:

  • Interrupt-Controller APIC
  • Interrupt-Controller PIC
  • HPET (High precision event timer)

The follwoing possibilities arisefrom this:

  1. PIC without HPET
    • Timer (8254 Timer), basic times: 334 µs, 143 µs, 112 µs, 53 µs
    • Profiles (real-time clock), basic times: 488 µs, 244 µs, 122 µs
  2. APIC without HPET
    • Profiles (real-time clock), basic times: 488 µs, 244 µs, 122 µs
    • Profiles (local APIC), basic times: choose anywhere between 50 - 500 µs
    • Unused (8254 Timer), basic times: choose anywhere between 50 - 500 µs
  3. APIC with HPET
    • Timer (HPET timer o), basic times: 500 µs, 250 µs, 125 µs
    • Profiles (local APIC), basic times: choose anywhere between 50 - 500 µs
    • Unused (HPET timer 2), basic times: choose anywhere between 50 - 500 µs

Whether and to what extend basic times are available depends on the hardware (real-time clock) and the operating system. When using the 'timer' real-time source, the source for the Windows Timer Interrupt is used for the real time execution. In this case the set basic time must be an integral factor of the Windows Timer Interrupt basic time.

real-time source: depends on the operating system Select using list field (drop down).

We recommend the following basic setting: Unused (HPET Timer2).

Real time CPU: Select the CPU on which the process of the RTK should be carried out.

Basic time: Basic time of the timerticks. Depending on the real time source, the basic time is selected from a list or entered freely. During operation the multiplication factor for the timer ticks refers to the entered basic time.

attention Attenzione

When using Profile: Real time source the kernel profiling must not be activated under any circumstances as long as a zenon Logic RTK application is executed. For more information about kernel profiling see: http://www.microsoft.com/downloads/details.aspx?familyid=9d467a69-57ff-4ae7-96ee-b18c4790cffd&displaylang=en


RTK Taskmanager

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> RTK Taskmanager

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The task manager displays cycle times and execution times.

Property | Information
Cycle time (in microseconds) | Minimal, maximal and current value. Cycle refers to the cycles of the Timerticks based on the basic time.
Execution time (in microseconds) | Minimal, maximal and current value.


RTK hardware configuration

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> RTK hardware configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A seperate reserved storage area is needed for the communictation with the I/O drivers (e.g. Profibus) which are executed in the kernel mode. zenon Logic RTK and the I/O driver system agree on an area on which both have read and write access.

The configuration offers three settings:

Option | Effect
Generally prohibit access to the physical memory. | Free access memory areas are a saftey risk with regards to malware. Thus access to the physical memory is denied in the shipping state. Default settings
Generally allow access to the physical memory. | Allows the communication to use the whole memory, zenon Logic RTK und Profibus set their communication areas randomly. Unsafe setting which is not recommended.
Allow access to a defined physical memory area. | . zenon Logic RTK and I/O driver have a strictley allocated memory area. Recommended setting

Noch in diesem Kapitel

Define memory area


Define memory area

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> RTK hardware configuration -> Define memory area

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Define memory area

In order to allocate a fixed memory area for zenon Logic and I/O driver, click on Access to the physical memory in the left window and then on Allow access to defined physical memory area in the right selection window.

Property | Information
Range | The number is assigned by the configurator automatically.
Base address | Start address for the free memory. It can for example be determined with the help of the Hilscher Tool (included in the delivery of the card).
Length | Length of the free area. Attention: must be stated in Bytes.
Add | Creates a new entry in the list.
Remove | Deletes an existing entry from the list.


RTK Logs

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> RTK Logs

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

RTK messages are shown in the Log messages.

Property | Information
Date/Time | When did the event happen
Type | What type of message (status, error, ...)
Description | What has happened?


Close RTK configuration

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> zenon Logic RTK configuration -> Close RTK configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

By clicking button OK all changes are saved and the configurator is closed. If the system needs to be rebooted, a corresponding message is displayed.

If you close the configurator by clicking the close symbol (X) or by clicking Cancel, a dialog appears asking whether you want to save the changes.


Blue Screen Handling

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> Blue Screen Handling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A possible Bluescreen of Death (BSOD) is recognized by the zenon Logic RTK immediately.

  • If the zenon Logic RTK is configured for stopping in case of a BSOD, the shut down program - if defined - is executed immediately, i.e. before the next cycle.
  • If the zenon Logic RTK is configured to continue, the next cycle is executed after a minimum delay of approximately 10 [ms] (switching of the graphics mode).
    To achieve this, in the zenon Logic application, the zenon Logic RTK_OnBugCheck function must be added to the zenon Logic standard library with TRUE.

attention Attenzione

In case of a BSOD the execution of the zenon Logic application can be limited.

Following functions are no longer supported when this occurs:

  • File Operations
  • TCP functions
  • Functions of the serial interface
  • Non real-time field bus driver
  • System clock functions
  • RETAIN variables
  • Writing of log messages (the right to make changes due to product version cycles is reserved)

In order to check in the zenon Logic application if a BSOD has occurred, use the zenon Logic function RTK_IsBugCheck.

Options for Profibus Master (Hilscher CIF Profibus):

No restart after stop (keeping outputs): If this option is active, the outputs of the Profibus I/Os remain set after the shut down. Otherwise the outputs would be set to the defined alternate values after the shut down sequence.


Error codes at starting the zenon Logic RTK

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic Runtime with Real Time Kernel (RTK) -> Error codes at starting the zenon Logic RTK

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The displayed error code refers to starting the STRATONRTKVM.exe.

Error code | Meaning
0x00000000 | If an error occured in the zenon Logic RTK, usually the error is explained in a message: The log message with the error code 0x00000000 can be ignored.
0xFFFFFFFF | A timeout occured on starting the STRATONRTKVM.exe. Possible reasons: STRATONRTKVM.exe does not exist, too high load of the system. Attention: After such an error make sure that the STRATONRTKVM.exe as well as the STRATONRTK.exe no longer run (task manager) before you restart STRATONRTK.
0x00000001 – 0x0000FFFF | Is an error code of the zenon Logic virtual machine (COPALP error message).
0xFFFF01, 0xFFFF02 | Error loading the non-realtime bus drivers! probable reason: incompatible (old) version of one or more bus driver(s).
0xFFFFF000 | rtHAL error code (0xFFFFF000 is added to the rtHAL code)
0xFFFFF001 | Make sure, that the rtHAL driver has been installed correctly. If the problem still exists, contact your zenon support and tell them the Windows version (service pack, hot fix, ...) and the used Windows HAL. The name of the used HAL is shown in the device manager under computer. System requirements: ACPI, Pentium II or AMD Athlon or higher.

rtHAL error codes:

0x0

No error

Possible error codes on starting

Error code | Meaning
0x1 | Error while loading the driver. Reason: Driver is not registered correctly.
0x2 | START could not be executed. Reason: Wrong version of the driver is installed.

Error codes during Runtime

Error code | Meaning
0x6 | SUSPEND could not be executed.
0x7 | STOP could not be executed.

Internal zenon Logic virtual machine error codes

T5RET_OK 0
T5RET_ERROR 1
T5RET_BADCODE 2 invalid app code - bad header
T5RET_BADCODETARGET 3 invalid code - bad target id
T5RET_BADCODEVERSION 4 invalid code - bad version
T5RET_EXECSIZE 5 exec buffer overflow
T5RET_BADREQUEST 6 unknown comm request
T5RET_SERVEREAD 7 cannot process read request
T5RET_UNKNOWNTIC 8 unknocn tic code
T5RET_DATA8OVERFLOW 9 too many DATA8 used
T5RET_DATA16OVERFLOW 10 too many DATA16 used
T5RET_DATA32OVERFLOW 11 too many DATA32 used
T5RET_DIVZERO 12 division by 0 in TIC (32bit)
T5RET_TIMEOVERFLOW 13 too many TIME variables
T5RET_CANTACTIME 14 active timers not supported
T5RET_SAFETICLOOP 15 awful loop in TIC (safe mode)
T5RET_OUTOFTIC 16 TIC code ointer out of range
T5RET_UNKNOWNSTF 17 not supported std function
T5RET_LDIVZERO 18 division by 0 in TIC (64bit)
T5RET_DATA64OVERFLOW 19 too many DATA64 used
T5RET_STRINGOVERFLOW 20 too many strings
T5RET_SDIVZERO 21 division by zero in TIC (8 bit)
T5RET_WDIVZERO 22 division by zero in TIC (16 bit)
T5RET_HOTRESOURCES 23 HOT restart: system resources used
T5RET_HOTMAP 24 invalid var map in hot restart
T5RET_HOTACTIME 25 change of active timer map
T5RET_HOTSTAMP 26 bad build stamp for hot restart
T5RET_HOTSFC 27 SFC changed - no hot restart!
T5RET_HOTRETAIN 28 retain def has changed - no hot
T5RET_HOTFORMAT 29 bad DB format - no hot restart!
T5RET_CYCLEOVERFLOW 30 cycle time overflow
T5RET_RETAINSTORING 31 cant store retain variables
T5RET_ARRAYBOUND 32 array index out of bounds
T5RET_RECURSE 33 recursive call of sub-program
T5RET_XVOVERFLOW 34 too many external variables used
T5RET_NOBSAMPLING 35 sampling trace not supported
T5RET_TASKOVERFLOW 36 too many tasks
T5RET_HOTCALLSTACK 37 call stack overflow (hot)
T5RET_STACKOVER 38 stack overlow
T5RET_HOTASI 39 cannot hot restart ASi
T5RET_TOXC 40 OXC limit reached
T5RET_WOXC 41 OXC info


Redundancy zenon Logic and zenon

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Redundancy zenon Logic and zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic can be used redundantly and offers the possibility to combine the zenon redundancy with the zenon Logic redundancy.

In this chapter the configuration of the zenon/zenon Logic redundancy is described. The zenon/zenon Logic redundancy is referred to as SCADA logic redundancy from here on.

Further terms:

  • zenon server = dominant zenon server
  • zenon SB = zenon Standby Server
  • Active zenon Logic Runtime = zenon Logic Runtime instance being executed
  • Passive zenon Logic Runtime = backup system (Standby) of zenon Logic Runtime

Operating systems

You can find information on supported operating systems in the zenon Logic Runtime chapter, Supported systems section.

Limitations

Redundancy is not supported in zenon Logic RTK Runtime.

Noch in diesem Kapitel

Requirements

Configure redundancy


Requirements

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Redundancy zenon Logic and zenon -> Requirements

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Two PCs are necessary for SCADA logic redundancy. The both PCs are connected via Ethernet TCP/IP (100 MBit, recommended 1 GBit).

attention Attenzione

The SCADA logic redundancy requires both systems, zenon and zenon Logic, to be installed on one PC for each server.

We recommend to set the cycle time of the zenon Logic project to twice the cycle time of a single project, but at least to 50 ms.

Since SCADA logic assumes that zenon Logic and zenon communicate with each other using the Logicto SCADA driver, it must be ensured that the zenon server and the active zenon Logic Runtime run on the same PC.

In order to prevent a one-sided switching from zenon Logic or zenon, a synchronization between the zenon Logic Runtime and the zenon Runtime must be engineered. A watchdog is used for this.

Watchdog

zenon Logic

The status of the zenon project (standalone/server/standby server/client) is transferred via the Logic to SCADA connection and is evaluated by the redundancy function block. It has a freely definable time out value as input. As output binary values for redundancy switch and active, passive and failed Runtimes etc. are output. They determine the reaction of the zenon Logic Runtime.

zenon

A watchdog generated by the zenon Runtime driver is transferred using the Logic to SCADA connection and evaluated in zenon. This evaluation takes place in accordance with the settings of properties Mancato riconoscimento dopo [s] and Funzione per la mancata individuazione. They define a time out time and a function (normally Esci dal programma).

In order for the correct watchdog to be evaluated, it must be clear for several active zenon Logic projects from which zenon Logic project the watchdog originated. If zenon Logic is started manually, by means of a zenon function, batch file or command line, the zenon project name (ZENPROJECT=<Name>) must also be given as a transfer parameter.

attention Attenzione

The start of the zenon Runtime must not be performed from the zenon Editor but with a direct call from the zenon Runtime!

The zenon redundancy must be set up. Details: See help chapter Network.


Configure redundancy

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Redundancy zenon Logic and zenon -> Configure redundancy

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic and zenon can control each other in redundant operation by means of a watchdog. If the zenon Logic Runtime fails:

  • the local zenon Runtime is also closed
  • both systems are switched to redundancy mode

Configuration in zenon

To activate redundancy:

  • activate property Operazioni ridondate in group Runtime of the properties of the zenon Logic project in zenon
  • define
    • Mancato riconoscimento dopo [s]
    • Funzione per la mancata individuazione

Configuration in <CAD_PRODUCTNAME>

The settings for redundancy are made in tab Redundancy of the zenon Logic Runtime.

Watchdog

With the watchdog each side checks the other for changes to this counter. If the counter for a projected time is not changed, this is reported to the program:

  • zenon: a function configured in an integrated project is carried out (Funzione per la mancata individuazione)
  • zenon Logic: A function block Output becomes active

The watchdog examination starts as soon as the other side has changed its watchdog for the first time. This is necessary because the time is needed to start or the zenon Logic Runtime does not necessarily need to start with the zenon Runtime.

info Informazioni su

If zenon Logic Runtime is a started manually, the following command line settings must be made:

  • zenon path:

    ZENPATH=<Pfad>

  • Name zenon project:

    ZENPROJECT=<name>

  • Information on zenon network project:

    REDENABLE=<0,1>

    REDZENON=<0,1>

Watchdog in zenon

zenon checks zenon Logic Runtime Watchdog if:

  • zenon Logic Runtime executes code, timeout is <> 0 and Runtime can be assigned to an integrated zenon Logic project
  • zenon Logic Runtime is stopped
  • zenon Logic Runtime is passive or started passively
  • zenon Logic Runtime is ended and was previously passive or active

Function for recognizing failures

With the Funzione per la mancata individuazione property, a function is selected that is executed as soon as the timeout defined in Mancato riconoscimento dopo [s] for the watchdog has expired. The watchdog is only rechecked if Runtime is registered again.

If a function from another project is used, the project must already have been loaded when the project with the integrated zenon Logic project is loaded.

Logging

The zenon Logic zenRt driver connection can be logged with the diagnosis Viewer. The module name is zenon Logic. Each message contains the name of the zenon project and the name of the zenon Logic project. The logging includes:

  • Error
    • zprj:<z-projekt> sprj:<s-projekt> Runtime <Runtime process ID> watchdog expired.
      Runtime watchdog was not operated by Runtime for too long.
    • zprj:<z-projekt> sprj: <s-projekt> Runtime: <Runtime process ID> Unknown zenon Logic project.
      zenon Logic project cannot be assigned to an integrated zenon project.
  • Warnings
    • vm: <Vm-Prozess-ID> zenon project '<Name>' unknown
      Name of the zenon Logic project not known in zenon.

Watchdog in zenon Logic Runtime

The following applies for zenon Logic watchdog:

  • The zenon watchdog is checked regularly as long as the timeout of the >CD_PRODUCTNAME< failure recognition is <>0.
    This check takes place if:
    • Code is executed
    • Runtime is active or passive.

Function block zenrt_Red and RedSwitch

In zenon Logic it is possible, with the help of function blocks, to check whether there is a connection to a zenon server and if it is possible to switch the zenon Logic state if necessary.

The function block zenrt_Red checks via the timeout information from driver "straton_to_zenon_Runtime_Connection" whether zenon Logic is connected to a zenon Server. If this is not the case, you can switch the affected zenon Logic to inactive with the help of function block RedSwitch and switch the Standby to active.

For more information about function blocks see the zenon Logic online help.

Time handling in function block zenrt_Red

The number of switch attempts count up in the timeout cycle. If the zenon Logic Runtime project cannot be assigned to a zenon network project, the network timeout time (Timeout [s] property in Rete group) is added to the failure recognition time (Mancato riconoscimento dopo [s] property). The time that the ERROR output is active is not MAX_SWITCH * cycle but MAX_SWITCH * timeout [+ network timeout].

The non-process-handling, non-dominant zenon computer is considered to be the Standby (Server 2).
The non-process handling, dominant computer (server starts as standby) is not considered a standby.


OEM specification

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> OEM specification

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In this OEM specification the possibilities of the COPA-DATA zenon Logic Runtime are described which are referred to in the zenon Logic Workbench help with "see OEM specification".

Configuration (Project properties)

As a standard the zenon Logic Workbench contains several features and an extensive library of functions and function blocks.. Depending on the Runtime configuration, some features or blocks may be not available. Therefore it is possible to select configurations for the Workbench in order to highlight the features which are not supported by the Runtime.

The respective configuration of Runtime can be loaded in the zenon Logic workbench. To do this, select the Configuration entry in the Workbench in the context menu of the loaded project.

File administration function (function blocks)

This function makes it possible to read and write files sequentially.

The follwoing functions are supported by zenon Logic Runtime versions

  • CE
  • RT (PC)
  • RTK (PC)

and are implemented not blocking:

F_ROPEN, F_WOPEN, F_AOPEN, F_CLOSE, F_EOF, FA_READ, FA_WRITE, FM_READ, FM_WRITE, FB_READ, FB_WRITE, F_EXIST, F_GETSIZE, F_COPY, F_DELETE, F_RENAME, LogFileCSV

The following functions are only supported by zenon Logic Runtime versions

  • CE
  • RT (PC)

and are implemented not blocking:

F_EXIST, F_GETSIZE, F_COPY, F_DELETE, F_RENAME

The possible paths vary depending on the operation system. Note that some folders are write-protected if UAC (User Account Control) is activated.

SFC execution

The execution of the SFC program equals that of a T5 standard target system und follows the information of the zenon Logic Workbench help.

The exclusiveness of transitions within a divergence is supported.

Interlink applications - Binding

A maximum of 65535 Binding variables can be published in the network. However this value is reduced by every variable which is sent to zenon using the event service.

The standard IP port number of a zenon Logic Runtime is 9000.

Project properties - "C" compiler

This feature is supported by all zenon Logic target systems (RT, CE, RTK). All C compilers which are normally proposed by the zenon Logic Workbench can be used. Attention: Only use the default name of the created Runtime-DLL.

LogFileCSV (function block)

See first point: File administration function (function blocks).

Additional OEM relevant features and functions:

Feature | RT (PC) | RTK (PC) | CE
DTAT (function block) | x | x | x
TCP/IP management functions | x | x | x
Dynamic memory allocation function | x | x | x
PrintF (Function) | x | x | x
Step by Step Debugging | x | x | x
Functions for real time clock administration | x | x | x
Digital sampling recording | x | x | x
UDP management function | x | x | x
T5 registry management functions | - | - | -
DTFORMAT (Function) | x | x | x
GETSYSINFO (function) - _SYSINFO_CYCLESTAMP_MS | x | x | x
Variable status bits | x | -1 | x
DAY_TIME (Function) | x | x | x
SET_DAY_TIME (Function)2 | x | - | x

Key:

  • x: Supported
    • 1: Driver which support the variable status bits are only emulated or not supported by the zenon Logic RTK. Therefore no access is granted to the status bits or the time stamps.
    • 2: zenon internally works with UNIX time. Therefore only system times within their validity are allowed (0-MAXDINT starting with 1.1.1970 0:00 GMT). Data which refer to an earlier point in time affect the functionality of the zenon Runtime.
  • -: Not supported

RETAIN variables (remanent flags)

Retain variables saved at the defined saving location - normally in the instance path (hand over parameter PATH) - when the Runtime is stopped or closed in a normal way. Depending on the system, it can be the hard disk or a flash card.

With function "WriteHot" retain data and hot restart data can be saved explicitly, e.g. after every change or cyclically.

Some zenon Logic I/O drivers support saving the RETAIN values to the SRAM (battery buffered RAM).

In order for the RETAIN values to be loaded when the PLC application is restarted, the zenon Logic Runtime must be started with the corresponding handover parameters/settings (cold start - load RETAIN variables).

You can find information regarding the configuration of Retain data with the zenon Logic Runtime in the chapter settings/general.

I/O Driver

You can find more information about supported I/O drivers here: zenon Logic I/O driver support

You can find information about the support of Online Change or Hot Restart here: zenon Logic I/O driver: Hot-Restart/Online Change

Noch in diesem Kapitel


Forwarding time stamps and the variable status information

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Forwarding time stamps and the variable status information

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

As of version 6.22 SP1 Build 3 the zenon Logic Runtime automatically forwards time stamp and variable status information from the zenon Logic I/O driver to the event handler of the zenon Logic Runtime and thus via straton32 to zenon. Therefore in zenon (e.g. CEL) the time stamp of the source (I/O driver slave or server) are displayed and not the time stamp of the zenon Logic Runtime.

The following prerequisites are necessary:

  • The variable must have a time stamp in the zenon Logic I/O driver. It depends on the protocol. Some drivers do not provide time stamps.
  • The zenon Logic project must have been compiled and loaded with compiler flag Create status bit for variable with profile turned on.

Overview forwarding the time stamp:


zenon Logic I/O driver support

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic I/O driver support

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I/O drivers which are supported by different zenon Logic Runtime types:

Drivers | RT (PC) | RTK (PC) | CE
Advantech ADAM 5550 | -- | -- | --
Anybus Konfiguration | X | E | --
ApplicomIO Konfiguration | X | E | --
AS-interface | X | -- | --
BECKHOFF CX1000 | -- | -- | x
Brodersen IOTOOLS | X | E | --
CAN-bus | -- | -- | --
Hilscher CIF Profibus | X | X1 | X
Hilscher SYCON Konfiguration | X | E | X2
Hilscher SYCON Konfiguration [universal] | X | X | X
Hilscher SYCON.net Konfiguration | X | E | --
IEC 60870 Slave | X | -- | X
IEC 61850 Client | X | E1 | X
IEC 61850 Server | X | -- | X
Interbus-S | X | E | --
MODBUS Master Protokoll | X | E | X
MODBUS Slave Protokoll | X | E | X
PROFINET IO | X | E | X
SoftNet ProfibusDP | X | E | --
Logic zu SCADA Verbindung | X | -- | X
ThinkIO/IO System 758 | -- | -- | X
Wago 750-860 | -- | -- | --
Weihenstephan Standard - Client | X | E | X
Win32 Shared memory | X | -- | --
XFlow | -- | -- | --

Key

  • X: Fully supported
  • --: Not supported
  • E: Carried out as emulation (performance loss possible, determinism is limited in the PLC cycle, driver selection at a BSOD)
    • 1: The driver specific function blocks do not work under zenon Logic RTK.
    • 2: Hilscher DLLs must be available on the target platform.


zenon Logic I/O driver: Hot-Restart/Online Change

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> zenon Logic I/O driver: Hot-Restart/Online Change

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Logic I/O drivers support the Hot-Restart or Online Change in different ways:

Drivers | Hot-Restart | Online Change | Online Change including change of the bus driver configuration
Anybus Konfiguration | X | X | X1
ApplicomIO Konfiguration | X | X | X1
AS-interface | X | X | X1
BECKHOFF CX1000 | X | X | --
Brodersen IOTOOLS | X | X | X1
Hilscher CIF Profibus | X | X | --
Hilscher SYCON Konfiguration | X | X | X1
Hischer SYCON Konfiguration [universal] | X | X | X1
Hilscher SYCON.net Konfiguration | X | X | X1
IEC 61850 Client | X | X | --
Interbus-S | X | X | --
MODBUS Master Protokoll | X | X | X1
MODBUS Slave Protokoll | X | X | X1
PROFINET IO | X | X | --
SoftNet ProfibusDP | X | X | X1
straton zu zenon Runtime Verbindung | X | X | --2
ThinkIO/IO System 758 | X | X | --
Weihenstephan Standard - Client | X | X | X1
Win32 Shared memory | X | X | X1

Key

  • X: Functionality available
  • --: Functionality not available
    • 1: Online Change including the change of the bus driver configuration is always followed by the reinitialization of the I/O driver. Because of the reinitialization I/Os can fail for a short period!
    • 2: No need for change in the bus driver configuration.


Error message

Manuale -> zenon Logic -> zenon Logic Runtime (Soft PLC) -> Error message

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Errors during the execution are logged in the log file.

Error message | Description
General error. | Error which could not be specified any further.
Invalid application code - bad header. | STRATON.cod file is invalid. Header invalid.
Invalid application code - bad target ID. | STRATON.cod file is invalid. Target ID invalid.
Invalid application code - bad version. | STRATON.cod file is invalid. Version invalid.
Unknown communication request. | Host and Runtime not compatible (T5 protocol).
Cannot process read request. | Incoming communication request cannot be processed.
Unknown TIC code. | Invalid instruction in file straton.cod.
Too many DATA8 used. | Too many SINT/USINT variables used.
Too many DATA16 used. | Too many INT/UINT variables used.
Too many DATA32 used. | Too many DINT/UDINT/REAL variables used.
Division by 0 in TIC (32bit). | Division by 0 in the PLC logic of the user.
Too many TIME variables. | Memory overflow for online change.
Infinite loop in TIC (safe mode). | Not closed loop in the application code.
Standard function used, which is not supported by this runtime. | PLC logic of the user refers to a function which is not available in this version of the Runtime.
Division by 0 in TIC (64bit). | Division by 0 in the PLC logic of the user.
Too many DATA64 used. | Too many LINT/LREAL variables used.
Too many strings. | Memory overflow for online change.
Division by zero in TIC (8 bit). | Division by 0 in the PLC logic of the user.
Division by zero in TIC (16 bit). | Division by 0 in the PLC logic of the user.
HOT restart: System resources used. | Hot restart not possible.
Invalid variable map in hot restart. | Hot restart not possible.
Bad build stamp for hot restart. | Hot restart not possible. Invalid straton.cod version.
SFC changed - no hot restart! | Hot restart not possible.
Retain definition has changed - no hot restart. | Hot restart not possible.
Bad DB format - no hot restart! | Hot restart not possible.
Cycle time overflow. | Cycle time overflow. For details, see the Cycle time error messages section.
Can not store retain variables. | Not enough memory in order to save retain variable.
Array index out of bounds. | Access to invalid array index.
Recursive call of sub-program. | A sub-program calls up itself.
Too many external variables used. | Memory overflow for online change.
Too many tasks. | Memory overflow for online change.
Call stack overflow (hot). | Memory overflow for online change.
Stack overflow. | Too many call ups of intricate sub programs.
Can not hot restart (ASi). | Hot restart not possible (Asi bus driver).
Online change not supported. | Online change not possible
Online change failed - Bad code. | Online change not possible. Invalid straton.cod version.
Online change - Not the same application. | Online change not possible
Online change failed - IO drivers. | Online change not possible
Online change failed - CT segment changed. | Online change not possible
Online change failed - bus drivers. | Online change not possible. Bus driver does not permit online change.
Online change failed - variable map / profiles. | Online change not possible
Online change failed - tasks. | Online change not possible
Online change failed - MODBUS. | Online change not possible
Online change failed - CAN bus. | Online change not possible
Online change failed - event production. | Online change not possible
Online change failed - change D8 alloc. | Online change not possible
Online change failed - change D16 alloc. | Online change not possible
Online change failed - change D32 alloc. | Online change not possible
Online change failed - change D64 alloc. | Online change not possible
Online change failed - change TMR alloc. | Online change not possible
Online change failed - change STR alloc. | Online change not possible
Online change failed - change FBI alloc. | Online change not possible
Online change failed - change CFC alloc. | Online change not possible
Online change failed - change XV alloc. | Online change not possible
Online change failed - STR buff size. | Online change not possible
Online change failed - STR length. | Online change not possible
Online change failed - FBI buffer. | Online change not possible
Online change failed - FBI changed. | Online change not possible
Online change failed - Program style. | Online change not possible
Online change failed - Number of programs. | Online change not possible

Error message cycle time

If the cycle time is exceeded, messages are displayed in the zenon Logic Runtime or in the Workbench and corresponding entries are written to the LOG file.

Error message user interface | Entry log file | Meaning
Timing configuration error. (x) cycles lost. | Timing configuration error. (x1) cycles lost. Configured cycle time = (x2) us, maximum execution time = (x3) us, maximum PLC utilisation = (x4). | Number (x) of not executed cycles due to cycle time out. The execution time is higher than the set cycle time or there are not enough CPU resources available.
Timing configuration error. PLC utilization peaked at (x)%. | Timing configuration error. PLC utilization exceeds 80%. Configured cycle time = (x1) us, maximum execution time = (x2) us, maximum PLC utilisation = (x3)%." | The execution time is higher than 80% of the set cycle time; actually (x)%.

Troubleshooting

You can rectify the cycle time being exceeded by:

  • Increasing the cycle time
  • decreasing execution time, e.g.:
    • use a system with more CPU resources
    • use C compiled code
    • reduce the program


zenon Logic Runtime Manager

Manuale -> zenon Logic -> zenon Logic Runtime Manager

The zenon Logic Runtime Manager administrates all zenon Logic Runtime projects, which are stand alone or must be started manually, on your computer. It does not matter whether there is a zenon Runtime installed on the computer.

Noch in diesem Kapitel

Why should you use the zenon Logic Runtime Manager?

Main Menu

Property help


Why should you use the zenon Logic Runtime Manager?

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Why should you use the zenon Logic Runtime Manager?

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • If you created your zenon Logic project in zenon and you set the zenon property of the zenon Logic project RT start type to start manually, the zenon Logic Runtime Manager is the ideal tool for organizing the parameters for the manual start.
  • If you want to start your zenon Logic Runtime project during the booting of the Windows operating system, you can set this with one mouse click in the zenon Logic Runtime Manager.
  • If you want to reorganize your zenon Logic project, you can do this with the zenon Logic Runtime Manager.
  • If you want to run the zenon Logic Runtime autarchically (without the zenon Runtime), it is best to call up the zenon Logic Runtime instance using the zenon Logic Runtime Manager.


Main Menu

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Main Menu

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
  • Configurations: Configurations: There you can administrate the zenon Logic Runtime projects
  • Languages: There you can switch between languages online
  • Settings: Enter the path of the zenon Logic Runtime
  • ?: Open the Help
  • Exit: Exits the programs - Note: Do not forget to save the settings before you exit the zenon Logic Runtime Manager!


Property help

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Place the mouse cursor over an element in the zenon Logic Runtime Manager in order to see the corresponding help text in the property help.

In addition all elements of the zenon Logic Runtime Managers are described here:

Noch in diesem Kapitel

Configuration list

zenon Logic project folder

Name of the configuration

Port (Main)

Port (Binding)

Startup

Start in step mode

Windows real time priority

Hard real time

Report output

Autostart

Button "New"

Button "Edit"

Button "Save"

Button "Delete"

Button "Start"

zenon Logic Runtime (settings)

Language selection (languages)

Show splash screen (setting)


Configuration list

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Configuration list

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

This list contains all available zenon Logic Runtime configurations.

  • Click on an entry in the list in order to display its parameter settings.
  • After that click on Edit in order to change the parameters.
  • Click on Save in order to save the changes.


zenon Logic project folder

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> zenon Logic project folder

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The selected path of the zenon Logic Runtime project (storage location of the PLC code) is entered there automatically. You can change this entry manually or by left-clicking the folder symbol.

info Informazioni su

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Name of the configuration

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Name of the configuration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The name of the last path of the zenon Logic Runtime files is entered automatically if a new configuration is created. You can changes this name freely.

info Informazioni su

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Port (Main)

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Port (Main)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Enter the main port for the zenon Logic Runtime instance. This port defines the connection of the zenon Logic Workbench and a zenon drivers. Per default this port is set to 1200.

info Informazioni su

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Port (Binding)

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Port (Binding)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Enter the binding port for the zenon Logic Runtime instance. The binding port defines the connection for spontaneous TCP/IP communication to other zenon Logic Runtimes. Per default this port is set to 7800 higher than the main port.

info Informazioni su

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Startup

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Startup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Define the startup behavior of the zenon Logic Runtime instance.

  • Cold start - The zenon Logic Runtime starts with initialized variables.
  • Cold start (load RETAIN variables) - The zenon Logic Runtime starts initialized with remanent markers.
  • Hot restart - The zenon Logic Runtime starts with the variable values from the time the Runtime was stopped.

info Informazioni su

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Start in step mode

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Start in step mode

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to start the zenon Logic Runtime in step mode, activate this checkbox.

info Informazioni su

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Windows real time priority

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Windows real time priority

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order for the zenon Logic Runtime instance to run in the Windows real time priority, activate this check box.

info Informazioni su

We recommend to always have the real time priority activated. First and foremost deactivating the real time priority is used for testing purposes (e.g. if there may be infinite loops).

info Informazioni su

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Hard real time

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Hard real time

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If you activate this checkbox, the zenon Logic real time PLC (zenon Logic RTK) is called up when the configuration is started. As the zenon Logic real time PLC may only run once on the computer, it is validated that this checkbox is only activated for one configuration.

info Informazioni su

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Report output

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Report output

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Activate this checkbox in order to activate the writing of messages of the Runtime in a LOG file.

info Informazioni su

Writing a LOG file will influence the performance.

info Informazioni su

The LOG file is named zenon Logic RTLOG.txt and is saved in the zenon Logic Runtime project folder.

info Informazioni su

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Autostart

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Autostart

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to start a zenon Logic Runtime instance directly with the booting of the Windows operating system, activate this checkbox.

info Informazioni su

Before you are able to edit any setting which you have already saved, you must first select the concerning configuration in the list. After that click on button Edit. In order to save the changes, click on button Save.


Button "New"

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Button "New"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If you want to create a configuration, click on button New. After that a dialog opens in which you can select the folder in which you want to save the zenon Logic Runtime files (the PLC code). Confirm your selection with OK. You can change the name of the configuration. In order to save the configuration and the name of the configuration, click on Save.


Button "Edit"

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Button "Edit"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Before you can change the parameters of a configuration, you must click on button Edit after you have selected an entry from the configuration list. In order to save the changes, you must click on Save.


Button "Save"

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Button "Save"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Click on button Save in order to save all changes.


Button "Delete"

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Button "Delete"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to delete a configuration, select the entry from the configuration list and click on button Delete.


Button "Start"

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Button "Start"

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In order to start the zenon Logic Runtime with the respective configuration, select a configuration from the list and click on button Start. The zenon Logic Runtime starts immediately.

info Informazioni su

If the folder of the configuration does not contain any zenon Logic Runtime files (PLC code), the <CA_PRODUCTNAME >Runtime starts in mode No program.


zenon Logic Runtime (settings)

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> zenon Logic Runtime (settings)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Enter the folder of the zenon Logic Runtime (folder of stratonRT.exe). In order to browse through your hard disk, left-click the folder symbol.


Language selection (languages)

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Language selection (languages)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Select the desired language by clicking on the respective flag.


Show splash screen (setting)

Manuale -> zenon Logic -> zenon Logic Runtime Manager -> Property help -> Show splash screen (setting)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If you activate this check box, the splash screen of the zenon Logic Runtime Manager is displayed at the start.


zenon Operator

Manuale -> zenon Operator

Lo zenon Operator è adattato per consentire la gestione dei macchinari. Consta di Editor e Runtime. Il Runtime è disponibile per sistemi operativi PC e sistemi operativi CE. Windows CE è supportato solo fino alla versione 7.20 inclusa. La versione 7.20 è fornita ed installata con quella corrente. Si può continuare a creare progetti per Windows CE con la versione corrente. A tal scopo, quando configurate le impostazioni del progetto, selezionate la versione 7.20 per la proprietà Crea RT file per. Essa si trova nel gruppo Generale delle proprietà di progetto.

La modalità di funzionamento corrisponde in linea di principio allo zenon Supervisor. Rispetto allo zenon Supervisor, però, l´Operator presenta delle restrizioni funzionali.

Ci sono delle limitazioni anche sotto Windows CE riconducibili al sistema.

Per editare un progetto Operator si può usare l´Editor dello zenon Operator, o l´Editor dello zenon Supervisor. Se progettate nell´Editor del Supervisor delle funzionalità che non sono disponibili nel Runtime dell´Operator, esse non verrano eseguite.

Noch in diesem Kapitel

Restrizioni per lo zenon Operator

zenon sotto Windows CE


Restrizioni per lo zenon Operator

Manuale -> zenon Operator -> Restrizioni per lo zenon Operator

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo spettro delle funzionalità dello zenon Operator differisce da quello dello zenon Supervisor. In caso di utilizzo sotto Windows CE, ci sono delle ulteriori restrizioni riconducibili a questo sistema operativo. I dettagli a questo proposito li trovate nella seguente panoramica:

Legenda:

  • +: Standard
  • *: possibile
  • -: impossibile
  • o: modulo opzionale ottenibile con apposita licenza
Features Operator Runtime | per PC | per CE
Generale |  |
Controlli ActiveX | + | *
Licenza dongle | * | -
64 - 8192 TAG | * | *
DirectX/Graphics | * | -
Progetto globale | * | *
Progettazione multiutente nell´Editor | - (solo 1 progetto più progetto globale) | - (solo 1 progetto più progetto globale)
Progettazione multiutente nel Runtime | - (solo 1 progetto più progetto globale) | - (solo 1 progetto più progetto globale)
Wizard | + | -
Moduli |  |
Server di archiviazione | - | -
Server di archiviazione - Starter Edition | o | o (da CE 6.0)
Server di archiviazione SQL | - | -
Automatic Line Coloring | o | o
Batch Control | - | -
Load Management | - | -
Trend esteso | - | -
Trend esteso - Starter Edition | o | o (da CE 6.0)
Industrial Maintenance Manager | - | -
Industrial Performance Analyzer | - | -
Message Control incluso Text To Speech Engine | o | -
OPC Server | - | -
PLC Diagnose Step 7 Graph | o | o
Process Gateway | - | -
Production & Facility Scheduler | - (disponibile schedulatore) | - (disponibile schedulatore)
Simulazione progetto | - | -
Generatore Report (senza archiviazione dati) | o (sola lettura) | -
RDL Viewer | o | -
Manager di gruppi ricette | o | o (a partire da CE 6.0)
Interfaccia SAP | - | -
Schedulatore | + | +
SQL Export | - | -
SQL Server | - | -
Text to Speech Engine. | - | -
Driver: 1 driver incluso, esclusi driver Energy (IEC870-101/103/104, IEC850, DNP3, Modbus Energy) | * | *
Driver: più istanze | - | -
S7 Graph | o | o
Rete |  |
Rete di zenon | + (solo Server Client) | + (solo Server Client)
Ridondanza | - (solo Server Client) La ridondanza non viene supportata, ma è possibile una connessione ad un sistema ridondante. | - (solo Server Client) La ridondanza non viene supportata, ma è possibile una connessione ad un sistema ridondante.
zenon Web Server Pro Light, 3 Client. Solo con connessione al Runtime locale | o | o
zenon Web Server/zenon Web Server Pro | o | -
zenon Web Client | * | - (sono possibili client classici).
Interfacce di programmazione |  |
Accesso via API | + | +
Process Control Engine | + | +
VBA/VSTA | Runtime: - Editor: + | -
zenon Logic |  |
zenon Logic Monitoring Builder/Viewer | + | -
Numero di variabili zenon Logic Runtime | 64 - 8192 | 64 - 8192
zenon Logic Workbench Pro | o | -

Tutti i moduli e le funzioni non citati sono disponibili con l´zenon Operator.

Noch in diesem Kapitel

Speciali restrizioni per la versione CE.


Speciali restrizioni per la versione CE.

Manuale -> zenon Operator -> Restrizioni per lo zenon Operator -> Speciali restrizioni per la versione CE.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Moduli disponibili solo in Windows CE 6.0 e nelle versioni più recenti:

  • Server di archiviazione - Starter Edition
    Per le restrizioni, vedi nella parte della guida dedicata al Server di archiviazione, il capitolo Server di archiviazione - Starter Edition.
  • Trend esteso - Starter Edition
    Per le restrizioni, vedi nella parte della guida dedicata al Trend esteso.
    Inoltre, per i progetti CE non sono disponibili i seguenti elementi di controllo:
    • Pulsante grafico
    • Pulsante curve
    • Impostazioni Trend
    • Dialogo di stampa
    • Pulsante Asse X
    • Finestra di emissione-cursore
    • Profili filtro
  • Manager di gruppi ricette

Ripristina barra di stato allarmi

In Windows CE non si può ripristinate la barra di stato allarmi con clic del tasto destro del mouse.

Server di archiviazione

Per l´archiviazione, sotto Windows CE è disponibile solamente la Starter Edition del server di archiviazione. Essa presenta alcune restrizioni rispetto al server di archiviazione. I dettagli li trovate nel capitolo Server di archiviazione - Starter Edition del manuale concernente il Server di archiviazione.

Risoluzione del dispositivo CE e visualizzazione dei dialoghi filtro CEL e AML

Sia l´Amministrazione allarmi che la Lista eventi cronologica (CEL) consentono di effettuare una selezione filtro nel Runtime. Tuttavia, si può usare quest´opzione solo a partire da una risoluzione 800x600. La Gestione profili non è disponibile nelle immagini corrispondenti. Proprio per questo motivo anche i pulsanti Salva ed Elimina non hanno alcuna funzione. Visto che con Windows CE il Dialogo di stampa non può essere eseguito, anche il corrispondente pulsante perde la sua funzione.

Tipi d´immagine non disponibili:

  • Diagnostica variabili
  • Video

Gestione user

Active Directory e ADAM/AD LDS non sono a disposizione sotto Windows CE.

Stampa

Con Windows CE non è disponibile nessun spooler di stampa. La stampa ha luogo durante il processo. La stampa, dunque, blocca anche la funzionalità del Runtime.
Sotto Windows CE la funzionalità della stampa è disponibile solamente se è già presente nella CE-Image. Non la si può aggiungere in seguito, né estenderla ad altre stampanti.

Alla stampa sotto Windows CE è applicabile quanto segue:

  • Stampa online:
    La stampa avviene sempre direttamente su LPT1. Questo numero di porta deve esistere sul dispositivo CE; inoltre deve essere connessa una stampante di linea.
  • Stampa offline:
    La stampa avviene sempre sulla stampante standard configurata sul sistema.
    La stampante non può essere configurata dal Runtime di zenon, né cambiata.

    Nota: perché la stampa offline funzioni sotto Windows CE, il produttore del dispositivo deve rendere disponibile questa opzione nel CE-Image. Inoltre, ci deve anche essere la possibilità di definire la stampante standard, per esempio usando applicazioni come Pocketword o Notepad CE.

Dinamiche

Dinamiche come, ad esempio, rotazione, modifica dell´altezza e della larghezza, posizione dinamica X e Y, non sono disponibili.

Elementi dinamici

Elementi ActiveX: Registrazione sotto Windows CE:

Gli elementi Active X debbono essere registrati prima di poter essere utilizzati in CE. Potete trovare indicazioni utili su questo argomento nel capitolo "Suggerimenti di progettazione - ActiveX".

Slider universale

Non è disponibile la visualizzazione come Nastro.

File XAML e WPF

WPF non è disponibile. Quindi non viene utilizzato neanche lo XAML, usato come linguaggio di markup per il WPF.

Filtro in AML e CEL

I filtri per la Lista di informazione allarmi e per la Lista eventi cronologica non possono essere configurati se è stata attivata la proprietà Progetto Windows CE. Dato che queste finestre di dialogo sono molto grandi, è stato introdotto questo limite per assicurare il funzionamento anche su piccoli display (PDA). Se create un progetto Windows CE senza attivare la proprietà Progetto Windows CE, però, potete utilizzare i dialoghi filtro come di solito.

Profili filtro

Non è possibile lavorare con i profili nel Runtime sotto Windows CE .

Modello a forma libera

Per i modelli, la proprietà Modello a forma libera non è disponibile sotto Windows CE.

Funzioni

Selezionare stampante

La funzione Selezionare stampante è disponibile sui dispositivi CE!

Grafica

Rotazione e posizionamento dinamico

La proprietà Rotazione [°] e le proprietà del gruppo Dimensione e rotazione dinamica non sono disponibili sotto Windows CE. Quando si attiva la proprietà Progetto WindowsCE, le proprietà già impostate vengono resettate.

Effetti riempimento

È possibile che gli effetti di riempimento di elementi statici vengano visualizzati sul terminale CE in modo diverso dal PC.

Per gli elementi vettoriali, esistono sotto CE solamente due tipi di riempimento: pieno e non riempito
Per gli elementi vettoriali, esistono sotto CE solamente i tipi di linea: piena, tratteggiata, senza.

Effetti di riempimento 3D

Gli effetti di riempimento 3D sono abilitati, ma richiedono elevate risorse grafiche dai dispositivi CE.
Perciò se ne sconsiglia l'uso.

Qualità grafica

DirectX e funzioni grafiche come, ad esempio, tipi di riempimento ombreggiati e trasparenza, non sono disponibili sotto Windows CE.
Nota: possono essere visualizzati file GIF trasparenti e (con restrizioni) file PNG.

File GIF

Se volete visualizzare dei file GIF sotto Windows CE, dovete assicurarvi che il file IMGDECEMP.dll sia disponibile sul dispositivo di destinazione. Se manca, potete richiedere il file IMGDECEMP.dll al COPA-DATA Consulting.

Linee

Le linee non possono essere rappresentate con angoli arrotondati. Anche se alla voce Qualità grafica delle proprietà di progetto avete selezionato Windows Standard, sotto CE non verranno visualizzati angoli arrotondati.

Visualizzazione dei nomi ricetta

Nell´immagine del tipo Manager gruppi di ricette, i nomi ricetta possono essere visualizzati solamente in un Combobox. La visualizzazione di tipo Listbox (via Style L) non viene supportata dalle piattaforme CE.

Menù principali

Sotto Windows CE possono essere visualizzati solo i menù principali standard. Non è possibile cambiare colore, dimensione e tipo del carattere.

Licenza (Dongle)

Per Windows CE non è possibile una licenza dongle, né a livello locale, né tramite un dongle di rete.

Progettazione multiutente

Sotto Windows CE non è possibile una progettazione multiutente, il che significa che può essere attivo solo un progetto alla volta. Questa è la ragione per la quale non ci può essere una gerarchia (progetto di integrazione) all´interno di progetti di rete. Questa limitazione non riguarda il progetto globale.

Dimensione del progetto

Con Windows CE 6 e con le versioni successive, la memoria di lavoro può essere usata appieno; essa, però, è limitata in alcuni dispositivi CE. Ciò può provocare problemi di memoria, soprattutto se si usano i moduli Trend esteso e Server di archiviazione - Starter Edition. Vi preghiamo di tenere presente la regola del 20% in questi casi.

info Informazioni su

Regola del 20%: con tutte le immagini di zenon aperte e con il maggior numero di allarmi in attesa attivi, almeno il 20 % dello spazio di memoria deve essere ancora libero. Se non si tiene conto di questo limite, non possiamo garantire un funzionamento corretto di zenon.

Per sapere lo spazio di memoria libero, usate la variabile del driver di sistema Memoria libera RAM %.

Lista incrociata

Se in un progetto CE si collega una funzione ad un pulsante non disponibile sotto Windows CE, nel Runtime esso verrà visualizzato con la dicitura "La funzione è stata eliminata".

Tasto destro del mouse

La funzione di doppio clic con il tasto destro del mouse non è disponibile sotto Windows CE.

Ridondanza

La ridondanza è possibile con un dispositivo CE nel ruolo di client. Non è possibile, però, una ridondanza nella quale l'apparecchio CE svolga le funzioni di server o di server in standby.

Imposta valore

Non è possibile definire un valore impostabile con un elemento o una funzione usando una macro o un programma (zenon Logic). L´impostazione di valori impostabili è possibile unicamente tramite la finestra di dialogo standard, oppure sull´elemento stesso, come nel caso dell´elemento "Valore numerico".

Se in un dispositivo CE si setta un valore impostabile (per es. mediante uno slider universale) su una variabile HD (per la quale, cioè, è stata configurata l´opzione "Salvataggio sul disco fisso"), la conseguenza sarà un certo ritardo perché la scrittura sulla scheda di memoria non è abbastanza veloce. E' possibile che si verifichi un certo ritardo anche se tutti i valori impostabili vengono registrati nella CEL e la CEL viene immediatamente salvata sulla scheda di memoria ad ogni inserimento (Proprietà di progetto).

Simulazione driver

La "simulazione-programmata" non è disponibile sotto Windows CE 6.

Elementi vettoriali

Curva

Con Windows CE, l'elemento statico curva viene visualizzato in modo corretto solo con una larghezza di linea pari a 1.
Attenzione: curve più spesse vengono visualizzate in modo errato anche in progetti di rete. In questo caso le curve appaiono frammentate e non corrispondono alla progettazione sul PC.

Arco di cerchio

L´elemento arco di cerchio non è disponibile sotto Windows CE.

Variabili

Le variabili del tipo di dato LINT non sono disponibili sotto Windows CE.

Visualizzazione globale

La visualizzazione globale non è disponibile sotto Windows CE a causa dei requisiti di grafica troppo elevati.

File WMF e EMF

L´uso di Meta File (*.wmf) e (*.emf) non è possibile.


zenon sotto Windows CE

Manuale -> zenon Operator -> zenon sotto Windows CE

Il Runtime CE dello zenon Operator può essere eseguito su diverse piattaforme Hardware CE. In generale la versione CE di zenon offre le stesse funzionalità della versione dello zenon Operator per il PC, con alcune limitazioni risultanti dalle più modeste risorse hardware.

attention Attenzione

A partire dalla versione 7.50, Windows CE non è più supportato. . Viene installata la versione 7.20 di zenon CE. Per usarla, devono essere creati i file Runtime per la versione 7.20.

Nota: a tal scopo, quando configurate le impostazioni del progetto, selezionate la versione 7.20 per la proprietà Crea RT file per. Essa si trova nel gruppo Generale delle proprietà di progetto.

I dettagli relativi all´installazione dei Runtime di zenon e di zenon Logic per Windows CE li trovate nei seguenti capitoli:

  • Runtime di zenon Operator per Windows CE
  • Runtime di zenon Logic per Windows CE

tutorial Informazioni sulla licenza

Il Runtime di zenon funziona solamente se si è in possesso di una licenza valida.

Noch in diesem Kapitel

Generale

Requisiti

File di sistema

Rete

Connessione via Windows Mobile Device Center

Manager di gruppi ricette

Trasparenza

Pocket PC e Windows Mobil Edition


Generale

Manuale -> zenon Operator -> zenon sotto Windows CE -> Generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Windows CE è una piattaforma aperta e scalabile, per un gran numero di dispositivi utilizzati nel settore della comunicazione, dell'intrattenimento, dell'industria e dell´elaborazione dati mobile. In parole povere, si tratta di un sistema operativo ridotto all'essenziale, che richiede solo risorse hardware molto ridotte. Ciò significa che componenti hardware di basso costo possono essere dotate di un sistema operativo a base Windows.
Windows CE consente la realizzazione di dispositivi in grado di comunicare fra di loro, di scambiare informazioni con PC a base Windows e di stabilire connessioni con Internet.
Windows CE è un sistema operativo real-time a 32 bit, con funzioni come multitasking e multihtreading. Windows CE ha un´architettura aperta e supporta un ampio spettro di dispositivi. Windows CE è compatto, in grado, cioè, di fornire elevate prestazioni anche in caso si disponga di una limitata memoria di lavoro.

I vantaggi di Windows CE sono, fra l´altro:

  • avvio rapido del dispositivo, perché il sistema operativo viene aperto e caricato nuovamente in memoria ad ogni procedimento di boot-up.
  • dato che nessun software può essere installato su un dispositivo CE, non c'è pericolo che il funzionamento del sistema operativo possa essere pregiudicato da processi d'installazione non riusciti o da virus.
  • elevato livello di robustezza, visto che nei dispositivi Windows CE di regola non ci sono delle parti mobili (come, ad esempio, harddisk...).

Gli svantaggi di Windows CE sono, fra l´altro:

  • funzionalità limitata, visto che non è disponibile il completo Windows API (Application Programming Interface).
  • accessi di lettura e scrittura più lenti alla scheda Compact-Flash
  • riduzione del ciclo vitale dei supporti di archiviazione a causa della elevata frequenza di accesso accesso.

Il Runtime di zenon mette a disposizione le stesse funzionalità sia sotto CE che sul PC. Se esse sono ridotte sotto CE, ciò dipende dalle minori risorse hardware e dai limiti intrinseci del sistema operativo.

Noch in diesem Kapitel

Creare progetti per CE.

Registrazione licenza


Creare progetti per CE.

Manuale -> zenon Operator -> zenon sotto Windows CE -> Generale -> Creare progetti per CE.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´Editor l´utente può creare progetti piccolissimi, piccole e medie applicazioni, ma anche dei progetti dalle grandi dimensioni. Lo strumento di progettazione è sempre lo stesso. Indipendentemente dalla piattaforma per la quale si creano i progetti, il lavoro di progettazione è sempre estremamente confortevole. Avete anche una completa compatibilità dei dati di progetto indipendente dalla risoluzione.

Windows CE è supportato solo fino alla versione 7.20 inclusa. La versione 7.20 è fornita ed installata con quella corrente. Si può continuare a creare progetti per Windows CE con la versione corrente. A tal scopo, quando configurate le impostazioni del progetto, selezionate la versione 7.20 per la proprietà Crea RT file per. Essa si trova nel gruppo Generale delle proprietà di progetto.

Editor CE

Per i progetti CE, nell´Editor deve essere attivato il Checkbox 'Progetto Windows CE' che si trova sotto -> Proprietà di progetto -> Generale. Così verranno abilitate solo quelle funzioni che sono effettivamente disponibili anche sotto Windows CE. Tutte le altre funzioni verranno disabilitate (visualizzate in grigio). Fatta eccezione per VBA: nell'Editor VBA può essere utilizzato per i Wizard, ma non nel Runtime.

A seconda del tipo di licenza, l ´Editor è limitato a 8.192 TAG.

VBA sotto CE

Nell´Editor, VBA può essere usato per i Wizard. VBA non viene supportato nel Runtime.


Registrazione licenza

Manuale -> zenon Operator -> zenon sotto Windows CE -> Generale -> Registrazione licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La registrazione della licenza Runtime per Windows CE si effettua con il Trasporto Remoto. Quando create la connessione con il sistema destinatario, potete digitare il numero di serie e il numero di licenza per la versione CE. Il numero di serie viene salvato sul dispositivo CE nel file zenon6.ini. Il numero di attivazione viene salvato nella registry.

info Informazioni su

Il controllo di validità del numero di serie e del numero di attivazione viene effettuato solo in modo parziale quando sono inseriti nel Trasporto Remoto sul PC. Il controllo di validità completo viene effettuato solo durante l´avvio del Runtime sul dispositivo CE. È dunque necessario avviare il Runtime una volta dopo l´update del numero di serie/numero di attivazione al fine di verificare se questi numeri sono stati digitati in modo corretto.

Nel pacchetto standard si trova un numero di serie CE demo, che non richiede un numero di attivazione.

Example Esempio

Numero di serie demo per CE 6.0: 0.59211400.0.-256.0

La versione demo per CE 6.0:

  • è limitata a
    • 4.096 variabili
    • una durata di 10 minuti
  • contiene
    • Process Control Engine
    • Modulo Trend esteso (Starter Edition)
    • Server di archiviazione (Starter Edition):
    • zenon Web Server Pro (3 Client)

attention Attenzione

Con la Windows Mobile Edition, possono essere caricate solo circa 800 - 1000 variabili; ciò dipende dalla memoria disponibile sul dispositivo utilizzato, dai programmi installati e dalla dimensione del progetto.


Requisiti

Manuale -> zenon Operator -> zenon sotto Windows CE -> Requisiti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sotto Windows CE il Runtime è eseguibile sui più diversi dispositivi, indipendentemente dal produttore. Per ogni combinazione di sistema operativo e tipo di processore, è necessario un tipo particolare di Runtime che deve essere compilato per questa specifica piattaforma.
Requisiti minimi per un dispositivo CE:

  • 64 MB di memoria RAM.
  • 32 MB di memoria hard disk disponibile

Dato che la velocità del processore dipende in larga misura dal tipo di processore usato, non è possibile definire una velocità minima. In generale, però, si può dire che il processore dovrebbe avere una frequenza di clock di perlomeno 400 MHz.
Consigliamo:

  • 128 MB di RAM o più.
  • 64 MB o più.
  • Processore con 800 MHz per processori ARM, oppure 600 MHz per quelli di architettura x86.
  • Interfaccia di rete

info Informazioni su

Runtime e progetti dovrebbero essere salvati su una memoria a scrittura permanente.

I dispositivi CE con touchscreen hanno di solito una bassa risoluzione dello schermo. Bisogna tener conto di ciò nella fase di progettazione. Alcune finestre di dialogo, come, ad esempio, quella della "Scelta variabili" per le ricette standard, ma anche altri dialoghi nel Runtime, sono difficili da gestire o non lo sono affatto, con una risoluzione dello schermo di 320 x 240. In questo caso, però, non c`è un requisito minimo.
I suggerimenti per la progettazione includono anche linee guida che aiutano nella configurazione di risoluzioni basse.

Avvio del Runtime sul pannello CE.

Per poter avviare zenon su un pannello CE, tutti i moduli necessari devono essete presenti nell´image.

Nel caso in cui dovessero mancare dei moduli, dopo un doppio clic su zenonrce.exe apparirà solamente una clessidra che gira su se stessa. Dopo la scomparsa della clessidra, il Runtime di zenon non verrà avviato, né verrà visualizzato un messaggio di errore.

Questa reazione del sistema indica che mancano degli elementi nel sistema operativo CE e che l´image non è stata generata in modo corretto. Contattate il produttore del pannello per risolvere il problema. Il supporto tecnico di COPA-DATA sarà felice di aiutare il produttore ad analizzare l´errore.

Noch in diesem Kapitel

Versioni CE e processori supportati

Compatibilità:


Versioni CE e processori supportati

Manuale -> zenon Operator -> zenon sotto Windows CE -> Requisiti -> Versioni CE e processori supportati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella versione 7.20 di zenon vengono supportate le seguenti versioni di Windows CE ed i seguenti processori:

Processori:

  • x86
  • ARM V4/V5

Versioni CE:

  • CE 6.00
  • Windows Embedded Compact 7

Le informazioni relative alle versioni CE e ai processori supportati da precedenti versioni di zenon, le trovate nella documentazione relativa, oppure le potete richiedere al supporto tecnico di COPA-DATA.

attention Attenzione

A partire dalla versione 7.50, Windows CE non è più supportato. . Viene installata la versione 7.20 di zenon CE. Per usarla, devono essere creati i file Runtime per la versione 7.20.


Compatibilità:

Manuale -> zenon Operator -> zenon sotto Windows CE -> Requisiti -> Compatibilità:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il supporto di installazione di zenon CE contiene tutte le precedenti versioni Runtime compatibili, che si trovano in un file ZIP. Questo file contiene i file binari, ma nessun Runtime completamente funzionante.

Se create i file Runtime con una versione dell´Editor più recente, è possibile che abbiate bisogno di driver più vecchi per il Runtime. In questo caso, procedete come segue:

  • aprite la cartella Runtime compatibility sul supporto d´installazione, e passate al file ZIP corrispondente.
  • estraete il driver dal file
  • trasferite il driver al dispositivo.


File di sistema

Manuale -> zenon Operator -> zenon sotto Windows CE -> File di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il runtime per Windows CE richiede l'esistenza di diversi file di sistema. Se manca uno di questi file, il sistema operativo genera un messaggio di errore durante l´avvio del Runtime, che avverte l'utente che una o più componenti non sono state trovate. I seguenti file di sistema sono assolutamente necessari:

File | Descrizione
mfc90u.dll | Necessario per il runtime Appare un messaggio di errore al momento dell'avvio se questo file non esiste.
msvcr90.dll | Necessario per il runtime Appare una segnalazione di errore al momento dell'avvio se questo file esiste.
atl90.dll | Non è necessario per avviare il Runtime, ma per utilizzare un driver con connessione di rete. o per usare zenon in rete. Se questo file non esiste, il dispositivo non può funzionare da client, oppure non funzionano le connessioni driver TCP/IP.
IMGDECMP.dll | Non è necessario per lo start del Runtime, ma per la visualizzazione di Trasparenza, se Alpha Blending non è integrato nel sistema operativo. Non è possibile un´animazione di file GIF con Windows CE.
VBSCRIPT.dll + JSCRIPT.dll | Non è necessario per l'avvio del Runtime. Questo file è necessario per la PCE (Process Control Engine)

Alcuni di questi file di sistema vengono installati al momento dell´installazione di zenon per CE; possono essere trasferiti al dispositivo CE usando, per esempio, il tool UpdateCE. Tutti questi file di sistema dovrebbero essere integrati già dal produttore di macchinari nell´immagine del sistema operativo del dispositivo CE.

attention Attenzione

Per i produttori di immagini del sistema operativo Windows CE:
le versioni di CE precedenti alla 6.0 hanno bisogno del file toolhelp.dll. Per assicurare che il file sia disponibile sul dispositivo CE e che il Toolhelp sia disponibile inSDK, attivate il seguente inserimento nel Platform Manager :
Core OS -> Display Based Device -> Core OS Services -> Debugging Tools>Toolhelp API. In tal modo, Toolhelp.dll è parte dell´Image.
Consiglio: vi consigliamo di usare sempre il Service Pack più recente di Platform Builder.

Nota: Il file toolhelp.dll non è necessario per Windows CE 6 e non dovrebbe essere utilizzato con CE 6.

Noch in diesem Kapitel

Runtime


Runtime

Manuale -> zenon Operator -> zenon sotto Windows CE -> File di sistema -> Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Runtime per Windows CE consiste dei seguenti file:

Nome file | Descrizione
zenonrCE.exe | L'applicazione Runtime
Cd_tooCE.dll | Necessario per il Runtime
ZennetsrvCE.dll | Il servizio di rete per Windows CE. Necessario per progetti di rete.
SysSrvCE.exe | Il servizio di trasporto
LogCliLibCE.dll | Il logserver client
zenon6.ini | File di testo con le impostazioni per il Runtime, come, ad es., progetto di start, lingua del Runtime ecc.
UpdateCE.exe | Applicazione necessaria per il CE Update Tool.
RgermaCE.dll | File della lingua tedesco
RengliCE.dll | File della lingua inglese
RfrancCE.dll | File della lingua francese
RitaliCE.dll | File della lingua italiano
RrussiCE.dll | File della lingua russo
RspaniCE.dll | File della lingua spagnolo

Installate il Runtime su un dispositivo CE con il programma "Aggiorna Runtime di Windows CE...", che potete aprire con il menù Opzioni.

info Informazioni su

Per quello che concerne le connessioni a Windows CE 6.0 tramite CX1000, Profibus oppure SYCONuni, vale quanto segue: ci si deve assicurare che il file CDMemDrv.dll sia stato inviato al dispositivo CE. CDMemDrv.dll è un driver di dispositivo Windows CE. La DLL è disponibile per x86 e per ARMV4I.

Ci sono anche molti altri driver per la comunicazione hardware. Se il tipo di processore del dispositivo CE viene riconosciuto dall´Editor, il Trasporto Remoto trasferisce automaticamente con il progetto i driver usati nel progetto stesso al dispositivo CE. Il tipo o la quantità dei file trasferiti è visibile nella finestra di emissione dell'Editor.

Questi file devono essere sempre compatibili con la corrispondente versione CE e con il tipo di processore. Mischiare file di diverse versioni CE o, addirittura, service pack, può causare errori nel funzionamento del sistema o altri effetti indesiderati; perciò non è consentito.

info Info

Se, al momento dello start di zenonrce.exe, viene eseguito anche il file syssrvce.exe, si può garantire che possa sempre essere instaurata una connessione TCP. Pertanto è necessario solamente un file per la funzionalità autostar. Tuttavia, si deve provvedere a configurare un intervallo di tempo (ritardo) fra i due start.

Causa: con lo start di zenonRCE, si avvia automaticamente anche zenLogSrvCE. Ma anche al momento dello start di syssrvce, il sistema avvia automaticamente zenLogSrvCE.

Se, dunque, zenonRCE e syssrvce vengono avviati nel giro di poco tempo, entrambi cercheranno di aprire zenLogSrvCE. Ciò causa un messaggio di errore.

Soluzione: per evitare il verificarsi di questo problema, configurate un intervallo di tempo (ritardo) fra lo start di zenonRCE e quello di zenLogSrvCE. Per far ciò, potete settare nello zenon6.ini l´inserimento STARTDELAY=. Così il Runtime (zenLogSrvCE) verrà avviato più tardi. Il sistema, poi, provvederà a verificare se zenLogSrvCE è già in esecuzione, e non tenterà più di avviarlo.


Rete

Manuale -> zenon Operator -> zenon sotto Windows CE -> Rete

Naturalmente zenon può essere usato in una rete anche sotto Windows CE. Il terminale CE può fungere da server o da client in combinazione con altri terminali o PC standard. Un'ulteriore possibilità è usare il terminale CE come server dati in combinazione con un PC.

La ridondanza in rete non è supportata con Windows CE; ciò significa che un terminale CE non può avere la funzione di Server-Standby. Se, però, si usano PC come server e Server-Standby, il terminale CE può connettersi come client e collegarsi automaticamente al server attuale in caso di un cambio di ridondanza.

info Informazioni su

La funzionalità "Progettazione multiutente" non è supportata sotto Windows CE.

È possibile. però, combinare più progetti CE in un progetto d´integrazione su di un PC.

Se si vuole usare il Runtime CE in rete, devono essere soddisfatti i seguenti requisiti:

  • Connessione di rete del terminale CE
  • Rete TCP/IP con completa (!) Risoluzione di nomi
  • Nomi calcolatori e indirizzi IP univoci in rete
  • File di sistema necessario, nonché Runtime sul terminale CE. (vedi anche capitolo "Requisiti")
  • Licenza Runtime con supporto di rete sul terminale CE.

info Informazioni su

Se un terminale CE viene usato in rete, non importa se come server o come client, su di esso si deve disporre di una licenza Runtime con la rete.

Per la funzione del Trasporto Remoto non è necessaria una licenza di rete!

In mancanza di una licenza di rete, zenon viene avviato automaticamente come standalone e ogni dispositivo CE stabilisce una propria connessione con il PLC.

Noch in diesem Kapitel

Impostazioni di rete

Terminale CE come server

Terminale CE come client

Possibilità di diagnostica

Terminale CE come server dati


Impostazioni di rete

Manuale -> zenon Operator -> zenon sotto Windows CE -> Rete -> Impostazioni di rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Visto che la risoluzione dei nomi non esiste sempre sotto Windows CE, può essere necessario rendere noti il nome calcolatore e l'indirizzo IP del terminale CE e del PC. Sul PC si usa a questo scopo il file di testo HOSTS, che si trova nella cartella /Windows/System32/Drivers/ETC. Si devono inserire in questo file l'indirizzo IP e il nome calcolatore del terminale CE, in lettere maiuscole e separati da un tab stopp. Ad esempio: 192.168.0.100 WINDOWSCE2

info Informazioni su

Quando salvate questo file, fate attenzione a non salvarlo con l´estensione .txt!

Il link fra il nome computer e l'indirizzo IP deve essere definito sia sul PC, che sul terminale CE, se la rete non supporta completamente una risoluzione dei nomi dinamica. (In caso di risoluzione dinamica, la risoluzione del nome computer avviene sulla base dell'indirizzo IP). Sul PC, questa informazione viene salvata nel file 'HOSTS', che si trova sotto '/Windows/system32/drivers/etc'.

Il sistema operativo Windows CE non supporta la funzionalità di un file HOSTS. Per far in modo che la risoluzione del nome funzioni correttamente anche sul terminale CE, bisogna inserire il nome calcolatore e il corrispondente indirizzo IP nello zenon6.ini del terminale CE. Si deve effettuare il seguente inserimento:

Example Esempio

[IPADDR]
My computer name=my IP address
CE_Terminal Name =CE_Terminal IP-Adresse

SERVERNAME=192.168.1.152

Inserite alla voce "SERVERNAME " il nome del vostro server. Modificate l'indirizzo IP inserendo l'indirizzo IP del vostro server.

Esempio: il vostro server è PC0815 e ha l'indirizzo IP 192.52.9.32: in questo caso inserite sopra: PC0815=192.52.9.32

Ricordatevi di scrivere il nome calcolatore in LETTERE MAIUSCOLE!

Altri esempi

[IPADDR]

WINDOWSCE2=192.168.0.100

PC1=192.168.0.1

Visto che non è sempre detto che il terminale CE conosca il proprio nome calcolatore, è possibile che dobbiate inserire anche quest´ultimo in questa sede.

attention Attenzione

Non usate indirizzi IP dinamici se non c´è risoluzione del nome in rete.


Terminale CE come server

Manuale -> zenon Operator -> zenon sotto Windows CE -> Rete -> Terminale CE come server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questo caso, il progetto sul terminale CE è un progetto server (con ambito di funzionalità ristretto). Tutti gli altri calcolatori che si connettono al terminale sono client (sia i PC client, che CE client; anche Web Client sono possibili).

I driver utilizzati vengono avviati sul terminale CE. Visto che un terminale CE è utilizzato da server, anche l'ambito di funzionalità sui PC client è ridotto. L'utilizzo di un terminale CE come server in standby, come già detto, non è possibile.

Questo modello ha i seguenti caratteri:

Il progetto CE continua ad avere un ambito di funzionalità ridotto, il che significa che non è possibile un'archiviazione dei dati e che non sono disponibili dei moduli.

Il terminal CE manda i dati di processo a tutti i client connessi. La gestione allarmi, i calcoli matematici REMAs sono gestiti dal terminale CE.

Nel caso in cui siano connessi molti client, il terminale CE è sottoposto ad un carico di rete relativamente grande, il che può condurre a problemi di sovraccarico del terminale CE stesso.

La progettazione del terminale CE come server in pratica:

Per poter dichiarare il Terminale CE come server, bisogna inserire il nome calcolatore del Terminale CE come server in fase di configurazione del progetto. Fate attenzione a digitare il nome calcolatore in lettere maiuscole. Una volta conclusa la fase di progettazione, i file runtime devono essere trasmessi mediante Trasporto Remoto al server (terminale CE). Poi dovete trasferire per una sola volta i dati runtime a tutti i client.

Deve essere realizzato un solo progetto per l'intero sistema. Eventuali modifiche del progetto devono essere solamente trasferite al server. In caso di modifiche del progetto, tutti i client vengono riforniti dei dati di progettazione attuali.

Devono essere usate nel progetto solo quelle funzionalità che un terminale CE può supportare. L'interruttore Progetto CE è uno strumento molto utile a questo scopo. Impedisce che impostiate moduli (immagini, funzioni ecc.) che con Windows CE comunque non funzionerebbero.

Per consentire, nonostante l'uso di un terminale CE, l'archiviazione dei dati, nonché la possibilità di usare moduli, come ad es. "trend esteso" o "generatore di rapporti" e per poter rifornire una molteplicità di client di dati senza che questo significhi una riduzione delle possibilità di gestione su posto, sono state sviluppate ulteriori possibilità di progettazione:


Terminale CE come client

Manuale -> zenon Operator -> zenon sotto Windows CE -> Rete -> Terminale CE come client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa configurazione, il progetto sul terminale CE non è un progetto server. Il progetto sul terminale CE si collega, dunque, come client ad un server. Quest´ultimo può essere sia un PC, che un altro terminale CE.

Questo modello ha le seguenti caratteristiche:

Il progetto CE ha un limitato ambito di funzionalità sul client; ciò significa che sul client CE vengono visualizzate solo quelle funzioni che sono supportate da CE. Archivi, trend esteso, manager di gruppi ricette, Message Control ecc. non sono disponibili. Il progetto sul server, tuttavia, può naturalmente contenere tali elementi, a patto che il server sia un PC. Su un PC client - se si dispone di una licenza valida - è disponibile l´intero progetto. Per evitare di confondere inutilmente l´operatore, il sistema mette a disposizione del progettista la seguente opzione: "Visibile sotto CE" Se questo Checkbox non è spuntato, non vengono visualizzati gli elementi corrispondenti sul terminale CE.

Il carico di rete per il CE Client è irrilevante, visto che esiste sempre solo una singola connessione, quella con il server. I driver sono avviati sul server.

La progettazione del terminale CE come client in pratica:

Deve essere realizzato un solo progetto per l'intero sistema. Questo progetto è attivo sul server cui spetta la priorità gerarchica per tutti i dati.

La progettazione si svolge al PC dal quale vengono trasmessi al server e ai client tutti i file di runtime prodotti mediante la funzione del Trasporto Remoto.

Nel caso in cui ci siano delle modifiche apportate al progetto in un secondo momento, è sufficiente trasmetterle al server tramite Trasporto Remoto. I client ricevono queste modifiche dopo aver eseguito la funzione "aggiorna progetto runtime".

Non deve essere settato l'interruttore Progetto CE. A disposizione del progetto c'è la completa funzionalità di zenon. Visto che dalla parte di CE è disponibile solo un limitato ambito di funzionalità, le funzioni che non esistono in CE, non vi vengono eseguite (moduli, determinate funzioni, ecc.)

Per non confondere inutilmente l´operatore che gestisce il macchinario mostrando sul terminale CE immagini e funzionalità che non funzionano o che non deve usare, nell´Editor il progettista ha la possibilità di abilitare l´opzione "Visibile sotto CE" per immagini e pulsanti. Abilitando tale opzione, il progettista ha la possibilità di creare il suo progetto in tal modo che una parte sia visibile con CE, ed un'altra solo sul PC (server PC, altri PC client...).


Possibilità di diagnostica

Manuale -> zenon Operator -> zenon sotto Windows CE -> Rete -> Possibilità di diagnostica

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Terminale CE come server

Per sincerarsi che il terminale CE abbia effettivamente assunto la funzione di server, si può provare a cancellare mediante Explorer sul terminale CE uno dei driver usati nel progetto mentre il Runtime è in esecuzione. Se questa operazione riesce, significa che il Runtime non è in esecuzione sul terminale CE come server (non è possibile cancellare delle applicazioni aperte in modo esclusivo). E' possibile che il terminale CE non conosca il suo nome corretto o che il Runtime sul terminale CE non possieda una licenza per la rete.

Terminale CE come client

Se il client non riesce a stabilire una connessione con il server, vengono visualizzati dei punti blu sugli elementi dinamici. L'opzione "Visualizza stato" deve essere attivata per gli elementi dinamico nella finestra delle proprietà.

Driver di sistema:

Il driver di sistema offre una molteplicità di variabili per la diagnosi di rete.

Altro

Se il terminale CE è usato in rete, deve essere possibile stabilire una connessione con esso usando il comando: telnet NOME COMPUTER 1100 nel prompt dei comandi. (Cursore lampeggiante nell'angolo in alto a sinistra). Il Runtime deve essere avviato sul terminale CE.

NOME COMPUTER è in questo caso il nome del terminale CE (a cui si può risalire attraverso il pannello di controllo del terminale stesso); 1100 è il numero di porta attraverso la quale comunica il servizio di rete (zennetsrvce.dll).

Se il tentativo di connessione via telnet fallisce, ciò può dipendere dalle seguenti cause: la risoluzione dei nomi in rete non funziona; il Runtime del terminale CE non ha una licenza di rete; oppure il file di sistema atl90.dll non esiste sul terminale.

Il file zennetsrvce.dll per la rispettiva piattaforma viene trasferito automaticamente al terminale CE via Trasporto Remoto (Trasporto remoto: "Trasporta tutti i file Runtime"). Se non dovesse essere il caso, probabilmente non sono installati sul calcolatore i file runtime per CE. Se nel menù "Opzioni" dell´Editor c´è il comando "Aggiorna Runtime di Windows CE ", i file Runtime per CE sono installati.

Se succede che si connette ad un server una volta un client ed una volta un altro client, la causa potrebbe essere che probabilmente entrambi i terminali CE usano lo stesso nome calcolatore. Windows CE non genera una segnalazione di errore se un nome calcolatore è già usato in rete.


Terminale CE come server dati

Manuale -> zenon Operator -> zenon sotto Windows CE -> Rete -> Terminale CE come server dati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per rendere possibile l'archiviazione dei dati nonostante l'utilizzo di un terminale CE con connessione di processo (per es. all'interfaccia MPI del terminale CE), per poter usare dei moduli come "Trend esteso" o "Generatore Report" e per poter rifornire di dati numerosi client senza avere riduzioni di prestazioni, è stata implementata la possibilità di usare il terminale CE come server dati.

Questo modello ha le seguenti caratteristiche:

Qui il terminale CE funge in primo luogo da cosiddetto server di dati: ciò significa che tutti i dati driver vengono inviati in background ad un altro calcolatore (server PC), che svolge la funzione di server vero e proprio. Quest'ultimo può archiviare i dati, gestire la lista allarmi e CEL e rifornire di dati una quantità qualsiasi di client. E' possibile usare anche altri moduli, come, ad esempio, il Manager di gruppi ricette, il Message Control, il server SQL, il Trend esteso ecc.

Il terminale CE è, in secondo luogo, uno di questi client e riceve dunque dal server tutti i dati online, le immagini, i messaggi di allarme ecc.

Nel caso di un guasto del PC Server, il terminale CE assume la gestione degli allarmi e della CEL.

attention Attenzione

Il terminale CE non salva gli inserimenti allarmi e CEL mentre il server è inattivo.

I moduli non supportati sotto CE, non funzioneranno. Dovete assicurarvi che nessun dato per l'archiviazione venga salvato sul terminale CE. Il terminale CE non assume la funzione di server per i client connessi. I client indicano l´esistenza di problemi di comunicazione visualizzando punti blu.

Come in una rete ridondante (con server e server-standby), anche in questo caso la posizione dominante è riservata al server vero e proprio; ciò significa che, dopo il ritorno in funzione del PC server, il terminale CE ritorna alla sua funzione di server dati. I dati dei driver e i dati HDD vengono sincronizzati. Il server usa gli ultimi dati AML e CEL validi e li invia a tutti i client (anche al server dati). Il modulo di archiviazione sul PC server è di nuovo in funzione ed in grado di archiviare, e gli altri client sincronizzano i loro dati con quelli del server e riprendono a ricevere dei dati. Per motivi tecnici, la sincronizzazione di driver di sistema e matematico funziona solo in parte.

Se il server dati smette di funzionare, il problema di comunicazione viene segnalato sul server e su tutti i client mediante punti rossi sugli elementi. Il server non si connetterà direttamente con il PLC!

Questo modello può essere usato universalmente anche in una rete PC, ad esempio usando direttamente sul macchinario un PC dalle potenzialità limitate, il quale ha una connessione dati con il processo. L'archiviazione dei dati, però, non avviene su questo calcolatore, ma su un altro server zenon in rete, che realizza tale archiviazione e cui spetta un ruolo prioritario nella gestione dei dati.

Conclusione: se il server dati smette di funzionare, non c`è comunicazione con il PLC. Tutti i client visualizzano valori disturbati e non viene archiviato alcun dato. Se il server smette di funzionare, inoltre, non ci sarà archiviazione dei dati per tutta la durata di tale malfunzione. Per l´intera durata della malfunzione, dunque, non saranno disponibili dati archiviati. Se il server smette di funzionare, il server dati assume la gestione allarmi, ma gli allarmi che entrano ed escono in questo lasso di tempo non vengono registrati sul server.

Progettazione di un concetto per il server dati in pratica:

La progettazione avviene sul PC, e i file Runtime creati vengono trasmessi al server e al terminale CE mediante il Trasporto Remoto. i . Tutti i client (anche il server dati si comporta come uno di essi) vengono aggiornati automaticamente in caso di modifica del progetto.

attention Attenzione

Nella configurazione di progetto, il nome calcolatore del PC deve essere inserito come server, quello del terminale CE come Server-Standby. Inoltre deve essere abilitata l'opzione "Server 2 come Server dati".

Non deve essere necessariamente settata l´opzione " Progetto Windows CE". Così l´intera funzionalità di zenon sarà disponibile per il progetto. Visto che con CE offre solo un limitato spettro di funzionalità, quelle funzioni che non sono supportate da questo sistema operativo non vi verranno eseguite (moduli, determinate funzioni, ecc.)

Per non confondere gli operatori offrendogli sul terminale CE immagini e funzioni non supportate o che non deve usare, il progettista ha la possibilità nell´Editor di abilitare per immagini e pulsanti l´opzione "Visibile sotto CE". Con tale opzione, il progettista ha la possibilità di realizzare il suo progetto in tal modo che sia visibile una parte sotto CE, ed un'altra solo sul PC (server PC, altri PC client...).

Altre limitazioni del server dati:

  • Il driver di sistema e il driver matematico hanno un trattamento particolare nell´ambito del concetto del server dati (e solo in questo contesto): sia l'uno che l'altro vengono eseguiti solo sul server. Il server dati, dunque, non riceve i valori di questi driver. Solo quando il server viene terminato, si avviano il driver di sistema e il server matematico sul server dati. . E, non appena il server è di nuovo online, il server dati ritorna alla sua funzione originale e i due driver sono di nuovo attivi sul server. A partire da questo momento, il server dati non riceve più valori dal driver di sistema e dal driver matematico. Proprio per questo le variabili matematiche non funzionano correttamente nel concetto del server dati.
  • Le variabili globali del driver di sistema, come, ad esempio, "Nomi dei clients collegati", "Quantità clients collegati", "Server primario attuale", sono gestite dal server. Il server non invia queste variabili al server dati. Così il server dati visualizza per queste variabili i suoi contenuti locali, che non corrispondono a quelli del server. Ciò dipende dal funzionamento del sistema e non può essere modificato.
    L'unica eccezione è rappresentata dalle variabili locali del driver di sistema, come ad esempio "Memoria libera RAM", "Spazio disco libero" ecc.. L´update di queste variabili avviene sempre localmente, sul singolo calcolatore.
  • Rete nominale:
    • Quelle variabili del driver interno per le quali nel gruppo Variabili Interne la proprietà Funzionamento è stata settata su Rete, non sono disponibili per i terminali CE come server dati.
      Se questa proprietà è settata su "Locale", sono supportati solamente client e Server 2. Server 1 non viene assolutamente supportato con questa configurazione.
    • Se per una variabile è stata attivata la proprietà Richiedere solo da Server standby, i suoi valori non vengono forniti né dal Server 2, né dal Server 1. In questo caso appare accanto alla variabile un quadrato blu che indica l´esistenza di un problema di comunicazione.
    • Quei driver per i quali è stata configurata la proprietà Stop al server server standby, non funzionano sul Server 1, se il Server 2 è il server dati.
      Nota: questa proprietà si trova nel dialogo di configurazione di ogni driver nella scheda Generale.
      In questo caso appare accanto alla variabile un quadrato blu che indica l´esistenza di un problema di comunicazione.
    • Visto che il server dati del terminale CE non è un "vero" server, la funzione di zenon Cambio ridondanza non è disponibile.

info Informazioni su

Come alternativa al concetto del server dati, a partire dalla Versione 6.20 si può usare l'archiviazione multi-progetto che consente di archiviare dati da diversi terminali CE. Per consentire ciò, ogni terminale CE ha bisogno di una licenza di rete ed il terminale CE deve essere definito come server nel progetto.

Su un PC provvisto di una licenza di archiviazione, i progetti CE vengono aggiunti come sotto-progetti. Nel progetto di integrazione possono essere aggiunte tramite la configurazione archivi delle variabili dei sotto-progetti.

Nota: delle informazioni più precise le potete ottenere nella guida riguardante l'archiviazione.


Connessione via Windows Mobile Device Center

Manuale -> zenon Operator -> zenon sotto Windows CE -> Connessione via Windows Mobile Device Center

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con l´aiuto del programma Windows Mobile Device Center potete instaurare una connessione fra un terminale industriale CE e un PC.

Noch in diesem Kapitel

Connessione USB sotto Windows 7

Update del Runtime Windows CE


Connessione USB sotto Windows 7

Manuale -> zenon Operator -> zenon sotto Windows CE -> Connessione via Windows Mobile Device Center -> Connessione USB sotto Windows 7

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando si ha una connessione USB fra un dispositivo CE e un calcolatore sotto Windows 7:

  1. assicuratevi che sia possibile connettersi a Internet
  2. collegate i due dispositivi con un cavo USB
  3. se esiste una connessione Internet, il Windows Mobile Device Center viene installato automaticamente e viene instaurata la connessione.
  4. potete poi trasferire dati nel modo descritto nel capitolo Update Windows CE Runtime .

info Informazioni su

Se non c`è una connessione Internet attiva, però, il Windows Mobile Device Centermnon non verrà installato e configurato automaticamente. In questo caso:

  • instaurate la connessione Internet
  • aprite il Pannello di controllo e passate alla Gestione periferiche
  • cliccate con il tasto destro del mouse sul dispositivo che non è stato ancora riconosciuto
  • selezionate "Aggiornamento software driver"
  • Windows installa il driver
  • Windows installa il Windows Mobile Adapter e, con esso, il Windows Mobile Device Center


Update del Runtime Windows CE

Manuale -> zenon Operator -> zenon sotto Windows CE -> Connessione via Windows Mobile Device Center -> Update del Runtime Windows CE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per effettuare un update del Runtime Windows CE:

  • Assicuratevi che il Transport Service di zenon (SysSrvCE.exe) sia eseguito sul dispositivo CE.
  • Assicuratevi di non aver instaurato una connessione remota con il dispositivo per mezzo dell´Editor di zenon.
  • Selezionate nel menù di zenon Opzioni, il comando Aggiorna Runtime di Windows CE
  • Si apre la finestra di dialogo che serve al trasferimento dei file Runtime.
  • Configurate la connessione.
  • Definite i file che volete trasferiti.
  • Selezionate la versione.
  • Avviate l´update.

Nota: se trasferite/installate il Runtime per la prima volta, tenete presente le indicazioni del capitolo Installazione manuale e Runtime-Update .

Configurare la connessione.

Configurate la connessione con il dispositivo Windows CE alla voce Connection.

Parametri | Descrizione
Serial | Impostazione per connessione seriale con il dispositivo Windows CE; deve essere selezionato il numero di porta.
TCP/IP | Impostazioni per connessione TCP/IP con il dispositivo Windows CE.
Adress | Indirizzo IP.
Name | Nome computer.
Syssrvce.exe starts with these settings | Impostazione per lo start di syssrvce.exe.
Serial | Attivo: viene selezionata la connessione seriale; deve essere scelto un numero di porta.
TCP/IP | Attivo: viene selezionata la connessione TCP/IP.
Connection with MS ActiveSync | Impostazioni per la connessione via MS ActiveSync
Use MS ActiveSync for initial transport of syssrvce.exe | Attivo: syssrvce.exe viene trasferito durante il primo transport via MS ActiveSync.
Destination folder | Cartella di destinazione.
Help | Apre la guida online.
Save | Salva tutte le modifiche.
Exit | Chiude il tool di Update CE e dà la possibilità di salvare prima le modifiche non ancora salvate.

Definire i file da trasferire

Parametri | Descrizione
Files to update | File che devono essere trasferiti.
HMI Runtime | Attivo: trasferisce i file di zenon al dispositivo di destinazione. Default: attivo
PLC Runtime | Attivo: trasferisce i file di zenon al dispositivo di destinazione. Default: inattivo
OS system files | Attivo: trasferisce i file necessari del sistema operativo. Default: attivo
Update zenon6.ini | Trasferisce lo zenon6.ini al dispositivo di destinazione. In tal modo vengono modificate anche le informazioni sulla licenza sul dispositivo di destinazione.
Options |
Language | Lingua desiderata sul sistema di destinazione. Default: English
HMI drivers | Selezione dei driver HMI da trasferire.
Available | Lista dei driver disponibili.
Selected | Lista dei driver selezionati.
Add | Aggiunge i driver selezionati alla lista dei driver scelti.
Add all | Aggiunge tutti i driver alla lista dei driver scelti.
Remove | Rimuove i driver selezionati dalla lista dei driver scelti.
Remove all | Rimuove tutti i driver dalla lista dei driver scelti.
Help | Apre la guida online.
Save | Salva tutte le modifiche.
Exit | Chiude il tool di Update CE e dà la possibilità di salvare prima le modifiche non ancora salvate.

Selezionare versione

Selezionate nella scheda Versions la versione adatta, nel caso in cui essa non venga riconosciuta automaticamente.

Parametri | Descrizione
WinCE version | Versione del sistema operativo Windows CE sul dispositivo di destinazione. Cliccando sul pulsante, si apre il menù a tendina che serve alla selezione.
Processor type | Processore del dispositivo.
Source path | Percorso per la cartella che contiene i file. Cliccando sul pulsante ... si apre la finestra di dialogo per selezionare una cartella.
New | Aggiunge un nuovo inserimento vuoto nella lista.
Delete | Cancella l´inserimento selezionato dalla lista.
Test | Controlla le impostazioni.
Help | Apre la guida online.
Save | Salva tutte le modifiche.
Exit | Chiude il tool di Update CE e dà la possibilità di salvare prima le modifiche non ancora salvate.

Avvia update

Per instaurare una connessione:

  • Cliccate nella scheda Update su Start.

  • I dati per il trasferimento vengono verificati e visualizzati in una finestra.
  • Cliccando sul pulsante Next, avviate il trasferimento al dispositivo di destinazione.

Se il trasferimento non può essere avviato per la mancanza di file, sarà visualizzato un messaggio di errore contenente la lista dei file mancanti:

  • Se ricevete il messaggio di errore The current update was not completed, l'update è stato interrotto, oppure eseguito non correttamente.

info Informazioni su

Se volete sostituire zenVNCServer.exe per mezzo di un update, esso viene chiuso, e riavviato dopo l´update. Perché ciò accada, il file zenVNCSrvCE.exe

che si trova in UpdateCE.ini nella sezione [SOURCES_FILES_GENERAL], deve contenere i seguenti inserimenti (esiste di default):

  • zenVNCSrvCE.exe
  • zenVNCCfgCE.exe


Manager di gruppi ricette

Manuale -> zenon Operator -> zenon sotto Windows CE -> Manager di gruppi ricette

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dialogo filtro nel Runtime

Se nell´ambito delle opzioni della Tabella valori ricette nel cambio immagine si attiva la proprietà Con dialogo filtro, sotto Windows CE sono disponibili solamente un numero limitato di opzioni:

  • Filtro di ricetta
  • Impostazioni colonne (per tabella ricette)

Selezione ricette, Progettazione impianto e Impostazioni colonne per Lista ricette non sono disponibili.


Trasparenza

Manuale -> zenon Operator -> zenon sotto Windows CE -> Trasparenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Sotto Windows CE, i file GIF possono essere visualizzati con l´effetto della trasparenza. Al contrario, sotto Windows CE le impostazioni di trasparenza non sono disponibili per le funzioni grafiche estese.

Per visualizzare un file GIF trasparente sotto Windows CE, bisogna procedere come segue:

  • sul dispositivo di destinazione deve esserci il file IMGDECEMP.dll.
    Se esso manca, potete richiederlo a support@copadata.com.
  • La trasparenza può avere il valore 0% o 100%. Valori intermedi non sono possibili.

info Informazioni su

La trasparenza di file PNG da 0% a 100% sotto Windows CE non è un elemento di zenon, ma se ne può fare uso tenendo presenti certe condizioni:

  • Si deve usare la versione di zenon 6.22 SP1 o quelle più recenti.
  • Alpha Blending deve essere stato già implementato dal produttore del dispositivo di destinazione; COPA-DATA non può offrire alcun supporto in questo caso.


Pocket PC e Windows Mobil Edition

Manuale -> zenon Operator -> zenon sotto Windows CE -> Pocket PC e Windows Mobil Edition

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Al momento di chiudere zenon con X su un Pocket PC oppure sulla Windows Mobile Edition, tenete presente che l'applicazione non viene chiusa, ma che continua ad essere attiva in background.

Se si vuole evitare che, quando si avvia di nuovo l'applicazione, il dispositivo tenti di avviare nuovamente zenon, avete la possibilità con il tool Start_CERT.exe di recuperare l'applicazione in primo piano, oppure, se questa non dovesse essere stata già avviata, di farlo in quel momento.

Se lavorate con Pocket PC o con piattaforme Windows Mobile, vi consigliamo di avviare il Runtime usando Start_CERT.exe, e non direttamente con un link.

Nota: Pocket PC non verrà più supportato da partire dalla versione 7 di zenon.


zenon Remote Desktop

Manuale -> zenon Remote Desktop

Con il zenon Remote Desktop potete creare una connessione "Remote Desktop" con un un sistema di destinazione remoto e amministrare semplicemente un calcolatore remoto. Ciò significa che potete realizzare dalla Vostra postazione di lavoro una connessione visiva con un altro PC o un apparecchio CE. La visualizzazione del desktop corrisponde esattamente a quella del sistema destinatario.

Il zenon Remote Desktop realizza una connessione di pura osservazione o anche una di gestione.

tutorial Informazioni sulla licenza

Parte della licenza standard per Editor e Runtime

Differenze fra la rete di zenon, zenon Remote Desktop e Windows Remote Desktop

Il zenon Remote Desktop non può sostituire una rete zenon. Si tratta infatti di una pura trasmissione delle informazioni visualizzate sullo schermo. Ciò significa che in tutti i computer collegati viene visualizzata la stessa immagine. Servendovi della rete di zenon, invece, siete in grado naturalmente di visualizzare delle diverse immagini su ognuno dei client.

Rispetto a quello di Windows, il zenon Remote Desktop di zenOn ha il vantaggio che più computer possono connettersi contemporaneamente con il sistema destinatario. Il sistema destinatario, da parte sua, rimane gestibile in modo completo anche se viene creata una connessione remota. Nel caso si usi il Remote Desktop di Windows, invece, si può lavorare solo o dal PC remoto, oppure dal sistema destinatario.

Attivazione

Per evitare delle falle nel sistema che possono rivelarsi pericolose ai fini della sicurezza, il zenon Remote Desktop non viene attivato sul PC al momento della installazione. Per poterlo utilizzare, dovete prima di tutto attivarlo (vedi Configurazione). Con Windows CE, il servizio Remote Desktop zenVNCSrvCE.exe deve essere avviato manualmente, oppure mediante i meccanismi di autostart di Windows CE.

Il zenon Remote Desktop non viene disinstallato quando si disinstalla zenon con il setup, ma rimane sul computer. Se volete eliminare questa funzione, leggete come fare nel capitolo Disinstallazione.

attention Attenzione

Il zenon Remote Desktop viene fornito con delle password standard. Vi consigliamo, però, di modificarle nel software di configurazione! (vedi sezione Configurazione).

Noch in diesem Kapitel

Struttura

Configurazione

Stabilisci collegamento

Limitazioni

Presupposti / Ricerca degli errori

Disinstallazione


Struttura

Manuale -> zenon Remote Desktop -> Struttura

Il zenon Remote Desktop consiste di tre componenti:

Parametri

Descrizione

Servizio zenon Remote Desktop

Il servizio zenon Remote Desktop trasmette le informazioni del desktop attraverso la rete al software di osservazione. Sul PC il servizio non ha alcuna interfaccia e funziona in background come programma Windows invisibile. Non viene avviato come servizio Windows.
Con Windows CE, il servizio è visibile come Tray-Icon.

Il servizio zenon Remote Desktop dispone anche di un server web HTTP integrato. Quest'o Web Server offre un punto di entrata per qualsiasi browser web. Potete avviare una connessione visuale Remote Desktop direttamente nel Vostro browser.

Configurazione zenon Remote Desktop

Mediante il software di configurazione potete stabilire le modalità di funzionamento del servizio.

Software di osservazione zenon Remote Desktop.

Facendo uso del software di osservazione potete vedere il zenon Remote Desktop dal Vostro PC. Ce ne sono due tipi:

  • un software di osservazione Windows standard, che si avvia o dal Trasporto Remoto nell'editor, oppure mediante il menù "Start" di Windows.
  • Connessione diretta mediante web browser standard senza software estraneo. La visualizzazione del Remote Desktop avviene in questo caso direttamente nel browser web.


Configurazione

Manuale -> zenon Remote Desktop -> Configurazione

Con il software di configurazione del zenon Remote Desktop potete adattare la connessione desktop remoto alle Vostre esigenze personali.

Impostazione

Descrizione

Enable Remote Desktop service

Attiva il servizio Remote Desktop.

Se il servizio è disattivato, ne viene eliminata la registrazione completamente e non è più a disposizione. Esso può essere attivato di nuovo solo facendo uso di questo software di configurazione.

Tenete presente che, nel caso in cui il server HTTP è attivo, la password dovrebbe essere modificata prima della disattivazione.

Enable built-in HTTP server

Attiva il server HTTP integrato. La pagina di Start visualizzata è fissa e non può essere modificata.

Attenzione: Anche nel caso in cui si disattivi il server HTTP, si può continuare ad aprire la pagina di registrazione effettuando un refresh browser.
La pagina viene deviata dal Chache dalla normale HTTP Port (5600) alla Remote Desktop Port (5610). Rimane intatta la possibilità sia di effettuare la registrazione che accedere al sistema. Per impedire l'accesso improprio al sistema, modificate la password oppure chiudete la porta del Remote Desktop 5610.

Primary password

Consente un accesso di gestione al calcolatore.

Trattamento della password

  • La password standard per la prima installazione è SCADA-ALL.
    Vi consigliamo di modificare la password, per evitare un accesso non autorizzato.
  • La lunghezza della password è limitata a 8 caratteri.
    Può essere inserita però la password standard SCADA-ALL.
  • La password può essere cambiata in qualsiasi momento anche senza conoscere quella attuale.
  • Nel caso in cui non indichiate nessuna password, viene visualizzata una segnalazione di avvertimento nel momento in cui lasciate il relativo campo.

View-only password

Se inserite questa password al momento della creazione della connessione, ottenete un accesso al desktop limitato alla sola visione.

Trattamento della password

  • La password standard per la prima installazione è SCADA.
    Vi consigliamo di modificare la password, per evitare un accesso non autorizzato.
  • La lunghezza della password è limitata ad un numero massimo di 8 segni.
  • La password può essere cambiata in qualsiasi momento anche senza conoscere quella attuale.
  • Nel caso in cui non indichiate nessuna password, viene visualizzata una segnalazione di avvertimento nel momento in cui lasciate il relativo campo.

Log information to zenVNC.log

Il servizio zenon Remote Desktop scrive informazioni di analisi nel file zenVNC.log. Il file si trova nella cartella user temp: C:\Users\Default\AppData\Local\Temp

Potete vedere questa cartella solo se avete attivato nelle proprietà delle cartelle di Windows Explorer l'opzione "mostra file e cartelle nascosti"..

Log detailed debugging information

Il servizio zenon Remote Desktop scrive informazioni dettagliate di errore e di debugging nel file zenVNC.log. Questa opzione è necessaria solo per effettuare un'ampia analisi degli errori.

Block remote input events

Se volete rendere impossibile un accesso dall'esterno che permetta delle modifiche, anche se la primary password è nota, potete impostare questa opzione. In questo caso ogni tentativo di accesso da PC remoti volto ad effettuare delle modifiche è reso impossibile. E' possibile solo un accesso per pura osservazione.

Block remote input on local activity

Se sul computer locale si verificano delle operazioni di gestione (sia per mezzo della tastiera che per mezzo del mouse), sono esclusi degli interventi di gestione di computer remoti. Alla scadenza del tempo impostato, la gestione da fuori ridiventa possibile.

attention Attenzione

Se non cambiate le password, ognuno può accedere inosservato al Vostro computer!!

Sono permesse anche delle password vuote, ma Vi consigliamo vivamente di non adottare questa soluzione. Ciò perché, con delle password vuote, permettete che ognuno possa accedere inosservato al Vostro computer.

info Informazioni su

Tutte le modifiche divengono effettive solo dopo che avete cliccato su OK . In questo modo il servizio zenon Remote Desktop viene sempre riavviato. I computer collegati perdono la connessione.


Stabilisci collegamento

Manuale -> zenon Remote Desktop -> Stabilisci collegamento

Avete le seguenti possibilità di instaurare una connessione desktop remoto:

Integrata nel Trasporto Remoto:

Il zenon Remote Desktop è direttamente integrato in zenon. Mediante il pulsante Remote Desktop:: avvia connessione, potete instaurare una connessione nella barra degli strumenti del trasporto remoto. Viene automaticamente utilizzato il sistema destinatario impostato nel Trasporto Remoto. Se in quest'ultimo non è stato indicato alcun computer, viene utilizzato il server impostato nella configurazione di rete.

Vi preghiamo di tenere presente, che nel Trasporto Remoto deve essere impostato come mezzo di trasporto TPC/IP.

La creazione della connessione avviene secondo lo stesso meccanismo del collegamento instaurato mediante il menù "Start"; l'unica differenza è che non deve essere indicato il nome del computer remoto.

Mediante il menù "Start":

Nel caso in cui abbiate l'intenzione di instaurare una connessione zenon Remote Desktop con un altro sistema destinatario, potete farlo usando il collegamento presente nel menu "Start" alla voce Start - COPA-DATA - ToolsXX - Avvia connessione Remote Desktop.

Parametri | Descrizione
Server | Qui dovete inserire il nome computer oppure l'indirizzo IP del sistema destinatario.
Connection profile | I profili della connessione stabiliscono la larghezza di banda necessaria della rete. Tanto minore è la larghezza di banda disponibile da Voi impostata, tanto maggiore è la compressione della trasmissione dei dati e tanto peggiore sarà anche la visualizzazione delle immagini. Queste opzioni possono essere impostate solamente all'inizio della connessione e non possono essere più modificate in seguito. Nel caso vogliate effettuare delle modifiche, dovete chiudere la connessione e instaurarne un'altra.
Options | Apre il dialogo Connection Options. Le opzioni di connessione potete modificarle anche più tardi, dopo aver instaurato il collegamento. La descrizione delle opzioni la trovate nel capitolo Opzioni di connessione.

Appena cliccate su Connect, si instaura la connessione.

Per mezzo di un browser web:

Un'altra possibilità è quella di creare una connessione per mezzo di un browser web standard. Ciò è possibile solo nel caso in cui sia installato un runtime Java sul Vostro computer. La versione più attuale di quest'ultimo, la potete trovare sulla Java Homepage. http://www.java.com.

Avviate il browser web e inserite nella riga dell'indirizzo il nome computer oppure l'indirizzo IP del sistema destinatario, seguiti dal numero di porta :5600.

Esempio: http://MyRemotePCName:5600.

Java Version 8.45 o superiore

Con la versione 8.45, sono stati implementati in Java dei livelli di sicurezza più elevati. Può dunque accadere che non sia più possibile instaurare una connessione via http con un server di connessione zenon remote desktop.

Per continuare a connettersi via http:

  • Installate la versione 7 di Java.
  • Usate un client VPN, invece di un web browser.
  • Usate TightVNC (a partire dalla versione 2.7.10) per la connessione HTTP.
    • Website del produttore:
      www.tightvnc.com/
    • Link per il download:
      www.tightvnc.com/release-2.7.10.php

info Informazioni su

Vale per tutte le possibilità di connessione: non è possibile una connessione al PC locale!

Nel caso ci dovessero essere problemi di collegamento, controllate i Presupposti.

Noch in diesem Kapitel

Autenticazione

Software di osservazione standard

Software di osservazione Web


Autenticazione

Manuale -> zenon Remote Desktop -> Stabilisci collegamento -> Autenticazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Software di osservazione standard

Mentre la connessione viene instaurata, appare un dialogo di informazione nel quale potete sincerarvi che state creando il collegamento con il sistema destinatario giusto.

Dovete inserire in questo dialogo la password di connessione. Non è necessario un nome utente.

Interfaccia Web

_

Dovete inserire in questo dialogo la password di connessione. Nella riga dei titoli vedete adesso con quale Remote Desktop siete connessi.

Password

Per poter instaurare un collegamento, dovete conoscere le password di connessione. La password PrimaryVi consente l'accesso completo al remote desktop. La password View-only, invece, consente solo la modalità di osservazione. A seconda della password utilizzata, viene avviata la relativa modalità di funzionamento. La lunghezza della password è limitata ad un numero massimo di 8 segni. (Vedi Configurazione.)

attention Attenzione

Se l'opzione "Block remote Input Events" è settata nel software di configurazione del remote desktop, non potrete gestire il remote-system anche se usate la password Primary.

info Informazioni su

In occasione della prima installazione, la password Primary viene settata a SCADA-ALL e quella View-only a SCADA . Potete modificare in ogni momento le password nel remote-system facendo uso del software di configurazione (vedi Configurazione).


Software di osservazione standard

Manuale -> zenon Remote Desktop -> Stabilisci collegamento -> Software di osservazione standard

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Appena avete instaurato la connessione, il software di osservazione visualizza il contenuto dello schermo del desktop remoto.

Avete la possibilità di effettuare delle ulteriori impostazioni utilizzando la barra dei simboli, mediante il menù contestuale oppure tramite il menù a tendina. Anche se la barra degli strumenti non è visibile, potete accedere al menù contestuale con un clic del tasto destro del mouse sull´header del software di osservazione, oppure sul simbolo nella barra delle applicazioni. Nel caso in cui abbiate attivato la modalità a schermo intero, dovete anzitutto disattivarla usando la combinazione di tasti <Ctrl><Alt><Shift><F>.

La barra dei simboli ed il menù contestuale offrono le seguenti possibilità:

Parametri

Descrizione

Close (Chiudi)

Interrompe la connessione e chiude il programma.

Connection options...

Apre il dialogo che serve ad impostare le opzioni di connessione. Vedi Opzioni di connessione.)

Connection info

Apre il dialogo che visualizza le informazioni di connessione attuali.

Request screen refresh

Provoca un refresh e dunque un ridisegnamento del Remote Desktop.

Full Screen

Passa alla modalità a schermo intero.

  • Se viene utilizzata la stessa risoluzione del monitor sul computer remoto e su quello locale, l'immagine remota viene visualizzata in modo da coprire l'intero schermo.
  • Se, invece, il computer remoto ha una risoluzione minore, il desktop remoto viene centrato e visualizzato in una cornice nera.
  • Se, infine, il computer remoto ha una risoluzione maggiore di quello locale, il desktop remoto non viene visualizzato per intero (tagliato). Se si porta il puntatore del mouse verso la parte non visibile dell'immagine, il monitor scrolla automaticamente in quella direzione.

Con la combinazione di tasti <Alt><Tab>potete passare dal computer remoto a quello locale o viceversa.

Se volete chiudere la modalità a schermo intero, potete farlo con la combinazione di tasti ctrl+alt+MAIUSC+F.

Show Toolbar

Attivo: viene visualizzata la barra dei simboli.

Send Ctrl-Alt-Del

Questa azione non ha alcun effetto.

Send Ctrl-Esc

Apre il menù "Start" sul desktop remoto.

Ctrl key down

Mantiene premuto sul desktop remoto il tasto ctrl. Cliccando un'altra volta, il tasto ritorna in posizione normale.

Alt key down

Mantiene premuto sul desktop remoto il tasto alt. Cliccando un'altra volta, il tasto ritorna in posizione normale.

New connection...

Apre il dialogo che serve a instaurare una nuova connessione desktop remoto. Vedi Crea collegamento. La connessione esistente viene interrotta.

Save connection info as...

Salva un collegamento a questa connessione in forma di file RDC (Remote Desktop Communication File). Potete salvare questo file, per esempio, sul desktop. Al momento di effettuare il salvataggio, il sistema Vi chiede se volete salvare la password nel file.
Nota: salvare la password rappresenta un rischio per la sicurezza.

Cliccando due volte sull'icona corrispondente al file, viene avviato il software di connessione e viene creata automaticamente un collegamento con il desktop remoto indicato, senza che Voi siate obbligati ad inserire un nome computer (e la password, nel caso in cui l'abbiate salvata nel file).

Nota: L´opzione Transfer files per trasferire file è disponibile solamente fino alla versione 6.22SP1 Build 7.

Noch in diesem Kapitel

Opzioni di connessione


Opzioni di connessione

Manuale -> zenon Remote Desktop -> Stabilisci collegamento -> Software di osservazione standard -> Opzioni di connessione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Alla voce Connection potete effettuare le seguenti operazioni di configurazione:

Parametri | Descrizione
Scale by | Scala la visualizzazione del desktop remoto sulla base della grandezza impostata. Si tratta di un'opzione vantaggiosa se il desktop remoto ha una risoluzione di monitor maggiore a quelle del computer locale.
Full-screen mode | Passa alla modalità a schermo intero Chiudete la modalità a schermo intero usando la combinazione di tasti<Ctrl><Alt><MAIUSC><F>
Deiconify on remote Bell event | Questa impostazione non ha alcun effetto.

Alla voce Globals potete effettuare le seguenti operazioni di configurazione:

Parametri | Descrizione
Show toolbars by default | Mostra la barra degli strumenti. Se la barra degli strumenti è stata disattivata, può essere riattivata mediante il menu contestuale del software.
Warn at switching to the full-screen mode | Se passate alla modalità a schermo intero, viene visualizzata una segnalazione che Vi informa come la si può richiudere.
Number of connections to remember | Il software di osservazione memorizza le ultime connessioni. Quando poi stabilite una connessione, Vi viene offerta una lista di selezione contenente gli ultimi collegamenti realizzati. Potete impostare il numero delle connessioni che debbono essere memorizzate.
Clear the list of saved connections | Cancella la lista delle connessioni memorizzate.
Dot cursor | Attraverso il puntatore del mouse remoto, quello locale viene visualizzato come punto nero.
Small dot cursor | Attraverso il puntatore del mouse remoto, quello locale viene visualizzato come piccolo punto nero.
Normal arrow | Attraverso il puntatore del mouse remoto, quello locale viene visualizzato nella forma di freccia tipica per il puntatore del mouse standard di Windows.
No local cursor | Viene visualizzato solo il puntatore remoto.


Software di osservazione Web

Manuale -> zenon Remote Desktop -> Stabilisci collegamento -> Software di osservazione Web

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nell'interfaccia del browser sono a disposizione le seguenti possibilità:

Parametri | Descrizione
Disconnect | Interrompe la connessione. Il browser web rimane aperto.
Options | In questo caso potete impostare diverse opzioni di connessione. Esse non sono documentate. Vi consigliamo di lasciarle nella impostazione originale. Le impostazioni non vengono salvate. Quando si instaura di nuovo una connessione, sono di nuovo valevoli le impostazioni originali.
Clipboard | Permette di leggere delle informazioni testuali salvate negli appunti del zenon remote desktop, o di inviarle agli appunti. Nel dialogo, potete vedere gli appunti del zenon Remote Desktop. Se modificate il testo, esso viene inviato agli appunti del zenon Remote Desktop premendo su Close.
Send Ctrl-Alt-Del | Questa opzione non viene supportata.
Refresh | Attualizza il contenuto dello schermo.


Limitazioni

Manuale -> zenon Remote Desktop -> Limitazioni

Il servizio zenon Remote Desktop funziona solo nel contesto dell'utente. Viene avviato su Windows al momento della registrazione dell'utente.

Una connessione remota, quindi, può essere creata solo se c'è un utente registrato. Non è possibile un log-in remoto con ctrl-alt-canc. Nel momento in cui l'utente si disattiva, anche il servizio del zenon Remote Desktop viene chiuso. Gli eventuali osservatori collegati perdono la connessione.

Non può essere realizzata una connessione anche nel caso il cui il computer remoto è bloccato, Il computer è bloccato anche nel caso in cui sia stato attivato un salvaschermo con l'opzione Inserimento password al momento della riattivazione.

Nel caso in cui diversi utenti siano registrati contemporaneamente sul computer remoto (veloce cambio di utenti), il servizio zenon Remote Desktop viene avviato più volte. Il software di osservazione, però, si può connettere sempre solo con il servizio avviato per primo. Se questo primo utente non è più attivo, la connessione viene creata, ma chiusa immediatamente dopo l'inserimento della password.

La connessione viene interrotta anche se l'utente registrato per primo clicca su Cambia utente e diviene così inattivo.


Presupposti / Ricerca degli errori

Manuale -> zenon Remote Desktop -> Presupposti / Ricerca degli errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Perché si possa instaurare una connessione con un sistema remoto, devono essere soddisfatti i seguenti presupposti:

  • zenon (almeno la versione 6.22 di zenOn o quelle successive) deve essere installato.
  • Sul PC deve essere attivato il servizio zenon Remote Desktop (zenVNCSrv.exe). Potete attivare il servizio nel software di configurazione del zenon Remote Desktop (vedi Configurazione). Potete controllare questo servizio nel taskmanager di Windows.
  • Sul PC remoto deve essere registrato un utente, ed il computer non deve essere bloccato. Vedi Limitazioni.)
  • Con Windows CE, dovete avviare il servizio zenon Remote Desktop zenVNCSrvCE.exe manualmente o per mezzo delle opzioni autostart di Windows. Come attivare queste ultime lo potete apprendere leggendo la descrizione del produttore degli apparecchi. Potete controllare se il servizio funziona regolarmente nel taskmanager di Windows CE (se disponibile).
  • Questo servizio deve essere attivato sia nel firewall di Windows, che in tutti gli altri firewall, oppure debbono essere attivate le due porte 5600 (http Port) e 5610 (zenon Remote Desktop Port). Potete verificare se queste porte sono registrate e attivate stabilendo una connessione Telnet da un altro PC con la porta 5600 o 5610. Aprite la riga comandi ( cmd.exe) e inserite il seguente comando:
    telnet RemotePCName 5610.
    Nel caso in cui la connessione viene stabilita con successo, appare una finestra nera.
    Con Windows, Telnet non è installato a priori. Però potete installare questo programma nel modo seguente:
    Cliccate sul pulsante "Start", su "Pannello di controllo", su "programmi", e poi su "Avvia escludi funzioni Windows".
    Nel dialogo delle funzioni Windows, attivate la casella di controllo "Telnet-Client" e poi cliccate su OK.
  • Le due porte 5600 e 5610 non debbono essere occupate da altri programmi, altrimenti vengono prese altre porte in modo del tutto casuale. Se le porte sono occupate o meno, lo potete verificare con il comando Windows netstat -n -a -o dalla riga comandi. L´ID di processo del servizio CD_PRODUCTNAME Remote Desktop (zenVNCSrv.exe) potete leggerlo nel taskmanager, alla scheda Processi. Se questa colonna non è visibile, potete attivare la colonna PID (ID di processo nel menù Visualizza - Seleziona colonne.....
  • Se avviate la connessione tramite l'editor, dovete avere impostato nel Trasporto Remoto TCP/IP come mezzo di trasporto. Come sistema destinatario dovete aver indicato un computer o nel Trasporto Remoto oppure come server di progetto.
  • Il veloce cambio utente non viene supportato da Windows. La connessione viene dunque interrotta. Vedi Limitazioni.

info Informazioni su

Disattivazione del server HTTP:

Anche nel caso in cui si disattivi il server HTTP, si può continuare ad aprire la pagina di registrazione effettuando un refresh browser.
La pagina viene deviata dal Chache dalla normale HTTP Port (5600) alla zenon Remote Desktop Port (5610). Rimane intatta la possibilità sia di effettuare la registrazione che accedere al sistema. Per impedire l'accesso improprio al sistema, modificate la password oppure chiudete la porta del Remote Desktop 5610.


Disinstallazione

Manuale -> zenon Remote Desktop -> Disinstallazione

Il zenon Remote Desktop non viene cancellato quando si disinstalla zenon, visto che esso viene utilizzato anche fra diverse versioni. Il setup non ha alcuna possibilità di verificare quali versioni di zenon siano ancora in uso.

Per cancellare il zenon Remote Desktop, dovete effettuare le seguenti operazioni:

  1. Avviate il software di configurazione.
  2. Eliminate il segno di spunto da Enable Remote Desktop service.
  3. Cliccate su OK.
  4. Il servizio zenon Remote Desktop viene terminato e ne viene eliminata la registrazione.

Adesso potete cancellare i file zenVNCSrv.exe, zenVNCcfg.exe e oem.dll nella cartella C:\Programmi\File condivisi\COPA-DATA\zenVNCSrv.


zenon Science Package per LEGO MINDSTORMS

Manuale -> zenon Science Package per LEGO MINDSTORMS

Lo zenon Science Package for LEGO MINDSTORMS consente la programmazione di LEGO MINDSTORMS NXT 2.0 e MINDSTORMS EV3 Brick. I programmi vengono creati in zenon Logic ed eseguiti sul LEGO controller con straton. zenon Logic è l´ambiente di sviluppo IEC 61131-3 integrato in zenon.

tutorial Informazioni sulla licenza

Lo zenon Science Package for LEGO MINDSTORMS contiene una licenza limitata (Per i dettagli, consultare il capitolo Licenza per zenon Science Package). Questa viene installata quando non c`è sul computer un´altra installazione zenon con una licenza valida.

Queste istruzioni guidano attraverso i passi della procedura d´installazione e programmazione per realizzare l´automazione di un LEGO MINDSTORMS NXT 2.0 oder MINDSTORMS EV3 Brick con zenon. Solamente delle informazioni concernenti il funzionamento con zenon Logic/straton sono contenute in questa documentazione. Per le informazioni di base relative alla programmazione e alla gestione degli oggetti LEGO MINDSTORMS si prega di consultare la documentazione LEGO.

Tutto il software necessario è incluso sul supporto di installazione per zenon Science Package for LEGO MINDSTORMS. Questo pacchetto non contiene hardware, componenti o controller della ditta LEGO.

Per la configurazione dell´hardware LEGO con zenon, usare il seguente software

  • zenon: software per il monitoraggio e la gestione, che contiene l´integrato zenon Logic.
  • zenon Logic Workbench: ambiente di programmazione che viene eseguito sul firmware embedded straton.
  • straton: firmware per il controller LEGO.

Tutte le applicazioni e informazioni necessarie si trovano sul supporto di installazion Queste dovrebbero già essere state create nella vostra cartella zenon sul PC. Le cartelle più importanti sono:

  • FIRMWARE: questa cartella contiene il firmware, che potete scaricare con il LEGO Firmware Loader sul LEGO MINDSTORMS controller.
  • USB_DRIVER: questa cartella contiene il file INF per il driver USB-to-serial.

info Informazioni su

LEGO, MINDSTORMS, NXT eEV3 sono marche e prodotti della Ditta LEGO.

Noch in diesem Kapitel

zenon Science Package per Lego MINDSTORMS 2.0

zenon Science Package per LEGO MINDSTORMS EV3


zenon Science Package per Lego MINDSTORMS 2.0

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo zenon Science Package for LEGO MINDSTORMS 2.0 consente la programmazione di oggetti LEGO MINDSTORMS NXT 2.0. I programmi vengono creati in zenon Logic ed eseguiti sul LEGO Controller con straton. zenon Logic è l´ambiente di sviluppo IEC 61131-3 integrato in zenon.

Noch in diesem Kapitel

Installazione

Creare una connessione fra zenon Logic e straton.

Sviluppare delle applicazioni di straton per NXT

Connettere MINDSTORMS 2.0 Runtime con zenon

Domande e risposte

Uso di variabili complesse


Installazione

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per utilizzare zenon Science Package for LEGO MINDSTORMS si ha bisogno di quanto segue:

  • zenon a partire dalla versione 7.00 SP0
  • Firmware per il LEGO Controller

Se zenon 7.00 (oppure una versione più recente) è già installato sul computer, si ha anche una licenza per usare zenon Science Package for LEGO MINDSTORMS. Se zenon non è ancora stato installato, si deve installare la versione di zenon utilizzando il supporto di installazione. Si tratta di una licenza limitata all´uso con LEGO MINDSTORMS 2.0.

Noch in diesem Kapitel

Installare zenon

Progetti demo

Installare il firmware

Cosa fare con un firmware già esistente

Stabilire una connessione bluetooth con il controller


Installare zenon

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Installare zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per installare zenon nella sua versione più recente:

  1. Collegare il supporto di installazione con il computer.
  2. Se la procedura d´installazione non dovesse partire automaticamente, selezionare start.exe.
  3. Selezionare zenon 7.50
  4. Seguire le istruzioni dell´installazione guidata.

Nota: se si ha già una versione di zenon a partire dalla 7.00, non è necessario installare nulla.

Noch in diesem Kapitel

Licenza di zenon Science Package


Licenza di zenon Science Package

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Installare zenon -> Licenza di zenon Science Package

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo zenon Science Package for LEGO MINDSTORMS 2.0 è contenuto nella licenza standard di zenon. Se questa versione viene installata su un sistema senza zenon, verrà eseguita con una licenza zenon Science Package. Con questa licenza è possibile anche creare e modificare dei progetti di zenon nell´ambito dei moduli provvisti di licenza..

Questa licenza contiene:

  • 128 variabili
  • Trend esteso - Starter Edition
  • Server di archiviazione - Starter Edition
  • VBA
  • zenon Logic Workbench
  • straton Firmware

Nota: con questa licenza il sistema funziona per un massimo di 90 minuti. Poi l´Editor deve essere chiuso e riavviato.


Progetti demo

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Progetti demo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel Forum di COPA-DATA (www.copadata.com/forums) potete trovare anche due progetti demo:

  • MINDSTORMS_DEMO: dà una visione generale su sensori e controller. Usare questo progetto per imparare a conoscere LEGO MINDSTORMS 2.0 e la sua programmazione.
  • LEGO_DEMO_SHOOTERBOT: un esempio di progetto per lo Shooterbot. Può essere adeguato alle esigenze individuali.

Caricare il workspace con i due progetti in zenon:

  1. Cliccare con il tasto destro del mouse sul workspace attuale.
  2. Selezionare nel menù contestuale -> Ripristina backup progetto...
  3. Passare al backup del workspace che si trova sul supporto di installazione (*.wsb)
  4. Selezionare il file e cliccare su OK

Per aprire i progetti:

  1. Nel workspace, passare al nodo zenon Logic (IEC 61131-3)
  2. Selezionare il nodo cliccandoci sopra con il tasto sinistro del mouse.
  3. Selezionare il progetto t mindstorms
  4. Cliccare sul simbolo apri nella barra degli strumenti, oppure cliccare due volte sul progetto per aprirlo nel workbench di zenon Logic.


Installare il firmware

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Installare il firmware

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter utilizzare LEGO MINDSTORMS 2.0 con zenon, si deve scaricare il firmware di straton sul controller. Questo capitolo illustra la procedura:

  • Scaricare il firmware di straton sul controller
  • Aggiornare il firmware già esistente di straton, oppure sostituire altro firmware già esistente.
  • Instaurare unaconnessione USB con il controller usando il driver USB di COPA-DATA.
  • Stabilire una connessione Bluetooth con il controller.

Scaricare il firmware di straton sul controller

Per scaricare il firmware di straton sul controller LEGO MINDSTORMS NXT 2.0, si ha bisogno del software LEGO MINDSTORMS NXT 2.0 fornito con LEGO MINDSTORMS NXT 2.0.

attention Attenzione

Se sul Controller si trova già un firmware diverso da quello fornito da LEGO, procedete come descritto nella sezione Cosa fare nel caso di firmware già esistente.

Per scaricare il firmware:

  1. Lanciare il software LEGO MINDSTORMS NXT 2.0.
  2. Selezionare nel menù Tools -> Update NXT Firmware.

  3. Assicurarsi che venga usato il formato corretto: *.rfw.
    Se la desinenza del file è ancora *.bin, cambiarla in *.rfw.
    In zenon 7.20, questo file si chiamerà: STRATON_NXT_103_2011_08_10.rfw.
    Lo si può trovare sul supporto di installazione nel percorso AdditionalSoftware\Science Package - Firmware\NXT2.
  4. Cliccare sul pulsante he Browse.
  5. Selezionare la cartella contenente il firmware.

  6. Avviare il NXT Controller.
    Per far ciò, premere il tasto arancione.
  7. Collegare il controller al PC via USB.
  8. Cliccare sul pulsante Download per scaricare il firmware sul controller.

  9. Disconnettere il cavo USB.
  10. Il controller si avvia con il firmware aggiornato.o.

info Informazioni su

Per aggiornare in un secondo momento lo straton scaricato, oppure per sostituirlo con un firmware di LEGO, seguire le istruzioni della sezione Cosa fare nel caso di firmware già esistente.


Cosa fare con un firmware già esistente

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Cosa fare con un firmware già esistente

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se sul controller c´è un firmware non fornito dalla Ditta LEGO, questo deve essere settato su Firmware-Load-Mode; poi sarà possibile installare altro firmware. Questa modalità è necessaria anche se si vuole eseguire un update del firmware di straton , o caricare di nuovo un firmware di LEGO. Per settare il controller nel Firmware-Load-Mode:

  1. Premere contemporaneamente perlomeno per 5 secondi, finché si sente un clic flebile:
    • Il pulsante Start arancione e
    • Il "rest-button" che si trova sulla parte posteriore del dispositivo.
      Il modo migliore di premere il "rest-button" è usare un oggetto appuntito.

  2. Accendete il NXT Controller premendo il tasto arancione.

  3. Il controller NXT si avvia in Firmware-Load-Mode . Si sente un suono regolare.
  4. Avviare il download del firmware desiderato.
    A questo scopo si deve instaurare una connessione via USB o Bluetooth. Per la connessione via USB con zenon/straton è richiesto il driver COPA-DATA.

attention Attenzione

Il Firmware-Load-Mode può essere terminato solamente con il download di un firmware.

Noch in diesem Kapitel

Connessione USB senza LEGO Firmware


Connessione USB senza LEGO Firmware

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Cosa fare con un firmware già esistente -> Connessione USB senza LEGO Firmware

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se il firmware utilizzato non è fornito da LEGO, è possibile che si debba installare il driver corrispondente. In questo caso, il controller USB non viene riconosciuto durante la connessione con il computer. Per stabilire una connessione USB:

  1. Aprire il Pannello di controllo -> Sistema -> Gestione periferiche.
  2. Cliccare due volte su Periferica sconosciuta.
  3. Cliccare nella scheda Driver su Aggiorna driver.
  4. Si apre la finestra di dialogo per la selezione del driver.
  5. Scegliere Cerca nel computer software driver.
  6. Selezionare la cartella contenente il file Mindstorm_straton.inf .
  7. Viene visualizzato un avvertimento concernente il produttore del driver.
  8. Selezionare Installare il driver comunque.
  9. Il dispositivo è adesso in grado di comunicare via USB.


Stabilire una connessione bluetooth con il controller

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Installazione -> Stabilire una connessione bluetooth con il controller

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se il computer ha una porta Bluetooth, la connessione con il controller può essere stabilita anche via Bluetooth. Per configurare Bluetooth per la connessione fra PC e controller:

  1. Accendere il LEGO Controller premendo il tasto arancione.

  2. Premere di nuovo il tasto arancione.
  3. Selezionare Settings con la freccia grigia a destra.

  4. Confermare la selezione premendo il tasto arancione.
  5. Passare al menù per le impostazioni Bluetooth usando i tasti grigi.
    1. Attivare Bluetooth.
    2. Assegnare un nome Bluetooth.
    3. Impostare lo stato Bluetootth suvisible.
    4. Cliccare sul pulsante grigio scuro per uscire dal menù Bluetooth.
  6. Passare al menù Connections.
  7. Selezionare Bluetooth usando i pulsanti grigi.
  8. Adesso il Controller può essere trovato via Bluetooth.
  9. Aprire la "Gestione periferiche Bluetooth" sul PC.
    1. Selezionare l´inserimento Aggiungi periferica.
    2. Windows cercherà i dispositivi Bluetooth visibili.
    3. Nella lista, selezionare il proprio controller MINDSTORMS NXT e cliccare su Avanti.
    4. Il controller MINDSTORM richiede l´inserimento di una password per stabilire una connessione: viene proposto
      1234_. Confermare la password premendo il tasto arancione.
    5. La password definita nel MINDSTORMS 2.0 Controller deve essere inserita anche sul PC.
    6. Cliccare su Avanti.
  10. La connessione viene stabilita e il driver viene installato.
  11. Cliccare due volte sulla periferica Bluetooth creata.
    Vengono visualizzati il dispositivo installato e la porta COM. Connettere il workbench di zenon Logic con questa porta COM, oppure connettere zenon con il driver stratonNG-Treiber.
    Per modificare la porta:
    1. Cliccare sulla proprietà.
    2. Cliccare sul pulsante Avanzate
    3. Modificare il numero di porta nel modo desiderato.


Creare una connessione fra zenon Logic e straton.

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Creare una connessione fra zenon Logic e straton.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare una connessione fra zenon Logic e straton:

  1. Avviare anzitutto zenon. Si apre il progetto MINDSTORMS.
    Se si desidera aprire un progetto differente, oppure un altro workspace, aprire il workspace per il progetto usando il menù contestuale del workspace.
    Se si vuole creare un nuovo progetto:
    1. Selezionare il file -> Nuovo progetto
    2. Creare un nuovo progetto zenon Logic cliccando con il tasto destro del mouse sul nodo zenon Logic e poi selezionando nell´albero di progetto zenon Logic Nuovo progetto...
  2. Aprire il progetto zenon Logic cliccando due volte nel workbench.
  3. Nel workbench di zenon Logic, cliccare su Tools ->Parametri di comunicazione.

  4. Si aprirà la finestra di dialogo Opzioni, con la scheda Debug per configurare la connessione.
  5. Cliccare sul pulsante ... per aprire la finestra di dialogo di definizione delle impostazioni della comunicazione seriale.

  6. Configurare le impostazioni seriali in modo corrispondente a quelle per il controller LEGO.
    Nota: in questa finestra di dialogo è possibile selezionare solamente le porte COM dalla 1 alla 4. Tuttavia, si può inserire la porta COM direttamente, nel campo Parametri di comunicazione della scheda Debug della finestra di dialogo Opzioni.

  7. In questo modo, è stata completata la configurazione della connessione fra zenon Logic e straton.

Noch in diesem Kapitel

Aggiungere il driver NXT in zenon Logic

Connetti controller NXT

Impostazioni base del controller


Aggiungere il driver NXT in zenon Logic

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Creare una connessione fra zenon Logic e straton. -> Aggiungere il driver NXT in zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per aggiungere il driver NXT in zenon Logic:

  1. Nell´albero di progetto del workbench di zenon Logic, cliccare due volte su Configurazione fieldbus.
  2. Cliccare nella finestra "Driver I/O" sul simbolo, oppure sul comando nel menù contestuale per Aggiungi configurazione.

  3. Si apre la finestra di dialogo di configurazione.

  4. Selezionare LEGO MINDSTORMS NXT 2.0.
  5. Ci sono tre sezioni:
    • NXT (Status)
    • Drives
    • Sensors

    Cliccando sul segno più (+) davanti alla sezione e si apre la sottoarea. Per ognuna di queste sezioni si possono creare molto semplicemente delle variabili predefinite.

Creare variabili

Creare le variabili richieste:

  1. Cliccare con il tasto destro del mouse sul ramo NXT, Drives, oppure Sensors.

  2. Selezionare nel menù contestuale Create variable.

Drives

Ci sono due versioni: easy e advanced. Per iniziare, è meglio scegliere easye poi Create variable. Ulteriori informazioni sull´uso di Advanced Variables si trovano nella sezione Uso di variabili complesse di questa guida.

Sensors

Prima di creare una variabile nella sezione Sensors, si deve selezionare un tipo di sensore nel campo Type. A questo scopo, cliccare due volte sul campo Value.

Esempio di configurazione:


Connetti controller NXT

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Creare una connessione fra zenon Logic e straton. -> Connetti controller NXT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per connettere il controller NXT:

  1. Sul controller, selezionare USB come mezzo di connessione:
    1. Premere il tasto arancione.
    2. Usare i tasti grigi per passare al menu Settings e aprirlo premendo il tasto arancione.
    3. Selezionare Connection.
    4. Scegliere USB.
      (Se si vuole stabilire una connessione via Bluetooth, selezionare qui Bluetooth.)
  2. Compilare il progetto zenon Logic:
    1. Cliccare con il tasto destro del mouse nell´albero di progetto su mindstorms.
    2. Selezionare nel menù contestuale Compila progetto
  3. Andare online:
    1. Selezionate l´inserimento Online nel menù Progetto di zenon Logic.
    2. Si aprirà la richiesta di download.

    3. Cliccare su Yes.
  4. Il progetto è online e si può vedere come i sensori leggono i valori.


Impostazioni base del controller

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Creare una connessione fra zenon Logic e straton. -> Impostazioni base del controller

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Configurazione di base

  1. Configurare le impostazioni di comunicazione (per i dettagli consultare la sezione seguente: Settings).
  2. Attivare o disattivare Bluetooth (per i dettagli consultare la sezione seguente: Connection).
  3. In caso di Bluetooth attivo: assegnare un nome univoco alla comunicazione Bluetooth.

Gestione

Accendere

Per accendere il controller, premere il tasto arancione.

Navigazione nel menù

  • Per aprire il menù: premere il tasto arancione.
  • Per chiudere il menù: premere il tasto grigio scuro.
  • Per navigare nel menù: premere il tasto freccia grigio di sinistra o di destra. Si seleziona una voce di menù con il tasto arancione. Per uscire da un sottomenù senza salvare, premere il tasto grigio scuro.

Spegnere

  1. Selezionate nel menù principale Turn off e premere il tasto arancione.
  2. Selezionare un´opzione:
    1. Save: salva tutte le impostazioni sulla memoria flash e chiude il controller. L´applicazione straton attualmente caricata, i dati ritentivi e la configurazione (Connection, Volume) vengono salvate sulla memoria flash.
    2. Don't save: chiude l´applicazione senza salvare i dati o la configurazione sulla memoria flash.
    3. Cancel: la chiusura viene interrotta e viene aperto il menù principale.

Durante l´avvio successivo, vengono caricati i dati salvati l´ultima volta (applicazione straton.

Menù di straton

Con il menù di straton si può avviare o terminare l´applicazione straton caricata. Per aprire il menù, selezionare l´inserimento straton del menù principale.

Statistics

Statistics visualizza le informazioni relative all´applicazione attualmente in esecuzione. Per visualizzare i dati corrispondenti, selezionare l´inserimento Statistics del menù principale. Verrà visualizzato quanto segue:

  • Il nome dell´applicazione caricata
  • La dimensione codice in kB
  • Le dimensioni database in kB
  • Il tempo di esecuzione del ciclo di straton
  • La latenza del ciclo in microsecondi

Menu Settings

In questo menù si configura e viene visualizzato quanto segue:

  • Versions: informazioni sulla versione utilizzata.
  • Bluetooth: attivazione o disattivazione di Bluetooth. Si possono amministrate i nomi e i contatti.
    • Name: inserite un nome per il dispositivo Bluetooth. Il nome dovrebbe essere unico nell´ambito della rete Bluetooth.
    • On/Off: attiva/disattiva Bluetooth sul controller.
    • Visibility: stabilisce se il dispositivo è visibile per altri dispositivi Bluetooth.
    • Search: avvia la ricerca di dispositivi Bluetooth. Per aggiungere un dispositivo ai contatti Bluetooth, selezionarlo fra quelli della lista dei dispositivi trovati.
    • Contacts: amministra i contatti. Potete cancellare dei contatti (dispositivi che si potrebbero connettere), oppure stabilire delle connessioni (per es. per pairing).

Connection

Selezionare la connessione che deve essere utilizzata dal server di comunicazione di straton. Questa connessione viene usata per la comunicazione con il workbench di zenon Logic. Il server di comunicazione include anche un MODBUS Slave. Anche il driver di zenon per straton deve essere connesso con il server di comunicazione. Le impostazioni possibili sono:

  • USB
  • Bluetooth: connessione Bluetooth in ingresso.
  • RS-485: porta RS-485 con i parametri 115200, E, 8, 1
    Attenzione: l´uso di RS-485 disattiva la Sensor-Port 4. Bisogna tenete anche presente che il protocollo del server di comunicazione di straton può essere usato solamente punto a punto
  • None: il server di comunicazione non viene utilizzato.

Volume

Determina il volume degli altoparlanti incorporati. I possibili valori vanno da 0 a 4:

  • 0: spenti.
  • 4: massimo.


Sviluppare delle applicazioni di straton per NXT

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per le applicazioni straton su LEGO MINDSTORMS 2.0 valgono le seguenti restrizioni:

Runtime di zenon Logic:

  • Dimensione massima del codice: 26 kB
  • Dimensioni massime della banca dati di straton: 20 kB

Nota: si può verificare la dimensione del codice e della banca dati nel menù Statistics.

Workbench di zenon Logic

  • Si possono usare solamente le porte COM dalla 1 alla 9. Se ad un dispositivo USB, oppure ad una porta COM bluetooth è stato assegnato un numero di porta superiore a 9, si deve cambiare manualmente questa impostazione assegnando un numero inferiore a 10.
  • Nel workbench possono essere selezionate solamente le porte COM1 – COM4. Tuttavia, dei numeri di porta possono essere inseriti direttamente nella stringa del parametro, per es. COM9:19200,N,8,1. (Vedere anche la sezione Crea collegamento fra zenon Logic e stratondi questa guida.)
    Nota: in caso di una connessione USB o bluetooth, è sufficiente indicare la porta, per es. COM5

info Informazioni su

Per le informazioni generali sulla programmazione di LEGO MINDSTORMS NXT 2.0 si prega di consultare la documentazione LEGO.

Noch in diesem Kapitel

Usare le porte di comunicazione NXT

Funzioni


Usare le porte di comunicazione NXT

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli oggetti NXT contengono tre porte di comunicazione, che possono essere raggiunte dalle applicazioni straton.

Nel menù Settings si seleziona una di questa connessioni per il server di comunicazione. Questa connessione non potrà più essere usata al di fuori dell´applicazione straton (per es. da un MODBUS Master, oppure da un blocco funzioni). Se, tuttavia, è stata aggiunta una configurazione MODBUS Slave, un MODBUS Slave può usare la porta qui configurata.

Ulteriori informazioni sull´uso delle porte seriali nel programma straton e via driver MODBUS I/O, si trovano nella documentazione di zenon Logic. Per visualizzarle, premere nel workbench il tasto F1, o usare la voce di menù Help.

Tutte le porte che non vengono usate dal server di comunicazione, possono essere utilizzate dall´applicazione di straton e vengono raggiunte nel modo descritto di seguito:

Noch in diesem Kapitel

USB

Bluetooth

RS-485 Port (seriale)

Fieldbus


USB

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> USB

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il componente NXT può essere connesso ad un computer tramite la porta USB. NXT viene riconosciuto dal PC come una connessione seriale.

La porta USB può essere raggiunta dall´applicazione di straton quando si seleziona USB come porta COM.


Bluetooth

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> Bluetooth

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La porta Bluetooth può essere usata in due modi:

  1. Per connessioni in ingresso:
    in questo caso, la connessione viene stabilita da un dispositivo remoto, per es. un PC. In questo caso è sufficiente la stringa BT per usare la porta Bluetooth.
  2. Per connessioni in uscita:
    NXT viene configurato per stabilire una connessione con un altro dispositivo Bluetooth, per es. un altro oggetto NXT. In questo caso, usare una stringa che inizia con BT e finisce con il nome del dispositivo, per esempio BT:NXT.
    Nota: il dispositivo da raggiungere deve già essere contenuto nei contatti Bluetooth. Per aggiungere manualmente un dispositivo ai contatti, avviare la ricerca e stabilite la connessione manualmente una volta. Al momento del primo contatto, è probabile che venga richiesto un pairing.


RS-485 Port (seriale)

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> RS-485 Port (seriale)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Gli oggetti NXT contengono anche una porta seriale RS-485. Questa, però, è condivisa con il sensore 4. Si potrà usare, dunque, o solo la porta o solamente il sensore.

La porta RS-485 viene raggiunta tramite la stringa di caratteri HS. Di default si aprirà la porta con i seguenti parametri:

  • Baudrate: 115200 Bit/s
  • Parity: even
  • Data Bits: 8
  • Stop Bit: 1

Modificare i parametri

Se si vogliono modificare i parametri di comunicazione, aggiungerli dopo i due punti, separati da virgole. La successione:

  • Baudrate in bits/s
  • Parity: N (none), E (even), O (odd), M (mark) and S (space)
  • Data Bits
  • Stop Bit

Ad esempio: HS:19200,N,8,1

Nota: se si usa la porta RS-485 con MODBUS oppure con il protocollo di straton, settare i Data Bits sempre su 8.


Fieldbus

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con straton NXT è possibile usare anche la configurazione MODBUS Slave e MODBUS Master. Le informazioni relative a MODBUS si trovano nella documentazione di zenon Logic. Per visualizzarle, premere nel workbench il tasto F1, oppure usate la voce di menù Help. L´uso di sensori NXT e di porte motore si configura quando si configura LEGO LEGO MINDSTORMS NXT 2.0.

Noch in diesem Kapitel

Variabili di stato

Variabili drive

Variabili del sensore colori

Touch Sensor Multiplexer (HT)

Il sensore giroscopico (HT)

Il Digital Acceleration Sensor (HT)

Il Compass sensor digitale (HT)

Altri sensori


Variabili di stato

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Variabili di stato

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Variabili di stato

Sono disponibili le seguenti variabili di stato:

  • STATUS_BATTERYVOLTAGE: livello di carica della batteria attuale in Millivolt.
  • STATUS_BATTERYSTATE: capacità della batteria.
    Valore: da 0 a 4 (come visualizzato sul display NXT)
  • STATUS_BLUETOOTHSTATE: stato Bluetooth
    Valori:
    • 0: on
    • 1: visibile
    • 2: connesso
    • 3: connesso e visibile
    • 4: off
  • STATUS_USBSTATE: stato USB
    Valori:
    • 0: disconnesso
    • 1: connesso
    • 2: in funzione.
  • STATUS_RECHARGEABLE: stato per accumulatori ricaricabili
    Valori:
    • 0: non esiste nessun accumulatore ricaricabile
    • 1: esistono accumulatori ricaricabili
  • STATUS_ERROR: Codice di errore


Variabili drive

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Variabili drive

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Variabili drive

Per il drive sono a disposizione le seguenti variabili:

  • PORT_x_AUTOSPEED (SINT, Output): Definisce la velocità del motore.
    Valori: da -100 a 100
    • 0: motore spento
    • -100: velocità massima indietro
    • 100: velocità massima in avanti
  • PORT_x_TACHOCOUNT (DINT, Input): Contiene il numero assoluto di giri del motore in gradi angolari. 360° sono un giro completo al secondo. Valori possibili: da -2.147.483.648 a 2.147.483.647

Variabili complesse

Operazioni più complesse del drive vengono configurate ricorrendo a variabili complesse. Si seleziona questo tipo di variabili usando l´inserimento Create advanced variables del menù contestuale.

attention Attenzione

Non usare la variabile AUTOSPEED e le Advanced Variables contemporaneamente. L´uso contemporaneo di queste variabili, infatti, può avere delle conseguenze incerte e indesiderate sul drive.

Una descrizione del modo in cui configurare queste variabili si trova nella sezione Uso delle variabili complesse di questa guida.


Variabili del sensore colori

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Variabili del sensore colori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Variabili del sensore colori

Per la rilevazione dei colori sono a disposizione le seguenti variabili:

  • PORT_x_COLOR (INT, Output): definisce la modalità del sensore.
    • 0: modalità passiva (misura della intensità della luce)
    • 1: viene misurato il colore rosso.
    • 2: viene misurato il colore verde.
    • 3: viene misurato il colore blu.
    • 4: vengono misurati tutti i colori.
  • PORT_x_VALUE (INT, Input)

    Se la modalità è passivo, rosso, verde o blu:

    • Un valore compreso fra 0 e 255 definisce l´intensità del colore.

    Se la modalità è tutti i colori:

    • 1: nero
    • 2: blu
    • 3: verde
    • 4: giallo
    • 5: rosso
    • 6: bianco
  • PORT_x_RED: nella modalità tutti i colori viene misurata l´intensità del colore rosso.
  • PORT_x_GREEN: nella modalità tutti i colori viene misurata l´intensità del colore verde.
  • PORT_x_BLUE: nella modalità tutti i colori viene misurata l´intensità del colore blu.
  • PORT_x_GRAY: viene misurata la luminosità.


Touch Sensor Multiplexer (HT)

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Touch Sensor Multiplexer (HT)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Touch Sensor Multiplexer (HT)

Per i sensori tattili sono a disposizione le seguenti variabili:

Se si usa l´Hitechnic Touch Sensor Multiplexer, si può connettere fino ad un massimo di quattro sensori con una porta NXT:

  • PORT_x_SWITCH1: stato del sensore 1
  • PORT_x_SWITCH2: stato del sensore 2
  • PORT_x_SWITCH3: stato del sensore 3
  • PORT_x_SWITCH4: stato del sensore 4


Il sensore giroscopico (HT)

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Il sensore giroscopico (HT)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Il sensore giroscopico (HT)

Il LEGO MINDSTORMS 2.0 NXT Gyro Sensor informa sul numero di giri del motore e sul senso di rotazione. I giri vengono misurati in gradi angolari. 360° sono un giro completo al secondo.

Dopo l´avvio dell´applicazione di straton, il sensore viene calibrato automaticamente durante la connessione. A questo scopo viene calcolato il valore zero attuale. Questa procedura dura circa 200 ms. Durante questo periodo di tempo, non si deve muovere il sensore.

  • PORT_x_VALUE: numero di gradi angolari per rotazione al secondo.
  • PORT_x_INVALID: è TRUE quando:
    • Il sensore viene calibrato.
    • Il valore non può essere letto


Il Digital Acceleration Sensor (HT)

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Il Digital Acceleration Sensor (HT)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Il Digital Acceleration Sensor (HT)

Il sensore accelerometro di LEGO MINDSTORMS 2.0 NXT è un sensore digitale che rileva l´accelerazione lungo i tre assi cartesiani x, y e z . L´accelerazione viene misurata e visualizzata nell´intervallo compreso fra -2g a +2g, con circa 200 valori per g.

L´accelerometro può essere anche utilizzato per misurare l´inclinazione in tre assi. Questo è possibile perché la gravitazione è percepita come accelerazione. Se il sensore è immobile nella normale posizione orizzontale, l´asse X e l´asse Y, essendo orizzontali, saranno prossimi allo 0, mentre il valore dell´asse Z sarà vicino a 200, che corrisponde a 1g. Se poi si inclina il sensore, anche gli altri assi percepiranno la gravitazione terrestre e il valore dell´asse Z diminuirà. Visto che la gravitazione terrestre viene divisa fra tre vettori parziali, è possibile determinare l´inclinazione del sensore.

  • PORT_x_VALUE_X: accelerazione in direzione dell´asse X.
  • PORT_x_VALUE_Y: accelerazione in direzione dell´asse Y.
  • PORT_x_VALUE_Z: accelerazione in direzione dell´asse Z.
  • PORT_x_INVALID: diventa TRUE se i dati del sensore non possono essere letti.


Il Compass sensor digitale (HT)

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Il Compass sensor digitale (HT)

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Il Compass sensor digitale (HT)

Il sensore bussola digitale di LEGO MINDSTORMS 2.0 NXT contiene una bussola magnetica digitale, che misura il campo magnetico terrestre ed invia un valore che rappresenta la rotta che si sta seguendo Il sensore bussola può essere connesso ad una porta NXT con un cavo NXT standard e usa il protocollo di comunicazione digitale I2C. La rotta attuale viene calcolata sul prossimo numero intero: il nord è rappresentato dal valore 0, l’est da 45, il sud da 90 e l’ovest dal 135.

L´HiTechnic Compass Sensor viene influenzato da interferenze magnetiche locali, come ogni altra bussola magnetica. Oggetti di metallo, come motori, batterie e cavi, possono causare delle interferenze magnetiche. Queste interferenze possono far sì che la bussola restituisca dei valori che differiscono di più gradi dalla prora magnetica attuale. Questo effetto viene chiamato "deviazione della bussola". Per correggere queste deviazioni, l´HiTechnic Compass-Sensor ha una funzione di calibrazione integrata, che corregge la deviazione e salva i valori nella bussola.

La calibrazione è opzionale e, di regola, non necessaria durante il funzionamento normale. Per ridurre al minimo la necessità di una calibrazione, montare la bussola perlomeno 10/15 cm (4/6 pollici) distante dal NXT e dal motore NXT.

Per calibrare la bussola nel programma:

  • Selezionare calibration mode.
  • Programmare l´oggetto NXT in modo tale che ruoti in un cerchio molto stretto.
  • Deve ruotare fra una volta e mezzo e 2 volte (più di 360 gradi).
  • Deve eseguire una rotazione completa in circa 20 secondi.

La bussola manterrà l´impostazione di calibrazione finché non verrà eseguita una nuova calibrazione, anche nel caso che le si tolga la corrente.

  • PORT_x_VALUE: attuale prora in gradi.

    0: Nord

  • PORT_x_INVALID: viene settato TRUE se i dati del sensore non possono essere letti.
  • PORT_x_CAL: (emissione) controlla la modalità di calibrazione.
    • TRUE: passa alla modalità di calibrazione.
    • FALSE: passa alla modalità di misurazione.

    Nota: nella modalità di calibrazione, il sensore restituisce dati non validi.


Altri sensori

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Usare le porte di comunicazione NXT -> Fieldbus -> Altri sensori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Altri sensori

Le seguenti variabili aggiuntive sono disponibili per i sensori:

  • PORT_x_VALUE: valore sensore, dipendente dal tipo di sensore.
    • Sound dB
    • Sound dBA
    • Ultrasonic: distanza in centimetri (cm).
    • Temperature: temperatura in gradi centigradi Celsius (°C/10)
  • PORT_x_INVALID:
    • TRUE: il sensore si trova in stato di errore.


Funzioni

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Funzioni

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per poter selezionare delle funzioni, queste devono trovarsi nella cartella corrispondente. Copiare la cartella Mindstorms NXT dalla cartella HWDEF, che si trova sul supporto di installazione, nella cartella HWDEF della vostra installazione straton.
Ad esempio: %ProgramData%\COPA-DATA\zenon7.50711\straton\HWDEF\Mindstorms NXT

Sono disponibili le seguenti funzioni:

  • BUTTONENABLE: straton assume il controllo sui tasti NXT.
  • BUTTONGET: trasmette informazioni relative a quale tasto è stato schiacciato.
  • DISPLAYERASE: cancella il contenuto dello schermo.
  • DISPLAYLINE: traccia una linea.
  • DISPLAYPIXEL: disegna un pixel.
  • DISPLAYSTRING: scrive una stringa.
  • SOUNDFREQUENCY: emette dei suoni.

Noch in diesem Kapitel

BUTTONENABLE

BUTTONGET

DISPLAYERASE

DISPLAYLINE

DISPLAYPIXEL

DISPLAYSTRING

SOUNDFREQUENCY


BUTTONENABLE

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Funzioni -> BUTTONENABLE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

BOOL BUTTONENABLE (BOOL ENABLE)

Durante l´attivazione con ENABLE e lo stato TRUE, il controllo viene trasmesso a straton usando i pulsanti dell´oggetto NXT. Gli stati dei tasti possono essere letti con BUTTONGET.

Nota:

  • in questo caso, il menù System viene disattivato sull´oggetto NXT.
  • L´attivazione di questa funzione è possibile solamente se il menù non è attivo sull´oggetto NXT.
  • Questo stato può essere interrotto, per es. da una finestra di dialogo Bluetooth-Pairing. In questo caso, BUTTONGET restituisce il valore -1.

Valore di risposta:

  • TRUE: azione eseguita con successo.


BUTTONGET

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Funzioni -> BUTTONGET

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

SINT BUTTONGET

Valori di risposta:

  • -1: i tasti non possono essere letti da straton. Il menù System dell´oggetto NXT è attivo.
  • 0: nessun tasto premuto.
  • 1: tasto sinistro premuto.
  • 2: tasto Invio (tasto arancione) premuto.
  • 3: tasto destro premuto.
  • 4: tasto Esci (tasto grigio scuro) premuto.


DISPLAYERASE

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Funzioni -> DISPLAYERASE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

BOOL DISPLAYERASE

Cancella il contenuto dello schermo.

Valore di risposta:

  • TRUE: azione eseguita con successo.


DISPLAYLINE

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Funzioni -> DISPLAYLINE

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

BOOL DISPLAYLINE (USINT X1,USINT Y1,USINT X2, USINT Y2, BOOL C)

Traccia una linea dal punto X1,Y1 al punto X2,Y2.

Valori per C:

  • TRUE: traccia la linea.
  • FALSE: cancella la linea.

Valore di risposta:

  • TRUE: azione eseguita con successo.


DISPLAYPIXEL

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Funzioni -> DISPLAYPIXEL

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

BOOL DISPLAYPIXEL (USINT X, USINT Y, BOOL C)

Disegna un punto con le coordinate X,Y.

Valori per C:

  • TRUE: disegna un punto.
  • FALSE: cancella un punto.

Valore di risposta:

  • TRUE: azione eseguita con successo.


DISPLAYSTRING

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Funzioni -> DISPLAYSTRING

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

BOOL DISPLAYSTRING(USINT X, USINT Y, STRING TEXT)

Scrive una stringa che inizia con la posizione XY indicata.

Valore di risposta:

  • TRUE: azione eseguita con successo.


SOUNDFREQUENCY

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Sviluppare delle applicazioni di straton per NXT -> Funzioni -> SOUNDFREQUENCY

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

BOOL SOUNDFREQUENCY(UDINT FREQ, UDINT DUR, USINT VOL)

Riproduce un suono con la frequenza indicata in Hz per una durata definita in millisecondi. Il volume (VOL) viene indicato in un intervallo che va da 1 a 4. Il limite massimo è rappresentato dal volume massimo configurato nel menù Volume

Valore di risposta:

  • TRUE: azione eseguita con successo.


Connettere MINDSTORMS 2.0 Runtime con zenon

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Connettere MINDSTORMS 2.0 Runtime con zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un nuovo progetto zenon Logic in zenon, si raccomanda di usare il driver stratonNG. Questo supporta la comunicazione seriale.

Quando si crea un nuovo progetto zenon Logic, si definisce nella finestra di dialogo il nome del progetto e il driver usato.

Selezionare nel menù a tendina l´inserimento STRATONNG.

Nota: la selezione driver non può più essere cambiata in seguito.

Configurare il driver stratonNG

Per configurare il driver:

  1. Selezionare nell´albero di progetto di zenon il nodo Variabili -> Driver
  2. Selezionare il driver stratonNG
    Nota: questo driver viene visualizzato con il nome definito per il progetto, per es. straton: mindstorms
  3. Selezionare nel menù contestuale Configurazione driver
  4. Si aprirà la finestra di dialogo per la configurazione del driver.
  5. Aprire la scheda "Connections".

Per modificare il driver:

  1. Selezionare il nome della connessione.
  2. Cliccare su Edit
  3. Configurare la connessione.
  4. Cliccate su Save e poi su OK

Configurazione del driver per la connessione nell´ambito di LEGO MINDSTORMS 2.0:

Opzione

Descrizione

Connection name

Deve corrispondere al nome progetto.

Se il nome è differente da quello del progetto, si verificheranno degli errori durante la connessione con il controller.

Adressing

Nella comunicazione con straton NXT via USB o Bluetooth, è sufficiente settare la porta, senza eseguire ulteriori impostazioni, per es. COM5:

Primary IP address

Inserimento della porta COM.

Gli inserimenti che cominciano con COM e finiscono con due punti, vengono interpretati come porta COM.

Attenzione: i due punti (:) devono essere presenti alla fine della definizione della porta. Altrimenti non sarà possibile stabilire una connessione.

Se non si indicano altri parametri, viene usata la configurazione standard della porta COM.

  • Baudrate: 115200 Bit/s
  • Parity: even
  • Data Bits: 8
  • Stop Bit: 1

Se si vuole modificare i parametri di comunicazione, si deve aggiungerli dopo i due punti, separati da virgole. La successione:

  • Baudrate in bits/s
  • Parity: N (none), E (even), O (odd), M (mark) and S (space)
  • Data Bits
  • Stop Bit

Ad esempio: COM5:19200,N,8,1

Limitazioni: se viene impostata una porta COM, non è possibile usare:

  • Event-Connection
  • Connessioni multiple (più di una connessione con il driver)

La documentazione di queste impostazioni riguarda la comunicazione nell´ambito di LEGO MINDSTORMS 2.0. I dettagli sulla configurazione generale del driver stratonNG si trovano nella guida in linea (F1), nel capitolo stratonNG.


Domande e risposte

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Domande e risposte

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le domande più comuni riguardanti l´installazione e il funzionamento di LEGO MINDSTORMS con straton e lo zenon Science Package.

Domanda | Domanda
Perché viene visualizzata una segnalazione di errore durante l´installazione? | Probabilmente c`è già un´installazione zenon nel sistema. Usate l´installazione esistente. Dettagli: messaggi di errore durante l´installazione dello zenon Science Package.
Come tornare al firmware originale di LEGO? | Per tornare al firmware originale si deve seguire la procedura usata per installare il firmware di straton quando esiste nel sistema un altro firmware. Dettagli: attivare il firmware originale di LEGO.
Cosa si fa se il LEGO Firmware Loader non trova il controller? | Cambiare la porta USB, oppure installare di nuovo il suo driver. Dettagli: LEGO Firmware Loader non trova il controller.
Che cosa si fa se il driver del workbench di zenon Logic non comunica più con il controller? | Ci possono essere diverse cause. Controllare le impostazioni e se tutti i dispositivi sono online. Dettagli: il driver del workbench di zenon Logic non comunica con il controller
Che cosa si fa se il driver stratonNG non comunica più con il controller? | Ci possono essere diverse cause. Controllare i parametri di comunicazione, Runtime e il progetto. Dettagli: il driver stratonNG non comunica con il controller.

Ulteriori domande e risposte si trovano nell´user forum di COPA-DATA: www.copadata.com/forums/.

Noch in diesem Kapitel

Messaggio di errore durante l´installazione di zenon Science Packages

Attivare il firmware originale di LEGO

Il LEGO Firmware Loader non trova il Controller.

Il driver del workbench di zenon Logic non comunica con il controller

Il driver stratonNG non comunica con il controller.


Messaggio di errore durante l´installazione di zenon Science Packages

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Domande e risposte -> Messaggio di errore durante l´installazione di zenon Science Packages

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Durante l´installazione dello zenon Science Package for LEGO MINDSTORMS Science Package viene visualizzato un messaggio di errore che si riferisce ad un´installazione già esistente.

Questa versione di zenon è stata già installata sul vostro sistema. Non si deve più installare zenon e si può usare la versione già esistente. Importare i progetti demo dal supporto di installazione e continuare con il punto installare il firmware.


Attivare il firmware originale di LEGO

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Domande e risposte -> Attivare il firmware originale di LEGO

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se sul controller c´è un firmware non fornito dalla Ditta LEGO, questo deve essere settato su Firmware-Load-Mode; poi sarà possibile installare altro firmware. Questa modalità è necessaria anche se si vuole eseguire un update del firmware di straton , o caricare di nuovo un firmware di LEGO. Per settare il controller nel Firmware-Load-Mode:

  1. Premere contemporaneamente perlomeno per 5 secondi, finché si sente un clic flebile:
    • Il pulsante Start arancione e
    • Il "rest-button" che si trova sulla parte posteriore del dispositivo.
      Il modo migliore di premere il "rest-button" è usare un oggetto appuntito.

  2. Accendete il NXT Controller premendo il tasto arancione.

  3. Il controller NXT si avvia in Firmware-Load-Mode . Si sente un suono regolare.
  4. Avviare il download del firmware desiderato.
    A questo scopo si deve instaurare una connessione via USB o Bluetooth. Per la connessione via USB con zenon/straton è richiesto il driver COPA-DATA.

attention Attenzione

Il Firmware-Load-Mode può essere terminato solamente con il download di un firmware.

Download del firmware di LEGO:

  1. Collegate il controller al PC via USB.
  2. Lanciare il software LEGO MINDSTORMS NXT 2.0.
  3. Selezionare nel menù Tools l´inserimento Update NXT Firmware.
  4. Il firmware originale LEGO MINDSTORMS NXT è preselezionato.
  5. Cliccare sul pulsante Download.
  6. Il controller si riavvia con il firmware originale di LEGO.


Il LEGO Firmware Loader non trova il Controller.

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Domande e risposte -> Il LEGO Firmware Loader non trova il Controller.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se il LEGO Firmware Loader non trova il controller, collegare il cavo USB con un´altra porta USB. In questo modo, il driver USB viene installato per il "Firmware Loader mode".

Se questo non dovesse risolvere il problema, si deve disinstallare il driver. Procedura::

  1. Aprire la "Gestione periferiche" nel Pannello di controllo mentre il controller è connesso.
  2. Selezionare il driver LEGO MINDSTORMS NXT Firmware Update Mode.
  3. Cliccarci sopra una volta con il tasto destro del mouse

  4. Selezionare Disinstalla nel menù contestuale.
  5. Scollegare il cavo USB dal controller LEGO MINDSTORMS 2.0 e ricollegatelo.
  6. Il driver viene reinstallato automaticamente.


Il driver del workbench di zenon Logic non comunica con il controller

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Domande e risposte -> Il driver del workbench di zenon Logic non comunica con il controller

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La comunicazione con il controller è di tipo punto a punto via porta seriale virtuale. È possibile collegare solo un´applicazione alla volta.

Diverse possono essere le cause per la quali la comunicazione non funziona. Le più frequenti sono:

  1. Il driver stratonNG e zenon sono ancora online.
  2. Le impostazioni della porta COM sono errate. Nel menù Communication parameters, settare le impostazioni corrette per la porta COM..
  3. Le impostazioni di connessione per il controller non sono settate sul mezzo corretto (USB oppure Bluetooth). Settarle sulla connessione usata al momento.


Il driver stratonNG non comunica con il controller.

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Domande e risposte -> Il driver stratonNG non comunica con il controller.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La comunicazione con il controller è di tipo punto a punto via porta seriale virtuale. È possibile collegare solo un´applicazione alla volta.

Diverse possono essere le cause per la quali la comunicazione non funziona. Le più frequenti sono:

  1. Il workbench di zenon Logic è ancora online.
  2. Le impostazioni della porta COM sono errate.
  3. Il Runtime di straton non è stato lanciato sul controller LEGO MINDSTORMS 2.0.
    Per avviare il Runtime:
    1. Premere il tasto arancione.
    2. Appena viene visualizzato l´inserimento straton, premere un´altra volta il tasto arancione.
    3. Selezionare Start e premere il tasto arancione.

    Che il Runtime è attivo, si capisce dal fatto che il simbolo quadrato accanto allo stato della batteria ruota su se stesso.

  4. Il progetto straton non è stato scaricato sul controller.
    Se un progetto è stato scaricato, bisogna controllare se si tratta di quello corretto.
  5. I nomi simbolo delle variabili non sono stati attivati.
  6. Il nome connessione del driver stratonNG non è identico a quello del progetto zenon Logic.
  7. Le impostazioni di connessione per il controller non sono settate sul mezzo corretto (USB oppure Bluetooth). Settarle sulla connessione usata al momento..


Uso di variabili complesse

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per Lego MINDSTORMS 2.0 -> Uso di variabili complesse

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questa sezione spiega come controllare un motore con variabili complesse.

info Informazioni su

L´uso di variabili complesse è consigliato solo ad utenti esperti!

Con una programmazione addizionale, si può far sì che i motori NXT si muovano con un angolo definito. Questo è il requisito per progettare dei movimenti molto precisi. Per la progettazione:

  1. Creare tutte le variabili cliccando sulla porta e selezionando Create advanced variables nel menù contestuale.

  2. Si ottengono 15 variabili.

Quelle di rilievo sono:

  • PORT_n_FLAGS
    • Maschera di bit da cui devono essere scritte le variabii.
  • PORT_n_TACHOLIMIT
    • Il limite relativo per il numero di gradi per il quale il motore deve ruotare.
    • Attenzione: questo valore è sempre positivo, anche quando il motore ruota all´indietro.
  • PORT_n_MODE
    • Modalità che il motore deve usare.
    • Non si riferisce ad avanti o indietro, o a velocità crescente o decrescente, ma a comandi interni.
  • PORT_n_SPEED
    • Velocità del motore.
    • Ambito: da -100 (indietro) fino 100 (avanti)
  • PORT_n_RUNSTATE
    • Come deve funzionare il motore.
    • Proprietà fisiche (set speed instantly, Ramp UP o Ramp DOWN)

attention Attenzione

Tutte le variabili devono essere scritte in un ciclo!

Ciò significa: le variabili non possono essere forzate dal workbench di zenon Logic.

Struttura

Internamente, NXT usa una struttura.. Tutte le variabili di questa struttura vengono create cliccando con il tasto destro del mouse sulla porta e selezionando Create advanced variables nel menù contestuale. Questa struttura viene scritta in ogni ciclo. Tuttavia, visto che PORT_n_FLAGS viene settata da straton su 0 dopo ogni ciclo, non succederà nient´altro.

La variabile PORT_n_Flags è una maschera di bit per quelle variabili che sono rilevanti in questo ciclo per la struttura che straton interroga. Per impartire un comando Move n degree, settare la variabile PORT_n_FLAGS su una maschera di bit [ST]:

In questo modo si è definito che i dati sono disponibili per PORT_n_MODE, PORT_n_SPEED e PORT_n_TACHOLIMIT. Quali valori devono avere queste variabili?

Anche per PORT_n_MODE avete bisogno di una maschera di bit. In linea di principio, bisogna settare sempre entrambe se si vuole avere un movimento in avanti [ST]:

Adesso è stata settata la maschera di bit l´update delle variabili e di alcuni parametri flag interni.

Adesso ci si può concentrare sulla parte più interessante: La modalità di rotazione del motore - PORT_n_RUNSTATE. In questo caso non si ha a disposizione nessuna maschera di bit. I valori sono esclusivi.

E finalmente: PORT_n_SPEED e PORT_n_TACHOLIMIT:

attention Attenzione

Ci si deve assicurare che questi valori non siano scritti in ogni ciclo. Altrimenti il comando di rotazione sarà eseguito in ogni ciclo. Tuttavia, si devono scrivere tutte le variabili in ogni ciclo. Bloccare la scrittura di questi valori.


zenon Science Package per LEGO MINDSTORMS EV3

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo zenon Science Package for LEGO MINDSTORMS EV3 consente la programmazione di oggetti LEGO MINDSTORMS EV3.

Preparazione:

zenon 7.20 è già installato e il supporto di installazione è disponibile.
Se zenon non è stato ancora installato, si deve installare lo CD_PRODUCTNAMEzenon Science Package for LEGO MINDSTORMS Science Package nella versione 7.20, oppure più recente.

Noch in diesem Kapitel

Requisiti

Installazione

Crea progetto zenon Logic

Configurazione di EV3 in zenon Logic

Collega EV3 con l´Editor di zenon Logic

Primi passi nel progetto demo

COPA-DATA Forum


Requisiti

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Requisiti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Hardware:

  • Netgear WNA1100 Wi-Fi Dongle
  • LEGO MINDSTORMS EV3 con "Firmware Version" 1.03E , 1.03H oppure una versione più recente.

Software:

  • zenon a partire dalla versione 7.20.
  • Runtime di LEGO MINDSTORMS EV3 (si trova sul supporto di installazione nella directory \AdditionalSoftware\Science Package - Firmware\EV3)
  • Bricx Command Center (disponibile su http://bricxcc.sourceforge.net/)

Firmware per LEGO MINDSTORMS EV3

La versione del firmware sul LEGO MINDSTORMS EV3 deve essere almeno 1.03E, 1.03H o una versione ancora più recente.

Per verificare la versione del firmware, selezionare Brick Info nella scheda Impostazioni del LEGO MINDSTORMS EV3. La più recente versione del Firmware (file *.bin) è a disposizione per il download nella web site di LEGO.

Per aggiornare il firmware, usare il software LEGO.


Installazione

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Installazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´installazione comprende:

  • zenon Science Package
  • EV3 Setup
  • Editor e Runtime di zenon Logic

Se zenon 7.20,(oppure una versione più recente) è stato già installato, si può eseguire immediatamente il setup di EV3.

Installazione dello zenon Science Package

Avviare la procedura di installazione dal supporto di installazione zenon e seguire le indicazioni dell´assistente. Si può scaricare lo zenon Science Package anche dalla Homepage di COPA-DATA. Questa installazione comprende già zenon Logic.

Installazione del Runtime straton su LEGO EV3

  1. Installare il Bricx Command Center.
    Il programma si trova su http://bricxcc.sourceforge.net/test_releases.
  2. Scaricare un test_release attuale .
    In queste istruzioni si usa test_release2013007.zip.
  3. Collegare il LEGO MINDSTORMS EV3 al PC usando un cavo USB.
  4. Aprire Bricx CC: Tools -> Find Brick
  5. Configurare la connessione.

    • Port: usb
    • Brick Type: EV3
    • Firmware: Linux
  6. Aprite il Bricx Explorer: Tools -> Explorer.

  7. Create una nuova cartella T5 Runtime.
  8. Aprite sul supporto di installazione la cartella T5 Runtime nel percorso \AdditionalSoftware\Science Package – Firmware\EV3\apps.
  9. Copiate i file in essa contenuti e aggiungeteli alla vostra cartella T5 Runtime nel Brick Explorer.
  10. Aprite sul supporto di installazione la cartella \AdditionalSoftware\Science Package – Firmware\EV3\prjs.
  11. Qui copiate il file t5ev3 nella cartella in cui si trova anche la cartellaT5 Runtime.

  • Sul LEGO EV3 Brick c´è adesso il nuovo inserimento T5 Runtime.


Crea progetto zenon Logic

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Crea progetto zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon Logic contiene un tool di configurazione completamente integrato per il LEGO MINDSTORMS EV3, e una libreria con Functions e Function Blocks.

La prima cosa da fare è creare un progetto zenon e, al suo interno, un progetto zenon Logic.

Creazione di un progetto zenon

  1. Aprire l´Editor di zenon.
  2. Selezionare il File -> Progetto nuovo.
  3. Si apre la finestra di dialogo che serve alla creazione del progetto.

  4. Assegnare un nome al progetto.
  5. Cliccare su OK
    • Viene avviato il wizard per la creazione del progetto.
    • Chiudere il wizard.

In alternativa, si può anche aprire il progetto demo fornito con il pacchetto.

Crea un progetto zenon Logic

  1. Nell´Editor di zenon, passare al nodo zenon Logic (IEC 61131-3).
  2. Selezionare nel menù contestuale, oppure nella barra degli strumenti della visualizzazione dettagli, Nuovo progetto zenon Logic .

  3. Si apre la finestra di dialogo per la creazione del progetto.
  4. Assegnare un nome al progetto.
  5. Cliccare su Fertigstellen


Configurazione di EV3 in zenon Logic

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Configurazione di EV3 in zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Runtime gestisce una tabella di allocazione che contiene iLEGO MINDSTORMS EV3 Inputs e Outputs. Nello zenon Logic Workbench è integrato un tool per la configurazione.

Per iniziare la procedura di configurazione:

  1. Nello zenon Logic Workbench cliccare due volte su Configurazione feldbus.

  2. Si apre la finestra Diver I/O.
  3. Cliccare con il tasto destro del mouse su un punto vuoto di questa finestra.
  4. Selezionare nel menù contestuale Aggiungi configurazione.
  5. Si apre la finestra Aggiungi configurazione.

  6. Aprire il nodo Tutte.
  7. Selezionare LEGO EV3.
  8. Cliccare su OK.

La configurazione verrrà creata nella visualizzazione ad albero:

Configurazione di LEGO EV3

  • EV3
    • Pulsanti
  • Sensors
    • Porta 0
    • Porta 1
    • Porta 2
    • Porta 3

Noch in diesem Kapitel

Definire tipo sensore

Creare variabili

Function Blocks e Functions


Definire tipo sensore

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Configurazione di EV3 in zenon Logic -> Definire tipo sensore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nel gruppo "Sensori", si definisce un tipo di sensore per ogni porta.

Procedura:

  1. Cliccare due volte sulla porta.
  2. Si apre la finestra di configurazione.
  3. Cliccate due volte su Tipo.
  4. Si aprirà la lista di selezione.
  5. Selezionare il Tipo desiderato.

  6. Chiudere il dialogo cliccando su OK.


Creare variabili

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Configurazione di EV3 in zenon Logic -> Creare variabili

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Le variabili possono essere create automaticamente, oppure collegate manualmente.

Creare variabili automaticamente.

  1. Cliccare con il tasto destro del mouse sulla porta
  2. Selezionare nel menù contestuale Crea variabile
  3. Tutte le variabili necessarie verrano create automaticamente.

Nota: se il tipo di sensore impostato è nessuno, non verrà creata nessuna variabile.

Collegare variabili manualmente.

Per collegare variabili manualmente:

  1. Cliccare con il tasto destro del mouse sulla porta
  2. Selezionare nel menù contestuale Inserire variabile
  3. Si apre la finestra di dialogo di configurazione.
  4. Cliccando su un valore, si apre la lista di selezione contenente i valori possibili per questo tipo.

Configurare le variabili

Parametro

Descrizione

Symbol

Selezione di una variabile corrispondente alla sintassi IEC 61131-3.

Area

Ambito.

Format

Tipo di dati:

  • 32 bit float
  • Signed 16 bit integer
  • Signed 32 bit integer
  • Signed 8 bit integer
  • Single bit
  • Unsigned 16 bit integer
  • Unsigned 32 bit integer
  • Unsigned 8 bit integer

Offset

Non viene utilizzato.

Bit Number

Numero bit.

Tipi di dato

Si possono collegare variabili con qualsiasi tipo di dato ai LEGO EV3 I/O. Il Runtime converte i valori degli I/O nei tipi di dato della variabile.

Nota: le variabili di tipo STRING non vengono supportate.


Function Blocks e Functions

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Configurazione di EV3 in zenon Logic -> Function Blocks e Functions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nella libreria ci sono alcuni Function Blocks e Functions a disposizione degli utenti per la gestione di LED, sound, LCD e motori di LEGO EV3.

I seguentiFunction Blocks vengono descritti in modo più preciso:

  • LED
  • Sound
  • Motor

Noch in diesem Kapitel

LED

Suono

Motore


LED

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Configurazione di EV3 in zenon Logic -> Function Blocks e Functions -> LED

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Crea LED pattern:

Parametro

Descrizione

SetLed

Crea un LED pattern

[IN] LED

Indice dei LED pattern da utilizzare:

  • 0: Tutti i LED off.
  • 1-9: LED pattern corrispondente.

[OUT] Q

LED pattern attuale.


Suono

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Configurazione di EV3 in zenon Logic -> Function Blocks e Functions -> Suono

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Regolare la riproduzione del suono.

Generale:

Parametro

Descrizione

PlaySnd

Riproduzioni suoni.

[IN] ENABLE

Accendi riproduzione suono;

  • TRUE: I suoni vengono riprodotti.
    Per attivare la riproduzione, l´impostazione deve essere stata prima FALSE.
  • FALSE: I suoni non vengono riprodotti.

[IN] FREQ

Frequenza del suono.

[IN] DURATION

Durata del segnale.

[IN] VOLUME

Volume.

  • Minimo: 0
  • Massimo: 100

[OUT] PLAYING

TRUE se i suoni vengono riprodotti.

System sounds:

Parametro

Descrizione

PlaySysSnd

Riproduci system sounds.

[IN] ENABLE

Accendi riproduzione suono;

  • TRUE: I suoni vengono riprodotti.
    Per attivare la riproduzione, l´impostazione deve essere stata prima FALSE.
  • FALSE: I suoni non vengono riprodotti.

[IN] SND

Indice del system sound.

[IN] VOLUME

Volume.

  • Minimo: 0
  • Massimo: 100

[OUT] PLAYING

TRUE, se un system sound viene riprodotto.

Symbol

Nome della variabile corrispondente alla sintassi IEC 61131-3.

Area
  • Data Exchange
  • Data Status.

Format

Tipo di dati:

  • 32 bit float
  • Signed 16 bit integer
  • Signed 32 bit integer
  • Signed 8 bit integer
  • Single bit
  • Unsigned 16 bit integer
  • Unsigned 32 bit integer
  • Unsigned 8 bit integer

Offset

Non utilizzato.

Bit Number

Numero bit.


Motore

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Configurazione di EV3 in zenon Logic -> Function Blocks e Functions -> Motore

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Imposta motore.

Informazioni motore.

Informazioni motore:

Parametro | Descrizione
MotorInfos | Richiama informazioni motore.
[IN] MOTOR | Indice del motore: 1 - 4
[OUT] SPEED | Velocità attuale.
[OUT] TACHO | Numero attuale di giri per la visualizzazione della distanza coperta.

Accensione motore

Accensione motore:

Parametro

Descrizione

Rotate

Accensione motore:

[IN] MOTOR

Indice del motore: 1 - 4

[IN] START

Avvia motore:

  • TRUE: Il motore viene avviato. Per consentire l´accensione del motore, l´impostazione deve essere stata primaFALSE.
  • FALSE: Il motore non viene avviato.

[IN] POWER

Potenza che deve essere applicata:

  • -255 fino a -1: Indietro.
  • 0: Stop.
  • 1 fino a 255: In avanti.

[OUT] RUNNING

TRUE, quando il motore funzione.

[OUT] SPEED

Velocità attuale.

Accensione di più motori:

Parametro

Descrizione

Rotate2

Accensione di diversi motori.

[IN] MOTORS

Indice del numero motore.

  • Motore 1: 1
  • Motore 2: 2
  • Motore 3: 4
  • Motore 4: 8

Esempio: Per indirizzare i motori 1 e 2, inserire 3 (1 + 2).

[IN] START

Avvia motore:

  • TRUE: Il motore viene avviato. Per consentire l´accensione del motore, l´impostazione deve essere stata primaFALSE.
  • FALSE: Il motore non viene avviato.

[IN] POWER

Potenza che deve essere applicata:

-255 fino a -1: Indietro.

0: Stop.

1 fino a 255: In avanti.

[OUT] RUNNING

TRUE quando il motore è acceso.

[OUT] SPEED

Velocità attuale.

Angolo di rotazione

Angolo di rotazione per un motore:

Parametro

Descrizione

RotateAngel

Angolo di rotazione per un motore.

[IN] MOTORS

Indice del motore: 1 - 4

[IN] START

Avvia motore:

  • TRUE: Il motore viene avviato. Per consentire l´accensione del motore, l´impostazione deve essere stata primaFALSE.
  • FALSE: Il motore non viene avviato.

[IN] POWER

Potenza che deve essere applicata:

  • -255 fino a -1: Indietro.
  • 0: Stop.
  • 1 fino a 255: In avanti.

[IN] ANGLE

Angolo in gradi.

[IN] BRAKE

Freno.

  • TRUE: Il motore viene frenato alla fine.
  • FALSE: Il motore non viene frenato.

[OUT] RUNNING

TRUE, quando il motore è acceso.

[OUT] SPEED

Velocità attuale.

Angolo di rotazione per più motori:

Parametro

Descrizione

RotateAngel2

Angolo di rotazione per diversi motori.

[IN] MOTORS

Indice del numero motore.

  • Motore 1: 1
  • Motore 2: 2
  • Motore 3: 4
  • Motore 4: 8

Esempio: Per indirizzare i motori 1 e 2, inserite 3 (1 + 2).

[IN] START

Avvia motore:

  • TRUE: Il motore viene avviato. Per consentire l´accensione del motore, l´impostazione deve essere stata primaFALSE.
  • FALSE: Il motore non viene avviato.

[IN] POWER

Potenza che deve essere applicata:

  • -255 fino a -1: Indietro.
  • 0: Stop.
  • 1 fino a 255: In avanti.

[IN] ANGLE

Angolo in gradi.

[IN] BRAKE

Freno.

  • TRUE: Il motore viene frenato alla fine.
  • FALSE: Il motore non viene frenato.

[OUT] RUNNING

TRUE, quando il motore è acceso.

[OUT] SPEED

Velocità attuale.

Numero di giri

Rotazione per un motore:

Parametro

Descrizione

RotateCount

Girare un motore per un numero definito di impulsi contatore

[IN] MOTORS

Indice del motore: 1 - 4

[IN] START

Avvia motore:

  • TRUE: Il motore viene avviato. Per consentire l´accensione del motore, l´impostazione deve essere stata primaFALSE.
  • FALSE: Il motore non viene avviato.

[IN] POWER

Potenza che deve essere applicata:

  • -255 fino a -1: Indietro.
  • 0: Stop.
  • 1 fino a 255: In avanti.

[IN] COUNT

Numero degli impulsi di rotazione.

[IN] BRAKE

Freno.

TRUE: Il motore viene frenato alla fine.

FALSE: Il motore non viene frenato.

[OUT] RUNNING

TRUE, quando il motore è acceso.

[OUT] SPEED

Velocità attuale.

Numero di giri per più motori:

Parametro

Descrizione

RotateCount2

Girare più motori per un numero definito di impulsi contatore

[IN] MOTORS

Indice del numero motore.

  • Motore 1: 1
  • Motore 2: 2
  • Motore 3: 4
  • Motore 4: 8

Esempio: Per indirizzare i motori 1 e 2, inserite 3 (1 + 2).

[IN] START

Avvia motore:

  • TRUE: Il motore viene avviato. Per consentire l´accensione del motore, l´impostazione deve essere stata primaFALSE.
  • FALSE: Il motore non viene avviato.

[IN] POWER

Potenza che deve essere applicata:

  • -255 fino a -1: Indietro.
  • 0: Stop.
  • 1 fino a 255: In avanti.

[IN] COUNT

Numero degli impulsi di rotazione.

[IN] BRAKE

Freno.

  • TRUE: Il motore viene frenato alla fine.
  • FALSE: Il motore non viene frenato.

[OUT] RUNNING

TRUE, quando il motore è acceso.

[OUT] SPEED

Velocità attuale.

Running time

Running time per un motore:

Parametro

Descrizione

RotateTime

Girare un motore per un determinato tempo.

[IN] MOTORS

Indice del motore: 1 - 4

[IN] START

Avvia motore:

  • TRUE: Il motore viene avviato. Per consentire l´accensione del motore, l´impostazione deve essere stata primaFALSE.
  • FALSE: Il motore non viene avviato.

[IN] POWER

Potenza che deve essere applicata:

  • -255 fino a -1: Indietro.
  • 0: Stop.
  • 1 fino a 255: In avanti.

[IN] SECONDS

Tempo in secondi in cui il motore è in funzione.

[IN] BRAKE

Freno.

  • TRUE: Il motore viene frenato alla fine.
  • FALSE: Il motore non viene frenato.

[OUT] RUNNING

TRUE, quando il motore è acceso.

[OUT] SPEED

Velocità attuale.

Numero di giri per più motori:

Parametro

Descrizione

RotateTime2

Girare più motori per un determinato tempo.

[IN] MOTORS

Indice del numero motore.

  • Motore 1: 1
  • Motore 2: 2
  • Motore 3: 4
  • Motore 4: 8

Esempio: Per indirizzare i motori 1 e 2, inserite 3 (1 + 2).

[IN] START

Avvia motore:

  • TRUE: Il motore viene avviato. Per consentire l´accensione del motore, l´impostazione deve essere stata primaFALSE.
  • FALSE: Il motore non viene avviato.

[IN] POWER

Potenza che deve essere applicata:

  • -255 fino a -1: Indietro.
  • 0: Stop.
  • 1 fino a 255: In avanti.

[IN] SECONDS

Tempo in secondi in cui i motori sono in funzione.

[IN] BRAKE

Freno.

  • TRUE: Il motore viene frenato alla fine.
  • FALSE: Il motore non viene frenato.

[OUT] RUNNING

TRUE, quando il motore è acceso.

[OUT] SPEED

Velocità attuale.

Prestazione motore.

Definire la prestazione per un motore:

Parametro

Descrizione

SetPower

Definire la prestazione per un motore mentre è in funzione.

[IN] MOTORS

Indice del motore: 1 - 4

[IN] SET

Definire la prestazione:

  • TRUE: La prestazione viene definita. A tal scopo, l´impostazione deve essere stata prima FALSE.
  • FALSE: La prestazione non viene modificata.

[IN] POWER

Potenza che deve essere applicata:

  • -255 fino a -1: Indietro.
  • 0: Stop.
  • 1 fino a 255: In avanti.

Definire la prestazione per più motori:

Parametro

Descrizione

SetPower2

Girare più motori per un determinato tempo.

[IN] MOTORS

Indice del numero motore.

  • Motore 1: 1
  • Motore 2: 2
  • Motore 3: 4
  • Motore 4: 8

Esempio: Per indirizzare i motori 1 e 2, inserite 3 (1 + 2).

[IN] SET

Definire la prestazione:

  • TRUE: La prestazione viene definita. A tal scopo, l´impostazione deve essere stata prima FALSE.
  • FALSE: La prestazione non viene modificata.

[IN] POWER

Potenza che deve essere applicata:

  • -255 fino a -1: Indietro.
  • 0: Stop.
  • 1 fino a 255: In avanti.

Arresta motore.

Arresta un motore:

Parametro | Descrizione
StopMotor | Arresta un motore.
[IN] MOTOR | Indice del motore: 1 - 4
[IN] STOP | Il motore viene arrestato.

Arresta più motori:

Parametro

Descrizione

StopMotor2

Arresta più motori.

[IN] MOTORS

Indice del numero motore.

  • Motore 1: 1
  • Motore 2: 2
  • Motore 3: 4
  • Motore 4: 8

Esempio: Per indirizzare i motori 1 e 2, inserite 3 (1 + 2).

[IN] STOP

I motori vengono arrestati.


Collega EV3 con l´Editor di zenon Logic

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Collega EV3 con l´Editor di zenon Logic

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

LEGO MINDSTORMS EV3 e zenon Logic comunicano via Wi-Fi.

Per stabilire la connessione:

  1. Inserire il Netgear WNA1100 Wi-Fi Dongle nella porta USB del Brick.
  2. Attivare il Wi-Fi sul LEGO MINDSTORMS EV3.
    Procedura:
    1. Aprire la scheda Settings (simbolo tool).
    2. Attivare Wi-Fi.
  3. Collegarsi alla rete.

    Ulteriori informazioni sulla comunicazione via Wi-Fi si trovano nella guida relativa a LEGO MINDSTORMS EV3.

  4. Nell´Editor di zenon Logic, definire l´indirizzo IP del LEGO MINDSTORMS EV3.
    Procedura:
    1. Aprire il menù Tools.
    2. Selezionare il comando Parametri di comunicazione.
    3. Si apre la finestra di dialogo per selezionare l´indirizzo IP.
    4. Selezionare l´indirizzo IP dell´EV3. (Vedi anche capitolo Primi passi nel progetto demo.)

      Nota:
      - L´indirizzo IP corretto si trova nel Brick, nella scheda Settings (simbolo tool), alla voceBrick Info.
      - Il Runtime usa la porta 1100.

  5. Avviare il Runtime T5 sul LEGO MINDSTORMS EV3.
    Procedura:
    1. Selezionare nella scheda App (simbolo freccia) del Brick il T5 Runtime.
    2. Premere l´interruttore centrale sul Brick.
    3. Il Runtime viene lanciato.

Adesso si può creare un nuovo programma nel workbench di zenon Logic con cui gestire il LEGO MINDSTORMS EV3.


Primi passi nel progetto demo

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> Primi passi nel progetto demo

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per provare le funzioni di base e la configurazione di LEGO MINDSTORMS EV3 con zenon e zenon Logic si può usare il progetto demo fornito con il pacchetto.

Procedura:

  1. Aprire il progetto demo EV3_DEMO nell´Editor di zenon.
  2. Collegare i sensori ed i motori alle porte corrispondenti.

  3. Configurare il driver zenon Logic: LEGO_EV3.

Configurazione del driver

Per configurare il driver:

  1. Navigare nel progetto di zenon e passare al nodo Driver (sotto Variabili).
  2. Cliccare con il tasto destro del mouse sul driver zenon Logic: LEGO_EV3.
  3. Selezionare Configurazione driver nel menù contestuale.

  4. Si apre la finestra di configurazione.

  5. Nella scheda Generale, selezionare l´inserimento Hardware per l´opzione Modalità.
  6. Passare alla scheda Connections (1).

    1. Selezionare la connessione LEGO_EV3 (2).
    2. Cliccare su Edit (3).
    3. Inserire per l´opzione Primary IP address l´indirizzo IP del Brick.
      L´indirizzo si trova nel Brick, nella scheda Settings (simbolo tool), alla voce Brick Info.
    4. Cambiare l´opzione Primary port no (4) e settarla su 1100.
    5. Salvare l´inserimento cliccando su Save (5).
  7. Chiudere la finestra cliccando su OK.

Configurare il progetto di zenon Logic e avviare il Runtime

Dopo aver configurato il driver, aprire il progetto di zenon Logic.
Procedura:

  1. Nell´Editor di zenon, passare al nodo zenon Logic (IEC 61131-3).
  2. Cliccare due volte sul progetto

  3. Aprire nel zenon Logic Workbench il menù Tools.
  4. Cliccare su Parametri di comunicazione.

  5. Si apre la finestra di dialogo per configurare i parametri di comunicazione.
    (Vedi anche il capitolo Collegare EV3 con l´Editor di zenon Logic.)

  6. Inserire l´indirizzo IP del Brick di LEGO MINDSTORMS EV3 e il relativo numero di porta.
    Formato: Indirizzo IP: Numero di porta.
    L´indirizzo si trova nel Brick, nella scheda Settings (simbolo tool), alla voceBrick Info.
    Numero di porta: 1100.
  7. Usare il Runtime di straton per collegarsi all´EV3.
    Procedura:
    • Aprire il menù Progetto.
    • Selezionare l´inserimento Online.
    • Confermare la domanda visualizzata dopo il download del progetto cliccando su OK.
    • Caricare il progetto nell´EV3.
      (In alternativa: Progetto-> Scarica applicazione.)
  8. Passare all´Editor di zenon.
  9. Nella barra degli strumenti File Runtime cliccare sull´opzione Crea tutti i file Runtime.
  10. Cliccare su Avvia Runtime.

Il Runtime di EV3 verrà avviato.


COPA-DATA Forum

Manuale -> zenon Science Package per LEGO MINDSTORMS -> zenon Science Package per LEGO MINDSTORMS EV3 -> COPA-DATA Forum

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per eventuali domande riguardanti zenon Science Package for LEGO MINDSTORMS, potete avere informazioni e supporto nello Science Package Thread del COPA-DATA Forum: www.copadata.com/forums.


zenon Security Guide

Manuale -> zenon Security Guide

Security is an important issue for COPA-DATA. zenon, zenon Logic and zenon Analyzer are therefore analyzed for security risks not just internally, but also together with universities, research institutes and security services providers. Weak spots that are identified are rectified immediately.

The security of a system is always only as strong as its weakest link. In accordance with the Security in Depth principle, measures are carried out at different levels to minimize security risks.

The points where security measures can be made are very diverse and depend on the respective situation. The idea, for example, that a firewall can be the only security measure to protect the production equipment, has now been superseded. Security measures can take many different forms.
For example:

  • Activation of security functions.
  • Use of additional security products.
  • Deactivation of functions that are not needed.
  • Logging and monitoring of all communication.
  • Isolation of areas, both network areas and physical areas.
  • Switching off systems if other security measures cannot reduce risk with reasonable effort.

In order to continually improve security, we recommend:

  • Regular validation and reevaluation of the possible risks and measures carried out
  • Application of norms and standards
  • Possible support from a security services provider
  • Reevaluation of risks and measures each time a system is changed

Penetration Tests can be used to check whether the measures carried out offer sufficient protection.

This manual is primarily concerned with the system on which zenon Runtime is installed. It informs you of possible risks and strategies to rectify these. There are also recommendations for general security measures. You should however consider measures beyond these.

The protection of your automation environment includes, among other things, the following important areas:

  1. IT-Systems general:
    • Protection of your operating system and all additional software such as SQL server.
    • Creation and anchoring of general rules for each item of software, the network and users.
  2. HMI/SCADA with zenon:
    • Protection of the Runtime and its communication in the network.
    • Protection of the Editor.

How can COPA-DATA support you when protecting your systems?

In principle, the following applies:

  • COPA-DATA offers functions that make attacks on zenon server, clients and the communication in the network between zenon products more difficult.
  • The communication between Runtime and control can only be protected if this is supported by protocol, drivers and PLC.
  • zenon does not take over the task of taking care of the general IT security. This is the IT experts’ task. If an attacker has overcome the IT hurdles and has access to the local data system, then an attack on zenon can also be carried out with appropriate expertise.
  • If there is unauthorized file access with administrator rights, the zenon application can no longer guarantee the security and stability of the system.

This is how COPA-DATA makes provisions

COPA-DATA :

  • works together with university departments, universities of applied sciences and security experts
  • has zenon reviewed also externally for security risks
  • keeps a close watch on all attacks on automation software and security tests
  • Analyzes known weak spots of other systems for their effect on zenon, zenon Logic and zenon Analyzer
  • has been working together on the topic of security for years with other suppliers e.g. NERC

COPA-DATA provides information about how your products can be used securely. Neither COPA-DATA nor your products offer protection against negligent configuration.
Recommendation: Obtain advice from security experts if the necessary expertise is not or is only partially available in your company.

Noch in diesem Kapitel

Protect the IT

Protect zenon

Further information and consulting


Protect the IT

Manuale -> zenon Security Guide -> Protect the IT

The security of COPA-DATA products also depends on the security of the IT environment in which it is used. COPA-DATA recommends to restrictively protect operating systems, networks and physical access to systems and computers using the expertise of a security expert.

COPA-DATA can only advise you on the security-related configuration of COPA-DATA products. The following general recommendations for IT systems are based on experience and analyses of COPA-DATA, but do not replace an actual analysis and evaluation of your system by security experts.

attention Attenzione

Security loopholes and threats can change very quickly.
Recommendation:

  • Use the help of knowledgeable experts for the security of your equipment and systems.
  • Note also the security standards and guidelines from Microsoft.

Noch in diesem Kapitel

Putting a computer out of operation

Operating system

Installation zenon

Microsoft SQL server

Hardware


Putting a computer out of operation

Manuale -> zenon Security Guide -> Protect the IT -> Putting a computer out of operation

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Security must also be ensured with computers that are taken out of operation. Ensure that, in your company, there is a defined process that regulates how systems on which zenon are installed are taken out of operation. Ensure that this process is carried out and adhered to.

For taking systems on which zenon is installed, COPA-DATA recommends the following steps:

  • Examine the existing data.
  • Back up the data still required.
  • Check to see whether the backups created can also be restored.
  • Physically destroy the data media. This prevents saved information being able to be subsequently read.
  • Make any data backups on other systems or data media unusable.


Operating system

Manuale -> zenon Security Guide -> Protect the IT -> Operating system

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The COPA-DATA products and their components can run on different systems and in different configurations:

From a Runtime with a zenon standalone project on a scrapped system with a Windows desktop operating system, to a system with Windows server operating system, zenon Runtime server and zenon web server with zenon web clients on systems that are in different networks. However COPA-DATA products can also be used on systems with operating systems other than Microsoft Windows, for example the Everywhere App or the HTML 5 client.

General notes

For a current overview of technical, organizational, personal and infrastructure notices on basic IT protection, we recommend the German Bundesamtes für Sicherheit in der Informationstechnik (BSI).

The DES BSI information is generally in German, but sometimes available in other languages too.
Additional information:

  • BSI general basic protection: https://www.bsi.bund.de/EN/Topics/ITGrundschutz/itgrundschutz_node.html
  • BSI international basic protection: https://www.bsi.bund.de/DE/Themen/ITGrundschutz/ITGrundschutzInternational/itgrundschutzinternational_node.html
  • "M 4 Hardware und Software" range of measures: https://www.bsi.bund.de/DE/Themen/ITGrundschutz/ITGrundschutzKataloge/Inhalt/_content/m/m04/m04.html
    Focuses on practical backup methods.
  • International technical specification from the IEC/TS 62443 range, especially the parts from the IEC/TR 62443-3 range.

Microsoft operating systems

Microsoft provides, on its website, comprehensive information and also tools for backup and secure operation of your operating system.

Noch in diesem Kapitel

Secure installation and operation of the operating system

User Administration

Windows security settings

Specific Windows settings


Secure installation and operation of the operating system

Manuale -> zenon Security Guide -> Protect the IT -> Operating system -> Secure installation and operation of the operating system

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The operating system is, like zenon, a component of the automation system and contributes to the overall security of the system. The requirements for backup of the installation and operation of the operating system differ in complexity and depend on the type:

  • Standalone client operating system
  • Client operating system in a domain group
  • Server operating system

General notes

The IT department may be able to support you with the secure installation and secure operation of computers with zenon, zenon Logic or zenon Analyzer. In doing so, please note the special features of the systems in the production environment: For example, an email server can be restarted in the night without problems in order to install security updates. For a system with zenon Runtime, this is generally only possible by agreement and during a maintenance interval.

Recommendation: Commission expert people with the planning, design, installation and operation of the operating system for the computers in your automation system. This can also include computers on which the zenon Editor is used.

info Informazioni su

Many computers come with preinstalled operating systems. Reinstall the operating system from scratch before installing the zenon Runtime or Editor.

Background: Many providers install many different tools and programs by default, which are not necessary for zenon and may increase security risks.

Recommendation: Always only install the components and programs required for the operation.

Additional notices

This section provides additional notices for operating systems and their components in conjunction with zenon.

Equipment administration

Ensure complete documentation of which:

  • Systems are used in your equipment
  • Operating systems are used on the systems
  • Roles the systems fulfill
  • Software products are installed, the exact version thereof

If it is necessary to replace a system, this information helps get get the system able to run again.
For example: In oder for a certain driver to run in one of your zenon projects, certain additional software must be installed. In addition, a Build of the zenon software is installed, which rectifies a problem in your project configuration. If this information or backups of these setups are missing, this makes putting it back into operation longer.

Anti-virus

Real-time protection from anti-virus software can slow processes if these processes access the data medium. Check the interaction of anti-virus software with zenon Runtime. If necessary, defined exceptions for real-time protection in the anti-virus software to enable zenon Runtime to have access to Runtime data.

Establish processes in the company that define what exactly is to happen if anti-virus software discovers malware.
Note: With a false-positive report, cleaning of the system can, under certain circumstances, disable the computer or impair functionality. If an executable file of zenon software is detected as possibly infected, check the validity of the digital signature first. In the event of doubt, contact your local COPA-DATA support.

If malware is in fact discovered, it is not sufficient to delete the infected file or prevent access to the file. There must also be an investigation to find out how the malware got into the system, how far it has spread and what damage it may already have caused.

User roles

For the operation of zenon Runtime, the limited rights of a user from the Windows User user group are sufficient. Ensure that the user who is executing Runtime only belongs to this user group.

Operating system updates

In principle, it is recommended that the operating system is always kept current and that the security updates at least are installed. Check updates on your own system before installation for possible interaction with zenon, zenon Logic or zenon Analyzer .

Check in time to see what it means for the systems in your company if an operating system is discontinued and consequently no more security updates are provided by the manufacturer. Plan updates for systems carefully and check the systems in a test environment. The current version of zenon always supports the operating systems available at the time of release and allows the conversion of older <CD_PROJECTNAME> projects to the respective current version. Isolate systems that cannot be updated and undertake measures to increase the security of such systems.

Digital signature

All executable files of zenon software are digitally signed. With this signature, it is possible to check whether the software still corresponds to the original. The digital signature can also be used, under certain circumstances, by Application Whitelisting software, in order to prevent the execution of third-party software or manipulated software.

Internet connection

An Internet connection is not required for operation of zenon software.
Recommendation: Never connect systems in productive use to the Internet directly. If a connection is absolutely necessary, use a DMZ at least.

Define mechanisms and processes that also allows installations without an Internet connection for:

  • Security updates for the operating system
  • Updates of signatures of anti-virus software
  • Updates of zenon software

Backing up data and files

Create backups of not just Runtime data, but also compiled Runtime files. This is applicable most of all if you do not have project backups or workspace backups. Also consider whether you want to back up log data from the zenon diagnosis server and Windows events, in order to subsequently establish what happened in the event of a problem. Take good care of these backups, protect the backups from unauthorized access and ensure that they can also be restored again.

Backup of installation media

Create backups of installation media and also back up possible Patches/Builds for the COPA-DATA software that you have installed. Installation sets for required third-party software should also be backed up. In the event of an emergency, a system can also be set up from scratch without an Internet connection using this.

System backup

Create a backup of the system each time a change is made. Take good care of the backups and note who has access to the backups. Also check whether the backup can actually be restored. A system backup is only for restarting the system in the event of an emergency. It can also serve to carry out a forensic comparison with the current system or tests in a test environment.

Additional software

Restrict, on the systems on which zenon software is used, the use of further software to what is absolutely necessary and check for interaction between zenon and other products.

Manual installation of removable media

Windows makes it possible to shut off automatic access to removable media. Each new piece of removable media must be permitted on a one-off basis by an administrator, in order for this to be able to be used. If removable media actually needs to be used, this mechanism reduces the risk of unwanted removable media being used in the system.


User Administration

Manuale -> zenon Security Guide -> Protect the IT -> Operating system -> User Administration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

COPA-DATA recommends to configure users and passwords as freely as necessary and as restricted as possible.

User Administration

For the operation of zenon in general 4 Windows users are required:

Role | Example | Rights
System Administrator | zenon_ADMIN | Administrator
System Services | zenon_SERVICE | Standard user
System Engineer | zenon_ENGINEER | Standard user
User (for Desktop Login or Autostart) | zenon_USER | Standard user

These users are also employed for configuring the SQL server.
You can read how you administer users in zenon in the user administration manual in the zenon login and user administration in Runtime chapter.

Passwords

Passwords should require an appropriate length and strength. This includes the use of capital letters, small letters, characters and special characters.

Recommendation:

  • Already create a password for the local administrator during the installation.
  • Enforce a password for every account, including guest accounts.
  • Force administrators to use particularly strong passwords.
  • Force user to use particularly strong passwords.
  • Inform users on how to memorize strong passwords without writing them down.

attention Attenzione

Note:

  • It is best to just use signs which can be entered with any keyboard, so for instance no German umlauts.
  • Passwords for Autologon accounts may not expire automatically.


Windows security settings

Manuale -> zenon Security Guide -> Protect the IT -> Operating system -> Windows security settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Windows offers a number of security settings. With regard to this, please also read the Microsoft documentation.

Recommendations:

  • Deactivate Autorun for all drives.
  • Prevent the automatic execution of updates for the operating system and applications.
    Only install updates after you have examined them for smooth operation with their applications in a test environment.
    Please note that some Service Packs/Updates can reactivate the automatic update property without notifying the user.
  • Deactivate all non-essential services.
  • Set a strong password for every account.
  • Also create passwords for deactivated guest accounts.
  • Disable automatic login.
  • Prevent network access to the accounts of local administrators and guest accounts.
  • Protect shared printers.
    Only enable the printer for a precisely-defined group of users.

info Informazioni su

Group policy

Many security-related settings can be adjusted via group policy. It also depends on the operating system which settings are selected in which place. Please find details on this in the corresponding Microsoft documentation.

You can also find information online. For example:

  • Group policy for beginners: http://www.microsoft.com/download/en/details.aspx?id=20092
  • Microsoft Technet Security and Updates:
    http://technet.microsoft.com/en-us/library/cc498723.aspx
  • Mircosoft Technet Solution Accelerators:
    http://technet.microsoft.com/en-us/library/cc936627.aspx
  • Microsoft Compliance Manager:
    http://technet.microsoft.com/en-us/library/cc677002.aspx


Specific Windows settings

Manuale -> zenon Security Guide -> Protect the IT -> Operating system -> Specific Windows settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Increase the system security by adhering to some specific settings for Windows. With this regard please also read the Microsoft documentation.

Recommendations for increased Windows system security:

  • Always use the classic logon screen.
    Entering the user name and password is required and it is not displayed which accounts are available.
  • Deactivate the following functionalities:
    • Remote support and remote control.
    • Automatic updates of the root certificates.
    • Automatic Updates during an installation.
    • Help and Support Center.
    • Service for target server.
      Only activate this service if a computer must actually act as a time server.


Installation zenon

Manuale -> zenon Security Guide -> Protect the IT -> Installation zenon

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Before the installation of zenon, ensure that the installation medium corresponds to the original of COPA-DATA. Create secure checksums of downloads and contact COPA-DATA to compare the checksums.

Note: Even if you have obtained a file from s source that you think is secure, there is the possibility the the file has been manipulated during transport.

The following assumptions are made during installation:

  • The system on which the product is installed is free of malware such as viruses, Trojan horses, etc.
  • There are no software products on it that are not required for operation.
  • The system is in a protected environment without direct access to the Internet.

Note:

If you do not install the software in the standard folder, ensure that only users with administrator rights can amend files in, or add files to the selected folder. This is ensured by Windows in the standard folders %Program Files% and %Program Files (x86)%.

Noch in diesem Kapitel

Firewall exceptions

Ports for zenon and zenon Analyzer


Firewall exceptions

Manuale -> zenon Security Guide -> Protect the IT -> Installation zenon -> Firewall exceptions

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Some exceptions in the Windows firewall are configured during installation. Depending on the area of use, the applications used and the functionality, these exceptions are not necessary under certain circumstances.

The table lists the exceptions and information on their necessity.

Program or service

Executable file

Comment

CodeMeter Runtime Server

C:\Program Files (x86)\CodeMeter\Runtime\bin\CodeMeter.exe

Necessary.

CodeMeter Runtime Server

C:\Program Files (x86)\CodeMeter\Runtime\bin\CodeMeter.exe

Necessary.

CodeMeter Runtime Server

C:\Program Files (x86)\CodeMeter\Runtime\bin\CodeMeter.exe

Necessary.

CodeMeter Runtime Server

C:\Program Files (x86)\CodeMeter\Runtime\bin\CodeMeter.exe

Necessary.

CodeMeterFWEx1

C:\Program Files (x86)\CodeMeter\Runtime\bin\CodeMeter.exe

Necessary.

zenon Logic Runtime

STRATONRT.exe

Only required if the remote computer communicates with zenon Logic Runtime on this computer

zenAdminSrv - Administration service

zenAdminSrv.exe

Not required.

zenDBSrv - Database service for SQL Server communication

zenDBSrv.exe 32 bit

Only required if distributed engineering is used.

zenDBSrv - Database service for SQL Server communication

zenDBSrv.exe 32 bit

Only necessary if distributed engineering is used.

zenLogSrv - Diagnosis server

zenLogSrv.exe

Only required if:

  • This computer is defined as a remote logging server
    or
  • If access to this computer is required by a remote computer with the Diagnosis Viewer

zenNetSrv - Network communication service

zenNetSrv.exe 32 bit

Only required if Runtime is running on this computer as a Server 1 or Server 2.

zenNetSrv - Network communication service

zenNetSrv.exe 64 bit

Only required if Runtime is running on this computer as a Server 1 or Server 2.

zenon Process Gateway

zenProcGateway.exe

Only required if the zenon Process Gateway is used on this computer.

ZenSysSrv - Transport service

zenSysSrv.exe 32 bit

Only required if remote transport to this computer is required.

ZenSysSrv - Transport service

zenSysSrv.exe 64 bit

Only necessary if remote transport to this computer is required.

zenVNCSrv - Remote Desktop Service

zenVNCSrv.exe

Only required if remote desktop to this computer is required.

Note: See also the Ports for zenon and zenon Analyzer chapter.


Ports for zenon and zenon Analyzer

Manuale -> zenon Security Guide -> Protect the IT -> Installation zenon -> Ports for zenon and zenon Analyzer

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

During the installation of zenon, exceptions are created in the Windows firewall by the Setup for some applications and services that open a TCP Listening Port.

info Informazioni su

After installation, configure the exceptions in the Windows firewall more restrictively, appropriate to their environment and to the necessary applications and services.

On multi-homed systems with multiple network cards, zenon applications and services, with their default settings, open the TCP Listening Port for all network cards present in the system. However communication throughout all network cards is often not necessary and not desirable.

Note: After installation, use the Startup Tool to configure the TCP Listening Ports for the respective services and applications, according to their environment and requirements. Only allow communication between the network card or IP that is required for this. If you assign a service the local loopback adapter or the IP address 127.0.0.1, you only allow local communication. This way, local diagnosis server access to local diagnosis clients can be limited.

info Informazioni su

If a port that is different to the standard port is configured for a connection, this does not mean that an unwanted connection is no longer possible. A possible attacker only needs some more time to find the correct port.

When using non-standard ports, the standard port can be used as a Canary under certain circumstances. To do this, you monitor the standard ports in an Intrusion Detection System that you may have and set alarms for any attempt to connect to these ports. Such connection attempts can be caused by:

  • An incorrectly-configured computer
  • By an attacker who is using the default ports

Ports

Application | File | Goal | TCP-port | UDP-Port
Network project | zenNetSrv.exe | Runtime communication. | 1100 |
Remote Transport | zenSysSrv.exe | Data transfer via Remote Transport (editor) and Diagnosis Server. | 1101 |
zenon Remote Desktop |  | Direct connection with other computers including the possibility to monitor and take over control. | 5600 5610 |
zenon Web Server | zenWebsrv.exe | On-site logging machine between Web Client and Runtime | 1102 |
Distributed Engineering | zenDBSrv.exe | Distributed Engineering | 1103 |
CodeMeter WebAdmin |  | Configuration of CodeMeter Dongles. | 22350 |
WibuyKey |  | Monitoring WibuKey Dongles. | 22347 |
SQL server with multi-user projects |  | Administration of objects being executed. | 1433 | 1434

Recommendation: Open only ports required for a smooth operation.
Ports can be amended in the Startup Tool in the Listening ports tab. Note in this case that all devices affected must be amended!

Standard ports in COPA-DATA products

The following ports are used by COPA-DATA products by default:

Applicazione | Porta standard
zenon |
Network Service | 1100
Transport Service | 1101
WEB Service Classic | 1102
DB Service | 1103
SQL Browser Service, (per la progettazione multiutente nell´Editor) | 1434
zenAdminSrv.exe | 50777
Logging Service | 50780
zenVNC.exe | 5600 - 5610
SNMP Trap Service | 50782
zenLicenseSr | 50783
zenLicenseStub | 50789
zenLicenseCenter | 50689
WEB Service Tunneling | 8080
zenon Logic |
Il numero di porta assegnato a zenon Logic o straton dipende dal progetto e dal servizio. Per es.: il primo progetto zenon Logic occupa 1200 e 9000, i secondo progetto 1201 e 9001 ecc | 1200 - 1210 4500 - 4510 7000 - 7010 9000 - 9010
zenon Analyzer |
Administration Service | 50777
Analyzer Connector Service | 50778
Analyzer License Service | 50779
ZAMS | 50781
Driver |
Driver Simulation | 6000 - 6020
Process Gateway OPC Server | 135
Process Gateway SNMP | 161
Process Gateway Modbus | 502
Process Gateway IEC60870-5 104 slave | 2402
Process Gateway DEC | 5555
Process Gateway DNP3 Slave | 20000

Note: zenon drivers that communicate by means of Ethernet use TCP and thus need authorizations in the firewall in this case, regardless of the port used.


Microsoft SQL server

Manuale -> zenon Security Guide -> Protect the IT -> Microsoft SQL server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The Microsoft SQL Server is only required for the zenon Editor and for the zenon Analyzer. It is also installed during the installation of the zenon Editor or zenon Analyzer. The respectively required MS SQL Server is also contained on the installation medium. In the installation of the zenon Runtime no SQL server is installed.

The version of MS SQL Server that is installed is the one that is current at the time the installation medium is created. COPA-DATA recommends to install patches and updates after the installation.

In doing so, please note:

  • Load and install updates and patches individually instead of on an automated basis.
  • Check all updates and patches for unwanted effects on a test system before installation.
  • Only implement updates and patches on a productive system after they have been successfully tested.

attention Attenzione

For the maintenance and backup of the SQL server, use the corresponding documentation and guidelines from Microsoft.


Hardware

Manuale -> zenon Security Guide -> Protect the IT -> Hardware

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Also protect the hardware from attacks. For this purpose, also adhere to the documentation of the corresponding devices.

Recommendations for the hardware protection:

  • Protect access to the BIOS with a password.
    The BIOS contains some areas relevant for security. Only the administrator should be authorized to change these settings.
  • Protect the start process with a password, if there is no good reason not to do this.
    Reasons not to set a boot password:
    • A server should automatically boot after a system error.
      In this case, physically protect the server by means of a locked cabinet.
    • Dual boot is not possible. Only the pre-set operating system can be booted.
    • Complete encryption of the hard drive, which demands the entry of a password before booting.
    • Several users share the computer.
  • Avoid wireless communication.
    It is possible to intercept the communication of wireless keyboards (radio waves, infrared, Bluetooth) to and from the system, even from a great distance.
  • Avoid biometric access controls; instead, use PKI-based smart cards.
    It is now known that biometric access checks for computers can be circumvented in several ways. They should not be used in productive systems.
    Recommendation: Use PKI-based smartcards. These can also be linked to biometric checks. For example, a fingerprint reader on the smartcard reader can allow the access to the smartcard. zenon supports the logon per chip ident system for Runtime.
  • Deactivate wake-on LAN if it is not needed for administrative purposes.
  • Deactivate Hardware virtualization.
  • Deactivate interfaces for removable media (USB).
    Note: You can also get COPA-DATA dongles for internal USB ports for licensing.
  • Protect physical access to your systems. The room with server cabinets should be locked and access should be monitored. Replace the standard locks that come with server cabinets with security locks. Cabinets for equipment computers and controllers should be locked. Cable connections should also be protected.
  • For unmanned areas, use camera systems with motion detection and alarming.
  • Consider which components you store, so that critical components can be replaced, even when there are supplier bottlenecks.
  • Ensure that you are informed if a product is discontinued or can no longer be supplied by the manufacturer and create a replacement strategy.


Protect zenon

Manuale -> zenon Security Guide -> Protect zenon

zenon ensures up-to-date protection with:

  • Separation of Editor and Runtime:
    The Editor and Runtime are administered separately in zenon. An infection of the Editor database by an attacker does not automatically lead to an infection of Runtime.
  • Encryption (from version 7.00):
    Optional strong encryption of communication in the zenon network and of communication between Editor and Runtime.
  • Encrypted passwords:
    The password for the Editor database can be stored in an encrypted form.
  • SQL server:
    The MS SQL server is only required on computers with the zenon Editor for configuration or for the zenon Analyzer server. The zenon Runtime does not require an SQL server. Only install the MS SQL server if you need it for operation of zenon and configure it restrictively.
  • File signature (from Version 7.00 on):
    checking of the file signature of the Runtime.
  • Authentication (from Version 7.00 on):
    Only authenticated clients will obtain access to a zenon server.
  • Limited rights:
    The zenon software is able to run in the user context of a standard user.
  • Start as a service without GUI:
    zenon Runtime can be configured so that it starts as a service with the operating system without a user interface. This option can be used for systems on which Runtime runs as as server.
  • Clients or zenon web clients on the terminal server:
    <CD_PROCUCTNAME> Runtime as a client and the zenon web client can run one one terminal server. A thin client can thus be used for an operating station. The administration and protection of thin clients and terminal servers can be central.
  • General functionalities such as:
    • Configurable ports
    • Components that can be deactivated, such as COM Interface and Everywhere Server
    • Current communication standards with security aspects, such as OPC UA

Noch in diesem Kapitel

Supported Operating systems for zenon.

Runtime

Editor

PLC communication

Monitoring devices with SNMP


Supported Operating systems for zenon.

Manuale -> zenon Security Guide -> Protect zenon -> Supported Operating systems for zenon.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Which operating systems are supported depends on the applied zenon version. zenon is continuously being developed also with regard to security. It is recommended to use the latest zenon version on a current operating system with the latest patches.

info Informazioni su

Many computers come with preinstalled operating systems. Reinstall the operating system from scratch before installing the zenon Runtime or Editor.

Background: Many providers install many different tools and programs by default, which are not necessary for zenon and may increase security risks.

Recommendation: Always only install the components and programs required for the operation.

The following information refers to the zenon version.


Runtime

Manuale -> zenon Security Guide -> Protect zenon -> Runtime

zenon Runtime is protected in operation with the zenon user administration (including connection to Active Directory) by:

  • authentication of the client at the server (from version 7 on)
  • Strong encryption (from version 7 on)
  • Data storage in binary format
  • no SQL database used
    (only required for the zenon Editor)

You can further increase the protection by:

  • limiting the access to the zenon Runtime folder
  • disabling the zenon API

Noch in diesem Kapitel

Protect zenon file system

User Administration

Encryption in the network

zenon API

IEC 61850

Voice over IP - Message Control


Protect zenon file system

Manuale -> zenon Security Guide -> Protect zenon -> Runtime -> Protect zenon file system

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The access to the zenon file system should be strongly protected so that data cannot be manipulated externally. Only one Windows user should have read and write access. All other users should not have rights in the zenon Runtime folder. Operators in the Runtime log on as zenon user.

Per limitare l´accesso al file system:

  1. Creare solamente un singolo utente Windows (per esempio: zenon_ADMIN) autorizzato ad avviare zenon, e a leggere e scrivere nella cartella Runtime di zenon.
  2. Disabilitare l´accesso alla cartella Runtime di zenon per tutti gli altri utenti Windows - inclusa autorizzazione di lettura!
  3. Disabilitare ogni forma di accesso remoto all´utente zenon_ADMIN.
  4. Bloccare ogni software per la manutenzione remota, o per l´ accesso remoto, come il Remote Desktop di zenon .
  5. Assicurarsi che zenon possa essere avviato solamente se questo utente (zenon_ADMIN) ha eseguito il login.
    Visto che altri utenti Windows non hanno nessuna autorizzazione di lettura, il Runtime si avvierà solamente nel contesto di questo utente (zenon_ADMIN).
  6. Assicurarsi che zenon sia eseguito come shell:
    1. A questo scopo, creare un Autostart di zenon con Keyblock Runtime Start
    2. Attivare la proprietà Pulsanti di sistema bloccati nel gruppo Impostazioni Runtime delle proprietà di progetto.
    3. Avviare zenon in modalità schermo intero: per la proprietà Titolo Runtime, selezionare l´opzione Nessun titolo dal menù a tendina.
    4. In fase di configurazione, tenere presenti anche i sistemi con più di un monitor.
    5. Disabilitare "Explorer start".
    6. Non offrire finestre di dialogo di selezione file.
      (in questo caso non devono essere progettate delle funzioni che esigono dall´utente di selezionare dei file nel Runtime)

Seguendo queste indicazioni si riduce l´accesso al file system di zenon.

The zenon tool Keyblock Runtime Start can be used to implement further protective measures by blocking the system keys.

Noch in diesem Kapitel

Blocking system keys


Blocking system keys

Manuale -> zenon Security Guide -> Protect zenon -> Runtime -> Protect zenon file system -> Blocking system keys

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Keyblock Runtime Start is a program with which zenon Runtime runs as a Shell. In doing so, zenon Runtime is started, but all Windows system tasks are blocked. Keyboard shortcuts such as Windows key or Ctrl+Alt+Del no longer have an effect. User can no longer access the operating system but only work on the zenon user interface.

The precondition for this is that the project properties are set Titolo Runtime to No title (full screen). Then zenon runs in full screen mode and the Runtime cannot be minimized.

Note: The blocking of the Windows key can be circumvented. You should therefore block the Windows key using the corresponding entry in the Startup Tool

Usage

To use Keyblock Runtime Start:

  1. In the Windows start folder, under COPA-DATA, open the zenon Tools.
  2. Select Keyblock Runtime Start.
  3. The program is opened and automatically starts Runtime.
  4. The program blocks all access to the operating system:
    • locked shortcuts:

      Ctrl+Alt+Del

      Ctrl+Esc

      Alt+Tab

      Alt+Esc

      Alt+F4

      Windows key (except Windows + L)
      Notes:
      When locking the system keys, the normal operation of the scroll bars with the mouse in the Runtime is also blocked. This block can be circumvented with the context menu.
      If the system is blocked using the keyboard shortcut Windows + L, All Windows keyboard shortcuts are available again when signing in again. To prevent this, in the Startup Tool under Application -> Options -> General, deactivate the Windows key.

    • Hiding the Control Panel in the start menu
    • Locking the toolbar for operation
    • Prevents

      Changing passwords

      Closing Windows

      Logout

      Locking the computer

      User change

    • Hiding all element in the task manager

info Informazioni su

If Keyblock Runtime Start is started using the startup process of the operating system, then note the following:

  • The Autostart folder is user specific:
    If another user logs in, the program is not executed.
  • Execution of the Autostart programs can be prevented by pressing the Shift key when the operating system is booting.

This locking cannot be bypassed during Runtime. When the Runtime is closed normally, the system restrictions are canceled. If the Runtime is to be operable without these limitations, Runtime must be started without the Keyblock Runtime Start.

attention Attenzione

Take care that you engineer a possibility to close the Runtime in your project. There is no possibility to end the Runtime regularly.

  • It can only be ended by shutting the computer down using the hardware
  • All system keys also remain blocked after restarting

In order to make system keys accessible again after not being shut down properly (in the event of a power cut for example):

  • start the Runtime again with the help of Keyblock Runtime Start
  • end the Runtime regularly via a close button


User Administration

Manuale -> zenon Security Guide -> Protect zenon -> Runtime -> User Administration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon supports a user administration for the Editor and for the online operation (Runtime). The password system meets the guidelines of the FDA (Food and Drug Administration, 21 CFR Part 11).

The concept

The password design assumes that different users have different operating rights (password levels). Administrators also have different authorization levels. However they also have additional administration-related functions, such as administering users.

The zenon password design allows to allocate several selective (separately defined) authorization levels (operating rights) to each user. A maximum of 128 (0 to -127) authorization levels can be configured. Users can be assigned to the individual authorization levels and the attendant project-specific password design in relation to this can be created completely freely. Each user can have any level allocated. Thus e.g. user 1 can have levels 0, 1, 5 and 6 assigned and user 2 can have levels 0, 1, 6, 8 and 10 assigned. Authorizations can only be issued if the administrator has those rights himself.

A user is logged in to Runtime during online operation by activating the Login function. If the user should be logged in automatically based on an event (e.g. position of a key known to the system), the function Login without password is used. This function is projected with a limit value or a Rema of the variable in the variable management, respectively.

The Logout function is used for the independent logging out of a user. The user who is newly logged into the system is the SYSTEM user. If during a defined period of time there is no operation, an automatic time-triggered logout can be engineered.

For the creation and administration of users, as well as the assignment of passwords, please also note the information in the Protecting the zenon file system chapter:

Noch in diesem Kapitel

Options in Runtime


Options in Runtime

Manuale -> zenon Security Guide -> Protect zenon -> Runtime -> User Administration -> Options in Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

User administration in Runtime offers different possibilities.

Per la gestione user possono essere usati anche Windows AD o AD LDS. Gli utenti possono essere registrati permanentemente o temporaneamente e amministrati nel Runtime.

Valori o funzioni di particolare rilevanza, inoltre, possono essere protetti mediante una firma. A tal scopo si deve attivare la proprietà Firma necessaria per l´elemento corrispondente. In questo caso, l´utente deve inserire di nuovo la sua password e la firma anche se è già registrato e dispone dei diritti corrispondenti. Il sistema provvederà a generare un inserimento addizionale nella Lista Eventi Cronologica.

attention Attenzione

Le impostazioni per gli utenti che vengono modificati nell´Editor, possono essere applicate nel Runtime solo se la proprietà di progetto RT dati modificabili (gruppo Generale) consente di sovrascrivere le proprietà utenti al momento della scrittura dei file Runtime.

Le modifiche delle impostazioni effettuate nel Runtime possono essere riprese nell`Editor facendo uso del comando Importa file Runtime (barra degli strumenti, file Runtime). Perché ciò sia possibile, però, nella proprietà RT dati modificabili deve essere consentita la de compilazione.

Permanent and temporary login

Dopo un Login permanente, l´utente è registrato in modo permanente, e può eseguire tutte le azioni di gestione per cui è autorizzato. Nel caso di operazioni di gestione per cui egli non possiede l´autorizzazione necessaria, il sistema provvede a visualizzare un messaggio di avvertimento.

Il Login permanente può avvenire mediante:

  • un cambio ad un´immagine del tipo Login
  • la Funzione Login con dialogo
  • la Funzione Login senza password

Suggerimento: è possibile rendere invisibili agli utenti registrati dei pulsanti facendo uso del meccanismo della password. A tal scopo si deve configurare in modo corrispondente la proprietà Tasti bloccati (Proprietà di progetto -> Gestione user -> Login e firma).

  • Nota: non è possibile un login temporaneo per utenti registrati nel sistema. Per questo motivo il sistema non visualizza un dialogo per un login temporaneo per gli utenti registrati quando essi fanno uso di funzioni per le quali sono in possesso della corrispondente autorizzazione.


Encryption in the network

Manuale -> zenon Security Guide -> Protect zenon -> Runtime -> Encryption in the network

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Data traffic in the zenon network is encrypted.

zenon consente di proteggere per mezzo di una crittografia forte la comunicazione nella rete di zenon. A partire dalla versione 7.0 di zenon, la crittografia forte funziona per tutti i sistemi operativi supportati e per il zenon Web Client.

Quando la crittografia è attiva, la comunicazione fra server primario, Server-Standby, client e zenon Web Client avviene in modo cifrato; lo zenon Webserver si limita ad inoltrare i pacchetti dati e non è interessato dalla crittografia.

info Informazioni su

La comunicazione di rete era crittografata anche in precedenti versioni di zenon. Con la versione 7, però, è cambiato il metodo. Il termine "crittografia" in relazione a zenon 7 (e versioni successive) comporta una sempre maggiore cifratura.

Note: No encryption is available for VoIP in the Message Control module. This type of dispatch should therefore not be used if there is a need for security.

Noch in diesem Kapitel

Nozioni di base

Attivare la crittografia


Nozioni di base

Manuale -> zenon Security Guide -> Protect zenon -> Runtime -> Encryption in the network -> Nozioni di base

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La crittografia per il Runtime di zenon è a disposizione a partire dalla versione 7.00. Quando la crittografia è attiva, la comunicazione con le versioni precedenti di zenon non è possibile. La crittografia non pregiudica nessuna delle funzionalità di zenon.

Basi della crittografia a partire dalla versione 7.00 di zenon

Per usare la crittografia forte della rete di zenon bisogna tenere presente quanto segue:

  • La password viene cifrata individualmente su ogni calcolatore e salvata nello zenon6.ini. Ciò significa:
    • La password non può essere trasferita ad un altro calcolatore copiando lo zenon6.ini.
    • Quando cambiano i componenti hardware, soprattutto a livello di adattatore di rete, la password può perdere la sua validità e deve essere inserita di nuovo.
  • La crittografia deve sempre essere attivata o disattivata per tutti i componenti che fanno parte della rete di zenon. La comunicazione fra sistemi crittografati e non crittografati non è possibile. Gli zenon Web Server fungono solamente da computer proxy e non sono interessati dalla crittografia.
  • Se la crittografia viene attivata su un calcolatore, viene applicata sempre a tutti i progetti di questo computer per i quali è stata attivata la proprietà Rete attiva.

info Informazioni su

AES 192 di Microsoft viene usato come algoritmo di crittografia per la comunicazione di rete.

SHA 256 di Microsoft viene usato per generare la chiave dalla password inserita.

Compatibilità:

La crittografia non è compatibile con le versioni precedenti alla zenon 7.00 SP0. Ciò significa:

Sistema 1 | Sistema 2 | Comunicazione.
zenon 7 crittografata | zenon 7 crittografata | Sì
zenon 7 non crittografata | zenon 7 non crittografata o zenon prima della versione 7 non crittografata | Sì
zenon 7 crittografata | zenon 7 non crittografata o zenon prima della versione 7 non crittografata | No

Gli errori vengono protocollati nel file LOG del Diagnose Viewer.

Esempio

La seguente immagine mostra un esempio di una rete con server primario, Server-Standby, due client, un Webserver e due Web Client. Su tutti i dispositivi è eseguita la versione 7.00 SP0 di zenon. I dispositivi sono stati configurati nel modo seguente:

  • La crittografia è stata attivata sul server primario usando lo Startup Tool.
  • La crittografia viene attivata anche sul Server-Standby e sul client A via Trasporto Remoto al momento del trasferimento dei file Runtime.
  • Il Client B e il Web Client B comunicano ancora in modalità non crittografata.
  • Sul Web Client A, la crittografia è attivata usando lo Startup Tool.
  • Visto che il Web Server non analizza i pacchetti dati, ma si limita a inoltrarli, non è necessaria alcuna forma di crittografia. Teoricamente, sul Web Server potrebbe essere installata anche una versione precedente, e, ciò nonostante, i Web Client sarebbero in grado di instaurare delle connessioni crittografate.

Questa configurazione porta al risultato seguente:

  • Il Server-Standby comunica con successo con il server primario.
  • Il client A può registrarsi sul server primario e scambiare dei dati.
  • Visto che il client B invia dei messaggi non crittografati e questi vengono rifiutati dal server primario a causa della crittografia attiva, il client B non può comunicare con il server primario e, perciò, è offline.
  • Il Web Client A si registra sul server via Webserver ed è in grado di scambiare dati.
  • I messaggi non crittografati del Web Client B vengono inoltrati dal Webserver al server primario, ma vengono rifiutati da quest'ultimo Il Web Client B non può comunicare con il server primario e, perciò, è offline.

Non appena la crittografia viene attivata via Trasporto Remoto o tramite Startup Tool sul client B e per Encrypt network communication sul Web Client B, anche questi possono instaurare delle connessioni con il server primario.


Attivare la crittografia

Manuale -> zenon Security Guide -> Protect zenon -> Runtime -> Encryption in the network -> Attivare la crittografia

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La crittografia può essere attivata in modi diversi:

  • Via Startup Tool per il computer locale e il Web Client.
  • Via Trasporto Remoto

Tipp Suggerimento

Per attivare la crittografia in rete in modo semplice e veloce, raccomandiamo di effettuare la configurazione su un calcolatore usando il Trasporto Remoto.

Noch in diesem Kapitel

Localmente tramite Startup Tool

Via Trasporto Remoto


Localmente tramite Startup Tool

Manuale -> zenon Security Guide -> Protect zenon -> Runtime -> Encryption in the network -> Attivare la crittografia -> Localmente tramite Startup Tool

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Localmente tramite Startup Tool

Per attivare la crittografia sul computer locale o per il Web Client:

  1. Aprire lo zenon Startup Tool.
  2. Cliccare su Application -> Options

    Si aprirà la finestra di dialogo delle impostazioni.

  3. Selezionare la scheda Network configuration.

  4. Attivare la checkbox Encrypt network communication..
  5. Digitare la password e verificarla.
  6. Confermare cliccando su OK.


Via Trasporto Remoto

Via Trasporto Remoto

La crittografia può essere attivata su calcolatori remoti via Trasporto Remoto. Questo, tuttavia, è possibile solamente se la connessione Trasporto remoto è protetta da una password.

Per attivare la crittografia via Trasporto remoto:

  1. Cliccare sul pulsante corrispondente che si trova nella barra degli strumenti del Trasporto Remoto

    Oppure selezionare nel menù contestuale del progetto: Trasporto Remoto -> Stabilisci collegamento

    Verrà aperta la finestra di dialogo per stabilire un collegamento

  2. Inserire la password di connessione, oppure crearne una nel caso non ne sia stata definita ancora nessuna.
  3. Attivare la checkbox Configurazione codifica di comunicazione di rete
  4. Cliccare su OK.

    Si apre la finestra di dialogo per la crittografia della comunicazione di rete

  5. Attivare la checkbox Codifica comunicazione di rete
  6. Assegnare una password (per i criteri, vedi capitolo Password - Crittografia di rete.)
    Per trasferire velocemente la configurazione locale ad altri computer, la password locale può anzitutto essere letta via Acquisisci configurazione locale.
  7. Confermare la finestra di dialogo cliccando sul pulsante OK


zenon API

Manuale -> zenon Security Guide -> Protect zenon -> Runtime -> zenon API

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon API allows access to zenon by means of VBA and VSTA. Individual extensions can thus be programmed and many procedures can be further automated. In sensitive environments, this access constitutes a security risk and can be prevented in part.

Note: zenon does not support DCOM. For this reason, a remote access to the API is not possible.

info Informazioni su

With the key combination Ctrl+Pause (BREAK) a running code can be interrupted and the VBA editor accessed this way. If you use VBA or VSTA in the project disable the function BREAK.

Deactivating the sending of events

To deactivate the sending of COM events:

  1. Open the zenon6.ini.
  2. Navigate to the section [VBA].
  3. Enter the value 0 for the EVENT= key word.
    The sending of Events to external applications is thus prevented.


IEC 61850

Manuale -> zenon Security Guide -> Protect zenon -> Runtime -> IEC 61850

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon supports the IEC 61850 protocol as well as OPC UA including security features.


Voice over IP - Message Control

Manuale -> zenon Security Guide -> Protect zenon -> Runtime -> Voice over IP - Message Control

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In the zenon Message Control module, the Voice over IP (VoIP) dispatch type is also available. It is only for the sending of messages. No incoming calls are taken.

attention Attenzione

There is no encryption available for VoIP. This type of dispatch should therefore not be used if there is a need for security.


Editor

Manuale -> zenon Security Guide -> Protect zenon -> Editor

The concept of zenon allows the operation of Runtime and the Editor on separate computers. Often, the security of systems on which Runtime is running is rated as more important than that of Editor systems. However both must be rated as equally important.

Background: An attacker who has managed to get into a production network and discover, for example, a PLC with Modbus, cannot detect which processes and values are behind it using the Coils, Holding Registers or Inputs. A PLC program, technical illustrations or even also the HMI/SCADA software offer attackers the required information under certain circumstances.

Noch in diesem Kapitel

Encryption

Editor computer without distributed engineering

Network: Multi Homed

Project backup and workspace backup

History of Changes

Project versioning with XML export

User Administration

Runtime tests

Import from variables


Encryption

Manuale -> zenon Security Guide -> Protect zenon -> Editor -> Encryption

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The zenon Editor can - just like zenon Runtime - transmit the data in the network in encrypted form. Activate this encryption. You can find details in the section Encryption in the network.


Editor computer without distributed engineering

Manuale -> zenon Security Guide -> Protect zenon -> Editor -> Editor computer without distributed engineering

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

If the zenon is only installed on one computer as an Editor and the project configuration is carried out on this computer, we recommend the following checks and changes after installation:

  • SQL:
    • Change the standard password for the SQL user sa.
    • Change the standard password for the SQL user zenonsrv both in the SQL server instance and using the Startup Tool.

      Attention: For systems that use distributed engineering, the same password must be used for the user zenonsrv on the server and clients

    • Deactivate the SQL browser service on computers with the zenon Editor, if this is not needed by other SQL server instances on this computer.
    • Deactivate the remote access to the SQL server.
      Note: Systems with distributed engineering need remote access.
  • Limit the execution of the Editor and Runtime to precisely-defined users.

    In addition to the backup of the zenon projects using the user administration, it is also possible to use the Windows security settings to determine which users can execute the zenon Editor.

  • Do not close the required ports.
  • Activate network encryption and set the password according to your Runtime systems, provided you use Remote Transport.
  • Check the firewall exceptions that are added during installation.
    Remove exceptions for applications that are not used.


Network: Multi Homed

Manuale -> zenon Security Guide -> Protect zenon -> Editor -> Network: Multi Homed

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Prohibit operation of several networks on one computer.

Dual-Homed or Multi-Homed computers are a popular target for attackers. They can very often easily be configured to a bridge and then allow direct access from one network to another network. Existing firewalls are thus easily circumvented. Because a computer with the Editor is not always assigned to production, it may happen that such a computer is both connected to the company network and also to the production network. This configuration is unsafe and must be avoided.


Project backup and workspace backup

Manuale -> zenon Security Guide -> Protect zenon -> Editor -> Project backup and workspace backup

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Project backups and workspace backups should only be restored from trustworthy sources.

Encrypt copies of project backups or workspace backups before transport or storage at a central location. If necessary, use the additional functions or additional software. Before restoring to the Editor, the backup must be restored from the encrypted copy.


History of Changes

Manuale -> zenon Security Guide -> Protect zenon -> Editor -> History of Changes

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Activate the revision history, so that changes can be logged in the project. Set a password so that the change history cannot be deactivated without authorization. It usually makes sense to activate the revision history only once the equipment has been supplied.


Project versioning with XML export

Manuale -> zenon Security Guide -> Protect zenon -> Editor -> Project versioning with XML export

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Activate the project versioning in the project with the XML export option. The project backups also contain the XML export. This allows a further comparison between project backups and thus also incremental restoration of individual components.


User Administration

Manuale -> zenon Security Guide -> Protect zenon -> Editor -> User Administration

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Use the user administration in the Editor too.
You can thus prevent unauthorized loading of a project and link the editing to authorization levels granularly.


Runtime tests

Manuale -> zenon Security Guide -> Protect zenon -> Editor -> Runtime tests

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Use the driver simulation for Runtime tests.


Import from variables

Manuale -> zenon Security Guide -> Protect zenon -> Editor -> Import from variables

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

The online import of variables from the PLC directly replaces a connection between the Editor computer and the PLC. The use of a "third-party" computer in the production network that was also used in other networks constitutes a risk.

You should therefore use, if possible, offline import or an Editor computer that is a fixed part of the production network. Otherwise use a test environment for online import and check the PLC before this is integrated into the production network again.


PLC communication

Manuale -> zenon Security Guide -> Protect zenon -> PLC communication

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

With most protocols for communication with controllers, there is no possibility to encrypt the data used or to check the authentication. Many controllers also do not themselves offer the possibility to also encrypt the transport channel.

A SCADA system or a PLC thus has no possibility to check whether communication is actually taking place directly or if there is a compromised computer between them (man in the middle), which an attacker can use to view and also modify the data if they know the protocol.

For communication via Ethernet, use Switches, that have Port Security if possible, thus preventing the diversion of communication via a compromised computer or making it more difficult. Intrusion Detection systems can also monitor ARP or NDP and report attempts to divert communication.


Monitoring devices with SNMP

Manuale -> zenon Security Guide -> Protect zenon -> Monitoring devices with SNMP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon offers an SNMP_NG driver that supports SNMPv1, SNMPv2 and SNMPv3. This driver can be used on networked computers to monitor the devices connected to Runtime, such as Runtime clients or the PLC and to display and monitor the status of network components such as switches or network printers.

Reading SNMP agents - receiving traps

The SNMP_NG driver can read data from SNMP-compatible devices. It can use the ping status to establish whether the end device can be reached using the ICMP protocol and receive SNMP traps.

Ping status positive

The SNMP_NG driver can be used not just to read devices via SNMP, but also to cyclically ping devices connected to the network that are not SNMP agents. The result can be evaluated in Runtime and an alarm can be triggered if a device no longer responds.

Ping status negative: Security zones - DMZ - company network - Internet

The ping status can also be used for negative tests. If a networked computer is used together with zenon Runtime in an environment in which no connection to other security zones, the DMZ, the company network or to the Internet is to be possible, the ping status of the SNMP_NG driver can also be monitored cyclically. In the case the ping should always fail. If there is nevertheless a response to a ping, an alarm can be triggered accordingly.

Windows events as SNMP traps

The Windows event logs log much information about the local system. Messages that may be relevant to security are also logged there. However, if these messages are not collected and checked centrally, important notices and early warnings may be lost under certain circumstances. Events from the Windows event logs cannot be read into zenon directly. However this is possible with the Windows standard function and the SNMP_NG driver.

Windows offers an SNMP agent that can be activated as configured as a service using the Control Panel. With this service, the local computer can be configured as a trap recipient. The evntwin.exe (Event to Trap Translator) program can then be used to generate an SNMP trap for any desired Windows events. The SNMP traps can then be created in zenon as a trap variable. The reading of an initial value is not possible for this trap, however it is possible to set an alarm in Runtime if a certain Windows event is generated and a corresponding trap is received.

Non-networked computers can also be monitored this way. It is not just the local computer that can be configured as a trap, but also other computers in the network. The central monitoring of networked computers is thus possible via zenon Runtime and the SNMP_NG driver, even for Windows computers on which zenon Runtime is not installed.

Additional information:

  • Security check and attack detection: https://msdn.microsoft.com/en-us/library/cc875806.aspx
  • Event log monitoring: http://www.redblue.team/2015/09/spotting-adversary-with-windows-event.html


Further information and consulting

Manuale -> zenon Security Guide -> Further information and consulting

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

COPA-DATA can only provide support for the configuration of our own products. For general questions regarding security in IT, operating systems, networks etc. please contact your IT consultant.

For questions regarding the security in zenon please contact the COPA-DATA Consulting, either via the phone number stated in your service contract or via e-mail to support@copadata.com.


zenon Web Server

Manuale -> zenon Web Server

Lo zenon Web Server è uno strumento che serve a richiamare e rappresentare dei contenuti di visualizzazione tramite un Web Browser. Ciò è possibile senza che sia necessario installare il Runtime di zenon sui dispositivi di destinazione. Tutte le componenti necessarie a consentire la rappresentazione dell´interfaccia utente sui dispositivi di destinazione, infatti, vengono rese disponibili automaticamente. Così si possono implementare nel sistema altri Web Client in modo dinamico.

Lo zenon Web Server, il Web Server Pro e il Web Server Pro Light rappresentano l´ambito completo di una visualizzazione di zenon. Il plugin per il Web Browser necessario a tale scopo può essere installato quando si avvia il Web Client per la prima volta.

L´HTML Web Engine rende disponibili dei contenuti di visualizzazione di zenon in HTML5 . Si possono utilizzare funzionalità selezionate.

Noch in diesem Kapitel

zenon Web Server, Web Server Pro e Web Server Pro Light

HTML Web Engine


zenon Web Server, Web Server Pro e Web Server Pro Light

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo zenon Web Server è disponibile in tre versioni differenti. Qui di seguito ne vengono descritte brevemente le funzioni.

tutorial Informazioni sulla licenza

Per poter usare zenon Web Server, zenon Web Server Pro e zenon Web Server Pro Light è necessaria una licenza. Per ulteriori dettagli vi preghiamo di consultare il capitolo Registrazione licenza.

zenon Web Server:

  • Inoltra pacchetti dati dal server primario via zenon Web Server al zenon Web Client.
  • Si occupa della registrazione licenza.
  • Funge solamente da viewer.
    Il che significa: non sono possibili azioni di gestione, fatta eccezione per cambio immagine, login e logout.
  • Può essere installato su un computer separato, ad esempio su di una DMZ.
  • Supporta la crittografia di rete.
  • Supporta l´HTTP tunneling.
  • Possibilità di utilizzare molti client (a seconda della licenza di cui si è in possesso).

zenon Web Server Pro:

  • Stesse funzionalità del zenon Web Server, con le seguenti eccezioni:
    • Consente attive azioni di gestione con zenon Supervisor e zenon Operator Runtime.
  • Avvio e gestione sotto Windows CE sono soggetti a certe limitazioni. .
  • Può essere installato su un computer separato, ad esempio su di una DMZ.
  • Supporta la crittografia di rete.
  • Supporta l´HTTP tunneling.
  • Possibilità di utilizzare molti client (a seconda della licenza di cui si è in possesso).

zenon Web Server Pro Light:

  • Consente attive azioni di gestione con zenon Supervisor e zenon Operator Runtime.
  • Il server primario a cui si connettono i zenon Web Client, deve essere lo stesso computer su cui è attivo il zenon Web Server Pro Light.
    Nota: nel caso dei progetti con ridondanza, il zenon Web Server Pro Light deve essere implementato in forma ridondante; un´istanza sul server e una sul Server-Standby.
  • Massimo 3 Client.
  • Nessun supporto per la comunicazione criptata in rete. Non si avvia o si chiude da solo in caso di comunicazione crittografata.
  • HTTP tunnelling non viene supportato.
  • I progetti devono essere attivi sullo stesso computer come "server". I progetti che sono attivi su questo computer come Client, non sono supportati.
  • I multi-progetti sono supportati se tutti i progetti sono attivi localmente come server.

Nota: fino a zenon 7.10, il zenon Web Server viene fornito come applicazione a 32-Bit. A partire dalla versione 7.11, esso è inoltre disponibile anche come applicazione a 64-Bit.

Noch in diesem Kapitel

Esempio di configurazione con il zenon Webserver.

Componenti richieste e loro definizione

Configurazione del progetto

IPv6

Licenza

Funzionamento ridondante

HTTP Tunneling

Web Browser supportati

Cartella per i file Runtime:

VSTA e VBA con zenon Web Client, zenon Web Server e zenon Web Server Pro

Risoluzione schermo e gestione monitor

Collegare il zenon Web Server ad un ambiente Internet

Trattamento errori


Esempio di configurazione con il zenon Webserver.

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Esempio di configurazione con il zenon Webserver.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dal PC1 ci si collega come client al server primario (cioè al PC3) via Web Server attivo sul PC2 che funge da gateway (vedi la seguente illustrazione). Grazie al zenon Web Server ed al zenon Web Client, il progetto può essere visualizzato dal PC3 sul PC1 in un web browser, senza che si renda necessario installare il Runtime localmente sul PC1. Per abilitare questa funzione sono necessarie le seguenti installazioni:

Nota: la seguente configurazione di componenti non vuole essere altro che un suggerimento. Siete voi a decidere in piena libertà quali componenti installare su quale computer. Tuttavia si deve tenere presente quanto segue: un Web Client per un progetto A non può essere usato sul computer che funge da server per lo stesso progetto A .

Inoltre: Se si usa il zenon Web Server Pro Light, esso deve essere installato sul computer su cui è attivo il Runtime. Nel nostro esempio, questo computer è PC3.

  1. PC1: Installate su questo computer il zenon Web Client e il Web Browser.
  2. PC2: Installate su questo computer il Servizio Publishing e il zenon Web Server.

    Nota: Per quello che concerne il servizio di pubblicazione, questo manuale si riferisce all´IIS Publishing Service.. Se esso è installato sul computer, la home page per il zenon Web Client verrà configurata automaticamente. Ci sono anche dei servizi di pubblicazione alternativi, come, ad es., quello di Apache. Potete decidere liberamente quale servizio installare. Esiste inoltre la possibilità di rinunciare all´uso di un servizio di pubblicazione. In tal caso, però, si rende necessario effettuare manualmente alcune operazioni di configurazione: trovate una descrizione dettagliata di questi passaggi nel capitolo Servizio publishing.

  3. PC3: Il zenon Runtime e il progetto devono essere su questo computer, e, se lo si vuole, anche il zenon Editor.

    Nota: Se non si dispone di una licenza per il zenon Web Server, esso si avvierà in modalità Demo. In questo caso non ci sarà uno start automatico in contemporanea all´avvio del sistema operativo, e il Web Server dovrà essere avviato manualmente tramite l´interfaccia utente. La seduta verrà chiusa automaticamente dopo 30 minuti. Si possono collegare al massimo due client.

Configurazione delle singole componenti:

Di solito è necessario effettuare un configurazione dopo ogni installazione. Per esempio, dopo l´installazione di zenon Web Server sul PC2, è importante il file global.vars . Questo file viene installato automaticamente insieme ad altre cose e deve essere in parte modificato e adattato. Per i dettagli vi preghiamo di consultare il capitolo Impostazioni in global_vars.js.

Il progetto Runtime sul PC3 richiede le seguenti Impostazioni di base nello zenon Editor:

  • Proprietà di progetto -> Rete -> Attivare Rete attiva
  • Proprietà di progetto-> Rete -> Server 1 -> Inserisci Computer (Nome) con Runtime.

Una volta terminata l´installazione e la configurazione, potete far sì che il Runtime venga visualizzato sul PC1. A tal scopo, aprite il web browser e digitate: NomePC2\zenon\index.htm


Componenti richieste e loro definizione

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Componente | Descrizione
Server primario | Il server su cui si trovano il Runtime, l´Editor e il progetto e a cui ci si collega come client tramite il zenon Web Server.
zenon Web Server | Inoltra pacchetti dati dal server primario via zenon Web Server al zenon Web Client. Si occupa, inoltre, della registrazione licenza. Non può settare valori.
zenon Web Server Pro | Consente attive azioni di gestione con zenon Supervisor. Start e funzionamento sotto Windows CE sono soggetti a determinate restrizioni.
zenon Web Server Pro Light | Consente attive azioni di gestione conzenon Operator e zenon Supervisor.
Servizio publishing | Serve alla pubblicazione di documenti, come, ad esempio, pagine HTML, tramite il protocollo HTTP.
zenon Web Client | Il zenon Web Client è un programma attivo in un WEB Browser standard e visualizza un progetto. Si collega al server primario tramite il zenon Web Server. Visualizza il progetto del server primario nel modo in cui lo mostrerebbe anche un normale client. La sola differenza è la seguente: nel caso del zenon Web Client tale visualizzazione avviene in un browser.
Web Browser | I Web browser sono speciali programmi che servono alla visualizzazione di web site in World Wide Web, oppure in genere di documenti e dati. Fonte: http://de.wikipedia.org/wiki/Webbrowser

Per potere installare o configurare lo zenon Web Server, lo zenon Web Client ed il servizio publishing, è necessario disporre di diritti di amministratore.

Nota: Per il funzionamento normale, invece, non è necessario disporre di diritti amministratore. Sono sufficienti i normali diritti utente.

Noch in diesem Kapitel

Installazione del servizio publishing

Installazione di zenon Web Server

Installazione di zenon Web Client


Installazione del servizio publishing

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione del servizio publishing

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se usate un sistema operativo Windows sul vostro computer, non è necessario installare il servizio publishing Basta attivarlo mediante le Windows Features. Il seguente esempio si riferisce all´IIS Publishing Service. Se ne può usare anche un altro, come, ad es., quello di Apache. In tal caso, è possibile che i file debbano essere salvati in altri posti. Tenete presente in questo caso la seguente Info Box:

Per attivare l´IIS Publishing Service procedete come segue:

  1. Aprite il pannello di controllo del vostro PC.
  2. Cliccate su Programmi e Features.

    Nota: L´ordine e la disposizione delle icone sul pannello di controllo può essere differente sul vostro computer.

  3. Cliccate su Attivare Windows-Features oppure Disattivare.

  4. Attivate l´opzione Internet Information Services:
  5. In questa sede, attivate tutti i servizi WWW.

Se tutti i servizi siano stati attivati con successo, troverete la seguente cartella nella root directory: C:\inetpub\wwwroot

info Info

Se lo zenon Web Server è stato già installato prima del servizio publishing, oppure se si usa un altro servizio publishing, la cartella impostata al momento dell´installazione del Web Server C:\Program Files (x86) \COPA-DATA\zenonWebserver\zenon deve essere spostata manualmente in C:\inetpub\wwwroot, oppure nella root directory del servizio publishing alternativo.

Nota: Il servizio di pubblicazione semplifica l´accesso ai file di configurazione per il Web Browser. Se, però, i file di configurazione sono accessibili localmente o in rete, si può far a meno di usare il servizio publishing.


Installazione di zenon Web Server

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Tenete presenti i seguenti criteri quando selezionate il computer per installare il Web Server e il servizio publishing:

  • deve essere possibile una comunicazione TCP fra il Web Server e il server primario.
  • Ci deve essere una risoluzione nome completa fra il Web Server e il server primario in rete.

Suggerimento: Se volete che il Web Server sia raggiungibile dall´esterno, vi consigliamo caldamente di usare una connessione VPN e di collocare il Web Server e il computer con il servizio di pubblicazione in una DMZ.

Vi consigliamo di installare lo zenon Web Server sullo stesso computer in cui avete attivato e installato il servizio publishing.

A tale scopo:

  1. Avviate il processo di installazione dal supporto di installazione.
  2. Seguite le istruzioni dell´assistente di installazione
  3. Riavviate il computer.

La cartella zenon verrà impostata automaticamente nella cartella wwwroot dell´IIS Publishing Service. Questa cartella contiene, fra l´altro, alcuni importanti file di configurazione che vengono installati automaticamente. Uno di essi è, per esempio. il global_vars.js. Dovete effettuare alcune impostazioni in questo file. Ulteriori dettagli a questo proposito li trovate nel capitolo Configuazione di zenon Web Server.

Noch in diesem Kapitel

Configurazione/start di zenon Web Server


Configurazione/start di zenon Web Server

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Server -> Configurazione/start di zenon Web Server

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare o avviare manualmente il Web Server:

  1. Aprite il Pannello di controllo o il menù Start.
  2. Cliccate su zenon Web Server.

    Si apre il dialogo per la configurazione e la licenza

    Nota: questa finestra di dialogo è disponibile solamente in lingua inglese.

  3. Selezionate la connessione via TCP oppure HTTP

    Attenzione: Attivate l´opzione per HTTP Tunneling solo se avete configurato esplicitamente tutti i Web Client per questa opzione. Si usa TCP come standard.

  4. Cliccate sul pulsante Start per avviare manualmente il Web Server.

Nota: Nel funzionamento normale, lo zenon Web Server viene avviato automaticamente insieme al computer come Windows service. Se si rende necessario chiuderlo, oppure state inserendo un nuovo numero di licenza. lo si dovrà riavviare manualmente. Se non disponete di una licenza valida, il Web Server non verrà avviato come servizio, ma in modalità demo tramite il dialogo.

Parametri

Descrizione

State:

Mostra la versione e lo stato del Web Server:

Possibili versioni:

  • zenon Web Server
  • zenon Web Server Pro
  • zenon Web Server Pro Light

Possibili informazioni di stato:

  • running:
    il Web Server funziona con una licenza valida
  • stopped:
    Web Server interrotto:
  • Demomodus:
    il Web Server funziona in modalità demo, senza una licenza valida
  • not installed:
    il Web Server non registrato come servizio, oppure errore di installazione

Max. number of clients:

Numero massimo di Client che possono connettersi al Web Server. Il numero viene definito attraverso la licenza.
Nel caso della modalità demo, questo numero è limitato a 2 Client che funzionano per un massimo di 30 minuti.

Default: 0

Number of active clients:

Mostra il numero dei Client connessi al momento.

Start

Avvia Web Server.

Stop

Termina il Web Server.

Refresh

Attualizza la visualizzazione.

Diagnosis Viewer

Apre il Diagnosis Viewer

HTTP tunnelling

Attivo: HTTP tunneling è attivo.

Non è disponibile nella versione Web Server Pro Light.
Nota: può essere modificato solamente se il Web Server ha lo stato bloccato. Non si può effettuare uno switch mentre il sistema è operativo.

Default: Non attivo

Active clients

Lista dei Client connessi.

Ok

Riprende le impostazioni e chiude il dialogo.

Annulla

Annulla le modifiche e chiude il dialogo.

Start e configurazione sotto Windows CE:

Per Windows CE non è a disponibile un dialogo di start. Il zenon Web Server è già integrato nel Runtime.

Per avviare il zenon Web Server sotto Windows CE, deve verificarsi quanto segue:

  • La proprietà Rete attiva deve essere attivata nel progetto,
  • il Runtime deve essere avviato
  • deve essere stata registrata la licenza per il zenon Web Server

Nota: HTTP tunnelling non è a disposizione sotto Windows CE.

Sotto Windows CE, la funzionalità è soggetta a tutte le restrizioni che valgono in generale per Windows CE e zenon Web Server sotto Windows CE.

info Informazioni su

Con il Runtime e il Web Server integrato non viene installato nessun servizio publishing. Tuttavia è possibile usare su un computer Windows qualsiasi servizio publishing con i corrispondenti file di configurazione.

Noch in diesem Kapitel

Configurazione di global_vars.js

zenon Web Client nella rete ridondante


Configurazione di global_vars.js

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Server -> Configurazione/start di zenon Web Server -> Configurazione di global_vars.js

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Configurazione di global_vars.js

I parametri di connessione necessari per l´instaurazione di un collegamento fra Web Client e server primario si trovano nel file di configurazione global_vars.js. Se usate il servizio IIS Publishing, trovate questo file nella cartella C:\inetpub\wwwroot\zenon\config\ sul computer su cui viene eseguito l´IIS Publishing.

Modificate e adeguate il contenuto di questo file in un Editor di testo. Nel testo commenti trovate anche delle note concernenti il contenuto richiesto.

Contenuto di global_vars.js

// Please enter here the string name of your project and make sure that it is identical with the project name in the Editor

var PROJECTNAME = "PROJECT";

// Please enter here the computer name, on which the zenon Runtime is installed and on which it is actively running

// For redundant Runtime servers, please enter both "server1;server2"

var RUNTIMESERVER= "Runtime server";

// Please enter here the computer name, on which you have installed the zenon Web Server

var WEBSERVER = "Webserver";

// Please enter here an optional initial function to be executed when the Web Client connects to its server. Defaultvalue = "Init"

var INITFUNCTION = "Init";

// Optional: Please enable the zoom feature (This step will stretch the project resolution to the size of the Web Client control) OFF = "0" / ON = "1"

var ZOOM = "0";

// Please enter the version number corresponding to the Web Client.

var VERSION = "7,20,0,0";

// Optional: Please enable HTTP tunnelling feature: 0 = inactive (available on Web Client version 7.00 and higher)

var HTTP = "0";

Parametri

Parametri

Descrizione

PROJECTNAME=

Definisce il nome del progetto Runtime.

var PROJECTNAME = "PROJECT NAME";

Nota: il progetto deve essere attivo come progetto server sul server Runtime indicato.

RUNTIMESERVER =

Indica il computer di destinazione su cui è attivo il Runtime per il progetto.

  • Progetto standalone:
    var RUNTIMESERVER = "SERVE NAME;
  • Progetto di rete:
    var RUNTIMESEVER = "Runtime server; Runtime server2
    Nota: Runtime server = Server 1; Runtime server2 = Server 2

Il nome deve corrispondere a quello del server indicato nella configurazione di progetto.

Nota: Qui non è consentito usare l´indirizzo IP. La risoluzione nome fra computer con il Web Server e quello primario in rete deve esistere in entrambe le direzioni. Un ping eseguito sul nome deve restituire gli stessi risultati su entrambi i calcolatori.

Potete trovare ulteriori informazioni sulla corretta configurazione del Web Server nell'ambito di una rete ridondante nel capitolo Web Client nella rete ridondante.

WEBSERVER=

Indica il computer di destinazione sul quale è stato installato lo zenon Web Server.

Attenzione: non è il server publishing!

var WEBSERVER = "WEBSERVER";

Ridondanza Web Server

Se, oltre al zenon server primario, si vuole impiegare in forma ridondante anche lo zenon Web Server e, deve accadere quanto segue:

  • si devono installare due copie dello zenon Web Server su diversi computer, per le quali si deve essere in possesso della relativa licenza.
  • Dovete inserire entrambe le copie dello zenon Web Server nella dichiarazione delle variabili sulla pagina HTML, separandole mediante una virgola:

    var WEBSERVER = "WEBSERVER,WEB-STANDBY-SERVER";

Nota: invece del nome del computer con il Web Server, qui si può usare anche l'indirizzo IP dello stesso computer. Se il Web Server si trova dietro un router NAT e un (Port Forwarding) è configurato sul computer con il Web Server, si può usare anche l'indirizzo IP del router NAT.

INITFUNCTION=

Definisce una funzione di zenon che viene eseguita quando un progetto è avviato nel browser.

Questa impostazione è facoltativa.

var INITFUNCTION = "Init";

Nota: l´ortografia deve corrispondere ai nomi delle funzioni in zenon (uso delle lettere maiuscole/minuscole).

ZOOM=

Stabilisce se si può zoomare il progetto nella browser view.

Questa impostazione è facoltativa.

var ZOOM = "VALORE";

0: OFF

1: ON

Default: 0: OFF

Ad esempio:

var ZOOM = "0";

Nota: L'adattamento dello zoom viene assunto solo nella fase di inizializzazione; ciò non accade nel caso in cui il Runtime sia già attivo. Se si desidera una determinata dimensione, essa dev'essere definita da Active X Control. Se non aprite la finestra browser a tutto schermo e l´ingrandite (massimizzate) in seguito, ci potranno essere dei problemi nella visualizzazione.

var VERSION=

Definisce la versione del zenon Web Client.

var VERSION = "VALORE";

Ad esempio:

var VERSION = "7,20,0,0";

Deve essere sempre la stessa o superiore alla versione del zenon Runtime.

var HTTP=

Definisce il tipo di comunicazione e consente la comunicazione via HTTP. Se questa proprietà è disabilitata, la comunicazione avviene via TCP/IP

Questa impostazione è facoltativa.

0 = inattivo

1: attivo

Default: 0: inattivo

Nota: trovate ulteriori informazioni nel capitolo HTTP Tunneling di questo manuale.

Nota: Inserendo i parametri nel file global_vars.js, fate attenzione alla scrittura in lettere maiuscole e minuscole.


zenon Web Client nella rete ridondante

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Server -> Configurazione/start di zenon Web Server -> zenon Web Client nella rete ridondante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
zenon Web Client nella rete ridondante

Con una configurazione ridondante della rete di zenon, la distribuzione dei ruoli di server primario e Server-Standby dipende dal tipo di ridondanza progettato. Non è sempre chiaramente riconoscibile se il Server 1 o il Server 2 configurati ha il ruolo del server primario.

Si raccomanda, perciò, di configurare tutti e due i server per il Web Server. Questa configurazione si esegue nel file global_vars.js con l´inserimento RUNTIMESERVER=.

La successione dovrebbe corrispondere a quella della progettazione nell´Editor di zenon:

  • Runtime server = Server 1
  • Runtime server2 = Server 2

Lo zenon Web Server cerca di contattare i due server uno dopo l´altro. Se, per es., il Runtime server2 configurato è il server primario, invia i dati (compreso il file project.ini) al client.

Configurazione server modificata

Se il nome server configurato nell´Editor non corrisponde a quello impostato ne file global_vars.js, il Web Client o il Client Runtime non si avviano.

Se la configurazione del server viene modificata in zenon per un sistema in esecuzione, nello zenon Web Client verrà visualizzata la finestra di dialogo "Il Runtime è occupato".

Dopo una sincronizzazione di progetto, verranno visualizzate in un´altra finestra di dialogo la configurazione attiva al momento e quella configurata. In questo caso, la finestra browser deve essere chiusa dall´utente e il Web Client deve essere riavviato.

attention Attenzione

Se si cambia la configurazione di Server 1 e Server 2 nell´Editor di zenon, anche il file global_vars.js deve essere modificato in modo corrispondente.

Ulteriori informazioni sull´argomento si trovano nella parte della guida dedicata allo zenon Webserver nel capitolo Configurazione di global_vars.js.


Installazione di zenon Web Client

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per installare lo zenon Web Client come applicazione a 32-Bit ci sono 4 possibilità.

Nota: Si consiglia di effettuare l´installazione usando la prima possibilità.

1. Tramite la pagina index.htm:

Vi consigliamo di effettuare i seguenti passaggi sul computer sul quale è stato installato e attivato il servizio di pubblicazione. Nel nostro esempio, questo computer è PC2. Per i dettagli vi preghiamo di consultare l´immagine che si trova nel capitolo Esempio di configurazione con zenon Web Server. Tuttavia, non si ha bisogno necessariamente del Web Client su questo computer. Potete scegliere liberamente il computer.

  1. Avviate la pagina index.htm digitando nel Web Browser quanto segue: http://Publishingserver//zenon/index.htm

  2. Poi cliccate sull´icona Starting the zenon Web Client.
  3. La prima cosa ad essere eseguita deve essere il WebClientSmall-Setup.

    Nota: Per far ciò si deve disporre di diritti amministratore. Durante l´installazione del WebClientSmall-Setup, inoltre, è necessario avere una connessione Internet al fine di poter scaricare ulteriori componenti. Se il vostro computer non ha una connessione ad Internet, usate la grande installazione e uno degli altri metodi di installazione.

  4. La pagina init.htm viene aperta dalla pagina index.htm.
  5. La pagina init.htm carica i file javascript. Essi caricano a loro volta il Plugin dello zenon Web Client.

Nota: Se avete bisogno del più grande file del Web Client, dovete adattare manualmente la pagina index.htm. Nel capitolo index.htm trovate ulteriori informazioni su questo argomento.

Avete anche la possibilità di aprire la pagina index.htm a partire dalla cartella zenon . Questa cartella viene impostata automaticamente al momento dell´installazione del Web Server nella directory wwwroot-.

2. Via Copia ed incolla:

Dopo aver installato il servizio Publishing (IIS) e lo zenon Web Server, trovate i file di installazione per lo zenon Web Client nella subdirectory. C:\inetpub\wwwroot\zenon\controlversions\version720SP0\WebClient.exe o WebClient_small.exe.

Copiate da qui l´applicazione WebClient_small.exe. o WebClient.exe.

  1. Incollatela poi localmente dove avete deciso di salvarla.
  2. Installate l´applicazione.

3. Mediante il supporto di installazione:

  1. Copiate dalla cartella: ...\Setup\wwwroot\controlversions\version720SP0\WebClient.exe l´applicazione WebClient.exe o WebClient_small.exe.
  2. Incollatela poi localmente dove avete deciso di salvarla.
  3. Installate l´applicazione.

Nota: Il zenon Web Client consiste soprattutto di un ActiveX Control. Esso visualizza le informazioni in un browser 1:1, come in un normale Runtime Client. La connessione al Runtime Server avviene via TCP/IP tramite il zenon Web Server. Lo zenon Web Client protocolla eventuali errori nel Diagnose Server locale. Il server di diagnosi viene installato automaticamente con il zenon Web Client.

4. Tramite la pagina init.htm:

Avviate il Web Browser e passate alla pagina init.htm digitando nello stesso Web Browser quanto segue: http://Publishingserver/zenon/init.htm

  1. Avviate in questa sede l´applicazione WebClient.exe

Nota: Il numero dei Web Client utilizzabili contemporaneamente, dipende dalla licenza di cui siete in possesso.

Attenzione: Potrebbe rendersi necessario aggiungere questa pagina come "trusted site"" nelle impostazioni dell´Internet-Explorer alla voce Extras -> Internet options-> Security.

A tale scopo:

  • Aprite adesso il Web Browser.
  • Cliccate su Internet Options..
  • Cliccate su Security..
  • Cliccate su Trusted sites.
  • Cliccate su Sites.
  • Inserite la pagina.

Noch in diesem Kapitel

zenon Web Client - compatibilità

Impostazioni lingua del zenon Web Client

Creazione della pagina HTML iniziale di progetto

index.htm

init.htm

browsercheck.js

initcode.js


zenon Web Client - compatibilità

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Client -> zenon Web Client - compatibilità

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il zenon Web Client avete accesso (in modo simile a quanto accade per la Compatibilità runtime) a diverse versioni del runtime. Il numero di versione del Web Client deve solamente essere pari a quello della versione del runtime o superiore.

La compatibilità online del Runtime consente l´interazione di sistemi Runtime (anche via Web Client) nella rete di zenon, anche se la versione del Runtime- Client è di numero superiore a quella del Runtime.Server.

Il runtime attuale può caricare progetti delle seguenti versioni:

  • 6.20 SP4
  • 06:21 SP0
  • 06:21 SP1
  • 06:22 SP0
  • 6.22 SP1
  • 06:50 SP0
  • 6.51 SP0
  • 07:00 SP0
  • 07:10 SP0
  • 07:11 SP0

Nell´ambito della gestione multiprogetto possono essere caricati anche diversi progetti. Ad esempio, il progetto di integrazione della versione 7.11 può essere un sotto-progetto della versione 7.00 e un ulteriore sotto-progetto della versione 6.51.

info Informazioni su

Vi consigliamo di usare sempre il zenon Web Client con il numero maggiore di Service Pack a disposizione per una determinata versione.


Impostazioni lingua del zenon Web Client

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Client -> Impostazioni lingua del zenon Web Client

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per configurare la lingua per il Web Client:

  1. Avviate anzitutto lo Startup Tool.
  2. Selezionate l´inserimento di menù General.
  3. Selezionate la lingua desiderata nel menù a tendina Language for Editor and Runtime.

Lingue a disposizione per il Web Client:

  • Cinese
  • Deutsch (Tedesco)
  • Inglese
  • Francese
  • Italiano
  • Russo
  • spagnolo
  • Ceco

info Informazioni su

Ulteriori informazioni concernenti le impostazioni lingua nello Startup Tool le trovate nella guida dedicata ai Tools nel capitolo General.


Creazione della pagina HTML iniziale di progetto

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Client -> Creazione della pagina HTML iniziale di progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Perché il Web Browser possa avviare lo zenon Web Client e perché quest'ultimo si possa connettere al corrispondente Server primario, c'è bisogno di una pagina di accesso al progetto. Questa pagina contiene anche il codice necessario. Come lingua per gli script si usa Java Script.

Requisiti:

  • Java Script deve essere attivata nel browser.
  • Il zenon Web Client deve essere installato localmente sul calcolatore su cui viene eseguito il webbrowser .

Raccomandazione: passate, prima della pagina iniziale di progetto (init.htm), ad una pagina iniziale (index. htm ) che consente di scaricare il Web Client. Questa pagina contiene degli hyperlink:

  • Per il download dei zenon Web Client Control
  • Per la pagina iniziale di progetto init.htm, che esegue un browser-check e instaura la connessione fra lo zenon Web Server e il server primario

Noch in diesem Kapitel

Esempio di pagina iniziale di progetto init.htm per TCP e HTTP


Esempio di pagina iniziale di progetto init.htm per TCP e HTTP

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Client -> Creazione della pagina HTML iniziale di progetto -> Esempio di pagina iniziale di progetto init.htm per TCP e HTTP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Esempio di pagina iniziale di progetto init.htm per TCP e HTTP

Sulla pagina iniziale di progetto, un browser-check verifica quale browser usa il Web Client. A seconda del risultato di questo controllo, viene avviato il Web Client, oppure viene emessa una segnalazione di errore.

Esempio Inizio progetto:

La pagina iniziale richiama tre script al fine di controllare il browser utilizzato e, o instaurare una connessione con il Runtime, oppure emettere una segnalazione di errore:

  • global_vars.js: definisce valori dei parametri di trasferimento per lo start del Web Client.
  • browsercheck.js: verifica la versione del browser
  • initcode.js: definisce funzioni che vengono usate per avviare il Web Client.

Nota: L´unica differenza in queste impostazioni per le connessioni che usano TCP e quelle che usano HTTP, riguarda l´inserimento UseHTTP .


index.htm

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Client -> index.htm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La pagina index.htm è quella d'inizio nel nostro esempio. Essa si apre di default in lingua inglese; si può passare però ad un altra lingua direttamente sulla pagina, sfruttando l´opzione posta in alto a destra.

La pagina index.htm:

  • Dà informazioni relative ai browser compatibili
  • Offre dei link per lo start del zenon Web Client
  • Offre un link per l´installazione dei control Web Client di zenon, che sono necessari se zenon non è installato sul computer con il Web Client
  • Al momento dello start del Web Client, richiama la pagina iniziale di progetto init.htm che effettua il browser check.


init.htm

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Client -> init.htm

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´init.htm controlla il browser utilizzato e avvia il progetto, oppure, in caso contrario, emette una segnalazione di errore.

A tal scopo si usano tre script:

  1. La configurazione viene caricata dal global_vars.js.
  2. Il browser viene determinato attraverso browsercheck.js.
  3. Se si tratta di un browser supportato, viene eseguita la funzione appropriata per includere il zenon Web Client da initcode.js.

Esempio:

<html>

<head>

<title></title>

</head>

<BODY scroll="no" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" BGCOLOR=#FFFFFF>

<script language="javascript" type="text/javascript" src="global_vars.js"></script>

<script language="javascript" type="text/javascript" src="browsercheck.js"></script>

<script language="javascript" type="text/javascript" src="initcode.js"></script>

<script language="JavaScript" type="text/javascript">

switch(browsercheck()) {

case "IEXPLORER":

runIexplorer(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION);

break;

case "NPAPI":

runNPAPI(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION);

break;

case "UNSUPPORTED_BROWSER":

alert(navigator.appName + ' : ' + navigator.appVersion + ' is not supported!');

break;

default:

alert("invalid parameter");

break;

}

</script>

</html>


browsercheck.js

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Client -> browsercheck.js

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo Javascript scopre quale browser vuole avviare il Web Client e restituisce il risultato a init.htm.

function browsercheck(){

var UserAgent = navigator.userAgent;

var fWin32 = (UserAgent.lastIndexOf('Win') != -1) && (UserAgent.lastIndexOf('Windows 3.1') == -1) && (UserAgent.lastIndexOf('Win16') == -1);

var fMSIE = (UserAgent.lastIndexOf('MSIE ') != -1);

var fNPAPI = (UserAgent.lastIndexOf('Firefox/') != -1) || (UserAgent.lastIndexOf('Chrome/') != -1) || ((UserAgent.lastIndexOf('Safari') != -1) && (UserAgent.lastIndexOf('Version/') != -1));

if(fWin32)

{

//Win32-Browser

if(fMSIE)

{

//Internet Explorer --> use ActiveX-Control

return "IEXPLORER";

}

if(fNPAPI)

{

//Firefox, Chrome or Safari --> use NPAPI-Plugin

return "NPAPI";

}

}

//Non-Win32-Browser or not supported Browser (Opera, ...)

return "UNSUPPORTED_BROWSER";

}


initcode.js

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Componenti richieste e loro definizione -> Installazione di zenon Web Client -> initcode.js

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Questo script Java setta:

  • l´inserimento <embed> per avviare lo zenon Web Client in Apple Safari, Google Chrome e Mozilla Firefox
  • l´inserimento <object> per l´avvio del zenon Web Client in Microsoft Internet Explorer

Script:

function runNPAPI(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION) {

document.write ('<embed type="application/x-zenon"');

document.write (' width=100%');

document.write (' height=100%');

document.write (' Project="' +PROJECTNAME+ '"');

document.write (' Server="' +RUNTIMESERVER+ '"');

document.write (' WebServer="' +WEBSERVER+ '"');

document.write (' Load="-1"');

document.write (' ScrollV="0"');

document.write (' Scrollh="0"');

document.write (' InitFunction="' +INITFUNCTION+ '"');

document.write (' Zoom="' +ZOOM+ '"');

document.write (' UseHTTP = "' +HTTP+ '"');

document.write ('>');

document.write (' </EMBED> ');

}

function runIexplorer(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION) {

document.write ('<object');

document.write (' id="CD_IClient1"');

document.write (' classid="clsid:2A3BC66B-03D7-11D4-991A-080009ABB492"');

document.write (' codebase="zenWebCli.ocx#version=' +VERSION+ '"');

document.write (' width=100%');

document.write (' height=100%');

document.write ('>');

document.write (' <PARAM NAME="Project" VALUE="' +PROJECTNAME+ '">');

document.write (' <PARAM NAME="Server" VALUE="' +RUNTIMESERVER+ '">');

document.write (' <PARAM NAME="WebServer" VALUE="' +WEBSERVER+ '">');

document.write (' <PARAM NAME="Load" VALUE="-1">');

document.write (' <PARAM NAME="ScrollV" VALUE="0">');

document.write (' <PARAM NAME="Scrollh" VALUE="0">');

document.write (' <PARAM NAME="InitFunction" VALUE="' +INITFUNCTION+ '">');

document.write (' <PARAM NAME="Zoom" VALUE="' +ZOOM+ '">');

document.write (' <PARAM NAME="UseHTTP" VALUE="' +HTTP + '">');

document.write ('</object>');

}


Configurazione del progetto

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Configurazione del progetto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il progetto che deve essere avviato mediante il zenon Web Server, deve avere le seguenti impostazioni di base nell´Editor di zenon:

  • Attivare proprietà di progetto -> Rete -> Rete attiva.
  • Proprietà di progetto -> Rete -> Server 1 -> Nome del computer che funge da server nel runtime.
    In caso di configurazione ridondante,si deve progettare anche la proprietà Server 2.
  • Questo nome calcolatore deve poi essere inserito anche nella pagina iniziale del progetto (globalvars.js) affinché sia possibile instaurare una connessione.

attention Attenzione

La configurazione di Server 1 e Server 2 deve coincidere nel progetto e nello zenon. Le indicazioni non devono sovrapporsi in nessun caso. Ciò significa: Server 1 nel progetto non deve in nessun caso corrispondere a Server 2 sullo zenon Web Server, e viceversa.

attivare il zenon Web Server:

Per attivare il zenon Web Server:

  1. Assicuratevi che i servizi Pubblicazione WWW siano stati avviati e che sia disponibile la entry page.
  2. avviate il progetto Runtime sul calcolatore
  3. avviate il zenon Web Server

attention Attenzione

VBA/VSTA e Data Execution Prevention

Il sistema operativo impedisce tramite la funzione Data Execution Prevention (DEP) che il VBA-Code venga eseguito nel browser.

Microsoft Internet Explorer 8 e 9:
A partire dalla versione 8, il Microsoft Internet Explorer offre la possibilità di disattivare il DEP per il browser.

  • passate a Extras -> Opzioni internet -> Avanzate -> Sicurezza
  • disattivate l´opzione Attiva Protezione di memoria, per diminuire il rischio di attacchi online

Altri browser e Internet Explorer a partire dalla versione 10 (da Windows 8)

Il DEP deve essere disattivato completamente, visto che il processo browser non può essere escluso esplicitamente. Ciò non è raccomandabile per ragioni di sicurezza.

Per disattivare DEP:

  • Avviate la riga comandi con diritti di amministratore
  • eseguite il seguente comando:
    bcdedit.exe/set {current} nx AlwaysOff
  • riavviate il computer.

L´impostazione può essere annullata con il comando bcdedit.exe/set {current} nx AlwaysOn.

Raccomandazione di carattere generale: usate VSTA anziché VBA.

Noch in diesem Kapitel

Restrizioni di carattere generale

Crittografia della comunicazione in rete


Restrizioni di carattere generale

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Configurazione del progetto -> Restrizioni di carattere generale

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I progetti che sono gestiti usando il zenon Web Client, presentano le seguenti restrizioni:

  • Allarmi:
    Il ripristino di allarmi è possibile solamente quando se si usa il zenon Web Server Pro.
  • Gestione user

    AD e ADAM/ADLDS funzionano solamente con determinate restrizioni (come sugli Standard-Client):
    AD: il computer deve trovarsi nello stesso dominio.
    ADAM/ADLDS: il zenon Web Client ha bisogno di una connessione fisica al zenon Web Server (più Port aperta) e all´ADAM/ADLDS Server

  • Immagini:
    • L´immagine del tipo Post elaborazione archivio non è disponibile.
  • Stampa:

    Prima di effettuare la prima stampa sul zenon Web Client, deve essere eseguita la funzione selezionare stampante. In questa sede si possono fissare le stampanti per il client. Queste impostazioni vengono salvate nello zenon6.ini in modo tale che l'operazione sopra descritta non debba essere ripetuta ogni volta che si vuole stampare qualcosa.

  • IPA:

    Il modulo Industrial Performance Analyzer (IPA) è disponibile solamente su zenon Web Client in Intranet, perché non è possibile instaurare una connessione alla banca dati via Internet. Se c`è una connessione Intranet, le autorizzazioni database devono essere settate in modo tale che il computer remoto possa avere accesso a questa banca dati come un zenon Web Client.

  • Menu

    Non vengono visualizzati i menu principali nel zenon Web Client.

  • Gestione monitor:

    La gestione monitorfunziona con alcune restrizioni. Il Web Client può essere gestito solo con un monitor.

  • PFS:

    Il Production & Facility Scheduler (PFS) è disponibile solo a partire dalla versione 6.01.

  • Informazioni di stato:

    Le informazioni di stato che vengono visualizzate tenendo premuto il tasto destro del mouse, sono disponibili solo in parte.

  • Combinazioni di tasti:

    Le combinazioni tasti su pulsanti come, per es., F3 non sono disponibili.

  • VBA:

    VBA è disponibile solo se è stato installato manualmente sul zenon Web Client. Per ulteriori informazioni Vi preghiamo di rivolgervi al support di zenon.

    Nota: le Messagebox di macro VBA non vengono visualizzate nel Web Client quando si usa Internet Explorer.

  • VSTA: zenon Web Server e zenon Web Client supportano differenti versioni di VSTA.

    In generale, il zenon Web Client supporta VSTA, fatta eccezione di:

    • Debugging
    • Funzione Visualizza VSTA Editor
    • Compiling

    Per maggiori dettagli vedi i capitoli VSTA con zenon Web Client, zenon Web Server e zenon Web Server Pro.

  • zenon Logic non viene supportato da zenon Web Client.

Ulteriori restrizioni per Windows CE:

  • Possono essere collegati contemporaneamente al massimo tre zenon Web Clients con un runtime CE.
  • Il zenon Web Server deve funzionare sullo stesso apparecchio del runtime CE, con il quale deve essere connesso. Una connessione ad un runtime CE su un altro apparecchio non è possibile.

La licenza del zenon Web Servers per CE si effettua mediante la licenza remota.


Crittografia della comunicazione in rete

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Configurazione del progetto -> Crittografia della comunicazione in rete

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire da zenon 7, la comunicazione in rete può essere protetta con crittografia forte.
A partire dalla versione 7.11 di zenon, la configurazione per la crittografia della comunicazione del Web Server è stata integrata nello Startup Tool.

Per attivare la crittografia nel Web Client:

  1. Avviate anzitutto lo Startup Tool
  2. Selezioni Options....
  3. Passate alla scheda Configurazione di rete
  4. Attivate il Checkbox Encrypt network communication per attivare la comunicazione crittografata del Web Client.

info Informazioni su

Ulteriori informazioni concernenti la configurazione di rete nello Startup Tool le trovate nella guida dedicata ai Tools nel capitolo Configurazione di rete.


IPv6

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> IPv6

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

A partire dalla versione 7 di zenon, IPv6 può essere usato in rete.

info Informazioni su

Grazie ad IPv6, un numero maggiore di utenti e dispositivi possono comunicare via Internet usando numeri più grandi per creare indirizzi IP. Con IPv4, ogni indirizzo IP è lungo 32 bit, il che significa che è possibile creare un massimo di 4,3 miliardi di indirizzi IP univoci. Esempio di indirizzo IPv4:

172.16.254.1

Adesso un confronto: gli indirizzi IPv6 sono lunghi 128 bit, il che rende possibile creare circa 340 sestilioni ((3,4e+38) di indirizzi IP univoci. Esempio di indirizzo IPv6:

2001:db8:ffff:1:201:02ff:fe03:0405

IPv6 offre anche altri vantaggi per quello che concerne la comunicazione di rete. Nella maggior parte dei casi, i computer e i programmi riconoscono automaticamente le reti compatibili con IPv6 e ne sfruttano i vantaggi senza che l´utente debba fare nulla. IPv6, inoltre, elimina anche quei problemi che possono insorgere in rete a causa delle limitate possibilità di IPv4 in fatto di creazione di indirizzi univoci. Esempio: IPv6 riduce la necessità di ricorrere alla cosiddetta traduzione degli indirizzi di rete (network address translations o NAT), un servizio che consente a diversi client di usare un comune indirizzo IP, che però non funziona sempre in modo affidabile.

La rete di zenon consente l´uso a scelta di IPv6 o IPv4. Non è possibile un funzionamento duale. L´impostazione viene effettuata tramite:

  • Network configuration in Startup Tool
    oppure
  • nello zenon6.ini

Attenzione: IPv6 funziona solamente a partire dalla versione 7.
Se l´opzione è attiva, nessuna versione precedente alla 7 può essere avviata. Ciò riguarda particolarmente zenAdminSrv, zenSysSrv, zenLogSrv e zenDBSrv.

Le seguenti componenti non sono interessate dall´impostazione; esse usano sempre IPv4:

  • Comunicazione driver con i PLC
  • Comunicazione via protocollo nel Process Gateway-Plugins
  • Comunicazione Workbench e Runtime in zenon Logic

Diagnosis Viewer

Il server di diagnosi funziona anche con client di diagnosi che vengono raggiunti tramite indirizzi IPv6. A tal scopo si è provveduto ad adattare il formato dei file Log. Il Diagnose Viewer legge solamente il nuovo formato dei file Log. Se si aprono dei file di versioni più vecchie di zenon (o viceversa), l´indirizzo IP del client di diagnosi non viene visualizzato in modo corretto.


Licenza

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Licenza

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La licenza determina:

  • quale versione del zenon Web Server è attiva:
    • zenon Web Server
    • zenon Web Server Pro
    • zenon Web Server Pro Light
  • Numero delle connessioni zenon Web Client possibili in parallelo (Concurrent Use License)

Nota: il zenon Web Server funziona in modalità demo se non si dispone di una licenza valida. Per la modalità demo valgono le seguenti restrizioni:

  • Il zenon Web Server può essere avviato solo manualmente
  • La durata per la quale il programma può funzionare è limitata a 30 minuti.
  • Il numero dei possibili client è limitato a 2.

Per passare dalla modalità demo ad una licenza valida, dovete anzitutto stoppare il zenon Web Server, e poi inserire un numero di licenza valido nella tab License. Riavviate poi il zenon Web Server manualmente.

info Informazioni su

I seguenti elementi del tipo Collega testo possono essere usati anche senza licenza per lo zenon Web Server Pro sullo zenon Web Client:

  • Nome utente
  • Password
  • Firma

zenon Operator e Windows CE:

Per il zenon Operator è disponibile il zenon Web Server Pro Light.

Per Windows CE è disponibile uno zenon Web Server Pro Light incorporato (per così dire) nel Runtime, il che significa che il Runtime deve essere avviato per far sì che lo zenon Web Server Pro Light possa funzionare. La funzionalità di questo tool è limitata a casa della piattaforma. La registrazione della licenza avviene mediante Trasporto Remoto nell´Editor usando il meccanismo della licenza remota.

Potete inserire la licenza per il zenon Web Server anche usando la registrazione licenza:

  1. aprite Start -> Tutti i programmi -> COPA-DATA -> Tools 7.11 -> Licensing.

    oppure:

    avviate lo zenon Web Server via Pannello di controllo-> zenon Web Server

  2. Si apre il dialogo per l´ inserimento dei dati licenza.
    • Selezionate zenon Web Server
  3. Digitate il numero di serie e quello di attivazione

    Trovate i dati relativi:

    • sul vostro certificato di licenza
    • sull´adesivo di licenza

      Percorso Windows 7/8: C:\Users\Public\Documents\zenon_Projects\

    Nota: attenzione alle lettere maiuscole e minuscole quando inserite il numero!

  4. Riavviate il zenon Web Server nella schedaState.
  5. Dopo il restart dell´editor, usate il zenon Web Server con la licenza inserita.

Finestra di dialogo di licenza.

Parametri | Descrizione
Editor/Runtime | Attivo: la licenza vale per l´Editor di zenon e/o il Runtime di zenon.
Web Server | Attivo: la licenza vale per il Webserver di zenon.
Numero di serie | Numero di serie della licenza Se si dispone già di una licenza, ne verrà visualizzato qui il numero di serie. Inserite qui il numero di serie attuale.
Numero di attivazione | Numero di attivazione della licenza Se si dispone già di una licenza, ne verrà visualizzato il numero di attivazione
Ok | Riprende i dati e avvia zenon la prossima volta con questa licenza.
Annulla | Rigetta gli inserimenti e usa zenon con la licenza valida finora o senza licenza.
Richiedi Licenza Software | Apre l´assistente per la richiesta di una licenza software.

Alternativo

  1. avviate lo zenon Web Server via Pannello di controllo-> zenon Web Server.
  2. Inserite nella scheda License nello zenon Web Server il numero di serie e quello di attivazione che trovate nel foglio di licenza.

  3. Cliccate su Save per salvare i due numeri.
  4. Riavviate il zenon Web Server nella scheda State.

attention Attenzione

Al momento del riavvio, tutti i zenon Web Client connessi perderanno il collegamento. I zenon Web Clients si ricollegano automaticamente dopo la scadenza del tempo di timeout impostato.

Nota: il numero di licenza e quello di attivazione vengono inseriti nel zenWebSrv.ini.

Noch in diesem Kapitel

Licenza dongle

Licenza software


Licenza dongle

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Licenza -> Licenza dongle

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

zenon supporta per la licenza Dongle i sistemi WibuKey e Codemeter. I dettagli relativi a questo argomento li trovate nella guida Licenza nel capitolo Licenza dongle.

La licenza mediante un dongle avviene tramite:

  • Dongle relativi al calcolatore oppure
  • Dongle di rete

Dongle relativi al calcolatore:

Usare Dongle relativi al calcolatore:

  1. Riceverete un dongle e un foglio di licenza con un numero di serie e numero di attivazione.
  2. Chiudete il dongle con lo stesso computer sul quale avete installato il zenon Web Server.
  3. Registrate la licenza nel sistema.

Dongle di rete:

In alternativa al dongle sullo stesso calcolatore, potete usare anche il dongle di rete centrale di COPA-DATA. Esso può essere in un qualsiasi calcolatore in rete. La registrazione della licenza avviene in modo simile a quello del dongle riferito al computer.

info Informazioni su

Se un zenon Web Server la cui licenza è stata effettuata con Codemeter, perde la connessione con il dongle, il Webserver verrà terminato.


Licenza software

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Licenza -> Licenza software

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la licenza software:

  1. Avviate il programma Web-Server-Licensing.

  2. Cliccate sul pulsante Richiesta di licenza softwareper Licenza software.
  3. Viene visualizzato il modulo per i Vostri dati licenza.

  4. Riempite tutti i campi e cliccate su Avanti.
  5. Il programma genera un modulo di richiesta di licenza con il numero di licenza valido per il Vostro calcolatore.

  6. Inviate la Vostra richiesta di licenza al Vostro sales partner:
    1. Cliccando su Invia per E-Mail
    2. Cliccando su Stampa come print-out o fax

      Anche il numero della licenza è contenuto nel foglio di licenza e deve corrispondere a quello del Vostro calcolatore.

  7. Un infobox riassume il processo.

  8. Non appena avete ricevuto i dati relativi, registrate la licenza nel sistema.


Funzionamento ridondante

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Funzionamento ridondante

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo zenon Web Server può essere avviato anche in modalità ridondante. Se lo zenon Web Server smette di funzionare o viene chiuso, il zenon Web Client passa automaticamente a Web Server in standby.

attention Attenzione

Non si verifica uno switch back automatico, come nel caso del Server primario. Il zenon Web Client rimane connesso allo zenon Standby-Web Server finché:

  • si riavvia il zenon Web Client, oppure
  • lo zenon Standby-Web Server viene terminato, oppure smette di funzionare.

Poi il zenon Web Client cerca di riconnettersi al primo zenon Web Server definito come standard.

Se si usa solamente un zenon Web Server, si consiglia vivamente di non eseguirlo sul server primario, o sul Server-Standby. Se uno di questi calcolatori smettesse di funzionare, infatti, la stessa sorte toccherebbe anche allo zenon.


HTTP Tunneling

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> HTTP Tunneling

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Lo zenon Web Server può accettare, anziché delle connessioni TCP, anche quelle HTTP. Le connessioni HTTP vengono accettare solamente da zenon Web Client. La connessione fra Web Server e server primario avviene sempre via TCP. Per ogni connessione fra Web Client e Web Server, viene creata una separata connessione HTTP.

Le connessioni vengono instaurate di default via TCP.

Per usare HTTP tunnelling,deve verificarsi quanto segue:

  • HTTP deve essere attivato usando il dialogo di configurazione, oppure l´inserimento nello zenon6.ini
  • La port 8080, oppure la port configurata in alternativa nello zenon6.ini sul Web Server PC , deve essere raggiungibile
  • La pagina iniziale di progetto per Web Client, che deve connettersi al Web Server con HTTP tunnelling, dovrebbe avere il parametro UseHTTP con un valore diverso da 0 nell´inserimento <embed> e <object>

Nota: HTTP tunnelling non è a disposizione sotto Windows CE.

Configurazione della port:

Sul computer con lo zenon Web Server:

  1. Aprite il file zenon6.ini .
  2. Passate all´inserimento NET_PROXYPORT=, oppure createlo
  3. settate la port desiderata.

    Default: 8080
    Il Web Server ascolta da questa port e il Web Client si collega a questa port.

  4. Salvate il file zenon6.ini .

Sul computer con lo zenon Web Client:

  • Configurate la port HTTP anche nel file zenon6.ini sul computer con il Web Client effettuando i passaggi sopra descritti ancora una volta si questo calcolatore.

Nota: Ogni cambiamento del numero di porta nel file zenon6.ini apportato sul computer sul quale è attivo il Web Server, dunque, deve essere configurato in modo analogo su tutti i computer con lo zenon Web Client. È possibile che si renda necessario configurare manualmente la port HTTP sul computer con il Web Server nel Windows Firewall, come port eccezionale per connessioni in entrata.

Procedura:

Il Web Client invia i suoi messaggi per il server Runtime via HTTP-POST al Web Server. Quest´ultimo le inoltra usando la connessione assegnata al server Runtime via TCP. Il server Runtime invia i suoi messaggi per il Web Client al Web Server via TCP che li bufferizza.

Il buffer di una connessione viene vuotato dal Web Client mediante una HTTP-GET request. Se non c´è nessun messaggio per una connessione, il Client attende per un tempo configurabile (inserimento POLLING_INTERVALL nello zenon6.ini con valore standard = 2 secondi).

Per i dettagli vedi il capitolo Procedura per connessione HTTP.

Segnalazioni d'errore:

Se la connessione HTTP è attiva, al posto dei messaggi specifici di rete, vengono visualizzati in parte nel Diagnose Viewer dei messaggi specifici HTTP. Per esempio, se viene instaurata o terminata una connessione, oppure nel caso di errori HTTP.

Noch in diesem Kapitel

Procedura nel caso di connessione HTTP.


Procedura nel caso di connessione HTTP.

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> HTTP Tunneling -> Procedura nel caso di connessione HTTP.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Quando viene avviato, un Web Client si connette al Server primario tramite lo zenon Web Server:

  1. l´utente avvia il Browser e apre la Pagina di accesso al progetto.
  2. Quest´ultima fa sì che il Browser avvii il Web Client con la configurazione Tunneling HTTP indicata.
  3. Il Web Client instaura 3 connessioni HTTP (gestione, dati e sincronizzazione file) con il Web Server:
    1. Il Web Client richiede una connessione ID.
    2. Il Web Server invia una connessione ID libera, se ce n´è una disponibile. La ID inviata viene inserita nella lista delle connessioni ID assegnate. Ciò accade per evitare che una ID venga assegnata due volte e per poter trasformare la connessione HTTP in una connessione TPC.
    3. Il pacchetto Init viene inviato tramite connessione HTTP al Web Server.
    4. Il Web Server verifica se questo Web Client è già nella lista di quelli attivi. Se il client è nuovo, il sistema verifica se è già stato raggiunto il numero massimo di client. Se la connessione client può essere accettata, il sistema provvede ad instaurare una connessione TPC durante il Runtime, e trasmette il pacchetto Init. La connessione client accettata e quella server che è stata instaurata vengono coordinate fino al termine della connessione: i dati della connessione client vengono girati tramite quella server e viceversa.
  4. Scambio dati:
    1. il Web Server lavora da traduttore fra TPC e HTTP e conserva i messaggi temporaneamente in un buffer.
    2. I dati del runtime per il Web Client vengono salvati sul server come passaggio intermedio. Il Web Client li richiede facendo uso di richieste GET.
    3. I dati del Web Client per il Runtime vengono inviati dal Web Client mediante richiesta POST e girati dal Web Server.
  5. Quando si chiude il Web Client nel browser (si chiude il browser, oppure si lascia la pagina di accesso del progetto), vengono terminate le connessioni del Web Client.
    1. Il Web Client invia un network end packet al Web Server. Il Web Server lo inoltra al Runtime, chiude la connessione e libera le risorse impiegate (memoria di lavoro , porte, ID di connessione…).
    2. Mentre il client viene ripulito, un altro HTTP end packet viene inviato al Web Server, per assicurare che la connessione ID venga rimossa dalla lista.


Web Browser supportati

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Web Browser supportati

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il zenon Web Client supporta i seguenti browser:

  • Microsoft Internet Explorer

    Attenzione: Per lo zenon Web Client come applicazione a 32-Bit è necessario usare la versione a 32-Bit dell´ Internet Explorer.
    La versione a 64-Bit non può essere usata.

Si raccomanda di usare sempre la versione più recente.

info Informazioni su

Il browser per zenon Web Client deve supportare uno dei seguenti sistemi operativi:

  • Windows 7
  • Windows 8 e 8.1
  • Windows Server 2008 e 2008 R2
  • Windows 10
  • Windows Server 2012

Altri sistemi operativi, come Windows CE, Linux ecc., sono utilizzabili solo in combinazione con un terminal server.

Start del browser:

La pagina iniziale del progetto decide la base dell´identificazione browser, se e come viene avviato il Web Client:

  • Internet Explorer: start come componente ActiveX
  • Altri browser o versioni non supportate: viene visualizzata una segnalazione errore e il zenon Web Client non si avvia

Versioni supportate:

Browser

A partire dalla versione

Nota

Microsoft Internet Explorer
  • 6.0
  • Raccomandato a partire: 8.0
  • sole versione a 32-Bit
  • Tenete presenti le informazioni concernenti la protezione della memoria per IE 8/9

Attenzione: Internet Explorer 11 non supporta nessun ActiveX, perciò non può essere usato come zenon Web Client. Ciò vale anche per IE come applicazioni mobile, Metro Style e sotto RT.


Cartella per i file Runtime:

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Cartella per i file Runtime:

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il zenon Web Server salva i file Runtime di default nella cartella %Temp%\zenWebCli.

%Temp% indica sotto Windows la cartella file temporanea. Essa viene salvata individualmente per ogni utente e può essere modificata alla voce Pannello di controllo -> Sistema -> Impostazioni di sistema estese -> Variabili di ambiente.

Nota: La cartella %Temp% dipende dall´utente. Ogni utente Windows scarica i file Runtime dal computer primario.

attention Attenzione

Quando si usa Microsoft Internet Explorer in modalità protetta, i file Runtime vengono salvati nella cartella %Temp%\Low .

Potete definire qualsiasi cartella come luogo dove salvare i file Runtime, effettuando un inserimento nello zenon6.ini:

  1. Aprite il file zenon6.ini .
  2. Passate alla sezione

    [PATH]

  3. Create o modificate l´inserimento:

    WEB_PROJECT_PATH=


VSTA e VBA con zenon Web Client, zenon Web Server e zenon Web Server Pro

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> VSTA e VBA con zenon Web Client, zenon Web Server e zenon Web Server Pro

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nota: VBA viene supportato da zenon in zenon Web Server e zenon Web Server Pro. Per ragioni di sicurezza, tuttavia, si consiglia di passare a VSTA. Ulteriori informazioni su VBA le trovate nella parte della guida dedicata alla Lista macro.

VSTA viene supportato in diverse versioni da zenon in zenon Web Server e zenon Web Server Pro.

Funzione

zenon Web Client con zenon Web Server Standard

zenon Web Client con zenon Web Server Pro

VSTA-Visualizza il dialogo delle Macro

+

+

Lanciare Macro-VSTA

+

+

Apri Editor VSTA

-

-

VSTA Events

+

+

Nota
  • Non viene scritto nessun valore sulle variabili di zenon.
  • I Windows messages boxes possono essere aperti.
  • Compilazione e debug non sono possibili.
    Per far ciò, deve essere usato un zenon Runtime standard.
  • Tutte le funzionalità di zenon VSTA sono completamente disponibili.
  • Compilazione e debug non sono possibili.
    Per far ciò, deve essere usato un zenon Runtime standard.

Installazione:

Per l´uso di VSTA

  • Le seguenti applicazioni devono essere presenti nel sistema, oppure devono essere installate manualmente:
    • Microsoft Visual Studio Tools for Applications 2.0 (VSTA 2.0)
    • Microsoft .NET Framework 3.5

    Entrambi i programmi si trovano sul supporto di installazione per il zenon Web Server, oppure per zenon 7.50.

  • VSTAIntegration.dll deve trovarsi nella directory dei programmi dizenon .
    Quest´ultima viene installata automaticamente al momento dell´installazione di zenon.

Inserimento INI:

I seguenti inserimenti devono essere settati nello zenon6.ini:

[VSTA]

ON=1

CSHARP=1

[VBA]

EIN=1

EVENT=1


Risoluzione schermo e gestione monitor

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Risoluzione schermo e gestione monitor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

La zenon gestione monitor è disponibile per il zenon Web Client solo con delle limitazioni.

Importante per la progettazione: l´adattamento automatico della risoluzione al Client non può essere utilizzata per l´uso web. Per questa ragione, la dimensione dello schermo deve essere configurata in modo adeguato già in fase di progettazione. Di default, il zenon Web Client usa la dimensione dello schermo configurata come standard per il progetto: Proprietà di progetto -> Aspetto grafico -> Configurazione monitor -> Clic sul pulsante ... -> Tab Generale - Risoluzione dello schermo.

La risoluzione può essere scalata usando un´impostazione del zenon Web Client. Per i dettagli, vedi capitolo Configurazione della pagina esempio .

Con l'aiuto della proprietà di zoom, il zenon Web Client può essere portato alla dimensione di un elemento ActiveX.

Grandezza nel browser:

Il browser necessita sempre di un´area della superficie complessiva del monitor per i menù e le scrollbar. L'area a disposizione del zenon Web Client per la visualizzazione è, perciò, sempre minore alla risoluzione del monitor impostata. Se volete avere nel browser un´immagine completa del progetto, dovete configurare la grandezza dello schermo in modo tale che sia minore a quella presente effettivamente sullo zenon Web Client.

Ad esempio:
risoluzione monitor sul zenon Web Client PC: 1024x768 pixel
Grandezza del monitor nella gestione monitor: 800x600.

info Informazioni su

Se volete utilizzare l'opzione "Gestione multi-progetto" sul zenon Web Client, la dimensione dello schermo impostata deve essere uguale per tutti i progetti!

Sistema multi-monitor:

In un sistema multi-monitor, le immagini di processo vengono aperte, come progettato nel profilo, sui diversi monitor reali . Se si usa un Web Client, questi ultimi si trovano al di fuori dell´area visibile, ma li si può raggiungere mediante scrolling.

Raccomandazione: configurate il profilo monitor in modo tale che tutti i monitor siano mappati sul quello principale; in questo caso avrete accesso diretto a tutti i monitor.

info Informazioni su

Di default sul zenon Web Client è sempre caricato il profilo standard. Tuttavia, potete optare per un altro profilo monitor usando l´inserimento SCREENPROFILE= dello zenon6.ini.


Collegare il zenon Web Server ad un ambiente Internet

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Collegare il zenon Web Server ad un ambiente Internet

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Nota: Se volete che un Web Client si connetta ad un Web Server via Internet, vi consigliamo caldamente di usare una connessione VPN fra la rete con il computer Web Client, quella con il computer Web Server e il server primario.

Per implementare il zenon Web Server in un ambiente Internet:

  • I firewall eventualmente esistenti devono essere configurati in modo corrispondente:
    • La Port 1102 sul Firewall deve essere aperta per pacchetti in entrata, in modo tale da permettere ad uno zenon Web Client di accedere ad uno zenon Web Server e, di conseguenza, ad un Server primario.
    • NAT (Network Address Transformation) deve essere attivo nella stazione Gateway. NAT trasforma l'indirizzo LAN interno nell'indirizzo della stazione Gateway-Station. Se, per esempio, qualcuno naviga all'interno della LAN, dall'esterno sembra che le richieste vengano inviate sempre dalla stazione Gateway.
    • Indirizzo IP statico per il zenon Web Server:
      Il Firewall della stazione Gateway deve essere configurato in modo tale da far in modo che tutti i pacchetti in entrata per la Port 1102 vengano inviati automaticamente alla stazione zenon WEB Server. Ciò significa: questa stazione deve disporre di un indirizzo IP statico.
  • La pagina iniziale di progetto deve essere adattata affinché il zenon Web Client sappia a quale stazione in Internet deve accedere. La modifica avviene in global_vars.js, oppure, nel caso di versioni più vecchie, in project_A_X.html (X rappresenta la versione lingua, come G per German) :
    • Alla voce Web Server VALUE= WEB-SERVERNAME deve essere indicato il nome del computer della stazione Gateway (la stazione visibile da Internet) e non il nome del vero e proprio zenon Web Server. Il vero e proprio zenon Web Server non è visibile da Internet. La stazione Gateway fa pervenire automaticamente le richieste del zenon Web Client alla Porta 1102, poi al vero e proprio zenon Web Server.


Trattamento errori

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Trattamento errori

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Segnalazioni di errore conosciute oppure errori di esecuzione:

  • Interruzione di funzionamento dopo il Browser Refresh
  • ActiveX control failed to load
  • ActiveX control non installato in modo corretto
  • Errori eccezionali Web Client a partire da Internet Explorer 8
  • Segnalazioni di errore HTTP
  • Init Runtime Error
  • Keyboard in Firefox
  • Max. Client raggiunti

Noch in diesem Kapitel

Interruzione di funzionamento dopo il Browser Refresh

ActiveX control failed to load

ActiveX control non installato in modo corretto

Errori eccezionali Web Client a partire da Internet Explorer 8

Segnalazioni di errore HTTP

Init Runtime Error

Keyboard in Firefox

Max. Client raggiunti

Comportamento del Web Client in caso di perdita della connessione.


Interruzione di funzionamento dopo il Browser Refresh

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Trattamento errori -> Interruzione di funzionamento dopo il Browser Refresh

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se si utilizza Internet Explorer 6 con il zenon Web Client, può verificarsi un'interruzione di funzionamento dell'IE, se si fa uso del pulsante Browser Refresh. Vi sconsigliamo pertanto l'uso del pulsante Refresh.

Questo pulsante provoca una cancellazione completa e di un riavvio del zenon Web Client. Il che significa che la connessione al Runtime server viene interrotta e deve essere ricreata dal Web Client.

Error 101

Se su un calcolatore client era già installato un zenon Web Client, possono verificaersi i seguenti messaggi di errore al momento della connessione del zenon Web Client con il zenon Web Server o con il Runtime Server:
Error 101
Il progetto XXX è stato elaborato con la versione XXX, e perciò non può essere aperto.
In questo caso:

  1. Disinstallare il Web Client
  2. Riavviare il calcolatore
  3. Installare di nuovo il zenon Web Client


ActiveX control failed to load

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Trattamento errori -> ActiveX control failed to load

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se il browser emette un Init Runtime Error, ci sono diverse possibili cause: La più probabile:

  • le impostazioni di sicurezza del browser impediscono l'esecuzione corretta dell'ActiveX control.


ActiveX control non installato in modo corretto

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Trattamento errori -> ActiveX control non installato in modo corretto

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se il browser visualizza solamente una X anziché il Runtime quando si apre la pagina di accesso del progetto:

  • l´ActiveX Control per il zenon Web Client non è stato installato correttamente.
  • È stata installata una versione sbagliata del zenon Web Client


Errori eccezionali Web Client a partire da Internet Explorer 8

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Trattamento errori -> Errori eccezionali Web Client a partire da Internet Explorer 8

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Errore

Il Web Client viene terminato nel caso di un errore eccezionale, se nel progetto sono contenute delle macro VSTA o VBA.

Causa

L´Internet Explorer di Microsoft dispone a partire dalla versione 8 di una proprietà per la protezione di memoria. Se essa è attiva, l´esecuzione di macro VBA provoca un errore eccezionale e la chiusura dell´Internet Explorer. VSTA attiva sempre anche VBA.

Soluzione

Disattivate la protezione di memoria nell´Internet Explorer.

Extras->Opzioni Internet->Estese->Attiva Protezione di memoria, per diminuire il rischio di attacchi online


Segnalazioni di errore HTTP

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Trattamento errori -> Segnalazioni di errore HTTP

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Segnalazioni di errore e loro significato:

Inserimento | Level | Descrizione
NetSrv Error Do Send HTTP failed! HTTP-Status: [HTTP-Status] | ERRORS | Il HTTP Webserver ha risposto ad una HTTP-POST request con un errore.
NetSrv Error Do Send HTTP failed! | ERRORS | La HTTP-POST request non ha avuto successo (per es. timeout).
NetSrv Error Do Send HTTP Server failed! Data Management Class Error! | ERRORS | Si è verificato un errore al momento di salvare un messaggio nel buffer sul HTTP Webserver. L´errore si è verificato nella data management class.
NetSrv Error Do Send HTTP Server failed! | ERRORS | Si è verificato un errore al momento di salvare un messaggio nel buffer sul HTTP Webserver. L´errore si è verificato nella lista buffer.
NetSrv Error Do Recv HTTP failed! HTTP-Status: [HTTP-Status] | ERRORS | Il HTTP Webserver ha risposto ad una HTTP-GET request con un errore.
NetSrv Error Do Recv HTTP failed! | ERRORS | La HTTP-GET request non ha avuto successo (per es. timeout).
NetSrv Error Do Recv HTTP Server failed! Data Management Class Error! | ERRORS | Si è verificato un errore al momento di leggere un messaggio dal buffer sul HTTP Webserver. L´errore si è verificato nella data management class.
NetSrv Error Do Recv HTTP Server failed! Buffer Too Small! | ERRORS | Il pacchetto letto dalla lista buffer è troppo grande per il data buffer. Nota: a causa dell´uniformità della grandezza massima del pacchetto, che serve anche come definizione della lunghezza buffer, questo errore non dovrebbe verificarsi mai.
NetSrv Error Do Recv HTTP Server failed! Error While Copying Data Into Buffer! | ERRORS | Si è verificato un errore mentre si copiavano i dati dalla lista buffer.
Error Out Of Memory While Adding Data to HTTP GET Response | ERRORS | La creazione di uno spazio di memoria non è stata possibile durante la compilazione di una risposta HTTP sull'HTTP Webserver.
Error On Adding Data to HTTP GET Response | ERRORS | Si è verificato un errore mentre si copiavano i dati dalla lista buffer nella risposta HTTP.
HTTP Send Get Response Failed: [Status] | ERRORS | L´invio di una risposta a una HTTP-GET request non ha avuto successo. Lo status code è un system error code (lo si può trovare nella MSDN Library).
Error Out Of Memory While Receiving Data from HTTP POST | ERRORS | La creazione di uno spazio di memoria non è stata possibile durante la lettura di una HTTP-POST request sull´HTTP Webserver.
Error on Receiving Data from HTTP POST [Status] | ERRORS | La lettura dei dati dalla HTTP-POST request non ha avuto successo. Lo status code è un system error code (lo si può trovare nella MSDN Library).
Error Data Block Of HTTP Post Request Too Large | ERRORS | I dati della request ricevuta superano i limiti della grandezza massima del pacchetto definita.
HTTP Send Post Response Failed: [Status] | ERRORS | L´invio della risposta a una HTTP-POST request non ha avuto successo. Lo status code è un system error code (lo si può trovare nella MSDN Library).
Error Out Of Memory While Parsing HTTP Request | ERRORS | La creazione di uno spazio di memoria non è stata possibile durante l´inoltro di una HTTP request al thread rilevante.
Memory Error on Creating Receive Buffer | ERRORS | La creazione di uno spazio di memoria non è stata possibile durante la creazione del buffer di ricezione HTTP.
Error on Creating HTTP Request Event | ERRORS | La creazione dell´evento per la ricezione di HTTP request non ha avuto successo.
Error While Waiting For HTTP Request: [Status] --> Exiting Listening Thread | ERRORS | Si è verificato un errore durante l´attesa di una HTTP request. Lo status code è un system error code (lo si può trovare nella MSDN Library).
Unexpected Result While Waiting For HTTP Request: [Status] --> Exiting Listening Thread | ERRORS | L´attesa di una request HTTP ha prodotto un risultato inaspettato. Lo status code è un system error code (lo si può trovare nella MSDN Library).
HTTP-Request Without ID Received | ERRORS | Nella HTTP request non c´era un ID di connessione.
Error on Extracting HTTP-Request-ID From URL | ERRORS | Non è stato possibile leggere l´ID di connessione della HTTP request.
Error: Closing HTTP Connection ID [ID] Could Not Be Resolved | ERRORS | È stato fatto un tentativo di chiudere uan connessione che non esiste, oppure era già chiusa. Questo errore è meno critico di altri, perché la richiesta di cancellare il connection ID al momento della "pulizia" delle risorse di una connessione dopo la sua conclusione, può essere posta più di una volta.
HTTP-Request With Incompatible ID Format Received | ERRORS | L´ID di connessione nella HTTP request non ha il formato atteso.
Could Not Assign New HTTP ID Because The Map Is Full | ERRORS | Non è stato possibile accettare una nuova connessione perché non c´è più posto disponibile nella lista connessioni. La lista mette a disposizione spazio per più die 4,2 miliardi di connessioni; perciò questo messaggio non dovrebbe mai apparire.
Error During HTTP-Accept | ERRORS | Si è verificato un errore al momento dell´accettazione della connessione HTTP.
Error On Sending HTTP ID: [Status] | ERRORS | L´invio della risposta HTTP con l´ID di connessione per la nuova connessione Client non ha avuto successo. Lo status code è un system error code (lo si può trovare nella MSDN Library).
Error: HTTP Connection ID [ID] Could Not Be Resolved | ERRORS | La risoluzione dell´ID di connessione della HTTP request non è stata possibile.
Error: HTTP Request Could Not Be Assigned To The Socket | ERRORS | Non è stato possibile inoltrare la HTTP request al thread rilevante.
Unsupported HTTP-Request Received | ERRORS | Si è ricevuta una HTTP request non supportata. Vengono supportate le request GET e POST.
Error While Receiving HTTP Request: [Status] --> Exiting Listening Thread | ERRORS | Si è verificato un errore al momento della ricezione una HTTP request.
Error on Removing HTTP Connection ID From The Map! | ERRORS | Si è verificato un errore al momento della rimozione di un ID di connessione dalla lista. Gli ID di connessione vengono rimossi quando si chiude una connessione.
Removing HTTP Connection ID [ID] From The Map! | DEBUG | La connessione è stata chiusa e l´ID è stato rimosso dalla lista.
Error on Removing Non-Active HTTP Connection ID From The Map! | ERRORS | Si è verificato un errore al momento della rimozione dell´ID di connessione non attiva dalla lista. Una connessione non è più attiva se non si sono ricevute delle HTTP request per 5 minuti. Per la verità, una tale connessione dovrebbe essere già stata rimossa a causa dell´assenza di Watchdog.
Removing Non-Active HTTP Connection ID [ID] From The Map! | DEBUG | L´ID di connessione è stato rimosso dalla lista, perché la connessione non è attiva. Una connessione non è più attiva se non si sono ricevute delle HTTP request per 5 minuti. Per la verità, una tale connessione dovrebbe essere già stata rimossa a causa dell´assenza di Watchdog.
Error While Waiting for HTTP Connection Map Check [Status]! | ERRORS | Il thread per controllare l´ID di connessione ha constatato l´esistenza di un errore durante l´attesa del prossimo ciclo e viene chiuso. Lo status code è un system error code (lo si può trovare nella MSDN Library).
NetSrv Accept HTTP Client Socket Error On Starting HTTP Reply Thread | ERRORS | Non è stato possibile avviare il thread per rispondere alla HTTP request.
NetSrv Info Accept HTTP Client IP:[IP-Adressr]:[Port] Ok | DEBUG | La connessione HTTP è stata accettata con successo.
NetSrv Memory Error Do Recv HTTP failed! | ERRORS | Si è verificato un errore a causa di una memoria di lavoro troppo piccola disponibile al momento della ricezione di dati via HTTP Tunnelling.

LOG-Einträge aus CNSBlockingSocketExceptions

Level: sempre ERRORS

Inserimento: Exception text | Descrizione
Connect: HTTP Error | Il HTTP Web Server ha risposto ad una connection ID request con un errore.
Connect: ID-Data did not have the expected Format | L`ID di connessione fornito dall'HTTP Webserver non ha il formato atteso.
Connect: Server denied HTTP ID | Il HTTP Webserver ha rifiutato la concessione di un ID di connessione.
Connect: Error during ID-Acquisition | Si è verificato un errore in corrispondenza di una richiesta di un ID di connessione (per es. timeout).
HttpInitialize Failed | Non è stato possibile inizializzare HTTP Server API
HttpCreateHttpHandle Failed | Non è stato possibile creare la lista delle HTTP request
HttpAddUrl Failed | Il server non è potuto entrare in list mode


Init Runtime Error

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Trattamento errori -> Init Runtime Error

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se il browser emette un Init Runtime Error, ci sono diverse possibili cause:

  • II runtime non attivo sul server Runtime
  • SERVERNAME in Globalvars.js è scritto in modo sbagliato o inserito non correttamente (usare sempre lettere maiuscole).
  • PROJEKTNAME in Globalvars.js è scritto in modo sbagliato o inserito non correttamente (usare sempre lettere maiuscole).
  • La risoluzione nome fra il Web Server e il server primario non è data nella rete.
  • Il zenon Web Server non è avviato.

Trovate delle indicazioni concernenti le cause di errore, li trovate anche nel file zenNetErr.txt . Esso registra informazioni di rete.


Keyboard in Firefox

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Trattamento errori -> Keyboard in Firefox

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se le keyboard individuali non funzionano correttamente con Firefox, tenete presente quanto segue:

attention Attenzione

Immagini del tipo keyboard modificate individualmente potrebbero non funzionare in modo corretto con il browser Mozilla Firefox.

Causa: Mozilla Firefox carica delle nuove finestre in background, senza attribuirgli il focus. A seconda di quanto stabilito in fase di progettazione, le immagini keyboard definite individualmente vengono chiuse non appena perdono il focus.

Soluzione: Usate un browser differente, come, ad esempio, Microsoft Internet Explorer o Google Chrome, oppure usate l´opzione frame "Chiudi alla perdita del focus".

La cosa non riguarda le keyboard automatiche!


Max. Client raggiunti

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Trattamento errori -> Max. Client raggiunti

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Messaggio sul zenon Web Client.

Più Client di quelli provvisti di una licenza, cercano di connettersi al zenon Web Server.


Comportamento del Web Client in caso di perdita della connessione.

Manuale -> zenon Web Server -> zenon Web Server, Web Server Pro e Web Server Pro Light -> Trattamento errori -> Comportamento del Web Client in caso di perdita della connessione.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In caso di perdita della connessione con il server primario, lo zenon Web Client usa la successiva configurazione di connessione.

Possibile cause di una perdita della connessione:

  • Il server primario smette di funzionare e lo Standby Server primario ne assume la funzione.
  • Il server primario riprende il suo ruolo e la propria funzione (= lo Standby Server primario interrompe la connessione). .
  • Il Web Server in uso smette di funzionare.

Il sistema effettua un check delle configurazioni di connessione nella successione seguente (alla fine si riprende dal principio):

  1. Web Server e Server primario
  2. Web Server e Standby Server primario
  3. Web Standby Server e Server primario
  4. Web Standby Server e Standby Server primario

Se un Web Standby Server è configurato, ma non raggiungibile, accade quanto segue quando il server primario torna a funzionare:

  1. Il Web Client si trova attualmente nella configurazione di connessione 2 e perde il collegamento, visto che il server primario riprende a gestire il processo.
  2. Il Web Client prova a riconnettersi usando la configurazione di connessione 3, ma il tentativo fallisce allo scadere di un timeout visto che il Web Standby Server non è raggiungibile.
  3. Il Web Client prova a riconnettersi usando la configurazione di connessione 4, ma il tentativo fallisce allo scadere di un timeout visto che il Web Standby Server non è raggiungibile.
  4. Il Web Client prova a riconnettersi usando la configurazione di connessione 1, e il tentativo ha successo. Il Web Client è di nuovo online.

Se il tentativo di instaurazione della connessione fallisce, il Web Client non è in grado di accertare se è il Web Server (o Web Standby Server), oppure il Server primario (o lo Standby Server primario) a non essere raggiungibile; per questa ragione è necessario che il sistema provi tutte queste quattro possibilità di connessione.


HTML Web Engine

Manuale -> zenon Web Server -> HTML Web Engine

L´HTML Web Engine serve alla rappresentazione grafica di immagini di zenon in forma di pagina web HTML5. Sul dispositivo di destinazione l´interfaccia utente viene richiamata e visualizzata via Web Browser. Sul dispositivo di destinazione non è necessario installare né uno speciale software, né un software plugin. I dati di processo necessari per la visualizzazione vengono presi da un Runtime di zenon.

Dati possibili:

  • Valori di variabili,
  • Dati della Lista Eventi Cronologica (CEL),
  • Messaggi della Lista di informazione allarmi (AML).

Visione generale delle funzionalità dell´HTML Web Engine:

  • Rappresentazione basata su sessione di contenuti di visualizzazione HTML5 su HTML Web Client.
  • Rappresentazione di contenuti base di visualizzazione creati nell´Editor di zenon.
  • Inoltro di informazioni di processo (come valori di variabili, messaggi relativi ad allarmi o eventi) di un Runtime di zenon ad uno o più HTML Web Client.
  • Supporto di operazioni di gestione, come settaggio di valore impostabile.
  • Gestione ed osservazione mobile, indipendente da un luogo determinato.
  • Nessuna installazione e/o configurazione necessaria sul dispositivo di destinazione, vale a dire sul client. Visualizzazione indipendente dalle piattaforme nello standard HTML5.
  • Gestione del HTML Webserver su un calcolatore separato, come, ad esempio, in una DMZ.
  • Comunicazione di rete sicura via HTTPS. basata su certificati SSL.
  • Protezione di settori sensibili della visualizzazione o di delicati processi grazie ad un meccanismo di autenticazione utente e mediante il supporto di livello utenti.

L´HTML Web Engine supporta l´autenticazione di un Web Engine Client ad alta sicurezza, contro l´autenticazione utente di zenon e contro Active Directory. La registrazione avviene mediante l´inserimento di nome utente e password.

Noch in diesem Kapitel

Componenti richieste e loro definizione

Struttura di base dell`HTML Web Engine

Requisiti di sistema

Licenza

Installazione

SCADA Runtime Connector

Autenticazione client per una connessione con il Runtime

Deployment del Web Engine

Progettazione nell'editor

Compilare il progetto per il Web

Svolgimento di una sessione HTML Web Engine

Note generali


Componenti richieste e loro definizione

Manuale -> zenon Web Server -> HTML Web Engine -> Componenti richieste e loro definizione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Componente

Descrizione

zenon Runtime

I dati di processo per la visualizzazione HTML5 vengono messi a disposizione da un Runtime di zenon (server o client).

HTML Web Engine

L´HTML Web Engine serve a rendere disponibili immagini di processo in forma di pagina web HTML5. Sul dispositivo di destinazione viene aperta e visualizzata l´interfaccia utente via Web Browser. Sul dispositivo di destinazione non è necessario installare né uno speciale software, né un software plugin. I dati di processo necessari per la visualizzazione vengono presi da un Runtime di zenon.

Nota: l´HTML Web Engine elabora dati di processo al fine di consentirne la visualizzazione e la gestione via un HTML Web Client. I dati di processo, però, vengono amministrati solo ed esclusivamente dal Runtime di zenon.

IIS, servizio publishing

Piattaforma di servizi di Microsoft per PC e server. Viene usata per rendere accessibili documenti e file in rete. L´HTML Web Engine usa IIS come ambiente Runtime e per la pubblicazione di immagini di zenon. Come protocollo di comunicazione si usa HTTPS. Mediante il cosiddetto Deployment, l´HTML Web Engine viene istanziato su IIS.

Web Browser

I Web browser sono speciali programmi che servono alla visualizzazione di web site in World Wide Web, oppure in genere di documenti e dati.

Fonte: http://de.wikipedia.org/wiki/Webbrowser

Deployment Tool

Rende disponibile l´HTML Web Engine in IIS come applicazione web e ne consente la configurazione. Si può anche cancellare un´istanza HTML Web Engine già esistente.

Web Engine Compiler

Genera, a partire da un progetto di zenon, quei dati di cui ha bisogno l´HTML Web Engine per poter rendere disponibili al Web Client i contenuti HTML5. Nel corso del processo di traduzione di questi dati di progetto, il HTML Web Engine Compiler verifica i contenuti del progetto e fornisce informazioni concernenti le funzioni o le proprietà non supportate. Il risultato di questo processo di traduzione è un file che viene fornita al Web Engine.

SCADA Runtime Connector

Serve da interfaccia di comunicazione con il Runtime di zenon.


Struttura di base dell`HTML Web Engine

Manuale -> zenon Web Server -> HTML Web Engine -> Struttura di base dell`HTML Web Engine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L´HTML Web Engine è un´applicazione web che mette a disposizione una pagina web HTML5. Nel corso di una sessione si possono distinguere due diversi livelli di connessione:

1. Rappresentazione delle pagine di visualizzazione senza dati di processo:

Il Web Client si connette all´HTML Web Engine richiamando l´URL (Uniform Ressource Locator) per la pagina web HTML5. Una volta che la sessione è stata instaurata con successo, il progetto può essere visualizzato senza accesso ai dati di processo del Runtime di zenon.

2. Rappresentazione delle pagine di visualizzazione e visualizzazione dei dati di processo:

L´HTML Web Engine si connette via Runtime Connector al Runtime di zenon. Questa connessione è consentita solamente se è stata effettuata con successo un´autenticazione dell´utente sulla base di nome utente e password. Essa avviene tramite un´autenticazione esterna presso la gestione user del Runtime di zenon. Il trasferimento delle informazioni relative all´utente può avvenire sia manualmente, da parte dell´operatore Web Client, che automaticamente tramite Web Engine.

La configurazione della visualizzazione HTML5 non richiede l´uso di strumenti speciali. La creazione delle immagini e delle funzioni avviene di default nell´Editor di zenon.

Potete trovare una lista degli elementi, delle proprietà e delle funzioni supportate nel capitolo Funzionalità supportate per la visualizzazione HTML5.

Di seguito trovate una descrizione dettagliata di come un Web Browser compatibile con HTML5 può essere usato per accedere alla visualizzazione HTML5 da un dispositivo di destinazione.

L´operatore della stazione 4 si connette mediante un Web Browser standard inserendo il web page URL al Webserver della stazione 3. Riceve così dal Web Engine le pagine di visualizzazione disponibili in quella sede. Solo dopo una riuscita autenticazione dell´utente, i dati di processo sono mostrati nella visualizzazione HTML5. Dopo una riuscita verifica della correttezza di nome utente e password, dunque, viene instaurata una connessione al Runtime di zenon, che qui si trova sulla stazione 2. L´interfaccia fra Runtime di zenon e Web Engine è costituita dal cosiddetto SCADA Runtime Connector. Esso è direttamente integrato nel Web Engine. Il Runtime Connector deve essere avviato dal Runtime di zenon.

La configurazione della visualizzazione HTML5 è derivata da un progetto Editor di zenon (che, nel nostro esempio, si trova sulla stazione 1). Gli stati di progetto su stazione 2 (Runtime di zenon) e stazione 3 (Web Engine) dovrebbero essere identici. Con il Web Engine Compiler, i dati di progetto vengono tradotti per essere usati dall´HTML Web Engine.

I passaggi necessari per l´installazione dell´HTML Web Engine sulla stazione 3 e il cosiddetto Deployment sull´Internet Information Server sono descritti nel capitolo Deploy: rendere disponibile HTML Web Engine su IIS.

Nota: la scomposizione della struttura nelle diverse componenti riportata nello schema sottostante serve solo a fornire una descrizione semplice del funzionamento di questo strumento. La completa configurazione qui rappresentata, infatti, può essere applicata con qualsiasi distribuzione delle componenti in una rete, ma anche su un unico calcolatore.

Il risultante file del Web Engine Compiler viene salvato in una directory definibile a piacere. Qui esso viene letto dall´HTML Web Engine.

Nota: si consiglia di ripetere il processo di compilazione in seguito a modifiche intervenute nel progetto di zenon. Per evitare che insorgano problemi con operazioni rilevanti per il processo, si consiglia di utilizzare un Runtime di zenon separato e dedicato esclusivamente alla connessione della visualizzazione HTML5.

attention Attenzione

Raccomandiamo vivamente di gestire l´intera configurazione del sistema in un´are della rete affidabile e sicura. In ogni caso si sconsiglia una pubblicazione diretta della pagina web HTML5 in Internet.

Certi dati del progetto attivo possono essere richiamati in un Web Browser usando l´HTML Web Engine. Quali dati di progetto sono resi accessibili per la visualizzazione nel Web Browser, lo stabilisce il progettista stesso attivando per l´immagine desiderata la proprietà Disponibile per il Web nella finestra delle proprietà dell´Editor. Tutte le immagini per le quali è stata attivata questa proprietà, vengono compilate per il Web Engine mediante il Web Engine Compiler; esse sono in linea di principio pronte per essere visualizzate nel Web Browser sul client, stazione 4 (vedi immagine sopra). Tutte le immagini per le quali questa proprietà non è stata attivata, possono essere utilizzate per la visualizzazione nel Runtime di zenon, non sono però disponibili nel Web Browser.

I seguenti tipi d´immagine possono essere usati per la visualizzazione nel Web:

  • Standard
  • Login
  • HTML
  • CEL
  • AML


Requisiti di sistema

Manuale -> zenon Web Server -> HTML Web Engine -> Requisiti di sistema

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Web Server

L´HTML Web Engine supporta i seguenti sistemi operativi:

Sistema operativo | Descrizione
Windows 7 (SP1) | versioni Professional, Enterprise e Ultimate Edition, in tutti i casi le versioni x86 e x64.
Windows 8 e 8.1 | versioni Standard, Professional e Enterprise, in tutti i casi le versioni x86 e x64.
Windows 10 | versioni Pro, Enterprise, Education, in tutti i casi le versioni x86 e x64.
Windows Server 2008 R2 (SP1) | Tutte le edizioni con´l´eccezione di Core Edition.
Windows Server 2012 e 2012 R2 | Tutte le edizioni con´l´eccezione di Core Edition.

Nota: NET Framework 4.5, oppure una versione più recente, è un presupposto per poter usare l´HTML Web Engine.

Web Client

L´HTML Web Engine funziona di regola con ogni moderno Web Browser che supporta le seguenti tecnologie:

  • HTML5,
  • SVG e
  • Javascript (ECMAScript 5.1)

L´elaborazione dei contenuti HTML5 nel Web Browser avviene indipendentemente dal sistema operativo. Si consiglia di utilizzare una versione attuale di uno dei seguenti Web Browser:

  • Windows Internet Explorer 11
  • Microsoft Edge
  • Mozilla Firefox
  • Apple Safari
  • Google Chrome

Nota: per l´esecuzione di Javascript, esso deve essere attivato nel Web Browser.

Per il HTML Web Client non è richiesta nessuna speciale installazione.

Connessione Client-Server

Ci deve essere una velocità dati sufficiente per la connessione fra Web Server e HTML Client. Se essa è troppo bassa, vengono visualizzati essenzialmente messaggi sul HTML Web Client. Una velocità dati troppo bassa può avere come conseguenza che una sessione non possa essere avviata, o che debba essere interrotta. La sessione viene terminata in modo ordinato sia lato Client che lato Server.


Licenza

Manuale -> zenon Web Server -> HTML Web Engine -> Licenza

L´HTML Web Engine verifica la licenza dello zenon Web Server. Le informazioni riguardanti la procedura di registrazione licenza dello zenon Web Server le avete consultando il capitolo Registrazione licenza della documentazione di zenon riguardante lo zenon Web Server.

L´adattamento della funzionalità dell´HTML Web Engine avviene sulla base della variante del Web Server per cui si dispone di una licenza valida nel modo seguente:

Variante Web Server

  • Accesso di sola lettura alla visualizzazione. L´HTML Web Client può essere usato come viewer.

Variante Web Server Pro

  • Accesso completo alla visualizzazione, sia di lettura che di scrittura.

info Informazioni su

Tenete presente il limite del numero di connessioni Client contemporanee imposto da Microsoft IIS. Se non si dispone di una licenza valida, l´HTML Web Engine viene avviato in una modalità demo, dalla durata limitata. Allo scadere del periodo di funzionamento della modalità demo e di quello dell´estensione demo, sarà possibile riavviare l´HTML Web Engine in modalità demo.


Installazione

Manuale -> zenon Web Server -> HTML Web Engine -> Installazione

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per usare l´HTML Web Engine dovete aver installato quanto segue:

Web Server:

  1. IIS servizio publishing:

    Impostate il servizio publishing seguendo le istruzioni del capitolo installare il servizio publishing IIS.

  2. zenon Web Server.

    Installate lo zenon Web Server dal supporto di installazione.

    Microsoft Web Deploy viene installato automaticamente durante il setup.

Progettazione e applicazione Runtime:

  1. zenon (Editor e Runtime).

Nota: per il HTML Web Client non è richiesta nessuna speciale installazione.

Noch in diesem Kapitel

Installazione del servizio Publishing IIS


Installazione del servizio Publishing IIS

Manuale -> zenon Web Server -> HTML Web Engine -> Installazione -> Installazione del servizio Publishing IIS

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Internet Information Services (abbreviato in IIS) sono servizi per la pubblicazione di documenti, come, ad esempio, pagine HTML, tramite il protocollo HTTP. Nei sistemi operativi citati nel capitolo Requisiti di sistema il servizio publishing IIS è già compreso nell´installazione standard. Basta solo attivarlo tramite le Funzionalità Windows.

Per attivare l´IIS Publishing Service procedete come segue:

IIS 7, Windows 7

  1. Tenete premuto il tasto Windows della vostra tastiera e premete contemporaneamente il tasto R.
  2. Digitate appwiz.cpl nel campo di inserimento vuoto.

    Cliccate su OK.

    Verrà visualizzata la finestra del pannello di controllo con i programmi e le funzionalità.

  3. Cliccate nella parte sinistra di questa finestra su "Attivazione o disattivazione delle funzionalità Windows".

    Si apre una nuova finestra con le funzionalità Windows,.

  1. In questa finestra, espandete il nodo Internet Information Services.
  2. Qui attivate tutti i servizi WWW.
  3. Espandete il nodo Funzionalità per lo sviluppo di applicazioni.
  4. Attivate ASP.NET.

    Nota: sotto Windows 8, IIS 8, in questo passaggio dovete attivare ASP.NET 4.5 e il protocollo WebSocket.

  5. Espandete il nodo Strumenti di gestione Web.
  6. Qui attivate la console di amministrazione IIS.
  7. Cliccate su OK.

Nota: in caso di un´installazione o di un upgrade successivo del NET-Framework su Windows 7, questo software deve essere registrato manualmente nel servizio di publishing IIS per poter essere poi utilizzato. Ulteriori dettagli su questo argomento sono disponibili nel capitolo Registrazione .NET in IIS sotto Windows 7.

IIS 8, Windows 8/8.1

  1. Tenete premuto il tasto Windows della vostra tastiera e premete contemporaneamente il tasto R.
  2. Digitate appwiz.cpl nel campo di inserimento vuoto.

    Cliccate su OK.

    Verrà visualizzata la finestra del pannello di controllo con i programmi e le funzionalità.

  3. Cliccate nella parte sinistra di questa finestra su "Attivazione o disattivazione delle funzionalità Windows".

Si apre una nuova finestra con le funzionalità Windows,.

  1. In questa finestra, espandete il nodo Internet Information Services.
  2. Qui attivate tutti i servizi WWW.
  3. Espandete il nodo Funzionalità per lo sviluppo di applicazioni.
  4. Attivate ASP.NET 4.5

    Nota: sotto Windows 8, IIS 8, in questo passaggio dovete attivare ASP.NET 4.5 e il protocollo WebSocket.

  5. Espandete il nodo Strumenti di gestione Web.
  6. Qui attivate la console di amministrazione IIS.
  7. Cliccate su OK.

Nota: il protocollo WebSocket deve essere attivato.

Windows 10

  1. Tenete premuto il tasto Windows della vostra tastiera e premete contemporaneamente il tasto R.
  2. Digitate appwiz.cpl nel campo di inserimento vuoto.

    Cliccate su OK.

    Verrà visualizzata la finestra del pannello di controllo con i programmi e le funzionalità.

  3. Cliccate nella parte sinistra di questa finestra su "Attivazione o disattivazione delle funzionalità Windows".

Si apre una nuova finestra con le funzionalità Windows,.

  1. In questa finestra, espandete il nodo Internet Information Services.
  2. Qui attivate tutti i servizi WWW.
  3. Espandete il nodo Funzionalità per lo sviluppo di applicazioni.
  4. Attivate ASP.NET 4.6
  5. Espandete il nodo Strumenti di gestione Web.
  6. Qui attivate la console di amministrazione IIS.
  7. Cliccate su OK.

Nota: il protocollo WebSocket deve essere attivato.

Windows Server 2008 R2

Seguite le istruzioni di Microsoft: https://technet.microsoft.com/en-us/library/cc771209.aspx

  1. Aprite l´assistente Aggiungi ruoli.
  2. Attivate il ruolo server Web (IIS).

    Si apre l´assistente Aggiungi ruoli.

  3. Cliccate su Servizi ruolo.
  4. Espandete il nodo Funzionalità per lo sviluppo di applicazioni.
  5. Attivate i seguenti servizi di ruolo:
  • ASP.NET
  • Estendibilità .NET
  • Estensioni ISAPI
  • Filtro ISAPI

Non disattivate nessuno dei servizi ruolo che sono già pre-selezionati da Microsoft.

Nota: si consiglia di usare Windows Server 2012, perché Windows Server 2008 R2 non supporta i protocolli WebSocket.

Windows Server 2012 (R2)

Seguite le istruzioni di Microsoft: https://technet.microsoft.com/en-us/library/hh831475.aspx

  1. Aprite il wizard "Aggiungi ruoli e funzionalità".

  2. Espandete il nodo Sviluppo di applicazioni.
  3. Attivate i seguenti servizi di ruolo:
  • Estendibilità .NET 4.5
  • ASP.NET 4.5
  • Estensioni ISAPI
  • Filtro ISAPI
  • Protocollo WebSocket

Noch in diesem Kapitel

Registrazione .NET in IIS sotto Windows 7


Registrazione .NET in IIS sotto Windows 7

Manuale -> zenon Web Server -> HTML Web Engine -> Installazione -> Installazione del servizio Publishing IIS -> Registrazione .NET in IIS sotto Windows 7

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In caso di un'installazione successiva o di un upgrade di .NET Frameworks sotto Windows 7, bisogna registrare questo software nel servizio publishing IIS.

Per fare ciò:

  1. Aprite il prompt dei comandi come amministratore.
  2. Passate alla cartella d'installazione di Microsoft.NET con il numero di versione più alto.
  3. Digitate il comando aspnet_regiis -i.

    Dopo aver portato a termine l'installazione con successo, potete usare la versione attuale di Microsoft .NET Framework con IIS.

  4. Assicuratevi che il pool di applicazioni dell'IIS su cui è eseguito il Web Engine, usi la versione attuale di .NET.

Lo potete verificare (e impostare) tramite l'Internet Information Services Manager:


SCADA Runtime Connector

Manuale -> zenon Web Server -> HTML Web Engine -> SCADA Runtime Connector

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per ogni sessione HTML Web Engine viene aperta una sessione SCADA Runtime Connector separata. Vengono trasferite tutte le variabili necessarie per la visualizzazione dell'immagine attuale sul client HTML, ad esempio quelle necessarie per la visualizzazione dei valori delle variabili, o per le dinamiche degli elementi. Le variabili possono essere registrate e deregistrate per una sessione. Quando l'utente è stato autenticato con successo per un HTML Web Client, l'HTML Web Engine dichiara una lista di variabili per la comunicazione e l'updare spontaneo tramite lo SCADA Runtime Connector. Così l'HTML Web Engine può inoltrare cambi di valore ai Web Clients connessi al momento.

Nota: vengono dichiarate solo le variabili necessarie per la visualizzazione sui HTML Web Client. L'update dei valori delle variabili avviene solo se necessario (spontaneamente).

Anche la scrittura dei valori impostabili avviene tramite lo SCADA Runtime Connector. Per garantire un più elevato livello di sicurezza, prima di un cambiamento di valore sul Runtime di zenon, il sistema effettua un esplicito controllo di autenticità dell'HTML Web Client sulla base dei dati utente. In questo modo, un blocco o la cancellazione di utenti da parte del Runtime di zenon diventa subito effettiva per il settaggio di valori impostabili.

Lo SCADA Runtime Connector deve essere avviato anche da parte del Runtime di zenon non appena è necessaria un'interazione con l'HTML Web Engine. L'interazione inizia sostanzialmente con l'autenticazione per il primo HTML Web Client.

Lo SCADA Runtime Connector viene installato con il set up del Runtime di zenon.

Lo SCADA Runtime Connector può essere lanciato manualmente. Per far ciò, avviate l'applicazione direttamente dalla cartella seguente: C:\Program Files (x86)\Common Files\COPA-DATA\Connectors\zrsConnector.exe

Nota: ulteriori informazioni sullo SCADA Runtime Connector le trovate nel capitolo Preparazione dati, Livello 1-astrazione dati.


Autenticazione client per una connessione con il Runtime

Manuale -> zenon Web Server -> HTML Web Engine -> Autenticazione client per una connessione con il Runtime

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I dati del Runtime di zenon, come, ad esempio, i valori variabile per la visualizzazione o le dinamiche di visualizzazione, sono resi disponibili solamente se il client HTML riesce ad autenticarsi nei confronti del Runtime di zenon. Ci sono due modi di eseguire l´autenticazione mediante l´indicazione di nome utente e password:

  • Login automatico mediante la configurazione di un utente nel corso del deployment.. Per ulteriori dettagli, consultate il capitolo Deployment del Web Engine.
  • Login manuale del Web Client in un´immagine del tipo Login. Per i dettagli, vedi capitolo "Crea immagine del tipo Login".

Nota: l´autenticazione può essere eseguita trasferendo i dati di login (nome utente e password) relativi ad un utente di zenon, o quelli di un utente Active Directory La validazione dei dati utente è effettuata dal Runtime di zenon.


Deployment del Web Engine

Manuale -> zenon Web Server -> HTML Web Engine -> Deployment del Web Engine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Deployment Tool offre lo svolgimento di importanti operazioni necessarie a gestire il Web Engine come applicazione web nell'Internet Information Services, (in breve IIS) a scopi di visualizzazione.

Per aprire il Deployment Tool procedete nel modo seguente:

  1. Aprite lo Startup Tool di zenon
  2. Cliccate sul pulsante Tools.
  3. Alla voce Available Application, selezionate Web Engine Deployment Tool .

Cliccando sull'opzione Deploy to IIS with configured security settings, il tool installa e configura l'HTML Web Engine sull'IIS.

Nota: Il Deployment Tool viene installato automaticamente con lo zenon Web Server. Per l'uso di questo tool è necessario disporre di diritti di amministratore. Questo tool è a disposizione solamente in lingua inglese.

Se volete sostituire il Web Engine con una versione più recente, disinstallate prima di tutto un'istanza in esecuzione selezionando il comando Remove.

Noch in diesem Kapitel

Deploy: rendere disponibile l´HTML Web Engine su IIS.

Remove: rimuovere istanza in esecuzione dell'HTML Web Engine dall'IIS.


Deploy: rendere disponibile l´HTML Web Engine su IIS.

Manuale -> zenon Web Server -> HTML Web Engine -> Deployment del Web Engine -> Deploy: rendere disponibile l´HTML Web Engine su IIS.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Il Web Engine deve essere reso disponibile come applicazione web sull´IIS; solo così esso è in grado di svolgere la sua funzione. Cliccando sull´opzione Deploy to IIS with configured security settings passate alle schede successive, nelle quali potete procedere alla definizione delle impostazioni.

Noch in diesem Kapitel

Impostazioni generali per il Web Engine

Security options

Validation of settings

Progress


Impostazioni generali per il Web Engine

Manuale -> zenon Web Server -> HTML Web Engine -> Deployment del Web Engine -> Deploy: rendere disponibile l´HTML Web Engine su IIS. -> Impostazioni generali per il Web Engine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda configurate le impostazioni di generali di funzionamento dell´HTML Web Engine.

I seguenti campi devono essere configurati:

Nome campo | Informazioni richieste
Please select the desired web application version/type to deploy: | Selezionate qui la versione desiderata del Web Engine.
Internet Information Server application name | Inserite qui un nome a piacere per l'applicazione web. Esso sarà una parte dell'URL che servirà a raggiungere la pagina web HTML5. Esempio: https://Indirizzo server/<Nome applicazione>.
Runtime Connector host name or IP address | Inserite qui il nome host oppure l'indirizzo IP del calcolatore su cui sono installati il Runtime di zenon e lo SCADA Runtime Connector.
Data directory | Indicate qui la cartella da cui il Web Engine deve leggere i dati di progetto esportati. Nota: in questa cartella deve trovarsi poi anche il file webx generato dal Web Engine Compiler. Il primo file webx viene caricato nell'elenco file al momento dello start up dell'HTML Web Engine (Web Server). Se il file webx caricato dal Web Engine viene modificato o cancellato, il Web Engine si riavvia automaticamente e carica di nuovo il primo file webx che trova nella cartella. Cartella di default: C:\Users\Public\Documents\zenon_Projects\Web
Cancel | Rigetta le modifiche e chiude il dialogo.
Back | Torna una scheda indietro nella fase di avanzamento del tool.
Next | Passa alla prossima scheda nella fase di avanzamento del tool.


Security options

Manuale -> zenon Web Server -> HTML Web Engine -> Deployment del Web Engine -> Deploy: rendere disponibile l´HTML Web Engine su IIS. -> Security options

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda configurate le impostazioni di protezione per il funzionamento dell´HTML Web Engine.

Avete sempre due opzioni a disposizione:

Parametri

Descrizione

IIS certificate

In questa area stabilite se volete che il Deployment Tool crei un certificato autofirmato, oppure se volete usare un certificato già esistente.

Nota: un certificato di protezione è un requisito obbligatorio per la crittografia della comunicazione fra Web Server e Web Client.

Use self-signed certificate

Attivate questa opzione se volete che sia creato un certificato temporaneo, autofirmato.

Nota: questa opzione è obbligatoria se non esiste ancora un certificato sull´ISS.

Use existing certificate

Questa opzione può essere selezionata se esiste già un certificato valido nel sistema.

Nota: si raccomanda l´uso di un certificato ufficiale di una Certification Authority.

Possibile Certification Authority: https://www.digicert.com/ssl-certificate-installation-microsoft-iis-8.htm

Web Client Authentication

In questo settore stabilite come debba avvenire l´autenticazione del Web Client.

User name and password (recommended)

L´autenticazione del Web Client avviene tramite l´inserimento manuale di nome utente e password.

Nota: il nome utente e la password devono essere digitati in un´immagine di zenon del tipo Login.

Automatic login

Attivate questa opzione se desiderate che il Web Engine instauri automaticamente una connessione con il Runtime di zenon. I dati utente indicati vengono usati per eseguire l´autenticazione.

Attenzione: se usate questa opzione, ogni Web Client riceve una connessione con il Runtime di zenon.

User name

Inserite qui il nome utente desiderato.

Password

Inserite qui la password utente.

Password (confirm)

Inserite qui la password utente per una seconda volta.

Cancel

Rigetta le modifiche e chiude il dialogo.

Back

Torna una scheda indietro nella fase di avanzamento del tool.

Next

Passa alla prossima scheda nella fase di avanzamento del tool.


Validation of settings

Manuale -> zenon Web Server -> HTML Web Engine -> Deployment del Web Engine -> Deploy: rendere disponibile l´HTML Web Engine su IIS. -> Validation of settings

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda vengono validate le impostazioni effettuate in precedenza. Il risultato di questa verifica viene visualizzato in una lista.


Progress

Manuale -> zenon Web Server -> HTML Web Engine -> Deployment del Web Engine -> Deploy: rendere disponibile l´HTML Web Engine su IIS. -> Progress

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda vedete lo stato di avanzamento del Web Engine Deployments sull´IIS.

  • Dopo che il processo è stato portato a termine con successo, cliccate sul pulsante Finish, per chiudere il Deployment Tool.


Remove: rimuovere istanza in esecuzione dell'HTML Web Engine dall'IIS.

Manuale -> zenon Web Server -> HTML Web Engine -> Deployment del Web Engine -> Remove: rimuovere istanza in esecuzione dell'HTML Web Engine dall'IIS.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Se intendete rimuovere un'istanza in esecuzione del Web Engine, oppure la volete sostituire con una versione più recente, disinstallate anzitutto l'istanza esistente selezionando l'opzione Remove.

Passate alla seguente scheda:

Nei campi di inserimento vedete le seguenti informazioni concernenti il Web Engine che volete rimuovere:

Nome campo | Informazioni
Please select the installed web application to remove. | Selezione dell'istanza Web Engine che deve essere rimossa.
Deployed Web Engine | Il nome dell'istanza Web Engine esistente (applicazione web) sull'IIS.
Deployed Web Engine Version | Il numero di versione dell'istanza Web Engine esistente (applicazione web) sull'IIS.
Cancel | Rigetta le modifiche e chiude il dialogo.
Back | Torna una scheda indietro nella fase di avanzamento del tool.
Next | Passa alla prossima scheda nella fase di avanzamento del tool.
  • Cliccate sul pulsante Next per passare alla prossima scheda.

Noch in diesem Kapitel

Avanzamento


Avanzamento

Manuale -> zenon Web Server -> HTML Web Engine -> Deployment del Web Engine -> Remove: rimuovere istanza in esecuzione dell'HTML Web Engine dall'IIS. -> Avanzamento

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

In questa scheda vedete lo stato di avanzamento della rimozione dell´istanza Web Engine esistente.

Nota: Cliccando sul pulsante Copy to clipboard copiate le informazioni di avanzamento negli appunti. Potete usare questa opzione per documentare queste informazioni, se necessario.

  • Cliccate sul pulsante Finish per terminare il processo.


Progettazione nell'editor

Manuale -> zenon Web Server -> HTML Web Engine -> Progettazione nell'editor

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I dati necessari per la visualizzazione HTML5 via Web Engine sono creati a partire da un progetto standard di zenon. Prima di tutto, dovete aprire l´Editor di zenon.

Per avviare l´Editor, avete a disposizione diverse opzioni:

  • Cliccate sul simbolo zenon sul desktop del vostro PC.
  • Usate il menù Windows File -> COPA-DATA -> zenon Editor.
  • Avvio tramite il Startup Tool. Esso consente la gestione di più versioni di zenon e la configurazione dell´Editor e del Runtime prima dello start.
  • Usando Windows Autostart.
  • Doppio clic su un file di area di lavoro (.wsp6). In questo caso si apre sempre la versione a 32-Bit dell´Editor di zenon.

Nota: tenete presente mentre configurate la visualizzazione HTML5 quali sono le proprietà, gli elementi d'immagine e le funzioni dell´HTML Web Engine supportati.

Crea progetto

Per ottenere la visualizzazione HTML5 con lo zenon Web Server, create anzitutto un progetto standard di zenon. Potete anche usare determinate risorse di un progetto globale. Come si fa a creare un progetto lo leggete nel capitolo Crea nuovo progetto.

Noch in diesem Kapitel

Funzionalità supportate per la visualizzazione HTML5


Funzionalità supportate per la visualizzazione HTML5

Manuale -> zenon Web Server -> HTML Web Engine -> Progettazione nell'editor -> Funzionalità supportate per la visualizzazione HTML5

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per la visualizzazione HTML5 si possono usare elementi, proprietà e funzioni di base, come:

Variabili:

  • Si possono usare variabili di ogni tipo per configurare la visualizzazione dei valori e le dinamiche di rappresentazione. È supportato il settaggio di valore impostabile sul HTML Web Client.
  • Valori limiti delle variabili per la dinamicizzazione dell´elemento visualizzazione (colori di valore limite, testo di valore limite) sono supportati in linea di principio.

Tipi di carattere e liste caratteri

  • Selezione e visualizzazione di ogni tipo di carattere desiderato esistente nel sistema.

Nota: i tipi di carattere selezionati devono esistere sia sul calcolatore dal quale viene effettuata la progettazione, sia sui Web Client. I caratteri devono essere definiti nel progetto locale.

  • Visualizzazione nello stile normale, corsivo e grassetto.
  • Selezione e visualizzazione del tipo di carattere conformemente alla lista caratteri.
  • Commutazione online della lista caratteri.

Nota: al momento dell´avvio della sessione, appare la prima lista caratteri del progetto di zenon.

Immagini e modelli:

Modello:

  • Apertura di un modello rettangolare in una posizione assoluta.

Immagini, generale:

  • Visualizzazione di immagini nella dimensione del modello collegato.
  • Visualizzazione di colore di sfondo ed immagine di sfondo.
  • Esecuzione di una funzione di apertura e di chiusura dell´immagine.

Tipo d'immagine standard:

  • Visualizzazione di immagini di questo tipo.

Tipo d'immagine login:

  • Visualizzazione di immagini di questo tipo.
  • Autenticazione dell´utente con gli elementi specifici di questo tipo di immagine, Digitare il nome utente e Digitare la password, o con il comando Login.

Tipo d'immagine AML:

  • Visualizzazione di immagini di questo tipo.
  • Visualizzazione di liste AML statiche. "Statiche" significa che i dati visualizzati non vengono aggiornati.

Tipo d'immagine CEL:

  • Visualizzazione di immagini di questo tipo.
  • Visualizzazione di liste CEL statiche. "Statiche" significa che i dati visualizzati non vengono aggiornati.

Tipo d'immagine HTML:

  • Visualizzazione di immagini di questo tipo.
  • Visualizzazione dell´elemento specifico di questo tipo di immagine, come il Web Browser.

Elementi d’ immagine statici:

  • Supporto standard delle opzioni di rappresentazione specifiche dell´elemento (visualizzazione, colori e opzioni di riempimento, nessun effetto).
  • Supporto standard di dinamiche di visualizzazione tramite l´uso di variabili (colore e dinamiche di posizionamento).

Sono supportati:

  • Linea
  • Rettangolo
  • Cerchio
  • Curva
  • Arco di cerchio
  • Poligono
  • Polilinea
  • Testo statico

Elementi d'immagine dinamici, generale:

  • Supporto standard delle opzioni di rappresentazione specifiche dell´elemento (visualizzazione, colori e opzioni di riempimento, nessun effetto).
  • Supporto standard di dinamiche di visualizzazione tramite l´uso di variabili (colore e dinamiche di posizionamento).

Pulsante

  • Esecuzione di funzioni del progetto locale.

Nota: prima di eseguire la funzione, il sistema provvede a verificare l´esistenza del corrispondente livello utente.

Valore numerico:

  • Settare valore impostabile con finestra di dialogo, tenendo presenti i limiti statici del valore impostabile.

Nota: prima di eseguire la funzione, il sistema provvede a verificare l´esistenza del corrispondente livello utente.

Collega testo:

  • È possibile visualizzare le seguenti informazioni concernenti le variabili: valore variabile, nome variabile, identificazione variabile, identificazione servizio, unità di misura e testo valore limite.
  • Settare valore impostabile con finestra di dialogo.

Nota: prima di eseguire la funzione, il sistema provvede a verificare l´esistenza del corrispondente livello utente.

Gruppi elementi e simboli:

Gruppo elementi:

  • Visualizzazione di gruppi elementi.
  • Gli elementi contenuti sono rappresentati in conformità a quanto fissato al momento della loro progettazione e sulla base delle proprietà supportate.

Simbolo collegato:

  • Visualizzazione di simboli collegati.
  • Supporto di Sostituisci collegamenti per uso nell´immagine; peraltro gli inserimenti devono riferirsi alle risorse del progetto locale.
  • Gli elementi contenuti sono rappresentati in conformità a quanto fissato al momento della loro progettazione e sulla base delle proprietà supportate.

Funzione cambio immagine:

  • Apertura di immagini del progetto locale.
  • Supporto di Sostituisci collegamenti; peraltro gli inserimenti devono riferirsi alle risorse del progetto locale.

Funzione Chiudi modello:

  • Chiude i modelli che hanno il nome indicato.

Funzione Setta valore impostabile:

  • Settaggio diretto di valori variabile predefiniti.

Funzione Cambio lingua:

  • Cambio online di file della lingua e lista caratteri.

Funzione Cambio tavolozza colori:

  • Cambio online della tavolozza dei colori per la rappresentazione grafica.

Funzione Esegui script:

  • Esecuzione di funzioni del progetto locale. Le funzioni non supportate sono escluse dall´esecuzione.

Funzione Esegui logout:

  • Logout dell´utente attuale di una sessione Web Client e chiusura della connessione con il Runtime di zenon
  • La sessione Web Client continua in modalità offline.

Progetto globale

L´export HTML tiene conto dell´uso delle seguenti risorse di un progetto globale:

  • Modelli
  • Tavolozze dei colori
  • File delle lingue

Noch in diesem Kapitel

Esempio: Schermata Start semplice

Creare un'immagine del tipo HTML

Tipi di immagine AML e CEL: Funzionalità supportate

Avvio automatico di uno script all´avvio di una sessione Web Client.

Avvio specifico di uno script mediante estensione URL all’avvio di una sessione Web Client.


Esempio: Schermata Start semplice

Manuale -> zenon Web Server -> HTML Web Engine -> Progettazione nell'editor -> Funzionalità supportate per la visualizzazione HTML5 -> Esempio: Schermata Start semplice

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Verificate la funzionalità del HTML Web Engine con un semplice esempio.

Per fare ciò:

  1. Create un'immagine del tipo standard
  2. Attivate per questa immagine la proprietà Disponibile per il Web che trovate alla voce Generale.
  3. Indicate quest'immagine come Immagine di partenza alla voce Aspetto grafico delle proprietà di progetto.

    Nota: usando lo script AUTOSTART si può definire una qualsiasi pagina come immagine di partenza per il web.

  4. Inserite elementi semplici nell'immagine, per esempio un rettangolo, un cerchio, oppure testo statico.
  5. Assicuratevi che il progetto attuale sia impostato come progetto di start.

Dopo aver compiuto questi passaggi, potete continuare seguendo le indicazioni di Export dei passaggi di progetto per la visualizzazione HTML5.

Estensione: autenticazione con login.

Perché possa avvenire uno scambio di dati con il Runtime di zenon, il Web Client deve essere autenticato come utente nei confronti del Runtime. Ulteriori informazioni su questo argomento le trovate nel capitolo: Autenticazione client per una connessione con il Runtime. Per consentire un'autenticazione manuale, estendete il vostro progetto come segue:

  1. Inserite un elemento dinamico per visualizzare un valore di una variabile (per esempio Collega testo oppure Valore numerico). Assegnate a questo elemento una variabile del vostro progetto.

    Nota: i valori delle variabili possono essere usati anche per la posizione e le dinamiche di colore di un elemento.

  2. Create una nuova immagine del tipo Login, che potete inserire nella visualizzazione. A questo scopo potete usare la funzione di Cambio immagine.
  3. Attivate per questa immagine l'opzione Disponibile per il Web che trovate alla voce Generale delle proprietà dell'immagine.
  4. Aggiungete all'immagine Login gli elementi Nome utente, Password, Login e Annullare.

  5. Eseguite l'export HTML del progetto attuale.

Adesso il Web Client ha la possibilità di effettuare la propria autenticazione inserendo i dati utente. Se l'autenticazione ha successo, viene instaurata la connessione con il Runtime di zenon. In tal modo gli sono resi accessibili i valori della variabili da usare per la visualizzazione HTML5.


Creare un'immagine del tipo HTML

Manuale -> zenon Web Server -> HTML Web Engine -> Progettazione nell'editor -> Funzionalità supportate per la visualizzazione HTML5 -> Creare un'immagine del tipo HTML

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Per creare un´immagine del tipo HTML:

  1. Create una nuova immagine.
  2. Come tipo di immagine, selezionate nel menù a tendina HTML
  3. Attivate per questa immagine la proprietà Disponibile per il Web che trovate alla voce Generale.
  4. Tenete presente le Opzioni di apertura di pagine web esterne.
  5. Create una funzione di cambio immagine per poter aprire l´immagine durante il Runtime.

Viene visualizzata una scheda che contiene le seguenti funzionalità supportate per il HTML Web Engine:

Parametri | Descrizione
URL statico | L'URL è impostato come URL statico. Nota: questa impostazione è obbligatoria.
Finestra browser | Digitate l'URL completo della pagina web esterna (incluso https://). Esempio: https://Serveradresse

Noch in diesem Kapitel

Opzioni di apertura di pagine web esterne


Opzioni di apertura di pagine web esterne

Manuale -> zenon Web Server -> HTML Web Engine -> Progettazione nell'editor -> Funzionalità supportate per la visualizzazione HTML5 -> Creare un'immagine del tipo HTML -> Opzioni di apertura di pagine web esterne

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com
Opzioni di apertura di pagine web esterne

L´apertura di pagine web esterne viene supportata dall´HTML Web Engine in due modi: o mediante una finestra browser incorporata, oppure mediante una nuova finestra browser.

Finestra browser incorporata:

Per visualizzare nel Runtime una finestra di navigazione incorporata con l´URL che avete inserito nella funzione di cambio immagine, procedere come segue:

  • Nel menù Elementi di controllo selezionate l´opzione Browser, e poi Finestra Browser.
  • Usando il mouse, disegnate nell´immagine la cornice della finestra di navigazione. All´interno di questa cornice verrà visualizzata la pagina web (URL) che avete indicato.

Nota: l´apertura della visualizzazione incorporata (iFrame) funziona solamente se le opzioni x-frame sono state configurate in modo corrispondente sul server remoto. L´indirizzo della pagina Web embedded, inoltre, deve essere disponibile per l´HTTPS tramite la connessione HTTPS fra l´HTML Web Engine e l´HTML Web Client.

Nuova finestra browser:

Per aprire una pagina Web esterna in una nuova finestra di navigazione, procedete come segue:

  • Cancellate l´elemento di controllo "Finestra di navigazione" dal modello inserito nell´immagine.

    La pagina web esterna verrà aperta in una nuova finestra di navigazione se non c´è un elemento di controllo corrispondente nell´immagine.

Nota: l´apertura di più URL è supportata via script. Tuttavia alcuni browser impediscono l´apertura di tab mediante blocchi popup. In questo caso appare un dialogo che mostra gli URL che non è stato possibile aprire. Essi potranno poi essere aperti manualmente.


Tipi di immagine AML e CEL: Funzionalità supportate

Manuale -> zenon Web Server -> HTML Web Engine -> Progettazione nell'editor -> Funzionalità supportate per la visualizzazione HTML5 -> Tipi di immagine AML e CEL: Funzionalità supportate

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

I tipi di immagine AML e CEL supportano le seguenti funzionalità:

Opzioni di filtro e opzioni generali di visualizzazione (configurate nella funzione di cambio immagine).

Scheda

Gruppo

Impostazioni e note

Generale

Filtro variabili
  • Nome variabile
  • Identificazione

Nota: in questo caso non si tiene conto della scrittura in lettere maiuscole e minuscole.

Tipi di allarme (solo AML)

Opzioni:

  • Sola allarmi non riconosciuti
  • Solo allarmi rientrati
  • Solo allarmi in attesa

Sorgente dati

Solo dati storici del Runtime di zenon.

Impostazioni Runtime

Visualizza lista bloccata:

  • visualizzazione di tutti gli inserimenti lista del Runtime di zenon così come essi sono al momento dell´apertura dell´immagine.

Ora

Filtro

Opzioni:

  • Nessun filtro tempo
  • Periodo assoluto
  • Periodo relativo

Impostazioni

Solo l´opzione Default.

Impostazioni colonne

Colonne
  • Entra
  • Esce (solo AML)
  • Riconosciuto (solo AML)
  • Testo
  • Nome variabile
  • Valore
  • Unità di misura
  • Nome completo Utente
  • Nome Computer
  • Commento (solo AML)

Nota: si segue la successione di visualizzazione impostata.

La descrizione delle colonne può essere modificata. Il cambio lingua è supportato.

Impostazioni di tabella

Sempre attive:

  • Usa colori di sfondo alternativi
  • Mostra griglia
  • Ordinamento decrescente

Nota: il cambio di tavolozze di colore viene supportato per:

  • Colore Linea 1
  • Colore Linea 2

Progettazione impianto

  • Da progetto locale e globale.

Impostazioni grafiche dell´elemento di controllo Lista di informazione allarmi

Parametri

Descrizione

Impostazioni e note

Intestazione e griglia

Intestazione

Sempre attivi:

  • Visualizza intestazione

Sempre standard:

  • Stile di visualizzazione

Colore di sfondo:

  • Colore sfondo / riempimento

Il colore di riempimento si usa anche nel piè di pagina nel Web:

  • Colore fisso/statico.
  • Tavolozza dei colori e cambio di tavolozza dei colori.

Carattere si usa anche nel piè di pagina nel Web:

  • Selezione statica.
  • Cambio liste caratteri.

Colore del testo si usa anche nel piè di pagina nel Web:

  • Colore fisso/statico.
  • Tavolozza dei colori e cambio di tavolozza dei colori.

Riempimento

Riempimento/Colore del testo
  • Colore fisso/statico.
  • Tavolozza dei colori e cambio di tavolozza dei colori.

Visualizzazione

Visualizzazione
  • Selezione statica
  • Cambio liste caratteri.


Avvio automatico di uno script all´avvio di una sessione Web Client.

Manuale -> zenon Web Server -> HTML Web Engine -> Progettazione nell'editor -> Funzionalità supportate per la visualizzazione HTML5 -> Avvio automatico di uno script all´avvio di una sessione Web Client.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Uno script può essere avviato automaticamente all´avvio di una sessione HTML Web Client.

Il nome riservato a questo script è il seguente:

  • AUTOSTART_HTML_WEBCLIENT

Nota: questo script viene eseguito ogni volta che una sessione HTML Web Client viene avviata. Il nome dello script non deve essere modificato.

Example Esempio

L’avvio automatico dello script può essere usato – ad esempio - per stabilire quale deve essere la home page dell’applicazione web.


Avvio specifico di uno script mediante estensione URL all’avvio di una sessione Web Client.

Manuale -> zenon Web Server -> HTML Web Engine -> Progettazione nell'editor -> Funzionalità supportate per la visualizzazione HTML5 -> Avvio specifico di uno script mediante estensione URL all’avvio di una sessione Web Client.

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

L’HTML Web Engine consente l’esecuzione specifica di funzioni di zenon come parte della procedura di avvio di una sessione per un HTML Web Client. L´avvio di funzioni avviene tramite uno script e la funzione corrispondente Esegui: script. Il nome della funzione deve essere utilizzato come argomento del parametro startfunction nell´URL utilizzato per l´apertura del sito. La funzione di esecuzione dello script deve essere esplicitamente approvata per la chiamata come funzione di start dell’URL.

Nota: tutte le impostazioni necessarie per l’uso della funzione di start per l’URL, devono essere impostate nel progetto al momento della conversione (compilazione per il Web).

Procedura per l´applicazione della funzionalità:

  1. La pagina web viene richiamata con l’argomento aggiuntivo che servirà per richiamare la funzione Esegui: script desiderata. La chiamata avviene tramite il nome della funzione
  2. e 3) Se la funzione configurata per essere usata come funzione di partenza dell’URL viene verificata, verrà eseguito lo script configurato nella funzione. L’esecuzione di questo script avverrà una volta solamente per questa specifica sessione HTML Web Client. Se la funzione non esiste, o non è stata abilitata nel modo descritto in precedenza, verrà eseguita una chiamata standard della pagina Web. La sessione verrà poi avviata con una chiamata senza l’argomento startfunction.

Nota: questo screenshot è a disposizione solamente in lingua inglese.

Per i nomi della funzione si devono considerare le seguenti limitazioni per il web:

Carattere | Consentito
Caratteri alfanumerici, (0-9, a-z, A-Z, dieresi non consentite), $ - _ . + ! * ' ( ) , virgola | Sì
Caratteri di controllo ASCII (0x00-0x1F;0x7F) | No
Caratteri riservati & / : ; ? @ | No
Caratteri incerti, per es. spazi vuoti, virgolette < , > , # , % , { , } , I , \ , ^ , ~ , [ , ] | No


Compilare il progetto per il Web

Manuale -> zenon Web Server -> HTML Web Engine -> Compilare il progetto per il Web

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Con il Web Engine Compiler, vengono generati a partire da un progetto di zenon quei dati che servono all´HTML Web Engine per rendere disponibili al Web Client i contenuti HTML5. Nel corso del processo di traduzione di questi dati di progetto, il Web Engine Compiler verifica i contenuti del progetto e fornisce informazioni concernenti le funzioni o le proprietà non supportate. Il risultato di questo processo di traduzione è un file che viene fornito al Web Engine.

Per aprire il Web Engine Compiler:

  1. Cliccate su Opzioni nella barra dei menù dell'Editor.
  2. Cliccate su Compila progetto per il Web...

Si apre la seguente finestra di dialogo:

Nella finestra di dialogo ci sono i seguenti campi:

Parametri | Descrizione
Please select the target directory for the Web Engine data file | Selezionate qui una cartella per il salvataggio del file Web Engine.
Open folder in File Explorer | Aprite la cartella nel Windows Explorer.
Progress | Mostra avvisi, messaggi di errore e informazioni.
Copy to clipboard | Copia il contenuto della finestra di emissione negli appunti.
Open Web Engine Compiler LOG file | Apre il file LOG del Web Engine Compiler.
Start compilation | Avvia il processo di compilazione.
Close | Chiude il Web Engine Compiler.


Svolgimento di una sessione HTML Web Engine

Manuale -> zenon Web Server -> HTML Web Engine -> Svolgimento di una sessione HTML Web Engine

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Dopo aver compilato i dati di progetto con successo, avete a vostra disposizione la visualizzazione HTML. Per aprire la pagina Web, procedete nel modo seguente:

  1. Aprite un Web Browser che supporta HTML5. Trovate la lista dei Web Browser consigliati nel capitolo Requisiti di sistema.
  2. Digitate nella barra degli indirizzi del Web Browser il seguente URL per la visualizzazione HTML5: https://Indirizzo server/<Nome applicazione>.

    I contenuti HTML5 sono resi disponibili automaticamente. Per ogni singolo Web Client viene avviata e gestita una sessione separata. Avrete accesso ai dati dello zenon Runtime non appena la vostra autenticazione utente sarà avvenuta con successo. Per ulteriori dettagli sull´argomento vi rimandiamo al capitolo Autenticazione dell´utente per una connessione con il Runtime.

  3. Non appena lasciate la pagina, la sessione HTML Web Engine e la connessione con il Runtime di zenon vengono chiuse automaticamente.

Nota: si lascia la pagina Web (fra l´altro) quando si chiude il Web Browser, la sua scheda, quando si aggiorna la visualizzazione o si inserisce di nuovo l´URL.


Note generali

Manuale -> zenon Web Server -> HTML Web Engine -> Note generali

Capitolo precedente Capitolo successivo Visualizza tutti Visualizza tutti Nascondi tutti Nascondi tutti
© Ing. Punzenberger COPA-DATA GmbH. E-Mail: documentation@copadata.com

Diagnostica del sistema e risoluzione dei problemi

Messaggi di errore generali e dettagliati sull´HTML Web Client:

Se insorgono problemi al momento dell´avvio del sistema o durante il suo funzionamento, vengono visualizzate sull´HTML Web Client delle segnalazioni che forniscono delle informazioni sulle possibili cause che hanno provocato l´errore. Delle segnalazioni dettagliate le ricevete se aprite la pagina Web HTML5 da un Web Browser locale; il che significa che Web Browser e Web Engine sono eseguiti sullo stesso computer (indirizzo IP). I messaggi di errore generali, invece, vengono visualizzati sugli HTML Web Client che richiamano la pagina Web HTML5 in modo remoto, vale a dire da un altro dispositivo.

Elenco di controllo (check list) per un funzionamento del sistema privo di errori:

Al fine di verificare la configurazione generale del sistema, si consiglia di controllare quanto segue:

  • Se l´HTML Web Engine è stato installato su IIS. Se il Web Engine Deployment è stato eseguito senza che si siano verificati degli errori. Se il Web Server è stato avviato e funziona.
  • Se i dati di visualizzazione sono stati generati con il Web Engine Compiler. Se non si è verificato nessun errore nel procedimento di compilazione. Se i dati compilati mediante il Web Engine Compiler sono effettivamente disponibili per l´accesso tramite il Web Engine.
    Nota: la visualizzazione di "warning" (avvisi) non pregiudica in linea di principio il funzionamento dell´HTML Web Engine. Tuttavia, a seconda del tipo di warning, si possono avere delle limitazioni delle funzionalità configurate.
  • Se la versione del Web Engine Compiler e dell´HTML Web Engine sono identiche.

    Nota: i dati generati dal Web Engine Compiler possono essere interpretati in modo corretto solo da un HTML Web Engine (applicazione Web) con lo stesso numero di versione.

Per quello che concerne il trasferimento dei dati di processo, invece, si consiglia di verificare:

  • Se lo zenon Runtime e il Runtime Connector sono stati avviati. Se il Runtime Connector è raggiungibile tramite la rete.

    Nota: i processi del Runtime di zenon e dello SCADA Runtime Connector devono essere eseguiti nello stesso contesto utente.

  • Gli utenti con i quali viene effettuata l´autenticazione, devono esistere nel Runtime di zenon.


Driver

Driver

In questo settore trovate tutta la documentazione relativa ai driver di zenon.


Tutorial

Tutorial

In questo settore trovate tutti i tutorial di zenon.


Glossario

Glossario

In questo glossario verranno spiegati in modo sintetico tutti i concetti rilevanti contenuti in zenon.


A

Glossario -> A

a destra

Pulsante che muove il cursore sullo schermo verso destra.

a sinistra

Pulsante, che muove il cursore verso sinistra sullo schermo.

abilitazione licenza

Procedura in cui viene assegnata la licenza per l'utente.

ACK

Nella gestione dati di rete, un Ack (o conferma) è un segnale passato durante la comunicazione tra processi o computer per indicare la conferma, o la ricevuta di risposta, come parte di un protocollo di comunicazione.

Active Directory

Il servizio di directory di sistemi operativi Microsoft Windows Server, che gestisce diversi oggetti in una rete, quali utenti, gruppi, computer, server, condivisione di file e altri dispositivi come stampanti o scanner e le loro proprietà.

Active Directory Application Mode

Versione limitata del servizio Active Directory, utilizzata per la connessione di applicazioni che necessitano di informazioni conformi LDAP.La gestione utenti di zenon è in grado, opzionalmente, di ricavare informazioni sugli utenti da questo servizio.

Active X

Tecnologia sviluppata da Microsoft destinata agli sviluppatori e creata per poter estendere le potenzialità e le funzioni di un'applicazione. L'ActiveX è una estensione che, integrata in un'applicazione predisposta all'utilizzo di questa tecnologia, permette di aggiungere nuove possibilità ai componenti COM standard.ActiveX (dall'inglese Active e eXtension, Estensione Attiva).

ActiveX

Tecnologia sviluppata da Microsoft destinata agli sviluppatori e creata per poter estendere le potenzialità e le funzioni di un'applicazione. L'ActiveX è una estensione che, integrata in un'applicazione predisposta all'utilizzo di questa tecnologia, permette di aggiungere nuove possibilità ai componenti COM standard.ActiveX (dall'inglese Active e eXtension, Estensione Attiva).

ADAM

Versione limitata del servizio Active Directory, utilizzata per la connessione di applicazioni che necessitano di informazioni conformi LDAP.La gestione utenti di zenon è in grado, opzionalmente, di ricavare informazioni sugli utenti da questo servizio.

Agent

Piccolo programma che controlla i dispositivi, con i quali zenon comunica bidirezionalmente, e con il quale è possibile anche impostare alcune proprietà.

aggregare

Ridurre la quantità di dati creando la somma, la media e salvando il valore minimo o massimo per un determinato periodo di tempo.

Alarm-S Segnalazione

Tipo di oggetto del driver che trasmette informazioni di un dispositivo S7-PDiag al sistema di controllo. In corrispondenza dell'offset 0 viene trasmesso il numero di segnalazione con tipo di dato UINT. Nell'offset il numero di segnalazione viene trasmesso come BOOL se la segnalazione è in attesa.

Alarm-S valore di controllo

Tipo di oggetto del Driver, che trasmette il valore di controllo di un dispositivo S7 nel sistema di controllo. Il valore di controllo contiene per esempio il numero di passi di un grafico S7.

Alarm-S Variabile

Variabile definita sul tipo di oggetto Allarm-S Segnalazione

albero di progetto

Rappresentazione grafica strutturata di tutti i progetti e di tutti i moduli in un area di lavoro.

ALC

Automatic Line Coloring è un modulo che permette la colorazione di linee (rappresentati da linee, quadrati o linea di elementi di pittura vettoriale) a seconda degli stati di processo. Come elemento di progettazione per questa funzionalità viene utilizzato l'Elemento Combinato. L'ALC è utilizzato per la semplice dinamicizzazione automatica delle linee nell'applicazione e nelle reti topologiche per l'energia elettrica.

Allarm-S Telegramma

Segnalazioni d'allarme dei sistemi Siemens Simatic S7 Pdiag.I telegrammi possono essere letti dal dispositivo con il driver S7-TCP e immessi direttamente come inserimenti d'allarme nella Lista di informazione allarmi.

Alt

Pulsante, che in combinazione con altri tasti permette l'avvio di specifiche opzioni dei programmi oppure velocizza l'esecuzione di voci di menù, per sempio la combinazione Alt+F4 per chiudere il programma.

AML

Gestione centralizzata degli allarmi del sistema. La lista di informazione allarmi comprende una doppia gestione: gestione a buffer circolare in memoria e salvataggio dati su file su disco fisso.A differenza della Lista Cronologica Eventi, la gestione allarmi comprende 3 informazioni temporali: allarme entrato, uscito, riconosciuto.

Amministrazione punti di misurazione

Modulo per l'amministrazione dei punti di misura. Possiblità addizionali: gestione, inserimento di valori manuali e di esecuzione.

analisi ABC

Strumento per la gestione d'affari per la pianificazione delle decisioni. Gli oggetti sono divisi in tre classi A, B e C. Semplice procedura per la ponderazione di oggetti o processi. La struttura consiste di solito in due coppie di valori bidimensionali. Questi sono inizialmente ordinati per dimensione, poi combinati e classificati per tipo. Questa classificazione fornisce un quadro approssimativo della situazione reale, da cui possono essere derivati altri approcci.

Analisi allarmi

Tema (classe di modelli report) nel zenon Analyzer Management Studio. Questo tema è un insieme di Report per la rappresentazione diretta o aggregata di dati d'allarme.

Analisi con formula personalizzata

Tema (classe di modelli report) in zenon Analyzer Management Studio. I modelli report di questo tema calcolano delle formule personalizzate configurate in ZAMS.

Analisi di Produzione Basata sulle Macchine

Questo tema contiene modelli di report che permettono l'analisi dei tempi di perdita e degli indicatori di produttività basati su standard quali DIN 8782, DIN 8743, standard Weihenstephan e buona prassi di diverse aziende manifatturiere

Analisi obiettivo-effettivo

I modelli report di questo tema confrontano i valori target con i valori attuali.I valori target possono essere riletti da archivi o dalla tabella NORM.

Analyzer Tools

Programmi per la configurazione di zenon Analyzer. Sono incluse le seguenti applicazioni: Manual Data Editor, Metadata Editor, Migration Tool oltre a zenon Analyzer Management Studio (ZAMS).

angolo 3-D

Elemento vettoriale obsoleto, utilizzato per la rappresentazione di un angolo con riempimento tridimensionale.

animazione

Tecnica con la quale viene rappresentata un'immagine in movimento tramite una sequenza di singole immagini.

Annulla

Chiude una finestra di dialogo e annulla tutte le modifiche apportate.

anteprima punti di switch

Le operazioni di switch vengono visualizzate in una lista prima dell'esecuzione.

APDU

Nel contesto delle smart card, un application protocol data unit (APDU) è l'unità di comunicazione tra un lettore smart card e la smart card stessa. La struttura del APDU è definita dall'organizzazione ISO/IEC 7816-4.

API

Interfaccia (acronimo per 'Application programming interface') che viene fornito da un sistema software, per permettere la connessione al sistema da parte di altri software.

App

App è l'abbreviazione di software applicativo, ma è spesso usato per indicare un'applicazione mobile (più specifico) o programma per computer (più generale).

App-Bar

Interfaccia grafica sullo schermo principale in Windows 8, in cui sono disposte applicazioni (= programmi applicativi) e da cui possono essere avviate.

Application Programming Interface

Interfaccia (acronimo per 'Application programming interface') che viene fornito da un sistema software, per permettere la connessione al sistema da parte di altri software.

applicazioni mobile

Insieme di programmi per la visualizzazione di applicazioni zenon su dispositivi mobile, tablet e dispositivi desktop. Le applicazioni sono disponibili nei rispettivi App Store.

architettura di processore

I processori hanno una gamma di compiti molto ampia con una serie di competenze molto differenti tra loro. Di conseguenza vengono progettati processori con architetture differenti in base alle differenti finalità di funzionamento.

archiviazione per modifica valore

Per ogni cambio valore, i valori delle variabili collegate vengono salvati nell'archivio con data, ora e stato della variabile.

Archivio di base

Archivio da cui sono derivati gli archivi aggregati. Questo è l'archivio dove vengono salvati i valori grezzi.

arco di cerchio

Elemento vettoriale che rappresenta una parte di un cerchio o di un ellisse. Con la rappresentazione trasparente è possibile visualizzarne solo la linea esterna.

area di lavoro

Area di lavoro dell'editor, nel quale vengono raggruppati i progetti. Solamente progetto inseriti in un'area di lavoro possono essere elaborati.

ASCII

American Standard Code for Information Interchange - è una codifica dei caratteri a 7 bit ed è la variante statunitense dell' ISO 646 e la base per i successivi set di caratteri e codifiche.

asse

Definisce un'asse di coordtinate. In matematica questo può riferirsi a:- l'asse X (ascissa), ovvero l'asse di coordinata orizzontale in un sistema di coordinate Cartesiane, e- l'asse Y (ordinata), ovvero l'asse di coordinata verticale nel sisteama Cartesiano.

asse tempo

Asse di un sistema di coordinate cartesiane, sul quale è indicato un intervallo temporale.

asse X

Asse orizzontale, in un sistema di assi cartesiani (ascissa).

asse Y

Asse di coordinate verticali in un sistema di assi cartesiani (ordinate).

assistente

Lavora tramite una parametrizzazione e consente la semplice creazione di oggetti complessi. A differenza dei Wizards, gli assisenti sono integrati direttamente nel prodotto e non possono essere adattati.

Audit Trail

Gestione principale degli eventi del sistema di controllo. La Lista Eventi Cronologica viene gestita in due modi: in principio tramite un buffer circolare mantenuto in memoria, successivamente come dati storici salvati su file sul disco fisso. Contrariamente alla Lista di informazione Allarmi, la Lista eventi cronologica contiene solamente un'informazione temporale, ovvero il tempo di registrazione dell'evento.

autenticare

Consente, tramite un nome utente, di connettersi al sistema.

autenticazione

Consente, tramite un nome utente, di connettersi al sistema.

Automatic Line Coloring

Automatic Line Coloring è un modulo che permette la colorazione di linee (rappresentati da linee, quadrati o linea di elementi di pittura vettoriale) a seconda degli stati di processo. Come elemento di progettazione per questa funzionalità viene utilizzato l'Elemento Combinato. L'ALC è utilizzato per la semplice dinamicizzazione automatica delle linee nell'applicazione e nelle reti topologiche per l'energia elettrica.

automatizzazione

Trasferimento delle attività da uomo a macchina o sintesi di processi ricorrenti.

Automazione

Trasferimento delle attività da uomo a macchina o sintesi di processi ricorrenti.

AVI

Acronimo di "Audio Video Interleave", è un formato video definito da Microsoft . "Audio Video Interleave " significa che i dati audio e video sono 'intrecciati', e quindi salvati in modalita "interleaved".

AWL

Uno dei 5 linguaggi standardizzati IEC 61131-3 per la programmazione dei controllori a logica programmabile (PLC), utilizzato principalmente per il collegamento logico di ingressi e uscite. La sintassi è basata su un linguaggio assembler e consente solo possibilita molto complesse di strutture 'a salto'. Come vantaggio si ha pero la possibilità di una occupazione CPU estremamente ridotta.

Azure Serice Bus

Un sistema di messaggistica generale, basato su cloud e basata su Microsoft Azure, dove applicazioni, servizi e dispositivi possono essere collegati indipendentemente dalla loro dislocazione.


B

Glossario -> B

Backspace

Tasto che cancella i caratteri alla sinistra del cursore.

Backup

Memorizzazione di dati (ad esempio, progetti o aree di lavoro) per un eventuale successivo ripristino.

Bargraf

Elemento dimanico per la visualizzazione analogia di una grandezza di un segnale. La grandezza delle suddivisioni cambia con la grandezza del segnale.

barra degli strumenti

Una linea, una colonna o un blocco di pulsanti che vengono visualizzati sullo schermo. Se si fa clic su questi pulsanti, vengono eseguiti i relativi comandi.Le barre degli strumenti possono essere spostate ed adattate allo schermo e l'impostazione viene memorizzata nei profili dell'editor. Le barre degli strumenti sono disponibili solamente nell'ambiente di sviluppo.

barra del titolo

Una barra orizzontale nella parte superiore di una finestra, di una finestra di dialogo o di una barra strumenti, che visualizza il nome del documento, del programma o della barra degli strumenti.

barra di scorrimento

Strumento grafico per muoversi sullo schermo lungo un asse orizzontale o verticale.

Barra stato allarmi

Linea di informazione, che durante il Runtime viene sempre posizionata in primo piano rispetto a tutti gli altri programmi in esecuzione, e che visualizza o l'allarme piu recente o il piu vecchio.

Baudrate

Nelle comunicazioni, il baud rate (detto anche 'symbol rate' o 'tasso di simbolo') indica il numero di simboli trasmessi al secondo in un sistema di trasmissione digitale, come un modem. Il termine baud prende il nome da Émile Baudot, inventore del codice Baudot utilizzato in telegrafia

binario topologico

Elemento dinamico per la colorazione di linie in una rappresentazione topologica di reti elettriche. Disponibile solamente per SICAM 230.

Bit

Un po 'è l'unità di base di informazioni nel campo dell'informatica e delle comunicazioni digitali. Un bit può avere solo uno dei due valori, e può quindi essere realizzato fisicamente con un dispositivo a due stati. Questi valori sono più comunemente rappresentati sia come 0 o 1.

bit di parità

Il bit di parità è un codice di controllo utilizzato nei calcolatori per prevenire errori nella trasmissione o nella memorizzazione dei dati. Tale sistema prevede l'aggiunta di un bit ridondante ai dati, calcolato in modo tale che il numero di bit che valgono 1 sia sempre pari o dispari. I bit di parità sono uno dei codici di rilevazione e correzione d'errore più semplici.

Bit di stop

Un bit di Start e fino a due bit di Stop vengono utilizzati normalmente per la trasmissione dati seriale asincrona, per consentire una sincronizzazione al ricevente su ogni singolo carattere trasmesso.

Bitmap

Formato grafico bidimensionale sviluppato dal Microsoft per Windows e OS/2, e introdotto per la prima volta con Windows 3.0. L'estensione del file è '.bmp', raramente '.dib'.

Blocco dati

Area dati in un dispositivo Siemens.

blocco note

Tipo di immagine, con la quale è possibile visualizzare ed elaborare dei file di testo.

Blocco turno

Rappresenta il corso di un singolo turno. Il blocco turno onsiste in un numero a piacere di blocchi di tempo, con un minimo di uno. Inoltre il blocco turno contiene informazioni aggiuntive sul turno. una denominazione libera e una descrizione, l'assegnazione al modello di impianto e alla gestione utenti.

Blockwrite

Unione di piu incarichi di scrittura in un unico telegramma. Viene utilizzato per esempio nell'esecuzione di una ricetta.

Blue Screen of Death

È la descrizione di una specifica categoria di errori che appaiono in particolare nei sistemi operativi Microsoft Windows. L'interfaccia utente del sistema operativo è completamente sostituita da una schermata blu dove appaiono con testo bianco le informazioni di errore.

BMP

Formato grafico bidimensionale sviluppato dal Microsoft per Windows e OS/2, e introdotto per la prima volta con Windows 3.0. L'estensione del file è '.bmp', raramente '.dib'.

bordo schermo

Area che durante le operazioni touch non può essere spostata al di fuori del campo di visualizzazione visibile.

bottone

Un pulsante (engl. 'Button') rappresenta un elemento grafico in un'interfaccia utente. Clickando su questo oggetto viene eseguita l'operazione associata.

Breakpoint

Identifica un punto in un programma, al quale, non appena viene raggiunto, un Debugger si ferma durante la correzione degli errori.

BSOD

È la descrizione di una specifica categoria di errori che appaiono in particolare nei sistemi operativi Microsoft Windows. L'interfaccia utente del sistema operativo è completamente sostituita da una schermata blu dove appaiono con testo bianco le informazioni di errore.

buffer circolare

Un buffer circolare salva continuativamente i dati durante un processo. Se lo spazio a disposizione esaurisce, i dati vengono sovrascritti secondo le modalita FIFO (First In-First Out) oppure LIFO (Last In-First Out).

Build

Le Builds contengono correzioni di errori. Ad ogni compilazione del programma, viene aumentato il numero della Build. Queste compilazioni vengono messe a disposizione di clienti specifici. Le Builds sono soggette solo in parte al processo di garanzia di qualità del prodotto. Tutte le build vengono raggruppate poi in un Service Pack, in cui viene pienamente garantita la qualità.

Byte

Un byte è un'unità di informazioni digitali in informatica e telecomunicazioni che più comunemente è costituito da otto bit. Storicamente, il byte era il numero di bit utilizzati per codificare un singolo carattere di testo in un computer e per questo motivo è la più piccola unità indirizzabile di memoria in molte architetture.


C

Glossario -> C

cadenza turno

Corrisponde all'istanza di un modello o di un blocco turno in uno o più specifici orari ricorrenti.

calendario turni

E' un componente di visualizzazione per la rappresentazione selettiva della programmazione turni in zenon. Questo prevede, tra l'altro, la creazione e la modifica della programmazione turni.

cambio immagine

Apre un'immagine a Runtime con il supporto di una funzione di cambio immagine

campo di inserimento

Elemento di controllo utilizzato per l'immissione di caratteri.

Canc

Tasto che cancella i caratteri alla destra del cursore.

cancellare modifiche

In un progetto multiutente rende gli elementi/moduli nuovamente disponibili per le modifiche, senza salvare i cambiamenti sul server centrale. Le modifiche vengono sostituite dal server e di conseguenza vengono perse.

cartella

Con una cartella vengono organizzati i file su un dispositivo, come programmi e documenti. Le cartelle possono contenere sia file che altre cartelle.

cartella Runtime

In questa cartella vengono salvati i dati generati a runtime dal progetto. Il percorso viene impostato al momento dell'impostazione del progetto di avvio nel file zenon6.ini.Il percorso della cartella runtime può essere modificato nelle proprietà del progetto.Nella cartella Runtime, vengono create una sottocartella con nome 'RT' e una sottocartella che ha per nome il nome del PC dove viene eseguito il Runtime. Nella cartella RT si trovano tutti i dati Runtime, generati dall'ambiente di sviluppo. Nella cartella con il nome del PC si trovano i file che vengono generati durante l'esecuzione del Runtime.

casella di scorrimento

Elemento grafico nella barra di scorrimento per spostare il contenuto visualizzato orizzontalmente o verticalmente. Il rapporto tra la casella di scorrimento e la barra di scorrimento, corrisponde al rapporto tra il contenuto totale e il contenuto visualizzato nell'elemento.

causa allarme

Cause definibili liberamente per il verificarsi di un allarme nell' Industrial Performance Analyzer. Le possibili cause di allarme vengono memorizzate in un elenco e possono essere assegnate agli allarmi IPA. Le cause di allarme possono essere utilizzate come criterio per i filtri.

CEL

Gestione principale degli eventi del sistema di controllo. La Lista Eventi Cronologica viene gestita in due modi: in principio tramite un buffer circolare mantenuto in memoria, successivamente come dati storici salvati su file sul disco fisso. Contrariamente alla Lista di informazione Allarmi, la Lista eventi cronologica contiene solamente un'informazione temporale, ovvero il tempo di registrazione dell'evento.

certificato

Nella crittografia asimmetrica un certificato digitale è un documento elettronico che attesta l'associazione univoca tra una chiave pubblica e l'identità di un soggetto (una persona, una società, un computer, etc) che dichiara di utilizzarla nell'ambito delle procedure di cifratura asimmetrica e/o autenticazione tramite firma digitale.

certificato SSL

Strumento che assicura la trasmissione protetta di dati tra browser e un sito Web, in modo che terzi non possano intercettare o manipolare i dati trasmessi. I certificati sono di norma rilasciati dalla Certificate Authorities, al fine di garantire l'identità del gestore.

Checkbox

E' un elemento standard in un Software con un interfaccia grafica (GUI). Una checkbox ha generalmente 2 stati, raramente 3 o più.

chiave di attivazione

Una stringa di caratteri che attiva il programma. Questo numero viene controllato in relazione al numero di serie e al numero del Dongle, oppure al numero di serie e numero di licenza.

click con tasto sinistro

La pressione del tasto sinistro del mouse.

Client

Un programma che comunica con un altro programma, il server, per ricevere l'accesso a servizi (funzionalità) e / o dati.

coda

Per il salvataggio intermedio di oggetti in una sequenza, prima di essere successivamente processati.

CodeMeter

Sistema di protezione software di Wibu-System.

CoDeSys

Dispositivo IEC 61131-3 della ditta 3S

colore asse

Colore di un'asse in un sistema di assi Cartesiano

colore assi

Colorazione di un asse nel sistema di coordinate Cartesiane.

colore lampeggio

Quando un elemento lampeggia, il colore del valore limite attualmente violato viene utilizzato come colore di sfondo.

colore sorgente

Ogni sorgente nell'Automatic Line Coloring ha una linea e un colore di riempimento. Con questo colore verranno colorati tutti gli elementi connessi con la sorgente.

comando

Si riferisce all'impostazione di valore di un particoplare set-point nel settore Energy. Nello specifico, tramite una variabile (la variabile di azione) viene settato il valore, mentre tramite una seconda variabile (variabile di riconoscimento) il valore viene riletto. Prima che un comando venga eseguto, vengono controllate tutte le consizioni di interblocco (topologiche come gli interblocchi di comando). Allo stesso modo, il sistema controlla se il dispositivo permette l'impostazione di valore - Select Before Operate.

comando doppio

Tipo di comando del tipo di azione "nuovo comando" del modulo comandi.

comando driver

Un comandio, tramite il quale è possibile impostare il driver in uno specifico stato di funzionamento. Esempio: start del driver, stop del driver ecc.

combinazione tasti

Premendo simultaneamente dei tasti viene eseguita un'operazione.

Combo-/Listbox

Elemento dinamico, che visualizza un testo in una lista di selezione, a seconda del valore di una variabile. Selezionando una voce in lista, viene impostato nella variabile il valore configurato per quella specifica voce, oppure viene lanciata la funzione corrispondente. La visualizzazione può essere in forma di Combobox oppure di Listbox.

Combobox

Controllo di una interfaccia grafica utente che visualizza un testo e un pulsante con la freccia. Quando si fa clic sul pulsante, un menu di selezione viene visualizzato in forma di elenco.

Command Sequencer

Modulo per la creazione ed esecuzione di sequenze di programmi formati da uno o più comandi del modulo Command Processing

compilare

Con la compilazione, da un programma scritto in un linguaggio di programmazione (codice sorgente) viene generato un programma un linguaggio in un linguaggio semanticamente equivalente.

compilatore

In informatica, un compilatore è un programma che traduce una serie di istruzioni scritte in un determinato linguaggio di programmazione (codice sorgente) in istruzioni di un altro linguaggio (codice oggetto). Generalmente corrisponde nella traduzione di un codice sorgente, scritto in un linguaggio di programmazione, in codice macchina, codice binario o codice assembler.

computer di licenza

Computer su cui viene eseguito uno speciale software, che dà accesso a Dongle di rete.

confermare modifiche

In un progetto multiutente, tutte le modifiche apportate in un progetto locale vengono trasferite al progetto sul Server.

connessione di processo

Il progetto comunica con i dispositivi (driver in modalità hardware).

Connettore database di 3° parti

Estensione di connettore SQL che collega tabelle di un database esterno. In questo caso, questi database possono avere strutture diverse da zenon. Inoltre possono essere creati i metadati necessari (tag, archivi..) per queste tabelle. Funziona solamente per gli archivi, non per gli allarmi o per la CEL.

contatore

E' un dispositivo per registrare (e spesso per visualizzare) numeri e quantità

contatore cicli di funzionamento

Una variabile, che viene utilizzata per il conteggio delle operazioni di switch (In/Out) eseguite da un dispositivo.

contatore ore di funzionamento

Variabile utilizzata per la misurazione del tempo di funzionamento di un dispositivo.

contenitore immagine

Elemento collegato ad un'immagine esistente e che visualizza il contenuto della suddetta immagine a Runtime.

controllo ActiveX

Un elemento dinamico del sistema o un elemento di controllo per VBA / VSTA basato sulla tecnologia Microsoft ActiveX.

controllo spin

Elemento di controllo, formato da 2 pulsanti con 1 freccia ciascuno, una verso l'alto e una verso il basso. Questo elemento permette all'utente di navigare in un range prestabilito di valori. Utilizzando i tasti-freccia, il valore viene incrementato o decrementato di 1.

ControlLogix

Dispositivo di Allen-Bradley (Rockwell) che combina un dispositivo di controllo flusso, di controllo assi e di controllo di processo. Logix definisce una piattaforma universale di controllo che integra sistemi in precedenza separati.

controllore a logica programmabile

Un controllore a logica programmabile (o PLC dall'inglese Programmable Logic Controller) è un modulo che viene utilizzato per il controllo di macchina e/o impianto. Normalmente questo modulo viene messo in funzione elettronicamente e assomiglia a dei moduli di un computer. Gli emittenti (sensori) e gli attuatori sono collegati a questo modulo. Il sistema operativo proprietario (Firmware) assicura che al programma-utente venga sempre fornito lo stato attuale dell'emittente. Tramite queste informazioni di stato, il programma utente potrà operare sugli attuatori, attivandoli o disattivandoli, in modo che la macchina e/o l'impianto funzionino nel modo desiderato.

conversione di unità

Unità di misura, il cui valore viene calcolato dall'unità principale in base al cambio di unità: il valore viene moltiplicato secondo un fattore e spostato di un offset. Inoltre può essere specificato uno spostamento del punto decimale.

copia locale di progetto

Immagine di un progetto centralizzato, associata con il server. Tutte le modifiche in un progetto multi utente vengono trasmesse e salvate tramite la procedura di conferma delle modifiche.

Copia&Incolla

Un principio in due fasi di trasferimento dei dati tra applicazioni software.In primo luogo, i dati da trasmettere da un'applicazione vengono trasferiti in un buffer (copia , in inglese 'copy'). Da lì, possono essere riletti, anche più volte, nella stessa o in una diversa applicazione utente(inserita, in inglese 'paste'), poiché i dati vengono conservati nella cache.

CSV

Character Separated Values - descrive la formattazione di un file di testo, per il salvataggio o lo scambio di dati strutturati.

cursore

Anche: cursore di inserimento, cursore di scrittura: definisce in un programma per computer, la posizione attuale di elaborazione.

cursore mouse

Simbolo mobile come elemento di puntamento su uno schermo di un pc. Parte integrante della grafica di interfaccia utente.

curva

Elemento vettoriale, che visualizza una parte di cerchio.

curva

Mostra il corso per i valori di una variabile. La curva può rappresentare valori diretti della variabile (Trend online) oppure dei valori archiviati (Trend storico).Le curve possono essere visualizzate nel modulo Trend Esteso o nell'elemento Trend online.

curva trend

Mostra il corso per i valori di una variabile. La curva può rappresentare valori diretti della variabile (Trend online) oppure dei valori archiviati (Trend storico).Le curve possono essere visualizzate nel modulo Trend Esteso o nell'elemento Trend online.

curve di durata

Un diagramma utilizzato nell'industria dell'energia, che visualizza la richiesta di potenza di un oggetto di fornitura basata sul rispettivo periodo di utilizzo. Le curve di durata visualizzano quante ore sono necessarie per un determinato servizio, in un arco di tempo definito.


D

Glossario -> D

Database-Server

Sistema di gestione di database relazionale su piattaforma Microsoft Windows, richiesto dall'editor per il salvataggio dati.

database-SQL

Sistema di database per la gestione dei dati elettronici, che supporta un linguaggio di query SQL (Structured Query Language). Di solito si tratta di un database relazionale.

Dataset

Un data set (o dataset) è una raccolta di dati.

Dati HD

Opzione per registrare valori di variabili con una modalità Buffer ad anello. I dati possono essere visualizzati solo tramite un elemento 'Trend Online', o con il modulo ETM (Trend Esteso) oppure esportati.

dati Runtime

Dati, creati e gestiti dal Runtime, per esempio dati della lista di informazione allarmi, della lista eventi cronologica, archive server.. Sono compresi anche i dati creati dall'Editor (file Runtime) e che possono essere modificati a Runtime, come per esempio i file per ricette standard, manager gruppi di ricetta, gestione user ecc.

dato ritentivo

Dati salvati su un dispositivo di memoria non volatile, in modo che siano conservati anche dopo l'arresto del programma o lo spegnimento del dispositivo.

dBase

dBASE è stata la prima applicazione di database (più precisamente, un sistema di gestione di database) ampiamente utilizzati per microcomputer, ed è stato sviluppato dalla società Ashton-Tate per il sistema operativo CP / M. Successivamente, la gestione database venne portata anche su piattaforma IBM con sistema operativo DOS. L'idea di base del sistema di dBASE è quello di mantenere le tabelle di un database in file appositamente strutturati (estensione DBF = DataBaseFile).

DCS

Un sistema di controllo distribuito (DCS - Distributed control system) si riferisce ad un sistema di controllo di solito di un sistema di produzione, di processo o qualsiasi tipo di sistema dinamico, in cui gli elementi del controller non sono in posizione centrale, ma sono distribuiti in tutto il sistema.

Decluttering

Funzionalità dell'immagine globale: a seconda del livello di zoom, gli oggetti vengono visualizzati o nascosti. In questo modo si aumenta la chiarezza.

definizione di impianto

Un modulo che consente di raggruppare oggetti in gruppi di apparecchiature, in forma di albero gerarchico. Le variabili, le ricette, le funzioni, archivi, ecc possono essere assegnati a questi gruppi di apparecchiature tra i vari progetti. In Editor e Runtime è disponibile anche un filtro basato su questi gruppi. Questo tipo di progettazione può essere effettuata solo in un progetto globale.

deviazione attuale

Differenza tra il valore effettivo e il valore desiderato.

Diagnose Client

Programma che si connette via TCP / IP con il Diagnose Server e invia a quest'ultimo i messaggi d'errore. Ogni programma zenon opera come Diagnose Client.

Diagnose Server

Programma per l'analisi degli errori: i log di errore vengono inviati dai client al server e da quest'ultimo vengono salvati in file di LOG. Il Diagnose Server è integrato nel Transport Service.

diagnosi variabili

Tipo di immagine, per per la visualizzazione dei valori, dei timestamp e degli stati delle variabili. E' possibile anche impostarne direttamente i valori.

Diagnosis Viewer

Programma che via TCP/IP si connette con il Diagnose Server e visualizza i file di Log disponibili. Il programma può inoltre connettersi online o rileggere i dati storici, e rappresentarli anche tramite filtri.Inoltre permette la configurazione del Diagnose Server.

diagramma

Rappresentazione grafica di dati, per esempio in una curva. Le singole curve sono poi riassunte in un grafico. Nel Trend Esteso, il diagramma viene mostrato nell'apposita finestra di diagramma.

Diagramma a cascata

Introdotti dai consulenti di McKinsey, il grafico a "Waterfall" (cascata in inglese) è quel tipo di grafico che permette di mettere in evidenza gli step (logici o temporali) che portano una certa grandezza da uno stato "iniziale" a uno stato "finale".

Diagramma di Gantt

Il diagramma di Gantt è uno strumento di supporto alla gestione dei progetti, così chiamato in ricordo dell'ingegnere statunitense Henry Laurence Gantt (1861-1919), che si occupava di scienze sociali e che lo ideò nel 1917.

Diagramma di Pareto

Il diagramma di Pareto è un grafico che rappresenta l'importanza delle differenze causate da un certo fenomeno. Esso contiene sia barre che linee grafiche, dove ogni fattore è rappresentato da barre poste in ordine decrescente e la linea rappresenta invece una distribuzione cumulativa (detta curva di Lorenz).

Diagramma di Sankey

Il diagramma di Sankey è un particolare tipo di diagramma di flusso in cui l'ampiezza delle frecce è disegnata in maniera proporzionale alla quantità di flusso.Esso è usualmente utilizzato per indicare trasferimenti di energia, materiali, costi o dati in un processo.

dinamicizzazione

In dipendenza dal valore di una variabile, viene fatta una modifica di visualizzazione. Le forme di dinamicizzazione possono essere molteplici: cambio colore, lampeccio, visualizzazione di diversi file grafici, modifica della posizione, rotazione, visibilità ecc.

dinamismo

In dipendenza dal valore di una variabile, viene fatta una modifica di visualizzazione. Le forme di dinamicizzazione possono essere molteplici: cambio colore, lampeccio, visualizzazione di diversi file grafici, modifica della posizione, rotazione, visibilità ecc.

directory

Con una cartella vengono organizzati i file su un dispositivo, come programmi e documenti. Le cartelle possono contenere sia file che altre cartelle.

Dispositivo di comando

Apparecchiatura fisicamente disponibile che può essere avviata con le operazioni di switch del comando. Utilizzato nelle sequenze di commutazione.

dispositivo di riconoscimento corto circuito

Un dispositivo di protezione in linea per individuare cortocircuiti in un elemento della rete.

Distributed Control System

Un sistema di controllo distribuito (DCS - Distributed control system) si riferisce ad un sistema di controllo di solito di un sistema di produzione, di processo o qualsiasi tipo di sistema dinamico, in cui gli elementi del controller non sono in posizione centrale, ma sono distribuiti in tutto il sistema.

Distribution Management System

Un sistema di gestione di distribuzione (DMS) è un insieme di applicazioni progettate per monitorare e controllare l'intera rete di distribuzione in modo efficiente e affidabile.

documento di licenza

Documento che contiene la licenza rilasciata. Il documento di licenza descrive, tra le altre cose, la lista dei prodotti, il numero di serie, il numero di attivazione, e nelle licenze software, il numero di licenza.

Dominio

In ambito informatico con il termine dominio ci si riferisce a quell'insieme di caratteri alfanumerici che identificano in maniera univoca un sito web o un computer sulla rete internet

Dongle

Hardware, che protegge il software dall'uso non autorizzato.

Dongle di rete

Hardware, nel quale viene impostato un numero preciso di licenze disponibili. Le licenze sono raggiungibili via rete.

Drag&Drop

Indica lo spostamento di un elemento trascinandolo con il mouse.

driver

Programma o modulo per computer, che stabilisce un'interazione con dispositivi integrati o collegati. Per fare questo utilizza delle connessioni al bus o ad altri sistemi di comunicazione, ai quali il dispositivo è collegato, per poter inviare e ricevere dati e/o segnali.

driver Bus

E' un programma o modulo, che lavora per l'interazione con i dispositivi di campo collegati.

driver di simulazione

Driver, sul quale è possibile creare variabili, pensate per il salvataggio di informazioni, che non devono/possono essere scambiate con un dispositivo. Contrariamente al driver interno, questo driver ha un'indirizzamento numerico e i valori delle variabili possono essere modificate tramite diverse funzioni di incremento e decremento.

driver di sistema

Driver integrato nel Runtime, che mette a disposizione delle variabili predefinite. Queste mettono a disposizione informazioni sul progetto e sul computer sul quale è stato avviato il progetto.

driver interno

Driver integrato nel Runtime, pensato per potervi creare variabili adibite al salvataggio dati, senza comunicazione con i dispositivi hardware.

driver matematico

Driver integrato nel Runtime, che mette a disposizione formule matematiche.


E

Glossario -> E

Editor CE

Editor specifico per progetti Windows CE, impostato per progettare solamente le funzionalità compatibili con Windows CE.

editor Form modelli

Interfaccia utente grafica con la quale è possibile definire i Form dei modelli.

editor modelli

Interfaccia grafica utente, con la quale è possibile definire grandezza e posizione del modelli.

Editor Sequenze di comando

Parte del modulo Command Sequencer (sequenze di comando). Serve sia per la progettazione delle sequenze che per la visualizzazione del processo. La progettazione è basata sulle sequenze di azioni del modulo.

EDMS

La gestione dei dati energetici dovrebbe consentire alle aziende di migliorare il consumo di energia e l'efficienza energetica in modo mirato e strutturato. Un pre-requisito per l'attuazione ottimale è la raccolta di dati validi con più automazione possibile e implementarla in un sistema di gestione dei dati energetici (EDMS) o di un sistema di gestione dell'energia (ENM).

EIB

Standard in base a EN 50090, e nella versione attuale KNX anche Standard ISO / IEC 14543-3. Descrive come collegare insieme sensori e attuatori su un impianto di domotica, e definisce il modo in cui devono comunicare (protocollo).

elemento ActiveX

Un elemento dinamico del sistema o un elemento di controllo per VBA / VSTA basato sulla tecnologia Microsoft ActiveX.

elemento collegato

(1) Un elemento che viene utilizzato in un altro elemento, per esempio: un valore numerico è associato a una variabile e visualizza il suo valore. (2) Ogni elemento che serve come base per l'elemento, per esempio: Un tipo di dati e un driver per una variabile.

Elemento combinato

Elemento dinamico universale, che permette la visualizzazione di diversi aspetti grafici: immagini, simboli dalla libreria, simboli in immagine, testi. La rappresentazione viene determinata dal valore della variabile principale o di variabili aggiuntive. E' possibile:-visualizzare informazioni sullo stato della variabile-impostare stati collegati a delle formule-associare gli stati della variabile principale direttamente nell'elemento-configurare elementi di processo per l'Automatic Line Coloring

elemento di comando

Elemento dinamico, conm il quale è possibile eseguire funzionalità del modulo comandi.

elemento di controllo

specifici elementi per ogni tipo di immagine, con i quali è possibile controllare e comandare il dispositivo. Questi possono avere l'aspetto di pulsanti, testi statici, combobox, listbox, con rappresentazione statica o tabellare, campi di inserimento, radiobutton, calendario, data e ora.

elemento di rete

Parte di una rete elettrica. Per esempio: cavo, generatore, switch, trasformatori ecc. Per visualizzarle in pagina vengono utilzzati un elemento combinato assieme a linee, polilniee e tubature.

elemento di segnalazione

Elemento dinamico, che a seconda dei valori di 2 variabili visualizza un testo da un file testuale.

elemento di simbolo

Singolo elemento dinamico o elemento vettoriale, inserito all'interno di un simbolo

elemento di stato

Elemento dinamico, che trasmette al simbolo le proprietà della variabile collegata come p.e. colori, lampeggio ecc. e che visualizza il testo statico del valore limite.

elemento di struttura

Parte di un tipo di dato strutturato. Può basarsi su un tipo di dato semplice come pure a sua volta su un tipo di dato strutturato. Per tipi di dato semplici, può essere specificato se questo deve essere collegato o indipendente. Per indipendente si intende che viene effettuata una copia del tipo di dato e tutte le proprietà vengono rese disponibili come elemento della struttura. Per i tipi di dati collegati, viene creata solamente un riferimento al tipo di dato. Tutte le proprietà vengono ereditate dinamicamente da quest'ultimo.

elemento d'immagine

Tutti gli elementi (simboli, elementi vettoriali e dinamici, elementi di controllo) inseriti in un'immagine.

elemento dinamico

Un elemento dinamico rappresenta i valori delle variabili in forma grafica. La gestione interna è basato su vettori. Di conseguenza è possibile un ridimensionamento senza perdita di dettagli e dati.

elemento trend

Elemento dinamico per la rappresentazione di valori sotto forma di curve di diagramma.

elemento vett.

Un elemento vettoriale, è un elemento di visualizzazione grafica. La gestione interna di questo elemento è basata su vettori. In questo modo sono possibili ridimensionamenti senza perdita di dati. Al contrario di un elemento dinamico, non vengono rappresentati valori di variabili.

elemento vettoriale

Un elemento vettoriale, è un elemento di visualizzazione grafica. La gestione interna di questo elemento è basata su vettori. In questo modo sono possibili ridimensionamenti senza perdita di dati. Al contrario di un elemento dinamico, non vengono rappresentati valori di variabili.

Embedded Help

Finestra nell'editor, che descrive brevemente la proprietà attualmente selezionata.

Energy Management System

La gestione dei dati energetici dovrebbe consentire alle aziende di migliorare il consumo di energia e l'efficienza energetica in modo mirato e strutturato. Un pre-requisito per l'attuazione ottimale è la raccolta di dati validi con più automazione possibile e implementarla in un sistema di gestione dei dati energetici (EDMS) o di un sistema di gestione dell'energia (ENM).

ERP

Enterprise resource planning (letteralmente "pianificazione delle risorse d'impresa", abbreviato in ERP) è un sistema di gestione, chiamato in informatica sistema informativo, che integra tutti i processi di business rilevanti di un'azienda (vendite, acquisti, gestione magazzino, contabilità etc.)

European Installationsbus

Standard in base a EN 50090, e nella versione attuale KNX anche Standard ISO / IEC 14543-3. Descrive come collegare insieme sensori e attuatori su un impianto di domotica, e definisce il modo in cui devono comunicare (protocollo).

evento

Un evento viene utilizzato nell'ingegneria del software per controllare il flusso di programma. Il codice non viene eseguito in modo lineare, ma verranno lanciate particolari routine a seconda di eventi particolari generati durante l'esecuzione del programma.

evento CEL

Una violazione di un limite, che genera un inserimento nella lista eventi cronologica.


F

Glossario -> F

Faceplate

Tipo di immagine di zenon in cui tramite contenitori, possono essere visualizzate a Runtime più immagini contemporaneamente, anche di diverso tipo.

FDA 21 CFR Part 11

Normativa di sicurezza per il salvataggio di informazioni con timestamp generate da computer, protocollando data e ora di tutte le operazioni utente di inserimento, modifica o cancellazione di informazioni.

FDA 21 Code of Federal Regulations Part 11

Normativa di sicurezza per il salvataggio di informazioni con timestamp generate da computer, protocollando data e ora di tutte le operazioni utente di inserimento, modifica o cancellazione di informazioni.

FIFO

Definisce ogni metodo di salvataggio, nel quale il primo elemento salvato, sarà il primo elemento che viene estratto in fase di lettura dei dati. Il principio opposto viene definito Last In First Out (LIFO).

file CSV

File, contenente dati formattati in formato CSV (Character Separated Value).

file di progetto-S7

File per programmi-S7, che può essere elaborato in ambiente Siemens Step 7. Le variabili possono essere importate nella lista variabili tramite l'Import-S7.

file HTML

File di testo, strutturato secondo lo standard HTML del W3C.

file LOG

File di testo, nel quale vengono salvati i messaggi d'errore del protocollo.

file Runtime

Dati creati dall'Editor, che vengono letti e interpretati dal Runtime. Alcuni file Runtime vengono modificati dal Runtime stesso durante l'esecuzione del progetto, per esempio le ricette standard, il manager gruppi di ricetta ecc. I file Runtime vengono creati nella cartella Runtime.

file S7

File di progetto per l'ambiente di programmazione Siemens Step 7. Le variabili di questo progetto possono essere importate nella lista variabili tramite l'importazione-S7.

file Step 7

File di progetto per l'ambiente di programmazione Siemens Step 7. Le variabili di questo progetto possono essere importate nella lista variabili tramite l'importazione-S7.

file XML

File di testo, scritto con la sintassi del linguaggio Extensible Markup Language.

Filtro CEL

Tipo di immagine, con la quale è possibile progettare delle immagini di filtro per la Lista Eventi Cronologica.

Filtro per Lista Eventi Cronologica

Tipo di immagine, con la quale è possibile progettare delle immagini di filtro per la Lista Eventi Cronologica.

Filtro per lista informazione allarmi

Tipo di immagine, con la quale è possibile progettare liberamente immagini di filtro per la Lista di informazione allarmi.

filtro tempo

Filtro configurabile per limitare i dati visualizzati in un determinato periodo di tempo. Esistono filtri assoluti (da - a) e filtri relativi (da ora fino ad un determinato periodo di tempo).

Fine

Tasto che posiziona il cursore nell'ultima posizione possibile nel campo di inserimento.

finestra

In editor sono disponibili diverse finestre riposizionabili, ridimensionabili e a scomparsa. Ogni finestra mostrerà uno specifico contenuto. Per esempio, la finestra di output mostra tutte le informazioni di caricamento progetti e la creazione dei file Runtime. Posizione e dimensioni delle finestre sono memorizzate nei profili Editor.

finestra

Una zona definita del monitor che include elementi/oggetti rappresentanti Macchine, dispositivi e/o processi e ne permette l'utilizzo, il monitoraggio, la valutazione. Esistono diversi tipi di immagini, che hanno integrate delle funzionalità predefinite. Le immagini sono sempre basate su modelli, che ne definiscono la posizione sullo schermo. Inoltre è possibile visualizzare contemporaneamente piu immagini sullo stesso o su piu monitor.

finestra delle proprietà

Area di visualizzazione, che visualizza le proprietà degli elementi selezionati.

finestra di controllo

Un'area di visualizzazione durante il Runtime, che permette di visualizzare una progetto multimonitor su un unico schermo.

finestra di diagramma

La finestra di diagramma visualizza un diagramma

finestra di dialogo

Una finestra di Popup, nella quale possono essere impostate delle proprietà.

Finestra di emissione

Sezione in cui vengono visualizzati i messaggi relativi al trasporto remoto e di Runtime.

Finestra proprietà

Area di visualizzazione, che visualizza le proprietà degli elementi selezionati.

First In First Out

Definisce ogni metodo di salvataggio, nel quale il primo elemento salvato, sarà il primo elemento che viene estratto in fase di lettura dei dati. Il principio opposto viene definito Last In First Out (LIFO).

focus

Seleziona e attiva un elemento da un gruppo di oggetti, e ne consente la ricezione di eventi da tastiera da parte dell'utente.

foglio di licenza

Documento che contiene la licenza rilasciata. Il documento di licenza descrive, tra le altre cose, la lista dei prodotti, il numero di serie, il numero di attivazione, e nelle licenze software, il numero di licenza.

Font di dialogo

Carattere utilizzato nelle finestre di dialogo standard durante il Runtime.

formula

Formula matematica, che può essere utilizzata,per esempio, in un driver matematico, in un Report o in un interblocco.

forzare

Impostare manualmente il valore in una variabile. Il valore precedente viene sovrascritto in ogni caso. Al termine del ciclo, può essere nuovamente richiesto dall'applicazione e visualizzato in un valore ricalcolato.

freccia di scorrimento

Elemento grafico nella barra di scorrimento per il movimento orizzontale o verticale della casella di scorrimento.

fronte di salita

Il passaggio da 0 a 1 o viceversa di una variabile booleana.

fronte positivo

Il cambio di valore di una variabile da un valore più piccolo ad uno più grande.

Full Duplex

In telecomunicazioni e informatica con il termine duplex (in italiano bidirezionale) si indica una modalità di trasmissione e ricezione di informazioni digitali o analogiche su un canale di comunicazione con caratteristiche tipiche di completa bidirezionalità

funzionalità

Comanda l'esecuzione di un'azione, come p.e. l'apertura di un'area di lavoro o l'avvio di un Wizard. Ad ogni pulsante nella barra degli strumenti dell'ambiente di sviluppo è associata una funzionalità. Con un click di mouse sul pulsante la funzionalità viene eseguita.

funzione

Comanda l'esecuzione di un'azione, come p.e. l'apertura di un'area di lavoro o l'avvio di un Wizard. Ad ogni pulsante nella barra degli strumenti dell'ambiente di sviluppo è associata una funzionalità. Con un click di mouse sul pulsante la funzionalità viene eseguita.

funzione

Un'azione predefinita che può essere avviata durante il Runtime, per esempio un cambio immagine oppure un'operazione file ecc.

funzione specifica per il tipo di immagine

Funzione, disponibile per un elemento, solamente se questo viene utilizzato in un definito tipo di immagine.

FUP

Uno dei 5 linguaggi di programmazione definiti nella normativa IEC 61131 per dispositivi a logica programmabile (PLC). Sostituito dal CFC.


G

Glossario -> G

generatore Report

Strumento per la crazioen di report. Ci sono a disposizione funzioni per la lettura di dati dai vari moduli disponibili, come per esempio dalla lista di informazione allarmi, dalla lista eventi cronologica, dall'archive server, valori di variabili, da banche dati SQL ecc. Per i dati d'archivio, c'è la possibilità di modificarli e di scriverli nell'archivio come modifiche manuali. I dati possono essere inoltre essere formattati a piavere e/o ricalcolati con formule. I report che ne risulteranno, possono essere visualizzati, stampati o salvati su file.

Gestione layer

Modulo di zenon per la gestione e l'organizzazione di layer.

Gestione livelli

Modulo di zenon per la gestione e l'organizzazione di layer.

gestione monitor

Utilizzato per la gestione di dispositivi di visualizzazione di immagini e per la gestione delle risoluzioni di visualizzazione. Per sistemi ad un solo monitor deve essere impostata la soluzione ottimale per il target dove verrà eseguito il runtime, come pure se la visualizzazione deve essere adattata automaticamente alla risoluzione dello schermo. Per sistemi multimonitor vengono definite la quantità di monitor e la loro posizione, e inoltre l'assegnazione dei monitor virtuali a quelli reali.

gestione user

Programma o parte di programma, nel quale vengono definiti quali utenti esistono nel sistema, con quali regole possono accedere ad esso e quali autorizzazioni hanno.

gestione utenti

Programma o parte di programma, nel quale vengono definiti quali utenti esistono nel sistema, con quali regole possono accedere ad esso e quali autorizzazioni hanno.

GIF

Graphics Interchange Format è un formato grafico, con una buona compressione senza perdita per le immagini con profondità di colore bassa (fino a 256 colori diversi per ogni frame). In aggiunta, diverse immagini possono essere memorizzate in un singolo file ed essere visualizzate come animazione.

GOOSE

Generic Substation Events (GSE) è un modello di controllo definito secondo IEC 61850, che fornisce un meccanismo veloce e affidabile di trasferimento dei dati di eventi su tutta la rete della sottostazione. Una volta implementato, questo modello assicura che lo stesso messaggio di evento venga ricevuto da più dispositivi fisici che utilizzano servizi di trasmissione multicast/broadcast. Il modello di controllo GSE è ulteriormente suddiviso in GOOSE (Generic Object Oriented Substation Events) e GSSE (Generic Substation Status Events).

grafica

E' il termine collettivo per definire tutti i disegni artistici o tecnici e le illustrazioni.

grafica di sfondo

Grafica esterna, visualizzata come immagine di sfondo dietro tutti gli elementi in pagina.

grafica vettoriale

È composta da primitive matematiche, descritte su piano bidimensionale, come linee, cerchi, poligoni o curve. La grafica vettoriale permette, a differenza della grafica raster, il ridimensionamento senza perdita di dati.

Grafico a cascata

Introdotti dai consulenti di McKinsey, il grafico a "Waterfall" (cascata in inglese) è quel tipo di grafico che permette di mettere in evidenza gli step (logici o temporali) che portano una certa grandezza da uno stato "iniziale" a uno stato "finale".

granularità

Specifica il numero di posizioni in cui i valori sono letti da un PLC. Per esempio, i valori sono letti da un PLC Siemens S7 in area Merker con la granularità di byte. Pertanto, non si può leggere singolarmente un bit.

griglia

Suddivisione uniforme di una superficie, di un volume o di una quantità. Utilizzati per la selezione, l'orientamento, l'ordinamento o la distribuzione.

Griglia sequenze di comando

L'area di lavoro nell'editor sequenze di comando del modulo Command Sequencer.

gruppo di impianti

Elemento di progettazione, con il quale è possibile ordinare ogni singolo elemento (variabili, ricette, funzioni, archivi ecc.) appartenente all'impianto.

gruppo di ricetta

Il gruppo di ricetta raggruppa le ricette RGM nel Manager di gruppi di ricetta. Nel gruppo di ricetta vengono definite le variabili e i valori min./max. possibili. Queste definizioni sono valide per tutte le ricette definite nel gruppo.

Gruppo modello di turno

Sintesi dei modelli di turni in base ad un titolo selezionabile liberamente. Questo può essere utilizzato come raggruppamento in base alle squadre (turni squadre di manutenzione), tipo di turno (turno di produzione, turno di servizio ecc.) o periodi (estivo, invernale, trimestrale ecc.).

gruppo utenti

Sintesi di uno o più livelli di autorizzazione sotto un unico nome. I gruppi di utenti possono essere assegnati agli utenti.

Guida delle proprietà

Finestra nell'editor, che descrive brevemente la proprietà attualmente selezionata.

guida in linea

Guida disponibile direttamente nel programma.

guida online

Guida disponibile direttamente nel programma.


H

Glossario -> H

Half Duplex

Un sistema half-duplex fornisce una comunicazione in entrambe le direzioni, ma con la possibilità di usare soltanto una direzione alla volta (non simultaneamente). Quando una parte comincia a ricevere un segnale deve poi aspettare che il trasmettitore interrompa la trasmissione prima di poter rispondere.

Hard-PLC

Hardware in esecuzione in un armadio PLC. Per esempio, micro-PLC, PLC compatto, hardware PLC modulare , Pannello PLC, PLC embedded , ecc

Hardwaredongle

Hardware, che protegge il software dall'uso non autorizzato.

Header

Parte superiore di una tabella, che contiene i nomi delle colonne.

Help online

Guida disponibile direttamente nel programma.

host di destinazione

Indirizzo IP o l'hostname del sistema di destinazione.

Hot Restart

In Straton, Hot Restart significa riavviare un'applicazione, in modo da avere, nelle variabili, gli stessi valori che avevano al momento dello stop dell'applicazione.

HTML

È un testo basato su linguaggio di markup per strutturare i contenuti come testi, immagini e collegamenti ipertestuali nei documenti. Nelle immagini HTML vengono visualizzati i contenuti HTML.

HTTP

L'HyperText Transfer Protocol (HTTP) (protocollo di trasferimento di un ipertesto) è usato come principale sistema per la trasmissione d'informazioni sul web ovvero in un'architettura tipica client-server.Le specifiche del protocollo sono gestite dal World Wide Web Consortium (W3C). Un server HTTP generalmente resta in ascolto delle richieste dei client sulla porta 80 usando il protocollo TCP a livello di trasporto. (fonte Wikipedia)

HTTPS

In telecomunicazioni e informatica HyperText Transfer Protocol over Secure Socket Layer (HTTPS) è il risultato dell'applicazione di un protocollo di crittografia asimmetrica al protocollo di trasferimento di ipertesti HTTP. Viene utilizzato per garantire trasferimenti riservati di dati nel web, in modo da impedire intercettazioni dei contenuti che potrebbero essere effettuati tramite la tecnica di attacco del man in the middle.

HTTP-Tunneling

L'Http tunneling è una tecnica utilizzata nel campo della trasmissione di dati digitali per veicolare informazioni che normalmente utilizzano altri protocolli, attraverso lo standard HTTP (creando cioè un "tunnel" attraverso la connessione Http).Tale tecnica viene utilizzata anche per bypassare i firewall, utilizzando tipologie di connessioni non bloccate per effettuare altre operazioni che normalmente verrebbero filtrate.

Human Interface Device

Human Interface Device (HID) (l'accesso ai dispositivi di input in Windows 7 ) è una classe di unità in standard USB per computer, che descrive i dispositivi con cui gli utenti interagiscono direttamente. Nella maggior parte dei casi, HID è utilizzato per dispositivi come tastiere, mouse, joystick e tavolette grafiche.


I

Glossario -> I

ID di prodotto

Come prima parte del numero di serie, c'è un ID di prodotto univoco, che identifica in modo univoco la licenza. Nelle licenze hardware, l'ID di prodotto corrisponde al numero del dongle.

ID utente

Identifica univocamente un utente e non può essere modificata successivamente.

identificazione

Testo liberamente impostabile per l'identificazione di una variabile o di un tipo di dato. Complementare al nome della variabile/tipo di dato.

identificazione di impianto

Identificatore aggiuntivo per le variabili, che permette di filtrarle nell Industrial Performance Analyzer. Un'identificazione di impianto può essere definita come prefisso per il nome o per l'identificazione della variabile.

Identificazione servizio

Testo liberamente definibile per identificare variabili o tipi di dato. Viene utilizzata per i significati di zenon Analyzer.

identificazione utente

Identifica univocamente un utente e non può essere modificata successivamente.

IEC 61131-3

Specifica la sintassi e la semantica dei linguaggi di programmazione per i controllori logici programmabili (PLC), come in parte 1, IEC 61131 definisce. Le lingue sono definite le seguenti: 1.) IL-Instruction List, lista istruzioni: Simile a Assembler 2.) LD Ladder Diagram, LD - Ladder Diagram: paragonabile ad una schema elettrico del circuito ruotato di 90 ° 3.) FBD - Function Block Diagram, FBD - Function Block: parziale (noto soprattutto per Step 7), FUP (piano di funzione). 4.) SFC - Sequential Function Chart, AS - SFC: Una sorta di diagramma di stato, nota come Step7 in S7-Graph. La IEC 61131-3:2003 prevede la SFC come uno sviluppo di Grafcet alla EN 60848 5.) ST - Structured Text, ST - Structured Text: Basato su alto lingue livello, di cui al punto 7, come SCL (Structured Control Language). 6.) CFC - Continuous Function Chart; CFC - Continuous Function Chart: non fa parte della IEC 61131-3: interfaccia grafica di progettazione, in particolare per sistemi e blocchi.

IEC 61850

EC 61850 è uno standard per la progettazione dei sistemi di automazioni per le sottostazioni elettriche. Fa parte della Commissione Elettrotecnica Internazionale (International Electrotechnical Commission o IEC in inglese) Commissione Tecnica 57 (TC57) Il modello di dati astratto definito nel IEC 61850 può essere "mappato" su un diverso numero di protocolli. Sono previste le mappature su MMS, GOOSE, Sampled Values (SMV) e alcuni servizi web. Generalmente questi protocolli girano su reti TCP/IP o LAN di stazione con switch ethernet molto performanti per rispondere ai requisiti stringenti dei dispositivi di protezione, che necessitano tempi di risposta inferiori a 4 o 5 millisecondi.

IED

Utilizzato nell'industria dell'energia, un IED (acronimo di Intelligent Elettric Device) è un dispositivo basato su microprocessore; un esempio di IED sono interruttori, trasformatori e banchi condensatori.

IMM

Modulo per la gestione e la manutenzione di macchinari. Possono essere progettati e gestiti gli eventuali intervalli di servizio. E' possibile immediatamente i dispositivi, le attrezzature, i macchinari, ecc che oggi / questa settimana / mese prossimo devono essere sottoposti a manutenzione. Allo stesso modo, è possibile registrare quali manutenzioni sono state programmate in passato. Il modulo memorizza i dati in qualsiasi database ODBC SQL compatibile.

immagine

Una zona definita del monitor che include elementi/oggetti rappresentanti Macchine, dispositivi e/o processi e ne permette l'utilizzo, il monitoraggio, la valutazione. Esistono diversi tipi di immagini, che hanno integrate delle funzionalità predefinite. Le immagini sono sempre basate su modelli, che ne definiscono la posizione sullo schermo. Inoltre è possibile visualizzare contemporaneamente piu immagini sullo stesso o su piu monitor.

immagine comando

Una immagine relativa all'invio comandi che consente il controllo e la verifica delle operazioni del modulo Comandi a Runtime. I comandi vengono gestiti tramite pulsanti.

immagine del driver

Ogni driver gestisce internamente gli stati di processo cosi come gli stati di segnale. Le modifiche vengono sincronizzate con l'immagine di processo.

immagine di caricamento

Finestra con varie informazioni, che viene visualizzata all'avvio del programma.

immagine di processo

L'immagine di processo rappresenta lo stato attuale del Processo. Viene tenuta in memoria dal sistema di controllo e viene aggiornata dai driver. Ogni richiesta di valore online in un modulo(per esempio immagini, archiviazione dati ecc.) viene gestita dall'immagine di processo.

immagine di simulazione

Area di memoria in cui vengono salvati tutti i valori di simulazione.

immagine Keyboard

Immagine rappresentante una tastiera.

immagine popup

Immagine a Runtime, che copre parzialmente le altre immagini.

immagine ricetta

Include un'immagine salvata di tutte le ricette con i rispettivi dati, in esecuzione a Runtime al momento del salvataggio.

impianto

Insieme pianificato di componenti in un ente con un preciso scopo/compito.

impianto di confezionamento

Insieme di macchine, adibite all'impacchettamento automatico di prodotti.

import offline

Estrazione e importazione di dati da un file sorgente, p.e. CSV o XML.

importazione offline

Estrazione e importazione di dati da un file sorgente, p.e. CSV o XML.

Import-S7

Le variabili di un progetto-S7 vengono importate tramite l'import-S7 nella lista variabili.

imposta valore

Trasmette un valore dal sistema di controllo al dispositivo.

impostare ricetta

Trasmettere una ricetta dal sistema di contrllo al dispositivo.

impostazioni ActiveX

Parametri che gestiscono il funzionamento di un elemento ActiveX.

impostazioni di colonna

Definisce la larghezza della colonna, le intestazioni di colonna, la sequenza di righe, la modalità di ordinamento, la visualizzazione della griglia, i colori di sfondo, ecc.

impostazioni di diagnostica

Definisce quali informazioni devono essere inviate al Diagnose Server.

impostazioni griglia

Definizione dei parametri di una griglia, per esempio la spaziatura tra le righe.

in giù

Pulsante che sposta il cursore sullo schermo verso il basso.

in sù

Pulsante che sposta il cursore nello schermo verso l'alto.

indice di partenza

Definisce il punto di partenza di un Array.

indipendente

Esiste indipendentemente da altri componenti.

indirizzamento

L'indirizzamento definisce come può essere localizzata un'area di memoria.

indirizzo

Definisce un'area di memoria in un PLC.

indirizzo di rete

Per il driver TCP/IP: assegnazione di una variabile ad un numero di connessione, quando il driver ha più configurazioni simultaneamente. Per driver seriale: indirizzo bus o di stazione, del dispositivo che fa parte della rete.

indirizzo IP

Vengono utilizzati nelle reti di computer basate su protocollo internet (IP) per scambiare dati da un mittente ad un destinatario. Lo scopo di un indirizzo IP è quello di poter identificare in modo univoco un destinatario.

Industrial Maintenance Manager

Modulo per la gestione e la manutenzione di macchinari. Possono essere progettati e gestiti gli eventuali intervalli di servizio. E' possibile immediatamente i dispositivi, le attrezzature, i macchinari, ecc che oggi / questa settimana / mese prossimo devono essere sottoposti a manutenzione. Allo stesso modo, è possibile registrare quali manutenzioni sono state programmate in passato. Il modulo memorizza i dati in qualsiasi database ODBC SQL compatibile.

Industrial Performance Analyzer

Modulo per valutare statisticamente i dati di allarme e individuare punti deboli dell'impianto. Vengono identificati gli errori che si verificano più frequentemente e che possono causare la maggior parte dei tempi di inattività. Il Runtime scrive le informazioni sugli allarmi (quando si utilizza il Production & Facility Scheduler) in un database ODBC SQL compatibile. E' possibile memorizzare più informazioni da diversi Runtime in un database centralizzato. In questo modo è possibile l'analisi dei dati da diversi impianti / sistemi.

inizio

Pulsante, che posiziona il cursore nell'angolo in alto a sinistra dello schermo, o all'inizio di una casella di inserimento testo.

Ins

Pulsante, che imposta degli inserimenti definiti tramite tastiera.

inserimento CEL

Un singolo evento, registrato nella Lista Eventi Cronologica.

Integrazione verticale

Consente la comunicazione con e a tutti i livelli, dal livello di campo (PLC) fino ai sistemi superiori quali ERP o PDC.

interfacce di programmazione

Offrono la possibilità di ampliare gli strumenti di programmazione funzionale come PCE, VBA e VSTA.

interfaccia ActiveX

Consente di passare dati/comandi di controllo ad un elemento ActiveX

interfaccia EIB

Interfaccia, che soddisfa lo standard EIB.

interfaccia SAP

Modulo per lo scambio dati di valori e di allarmi delle variabili con un sistema SAP esterno.

Internet Protocol Version 4

E' un metodo standard per la trasmissione di dati in una rete. Questo protocollo utilizza 32 bit per memorizzare gli indirizzi. Di coneseguenza, sono possibili solo 4 miliardi di indirizzi circa.

interruttore

Elemento dinamico, che visualizza il valore di una variabile binaria e ne permette la modifica. Può essere utilizzato anche come pulsante.

intervallo di lampeggio

Quantità di lampeggi in un determinato periodo di tempo.

intestazione di colonna

Parte superiore di una tabella, che contiene i nomi delle colonne.

iOS

Un sistema operativo sviluppato da Apple per iPhone, iPad e altri dispositivi Apple.

IPA

Modulo per valutare statisticamente i dati di allarme e individuare punti deboli dell'impianto. Vengono identificati gli errori che si verificano più frequentemente e che possono causare la maggior parte dei tempi di inattività. Il Runtime scrive le informazioni sugli allarmi (quando si utilizza il Production & Facility Scheduler) in un database ODBC SQL compatibile. E' possibile memorizzare più informazioni da diversi Runtime in un database centralizzato. In questo modo è possibile l'analisi dei dati da diversi impianti / sistemi.

iPhone

iPhone è una linea di Smartphone progettati e commercializzati da Apple Inc. a partire dal 2007. Fornito con un sistema operativo chiamato iOS, l'interfaccia interattiva si basa su uno schermo multitouch.

IPv4

E' un metodo standard per la trasmissione di dati in una rete. Questo protocollo utilizza 32 bit per memorizzare gli indirizzi. Di coneseguenza, sono possibili solo 4 miliardi di indirizzi circa.

IPv6

Metodo standardizzato di trassmissione dati in una rete. Questo protocollo utilizza 128bit per memorizzare gli indirizzi. Di conseguenza è possibile definire 340 sestilioni di indirizzi.

ISO 50001

La norma UNI CEI EN ISO 50001:2011 "Sistemi di gestione dell'energia - Requisiti e linee guida per l'uso" è la versione ufficiale italiana della norma internazionale ISO 50001 (edizione ottobre 2011). La norma specifica i requisiti per creare, avviare, mantenere e migliorare un sistema di gestione dell'energia. L'obiettivo di tale sistema è di consentire che un'organizzazione persegua, con un approccio sistematico, il miglioramento continuo della propria prestazione energetica comprendendo in questa l'efficienza energetica nonché il consumo e l'uso dell'energia.


J

Glossario -> J

JPEG

Formato grafico sviluppato dal gruppo di esperti per il Joint Photographic Experts Group standard JPEG. Lo standard di compressione delle immagini JPEG descrive, ma non specifica come i dati risultanti saranno memorizzati. Sono comunemente denominati "i file JPEG o file JPG" i file grafici in formato 'JPEG File Interchange Format' (JFIF). JFIF è solo un modo per memorizzare i dati JPEG.

JPG

Formato grafico sviluppato dal gruppo di esperti per il Joint Photographic Experts Group standard JPEG. Lo standard di compressione delle immagini JPEG descrive, ma non specifica come i dati risultanti saranno memorizzati. Sono comunemente denominati "i file JPEG o file JPG" i file grafici in formato 'JPEG File Interchange Format' (JFIF). JFIF è solo un modo per memorizzare i dati JPEG.


K

Glossario -> K

Keyboard

È un dispositivo virtuale di input che viene visualizzato sullo schermo. Contiene una serie di controlli che permettono di inserire caratteri.


L

Glossario -> L

Ladder Diagram

Uno dei cinque linguaggi standard IEC 61131 per i controller a logica programmabile (PLC). Questo linguaggio grafico è basato su schemi di circuito, ed è particolarmente adatto per collegare i controlli.

Last In First Out

Definisce qualsiasi metodo di salvataggio dati, che preveda che l'ultimo elemento salvato, sarà anche il primo ad essere estratto per la lettura. L'opposto di questo principio è il metodo First-In-First-Out (FIFO).

lavoro a turni

Il lavoro a turni è disciplinato dal D.Lgs. 8 aprile 2003, n. 66 e dalla contrattazione collettiva cui la legge fa rinvio.Il decreto definisce come lavoro a turni ?qualsiasi metodo di organizzazione del lavoro anche a squadre in base al quale dei lavoratori siano successivamente occupati negli stessi posti di lavoro, secondo un determinato ritmo, compreso il ritmo rotativo, che può essere di tipo continuo o discontinuo, e il quale comporti la necessità per i lavoratori di compiere un lavoro a ore differenti su un periodo determinato di giorni o di settimane? e come lavoratore a turni ?qualsiasi lavoratore il cui orario di lavoro sia inserito nel quadro del lavoro a turni?

Layer management

Modulo di zenon per la gestione e l'organizzazione di layer.

LD

Uno dei cinque linguaggi standard IEC 61131 per i controller a logica programmabile (PLC). Questo linguaggio grafico è basato su schemi di circuito, ed è particolarmente adatto per collegare i controlli.

legenda

La legenda (composta da simboli e scritte) è una descrizione più dettagliata di simboli, colori, firme e abbreviazioni per grafici di dati, tabelle e diagrammi.

licenza

Concede all'utente il diritto di utilizzare il software. I diritti di utilizzo sono definiti nel contratto EULA - End User License Agreement.

licenza Dongle

Vincola l'utilizzo del software alla presenza di un Dongle sul computer o di rete.

licenza Dongle

Tipo di licenza, legata ad un dongle. Al contrario della licenza software questo tipo di licenza non è legata alla configurazione hardware di un computer, e di conseguenza è portabile su altri PC.

LIFO

Definisce qualsiasi metodo di salvataggio dati, che preveda che l'ultimo elemento salvato, sarà anche il primo ad essere estratto per la lettura. L'opposto di questo principio è il metodo First-In-First-Out (FIFO).

Limite di riferimento

Il quantitativo di fornitura definita dal fornitore di energia

linea di produzione

Sistema di produzione automatizzato, nel quale diverse stazioni di lavorazione sono connesse tra loro da un sistema di flusso di materiali a partire da una linea iniziale. Diversi prodotti possono richiedere diverse linee di produzione, che possono utilizzare differenti vie di completamento.

linea topologica

Elemento vettoriale per la colorazione di linea per rappresentazioni topologiche di reti elettriche. Disponibile solamente per SICAM 230.

lista a cascata

Controllo di una interfaccia grafica utente che visualizza un testo e un pulsante con la freccia. Quando si fa clic sul pulsante, un menu di selezione viene visualizzato in forma di elenco.

Lista configurabile

Lista, le cui proprietà possono essere definite dall'utente

Lista di informazione allarmi

Gestione centralizzata degli allarmi del sistema. La lista di informazione allarmi comprende una doppia gestione: gestione a buffer circolare in memoria e salvataggio dati su file su disco fisso.A differenza della Lista Cronologica Eventi, la gestione allarmi comprende 3 informazioni temporali: allarme entrato, uscito, riconosciuto.

Lista Eventi Cronologica

Gestione principale degli eventi del sistema di controllo. La Lista Eventi Cronologica viene gestita in due modi: in principio tramite un buffer circolare mantenuto in memoria, successivamente come dati storici salvati su file sul disco fisso. Contrariamente alla Lista di informazione Allarmi, la Lista eventi cronologica contiene solamente un'informazione temporale, ovvero il tempo di registrazione dell'evento.

lista incrociata

Rappresentazione di una interrogazione incrociata all'interno di un progetto, ad esempio per capire in quale punto del progetto stesso vengono utilizzate determinate variabili o pagine.

Lista oggetti

Lista che elenca tutti gli elementi definiti in una immagine di supervisione globale. Con un doppio click è possibile passare direttamente all'elemento.

Listbox

È un elemento standard di un software con interfaccia utente grafica (GUI). E 'utilizzato per visualizzare le voci selezionabili dall'utente in forma di elenco. Le voci sono normalmente in formato testo, ma è possibile anche utilizzare della grafica, o combinazioni di queste due cose (testo + grafica).

livello di autorizzazione

Determina se un utente può eseguire un'azione. Per ogni elemento di controllo in un'immagine può essere assegnato un livello di autorizzazione. Allo stesso modo possono essere assegnati dei livelli di autorizzazione per funzionalità come il riconoscimento allarmi , il caricamento progetto ecc. Ci sono 128 livelli (0-127), dove 0 è il livello di sistema è a disposizione di ciascun utente.

Load Management

Strumento di supporto per la gestione aziendale. E 'utilizzato per implementare una gestione energetica di riferimento per piccole e medie imprese di produzione energetica.

Log delle modifiche

Salvataggio dati, che durante la progettazione in editor protocolla tutte le modifiche e le salva nel database di progetto.

Login

Consente, tramite un nome utente, di connettersi al sistema.

Log-Server

Programma per l'analisi degli errori: i log di errore vengono inviati dai client al server e da quest'ultimo vengono salvati in file di LOG. Il Diagnose Server è integrato nel Transport Service.


M

Glossario -> M

Manager di gruppi ricette

Un modulo per la gestione di gruppi di ricetta e ricette correlate. Per il gruppo di ricetta vengono definte le variabili, i filtri e le altre impostazioni. Le ricette per questo gruppo, erediteranno queste impostazioni. Nelle ricette, è possibile definire l'azione da eseguire per ogni singola variabile configurata in ricetta, come per esempio il settaggio valore, la modifica dello stato della variabile, ottenere il valore di un'altra variabile ecc.

Manager di progetto

Finestra nell'Editor, che visualizza l'albero di progetto, la visualizzazione dettagli e la topologia di rete.

massimo

Il piu grande (dal latino: maximus, il piu grande; adj.: al massimo).

matrice di reazione

Raggruppamento di stati che può essere collegato un numero qualsiasi di variabili. Ad ogni variazione del valore di una variabile, la matrice di reazione viene valutata e la prima condizione verificata innesca l'operazione configurata per quello stato. Le 'reazioni' possono includere: cambiamenti di colore, allarmi, l'esecuzione di funzioni, ecc.A differenza dei limiti, le matrici di reazione sono in grado di monitorare le informazioni sullo stato della variabile.

matrici di reazione

Raggruppamento di stati che può essere collegato un numero qualsiasi di variabili. Ad ogni variazione del valore di una variabile, la matrice di reazione viene valutata e la prima condizione verificata innesca l'operazione configurata per quello stato. Le 'reazioni' possono includere: cambiamenti di colore, allarmi, l'esecuzione di funzioni, ecc.A differenza dei limiti, le matrici di reazione sono in grado di monitorare le informazioni sullo stato della variabile.

max.

Il piu grande (dal latino: maximus, il piu grande; adj.: al massimo).

menù

Una lista drop-down (a tendina) che offre una serie di funzioni selezionabili tramite parole chiave o simboli.

menù a tendina

Controllo di una interfaccia grafica utente che visualizza un testo e un pulsante con la freccia. Quando si fa clic sul pulsante, un menu di selezione viene visualizzato in forma di elenco.

menù contestuale

Una lista a tendina, apribile con il click del tasto destro del mouse, che visualizza una serie di operazioni disponibili visualizzate con parole chiave e/o simboli. Le operazioni (comandi) si riferiscono sempre all'elemento selezionato.

menù popup

Una lista a tendina, apribile con il click del tasto destro del mouse, che visualizza una serie di operazioni disponibili visualizzate con parole chiave e/o simboli. Le operazioni (comandi) si riferiscono sempre all'elemento selezionato.

menù principale

Linea con una serie di voci di menu. Clickando su una voce viene aperto un menu a tendina, che offre una serie di operazioni eseguibili tramite delle sottovoci o dei simboli.

messaggio di manutenzione

Messaggio di servizio o manutezione, che viene trasferito al modulo di manutenzione SAP.

metodo

Un'azione nella programmazione orientata agli oggetti, che può essere selezionata in un oggetto oppure eseguita tramite un oggetto.

Migration Tool

Programma che permette la migrazione di database zenon Analyzer comprensivi di tutte le configurazioni. Può essere utilizzato anche per l'aggiornamento ad una generazione server più recente.

min.

Il minore, il più piccolo (dal latino: minimus, il piu piccolo; agg. minimo).

Min.

Unità di misura temporale

minimo

Il minore, il più piccolo (dal latino: minimus, il piu piccolo; agg. minimo).

modalità hardware

Al contrario della modalità di simulazione, viene instaurata la comunicazione con il dispositivo. I valori delle variabili vengono ottenuti dal PLC. La comunicazione può essere interrotta tramite comandi (modalità offline) e nuovamente riavviata (modalità online).

modalità offline

Il driver si trova in modalità hardware e non comunica con il dispositivo. Il driver è in 'stop'.

modalità online

Il driver si trova in modalità hardware e comunica con il dispositivo.

modalità simulazione

A differenza della modalità hardware, non viene stabilita nessuna comunicazione con il dispositivo sul campo. Le variabili vengono gestite e calcolate in base alla tipologia di simulazione (simulazione statica, simulazione conta oppure simulazione programmata).

Modbus RTU

Protocollo di comunicazione standardizzato per la connessione con dispositivi Modbus via porta seriale (COM). Reso standard da Modbus-IDA (www.modbus.org). Il protocollo può anche essere indirizzato via TCP/IP, però in questo caso viene normalmente utilizzato il protocollo Open Modbus TCP/IP.

modello

Determina la dimensione e la posizione di uno spazio sul monitor, nel quale verranno aperte le immagini durante il Runtime. Ogni immagine è basata su un modello. Ad ogni modello possono essere assegnate delle proprietà, che saranno trasmesse a tutte le immagini basate su quel modello.

modello di impianto

Consente di suddividere un sistema esistente, in un qualsiasi numero gruppi strutturati di impianto.

modello turno

Rappresenta la modalità di una configurazione di ripetizione turni, p.e. "operazione a 2 turni" oppure "operazione a 3 turni". A tal fine, il modello turno si compone di almeno uno o più blocchi turno. Inoltre, il modello turno contiene altre informazioni: nome e descrizione liberamente definibili, un'assegnazione ad un modello di impianto e ad una gestione utenti.

Modulo Trend esteso

Visualizza dati storici e online in forma di diagramma.

Monitor

È un dispositivo di visualizzazione delle immagini collegato ad un computer.

monitor virtuale

In un sistema multimonitor le immagini possono essere assegnate ad uno spazio virtuale di visualizzazione. La definizione di posizionamento di un immagine, viene definita in fase di apertura dell'immagine stessa, oppure nella gestione monitor.

Monitoring Viewer

Strumento per la visualizzazione di tutti i prodotto zenon Logic nel Runtime zenon. E' parte del modulo Diagnosis PLC

MS Azure

Piattaforma di Cloud Computing di Microsoft

multi numerica

Tipo di Matrice di reazione, nella quale oltre al controllo degli stati, possono essere configurati range di stati e funzioni speciali.

Multibin

Elemento dinamico, che a seconda del valore di una variabile, visualizza della grafica, o modifica la colorazione di simboli o visualizza un testo. Può essere associato sia a variabili numeriche che a variabili binarie. Se la prima variabile collegata è una variabile binaria, l'elemento Multibin può essere utilizzato come interruttore o pulsante per il settaggio valori nella prima variabie.Gli stati vengono controllati dall'alto verso il basso, il che significa che il primo stato che viene trovato nella ricerca, sarà quello visualizzato.

Multi-Binaria

Tipo di matrice di reazione, in cui possono essere configurati sottostati, range di stati e funzioni speciali.

Multi-numerica

Tipo di Matrice di reazione, nella quale oltre al controllo degli stati, possono essere configurati range di stati e funzioni speciali.


N

Glossario -> N

nodo principale

Primo livello di una struttura ad albero.

nome Diagramma

Nome del grafico liberamente impostabile nel Trend Esteso. Può essere visualizzato, ed eventualmente stampato, nell'immagine Trend Esteso durante il Runtime. In Editor, per semplicità di comprensione, il nome Diagramma viene visualizzato nella funzione di cambio immagine.

nome gruppo ricette

Nome univoco del gruppo di ricetta nel Manager gruppi di ricetta.

nome ricetta

Nome univoco di una ricetta (ricetta standard o ricetta-RGM).

nome utente

Identifica univocamente un utente e non può essere modificata successivamente.

nome variabile

Nome univoco per una variabile.

numero blocco dati

Numero univoco di un blocco di dati in un dispositivo Siemens.

numero di attivazione

Una stringa di caratteri che attiva il programma. Questo numero viene controllato in relazione al numero di serie e al numero del Dongle, oppure al numero di serie e numero di licenza.

numero di licenza

Sequenza di caratteri specifici per il computer, derivati dalla sua configurazione, utilizzati per l'attivazione software. Il numero di licenza viene controllato assieme al numero di serie, tramite il numero di attivazione.

numero di porta

Fa parte di un indirizzo IP, e può assumere un valore tra 0 e 65535. Il numero identifica un canale di comunicazione univoco. Per una comunicazione TCP/IP sono sempre richiesti l'indirizzo IP e il numero di porta, per identificare univocamente l'indirizzo del destinatario. Ancher per il protocollo UDP e SCTP utilizzano il numero di porta.

numero di serie

Stringa univoca con piu elementi separati ciascuno da un punto. In prima posizione c'è il Product-ID (univoco). Le rimanenti posizioni definiscono il campo di applicazione del prodotto. Nelle licenze Dongle, il Product ID coincide con il numero del Dongle.

numero Dongle

Numero univoco, codificato nel Dongle che deve corrispondere al Product-ID del Serial Number. Il numero Dongle è disponibile sul Dongle stesso con un adesivo e può essere letto dal software WIBU-KEY.

numero ricetta

Numero univoco di una ricetta-RGM.


O

Glossario -> O

OEE

L'Overall Equipments Effectiveness (OEE) è la misura di efficienza totale di un impianto. È un indice espresso in punti percentuali che riassume in sé tre concetti molto importanti dal punto di vista della produzione manifatturiera: la disponibilità, l'efficienza ed il tasso di qualità di un impianto.L'OEE è utilizzato come strumento di misurazione nel TPM (Total Productive Maintenance) e nei programmi di Lean Manufactoring, dove riesce a fornire un'importante chiave di lettura dell'efficacia delle misure adottate fornendo al tempo stesso un supporto per la misurazione dell'efficienza.

Offset

Numero definito in un indirizzamento relativo. Determina per esempio la distanza di una cella di memoria da un punto di partenza. A volte utilizzato anche per i tempi. Distanza da un tempo di partenza.

Online Change

Con la funzione Online Change è possibile in straton, scaricare le applicazioni modificate sul dispositivo di destinazione e aggiornare il progetto senza bisogno di fermarlo e riavviarlo. La funzionalità deve essere attivata e configurata correttamente in straton.

Open Modbus TCP/IP

Protocollo di comunicazione standardizzato per la connessione al PLC tramite Modbus TCP / IP. Standardizzato da Modbus-IDA (www.modbus.org).

operazione batch

Lavoro continuo, sequenziale di una serie di operazioni singole.

orari turni

Orario di inizio e orario di fine turni. La definizione degli orari è impostabile nel Production & Facility Scheduler.

orologio

Elemento dinamico, che visualizza ora e data. Può anche essere utilizzato per la conversione di un valore numerico in un formato di data/ora.

Overall Equipments Effectiveness

L'Overall Equipments Effectiveness (OEE) è la misura di efficienza totale di un impianto. È un indice espresso in punti percentuali che riassume in sé tre concetti molto importanti dal punto di vista della produzione manifatturiera: la disponibilità, l'efficienza ed il tasso di qualità di un impianto.L'OEE è utilizzato come strumento di misurazione nel TPM (Total Productive Maintenance) e nei programmi di Lean Manufactoring, dove riesce a fornire un'importante chiave di lettura dell'efficacia delle misure adottate fornendo al tempo stesso un supporto per la misurazione dell'efficienza.


P

Glossario -> P

Pag. giù

Tasto, che sposta il cursore verso il basso dalla posizione piu alta dello schermo.

Pag. sù

Tasto, che sposta il cursore sullo schermo verso la parte alta dello stesso.

parametro di funzione

In informatica, il parametro è un indirizzo di memoria o un valore (tra quelli di un insieme omogeneo e coerente) che una funzione si aspetta di ricevere per eseguire il suo compito.Nei casi di routine o funzioni interne ai programmi, si utilizza più spesso il termine argomento.

Password

Sequenza di caratteri, che devono essere conosciuti solamente dall'utente. La combinazione tra nome utente e password consente l'identificazione dell'utente nel sistema.

percorso assoluto

Definisce la posizione di file o cartelle tramite nome computer, nome unità e nome cartella. Il punto di partenza è sempre un nome computer (percorso UNC p.e. \\PC1) o un'unità (p.e. C:\).

periodo assoluto

Esatto momento nel tempo, alla cadenza del quale deve essere avviata un'azione.

periodo assoluto

Periodo non dipendente dal tempo attuale.

periodo relativo

Intervallo di tempo in relazione al momento attuale, con tempo di inizio e tempo di fine.

PFS

Strumento completo per controllare direttamente le operazioni di temporizzazione. Supporta due modalità di esecuzione: tempo assoluto e relativo. Tutti gli orari sono definiti su un modello di calendario con una opzione di anteprima che permette di controllare i futuri punti di switch.

PIM

Protocol-Independent Multicast (PIM) è una famiglia di protocolli di rete di instradamento (routing) multicast per reti LAN, WAN o internet. Usa le informazioni di instradamento fornite da altri protocolli di routing tradizionali come il Border Gateway Protocol (BGP).Esistono 4 varianti di PIM:PIM Sparse Mode (modalità sparsa)PIM Dense Mode (modalità densa)PIM BidirezionalePIM source-specific multicast (multicast con sorgente specifica)PIM-SM è comunemente usato nei sistemi IPTV per flussi di instradamento multicast tra reti VLAN, sottoreti o LAN.

PLC

Un controllore a logica programmabile (o PLC dall'inglese Programmable Logic Controller) è un modulo che viene utilizzato per il controllo di macchina e/o impianto. Normalmente questo modulo viene messo in funzione elettronicamente e assomiglia a dei moduli di un computer. Gli emittenti (sensori) e gli attuatori sono collegati a questo modulo. Il sistema operativo proprietario (Firmware) assicura che al programma-utente venga sempre fornito lo stato attuale dell'emittente. Tramite queste informazioni di stato, il programma utente potrà operare sugli attuatori, attivandoli o disattivandoli, in modo che la macchina e/o l'impianto funzionino nel modo desiderato.

popup di dialogo

Una finestra di Popup, nella quale possono essere impostate delle proprietà.

posizione assoluta

In riferimento ad un oggetto di livello superiore, posizione dell'elemento nello schermo. I modelli rispetto al monitor, gli elementi nell'immagine rispetto al modello, elementi in un simbolo rispetto al simbolo ecc. Il punto di origine si trova nell'angolo in alto a sinistra dell'oggetto di livello suoperiore (p.e. per i modelli, ngolo in alto a sinistra del monitor).

Process Control Engine

Sistema per espandere il Runtime con Task programmabili.Il Process Control Engine è costituito in 2 parti: l'ambiente di programmazione per la progettazione dei task e l'ambiente runtime, dove gira il codice in VB-Script o in Java-Script, in modalità ciclica oppure ad evento (esecuzione unica).I task possono essere lanciati all'avvio del Runtime, oppure tramite funzioni. L'interazione con il runtime può essere implementata utilizzando le variabili.

processo di produzione

Processo di produzione che viene eseguito a seconda delle specifiche di tempo e luogo della sequenza di produzione.

Production & Facility Scheduler

Strumento completo per controllare direttamente le operazioni di temporizzazione. Supporta due modalità di esecuzione: tempo assoluto e relativo. Tutti gli orari sono definiti su un modello di calendario con una opzione di anteprima che permette di controllare i futuri punti di switch.

profilo filtro

Salva durante il runtime, le impostazzioni di visualizzazione della finestra corrente. E' possibile salvare più di un profilo.

profilo monitor

Parte della gestione monitor, che definisce la disposizione e la disponibilità di monitor reali, e l'assegnazione di monitor virtuali a monitor reali. Inoltre viene definito se a Runtime deve essere applicato un adattatamento alla risoluzione dello schermo o se devono essere visualizzate delle barre di scorrimento.

profilo Runtime

Salva le posizioni dell'immagine attualmente visualizzata a Runtime, come pure il filtro impostato per la stessa. I profili Runtime sono dipendenti dall'utente. Un amministratore può gestire i profili runtime degli altri utenti come pure i profili dell'utente "System". Possono essere salvati più profili.

profilo standard

Con il profilo standard, vengono ripristinate le impostazioni iniziali di layout dell'editor. Tutte le barre degli strumenti, le posizioni delle finestre ecc. vengono riportate alla loro configurazione iniziale.

progettazione distribuita

Elaborazione contemporanea di un progetto in editor, da parte di più utenti su diversi computer.

Progetto di rete

Progetto per il quale è stata attivata l'opzione di rete. Il progetto verrà eseguito come progetto Server, quando verrà avviato sul terminale definito come Server. Tutti gli altri Runtime, nei quali verrà caricato il progetto, potranno connettersi al progetto Server con il ruolo di Client o di Server Standby.

progetto Windows CE

Ogni progetto può essere usato su Windows CE. Alcune caratteristiche, tuttavia, non sono disponibili nel Runtime sotto Windows CE.Un progetto Windows CE è definito tramite la proprietà del progetto 'progetto Windows CE'.

programma Step 7

Programma per dispositivi S7. La programmazione avviene nel software Step 7. Le variabili possono essere importate nella lista variabili tramite l'Import-S7.

Programmable Logic Controller

Un controllore a logica programmabile (o PLC dall'inglese Programmable Logic Controller) è un modulo che viene utilizzato per il controllo di macchina e/o impianto. Normalmente questo modulo viene messo in funzione elettronicamente e assomiglia a dei moduli di un computer. Gli emittenti (sensori) e gli attuatori sono collegati a questo modulo. Il sistema operativo proprietario (Firmware) assicura che al programma-utente venga sempre fornito lo stato attuale dell'emittente. Tramite queste informazioni di stato, il programma utente potrà operare sugli attuatori, attivandoli o disattivandoli, in modo che la macchina e/o l'impianto funzionino nel modo desiderato.

promotore

Persone oppure organizzazioni, che promuovono un'utenza (per esempio di un software), senza esserne utenti a loro volta.

Property

Proprietà di un elemento/oggetto, intercettabile via VBA/VSTA.

proprietà

Caratteristiche specifiche di un elemento, di un oggetto ecc.

proprietà di progetto

Tutte le proprietà che determinano il comportamento e l'aspetto del progetto.

pulsante

Un pulsante (engl. 'Button') rappresenta un elemento grafico in un'interfaccia utente. Clickando su questo oggetto viene eseguita l'operazione associata.

Pulsante bitmap

Elemento dinamico con il quale è possibile eseguire un'operazione (avviare una funzione, impostare un valore). Il pulsante bitmap può solamente visualizzare della grafica. Dalla versione 6.50 è stato sostituito dall'elemento dinamico Pulsante.

pulsante d'allarme ad immagine

Elemento dinamico, con il quale può essere realizzato l'allarme ad immagine. Disponibile solamente per SICAM 230.

pulsante di opzione

È un elemento standard di un software con interfaccia grafica utente (GUI). Si possono avere due stati: attivato e disattivato. In un gruppo di pulsanti di opzione, almeno una di queste deve essere attiva.

pulsante spin

Elemento di controllo, formato da 2 pulsanti con 1 freccia ciascuno, una verso l'alto e una verso il basso. Questo elemento permette all'utente di navigare in un range prestabilito di valori. Utilizzando i tasti-freccia, il valore viene incrementato o decrementato di 1.

Pulsante testo

Elemento dinamico con il quale è possibile eseguire un'azione (lanciare una funzione, impostare un valore). Il pulsante testo come contenuto può visualizzare solamente del testo. Dalla versione 6.50 è stato sostituito dall'elemento dinamico 'pulsante'.

pulsante zoom

Rappresentazione grafica in un'interfaccia di programma, che consente l'esecuzione delle funzionalità di zoom.

puntatore mouse

Simbolo mobile come elemento di puntamento su uno schermo di un pc. Parte integrante della grafica di interfaccia utente.

punto di interruzione

Identifica un punto in un programma, al quale, non appena viene raggiunto, un Debugger si ferma durante la correzione degli errori.

punto di misurazione

Un'installazione strutturale fissa e/o mobile in un cui in parametro fisico o chimico può essere registrato, secondo un'unità di misura in un determinato periodo.

punto di riferimento

Punto di riferimento per il movimento degli elementi, come per esempio la rotazione, lo zooming, il movimento, il collegamento con altri elementi..

punto di switch

Definizione di un punto temporale alla scadenza del quale deve essere avviata un'azione.

punto di switch assoluto

Associa un tempo assoluto con una ben precisa azione.

punto di switch relativo

In corrispondenza di un determinato evento, viene eseguita un'operazione.


Q

Glossario -> Q


R

Glossario -> R

radiobutton

È un elemento standard di un software con interfaccia grafica utente (GUI). Si possono avere due stati: attivato e disattivato. In un gruppo di pulsanti di opzione, almeno una di queste deve essere attiva.

RAM

RAM, acronimo dell'inglese Random Access Memory ovvero memoria ad accesso casuale, è un tipo di memoria volatile caratterizzata dal permettere l'accesso diretto a qualunque indirizzo di memoria con lo stesso tempo di accesso. Le forme più comuni sono le memorie a semiconduttore. Generalmente implementati con tecnologia al silicio, questi moduli sono utilizzati in tutti i dispositivi elettronici.

ramo

Parte di una sequenza nel modulo Batch Control

registrazione ad evento

I dati vengono scritti nell'archivio al cambio valore con fronte positivo della variabile di registrazione (trigger).

registrazione ciclica

I dati vengono scritti in un archivio ad ogni intervallo di tempo.

registrazione licenza

Procedura in cui viene assegnata la licenza per l'utente.

registrazione spontanea

Quando il valore di una variabile cambia, questo viene salvato nell'archivio.

regolatore di zoom

Regolatore grafico lineare con il quale è possibile modificare i livelli di zoom.

relè di guasto a terra

Un dispositivo di protezione in linea per individuare guasti a terra in un elemento della rete.

Rema

Raggruppamento di stati che può essere collegato un numero qualsiasi di variabili. Ad ogni variazione del valore di una variabile, la matrice di reazione viene valutata e la prima condizione verificata innesca l'operazione configurata per quello stato. Le 'reazioni' possono includere: cambiamenti di colore, allarmi, l'esecuzione di funzioni, ecc.A differenza dei limiti, le matrici di reazione sono in grado di monitorare le informazioni sullo stato della variabile.

rendere possibili le modifiche

In un progetto multiutente, permette l'accesso esclusivo ad un elemento/modulo per poter effettuare delle modifiche. Lo stato viene salvato nel progetto server centralizzato. In questo modo l'accesso a quell'elemento/modulo viene inibito a tutti gli altri utenti connessi al progetto.

rete a gradiente massimo

Ogni nodo di rete è collegato ad uno o più nodi. L'informazione viene diffusa da nodo a nodo fino a raggiungere la destinazione. Se ogni partecipante è collegato ad ogni altro partecipante, si parla di una rete a gradiente massimo. Le reti a gradiente massimo sono di regola auto-rigeneranti, e quindi molto affidabili: se un nodo o un collegamento è bloccato o comunica, la rete riesce comunque a bypassare il nodo. I dati saranno deviati e la rete sarà ancora operativa.

rete ponderata

Rete ridondata, dove il server di processo corrente e il server standby stabiliscono quali ruoli assumono in base ad una valutazione impostata in fase di progettazione, da applicare a Runtime.

retrocompatibilità

Come retro-compatibilità si intende la possibilità di utilizzare le ultime versioni con le restrizioni di funzionalità dettate da versioni precedenti.

rettangolo arrotondato

Elemento vettoriale, che permette di impostare il raggio degli angoli di un rettangolo con l'aiuto di specifiche proprietà o di punti impostabili.

revisione

Stato di variabili, utilizzato nel trattamento di allarmi e comandi nel sistema di controllo. Tramite questo stato è possibile nascondere facilmente singole parti di impianto dalla gestione allarmi e di impostazione valori. Il valore attuale della variabile continua a essere visualizzato nelle immagini.

RGM

Un modulo per la gestione di gruppi di ricetta e ricette correlate. Per il gruppo di ricetta vengono definte le variabili, i filtri e le altre impostazioni. Le ricette per questo gruppo, erediteranno queste impostazioni. Nelle ricette, è possibile definire l'azione da eseguire per ogni singola variabile configurata in ricetta, come per esempio il settaggio valore, la modifica dello stato della variabile, ottenere il valore di un'altra variabile ecc.

riattivazione

Raggruppa allarmi dello stesso tipo, in un unico inserimento nella lista di informazione allarmi. Possono essere visualizzati sia il numero totale di allarmi che sono stati raggruppati, sia i tempi che gli stati degli allarmi che sono subentrati.

riavvio a caldo

In Straton, Hot Restart significa riavviare un'applicazione, in modo da avere, nelle variabili, gli stessi valori che avevano al momento dello stop dell'applicazione.

ricetta

Nelle ricette, è possibile raggruppare e salvare dati utili per il processo, come per esempio parametri macchina o dati di formato. Questi dati possono essere trasferiti al dispositivo con un solo passaggio e viceversa, riletti altrettando facilmente. Le gestione ricette si differenzia in 'ricette standard' e 'gruppi di ricette'.

ricetta di destinazione

Ricetta, sulla quale viene effettuata la scrittura nell'operazione di copia ricetta. La ricetta di partenza viene copiata nella ricetta di destinazione.

ricetta d'origine

Ricetta, che verrà copiata su una ricetta di destinazione. La ricetta d'origine verra copiata sulla ricetta di destinazione.

Ricetta-RGM

Le ricette-RGM permettono una gestione raggruppata delle ricette.Ogni ricetta-RGM è ordinata in un gruppo di ricetta. Possono essere utilizzate variabili basate su qualsiasi tipo di dato. Possono essere elaborati gli stati e inoltre, nelle variabili, possono essere scritti dei valori ottenuti da altre variabili.

ricezione di misura

Dato (record) nel modulo SAP Plant Management (PM): notifica di una misurazione in un punto di rilevamento o contatore per un determinato istante.

richiesta di attivazione

.

riconoscimento lampeggio

Interruzione del lampeggio di un elemento, ma senza riconoscimento dell'allarme.

riempimento 3-D

Oggetti grafici come per esempio rettangoli, cerchi ecc. tranite la gradazione del colore di riempimento, ottengono un aspetto tridimensionale.

rilevamento modifiche

Verifica se i dati sono stati modificati.

risoluzione dello schermo

Numero di pixel visualizzato su un monitor, per esempio: 640x480 (VGA), ecc.

ritentivo

Disponibili permanentemente.

Runtime di straton con Raltime Kernel

Sistema runtime hard-realtime, che funziona indipendentemente dal sistema operativo.

Runtime Windows CE

Un Runtime compilato specificamente per il sistema operativo Windows CE. Il runtime funziona solamente nella speficifica architettura di processore e per la specifica versione del sistema operativo per il quale è stato compilato.


S

Glossario -> S

S7

Software di programmazione per Siemens Simatic. STEP è acronimo di "STeuerung Einfach Programmieren" tradotto letteralmente "Programmare facilmente dispositivi".

S7-Graph

S7-Graph si basa sul software di programmazione Siemens Step 7. E 'utilizzato per le procedure sequenziali con step paralleli o alternati (SFC). In fase Runtime, il flusso di controllo del PLC può essere rappresentato direttamente in tipi di immagini con stesso nome.

salvataggio dati su disco fisso

Salva il valori di una variabile in un buffer circolare in modalità ciclica FIFO. Per ogni variabile viene creato un file con estensione HDD nella cartella Runtime.

SCADA

Concetto per il monitoraggio e controllo di processi tecnici.

SCADA Logic

Logica PLC integrata nel sistema SCADA. Questa logica non ha collegamento diretto con dispositivi in campo, ma riceve informazioni preferibilmente attraverso il sistema SCADA.

scala

Ridimensionamento o regolarazione di diverse proprietà in base ad una scala esistente.

scalabilità

Capacità di adattarsi a condizioni mutabili, in termini di dimensioni di un sistema o del numero di componenti.

scansione spontanea

Quando il valore di una variabile cambia, questo viene salvato nell'archivio.

scheda

Descrive le specifiche pagine di impostazione di una finestra di dialogo.

Schermata Start di Windows

Sostituisce il menu Start in Windows 8. Contiene Apps, pagine web e altre informazioni e impostazioni, configurabili dall'utente.

schermo

È un dispositivo di visualizzazione delle immagini collegato ad un computer.

Screenshot

Immagine con il il contenuto completo dello schermo o una parte di esso.

scrittura a blocchi

Unione di piu incarichi di scrittura in un unico telegramma. Viene utilizzato per esempio nell'esecuzione di una ricetta.

segnale digitale

Trasmette un informazione, per esempio, una tensione alternata elettrica, sotto forma di una colonna di cifre, che descrive le informazioni matematicamente, al contrario di un segnale analogico che trasmette una grandezza fisica direttamente o tramite un'altra grandezza fisica.

selezione ricetta

Permette all'utente di selezionare una ricetta.

sensore

Componente tecnica, che può misurare qualitativamente e quantitativamente, particolari proprietà fisiche o chimiche come radiazione termica, temperatura, umidità, pressione, suono, luminosità, accelerazione e / o la composizione materiale del suo ambiente, per poi convertirli successivamente in valori utilizzabili (tipicamente segnali elettrici).

Sequential Function Chart

Uno dei cinque linguaggi di programmazione IEC 61131-3 per dispositivi PLC.

Sequenza di comando

Diagramma di flusso grafico del modulo Sequenze di comando.

Sequenze di comando

Modulo per la creazione ed esecuzione di sequenze di programmi formati da uno o più comandi del modulo Command Processing

serie di morsetti

Un morsetto è utilizzato in ingegneria elettrica per i collegamenti o la connessione di cavi e fili. Morsetti sono collegati gli uni agli altri in modo arbitrario allineati su una guida (per esempio, su guida DIN TS35 "ferrovia").

server

Un programma che comunica con un altro programma, il client, per permettere l'accesso ai servizi (funzionalità) e/o per scambiare dati.

server Dongle

Computer su cui viene eseguito uno speciale software, che dà accesso a Dongle di rete.

Server primario

Il computer del progetto specifico che si occupa di stabilire la comunicazione dati con i dispositivi, con i clients e con il server standby. Inoltre è incariato per la registrazione di tutti i dati in entrata come ad esempio: AML, CEL, archiviazione...

Server SQL

Sistema di gestione di database relazionale su piattaforma Microsoft Windows, richiesto dall'editor per il salvataggio dati.

Server-Standby

Programma, che contiene tutti i dati e le connessioni attualmente presenti nel server, e che nel momento in cui quest'ultimo non funziona più, ne prende il posto.

Service Pack

I Service Packs sono un insieme di risoluzioni di errori per una versione. Sono soggetti al processo completo di garanzia di qualità. Comprendono tutte le build rilasciate fino a quel momento. La Service Pack 0 è la prima versione ufficiale rilasciata per una nuova versione.

servizio

Esegue come programma, una routine o un processo, una ben precisa funzione di sistema per supportare altri programmi, in particolare a basso livello. Esempio: servizio SQL Server, servizi di amministrazione ecc.

Servizio publishing

Servizio per la pubblicazione di documenti, come per esempio siti internet, tramite protocollo HTTP.

servizio SQL Server

Processo, che fornisce funzionalità di database. Per lavorare con l'Editor, il servizio deve essere avviato.

settare valore impostabile

Trasferire un valore impostabile dal sistema di controllo al dispositivo.

SFC

Uno dei cinque linguaggi di programmazione IEC 61131-3 per dispositivi PLC.

Significato

Identificazione specifica per i report in zenon Analyzer. Corrisponde alla proprietà 'Identificazione servizio' in zenon

Simatic S7-PDiag

Permette la configurazione di diagnostica di un processo per Siemens S7.

Simatic Step 7

Software di programmazione per Siemens Simatic. STEP è acronimo di "STeuerung Einfach Programmieren" tradotto letteralmente "Programmare facilmente dispositivi".

Simatik S7-Graph

S7-Graph si basa sul software di programmazione Siemens Step 7. E 'utilizzato per le procedure sequenziali con step paralleli o alternati (SFC). In fase Runtime, il flusso di controllo del PLC può essere rappresentato direttamente in tipi di immagini con stesso nome.

simbolo

Reggruppamento di diversi elementi dinamici ed elementi vettoriali in un nuovo elemento, la cui modifica delle dimensioni si basa proporzionalmente sulla modifica tutti i simboli componenti. Un simbolo può essere creato direttamente in una pagina come indipendente oppure essere collegato in libreria. I simboli collegati vengono salvati nella libreria simboli globale o nella libreria di progetto.

simbolo collegato

Simbolo di una libreria di simboli, che viene referenziato in una immagine. Il simbolo è salvato nella libreria. Può essere modificato solo all'interno della libreria stessa. In alternativa ci sono i simboli embedded (scollegati), che vengono memorizzati direttamente nell'immagine.

simbolo di movimento

Elemento dinamico, che movimenta un simbolo in base a valori di variabili, modificandone dimensione e posizione.

simbolo scollegato

Gruppo di element grafici in un'immagine, raggruppati in un unico oggetto con un unico nome.

SIMOTION

Sistema dell'azienda Siemens per l'automazione di impianti di produzione, con un focus sul controllo del movimento. SIMOTION è composto dal SIMOTION SCOUT e dal kernel SIMOTION per piattaforme hardware diverse. La Scout è l'ambiente di programmazione per creare un progetto con la configurazione hardware e di funzionamento.

Simple Network Management Protocol

Protocollo diffuso per il monitoraggio e il protocollaggio delle operazioni di rete. Agenti SNMP (hardware e/o software) forniscono dati sulle attività di ciascun componente della rete (Hubs, Router, ponti ecc.) e le inviano alla MIB (Management Information Base) su un pc di controllo. I componenti vengono controllati in base alla raggiungibilità e alla possibilità di controllo.

Simplex

In telecomunicazioni Simplex ("semplice" in latino) è una modalità di trasmissione dei segnali secondo la quale l'invio delle informazioni attraverso un canale può avvenire in una sola direzione. Quando due entità sono collegate, l'una ha sempre il ruolo di trasmittente, l'altra sempre il ruolo di ricevente, senza mai alternarsi, come avviene ad esempio nella televisione.

simulazione

Esecuzione di operazioni su un modello simile alla realtà, al fine di avere una comprensione del sistema reale, o di sostituirlo.

simulazione - conta

Possibilità di impostare un driver in modalità simulazione. In questo modo non viene stabilita la comunicazione con il dispositivo, ma tutti i valori verranno inizializzati a 0 e verranno ciclicamente incrementati di 1 fino al valore massimo della variabile, ricominciando poi nuovamente da 0.

simulazione - programmata

Possibilità di impostare un driver in modalità simulazione. Non viene stabilita la cumunicazione con il dispositivo, ma i valori sono calcolati da un progetto di simulazione programmabile. Il progetto di simulazione è creato con il Workbench zenon Logic e viene eseguito in zenon Logic Runtime.

simulazione - statica

Possibilità di impostare un driver in modalità di simulazione. In questo modo non viene stabilita la comunicazione con il dispositivo, ma tutti i valori vengono inizializzati con il valore 0.

simulazione progetto

E' possibile impostare in modalità di simulazione non solamente un singolo driver, ma l'intero progetto. Con una impostazione, tutti i dati runtime vengono copiati in un'immagine di simulazione, in modo che le operazioni di modifica in simulazione possano essere registrate ed eventualmente analizzate successivamente.

sistema operativo

Un sistema operativo è il software, che permette di utilizzare un computer. Gestisce le risorse di memoria, i dispositivi di input-output e il funzionamento dei programmi.

sistema S7-PDiag

Permette la configurazione di diagnostica di un processo per Siemens S7.

slider

Regolatore, la cui interazione consiste in un movimento lungo una scala definita su un asse.

slider universale

Elemento dinamico che visualizza un regolatore in varie situazioni. Il valori delle variabili possono essere visualizzati sotto forma di cursori, bargraph, display LED ecc.

Slot-PLC

PLC realizzato come PC-Card.

smartphone

o smartphone (in italiano telefono intelligente, cellulare intelligente, telefonino multimediale) è un telefono cellulare con capacità di calcolo, memoria e di connessione dati molto più avanzate rispetto ai normali telefoni cellulari, basato su un sistema operativo per dispositivi mobili.I primi smartphone combinavano le funzioni di un computer palmare, con quelle di un telefono mobile. I modelli più recenti si sono arricchiti della funzionalità di dispositivi multimediali in grado di riprodurre musica, scattare foto e girare video. Molti smartphone moderni inoltre sono dotati di touchscreen ad alta risoluzione e web browser che sono in grado di caricare sia normali pagine web sia siti web appositamente creati per i dispositivi mobili. Caratteristica diffusa è inoltre quella di poter installare funzionalità aggiuntive attraverso le cosiddette web app, scaricate dai rispettivi market di vendita.

SNMP

Protocollo diffuso per il monitoraggio e il protocollaggio delle operazioni di rete. Agenti SNMP (hardware e/o software) forniscono dati sulle attività di ciascun componente della rete (Hubs, Router, ponti ecc.) e le inviano alla MIB (Management Information Base) su un pc di controllo. I componenti vengono controllati in base alla raggiungibilità e alla possibilità di controllo.

Soft-PLC

Un Soft-PLC (Programmable Logic Controller software) è costituito da un PC o un microcontrollore, un software PLC e delle estensioni I / O o moduli di bus di campo, come per esempio Bus terminal.

SP

I Service Packs sono un insieme di risoluzioni di errori per una versione. Sono soggetti al processo completo di garanzia di qualità. Comprendono tutte le build rilasciate fino a quel momento. La Service Pack 0 è la prima versione ufficiale rilasciata per una nuova versione.

Splash Screen

Finestra con varie informazioni, che viene visualizzata all'avvio del programma.

SQL

Linguaggio di database per la definizione, l'interrogazione e la manipolazione di dati in database relazionali. SQL è standardizzato da ANSI e ISO e viene gestito da tutti i principali sistemi di banche dati. SQL comprende i seguenti linguaggi: Data Manipulation Language, Data Definition Language, Data Control Language.

SQL Server

Sistema di gestione di database relazionale su piattaforma Microsoft Windows, richiesto dall'editor per il salvataggio dati.

SSL

Secure Sockets Layer (SSL), nel campo delle telecomunicazioni e dell'informatica, è un protocollo crittografico che permette una comunicazione sicura su reti TCP/IP.

ST

Uno dei cinque linguaggi di programmazione definiti in IEC 61131. ST offre più possibilità rispetto all'AWL. In Step 7 viene chiamato SCL (Structured Control Language).

stampa online

Ogni inserimento nell'AML o nella CEL genera un output nella stampante definita.

Standby

Programma, che contiene tutti i dati e le connessioni attualmente presenti nel server, e che nel momento in cui quest'ultimo non funziona più, ne prende il posto.

Starter Edition

Moduli con funzionalità limitate, inclusi nel pacchetto base (escluso Windows CE).

Startup Tool

Programma per la gestione di diverse versioni sullo stesso PC. I componenti specifici per la versione, come il servizio di database, il transport service, gli elementi ActiveX ecc. possono essere registrati e avviati. Possono essere impostati diversi parametri come la lingua da utilizzare, parametri di avvio, il Server SQL utilizzato, il progetto di partenza ecc.

statistica d'allarme

Gestione degli allarmi (durata, frequenza, etc) con l'aiuto dell' Industrial Performance Analyzer.

stato

Stato attuale di un processo, un dispositivo, una variabile, ecc

stato del sistema

Informazioni di stato di un computer, per esempio il sistema operativo installato, il progetto di start impostato, la licenza, lo stato del Runtime ecc.

stato di allarme

Specifica se un allarme è "in attesa" o "terminato".

stato di avanzamento

Informazioni di stato, sull'esito di elaborazione della ricetta, per esempio 'in elaborazione', 'completata', 'errore' ecc.

stato Runtime

Informazione che notifica lo stato del Runtime, se in modalità hardware o in modalità simulazione.

Step 7

Software di programmazione per Siemens Simatic. STEP è acronimo di "STeuerung Einfach Programmieren" tradotto letteralmente "Programmare facilmente dispositivi".

stili

Consentono di estrarre, gestire, e applicare proprieta grafiche degli elementi di immagine. Gli stili sono sempre gestiti in un progetto globale.

stili & temi

Termine collettivo per la gestione di più aspetti per la progettazione in editor e per il loro impatto sulla rappresentazione a Runtime.

Stop bit

Un bit di Start e fino a due bit di Stop vengono utilizzati normalmente per la trasmissione dati seriale asincrona, per consentire una sincronizzazione al ricevente su ogni singolo carattere trasmesso.

Strategia di controllo

Una fase può essere parametrizzata in diverse esecuzioni. Durente ogni strategia di controllo, vengono attivati solo i parametri di comandi assegnati alla modalità operativa.

straton

Ambiente di programmazione flessibile di COPA-DATA per tutti i 5 linguaggi di programmazione IEC 61131-3: Sequential Function Chart (SFC), Function Block Diagram (FBD) / CFC, Ladder Diagram (LD), Structured Text (ST) e Instruction List (IL). Copre molte aree di automazione industriale: livello di controllo di processo (SCADA Logic), livello di controllo (soft-PLC) il livello di campo (straton embedded). Soft PLC e SCADA Logica e straton Workbench sono integrati nel sistema di controllo zenon di COPA-DATA.

straton RTK

Sistema runtime hard-realtime, che funziona indipendentemente dal sistema operativo.

straton Runtime

Permette di avviare progetti di straton indipendentemente dalla piattaforma, quindi indipendenti sia dall'hardware utilizzato che dal sistema operativo. Il Runtime riconosce la 'piattaforma', dove vengono avviati i progetti. Il Runtime non necessita del Workbench per funzionare.

Structured Control Language

Uno dei cinque linguaggi di programmazione definiti in IEC 61131. ST offre più possibilità rispetto all'AWL. In Step 7 viene chiamato SCL (Structured Control Language).

Structured Query Language

Linguaggio di database per la definizione, l'interrogazione e la manipolazione di dati in database relazionali. SQL è standardizzato da ANSI e ISO e viene gestito da tutti i principali sistemi di banche dati. SQL comprende i seguenti linguaggi: Data Manipulation Language, Data Definition Language, Data Control Language.

Strumento analogico

Elemento dinamico per rappresentare il valore di una variabile come in un dispositivo analogico, che utilizza un puntatore per la visualizzazione.

suddivisione assi

Definisce la quantita di suddivisioni per l'asse.

Supervisione globale

Tipo di immagine per la rappresentazione in miniatura di un'immagine di visualizzazione globale e per la navigazione all'interno della stessa.

Supervisory Control and Data Acquisition

Concetto per il monitoraggio e controllo di processi tecnici.


Symbols

Glossario -> Symbols

.NET

E' una piattaforma software sviluppata da Microsoft. Comprende un ambiente Runtime, delle librerie di interfacce di classi per programmatori (API), e specifici programmi (servizi). Questa piattaforma è disponibile solamente per Windows.

.NET Framework

Il Framework .NET è un modello di programmazione Microsoft per gestione codice, e la creazione di applicazioni con comunicazione trasparente e sicura, oltre alla possibilità di modellare una vasta gamma di processi aziendali. La versione corrente del Framework, la 3.5, include tra le altre cose le Windows Presentation Foundation (WPF), Windows Workflow Foundation (WF), Windows Communication Foundation (WCF), Windows CardSpace, LINQ e la piena integrazione con Visual Studio 2008.

[ms]

Unità di misura; rappresenta 1/1000 di secondo

3S

Produttore del CoDeSys. 3S è l'acronimo di Smart Software Solutions.


T

Glossario -> T

tabella di ricetta

Nella tabella di ricetta vengono visualizzate le ricette (standard o ricette-RGM) in formato tabellare. I valori di ricetta possono essere editati direttamente nella tabella.

TAG

Un TAG corrisponde ad una delle variabili esterne, indipendentemente dal tipo. Le variabili interne non vengono conteggiati come TAG. Le TAG vengono utilizzate esclusivamente per le licenze. Per la determinazione della licenza, viene conteggiata la somma delle TAG sui seguenti driver: ? tutti i driver su plc e BUSNon si contano: variabili interne (driver interno), e le variabili di processo ? Driver di sistema ? Driver matematico e ? Driver di simulazione

Tagged Image File Format

Il Tagged Image File Format è un formato di file per la memorizzazione dei dati di immagine. Il formato TIF è stato originariamente sviluppato da Aldus (1994 acquisita da Adobe) e Microsoft per la separazione dei colori per la grafica raster.

TAGs

Un TAG corrisponde ad una delle variabili esterne, indipendentemente dal tipo. Le variabili interne non vengono conteggiati come TAG. Le TAG vengono utilizzate esclusivamente per le licenze. Per la determinazione della licenza, viene conteggiata la somma delle TAG sui seguenti driver: ? tutti i driver su plc e BUSNon si contano: variabili interne (driver interno), e le variabili di processo ? Driver di sistema ? Driver matematico e ? Driver di simulazione

TAPI

Il Telephony Application Programming Interface (TAPI) è un API di Microsoft Windows, che consente l'integrazione tra telefono e computer e consente a PC con Microsoft Windows di utilizzare servizi telefonici.

Task

Un programma in VB-Script o in Java per il Process Control Engine (PCE).

tastiera

La tastiera è un dispositivo di input, che contiene come elementi di controllo un certo numero di tasti da premere.

tasto Backspace

Tasto che cancella i caratteri alla sinistra del cursore.

tasto Canc

Tasto che cancella i caratteri alla destra del cursore.

tasto Fine

Tasto che posiziona il cursore nell'ultima posizione possibile nel campo di inserimento.

tasto inizio

Pulsante, che posiziona il cursore nell'angolo in alto a sinistra dello schermo, o all'inizio di una casella di inserimento testo.

tasto Ins

Pulsante, che imposta degli inserimenti definiti tramite tastiera.

tasto Pag. giù

Tasto, che sposta il cursore verso il basso dalla posizione piu alta dello schermo.

tasto Pag. sù

Tasto, che sposta il cursore sullo schermo verso la parte alta dello stesso.

tavolozza dei colori

Una collezione di colori. Ai singoli colori può essere assegnato un nome ed possono essere assegnati ad ogni elemento nella proprietà 'colore'. La Tavolozza dei colori può essere selezionata sia in Editor che durante il Runtime.

TCP

Protocollo tramite il quale vengono scambiati dati tra computer. Tutti i sistemi operativi nei computer di ultima generazione supportano il TCP e lo utilizzano per lo scambio dati con altri computer. Il protocollo di trasporto è affidabile e orientato per le connessioni. Fa parte della famiglia di protocollo Internet, alla base di quest'ultimo.

TCP/IP

È una famiglia di protocolli di rete è per via della sua enorme importanza in campo Internet viene definita come la famiglia di protocolli Internet.

telegramma di dati

Pacchetto di dati, inviato tramite un mezzo di comunicazione ad un partner.

telegramma di lettura

Pacchetto di dati, invitato al dispositivo per leggere dei valori.

telegramma di scrittura

Pacchetto di dati, inviato ad un dispositivo per scrivere dei valori.

Temi

Riassumono gruppi di stile, con i quali è possibile modificare facilmente l'aspetto di una configurazione.

tempo assoluto di switch

Orario, dal quale è stato avviato un punto di switch.

tempo di ritardo dopo la perdita di connessione

Intervallo di tempo che intercorre tra l'interruzione di comunicazione e il successivo tentativo di ripristino.

tempo di switch

Definizione temporale di esecuzione un punto di switch.

tempo relativo

L'azione viene eseguita in relazione ad un evento.

Testo statico

Elemento vettoriale, che visualizza un testo statico.

Testo strutturato

Uno dei cinque linguaggi di programmazione definiti in IEC 61131. ST offre più possibilità rispetto all'AWL. In Step 7 viene chiamato SCL (Structured Control Language).

Tick

Graduazione di una scala o un asse. Di differenzia in tick principali e tick secondari.

tick principale

Suddivisione primaria di una scala o di un asse.

tick secondario

Suddivisione secondaria di una scala o di un asse.

TIF

Il Tagged Image File Format è un formato di file per la memorizzazione dei dati di immagine. Il formato TIF è stato originariamente sviluppato da Aldus (1994 acquisita da Adobe) e Microsoft per la separazione dei colori per la grafica raster.

TIFF

Il Tagged Image File Format è un formato di file per la memorizzazione dei dati di immagine. Il formato TIF è stato originariamente sviluppato da Aldus (1994 acquisita da Adobe) e Microsoft per la separazione dei colori per la grafica raster.

Time block

Forma un singolo periodo ininterrotto di un cambiamento di stato con servizio continuo ("produttivo" o "interruzione") e una durata. I Time block vengono utilizzati all'interno dei blocchi di spostamento.

timeout di connessione

Intervallo di tempo, durante il quale non vi è nessuna risposta o reazione dal dispositivo.

tipo dato strutturato

Struttura composita, formata da componenti raggruppati. Questi possono essere dati semplici o altri tipi di dati strutturati.

tipo di asse

Descrive, se la scalatura dell'asse deve essere logaritmica o lineare.

tipo di dato

Definisce i limti prefissati per un valore (valore minimo e massimo) con una quantità definita di valori possibili. Pertanto, i numeri reali possono essere mappati come numeri in virgola mobile solamente con una precisione ben definita.

tipo di dato collegato

Tipo di dato, collegato come elemento di struttura di un tipo di dato strutturato, ma a differenza del tipo di dato scollegato, contiene solamente un riferimento al tipo di dato originale.

tipo di dato IEC

Nella normativa IEC61131-3 tipi di dati semplici come INT, USINT ecc.

tipo di dato indipendente

Tipo di dato, incorporato in una struttura, ma a differenza di un tipo di dato collegato, è una copia del corrispondente tipo di dato semplice. Questo significa che tutte le proprietà dell'elemento di struttura sono modificabili.

tipo di dato scollegato

Tipo di dato, incorporato in una struttura, ma a differenza di un tipo di dato collegato, è una copia del corrispondente tipo di dato semplice. Questo significa che tutte le proprietà dell'elemento di struttura sono modificabili.

tipo di dato semplice

Tipo di dato, direttamente basato su un tipo di dato IEC e che integra le proprietà delle variabili come per esempio l'unità di misura, indirizzamento, valori limiti ecc. Tutte queste proprietà vengono ereditate delle variabili basate su questo tipo di dato.

tipo di immagine

Definisce il tipo di un'immagine e gli elementi standard a disposizione al suo interno. Per ogni tipo di immagine sono presenti specifici elementi (pulsanti, liste ecc.) per ogni singola funzionalità. In questo modo, per esempio, un'immagine di tipo 'Lista informazione Allarmi' avrà tutti gli oggetti necessari per filtrare e visualizzare gli allarmi.

tipo di oggetto del driver

Specifica un'area dati del dispositivo. Dipende generalmente dal produttore del PLC. Alcune aree possibili sono: Merker, Blocco dati, Holding Register ecc.

tipo di registrazione

Modalità di registrazione dei dati in un archivio. Modalità possibili: ciclica, spontanea o ad evento (trigger).

titolo di colonna

Titolo per una colonna in una tabella.

TLS

Transport Layer Security (TLS) e il suo predecessore Secure Sockets Layer (SSL), nel campo delle telecomunicazioni e dell'informatica, sono dei protocolli crittografici che permettono una comunicazione sicura dal sorgente al destinatario (end-to-end) su reti TCP/IP (come ad esempio Internet) fornendo autenticazione, integrità dei dati e cifratura operando al di sopra del livello di trasporto.

toccare

Sinonimo di 'cliccare' per le interfacce basate su Multitouch.

Touchscreen

Dispositivo di input, con il cui contatto è possibile interagire con parti delle immagini di un programma su un dispositivo, generalmente un computer.

traffico spontaneo di dati

Impostazione delle connessioni in una rete e trasferimento di dati solo su richiesta.

Transmission Control Protocol

Protocollo tramite il quale vengono scambiati dati tra computer. Tutti i sistemi operativi nei computer di ultima generazione supportano il TCP e lo utilizzano per lo scambio dati con altri computer. Il protocollo di trasporto è affidabile e orientato per le connessioni. Fa parte della famiglia di protocollo Internet, alla base di quest'ultimo.

Transmission Control Protocol/Internet Protocol

È una famiglia di protocolli di rete è per via della sua enorme importanza in campo Internet viene definita come la famiglia di protocolli Internet.

Transport Layer Security

Transport Layer Security (TLS) e il suo predecessore Secure Sockets Layer (SSL), nel campo delle telecomunicazioni e dell'informatica, sono dei protocolli crittografici che permettono una comunicazione sicura dal sorgente al destinatario (end-to-end) su reti TCP/IP (come ad esempio Internet) fornendo autenticazione, integrità dei dati e cifratura operando al di sopra del livello di trasporto.

Transportservice

Processo (zenSysSrv.exe), che funge da ricevitore per il trasporto remoto e che integra il Diagnose Server. Pertanto è necessario per l'esecuzione di tutte le applicazioni zenon.

Trasporto Remoto

Strumento che mette a disposizione diverse funzionalità per gestire un progetto su computer remoto: trasferimento dei dati Runtime, impostazione del progetto di partenza, avvio e arresto del Runtime ecc.

Trend esteso

Visualizza dati storici e online in forma di diagramma.

turno

Parte di un giorno lavorativo (vedi lavoro a turni)

TwinCAT

Permette di impostare ogni PC compatibile come dispositivo Real-Time per sistemi multi PLC, controllo assi NC, ambiente di programmazione e stazione operativa. Sostituisce i PLC convenzionali.


U

Glossario -> U

UDP

E' un protocollo di rete minimale, senza richiesta di connessione, che appartiene al livello di trasporto della famiglia di protocolli internet. Il ruolo del protocollo UDP, è di assegnare i dati trasportati via Internet, all'applicazione corretta. L'UDP stabilisce un servizio di trasporto senza connessione non affidabile. Questo significa che non vi è nessuna garanzia che un pacchetto, una volta inviato, arrivi a destinazione, e che i pacchetti arrivino nello stesso ordine con il quale sono stati inviati, o che il pacchetto arrivi solo una volta a destinazione. Un'applicazione che utilizza il protocollo UDP non deve essere sensibile ai pacchetti persi o non ordinati, o deve includere il controllo di queste condizioni.

Uniform Resource Identifier

La locuzione Uniform Resource Identifier (in acronimo URI) in informatica, si riferisce a una stringa che identifica univocamente una risorsa generica che può essere un indirizzo Web, un documento, un'immagine, un file, un servizio, un indirizzo di posta elettronica, ecc.L'URL è un URI, o più comunemente chiamato indirizzo web.Gli URI rendono disponibili le risorse secondo una varietà di protocolli quali HTTP, FTP, ecc.

Uniform Resource Locator

Acronimo di Uniform Resource Locator, identifica e localizza una risorsa tramite il protocollo utilizzato (p.e. HTTP o FTP) e la posizione della risorsa (ing. location) nella rete.

Unità organizzative

Gli oggetti Active Directory presenti all'interno di un dominio possono essere raggruppati fra loro in unità organizzative (Organizational Units - OUs). Utilizzando queste strutture è possibile formare una gerarchia all'interno del dominio e facilitarne così l'amministrazione, ad esempio suddividendo la struttura in termini geografici. Le unità organizzative sono il livello raccomandato per realizzare politiche di gestione dei gruppi, i quali sono oggetti Active Directory chiamati ufficialmente Group Policy Objects (GPOs), e per la delegazione di poteri amministrativi.

URI

La locuzione Uniform Resource Identifier (in acronimo URI) in informatica, si riferisce a una stringa che identifica univocamente una risorsa generica che può essere un indirizzo Web, un documento, un'immagine, un file, un servizio, un indirizzo di posta elettronica, ecc.L'URL è un URI, o più comunemente chiamato indirizzo web.Gli URI rendono disponibili le risorse secondo una varietà di protocolli quali HTTP, FTP, ecc.

URL

Acronimo di Uniform Resource Locator, identifica e localizza una risorsa tramite il protocollo utilizzato (p.e. HTTP o FTP) e la posizione della risorsa (ing. location) nella rete.

User Datagram Protocol

E' un protocollo di rete minimale, senza richiesta di connessione, che appartiene al livello di trasporto della famiglia di protocolli internet. Il ruolo del protocollo UDP, è di assegnare i dati trasportati via Internet, all'applicazione corretta. L'UDP stabilisce un servizio di trasporto senza connessione non affidabile. Questo significa che non vi è nessuna garanzia che un pacchetto, una volta inviato, arrivi a destinazione, e che i pacchetti arrivino nello stesso ordine con il quale sono stati inviati, o che il pacchetto arrivi solo una volta a destinazione. Un'applicazione che utilizza il protocollo UDP non deve essere sensibile ai pacchetti persi o non ordinati, o deve includere il controllo di queste condizioni.

utente

Persona che lavora con un software. Ad un utente possono essere assegnati degli attributi come 'Nome utente', 'Password' ecc. come pure dei diritti di accesso in forma di gruppi di autorizzazione.


V

Glossario -> V

valore analogico

Valore che può assumere un gran numero di stati. Il numero degli stati (o valori) viene ricavato dal tipo di dato.

valore assoluto

Il valore assoluto è sempre un numero reale non nevativo corrispondente alla distanza da zeno (per numeri reali o complessi).

valore attuale

Valore di una variabile al momento dell'interrogazione.

valore attuale

Valore temporaneamente visualizzato nell'immagine di processo. Può essere il valore spontaneo, il valore di riserva e il valore di disturbo (stato con NV-BIT).

valore booleano

Valore che può assumere solamente due stati, per esempio 0 o 1, High o Low, ecc.

valore di ricetta

Il valore di ricetta è il valore che viene inviato al dispositivo durante la procedura di impostazione ricetta. Durante la rilettura dal dispositivo, il valore di ricetta viene sostituito con il valore attuale dal PLC.

Valore di riserva

Il valore di riserva può avere molteplici funzioni. La prima per esempio è, durante il riempimento degli archivi, la scrittura del valore di riserva della variabile come predefinito. Inoltre l'utente può sostituire in visualizzazione il valore corrente della variabile con quello di riserva. Il valore non viene scritto sull'hardware ma rimane esclusivamente nell'immagine di processo. Questo valore poi verra utilizzato ed elaborato da tutti i moduli di zenon.

valore impostabile

Valore, che viene trasferito al dispositivo, e che sovrascrive il valore esistente.

valore massimo

Massimo valore possibile.

valore max.

Massimo valore possibile.

valore minimo

Minimo valore possibile.

valore numerico

Valore che può assumere un gran numero di stati. Il numero degli stati (o valori) viene ricavato dal tipo di dato.

Valore numerico

Elemento dinamico per la visualizzazione dei valori di una variabile in forma numerica.

valore online

Valore attuale di una variabile.

valore relativo

Variazione di un valore assoluto in un dato intervallo. Contrariamente al valore assoluto, il valore relativo viene impostato a 0 dopo ogni intervallo. Cosi non si possono verificare valori non validi in caso di overflow o di modifica.

valore spontaneo

Valore attuale della variabile, che coincide con il valore nel dispositivo, che definisce che il valore non è disturbato (NV-Bit), che non è impostato come stato di revisione e che non è il valore di riserva.

variabile

Una variabile rappresenta un valore nella memoria del sistema di controllo. Ci sono le variabili interne ed esterne. Le variabili sono create sulla base di un tipo di dato e di un oggetto del driver per la quale viene creata. Le variabili hanno memorizzate molte proprietà centralizzate , che vengono utilizzate in diversi punti nel sistema di controllo. Per esempio, nell'editor, alcune funzioni configurabili sono l'unità di misura. A Runtime oltre al valore fanno parte della variabile anche Timestamp e stato.

variabile analogica

Variabile il cui valore è costituito da cifre. La rappresentazione può essere in decimale, ottale, binario o esadecimale.

variabile grafica di ricetta

Consente a Runtime di modificare valori di ricetta in un'immmagine standard.

variabile numerica

Variabile il cui valore è costituito da cifre. La rappresentazione può essere in decimale, ottale, binario o esadecimale.

variabile semplice

Variabile creata sulla base di un tipo di dato semplice.

variabile string

Variabile, il cui valore è costituito da una sequenza di caratteri alfanumerici.

variabile strutturata

Variabile basata su un tipo di dato strutturato.

variabile trigger

Variabile, che tramite il cambio valore innesca un'operazione p.e. l'esecuzione di una attribuzione o il salvataggio di valori in un archivio.

velocità di scansione

Specifica la frequenza, con la quale un segnale viene campionato in ogni intervallo.

verifica valore ricetta

Esegue un confronto tra il valore di ricetta nel sistema di controllo e il valore nel dispositivo (PLC). Se i valori corrispondono, il valore viene evidenziato con sfondo verde, se sono diversi, con sfondo rosso.

VGA

Descrive uno standard di computer grafica (EISA, 1987), che definisce combinazioni ben definite di risoluzione delle immagini e dei colori (profondità di bit di colore) cosi come la frequenza di refresh. Oggi è presente per la maggiore, la risoluzione VGA 640 x 480 pixel.

Video

Tipo di immagine per la visualizzazione di un file AVI o uno stream video online. I dati on-line possono essere salvati come file AVI o BMP.

Video Graphics Array

Descrive uno standard di computer grafica (EISA, 1987), che definisce combinazioni ben definite di risoluzione delle immagini e dei colori (profondità di bit di colore) cosi come la frequenza di refresh. Oggi è presente per la maggiore, la risoluzione VGA 640 x 480 pixel.

Vista

Sistema operativo della Microsoft. Successore di Windows XP.

visualizzare

Dal latino 'visualis', 'per visualizzare correttamente'. In generale definisce la visualizzazione di situazioni astratte con mezzi ottici, l'editing visuale, la presentazione e la comunicazione di informazioni e comprente tutte le forme di visualizzazione e di rappresentazione. Visualizzazione non significa solo illustrazione, ma esprime contenuti complessi con mezzi proprietari.

visualizzatore data

Elemento di controllo che visualizza una data variabile.

visualizzazione

Dal latino 'visualis', 'per visualizzare correttamente'. In generale definisce la visualizzazione di situazioni astratte con mezzi ottici, l'editing visuale, la presentazione e la comunicazione di informazioni e comprente tutte le forme di visualizzazione e di rappresentazione. Visualizzazione non significa solo illustrazione, ma esprime contenuti complessi con mezzi proprietari.

visualizzazione calendario

Elemento di controllo, che visualizza un calendario per la selezione di una data.

visualizzazione dettagli

Fornisce i dettagli dei moduli per la modifica nel Manager di progetto.

Visualizzazione globale

Immagine di dimensioni piu grandi rispetto all'area di visualizzazione del monitor (= dimensioni del modello). E' in grado di creare un'immagine in miniatura, in modo da rappresentare anche aree d'impianto molto estese. La visualizzazione globale comprende funzionalità di zoom e di decluttering, ovvero la possibilità di viualizzare o nascondere degli elementi a seconda del livello di zoom selezionato. La visualizzazione globale include inoltre la possibilità di impostare dei mark sugli elementi: se un oggetto viene selezionato a runtime, è possibile visualizzarlo al centro della pagina e evidenziarlo.

visualizzazione tempo

Elemento di controllo, che visualizza un inserimento di tempo modificabile.

voce di menù

Comando che viene messo a disposizione in un menù come parola chiave e/o simbolo.

VRAM

Descrizione di un tipo di memoria volatile utilizzata nelle schede grafiche, indipendentemente dalla tecnologia di salvataggio. La VRAM è una memoria DRAM con doppio ingresso. Al momento è praticamente obsoleta, sostituita da SDRAM e SGRAM.


W

Glossario -> W

Wakos

Prende gli allarmi del sistema di controllo di processo e e li rappresenta tramite l'interfaccia SAP-RFC in un sistema SAP ERP. I messaggi di allarme del sistema di controllo sono memorizzati in un database per una successiva analisi. La rappresentazione viene presentata su una lista, in cui è possibile classificare i. Solo gli allarmi gravi ( "Grossstörungen)" vengono inseriti nel sistema SAP.

watchdog

l watchdog o watchdog timer (in italiano: "temporizzazione di supervisore" - letteralmente: "cane da guardia") è un sistema di temporizzazione hardware che permette alla CPU la rilevazione di un loop infinito di programma o di una situazione di deadlock.Tale rilevazione può consentire di prendere dei provvedimenti per correggere la situazione, generalmente effettuando un reset del sistema. Possono essere implementati watchdog più complessi che consentano la memorizzazione delle informazioni di contesto per effettuare il debugging delle applicazioni che lo hanno causato. In questo caso un secondo watchdog più semplice dovrà assicurarsi che, se il primo non portasse a termine il suo compito in un determinato lasso di tempo, il sistema comunque venga resettato.Particolari watchdog possono innescare inoltre azioni di sistemi di controllo per effettuare operazioni di messa in sicurezza di apparati secondari come ad esempio, spegnimento di motori, alimentazioni o altro, in attesa che la condizione di errore venga eliminata.

watchdog timer

l watchdog o watchdog timer (in italiano: "temporizzazione di supervisore" - letteralmente: "cane da guardia") è un sistema di temporizzazione hardware che permette alla CPU la rilevazione di un loop infinito di programma o di una situazione di deadlock.Tale rilevazione può consentire di prendere dei provvedimenti per correggere la situazione, generalmente effettuando un reset del sistema. Possono essere implementati watchdog più complessi che consentano la memorizzazione delle informazioni di contesto per effettuare il debugging delle applicazioni che lo hanno causato. In questo caso un secondo watchdog più semplice dovrà assicurarsi che, se il primo non portasse a termine il suo compito in un determinato lasso di tempo, il sistema comunque venga resettato.Particolari watchdog possono innescare inoltre azioni di sistemi di controllo per effettuare operazioni di messa in sicurezza di apparati secondari come ad esempio, spegnimento di motori, alimentazioni o altro, in attesa che la condizione di errore venga eliminata.

Webserver

Servizio, che invia documenti ai client collegati, p.e. un browser Web.

WibuKey

Sistema di protezione software di Wibu-System

Windows CE

Windows CE è una famiglia di sistemi operativi Microsoft per i computer palmari e sistemi embedded. È simile per funzionalità a Windows per PC, ma usa un kernel diverso. Pertanto, i normali programmi per Windows non funzionano. CE supporta le architetture di processore Intel x86, MIPS, ARM (Intel PXA), e Hitachi SuperH. Può essere usato come un sistema operativo hard real time. Esistono versioni specifiche del Runtime per diverse versioni di CE e di processori.

Windows Phone

Windows Phone (abbreviato WP) è una famiglia di sistemi operativi proprietari sviluppati da Microsoft. Rivolti al mercato consumer, pur riprendendo alcune caratterische dal predecessore Winodws Mobile, questa famiglia si presenta radialmente ridisegnata nell'interfaccia e nella struttura: dopo il debutto su Windows Phone (Smartphone), il suo utilizzo si è poi esteso a tutto l'ecosistema Microsoft, comprendendo il sistema operativo Windows 8 e le dashboard di XBox 360 e One.

Windows Start Screen

Sostituisce il menu Start in Windows 8. Contiene Apps, pagine web e altre informazioni e impostazioni, configurabili dall'utente.

Windows Vista

Sistema operativo della Microsoft. Successore di Windows XP.

Windows XP

Sistema operativo di Microsoft. XP sta per "eXPerience".

Windows XP Embedded

Sistema operativo Microsoft. Derivato da Windows XP Professional, ma si differenzia da Windows CE/pocket PC in quanto è indirizzato ad una diversa categoria di Hardware. Windows XP Embedded funziona solamente su dispositivi x86.

Wizard

Lavora tramite una parametrizzazione e consente la semplice creazione di oggetti complessi. A differenza dei Wizards, gli assisenti sono integrati direttamente nel prodotto e non possono essere adattati.

Wizard

Programma VBA, utilizzato durante la progettazione e che può creare e modificare degli oggetti. Tutti i Wizards sono dispnibili come codice sorgente e possono essere personalizzati.

Wizard-VBA

Programma VBA, utilizzato durante la progettazione e che può creare e modificare degli oggetti. Tutti i Wizards sono dispnibili come codice sorgente e possono essere personalizzati.

Workspace

Area di lavoro dell'editor, nel quale vengono raggruppati i progetti. Solamente progetto inseriti in un'area di lavoro possono essere elaborati.


X

Glossario -> X

XML

Extensible Markup Language - è un linguaggio di markup per la rappresentazione di dati gerarchicamente strutturati sotto forma di file di testo.

XP Embedded

Sistema operativo Microsoft. Derivato da Windows XP Professional, ma si differenzia da Windows CE/pocket PC in quanto è indirizzato ad una diversa categoria di Hardware. Windows XP Embedded funziona solamente su dispositivi x86.


Y

Glossario -> Y


Z

Glossario -> Z

zoom avanti

Concentrarsi su una parte di immagine e di ampliare le dimensioni della suddetta parte. 100% significa che ogni pixel dell'immagine corrisponde esattamente a un pixel sullo schermo.

zoom indietro

Concentrarsi su una parte di immagine e di ampliare le dimensioni della suddetta parte. 100% significa che ogni pixel dell'immagine corrisponde esattamente a un pixel sullo schermo.

zoom slider

Regolatore grafico lineare con il quale è possibile modificare i livelli di zoom.


Nel caso in cui non riusciate a trovare la soluzione ad un problema specifico, Vi preghiamo di rivolgervi al nostro supporto tecnico o di usare il nostro forum online.

Support Teams

In qualità di utente del contratto di manutenzione Basic (è contenuto gratuitamente in ogni licenza) potete raggiungere il support nel modo migliore mandando una mail a support@copadata.com.
Le informazioni relative alla possibilità di contattare telefonicamente il nostro support le trovate anche sulla nostra Website: Disponibilità del support

Se avete un contratto di manutenzione Advanced o Premium usate il numero di telefono che trovate nel Vostra contratto.

Le informazioni reltive ai contratti di manutenzione COPA-DATA le ricevete dai nostri consulenti usando l'indirizzo sales@copadata.com.

Forum

Molte informazioni e aiuto da parte di utenti e esperti di COPA-DATA le trovate anche in COPA-DATA Forum.

Downloads

Utenti in possesso di un qualsiasi contratto di manutenzione possono trovare sulla Website di COPA-DATA dei manuali, tutorial e video dascaricare.
Gli utenti in possesso di contratti Advanced e Premium hanno accesso online anche a Service Pack, esempi VBA e workshop.

Per scaricare dei file bisogna essere registrati come 'Membri'. La registrazione è gratuita e Vi consente di accedere ad informazioni che sono riservate alla nostra clientela.


zenon Logic Runtime supports the "printf" function to track messages whilst the program is being executed. These messages are displayed in the output window of the Workbendh. To do this, the Workbench be online in zenon Logic Runtime.

However this only works if, in the Diagnosis Viewer, the logging level "Messages" is active for all modules on the diagnosis client. You can find details on these logging levels in the Tools Diagnosis Viewer manual, in the Diagnose Client section.

The printf command works with the simulator of the zenon Logic Workbench without additional configuration.


Example of code for logging in to an Everywhere Server:

// get authentication information from the user interface

String userName = arg0[0].getString("UserName");

String password = arg0[0].getString("Password");

String server = arg0[0].getString("Server");

String project = arg0[0].getString("Project");

String port = arg0[0].getString("Port");

Date curTime = new Date();

// full username -> as described

String fullUserName = Long.toHexString(curTime.getTime())+"|"; // 8 digit hex timestamp

fullUserName = fullUserName + Settings.Secure.ANDROID_ID +"|";

fullUserName = fullUserName + userName;

// set the authentication to basic https (OClientBehaviour from odata4j)

OClientBehavior authBehavior = OClientBehaviors.basicAuth(fullUserName, "=" + password);

OClientBehavior allowSelfSignedBehavior = AllowSelfSignedCertsBehavior.allowSelfSignedCerts();

// Consumer declaration: private ODataConsumer consumer;

// here the url to the server has to be inserted

// we have https:"the server IP or name":Portnumber(for HTTPS 8050)/zendata(fixed)/Projectname

consumer = ODataConsumers.newBuilder("https://"+server+":"+port+"/zendata/"+project).setClientBehaviors

(authBehavior, allowSelfSignedBehavior).build();


Receiving alarms

The example shows how alarms are updated. This syntax can also be used for the other data types In the same way.

private class RequestPollAlarmsTask extends ConnectionTask{

public RequestPollAlarmsTask(EverywhereConnectionHandler handler) {

super(handler);

}

@Override

protected Void doInBackground(Bundle... arg0) {

try {

lock.acquire();

} catch (InterruptedException e1) {

// TODO Auto-generated catch block

e1.printStackTrace();

}

int updateIntervall = arg0[0].getInt("Intervall");

String filter = arg0[0].getString("Filter");

try

{

// Consumer declaration: private ODataConsumer consumer;

// alarms declaration: private Enumerable <OEntity>

alarms = consumer.getEntities("Alarms").expand("Variable").execute();

isConnected=true;

}

catch (Exception e)

{

isConnected=false;

connectionException=e;

}

lock.release();

return null;

}


Nell´Editor, il driver salva la sua configurazione nel file TXT, come definito in Configuration file name. Nel Runtime, il driver acquisisce la sua configurazione dalla copia del file messa a disposizione dall´Editor.

Struttura di un file di configurazione del driver

Riga | Descrizione
1 | Numero dei server configurati
2 – (m-1) | Configurazione server (vedi configurazione del server)
m – n | Eventuale (i) ulteriore (i) configurazione (i) del server

Configurazione server

Riga | Descrizione | Esempio
1 | Inizio di una configurazione server (= *** SERVER ***) | *** SERVER ***
2 | Numero di item in questa configurazione server; abbreviato: CNTSRVITEMS | 44
3 | Indirizzo di rete/bus | 1
4 | Nome server | RELAY1
5 | Indirizzo IP primario | 192.168.250.22
6 | Porta IP primaria | 102
7 | Polling rate Intervallo di lettura in millisecondi | 1000
8 | Calling AE qualifier | 12
9 | Called AE qualifier | 12
10 | Calling AP title[0] | 1
11 | Called AP title[0] | 1
12 | Calling AP title[1] | 1
13 | Called AP title[1] | 1
14 | Calling AP title[2] | 1
15 | Called AP title[2] | 999
16 | Calling AP title[3] | 999
17 | Called AP title[3] | 1
18 | Calling AP title[4] | -1
19 | Called AP title[4] | 1
20 | Calling AP title[5] | -12851
21 | Called AP title[5] | -1
22 | Calling AP title[6] | -12851
23 | Called AP title[6] | -12851
24 | Calling AP title[7] | -12851
25 | Called AP title[7] | -12851
26 | Calling AP title[8] | -12851
27 | Called AP title[8] | -12851
28 | Calling AP title[9] | -12851
29 | Called AP title[9] | -12851
30 | Max. auto used URCBs Numero massimo di Unbuffered Reports (URCBs), che il driver attiva con assegnazione automatica per Logical Device | 10
31 | * - in configurazioni più recenti Con la vecchia configurazione: nomi dei Buffered Reports (BRCBs) asegnati, separati da virgole. | *
32 | Use preconfigured (SCL) options 0 = vengono usate le impostazioni RCB (TrgOps, OptFlds, IntgPd, BufTm) configurate successivamente 1 = vengono utilizzate le impostazioni RCB già preconfigurate nel server IEC61850 (nel suo file SCL). | 0
33 | Use Report-ID for RCB assignment 0 = le istanze RCB del server vengono identificate per nome. 1 = invece del nome del report, viene utilizzato il Report ID nella finestra di dialogo per il RCB assignment. | 0
34 | Use Authentication 0 = non viene usata l´ISO-Authentication 1 = quando la connessione viene stabilita, il driver invia l´Authentication String | 0
35 | Authentication String |
36 | Indirizzo IP alternativo |
37 | Porta IP alternativa | 0
38 | TrgOp data-change: 0 = inattiva; 1 = attiva | 1
39 | TrgOp quality-change: 0 = inattiva; 1 = attiva | 1
40 | TrgOp data-update: 0 = inattiva; 1 = attiva | 0
41 | TrgOp integrity: 0 = inattiva; 1 = attiva | 0
42 | TrgOp general-interrogation: 0 = inattiva; 1 = attiva | 1
43 | GetNameList on DO 0 = Normale GetNameList 1 = il driver legge il modello a oggetti richiedendo gli oggetti dati (DO) per ogni Logical Node esistente nel server, e per ogni Functional Constraint (FC) definito nello standard IEC61850. | 0
44 | Integrity Period | 7000
45 | Buffer Time | 500
46 | OptFlds Optional fields del RCB | 73
47 | RCBs enable reties Ciclo (in secondi) in cui viene fatto un nuovo tentativo di attivare RCBs non attivati con successo. Presente solo se CNTSRVITEMS > è = 45 | 7
48 | Automatic Watchdog | 1
49 | Data consistency scan | 300
50 | Use SCADA network orIdend | 0
51 | Numero delle configurazioni client |
52 – (m-1) | Configurazione client (vedi configurazione del client) |
m – n | Eventuali ulteriori configurazioni client. |

Configurazione client

Riga | Descrizione | Beispiel
1 | Inizio di una configurazione client (= *** CLIENTCFG ***) | *** CLIENTCFG ***
2 | Numero degli Items in questa configurazione client. | 1
3 | Hostname (RT computer name) Nome del computer su cui viene eseguito il driver che riceve i report. | WKS007
4 | ClientLN.iedName | SCADA_Server1
5 | orIdent |
6 | Numero delle configurazioni RCB | 2
7 – (i-1) | Configurazione RCB (vedi configurazione RCB) |
i – (j-1) | Eventuali ulteriori configurazioni RCB |
j | Numero delle configurazioni dataset dinamici |
k – (l-1) | Configurazione dataset dinamici (vedi configurazione dataset dinamica) |
l – m | Eventuale ulteriore configurazione dataset dinamico |

Configurazione RCB

Riga | Descrizione | Esempio
1 | Inizio di una configurazione RCB (= *** RCBCFG ***) | *** RCBCFG ***
2 | Numero di item in questa configurazione RCB | 2
3 | Nome o ID RCB . | UP_CTRL/LLN0/urcb_QxCSWI1_Pos02[RP]
4 | Nome del dataset dinamico | NEW_DYN_DATASET

Configurazione dataset dinamico

Riga | Descrizione | Esempio
1 | Inizio di un dataset dinamico (= *** DATASET ***) | *** DATASET ***
2 | Numero di item in questa configurazione dataset dinamico | 1
3 | Nome del dataset dinamico | NEW_DYN_DATASET
4 | Numero dei Object References del dataset dinamico | 2
5 | Object Reference | UPCTRL/Q1CSWI1$CF$Pos
6 – n | Eventuali ulteriori Object Reference. | UPCTRL/Q1CSWI1$ST$Pos


HLP_FKT_ACM_RSP

Interno ID: HLP_FKT_ACM_RSP

Salva buffer AML-CEL

Questa funzione salva gli allarmi e gli eventi attuali nei file ALARM.BIN e CEL.BIN.

Ulteriori informazioni nella guida in linea


HLP_FKT_ALARM_BLINK_QUIT

Interno ID: HLP_FKT_ALARM_BLINK_QUIT

Ripristina lampeggio allarmi

Questa funzione ripristina il lampeggio di tutti gli elementi dell'immagine aperta attualmente di un modello selezionato.

Ulteriori informazioni nella guida in linea


HLP_FKT_ALARM_GRP_KLASSEN

Interno ID: HLP_FKT_ALARM_GRP_KLASSEN

Lista informazione allarmi, Gruppi/Classi d' allarme/eventi attivazione/disattivazione

Questa funzione attiva o disattiva un gruppo di allarmi/eventi o una classe di allarmi/eventi, oppure la completa gestone allarmi.

Ulteriori informazioni nella guida in linea


HLP_FKT_ALARM_GRUPPEN_VERB

Interno ID: HLP_FKT_ALARM_GRUPPEN_VERB

Collegare/scollegare gruppo allarmi/eventi

Questa funzione attiva o disattiva il collegamento con il PLC in relazione ad un gruppo di allarmi/eventi selezionato.

Ulteriori informazioni nella guida in linea


HLP_FKT_AML_AUS

Interno ID: HLP_FKT_AML_AUS

Disattiva allarmi

Questa funzione disattiva la completa gestione allarmi.

Ulteriori informazioni nella guida in linea


HLP_FKT_AML_DEL

Interno ID: HLP_FKT_AML_DEL

Elimina allarmi

Questa funzione cancella allarmi filtrati.

Ulteriori informazioni nella guida in linea


HLP_FKT_AML_EIN

Interno ID: HLP_FKT_AML_EIN

Attiva allarmi

Questa funzione attiva la completa gestione allarmi.

Ulteriori informazioni nella guida in linea


HLP_FKT_AML_EXP

Interno ID: HLP_FKT_AML_EXP

Esporta allarmi

Questa funzione esporta inserimenti filtrati della lista allarmi in un formato esterno.

Ulteriori informazioni nella guida in linea.


HLP_FKT_AML_QTT

Interno ID: HLP_FKT_AML_QTT

Ripristina allarmi

Questa funzione ripristina allarmi filtrati.

Ulteriori informazioni nella guida in linea


HLP_FKT_AML_TGL

Interno ID: HLP_FKT_AML_TGL

Attiva/disattiva allarmi

Questa funzione attiva o disattiva la completa gestione allarmi.

Ulteriori informazioni nella guida in linea


HLP_FKT_ANALYZER_REPORT_CREATE

Interno ID: HLP_FKT_ANALYZER_REPORT_CREATE

Analyzer: crea report

Questa funzione instaura un collegamento con un server Analyzer, consente la configurazione di un report nell´Editor, nonché la creazione ed il salvataggio del report nel runtime.

Ulteriori informazioni nella guida in linea.


HLP_FKT_APP_HELP

Interno ID: HLP_FKT_APP_HELP

Apri Guida

Questa funzione apre una pagina di help selezionata da un file CHM.

Ulteriori informazioni nella guida in linea


HLP_FKT_APP_PALETTESWITCH

Interno ID: HLP_FKT_APP_PALETTESWITCH

Cambia tavolozza colori

Crea una funzione per passare durante il runtime da una tavolozza all´altra.

Ulteriori informazioni nella guida in linea.


HLP_FKT_APP_RT_PROFILES

Interno ID: HLP_FKT_APP_RT_PROFILES

Profilo Runtime

Crea una funzione con la quale può essere aperta durante il runtime la gestione profili, può essere creato un profilo o ne può essere caricato uno esistente.

Ulteriori informazioni nella guida in linea.


HLP_FKT_APP_SAVE_REMDATA

Interno ID: HLP_FKT_APP_SAVE_REMDATA

Salvataggio dati ritentivi

Consente di salvare i dati per i moduli configurati. Sono a disposizione: Buffer circolare AML, buffer circolare CEL, driver di sistema e driver matematico, driver interno, immagini ritentive di tutti i driver, blocco del comando.

Ulteriori informazioni nella guida in linea.


HLP_FKT_APP_TEXT_LISTE

Interno ID: HLP_FKT_APP_TEXT_LISTE

Cambio lingua

Questa funzione va nell'ambito di progetti realizzati in più lingue ad una lingua selezionata.

Ulteriori informazioni nella guida in linea


HLP_FKT_APP_UNITS_SWITCH

Interno ID: HLP_FKT_APP_UNITS_SWITCH

Cambio unità di misura

Questa funzione passa dall´unità di base all´unità convertita e viceversa. L´assegnazione avviene in un dialogo che viene visualizzato al momento della creazione della funzione; essa può essere modificata mediante la proprietà parametro.

Ulteriori informazioni nella guida in linea.


HLP_FKT_ARV_AKT

Interno ID: HLP_FKT_ARV_AKT

Mostra archivi attivi

Questa funzione mostra una lista degli archivi attivi del modulo opzionale Archiviazione.

Ulteriori informazioni nella guida in linea


HLP_FKT_ARV_AUS

Interno ID: HLP_FKT_ARV_AUS

Termina archivio

Questa funzione chiude un archivio selezionato del modulo opzionale Archiviazione.

Ulteriori informazioni nella guida in linea


HLP_FKT_ARV_EIN

Interno ID: HLP_FKT_ARV_EIN

Partenza archivio

Questa funzione apre un archivio selezionato del modulo opzionale Archiviazione.

Ulteriori informazioni nella guida in linea


HLP_FKT_ARV_EXP

Interno ID: HLP_FKT_ARV_EXP

Esporta archivio

Questa funzione esporta inserimenti archivi filtrati del modulo opzionale Archiviazione in un formato esterno.

Ulteriori informazioni nella guida in linea


HLP_FKT_ARV_IND

Interno ID: HLP_FKT_ARV_IND

Indicizza file d'archivio

Questa funzione serve ad indicizzare archivi. Viene sempre eseguita sul server che gestisce il processo.

Ulteriori informazioni nella guida in linea


HLP_FKT_BATCH_CR_CREATE

Interno ID: HLP_FKT_BATCH_CR_CREATE

Produci ricetta di controllo

Consente di creare durante il Runtime una ricetta di controllo predefinita nell´Editor.

Ulteriori informazioni nella guida in linea.


HLP_FKT_BATCH_RECIPE_EXPORT

Interno ID: HLP_FKT_BATCH_RECIPE_EXPORT

Importa ricette Batch

Questa funzione importa ricette da un file XML.

Ulteriori informazioni nella guida in linea.


HLP_FKT_BATCH_RECIPE_IMPORT

Interno ID: HLP_FKT_BATCH_RECIPE_IMPORT

Esporta ricette Batch

Questa funzione esporta ricette come file XML.

Ulteriori informazioni nella guida in linea.


HLP_FKT_BATCH_STATE_CMD

Interno ID: HLP_FKT_BATCH_STATE_CMD

Comandi ricetta-/esecuzione cambio modalità

Consente di inviare durante il Runtime comandi di gestione all´esecuzione batch.

Ulteriori informazioni nella guida in linea.


HLP_FKT_BEDIENBERECHTIGUNG

Interno ID: HLP_FKT_BEDIENBERECHTIGUNG

Autorizzazione di rete

Questa funzione prende o concede la autorizzazione in rete.

Ulteriori informazioni nella guida in linea


HLP_FKT_BILD

Interno ID: HLP_FKT_BILD

ERROR, No name defined!

Descrizione in forma di testo


HLP_FKT_BILD_AUS

Interno ID: HLP_FKT_BILD_AUS

Chiudi immagine

Questa funzione chiude un'immagine selezionata.

Ulteriori informazioni nella guida in linea


HLP_FKT_BILD_EIN

Interno ID: HLP_FKT_BILD_EIN

Cambio immagine

Questa funzione apre un'immagine selezionata. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


HLP_FKT_BILD_FOKUS

Interno ID: HLP_FKT_BILD_FOKUS

Imposta focus

Questa funzione setta l'impostazione di focus su un elemento determinato in un'immagine, il cui modello ha la focalizzazione.

Ulteriori informazioni nella guida in linea


HLP_FKT_BILD_MENU

Interno ID: HLP_FKT_BILD_MENU

Visualizza menu

Questa funzione apre o chiude un menù principale selezionato. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


HLP_FKT_BILD_MITTE

Interno ID: HLP_FKT_BILD_MITTE

Spostare il centro dell'immagine

Questa funzione effettua uno scroll o uno zoom in un'immagine globale.

Ulteriori informazioni nella guida in linea


HLP_FKT_BILD_SW_KDBMDI

Interno ID: HLP_FKT_BILD_SW_KDBMDI

Valore impostabile predefinito per immagine Keyboard

Questa funzione imposta per un´immagine del tipo Keyboard un valore predefinito (valore proposto), oppure setta un valore predefinito e chiude l´immagine.

Ulteriori informazioni nella guida in linea


HLP_FKT_BILD_VAR

Interno ID: HLP_FKT_BILD_VAR

Cambio immagine con variabile

Mediante questa funzione viene selezionata una variabile che contiene il nome dell´immagine da aprire.

Ulteriori informazioni nella guida in linea.


HLP_FKT_BILD_ZURUECK

Interno ID: HLP_FKT_BILD_ZURUECK

Immagine indietro

Questa funzione ritorna all'immagine precedentemente aperta del modello selezionato.

Attenzione: indipendentemente dalla selezione nella funzione, il sistema tiene conto nel Runtime solo di quei modelli che sono stati definiti nella proprietà di progetto Modello principale, nel gruppo Rappresentazione grafica/Runtime generale!

Ulteriori informazioni nella guida in linea.


HLP_FKT_CEL_EXP

Interno ID: HLP_FKT_CEL_EXP

Esporta: lista CEL

Questa funzione esporta inserimenti filtrati della Lista eventi cronologica (CEL) in un formato esterno.

Ulteriori informazioni nella guida in linea.


HLP_FKT_CHANGE_ALC_COLOR

Interno ID: HLP_FKT_CHANGE_ALC_COLOR

Modifica colore sorgente ALC

Funzione per la configurazione del colore sorgente ALC nel caso di ricerca di errori in reti elettriche.

Ulteriori informazioni nella guida in linea.


HLP_FKT_DATEIOPERATION

Interno ID: HLP_FKT_DATEIOPERATION

Operazioni file

Questa funzione copia, cancella o sposta file selezionati. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


HLP_FKT_DBASE_READ

Interno ID: HLP_FKT_DBASE_READ

Leggi file dBase

Questa funzione legge un file dBase selezionato e lo esegue come una ricetta.

Ulteriori informazioni nella guida in linea


HLP_FKT_DEL_PIC_BACK_PATH

Interno ID: HLP_FKT_DEL_PIC_BACK_PATH

Bild zurück-Pfad löschen

Questa funzione cancella il percorso della funzione Immagine indietro .

Ulteriori informazioni nella guida in linea.


HLP_FKT_DIAGRAM_PRINT

Interno ID: HLP_FKT_DIAGRAM_PRINT

Stampa diagramma Trend esteso

Con l´aiuto di questa funzione, potete stampare diagrammi del modulo trend esteso, oppure salvarli in un file (JPG, BMP o SVG) senza essere costretti ad aprire l´immagine del tipo Trend esteso.

Ulteriori informazioni nella guida in linea


HLP_FKT_EINGABE_FOCUS

Interno ID: HLP_FKT_EINGABE_FOCUS

Focus: esegui funzione elemento

Questa funzione attiva la funzionalità dell'elemento che ha l'impostazione di focus.

Ulteriori informazioni nella guida in linea


HLP_FKT_EMS_START

Interno ID: HLP_FKT_EMS_START

Avvio Load Management

Mediante questa funzione viene avviato il processo di ottimizzazione di una zona selezionata nel modulo Load Management.

Questa funzione viene eseguita solamente sul server.

Ulteriori informazioni nella guida in linea.


HLP_FKT_EMS_STOP

Interno ID: HLP_FKT_EMS_STOP

Termine Load Management

Mediante questa funzione viene terminato il processo di ottimizzazione di una zona selezionata nel modulo Load Management.

Questa funzione viene eseguita solamente sul server.

Ulteriori informazioni nella guida in linea.


HLP_FKT_EXP_DATEN

Interno ID: HLP_FKT_EXP_DATEN

Esporta dati

Questa funzione esporta sul disco fisso in un formato esterno valori salvati (*.HDD) di variabili scelte.

Ulteriori informazioni nella guida in linea


HLP_FKT_GNDFLT_ACKNOWLEDGE

Interno ID: HLP_FKT_GNDFLT_ACKNOWLEDGE

Riconosci guasto messa a terra

Funzione che serve a ripristinare una segnalazione di messa a terra. Apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.


HLP_FKT_GNDFLT_SEARCH_END

Interno ID: HLP_FKT_GNDFLT_SEARCH_END

Termina ricerca messa a terra

Funzione che serve a terminare la ricerca della messa a terra.

Ulteriori informazioni nella guida in linea.


HLP_FKT_GNDFLT_SEARCH_START

Interno ID: HLP_FKT_GNDFLT_SEARCH_START

Avvia ricerca messa a terra

Funzione che serve a iniziare la ricerca della messa a terra.

Ulteriori informazioni nella guida in linea.


HLP_FKT_GRAPH7_HEURISTIK

Interno ID: HLP_FKT_GRAPH7_HEURISTIK

Valutazione euristica S7-Graph

Questa funzione Vi permette di eseguire una S7-Graph Heuristik senza che l´immagine del tipo S7-Graph debba essere attiva.

Ulteriori informazioni nella guida in linea.


HLP_FKT_HDD_AUS

Interno ID: HLP_FKT_HDD_AUS

Disattiva gestione HD

Questa funzione attiva il salvataggio dati su hard-disk. Non vengono scritti file HDD.

Ulteriori informazioni nella guida in linea


HLP_FKT_HDD_EIN

Interno ID: HLP_FKT_HDD_EIN

Attiva gestione HD

Questa funzione attiva il salvataggio dati su hard-disk. Vengono scritti file HDD.

Ulteriori informazioni nella guida in linea


HLP_FKT_HDD_TGL

Interno ID: HLP_FKT_HDD_TGL

Attiva/disattiva Gestione HD

Questa funzione attiva o disattiva il salvataggio dati su hard-disk. (Non) vengono scritti file HDD.

Ulteriori informazioni nella guida in linea


HLP_FKT_HLP_FKT_AUS

Interno ID: HLP_FKT_HLP_FKT_AUS

Gestione funzioni OFF

Questa funzione disattiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, lesione di valori limite, ecc.), non vengono eseguite.

Ulteriori informazioni nella guida in linea


HLP_FKT_HLP_FKT_EIN

Interno ID: HLP_FKT_HLP_FKT_EIN

Gestione funzioni ON

Questa funzione attiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, lesione di valori limite, ecc.), vengono eseguite.

Ulteriori informazioni nella guida in linea


HLP_FKT_HLP_FKT_TGL

Interno ID: HLP_FKT_HLP_FKT_TGL

Funzioni: Disattiva/Attiva

Questa funzione attiva o disattiva la gestione funzioni. Funzioni eseguite automaticamente (per es. mediante temporizzatori, lesione di valori limite, ecc.), non vengono eseguite.

Ulteriori informazioni nella guida in linea


HLP_FKT_IMM_CHECKMAINT

Interno ID: HLP_FKT_IMM_CHECKMAINT

Determinazione manutenzioni in corso

Questa funzione determina il numero delle operazioni di manutenzione da eseguire per gli impianti indicati facendo riferimento al Industrial Maintenance Manager. Può essere indicato l'arco di tempo da prendere in considerazione. Il numero delle operazioni di manutenzione da realizzare viene scritto su variabili di stato che possono essere definite liberamente.

Ulteriori informazioni nella guida in linea


HLP_FKT_IPA_CREATE_DOCUMENT

Interno ID: HLP_FKT_IPA_CREATE_DOCUMENT

Crea/stampa documento IPA

Questa funzione genera a partire dai dati filtrati del Industrial Performance Analyzer un documento e lo stampa o lo salva in forma di documento HTML.

Ulteriori informazioni nella guida in linea


HLP_FKT_MOMENTAN_PRT

Interno ID: HLP_FKT_MOMENTAN_PRT

Stampa dei valori attuali

Questa funzione stampa i valori attuali delle variabili selezionate.

Ulteriori informazioni nella guida in linea


HLP_FKT_MONITOR_ZUORDNEN

Interno ID: HLP_FKT_MONITOR_ZUORDNEN

Assegna monitor

Questa funzione attribuisce ad un monitor virtuale selezionato il monitor reale prescelto. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


HLP_FKT_MOUSE_REVERSE

Interno ID: HLP_FKT_MOUSE_REVERSE

Simula right click

Questa funzione interpreta il successivo clic del mouse come un clic con il tasto destro.

Ulteriori informazioni nella guida in linea


HLP_FKT_MSG_AUS

Interno ID: HLP_FKT_MSG_AUS

Disattiva invio messaggio

Questa funzione disattiva la trasmissione di messaggi del modulo opzionale Message Control.

Ulteriori informazioni nella guida in linea


HLP_FKT_MSG_EDB

Interno ID: HLP_FKT_MSG_EDB

Esegui Database destinatari

Questa funzione apre un dialogo in cui un utente può modificare la banca dati di destinazione del modulo opzionale Message Control.


HLP_FKT_MSG_EIN

Interno ID: HLP_FKT_MSG_EIN

Attiva invio messaggio

Questa funzione attiva la trasmissione di messaggi del modulo opzionale Message Control.

Ulteriori informazioni nella guida in linea.


HLP_FKT_MSG_SAVEQUEUE

Interno ID: HLP_FKT_MSG_SAVEQUEUE

Salva coda d'attesa corrente

Salva nel Runtime un´immagine della coda messaggi attuale.

Ulteriori informazioni nella guida in linea.


HLP_FKT_MSG_SUPPRESS

Interno ID: HLP_FKT_MSG_SUPPRESS

Sopprimi Gruppi/Classi/Aree/Strutture

Disattiva o attiva degli elementi della lista per cui non deve essere inviato nessun messaggio.

Ulteriori informazioni nella guida in linea.


HLP_FKT_NACHLADEN

Interno ID: HLP_FKT_NACHLADEN

Aggiorna progetto Runtime

Questa funzione carica nell´Editor i file runtime modificati online.

Ulteriori informazioni nella guida in linea


HLP_FKT_PFS_EVENT

Interno ID: HLP_FKT_PFS_EVENT

Attiva evento PFS

Questa funzione esegue un evento PFS creato in precedenza dall'utente.

Ulteriori informazioni nella guida in linea


HLP_FKT_PRT_AMLCEL

Interno ID: HLP_FKT_PRT_AMLCEL

Stampa lista allarmi o CEL

Questa funzione stampa inserimenti filtrati o della Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea


HLP_FKT_PRT_HARDCOPY

Interno ID: HLP_FKT_PRT_HARDCOPY

Stampa screenshot

Questa funzione stampa o la schermata attuale, o l'immagine di un modello selezionato attualmente aperta. Nei sistemi multimonitor può essere selezionato il monitor per modelli. Se lo si desidera, si può deviare l'operazione di stampa su un fax.

Ulteriori informazioni nella guida in linea


HLP_FKT_PRT_ONLINE

Interno ID: HLP_FKT_PRT_ONLINE

Stampa online on/off

Questa funzione attiva o disattiva la stampa online della lista allarmi e della Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea


HLP_FKT_PRT_ONLINE_SWITCH

Interno ID: HLP_FKT_PRT_ONLINE_SWITCH

Cambio stampante online

Questa funzione sposta la stampa online su una stampante selezionata. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


HLP_FKT_PRT_WAHL

Interno ID: HLP_FKT_PRT_WAHL

Selezionare stampante

Questa funzione apre un dialogo in cui l'utente può selezionare delle stampanti per effettuare diverse operazioni di stampa.
Nota: Questa funzione non è disponibile per tutti i dispositivi CE!

Ulteriori informazioni nella guida in linea


HLP_FKT_PWD_LOGIN

Interno ID: HLP_FKT_PWD_LOGIN

Login con dialogo

Questa funzione apre un dialogo di login standard.

Ulteriori informazioni nella guida in linea


HLP_FKT_PWD_LOGIN_DIREKT

Interno ID: HLP_FKT_PWD_LOGIN_DIREKT

Login senza password

Questa funzione effettua il login di un utente selezionato senza richiedere la sua password.

Ulteriori informazioni nella guida in linea


HLP_FKT_PWD_LOGOUT

Interno ID: HLP_FKT_PWD_LOGOUT

Esegui logout

Questa funzione effettua il logout di un utente.

Ulteriori informazioni nella guida in linea


HLP_FKT_PWD_PWDEDIT

Interno ID: HLP_FKT_PWD_PWDEDIT

Modifica password

Questa funzione apre un dialogo in cui l'utente può modificare la sua password.

Ulteriori informazioni nella guida in linea


HLP_FKT_PWD_USREDIT

Interno ID: HLP_FKT_PWD_USREDIT

Modifica utente

Questa funzione apre un dialogo nel quale un amministratore che abbia effettuato il login può creare, editare o cancellare degli utenti e dei gruppi utenti.

Ulteriori informazioni nella guida in linea.


HLP_FKT_QUIT

Interno ID: HLP_FKT_QUIT

Esci dal programma

Questa funzione termina il runtime dello scada.

Ulteriori informazioni nella guida in linea


HLP_FKT_REDUNDANZ

Interno ID: HLP_FKT_REDUNDANZ

Cambio ridondanza

Questa funzione effettua il cambio fra server di processo Server-Standby del progetto.

Ulteriori informazioni nella guida in linea


HLP_FKT_REPORTVIEWER_PRINT

Interno ID: HLP_FKT_REPORTVIEWER_PRINT

Report Viewer: esporta / stampa

Consente di emettere report durante il Runtime in formato PDF oppure come stampa online.

Ulteriori informazioni nella guida in linea.


HLP_FKT_REZ_DIREKT

Interno ID: HLP_FKT_REZ_DIREKT

Richiamo ricetta singola

Questa funzione trasmette i valori di una ricetta standard selezionata al PLC.

Ulteriori informazioni nella guida in linea


HLP_FKT_REZ_WAHL

Interno ID: HLP_FKT_REZ_WAHL

Richiamo ricetta singola con selezione

Questa funzione apre un dialogo in cui l'utente può selezionare ed eseguire una ricetta standard.

Ulteriori informazioni nella guida in linea


HLP_FKT_REZ_WAHL_ONL

Interno ID: HLP_FKT_REZ_WAHL_ONL

Richiamo ricetta singola con selezione online

Questa funzione apre un dialogo in cui l'utente può selezionare e eseguire (oppure modificare) una ricetta standard.

Ulteriori informazioni nella guida in linea


HLP_FKT_REZEPT

Interno ID: HLP_FKT_REZEPT

Ricetta Standard

Questa funzione scrive, legge, copia, importa o esporta una ricetta standard selezionata. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


HLP_FKT_RGM

Interno ID: HLP_FKT_RGM

Manager gruppi di ricette

Questa funzione scrive, legge, copia, importa o esporta una ricetta selezionata del modulo opzionale Manager gruppi ricette (RGM). Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


HLP_FKT_SAP_CALL_FUNCTION

Interno ID: HLP_FKT_SAP_CALL_FUNCTION

Esegui funzione SAP

Esegue una funzione definita in SAP Interface nel runtime. La funzione SAP, a sua volta, effettua il trigger di una Remote Function Call (RFC).

Ulteriori informazioni nella guida in linea.


HLP_FKT_SAT1

Interno ID: HLP_FKT_SAT1

Attivare comando output

Funzione SAT


HLP_FKT_SAT2

Interno ID: HLP_FKT_SAT2

Generare protocollo cambio turno

Funzione SAT


HLP_FKT_SAT_SEA_RUN

Interno ID: HLP_FKT_SAT_SEA_RUN

Switching sequence automatic cycle

Funzione SAT.


HLP_FKT_SAT_TOP_ERDSCHLUSS

Interno ID: HLP_FKT_SAT_TOP_ERDSCHLUSS

Topologia - Ricerca cortocircuito

Attiva o disattiva la ricerca messa a terra. All´inizio della ricerca messa a terra, vengono congelate le malfunzioni in attesa. Nuove malfunzioni vengono visualizzate solo dopo la fine della ricerca.


HLP_FKT_SAT_TOP_LOADSHEDDING

Interno ID: HLP_FKT_SAT_TOP_LOADSHEDDING

Topologia - Verifica collegamenti

Con l´aiuto della funzione Loadshedding, lo stato di alimentazione di utilizzatori topologici può essere verificato e lo si può rappresentare tramite variabili.

Vengono supportate fino a 32 sorgenti.


HLP_FKT_SCHABFOCUS_AUS

Interno ID: HLP_FKT_SCHABFOCUS_AUS

Elimina focus dal modello

Questa funzione elimina l'impostazione di focus sull'immagine aperta attualmente di un modello selezionato. Così è possibile realizzare progetti solamente con l'uso della tastiera.

Ulteriori informazioni nella guida in linea


HLP_FKT_SCHABFOCUS_EIN

Interno ID: HLP_FKT_SCHABFOCUS_EIN

Attiva focus sul modello

Questa funzione setta l'impostazione di focus sull'immagine aperta attualmente di un modello selezionato. Così è possibile realizzare progetti solamente con l'uso della tastiera.

Ulteriori informazioni nella guida in linea


HLP_FKT_SCHABLONE_AUS

Interno ID: HLP_FKT_SCHABLONE_AUS

Chiudi modello

Questa funzione chiude l'immagine di un modello selezionato attualmente aperta.

Ulteriori informazioni nella guida in linea


HLP_FKT_SCHABLONE_BRINGTOFRONT

Interno ID: HLP_FKT_SCHABLONE_BRINGTOFRONT

Porta modello in primo piano

Questa funzione porta in primo piano le immagini che vengono coperte da altre. Viene selezionato un modello che porta in primo piano nel Runtime tutte le istanze dei modelli definiti sul monitor scelto.

Ulteriori informazioni nella guida in linea.


HLP_FKT_SCRIPT_DIR

Interno ID: HLP_FKT_SCRIPT_DIR

Esegui script

Questa funzione esegue uno script selezionato.

Ulteriori informazioni nella guida in linea


HLP_FKT_SCRIPT_WHL

Interno ID: HLP_FKT_SCRIPT_WHL

Script con selezione online

Questa funzione apre un dialogo in cui l'utente può selezionare ed eseguire uno script.

Ulteriori informazioni nella guida in linea


HLP_FKT_SENDE_NACHRICHT

Interno ID: HLP_FKT_SENDE_NACHRICHT

Invia messaggio

Questa funzione manda un messaggio del modulo opzionale Message Control.

Ulteriori informazioni nella guida in linea


HLP_FKT_SEQUENCER_COMMAND_EXECUTE

Interno ID: HLP_FKT_SEQUENCER_COMMAND_EXECUTE

Esegui comando sequenza comandi/cambio modalità

Questa funzione invia nel runtime comandi di gestione all´esecuzione delle sequenze di comando.

Ulteriori informazioni nella guida in linea.


HLP_FKT_SEQUENCER_SEQUENCE_EXPORT

Interno ID: HLP_FKT_SEQUENCER_SEQUENCE_EXPORT

Esporta sequenze di comando

Questa funzione filtra ed effettua l´export di sequenze di comando in un file XML.

Ulteriori informazioni nella guida in linea.


HLP_FKT_SEQUENCER_SEQUENCE_IMPORT

Interno ID: HLP_FKT_SEQUENCER_SEQUENCE_IMPORT

Importa sequenze di comando

Questa funzione importa sequenze di comando da un file XML.

Ulteriori informazioni nella guida in linea.


HLP_FKT_SEQUENCER_TEACHING

Interno ID: HLP_FKT_SEQUENCER_TEACHING

Teaching sequenza comandi

Questa funzione avvia o interrompe il processo teaching nel runtime.
Ulteriori informazioni nella guida in linea.


HLP_FKT_SHRTFLT_ACKNOWLEDGE

Interno ID: HLP_FKT_SHRTFLT_ACKNOWLEDGE

Riconoscimento breve messaggio

Funzione che serve a ripristinare una segnalazione di corto circuito. Apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.


HLP_FKT_SIMULATION

Interno ID: HLP_FKT_SIMULATION

Simulazione on/off

Questa funzione attiva o disattiva la simulazione.


HLP_FKT_TBL_AUS

Interno ID: HLP_FKT_TBL_AUS

Report Generator: esegui report

Questa funzione esegue un rapporto selezionato del modulo opzionale Generatore di rapporti.

Ulteriori informazioni nella guida in linea


HLP_FKT_TBL_EXP

Interno ID: HLP_FKT_TBL_EXP

Report Generator: esporta

Questa funzione esporta un rapporto selezionato del modulo opzionale Generatore di rapporti in un formato esterno.

Ulteriori informazioni nella guida in linea


HLP_FKT_TBL_EXPW

Interno ID: HLP_FKT_TBL_EXPW

Inizia una nuova pagina per la stampa online

Questa funzione termina una pagina e ne comincia una nuova al momento dell'attivazione della stampa online. Il numero di pagina viene riportato a 1.

Ulteriori informazioni nella guida in linea


HLP_FKT_TBL_PRN

Interno ID: HLP_FKT_TBL_PRN

Report Generator: stampa

Questa funzione stampa un rapporto selezionato del modulo opzionale Generatore di rapporti.

Ulteriori informazioni nella guida in linea


HLP_FKT_TM_READ

Interno ID: HLP_FKT_TM_READ

Acquisisci ora dalla variabile

Questa funzione legge il tempo della variabile string del PLC e setta il tempo di sistema del sistema operativo in modo corrispondente. In tal modo, il tempo di sistema del PLC viene sincronizzato con quello del sistema operativo.

Ulteriori informazioni nella guida in linea


HLP_FKT_TM_WRITE

Interno ID: HLP_FKT_TM_WRITE

Scrivi data/ora nella variabile

Questa funzione legge il tempo di sistema del sistema operativo e lo scrive su una variabile string nel PLC. In tal modo, il tempo di sistema del PLC viene sincronizzato con quello del sistema operativo.

Ulteriori informazioni nella guida in linea


HLP_FKT_TREIBERKOMMANDO

Interno ID: HLP_FKT_TREIBERKOMMANDO

Esegui comandi driver

Questa funzione trasmette un comando selezionato ad un driver selezionato. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea


HLP_FKT_UEBERSICHT

Interno ID: HLP_FKT_UEBERSICHT

Visualizza finestra di controllo

Questa funzione apre una finestra di controllo in modo tale da simulare in un sistema con un solo monitor un sistema con più monitor.

Ulteriori informazioni nella guida in linea


HLP_FKT_VAR_ALIGN_VM_IMAGE

Interno ID: HLP_FKT_VAR_ALIGN_VM_IMAGE

Simulazione per immagine di processo del driver acquisita dal Server Standby

Viene eseguita solamente sul Server-Standby.

Richiede al momento della sua esecuzione del server un´immagine del driver selezionato. Il driver ha 5 secondi a disposizione.

Ulteriori informazioni nella guida in linea


HLP_FKT_VAR_SOLLWERT

Interno ID: HLP_FKT_VAR_SOLLWERT

Settare valore impostabile

Questa funzione trasmette al PLC un nuovo valore per una variabile selezionata.

Ulteriori informazioni nella guida in linea


HLP_FKT_VBA_IDE

Interno ID: HLP_FKT_VBA_IDE

VBA-Visualizza Editor

Questa funzione apre l'editor VBA.

Ulteriori informazioni nella guida in linea.


HLP_FKT_VBA_MAKRO

Interno ID: HLP_FKT_VBA_MAKRO

Lanciare Macro-VBA

Questa funzione esegue una macro VBA selezionata.

Attenzione: L'evento VBA project inactive viene eseguito prima degli script AUTO_END_xxx. Per questo motivo, non viene più eseguita negli script la funzione di zenon Esegui macro VBA, dato che VBA non funziona più in questo momento. Le macro VBA che dovevano essere eseguite al momento della chiusura del runtime, devono essere attivate mediante l´event Project.Inactive.

Ulteriori informazioni nella guida in linea.


HLP_FKT_VBA_MCR

Interno ID: HLP_FKT_VBA_MCR

VBA-Visualizza dialogo Macro

Questa funzione apre il dialogo Macro VBA.

Ulteriori informazioni nella guida in linea.


HLP_FKT_VBA_PCE

Interno ID: HLP_FKT_VBA_PCE

Apri Editor PCE

Questa funzione apre l'editor del modulo opzionale Process Control Engine (PCE).

Ulteriori informazioni nella guida in linea.


HLP_FKT_VSTA_CALLMACRO

Interno ID: HLP_FKT_VSTA_CALLMACRO

Lanciare Macro-VSTA

Questa funzione esegue una macro VSTA selezionata.

Ulteriori informazioni nella guida in linea.


HLP_FKT_VSTA_SHOWIDE

Interno ID: HLP_FKT_VSTA_SHOWIDE

Apri Editor VSTA

Questa funzione apre l'editor VSTA.

Ulteriori informazioni nella guida in linea.


HLP_FKT_VSTA_SHOWMACRODLG

Interno ID: HLP_FKT_VSTA_SHOWMACRODLG

VSTA-Visualizza il dialogo delle Macro

Questa funzione apre il dialogo Macro VSTA.

Ulteriori informazioni nella guida in linea.


HLP_FKT_WND_AUDI_AUFUEHREN

Interno ID: HLP_FKT_WND_AUDI_AUFUEHREN

Esegui file audio

Questa funzione esegue un file audio selezionato una volta (*.wav).

Ulteriori informazioni nella guida in linea.


HLP_FKT_WND_AUDI_START

Interno ID: HLP_FKT_WND_AUDI_START

Esegui file audio continuo

Questa funzione esegue un file audio (*.wav) ripetutamente.

Ulteriori informazioni nella guida in linea.


HLP_FKT_WND_AUDI_STOP

Interno ID: HLP_FKT_WND_AUDI_STOP

Termina file audio continuo

Questa funzione termina l'esecuzione ripetuta di un file audio (*wav).

Ulteriori informazioni nella guida in linea.


HLP_FKT_WND_BTN

Interno ID: HLP_FKT_WND_BTN

Porta sullo sfondo

Questa funzione sposta il runtime dello scada sullo sfondo.

Ulteriori informazioni nella guida in linea.


HLP_FKT_WND_PROG_AUFUEHREN

Interno ID: HLP_FKT_WND_PROG_AUFUEHREN

Esegui programma

Questa funzione avvia un programma esterno. Possono essere definiti dei parametri di trasferimento. Se si vuole, è possibile aprire in precedenza un dialogo per l'utente.

Ulteriori informazioni nella guida in linea.


HLP_FKT_WND_TOP

Interno ID: HLP_FKT_WND_TOP

Porta in primo piano

Questa funzione porta il Runtime di zenon in primo piano.

Attenzione: se si fa uso del comando "apri in primo piano", viene coperta la barra stato allarmi.

Ulteriori informazioni nella guida in linea


HLP_GRP_FKT_AMLCEL

Interno ID: HLP_GRP_FKT_AMLCEL

Allarmi ed eventi

Questo gruppo contiene delle funzioni per gestire la Lista allarmi e la Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_ANWENDUNG

Interno ID: HLP_GRP_FKT_ANWENDUNG

Applicazione

Questo gruppo contiene delle funzioni per l'utilizzo delle impostazioni di progetto.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_ARV

Interno ID: HLP_GRP_FKT_ARV

Archiviazione

Questo gruppo contiene delle funzioni per l'uso del modulo opzionale Archiviazione.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_BILD

Interno ID: HLP_GRP_FKT_BILD

Immagini

Questo gruppo contiene delle funzioni per l'utilizzo delle Immagini.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_FAULT_LOCATION

Interno ID: HLP_GRP_FKT_FAULT_LOCATION

Localizzazione errore nelle reti elettriche

Contiene funzioni che servono alla Localizzazione errore nelle reti elettriche.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_FAVORITEN

Interno ID: HLP_GRP_FKT_FAVORITEN

Preferiti

Questo gruppo contiene i favoriti personali. Essi possono essere modificati e adattati via Drag&Drop, oppure tramite il menù contestuale nella funzione corrispondente.

Ulteriori informazioni nella guida in linea


HLP_GRP_FKT_NACHRICHT

Interno ID: HLP_GRP_FKT_NACHRICHT

Message Control

Questo gruppo contiene delle funzioni per l'uso del modulo Message Control.

Ulteriori informazioni nella guida in linea


HLP_GRP_FKT_NETZ

Interno ID: HLP_GRP_FKT_NETZ

Rete

Questo gruppo contiene delle funzioni per l'utilizzo di una rete.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_PASSWORT

Interno ID: HLP_GRP_FKT_PASSWORT

Password

Questo gruppo contiene delle funzioni per la Gestione utente.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_REZEPT

Interno ID: HLP_GRP_FKT_REZEPT

Ricetta

Questo gruppo contiene delle funzioni per l'utilizzo delle ricette standard e delle ricette del modulo opzionale Manager di gruppi ricette.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_SCRIPT

Interno ID: HLP_GRP_FKT_SCRIPT

Script

Questo gruppo contiene delle funzioni per l'utilizzo degli script.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_TABELLE

Interno ID: HLP_GRP_FKT_TABELLE

Generatore Report / Report Viewer / Analyzer

Questo gruppo contiene delle funzioni per il generatore Report, il Report Viewer e il prodotto di COPA-DATA zenon Analyzer.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_VARIABLE

Interno ID: HLP_GRP_FKT_VARIABLE

Variabile

Questo gruppo contiene delle funzioni per l'utilizzo delle variabili.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_VBA

Interno ID: HLP_GRP_FKT_VBA

VBA

Questo gruppo contiene delle funzioni per l'utilizzo delle Macro VBA.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_VSTA

Interno ID: HLP_GRP_FKT_VSTA

VSTA

Questo gruppo contiene delle funzioni per l'utilizzo delle Macro VSTA.

Ulteriori informazioni nella guida in linea.


HLP_GRP_FKT_WINDOWS

Interno ID: HLP_GRP_FKT_WINDOWS

Windows

Questo gruppo contiene delle funzioni per l'utilizzo delle funzionalità del sistema operativo.

Ulteriori informazioni nella guida in linea.


ID_230TOP_PROP_B_FOS

Interno ID: ID_230TOP_PROP_B_FOS

Limite per localizzazione errore da protezione

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TopologyBorderFOS


ID_230TOP_PROP_B_SHL

Interno ID: ID_230TOP_PROP_B_SHL

Limite per selfhealing

Se questa proprietà è settata: l´elemento vale come confine per una regione selfhealing.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TopologyBorderSHL


ID_230TOP_PROP_B_SV

Interno ID: ID_230TOP_PROP_B_SV

Limite per il calcolo di distribuzione alimentazione

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TopologyBorderSV


ID_230TOP_PROP_B_WBR

Interno ID: ID_230TOP_PROP_B_WBR

Limite per controllo ad ampio raggio

Se questa proprietà è settata: l´elemento vale come confine per un "limite per controllo ad ampio raggio".

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TopologyBorderWBR


ID_230TOP_PROP_INVISIBLE

Interno ID: ID_230TOP_PROP_INVISIBLE

invisibile nel RT

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RTInvisible


ID_230TOP_PROP_LIRE

Interno ID: ID_230TOP_PROP_LIRE

Inverti sinistra/destra

Cambia il riferimento sinistra/destra per gli elementi topologici che hanno un riferimento di direzione.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TopologyLRChanged


ID_230TOP_PROP_NC_CABLETYPE

Interno ID: ID_230TOP_PROP_NC_CABLETYPE

Tipo di cavo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCCableType


ID_230TOP_PROP_NC_CURRENTMAX

Interno ID: ID_230TOP_PROP_NC_CURRENTMAX

Capacità di corrente [A]

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCCCurrentMax


ID_230TOP_PROP_NC_I_MAX

Interno ID: ID_230TOP_PROP_NC_I_MAX

Carico massimo distribuibile

Maximal load which can be assigned.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCCurrentMax


ID_230TOP_PROP_NC_I_VAL

Interno ID: ID_230TOP_PROP_NC_I_VAL

Carico [A]

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCCurrentVal


ID_230TOP_PROP_NC_I_VAR

Interno ID: ID_230TOP_PROP_NC_I_VAR

Corrente / carico misurato

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCCurrentVar


ID_230TOP_PROP_NC_LENGTH

Interno ID: ID_230TOP_PROP_NC_LENGTH

Lunghezza [m]

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCCLength


ID_230TOP_PROP_NC_REAKT

Interno ID: ID_230TOP_PROP_NC_REAKT

Reattanza [Ohm]

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCCReactance


ID_230TOP_PROP_NC_RESIST

Interno ID: ID_230TOP_PROP_NC_RESIST

Resistenza [Ohm]

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCCResistance


ID_230TOP_PROP_NC_TYPE

Interno ID: ID_230TOP_PROP_NC_TYPE

Tipo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCType


ID_230TOP_PROP_NC_U_VAL

Interno ID: ID_230TOP_PROP_NC_U_VAL

Livello tensione [V]

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCVoltageVal


ID_230TOP_PROP_NC_U_VAR

Interno ID: ID_230TOP_PROP_NC_U_VAR

Valore misurazione tensione

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCVoltageVar


ID_230TOP_PROP_RES_NR

Interno ID: ID_230TOP_PROP_RES_NR

Tipo risorsa

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TopologyResourceNr


ID_230TOP_PROP_USE_FRAME

Interno ID: ID_230TOP_PROP_USE_FRAME

Utilizza effetti/bordi per la bordatura

Se questa proprietà è settata: la cornice configurata alla voce Effetti/Bordi (larghezza/distanza) viene usata per supportare l´orlatura anche per gli elementi combinati.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TopologyUseFrame


ID_230TOP_PROP_ZUORD_VAR

Interno ID: ID_230TOP_PROP_ZUORD_VAR

Prefisso per variabili di mappatura

Varibile che serve da base per quelle nella topologia.

Nella topologia potete fissare una variabile per ogni conduttore. Questa variabile serve da base per ulteriori variabili,

che definite nella progettazione della topologia stessa. Potete assegnare poi a queste variabili

dei valori relativi alla prestazione, calcolati dalla topologia.

Cliccate sul pulsante per aprire il dialogo che serve alla scelta delle variabili.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCMappingVar


ID_230TOP_PROP_ZUORD_VAR_IN

Interno ID: ID_230TOP_PROP_ZUORD_VAR_IN

Prefix für Ergebnisvariablen

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

NCMappingVarIn


ID_230TOP_PROP_ZUORD_VAR_OUT

Interno ID: ID_230TOP_PROP_ZUORD_VAR_OUT

Prefix für Eingangsvariablen

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

NCMappingVarOut


ID_230TOP_PROP_ZUORD_VAR_PREVIEW

Interno ID: ID_230TOP_PROP_ZUORD_VAR_PREVIEW

Anteprima variabili di mappatura

Description as text.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Info


ID_ADMINUSER

Interno ID: ID_ADMINUSER

Amministratore

Attivo: Questo utente non è un amministratore. Perciò esso non può editare nel Runtime altri utenti e sbloccare il sistema.
Inattivo: Questo utente non è un amministratore..
Default: inattivo.

Attenzione: Un amministratore può rendere accessibili ad altri utenti solo quei gruppi autorizzazioni che possiede anche lui.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Admin


ID_ADRESSPARAM

Interno ID: ID_ADRESSPARAM

Parametri esterni di indirizzamento

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton.
Proprietà del profilo in zenon Logic (come, ad esempio,"separato" oppure parametro indirizzo per Profibus).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Adressparam


ID_ALARM_BEREICH_ALARMVAR

Interno ID: ID_ALARM_BEREICH_ALARMVAR

Quantità allarmi attivi

Variabile che contiene sotto forma di valore il numero degli allarmi attivi in questa area allarmi.
Apre il dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmVar


ID_ALARM_BEREICH_QUITVAR

Interno ID: ID_ALARM_BEREICH_QUITVAR

Quantità allarmi non ripristinati

Variabile che contiene sotto forma di valore il numero degli allarmi attivi in questa area allarmi.
Apre il dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

QuitVar


ID_ALARM_BEREICH_STATUSVAR

Interno ID: ID_ALARM_BEREICH_STATUSVAR

Variabile di stato

Il primo bit di questa variabile bit indica se ci sono degli allarmi attivi in questa area allarmi.
Il secondo bit di questa variabile bit indica se ci sono degli allarmi non ripristinati in questa area allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StatusVar


ID_ALARM_BEREICHITEM_ALARMVAR

Interno ID: ID_ALARM_BEREICHITEM_ALARMVAR

Quantità allarmi attivi

Variabile che contiene sotto forma di valore il numero degli allarmi attivi in questa area allarmi.
Apre il dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmVar


ID_ALARM_BEREICHITEM_DELETE

Interno ID: ID_ALARM_BEREICHITEM_DELETE

{Elimina classe}

L'inserimento area viene cancellato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DeleteEntry


ID_ALARM_BEREICHITEM_KLASSE

Interno ID: ID_ALARM_BEREICHITEM_KLASSE

Classe allarmi/eventi

Classe allarmi/eventi per l´inserimento area.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Class


ID_ALARM_BEREICHITEM_QUITVAR

Interno ID: ID_ALARM_BEREICHITEM_QUITVAR

Quantità allarmi non ripristinati

Variabile che contiene sotto forma di valore il numero degli allarmi non ripristinati della classe allami/eventi selezionata in questa area allarmi.
Apre il dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

QuitVar


ID_ALARM_BEREICHITEM_STATUSVAR

Interno ID: ID_ALARM_BEREICHITEM_STATUSVAR

Variabile di stato

Il primo bit di questa variabile bit indica se ci sono degli allarmi attivi della classe allami/eventi selezionata in questa area allarmi.
Il secondo bit di questa variabile bit indica se ci sono degli allarmi non ripristinati della classe allami/eventi selezionata in questa area allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StatusVar


ID_ALARM_PROP_BEREICH_ID

Interno ID: ID_ALARM_PROP_BEREICH_ID

Nr

Identifica l´area allarmi Il numero viene assegnato automaticamente e può essere modificato.

Minimo: 1

Massimo: 2147483647

Nota: All´interno di un progetto, per l´area allarmi si può assegnare ogni numero solamente una volta. Se nell´ambito della gestione multi-progetto si assegna lo stesso numero a più aree allarmi in diversi progetti, apparirà una segnalazione corrispondente al momento della creazione dei file Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Id


ID_ALARM_PROP_BEREICH_ITEMS

Interno ID: ID_ALARM_PROP_BEREICH_ITEMS

Collegamento classi

Riassume le variabili di stato, il numero degli allarmi attivi e di quelli non ripristinati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Items


ID_ALARM_PROP_BEREICH_NAME

Interno ID: ID_ALARM_PROP_BEREICH_NAME

Nome

Nome dell´area allarme.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_ALARM_PROP_BEREICH_NEU

Interno ID: ID_ALARM_PROP_BEREICH_NEU

{Nuova classe}

Imposta un nuovo inserimento area per l´area di allarme.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

New


ID_ALARM_PROP_GRPKLS

Interno ID: ID_ALARM_PROP_GRPKLS

Generale

Proprietà per gruppi allarmi/eventi o classi allarmi/eventi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_GrpCls


ID_ALARM_PROP_GRPKLS_COLOR

Interno ID: ID_ALARM_PROP_GRPKLS_COLOR

Colore

Colore del gruppo allarmi/eventi o della classe allarmi/eventi.
Il colore della classe allarmi/eventi può essere usato per la visualizzazione nelle liste.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Color


ID_ALARM_PROP_GRPKLS_FUNKTION

Interno ID: ID_ALARM_PROP_GRPKLS_FUNKTION

Funzione

Nome della funzioner che viene eseguita se si verifica un allarme di questo gruppo/classe. Un clic sul comando apre il dialogo che serve alla selezione della funzione. In alternativa potete inserire manualmente il nome della funzione nel campo di testo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Function


ID_ALARM_PROP_GRPKLS_ID

Interno ID: ID_ALARM_PROP_GRPKLS_ID

Nr

Identifica il gruppo allarmi/eventi o la classe allarmi/eventi. Il numero viene assegnato automaticamente e può essere modificato.

Minimo: 1

Massimo: 2147483647

Nota: All´interno di un progetto, ogni numero può essere assegnato solamente una volta ad un gruppo allarme/evento, così come ad una classe allarme/evento. Se nell´ambito della gestione multi-progetto si assegna lo stesso numero a più gruppi allarme/evento, o a più classi allarme/evento in diversi progetti, apparirà una segnalazione corrispondente al momento della creazione dei file Runtime.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Id


ID_ALARM_PROP_GRPKLS_IMAGE

Interno ID: ID_ALARM_PROP_GRPKLS_IMAGE

File grafico

Selezionate una grafica per il gruppo allarmi/eventi o la classe allarmi/eventi. Cliccando con il tasto sinistro del mouse, si accede alla selezione dei file. Selezionate il file grafico desiderato.

Default: nessun file.

Ulteriori informazioni nella guida in linea concernente i gruppi allarmi/eventi..

Ulteriori informazioni nella guida in linea concernente le classi allarmi/eventi..

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Image


ID_ALARM_PROP_GRPKLS_NAME

Interno ID: ID_ALARM_PROP_GRPKLS_NAME

Nome

Nome del gruppo allarmi/eventi o della classe allarmi/eventi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_ALARM_PROP_GRPKLS_STATUSVAR

Interno ID: ID_ALARM_PROP_GRPKLS_STATUSVAR

Variabile di stato

Nome della variabile il cui valore mostra se in quel momento il gruppo/la classe è attivo/a, oppure se gli allarmi di questo gruppo/questa classe vengono ignorati.

E' possibile usare solo delle variabili binarie: Un clic sul comando apre il dialogo che serve alla selezione delle variabili. In alternativa potete inserire manualmente il nome delle variabili nel campo di testo.

Valore variabile = 1: Gruppo/classe è attivo/a.

Gruppi allarmi/eventi oppure classi allarmi/eventi possono essere attivati con l´aiuto della funzione Collegare/scollegare gruppo allarmi/eventi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StatusVar


ID_ALARM_PROP_GRPKLS_TEXT

Interno ID: ID_ALARM_PROP_GRPKLS_TEXT

Descrizione

Descrizione del gruppo allarmi/eventi o della classe allarmi/eventi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Description


ID_ALARM_VERWALTUNG

Interno ID: ID_ALARM_VERWALTUNG

Alarm-Verwaltung

Si aprirà il dialogo di configurazione per la Lista allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue: "


ID_ALPHABACKCOLOR

Interno ID: ID_ALPHABACKCOLOR

Trasparenza colore riempimento [%]

Disponibile solamente se per la proprietà di progetto Qualità grafica non è stato selezionato Windows Basis. Per gli elementi che dispongono della proprietà Con valori di luminosità, quest´opzione non deve essere attiva.

Definisce il grado di trasparenza del colore mediante un valore compreso fra 0 e 100 %.

  • 0: coprente.
  • 100: completamente trasparente
  • Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlphaBackColor


ID_ALPHABACKCOLOR2

Interno ID: ID_ALPHABACKCOLOR2

Trasparenza colore di sfumatura [%]

Disponibile solo se nella proprietà Tipo di riempimento è stato selezionato sfumatura.

Disponibile solamente se per la proprietà di progetto Qualità grafica non è stato selezionato Windows Basis. Per gli elementi che dispongono della proprietà Con valori di luminosità, quest´opzione non deve essere attiva.

Definisce il grado di trasparenza del colore mediante un valore compreso fra 0 e 100 %.

  • 0: coprente.
  • 100: completamente trasparente
  • Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlphaBackColor2


ID_ALPHACOLORRAHMEN

Interno ID: ID_ALPHACOLORRAHMEN

Trasparenza del colore bordo [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
La proprietà Con valori di luminosità deve essere disattivata.

Definisce il grado di copertura del colore mediante un valore compreso fra 0 e 100 %.

  • 0: invisibile
  • 100: coprente.

Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlphaBorderColor


ID_ALPHALINECOLOR

Interno ID: ID_ALPHALINECOLOR

Trasparenza del colore linea [%]

Disponibile solamente se per la proprietà di progetto Qualità grafica non è stato selezionato Windows Basis. Per gli elementi che dispongono della proprietà Con valori di luminosità, quest´opzione non deve essere attiva.

Definisce il grado di trasparenza del colore mediante un valore compreso fra 0 e 100 %.

  • 0: coprente.
  • 100: completamente trasparente
  • Tutti i valori che si trovano fra questi due estremi corrispondono a delle gradazioni di trasparenza.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlphaLineColor


ID_AML_AKTIV

Interno ID: ID_AML_AKTIV

Lista di informazione allarmi attiva

Attivo: la gestione allarmi è attiva durante il runtime. Gli allarmi vengono registrati e la lista allarmi è disponibile.
Non attiva: gli allarmi non vengono registrati.
Default: attiva:

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmAdminActive


ID_AML_BLINKQUIT

Interno ID: ID_AML_BLINKQUIT

Riconoscimento dal lampeggio

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attivo: ripristinando il lampeggio di un elemento, si ripristina anche l´allarme corrispondente nella lista allarmi.
Non attiva: il ripristino del lampeggio di un elemento non ha altro effetto che quello per cui l´elemento non lampeggia più. L´allarme corrispondente non viene ripristinato.
Default: non attiva.
Si può ripristinare il lampeggio di elementi cliccando due volte su di essi con il tasto destro del mouse, oppure tramite la funzione "Ripristina lampeggio".

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmFlashAcknowledge


ID_AML_CLS_COLOR

Interno ID: ID_AML_CLS_COLOR

Colore classe allarme/eventi

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

  • non utilizzare: I colori delle classi allarmi/eventi non vengono usate nel lista allarmi durante il runtime.
  • come colore testo: I colori delle classi allarmi/eventi vengono usati nel lista allarmi durante il runtime come colori di testo per gli inserimenti corrispondenti.
  • come sfondo righe: I colori delle classi allarmi/eventi vengono usate nel lista allarmi durante il runtime come colori di sfondo per gli inserimenti corrispondenti.

Default: Come colore testo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmClsColor


ID_AML_COLOR_DEL

Interno ID: ID_AML_COLOR_DEL

Colore

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Solo per allarmi con attiva proprietà Riconoscimento a due stadi disponibile.

Proprietà per la rappresentazione di Allarme cancellato nella lista allarmi.. Definisce anche il colore per grafica nella colonna Stato di Allarme.

Questo colore viene usato solo per allarmi storici, non per quelli attivi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmColorDel


ID_AML_COLOR_GEHT

Interno ID: ID_AML_COLOR_GEHT

Colore

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Colore per Esce nella lista allarmi. Definisce anche il colore per grafica nella colonna Stato di Allarme.

Questo colore viene usato solo per allarmi attivi, non per quelli storici.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmColorClr


ID_AML_COLOR_KOMMT

Interno ID: ID_AML_COLOR_KOMMT

Colore

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Colore per Entra nella lista allarmi. Definisce anche il colore per grafica nella colonna Stato di Allarme.

Questo colore viene usato solo per allarmi attivi, non per quelli storici.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmColorRec


ID_AML_COLOR_QUIT

Interno ID: ID_AML_COLOR_QUIT

Colore

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Colore per Tempo-ripristino nella Lista di informazione allarmi. Definisce anche il colore per grafica nella colonna Stato di Allarme.

Questo colore viene usato solo per allarmi attivi, non per quelli storici.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmColorAkn


ID_AML_COMES_PREF

Interno ID: ID_AML_COMES_PREF

Prefisso

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Inserimento di un prefisso che si trova a sinistra del timestamp dell´allarme entrato. Il prefisso aiuta a riconoscere velocemente il timestamp di Allarme in entrata. Nel caso di un inserimento vuoto, non viene visualizzato nessun prefisso.

Default: >>

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmPrefComes


ID_AML_COMES_PREF_IMAGE

Interno ID: ID_AML_COMES_PREF_IMAGE

Prefisso file grafico

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Definite un file che deve essere visualizzato insieme o al posto di Prefisso, a sinistra del dato data/ora dell´allarme in entrata. La grafica aiuta a riconoscere velocemente il data/ora di Allarme in entrata. Se, oltre a Prefisso, definite un file, quest´ultimo viene visualizzato a sinistra accanto al prefisso.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmPrefImageComes


ID_AML_COUNT1

Interno ID: ID_AML_COUNT1

Messaggio 1 numero allarmi

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Numero degli inserimento nella AML necessari perché questa segnalazione venga visualizzata durante il runtime nella Barra stato allarmi. Questo messaggio si sovrappone alla barra stato allarmi.
Minimo: 0 (non viene visualizzata nessuna segnalazione)
Massimo: Dimensioni del buffer circolare
Default: 0
Attenzione: Il valore deve essere minore a quello indicato nella proprietà Messaggio 2 numero allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmMsgCnt1


ID_AML_COUNT2

Interno ID: ID_AML_COUNT2

Messaggio 2 numero allarmi

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Numero degli inserimento nella AML necessari perché questa segnalazione venga visualizzata durante il runtime nella Barra stato allarmi. Questo messaggio si sovrappone alla barra stato allarmi.
Minimo: 0 (non viene visualizzata nessuna segnalazione)
Massimo: Dimensioni del buffer circolare: 0
Attenzione: Il valore deve essere minore a quello indicato nella proprietà Messaggio 3 numero allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmMsgCnt2


ID_AML_COUNT3

Interno ID: ID_AML_COUNT3

Messaggio 3 numero allarmi

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
Numero degli inserimento nella AML necessari perché questa segnalazione venga visualizzata durante il runtime nella Barra stato allarmi. Questo messaggio si sovrappone alla barra stato allarmi.
Minimo: 0 (non viene visualizzata nessuna segnalazione)
Massimo: Dimensioni del buffer circolare: 0
Attenzione: Il valore deve essere minore a quello nella proprietà Dimensione buffer circolare.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmMsgCnt3


ID_AML_DELETEINCEL

Interno ID: ID_AML_DELETEINCEL

Elimina Allarme

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attivo: Se un allarme con obbligo di cancellazione viene effettivamente cancellato, si verifica un inserimento corrispondente nella Lista eventi cronologica (CEL).
Non attiva: Se si cancellano degli allarmi, non si ha nessun inserimento nella CEL.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmCELDelete


ID_AML_DETACH

Interno ID: ID_AML_DETACH

Gestione buffer circolare:

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Se viene superato nella memoria il numero degli allarmi definiti nella proprietà Dimensione buffer circolare, viene eseguita la seguente azione:
Rifiuta nuovi: I nuovi allarmi verranno ignorati. Attenzione: Essi non verranno salvati e andranno persi!
First In First Out: Un nuovo allarme rimuove l´allarme più vecchio dal buffer circolare mandandolo nel file corrispondente. Esempio: se il buffer circolare ha una grandezza pari a 5, al verificarsi del sesto allarme, il primo viene spostato nel file corrispondente, mentre l´allarme attualmente in attesa ne prende il posto nel buffer (simile al funzionamento di una Queue/fila di attesa).
Last In First Out (LIFO): Un nuovo allarme rimuove l´allarme più recente dal buffer circolare mandandolo nel file corrispondente. Esempio: se il buffer circolare ha una grandezza pari a 5, al verificarsi del sesto allarme, il quinto viene spostato nel file corrispondente. Al verificarsi del settimo allarme, sarà il sesto ad essere spostato e così via.

Default: First In First Out

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmDetach


ID_AML_GOES_PREF

Interno ID: ID_AML_GOES_PREF

Prefisso

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Inserimento di un prefisso che si trova a sinistra del timestamp dell´allarme in entrata. Il prefisso aiuta a riconoscere velocemente il timestamp di Allarme rientrato. Nel caso di un inserimento vuoto, non viene visualizzato nessun prefisso.

Default: >>

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmPrefGoes


ID_AML_GOES_PREF_IMAGE

Interno ID: ID_AML_GOES_PREF_IMAGE

Prefisso file grafico

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Definite un file che deve essere visualizzato insieme o al posto di Prefisso, a sinistra del dato data/ora dell´allarme in uscita. La grafica aiuta a riconoscere velocemente il data/ora di Allarme rientrato. Se, oltre a Prefisso, definite un file, quest´ultimo viene visualizzato a sinistra accanto al prefisso.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmPrefImageGoes


ID_AML_GRP_CLEARED

Interno ID: ID_AML_GRP_CLEARED

Allarme rientrato

Proprietà per la rappresentazione di Allarme in uscita nella lista allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AML_Cleared


ID_AML_GRP_COLOR

Interno ID: ID_AML_GRP_COLOR

Farben AML-Einträge

Proprietà per la definizione dei colori per la Lista di informazione allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue: "


ID_AML_GRP_DEL

Interno ID: ID_AML_GRP_DEL

Allarme eliminato

Proprietà per la rappresentazione di Allarme cancellato nella Lista di informazione allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AML_Deleted


ID_AML_GRP_IMAGE

Interno ID: ID_AML_GRP_IMAGE

Graphik AML-Einträge

Proprietà per le impostazioni grafiche della lista allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:


ID_AML_GRP_MEM

Interno ID: ID_AML_GRP_MEM

Cartella salvataggio AML

Proprietà per il salvataggio degli allarmi nella memoria principale e sul disco fisso.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AML_Mem


ID_AML_GRP_QUIT

Interno ID: ID_AML_GRP_QUIT

Allarme ripristinato

Proprietà per la rappresentazione di Allarme ripristinato nella Lista di informazione allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AML_Acknowledged


ID_AML_GRP_RECIVED

Interno ID: ID_AML_GRP_RECIVED

Allarme in entrata

Proprietà per la rappresentazione di Allarme in entrata nella lista allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AML_Received


ID_AML_GRP_STATUSBAR

Interno ID: ID_AML_GRP_STATUSBAR

Barra stato allarmi

Proprietà per la Riga di stato della gestione allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AML_StatusBar


ID_AML_IMAGE_DEL

Interno ID: ID_AML_IMAGE_DEL

File grafico per lo stato

Selezione di un file grafico per lo stato Allarme cancellato. Potete far in modo che questo file sia visualizzato nella lista allarmi durante il runtime in alternativa al colore selezionato dello stato. A tal scopo, selezionate nel filtro per la AML nella scheda Impostazioni colonna la modalità di visualizzazione File grafico per la colonna Stato allarmi.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmImageDel


ID_AML_IMAGE_GEHT

Interno ID: ID_AML_IMAGE_GEHT

File grafico per lo stato

Selezionate un file grafico per lo stato Allarme in uscita. Potete far in modo che questo file sia visualizzato nella lista allarmi durante il runtime in alternativa al colore selezionato dello stato. A tal scopo, selezionate nel filtro per la AML nella scheda Impostazioni colonna la modalità di visualizzazione File grafico per la colonna Stato allarmi.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmImageClr


ID_AML_IMAGE_KOMMT

Interno ID: ID_AML_IMAGE_KOMMT

File grafico per lo stato

Selezionate un file grafico per lo stato Allarme in entrata. Potete far in modo che questo file sia visualizzato nella lista allarmi durante il runtime in alternativa al colore selezionato dello stato. A tal scopo, selezionate nel filtro per la AML nella scheda Impostazioni colonna la modalità di visualizzazione File grafico per la colonna Stato allarmi.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmImageRec


ID_AML_IMAGE_QUIT

Interno ID: ID_AML_IMAGE_QUIT

File grafico per lo stato

Selezionate un file grafico per lo stato Allarme ripristinato. Potete far in modo che questo file sia visualizzato nella lista allarmi durante il runtime in alternativa al colore selezionato dello stato. A tal scopo, selezionate nel filtro per la AML nella scheda Impostazioni colonna la modalità di visualizzazione File grafico per la colonna Stato allarmi.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmImageAkn


ID_AML_LISTENTRY

Interno ID: ID_AML_LISTENTRY

Impostazione colonna AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Apre il dialogo per la definizione delle colonne che verranno visualizzate nella Lista informazioni allarmi.
Queste sono le impostazioni di default per la Lista informazioni allarmi, Filtro Lista informazioni allarmi e Riga stato allarmi. Queste impostazioni possono essere modificate al momento della definizione delle singole funzioni d´allarme.

Queste impostazioni valgono anche per l´export in CSV, XML o DBF.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmListEntry


ID_AML_LST_STYLE

Interno ID: ID_AML_LST_STYLE

Header AML

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

  • Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante il runtime.
  • Intestazione fissa: Nella Lista informazioni allarmi viene visualizzata un'intestazione fissa con relativi titoli di colonna.
  • Intestazione modificabile: Nella Lista informazioni allarmi viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Nel runtime, si può modificare ed adeguare la larghezza delle singole colonne. Si può effettuare il filtro sulla base di qualsiasi colonna.

Attenzione: Le impostazioni Nessuna intestazione e Intestazione modificabile non sono funzionanti durante il runtime se per l´elemento lista dell´immagine AML è stata disattivata la proprietà Funzionalità grafiche avanzate, oppure se nelle proprietà di progetto, e più precisamente nel gruppo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis .
Default: Intestazione modificabile

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmHeader


ID_AML_MEMCOUNT

Interno ID: ID_AML_MEMCOUNT

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Numero massimo degli inserimenti per il buffer circolare.

Minimo: 1
Massimo: 32767
Default: 100

Raccomandato: per lo meno il numero delle variabili con allarmi.

Attenzione: il buffer circolare deve avere delle dimensioni sufficienti. . Durante il runtime, il buffer circolare viene gestito in modo dinamico nella memoria di lavoro. Il che significa che verrano visualizzati anche quegli allarmi che vanno al di là della dimensione del buffer circolare. Nel file di memoria del buffer circolare (alarm.bin), però, vengono salvati degli allarmi solamente fino al raggiungimento del numero fissato. Tutti gli inserimenti vengono effettuati parallelamente nel file degli allarmi (*.aml) nella cartella runtime. I due file vengono sincronizzati. Quando lo spazio del buffer è esaurito, nel file allarmi possono essere contenuti degli inserimenti non ripristinati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmMemCount


ID_AML_MITREAKTZEIT

Interno ID: ID_AML_MITREAKTZEIT

Utilizza tempo di riattivazione

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attivo: se lo stesso allarme si ripresenta più volte di seguito, viene impostata una sola riga nella Lista informazioni allarmi. Ulteriori informazioni (per es. contatori allarmi) possono essere mostrate nella lista.
Non attiva: ogni allarme riceve una propria riga nella Lista informazioni allarmi.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmTimeReactive


ID_AML_MSG1

Interno ID: ID_AML_MSG1

Messaggio 1 testo

Disponibile solamente nel caso in cui il valore nella proprietà Messaggio 1 numero allarmi è più grande di 0.
Testo della segnalazione per la proprietà Messaggio 1 numero allarmi, il quale deve essere visualizzato nel runtime. Questo messaggio si sovrappone alla barra stato allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmMsg1


ID_AML_MSG2

Interno ID: ID_AML_MSG2

Messaggio 2 testo

Disponibile solamente nel caso in cui il valore nella proprietà Messaggio 2 numero allarmi è più grande di 0.
Testo della segnalazione per la proprietà Messaggio 2 numero allarmi, il quale deve essere visualizzato nel runtime. Questo messaggio si sovrappone alla barra stato allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmMsg2


ID_AML_MSG3

Interno ID: ID_AML_MSG3

Messaggio 3 testo

Disponibile solamente nel caso in cui il valore nella proprietà Messaggio 3 numero allarmi è più grande di 0.
Testo della segnalazione per la proprietà Messaggio 3 numero allarmi, il quale deve essere visualizzato nel runtime. Questo messaggio si sovrappone alla barra stato allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmMsg3


ID_AML_ONLY_STACK

Interno ID: ID_AML_ONLY_STACK

Salvataggio dati allarmi

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

  • Solo buffer circolare: vengono salvati sul disco fisso solamente gli allarmi in attesa (alarm.bin).
  • Buffer circolare e Dati storici: vengono salvati anche gli allarmi storici (*.aml).
  • Default: Su apparecchi CE viene salvato solamente il buffer circolare (alarm.bin) sul disco fisso; su PC, invece, vengono salvati anche inserimenti storici (*.aml).

Default: Default.
I file (alarm.bin e *.aml) vengono salvati nella cartella \Projektordner\Computername\Projektname.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AmlOnlyStack


ID_AML_QUIT_PREF

Interno ID: ID_AML_QUIT_PREF

Prefisso

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Inserimento di un prefisso che si trova a sinistra del timestamp dell´allarme ripristinato. Il prefisso aiuta a riconoscere velocemente il timestamp di Allarme ripristinato. Nel caso di un inserimento vuoto, non viene visualizzato nessun prefisso.

Default: --

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmPrefQuit


ID_AML_QUIT_PREF_IMAGE

Interno ID: ID_AML_QUIT_PREF_IMAGE

Prefisso file grafico

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

Definite un file che deve essere visualizzato insieme o al posto di Prefisso, a sinistra del dato data/ora dell´allarme ripristinato. La grafica aiuta a riconoscere velocemente il data/ora di Allarme ripristinato. Se, oltre a Prefisso, definite un file, quest´ultimo viene visualizzato a sinistra accanto al prefisso.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmPrefImageQuit


ID_AML_QUITINCEL

Interno ID: ID_AML_QUITINCEL

Ripristino allarmi

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.
Attivo: Se un allarme viene ripristinato, si verifica un inserimento corrispondente nella Lista eventi cronologica (CEL).
Non attiva: il ripristino degli allarmi è seguito da un corrispondente inserimento nella CEL.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmCELAcknowledge


ID_AML_STATUS_AKTIV

Interno ID: ID_AML_STATUS_AKTIV

Linea stati attiva

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

  • Attivo: Non appena si verifica un allarme, nel runtime, all´estremità superiore dello schermo, compare una barra di stato rossa che contiene le informazioni sull´allarme. Si può ripristinare l´allarme anche cliccando due volte con il tasto destro del mouse su questa riga di stato, sempre che l´utente registrato disponga delle autorizzazioni necessarie.
  • Inattivo: Non viene visualizzata nessuna riga di stato.

Default: attiva

Attenzione Gestione multi-progetto: L´impostazione nel progetto di integrazione regola il comportamento anche per quello che concerne i sottoprogetti, indipendentemente dalle impostazioni che sono state effettuate in questi ultimi. Durante il Runtime viene utilizzate sempre la barra di stato allarmi del progetto superiore.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmStatusActive


ID_AML_STATUS_DISPLAY

Interno ID: ID_AML_STATUS_DISPLAY

Visualizza

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.

  • Allarme più vecchio: A seconda dell´impostazione della proprietà Visualizza all. seguente viene visualizzato durante il runtime solamente il piú vecchio allarme non ripristinato nella riga di stato (non attiva) oppure il più vecchio allarme viene visualizzato per primo (attiva).
  • Allarme più recente: A seconda dell´impostazione della proprietà Visualizza all. seguente viene visualizzato durante il runtime solamente il piú recente allarme non ripristinato nella riga di stato (non attiva) oppure il più recente allarme viene visualizzato per primo(attiva).

Default: allarme più vecchio:

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmStatusDisplay


ID_AML_STATUS_FONT

Interno ID: ID_AML_STATUS_FONT

Carattere

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.
carattere per la riga di stato nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmStatusFont


ID_AML_STATUS_SUBSEQ

Interno ID: ID_AML_STATUS_SUBSEQ

Visualizza all. seguente

Disponibile solamente nel caso in cui la proprietà Linea stati attiva è attivata.

  • Attivo: tutti gli allarmi non ripristinati vengono visualizzati nel Runtime nella riga di stato uno dietro l´altro. Non appena viene ripristinato un allarme mediante un doppio clic con il tasto destro del mouse, viene visualizzato il prossimo. A seconda dell´impostazione della proprietà Visualizza viene visualizzato prima il più vecchio o il più recente allarme.
  • Inattivo: nella riga di stato viene visualizzato sempre solo un allarme. La riga di stato è vuota dopo che un allarme è stato ripristinato.

Default: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmStatusAlign


ID_AML_UNACKBLINK

Interno ID: ID_AML_UNACKBLINK

Lampeggio allarmi non riconosciuti

Attivo: righe non selezionate con allarmi non ripristinati lampeggiano nella Lista di informazione allarmi.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmUnackBlink


ID_AUTOLOGOFFTIME

Interno ID: ID_AUTOLOGOFFTIME

Tempo [min]

Tempo (espresso in minuti) senza azioni di comando trascorso il quale il sistema effettua automaticamente il logout di un utente se è attiva la proprietà Logout automatico attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AutoLogoutTime


ID_AUTOLOGOUT

Interno ID: ID_AUTOLOGOUT

Logout automatico attivo

  • Attivo: Avviene il logout automatico dell´utente se esso non ha posto in atto alcuna azione di gestione per il tempo definito nella proprietà Tempo [min].
  • Inattivo: il sistema non effettua il logout automatico dell´utente.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AutoLogout


ID_BACKUP_FILE_NAME

Interno ID: ID_BACKUP_FILE_NAME

Nome file

Nome del file di Backup.
Default: JJJJ-MM-TT_hh-mm-ss projektname.zip.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_BiffiDCM_NV

Interno ID: ID_BiffiDCM_NV

NV-Index

L'indice NV è rilevante solo per Node-Data.

Indicate qui l'indice variabili di rete (NVI/NVO) delle variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NV-Index


ID_BiffiDCM_SENDDIRECT

Interno ID: ID_BiffiDCM_SENDDIRECT

Send directly

L'impostazione è rilevante solo per Node-Data.

Indicate se un valore impostabile deve essere trasmesso al DCM direttamente oppure tramire buffer.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Send_direct


ID_BiffiDCM_TRANSIENT

Interno ID: ID_BiffiDCM_TRANSIENT

Transient command

L'impostazione è rilevante solo per Node-Data.

Indicate se un valore attuale ricevuto via command event deve essere resettato automaticamente a 0 dal driver. (z.B. ICON2K Open, Close, Stop)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Transient


ID_BURPVI_ADDRESS

Interno ID: ID_BURPVI_ADDRESS

PVI Name

È il nome della variabile PLC. Il nome è costituito da Nome task/Nome variabile . Per variabili globali: solo Nome variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BURPVI_ADDRESS


ID_BURPVI_GROUP

Interno ID: ID_BURPVI_GROUP

PVI Address

Informazioni concernenti l´indirizzo per il bernecker e il driver Reiner PVI (BURPVI).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_PVI_Address


ID_BURPVI_VL_LENGTH

Interno ID: ID_BURPVI_VL_LENGTH

PVI Length (VL)

Lunghezza variabili in byte.
Nel caso di variabili singole, essa corrisponde alla lunghezza dei dati di processo. Nel caso delle variabili di campo, la lunghezza è definita come lunghezza elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BURPVI_VL_LENGTH


ID_BURPVI_VN_ELEMENTS

Interno ID: ID_BURPVI_VN_ELEMENTS

PVI Number of Elements (VN)

Numero degli elementi in caso di variabili di campo.
Nel caso di variabili di campo pluridimensionali, viene indicato il numero degli elementi di tutte le dimensioni del campo (Per esempio: var[10][5] => VN=50).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BURPVI_VN_ELEMENTS


ID_BURPVI_VT_TYPE

Interno ID: ID_BURPVI_VT_TYPE

PVI Type (VT)

Tipo variabile nel PLC. I valori possibili sono descritti nella guida online. Se si usa un tipo di dato divergente in zenon, ne può conseguire un typecasting.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BURPVI_VT_TYPE


ID_CEL_AKTIV

Interno ID: ID_CEL_AKTIV

Abilita CEL

  • Attivo: la Lista eventi cronologica (CEL) è attiva durante il runtime. Gli eventi vengono registrati e la CEL è disponibile.
  • Inattivo: Non viene registrato nessun evento.

Default: attiva

Nota: le modifiche diventano effettive solamente dopo che il Runtime è stato riavviato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELAdminActive


ID_CEL_ARCHIVE_CHANGE

Interno ID: ID_CEL_ARCHIVE_CHANGE

Inserimenti nell'archivio

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Nessun protocollaggio: Non viene effettuato un protocollo dell´elaborazione di archivi nella CEL.
  • Protocolla modifiche: in caso di modifica di archivi, si protocolla nella CEL:
    • nome del file d'archivio
    • nuovo e vecchio valore della variabile
    • nuovo e vecchio timestamp della variabile
    • Nome della variabile

Default: Nessun protocollaggio

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ArchiveChangeToCEL


ID_CEL_CLS_COLOR

Interno ID: ID_CEL_CLS_COLOR

Colore classe allarme/eventi

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

non utilizzare: I colori delle classi allarmi/eventi non vengono usate nella CEL durante il Runtime.

come colore testo: i colori delle classi allarmi/eventi vengono usati nella CEL durante il runtime come colori di testo per gli inserimenti corrispondenti. Essi superano la selezione nella proprietà Testi ordinati.

come sfondo righe: i colori delle classi allarmi/eventi vengono usati nella CEL durante il runtime come colori di sfondo per gli inserimenti corrispondenti.

Default: Come colore testo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELClsColor


ID_CEL_COLOR_SORT

Interno ID: ID_CEL_COLOR_SORT

Testi ordinati

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

Definisce il colore del testo utilizzato per gli inserimenti filtrati nella Lista eventi cronologica (CEL).
Nota:

  • Se si opta per la proprietàColore classe allarme/eventi Come colore testo, questo colore avrà la precedenza sulla scelta in Testi ordinati.
  • Per SICAM 230: per ottenere nella lista sempre lo stesso colore, si deve selezionare per la proprietà Testi non ordinati lo stesso colore.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELColorSort


ID_CEL_COLOR_UNSORT

Interno ID: ID_CEL_COLOR_UNSORT

Testi non ordinati

Disponibile solamente con la proprietà Abilita CEL attiva.
Il colore del testo per gli inserimenti non filtrati nella Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELColorUnsort


ID_CEL_GRP_ALLGEMEIN

Interno ID: ID_CEL_GRP_ALLGEMEIN

Abilita log

Proprietà generali per la Lista Eventi Cronologica (CEL)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_CEL_Common


ID_CEL_GRP_COLOR

Interno ID: ID_CEL_GRP_COLOR

Colori inserimenti CEL

Proprietà per la definizione dei colori per la Lista Eventi Cronologica (CEL).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_CEL_Color


ID_CEL_GRP_MEM

Interno ID: ID_CEL_GRP_MEM

Storico CEL

Proprietà per il salvataggio degli inserimenti nella Lista Eventi Cronologica (CEL) nella memoria principale e sul disco fisso.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_CEL_Mem


ID_CEL_LISTENTRY

Interno ID: ID_CEL_LISTENTRY

Impostazioni colonna CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Apre la finestra di dialogo che serve alla definizione delle colonne nella CEL
Queste sono le impostazioni di Default, ma possono essere modificate al momento della definizione delle singole funzioni CEL.

Queste impostazioni valgono anche per l´export in CSV, XML o DBF.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELListEntry


ID_CEL_LST_STYLE

Interno ID: ID_CEL_LST_STYLE

Intestazioni CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Senza intestazione: Nella Lista informazioni allarmi non viene visualizzata alcuna intestazione durante.
  • Intestazione fissa: Nella CEL viene visualizzata un'intestazione fissa con relativi titoli di colonna.
  • Intestazione modificabile: Nella CEL viene visualizzata un'intestazione modificabile con relativi titoli di colonna. Nel runtime è possibile spostare le singole colonne e si può ordinare secondo una colonna qualsiasi.

Default: Intestazione modificabile

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELHeader


ID_CEL_MEMCOUNT

Interno ID: ID_CEL_MEMCOUNT

Dimensione buffer circolare

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.
Grandezza del buffer circolare della CEL. Se si supera la capacità del buffer circolare (cel.bin), gli inserimenti vengono trasmessi all´archivio CEL (*.cel) .
Minimo: 1
Massimo: 32767
Default: 100

Nota: nel runtime vengono eventualmente visualizzati più inserimenti come progettati, perché i vecchi inserimenti vengono eliminati dalla CEL solamente al momento dell´update della lista.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELMemCount


ID_CEL_ONLY_STACK

Interno ID: ID_CEL_ONLY_STACK

Salvataggio dati CEL

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Buffer circolare e Dati storici: Tutti gli inserimenti CEL (*.cel) vengono salvati.
  • Solo buffer circolare: Viene salvato solamente un numero definito di inseriment CEL (cel.bin). Il numero viene definito facendo uso della proprietà Dimensione buffer circolare.
  • Default: su apparecchi CE viene salvato solamente il buffer circolare (cel.bin); su PC, invece, vengono salvati anche inserimenti storici (*.cel).

Default: Default
I file (cel.bin e *.cel) vengono salvati nel percorso \Percorso progetto\Nome Computer\Nome progetto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CelOnlyStack


ID_CEL_RECIPE_CHANGE

Interno ID: ID_CEL_RECIPE_CHANGE

Modifica ricette

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Nessun protocollaggio: La modifica di ricette standard e di ricette del Manager gruppi ricette (RGM) non viene protocollata nella CEL.
  • Protocolla ricette: Quando si cambia una ricetta, essa viene protocollata nella CEL usando il nome della ricetta modificata.
  • Protocollaggio valori e ricette: quando si modifica una ricetta, essa viene protocollate nella CEL con:
    • nome della ricetta
    • nuovo e vecchio valore della variabile
    • nome della variabile

Default: Nessun protocollaggio

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RecipeChangeToCEL


ID_CEL_RECIPE_WRITE

Interno ID: ID_CEL_RECIPE_WRITE

Dichiarazione ricette

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Nessun protocollaggio: Il settaggio di ricette standard e di ricette del Manager gruppi ricette (RGM) non viene protocollata nella CEL.
  • Procollo di ricette: Se si deposita una ricetta, essa viene protocollata con il nome della ricetta modificata nella CEL.
  • Protocollaggio valori e ricette: quando si deposita una ricetta, essa viene protocollata nella CEL con:
    • nome della ricetta
    • nuovo e vecchio valore della variabile
    • nome della variabile

Default: Nessun protocollaggio

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RecipeWriteToCEL


ID_CEL_SPONTAN

Interno ID: ID_CEL_SPONTAN

Aggiorna automaticamente

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Attivo: Mentre è aperta la CEL nel Runtime, i nuovi eventi vengono aggiunti non appena si verificano.
  • Inattivo: Mentre la CEL è aperta, non vengono aggiunti nuovi inserimenti. I nuovi inserimenti vengono aggiunti solo quando si apre la CEL un´altra volta.
    Default: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELSpontan


ID_CEL_SYSMSGPRT

Interno ID: ID_CEL_SYSMSGPRT

Stampa messaggi di sistema

Attivo: nel caso di stampa-online, vengono stampati anche i messaggi di sistema.
Non attiva: i messaggi di sistema non vengono stampati nel caso di stampa-online.
Default: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELSysMsgPrint


ID_CEL_VERWALTUNG

Interno ID: ID_CEL_VERWALTUNG

CEL-Verwaltung

Viene aperto il dialogo di configurazione per la Lista Eventi Cronologica (CEL).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELAdministration


ID_CHANGELOG_COMMENT

Interno ID: ID_CHANGELOG_COMMENT

Commento

Commento per l´inserimento selezionato nel Log delle modifiche.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Comment


ID_CHANGELOG_FILTER_DATASETS

Interno ID: ID_CHANGELOG_FILTER_DATASETS

Max. Datensätze

Indica il numero massimo di inserimenti da visualizzare nella lista.
Minimo: 0.
Significa che vengono visualizzati tutti gli inserimenti.
Massimo: 2147483647.
Default: 1000.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Datensätze


ID_CHANGELOG_FILTER_PROP_GRP0

Interno ID: ID_CHANGELOG_FILTER_PROP_GRP0

Erweiterter Filter

Proprietà per il filtro esteso del Log delle modifiche.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:


ID_CHANGELOG_FILTER_TIME_MAX

Interno ID: ID_CHANGELOG_FILTER_TIME_MAX

Max. Zeitstempel

Disponibile solo se è attivo Intervallo tempo:
Termine temporale ultimo per gli inserimenti visualizzati

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TimestampMax


ID_CHANGELOG_FILTER_TIME_MIN

Interno ID: ID_CHANGELOG_FILTER_TIME_MIN

Min. Zeitstempel

Disponibile solo se è attivo Intervallo tempo:
Tempo primo possibile per gli inserimenti visualizzati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TimestampMin


ID_CHANGELOG_FILTER_TIMERANGE

Interno ID: ID_CHANGELOG_FILTER_TIMERANGE

Zeitbereich aktiv

Attivo: è possibile effettuare un´operazione di filtro sulla base dell´ intervallo di tempo.
inattivo: non è possibile effettuare un´operazione di filtro sulla base dell´ intervallo di tempo.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TimeRange


ID_CHANGELOG_PROP_GRP0

Interno ID: ID_CHANGELOG_PROP_GRP0

Generale

Proprietè generali per gli inserimenti nel Log delle modifiche.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_COLOR_COLOR_GRP

Interno ID: ID_COLOR_COLOR_GRP

Colore

Contiene tutte le proprietà dei colori per le tavolozze.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Color


ID_COLOR_COLOR_NAME

Interno ID: ID_COLOR_COLOR_NAME

Nome colore

Nome del colore.

Default: Color più Numero di indice, per es.: Color 1

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorName


ID_COLOR_COLOR_VALUE

Interno ID: ID_COLOR_COLOR_VALUE

Colore

Permette la selezione o la definizione del colore. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: bianco (#FFFFFF)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorValue


ID_COLOR_PALETTE_GRP

Interno ID: ID_COLOR_PALETTE_GRP

Tavolozza colori

Contiene le proprietà della tavolozza colori.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Palette


ID_COLOR_PALETTE_NAME

Interno ID: ID_COLOR_PALETTE_NAME

Nome tavolozza

Name der Farbpalette.

Default: Color palette plus Indexnummer, z. B.: Color palette 1

Mehr im Online-Handbuch.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PaletteName


ID_COLORRAHMEN

Interno ID: ID_COLORRAHMEN

Colore cornice

Definisce il colore della cornice dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti. Se si sceglie automatico, il valore del colore cambia in dipendenza del valore di Colore di sfondo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BorderColor


ID_COMPLEXITEM_BITOFFSET

Interno ID: ID_COMPLEXITEM_BITOFFSET

Bit offset

Numero Bit dell´elemento di struttura nella struttura.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitOffset


ID_COMPLEXITEM_HASREF

Interno ID: ID_COMPLEXITEM_HASREF

Collegato con tipo di dato

Attivo: l´elemento è collegato con il tipo di dato che ne è alla base. Le modifiche apportate nel tipo di dato che ne è alla base, si ripercuotono direttamente sull´elemento. Le proprietà dell´elemento non possono essere più modificate.
inattivo: L´elemento non è più collegato con il tipo di dato che ne è alla base.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HasRef


ID_COMPLEXITEM_INDEX

Interno ID: ID_COMPLEXITEM_INDEX

Pos. Nella struttura

Posizione della variabile nella struttura.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ItemIndex


ID_COMPLEXITEM_OFFSET

Interno ID: ID_COMPLEXITEM_OFFSET

Offset

Offset dell´elemento di struttura nella struttura.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Offset


ID_DELUSER

Interno ID: ID_DELUSER

Eliminazione utenti

  • Attivo: è consentita la cancellazione di un utente nel Runtime.
  • Inattivo: è possibile solo evidenziare gli utenti come cancellati. In questo caso gli user continueranno a comparire nella lista degli utenti, ma non saranno più validi per la gestione nel Runtime (in conformità a quanto previsto dalla normativa FDA).

Default: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DelUser


ID_DISABLEDBUTTONS

Interno ID: ID_DISABLEDBUTTONS

Tasti bloccati

Disponibile solo se la proprietà è Login temp. attivo non attiva.
Definisce l'aspetto dei pulsanti bloccati a causa delle impostazioni e delle autorizzazioni. Viene combinato nel runtime con la proprietà Pulsanti bloccati (Aspetto grafico ) per la gestione di tasti.

Possibili forme di visualizzazione:

  • Grigio
  • Normale
  • Invisibile

Default: Normale

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DisabledButtonStyle


ID_DNP3_OPERATION

Interno ID: ID_DNP3_OPERATION

Command Mode

Selezione del comando Mode fra quelli del menù a tendina.

  • Automatic SBO: In fase di scrittura, viene eseguito un Select. Dopo la conferma del Select da parte della Outstation, segue un Operate. Lo stato della variabile viene settato su CoT_actterm. Ciò vale per Outputs binari e Outputs analogici. Un Output bonario del tipo BOOL può essere usato via comando anche per Close e Trip, settando QoC su 2.
  • Direct Operate: Per la scrittura di Outputs binari e Outputs anologici, si usa Function Code 0x5 - Direct Operate.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Command_Mode


ID_DNP3_SCANGROUP

Interno ID: ID_DNP3_SCANGROUP

Scangroup

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Scangroup


ID_DNP3_VARIATION

Interno ID: ID_DNP3_VARIATION

Variation

Selezione della variazione fra quelle del menù a tendina.

  • Default: Si usa la variazione per variabili come inviata dalla Outstation.
    Se si usa un´altra variazione rispetto a quella della Outstation oppure una per variabili che non appartengono a nessuna classe ma devono essere lette, si può procedere alla definizione di una variazione alternativa. Selezione dal menù a tendina. Le alternative offerte dipendono da tipo oggetto driver della variabile. I valori numerici corrispondono ai valori consentiti della variazione per questo tipo di dato.

Il driver viene dopo ogni Class 0 Poll o inizializzato tramite una variabile Class Poll lettura manuale con la variazione definita. Se si seleziona una variazione diversa da Default, si dovrebbe attivare sempre anche la proprietà Lettura variabile continua.

Nota: la Outstation deve supportare la lettura della variazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variation


ID_DNP3TG_EXPLICITREAD

Interno ID: ID_DNP3TG_EXPLICITREAD

Classless read

Assegnazione dei valori alla variabile in caso di richieste di lettura esplicite:

  • Inattivo: Vengono assegnati alla variabile i valori ricevuti via Integrity-Poll, Event-Poll oppure oder unsolicited responses.
    I valori ricevuti in risposta ad una richiesta di lettura esplicita non vengono assegnati.
  • Attivo: Alla variabile vengono assegnati solo i valori ricevuti in risposta ad una richiesta di lettura esplicita.

Ulteriori informazioni nella guida in linea sui driver.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Classless_Read


ID_DNP3TG_OPERATION

Interno ID: ID_DNP3TG_OPERATION

Command Mode

Solo per il tipo di oggetto del driver Binary Output e Analog Output Selezione del Command Mode fra quelli della lista a cascata:

  • Automatic SBO: In fase di scrittura, viene eseguito un Select. Dopo la conferma del Select da parte della Outstation, segue un Operate. Lo stato della variabile viene settato su CoT_actterm. Ciò vale per Output binari e Output analogici. Un Output bonario del tipo BOOL può essere usato via comando anche per Close e Trip, settando QoC su 2.
  • Direct Operate: Per la scrittura di Outputs binari e Outputsanalogici, si usa Function Code 0x5 - Direct Operate.
  • Direct Operate NoAck: Per la scrittura diOutputs binari e Outputs analogici, si usa Function Code 0x5 - Direct Operate. Non c`è risposta da parte del PLC; non si ha conferma se la scrittura sia stata eseguita con successo o meno.

Default: Direct Operate

Ulteriori informazioni nella guida in linea sui driver.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Command_Mode


ID_DRIVER_EXTERNAL_REF

Interno ID: ID_DRIVER_EXTERNAL_REF

Riferimento esterno

Identificazione univoca di progetti, variabili, driver, tipi di dato, funzioni, matrici di reazione e immagini di zenon. Riferimento esterno è disponibile in zenon per la sola lettura. La proprietà viene usata come identificazione per tool di progettazione esterni, e può essere scritta solamente con l`API di zenon.

Default: Spazio

Lunghezza massima: 64 caratteri

Nota: In caso di cambio del driver, il contenuto della proprietà viene ripreso dal nuovo driver. Se, nel corso del cambio, due driver vengono unificati in uno, il valore per questa proprietà viene ripreso dal driver rimanente.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CPropExternalNames::szExternalReference


ID_DRV_KNOTEN

Interno ID: ID_DRV_KNOTEN

Connessione driver

Proprietà driver per la variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_DriverConnection


ID_DRV_STRAT_CREATE

Interno ID: ID_DRV_STRAT_CREATE

Modifica

Disponibile solo se è stato selezionato un driver di processo, il nome di progetto è valido ed è stato selezionato solo un driver. Non disponibile per Dribver per la variabile Simulator.

Cliccando si apre il progetto di simulazione nel workbench di zenon Logic. Se non esiste un progetto di simulazione per questo driver, esso viene generato automaticamente.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CreateSimulPrj


ID_DRV_STRAT_DEL

Interno ID: ID_DRV_STRAT_DEL

Elimina

Disponibile solamente se è definito un progetto di simulazione ed è selezionato solamente un driver.

Cancella il progetto di simulazione dopo una richiesta di conferma.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DelSimulPrj


ID_DRV_STRAT_EV_PORT

Interno ID: ID_DRV_STRAT_EV_PORT

Porta eventi

Disponibile solo se è stato generato un progetto di simulazione.

TCP/IP Port per lo scambio dati spontaneo. Il numero di porta deve essere univoco e deve essere disponibile nel progetto e sul computer sul quale è attivo il driver. Quando viene generato il progetto di simulazione, viene assegnato automaticamente un numero di porta univoco.

Nota: un numero di porta assegnato automaticamente è univoco solo per il relativo progetto. Nei progetti multigerarchici, questo numero deve essere verificato per evitare degli errori nella comunicazione con il workbench/runtime di zenon Logic.

Minimo: 6001 (in caso di assegnazione automatica, manuale: consigliato)

Massimo: 6998 (in caso di assegnazione automatica, manuale: consigliato)

Default: 6001

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SimulEvPort


ID_DRV_STRAT_GRP

Interno ID: ID_DRV_STRAT_GRP

Progetto di simulazione del driver

Contiene tutte le proprietà per la configurazione di simulazione - programmata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Simulation


ID_DRV_STRAT_NAME

Interno ID: ID_DRV_STRAT_NAME

Nome

Nome del progetto di simulazione. Se al momento dello start del workbench di zenon Logic non è disponibile un nome valido, il sistema attribuisce un nome automaticamente. Questo nome si compone di quello del driver e della definizione di quest´ultimo.

Condizioni per la validità dei nomi:

- non deve essere vuoto.

- deve essere univoco nel progetto.

- deve contenere solamente caratteri consentiti in zenon Logic; sono proibiti: /\:*?<>!|"

Minimo: 1 caratteri

Massimo: 15 caratteri.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SimulName


ID_DRV_STRAT_PORT

Interno ID: ID_DRV_STRAT_PORT

Porta standard

Disponibile solo se è stato generato un progetto di simulazione.

TCP/IP Port per la comunicazione con il workbench di zenon Logic.
Numeri di porta consentiti:

  • Minimo: 6000 (in caso di assegnazione automatica, manuale: consigliato)
  • Massimo: 6999 (in caso di assegnazione automatica, manuale: consigliato)

Default: 6000

Il numero di porta:

  • Deve essere disponibile e non assegnato nell´ambito del progetto
  • Deve essere univoco per tutti i progetti che sono attivi nel Runtime.
  • Deve essere disponibile sul calcolatore su cui è attivo il driver.

Quando viene generato il progetto di simulazione, viene assegnato automaticamente un numero di porta univoco.

Nota: un numero di porta assegnato automaticamente è univoco solo per il relativo progetto. Nei progetti multigerarchici, questo numero deve essere verificato per evitare degli errori nella comunicazione con il workbench/runtime di zenon Logic.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SimulPort


ID_DYN_PROP_BLINKVAR

Interno ID: ID_DYN_PROP_BLINKVAR

Riprendi il lampeggio dal valore limite

Variabile dal cui valore/i limite/i deve essere ripreso il lampeggio per l´elemento. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Al contrario del lampeggio normale, in questo caso lampeggio l´intero elemento e non solo il valore rappresentato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BlinkVariable


ID_DYN_PROP_BLINKVAR_PREVIEW

Interno ID: ID_DYN_PROP_BLINKVAR_PREVIEW

Visualizza anteprima lampeggio

Visualizzazione del valore limite per il lampeggio definito per la variabile. Disponibile solamente se per la proprietà Riprendi il lampeggio dal valore limite è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

BlinkVarPreview


ID_DYN_PROP_FILLCOLORVAR_PREVIEW

Interno ID: ID_DYN_PROP_FILLCOLORVAR_PREVIEW

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore sfondo / riempimento. Disponibile solamente se per la proprietà Colore sfondo / riempimento è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

BackColorVarPreview


ID_DYN_PROP_GLOWEFFECT_BLINKVAR

Interno ID: ID_DYN_PROP_GLOWEFFECT_BLINKVAR

Variabile lampeggio

Variabile dal cui valore limite (o valori limite) deve essere ripreso il lampeggio per l´effetto glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectBlinkVariable


ID_DYN_PROP_GLOWEFFECT_GLOWCOLOR_VARIABLE

Interno ID: ID_DYN_PROP_GLOWEFFECT_GLOWCOLOR_VARIABLE

Variabile colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Nome della variabile i cui colori di valore limite devono influenzare il colore glow. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente. Se non è collegata nessuna variabile, si usa il colore definito nella proprietà Colore.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectGlowColorVariable


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

Riprende la visibilità dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile per visibilità.

Attivo: La visibilità dell´effetto glow viene influenzata dalle proprietà di valore limite della variabile.

Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

Inattivo: la visibilità viene influenzata dalle proprietà dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectVisibilityFromLimit


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

Visibile fino

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore fino al quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore massimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectVisibilityTo


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

Variabile per visibilità

Disponibile solo se la proprietà Attiva è attivata.

Nome delle variabili il cui valore influenza la visibilità dell´effetto glow. La visibilità viene o ripresa dalle proprietà del valore limite di questa variabile (proprietà Riprende la visibilità dal valore limite attiva), oppure determinata dal campo valori che è definito nelle proprietà Visibile da e Visibile fino. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere inserito nel campo di testo anche manualmente.

Nota: se non è collegata nessuna variabile, l´effetto glow è sempre visibile.

Default: Nessuna variabile collegata

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectVisibilityVariable


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

Interno ID: ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

Visibile da

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile per visibilità una variabile e la proprietà deve essere Riprende la visibilità dal valore limite disattivata.

Definisce il valore a partire dal quale l´effetto glow è visibile.
Minimo: valore minimo possibile delle variabili collegate in Variabile per visibilità.
Massimo: valore massimo possibile delle variabili collegate in Variabile per visibilità.
Default: valore minimo possibile delle variabili collegate in Variabile per visibilità.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectVisibilityFrom


ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Interno ID: ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Riprendi il lampeggio dal valore limite

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita una variabile nella proprietà Variabile lampeggio.

Attivo: Riprende il colore per l´effetto glow per il lampeggio dal valore limite attivo delle variabili definite nella proprietà Colore lampeggio da valore limite. Questa proprietà è indipendente dalla proprietà Colorare. Nel caso di lampeggio, l´elemento non passa da visibile ad invisibile, ma da visibile al glow effect impostato.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectUseBlinkColor


ID_DYN_PROP_LINECOLORVAR_PREVIEW

Interno ID: ID_DYN_PROP_LINECOLORVAR_PREVIEW

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

LineColorVarPreview


ID_DYN_PROP_TEXTCOLORVAR_PREVIEW

Interno ID: ID_DYN_PROP_TEXTCOLORVAR_PREVIEW

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Colore linea. Disponibile solamente se per la proprietà Colore linea è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

LineColorVarPreview


ID_DYN_PROP_USEBLINKCOLOR

Interno ID: ID_DYN_PROP_USEBLINKCOLOR

Colore lampeggio da valore limite

Attivo: Riprende il colore di sfondo del lampeggio dal valore limite attivo della variabile per Riprendi il lampeggio dal valore limite. Elemento non passa in caso di lampeggio a invisibile, ma a colore di sfondo attivo.

Default: inattivo

Nota: non si tiene conto di questo colore se è configurato il colore di sfondo Trasparente.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UseBlinkColor


ID_DYN_PROP_VISVAR_PREVIEW

Interno ID: ID_DYN_PROP_VISVAR_PREVIEW

Visualizza anteprima visibilità

Visualizzazione del valore limite per la visibilità definito per la variabile. Disponibile solamente se per la proprietà Variabile del gruppo Visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VisVarPreview


ID_DYNPICTURE_DONTRESIZEELEMS

Interno ID: ID_DYNPICTURE_DONTRESIZEELEMS

Non adattare gli elementi alla risoluzione dello schermo

Attivo: Gli elementi contenuti nell´immagine non vengono adattati automaticamente nel Runtime alla risoluzione dello schermo, ma mantengono la posizione e la grandezza progettate nell´Editor.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DontResizeElements


ID_DYNPICTURE_EXPORTFORWEB

Interno ID: ID_DYNPICTURE_EXPORTFORWEB

Disponibile per il Web

  • Attivo: L´immagine viene esportata ai fini della visualizzazione dal HTML Export Wizard su un client via HTML Web Engine.
  • Inattivo: L´immagine non viene esportata ai fini della visualizzazione dal HTML Export Wizard su un client via HTML Web Engine.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExportForWeb


ID_DYNPICTURE_MOVEBYMOUSE

Interno ID: ID_DYNPICTURE_MOVEBYMOUSE

Muovi modello via mouse

Attivo: L´immagine può essere mossa nel Runtime usando il mouse, anche se non si tratta di una visualizzazione globale. Quando si clicca con il tasto sinistro del mouse su un´area vuota dello schermo e si muove il mouse stesso tenendo premuto il tasto, si muove l´intera immagine.

Nota: Se l´immagine è embedded in faceplate, il sistema non terrà conto di questa impostazione. In questo caso, sono le impostazioni del faceplate ad essere decisive per il movimento. Quando si muove un faceplate, tutte le immagini contenute vengono spostate.

Interazione: Le proprietà Muovi modello via mouse da una parte, e Sposta orizzontalmente e Sposta verticalmente dall´altra, non possono essere attivate contemporaneamente. Si può attivare o lo spostamento di un modello con il mouse, oppure lo spostamento orizzontale/verticale tramite gestione touch.

Attenzione al seguente caso eccezionale: nel seguente caso, entrambe le proprietà vengono settate e non sono poi configurabili.

  • La proprietà Sposta orizzontalmente, oppure Sposta verticalmente viene attivata.
  • La proprietà di progetto Analisi per Interazione viene settata su Windows 7, oppure disattivata.
  • La proprietà Muovi modello via mouse viene attivata.
  • Per la proprietà Analisi viene di nuovo selezionata l´opzione Windows 8.

Soluzione:

  • Selezionate per la proprietà Analisi di nuovo l´opzione Windows 7, oppure Disattivata.
  • .Disattivate la proprietà Muovi modello via mouse

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MoveByMouse


ID_DYNPICTURE_MULTITOUCH

Interno ID: ID_DYNPICTURE_MULTITOUCH

Multi-Touch per Zoom e Scrolling

Attivo: Per zoomare o per fare lo scrolling all´interno dell´immagine globale si possono usare dei gesti multitouch, senza che questi debbano essere programmati in VSTA. Se questa proprietà è attiva, non vengono generati eventi VBA/VSTA per i gesti multitouch.

Disponibile solamente se si tratta di una visualizzazione globale (immagine più grande del modello e Ricava dimensioni dal modello non attiva) e per la proprietà Multi-Touch attivo è stato selezionato Windows 7.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MultiTouch


ID_DYNPICTURE_MULTITOUCH_GROUP

Interno ID: ID_DYNPICTURE_MULTITOUCH_GROUP

Interazione

Proprietà per la configurazione dell´interazione nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Interaction


ID_DYNPICTURE_MULTITOUCH_MOVE

Interno ID: ID_DYNPICTURE_MULTITOUCH_MOVE

Verschieben

È disponibile solamente se la proprietà Ricava dimensioni dal modello è disattivata e la proprietà di progetto Analisi è stata impostata su Windows 8.

Definisce la reazione al gestoSposta. Selezione dalla lista a cascata:

  • Sposta contenuto: il contenuto può essere spostato verticalmente o orizzontalmente. La direzione viene definita facendo uso delle proprietà Horizontal verschieben e Vertikal verschieben.
  • Nessuna reazione

Default: Sposta contenuto

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MultiTouchMove


ID_DYNPICTURE_MULTITOUCH_MOVE_HOR

Interno ID: ID_DYNPICTURE_MULTITOUCH_MOVE_HOR

Horizontal verschieben

È a disposizione solo se la proprietà Verschieben è stata impostata su Sposta contenuto.

Stabilisce se il contenuto può essere spostato orizzontalmente. Selezione dalla lista a cascata:

  • Sposta orizzontalmente: il contenuto può essere spostato orizzontalmente.
  • Nessuna reazione

Default: Sposta orizzontalmente

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MultiTouchMoveHor


ID_DYNPICTURE_MULTITOUCH_MOVE_VER

Interno ID: ID_DYNPICTURE_MULTITOUCH_MOVE_VER

Vertikal verschieben

È a disposizione solo se la proprietà Verschieben è stata impostata su Sposta contenuto.

Stabilisce se il contenuto può essere spostato verticalmente. Selezione dalla lista a cascata:

  • Sposta verticalmente: il contenuto può essere spostato verticalmente.
  • Nessuna reazione

Default: Sposta verticalmente

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MultiTouchMoveVer


ID_DYNPICTURE_MULTITOUCH_ZOOM

Interno ID: ID_DYNPICTURE_MULTITOUCH_ZOOM

Zoomen

È disponibile solamente se la proprietà Ricava dimensioni dal modello è disattivata e la proprietà di progetto Analisi è stata impostata su Windows 8.

Definisce la reazione al gestozoomare. Selezione dalla lista a cascata:

  • Zoom contenuto
  • Nessuna reazione

Default: Zoom contenuto

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MultiTouchZoom


ID_DYNPICTURE_PROP1

Interno ID: ID_DYNPICTURE_PROP1

Nome file

Nome file dell'immagine.
Il nome file viene generato automaticamente dal sistema e non può essere cambiato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_DYNPICTURE_PROP2

Interno ID: ID_DYNPICTURE_PROP2

Modello

Modifica del modello assegnato, senta che gli elementi d'immagine siano adattati alla nuova grandezza dell´immagine (allungare o comprimere)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Template


ID_DYNPICTURE_PROP3

Interno ID: ID_DYNPICTURE_PROP3

Tipo di immagine

Standard: tipo di immagine per la creazione di immagini di processo. Possono essere usati tutti gli elementi vettoriali e dinamici.
Tipi di immagini speciali: Le immagini che non sono del tipo "Standard" devono essere create una sola volta e possono essere aperte mediante speciali impostazioni di filtro della funzione Cambio immagine con diversi dati. Non appena si è scelto uno speciale tipo di immagine, nel menù Elementi di controllo sono a disposizione i corrispondenti elementi di gestione per il tipo di immagine in questione.

Attenzione: Non appena il tipo d'immagine è stato modificato da 'standard' ad un tipo specifico, è fisso e non può essere modificato.

Default: Standard

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Type


ID_DYNPICTURE_PROP4

Interno ID: ID_DYNPICTURE_PROP4

Colore di sfondo

Definisce il colore di sfondo dell´immagine. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.
Default: Colore dal modello.
Nota: il Colore dal modello viene ripreso come copia e non collegato. Delle eventuali modifiche apportate successivamente al colore nel modello non hanno alcuna conseguenza sulle immagini esistenti, ma solo su quelle nuove.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackgroundColor


ID_DYNPICTURE_PROP5

Interno ID: ID_DYNPICTURE_PROP5

X da

Coordinata x del punto d’angolo sinistro in alto dell’immagine (in unità logiche). Questa proprietà ha solo fini informativi e non può essere modificata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinX


ID_DYNPICTURE_PROP6

Interno ID: ID_DYNPICTURE_PROP6

X fino a

Coordinata x del punto d’angolo destro in basso dell’immagine (in unità logiche). Questa proprietà ha solo fini informativi e non può essere modificata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxX


ID_DYNPICTURE_PROP7

Interno ID: ID_DYNPICTURE_PROP7

Y da:

Coordinata y del punto d’angolo sinistro in alto dell’immagine (in unità logiche). Questa proprietà ha solo fini informativi e non può essere modificata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinY


ID_DYNPICTURE_PROP8

Interno ID: ID_DYNPICTURE_PROP8

Y fino a

Coordinata y del punto d’angolo destro in basso dell’immagine (in unità logiche). Questa proprietà ha solo fini informativi e non può essere modificata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxY


ID_DYNPICTURE_PROP9

Interno ID: ID_DYNPICTURE_PROP9

Altezza [Pixel]

Disponibile solo se la proprietà Ricava dimensioni dal modello non è attiva.
Altezza dell´immagine in pixel.

Nota: le indicazioni di grandezza minori al modello verranno ignorate. Quando si configura per un´immagine una dimensione maggiore di quella del modello, essa diventa una Visualizzazione globale. Per effettuare la navigazione e lo scrolling all´interno delle visualizzazioni globali, potete usare un´immagine del tipo Supervisione globale, la gestione Touch e il mouse.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Height


ID_DYNPICTURE_PROP10

Interno ID: ID_DYNPICTURE_PROP10

Larghezza [Pixel]

Disponibile solo se la proprietà Ricava dimensioni dal modello non è attiva.
Larghezza dell´immagine in pixel.

Nota: le indicazioni di grandezza minori al modello verranno ignorate. Quando si configura per un´immagine una dimensione maggiore di quella del modello, essa diventa una Visualizzazione globale. Per effettuare la navigazione e lo scrolling all´interno delle visualizzazioni globali, potete usare un´immagine del tipo Supervisione globale, la gestione Touch e il mouse.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Width


ID_DYNPICTURE_PROP11

Interno ID: ID_DYNPICTURE_PROP11

Funzione apertura

Funzione che deve essere eseguita automaticamente al momento dell´apertura dell´immagine nel Runtime.
Apre il dialogo di selezione funzioni.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StartFunction


ID_DYNPICTURE_PROP12

Interno ID: ID_DYNPICTURE_PROP12

Funzione chiusura

Funzione che deve essere eseguita automaticamente al momento della chiusura dell´immagine nel Runtime.
Apre il dialogo di selezione funzioni.
Se deve essere eseguita più di una funzione, è necessario realizzare uno script con le funzioni desiderate e collegare in questa sede la funzione per l'esecuzione dello script.

ATTENZIONE: L´apertura di un´altra immagine dello stesso modello porta alla chiusura automatica di questa immagine e all´esecuzione della funzione collegata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EndFunction


ID_DYNPICTURE_PROP13

Interno ID: ID_DYNPICTURE_PROP13

Ricava dimensioni dal modello

Attivo: la grandezza e la posizione dell´immagine vengono definite dal modello collegato.
Disattivata: la larghezza e l´altezza dell´immagine possono essere maggiori di quelle del modello. La posizione dell´angolo in alto a sinistra continua ad essere fissata mediante il modello.
Default: attiva:

Nota: le indicazioni di grandezza minori al modello verranno ignorate. Quando si configura per un´immagine una dimensione maggiore di quella del modello, essa diventa una Visualizzazione globale. Per effettuare la navigazione e lo scrolling all´interno delle visualizzazioni globali, potete usare un´immagine del tipo Supervisione globale, la gestione Touch e il mouse.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SizeFromTemplate


ID_DYNPICTURE_PROP14

Interno ID: ID_DYNPICTURE_PROP14

Dialogo modale

Impostazione per visualizzazione come dialogo modale:

  • Attivo: Finché l’immagine è aperta nel Runtime, non si può accedere ad elementi in un‘altra immagine.
    Eccezione: si possono gestire le immagini che vengono aperte a partire dall´immagine modale, se anche queste ultime sono state configurate come immagini modali.

    Attenzione: Non è consentito aprire da un´immagine modale un´immagine non modale!
    Se si apre un´immagine non modale tramite una modale, essa sarà visibile, ma non si potrà interagire con essa. Non sarà possibile interagire neanche con l´immagine modale sottostante, visto che essa è coperta. Il risultato è che il runtime è bloccato!

  • Inattivo: Le altre immagini vengono gestite come di consueto.

Default: inattivo

Quest´impostazione viene ignorata nel caso di uso in un container faceplate.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Modal


ID_DYNPICTURE_PROP15

Interno ID: ID_DYNPICTURE_PROP15

Visibile sotto CE

Attivo: L'immagine viene visualizzata anche sotto Windows CE.
inattivo: L'immagine non viene visualizzata sotto Windows CE.
Default: attivo.

In tal modo è possibile usare nell´ambito di reti costituite da PC e apparecchiature CE anche sui computer quelle funzionalità che non vengono supportate da CE, senza che ciò porti all´insorgere di problemi nelle apparecchiature CE.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowInCE


ID_DYNPICTURE_PROP16

Interno ID: ID_DYNPICTURE_PROP16

File grafico

Selezione della grafica di sfondo che viene visualizzata nel livello più lontano dell´immagine.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackgroundPic


ID_DYNPICTURE_PROP17

Interno ID: ID_DYNPICTURE_PROP17

Orientamento

Disponibile solamente dopo che è stata selezionata una File grafico.
Tipo di rappresentazione della grafica di sfondo nell´immagine:

  • normale: Grandezza originale, posizionato nell´angolo in alto a sinistra.
  • Centrato: Grandezza originale, centrato al centro dell´immagine.
  • Allungato: Riempitivo del formato, allungato per la lunghezza dell´immagine.
  • Affiancato grandezza originale, affiancato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackgroundPicStyle


ID_DYNPICTURE_PROP18

Interno ID: ID_DYNPICTURE_PROP18

Rahmen-Style

Disponibile solamente se è selezionata una cornice nella definizione del modello.:
Tipo di cornice dell'immagine.
Cornice spessa: intorno all´immagine viene visualizzata una cornice spessa. Si può modificare nel Runtime la grandezza dell´immagine.
Cornice fine: intorno all´immagine viene visualizzata una cornice fine.
Nessuna cornice: non viene visualizzata una cornice introno all´immagine.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BorderStyle


ID_DYNPICTURE_PROP19

Interno ID: ID_DYNPICTURE_PROP19

Titel anzeigen

Disponibile solamente se è selezionata una cornice per il modello:
Attivo: Utilizza Header Windows per quest´immagine. L´immagine può essere spostata nel Runtime.
inattivo: non usare nessun Header.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowTitle


ID_DYNPICTURE_PROP20

Interno ID: ID_DYNPICTURE_PROP20

Variabile di immagine attiva

La variabile binaria collegata in questa sede viene settata sul valore 1 se l´immagine viene aperta; essa viene resettata a 0 se l´immagine viene chiusa.
Apre il dialogo di selezione variabili filtrato su variabili binarie.

Attenzione: l´apertura di un´altra immagine dello stesso modello porta alla chiusura automatica di questa immagine e all´esecuzione della funzione collegata.

Esempio: il colore di sfondo dei pulsanti in una barra comandi dovrebbe indicare quale immagine è aperta al momento. In tutte le variabili binarie che sono collegate alle singole immagini il colore di valore limite per il valore 1 è il verde e quello per il valore 0 è il bianco. Queste variabili binarie vengono collegate al colore di sfondo dinamico dei pulsanti corrispondenti. Il colore di sfondo del pulsante che apre l´immagine aperta al momento, dunque, è sempre il verde, mentre tutti gli altri bottoni sono bianchi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PicActivVar


ID_DYNPICTURE_PROP21

Interno ID: ID_DYNPICTURE_PROP21

Colore di sfondo

Definisce il colore di sfondo del simbolo nell´editor simboli. Cliccate per aprire lo spettro dei diversi colori disponibili sul pulsante oppure indicate il colore desiderato in RGB come valori Hex.

Attenzione: Il colore definito in questa sede finge solo da colore di sfondo dell´ editor simboli. Esso non ha alcun effetto sulla visualizzazione nell´Editor oppure nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackgroundColor


ID_DYNPICTURE_PROP22

Interno ID: ID_DYNPICTURE_PROP22

Altezza [Pixel]

Definisce l'altezza del simbolo in pixel. L´altezza definita serve da altezza originaria per il simbolo se lo trascinate in un´immagine.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Height


ID_DYNPICTURE_PROP23

Interno ID: ID_DYNPICTURE_PROP23

Larghezza [Pixel]

Definisce la larghezza del simbolo in pixel. La larghezza definita in questa sede serve da larghezza originaria per il simbolo se lo trascinate in un´immagine.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Width


ID_DYNPICTURE_PROP24

Interno ID: ID_DYNPICTURE_PROP24

Layout tastiera automatica

attivo: per le lettere, i numeri e i tasti F di un´immagine del tipo Keyboard vengono riprese le scritte originali del layout della tastiera del sistema operativo. Non possono essere definite delle descrizioni alternative dei tasti. Anche nel caso in cui dei tasti siano già stati dotati di scritte, durante il runtime il sistema ritorna alle scritte originali. I tasti di funzione, quali, per esempio, Tab oppure Shift, continuano a poter essere dotati di una scritta alternativa.

inattivo: tutti i tasti possono essere individualmente dotati di una scritta e verranno visualizzati con tale scritta durante il runtime.

Default: attiva

Nota: Il blocco cifre della tastiera non riceve dei segni in modo automatico e i caratteri di tali tasti possono essere modificati durante il Runtime in qualsiasi momento, indipendentemente dall´impostazione di questa proprietà.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AutoKBLayout


ID_DYNPICTURE_PROP_GRP0

Interno ID: ID_DYNPICTURE_PROP_GRP0

Generale

Proprietà generali dell´immagine.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Picture


ID_DYNPICTURE_PROP_GRP1

Interno ID: ID_DYNPICTURE_PROP_GRP1

Modello

la grandezza e la posizione dell´immagine vengono definite dal modello collegato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Size


ID_DYNPICTURE_PROP_GRP2

Interno ID: ID_DYNPICTURE_PROP_GRP2

Rappresentazione

Proprietà per l´aspetto esteriore dell´immagine.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Representation


ID_DYNPICTURE_PROP_GRP3

Interno ID: ID_DYNPICTURE_PROP_GRP3

Esecuzione:

Funzioni e variabili collegate all´immagine.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Functions


ID_DYNPICTURE_PROP_GRP4

Interno ID: ID_DYNPICTURE_PROP_GRP4

Immagine di sfondo

In ogni immagine può essere visualizzata una grafica sullo sfondo. Questa grafica è posizionata al livello più posteriore e viene coperta da tutti gli altri elementi dell´immagine. Per il posizionamento sono a disposizione funzionalità come „affiancato“ o „centrato“. Non è possibile uno spostamento libero.

in alternativa può essere usato anche un pulsante con un file grafico senza funzione collegata per la visualizzazione di un file grafico posizionabile liberamente.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Background


ID_DYNPICTURE_PROP_GRP5

Interno ID: ID_DYNPICTURE_PROP_GRP5

Generale

Proprietà concernenti la dimensione e il colore di sfondo dell´editor simboli.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Symbols


ID_DYNPICTURE_PROP_GRP6

Interno ID: ID_DYNPICTURE_PROP_GRP6

Colore

Proprietà per le impostazioni colore dell´immagine.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_Color


ID_DYNPICTURE_REFEXT

Interno ID: ID_DYNPICTURE_REFEXT

Riferimento esterno

Identificazione univoca di progetti, variabili, driver, tipi di dato, funzioni, matrici di reazione e immagini di zenon. Riferimento esterno è disponibile in zenon per la sola lettura. La proprietà viene usata come identificazione per tool di progettazione esterni, e può essere scritta solamente con l`API di zenon.

Default: Spazio

Lunghezza massima: 64 caratteri

Nota: L´import ed export XML viene supportato.
Se si imposta un´immagine via Copy&Paste, questa proprietà è vuota.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExternalReference


ID_DYNPICTURE_SCHAB_HIGHLIGHT_ALPHA

Interno ID: ID_DYNPICTURE_SCHAB_HIGHLIGHT_ALPHA

Trasparenza di sfondo

Disponibile solo se la proprietà Evidenziare il modello è stata attivata.

Definisce la trasparenza di Colore di contrasto del modello su cui si basa l´immagine. Un clic sul comando ... apre lo slider che serve alla definizione della trasparenza.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AmbientAlpha


ID_DYNPICTURE_SCHAB_HIGHLIGHT_COLOR

Interno ID: ID_DYNPICTURE_SCHAB_HIGHLIGHT_COLOR

Colore di contrasto

Disponibile solo se la proprietà Evidenziare il modello è stata attivata.

Definisce il colore di ambiente del modello su cui si basa l´immagine. Un clic sul comando ... apre il dialogo che serve alla selezione del colore.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AmbientColor


ID_DYNPICTURE_SCHAB_HIGHLIGHT_TYPE

Interno ID: ID_DYNPICTURE_SCHAB_HIGHLIGHT_TYPE

Evidenziare il modello

Disponibile solo se la proprietà Dialogo modale è stata attivata.

  • Attivo: Il modello su cui si basa l´immagine viene evidenziato.
    L´intera area al di fuori del modello viene colorata facendo uso di un Colore di contrasto e di una Trasparenza di sfondo configurabili. L´area del modello evidenziato non viene interessata da questo processo di colorazione.
    Si può aprire solamente un´immagine alla volta con questa proprietà. Tuttavia è possibile aprire delle immagini a partire da quella evidenziata. Anch´esse verranno evidenziate.

Nota: Quest´impostazione viene ignorata nel caso di uso in un container faceplate.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Highlight


ID_EDITSIGNATURE

Interno ID: ID_EDITSIGNATURE

Testo firma modificabile

Attivo: Nel Runtime viene aperta una finestra di dialogo che serve ad editare il testo di firma.

Inattivo: il testo della firma non può essere modificato durante il Runtime.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EditSignature


ID_ELE_BITMAP_DOWN

Interno ID: ID_ELE_BITMAP_DOWN

File grafico a tasto premuto

Immagine che deve essere visualizzata sul pulsante premuto (*.bmp, *.wmf, *.jpg, *.gif). Un clic sul comando ... apre il dialogo di selezione variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FileNameDown


ID_ELE_CORNER_ALL_X

Interno ID: ID_ELE_CORNER_ALL_X

Tutte X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerAll_X


ID_ELE_CORNER_ALL_Y

Interno ID: ID_ELE_CORNER_ALL_Y

Tutte Y [%]

Disponibile solamente se la proprietà Proporzionale è attiva e quella Con valori di luminosità non è attiva.

Definisce il valore di arrotondamento dell´asse Y per tutti i punti di selezione. Questo valore viene usato per tutti i punti di selezione il cui valore è pari a -1- Ma è possibile definire dei punti di selezione anche in modo indipendente.

Se si cambia il valore di arrotondamento, tutti i punti di selezione vengono settati automaticamente sul valore -1. In tal modo, tutti i punti di selezione vengono resettati sul valore indicato in questa sede.

Campo valori: da 0 % a 100 %.

Default: 20

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerAll_Y


ID_ELE_CORNER_LEFTBOTTOM_X

Interno ID: ID_ELE_CORNER_LEFTBOTTOM_X

Sinistra/Basso X [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

La proprietà Con valori di luminosità deve essere disattivata

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in basso a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

  • -1: Viene usata l´impostazione di Tutte X [%].
  • Da 0 a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerLeftBottom_X


ID_ELE_CORNER_LEFTBOTTOM_Y

Interno ID: ID_ELE_CORNER_LEFTBOTTOM_Y

Sinistra/Basso Y [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Inoltre la proprietà Proporzionale deve essere attiva e la proprietà Con valori di luminosità disattivata.

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in basso a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

  • -1: Viene usata l´impostazione di Tutte Y [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerLeftBottom_Y


ID_ELE_CORNER_LEFTTOP_X

Interno ID: ID_ELE_CORNER_LEFTTOP_X

Sinistra/Alto X [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
La proprietà Con valori di luminosità deve essere disattivata.

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in alto a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte X [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerLeftTop_X


ID_ELE_CORNER_LEFTTOP_Y

Interno ID: ID_ELE_CORNER_LEFTTOP_Y

Sinistra/Alto Y [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Inoltre la proprietà Proporzionale deve essere attiva e la proprietà Con valori di luminosità disattivata.

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in alto a sinistra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte Y [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerLeftTop_Y


ID_ELE_CORNER_PROPORTIONAL

Interno ID: ID_ELE_CORNER_PROPORTIONAL

Proporzionale

Disponibile solo se la proprietà Con valori di luminosità non è settata.

Attivo: Per l´arrotondamento degli angoli può essere inserito solamente il valore X. Il valore Y è sempre uguale.

Il valore percentuale inserito in Tutte X [%] si riferisce al lato più corto (larghezza o altezza) dell´elemento.

Inattivo: I valori X e Y possono essere inseriti liberamente. Il valore X si riferisce alla larghezza dell´elemento, il valore Y all´altezza.

Default: attivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerProportional


ID_ELE_CORNER_RIGHTBOTTOM_X

Interno ID: ID_ELE_CORNER_RIGHTBOTTOM_X

Destra/Basso X [%]

Disponibile solo se la proprietà Con valori di luminosità non è attivata.

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in basso a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento. Possibili valori:

-1: Viene usata l´impostazione di Tutte X [%].

0 fino a 100 Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerRightBottom_X


ID_ELE_CORNER_RIGHTBOTTOM_Y

Interno ID: ID_ELE_CORNER_RIGHTBOTTOM_Y

Destra/Basso Y [%]

Disponibile solo se la proprietà Proporzionale è stata attivata e la proprietà Con valori di luminosità è stata disattivata.

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in basso a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte Y [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerRightBottom_Y


ID_ELE_CORNER_RIGHTTOP_X

Interno ID: ID_ELE_CORNER_RIGHTTOP_X

Destra/Alto X [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
La proprietà Con valori di luminosità deve essere disattivata.

Definisce il valore di arrotondamento dell´asse X per il punto di selezione in alto a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte X [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerRightTop_X


ID_ELE_CORNER_RIGHTTOP_Y

Interno ID: ID_ELE_CORNER_RIGHTTOP_Y

Destra/alto Y [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Inoltre la proprietà Proporzionale deve essere attiva e la proprietà Con valori di luminosità disattivata.

Definisce il valore di arrotondamento dell´asse Y per il punto di selezione in alto a destra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare l´arrotondamento.
Possibili valori:

  • -1: Viene usata l´impostazione di Tutte Y [%].
  • 0 fino a 100: Arrotondamento in percentuale.

Default: -1

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CornerRightTop_Y


ID_ELE_DRAGBEGIN

Interno ID: ID_ELE_DRAGBEGIN

DragBegin

Macro VBA da eseguire quando inizia il trascinamento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DragBegin


ID_ELE_DRAGDROP

Interno ID: ID_ELE_DRAGDROP

DragDrop

Macro VBA che deve essere eseguita quando il tasto del mouse viene rilasciato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DragDrop


ID_ELE_DRAGOVER

Interno ID: ID_ELE_DRAGOVER

DragOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento a tasto sinistro premuto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DragOver


ID_ELE_EMBEDDED_FONT

Interno ID: ID_ELE_EMBEDDED_FONT

Carattere

Tipo di carattere utilizzato nella visualizzazione.

Attenzione: quest´opzione funziona solamente con caratteri scollegati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Font


ID_ELE_LAYER

Interno ID: ID_ELE_LAYER

Livello di visibilità

Selezionate nella lista dropdown uno dei 16 livelli di visibilità (da 0 a 15). Servendovi della barra dei simboli Livelli di visibilità potete stabilire quali livelli devono essere visualizzati nell'Editor e quali invece debbono essere esclusi. In tal modo si garantisce che anche delle immagini complesse possano essere progettate in modo tale da poter essere poi visualizzate in modo adeguato. I livelli possono essere utilizzati individualmente. I livelli non hanno alcuna influenza né sull'informazione di primo piano /di sfondo, né sulla visualizzazione nel Runtime.
Default: 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Layer


ID_ELE_LIGHTNING

Interno ID: ID_ELE_LIGHTNING

Effetto riempimento 3-D

Disponibile solamente se Tipo di riempimento è stato settato su effetto di riempimento.
Definisce l´effetto di riempimento degli elementi vettoriali.

  • lineare: effetto omogeneo
  • Da un punto definito: effetto dai bordi al centro.
  • a punti con angoli: effetto dai bordi al centro con formazione di angoli.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Lightning


ID_ELE_LINECOLOR

Interno ID: ID_ELE_LINECOLOR

Colore di linea

Definisce il colore di linea dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineColorEx


ID_ELE_NUM_BASE_ON

Interno ID: ID_ELE_NUM_BASE_ON

Visualizzazione base

È disponibile solamente se per la proprietà Base numerica di visualizzazione avete selezionatobinaria, esadecimale , oppure ottale.

  • Attivo: Dietro al valore viene visualizzata un´abbreviazione per la base numerica.

Vengono visualizzate le seguenti abbreviazioni:

  • Binario b
  • Decimale: (nessuna abbreviazione)
  • Esponenziale: (nessuna abbreviazione)
  • Esadecimale: h
  • Ottale: o

Default: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowValueBasis


ID_ELE_PROP0

Interno ID: ID_ELE_PROP0

Nome elemento

Assegnate un nome elemento.
Non deve essere vuoto.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Nota per faceplates: assegnate ai Contenitori immagini nomi distinguibili in modo inequivocabile in modo da garantire una selezione in fase di configurazione del cambio immagine.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_ELE_PROP1

Interno ID: ID_ELE_PROP1

Focus impostato sull'elemento

Attivo: L´elemento dinamico si gestisce usando il tasto TAB.
Inattivo: L´elemento dinamico non può essere gestito usando la tastiera.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Tab


ID_ELE_PROP2

Interno ID: ID_ELE_PROP2

Visibile sotto WinCE

Gestisce la visibilità di elementi ed immagini sotto Windows CE. Progetti che possono essere utilizzati al PC sotto CE, possono essere strutturati in modo più flessibile. La modalità di gestione viene migliorata a beneficio dell'utente. E' possibile, ad esempio, escludere dalla visualizzazione dei pulsanti che portano a delle immagini che non sono visualizzabili sotto CE (per es. IPA).

Attivo: L'immagine/l'elemento viene visualizzato anche sotto Windows CE.

Default: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UnderCE


ID_ELE_PROP5

Interno ID: ID_ELE_PROP5

Tipo controllo

ComboBox Questo elemento viene usato come Combobox.
ListBox: Questo elemento viene usato come Listbox.
Default: Listbox

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ControlType


ID_ELE_PROP10

Interno ID: ID_ELE_PROP10

Punto di partenza X [Pixel]

Coordinata x del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StartX


ID_ELE_PROP11

Interno ID: ID_ELE_PROP11

Punto di partenza Y [Pixel]

Coordinata y del punto d’angolo sinistro in alto dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StartY


ID_ELE_PROP12

Interno ID: ID_ELE_PROP12

Punto finale X [Pixel]

Coordinata x del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EndX


ID_ELE_PROP13

Interno ID: ID_ELE_PROP13

Punto finale Y [pixel]

Coordinata y del punto d’angolo destro in basso dell’elemento (in pixel).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EndY


ID_ELE_PROP14

Interno ID: ID_ELE_PROP14

Larghezza [Pixel]

Larghezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Width


ID_ELE_PROP15

Interno ID: ID_ELE_PROP15

Altezza [Pixel]

Altezza dell’elemento (in pixel).

Nota: Con gli elementi multibinari, gli elementi combinati, bottone e interruttore, è disponibile solamente se per la proprietà Dimensione bitmap è stato selezionato come valore Allungato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Height


ID_ELE_PROP16

Interno ID: ID_ELE_PROP16

Nome f. lista oggetti

L'elemento viene inserito nella lista stazioni dell'immagine globale con il testo indicato in questa sede.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Stationname


ID_ELE_PROP17

Interno ID: ID_ELE_PROP17

Visibile da

Livello di zoom più basso con il quale l´elemento deve essere visibile nell´immagine globale.
Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ZoomMin


ID_ELE_PROP18

Interno ID: ID_ELE_PROP18

Visibile fino

Livello di zoom più alto con il quale l´elemento deve essere visibile nell´immagine globale.

Default: -1
visibile con i livelli di zoom da -1 a -1 significa che l´elemento viene visualizzato con tutti i livelli di zoom.

Mediante la proprietà di progetto Aspetto grafico -> Runtime generale -> Livelli di zoom immagine globale si stabilisce quali livelli di zoom vengono visualizzati.

Attenzione: Questo livello di zoom ha effetto su tutti i tipi d´immagine e i modelli. Quando si definisce per un livello di zoom un valore superiore a 0, l´elemento viene visualizzato solo nella visualizzazione globale dato che altri tipi di immagine vengono aperti automaticamente con il livello di zoom pari a 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ZoomMax


ID_ELE_PROP19

Interno ID: ID_ELE_PROP19

Carattere

Selezione del tipo di carattere utilizzato per la visualizzazione.

Un clic sul comando ... apre il dialogo che serve alla selezione. Il carattere selezionato viene collegato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LinkedFont


ID_ELE_PROP20

Interno ID: ID_ELE_PROP20

Init

Macro VBA da eseguire all´inizializzazione dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Init


ID_ELE_PROP21

Interno ID: ID_ELE_PROP21

LeftClickUp

Macro VBA da eseguire al rilascio del tasto sinistro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LeftClickUp


ID_ELE_PROP22

Interno ID: ID_ELE_PROP22

LeftClickDown

Macro VBA che deve essere eseguita quando si preme il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LeftClickDown


ID_ELE_PROP23

Interno ID: ID_ELE_PROP23

LeftDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto sinistro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LeftDClick


ID_ELE_PROP24

Interno ID: ID_ELE_PROP24

RightClickUp

Macro VBA che deve essere eseguita al rilascio del tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RightClickUp


ID_ELE_PROP25

Interno ID: ID_ELE_PROP25

RightClickDown

Macro VBA che deve essere eseguita quando si preme il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RightClickDown


ID_ELE_PROP26

Interno ID: ID_ELE_PROP26

RightDoubleClick

Macro VBA che deve essere eseguita quando si fa un doppio clic con il il tasto destro del mouse mentre il cursore si trova sull´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RightDClick


ID_ELE_PROP27

Interno ID: ID_ELE_PROP27

SetFocus

Macro VBA cje deve essere eseguita quando l´elemento riceve il focus.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetFocus


ID_ELE_PROP28

Interno ID: ID_ELE_PROP28

KillFocus

Macro VBA cje deve essere eseguita quando l´elemento perde il focus.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KillFocus


ID_ELE_PROP29

Interno ID: ID_ELE_PROP29

Draw

Macro VBA che deve essere eseguita quando l´elemento viene ridisegnato sullo schermo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Draw


ID_ELE_PROP30

Interno ID: ID_ELE_PROP30

Menu

Menù contestuale per l'elemento.
Si apre il menù contestuale nel Runtime cliccando col tasto destro del mouse sull´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Menu


ID_ELE_PROP31

Interno ID: ID_ELE_PROP31

Tooltip

Testo che deve essere visualizzato come tooltip per l´elemento nel Runtime. Nel Runtime, un tooltip viene visualizzato automaticamente ogni volta che il cursore mouse si trova sull´elemento per un certo intervallo di tempo. . Possono essere aggiunti dei cambi riga con \n.

  • Massimo: 79 caratteri.
    Attenzione: La combinazione di caratteri \n deve essere non superiore al limite di 79 caratteri.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Tooltip


ID_ELE_PROP32

Interno ID: ID_ELE_PROP32

File guida

File-help (*.chm) che deve essere usato per questo elemento in collegamento con un menu contestuale. Un clic su ... apre il dialogo che serve alla selezione delle variabili.
Attenzione: sono a disposizione solamente i file-guida che sono stati aggiunti nel nodo "File-guida".

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Helpfile


ID_ELE_PROP33

Interno ID: ID_ELE_PROP33

Capitolo guida

Capitolo-guida che deve essere usato per questo elemento in collegamento con un menu contestuale. Nome della pagina HTML che ne è la base.
Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HelpCapture


ID_ELE_PROP34

Interno ID: ID_ELE_PROP34

MouseOver

Macro VBA che deve essere eseguita quando il cursore viene mosso sull´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MouseOver


ID_ELE_PROP35

Interno ID: ID_ELE_PROP35

Settaggio valori attivo

  • Attivo: Per il corrispondente elemento dinamico, è consentito settare valori impostabili.
  • Inattivo: L´elemento è protetto da scrittura.

Non disponibile per l´elemento Collega testo se è stato settato nell´immagine su read only.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsSetValue


ID_ELE_PROP36

Interno ID: ID_ELE_PROP36

Settaggio valore / modifica di

valore da settare o da proporre come default.
Se l´opzione "Proponi il valore attuale" è attiva: Valore che viene addizionato a quello attuale.
In combinazione con la proprietà "Senza dialogo". si può realizzare in tal modo un incrementary (valore positivo) e decrementary switch (valore negativo).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValue


ID_ELE_PROP37

Interno ID: ID_ELE_PROP37

Testo valore impostabile

Testo che viene usato nel Runtime come proposta per il settare il valore impostabile.

Disponibile solamente se le seguenti condizioni sono soddisfatte:

  • la proprietà Settaggio valori attivo è attiva
  • la proprietà Proponi il valore attuale è disattivata
  • la variabile collegata è del tipo STRING

Lunghezza massima del testo: dipende dal valore della proprietà Lunghezza stringa per la variabile collegata.

Nota: Se si usa questa proprietà quando la proprietà Senza dialogo è disattivata, nel Runtime il valore verrà scritto direttamente nell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValueText


ID_ELE_PROP38

Interno ID: ID_ELE_PROP38

Immagine

Immagine collegata che viene visualizzata nel "immagine container". Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine.

Tipi di immagine consentiti: AML, Filtro AML, modello di impianto, CEL, Filtro CEL, ETM, HTML, generatore Report, Report Viewer, Standard, Filtro tempo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PictureContainerPictureName


ID_ELE_PROP39

Interno ID: ID_ELE_PROP39

Minimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite inferiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il minimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Min


ID_ELE_PROP40

Interno ID: ID_ELE_PROP40

Massimo

Disponibile solamente se l´opzione "Riprendi limiti di valori impostabili da variabile" non è attiva:
limite superiore del campo permesso per il valore impostabile.

Attenzione: Il valore indicato in questa sede viene ignorato se viene selezionata una variabile per il massimo di"setta valore impostabile" dinamico.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Max


ID_ELE_PROP41

Interno ID: ID_ELE_PROP41

Senza dialogo

Attivo: Settare il valore inserito come valore impostabile nel Runtime senza la possibilità di modifica.
Inattivo: prima che il valore venga scritto sull´hardware, l´utente ha la possibilità di modificarlo nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HWDirect


ID_ELE_PROP42

Interno ID: ID_ELE_PROP42

Proponi il valore attuale

Attivo: Proporre il valore attuale della variabile come valore impostabile.
In questo caso, il valore, prima di essere settato, viene addizionato (valore positivo) o sottratto (valore negativo) a quello attuale sotto "Settaggio valore / modifica di".
Inattivo: viene proposto il valore definito in "Settaggio valore / modifica di".

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Preset


ID_ELE_PROP43

Interno ID: ID_ELE_PROP43

Riprendi limiti di valori impostabili da variabile

Attivo: la restrizione dell’ambito, nel quale possono essere immesse delle soglie, non viene definito con minimo o massimo ma nella definizione della variabile.
Inattivo: la restrizione dell´ambito del campo può essere indicata anche direttamente in "Minimo" e "Massimo".

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LimitFromVar


ID_ELE_PROP44

Interno ID: ID_ELE_PROP44

Setta valore impostabile tramite

Configurazione del modo in cui viene settato il valore impostabile.
Selezione dal combobox:

  • Comando: il nuovo valore viene settato facendo uso dell´azione Impostazione valore nei Comando.
  • Box di dialogo : Il nuovo valore viene inserito tramite il box di dialogo standard. Se esiste un'immagine del tipo Keyboard dal nome SETVALUEKBD (per variabili numeriche), oppure SETSTRINGKBD (per variabili stringa), essa viene usata al posto del box di dialogo standard.
    Nota: Se l´elemento è collegato ad una funzione che consente di effettuare inserimenti, Utilizza immagine tipo Keyboard viene attivato automaticamente. Se nella proprietà Immagine tipo Keyboard è collegata un´immagine, verrà usata quest´ultima. Altrimenti si usa una keyboard del tipo SETSTRINGKBD.
  • Elemento dinamico: Il nuovo valore viene inserito direttamente nell'elemento (solo con gli elementi Valore numerico e Testo).
  • Programma: il nuovo valore viene inserito in un programma esterno.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValueWith


ID_ELE_PROP45

Interno ID: ID_ELE_PROP45

Visualizza anteprima in editor

Attivo: l´anteprima dell´immagine collegata viene visualizzata nell´Editor.
Nel caso di problemi di performance, si consiglia la disattivazione di questa opzione.

Standard: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowPreviewInEditor


ID_ELE_PROP46

Interno ID: ID_ELE_PROP46

Livello di autorizzazione:

livello password per impostare il valore o per eseguire funzioni con l´elemento dinamico selezionato.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Passwordlevel


ID_ELE_PROP47

Interno ID: ID_ELE_PROP47

Firma necessaria

Attivo: La gestione dell'elemento richiede una firma.

Anche nel caso di un utente che ha già effettuato il Login viene richiesta la password per ragioni di sicurezza. Il testo di firma viene messo a protocollo nella Lista eventi cronologica (CEL) nel caso in cui la procedura sia stata effettuata con successo.

Attenzione: solo degli utenti registrati possono firmare un'azione. Non è possibile effettuare un Login temporaneo per firmare delle azioni.

Inattivo: Non è necessaria alcuna firma.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Signature


ID_ELE_PROP48

Interno ID: ID_ELE_PROP48

Testo di firma

Questo testo viene protocollato al momento della firma nella Lista Eventi Cronologica (CEL), oppure viene proposto nel Runtime come testo di default se si è fissato nelle proprietà di progetto che sia possibile editare la firma stessa.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SignatureText


ID_ELE_PROP49

Interno ID: ID_ELE_PROP49

Programma esterno

Disponibile solamente se per Setta valore impostabile è stato selezionato "Programma esterno":
Il settaggio del valore impostabile viene eseguito tramite un programma esterno, che deve essere selezionato fra quelli proposti nella finestra di dialogo che viene aperta in questa sede.

Questo programma verrà poi lanciato e otterrà i seguenti parametri:
1) Nome della variabile collegata
2) Valore proposto, nel modo definito nelle proprietà corrispondenti.
3) Coordinata sinistra dell´elemento in pixel
4) Coordinata superiore dell´elemento in pixel
5) Coordinata destra dell´elemento in pixell
6) Coordinata inferiore dell´elemento in pixel
7) erlaubtes Minimum für den Sollwert, wie in den entsprechenden Eigenschaften definier
8) Massimo consentito per il valore impostabile, come definito nelle proprietà corrispondenti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetProgram


ID_ELE_PROP50

Interno ID: ID_ELE_PROP50

Testo firma modificabile

Stabilisce se il testo della firma può essere modificato o meno. Selezione dalla lista a cascata:

  • Applica proprietà progetto Valgono le impostazioni della proprietà di progetto Testo firma modificabile.
  • Sì: Il testo può essere modificato.
  • No: Il testo non può essere modificato.

Default: Applica proprietà progetto

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SignatureEditModus


ID_ELE_PROP51

Interno ID: ID_ELE_PROP51

Visualizza testo valore limite

Attivo: Il testo di stato/di valore limite della variabile assegnata viene visualizzato nell´elemento.
Inattivo: Non viene visualizzato alcun testo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ContitionText


ID_ELE_PROP52

Interno ID: ID_ELE_PROP52

Solo area di riempimento

Attivo: nel caso di cerchi, poligoni e rettangoli assegnati al simbolo collegato, viene modificato solamente il colore di riempimento secondo la definizione colore della variabile di processo. Si conserva il colore della cornice.
Inattivo: anche il bordo verrà colorato in modo corrispondente.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FillArea


ID_ELE_PROP58

Interno ID: ID_ELE_PROP58

Funzione

Nome della funzione collegata.
Apre il dialogo per la selezione della funzione.
Questa funzione viene eseguita quando si clicca servendosi del mouse sul pulsante nel Runtime, oppure si usa la combinazione di tasti connessa.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Solo SICAM 230 ed elemento Allarme - immagine:

Oltre alla proprietà standard Cambio immagine , si stabilisce tramite la funzione collegata anche l'immagine i cui stati di allarme debbono essere visulizzati.
Obbligatorio (nel caso di impostazione Globale attiva)!

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Function


ID_ELE_PROP59

Interno ID: ID_ELE_PROP59

Variabile

Nome della variabile collegata Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.
Il valore di questa variabile viene visualizzato in questo elemento e può essere settato anche in questa sede.

Nota: disponibile per i pulsanti solo se essi vengono usati come interruttori.

Suggerimento: se si deve effettuare il toggling del valore della variabile, consigliamo di attivare la proprietà Lettura variabile continua. Altrimenti il Runtime attende finché il driver non riconosce il valore delle variabili. Nel caso in cui il valore non dovesse essere disponibile a causa di una lacuna emersa nella comunicazione con il driver, il tempo di attesa corrisponde a quello di timeout del driver.

Solo SICAM 230 e elemento Allarme immagine:
la descrizione di cui sopra riguarda solamente gli elementi pulsante testo, e Pulsante invisibile.
Significato in SICAM 230: sulla variabile selezionata (32 Bit) vengono rappresentati gli stato delle classi allarmi/eventi. Per classe vengono scritti 2 bit (crescenti per numero di classe).

  • Bit meno significativo: Attiva/disattiva allarmi
  • Bit più significativi: Allarme ripristinato / non ripristinato

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable


ID_ELE_PROP60

Interno ID: ID_ELE_PROP60

Interruttore

Disponibile solo se la proprietà Settaggio valori attivo non è stata attivata.

Attivo: l´elemento attiva il valore di una variabile bit.
Disattivata: l´elemento esegue una funzione.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Switch


ID_ELE_PROP61

Interno ID: ID_ELE_PROP61

Pulsante

Disponibile solo se Interruttore è attivo. (Eccezione: Sempre disponibile nell' elemento dinamico Interruttore.)
Attivo: lo stato - definito nella proprietà Pulsante ON - viene instaurato solamente finché si tiene premuto il tasto sinistro del mouse, ma perlomeno per la durata di Tempo di ritardo [ms].
Non attivo: Lo stato rimane anche se il tasto del mouse viene rilasciato.
Default: non attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Scanner


ID_ELE_PROP62

Interno ID: ID_ELE_PROP62

Pulsante ON

Disponibile solo se Pulsante è attiva:
Attiva: Pulsante su On.
Inattivo: Pulsante Off.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ScannerOn


ID_ELE_PROP63

Interno ID: ID_ELE_PROP63

Reazione immediata

Disponibile solo se Interruttore è attiva:
Attiva: Se attivato, l'interruttore alla premuta nel runtime cambia subito lo stato, indipendentemente se il relativo bit nel PLC è stato settato o no. Nel prossimo ciclo di update del driver il bit verrà letto dal PLC. L'interruttore viene adeguato all'effettiva posizione del bit nel PLC.
Attenzione: l'interruttore può essere riutilizzato solo dopo che il valore è stato letto dal PLC.

Inattivo: l'interruttore cambia la sua posizione solo dopo che il bit è stato depositato nel PLC e è stato letto di nuovo.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FastReaction


ID_ELE_PROP64

Interno ID: ID_ELE_PROP64

Tempo di ritardo [ms]

Disponibile solo se è attivaInterruttore:
Se Pulsante è attiva tempo (in ms) per cui viene tenuto uno stato, a partire dal clic con il tasto sinistro del mouse sull´elemento corrispondente.

Se Pulsante non è attivato: ritardo della reazione al clic con il tasto sinistro del mouse.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ReactionTime


ID_ELE_PROP65

Interno ID: ID_ELE_PROP65

Combinazione tasti

Combinazioni di tasti supportano l´esecuzione di elementi d'immagine gestibili. Ad esempio:

- esecuzione di elementi di controllo e funzioni che sono state assegnate ad un elemento
- Settare valore impostabile (per es. con interruttore)
- Setta focus con determinate finestre (per es. Lista curve nel Trend esteso oppure Combobox nel RGM)

Cliccando sul campo inserimento si apre il dialogo che serve a definire la combinazione di tasti. La combinazione desiderata deve essere inserita direttamente nel dialogo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShortCut


ID_ELE_PROP66

Interno ID: ID_ELE_PROP66

File grafico

Grafica che deve essere visualizzata sul pulsante quando non è premuto (*.bmp, *.wmf, *.jpg, *.gif). Un clic sul comando ... apre il dialogo di selezione variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FileName


ID_ELE_PROP67

Interno ID: ID_ELE_PROP67

Bitmap per stato Spento (0)

File grafico predefinito o definito dall´utente per lo stato LOW dell´interruttore.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitmapLow


ID_ELE_PROP68

Interno ID: ID_ELE_PROP68

Bitmap per stato Acceso(1)

File grafico predefinito o definito dall´utente per lo stato HIGH dell´interruttore.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitmapHigh


ID_ELE_PROP69

Interno ID: ID_ELE_PROP69

Partenza da zero

Ha effetto solo sulla rappresentazione di valori con segni precedenti:
Attivo: la barra va da zero fino al valore attuale della variabile collegata.
Inattivo: la barra va dal valore minimo visualizzato fino al valore attuale della variabile collegata.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FromZero


ID_ELE_PROP70

Interno ID: ID_ELE_PROP70

Tipo di visualizzazione

Tempo assoluto: segnalare il tempo dell’orologio di sistema con la rispettiva formattazione.
Differenza di tempo: il valore di una variabile collegata è visualizzato nel formato di tempo impostato.
Default: tempo assoluto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ViewType


ID_ELE_PROP71

Interno ID: ID_ELE_PROP71

Formattazione

Format der Zeit-/Datumsanzeige.
Viene selezionata una stringa di formattazione fra quelle della lista.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Format


ID_ELE_PROP72

Interno ID: ID_ELE_PROP72

Visualizzazione su due righe

Disponibile solamente con "Tempo assoluto":
Attivo: segnalazione contemporanea di ora e data, nella prima riga l’ora e nella seconda riga la data.
Inattivo: La data e l´ora vengono visualizzati in una riga.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TwoLines


ID_ELE_PROP73

Interno ID: ID_ELE_PROP73

Separatore

Disponibile solo con differenza di tempo:
Separatore per la visualizzazione di ora/data.
(Per es.: in 10:15)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Separator


ID_ELE_PROP75

Interno ID: ID_ELE_PROP75

Simbolo

Dalla maschera selezione della gestione simboli si può scegliere un simbolo esistente.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Symbol


ID_ELE_PROP76

Interno ID: ID_ELE_PROP76

Testo

Disponibile solamente se è stata collegata una variabile numerica, e se per la proprietà Testo visualizzato si è selezionato Valore limite.

Inserimento del testo che deve essere visualizzato nel Runtime quando non c´è in attesa nessuna violazione di valore limite. Quando si verifica una violazione di valore limite, viene visualizzato il testo configurato nella variabile .

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DynText


ID_ELE_PROP77

Interno ID: ID_ELE_PROP77

Tipo linea

Selezione del tipo di linea per l´elemento fra quelli della lista.
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza >1 può essere usata solamente con una linea del tipo "linea continua"..
Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineType


ID_ELE_PROP78

Interno ID: ID_ELE_PROP78

Tipo di riempimento

Selezione del modello di riempimento per l´elemento fra quelli della lista.

Questa proprietà non è disponibile se la proprietà Con valori di luminosità non è attiva.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FillPattern


ID_ELE_PROP79

Interno ID: ID_ELE_PROP79

Operazione specifica per il tipo di immagine

Disponibile solamente in immagini di un tipo particolare (il tipo di immagine non è standard):
Collegamento ad una funzione specifica per il tipo di immagine. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una delle funzioni specifiche per questo tipo di immagine. Questa funzione viene eseguita se si clicca nel Runtime sul pulsante, oppure se si preme la combinazione tasti corrispondente.

Attenzione: Oltre ad una funzione specifica per un tipo di immagine, si può collegare al pulsante anche una funzione generale. In questo caso, tenete presente la successione di esecuzione al momento di premere il pulsante. Prima viene eseguita la funzione specifica per il tipo di immagine. Solo dopo che essa è stata eseguita, sarà la volta di quella generale. Se nel Runtime dovessero essere collegati al pulsante degli eventi VBA, questi verranno eseguiti prima delle funzioni.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MDIFunction


ID_ELE_PROP80

Interno ID: ID_ELE_PROP80

Descrizione

Didascalia dell' elemento nell´Editor.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Legend


ID_ELE_PROP81

Interno ID: ID_ELE_PROP81

Stile L

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StyleL


ID_ELE_PROP82

Interno ID: ID_ELE_PROP82

Stile H

Windows-Style dell´elemento solo per uso interno.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StyleH


ID_ELE_PROP83

Interno ID: ID_ELE_PROP83

Orizzontale

Punto di riferimento orizzontale dell´elemento. Possibili valori sono: sinistra, centrato, destra.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: Sinistra

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HorizontalOrigin


ID_ELE_PROP84

Interno ID: ID_ELE_PROP84

Verticale

Punto di riferimento verticale dell´elemento. Possibili valori sono: sopra, centrato, sotto.
Questo punto viene usato come punto di partenza per il calcolo dell´angolo di partenza per la rotazione (statica o dinamica), ma anche per la modifica della grandezza dinamica.

Default: In sù

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VerticalOrigin


ID_ELE_PROP85

Interno ID: ID_ELE_PROP85

Numero simbolo d'immagine

Numero univoco del simbolo o del gruppo elementi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PropSymbolNumber


ID_ELE_PROP86

Interno ID: ID_ELE_PROP86

Nome simbolo

Nome del simbolo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LinkName


ID_ELE_PROP91

Interno ID: ID_ELE_PROP91

Minimo

Valore minimo della variabile che deve essere visualizzato nell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ViewMin


ID_ELE_PROP92

Interno ID: ID_ELE_PROP92

Massimo

Valore massimo della variabile che deve essere visualizzato nell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ViewMax


ID_ELE_PROP93

Interno ID: ID_ELE_PROP93

Valore assoluto

Per l´elemento Valore numerico, disponibile solamente se Visualizza valore in una percentuale non è attivo.

  • Attivo: visualizzazione del valore della variabile senza segno precedente (-200 = 200).
  • Inattiva: normale visualizzazione del valore.

Default: inattivo

Nota: l´inserimento del valore impostabile avviene in questo caso in percentuale.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Absolute


ID_ELE_PROP97

Interno ID: ID_ELE_PROP97

Sempre

Attiva: l´animazione è sempre attiva.
Non attiva: l´animazione non viene eseguita. E´ prevista la possibilità di attivare e disattivare l´animazione con una Variabile collegata.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Animate


ID_ELE_PROP98

Interno ID: ID_ELE_PROP98

Variabile

Variabile bit che apre e chiude l´animazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AnimateVar


ID_ELE_PROP99

Interno ID: ID_ELE_PROP99

Categoria

Concetto della categorizzazione Si può effettuare il filtro o raggruppare anche sulla base di questa proprietà.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Category


ID_ELE_PROP100

Interno ID: ID_ELE_PROP100

Descrizione

Descrizione più precisa del simbolo o del gruppo elementi. Si può effettuare il filtro anche sulla base di questa proprietà.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Description


ID_ELE_PROP101

Interno ID: ID_ELE_PROP101

Colore testo

Colore testo dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColor


ID_ELE_PROP102

Interno ID: ID_ELE_PROP102

Colore di sfondo

Disponibile solo se la proprietà Trasparente è stata impostata su "inattiva".

Definisce il colore di riempimento dell´elemento. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Il colore di riempimento può essere modificato in modo dinamico facendo uso della proprietà Colore sfondo / riempimento del gruppo Colore(i) riempimento dinamico(i) .

Nota: Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Attenzione: Nella finestra di controllo Immagine globale, le modifiche di colore effettuate nell´Editor non hanno alcun effetto nel runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColor


ID_ELE_PROP103

Interno ID: ID_ELE_PROP103

Colore barra

Colore per la barra dei Bargraf. Il colore impostato viene usato quando non è in attesa una violazione del valore limite della variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColor


ID_ELE_PROP104

Interno ID: ID_ELE_PROP104

Trasparente

Attivo: Disattiva il colore di sfondo dell´elemento.

Nel caso di un pulsante, questa opzione ha il seguente effetto: pulsante invisibile. Questo può essere collocato come pulsante invisibile su altri elementi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Transparent


ID_ELE_PROP108

Interno ID: ID_ELE_PROP108

Füllfarbe

Colore di riempimento e/o colore di sfondo dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColor


ID_ELE_PROP109

Interno ID: ID_ELE_PROP109

Gruppo simboli

Definisce l´appartenenza ai gruppi del simbolo. Questo valore non può essere cambiato. Simboli della libreria simboli nel progetto globale oppure nel progetto locale ricevono il valore Progetto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Group


ID_ELE_PROP111

Interno ID: ID_ELE_PROP111

Testo riga 1

Prima riga di testo nel bottone.
con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Per visulizzare il simbolo & stesso si immette ”&&”.

Con la successione \n si può ottenere un cambio riga.

Attenzione: per usare \n, la proprietà Testo riga 2 deve rimanere vuota.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text1


ID_ELE_PROP112

Interno ID: ID_ELE_PROP112

Testo riga 2

Seconda riga di testo nel pulsante.
Con il simbolo & si visualizza il prossimo carattere sottolineato nel runtime. Per visualizzare il simbolo stesso & si immette”&&”.

Nota: questa proprietà serve alla compatibilità con versioni più vecchie. Nelle versioni attuali: usare la proprietà Testo riga 1 e iniziare le nuove righe con \n.

Attenzione:

  • questa riga deve rimanere vuota se deve essere usato il cambio riga automatico.
  • Se è stata configurata questa proprietà, la proprietà Testo a pulsante premuto viene disattivata e non può essere utilizzata nel runtime. I contenuti già progettati della proprietà Testo a pulsante premuto vengono visualizzati in color grigio e disattivati.
    Anche uno spazio viene considerato alla stregua di progettazione valida e blocca la visualizzazione di testo quando si tiene premuto il pulsante!
    Una progettazione della proprietà Testo riga 2 effettuata in un secondo momento disattiva allo stesso modo la configurazione esistente nella proprietà Testo a pulsante premuto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text2


ID_ELE_PROP113

Interno ID: ID_ELE_PROP113

A capo automatico

  • Attivo: si usa un cambio riga automatico per il testo nell´elemento.
    La lunghezza delle righe dipende dalla larghezza dell´elemento.
  • Inattivo: il testo viene visualizzato in una riga.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Wordbreak


ID_ELE_PROP114

Interno ID: ID_ELE_PROP114

Testo a pulsante premuto

Testo del pulsante nel runtime quando premuto.
La successione di caratteri \n provoca una nuova riga di scrittura.

Attenzione: Se è stata configurata questa proprietà Testo riga 2, la proprietà Testo a pulsante premuto viene disattivata e non può essere utilizzata nel runtime. I contenuti già configurati della proprietà vengono visualizzati in color grigio e disattivati. Ciò vale anche se la proprietà Testo riga 2 viene riempita di contenuto in un secondo momento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DownText


ID_ELE_PROP115

Interno ID: ID_ELE_PROP115

Esegui funzione alla pressione

Attivo: la funzione collegata viene eseguita quando si preme sull´elemento.
Inattivo: la funzione collegata viene eseguita rilasciando l´elemento.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FktOnDown


ID_ELE_PROP116

Interno ID: ID_ELE_PROP116

Forma pulsanti

Forma del pulsante:
squadrato: Gli angoli del pulsante sono netti; gli arrotondamenti vengono impostati facendo uso delle proprietà del gruppo Arrotondamento.
rotondo: Il pulsante viene visualizzato con una forma rotonda.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BtnStyleBorder


ID_ELE_PROP117

Interno ID: ID_ELE_PROP117

Inverti colori

Disponibile solo se il riempimento del pulsante non è monocolore.
Attivo: l´effetto di luminosità viene invertito.
Inattivo:
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BtnStyleInvert


ID_ELE_PROP118

Interno ID: ID_ELE_PROP118

Riempimento pulsanti

Riempimento del pulsante:
monocromatico: Nessuna sfumatura
lineare: effetto omogeneo
Effetto Bright: Dal basso fino al centro colore di riempimento 1, poi riempimento dal centro verso l´alto
Da un punto definito: effetto dai bordi al centro.

a punti con angoli: effetto dai bordi al centro con formazione di angoli.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BtnStyleFill


ID_ELE_PROP121

Interno ID: ID_ELE_PROP121

Visualizza stato della variabile

Attivo: lo stato delle variabili viene visualizzato mediante un quadrato colorato presso l´elemento.

Colore:
un quadrato rosso indica che ci sono dei problemi nella comunicazione con il PLC.
Un quadrato blusul client indica che il client ha perso la sua connessione con il server.
Un quadrato blu sulla stazione indica che il valore non è stato inizializzato.

Posizione del quadrato sull´elemento quando esso ha la seguente forma:

rotondo: bordo superiore, al centro
arrotondato: angolo in alto a destra, leggermente spostato a sinistra
squadrato e tutti gli altri: angolo in alto a destra

Inattivo: Lo stato non viene visualizzato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowState


ID_ELE_PROP122

Interno ID: ID_ELE_PROP122

Orientamento orizzontale

Orientamento orizzontale dell´emissione nell´elemento per la visualizzazione.
Selezione dal menù a tendina:

  • Centrato
  • Orientamento a sinistra
  • Orientamento a destra

Default: Centrato

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HorizontalAlign


ID_ELE_PROP123

Interno ID: ID_ELE_PROP123

Orientamento verticale

Orientamento verticale dell´emissione nell´elemento per la visualizzazione.
Selezione dal menù a tendina.

  • Centrato
  • In alto
  • In basso

Default: Centrato

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VerticalAlign


ID_ELE_PROP124

Interno ID: ID_ELE_PROP124

Cornice elemento

Lista a cascata che serve alla selezione del tipo di cornice. Sono a disposizione:

Cornice fine

3D

Default: Cornice fine

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Frame


ID_ELE_PROP125

Interno ID: ID_ELE_PROP125

Visualizza unità

Disponibile solo:
Generale: disponibile solo se la proprietà Visualizzare valori è stata attivata.
Nel caso dell´elemento Orologio: disponibile solamente se è stato selezionato come Tipo di visualizzazione Differenza di tempo.
Nel caso dell´elemento Strumento analogico: disponibile solo se la proprietà 3D è stata attivata.

Attivo: l´unità tecnica della variabile collegata viene visualizzata dietro al valore.
Se il valore viene indicato in percentuale, viene usato il segno % al posto dell´unità tecnica della variabile collegata.
Inattiva: l´unità tecnica non viene visualizzata.
Default: attiva:

Nota:

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowUnit


ID_ELE_PROP126

Interno ID: ID_ELE_PROP126

Visualizza valore in una percentuale

  • Attivo: il valore della variabile viene rappresentato in valori compresi fra 0 - 100%.
  • Inattivo: Il valore viene rappresentato come di solito.

Fascia di valori:

  • Area di misurazione: minimo. 0%
  • Area di misurazione: massimo. 100%

La conversione avviene in forma lineare. Anche gli inserimenti relativi ai valori impostabili vengono espressi in percentuale.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Percentage


ID_ELE_PROP127

Interno ID: ID_ELE_PROP127

3D

Attivo: l´elemento viene visualizzato in 3 dimensioni.
Inattivo: l´elemento viene visualizzato come superficie piatta.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ThreeDimensional


ID_ELE_PROP129

Interno ID: ID_ELE_PROP129

Rappresentazione percentuale

Attivo: il valore della variabile viene visualizzato in valori compresi fra 0 e 100%.
0% = Area di misurazione: minimo.
100% = Area di misurazione: massimo.
La conversione avviene in forma lineare. Anche gli inserimenti relativi ai valori impostabili vengono espressi in percentuale.
Inattivo: Il valore viene rappresentato come di solito.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Percentage


ID_ELE_PROP130

Interno ID: ID_ELE_PROP130

Nastro

Disponibile solo se la proprietà Cerchio parziale non è attivata.

Disponibile sotto Windows CE.

  • Attivo: La visualizzazione del valore copre uno spettro che va dal valore minimo a quello massimo.
  • Inattivo: Non viene visualizzato nessun range.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Ribbon


ID_ELE_PROP131

Interno ID: ID_ELE_PROP131

Cerchio parziale

Disponibile solo se la proprietà Nastro non è attivata.

  • Attivo: Il valore viene visualizzato in forma di segmento di cerchio che va dal valore minimo al valore attuale.
  • Inattivo: Non viene visualizzato nessun segmento di cerchio.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Pie


ID_ELE_PROP132

Interno ID: ID_ELE_PROP132

Esplicito

Questa proprietà ha effetto solamente sulla rappresentazione di valori con valori limite definiti da variabili. I valori limite da matrici di reazione non vengono presi in considerazione.

  • Attivo: Se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
    Se la variabile ha diversi valori limite, le corrispondenti aree della rappresentazione sono visualizzate con il colore corrispondente del valore limite.
  • Inattivo: se un valore limite della variabile collegata viene violato, tutta la visualizzazione viene rappresentata con il colore del valore limite violato.

Default: inattivo

Nota: disponibile per l´elemento Strumento analogico solamente se la visualizzazione è attiva come Nastro o Cerchio parziale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Explicit


ID_ELE_PROP135

Interno ID: ID_ELE_PROP135

Visualizza curve come area

Attivo: Le curve vengono visualizzate come superfici.
Inattivo: Le curve vengono visualizzate come linee.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Area


ID_ELE_PROP136

Interno ID: ID_ELE_PROP136

Non interpolare

Attivo: i valori vengono collegati in livelli senza interpolazione.
Inattivo: I valori vengono collegati con interpolazione.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NoInterpolation


ID_ELE_PROP137

Interno ID: ID_ELE_PROP137

Visualizza valori numerici

Attivo: Tutti i valori dell´ultimo refresh vengono visualizzati in forma numerica per tutte le variabili collegate.
Inattivo: I valori non vengono visualizzati.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NumericalValues


ID_ELE_PROP138

Interno ID: ID_ELE_PROP138

Visualizza assi

Attivo: Vengono visualizzati l´asse di tempo e percentuale.
Inattivo: Non viene visualizzato nessun asse.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Axes


ID_ELE_PROP139

Interno ID: ID_ELE_PROP139

Visualizza informazione curva

Attivo: Il nome o il testo breve modificato e l´area di misurazione delle variabili collegate vengono visualizzati in una legenda.
Inattivo: Non viene visualizzata nessuna legenda.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Addresses


ID_ELE_PROP140

Interno ID: ID_ELE_PROP140

Settare valore durante il movimento del mouse

Attivo: Continuo invio di nuovi valori mentre si muove il mouse.
Inattivo: invio singolo di un nuovo valore quando si rilascia il tasto del mouse.
(Solo quando nella sezione “Valore impostabile” é attivata l’opzione “Direttamente su Hardware“).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MouseMovement


ID_ELE_PROP141

Interno ID: ID_ELE_PROP141

Visualizzare valori

Visualizzazione del valore attuale come numero; posizione e colore della scritta nell’elemento possono essere scelti liberamente.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowValue


ID_ELE_PROP142

Interno ID: ID_ELE_PROP142

Dimensione bitmap

Definizione della dimensione della grafica.

  • Allungato: La dimensione della grafica viene adeguata alla grandezza dell´elemento.
  • Dimensione originale: La grafica collegata viene visualizzata nella grandezza originale.
    Se si seleziona questa opzione, non sarà più possibile configurare in modo individuale le proprietà Larghezza [Pixel] e Altezza [Pixel] con gli elementi multibinarii, gli elementi combinati, bottone e interruttore

Default: Allungato

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GraphicSize


ID_ELE_PROP150

Interno ID: ID_ELE_PROP150

Larghezza linea

Larghezza linea (in pixel).

  • Minimo: 0
    La larghezza linea in questo caso è 1 pixel.
  • Massimo: 40

Default: 1
Attenzione: se nelle proprietà di progetto, e in particolare nel nodo Aspetto grafico, la proprietà Qualità grafica è stata settata su Windows Basis, la larghezza linea >1 può essere usata solamente con una linea del tipo "linea continua".

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineWidth


ID_ELE_PROP151

Interno ID: ID_ELE_PROP151

Colore valore

Colore per il valore da visualizzare.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueColor


ID_ELE_PROP152

Interno ID: ID_ELE_PROP152

Posizione valore

Posizione per il valore da visualizzare.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValuePos


ID_ELE_PROP153

Interno ID: ID_ELE_PROP153

Angolo di partenza

definizione dell’angolo start (0°=giù, continuare nel senso orario).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StartAngle


ID_ELE_PROP154

Interno ID: ID_ELE_PROP154

Angolo di apertura

angolo di apertura della deviazione dell’ago (max.360° - angolo di start)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OpeningAngle


ID_ELE_PROP155

Interno ID: ID_ELE_PROP155

Larghezza scroll [%]

Questa proprietà stabilisce di quale valore in % la curva verrà spostata quando viene raggiunto il limite di visualizzazione; è possibile inserire valori compresi fra 0%-100%; l´inserimento può avvenire direttamente o facendo uso di scrollbar.
0%: Ogni qualvolta viene effettuato un nuovo inserimento, cancellare quello precedente.
50%: Se se ne supera la dimensione, cancellare la metà dell´area immagine e continuare a scrivere.
100%: Se se ne supera la dimensione, cancellare l´intera area immagine e iniziare di nuovo.
Default: 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ScrollWidth


ID_ELE_PROP156

Interno ID: ID_ELE_PROP156

Direzione

Questa proprietà definisce la modalità di visualizzazione dell´asse tempo.
a destra: A sinistra valore più vecchio, a destra valore più recente.
a sinistra: A destra valore più vecchio, a sinistra valore più recente.
in su: Sotto valore più vecchio, sopra valore più recente.
in giù: In alto valore più vecchio, in basso valore più recente.
Se gli assi vengono visualizzati, una freccia posta nell´angolo in basso a sinistra dell´elemento indica la direzione.
Default: a destra.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Direction


ID_ELE_PROP157

Interno ID: ID_ELE_PROP157

Testo

Testo che deve essere visualizzato nell´immagine.

con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Per visualizzare il simbolo stesso & si immette”&&”.

Con la successione \n si può ottenere un cambio riga.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text


ID_ELE_PROP158

Interno ID: ID_ELE_PROP158

Textwinkel [°]

Angolo per la visualizzazione del testo.

ATTENZIONE: quest´opzione funziona solamente con caratteri scollegati.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextAngle


ID_ELE_PROP159

Interno ID: ID_ELE_PROP159

Buchstabenneigung [°]

Inclinazione lettere.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextLetterAngle


ID_ELE_PROP160

Interno ID: ID_ELE_PROP160

Base numerica di visualizzazione

Selezione del sistema di numerazione per la rappresentazione dei valori.
Sono disponibili i seguenti sistemi di numerazione:

  • Binari: rappresentazione binaria.
  • Decimale: Rappresentazione decimale.
  • Esponenziale: Rappresentazione decimale in scrittura esponenziale. Esempio: 1E+03 corrisponde a 1000 nella rappresentazione decimale.
  • Esadecimale: Rappresentazione esadecimale.
  • Ottale: Rappresentazione ottale.

Default: Decimale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueBase


ID_ELE_PROP161

Interno ID: ID_ELE_PROP161

Visualizza scala

Attivo: Viene visualizzata una scala vicino all´elemento.
Inattivo: Non viene visualizzata nessuna scala.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowScale


ID_ELE_PROP162

Interno ID: ID_ELE_PROP162

Distanza [Pixel]

Distanza fra scala ed elemento (in pixel).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ScaleDistance


ID_ELE_PROP163

Interno ID: ID_ELE_PROP163

Altezza [Pixel]

Altezza della scala (in pixel).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ScaleHeight


ID_ELE_PROP164

Interno ID: ID_ELE_PROP164

Suddivisioni principali

Campo valori per i tick principali (indicazione di cifra) della scala.

Esempio: L'inserimento 50 porta alla visualizzazione di un tick principale in intervalli di 50: 0 - 50 - 100 - 150 ...

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MainTicks


ID_ELE_PROP165

Interno ID: ID_ELE_PROP165

Suddivisioni secondare

Campo valori per le suddivisioni secondarie (nessuna indicazione di cifra) sulla scala.
Esempio: Se si inserisce 100, il sistema visualizzerà una suddivisione secondaria per ogni avanzamento di mille iniziando dal valore più piccolo visualizzato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmallTicks


ID_ELE_PROP166

Interno ID: ID_ELE_PROP166

Colore divisioni principali

Colore per i tick principali (indicazione di cifra) della scala.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MainTickColor


ID_ELE_PROP167

Interno ID: ID_ELE_PROP167

Colori divisioni secondarie

Colore dei tick secondari (nessuna indicazione di cifra) sulla scala.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmallTickColor


ID_ELE_PROP168

Interno ID: ID_ELE_PROP168

Visualizza la legenda

Se attivata viene visualizzata una legènda (valori) alla scala.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowLegend


ID_ELE_PROP169

Interno ID: ID_ELE_PROP169

Distanza [Pixel]

Distanza fra legenda e scala (in pixel).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LegendDistance


ID_ELE_PROP170

Interno ID: ID_ELE_PROP170

Colore legenda

Colore della legenda.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LegendColor


ID_ELE_PROP171

Interno ID: ID_ELE_PROP171

Logaritmica

Attivo: Scala logaritmica
Inattivo: Scala lineare.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Logarithmic


ID_ELE_PROP172

Interno ID: ID_ELE_PROP172

Direzione invertita

Inversione di valore minimo e massimo nella rappresentazione grafica.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ReverseDirection


ID_ELE_PROP173

Interno ID: ID_ELE_PROP173

Discreto

Inserimento valore a passi impostati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Discrete


ID_ELE_PROP174

Interno ID: ID_ELE_PROP174

Livelli discreti

Numero dei passi per la proprietà Livelli discreti.

Minimo: 2

Massimo: 20

Default: 5

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DiscreteSteps


ID_ELE_PROP175

Interno ID: ID_ELE_PROP175

Visualizza bottone

Al posto del valore attuale sull’elemento viene visualizzato un elemento di comando (bottone).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowKnob


ID_ELE_PROP176

Interno ID: ID_ELE_PROP176

Forma di bottone

Selezionare la forma del bottone fra quelle della lista. (piana, rialzata, profonda)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KnobStyle


ID_ELE_PROP177

Interno ID: ID_ELE_PROP177

Colore bottone

Colore del bottone.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KnobColor


ID_ELE_PROP191

Interno ID: ID_ELE_PROP191

Forma

Lineare: Rappresentazione come bara o slider.
Rotondo: Visualizzazione come strumento analogico

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Shape


ID_ELE_PROP192

Interno ID: ID_ELE_PROP192

Orientamento

Solo per forma lineare:
Orizzontale: Rappresentazione orizzontale della barra o dello slider.
Verticale: Rappresentazione verticale della barra o dello slider.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Align


ID_ELE_PROP193

Interno ID: ID_ELE_PROP193

Angolo di partenza

Disponibile solo per forma rotonda:
Posizione dello strumento analogico per il valore minimale (0° giù).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Start


ID_ELE_PROP194

Interno ID: ID_ELE_PROP194

Angolo estremo

Disponibile solo per forma rotonda:
Posizione dello strumento analogico per il valore massimo (0° giù).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

End


ID_ELE_PROP195

Interno ID: ID_ELE_PROP195

Stile

Sono a disposizione i seguenti stili di rappresentazione:
– Slider/potenziometro
– Barra
– Barra LED
– scala movimentata

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Style


ID_ELE_PROP196

Interno ID: ID_ELE_PROP196

Tipo di lancetta

Denotazione grafica del valore attuale attraverso:
- Linea
– Lancetta
– Dreieck

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Pointer


ID_ELE_PROP197

Interno ID: ID_ELE_PROP197

Barra esplicita

Disponibile solamente se per la proprietà Stile Barra si è selezionata l´opzione Scala animata o Barre LED.

Questa proprietà ha effetto solamente sulla rappresentazione di valori con valori limite definiti da variabili. I valori limite da matrici di reazione non vengono presi in considerazione.

  • Attivo: Se viene violato un valore limite della variabile collegata, viene visualizzata con il colore del valore limite corrispondente solamente la parte che interessa la violazione stessa.
    Se la variabile ha diversi valori limite, le corrispondenti aree della rappresentazione sono visualizzate con il colore corrispondente del valore limite.
  • Inattivo: se un valore limite della variabile collegata viene violato, tutta la visualizzazione viene rappresentata con il colore del valore limite violato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Explicit


ID_ELE_PROP198

Interno ID: ID_ELE_PROP198

Colore lancetta/barra

Colore della lancetta resp. barra

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerColor


ID_ELE_PROP199

Interno ID: ID_ELE_PROP199

Visualizza lancetta

Attivare la visualizzazione min/max.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinMaxView


ID_ELE_PROP200

Interno ID: ID_ELE_PROP200

Rappresentazione

Visione grafica (lancetta) per valore MIN e MAX attraverso:
– Linea
– Lancetta
– triangolo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinMaxShape


ID_ELE_PROP201

Interno ID: ID_ELE_PROP201

Colore valore min.

Colore per il minimo visualizzato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinColor


ID_ELE_PROP202

Interno ID: ID_ELE_PROP202

Colore valore max.

Colore per il massimo visualizzato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxColor


ID_ELE_PROP203

Interno ID: ID_ELE_PROP203

Reset automatico

Lancetta comando per visualizzazione MIN/MAX ripristinata automaticamente dopo il tempo inserito.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AutoReset


ID_ELE_PROP204

Interno ID: ID_ELE_PROP204

Reset automatico dopo [min]

Tempo per il resettaggio automatico di Min./Max. Visualizzazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AutoResetTime


ID_ELE_PROP211

Interno ID: ID_ELE_PROP211

Sinistra [Pixel]

Distanza tra il margine sinistro dell´elemento e la visualizzazione grafica (in pixel).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LeftFrame


ID_ELE_PROP212

Interno ID: ID_ELE_PROP212

Destra [Pixel]

Distanza tra il margine a destra dell´elemento e la visualizzazione grafica (in pixel)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RightFrame


ID_ELE_PROP213

Interno ID: ID_ELE_PROP213

Su [Pixel]

Distanza tra il margine superiore dell´elemento e la visualizzazione grafica (in pixel)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TopFrame


ID_ELE_PROP214

Interno ID: ID_ELE_PROP214

Giu [Pixel]

Distanza tra il margine inferiore dell´elemento e la visualizzazione grafica (in pixel)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BottomFrame


ID_ELE_PROP221

Interno ID: ID_ELE_PROP221

Visualizza titolo

Visualizza titolo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowTitle


ID_ELE_PROP222

Interno ID: ID_ELE_PROP222

Posizione titolo

Posizione del titolo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TitlePos


ID_ELE_PROP223

Interno ID: ID_ELE_PROP223

Colore titolo

Colore testo del titolo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TitleColor


ID_ELE_PROP224

Interno ID: ID_ELE_PROP224

Testo titolo

Testo che deve essere visualizzato come titolo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TitleText


ID_ELE_PROP225

Interno ID: ID_ELE_PROP225

Distanza [Pixel]

Distanza fra titolo e segnalazione del valore (in pixel).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueDistance


ID_ELE_PROP231

Interno ID: ID_ELE_PROP231

Direzione

Direzione della barra.
in su: valore minore in basso, valore maggiore in alto.
in giù: valore minore in alto, valore maggiore in basso.
a sinistra: valore minore a destra, valore maggiore a sinistra.
a destra: valore minore a sinistra, valore maggiore a destra.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Direction


ID_ELE_PROP241

Interno ID: ID_ELE_PROP241

Ore

Ore dell´intervallo di tempo di visualizzazione.
Default: 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RepresentationHour


ID_ELE_PROP242

Interno ID: ID_ELE_PROP242

Minuti

Minuti dell´intervallo di tempo di visualizzazione.
Minimo: 0.
Massimo: 59.
Default: 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RepresentationMinute


ID_ELE_PROP243

Interno ID: ID_ELE_PROP243

Secondi

Secondi dell´intervallo di tempo di visualizzazione.
Minimo: 0.
Massimo: 59.
Default: 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RepresentationSecond


ID_ELE_PROP251

Interno ID: ID_ELE_PROP251

Ore

Ore del tempo di aggiornamento.
Minimo: 0.
Massimo: 119304.
Default: 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RefreshHour


ID_ELE_PROP252

Interno ID: ID_ELE_PROP252

Minuti

Minuti del tempo di aggiornamento.
Minimo: 0.
Massimo: 59.
Default: 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RefreshMinute


ID_ELE_PROP253

Interno ID: ID_ELE_PROP253

Secondi

Secondi del tempo di aggiornamento.
Minimo: 0.
Massimo: 59.
Default: 1.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RefreshSecond


ID_ELE_PROP254

Interno ID: ID_ELE_PROP254

Millisecondi

Millisecondi del tempo di aggiornamento.
Minimo: 0.
Massimo: 999.
Default: 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RefreshMilliSecond


ID_ELE_PROP256

Interno ID: ID_ELE_PROP256

Parametro per sostituzione

Inserimento della successione caratteri per la sostituzione via parametro. Sostituisce nel dialogo di sostituzione del cambio immagine la parola chiave {PARAM}.

Nota: Evitate quelle successioni di caratteri che vengono usate anche per i parametri delle variabili di indicizzazione, come, per es., {X01}.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FunctionParameter


ID_ELE_PROP262

Interno ID: ID_ELE_PROP262

Colore di linea

colore normale; nel caso di violazione valore limite si utilizza il colore valore limite.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineColor


ID_ELE_PROP263

Interno ID: ID_ELE_PROP263

Tipo di linea

continua, tratteggiata, tratto punto

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineStyle


ID_ELE_PROP264

Interno ID: ID_ELE_PROP264

Range minimo di visualizzazione

Minimo del campo tecnico di visualizzazione per la curva (ingrandimento di sezione).
Minimo: valore minimo della variabile.
Massimo: valore massimo della variabile.
Default: valore minimo della variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ViewMin


ID_ELE_PROP265

Interno ID: ID_ELE_PROP265

Range massimo di visualizzazione

Massimo del campo tecnico di visualizzazione per la curva (ingrandimento di sezione)
Minimo: valore minimo della variabile.
Massimo: valore massimo della variabile.
Default: valore massimo della variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ViewMax


ID_ELE_PROP266

Interno ID: ID_ELE_PROP266

Nome curva

Visualizzazione nel caso si sia settata l´opzione "Visualizza informazione curva”.
Se questa proprietà rimane vuota, verrà visualizzato il nome della variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TrendText


ID_ELE_PROP271

Interno ID: ID_ELE_PROP271

Rappresentazione

Selezione del tipo di visualizzazione fra quelli della lista a cascata.

  • Bitmap e Simbolo d'immagine: Per ogni stato si può selezionare un file grafico oppure un simbolo d'immagine (simbolo o gruppo elementi).
    Inoltre, si può anche modificare il colore di un simbolo d'immagine.
  • Solo simbolo ad immagine: Per ogni stato si può associare un colore ad un simbolo già esistente nell'immagine.
  • Simbolo dalla biblioteca: Per ogni stato si può selezionare un simbolo dalla libreria e un colore di sfondo / linea.
  • Simbolo: Per ogni stato si può definire un carattere (solo SICAM 230).
  • Simbolo d'immagine e Testi di stato: Per ogni stato si può definire un testo.
    Inoltre si può modificare anche il colore di un simbolo ad immagine.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RepresentationStyle


ID_ELE_PROP272

Interno ID: ID_ELE_PROP272

Sovrapposti

Disponibile solo per tipo di visualizzazione "Simbolo dalla libreria":
Attivo: se sono attivi diversi stati, la rappresentazione avviene in modo sovrapposto, cioè vengono indicati tutti gli stati attivi.
Inattivo: viene visualizzato solamente lo stato attivo con la massima priorità.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Overlapping


ID_ELE_PROP273

Interno ID: ID_ELE_PROP273

Colori separati

Disponibile solo se è attivo "Sovrapposti":
Attivo: ogni stato viene rappresentato con il suo colore definito.
Inattivo: viene usato il colore dello stato attivo con maggiore grado di priorità.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SeparateColors


ID_ELE_PROP274

Interno ID: ID_ELE_PROP274

Lampeggio separato

Disponibile solo se è attivo "Sovrapposti":
Attivo: Il lampeggio di ogni stato viene visualizzato separatamente.
Inattivo: viene usato il lampeggio dello stato attivo con maggiore grado di priorità.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SeparateBlinking


ID_ELE_PROP275

Interno ID: ID_ELE_PROP275

Testi concatenati

Disponibile solo per tipo di visualizzazione "Testo di stato":
Attivo: Se sono attivi diversi stati contemporaneamente i testi vengono visualizzati come stringa combinata.
Inattivo: viene usato il testo dello stato attivo con maggiore grado di priorità.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Chained


ID_ELE_PROP276

Interno ID: ID_ELE_PROP276

Trasparente

Attivo: Lo sfondo del simbolo è trasparente.
Inattivo: Lo sfondo del simbolo può essere definito separatamente per ogni stato.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FillColor


ID_ELE_PROP278

Interno ID: ID_ELE_PROP278

Con dimensione originale

Attivo: Il file grafico viene rappresentato nella sua grandezza originale.
Inattivo: Il file grafico viene allungato in corrispondenza della grandezza dell´elemento.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OriginalSize


ID_ELE_PROP279

Interno ID: ID_ELE_PROP279

Immagine simbolo attivo

Disponibile solamente se per la proprietà Rappresentazione si è selezionato File grafico e simbolo d'immagine oppure Testo di stato e simbolo d'immagine.

  • Attivo: oltre al file grafico e/o al testo di stato animati, si può visualizzare anche un simbolo d'immagine.
  • Inattivo: Non viene usato nessun simbolo d'immagine.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsPictureSymbol


ID_ELE_PROP280

Interno ID: ID_ELE_PROP280

Simbolo immagine

Disponibile solamente se per la proprietà Rappresentazione si è selezionato Solo simbolo d'immagine, oppure se la proprietà Immagine simbolo attivo è stata attivata.
Selezione del simbolo d'immagine il cui colore deve cambiare a seconda dello stato. Può essere un simbolo oppure un gruppo elementi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PictureSymbol


ID_ELE_PROP281

Interno ID: ID_ELE_PROP281

Solo area riempimento

Attivo: Il cambio colore riguarda solamente la superficie di riempimento.
Inattivo: Il cambio colore riguarda anche le linee.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FillAreaOnly


ID_ELE_PROP282

Interno ID: ID_ELE_PROP282

Riprendi lampeggio dalla variabile principale

Attivo: L´attributo lampeggio della variabile principale viene ripreso e può essere ripristinato anche sull´elemento.
Inattivo: non c´è nessun lampeggio.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BlinkingFromVariable


ID_ELE_PROP283

Interno ID: ID_ELE_PROP283

Rileva lampeggio di tutte le variabili

Disponibile solamente se l´opzione "Riprendi lampeggio dalla variabile principale" è attiva:
Attivo: Le proprietà di lampeggiamento di tutte le variabili vengon riprese.
Inattivo: Viene ripreso solo l´attributo lampeggio della variabile principale oppure non c´è nessun lampeggio (ciò dipende dalla proprietà "Riprendi lampeggio dalla variabile principale").

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BlinkingFromAllVariables


ID_ELE_PROP284

Interno ID: ID_ELE_PROP284

Sfondo lampeggio trasparente

Attivo: Lo sfondo del simbolo durante il lampeggio è trasparente (lo sfondo di un file grafico non può essere trasparente).
Inattivo: Lo sfondo del simbolo non è trasparente.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BlinkingBackGroundTransparent


ID_ELE_PROP285

Interno ID: ID_ELE_PROP285

Colore lampeggio

Colore di sfondo con l'opzione "Sfondo lampeggio trasparente" non settata

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BlinkingBackColor


ID_ELE_PROP286

Interno ID: ID_ELE_PROP286

Visualizza stato della variabile

Con l’utilizzo dell’opzione “Mostra lo stato“, quando si usa il tasto destro del mouse durante il lavoro online viene visualizzato, oltre alla variabile, anche l´attuale settaggio bit di stato per la variabile impostata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowState


ID_ELE_PROP287

Interno ID: ID_ELE_PROP287

Visualizza stato con punto rosso

In presenza di uno stato di errore (per esempio "disturbato") viene segnalata in alto a destra dell’elemento una marcatura rossa.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RedPoint


ID_ELE_PROP288

Interno ID: ID_ELE_PROP288

Tipo topologico

Tipo topologico

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TopologyType


ID_ELE_PROP289

Interno ID: ID_ELE_PROP289

Lato trasformatore

Lato trasformatore

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TransformerSide


ID_ELE_PROP290

Interno ID: ID_ELE_PROP290

Numero di alimentazione

Numero di alimentazione

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SupplyNumber


ID_ELE_PROP291

Interno ID: ID_ELE_PROP291

Stati e test

Apre la finestra di dialogo per la definizione degli stati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StateAndTest


ID_ELE_PROP292

Interno ID: ID_ELE_PROP292

Prendi il colore della variabile principale

Attivo: Il colore di riempimento nel caso di simboli separati e simboli della libreria viene ripreso dallo stato Default della variabile principale se è presente una violazione di valore limite di quest´ultima.
Il che significa: finché c´è una violazione del valore limite delle variabili principali, viene ripreso il colore di riempimento per essere usato come quello del valore limite. La definizione del colore degli stati, dunque, viene sovrascritta. Altri attrinuti di stato come, ad esempio, Lampeggio, Trasparenza oppure Colore simbolo originale, però, vengono ripresi dalla definizione di stato. Questa proprietà non ha alcun effetto sulla visualizzazione bitmap.

Eccezione: Se per lo stato Default è attiva la proprietà Colore simbolo originale, viene usato sempre il colore orginale del simbolo.
Non attiva: il colore della variabile principale non ha alcun effetto sui colori della visualizzazione dell´elemento combinato.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorFromVariable


ID_ELE_PROP293

Interno ID: ID_ELE_PROP293

Darstellung im gesperrten Zustand von Tasteneigenschaften des Projekts übernehmen

Impostazione che determina se il comportamento dei tasti viene ripreso dalla proprietà di progetto. In questo contesto vengono prese in considerazione le impostazioni delle seguenti proprietà di progetto:

  • Login e firma -> Tasti bloccati
  • Elementi bloccati -> Pulsanti bloccati

Impostazioni possibili:

  • Attivo: Le impostazioni vengono riprese dalla proprietà di progetto.
    Nota: L´impostazione Grigio non ha alcun effetto sui testi all´interno di simboli.
  • Inattivo: Le impostazioni non vengono applicate.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DisabledStyleAsButtons


ID_ELE_PROP294

Interno ID: ID_ELE_PROP294

Mantieni stato premuto

Disponibile solo se e proprietà Interruttore, Pulsante e Reazione immediata sono attive.

Attivo: finché il tasto del mouse rimane premuto su questo elemento, non cambia la rappresentazione grafica - indipendentemente dal fatto se cambia il valore sul PLC. Nel caso dell´elemento Interruttore, deve essere attiva anche la proprietà 3D.
Inattiva: L´elemento rappresenta sempre il valore delle variabili del PLC.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StayPressed


ID_ELE_PROP296

Interno ID: ID_ELE_PROP296

Stati

Apre la finestra di dialogo per la definizione degli stati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Status


ID_ELE_PROP298

Interno ID: ID_ELE_PROP298

Colore di riempimento periodo non lavorativo

Colore di sfondo del tempo libero/non lavorativo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorNonWorkingHours


ID_ELE_PROP299

Interno ID: ID_ELE_PROP299

Colore di riempimento periodo lavorativo

Colore di sfondo del tempo lavorativo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorWorkingHours


ID_ELE_PROP301

Interno ID: ID_ELE_PROP301

Tempo per cambio di testo [s]

a più bits settati delle variabili di riga si esegue il cambio testo automatico dopo il tempo progettato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextChangeTime


ID_ELE_PROP302

Interno ID: ID_ELE_PROP302

File testo

Scelta del file di testo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MessageText


ID_ELE_PROP303

Interno ID: ID_ELE_PROP303

Scelta colonne

La variabile colonne deve essere una variabile del tipo word e definisce la posizione della colonna, dalla quale si riprende il testo.

Attenzione: La variabile colonne deve essere selezionata prima della variabile di riga.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable


ID_ELE_PROP304

Interno ID: ID_ELE_PROP304

Attivazione linea

La variabile di riga definisce la posizione della riga, dalla quale si riprende il testo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColVars


ID_ELE_PROP306

Interno ID: ID_ELE_PROP306

Impostazioni ActiveX

Selezione dell´elemento ActiveX e della variabile collegata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActiveX


ID_ELE_PROP312

Interno ID: ID_ELE_PROP312

Luminosità all'esterno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità nella parte esterna dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OuterBrightness


ID_ELE_PROP313

Interno ID: ID_ELE_PROP313

Luminosità all'interno

Disponibile solo se è attiva l´opzione "Con valori di luminosità":
Luminosità al centro dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InnerBrightness


ID_ELE_PROP321

Interno ID: ID_ELE_PROP321

Modifica direzione X attiva

Attivo: Movimento orizzontale dell´elemento collegato è disponibile.
Inattivo: Movimento orizzontale non è disponibile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsXActive


ID_ELE_PROP322

Interno ID: ID_ELE_PROP322

Variabile

Nome della variabile per il movimento orizzontale dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XVariable


ID_ELE_PROP323

Interno ID: ID_ELE_PROP323

Valore min. variabile

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XVarMin


ID_ELE_PROP324

Interno ID: ID_ELE_PROP324

Valore max. variabile

Massimo valore variabile per il movimento orizzontale dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XVarMax


ID_ELE_PROP325

Interno ID: ID_ELE_PROP325

Movimento min. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore minimo della variabile (in pixel)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XViewMin


ID_ELE_PROP326

Interno ID: ID_ELE_PROP326

Movimento max. [pixel]

Posizione orizzontale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XViewMax


ID_ELE_PROP327

Interno ID: ID_ELE_PROP327

Modifica direzione Y attiva

Attivo: Movimento verticale dell´elemento collegato è disponibile.
Inattivo: Movimento verticale non è disponibile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsYActive


ID_ELE_PROP328

Interno ID: ID_ELE_PROP328

Variabile

Nome della variabile per il movimento verticale dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YVariable


ID_ELE_PROP329

Interno ID: ID_ELE_PROP329

Valore min. variabile

Minimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YVarMin


ID_ELE_PROP330

Interno ID: ID_ELE_PROP330

Valore max. variabile

Massimo valore variabile per il movimento verticale dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YVarMax


ID_ELE_PROP331

Interno ID: ID_ELE_PROP331

Movimento min. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore minimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YViewMin


ID_ELE_PROP332

Interno ID: ID_ELE_PROP332

Movimento max. [pixel]

Posizione verticale dell´elemento in corrispondenza del valore massimo della variabile (in pixel).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YViewMax


ID_ELE_PROP333

Interno ID: ID_ELE_PROP333

Modifica larghezza attiva

Attivo: Lo zoom della larghezza dell´elemento collegato è disponibile.
Inattivo: Lo zoom della larghezza non è disponibile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsXZoomActive


ID_ELE_PROP334

Interno ID: ID_ELE_PROP334

Variabile

Nome della variabile per lo zoom della larghezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XZoomVariable


ID_ELE_PROP335

Interno ID: ID_ELE_PROP335

Valore min. variabile

Minimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XZoomVarMin


ID_ELE_PROP336

Interno ID: ID_ELE_PROP336

Valore max. variabile

Massimo valore variabile per lo zoom della larghezza dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XZoomVarMax


ID_ELE_PROP337

Interno ID: ID_ELE_PROP337

Larghezza min. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XZoomViewMin


ID_ELE_PROP338

Interno ID: ID_ELE_PROP338

Larghezza max. [%]

Fattore zoom della larghezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XZoomViewMax


ID_ELE_PROP339

Interno ID: ID_ELE_PROP339

Modifica altezza attiva

Attivare lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsYZoomActive


ID_ELE_PROP340

Interno ID: ID_ELE_PROP340

Variabile

Nome della variabile per lo zoom dell´altezza dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YZoomVariable


ID_ELE_PROP341

Interno ID: ID_ELE_PROP341

Valore min. variabile

Minimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YZoomVarMin


ID_ELE_PROP342

Interno ID: ID_ELE_PROP342

Valore max. variabile

Massimo valore variabile per lo zoom dell´altezza dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YZoomVarMax


ID_ELE_PROP343

Interno ID: ID_ELE_PROP343

Altezza min. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YZoomViewMin


ID_ELE_PROP344

Interno ID: ID_ELE_PROP344

Altezza max. [%]

Fattore zoom dell´altezza dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YZoomViewMax


ID_ELE_PROP345

Interno ID: ID_ELE_PROP345

Drehen aktiv

Attivo: Rotazione dell´elemento collegato è disponibile.
Inattivo: la rotazione non è disponibile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsTwistActive


ID_ELE_PROP346

Interno ID: ID_ELE_PROP346

Variabile

Nome della variabile per la rotazione dell´elemento.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TwistVariable


ID_ELE_PROP347

Interno ID: ID_ELE_PROP347

Valore min. variabile

Minimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TwistVarMin


ID_ELE_PROP348

Interno ID: ID_ELE_PROP348

Valore max. variabile

Massimo valore variabile per la rotazione dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TwistVarMax


ID_ELE_PROP349

Interno ID: ID_ELE_PROP349

Rotazione min. [°]

Angolo di rotazione dell´elemento in corrispondenza del minimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TwistViewMin


ID_ELE_PROP350

Interno ID: ID_ELE_PROP350

Rotazione max. [°]

Angolo di rotazione dell´elemento in corrispondenza del massimo valore della variabile (in %).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TwistViewMax


ID_ELE_PROP351

Interno ID: ID_ELE_PROP351

Inserimenti

Disponibile solo se la proprietà Inserimento da variabile string non è attiva.

Cliccando sul pulsante ... si apre il dialogo che serve alla definizione degli inserimenti per una Listbox/Combobox statistica.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Status


ID_ELE_PROP354

Interno ID: ID_ELE_PROP354

Colore di sfondo

Colori di sfondo dell’elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ButtonFillColor


ID_ELE_PROP357

Interno ID: ID_ELE_PROP357

Globale

Gli allarmi vengono tenuti in considerazione in tutto il sistema.
Uso principale: Allarme somme della lista allarmi globale.
Attiva: Gli allarmi vengono tenuti in considerazione indipendentemente dall'immagine collegata.
La funzione collegata viene utilizzata solo per il cambio immagine.

Non attiva: Solo allarmi dell'immagine collegata vengono presi in considerazione.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BAGlobal


ID_ELE_PROP358

Interno ID: ID_ELE_PROP358

Progetto

Selezione di un singolo progetto oppure di tutti i progetti.

Disponibile solo se è attiva l'opzione Globale.

Uso nel caso di progetti multiutente.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BAProjekt


ID_ELE_PROP359

Interno ID: ID_ELE_PROP359

Priorità

Fissare la priorità di classi allarmi/eventi.
Attiva: Anche nel caso della selezione di diverse classi allarmi/eventi ne viene visualizzata solo una.
Regole di priorità:

  1. Tanto più piccolo è il numero della classe, tanto maggiore è la priorità.
  2. Non ripristinato è di maggiore priorità di ripristinato.

Non attiva: tutte le classi selezionate vengono visualizzate contemporaneamente (una accanto all'altra).

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BAPriorit?t


ID_ELE_PROP360

Interno ID: ID_ELE_PROP360

Invisibile

L'elemento non viene visualizzato nel Runtime.

Attivo: L'elemento viene escluso nel Runtime.
Viene usato se l'elemento porta solo ad una variabile di visualizzazione, ma esso stesso non deve essere rappresentato.

Non attiva: L'elemento viene visualizzato sotto forma di pulsante.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BAUnsichtbar


ID_ELE_PROP361

Interno ID: ID_ELE_PROP361

Classi di allarme/eventi

Selezione della classe allarmi/eventi da visualizzare.

Apre il catalogo della selezione delle classi.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BAKlassen


ID_ELE_PROP362

Interno ID: ID_ELE_PROP362

Prima classe di allarmi/eventi visualizzata.

A partire da questa classe, gli stati delle classi vengono scritti sulla variabile d'immagine.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Offset


ID_ELE_PROP363

Interno ID: ID_ELE_PROP363

Origine

Sostituzione di variabili e/o funzioni in un simbolo oppure in un contenitore Faceplate:

Indicate la variabile sorgente/funzione sorgente. Possono essere usati caratteri sostitutivi (?, *). Più inserimenti vengono divisi mediante un punto e virgola (;).

Definite gli obiettivi mediante la proprietà Destinazione.
Esempio: Variabili nel simbolo: Tank1.Livello di riempimento e Tank1.Posizione valvola. Questi devono essere sostituiti con le variabili Tank2.Livello di riempimento e Tank2.Posizione valvola.
A tal scopo, inserite in corrispondenza diOrigine: *1* e in corrispondenza di Destinazione 2. Durante il runtime, le variabili 1er vengono sostituite con quelle 2er.

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SubstituteSource


ID_ELE_PROP364

Interno ID: ID_ELE_PROP364

Destinazione

Sostituzione di variabili e/o funzioni in un simbolo o in contenitore Faceplate:
Indicate le nuove variabili/funzioni da assegnare. Non è permesso nessun carattere jolly. Più inserimenti vengono divisi mediante un punto e virgola (;).

Prima definite le sorgenti mediante la proprietà Origine.
Esempio: Variabili nel simbolo: Tank1.Livello di riempimento e Tank1.Posizione valvola. Questi devono essere sostituiti con le variabili Tank2.Livello di riempimento e Tank2.Posizione valvola.
A tal scopo, inserite in corrispondenza diOrigine: *1* e in corrispondenza di Destinazione 2. Durante il runtime, le variabili 1er vengono sostituite con quelle 2er.

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SubstituteDestination


ID_ELE_PROP365

Interno ID: ID_ELE_PROP365

Attraverso il nome della variabile

Sostituzione di variabili in un simbolo oppure un contenitore faceplate via variabili:

  • Attivo: La sostituzione dei collegamenti avviene facendo uso del nome delle variabili.
  • Non attiva La sostituzione dei collegamenti avviene facendo uso dell´identificazione delle variabili.

Default: attivato

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

Nota: Questa proprietà ha effetto anche sul comportamento della proprietà Nomi gerarchici.
Per ulteriori informazioni su questo argomento, consultate la parte della guida dedicata alle Immagini.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SubstituteOnName


ID_ELE_PROP366

Interno ID: ID_ELE_PROP366

Rispetta minuscolo/maiuscolo

il sistema non tiene conto della scrittura in lettere maiuscole e minuscole per gli inserimenti per la sorgente e la destinazione delle operazioni di sostituzione di variabili e funzioni in un simbolo o in un contenitore faceplate:

  • Attivo: si tiene conto della scrittura in lettere maiuscole e minuscole.
  • Inattivo: non si tiene conto della scrittura in lettere maiuscole e minuscole

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SubstituteMatchCase


ID_ELE_PROP367

Interno ID: ID_ELE_PROP367

Dimensione dall'immagine collegata

Cliccando sul pulsante ..., si adegua la grandezza del contenitore a quella dell´immagine collegata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SizeFromLinkedPicture


ID_ELE_PROP377

Interno ID: ID_ELE_PROP377

Posizione focus sinistra/destra

Definisce la posizione orizzontale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TABOrderH


ID_ELE_PROP378

Interno ID: ID_ELE_PROP378

Posizione Focus sù/giù

Definisce la posizione verticale in caso di gestione mediante tastiera durante il runtime. La posizione viene definita facendo uso del menù contestuale e con inserimento mediante mouse nella finestra principale e non può essere modificata in questa sede.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TABOrderV


ID_ELE_PROP379

Interno ID: ID_ELE_PROP379

Suddivisioni principali

Definisce tratteggio della parte principale della scala.
Valore indica distanza fra le divisioni principali. Il valore deve essere maggiore o uguale al valore di Suddivisioni secondare. In caso di uguaglianza di valore non vengono visualizzati Suddivisioni secondare.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MainTicks


ID_ELE_PROP380

Interno ID: ID_ELE_PROP380

Suddivisioni secondare

Definisce la divisione della scala fra Suddivisioni principali.

Valore indica distanza fra le divisioni secondarie. Il valore deve essere minore o uguale al valore di Suddivisioni principali. In caso di uguaglianza di valore non viene visualizzata nessuna suddivisione secondaria.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmallTicks


ID_ELE_PROP381

Interno ID: ID_ELE_PROP381

Immagine delle classi di allarme/eventi selezionate

Modalità nella quale gli stati delle classi vengono scritti sulla variabile d'immagine.

Attivo: gli stati delle classi allarmi/eventi selezionate vengono scritti completamente sulla variabile d'immagine.
Per es. classi selezionate 1,3 -> Classi 1: Bits 0,1; classe 3: Bits 2,3

Inattiva: gli stati delle classi allarmi/eventi selezionate vengono scritti completamente su posizioni fisse della variabile d'immagine.
Per es. classi selezionate 1,3 -> Classi 1: Bits 0,1;0 (classe 2: Bits 2.3; classe 3: Bits 4,5

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AbbModus


ID_ELE_PROP382

Interno ID: ID_ELE_PROP382

Tipo funzione

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).

Selezione del tipo di funzione dell´elemento. Cliccando su tipo di funzione si apre la lista a cascata che serve alla selezione:

  • Conclusione: Per concludere il bus: sopprime il messaggio d’errore "linea connessa solo da un lato“ durante la compilazione.
  • Generatore: L´elemento funziona da generatore (analogamente Sorgente) - in caso di attività, il colore viene trasmesso al prossimo tratto di linea.
  • Nessuna funzione: L´elemento non ha nessuna funzione in ALC.
  • Link: La informazione ALC viene trasmesso con un link sorgente a un link di destinazione.
  • Sorgente: In caso di sorgente attiva, il colore di quest´ultima viene trasmesso al prossimo tratto di linea.
  • Interruttore: il colore viene trasmesso al prossimo tratto di linea, se l´interruttore è chiuso e se viene alimentato da una sorgente.
  • Serranda (valvola): Funziona analogamente a Interruttore. Il colore viene trasmesso al prossimo tratto di linea, se la valvola è aperta o in parte aperta e se viene alimentato da una sorgente. Utilizzatore: Valori della variabile principale: vediGuida in linea.
  • Avvallamento: questo tipo di funzione non ha alcun effetto sulla colorazione. Con VBA, però, si può constatare se questo utente viene alimentato.
  • Valvola di ritegno: Se la valvola di ritegno è aperta, con questo tipo di funzione l´informazione ALC viene inoltrata solamente in una direzione. La direzione è sempre quella dall´entrata verso l´uscita, e non viceversa. L´informazione viene inoltrata solamente quando la valvola di ritegno viene approvvigionata da una sorgente.
  • Trasformatore: Se l´elemento viene alimentato, trasforma una sorgente (colore) in un´altra.
  • Sezionatore funziona in modo analogo a Interruttore, ma contiene un interblocco topologico Sezionatore sotto carico. Il colore viene trasmesso al prossimo tratto di linea, se il sezionatore è chiuso e se viene alimentato da una sorgente.

Default: Nessuna funzione

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCType


ID_ELE_PROP383

Interno ID: ID_ELE_PROP383

Sorgente

Disponibile solo se è stato selezionato un tipo funzione Sorgente o Trasformatore:
Selezione di sorgenti/trasformatori collegati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCSourceID


ID_ELE_PROP384

Interno ID: ID_ELE_PROP384

Colori da ALC

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC):
Attivo: Viene usato il colore automatico della(e) variabile(i) collegata(e).
Inattivo: Viene usato il colore standard.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCUseColor


ID_ELE_PROP385

Interno ID: ID_ELE_PROP385

Visualizza fornitura multipla

Disponibile solamente se la proprietà Colori da ALC è attiva.
Definisce la modalità di visualizzazione se l´elemento è collegato con più sorgenti attive:
sorgente ad altra priorità: Viene usato solamente il colore della sorgente con la maggiore priorità.
Due sorgenti ad alta priorità: i diversi colori delle due sorgenti con il maggior livello di priorità vengono visualizzati con tratteggio.
Colore alternativo: Colore alternativo per la colorazione nel caso di fornitura multipla.

Default: sorgente ad altra priorità

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCMultiSource


ID_ELE_PROP386

Interno ID: ID_ELE_PROP386

Numero Link

Disponibile solo se è stato selezionato un tipo funzione Link:
Numero di identificazione del Link. Un altro link su un´altra immagine con lo stesso numero di identificazione riprenderà i dati del link sorgente.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCLinkID


ID_ELE_PROP387

Interno ID: ID_ELE_PROP387

Display secured supply

E' a disposizione solo se Colori da ALC è stata attivata.

Selezione della modalità in cui deve essere rappresentato l'approvvigionamento assicurato.

  • Doppia larghezza
  • Doppia luminosità
  • Normale

Default: Normale

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCMSecuredSupply


ID_ELE_PROP388

Interno ID: ID_ELE_PROP388

Priorità di visualizzazione

Disponibile solo se la proprietà Colori da ALC è attivata.

Definisce la priorità di visualizzazione se l´elemento è collegato con più sorgenti attive.
Fornitura multipla: L'elemento viene rappresentato in corrispondenza delle regole della Fornitura multipla.
Secured supply: l'elemento viene rappresentato in corrispondenza delle regole del Secured supply.
Nessuna priorità: Le regole di colorazione per Fornitura multipla e per secured supply vengono applicate contemporaneamente, a patto che entrambi i criteri siano soddisfatti.

Default: Fornitura multipla
Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCPrecedence


ID_ELE_PROP389

Interno ID: ID_ELE_PROP389

Reset al rilascio

Disponibile solo sePulsante è attivo:
nel caso in cui il puntatore del mouse venga allontanato dal pulsante tenendo premuto il tasto, il valore della variabile viene resettato automaticamente.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ResetOnLeave


ID_ELE_PROP391

Interno ID: ID_ELE_PROP391

Colore cornice/ombra

Disponibile solamente se è stato selezionato come Tipo di cornice cornice oppure ombra.

Definizione del colore della cornice o dell´ombra. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PunchFrameColor


ID_ELE_PROP392

Interno ID: ID_ELE_PROP392

Distanza [Pixel]

Disponibile solamente se come Tipo di cornice sono stati selezionati cornice o ombra.

Distanza della cornice o dell´ombra rispetto all´elemento in pixel. Nel caso dell´ombra, la direzione della distanza viene determinata dalla proprietà Angolo [°]. La grandezza del campo valori dipende dalla risoluzione dello schermo.

Default: 10

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PunchFrameOffset


ID_ELE_PROP393

Interno ID: ID_ELE_PROP393

Larghezza linea

Definizione della larghezza della linea per la cornice espressa in pixel.

Default: 1

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PunchFrameWidth


ID_ELE_PROP394

Interno ID: ID_ELE_PROP394

Modifica la descrizione con tasti di controllo

Disponibile solo se avete disattivato Layout tastiera automatica nelle proprietà dell'immagine.

attivo: Per scrivere sul pulsante usate Testo riga 1 normale bis Testo riga 2 con Ctrl + Alt (Alt Gr). L'inserimento sotto Testo riga 1 e Testo riga 2 non è più necessario.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ChangeText


ID_ELE_PROP395

Interno ID: ID_ELE_PROP395

Testo riga 1 normale

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di controllo.
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text1Normal


ID_ELE_PROP396

Interno ID: ID_ELE_PROP396

Testo riga 1 con Shift

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio.
Attenzione: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text1Shift


ID_ELE_PROP397

Interno ID: ID_ELE_PROP397

Testo riga 1 con Ctrl

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text1Ctrl


ID_ELE_PROP398

Interno ID: ID_ELE_PROP398

Testo riga 1 con Ctrl + Alt (Alt Gr)

Disponibile solo se Modifica la descrizione con tasti di controllo è attivo.
Iscrizione della prima riga di testo nel pulsante se sia premuto il tasto controllo e Alt Gr.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text1CtrlAlt


ID_ELE_PROP399

Interno ID: ID_ELE_PROP399

Testo riga 2 normale

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di controllo.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text2Normal


ID_ELE_PROP400

Interno ID: ID_ELE_PROP400

Testo riga 2 con Shift

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text2Shift


ID_ELE_PROP401

Interno ID: ID_ELE_PROP401

Testo riga 2 con Ctrl

Disponibile solo se Modifica la descrizione con tasti di controlloè attivo.
Iscrizione della prima riga di testo nel pulsante senza che sia premuto un tasto di cambio.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text2Ctrl


ID_ELE_PROP402

Interno ID: ID_ELE_PROP402

Testo riga 2 con Ctrl + Alt (Alt Gr)

Disponibile solo se Modifica la descrizione con tasti di controllo è attivo.
Iscrizione della prima riga di testo nel pulsante se sia premuto il tasto controllo e Alt Gr.
Nota: con il simbolo & si visualizza il prossimo carattere in modo sottolineato nel runtime. Inserite ”&&” per rappresentare da soli il segno &.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text2CtrlAlt


ID_ELE_PROP403

Interno ID: ID_ELE_PROP403

Tipo di inizio

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

Definisce il simbolo per il punto di partenza della linea. Cliccando su campo, si apre il dialogo che serve alla selezione di un elemento.
Per curva e arco di cerchio, disponibile solamente se Tipo di riempimento è stata settata su senza.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineCapStart


ID_ELE_PROP404

Interno ID: ID_ELE_PROP404

Tipo di fine

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

Definisce il simbolo per il punto finale della linea. Quando si clicca sul campo, si apre una finestra di dialogo che serve alla selezione di un elemento.
Per curva e arco di cerchio, disponibile solamente seTipo di riempimento è stata settata su senza.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineCapEnd


ID_ELE_PROP405

Interno ID: ID_ELE_PROP405

Dimensione

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

Definisce il fattore di ingrandimento per la larghezza della linea della freccia. Il fattore si riferisce alla larghezza della linea dell´elemento vettoriale come definito nella proprietà Larghezza linea.
Per curva e arco di cerchio, disponibile solamente se Tipo di riempimento è stata settata susenza.

Valore: maggiore o uguale a 1.

Default: 4

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineCapScale


ID_ELE_PROP_BACKCOLOR2

Interno ID: ID_ELE_PROP_BACKCOLOR2

Sfumatura colore

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Per la proprietà Tipo di riempimento deve essere selezionata l´opzione effetto di riempimento.

Definisce il secondo colore per l´effetto di riempimento. Se si sceglie "automatico", il valore del colore cambia in dipendenza del valore di Colore di sfondo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColor2


ID_ELE_PROP_BACKCOLORBUTTON2

Interno ID: ID_ELE_PROP_BACKCOLORBUTTON2

Verlaufsfarbe

Disponibile solo se la proprietà Riempimento pulsanti non è stata settata su Monocromatico.

Definisce il secondo colore per l´effetto di riempimento. Se si sceglie automatico, il valore del colore cambia in dipendenza del valore di Colore di sfondo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColor2


ID_ELE_PROP_COLORGRADIENTANGLE

Interno ID: ID_ELE_PROP_COLORGRADIENTANGLE

Angolo [°]

Definisce la direzione dell´effetto di riempimento che procede dal punto centrale dell´elemento.

Valori: da 0 fino 360°

Default: 0°

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorGradientAngle


ID_ELE_PROP_COLORGRADIENTOFFSET

Interno ID: ID_ELE_PROP_COLORGRADIENTOFFSET

Offset [%]

Disponibile solamente se, per un elemento vettoriale, la proprietà Effetto riempimento 3-D, o per l´elemento dinamico Pulsante, la proprietà Riempimento pulsanti è stata settata su: lineare oppure da un punto definito, oppure da un punto definito effetto beam.

Definisce la distanza dell´effetto di riempimento dal punto centrale dell´elemento. Si tratta di un valore percentuale.

Valori: 0 descrive il punto centrale nell´elemento, 100 il bordo.
Indicazione: Questo valore può trovarsi anche al di fuori dell´elemento e perciò, non è limitato a 100.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorGradientOffset


ID_ELE_PROP_COMMITONKILLFOCUS

Interno ID: ID_ELE_PROP_COMMITONKILLFOCUS

Interrompi alla perdita del focus

Comportamento dell´elemento in fase di settaggio del valore impostabile nel runtime:

  • Attivo: Il valore viene settato non appena l´elemento di controllo perde il focus.
    Usando il tasto Esc, l´inserimento viene annullato e il valore non viene settato.
  • Inattivo: Il valore viene settato usando il tasto Ins.
    Usando il tasto Esc, l´inserimento viene annullato e il valore non viene settato.

Valore di default:

  • Come elemento nell´immagine: inattivo
  • Testo dinamico editabile dal menù Elementi di controllo: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CommitOnKillFocus


ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

Interno ID: ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

2. Stato lampeggio invisibile

Disponibile solo se la proprietà Attiva è attivata. Inoltre deve essere definita nella proprietà Variabile lampeggio una variabile e la proprietà deve essere Riprendi il lampeggio dal valore limite attiva.

Attivo: Nel caso di lampeggio, l´elemento non passa da visibile al glow effect imposiato, ma da visibile a invisibile. Perciò è possibile un lampeggio fra non visibile e il colore ripreso dal valore limite.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffect2ndBlinkStateVisible


ID_ELE_PROP_GLOWEFFECT_ACTIVE

Interno ID: ID_ELE_PROP_GLOWEFFECT_ACTIVE

Attiva

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software. La proprietà di progetto Progetto WindowsCE non deve essere in alcun caso disattivata. La disponibilità dipende anche dall´elemento grafico.

  • Attivo: viene usato l´effetto glow per l´elemento.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectActive


ID_ELE_PROP_GLOWEFFECT_ALPHA

Interno ID: ID_ELE_PROP_GLOWEFFECT_ALPHA

Trasparenza [%]

Valore di trasparenza con cui viene visualizzato l´effetto glow sull´elemento. Unità: in percentuale. Un clic sul comando ... apre la barra di scorrimento.

Minimo: 0%, coprente

Massimo: 100%, trasparenza totale

Default: 20%

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectAlpha


ID_ELE_PROP_GLOWEFFECT_COLOR

Interno ID: ID_ELE_PROP_GLOWEFFECT_COLOR

Colore

Disponibile solo se la proprietà Attiva è attivata. La proprietà Colorare deve essere attivata.

Definisce il colore dell´effetto glow. Un clic sul comando ... apre la tavolozza che serve alla selezione del colore. È possibile inserire direttamente il valore Hex nel campo.

Default: 0xFFFF90 (giallo)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectColor


ID_ELE_PROP_GLOWEFFECT_EVENT

Interno ID: ID_ELE_PROP_GLOWEFFECT_EVENT

Attivo se premuto

Disponibile solamente se la proprietà Attiva è attiva e si tratta di un elemento pulsante.

Attivo: l´effetto glow viene visualizzato solamente se il pulsante è premuto. L´effetto glow può cambiare anche il colore mentre si preme il pulsante, lampeggiare, oppure diventare invisibile.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectEvent


ID_ELE_PROP_GLOWEFFECT_SPREAD

Interno ID: ID_ELE_PROP_GLOWEFFECT_SPREAD

Estensione [Pixel]

Definisce il fattore di estensione dell´effetto glow. Esso viene definito come numero di pixel che devono essere calcolati per la diffusione da ogni parte.

Minimo: 0 , nessuna diffusione

Massimo: 50

Default: 15

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectSpread


ID_ELE_PROP_GLOWEFFECT_USECOLOR

Interno ID: ID_ELE_PROP_GLOWEFFECT_USECOLOR

Colorare

Disponibile solo se la proprietà Attiva è attivata.

Attivo: L´effetto glow dell´elemento viene colorato. In tal modo l´intero effetto glow viene visualizzato solamente con un colore definito. Il colore può essere impostato mediante la proprietà Colore, oppure una variabile definita nella proprietà Variabile colore. Se entrambe le proprietà sono attive, il sistema usa il colore da Variabile colore.

Inattivo: i colori dell´elemento vengono usati per l´effetto glow.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectUseColor


ID_ELE_PROP_GRP0

Interno ID: ID_ELE_PROP_GRP0

Generale

Proprietà generali.

Ulteriori informazioni nei capitoli della guida online riguardanti gli Elementi d´immagine e gli Stili.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

General


ID_ELE_PROP_GRP1

Interno ID: ID_ELE_PROP_GRP1

Posizione

Proprietà per la posizione e la dimensione dell´elemento dinamico.

Nota: le impostazioni di questo gruppo non hanno conseguenze sulla visualizzazione di determinati elementi di controllo nelle immagini.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Position


ID_ELE_PROP_GRP2

Interno ID: ID_ELE_PROP_GRP2

Visualizzazione globale

Proprietà concernenti il comportamento dell´elemento nella visualizzazione globale

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Overview


ID_ELE_PROP_GRP3

Interno ID: ID_ELE_PROP_GRP3

Riempimento

Proprietà colore dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Color


ID_ELE_PROP_GRP4

Interno ID: ID_ELE_PROP_GRP4

Macro VBA

Proprietà per le macro VBA collegate all´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VBA


ID_ELE_PROP_GRP5

Interno ID: ID_ELE_PROP_GRP5

Eventi generali

Macro VBA per eventi generali.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

General_Events


ID_ELE_PROP_GRP6

Interno ID: ID_ELE_PROP_GRP6

Setta valore impostabile

Proprietà per il settaggio di valori impostabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValueGroup


ID_ELE_PROP_GRP7

Interno ID: ID_ELE_PROP_GRP7

Variabile / funzione

Proprietà per la variabile o la funzione collegata all´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Element


ID_ELE_PROP_GRP8

Interno ID: ID_ELE_PROP_GRP8

Impostazione visualizzazione

Proprietà per la visualizzazione valore nell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DisplayArea


ID_ELE_PROP_GRP9

Interno ID: ID_ELE_PROP_GRP9

Riempimento

Proprietà per colori e tipo di riempimento dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Colors_Static


ID_ELE_PROP_GRP10

Interno ID: ID_ELE_PROP_GRP10

SV limite statico

visualizzazione e descrizione dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValueLimits_Static


ID_ELE_PROP_GRP11

Interno ID: ID_ELE_PROP_GRP11

Visualizzazione

Proprietà per la rappresentazione grafica dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Representation


ID_ELE_PROP_GRP12

Interno ID: ID_ELE_PROP_GRP12

Scala

Proprietà per la visualizzazione di una scala.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Scale


ID_ELE_PROP_GRP13

Interno ID: ID_ELE_PROP_GRP13

Lancetta

Proprietà per la forma di rappresentazione grafica di base dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Look


ID_ELE_PROP_GRP14

Interno ID: ID_ELE_PROP_GRP14

Bordo

Proprietà per la cornice dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Border


ID_ELE_PROP_GRP15

Interno ID: ID_ELE_PROP_GRP15

Titolo

Proprietà per la visualizzazione di un titolo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Title


ID_ELE_PROP_GRP16

Interno ID: ID_ELE_PROP_GRP16

Bottone

Proprietà per la direzione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Knob


ID_ELE_PROP_GRP17

Interno ID: ID_ELE_PROP_GRP17

Durata visualizzazione

Intervallo di tempo che deve essere rappresentato nelle curve.
(ore, minuti, secondi)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Time


ID_ELE_PROP_GRP18

Interno ID: ID_ELE_PROP_GRP18

Tempo di aggiornamento

Intervallo di tempo nel corso del quale la visualizzazione viene attualizzata (cioè viene inserito un nuovo valore).
(ore, minuti, secondi, millisecondi)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Refresh


ID_ELE_PROP_GRP20

Interno ID: ID_ELE_PROP_GRP20

Impostazioni simbolo d'immagine

Proprietà per l´uso di un simbolo d'immagine per la Rappresentazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PictSymbol


ID_ELE_PROP_GRP21

Interno ID: ID_ELE_PROP_GRP21

Automatic Line Coloring

Proprietà per Automatic Line Coloring (ALC).

Ulteriori proprietà le trovate nelle proprietà di progetto, nel gruppo Automatic Line Coloring.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALC


ID_ELE_PROP_GRP22

Interno ID: ID_ELE_PROP_GRP22

Eventi mouse

Macro VBA per eventi mouse.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Mouse_Events


ID_ELE_PROP_GRP23

Interno ID: ID_ELE_PROP_GRP23

Drag&Drop

Macro VBA per eventi Drag&Drop.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DragDrop_Events


ID_ELE_PROP_GRP24

Interno ID: ID_ELE_PROP_GRP24

Effetto riempimento 3-D

Proprietà per la progettazione dell´effetto di riempimento. Disponibile solamente se l´effetto di riempimento è selezionato come Tipo di riempimento.
Ulteriori informazioni in Guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

3D-Filling


ID_ELE_PROP_GRP25

Interno ID: ID_ELE_PROP_GRP25

Automatic Line Coloring

Proprietà per ALC.

Disponibile solamente se si dispone della licenza per il modulo Automatic Line Coloring (ALC).
Ulteriori proprietà concernenti gli elementi d'immagine, le trovate nelle proprietà dei singoli elementi, nel gruppo Automatic Line Coloring.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ALC


ID_ELE_PROP_GRP26

Interno ID: ID_ELE_PROP_GRP26

Arrotondamento

Proprietà per la visualizzazione di angoli arrotondati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Roundness


ID_ELE_PROP_GRP27

Interno ID: ID_ELE_PROP_GRP27

Valore binario

Proprietà per il settaggio di un valore impostabile binario.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BinaryValue


ID_ELE_PROP_GRP28

Interno ID: ID_ELE_PROP_GRP28

Valore numerico

Proprietà per il settaggio di un valore impostabile analogico.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AnalogValue


ID_ELE_PROP_GRP29

Interno ID: ID_ELE_PROP_GRP29

Intestazione e griglia

Proprietà per l´intestazione e per la griglia.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per Modulo Trend esteso

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Heading


ID_ELE_PROP_GRP30

Interno ID: ID_ELE_PROP_GRP30

Genera inserimento dinamico

Proprietà per Combo-/Listbox dinamiche.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DynEntries


ID_ELE_PROP_GRP31

Interno ID: ID_ELE_PROP_GRP31

Pulsante allarme ad immagine

Disponibile solamente in SICAM 230.
Proprietà per l'elemento allarme ad immagine.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BA-Elem


ID_ELE_PROP_GRP33

Interno ID: ID_ELE_PROP_GRP33

Rilevazione circuito

Contiene le proprietà per la ricerca errori in corti circuiti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShortFaults


ID_ELE_PROP_GRP34

Interno ID: ID_ELE_PROP_GRP34

Formattazione testo

Proprietà per il formato del testo visualizzato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextAlign


ID_ELE_PROP_GRP35

Interno ID: ID_ELE_PROP_GRP35

Impostazioni Bitmap

Proprietà per l´uso dell´elemento con i diversi file grafici per la visualizzazione degli stati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BMPSettings


ID_ELE_PROP_GRP36

Interno ID: ID_ELE_PROP_GRP36

Proprietà simbolo

Proprietà per l´uso dell´elemento con simboli della libreria per la visualizzazione degli stati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LibSymSettings


ID_ELE_PROP_GRP37

Interno ID: ID_ELE_PROP_GRP37

Topologia

Proprietà per SICAM 230.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MrLinzSettings


ID_ELE_PROP_GRP38

Interno ID: ID_ELE_PROP_GRP38

Modo di rappresentazione

Impostazioni per il modo di rappresentazione grafica dello slider.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SuperLook


ID_ELE_PROP_GRP39

Interno ID: ID_ELE_PROP_GRP39

Punto di riferimento

Definisce il punto di partenza per il calcolo della rotazione, oppure del cambiamento dinamico della grandezza dell´elemento.

Attenzione: nel caso di elementi non rettangolari, gli inserimenti si riferiscono sempre al rettagolo che li comprende.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RelPoint


ID_ELE_PROP_GRP40

Interno ID: ID_ELE_PROP_GRP40

Runtime

Proprietà per il comportamento dell´elemento nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Runtime


ID_ELE_PROP_GRP41

Interno ID: ID_ELE_PROP_GRP41

Gestione funzionamento da tastiera

Proprietà per la gestione online dell'elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Operation


ID_ELE_PROP_GRP43

Interno ID: ID_ELE_PROP_GRP43

File grafico

Proprietà del file grafico dell´elemento dinamico Pulsante.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GraphicFile


ID_ELE_PROP_GRP44

Interno ID: ID_ELE_PROP_GRP44

Autorizzazione

Proprietà per l´autorizzazione gestione dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Rights


ID_ELE_PROP_GRP45

Interno ID: ID_ELE_PROP_GRP45

Visibilità

Proprietà per la visibilità dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DynamicVisibility


ID_ELE_PROP_GRP46

Interno ID: ID_ELE_PROP_GRP46

Range di visualizzazione statico

Proprietà per l´area di visualizzazione definita in modo fisso dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Displayrange_Static


ID_ELE_PROP_GRP47

Interno ID: ID_ELE_PROP_GRP47

Lampeggio

Proprietà per il lampeggio dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DynamicBlinking


ID_ELE_PROP_GRP48

Interno ID: ID_ELE_PROP_GRP48

Slider universale

Configurazione dello slider.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Universal_Slider


ID_ELE_PROP_GRP49

Interno ID: ID_ELE_PROP_GRP49

Legenda

Configurazione della legenda dello slider.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Legend


ID_ELE_PROP_GRP50

Interno ID: ID_ELE_PROP_GRP50

Cornice/Ombra

Proprietà per cornice e ombra intorno all´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PunchFrame


ID_ELE_PROP_GRP51

Interno ID: ID_ELE_PROP_GRP51

Angolo di apertura

Definizione dell´angolazione per l´arco di cerchio

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Segment


ID_ELE_PROP_GRP52

Interno ID: ID_ELE_PROP_GRP52

Visualizzazione per valori Bool

Proprietà per la visualizzazione di valori binari.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GraphicalImage


ID_ELE_PROP_GRP53

Interno ID: ID_ELE_PROP_GRP53

File grafico

Impostazioni per file grafici.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgCtrlImages


ID_ELE_PROP_GRP54

Interno ID: ID_ELE_PROP_GRP54

Colore di stato

Impostazioni per l´identificazione mediante colore dello stato di un messaggio.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgCtrlColors


ID_ELE_PROP_GRP55

Interno ID: ID_ELE_PROP_GRP55

Intestazione

Contiene le proprietà per la configurazione dell´Header di una lista.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ListHeader


ID_ELE_PROP_GRP_ALC_FAULTS

Interno ID: ID_ELE_PROP_GRP_ALC_FAULTS

Riconoscimento messa a terra

Contiene le proprietà per la localizzazione dei guasti a terra.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GndFaults


ID_ELE_PROP_GRP_ALC_FOS

Interno ID: ID_ELE_PROP_GRP_ALC_FOS

Locazione dell'errore / distribuzione del carico

Proprietà per posizione guasto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FOS_LoadBal


ID_ELE_PROP_GRP_EFFECTS

Interno ID: ID_ELE_PROP_GRP_EFFECTS

Effetti

Contiene le proprietà per la configurazione degli effetti immagine.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Effects


ID_ELE_PROP_GRP_GLOW_EFFECT

Interno ID: ID_ELE_PROP_GRP_GLOW_EFFECT

Effetto glow (solo DirectX)

Proprietà per la configurazione dell´effetto glow. Disponibile solamente se la proprietà Qualità grafica è stata settata su DirectX Hardware oppure DirectX Software.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffect


ID_ELE_PROP_GRP_LINE

Interno ID: ID_ELE_PROP_GRP_LINE

Linea

Proprietà per la progettazione delle linee.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Line


ID_ELE_PROP_GRP_LINECAPS

Interno ID: ID_ELE_PROP_GRP_LINECAPS

Fine linea

Contiene le proprietà per la forma dell´inizio e della fine della linea.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineCaps


ID_ELE_PROP_GRP_LINECOLORDYN

Interno ID: ID_ELE_PROP_GRP_LINECOLORDYN

Colore linea dinamico

Proprietà per colori linea dinamici.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

LineColorDyn


ID_ELE_PROP_GRP_SW

Interno ID: ID_ELE_PROP_GRP_SW

Setta valore impostabile

Proprietà per il settaggio di valori impostabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SetValue


ID_ELE_PROP_GRP_TEXT

Interno ID: ID_ELE_PROP_GRP_TEXT

Testo

Proprietà per la progettazione e gestione di testo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

TextGrp


ID_ELE_PROP_GRP_TEXTCOLORDYN

Interno ID: ID_ELE_PROP_GRP_TEXTCOLORDYN

Colore testo dinamico

Proprietà per colori testo dinamici.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

TextColorDyn


ID_ELE_PROP_GRPMULTITOUCH

Interno ID: ID_ELE_PROP_GRPMULTITOUCH

Multitouch_Interaction

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Multitouch_Interaction


ID_ELE_PROP_SYMBOLFORM_CLICKAREA

Interno ID: ID_ELE_PROP_SYMBOLFORM_CLICKAREA

Forma del simbolo corrispondente all'area sensibile

Permette di creare un pulsante su cui cliccare della forma desiderata. È disponibile solo per l´opzione Simbolo della biblioteca delle´elemento combinato.

Attivo: la forma del simbolo viene usata come settore su cui cliccare, ogni elemento nel simbolo viene tenuto presente singolarmente per il settore su cui cliccare.

Inattivo: La forma dell´elemento combinato (rettangolo completo) viene usata come area su cui cliccare.

Default: inattivo

Attenzione: Disponibile sotto Windows CE.

Questa possibilità è stata introdotta a partire dalla versione 6.51. Nel caso dei progetti realizzati per le versioni precedenti, la proprietà viene considerata non attiva.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbolFormClickArea


ID_ELE_PROP_UNIT_POS

Interno ID: ID_ELE_PROP_UNIT_POS

Posizione Unita di misura [%]

Disponibile solo se Visualizza unità è attivo.

Posiziona la visualizzazione dell´unità e permette di orientare delle unità di diversa larghezza a valori numerici minori. Per il posizionamento, si deve indicare di un valore percentuale fra 0 e 100.

L´unità viene emessa sempre a destra accanto alla posizione scelta; il valore relativo a sinistra, a seconda dell´orientamento impostato.

Default: 0 - non corrisponde a nessun orientamento percentuale; valore e unità vengono visualizzati sempre insieme.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UnitPos


ID_ELE_SplineTension

Interno ID: ID_ELE_SplineTension

Arrotondamento

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.

Definisce l´arrotondamento per polilinee, poligoni e tubature.

Valori: 0,0 (nessun arrotondamento) fino a 1,0. (massimo arrotondamento)

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SplineTension


ID_ELE_TEXT_FROM_VARIABLE

Interno ID: ID_ELE_TEXT_FROM_VARIABLE

Testo da valore variabile

Disponibile solamente per variabili stringa.

Attivo: il testo viene ripreso dal valore delle variabili collegate.

Inattivo: il testo viene ripreso dalla matrice di reazione.

Default: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextFromVariable


ID_ELE_TEXT_TEXTSOURCE

Interno ID: ID_ELE_TEXT_TEXTSOURCE

Testo visualizzato

Selezione del contenuto da visualizzare nel Runtime scelto fra quelli proposti dal menù a tendina:

  • Descrizione apparecchiatura: Viene visualizzato il contenuto della proprietà variabile Identificazione servizio.
  • Testo valore limite: Finché non si verifica una violazione di valore limite, viene visualizzato il contenuto della proprietà immagine Testo. Quando si verifica una violazione di valore limite, viene visualizzato il contenuto della proprietà variabile Testo valore limite.
  • Unità di misura:: Viene visualizzato il contenuto della proprietà variabile Unità di misura.
  • Identificazione variabile: Viene visualizzato il contenuto della proprietà variabile Identificazione.
  • Nome variabile:: Viene visualizzato il contenuto della proprietà variabile Nome.
  • Valore variabili.: Viene visualizzato il valore della variabile.

Default: Testo valore limite

Il contenuto selezionato viene visualizzato nell´anteprima dell´elemento nella finestra principale al di sotto delle variabili collegate.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextSource


ID_ELE_TEXT_TRANSLATE_TEXT

Interno ID: ID_ELE_TEXT_TRANSLATE_TEXT

Tradurre testo

  • Attivo: I testi da visualizzare vengono tradotti. Se si modifica un testo, la bozza viene visualizzata senza traduzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TranslateText


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE

Cross Slide

Attivo: Riconoscimento per Cross Slide settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlide


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_EXACT

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_EXACT

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlideExact


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_HORIZONTAL

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_HORIZONTAL

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlideHorizontal


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_REARRANGE

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_REARRANGE

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlideRearrange


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SELECT

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SELECT

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlideSelect


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SPEED_BUMP

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SPEED_BUMP

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlideSpeedBump


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_DRAG

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_DRAG

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Drag


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_HOLD

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_HOLD

Hold

Attivo: Riconoscimento per Hold settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Hold


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_HOLD_MOUSE

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_HOLD_MOUSE

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_HoldMouse


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION

Manipulation

Attivo: Riconoscimento per Manipulation settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Manipulation


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_EXACT

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_EXACT

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Exact


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_X

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_X

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_RailsX


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_Y

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_Y

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_RailsY


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION

Rotation

Attivo: Riconoscimento per Rotation settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Rotation


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION_INERTIA

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION_INERTIA

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_RotationInertia


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING

Scaling

Attivo: Riconoscimento per Scaling settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Scaling


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING_INERTIA

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING_INERTIA

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_ScalingInertia


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_INERTIA

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_INERTIA

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_TranslationInertia


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_X

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_X

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_TranslationX


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_Y

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_Y

Translation Y

Attivo: Riconoscimento per Translation Y settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_TranslationY


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_SECONDARY_TAP

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_SECONDARY_TAP

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_SecondaryTap


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_TAP

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_TAP

Tap

Attivo: Riconoscimento per Tap settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Tap


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_TAP_DOUBLE

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_TAP_DOUBLE

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_TapDouble


ID_ELEMENT_INTERACTION_CONFIGURATION_GRP

Interno ID: ID_ELEMENT_INTERACTION_CONFIGURATION_GRP

Analisi gesture VSTA

Proprietà per l´analisi gesti per gli elementi dinamici mediante VSTA.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureRecognition


ID_ELEMENT_PROP_INTERACTION_ACTIVE

Interno ID: ID_ELEMENT_PROP_INTERACTION_ACTIVE

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureRecognitionActive


ID_ELESEG_END_ANGLE

Interno ID: ID_ELESEG_END_ANGLE

Angolo finale [°]

Fine dell'angolo di apertura. L´angolo di apertura dell´arco di cerchio viene visualizzato fra angolo di partenza e angolo finale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SegEndAngle


ID_ELESEG_OFFSET_ADJUSTABLE

Interno ID: ID_ELESEG_OFFSET_ADJUSTABLE

Spessore segmento regolabile

Spessore segmento per l´arco di cerchio. Disponibile solamente con Qualità grafica Windows Basis, con Progetto WindowsCE attivo oppure con Effetto riempimento 3-D Con valori di luminosità.

Attivo: lo spessore dell´arco di cerchio può essere configurato individualmente.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OffsetAdjustable


ID_ELESEG_OFFSET_END

Interno ID: ID_ELESEG_OFFSET_END

Spessore angolo finale [Pixel]

Spessore segmento in corrispondenza dell´angolo finale, dal bordo esterno dell´ellisse al punto centrale, in pixel. Disponibile solo se la proprietà Spessore segmento regolabile è stata attivata e la proprietà Spessore finale coincide con spessore di partenza è stata disattivata.

Minimo: 0 Pixel

Massimo: valore minore della metà dell´altezza o della metà della larghezza dell´elemento.

Default: 00:00

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EndOffset


ID_ELESEG_OFFSET_END_EQUALS_START

Interno ID: ID_ELESEG_OFFSET_END_EQUALS_START

Spessore finale coincide con spessore di partenza

Attivo: setta lo spessore segmento per l´angolo finale sullo stesso valore di quello per l´angolo di partenza. La proprietà Spessore angolo finale [Pixel] viene disattivata. In tal modo, tutto l´elemento viene visualizzato con un´omogeneo spessore segmento. Disponibile solo se la proprietà Spessore segmento regolabile è stata attivata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OffsetEndEqualsStart


ID_ELESEG_OFFSET_GRP

Interno ID: ID_ELESEG_OFFSET_GRP

Spessore segmento

Proprietà per lo spessore segmento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SegmentOffsets


ID_ELESEG_OFFSET_START

Interno ID: ID_ELESEG_OFFSET_START

Spessore angolo di partenza [Pixel]

Spessore segmento in corrispondenza dell´angolo di partenza, dal bordo esterno dell´ellisse al punto centrale, in pixel. Disponibile solo se la proprietà Spessore segmento regolabile è stata attivata.

Minimo: 0 Pixel

Massimo: valore minore della metà dell´altezza o della metà della larghezza dell´elemento.

Default: 00:00

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StartOffset


ID_ELESEG_START_ANGLE

Interno ID: ID_ELESEG_START_ANGLE

Angolo di partenza [°]

Inizio dell'angolo di apertura. L´angolo di apertura dell´arco di cerchio viene visualizzato fra angolo di partenza e angolo finale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SegStartAngle


ID_ELREST_DEVPARAM

Interno ID: ID_ELREST_DEVPARAM

Device parameter

Le seguenti proprietà Vi servono per realizzare l'indirizzamento del driver ELREST32.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Device parameter


ID_EMS_PROP0

Interno ID: ID_EMS_PROP0

Nome

Una denominazione univoca per l'identificazione di apparecchiature, zone ed impianti nell´Load Management.

Spettro massimo di valori possibili: 80 caratteri
Non è possibile inserire più di 80 caratteri.

Attenzione: i nomi dovrebbero essere univoci per tutte le reti/zone di approvvigionamento in Load Management.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_EMS_PROP1

Interno ID: ID_EMS_PROP1

Descrizione

Indicazione opzionale di un nome più lungo oppure di una descrizione dettagliata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Longtext


ID_EMS_PROP8

Interno ID: ID_EMS_PROP8

Consumo totale attuale

Variabile che contiene il valore attuale del consumo di area. Il valore deve rappresentare la differenza dei contatori per unità di tempo della somma dei consumi dell'area di approvvigionamento. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Attenzione: Assicuratevi che il valore venga trasmesso ciclicamente dato che inizia il calcolo di ottimizzazione a breve scadenza.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActValue


ID_EMS_PROP9

Interno ID: ID_EMS_PROP9

Consumo medio corrente

Variabile di processo con l'attuale valore medio di consumo (risultato dei valori di misurazione rilevati). Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActMean


ID_EMS_PROP10

Interno ID: ID_EMS_PROP10

Valore finale di previsione

Variabile che contiene il valore conclusivo della prognosi per la fine del periodo di calcolo. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ProgEndValue


ID_EMS_PROP11

Interno ID: ID_EMS_PROP11

Valore iniziale di previsione

Variabile che contiene il valore iniziale della prognosi all'inizio del periodo previsto per la prognosi. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ProgStartValue


ID_EMS_PROP12

Interno ID: ID_EMS_PROP12

Last switching value

Variabile che contiene la somma dei valori medi di acquisizione per i queli sono pianificate delle azioni di commutazione ancora nell'ambito del periodo attuale. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Attenzione: Questa variabile deve essere progettata per il Driver interno, se si vuole che garantisce una funzione senza problemi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LastSwitchValue


ID_EMS_PROP13

Interno ID: ID_EMS_PROP13

First switching value

Variabile che contiene il valore medio di acquisizione calcolato sulla base del quale viene eseguita la prossima azione di commutazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Attenzione: Questa variabile deve essere progettata per il Driver interno, se si vuole che garantisce una funzione senza problemi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FirstSwitchValue


ID_EMS_PROP14

Interno ID: ID_EMS_PROP14

Area d'errore prevista

Variabile che contiene il possibile errore di prognosi del valore finale della prognosi. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ProgChannelValue


ID_EMS_PROP15

Interno ID: ID_EMS_PROP15

Media di previsione

Variabile che contiene il valore medio attuale della prognosi di valore reale. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ProgMean


ID_EMS_PROP16

Interno ID: ID_EMS_PROP16

Valore medio stimato per area valori

Variabile che contiene il possibile errore di prognosi del valore medio della prognosi del valore reale. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ProgChannelMean


ID_EMS_PROP17

Interno ID: ID_EMS_PROP17

Supply limit

Variabile che contiene il limite attuale impostato della prestazione acquisita. Se il valore cambia durante il Runtime, anche il limite della prestazione acquisita per un periodo di calcolo viene modificato. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Limit


ID_EMS_PROP18

Interno ID: ID_EMS_PROP18

Limite fornitura regolata

Variabile con limite di prestazione adattato (corretto per eccesso ) in caso di superamento del limite nel periodo precedente. Se il limite di prestazione viene superato in un periodo, esso viene aumentato in misura pari al superamento.

Se non collegate nessuna variabile, non si verifica nessun aumento del limite di prestazione in seguito al suo superamento.

Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AdjustedLimit


ID_EMS_PROP19

Interno ID: ID_EMS_PROP19

Gross actual deviation

Variabile per lo scostamento medio della prognosi di valore reale. Essa corrisponde alla differenza fra valore medio pronosticato della prognosi di valore reale e del limite di acquisizione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DeviationActual


ID_EMS_PROP20

Interno ID: ID_EMS_PROP20

Net actual deviation

Variabile per lo scostamento medio della prognosi di valore attuale. Essa corrisponde alla differenza fra valore medio pronosticato della prognosi di valore attuale e del limite di acquisizione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DeviationReal


ID_EMS_PROP22

Interno ID: ID_EMS_PROP22

Orizzonte di previsione

Durata di un periodo di calcolo in hh:mm:ss. La fattura trend e l'ottimizzazione usano questo tempo come orizzonte di calcolo. Di regola vengono usati come valori 15, 30 o 60 minuti.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ForecastHorizon


ID_EMS_PROP23

Interno ID: ID_EMS_PROP23

Attiva isteresi [%]

Definisce l'area dell'isteresi in percentuale, nella quale non deve avere luogo alcuno spegnimento, in modo tale che Safety distance [%] sul supply limit possa essere mantenuto.

Default: 0

Attenzione: Se all'area viene data una dimensione troppo grande, si può eventualmente giungere ad un superamento del limite di acquisizione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HysteresisOn


ID_EMS_PROP24

Interno ID: ID_EMS_PROP24

Disabilita isteresi [%]

Definisce l'area dell'isteresi in percentuale, nella quale non deve avere luogo alcuna attivazione, in modo tale che Safety distance [%] sul supply limit possa essere mantenuto.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HysteresisOff


ID_EMS_PROP25

Interno ID: ID_EMS_PROP25

Safety distance [%]

Margine di sicurezza rispetto al limite di acquisizione in percentuale. Il margine di sicurezza viene influenzato anche dalle proprietà Attiva isteresi [%] e Disabilita isteresi [%].

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SafetyClearance


ID_EMS_PROP26

Interno ID: ID_EMS_PROP26

Ciclo di ottimizzazione

Ciclo in hh:mm:ss nell'ambito del quale calcola l'ottimizzazione a breve termine. La visualizzazione dell'immagine viene attualizzata dopo ogni ottimizzazione, e perlomeno una volta per ciclo.

Default: 00:00:30

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OptCycle


ID_EMS_PROP27

Interno ID: ID_EMS_PROP27

Down time begin tariff interval

Tempo in hh:mm:ss all'inizio di un intervallo di calcolo. In questo intervallo di tempo non vengono effettuate delle azioni di commutazione mediante l'ottimizzazione, visto che i risultati della prognosi sono troppo imprecisi.

Default: 00:00:00

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DeadLength


ID_EMS_PROP44

Interno ID: ID_EMS_PROP44

Disponibilità

Variabile che indica se il produttore è disponibile per EMS e, perciò, se può essere commutato. Se esiste la disponibilità, il produttore rimane nel suo ultimo stato di commutazione valido. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Active


ID_EMS_PROP45

Interno ID: ID_EMS_PROP45

Tempo di ritardo per l'accensione

Tempo in hh:mm:ss, che è necessario ad un produttore per accendersi. La prestazione dell'apparecchio è a disposizione di EMS solamente dopo la scadenza di questo tempo.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OnDelay


ID_EMS_PROP46

Interno ID: ID_EMS_PROP46

Tempo di ritardo per lo spegnimento

Tempo in hh:mm:ss, che è necessario ad un produttore per accendersi. La prestazione dell'apparecchio è a disposizione di EMS solamente dopo la scadenza di questo tempo.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OffDelay


ID_EMS_PROP47

Interno ID: ID_EMS_PROP47

Pre-allarme Attivo

Variabile per l'avvertimento al momento dell'accensione del consumatore. Un avvertimento viene settato in corrispondenza della impostata Tempo di preavviso. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WarnOn


ID_EMS_PROP48

Interno ID: ID_EMS_PROP48

Pre-allarme Spento

Variabile per l'avvertimento al momento dello spegnimento del consumatore. Un avvertimento viene settato in corrispondenza della impostata Tempo di preavviso. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WarnOff


ID_EMS_PROP50

Interno ID: ID_EMS_PROP50

Stato di Switch

Variabile che fornisce l'attuale stato di commutazione del consumatore (On o Off). Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

State


ID_EMS_PROP51

Interno ID: ID_EMS_PROP51

Acceso

Variabile per attivazione del consumatore. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SwitchOn


ID_EMS_PROP52

Interno ID: ID_EMS_PROP52

Spegni

Variabile per spegnimento del consumatore. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SwitchOff


ID_EMS_PROP55

Interno ID: ID_EMS_PROP55

Potenza attuale

Fornisce il valore di misurazione del consumo attuale di un impianto di cogenerazione. Questo valore dovrebbe corrispondere sempre ad un livello di commutazione definito in modo tale da poter essere assegnato in modo univoco. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Consumption


ID_EMS_PROP56

Interno ID: ID_EMS_PROP56

{Nuovo tempo di blocco}

Crea un nuovo tempo di blocco. Cliccate a questo scopo nel campo o sulla superficie. I tempi di blocco ottengoo il nome "tempo di blocco" più un numero progressivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NewLock


ID_EMS_PROP57

Interno ID: ID_EMS_PROP57

{Elimina tempo di blocco}

Cancella dopo un'interrogazione di sicurezza il tempo di blocco corrispondente. Cliccate a questo scopo nel campo o sulla superficie. La numerazione progressiva dei successivi tempi di blocco viene adattata e ridotta di un livello.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DelLock


ID_EMS_PROP58

Interno ID: ID_EMS_PROP58

Inizio

Inizio del tempo di blocco in formato hh:mm:ss.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockStart


ID_EMS_PROP59

Interno ID: ID_EMS_PROP59

Fine

Fine del tempo di blocco in formato hh:mm:ss.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockStop


ID_EMS_PROP60

Interno ID: ID_EMS_PROP60

Tipo

Stabilisce quali azioni sono proibite durante il tempo di blocco:

  • Switch-off suppression: nessun spegnimento possibile durante il tempo di blocco
  • Switch-on suppression: nessuna accensione possibile durante il tempo di blocco
  • Switch On/Off suppression: nessun spegnimento e accensione possibili durante il tempo di blocco

Default: On/Off

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockType


ID_EMS_PROP61

Interno ID: ID_EMS_PROP61

Min. switch-on time

Tempo minimo in hh:mm:ss che il produttore deve rimanere acceso a prestazione massima. Solo dopo la scadenza di questo tempo, viene di nuovo tenuto in considerazione il produttore per azioni di spegnimento.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinOn


ID_EMS_PROP62

Interno ID: ID_EMS_PROP62

Max. switch-on time

Tempo massimo in hh:mm:ss che il produttore deve rimanere acceso a prestazione massima. Alla scadenza di questo tempo, il produttore di EMS viene spento automaticamente, anche nel caso in cui ciò dovesse portare ad un superamento del livello di acquisizione energetica.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxOn


ID_EMS_PROP63

Interno ID: ID_EMS_PROP63

Min. switch-off time

Tempo minimo in hh:mm:ss che il produttore deve rimanere acceso a prestazione massima. Solo dopo la scadenza di questo tempo, viene di nuovo tenuto in considerazione il produttore per azioni di accensione.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinOff


ID_EMS_PROP64

Interno ID: ID_EMS_PROP64

Max. switch-off time

Tempo massimo in hh:mm:ss che il produttore deve rimanere in questo stato dopo lo spegnimento. Dopo la scadenza di questo tempo il produttore viene acceso automaticamente da EMS indipendentemente se il limite di acquisizione attuale sia stato superato o no.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxOff


ID_EMS_PROP67

Interno ID: ID_EMS_PROP67

Tempo di preavviso

Tempo in formato hh:mm:ss, che è necessario per il preannuncio di un'azione di commutazione. Grazie alla variabile Switching pre-warning un avvertimento può essere emesso dal sistema per l'utente in modo tale che quest'ultimo sia informato del fatto che sta per avvenire la vera e propria azione di commutazione.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Warn


ID_EMS_PROP68

Interno ID: ID_EMS_PROP68

Max. switching frequency

Numero massimo di azioni di commutazione per time unit. Accensione e spegnimento vengono considerati rispettivamente come azioni di commutazione separate. Anche la commutazione di prestazione nominale e di picco viene considerata come un'azione di commutazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxSwitch


ID_EMS_PROP69

Interno ID: ID_EMS_PROP69

per time unit

Unità di tempo in hh:mm:ss perMax. switching frequency.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SwitchUnit


ID_EMS_PROP70

Interno ID: ID_EMS_PROP70

Capacity determination

Selezionate tramite la lista a cascata il modo in cui la capacity determination deve essere eseguita.

  • default: Consumo di prestazione viene determinato tramite la prestazione nominale. Questo valore è progettato in modo fisso.
  • misurato: consumo di prestazione attuale viene determinato grazie ad una variabile da Potenza attuale.

Default: default

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PowerType


ID_EMS_PROP71

Interno ID: ID_EMS_PROP71

Standby output

Indicate qui la potenza nominale del produttore.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Power


ID_EMS_PROP72

Interno ID: ID_EMS_PROP72

Standby output variable

Questo valore della variabile viene scritto durante il Runtime sopra il valore progettato in modo fisso della potenza nominale. In tal modo la potenza nominale fornita attualmente da un produttore può essere adattata durante il Runtime, ad esempio, nel caso in cui il valore di prestazione viene rilevato mediante un punto di misurazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PowerVar


ID_EMS_PROP73

Interno ID: ID_EMS_PROP73

Proprietà accensione

Fissa la priorità per l´accendimento dell´apparecchio. Più grande è il valore, tanto maggiore è la priorità. Gli apparecchi con un livello di priorità più alto vengono presi in considerazione per primi da EMS.

Minimo: 0

Massimo: 32000

Default: 0

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OnPrio


ID_EMS_PROP74

Interno ID: ID_EMS_PROP74

Priorità spegnimento

Stabilisce la priorità per lo spegnimento dell´apparecchio. Più grande è il valore, tanto maggiore è la priorità. Gli apparecchi con un livello di priorità più alto vengono presi in considerazione per primi da EMS.

Minimo: 0

Massimo: 32000

Default: 0

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OffPrio


ID_EMS_PROP79

Interno ID: ID_EMS_PROP79

Picco

Indicate qui la prestazione massima desiderata. Il modulo EMS può passare a partire dalla potenza nominale a questo valore per il picco di prestazione. Il valore di riferimento viene ridotto della differenza di prestazione commutata.

Se il produttore dispone solamente di una prestazione commutabile e non c'è quindi una prestazione di base, allora si deve impostare solo la prestazione massima del produttore.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PeakPower


ID_EMS_PROP80

Interno ID: ID_EMS_PROP80

Switching pre-warning

Definisce la variabile che avvisa gli utenti in caso di commutazioni sulla base dell'impostatoTempo di preavviso Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WarnSwitch


ID_EMS_PROP83

Interno ID: ID_EMS_PROP83

modalità Standby

Variabile di comando che passa a standby. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SwitchOff


ID_EMS_PROP84

Interno ID: ID_EMS_PROP84

Switch peak output

Variabile di comando per commutazioni a prestazioni massime. Di regola viene commutata da potenza nominale a prestazione massima. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SwitchOn


ID_EMS_PROP86

Interno ID: ID_EMS_PROP86

Stato di Switch

Variabile alla quale deve essere inviato lo stato attuale di commutazione (Off o On). Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

State


ID_EMS_PROP102

Interno ID: ID_EMS_PROP102

Load Management in funzione

Variabile che indica durante il Runtime se l'area di approvvigionamento è stata attivata nell'immagine EMS. L'attivazione avviene mediante una funzione. La variabile deve essere del tipo BOOL. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Running


ID_EMS_PROP103

Interno ID: ID_EMS_PROP103

Switch-on priority variable

Utenze: Variabile che adatta le priorità di accensione dell'apparecchio durante il Runtime in modo dinamico. In questo modo possono essere modificate le posizioni nella gerarchia LM, ad esempio, di produttori in dipendenza di una temperatura esterna. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OnPrioVar


ID_EMS_PROP104

Interno ID: ID_EMS_PROP104

Switch-off priority variable

Variabile che adatta le priorità di spegnimento dell'apparecchio durante il Runtime in modo dinamico. In questo modo possono essere modificate le posizioni nella gerarchia EMS ad esempio del produttore in dipendenza di una temperatura esterna. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OffPrioVar


ID_EMS_PROP105

Interno ID: ID_EMS_PROP105

Passaggio a stato interno

Variabile nella quale vengono rappresentati i differenti stati per gli apparecchi. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DispoStatus


ID_EMS_PROP106

Interno ID: ID_EMS_PROP106

Variabile di Min.tempo di acc.

Variabile che può adattare nel funzionamento Runtime il tempo di inizio minimo. Un valore disponibile nel Runtime supera il valore impostato in fase di progettazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinOnVar


ID_EMS_PROP107

Interno ID: ID_EMS_PROP107

Variabile di Max.tempo di acc.

Variabile che può adattare nel funzionamento Runtime il tempo di inizio massimo. Un valore disponibile nel Runtime supera il valore impostato in fase di progettazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxOnVar


ID_EMS_PROP108

Interno ID: ID_EMS_PROP108

Variabile di Min.tempo di spegnim.

Variabile che può adattare nel funzionamento Runtime il tempo di spegnimento minimo. Un valore disponibile nel Runtime supera il valore impostato in fase di progettazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinOffVar


ID_EMS_PROP109

Interno ID: ID_EMS_PROP109

Max. switch-off time variable

Variabile che può adattare nel funzionamento Runtime il tempo di spegnimento massimo. Un valore disponibile nel Runtime supera il valore impostato in fase di progettazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxOffVar


ID_EMS_PROP110

Interno ID: ID_EMS_PROP110

{nuovo livello}

Crea un nuovo livello di commutazione. Cliccate a questo scopo nel campo o sulla superficie. I livelli di commutazione ottengoo il nome "livello di commutazione" più un numero progressivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NewStufe


ID_EMS_PROP111

Interno ID: ID_EMS_PROP111

{Elimina livello}

Cancella il livello di commutazione attuale. Cliccate a questo scopo nel campo o sulla superficie. La numerazione progressiva dei successivi livelli di commutazione viene adattata e ridotta di un livello.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DelGrade


ID_EMS_PROP112

Interno ID: ID_EMS_PROP112

Potenza del passaggio

Valore di prestazione del livello di commutazione. Il livello di prestazione che si rileva più tardi durante il Runtime deve corrispondere sempre esattamente ad un valore definito nei livelli di commutazione.

Default: 0.000000

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradePower


ID_EMS_PROP113

Interno ID: ID_EMS_PROP113

Variabile di potenza del passaggio

Variabile con cui può venire adattato in modo dinamico durante il Runtime il valore di prestazione di un livello di commutazione di un impianto di cogenerazione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradePowerVar


ID_EMS_PROP114

Interno ID: ID_EMS_PROP114

Tempo di preavviso

Tempo in hh:mm:ss, che è necessario per il preannuncio di un'azione di commutazione. Tramite la variabile Pre-allarme Attivo oppure Pre-allarme Spento può essere emesso dal sistema un preannuncio a favore dell'utente. L'utente viene informato prima che si verifichi l'azione di commutazione.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeWarn


ID_EMS_PROP115

Interno ID: ID_EMS_PROP115

Pre-allarme Attivo

Definisce la variabile che avvisa gli utenti in caso di commutazioni sulla base dell'impostatoTempo di preavviso in caso di un'azione di accensione. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeWarnOn


ID_EMS_PROP116

Interno ID: ID_EMS_PROP116

Pre-allarme Spento

Definisce la variabile che avvisa gli utenti in caso di commutazioni sulla base dell'impostata variabile Tempo di preavviso in caso di un'azione di spegnimento. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeWarnOff


ID_EMS_PROP117

Interno ID: ID_EMS_PROP117

Tempo di ritardo per lo switch-on

Tempo in hh:mm:ss, che è necessario ad un impianto di cogenerazione per accendersi. La prestazione dell'apparecchio è a disposizione di EMS solamente dopo la scadenza di questo tempo.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeOnDelay


ID_EMS_PROP118

Interno ID: ID_EMS_PROP118

Tempo di ritardo per lo switch-off

Tempo in hh:mm:ss, che è necessario ad un impianto di cogenerazione per accendersi. Una caduta di prestazione accade solo dopo la scadenza del tempo impostato.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeOffDelay


ID_EMS_PROP119

Interno ID: ID_EMS_PROP119

Min. switch-on time

Tempo minimo in hh:mm:ss che l'impianto di cogenerazione deve rimanere acceso a prestazione massima. Solo dopo la scadenza di questo tempo, viene di nuovo tenuto in considerazione il produttore per azioni di spegnimento.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeMinOn


ID_EMS_PROP120

Interno ID: ID_EMS_PROP120

Max. switch-on time

Tempo massimo in hh:mm:ss che l'impianto di cogenerazione deve rimanere acceso a prestazione massima. Alla scadenza di questo tempo, il produttore di EMS viene spento automaticamente, anche nel caso in cui ciò dovesse portare ad un superamento del livello di acquisizione energetica.

Valore massimo: 23:59:59

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeMaxOn


ID_EMS_PROP121

Interno ID: ID_EMS_PROP121

Variabile setpoint

Variabile impostabile globale che commuta l'impianto di cogenerazione. I valori singoli oppure le variabili ai livelli di prestazione servono solamente all'indicazioni della prestazione di livello. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValue


ID_EMS_PROP122

Interno ID: ID_EMS_PROP122

Isteresi

L'isteresi definisce l'area consentita nell'ambito della quale il valore atuale può essere ancora assegnato ad uno dei livelli di commutazione. Nel caso in cui un valore di consumo non si trovi all'interno dell'isteresi di uno dei livelli di commutazione progettati, l'impianto di cogenerazione vale per l'EMS come non attivo.

Default: 0

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Hysteresis


ID_EMS_PROP123

Interno ID: ID_EMS_PROP123

Accensioni pianificate

Permette il collegamento di una variabile stringa che riceve da EMS tutte le azioni di commutazioni. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ScheduledActions


ID_EMS_PROP124

Interno ID: ID_EMS_PROP124

Nominal output

Potenza nominale del consumatore in kW.

Questo valore può essere adattato in modo dinamico tramite assegnazione di una variabile nella proprietà Variabile per Potenza Nominale durante il funzionamento Runtime.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Power


ID_EMS_PROP125

Interno ID: ID_EMS_PROP125

Variabile per Potenza Nominale

La potenza nominale attualmente ricevuta di un consumatore può essere adattata durante il Runtime mediante l'uso di una variabile, ad esempio se il valore di prestazione viene rilevato grazie ad un punto di misurazione. Questo valore della variabile viene scritto durante il Runtime sopra il valore progettato in modo fisso di Nominal output. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PowerVar


ID_EMS_PROP127

Interno ID: ID_EMS_PROP127

Priorità come fattore primario

Descrizione in forma di testo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PrimaryPrio


ID_EMS_PROP128

Interno ID: ID_EMS_PROP128

Priorità come fattore primario attive

Descrizione in forma di testo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PrioAsPrimary


ID_EMS_PROP129

Interno ID: ID_EMS_PROP129

{nuovo livello}

Utenze: Crea un nuovo circuit stage. Cliccate a questo scopo nel campo o sulla superficie. I circuit stage ottengono il nome "Circuit stage" più un numero progressivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

NewStufe


ID_EMS_PROP130

Interno ID: ID_EMS_PROP130

Variabile setpoint

Utenze: Variabile impostabile globale che commuta il consumatore. I singoli valori oppure le singole variabili ai livelli di prestazione servono solamente all'indicazione della prestazione di livello. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValue


ID_EMS_PROP131

Interno ID: ID_EMS_PROP131

Potenza attuale

Utenze: Fornisce il valore di misurazione del consumo attuale di un consumatore. Questo valore dovrebbe corrispondere sempre ad un livello di commutazione definito in modo tale da poter essere assegnato in modo univoco. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Consumption


ID_EMS_PROP132

Interno ID: ID_EMS_PROP132

Isteresi

Utenze: L'isteresi definisce l'area consentita nell'ambito della quale il valore attuale può essere ancora assegnato ad uno dei circuit stage. Nel caso in cui un valore non si trovi all'interno dell'isteresi di uno dei circuit stage progettati, il consumatore viene considerato non attivo per il Load Management.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Hysteresis


ID_EMS_PROP133

Interno ID: ID_EMS_PROP133

Proprietà accensione

Utenze: Fissa la priorità di accensione dell´apparecchio Più grande è il valore, tanto maggiore è la priorità. Gli apparecchi con un livello di priorità più alto vengono presi in considerazione per primi dal Load Management.

Minimo: 0

Massimo: 32000

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OnPrio


ID_EMS_PROP134

Interno ID: ID_EMS_PROP134

Switch-on priority variable

Utenze: Variabile che adegua la priorità di accensione dell'apparecchio durante il Runtime in modo dinamico. In questo modo possono essere modificate le posizioni di produttori nella gerarchia del Load Management in dipendenza di una temperatura esterna. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OnPrioVar


ID_EMS_PROP135

Interno ID: ID_EMS_PROP135

Priorità spegnimento

Utenze: Stabilisce la priorità di spegnimento dell´apparecchio. Più grande è il valore, tanto maggiore è la priorità. Gli apparecchi con un livello di priorità più alto vengono presi in considerazione per primi dal Load Management.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OffPrio


ID_EMS_PROP136

Interno ID: ID_EMS_PROP136

Switch-off priority variable

Utenze: Variabile che adegua le priorità di spegnimento dell'apparecchio durante il Runtime in modo dinamico. In questo modo possono essere modificate le posizioni di produttori nella gerarchia del Load Management in dipendenza di una temperatura esterna. Aprite cliccando sulla superficie il dialogo che serve a selezionare le variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OffPrioVar


ID_EMS_PROP137

Interno ID: ID_EMS_PROP137

{Elimina livello}

Descrizione in forma di testo

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

DelGrade


ID_EMS_PROP138

Interno ID: ID_EMS_PROP138

Potenza del passaggio

Descrizione in forma di testo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradePower


ID_EMS_PROP139

Interno ID: ID_EMS_PROP139

Variabile di potenza del passaggio

Descrizione in forma di testo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradePowerVar


ID_EMS_PROP140

Interno ID: ID_EMS_PROP140

Tempo di ritardo per l'accensione

Descrizione in forma di testo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeOnDelay


ID_EMS_PROP141

Interno ID: ID_EMS_PROP141

Tempo di ritardo per lo spegnimento

Descrizione in forma di testo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeOffDelay


ID_EMS_PROP142

Interno ID: ID_EMS_PROP142

Min. switch-on time

Descrizione in forma di testo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeMinOn


ID_EMS_PROP143

Interno ID: ID_EMS_PROP143

Max. switch-on time

Descrizione in forma di testo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeMaxOn


ID_EMS_PROP144

Interno ID: ID_EMS_PROP144

Tempo di preavviso

Descrizione in forma di testo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeWarn


ID_EMS_PROP145

Interno ID: ID_EMS_PROP145

Pre-allarme Attivo

Descrizione in forma di testo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeWarnOn


ID_EMS_PROP146

Interno ID: ID_EMS_PROP146

Pre-allarme Spento

Descrizione in forma di testo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GradeWarnOff


ID_EMS_PROP_GRP0

Interno ID: ID_EMS_PROP_GRP0

Generale

Proprietà generali del livello Load Management.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_EMS_PROP_GRP1

Interno ID: ID_EMS_PROP_GRP1

Valore di ingresso

Impostazioni per valori attuali e limiti di riferimento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_InputValues


ID_EMS_PROP_GRP2

Interno ID: ID_EMS_PROP_GRP2

GRP_GasParameters

Description as text.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_GasParameters


ID_EMS_PROP_GRP4

Interno ID: ID_EMS_PROP_GRP4

Tempi di blocco

Grazie all'uso di intervalli di tempo liberamente definiti, singoli apparecchi di Load Management possono essere esclusi dall'ottimizzazione. Quegli apparecchi che hanno un tempo di bloccaggio definito non vengono presi in considerazione da Load Management in questo intervallo di tempo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Locks


ID_EMS_PROP_GRP6

Interno ID: ID_EMS_PROP_GRP6

Circuit stages

Queste proprietà sono a disposizione solo per apparecchiature di generazione in reti elettriche.

Gli impianti di cogenerazione differiscono dai produttori standard a causa della presenza di livelli di commutazione predefiniti. Questi impianti possono accettare solo dei valori di prestazione che sono stati definiti come livelli di commutazione. Load Management può eseguire anche commutazione da un livello a quello superiore o a quello immediatamente inferiore.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Schaltstufen


ID_EMS_PROP_GRP9

Interno ID: ID_EMS_PROP_GRP9

Valori calcolati

Con l'aiuto di variabili di processo degli importanti parametri possono essere adattati durante il funzionamento Runtime al fine di effettuate una prognosi e un'ottimizzazione del sistema. In tal modo è possibile adattere al processo attuale in dipendenza di valori di misurazione degli importanti parametri EMS, come, ad esempio, le priorità di commutazione.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_CalculatedValues


ID_EMS_PROP_GRP10

Interno ID: ID_EMS_PROP_GRP10

Parametri

Queste impostazioni influiscono in modo determinante nell'ottimizzazione della zona di alimentazione scelta. Le modifiche di questi parametri hanno un influsso diretto sulle operazioni di commutazione che vengono effettuate automaticamente grazie a Load Management.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Parameters


ID_EMS_PROP_GRP11

Interno ID: ID_EMS_PROP_GRP11

Tempo di Switch

Load Management può tenere in considerazione con l'aiuto di questi parametri diversi tempi di funzionamento oppure delle richieste temporali per singoli apparecchi. I tempi di commutazione sono un fattore decisivo per la scelta di un apparecchio per eseguire un processo di commutazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ProducerTimes


ID_EMS_PROP_GRP13

Interno ID: ID_EMS_PROP_GRP13

Capacity/Priority

Queste proprietà sono a disposizione solo per apparecchiature di reti di distribuzione di energia elettrica. Esse definiscono il comportamento di base degli apparecchi rilevanti in una rete di distribuzione di energia elettrica.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ProducerPrioPower


ID_EMS_PROP_GRP14

Interno ID: ID_EMS_PROP_GRP14

Variabile di accensione

Con l'aiuto di variabili di processo degli importanti parametri possono essere adattati durante il funzionamento Runtime al fine di effettuate una prognosi e un'ottimizzazione del sistema. In tal modo è possibile adattare al processo attuale in dipendenza di valori di misurazione degli importanti parametri Load Management, come, ad esempio, le priorità di commutazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ConsumerVariables


ID_EMS_PROP_GRP16

Interno ID: ID_EMS_PROP_GRP16

Variabile di accensione

Con l'aiuto di variabili di processo degli importanti parametri possono essere adattati durante il funzionamento Runtime al fine di effettuate una prognosi e un'ottimizzazione del sistema. In tal modo è possibile adattare al processo attuale in dipendenza di valori di misurazione degli importanti parametri Load Management, come, ad esempio, le priorità di commutazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ProducerVariables


ID_EMS_PROP_GRP19

Interno ID: ID_EMS_PROP_GRP19

Infomazione di stato

Definisce la trasmissione di informazioni concernenti lo stato di Load Management.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Status


ID_EMS_PROP_GRP20

Interno ID: ID_EMS_PROP_GRP20

Energia

Riassume indicazioni concernenti la prestazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ProducerPower


ID_EMS_PROP_GRP21

Interno ID: ID_EMS_PROP_GRP21

Priorità

Contiene l'impostazione delle priorità per la accensione e lo spegnimento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ProducerPrio


ID_EMS_PROP_GRP22

Interno ID: ID_EMS_PROP_GRP22

Ora di inizio

Impostazioni per fissare i tempi di inizio.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SwitchOn


ID_EMS_PROP_GRP23

Interno ID: ID_EMS_PROP_GRP23

Ora di fine

Impostazioni per fissare le ore di fine.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SwitchOff


ID_EMS_PROP_GRP24

Interno ID: ID_EMS_PROP_GRP24

Switching frequency

Contiene dei parametri per fissare Max. switching frequency per time unit.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SwitchFrequency


ID_EMS_PROP_GRP25

Interno ID: ID_EMS_PROP_GRP25

Infomazione di stato

Stabilisce come devono essere trasmesse le informazioni da Stato di Switch e Passaggio a stato interno.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ProducerStatus


ID_EMS_PROP_GRP26

Interno ID: ID_EMS_PROP_GRP26

Circuit stages

Queste proprietà sono a disposizione solo per consumatori in reti di trasmissione di elettricità.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Schaltstufen


ID_EMS_PROP_GRP27

Interno ID: ID_EMS_PROP_GRP27

Infomazione di stato

Stabilisce come devono essere trasmesse le informazioni da Potenza attuale Passaggio a stato interno e Stato di Switch.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ConsumerStatus


ID_EMS_PROP_GRP28

Interno ID: ID_EMS_PROP_GRP28

Priorità

Descrizione in forma di testo

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_ProducerPrio


ID_EMS_PROP_GRP29

Interno ID: ID_EMS_PROP_GRP29

Capacity/Priority

Descrizione in forma di testo

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_ProducerPrioPower


ID_EMS_PROP_GRP30

Interno ID: ID_EMS_PROP_GRP30

Energia

Descrizione in forma di testo

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_ProducerPower


ID_ERSETZEN_ZUSAMMEN

Interno ID: ID_ERSETZEN_ZUSAMMEN

Nomi gerarchici

Sostituzione di variabili in un simbolo.

Il comportamento di questa proprietà dipende direttamente dalle impostazioni della proprietà Attraverso il nome della variabile:
Se la proprietà Attraverso il nome della variabile è attiva, viene usato il nome variabile (proprietà Nome). Se la proprietà Attraverso il nome della variabile non è attiva, invece, viene usata l´identificazione della variabile (proprietà Identificazione).

la proprietà Nomi gerarchici:

  • Attivo: i nomi della variabile/identificazione collegate sono costituiti dal nome oggetto del simbolo e della variabile definita nel simbolo. I due nomi vengono divisi da un punto: "Nome simbolo.Variabile" oppure"Nome simbolo.Identificazione"
  • Inattivo: Sono usati nome variabile o identificazione variabile.

Default: inattivo

Attenzione: Se la proprietà Nomi gerarchici è attiva, ma non la proprietà Attraverso il nome della variabile, viene usata l´identificazione della variabile. Se questa Identificazione è vuota, la composizione del nome non funziona!

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SubstituteCombinedName


ID_EXTERNVISIBLE

Interno ID: ID_EXTERNVISIBLE

Visibile esternamente

Proprietà per poter analizzare le variabili di zenon anche in zenon Logic. Non per variabili del progetto zenon Logic integrato che sono già disponibili, per es., via driver stratonNG .

  • Attivo: La variabile è visibile anche nel workbench di zenon Logic e può essere utilizzata in progetti di zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.

    A Runtime i valori possono essere aggiornati mediante una cosiddetta connessione Shared-Memory. Per farlo, creare nella configurazione fieldbus di zenon Logic il driver 'Logic to SCADA connection'. Il valore della variabile può essere determinato o in zenon - da un PLC, oppure nel Runtime di zenon Logic e poi scritto sul PLC. I valori, però, non possono essere aggiornati né contemporaneamente, né in ogni ciclo di zenon Logic, altrimenti verranno sovrascritti.

    Attenzione: Se in zenon Logic non è impostato un driver 'Logic per connessione SCADA', le variabili sono visibili nel workbench, ma i valori non verranno attualizzati nel runtime!

    Nota: tenete presenti le influenze reciproche con la proprietà Isteresi. Ulteriori informazioni nella guida in linea.

  • Inattivo: La variabile non è visibile in zenon Logic.

Default: inattivo

Attenzione: I nomi delle variabili di zenon Logic devono corrispondere alle norme IEC 61131-3.
Ciò significa: Sono ammessi solo numeri, lettere dalla A alla Z (niente dieresi) e lineette in basso. . Inoltre il nome non può iniziare con un numero. Ciò comporta anche che strutture e arrays del sistema di controllo non possono essere visibili esternamente perché contengono parentesi o punti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExternVisible


ID_EXTERNVISIBLE_FOR

Interno ID: ID_EXTERNVISIBLE_FOR

Visibile esternamente per

Disponibile solo se la proprietà Visibile esternamente è attivata.

Decidete in modo esplicito per quali progetti di zenon Logic deve essere visibile la variabile. Se lasciate vuoto il campo di inserimento, la variabile è visibile per tutti i progetti di zenon Logic. Potete, però, indicare in modo esplicito anche dei singoli progetti di zenon Logic. Separate i nomi dei singoli progetti con un punto e virgola (";"). Potete lavorare anche con wildcard; per esempio, P1* indica tutti progetti di zenon Logic che iniziano con P1. (Indicazione: Wildcard sono consentite solamente come prefisso o suffisso, cioè *xxx o xxx*.)

Il numero dei caratteri è limitato ad un massimo di 64.

Default: -

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExternVisibleFor


ID_FILE_NAME

Interno ID: ID_FILE_NAME

Nome file

Nome del file collegato.
I file esterni che vengono collegati in questo modo, sono salvati sia nel percorso Runtime che in quello della banca dati del progetto.
Attenzione: ogni volta che vengono creati dei nuovi file Runtime, quelli contenuti nella cartella Runtime vengono sovrascritti dai file della cartella della banca dati. Proprio per questo i file esterni dovrebbero essere modificati solamente tramite il menù contestuale del file in questione e non esternamente, in modo tale che vengano modificati in modo corrispondente anche i file della cartella del database.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_FKT_EXTERNAL_REFERENCE

Interno ID: ID_FKT_EXTERNAL_REFERENCE

Riferimento esterno

Identificazione univoca di progetti, variabili, driver, tipi di dato, funzioni, matrici di reazione e immagini di zenon. Riferimento esterno è disponibile in zenon per la sola lettura. La proprietà viene usata come identificazione per tool di progettazione esterni, e può essere scritta solamente con l`API di zenon.

Default: Spazio

Lunghezza massima: 64 caratteri

Nota: L´import ed export XML viene supportato.
Se si imposta una funzione via Copy&Paste, questa proprietà è vuota.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CPropExternalNames::szExternalReference


ID_FKT_PROP1

Interno ID: ID_FKT_PROP1

Tipo

Il tipo viene selezionato al momento dell´impostazione della funzione fra quelle della lista delle funzioni di sistema e può essere modificato in questa sede in un secondo momento.
Apre il dialogo di selezione funzioni.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FktType


ID_FKT_PROP2

Interno ID: ID_FKT_PROP2

Parametri

Parametro di trasferimento della funzione; dipende dal tipo di funzione.
Cliccando sul pulsante ... si apre il dialogo che serve a selezionare della direzione di commutazione e del tempo di soppressione.
A seconda del tipo di funzione, il sistema apre la corrispondente finestra di dialogo per la selezione parametri.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Parameters


ID_FKT_PROP3

Interno ID: ID_FKT_PROP3

Nome

Denominazione univoca della funzione.
La denominazione viene assegnata dal sistema al momento della creazione di una funzione, ma può essere modificata in un secondo momento a patto che la denominazione scelta non sia già usata per un'altra funzione.
Massimo: 128 caratteri.
Default: Function_x (dove x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_FKT_PROP4

Interno ID: ID_FKT_PROP4

PC attuale

Disponibile solamente in progetti di rete:
La funzione viene eseguita sul PC sul quale è stata avviata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsActual


ID_FKT_PROP5

Interno ID: ID_FKT_PROP5

Server primario

Disponibile solamente in progetti di rete:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsServer


ID_FKT_PROP6

Interno ID: ID_FKT_PROP6

Server Standby

Disponibile solamente in progetti di rete ridondanti:
la funzione viene eseguita sul server che gestisce il progetto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsStandBy


ID_FKT_PROP7

Interno ID: ID_FKT_PROP7

Client

Disponibile solamente in progetti di rete:
la funzione viene eseguita su tutti i client del progetto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsClient


ID_FKT_PROP10

Interno ID: ID_FKT_PROP10

Funzione URL di partenza per il Web

Funzione URL di partenza per il Web:

  • Attivo: La funzione può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.
  • Inattivo: La funzione non può essere eseguita al principio della seduta tramite estensione URL sul HTML Web Client.

Default: Inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsUrlStartWeb


ID_FKT_PROP_GRP0

Interno ID: ID_FKT_PROP_GRP0

Generale

Proprietà generali per la funzione.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_FKT_PROP_GRP1

Interno ID: ID_FKT_PROP_GRP1

Esecuzione:

Disponibile solamente in progetti di rete:
Selezione del computer o dei computer su cui deve essere eseguita la funzione.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Execution


ID_FKT_VBA_XML_PROP_587

Interno ID: ID_FKT_VBA_XML_PROP_587

Distanza orizz. [Pixel]

Distanza in orizzontale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Offset_H


ID_FKT_VBA_XML_PROP_588

Interno ID: ID_FKT_VBA_XML_PROP_588

Distanza vert. [Pixel]

Distanza in verticale del margine dell´arrotondamento dall´angolo reale in pixel.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Offset_V


ID_FKTLEVELLIST

Interno ID: ID_FKTLEVELLIST

Autorizzazion Funzioni

Durante il Runtime, determinate funzioni di sistema (per esempio: carica progetto) possono essere bloccate facendo uso dei livelli di autorizzazione, rendendole inaccessibili ad utenti non autorizzati. Per quello che concerne l`Editor, possono essere assegnati livelli di autorizzazione a singoli moduli.

Cliccando sul pulsante ... si apre il dialogo per la configurazione dei livelli di autorizzazione per Runtime ed Editor.

Attenzione: Per ogni livello di autorizzazione deve essere assegnato perlomeno un utente! Altrimenti può succedere che il progetto diventi inaccessibile anche per Lei!

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FktLevelList


ID_FONT_NAME

Interno ID: ID_FONT_NAME

Nome

Denominazione attribuibile liberamente; solo a scopo informativo.
Default: Nuovo carattere x (x è un numero progressivo).
Attenzione: questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_FONT_NUMMER

Interno ID: ID_FONT_NUMMER

Numero

Numero univoco del carattere.
Il numero viene assegnato dal sistema al momento dell´impostazione di un carattere. I numeri 1 e 2 sono assegnati in modo fisso e non possono essere modificati. Tutti gli altri numeri di carattere possono essere modificati in un secondo momento, a meno che il numero assegnato non sia già in uso per un altro carattere.

Nota: nel caso di una corrispondenza di numero nel progetto globale e nel progetto normale, viene usato il carattere di quest´ultimo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Number


ID_FONT_PROP_GRP

Interno ID: ID_FONT_PROP_GRP

Carattere

Contiene le proprietà per il tipo di carattere.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_FONT_SCHRIFTART

Interno ID: ID_FONT_SCHRIFTART

Carattere

Scelta del tipo di carattere fra quelli installati nel computer.
Attenzione: Il dialogo per la selezione del tipo di carattere è un dialogo standard di Windows. Esso consente anche la selezione di ulteriori proprietà, come il colore del carattere. Queste ulteriori impostazioni non hanno alcuna influenza sulla visualizzazione in zenon.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Font


ID_FONTLIST_NAME

Interno ID: ID_FONTLIST_NAME

Nome

Nome della lista caratteri

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_FONTLIST_PROP_GRP

Interno ID: ID_FONTLIST_PROP_GRP

Lista caratteri

Proprietà per la Lista caratteri.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_FRAME_BEGRENZUNG

Interno ID: ID_FRAME_BEGRENZUNG

Limite

Disponibile solo se la proprietà Muovi è stata settata su Limita ai bordi del monitor.

Definisce il tipo di limite cui è soggetto lo spostamento dei modelli:

  • Cornice modello: Il modello non può essere spostato al di là del bordo del monitor.
  • Dimensione cornice modello: Il modello può essere spostato al di là del bordo del monitor. Tuttavia deve rimanerne una parte sul monitor da poter toccare per eseguire ulteriori azioni. La dimensione di questa area può essere configurata tramite la proprietà Margine minimo del frame.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LimitationArea


ID_FRAME_BEGRENZUNG_CONTACTPOINTSIZE

Interno ID: ID_FRAME_BEGRENZUNG_CONTACTPOINTSIZE

Margine minimo del frame

Disponibile solo se il valore della proprietà Muovi è stato settato su delimita ai bordi del monitor, e la proprietà Limite su dimensione cornice modello.

Definisce la grandezza in pixel della dimensione cornice modello. Quest´area non può essere spostata aldilà del bordo del monitor. In tal modo, essa rimane sempre nel campo visivo dell´operatore, che così può agganciare e spostare il modello.

  • Minimo: 0
  • Massimo: non definito
    Se configura la dimensione dell´area in modo tale che essa risulta più grande dell´immagine, oppure si zooma in modo corrispondente nel Runtime, l´immagine si comporta come un limite per la cornice modello.

Default: 30

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LimitationContactPointSize


ID_FRAME_VERSCHIEBEN

Interno ID: ID_FRAME_VERSCHIEBEN

Muovi

Definisce possibili limitazioni per il movimento di un oggetto:

  • senza restrizioni
  • delimita ai bordi del monitor
    Riferimento: La modalità di delimitazione viene definita tramite la proprietà Limite

non è disponibile sotto Windows CE.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LimitationType


ID_GFXRT_CHECKIMAGE_0FF

Interno ID: ID_GFXRT_CHECKIMAGE_0FF

Out

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 0 e Proprietà può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CheckOffImage


ID_GFXRT_CHECKIMAGE_0FF_INACTIVE

Interno ID: ID_GFXRT_CHECKIMAGE_0FF_INACTIVE

Out (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 0 e Proprietà non può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CheckOffImageInActive


ID_GFXRT_CHECKIMAGE_0N

Interno ID: ID_GFXRT_CHECKIMAGE_0N

In

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 1 e Proprietà può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CheckOnImage


ID_GFXRT_CHECKIMAGE_0N_INACTIVE

Interno ID: ID_GFXRT_CHECKIMAGE_0N_INACTIVE

In (inattivo)

Selezione di una grafica che rappresenta nel Runtime lo stato „valore è 1 e Proprietà non può essere modificata".
Disponibile solo se la proprietà Visualizzazione numerica non è attiva.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CheckOnImageInActive


ID_GFXRT_HEADERHEIGHT

Interno ID: ID_GFXRT_HEADERHEIGHT

Alteza intestazione [Pixel]

Configurazione dell´altezza dell´Header in pixel.

Minimo: 0 - l´altezza viene determinata automaticamente sulla base della grandezza del carattere.

Massimo: 255

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderHeight


ID_GFXRT_HEADERSTATIC

Interno ID: ID_GFXRT_HEADERSTATIC

Intestazione statica

  • Attivo: nel Runtime non sarà più possibile spostare colonne per Drag&Drop, né le si potrà più ordinare. La larghezza colonne, però, potrà essere ancora modificata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderStatic


ID_GFXRT_SHOWFILTER

Interno ID: ID_GFXRT_SHOWFILTER

Visualizza riga di filtro

  • Attivo: la riga di filtro viene visualizzata nel Runtime.
  • Inattivo: la visualizzazione della riga di filtro viene esclusa nel Runtime.
    Nota: i filtri configurati vengono eseguiti anche quando la riga di filtro è nascosta.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowFilter


ID_GFXRT_SHOWHEADER

Interno ID: ID_GFXRT_SHOWHEADER

Visualizza intestazione

  • Attivo: l´Header viene visualizzato nel Runtime.
  • Inattivo: la visualizzazione dell´Header viene esclusa nel Runtime. Così verrà esclusa anche la visualizzazione della riga di filtro; ma il sistema continuerà ad usare i filtri configurati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowHeader


ID_GRP_CORNER

Interno ID: ID_GRP_CORNER

Corners

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Corners


ID_HILFE_GRP

Interno ID: ID_HILFE_GRP

Guida

Proprietà per la guida online dell´oggetto.
Se in questa sede non è definita nessuna guida online per l´elemento, si può definire direttamente nel menù contestuale dell´elemento stesso un capitolo generale della guida in linea.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Help


ID_IEC870_103_FktType

Interno ID: ID_IEC870_103_FktType

IEC870-103 FUNCTION TYPE

Inserite un valore. Corrisponde a FUN nella norma.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IEC870_103_FktType


ID_IEC870_103_Index

Interno ID: ID_IEC870_103_Index

IEC870-103 Index

Inserite un valore. Corrisponde alla successione di MEA in ASDU 3 o 9.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IEC870_103_Index


ID_IEC870_103_InfNo

Interno ID: ID_IEC870_103_InfNo

IEC870-103 INFORMATION NUMBER

Inserite un valore. Corrisponde a INF nella norma.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IEC870_103_InfNo


ID_IEC870_COA1

Interno ID: ID_IEC870_COA1

IEC870 COA

Inserite il Common Object Address (COA). I limiti del campo valori sono determinate dalle impostazioni del driver.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IEC870_COA1


ID_IEC870_IOA1

Interno ID: ID_IEC870_IOA1

IEC870 IOA

Inserite il Information Object Address (IOA). I limiti del campo valori sono determinate dalle impostazioni del driver.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IEC870_IOA1


ID_IEC870_TYPE

Interno ID: ID_IEC870_TYPE

IEC870 Type identification

Selezionate nella lista Dropdown il tipo ASDU del punto di dato.

default: T00 internal state

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IEC870_TYPE


ID_IEC62056_ADDRESS

Interno ID: ID_IEC62056_ADDRESS

IEC62056 Address

Inserimento dell´indirizzo OBIS.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IEC62056_ADDRESS


ID_IEC62056_TIMEADJUST

Interno ID: ID_IEC62056_TIMEADJUST

IEC62056 Time Adjustment

Correzione del timestamp. Selezione della modalità dell´adattamento tempo fra quelle proposte dal menù a tendina:

  • None: non viene effettuata nessuna correzione.
  • Begin of interval: la correzione concerne il timestamp iniziale.
  • End of interval: la correzione concerne il timestamp finale.

Default: None

L´intervallo cui si riferisce la modifica, viene configurato con la proprietà IEC62056 Time Interval.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IEC62056_TIMEADJUST


ID_IEC62056_TIMEINTERVAL

Interno ID: ID_IEC62056_TIMEINTERVAL

IEC62056 Time Interval

Inserimento dell´intervallo di tempo espresso in minuti.

Disponibile solo se la proprietà IEC62056 Time Adjustment non è stato selezionato none.

Massimo: 65535

Default: 15

Esempio: nel caso che si sia scelto l´intervallo 15 e End of interval per IEC62056 Time Adjustment, il timestampo viene settato sempre alla fine di un quarto d´ora.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IEC62056_TIMEINTERVAL


ID_IMM_DNS

Interno ID: ID_IMM_DNS

Database

Definizione della connessione ODBC per la banca dati dell´Industrial Maintenance Manager (IMM)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IMMDns


ID_IMM_TABLEDEV

Interno ID: ID_IMM_TABLEDEV

Tabella dispositivi

Nome della tabella nella banca dati per gli apparecchi.
Visualizzazione solo del nome standard. Viene usato anche per la Gestione punti di misurazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IMMTableDevice


ID_IMM_TABLEDOC

Interno ID: ID_IMM_TABLEDOC

Tabella per i documenti

Nome della tabella nella banca dati per i documenti.

Visualizzazione solo del nome standard.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IMMTableDoc


ID_IMM_TABLEHIST

Interno ID: ID_IMM_TABLEHIST

Tabella per lo storico

Nome della tabella nella banca dati per la storia.

Visualizzazione solo del nome standard.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IMMTableHist


ID_IMM_TABLEMAINT

Interno ID: ID_IMM_TABLEMAINT

Tabella per elaborazione manutenzione

Nome della tabella nella banca dati per i lavori di manutenzione.

Visualizzazione solo del nome standard.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IMMTableMaint


ID_IMM_USERLVL

Interno ID: ID_IMM_USERLVL

Livello di autorizzazione:

Livello di autorizzazione di cui si deve disporre per poter cancellare dati dalla banca dati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IMMUserLvl


ID_INITIALVALUE

Interno ID: ID_INITIALVALUE

Valore esterno iniz.

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver di straton.
Valore iniziale della variabile in zenon Logic con cold start und hot start.
L'inserimento permesso in questa sede dipende dal tipo di dato della variabile. Così possono essere inseriti per variabili a numero intero solo dei valori senza cifre decimali. Per le variabili con la virgola deve essere usato un punto come separazione delle cifre decimale, non è possibile usare una virgola.
Il sistema di controllo non verifica qui la validità dell'inserimento. Ciò può portare ad una segnalazione di errore in zenon Logic.

Attenzione: Nel caso di variabili del driver interno, questa proprietà deve avere lo stesso valore del valore iniziale nelle impostazioni per variabili interne.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InitialValue


ID_KNOTEN_VERKN

Interno ID: ID_KNOTEN_VERKN

Regola di sostituzione

Proprietà per la sostituzione dei collegamenti di variabili e/o funzioni per simboli e contenitori in Faceplate.

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Linkings


ID_LASTUSEDOFFSET

Interno ID: ID_LASTUSEDOFFSET

Ultimo offset utilizzato

Visualizzazione dell´ultimo offset utilizzato dall´indirizzamento automatico.
Questa proprietà ha solo fini informativi e non può essere modificata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LastUsedOffset


ID_LEVELEDIT

Interno ID: ID_LEVELEDIT

Amm. Livelli di aut.

Oltre al numero, si può assegnare ai 128 livelli di autorizzazione un nome. Qui viene aperto il dialogo per la definizione del nome.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserLevelList


ID_LEVELLIST

Interno ID: ID_LEVELLIST

Livelli di autorizzazione

Uno o più dei 128 livelli di autorizzazione possono essere assegnati dall´utente.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserLevel


ID_MATHVAR_PROP_ENABLE_VAR

Interno ID: ID_MATHVAR_PROP_ENABLE_VAR

Attiva il calcolo

Assegna alla variabile matematica una variabile il cui valore determina se il calcolo viene eseguito. L´assegnazione di una variabile attiva la proprietà.

Se si clicca sul pulsante ... oppure sul campo con la variabile, si apre il dialogo che serve alla selezione di una variabile.

Default: disattivata; nessuna variabile assegnata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EnableCalc


ID_MATHVAR_PROP_FORMEL

Interno ID: ID_MATHVAR_PROP_FORMEL

Formula

Apre il dialogo che serve ad inserire la formula per il calcolo della variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Formula


ID_MINPWLENGTH

Interno ID: ID_MINPWLENGTH

Lunghezza minima password

Lunghezza minima della password in caratteri.

  • Minimo: 0
  • Massimo: 20

Default: 6

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinPwLength


ID_MONITOR_VERWALTUNG

Interno ID: ID_MONITOR_VERWALTUNG

Configurazione monitor

Si aprirà il dialogo di configurazione per la gestione monitor.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MonitorAministration


ID_MSGCONTROL_DISPATCHER_ACTIVE

Interno ID: ID_MSGCONTROL_DISPATCHER_ACTIVE

Versandart aktiv

Attivo: È possibile l´invio di messaggi con questo mezzo di trasmissione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Active


ID_MSGCONTROL_DISPATCHER_GSMSMG_ACTIVE

Interno ID: ID_MSGCONTROL_DISPATCHER_GSMSMG_ACTIVE

Attivo

Attivazione del tipo di invio.

  • Attivo: Il tipo di invio è attivato e se ne può fare uso. Si può procedere a configurare tutte le proprietà attinenti.
  • Inattivo: Le proprietà attinenti non sono configurabili. Il tipo di invio non può essere usato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GSM_SMS_Active


ID_MSGCONTROL_DISPATCHER_MODEM_TTS_ACTIVE

Interno ID: ID_MSGCONTROL_DISPATCHER_MODEM_TTS_ACTIVE

Voice Modem (Text-to-Speech)

Attivazione del tipo di invio.

  • Attivo: Il tipo di invio è attivato e se ne può fare uso. Si può procedere a configurare tutte le proprietà attinenti.
  • Inattivo: Le proprietà attinenti non sono configurabili. Il tipo di invio non può essere usato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

TTSModem_Active


ID_MSGCONTROL_DISPATCHER_MODEM_VOICE_ACTIVE

Interno ID: ID_MSGCONTROL_DISPATCHER_MODEM_VOICE_ACTIVE

Voice Modem (File Audio)

Attivazione del tipo di invio.

  • Attivo: Il tipo di invio è attivato e se ne può fare uso. Si può procedere a configurare tutte le proprietà attinenti.
  • Inattivo: Le proprietà attinenti non sono configurabili. Il tipo di invio non può essere usato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceModem_Active


ID_MSGCONTROL_DISPATCHER_OUTLOOK_ACTIVE

Interno ID: ID_MSGCONTROL_DISPATCHER_OUTLOOK_ACTIVE

Attivo

Attivazione del tipo di invio.

  • Attivo: Il tipo di invio è attivato e se ne può fare uso. Si può procedere a configurare tutte le proprietà attinenti.
  • Inattivo: Le proprietà attinenti non sono configurabili. Il tipo di invio non può essere usato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Outlook_Active


ID_MSGCONTROL_DISPATCHER_SMPTPOP_ACTIVE

Interno ID: ID_MSGCONTROL_DISPATCHER_SMPTPOP_ACTIVE

Attivo

Attivazione del tipo di invio.

  • Attivo: Il tipo di invio è attivato e se ne può fare uso. Si può procedere a configurare tutte le proprietà attinenti.
  • Inattivo: Le proprietà attinenti non sono configurabili. Il tipo di invio non può essere usato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

SMTP_Mail_Active


ID_MSGCONTROL_DISPATCHER_SMS_GATEWAY_ACTIVE

Interno ID: ID_MSGCONTROL_DISPATCHER_SMS_GATEWAY_ACTIVE

Attivo

Attivazione del tipo di invio.

  • Attivo: Il tipo di invio è attivato e se ne può fare uso. Si può procedere a configurare tutte le proprietà attinenti.
  • Inattivo: Le proprietà attinenti non sono configurabili. Il tipo di invio non può essere usato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Gateway_Active


ID_MSGCONTROL_DISPATCHER_VOIP_TTS_ACTIVE

Interno ID: ID_MSGCONTROL_DISPATCHER_VOIP_TTS_ACTIVE

Voice over IP (Text-to-Speech)

Attivazione del tipo di invio.

  • Attivo: Il tipo di invio è attivato e se ne può fare uso. Si può procedere a configurare tutte le proprietà attinenti.
  • Inattivo: Le proprietà attinenti non sono configurabili. Il tipo di invio non può essere usato.

Default: inattivo

Non disponibile se la proprietà Voice over IP (File Audio) non è attivata.

Nota:

Per pote usare VoIP, devono essere soddisfatte le seguenti condizioni:

  • Il provider VoIP deve supportare i protocolli SIP e RTP.
  • Nel firewall devono essere aperte le porte corrispondenti:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceVOIP_Active


ID_MSGCONTROL_DISPATCHER_VOIP_VOICE_ACTIVE

Interno ID: ID_MSGCONTROL_DISPATCHER_VOIP_VOICE_ACTIVE

Voice over IP (File Audio)

Attivazione del tipo di invio.

  • Attivo: Il tipo di invio è attivato e se ne può fare uso. Si può procedere a configurare tutte le proprietà attinenti.
  • Inattivo: Le proprietà attinenti non sono configurabili. Il tipo di invio non può essere usato.

Default: inattivo

Non disponibile se la proprietà Voice over IP (Text-to-Speech) non è attivata.

Nota:

Per pote usare VoIP, devono essere soddisfatte le seguenti condizioni:

  • Il provider VoIP deve supportare i protocolli SIP e RTP.
  • Nel firewall devono essere aperte le porte corrispondenti:
    SIP (Default: 5060)
    RTP (Default 4000)
    RTCP (Default 4001)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

TTSVOIP_Active


ID_MSGCONTROL_DISPATCHERS_VOICE_DISPATCHER_GRP

Interno ID: ID_MSGCONTROL_DISPATCHERS_VOICE_DISPATCHER_GRP

Messaggio vocale

Configurazione e selezione dei tipi di invio per i messaggi vocali.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Dispatchers


ID_MSGCONTROL_DISPATCHERS_VOICE_GENERAL_GRP

Interno ID: ID_MSGCONTROL_DISPATCHERS_VOICE_GENERAL_GRP

Sprachnachricht Allgemein

Configurazione delle impostazioni generali per i messaggi vocali.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

General


ID_MSGCONTROL_DISPATCHERS_VOICE_MAIN_GRP

Interno ID: ID_MSGCONTROL_DISPATCHERS_VOICE_MAIN_GRP

Messaggio vocale e Text-to-Speech

Proprietà per la configurazione di messaggi vocali.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VOICE_GRP


ID_MSGCONTROL_DISPATCHERS_VOICE_TTS_GRP

Interno ID: ID_MSGCONTROL_DISPATCHERS_VOICE_TTS_GRP

Text-to-Speech

Configurazione delle proprietà per Text-to-Speech.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

TTS


ID_MSGCONTROL_DISPATCHERS_VOICE_VOIP_GRP

Interno ID: ID_MSGCONTROL_DISPATCHERS_VOICE_VOIP_GRP

Voice over IP

Configurazione delle proprietà per Voice over IP.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceIP


ID_MSGCONTROL_ENGINE_EXPORTTOMESSAGE32

Interno ID: ID_MSGCONTROL_ENGINE_EXPORTTOMESSAGE32

Esportazione impostazioni su Messag32.ini (v6.XX)

Salva le impostazioni che vengono effettuate a partire dalla versione 7, per la versione 6.xx nel messag32.ini. Cliccando sul pulsante si avvia l´operazione di export. Le impostazioni attuali del messag32.ini vengono sovrascritte dopo una richiesta di conferma da parte del sistema. Le impostazioni del messag32.ini servono a garantire la compatibilità e riguardano solamente le versioni 6.xx. di zenon A partire dalla versione 7, le impostazioni vengono salvate nello zenon6.ini .

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExportToMessag32


ID_MSGCONTROL_ENGINE_GRP

Interno ID: ID_MSGCONTROL_ENGINE_GRP

Message-Control

Gruppo per impostazioni che concernono più progetti nel Message Control.

Nota: Queste proprietà non sono specifiche per il progetto. Le modifiche effettuate in questo settore, dunque, avranno validità nel Runtime solo dopo che il sistema sarà stato riavviato.

Definite le impostazioni specifiche per il progetto nell´albero di progetto, in corrispondenza del nodo Message Control, mediante la proprietà per Proprietà specifiche di progetto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgCtrlSettings


ID_MSGCONTROL_MODEM_COUNTWELCOME

Interno ID: ID_MSGCONTROL_MODEM_COUNTWELCOME

Ripeti testo di benvenuto

Quantità delle ripetizioni per il testo di benvenuto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CountWelcome


ID_MSGCONTROL_MODEM_GRP

Interno ID: ID_MSGCONTROL_MODEM_GRP

Messaggio vocale (File audio)

Impostazioni per il gruppo Telefono.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DispatchSettings


ID_MSGCONTROL_MODEM_IGNOREDISCONNECT

Interno ID: ID_MSGCONTROL_MODEM_IGNOREDISCONNECT

Ignora disconnessioni

Attivo: L´interruzione della connessione (per es. quando il ricevente termina il colloquio) viene ignorata e il messaggio viene riprodotto completamente prima che la connessione venga interrotta.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IgnoreDisconnect


ID_MSGCONTROL_MODEM_LINEID

Interno ID: ID_MSGCONTROL_MODEM_LINEID

Id linea

ID-apparecchio generato automaticamente che identifica il modem selezionato. Serve a distinguere i diversi apparecchi quando si hanno più modem dello stesso nome. Solo visualizzazione, non modificabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineId


ID_MSGCONTROL_MODEM_LINENAME

Interno ID: ID_MSGCONTROL_MODEM_LINENAME

Nome linea

Selezione del modem da usare fra quelli della lista a cascata.

Se non viene visualizzata nessuna lista a cascata, significa che non è stato configurato nessun modem per il calcolatore in questione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Line


ID_MSGCONTROL_MODEM_TIMEOUT

Interno ID: ID_MSGCONTROL_MODEM_TIMEOUT

Timeout [min]

Tempo espresso in minuti dopo lo scadere del quale una connessione in attesa deve essere interrotta o terminata. L´intervallo di tempo deve essere maggiore a quello necessario per riprodurre e confermare il messaggio.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TimeOut


ID_MSGCONTROL_OUTLOOK_GRP

Interno ID: ID_MSGCONTROL_OUTLOOK_GRP

Messaggio E-Mail (Outlook)

Gruppo per le impostazioni del tipo di invio Outlook.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DispatchSettings


ID_MSGCONTROL_OUTLOOK_PROFILE

Interno ID: ID_MSGCONTROL_OUTLOOK_PROFILE

Profilo

Nome del profilo Outlook che deve essere utilizzato per l´invio. Selezione dal menù a tendina. I profili devono essere già stati impostati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Profile


ID_MSGCONTROL_OUTLOOK_SUBJECT

Interno ID: ID_MSGCONTROL_OUTLOOK_SUBJECT

Oggetto (ID)

Oggetto univoco del messaggio in uscita. Serve da criterio per stabilire se un messaggio in entrata è destinato al Message Control e deve essere elaborato da questo modulo.

Lunghezza minima: 4 caratteri

Ulteriori informazioni nella guida in linea.

Nota Conferma di ricezione: Le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate del sistema. Le E-Mail che non contengono questo oggetto non verranno inoltrate al Message Control. L´oggetto della conferma di ricezione in entrata deve inoltre essere introdotto da tre caratteri a piacere, come, ad esempio, RE:.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Subject


ID_MSGCONTROL_PROJECT_ACTIVEATSTARTUP

Interno ID: ID_MSGCONTROL_PROJECT_ACTIVEATSTARTUP

Attivo all'avvio del Runtime

Attivo: Il Message Control viene avviato con il Runtime.

Default: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActiveAtStartup


ID_MSGCONTROL_PROJECT_ATTEMPTS

Interno ID: ID_MSGCONTROL_PROJECT_ATTEMPTS

Massimo numero tentativi

Numero massimo dei tentativi di invio nel caso si verifichino errori di invio che non vengono identificati come errori hardware.
Se la chiamata viene interrotta dal chiamato senza conferma o rifiuto, non ci sarà una ripetizione della chiamata stessa.

  • Massimo: 100
  • Minimo: 1

Default: 3

Nota: Questa impostazione non dipende da quelle dell´opzione metodo nella funzione Invia messaggio.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Attempts


ID_MSGCONTROL_PROJECT_CELITEMS

Interno ID: ID_MSGCONTROL_PROJECT_CELITEMS

Salva nella CEL

Stabilisce quali eventi vengono protocollati nella CEL. Selezione dalla lista a cascata:

  • Tutte le conferme:
    tutti i messaggi
  • Nessuna conferma:
    nessun messaggio
  • Solo conferme negative:
    solo messaggi che sono stati rifiutati, oppure a cui non è stata data risposta (anche ripetizioni).
  • Solo conferme positive:
    solo messaggi che sono stati già ripristinati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CelDetail


ID_MSGCONTROL_PROJECT_COLOR_ERROR

Interno ID: ID_MSGCONTROL_PROJECT_COLOR_ERROR

Errore durante l'invio

Definisce il colore con cui viene visualizzata la colonna Stato nell´immagine del tipo Message Control quando è fallito l´invio di un messaggio. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un colore.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ErrorColor


ID_MSGCONTROL_PROJECT_COLOR_SENDING

Interno ID: ID_MSGCONTROL_PROJECT_COLOR_SENDING

Il messaggio verrà inviato

Definisce il colore con cui viene visualizzata la colonna Stato nell´immagine del tipo Message Control mentre è in corso l´invio di un messaggio. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un colore.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SendingColor


ID_MSGCONTROL_PROJECT_COLOR_SENT

Interno ID: ID_MSGCONTROL_PROJECT_COLOR_SENT

Il messaggio è stato inviato

Definisce il colore con cui viene visualizzata la colonna Stato nell´immagine del tipo Message Control quando un messaggio è stato inviato con successo. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un colore.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SentColor


ID_MSGCONTROL_PROJECT_GRP

Interno ID: ID_MSGCONTROL_PROJECT_GRP

Proprietà specifiche di progetto

Contiene le impostazioni specifiche per il progetto per la configurazione del modulo Message Control.

Se volete configurare le impostazioni globali per l´invio di messaggi, lo dovete fare nell´area Workstation (postazione di lavoro) con le proprietà del gruppo Message-Control.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgCtrlSettings


ID_MSGCONTROL_PROJECT_LOG_DELETE

Interno ID: ID_MSGCONTROL_PROJECT_LOG_DELETE

Salva nella CEL la cancellazione manuale dei messaggi

Attivo: La cancellazione manuale di inserimenti dalla CEL viene protocollata nella stessa CEL.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LogDeleteActions


ID_MSGCONTROL_PROJECT_STATUSIMAGE_ERROR

Interno ID: ID_MSGCONTROL_PROJECT_STATUSIMAGE_ERROR

Errore durante l'invio

Definisce una grafica che viene visualizzata nell´immagine del tipo Message Control nella colonna Stato quando è fallito un tentativo di inviare un messaggio. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un file grafico.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ErrorImage


ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENDING

Interno ID: ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENDING

Il messaggio verrà inviato

Definisce una grafica che viene visualizzata nell´immagine del tipo Message Control nella colonna Stato mentre è in corso un tentativo di inviare un messaggio. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un file grafico.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SendingImage


ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENT

Interno ID: ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENT

Il messaggio è stato inviato

Definisce una grafica che viene visualizzata nell´immagine del tipo Message Control nella colonna Stato non appena il messaggio è stato inviato con successo. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un file grafico.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SentImage


ID_MSGCONTROL_PROJECT_SUBJECT_DYN

Interno ID: ID_MSGCONTROL_PROJECT_SUBJECT_DYN

Parte dinamica del soggetto

Definisce la parte specifica per un progetto dell´oggetto di messaggi in uscita e in entrata. Viene definito insieme con la proprietà Messaggio E-Mail (Outlook)/Oggetto (ID) oMessaggio E-Mail (SMTP) /Soggetto per E-Mail nelle impostazioni di invio globali Message-Control. I messaggi in entrata vengono filtrati sulla base di questo contenuto per essere poi inoltrati al Message Control.

Il testo può contenere caratteri jolly per:

  • chiavi dalla tabella lingua.
  • Nome di una variabile
  • inserimento composto nella tabella lingua

Sintassi:

  • Le parti del testo sono separate da un punto e virgola (;),
  • $ contraddistingue il testo che contiene parametri,
  • @ è segno che contraddistingue il cambio lingua
  • % contraddistingue le variabili
  • terminato con un punto e virgola (;).

Esempio: $@Achtung;%Var1;

Una lista dei parametri la trovate nel capitolo Testo da valore limite e testo libero .

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SubjectDyn


ID_MSGCONTROL_PROJECT_TIMETOWAIT

Interno ID: ID_MSGCONTROL_PROJECT_TIMETOWAIT

Tempo di attesa tra tentativi e timeout

Tempo di attesa espresso in minuti fra due tentativi di inviare oppure inoltrare un messaggio.

Default: 5

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TimeToWait


ID_MSGCONTROL_SMSGATEWAY_GRP

Interno ID: ID_MSGCONTROL_SMSGATEWAY_GRP

Messaggio SMS (Gateway SMS)

Impostazioni per il SMS-Gateway.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DispatchSettings


ID_MSGCONTROL_SMSGATEWAY_INBOX

Interno ID: ID_MSGCONTROL_SMSGATEWAY_INBOX

Cartella in entrata

Cartella dei messaggi in entrata del server SMS per l´invio di SMS.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Inbox


ID_MSGCONTROL_SMSGATEWAY_ORIGINID

Interno ID: ID_MSGCONTROL_SMSGATEWAY_ORIGINID

Identificazione chiamante

Identificazione mittente per invio di SMS.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OriginId


ID_MSGCONTROL_SMSGATEWAY_OUTBOX

Interno ID: ID_MSGCONTROL_SMSGATEWAY_OUTBOX

Cartella in uscita

Cartella dei messaggi in uscita del server SMS per l´invio di SMS.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Outbox


ID_MSGCONTROL_SMSGATEWAY_PREFIX

Interno ID: ID_MSGCONTROL_SMSGATEWAY_PREFIX

Carrattere iniziale del file messaggi

Lettera iniziale dei file SMS. Deve essere univoca per ogni singolo progetto.

Lunghezza: 1 caratteri

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Prefix


ID_MSGCONTROL_SMSGATEWAY_SEMAPHOREPREFIX

Interno ID: ID_MSGCONTROL_SMSGATEWAY_SEMAPHOREPREFIX

Prima lettera del file di blocco/semaforo

Lettera iniziale del file semaforo. Deve essere univoca per ogni singolo progetto.

Lunghezza: 1 caratteri

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SemaPrefix


ID_MSGCONTROL_SMSGATEWAY_SMARTALARM

Interno ID: ID_MSGCONTROL_SMSGATEWAY_SMARTALARM

Allarmi intelligenti

Attivo: Viene usato smartalarming.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmartAlarm


ID_MSGCONTROL_SMSGATEWAY_STATUSBOX

Interno ID: ID_MSGCONTROL_SMSGATEWAY_STATUSBOX

Cartella di stato

Cartella del server SMS per la segnalazione di stato in caso di invio di SMS.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Statusbox


ID_MSGCONTROL_SMSGATEWAY_TIMEOUT

Interno ID: ID_MSGCONTROL_SMSGATEWAY_TIMEOUT

Timeout

Tempo di timeout espresso in minuti per messaggi in uscita. Stabilisce allo scadere di quale intervallo di tempo un messaggio viene considerato "non inviato con successo".

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TimeOut


ID_MSGCONTROL_SPEECH_GRP

Interno ID: ID_MSGCONTROL_SPEECH_GRP

Messaggio vocale (Text to Speech)

Impostazioni per i messaggi vocali.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DispatchSettings


ID_MSGCONTROL_SPEECH_RATE

Interno ID: ID_MSGCONTROL_SPEECH_RATE

Velocità riproduzione voce

Velocità della voce.

  • Minimo: -10
  • Massimo: 10

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Rate


ID_MSGCONTROL_SPEECH_VOICEID

Interno ID: ID_MSGCONTROL_SPEECH_VOICEID

Voce

Selezione della voce e della lingua fra le opzioni offerte dalla lista a cascata.
State attenti a scegliere le voci adeguate all´Editor:

  • Editor a 32-Bit: C:\Windows\SysWOW64\Speech\SpeechUX\sapi.cpl
  • Editor a 64-Bit: C:\Windows\System32\Speech\SpeechUX\sapi.cpl

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VoiceId


ID_MSGCONTROL_SPEECH_VOLUME

Interno ID: ID_MSGCONTROL_SPEECH_VOLUME

Volume

Volume della voce. Il numero corrisponde al valore percentuale del valore massimo della voce selezionata.

  • Massimo: 100
  • Minimo: 0 (viene ripreso il valore dal sistema operativo senza alcuna modifica)

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Volume


ID_MSGCONTROL_VOIP_DOMAIN

Interno ID: ID_MSGCONTROL_VOIP_DOMAIN

Indirizzo server

Inserimento dell´indirizzo server del provider VoIP

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceIP_Domain


ID_MSGCONTROL_VOIP_PASSWORD

Interno ID: ID_MSGCONTROL_VOIP_PASSWORD

Password

Inserimento della password per VoIP.
La password viene salvata in forma crittografata e viene decodificata solamente per l´autenticazione. Quando si effettua l´inserimento, non viene visualizzato nessun carattere non crittografato. Il campo mostra sempre 16 caratteri, indipendentemente dalla lunghezza effettiva della password.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceIP_Password


ID_MSGCONTROL_VOIP_USERNAME

Interno ID: ID_MSGCONTROL_VOIP_USERNAME

Nome user

Inserimento del nome utente per VoIP.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceIP_Username


ID_MSGCTRL_GRP

Interno ID: ID_MSGCTRL_GRP

Message-Control

Proprietà per l´uso degli utenti nel modulo Message Control.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MessageControl


ID_MSGCTRL_MAIL_POP_APOP

Interno ID: ID_MSGCTRL_MAIL_POP_APOP

Utilizzare un commando APOP per l'autenticazione

Gestisce l´autenticazione sul server di posta in entrata.

Attivo: Per l´autenticazione si usa il comando APOP invece che utente (USER) e password (PASS).

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PopUseApop


ID_MSGCTRL_MAIL_POP_GROUP

Interno ID: ID_MSGCTRL_MAIL_POP_GROUP

Server di posta in arrivo

Proprietà per la configurazione del server POP3 della posta in entrata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InboundServerSettings


ID_MSGCTRL_MAIL_POP_KEEP_MAILS

Interno ID: ID_MSGCTRL_MAIL_POP_KEEP_MAILS

Lascia sul server le E-Mail già lette

Attivo: Le E-Mail non vengono cancellate dopo essere state caricate sul server.

Default: inattivo

Nota: : visto che POP3 non prevede nessuna possibilità di filtrare le Mail durante l´operazione di carico, vengono sempre caricate tutte le Mail contenute nella posta in entrata. Se questa proprietà è attiva, aumenta lo spazio di memoria richiesto sul server e la performance nell´operazione di carico dei messaggi può ridursi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PopKeepMails


ID_MSGCTRL_MAIL_POP_PASSWORD

Interno ID: ID_MSGCTRL_MAIL_POP_PASSWORD

Password

Password per il login sul server di posta in entrata (POP3).

La password viene salvata in forma crittografata e viene decodificata solamente per l´autenticazione. Quando si effettua l´inserimento, non viene visualizzato nessun carattere non crittografato. Il campo mostra sempre 16 caratteri, indipendentemente dalla lunghezza effettiva della password.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PopPassword


ID_MSGCTRL_MAIL_POP_POLLING_INTERVALL

Interno ID: ID_MSGCTRL_MAIL_POP_POLLING_INTERVALL

Periodo minimo tra due richieste (s)

Intervallo minimo espresso in secondi fra due tentativi di carico. Il valore non deve essere inferiore ai criteri del server POP3.

  • Minimo: 10
  • Massimo: 4294967295

Default: 60

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PopPollingIntervall


ID_MSGCTRL_MAIL_POP_PORT

Interno ID: ID_MSGCTRL_MAIL_POP_PORT

Porta

Port attraverso cui viene raggiunto il server POP3.

Valore massimo: 65535

Default per connessione non crittografata: 110

Default per connessione crittografata: 995

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PopPort


ID_MSGCTRL_MAIL_POP_SECURITY

Interno ID: ID_MSGCTRL_MAIL_POP_SECURITY

Codifica

Selezione della crittografia per la connessione. Con un clic del mouse aprite la lista a cascata per la selezione. Opzioni possibili:

nessuna: viene instaurata una connessione non crittografata.

SSL Version 2 and 3: la connessione viene instaurata con il modello ibrido di crittografia SSL.

TLS Version 1: viene creata una connessione con TLS. Il TLS (versione 1) è il successore di SSL e corrisponde a SSL 3.1.

Default: SSL Versione 2 e 3

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PopSecurity


ID_MSGCTRL_MAIL_POP_SERVER

Interno ID: ID_MSGCTRL_MAIL_POP_SERVER

Indirizzo server

Indirizzo completo del server POP3.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PopServer


ID_MSGCTRL_MAIL_POP_USERNAME

Interno ID: ID_MSGCTRL_MAIL_POP_USERNAME

Nome user

Nome utente per il login sul server di posta in entrata (POP3).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PopUser


ID_MSGCTRL_MAIL_SMTP_AUTHENTICATION

Interno ID: ID_MSGCTRL_MAIL_SMTP_AUTHENTICATION

Autenticazione sul server di posta in uscita

Selezione dell´autenticazione sul sever di posta in uscita. Con un clic del mouse aprite la lista a cascata per la selezione:

  • Nessuna autenticazione: L´invio viene effettuato senza autenticazione
  • Prima di inviare l' E-Mail accedere al server di posta in entrata: Prima dell´invio di un messaggio, viene effettuato il Login sul server POP3.
  • Utilizza autenticazione SMTP sul server di posta in uscita: Prima dell´invio di un messaggio, viene effettuato il Login sul server SMPT.

Default: Nessuna selezione

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpAuthentication


ID_MSGCTRL_MAIL_SMTP_GROUP

Interno ID: ID_MSGCTRL_MAIL_SMTP_GROUP

Server posta in uscita

Proprietà per la configurazione del server SMTP della posta in uscita.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OutboundServerSettings


ID_MSGCTRL_MAIL_SMTP_IS_POP_SERVER

Interno ID: ID_MSGCTRL_MAIL_SMTP_IS_POP_SERVER

Utilizza server di posta in arrivo per le E-Mail in uscita

Attivo: Il server di posta in entrata viene usato come server per la posta in uscita. Questa proprietà riguarda solamente l´indirizzo server.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpUsePopServer


ID_MSGCTRL_MAIL_SMTP_OTHER_CREDENTIALS

Interno ID: ID_MSGCTRL_MAIL_SMTP_OTHER_CREDENTIALS

Utilizza altre credenziali di accesso del server di posta in entrata

Disponibile solo se per la proprietà Autenticazione sul server di posta in uscita è stato selezionato Utilizza autenticazione SMTP sul server di posta in uscita.

Attivo: Per l´autenticazione sul server di posta in uscita vengono utilizzate altre credenziali di accesso che sul server di posta in entrata.

Inattivo: Le credenziali di accesso per il server di posta in entrata vengono utilizzate anche per il server di posta in uscita.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpDifferentCredentials


ID_MSGCTRL_MAIL_SMTP_PASSWORD

Interno ID: ID_MSGCTRL_MAIL_SMTP_PASSWORD

Password

Password per il server di posta in uscita.

Disponibile solo se la proprietà Utilizza altre credenziali di accesso del server di posta in entrata è stata attivata. Se questa proprietà è disattivata, è salvata la password definita nella proprietà Password del gruppo Server di posta in arrivo.

La password viene salvata in forma crittografata e viene decodificata solamente per l´autenticazione. Quando si effettua l´inserimento, non viene visualizzato nessun carattere non crittografato. Il campo mostra sempre 16 caratteri, indipendentemente dalla lunghezza effettiva della password.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpPassword


ID_MSGCTRL_MAIL_SMTP_POP_GROUP

Interno ID: ID_MSGCTRL_MAIL_SMTP_POP_GROUP

Messaggio E-Mail (SMTP)

Impostazioni per l´invio di E-Mail via SMTP.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DispatchSettings


ID_MSGCTRL_MAIL_SMTP_PORT

Interno ID: ID_MSGCTRL_MAIL_SMTP_PORT

Porta

Port per la connessione con il server di posta in uscita (SMTP).

Massimo: 65535

Default: 25

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpPort


ID_MSGCTRL_MAIL_SMTP_SECURITY

Interno ID: ID_MSGCTRL_MAIL_SMTP_SECURITY

Codifica

Selezione della crittografia per la connessione. Con un clic del mouse aprite la lista a cascata per la selezione. Opzioni possibili:

nessuna: viene instaurata una connessione non crittografata.

SSL Version 2 and 3: la connessione viene instaurata con il modello ibrido di crittografia SSL.

TLS Version 1: viene creata una connessione con TLS. Il TLS (versione 1) è il successore di SSL e corrisponde a SSL 3.1.

Default: nessuno

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpSecurity


ID_MSGCTRL_MAIL_SMTP_SERVER

Interno ID: ID_MSGCTRL_MAIL_SMTP_SERVER

Indirizzo server

Disponibile solo se Utilizza server di posta in arrivo per le E-Mail in uscita è disattivato.

Indirizzo completo del server SMTP.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpServer


ID_MSGCTRL_MAIL_SMTP_SRCADDR

Interno ID: ID_MSGCTRL_MAIL_SMTP_SRCADDR

Indirizzo delle E-Mail in uscita

Disponibile solo se la proprietà Nome utente come indirizzo delle E-Mail in uscita non è attiva o non è disponibile.

Indirizzo del mittente per le E-Mail in uscita.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpOutMailAddress


ID_MSGCTRL_MAIL_SMTP_SRCADDR_IS_USERNAME

Interno ID: ID_MSGCTRL_MAIL_SMTP_SRCADDR_IS_USERNAME

Nome utente come indirizzo delle E-Mail in uscita

Disponibile solamente se la proprietà Autenticazione sul server di posta in uscita contiene un valore diverso da nessuna autenticazione.

  • Attivo: il nome utente utilizzato per l´autenticazione sul SMTP viene usato anche come indirizzo del mittente per le E-Mail in uscita.
  • Non attivo: viene usato il mittente definito nella proprietà Indirizzo delle E-Mail in uscita.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpUserIsOutMailAddress


ID_MSGCTRL_MAIL_SMTP_SUBJECT

Interno ID: ID_MSGCTRL_MAIL_SMTP_SUBJECT

Soggetto per E-Mail

Inserimento dell´oggetto per le E-Mail in uscita.

Anche le E-Mail in entrata devono contenere questo testo nell´oggetto per poter essere prese in considerazione ed elaborate dal sistema. Le E-Mail che non contengono questo testo non verranno né inoltrate al Message Control, né cancellate dal server.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpSubject


ID_MSGCTRL_MAIL_SMTP_USERNAME

Interno ID: ID_MSGCTRL_MAIL_SMTP_USERNAME

Nome user

Nome user per il server di posta in uscita.

Disponibile solo se Utilizza altre credenziali di accesso del server di posta in entrata è stata attivata. Se questa proprietà non è attiva, viene visualizzato il nome utente dalla proprietà Nome user del gruppo Server di posta in arrivo. Altrimenti viene visualizzato il nome utente inserito per ultimo per il server di posta in uscita.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmtpUser


ID_NETZ_APP_CLOSE_BOX

Interno ID: ID_NETZ_APP_CLOSE_BOX

Messaggio di chiusura

Disponibile solamente nel caso che la proprietà Rete attiva sia attiva.

  • Attivo: Quando si chiude il Runtime su un server, su tutti i client collegati appare un messaggio che avverte dell´avvenuta chiusura del Runtime. La chiusura del runtime viene posticipata di 70 secondi, per far sì che gli inserimenti sui client possano essere completate in modo corretto.
  • Inattivo: il Runtime sul server viene chiuso senza che il sistema visualizzi un messaggio sui client.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AppCloseBox


ID_NICHTLINIARE_ANPASSUNG

Interno ID: ID_NICHTLINIARE_ANPASSUNG

Adattamento valore non lineare

Adattamento di valori non-lineari mediante macro VBA.
Proprietà per conversione non lineare dei valori PLC in valori da visualizzare.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_NonlinAdjust


ID_OPCUA_BROWSENAME

Interno ID: ID_OPCUA_BROWSENAME

Browse name

Corrisponde a Browse name della specificazione OPC UA.

Sono permessi dei rifermenti gerarchici in avanti, a partire dalla cartella-oggetto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BrowseName


ID_PASSWORD_SHOWLOCK

Interno ID: ID_PASSWORD_SHOWLOCK

Identificazione grafica attiva

Attiva: degli elementi bloccati possono essere contrassegnati con un simbolo di un lucchetto, oppure mediante una grafica scelta liberamente da parte dell´utente.
Default: Inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowLock


ID_PICTURE_MIN

Interno ID: ID_PICTURE_MIN

Pulsanti Min./Max.

Disponibile solamente se viene visualizzata un Header per l´immagine:
Attivo: I bottoni per ingrandire e rimpicciolire l´immagine vengono visualizzati nell´header.
Inattivo: Non vengono visualizzati bottoni del genere.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowMinimize


ID_PICTURE_SYSMENU

Interno ID: ID_PICTURE_SYSMENU

Menu di sistema

Disponibile solamente se viene visualizzata un Header per l´immagine:
Attivo: Il menù di sistema dell´immagine viene visualizzato nell´header.
Inattivo: Non viene visualizzato un bottone del genere.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowSysMenu


ID_PICTURE_TITLE

Interno ID: ID_PICTURE_TITLE

Nome

Nome univoco dello script.
Default: Immagine x (x è un numero progressivo).

Lunghezza massima: 260 caratteri

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Title


ID_PREDEFINED_BITMAPS

Interno ID: ID_PREDEFINED_BITMAPS

Bitmap predefiniti

I file grafici predefiniti per lo stato LOW/HIGH possono essere selezionati fra quelli della lista.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PredefinedBitmaps


ID_PROFILENAME

Interno ID: ID_PROFILENAME

Nome profilo esterno

Proprietà esterna per zenon Logic. Riguarda solo le variabili che non sono del driver distraton.
Nome del profilo impostato in zenon Logic (per es. STRATON, ProfDP).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Profilename


ID_PROJECT_ALC_CONFIG

Interno ID: ID_PROJECT_ALC_CONFIG

Configurazione ALC

Viene aperto il dialogo di configurazione per Automatic Line Coloring (ALC).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCConfig


ID_PROJECT_ALC_GROUNDFAULTMODE

Interno ID: ID_PROJECT_ALC_GROUNDFAULTMODE

Modalità ricerca messa a terra

Imposta se nella ricerca di messa a terra viene colorata la parte della rete potenzialmente interessata, o tutta la rete in cui si trova una messa a terra.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCGroundFaultMode


ID_PROJECT_ALC_MARKERLINE

Interno ID: ID_PROJECT_ALC_MARKERLINE

Spessore linea del marker di pagina

Definisce lo spessore linea del marker di pagina in pixel.

Default: 3 Pixel

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCMarkerLine


ID_PROJECT_ALC_MARKERSIZE

Interno ID: ID_PROJECT_ALC_MARKERSIZE

Dimensione del marker di pagina

Definisce la grandezza dei marker immagine in pixel.

Default: 20 Pixel

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCMarkerSize


ID_PROJECT_ALC_MARKERTYPE

Interno ID: ID_PROJECT_ALC_MARKERTYPE

Tipo visualizzazione del marker di pagina

Forme di visualizzazione del marker di pagina Sono a disposizione:

  • Triangolo
  • Cerchio
  • Quadrato
  • Croce

Default: Triangolo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCMarkerType


ID_PROJECT_ALC_MAXOVERLOAD

Interno ID: ID_PROJECT_ALC_MAXOVERLOAD

Sovracorrente massima consentita [%]

Sovracorrente massima consentita in percentuale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCMaxOverload


ID_PROJECT_ALC_SEARCHMODE

Interno ID: ID_PROJECT_ALC_SEARCHMODE

Metodo di colorazione

Stabilisce la modalità della colorazione per lo stato UNDEFINED. Se si clicca sulla lista a cascata, si apre la selezione:

  • Standard: Il colore sorgente viene distribuito a partire da ogni sorgente accesa nella rete, finché il prossimo interruttore è chiuso.
  • Alimentazione prioritaria: Colora solamente le linee, che sono fornite potenzialmente da almeno una sorgente, ma non esplicitamente da una sorgente.

Default: Standard

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCSearchMode


ID_PROJECT_ASMACTIVE

Interno ID: ID_PROJECT_ASMACTIVE

IPA attivo

Il modulo Industrial Performance Analyzer (IPA) serve a visualizzare e ad analizzare in diverse liste dati allarmi e, così, a mostrare eventuali tempi di stallo.

Nota: per il modulo Industrial Performance Analyzer bisogna procurarsi la relativa licenza.

Attivo: la funzionalità dell´Industrial Performance Analyzer è a Vostra disposizione. Le ulteriori proprietà che potete impostare in questa sede per l´IPA, potete modificarle adesso.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmActive


ID_PROJECT_ASMAKZ

Interno ID: ID_PROJECT_ASMAKZ

Ident. Impianto

Identificazioni impianti Vi aiutano ad effettuare operazioni di filtro nell´immagine del tipo Industrial Performance Analyzer sulla base dei dati di allarme desiderati. L´identificazione impianto definita in questa sede può ricorrere o nel nome o nell´identificazione della variabile che ha causato l´allarme.

Cliccando con il tasto sinistro del mouse sul pulsante, si apre un dialogo nel quale potete selezionare le identificazioni impianti desiderate.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AKZ


ID_PROJECT_ASMAKZMODE

Interno ID: ID_PROJECT_ASMAKZMODE

Ident. impianto da

La definizione dell'identificazione impianti può essere indicata sia come prefisso nel nome della variabile, sia nell'identificazione della variabile. Di ciò bisogna tenere conto al momento di definire la variabile stessa.
Identificazione: una parte dell´identificazione della variabile viene usata nell´identificazione impianti nell´Industrial Performance Analyzer (IPA).
Nome variabile: una parte del nome variabile viene usata per l´identificazione impianti.

Default: Nome variabile

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AkzMode


ID_PROJECT_ASMBUFFERSIZE

Interno ID: ID_PROJECT_ASMBUFFERSIZE

Dimensione buffer

Numero massimo di allarmi che vengono scritti nel buffer.

Nota: se il buffer è pieno e altri allarmi devono essere salvati, quelli più vecchi che sono stati salvati nel buffer vanno persi. Tenetelo presente in fase di progettazione.
Minimo: 0.
Massimo: 4294967295.
Default: 10000.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmBufferSize


ID_PROJECT_ASMCYCLETIME

Interno ID: ID_PROJECT_ASMCYCLETIME

Ciclo di salvataggio

Stabilite l´intervallo di tempo in cui i dati allarmi provenienti dal buffer debbono essere scritti nella banca dati. Per ragioni di prestazione, l´Industrial Performance Analyzer (IPA) non mantiene un collegamento continuo con la banca dati. Facendo uso del ciclo di memorizzazione, potete stabilire con quale frequenza i dati devono essere scritti nella banca dati.

Indicate l´intervallo nel formato HH:MM:SS.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmCycleTime


ID_PROJECT_ASMDNS

Interno ID: ID_PROJECT_ASMDNS

Database

Definite in questa sede il collegamento con una banca dati compatibile con ODBC (per es. Microsoft SQL-Server), che l´Industrial Performance Analyzer deve usare per salvare i dati di allarme. Un clic con il tasto sinistro del mouse sul comando apre il dialogo che serve alla selezione della sorgente dati. Se non avete ancora impostato nessuna sorgente dati, potete impostarne una nuova usando questo dialogo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmDns


ID_PROJECT_ASMPREDEFFILTER

Interno ID: ID_PROJECT_ASMPREDEFFILTER

Predefinisci filtro tempo

Per la valutazione di dati allarme nell´immagine del tipo Industrial Performance Analyzer nel runtime, si possono utilizzare dei filtri tempo per far in modo che vengano visualizzati solamente gli allarmi di determinate aree tempo.

Cliccando con il tasto sinistro del mouse sul pulsante, si apre un dialogo nel quale potete selezionare i filtri tempo desiderati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PredefFilter


ID_PROJECT_ASMTABLE

Interno ID: ID_PROJECT_ASMTABLE

Nome della tabella

Indicate un nome per la tabella dell´Industrial Performance Analyzer nella banca dati compatibile con ODBC. Se non esiste ancora una tabella con questo nome, essa viene impostata automaticamente al momento del primo start del runtime.

Nota: i nomi tabella validi possono contenere solo segni alfanumerici e/o spazi vuoti e non possono iniziare con un numero. Non possono contenere più di 128 caratteri.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmTable


ID_PROJECT_BACKUPTIME

Interno ID: ID_PROJECT_BACKUPTIME

Data creazione backup

Mostra il momento dell´ultimo backup di progetto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackupTime


ID_PROJECT_BACKUPXML

Interno ID: ID_PROJECT_BACKUPXML

Esportazione XML attiva

Attivo: Nel backup di progetto viene inserito un file ZIP (Version.zip). Esso contiene 24 file XML con i backup dei singoli moduli.

Nota: nei progetti multiutente, solo nel caso di backup locale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackupWithXML


ID_PROJECT_DBD_SERVER

Interno ID: ID_PROJECT_DBD_SERVER

Server banca dati

Questa proprietà può essere inserita solamente al momento della creazione di un progetto.
Indica il server di banca dati di un progetto multiutente.
Se non c´è nessun inserimento, vuol dire che il progetto non è del tipo multiutente e la banca dati del progetto si trova sul computer locale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DatabaseServer


ID_PROJECT_EXTERNAL_REFERENCE

Interno ID: ID_PROJECT_EXTERNAL_REFERENCE

Riferimento esterno

Identificazione univoca di progetti, variabili, driver, tipi di dato, funzioni, matrici di reazione e immagini di zenon. Riferimento esterno è disponibile in zenon per la sola lettura. La proprietà viene usata come identificazione per tool di progettazione esterni, e può essere scritta solamente con l`API di zenon.

Default: Spazio

Lunghezza massima: 64 caratteri

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CPropExternalNames::szExternalReference


ID_PROJECT_IPA_ALARMCAUSELIST

Interno ID: ID_PROJECT_IPA_ALARMCAUSELIST

Cause allarmi

Nell´immagine del tipo Industrial Performance Analyzer può essere assegnata una causa allarme proveniente da una lista ad ogni allarme registrato. E´possibile effettuare un´operazione di filtro sulla base di cause allarmi.

La lista delle cause allarmi viene gestita in questa sede.

Cliccando con il tasto sinistro del mouse sul pulsante, si apre un dialogo nel quale definite le possibili cause allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmAlarmCauseListe


ID_PROJECT_IPA_SHIFTINFOPFS

Interno ID: ID_PROJECT_IPA_SHIFTINFOPFS

Turno dal PFS

Riprende i tempi per i turni definiti nel modulo Production & Facility Scheduler. I tempi dei turni vengono poi gestiti lì.

Attivo: il turno attuale al momento dell´allarme viene letto dal Production & Facility Scheduler (PFS).
Disattivata: il turno attuale al momento dell´allarme viene letto da una variabile collegata e una lista definita.
Default: attivo.
Attenzione: Il Production & Facility Scheduler è un modulo opzionale e si deve disporre della relativa licenza per essere usato in questa sede.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmShiftInfoPFS


ID_PROJECT_IPA_SHIFTINFOVARIABLE

Interno ID: ID_PROJECT_IPA_SHIFTINFOVARIABLE

Turno da variabile

Non disponibile se avete attivato IPA attivo. Inoltre non deve essere attivo il turno del PFS.

Il nome della variabile il cui valore fornisce informazioni sul turno attuale. Selezionate una variabile del tipo INT. In tal modo potete creare il seguente modello di turno.
Esempio:

1 = turno di mattina, 2 = turno posteriore, 3 = turno di notte, -1 = pausa. La denominazione dei turni per la loro analisi può essere definita tramite la proprietà turno dalla lista.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmShiftInfoVariable


ID_PROJECT_IPA_SHIFTLIST

Interno ID: ID_PROJECT_IPA_SHIFTLIST

Turno dalla lista

Non disponibile se avete attivato IPA attivo. Inoltre non deve essere attivo il nome turno del PFS.

In questa sede definite nomi per i valori delle variabili che avete collegato alla voce Turno da variabile.

Cliccando con il tasto sinistro del mouse sul pulsante, si apre un dialogo nel quale definite singoli nomi per valori.

Ai nomi turno possono essere assegnati i valori di una variabile collegata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmShiftNameListe


ID_PROJECT_IPA_SHIFTPFS

Interno ID: ID_PROJECT_IPA_SHIFTPFS

Nome turno dal PFS

Riprende i nomi per i turni definiti nel modulo Production & Facility Scheduler. I nomi dei turni vengono poi gestiti lì.

Attivo: il turno attuale al momento dell´allarme viene letto dal Production & Facility Scheduler (PFS).
Disattivata: il turno attuale al momento dell´allarme viene letto da una variabile collegata e una lista definita.
Default: attivo.

Attenzione: Il Production & Facility Scheduler è un modulo opzionale e si deve disporre della relativa licenza per essere usato in questa sede.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmShiftNamePFS


ID_PROJECT_IPA_USRLEVEL

Interno ID: ID_PROJECT_IPA_USRLEVEL

Per cancellare

Con l´immagine del tipo Industrial Performance Analyzer è possibile cancellare durante il runtime dei dati allarmi che si trovano nella banca dati. Per impedire che ci siano degli abusi, potete prevedere in fase di progettazione quali autorizzazioni deve avere l´utente per cancellare degli inserimenti.

Selezionate l´autorizzazione utente desiderata fra quelle del menu a cascata.

Default: 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmUsrLvl


ID_PROJECT_IPA_USRLEVELCAUSE

Interno ID: ID_PROJECT_IPA_USRLEVELCAUSE

Per modificare

Con l´immagine del tipo Industrial Performance Analyzer è possibile editare durante il runtime dei dati allarmi che si trovano nella banca dati. Per impedire che ci siano degli abusi, potete prevedere in fase di progettazione quali autorizzazioni deve avere l´utente per editare degli inserimenti.

Selezionate l´autorizzazione utente desiderata fra quelle del menu a cascata.

Default: 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AsmUsrLvlCause


ID_PROJECT_MAIN_TEMPLATES

Interno ID: ID_PROJECT_MAIN_TEMPLATES

Modelli primari

Nome dei modelli che vengono indicati nella variabile Ultima immagine aperta del driver di sistema. Cliccando su '...', si apre il dialogo per la scelta dei modelli.

Avvertenza:

  • Questa proprietà ha effetto anche sulla funzione Immagine indietro.
  • Quando si modifica il nome di un modello, se necessario, esso dovrà essere reinserito in questa sede. Altrimenti la variabile del driver di sistema Ultima immagine aperta non può più identificare le immagini basate su questo modello.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MainTemplates


ID_PROJECT_MULTIUSER

Interno ID: ID_PROJECT_MULTIUSER

Progetto multiutente

Attivo: il progetto viene usato come progetto multi-utente. Nella struttura ad albero del progetto c`è un nodo ulteriore "In costruzione".

Inattivo: il progetto viene usato come progetto standalone.

Default: inattivo.

Questa proprietà può essere attivata solamente tramite il menù contestuale del progetto.

Attenzione: l´attivazione di questa proprietà non può essere revocata! Tuttavia un progetto multi-utente può essere convertito mediante un backup in un progetto standalone.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MultiUser


ID_PROJECT_RTVERSION

Interno ID: ID_PROJECT_RTVERSION

Crea RT file per

Selezione della versione per cui vengono generati i file Runtime:

  • 6.20 SP4: i file runtime vengono generati per la versione 06:20 Service Pack 4.
  • 6.21 SP0: i file runtime vengono generati per la versione 06:21 Service Pack 0.
  • 6.21 SP1: i file runtime vengono generati per la versione 06:21 Service Pack 1.
  • 06:22 SP0: i file runtime vengono generati per la versione 06:22 Service Pack 0.
  • 06:22 SP1: i file runtime vengono generati per la versione 06:22 Service Pack 1.
  • 06:50 SP0: i file runtime vengono generati per la versione 06:50 Service Pack 0.
  • 06:51 SP0: i file runtime vengono generati per la versione 6.51 Service Pack 0.
  • 07:00 SP0: i file runtime vengono generati per la versione 07:00 Service Pack 0.
  • 07:10 SP0: i file runtime vengono generati per la versione 07:10 Service Pack 0.
  • 07:11 SP0: i file runtime vengono generati per la versione 07:11 Service Pack 0.
  • 07:20 SP0: i file runtime vengono generati per la versione 07:20 Service Pack 0.
  • Default: I file runtime vengono generati per la versione attuale dell´Editor.

Attenzione: Per garantire la consistenza dei file runtime, bisogna crearli di nuovo dopo ogni modifica di questa proprietà. Anche le configurazioni di tutti i driver vengono convertite. Le impostazioni che non esistono nella versione corrispondente, vengono settate su quelle di default.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RTVersion


ID_PROJECT_RUNTIMELASSO

Interno ID: ID_PROJECT_RUNTIMELASSO

Selezioni multiple in Runtime (Lazzo)

Attiva: muovendo il mouse tenendo premuto il tasto sinistro potete selezionare numerosi elementi durante il funzionamento runtime. Una macro VBA può avere accesso a questi elementi.
Non attiva: La funzionalità Selezioni multiple in Runtime (Lazzo) non viene utilizzata.
Default: Inattivo
Nota: Lazzofunziona solamente per quegli elementi che sono "raggiungibili tramite tastiera" e a cui è conessa una variabile on una funzione. Gli elementi statistici non vengono selezionati. La funzione lazzo può essere attivata o disattivata per singoli elementi ad immagine usando la proprietà Runtime/selezionabile tramite lazzo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RuntimeLasso


ID_PROJECT_USEVERSION

Interno ID: ID_PROJECT_USEVERSION

Attiva versionamento

Attivo: viene usato il versionamento progetti. Ogni backup di progetto viene salvato con un proprio numero di versione.

Inattivo: nessun versionamento dei backup di progetto.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VersionActive


ID_PROJECT_VERSIONDETAIL

Interno ID: ID_PROJECT_VERSIONDETAIL

Numero de taglio

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VersionDetail


ID_PROJECT_VERSIONNUMBER

Interno ID: ID_PROJECT_VERSIONNUMBER

Versione generale

Disponibile solo se la proprietà Attiva versionamento è stata attivata.

Numero che deve essere assegnato da parte dell´utente. Esso viene completato internamente con un numero file, separato da un punto, e viene visualizzato come Versione progetto.

Attenzione: modifiche non ponderate e non corrette di questo numero hanno conseguenze indesiderate sulla coerenza interna del versionamento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VersionNumber


ID_PROJECT_VERSIONS

Interno ID: ID_PROJECT_VERSIONS

Versionamento

Proprietà per il versionamento dei backup di progetto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Versioning


ID_PROJECT_VERSIONSTRING

Interno ID: ID_PROJECT_VERSIONSTRING

Versione progetto

Disponibile solo se la proprietà Attiva versionamento è stata attivata.

Mostra la versione del progetto. Il numero di versione consiste del numero di Versione generale assegnato dall´utente e di quello di dettaglio, che viene conferito internamente e si trova dopo il punto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VersionString


ID_PROJECT_ZOOM_STEPS

Interno ID: ID_PROJECT_ZOOM_STEPS

Livelli di zoom immagine globale

Verrà aperto il dialogo che serve alla definizione dei livelli di zoom per la funzione Visualizzazione globale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ZoomSteps


ID_PROJEKT_ADAM

Interno ID: ID_PROJEKT_ADAM

Connessione AD-LDS

Percorso di connessione con ADAM oppure AD LDS.

Il percorso di collegamento deve essere indicato nella forma seguente: [PC-Name]:[Port]/[Organisation]

Esempio: w3k:50000/O=750,c=com

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ADAM


ID_PROJEKT_ADAM_PWD

Interno ID: ID_PROJEKT_ADAM_PWD

Password AD-LDS

Identificazione dell´utente locale del PC ADAM/AD LDS.

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ADAMPwd


ID_PROJEKT_ADAM_USER

Interno ID: ID_PROJEKT_ADAM_USER

Nome utente AD-LDS

Nome utente di un utente locale del PC ADAM/AD LDS con diritti di amministratore.

Ulteriori informazioni riguardanti AD LDS nella guida in linea.

Ulteriori informazioni su ADAM nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ADAMUser


ID_PROJEKT_ALARM_CEL

Interno ID: ID_PROJEKT_ALARM_CEL

AML e CEL

Proprietà per la gestione allarmi e la Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AML_CEL


ID_PROJEKT_ALLGEMEIN

Interno ID: ID_PROJEKT_ALLGEMEIN

Generale

Proprietà generali del progetto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Project


ID_PROJEKT_ALT_PATH

Interno ID: ID_PROJEKT_ALT_PATH

Cartella dati

vuoto. Il percorso standard viene usato per il salvataggio di Lista allarmi, Lista eventi cronologica (CEL), dati dell´hard disk, dati archivio ecc. (Percorso progetto\Nome computer\Nome progetto).
Percorso: il percorso indicato in questa sede viene usato per salvare i dati ("Percorso inserito\Nome computer\Nome progetto").
Attenzione: se il percorso indicato non esiste (problemi di rete, supporto dati esterno non esistente), non viene più scritto nessun dato dal Runtime. Il che significa: perdita dati del 100%. si può continuare a lavorare con il Runtime, ma lo si deve riavviare. Se la cartella è disponibile o meno lo si può verificare con la variabile di sistema Cartella dati Runtime non disponibile.
Consiglio: non mettete mai la cartella dati su un supporto mobile, come una chiavetta USB. La cosa migliore è registrare i dati localmente e salvarli anche esternamente.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AltDataPath


ID_PROJEKT_AML

Interno ID: ID_PROJEKT_AML

Lista di informazione allarmi

Proprietà per la configurazione allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AML


ID_PROJEKT_AUTOMATIC_FUNC

Interno ID: ID_PROJEKT_AUTOMATIC_FUNC

Esecuzione funzione automatica

Proprietà per l´esecuzione automatica di funzioni.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AutoFunc


ID_PROJEKT_AUTOMATIC_FUNCTION

Interno ID: ID_PROJEKT_AUTOMATIC_FUNCTION

Funzione

Disponibile solo nel caso in cui la proprietà Esecuzione aut.funzione attiva è attiva:
Funzione che viene eseguita senza azione di comando una volta trascorso il tempo stabilito.
Se deve essere eseguita più di una funzione, si deve creare uno script con le funzioni desiderate e si deve collegare in questa sede la funzione per l´esecuzione dello script.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Function


ID_PROJEKT_AUTOMATIC_FUNCTION_ACTIVE

Interno ID: ID_PROJEKT_AUTOMATIC_FUNCTION_ACTIVE

Esecuzione aut.funzione attiva

  • Attivo: Esecuzione automatica della funzione quando il computer non è stato utilizzato per il tempo definito nella proprietà Periodo senza azione di comando (min). Selezione della funzione da eseguire tramite la proprietà Funzione.
  • Inattivo: Nessuna esecuzione automatica della funzione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FuncActive


ID_PROJEKT_AUTOMATIC_FUNCTION_TIME

Interno ID: ID_PROJEKT_AUTOMATIC_FUNCTION_TIME

Periodo senza azione di comando (min)

Disponibile solamente se la proprietà Esecuzione aut.funzione attiva è attiva:
Intervallo di tempo che deve passare senza azioni di comando perché la funzione definita venga eseguita.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FuncActiveTime


ID_PROJEKT_BLINK_FREQUENCY

Interno ID: ID_PROJEKT_BLINK_FREQUENCY

Frequenza di lampeggio [dec.Secondo]

Frequenza di lampeggio di elementi dinamico in decimi di secondo (per es.: 5 corrisponde ad un lampeggio al ritmo di 1/2 secondo).

  • Minimo: 0
  • Massimo: 2147483647
  • Default: 5

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BlinkRate


ID_PROJEKT_CEL

Interno ID: ID_PROJEKT_CEL

Lista eventi cronologica (CEL)

Proprietà per la gestione della Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_CEL


ID_PROJEKT_CHANGELOG

Interno ID: ID_PROJEKT_CHANGELOG

Log delle modifiche

Proprietà per il Log delle modifiche.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ChangeLog


ID_PROJEKT_CHANGELOG_AKTIV

Interno ID: ID_PROJEKT_CHANGELOG_AKTIV

Log delle modifiche attivo

Attivo: le modifiche apportate al progetto vengono protocollate.
Inattivo: le modifiche apportate al progetto non vengono protocollate.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ChangeLogAktiv


ID_PROJEKT_CHANGELOG_AUTOCHECKOUT

Interno ID: ID_PROJEKT_CHANGELOG_AUTOCHECKOUT

Consenti modifiche automatiche

Disponibile solo progetti multiutente se è attivo il Log delle modifiche:
Attivo: le modifiche concernenti gli inserimenti della lista vengono consentite automaticamente quando vengono aggiunti commenti. Poi dovranno essere accettate manualmente.
Inattivo: si possono aggiungere commenti solo dopo che si è consentito manualmente di effettuare modifiche agli inserimenti.
Default: inattivo.

Attenzione: se viene attivata, questa funzionalità consuma molte risorse.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ChangeLogCheckout


ID_PROJEKT_CHANGELOG_DETAIL

Interno ID: ID_PROJEKT_CHANGELOG_DETAIL

Livelli di dettaglio

Disponibile solo se la proprietà Log delle modifiche attivo è stata attivata.

Selezione del livello di dettaglio fra quelli della lista a cascata.

  • Oggetto: vengono visualizzati solamente i nomi degli oggetti modificati. I dettagli delle proprietà modificate e dei loro valori non vengono visualizzati nel Log di Modifiche.
  • Proprietà: Oltre all'indicazione degli oggetti, vengono registrate nel log delle modifiche anche le proprietà modificate e i rispettivi nuovi valori.
  • Cambio valori: Questa impostazione consente il più alto livello di dettaglio possibile. In questa modalità oltre al nuovo valore di una proprietà, ne viene salvato anche il nuovo. In tal modo si garantisce una completa tracciabilità delle modifiche concernenti i valori.

Default: Proprietà

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ChangeLogState


ID_PROJEKT_CURSOR_VISIBLE

Interno ID: ID_PROJEKT_CURSOR_VISIBLE

Cursore visibile

  • Attivo: Il cursore mouse è visibile nel Runtime.
  • Inattivo: Il cursore mouse non viene visualizzato nel Runtime. Se si progetta con Touchscreen, la visualizzazione del cursore mouse può essere fastidiosa e la si può disattivare facendo uso di questa proprietà.

Default: attiva
Attenzione: Questa impostazione ha effetto solamente su zenon, non sugli elementi standard di Windows, come header, menù, barre di scorrimento, ecc. Per gli elementi Windows, il cursore mouse deve essere disattivato direttamente nel sistema operativo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CursorVisible


ID_PROJEKT_DRIVER_INVISIBLE

Interno ID: ID_PROJEKT_DRIVER_INVISIBLE

Driver invisibile

Attivo: i driver avviati non vengono visualizzati durante il runtime nella taskbar di Windows.

Inattivo: i driver avviati vengono visualizzati durante il runtime nella taskbar di Windows.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DriverInvisible


ID_PROJEKT_ENABLEMENU

Interno ID: ID_PROJEKT_ENABLEMENU

Attiva menu principali

Visualizzazione di menù principali nel Runtime:

  • Attivo: una barra situata al margine superiore della finestra Runtime viene riservata alla visualizzazione dei menù.
  • Inattivo: nel Runtime non viene visualizzato nessuno dei menù principali.

Default: inattiva
Attenzione: se si vuole far uso di menù principali, si deve attivare questa opzione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EnableMenu


ID_PROJEKT_EXPORT_UNICODE

Interno ID: ID_PROJEKT_EXPORT_UNICODE

Esportazione testo in Unicode

Attivo: esportazione testo in Unicode.
Non attiva: esportazione testo in file ANSI.
Default: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExportUnicode


ID_PROJEKT_GDIPLUS

Interno ID: ID_PROJEKT_GDIPLUS

Qualità grafica

Impostazione per la qualità della rappresentazione grafica.
DirectX permette di conseguire dei risultati migliori rispetto a Windows Basis. Se si usa DirectX, in linea di principio si dovrebbe preferire l´uso dell´impostazione DirectX Hardware, mentre si dovrebbe ricorrere a DirectX Software solo quando assolutamente necessario. Possibile selezione:

  • Windows Basis: proprietà grafiche di base. Raccomandato per hardware dalle risorse limitate.
  • DirectX Software: Il calcolo della grafica viene eseguito dalla CPU e può causare un maggiore carico dell´unità di elaborazione centrale.
  • DirectX Hardware: Una parte del calcolo della grafica viene eseguito dalla scheda grafica. Se il sistema non supporta quest´impostazione, si passa automaticamente a DirectX Software.

Default: DirectX Hardware.

Attenzione: DirectX non è disponibile sotto Windows CE.

Avvertenza:

  • Se si cambia la modalità durante la progettazione, si possono verificare delle piccole differenze di numero di pixel. Perciò la proprietà dovrebbe essere definita prima della creazione delle immagini.
  • Quando si attiva l´opzione Windows Basis per tutti i tipi di linea che usano un Larghezza linea >1, tutti i tipi di linea vengono settati su linea continua.
  • Per la rappresentazione di elementi ActiveX (desinenza file: *.ocx) non si usa un DirectX.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UseGDIplus


ID_PROJEKT_GRP0

Interno ID: ID_PROJEKT_GRP0

Stampa

Proprietà per la stampa online della Lista allarmi (AML), o della Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Print


ID_PROJEKT_GRP1

Interno ID: ID_PROJEKT_GRP1

Nome/Cartella

Proprietà per il nome e la memoria del progetto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_PROJEKT_GRP2

Interno ID: ID_PROJEKT_GRP2

Impostazioni Runtime

Proprietà per il comportamento Runtime del progetto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Runtime


ID_PROJEKT_GRP3

Interno ID: ID_PROJEKT_GRP3

Tastiera

Proprietà per la gestione touch.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Touch


ID_PROJEKT_GRP4

Interno ID: ID_PROJEKT_GRP4

Logout automatico

Proprietà per il logout automatico.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AutoLogout


ID_PROJEKT_GRP5

Interno ID: ID_PROJEKT_GRP5

Login e firma

Proprietà per il login temporaneo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_TempLogin


ID_PROJEKT_GRP6

Interno ID: ID_PROJEKT_GRP6

Industrial Performance Analyzer

Proprietà per l´Industrial Performance Analyzer (IPA).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_IPA


ID_PROJEKT_GRP7

Interno ID: ID_PROJEKT_GRP7

Aspetto grafico

Proprietà per la rappresentazione grafica del Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Graphics


ID_PROJEKT_GRP8

Interno ID: ID_PROJEKT_GRP8

Salvataggio dati IPA

Proprietà per il salvataggio dei dati dell´Industrial Performance Analyzer (IPA).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Storage


ID_PROJEKT_GRP9

Interno ID: ID_PROJEKT_GRP9

Analisi

Proprietà per l´analisi dei dati dell´Industrial Performance Analyzer (IPA).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Analysis


ID_PROJEKT_GRP10

Interno ID: ID_PROJEKT_GRP10

Generale

Proprietà generali per il file.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_PROJEKT_GRP11

Interno ID: ID_PROJEKT_GRP11

Generale

Proprietà generali per il progetto zenon Logic.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

General


ID_PROJEKT_GRP12

Interno ID: ID_PROJEKT_GRP12

Generale

Proprietà generali per il backup di progetto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_PROJEKT_GRP13

Interno ID: ID_PROJEKT_GRP13

Elementi bloccati

Proprietà per la visualizzazione di elementi bloccati.
Gli elementi che sono bloccati grazie ad un gruppo autorizzazioni o un interblocco, vengono contrassegnati dalla presenza del simbolo del lucchetto, o mediante una grafica che può essere scelta liberamente dall´utente.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_LockSymbol


ID_PROJEKT_GRP14

Interno ID: ID_PROJEKT_GRP14

Immagini

Proprietà per la visualizzazione delle immagini nel runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Pictures


ID_PROJEKT_GRP15

Interno ID: ID_PROJEKT_GRP15

Industrial Maintenance Manager

Proprietà dell'Industrial Maintenance Manager (IMM) Esse sono disponibili solo se avete una licenza per l'Industrial Maintenance Manager.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_IMM


ID_PROJEKT_GRP16

Interno ID: ID_PROJEKT_GRP16

Diritti di accesso

Autorizzazioni per la cancellazione o la modifica di inserimenti nella banca dati dell´Industrial Performance Analyzers (IPA).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Rights


ID_PROJEKT_GRP17

Interno ID: ID_PROJEKT_GRP17

Runtime generale

Contiene le impostazioni per il runtime.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_RuntimeGeneral


ID_PROJEKT_GRP18

Interno ID: ID_PROJEKT_GRP18

Active Directory/AD-LDS

Proprietà per l´uso del

- Active Directory (AD)

- Active Directory Application Mode (ADAM)

- Active Directory Lightweight Directory Services (AD LDS)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ActiveDirectory


ID_PROJEKT_GRP19

Interno ID: ID_PROJEKT_GRP19

Colore di selezione per le liste oggetti

Configurazione dei colori utilizzati per evidenziare gli elementi su cui si trova il focus all´interno di liste configurabili. Queste proprietà hanno effetto per le seguenti liste:

  • Active Directory:
    • Lista nella finestra Active Directory (man non: albero)
  • AML
  • Filtro AML/Filtro CEL/Filtro tempo:
    • Lotti: Gestione archivio
    • Lotti: Selezione lotti
  • Batch:
    • Lista ricette modello
    • Lista ricette di controllo
  • CEL
  • Lista utenti:
    • Lista utenti
  • Trend esteso
    • Lista curve estesa
  • Message Control:
    • Coda messaggi
  • RGM:
    • Lista ricette e tabella dei valori ricetta (ma non: tabella valori ricette CE).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GFX_Lists


ID_PROJEKT_GRP_INTERACTION

Interno ID: ID_PROJEKT_GRP_INTERACTION

Interazione

Proprietà per gestione Multitouch.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Interaction


ID_PROJEKT_GUID

Interno ID: ID_PROJEKT_GUID

ID progetto

Ogni progetto viene identificato tramite un GUID univoco. Questa proprietà non può essere modificata.
Questo è anche il nome della sottocartella nella directory SQL in cui è salvato il progetto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GUID


ID_PROJEKT_KEYBOARD_SIZE

Interno ID: ID_PROJEKT_KEYBOARD_SIZE

Dimensione Keyboard [%]

Definisce con quale percentuale della grandezza originale deve essere visualizzata la Keyboard automatica nel Runtime.
Minimo: 50 %
Massimo: 300 %
Default: 100 %

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KeyboardSize


ID_PROJEKT_LIMIT_FUNCTION_ON_START

Interno ID: ID_PROJEKT_LIMIT_FUNCTION_ON_START

Esegui funzioni val. limiti all'avvio del RT

Esecuzione di funzioni di valore limite al momento dello start del Runtime e con violazione di valore limite in attesa.

  • Attivo: all avvio del Runtime una funzione collegata ad un valore limite in attesa viene di nuovo eseguita.
  • Inattivo: all'avvio del Runtime una funzione collegata ad un valore limite in attesa non viene di nuovo eseguita.

Default: attiva
Attenzione: Questa proprietà riguarda solamente dei valori limite che non sono allarmi!
Esempi:

  • Esempio 1: Il Runtime viene chiuso e nessun valore limite è stato violato. Poi viene violato un valore limite e in seguito avviato il Runtime. Se il valore limite violato è un allarme, allora viene eseguita la funzione collegata all'avvio del Runtime. Nel caso in cui invece il valore limite non è un allarme, viene usata l'impostazione di questa proprietà.
  • Esempio 2: Il Runtime viene chiuso e un valore limite, che non è un allarme, è stato violato. La funzione collegata viene eseguita nel momento in cui il valore limite è stato violato. Se il Runtime viene riavviato, questo valore limite è ancora violato. Dipendentemente da questa proprietà viene eseguita di nuovo la funzione collegata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LimitFunctionOnStart


ID_PROJEKT_MAIN_WINDOW

Interno ID: ID_PROJEKT_MAIN_WINDOW

Titolo Runtime

Visualizzazione della finestra principale del Runtime.

  • Nessun titolo: Visualizzazione della superficie completa. Barra del titolo non è visualizzata.
  • Titolo con pulsanti 'Ingrandisci' e 'Riduci a icona': si può modificare la grandezza della finestra e spostarla. Non è possibile chiudere (neanche usando il menù contestuale, la taskbar o la combinazione di tasti Alt+F4). Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menù contestuale.
  • Titolo con pulsanti di sistema, 'Riduci a icona' e 'Ingrandisci': si può modificare la grandezza della finestra e spostarla; inoltre la si può chiudere cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menù contestuale.
  • Titolo con menù di sistema: la finestra può essere spostata e chiusa cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menù contestuale.
  • Titolo senza pulsante: la finestra può essere spostata e chiusa cliccando sul pulsante X. Se si clicca con il tasto destro del mouse sulla barra dei titoli, si apre il menù contestuale.

Default: Nessun titolo:

Attenzione: Se si modifica questa proprietà nell´Editor, si dovrà riavviare il Runtime. Non è sufficiente effettuare solamente un aggiornamento del progetto, visto che, per riprendere le impostazioni concernenti la finestra principale, il Runtime deve essere chiuso e riaperto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MainWindowStyle


ID_PROJEKT_MULTITOUCH

Interno ID: ID_PROJEKT_MULTITOUCH

Multi-Touch attivo

Attivo: Si può usare il multitouch. Flick (breve movimento di strofinamento sul display) e clic destro (toccare il display e tenere premuto il dito) vengono disattivati.
Requisiti che tutti i driver corrispondenti e il dispositivo siano disponibili. Il dispositivo deve essere collegato e acceso.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MultiTouch


ID_PROJEKT_NAME

Interno ID: ID_PROJEKT_NAME

Nome progetto

Nome univoco del progetto.
Esso serve a garantire una lettura migliore; internamente si usa di norma il GUID.

Sono consentiti: cifre, lettere e i seguenti caratteri speciali: $, -, @, _, {}, ~, !, ()
Indicazione: tenete presente che, quando modificate il nome del progetto, dovete eventualmente anche adeguare i riferimenti del progetto di integrazione che valgono per più progetti, o l´uso multiprogetto di variabili, funzioni e VBA. A tal scopo usate il Dialogo di sostituzione di riferimenti di progetto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_PROJEKT_NETWORK_REDUNDANCY_GRP

Interno ID: ID_PROJEKT_NETWORK_REDUNDANCY_GRP

Impostazioni di ridondanza

Proprietà per la configurazione della ridondanza.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_NetRed


ID_PROJEKT_NETZ

Interno ID: ID_PROJEKT_NETZ

Rete

Proprietà per l´uso del progetto in una rete.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Net


ID_PROJEKT_NETZ_AKTIV

Interno ID: ID_PROJEKT_NETZ_AKTIV

Rete attiva

Attivo: il progetto viene usato come progetto di rete. Deve essere definito un server.
Inattivo: il progetto è un progetto Standalone.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetActive


ID_PROJEKT_NETZ_DATENSERVER

Interno ID: ID_PROJEKT_NETZ_DATENSERVER

Server 2 come Server dati

Il server definito in questa sede ha ha la connessione con l´hardware e inoltra i dati al server. Disponibile solamente se nella proprietà Server 2 è stato definito un computer

Attivo: Server 2 viene usato come server dati.

Inattivo: Server 1 viene usato come server dati.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetDataServer


ID_PROJEKT_NETZ_REDUNDANZTYP

Interno ID: ID_PROJEKT_NETZ_REDUNDANZTYP

Tipo di ridondanza

Disponibile solo se nella proprietà Server 2 sia stato inserito un calcolatore!

zenon supporta due tipi di ridondanza:

  • Ridondanza software: Il sistema è formato da un controllore e due calcolatori zenOn ridondati. Entrambi i calcolatori devono avere una connessione con il PLC. Entrambi i calcolatori comunicano con il PLC e aggiornano contemporaneamente i dati provenienti dal PLC. La comunicazione con il PLC viene svolta dal computer con la funzione server. Il server, dunque, comunica bidirezionalmente, lo standby in una sola direzione. Nel caso in cui smetta di funzionare il server, il gestisce la comunicazione bidirezionale con il PLC.
  • Ridondanza hardware: Il sistema è formato da due controllori ridondati e due calcolatori zenOn ridondati. Ogni calcolatore comunica con un PLC bidirezionalmente. Entrambi i computer e entrambi i PLC allineano i loro dati. Nel caso in cui una componente del primo sistema smette di funzionare, ne prende il posto il secondo sistema.

Default: Ridondanza software

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetType


ID_PROJEKT_NETZ_ROUTING_AKTIV

Interno ID: ID_PROJEKT_NETZ_ROUTING_AKTIV

Attiva routing

  • Attivo: Il computer funge da calcolatore nodi e può effettuare il routing di pacchetti. Tutti i pacchetti di rete provenienti dall´esterno passano per questo calcolatore.
    Questa impostazione può provocare dei problemi ed influenza le possibili topologie di rete. Ha senso utilizzarla in strutture di rete particolari, come, ad esempio, in reti WAN, oppure in reti con routing.

Raccomandazione: disattivare l´impostazione.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetRoutingActive


ID_PROJEKT_NETZ_SB

Interno ID: ID_PROJEKT_NETZ_SB

Server 2

Disponibile solamente se nella proprietà Server 1 è stato inserito un computer

Se si clicca su ..., si apre la finestra di dialogo contente la lista dei computer disponibili in rete.
Nei sistemi ridondanti, questo calcolatore assume il ruolo del server primario quando esso smette di funzionare. Quando il server che gestisce il processo non reagisce prima dello scadere del tempo definito nella proprietà Network communication timeout nel Startup Tool, il sistema riconosce che esso ha smesso di funzionare. Un buffer apposito aiuta a superare il tempo morto fra la fine del funzionamento del server e il passaggio a quello di standby, evitando così la perdita di dati.

Indicazione Nome: "localhost" non può essere usato come nome.
Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.
Attenzione: Server primario e Server-Standby devono avere lo stesso tempo assoluto.
Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetSB


ID_PROJEKT_NETZ_SERVER

Interno ID: ID_PROJEKT_NETZ_SERVER

Server 1

Disponibile solamente nel caso che la proprietà Rete attiva sia attiva.
Calcolatore che nei progetti di rete instaura la connessione con l´hardware e gestisce i dati di progetto. I clienti si collegano a questo calcolatore.

Quando si clicca su ... si apre la finestra di dialogo contenente la lista dei computer disponibili in rete.

Indicazione Nome: l'indirizzo IP non è sufficiente; bisogna inserire il nome del calcolatore. "localhost" non può essere usato come nome.
Se si cambia il nome, esso non potrà essere aggiornato. Verrà sincronizzato solo in seguito ad un riavvio del Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetServer


ID_PROJEKT_NETZ_TIMEOUT

Interno ID: ID_PROJEKT_NETZ_TIMEOUT

Timeout [s]

Disponibile solo se la proprietà Rete attiva è stata attivata.

Intervallo di tempo espresso in secondi nell´arco del quale un calcolatore deve reagire ad un Watchdog. Il tempo impostato in questa sede viene diviso per tre; dopo che è trascorso un terzo del tempo complessivo, un Watchdog controlla la connessione con il server. Se il server reagisce perlomeno ad un Watchdog, il sistema suppone che la connessione con il server funzioni. La comunicazione con il server viene controllata solamente attraverso questa funzionalità di Watchdog.
Attenzione: il timeout di rete deve essere impostato in modo tale che sia almeno la metà del TCP-timeout di sistema operativo.

Attenzione alle proprietà specifiche per WAN e connessioni dial-up. In questo caso, un´impostazione standard per il watchdog significa che la connessione viene mantenuta in permanenza.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetTimeout


ID_PROJEKT_NETZ_TOKEN

Interno ID: ID_PROJEKT_NETZ_TOKEN

Autorizzazione

Proprietà per l´autorizzazione comando nella rete.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Token


ID_PROJEKT_NETZ_TOKEN_AKTIV

Interno ID: ID_PROJEKT_NETZ_TOKEN_AKTIV

Autorizzazione attiva

Disponibile solamente nel caso in cui la proprietà Rete attiva sia attiva.
L´autorizzazione in rete è un meccanismo volto a garantire che solo una stazione della rete possa eseguire delle operazioni attive in un determinato momento. (per es. Modifica valore impostabile). L´accesso passivo, limitato alla sola lettura, invece, rimane sempre possibile.
Attiva: Un solo calcolatore può gestire un progetto in un determinato momento (per es. ripristinare degli allarmi, settare dei valori impostabili).
Non attiva: più calcolatori possono gestire il progetto contemporaneamente.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetTokenActive


ID_PROJEKT_NETZ_TOKEN_QUESTION

Interno ID: ID_PROJEKT_NETZ_TOKEN_QUESTION

Timeout per la richiesta [s]

Disponibile solamente se la proprietà Autorizzazione attiva è stata attivata.
Se l´autorizzazione di una stazione della rete viene bloccata, essa può essere richiesta da un altro calcolatore. Questa richiesta deve ottenere risposta nell´arco di tempo impostato in questa sede. Se il tempo scade senza che sia giunta alcuna risposta, la stazione che ha posto la richiesta ottiene automaticamente l´autorizzazione.

Default: 60 Secondi

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetTokenQuestion


ID_PROJEKT_NETZ_TOKEN_QUIT

Interno ID: ID_PROJEKT_NETZ_TOKEN_QUIT

Timeout per autorizzazione utenti [s]

Disponibile solamente se la proprietà Autorizzazione attiva è stata attivata.
Nell´arco di tempo fissato in questa sede, il calcolatore (Client) in possesso dell´autorizzazione deve comunicare con il server. Se ciò non avviene, l´autorizzazione viene rilasciata automaticamente.
Attenzione: questo valore deve essere minore del tempo impostato nella proprietà Timeout [s].

Default: 60 secondi

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetTokenQuit


ID_PROJEKT_NOT_TRANSLATED

Interno ID: ID_PROJEKT_NOT_TRANSLATED

Visualizza parole chiave non tradotte

Impostazione per la visualizzazione di parole chiave che non esistono in nessun file lingua:

Attivo: visualizzazione nel Runtime come parola chiave, per es.: @Text.
Non attiva: visualizzazione nel Runtime senza il simbolo @ premesso, per es.: Testo

Nota: se la parola chiave esiste in un file lingua, ma non c´è nessuna traduzione, nel Runtime non verrà visualizzato nessun resto (stringa vuota).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowNotTranslated


ID_PROJEKT_PASSWORT

Interno ID: ID_PROJEKT_PASSWORT

Gestione user

Proprietà relative al progetto per la gestione utenti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Password


ID_PROJEKT_POKEACK

Interno ID: ID_PROJEKT_POKEACK

Funzioni settaggio valore

Disponibile solamente nel caso in cui la proprietà Abilita CEL è attivata.

  • Attivo: Nel caso in cui i valori siano stati scritti con successo sull'hardware, si verifica un inserimento corrispondente nella CEL.
  • Inattivo: La scrittura di valori nella CEL non viene messa a protocollo.

Default: inattivo

Nota: Questa proprietà ha effetto durante il Runtime solo se il settaggio del valore impostabile viene eseguito tramite la funzione Settare valore impostabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELPokeAck


ID_PROJEKT_PRINT_ACTIVE

Interno ID: ID_PROJEKT_PRINT_ACTIVE

Stampa attiva

Attivo: la Lista eventi cronologica (CEL) o la Lista allarmi (AML) viene stampata online: ogni volta che si verifica un nuovo inserimento nella AML o nella CEL, l´evento viene inviato alla stampante definita nelle proprietà di progetto.
Non attiva: non ha luogo nessuna stampa online.
Default: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PrintActive


ID_PROJEKT_PRINT_AML_CEL

Interno ID: ID_PROJEKT_PRINT_AML_CEL

Stampa per

Disponibile solamente nel caso in cui la proprietà Stampa attiva è attiva.
Consente di decidere se AML oppure CEL devono essere stampate nel Runtime Può essere stampata solamente una sola delle due liste.

  • Lista di informazione allarmista allarmi: La Lista allarmi (AML) viene stampata online.
  • Lista Eventi Cronologica: La Lista eventi cronologica(CEL) viene stampata online.

Default: Lista di informazione allarmi

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PrintCEL


ID_PROJEKT_PRINT_LINES_PAGE

Interno ID: ID_PROJEKT_PRINT_LINES_PAGE

Righe per pagina

Disponibile solamente se la proprietà Stampa attiva è attiva.
Numero delle righe per pagina che vengono stampate con la stampa online.
Minimo: 0

Massimo: 65535
Default: 72

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PrintLines


ID_PROJEKT_PROP_GRP_INPUT_VISUALISATION_PEN

Interno ID: ID_PROJEKT_PROP_GRP_INPUT_VISUALISATION_PEN

Visualizzazione inserimento per penna

Proprietà per l´uso di Multi-Touch tramite pennino.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_PenInputVisualisation


ID_PROJEKT_PROP_GRP_INPUT_VISUALISATION_TOUCH

Interno ID: ID_PROJEKT_PROP_GRP_INPUT_VISUALISATION_TOUCH

Visualizzazione inserimento per touch

Proprietà per l´uso di Multi-Touch con le dita. .

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_TouchInputVisualisation


ID_PROJEKT_PROP_GRP_MULTITOUCH

Interno ID: ID_PROJEKT_PROP_GRP_MULTITOUCH

Multi-Touch

Proprietà per l´uso di Multi-Touch nel progetto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Multitouch


ID_PROJEKT_PROP_MULTITOUCH_MODE

Interno ID: ID_PROJEKT_PROP_MULTITOUCH_MODE

Analisi

Selezione del modo in cui devono essere interpretati i gesti Multitouch:

  • Disattiva: disattiva Multitouch.
  • Windows 7: i gesti attivi che sono supportati da Windows 7 sono attivati. In tal modo, è possibile una gestione Multitouch delle funzioni di zoom e scroll nella visualizzazione globale e Multitouch può essere realizzato mediante VSTA.
  • Windows 8: attiva i gesti che sono supportati da Windows 8. In tal modo, è possibile parametrizzare Multitouch in larga misura ricorrendo alle proprietà di zenon.

Default: Disattiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MultitouchMode


ID_PROJEKT_PROP_PEN_ACTIVE

Interno ID: ID_PROJEKT_PROP_PEN_ACTIVE

Attivo

Attivo: Proprietà per la gestione Multi-Touch con pennino sono disponibili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationPenActive


ID_PROJEKT_PROP_PEN_BARREL

Interno ID: ID_PROJEKT_PROP_PEN_BARREL

Stift-Taste

Attivo: L´opzione tasto pennino è disponibile per la gestione touch per mezzo di pennino.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationPenBarrel


ID_PROJEKT_PROP_PEN_DOUBLETAP

Interno ID: ID_PROJEKT_PROP_PEN_DOUBLETAP

Doppelt Tippen

Attivo: L´opzione Doppio tocco è disponibile per la gestione touch con pennino.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationPenPenDoubleTap


ID_PROJEKT_PROP_PEN_PRESS_AND_HOLD

Interno ID: ID_PROJEKT_PROP_PEN_PRESS_AND_HOLD

Drücken und Halten

Attivo: L´opzione Premi e mantieni è disponibile per la gestione touch con pennino.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationPenPressAndHold


ID_PROJEKT_PROP_PEN_RIGHTTAP

Interno ID: ID_PROJEKT_PROP_PEN_RIGHTTAP

Drücken und Tippen

Attivo: L´opzione Premi e tocca è disponibile per la gestione touch con pennino.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationPenRightTap


ID_PROJEKT_PROP_PEN_TAP

Interno ID: ID_PROJEKT_PROP_PEN_TAP

Tippen

Attivo: L´opzione Tocco è disponibile per la gestione touch per mezzo di pennino.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationPenTap


ID_PROJEKT_PROP_TOUCH_ACTIVE

Interno ID: ID_PROJEKT_PROP_TOUCH_ACTIVE

Attivo

Attivo: Le proprietà per la gestione touch con le dita sono disponibili.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationTouchActive


ID_PROJEKT_PROP_TOUCH_CONTACT

Interno ID: ID_PROJEKT_PROP_TOUCH_CONTACT

Kontakt

Attivo: L´opzioneContatto è disponibile per la gestione touch con dita.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationTouchContact


ID_PROJEKT_PROP_TOUCH_DOUBLETAP

Interno ID: ID_PROJEKT_PROP_TOUCH_DOUBLETAP

Doppelt Tippen

Attivo: L´opzioneDoppio tocco è disponibile per la gestione touch con dita.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationTouchDoubleTap


ID_PROJEKT_PROP_TOUCH_PRESS_AND_HOLD

Interno ID: ID_PROJEKT_PROP_TOUCH_PRESS_AND_HOLD

Drücken und Halten

Attivo: L´opzione Premi e mantieni è disponibile per la gestione touch con dita.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationTouchPressAndHold


ID_PROJEKT_PROP_TOUCH_RIGHTTAP

Interno ID: ID_PROJEKT_PROP_TOUCH_RIGHTTAP

Drücken und Tippen

Attivo: L´opzione Premi e tocca è disponibile per la gestione touch con dita.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationTouchRightTap


ID_PROJEKT_PROP_TOUCH_TAP

Interno ID: ID_PROJEKT_PROP_TOUCH_TAP

Tippen

Attivo: L´opzioneTocco è disponibile per la gestione touch con dita.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputVisualisationTouchTap


ID_PROJEKT_RATED_NET_DETECT_OFF_TIME

Interno ID: ID_PROJEKT_RATED_NET_DETECT_OFF_TIME

Banda morta post-commutazione[s]

Tempo di attesa (espresso in secondi) perché si verifichi il cambio della gestione del processo dopo una modifica nel ruolo dei calcolatori coinvolti nel meccanismo di ridondanza.

Disponibile solo se la modalità di ridondanza è Nominale.

  • Minimo: 0
  • Massimo: 65535

Default: 10

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetDetectOffTime


ID_PROJEKT_RATED_NET_HYSTERESIS

Interno ID: ID_PROJEKT_RATED_NET_HYSTERESIS

Isteresi

Isteresi in punti di valutazione che devono essere superati per attivare il ritardo del cambio.

Disponibile solo se la modalità di ridondanza è Nominale.

Minimo: 0
Massimo: 4294967296

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetHysteresis


ID_PROJEKT_RATED_NET_REDUNDANCY_MODE

Interno ID: ID_PROJEKT_RATED_NET_REDUNDANCY_MODE

Tipo di ridondanza

Tipo di modalità della ridondanza in rete. Selezione della modalità della ridondanza fra quelle del menù a tendina:

  • Dominante:
    se esiste, il Server 1 configurato diventa sempre il server primario. Questo significa che il Server 2 configurato sarà il server primario solo se Server 1 non esiste.
  • Non dominante:
    il server avviato per primo assume il ruolo di server primario.
    Se il Server 1 configurato smette di funzionare, il Server 2 (oppure viceversa) assume il ruolo di server primario. Questo computer mantiene questo ruolo finché non viene eseguito manualmente un cambio di ridondanza, oppure finché il server primario attuale non smette di funzionare.
  • Nominale:
    viene eseguita una Valutazioni in una tabella configurabile. A seconda dell´esito di questa analisi, il sistema determina il ruolo di server primario e esegue il cambio di ridondanza di conseguenza.

Default: Non dominante

Nota: Attivo solamente se il tipo di ridondanza è ridondanza software.
Non attivo se Rete attiva è disattivato, Tipo di ridondanza è ridondanza software, oppure non sono indicati Server 1 e Server 2.

Ulteriori informazioni nella guida in linea .

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetMode


ID_PROJEKT_RATED_NET_SUM

Interno ID: ID_PROJEKT_RATED_NET_SUM

Valutazioni

Mostra la somma della valutazione e il numero delle variabili definite nella valutazione. Cliccando sul pulsante ... si apre una finestra di dialogo che serve alla selezione e alla configurazione delle variabili per la valutazione di ridondanza.
Disponibile solo se la modalità di ridondanza è Nominale.

Default: Spazio

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetSummarization


ID_PROJEKT_RATED_NET_SWITCH_DELAY

Interno ID: ID_PROJEKT_RATED_NET_SWITCH_DELAY

Ritardo di commutazione[s]

Tempo di ritardo (espresso in secondi) perché il calcolatore passi ad essere server primario.

Disponibile solo se la modalità di ridondanza è Nominale.

  • Minimo: 0
  • Massimo: 65535

Default: 30 s

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetSwitchDelay


ID_PROJEKT_SAME_COMMENTS

Interno ID: ID_PROJEKT_SAME_COMMENTS

Stesso commento

Attivo: I commenti che nel runtime vengono aggiunti ad un allarme, vengono depositati anche presso il relativo inserimento nella Lista eventi cronologica (CEL)
Inattivo: i commenti relativi ad un allarme vengono depositati solamente nella lista informazioni allarmi.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SameComments


ID_PROJEKT_SCHALTFOLGEN

Interno ID: ID_PROJEKT_SCHALTFOLGEN

Sequenze di comando

Proprietà relative al progetto per il modulo Sequenze di comando.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_SwitchingSequences


ID_PROJEKT_SEL_WITH_BORDER

Interno ID: ID_PROJEKT_SEL_WITH_BORDER

Seleziona con cornice

  • Attivo: nella lista di informazioni allarmi (AML) e nella lista eventi cronologica (CEL) vengono messe in evidenza le righe selezionate mediante una cornice. Consigliata per una migliore leggibilità nel caso di elevate risoluzioni dello schermo.
  • Inattivo: Il colore di sfondo delle righe selezionate viene invertito. Consigliata per una migliore leggibilità nel caso di basse risoluzioni dello schermo.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SelBorder


ID_PROJEKT_STARTBILD

Interno ID: ID_PROJEKT_STARTBILD

Immagine di partenza

Questa immagine viene aperta automaticamente all'avvio del runtime. La prima immagine generata in un progetto viene inserita qui automaticamente.
Cliccando sul pulsante ... si apre il dialogo di selezione immagini.

Nota: tipi speciali di immagine come immagine iniziale sono aperti con filtro vuoto e, dunque, senza dati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StartPictureName


ID_PROJEKT_TOUCH1

Interno ID: ID_PROJEKT_TOUCH1

Posizione preferita

Proprietà per la posizione preferita in corrispondenza della quale viene aperta la keyboard automatica in relazione all´elemento selezionato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_KeyboardPosition


ID_PROJEKT_TOUCH2

Interno ID: ID_PROJEKT_TOUCH2

Posizione alternativa

Proprietà per la posizione alternativa in corrispondenza della quale viene aperta la keyboard automatica in relazione all´elemento selezionato, quando essa non può essere aperta nella posizione preferita.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_KeyboardPositionAlt


ID_PROJEKT_TOUCHSCREEN

Interno ID: ID_PROJEKT_TOUCHSCREEN

Tastiera automatica

Per progetti con Touchscreen.

  • Attivo: viene aperta automaticamente una finestra keyboard quando è necessario effettuare un inserimento (per es.: nel caso di Setta valore impostabile oppure nel caso del login).
  • Inattivo: non viene aperta nessuna finestra Keyboard.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Touchscreen


ID_PROJEKT_TOUCHSCREEN_HORZ

Interno ID: ID_PROJEKT_TOUCHSCREEN_HORZ

Spostamento orizzontale [Pixel]

Distanza orizzontale (in pixel) dall´elemento selezionato per la posizione desiderata della keyboard automatica.
Default: 2.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KeyboardPixelHorz


ID_PROJEKT_TOUCHSCREEN_HORZ_ALT

Interno ID: ID_PROJEKT_TOUCHSCREEN_HORZ_ALT

Spostamento orizzontale [Pixel]

Distanza orizzontale (in pixel) dall´elemento selezionato per la posizione alternativa della keyboard automatica.
Default: 2.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KeyboardPixelHorzAlt


ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT

Interno ID: ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT

Orizzontale

Posizione orizzontale della keyboard automatica per la posizione preferita.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KeyboardPosHorz


ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT_ALT

Interno ID: ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT_ALT

Orizzontale

Posizione orizzontale della keyboard automatica per la posizione alternativa.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KeyboardPosHorzAlt


ID_PROJEKT_TOUCHSCREEN_TOPBOT

Interno ID: ID_PROJEKT_TOUCHSCREEN_TOPBOT

Verticale

Posizione verticale della keyboard automatica per la posizione preferita.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KeyboardPosVert


ID_PROJEKT_TOUCHSCREEN_TOPBOT_ALT

Interno ID: ID_PROJEKT_TOUCHSCREEN_TOPBOT_ALT

Verticale

Posizione verticale della keyboard automatica per la posizione alternativa .

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KeyboardPosVertAlt


ID_PROJEKT_TOUCHSCREEN_VERT

Interno ID: ID_PROJEKT_TOUCHSCREEN_VERT

Spostamento verticale [Pixel]

Distanza verticale (in pixel) dall´elemento selezionato per la posizione desiderata della keyboard automatica.
Default: 2.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KeyboardPixelVert


ID_PROJEKT_TOUCHSCREEN_VERT_ALT

Interno ID: ID_PROJEKT_TOUCHSCREEN_VERT_ALT

Spostamento verticale [Pixel]

Distanza verticale (in pixel) dall´elemento selezionato per la posizione alternativa della keyboard automatica.
Default: 2.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KeyboardPixelVertAlt


ID_PROJEKT_TREND_MILLISEC

Interno ID: ID_PROJEKT_TREND_MILLISEC

Valori Trend e HD in millisecondi

  • Attivo: rappresentazione ed elaborazione interna dei valori HD, nonché il refresh delle immagini attive in millisecondi.
  • Inattivo: rappresentazione ed elaborazione interna dei valori HD, nonché il refresh delle immagini attive in secondi.

Default: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TrendMilliSec


ID_PROJEKT_VARBEZEICHNER

Interno ID: ID_PROJEKT_VARBEZEICHNER

Visualizza variabili tramite

Visualizzazione variabile nel Runtime:
Facendo in runtime un clic con il tasto destro del mouse, e tenendolo premuto sull´elemento, verrà visualizzato come informazione in dipendenza di questa proprietà il nome, l´identificazione o l´indirizzo della variabile.
Questa proprietà inoltre è valida per la visualizzazione della legenda delle variabili del trend.
Viene anche utilizzata per la visualizzazione dell´elemento trend e nel box di dialogo dell´elemento multibin nell´editor.
Indirizzo: le variabili vengono visualizzate con il loro indirizzo.
Identificazione: le variabili vengono visualizzate con la loro identificazione.
Nome: le variabili vengono visualizzate con il loro nome.
Default: Nome.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VarIdentifier


ID_PROJEKT_VERWALTUNG

Interno ID: ID_PROJEKT_VERWALTUNG

Projekt-Verwaltung

Viene aperto il dialogo di configurazione per il progetto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ProjectAdministration


ID_PROJEKT_VERZEICHNIS

Interno ID: ID_PROJEKT_VERZEICHNIS

Cartella Runtime

Cartella per i file runtime del progetto.
In questa cartella vengono salvati i file runtime generati; essa viene salvata come percorso di partenza del runtime.
Di default viene inserita qui la cartella indicata al momento della creazione del progetto. La cartella può essere modificata in un secondo momento.

Nota! I dati storici già generati dal Runtime devono essere copiati manualmente nella nuova cartella.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WorkingPath


ID_PROJEKT_WINDOWS_CE

Interno ID: ID_PROJEKT_WINDOWS_CE

Progetto WindowsCE

  • Attivo: le funzionalità che non vengono supportate sotto Windows CE, sono escluse nell´Editor (sono di colore grigio oppure invisibili).
  • Inattivo: è a disposizione la completa funzionalità dell´Editor provvista di licenza.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WindowsCE


ID_PROP_COMBOLIST_DYNCONTENT_USE

Interno ID: ID_PROP_COMBOLIST_DYNCONTENT_USE

Inserimento da variabile string

Attivo: Gli inserimenti per Combo-/Listbox si definiscono mediante la variabile string selezionata nella proprietà Variabile.

Inattivo: gli inserimenti vengono definiti nell´Editor usando il dialogo della proprietà Inserimenti.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UseDynContent


ID_PROP_COMBOLIST_DYNCONTENT_VARIABLE

Interno ID: ID_PROP_COMBOLIST_DYNCONTENT_VARIABLE

Variabile

Disponibile solo se la proprietà Inserimento da variabile string è attiva.

Selezione della variabile string che contiene gli inserimenti per Combo-/Listbox. Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DynContentVariable


ID_PROP_COMBOLIST_FGCOLOR_SEL

Interno ID: ID_PROP_COMBOLIST_FGCOLOR_SEL

Colore testo per la selezione

Definisce il colore del testo quando viene selezionato un elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti. Il colore è statico e non usa la variabile collegata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorSelected


ID_PROP_COMBOLIST_HGCOLOR_SEL

Interno ID: ID_PROP_COMBOLIST_HGCOLOR_SEL

Colore di sfondo per la selezione

Definisce il colore di sfondo quando viene selezionato un elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti. Il colore è statico e non usa la variabile collegata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorSelected


ID_PROP_COMBOLIST_SOFORTREAKT

Interno ID: ID_PROP_COMBOLIST_SOFORTREAKT

Reazione immediata

Rende possibile nel caso di driver che reagiscono lentamente di rappresentare come se fosse già successa una reazione anche se la risposta del driver non è ancora giunta.

attivo: Rappresenta nella visualizzazione delle reazioni del driver come già avvenuto anche se non si sono ancora verificate.

Default: attivo

Nota: Nel caso in cui un driver non dovesse reagire, la mancanza della reazione non viene notata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InstantReaction


ID_PROP_ELE_RT_LASSO

Interno ID: ID_PROP_ELE_RT_LASSO

selezionabile tramite lazzo

La selezione per lazzo nel Runtime consente l´identificazione di elementi dinamici per l´uso di events VBA.
Attivo: l´elemento può essere selezionato nel Runtime con il lazzo.
Inattivo: l´elemento non può essere selezionato nel Runtime.
Default: attiva

Attenzione: per far sì che l´elemento sia selezionabile nel Runtime, nelle proprietà di progetto deve essere attivata la proprietà Selezioni multiple in Runtime (Lazzo)!

Nota Comando: Se si usa la proprietà Comando a due mani, il lasso per l´elemento di controllo Esegui 2° Livello non deve essere attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LassoSelect


ID_PROP_GRP_SYSTEMMODEL_GROUP

Interno ID: ID_PROP_GRP_SYSTEMMODEL_GROUP

Generale

Proprietà generali del gruppo impianti.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_PROP_GRP_SYSTEMMODEL_MODEL

Interno ID: ID_PROP_GRP_SYSTEMMODEL_MODEL

Generale

Proprietà generali del modello impianti.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_PROP_MSGCTRL_MESSAGE_ACKREQ

Interno ID: ID_PROP_MSGCTRL_MESSAGE_ACKREQ

Ripristino obbligatorio

Il messaggio deve essere confermato al momento della ricezione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AckReq


ID_PROP_MSGCTRL_MESSAGE_ACKTIMEOUT

Interno ID: ID_PROP_MSGCTRL_MESSAGE_ACKTIMEOUT

Timeout di avviso ricezione

Intervallo di tempo per la conferma del messaggio.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AckTimeOut


ID_PROP_MSGCTRL_MESSAGE_ATTACHMENT

Interno ID: ID_PROP_MSGCTRL_MESSAGE_ATTACHMENT

Allegato

Nome dell´allegato di un messaggio. Solo per E-Mail via SMTP.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Attachment


ID_PROP_MSGCTRL_MESSAGE_ATTEMPTS

Interno ID: ID_PROP_MSGCTRL_MESSAGE_ATTEMPTS

Tentativi

Numero dei tentativi di invio.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Attempts


ID_PROP_MSGCTRL_MESSAGE_CODESFROMFUNCTION

Interno ID: ID_PROP_MSGCTRL_MESSAGE_CODESFROMFUNCTION

Codice specifico di funzione

Mostra se viene usato un codice individuale per la conferma.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CodesFromFunction


ID_PROP_MSGCTRL_MESSAGE_CUSTOMID

Interno ID: ID_PROP_MSGCTRL_MESSAGE_CUSTOMID

Identificatore personalizzato

Identifier definito dall´utente.
Può essere settato solamente tramite VBA/VSTA nell´evento MessageCreated".

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CustomIdentifier


ID_PROP_MSGCTRL_MESSAGE_CYCLECOUNTER

Interno ID: ID_PROP_MSGCTRL_MESSAGE_CYCLECOUNTER

Numero ciclo d' invio

Indica il numero delle volte in cui un messaggio è stato inoltrato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CycleCounter


ID_PROP_MSGCTRL_MESSAGE_DESTINATION

Interno ID: ID_PROP_MSGCTRL_MESSAGE_DESTINATION

Destinazione

Indirizzo della destinazione del messaggio (indirizzo E-Mail, numero di telefono).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Destination


ID_PROP_MSGCTRL_MESSAGE_GUID

Interno ID: ID_PROP_MSGCTRL_MESSAGE_GUID

GUID

Identificazione univoca (GUID) del messaggio.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GUID


ID_PROP_MSGCTRL_MESSAGE_MAXATTEMPTS

Interno ID: ID_PROP_MSGCTRL_MESSAGE_MAXATTEMPTS

Numero Max. Tentativi

Numero massimo dei tentativi di invio.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxAttempts


ID_PROP_MSGCTRL_MESSAGE_MESSAGE

Interno ID: ID_PROP_MSGCTRL_MESSAGE_MESSAGE

Notizia

Testo del messaggio.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MessageText


ID_PROP_MSGCTRL_MESSAGE_SEND

Interno ID: ID_PROP_MSGCTRL_MESSAGE_SEND

prossimo tentativo

Momento del prossimo tentativo di invio del messaggio.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Send


ID_PROP_MSGCTRL_MESSAGE_SENT

Interno ID: ID_PROP_MSGCTRL_MESSAGE_SENT

Creato / ultimo invio

Momento nel quale il messaggio è stato generato, oppure nel quale è avvenuto l´ultimo tentativo di invio.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Sent


ID_PROP_MSGCTRL_MESSAGE_TIMETOWAIT

Interno ID: ID_PROP_MSGCTRL_MESSAGE_TIMETOWAIT

Tempo di attesa

Tempo di attesa espresso in minuti per il monitoraggio di timeout e inoltro di messaggi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TimeToWait


ID_PROP_MSGCTRL_MESSAGE_TITLE

Interno ID: ID_PROP_MSGCTRL_MESSAGE_TITLE

Soggetto

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Title


ID_PROP_MSGCTRL_MESSAGE_USER

Interno ID: ID_PROP_MSGCTRL_MESSAGE_USER

Nome destinatario

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserName


ID_PROP_SKIN_ADVANCEDSETTINGS

Interno ID: ID_PROP_SKIN_ADVANCEDSETTINGS

Funzionalità grafiche avanzate

Disponibile solo per PC.

Gestisce l´uso delle barre di scorrimento adattabili orizzontale e verticale, dell´intestazione e della griglia. Se attivate questa proprietà, potete adattare alle Vostre esigenze la modalità di visualizzazione del campo lista.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AdvancedStyleH


ID_PROP_SKIN_ADVANCEDSETTINGS_GROUP

Interno ID: ID_PROP_SKIN_ADVANCEDSETTINGS_GROUP

Barra di scorrimento

Proprietà per le barre di scorrimento orizzontale e verticale.

Ulteriori informazioni nella guida in linea per AML.

Ulteriori informazioni nella guida in linea per CEL.

Ulteriori informazioni nella guida in linea per ETM.

Ulteriori informazioni nella guida in linea per RGM.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SkinAdvanced


ID_PROP_SKIN_ENABLEHEADER

Interno ID: ID_PROP_SKIN_ENABLEHEADER

Intestazione utilizzabile

Permette di gestire l´intestazione per la lista corrispondente. Nel Runtime potete modificare la larghezza delle colonne ed organizzare la visualizzazione secondo una colonna a piacere.

  • attivo: L´intestazione è gestibile.

Default: attiva

Disponibilità:

  • Disponibile per AML e CEL solo a queste condizioni:
    solo se nelle impostazioni di progetto avete selezionato "Intestazione modificabile" nel gruppo Lista di informazione allarmi per la proprietà Header AML, oppure nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL.
  • Disponibile per la lista aspetto cursore nel trend esteso.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EnableHeader


ID_PROP_SKIN_GRIDCOLORH

Interno ID: ID_PROP_SKIN_GRIDCOLORH

Colore linea orizzontale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GridColorH


ID_PROP_SKIN_GRIDCOLORV

Interno ID: ID_PROP_SKIN_GRIDCOLORV

Colore linea verticale

Definisce il colore delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccando una volta con il tasto sinistro del mouse sul pulsante, aprite la lista dei colori predefiniti. Potete anche inserire direttamente il nome colore desiderato sotto forma di Hex-Code (RGB) nel campo di inserimento apposito.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GridColorV


ID_PROP_SKIN_GRIDGRP

Interno ID: ID_PROP_SKIN_GRIDGRP

Griglia

Proprietà per la griglia del campo lista.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SkinGrid


ID_PROP_SKIN_GRIDSIZEH

Interno ID: ID_PROP_SKIN_GRIDSIZEH

Distanza orizzontale [Pixel]

Larghezza delle linee giglia orizzontali espressa in pixel. Cambiate il valore per modificare le linee orizzontali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee orizzontali verranno escluse.

Default: 1.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GridSizeH


ID_PROP_SKIN_GRIDSIZEV

Interno ID: ID_PROP_SKIN_GRIDSIZEV

Spessore linea verticale [Pixel]

Larghezza delle linee griglia verticali espressa in pixel. Cambiate il valore per modificare le linee verticali della griglia nella visualizzazione lista del runtime. Se indicate 0, le linee verticali verranno escluse.

Default: 1.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GridSizeV


ID_PROP_SKIN_GRIDTYPEH

Interno ID: ID_PROP_SKIN_GRIDTYPEH

Stile barra orizzontale

Definisce il tipo delle linee di griglia orizzontali nella rappresentazione lista durante il runtime. Cliccate sulla linea e selezionate il tipo desiderato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea piena.

Attenzione: questa proprietà è a disposizione solamente se il valore per la proprietà Distanza orizzontale [Pixel] è pari a 1 . Per valori >1 viene usata sempre una linea piena.

Nota: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GridTypeH


ID_PROP_SKIN_GRIDTYPEV

Interno ID: ID_PROP_SKIN_GRIDTYPEV

Tipo linea verticale

Definisce il tipo delle linee di griglia verticali nella rappresentazione lista durante il runtime. Cliccate sulla linea e selezionate il tipo desiderato (linea continua, linea interrotta, linea a trattini ecc.)

Default: linea piena.

Attenzione: questa proprietà è a disposizione solamente se il valore per la proprietà Spessore linea verticale [Pixel] è pari a 1 . Per valori >1 viene usata sempre una linea piena.

Nota: la griglia viene visualizzata solamente se, nella funzione Cambio immagine o nel runtime, nel filtro è stata attivata la griglia.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GridTypeV


ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderBackColor


ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Interno ID: ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Sfumatura colore

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il primo secondo di riempimento che viene utilizzato per l´effetto riempimento nell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderBackColor2


ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Angolo

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset.

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderColorGradientAngle


ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Interno ID: ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Offset

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale dell´intestazione orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale dell´intestazione, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderColorGradientOffset


ID_PROP_SKIN_HEADERBAR_FONT

Interno ID: ID_PROP_SKIN_HEADERBAR_FONT

Carattere

Definisce il carattere che deve essere usato per il testo dell´Intestazione. Un clic sul comando apre il dialogo che serve alla selezione dei tipi di carattere predefiniti.

Per i nuovi elementi viene ripreso l'ultimo carattere utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per Modulo Trend esteso

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderFont


ID_PROP_SKIN_HEADERBAR_FONT_COLOR

Interno ID: ID_PROP_SKIN_HEADERBAR_FONT_COLOR

Colore testo

Definisce il colore che deve essere usato per il testo dell´intestazione. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quell´elemento.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderFontColor


ID_PROP_SKIN_HEADERBAR_GRP

Interno ID: ID_PROP_SKIN_HEADERBAR_GRP

Intestazione

Proprietà per l´intestazione del campo lista.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SkinHeader


ID_PROP_SKIN_HEADERBAR_LIGHTNING

Interno ID: ID_PROP_SKIN_HEADERBAR_LIGHTNING

Effetto luce

Selezionate qui il tipo dell´effetto di riempimento per l´intestazione sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea AML

Ulteriori informazioni nella guida in linea CEL

Ulteriori informazioni nella guida in linea per ETM

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderLightning


ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

In ordine decrescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista per Ordinamento decrescente. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DescDownImage


ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSORTUP

In ordine crescente

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista per Ordinamento crescente. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AscSortImage


ID_PROP_SKIN_HEADERBAR_PRJSPAN

Interno ID: ID_PROP_SKIN_HEADERBAR_PRJSPAN

Sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nell´intestazione del campo lista come sfondo. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderBarImage


ID_PROP_SKIN_HEADERBAR_STYLE

Interno ID: ID_PROP_SKIN_HEADERBAR_STYLE

Stile di visualizzazione

Disponibile solamente se avete selezionato nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL Intestazione modificabile o Intestazione fissa. Inoltre dovete attivare anche la proprietà Funzionalità grafiche avanzate e Visualizza intestazione per il campo lista relativo.

Disponibile per la lista aspetto cursore nel trend esteso.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto luce, Offset e Angolo.

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente Carattere e Colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HeaderStyle


ID_PROP_SKIN_HORBAR_BACKCOLOR

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorH


ID_PROP_SKIN_HORBAR_BACKCOLOR2

Interno ID: ID_PROP_SKIN_HORBAR_BACKCOLOR2

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento orizzontale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColor2H


ID_PROP_SKIN_HORBAR_BUTTONHEIGHT

Interno ID: ID_PROP_SKIN_HORBAR_BUTTONHEIGHT

Altezza freccia di scorrimento [Pixel]

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ButtonHeightH


ID_PROP_SKIN_HORBAR_BUTTONWIDTH

Interno ID: ID_PROP_SKIN_HORBAR_BUTTONWIDTH

Larghezza freccia di scorrimento [Pixel]

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ButtonWidthH


ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorGradientAngleH


ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Interno ID: ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Offset [%]

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento orizzontale a sinistra o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento orizzontale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorGradientOffsetH


ID_PROP_SKIN_HORBAR_GRP

Interno ID: ID_PROP_SKIN_HORBAR_GRP

Barra di scorrimento orizzontale

Proprietà per la barra di scorrimento orizzontale del campo lista.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SkinHorBar


ID_PROP_SKIN_HORBAR_LIGHTNING

Interno ID: ID_PROP_SKIN_HORBAR_LIGHTNING

Effetto riempimento 3-D

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento orizzontalea sulla base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LightningH


ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Interno ID: ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Freccia di scorrimento SX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento A SINISTRA per la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitmapLeftH


ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Interno ID: ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Freccia di scorrimento DX

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento A DESTRA per la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitmapRightH


ID_PROP_SKIN_HORBAR_PRJSPAN

Interno ID: ID_PROP_SKIN_HORBAR_PRJSPAN

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista come sfondo per la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitmapSpanH


ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Interno ID: ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la casella di scorrimentoper la sbarra di scorrimento orizzontale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitmapThumbH


ID_PROP_SKIN_HORBAR_STYLE

Interno ID: ID_PROP_SKIN_HORBAR_STYLE

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BarStyleH


ID_PROP_SKIN_HORBAR_THUMBSIZE

Interno ID: ID_PROP_SKIN_HORBAR_THUMBSIZE

Larghezza barra di scorrimento [Pixel]

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento orizzontale. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ThumbSizeH


ID_PROP_SKIN_NOSELECTION

Interno ID: ID_PROP_SKIN_NOSELECTION

Non evidenziare la riga selezionata

Qui definite se le righe selezionate nel campo lista devono essere evidenziate graficamente. Se attivate questa proprietà non vedete quale inserimento avete selezionato. Tutte le righe della lista hanno lo stesso aspetto.

Default: inattivo

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HideSelection


ID_PROP_SKIN_SHOWBORDER

Interno ID: ID_PROP_SKIN_SHOWBORDER

Visualizza linea cornice

Permette di visualizzare una cornice intorno ad un elemento. In questo modo le flag delle proprietà Stile L e Stile H vengono mascherate.

attivo: la cornice viene visualizzata intorno all´elemento corrispondente.

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowBorder


ID_PROP_SKIN_SHOWHEADER

Interno ID: ID_PROP_SKIN_SHOWHEADER

Visualizza intestazione

Disponibile solamente se avete selezionato Intestazione modificabile o intestazione fissa nelle proprietà di progetto nel gruppo Lista di informazione allarmi per la proprietà Header AML o nel gruppo Lista eventi cronologica (CEL) per la proprietà Intestazioni CEL.
Disponibile per la lista aspetto cursore nel trend esteso.

Visualizza l´intestazione per il campo di lista corrispondente. Nel gruppo Intestazione potete adattare l´aspetto dell´intestazione alle Vostre esigenze.

attivo: viene visualizzata l´intestazione.

Default: attivo

Ulteriori informazioni nella guida in linea per AML

Ulteriori informazioni nella guida in linea per CEL

Ulteriori informazioni nella guida in linea per ETM

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowHeader


ID_PROP_SKIN_VERBAR_BACKCOLOR

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR

Colore riempimento

Definite il primo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB):

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorV


ID_PROP_SKIN_VERBAR_BACKCOLOR2

Interno ID: ID_PROP_SKIN_VERBAR_BACKCOLOR2

Sfumatura colore

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite il secondo colore di sfondo che viene utilizzato per l´effetto riempimento nella barra di scorrimento verticale. Cliccando una volta sulla superficie aprite la lista dei colori predefiniti. Oppure inserite manualmente la denominazione del colore nell'apposito campo sotto forma di codice hex (RGB): Se si sceglie automatico, il valore del colore cambia in dipendenza del valore dell´impostazione Colore riempimento.

Per i nuovi elementi viene ripreso l'ultimo colore utilizzato per quel tipo di elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColor2V


ID_PROP_SKIN_VERBAR_BUTTONHEIGHT

Interno ID: ID_PROP_SKIN_VERBAR_BUTTONHEIGHT

Altezza freccia di scorrimento [Pixel]

Definite in pixel l´altezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ButtonHeightV


ID_PROP_SKIN_VERBAR_BUTTONWIDTH

Interno ID: ID_PROP_SKIN_VERBAR_BUTTONWIDTH

Larghezza freccia di scorrimento [Pixel]

Definite in pixel la larghezza della freccia di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 12.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ButtonWidthV


ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Angolo [°]

Non disponibile se Funzionalità grafiche avanzate è attiva.

Questa proprietà ha effetto solamente se, in corrispondenza della proprietà Stile di visualizzazione, avete selezionato Effetto di riempimento.

Definite l´angolo nella cui direzione si estende l´effetto di riempimento. Come punto di partenza viene utilizzato il punto definito con la proprietà Offset [%].

Minimo: 0

Massimo: 360

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorGradientAngleV


ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Interno ID: ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Offset [%]

Definite la distanza fra il punto dell´effetto di riempimento e il punto centrale della barra di scorrimento verticale a sinistro o a destra in percentuale. 0 corrisponde al punto centrale della barra di scorrimento verticale, 100 al bordo destro e -100 al bordo sinistro.

Minimo: -100

Massimo: 100

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ColorGradientOffsetV


ID_PROP_SKIN_VERBAR_GRP

Interno ID: ID_PROP_SKIN_VERBAR_GRP

Barra di scorrimento verticale

Proprietà per la barra di scorrimento verticale del campo lista.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SkinVerBar


ID_PROP_SKIN_VERBAR_LIGHTNING

Interno ID: ID_PROP_SKIN_VERBAR_LIGHTNING

Effetto riempimento 3-D

Selezionate qui il tipo dell´effetto di riempimento per la barra di scorrimento verticale sull base delle seguenti opzioni:

Lineare: effetto omogeneo

Da un punto definito: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento.

Da punto definito con angoli: Andamento dai bordi al punto di partenza definito dell´effetto di riempimento con formazione di angoli.

Default: Lineare

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LightningV


ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Interno ID: ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Freccia di scorrimento SU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento SU per la sbarra di scorrimento verticale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitmapLeftV


ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Interno ID: ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Freccia di scorrimento GIU

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la freccia di scorrimento GIÙ per la sbarra di scorrimento verticale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitmapRightV


ID_PROP_SKIN_VERBAR_PRJSPAN

Interno ID: ID_PROP_SKIN_VERBAR_PRJSPAN

File grafico di sfondo

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista come sfondo per la sbarra di scorrimento. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitmapSpanV


ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Interno ID: ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Casella di scorrimento

Non disponibile se Funzionalità grafiche avanzate è attiva.

Selezionate un file grafico che deve essere visualizzato durante il runtime nel campo lista per la casella di scorrimentoper la sbarra di scorrimento verticale. Questa grafica viene usate se avete selezionato alla voce Stile di visualizzazione File grafico.

Default: nessun file.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitmapThumbV


ID_PROP_SKIN_VERBAR_STYLE

Interno ID: ID_PROP_SKIN_VERBAR_STYLE

Stile di visualizzazione

Non disponibile se Funzionalità grafiche avanzate è attiva.

Qui definite che aspetto deve avere l´intestazione del campo lista. Selezionate una delle seguenti ophzioni:

Effetto riempimento: utilizza un effetto di riempimento speciale per l´intestazione che potete adattare alle Vostre esigenze con l´aiuto delle impostazioni Colore riempimento, Sfumatura colore, Effetto riempimento 3-D, Offset [%] e Angolo [°].

File grafico: usa il file grafico selezionato per i singoli settori. Se non è stato selezionato nessun file grafico, viene usato Effetto di riempimento.

Standard: usa l´impostazione standard per l´intestazione. Potete cambiare solamente il carattere e il colore testo con l´aiuto delle impostazioni corrispondenti.

Default: Standard.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BarStyleV


ID_PROP_SKIN_VERBAR_THUMBSIZE

Interno ID: ID_PROP_SKIN_VERBAR_THUMBSIZE

Larghezza barra di scorrimento [Pixel]

Definite in pixel la larghezza della casella di scorrimento della barra di scorrimento. Adattate il valore alle Vostre esigenze.

Default: 20.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ThumbSizeV


ID_PROP_SYSTEMMODEL_GROUP_NAME

Interno ID: ID_PROP_SYSTEMMODEL_GROUP_NAME

Nome

Nome del gruppo. viene assegnato al momento della generazione con numero progressivo e può essere modificato a piacere.

Default: GruppoX (X prende il posto di un numero progressivo)

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_PROP_SYSTEMMODEL_ROOT_NAME

Interno ID: ID_PROP_SYSTEMMODEL_ROOT_NAME

Nome

Nome del modello. viene assegnato al momento della generazione con numero progressivo e può essere modificato a piacere.

Default: ModelloX (X prende il posto di un numero progressivo)

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_PROP_SYSTEMMODELGOUP

Interno ID: ID_PROP_SYSTEMMODELGOUP

Gruppi d'impianto

Collega l´elemento a un modello di impianti. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un modello di impianti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SystemModelGroup


ID_PROP_VIEWLIMITFROMVAR

Interno ID: ID_PROP_VIEWLIMITFROMVAR

Range di visualizzazione letto dalla variabile+

Riprende l´area di visualizzazione dalla variabile collegata. Così queste aree di visualizzazione possono essere attualizzate con altre mediante la sostituzione con una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ViewLimitFromVar


ID_PROP_WPFCONNECTION

Interno ID: ID_PROP_WPFCONNECTION

WPFConnection

Visualizzazione dei collegamenti WPF esistenti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WPFConnection


ID_PROP_WPFCONNECTION_DELETE

Interno ID: ID_PROP_WPFCONNECTION_DELETE

{Elimina collegamento}

Quando si clicca sul pulsante, si cancella questo collegamento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DeleteConnection


ID_PROP_WPFCONNECTIONS

Interno ID: ID_PROP_WPFCONNECTIONS

Collegamenti WPF

Raccoglie tutti i collegamenti configurati in WPF. Essi possono essere configurati in questa sede senza dover aprire la finestra di dialogo.

Limitazioni:

  • Il tipo di collegamento non può essere modificato in questa sede.
  • Nuovi collegamenti possono essere creati solo tramite il dialogo di configurazione.
  • Aggiunta di un elemento WPF in un simbolo: I collegamenti WPF non possono essere esportati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WPFConnection


ID_PROP_WPFELEM_CONFIG_LINKS

Interno ID: ID_PROP_WPFELEM_CONFIG_LINKS

Configurazione

Apre il dialogo per la configurazione del file XAML. . Proprietà, eventi, trasformazioni e autorizzazioni possono essere assegnate.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LinksConfig


ID_PROP_WPFELEM_XAMLFILE

Interno ID: ID_PROP_WPFELEM_XAMLFILE

File XAML

Selezione del file XAML per l´elemento WPF. Cliccando su ... si apre il dialogo di selezione. Il file deve essere già stato impostato nel manager di progetto alla voce File/Grafici, oppure deve essere selezionato nel dialogo facendo uso del simbolo Aggiungi file.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FileName


ID_PROP_WPFPROP_AUTH_CONNECTION_TYPE

Interno ID: ID_PROP_WPFPROP_AUTH_CONNECTION_TYPE

Tipo di autorizzazione

Auswahl des Berechtigungstyps aus Dropdownliste:

  • Bedienbar: Wenn die Bedienberechtigung vorhanden ist und das Element nicht verriegelt ist, dann wird der Wert 1 auf die Eigenschaft geschrieben.
  • Bedienberechtigung nicht vorhanden: Besitzt der Benutzer nicht genügend Rechte, um das WPF-Element zu bedienen, wird der Wert 1 auf die Eigenschaft geschrieben.
  • Bedienberechtigung vorhanden: Besitzt der Benutzer genügend Rechte, um das WPF-Element zu bedienen, wird der Wert 1 auf die Eigenschaft geschrieben.
  • Nicht bedienbar: Fehlt die Bedienberechtigung oder ist das Element verriegelt, dann wird der Wert 1 auf die Eigenschaft geschrieben.
  • Nicht verriegelt: Ist das Element nicht durch die Verriegelung gesperrt, wird der Wert 1 auf die Eigenschaft geschrieben.
  • Verriegelt: Ist das Element durch die Verriegelung gesperrt, wird der Wert 1 auf die Eigenschaft geschrieben.

Mehr im Online-Handbuch.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Type


ID_PROP_WPFPROPCONNECTION_FUNCTION

Interno ID: ID_PROP_WPFPROPCONNECTION_FUNCTION

Funzione

Funzione collegata. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una funzione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Function


ID_PROP_WPFPROPCONNECTION_VARIABLE

Interno ID: ID_PROP_WPFPROPCONNECTION_VARIABLE

Variabile

Variabile collegata. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable


ID_PUNCHFRAME_ALPHA

Interno ID: ID_PUNCHFRAME_ALPHA

Trasparenza [%]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Come Tipo di cornice deve essere selezionato Ombra.

Indica la trasparenza dell´ombra in valori compresi fra 0 e 100 %.

  • 0: coprente.
  • 100: trasparente.

Default: 60

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PunchFrameAlpha


ID_PUNCHFRAME_ANGLE

Interno ID: ID_PUNCHFRAME_ANGLE

Angolo [°]

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Come Tipo di cornice deve essere selezionato Ombra.

Angolo in gradi in cui si sposta l´ombra.

  • Valori: Da 0° a 359°.
    0° corrisponde all´estrema posizione a destra (ore 3); si continua in senso antiorario.

Default: 315°

Un clic sul comando ... apre la barra di scorrimento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PunchFrameAngle


ID_PUNCHFRAME_SIZE

Interno ID: ID_PUNCHFRAME_SIZE

Dimensioni ombra [%]

Disponibile solamente se è stato selezionato come Tipo di cornice ombra e se si è scelta la proprietà di progetto Qualità grafica.

Valore in pixel che definisce la grandezza dell´ombra indipendentemente.

La grandezza del campo valori dipende dalla risoluzione dello schermo.

Valore positivo: Ombra diventa più grande dell´elemento.

Valore negativo: l´ombra diventa più piccola dell´elemento.

Default: 100

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PunchFrameSize


ID_PUNCHFRAME_SOFTFOCUS

Interno ID: ID_PUNCHFRAME_SOFTFOCUS

Effetto Blur

Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.
Come Tipo di cornice deve essere selezionato Ombra.

Definisce il grado dell´Effetto Blur in numero di pixel che vengono usati per sfumare. Tanto più grande è questo valore, tanto più dolce è la gradazione dell´ombra. Un clic sul comando ... apre la sbarra di scorrimento che serve a impostare il valore.

Valori: da 0 fino 50

  • 0: nessun effetto blur.
  • 50: effetto blur massimo.

Default: 0

Attenzione: se qui il valore non è pari a 0, il calcolo dell´ombra potrebbe rallentare la prestazione del sistema. Questo vale nell´editor in particolare per lo spostamento dell´ombra, oppure il collocamento di altri oggetti sull´ombra. Ogni cambio immagine durante il runtime ne è interessato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PunchFrameSoftFocus


ID_PUNCHFRAME_TYPE

Interno ID: ID_PUNCHFRAME_TYPE

Tipo di cornice

Lista a cascata che serve alla selezione del tipo di cornice.
Sono a disposizione:

  • Nessuna cornice/ombra: non viene visualizzata nessuna cornice e ombra.
  • Cornice: l´elemento può essere dotato di una cornice.
  • Ombra: l´elemento può essere dotato di un´ombra. (Disponibile solamente se la proprietà di progetto Qualità grafica è stata settata su DirectX Hardware, oppure su DirectX Software.)
    Eccezione: Alcuni elementi non possono avere un´ombra.

Default: Nessun bordo/ombra

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PunchFrameType


ID_PWVALID

Interno ID: ID_PWVALID

Periodo di validità password [gg]

Inserimento dell´intervallo di tempo (in giorni) durante il quale una password è valida. Dopo la scadenza del tempo impostato, deve essere assegnata una nuova password.

  • Minimo: 0 - La validità della password non ha scadenza e dunque non c´è bisogno di cambiarla. Se si adotta questa impostazione, il valore 2147483647 viene scritto sulla variabile di sistema "Giorni alla scadenza Password".
  • Massimo: 4294967295

Default: 0
Attenzione: nel caso di processi produttivi soggetti alla normativa FDA, non è permesso in questo caso l´inserimento del valore 0; questo perché le regole FDA richiedono una modifica ciclica/periodica della password.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PWValid


ID_READWRITE

Interno ID: ID_READWRITE

Lettura/scrittura da programma esterno

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.
Attivo: Il valore della variabile può essere modificato in zenon Logic. La definizione della variabile non può essere modificata in zenon Logic.
Inattivo: La variabile non può essere modificata in zenon Logic.
Default:

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ReadWrite


ID_RECIPE_GRP1

Interno ID: ID_RECIPE_GRP1

Generale

Proprietà generali per la ricetta.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_RECIPE_PW

Interno ID: ID_RECIPE_PW

Livello di autorizzazione:

I livelli di autorizzazione necessari per modificare la ricetta nel Runtime.
Un utente può effettuare operazioni concernenti le ricette (lettura, cambiamenti effettuati manualmente, cancellazione) solo se dispone del livello di autorizzazione richiesto.
Minimo: 0.
Massimo: 127.
Default: 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PasswordLevel


ID_REMA_EXTREF

Interno ID: ID_REMA_EXTREF

Riferimento esterno

Identificazione univoca di progetti, variabili, driver, tipi di dato, funzioni, matrici di reazione e immagini di zenon. Riferimento esterno è disponibile in zenon per la sola lettura. La proprietà viene usata come identificazione per tool di progettazione esterni, e può essere scritta solamente con l`API di zenon.

Default: Spazio

Lunghezza massima: 64 caratteri

Nota: L´import ed export XML viene supportato.
Se si imposta una matrice di reazione via Copy&Paste, questa proprietà è vuota.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CPropExternalNames::szExternalReference


ID_REMA_PROP1

Interno ID: ID_REMA_PROP1

Nome

Nome univoco della matrice di reazione.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_REMA_PROP2

Interno ID: ID_REMA_PROP2

Tipo

Tipo della matrice di reazione.
Binario: Evacuazione di stati discreti (Orientati a bit)
multi binari: Analisi estesa di variabili a 32 bit; i primi 16 bit determinano il valore della variabile e vengono trasmessi come numero; manovra di bit di stato; funzione speciale (disattivare variabili a bit di stato settato) (progettazione dati protetti - solamente SAT)
Analogici: Valutazione di stati analogici (orientati valore)
Multi analogiche: Analisi estesa con simultanea gestione di stato e funzione speciale (disattivare variabili a bit di stato settato)
String: Confronto di testo
Il tipo viene definito al momento della creazione di una nuova matrice di reazione e non può più essere modificato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Type


ID_REMA_PROP46

Interno ID: ID_REMA_PROP46

Informazioni aggiuntive 1

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Mehr im Online-Handbuch

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserProperty1


ID_REMA_PROP47

Interno ID: ID_REMA_PROP47

Informazioni aggiuntive 2

In der Runtime kann die hier eingegebene Zusatzinformation in einem VBA Makro ausgewertet werden.

Mehr im Online-Handbuch

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserProperty2


ID_REMA_PROP_GRP0

Interno ID: ID_REMA_PROP_GRP0

Generale

Proprietà generali per la matrice di reazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_REMA_STATES

Interno ID: ID_REMA_STATES

Configurazione

Si aprirà il dialogo che serve a definire gli stati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

States


ID_RGM_BACKCOLOR_INTERLOCKED_RECIPE_PARAMETER

Interno ID: ID_RGM_BACKCOLOR_INTERLOCKED_RECIPE_PARAMETER

Colore di sfondo per parametro di ricetta bloccato

Scelta del colore di sfondo per i parametri ricetta bloccati. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: grigio (#D3D3D3)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorInterlockedParameter


ID_RGM_BACKCOLOR_INVALID_PLC

Interno ID: ID_RGM_BACKCOLOR_INVALID_PLC

Colore di sfondo per valori PLC non validi

Scelta del colore di sfondo per valori PLC non validi. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: blu (#3D6894)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorInvalidPLC


ID_RGM_BACKCOLOR_INVALID_VALUE

Interno ID: ID_RGM_BACKCOLOR_INVALID_VALUE

Colore di sfondo per valore di ricetta non valido

Scelta del colore di sfondo per celle con valori non validi. In tal modo vengono evidenziati quei parametri che si trovano aldilà dei valori minimi/massimi definiti, oppure la cui azione si riferisce ad una variabile che non è esistente, oppure non raggiungibile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: rosso (#DD4814)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorInvalidValue


ID_RGM_BACKCOLOR_MATCH_PLC

Interno ID: ID_RGM_BACKCOLOR_MATCH_PLC

Colore di sfondo per valore di ricetta uguale a valore PLC

Scelta del colore di sfondo per valori corrispondenti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore, o di una tavolozza dei colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: verde (#96BD33)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorMatchPLC


ID_RGM_BACKCOLOR_NOMATCH_PLC

Interno ID: ID_RGM_BACKCOLOR_NOMATCH_PLC

Colore di sfondo per valore di ricetta diverso da valore PLC

Scelta del colore di sfondo per valori PLC divergenti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: rosso (#DD4814)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorNoMatchPLC


ID_RGM_GROUP_COLORS

Interno ID: ID_RGM_GROUP_COLORS

Colori

Proprietà per la configurazione dei colori utilizzati per segnalare i risultati dell´analisi dei valori ricetta e per la visualizzazione di interblocchi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Colors


ID_RGM_INTERLOCKING

Interno ID: ID_RGM_INTERLOCKING

Interblocco

Proprietà per la configurazione dei colori per la visualizzazione di interblocchi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Interlocking


ID_RGM_PROP06

Interno ID: ID_RGM_PROP06

Nome gruppo

Nome del gruppo ricette.

Nel caso si sia adottata l´impostazione File Binari per la proprietà DataSource, sono consentiti solamente caratteri alfanumerici.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_RGM_PROP13

Interno ID: ID_RGM_PROP13

Numero ricetta

Numero della ricetta

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RecipeNumber


ID_RGM_PROP14

Interno ID: ID_RGM_PROP14

Nome ricetta

Nome per ricetta. Il nome ricetta deve essere univoco. Se File binari è stato selezionato per la proprietà DataSource, il nome può contenere solamente dei caratteri alfanumerici.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RecipeName


ID_RGM_PROP15

Interno ID: ID_RGM_PROP15

Commento 1

Riga di commento 1 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Comment1


ID_RGM_PROP16

Interno ID: ID_RGM_PROP16

Commento 2

Riga di commento 2 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Comment2


ID_RGM_PROP21

Interno ID: ID_RGM_PROP21

Scrittura sincrona

Nel caso di gruppi ricette viene settata per tutte le ricette del gruppo e può essere sovrascritta per ogni ricetta.

Attivo : alla scrittura di una ricetta vengono bloccati tutti gli elementi di controllo nell’immagine del Manager gruppi ricette, finchè arriva risposta dal driver, che tutti i valori della ricetta sono stati scritti con successo o finche è trascorso il Timeout [ms] .

Inattivo: I valori della ricetta vengono scritti senza attendere una risposta. Gli elementi di controllo sono riutilizzabili immediatamente. La risposta del driver avviene attraverso il bit di stato WR_SUC, che viene settato a 1 appena i valori sono stati scritti con successo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WriteSync


ID_RGM_PROP22

Interno ID: ID_RGM_PROP22

Timeout [ms]

Nel caso di gruppi ricette viene settata per tutte le ricette del gruppo e può essere sovrascritta per ogni ricetta.

Se Scrittura sincrona è stata attivata, si può inserire qui un timeout. Gli elementi di controllo dell’ immagine Manager gruppi ricette vengono di nuovo abilitati al massimo dopo questo tempo di timeout. Se come Timeout è inserito il valore0, zenon calcola il tempo di attesa come segue: 30000+(100* Numero di punti dati)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WriteTimeout


ID_RGM_PROP23

Interno ID: ID_RGM_PROP23

Livello di autorizzazione:

Selezione del livello autorizzazioni fra quelli della lista a cascata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PWLevel


ID_RGM_PROP26

Interno ID: ID_RGM_PROP26

Valore min.

E' a disposizione solo se la proprietà Riprendi limiti di valori impostabili da variabile non è stata attivata.

Valore minimo delle variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Min


ID_RGM_PROP27

Interno ID: ID_RGM_PROP27

Valore max.

E' a disposizione solo se la proprietà Riprendi limiti di valori impostabili da variabile non è stata attivata.

Valore massimo delle variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Max


ID_RGM_RECIPE_VALUE_CHECK

Interno ID: ID_RGM_RECIPE_VALUE_CHECK

Interrogazione valore di ricetta

Proprietà per la configurazione dei colori utilizzati per segnalare i risultati dell´analisi dei valori ricetta.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

RecipeValueCheck


ID_RGM_TEXTCOLOR_INTERLOCKED_RECIPE_PARAMETER

Interno ID: ID_RGM_TEXTCOLOR_INTERLOCKED_RECIPE_PARAMETER

Colore testo per parametro di ricetta bloccato

Scelta del colore testo per i parametri ricetta bloccati.Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: nero (#000000)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorInterlockedParameter


ID_RGM_TEXTCOLOR_INVALID_PLC

Interno ID: ID_RGM_TEXTCOLOR_INVALID_PLC

Colore testo per valori PLC non validi

Scelta del colore testo per valori PLC non validi Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: bianco (#FFFFFF)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorInvalidPLC


ID_RGM_TEXTCOLOR_INVALID_VALUE

Interno ID: ID_RGM_TEXTCOLOR_INVALID_VALUE

Colore testo per valore di ricetta non valido

Scelta del colore testo per celle con valori non validi. In tal modo vengono evidenziati quei parametri che si trovano aldilà dei valori minimi/massimi definiti, oppure la cui azione si riferisce ad una variabile che non è esistente, oppure non raggiungibile. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: bianco (#FFFFFF)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorInvalidValue


ID_RGM_TEXTCOLOR_MATCH_PLC

Interno ID: ID_RGM_TEXTCOLOR_MATCH_PLC

Colore testo per valore di ricetta uguale a valore PLC

Scelta del colore testo per valori corrispondenti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: bianco (#FFFFFF)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorMatchPLC


ID_RGM_TEXTCOLOR_NOMATCH_PLC

Interno ID: ID_RGM_TEXTCOLOR_NOMATCH_PLC

Colore testo per valore di ricetta diverso da valore PLC

Scelta del colore testo per valori PLC divergenti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: bianco (#FFFFFF)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorNoMatchPLC


ID_SAP_ADDITIONAL_GRP

Interno ID: ID_SAP_ADDITIONAL_GRP

Messaggi

Stabilite nelle seguenti properties quali informazioni suppletive devono essere inviate in caso di una segnalazione di errore.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapAdditional


ID_SAP_DEBUG_GRP

Interno ID: ID_SAP_DEBUG_GRP

Trova errori

Proprietà per testare la connessione e il protocollaggio.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapDebug


ID_SAP_FIELD_GRP

Interno ID: ID_SAP_FIELD_GRP

Campo di struttura

Impostazioni per la configurazione dei dati di un campo struttura per SAP ERP.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapStructField


ID_SAP_FUNC_ACTIVITY_GRP

Interno ID: ID_SAP_FUNC_ACTIVITY_GRP

Controllo attività

Contiene proprietà per il controllo attività.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapFuncActivity


ID_SAP_FUNC_ACTIVITY_VAR

Interno ID: ID_SAP_FUNC_ACTIVITY_VAR

Attività

Variabile numerica per controllo attività della funzione SAP. Può essere usata, per esempio, per gli interblocchi in modo tale da evitare aperture sovrapposte.

Possibili valori: 0, 1, 2

  • 0: disattivato.
  • 1: inserito in lista attesa aperture
  • 2: Chiamata attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActivityVar


ID_SAP_FUNC_ERROR_CODE_VAR

Interno ID: ID_SAP_FUNC_ERROR_CODE_VAR

Codice di errore

Variabile numerica per il codice di errore della chiamata funzione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ErrorVar


ID_SAP_FUNC_ERROR_GRP

Interno ID: ID_SAP_FUNC_ERROR_GRP

Segnalazioni d'errore

Contiene proprietà per la configurazione di messaggi di errore per funzioni SAP.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapFuncError


ID_SAP_FUNC_ERROR_TEXT_VAR

Interno ID: ID_SAP_FUNC_ERROR_TEXT_VAR

Testo di errore

Variabile stringa per descrizione breve dell´ultimo errore verificatosi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ErrorTextVar


ID_SAP_FUNC_INFO

Interno ID: ID_SAP_FUNC_INFO

Informazioni

Testo corto selezionabile liberamente. Serve solo come informazione. Se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Info


ID_SAP_FUNC_LABEL

Interno ID: ID_SAP_FUNC_LABEL

Nome funzione

Denominazione assegnabile a piacere alla funzione SAP.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Label


ID_SAP_FUNC_LAST_ERROR_VAR

Interno ID: ID_SAP_FUNC_LAST_ERROR_VAR

Descrizione di errore

Variabile stringa per una descrizione esaustiva dell´ultimo errore verificatosi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LastErrorVar


ID_SAP_FUNC_NAME

Interno ID: ID_SAP_FUNC_NAME

RFC function block

Nome del blocco dati funzionale nel sistema SAP.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_SAP_FUNC_SERVERFUNC

Interno ID: ID_SAP_FUNC_SERVERFUNC

Funzione

Selezione di una funzione di zenon che deve essere richiamata dal programma server. Cliccate sul pulsante ... e si apre il dialogo per la selezione della funzione.

Nota: Se viene richiamata una funzione da un altro progetto, dovete assicuravi che questo progetto sia attivo nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ServerFunction


ID_SAP_FUNC_SERVERPRG

Interno ID: ID_SAP_FUNC_SERVERPRG

Esegui come programma server

Definizione di una funzione SAP come programma server.

  • Attivo: La funzione viene eseguita come programma server.
  • Inattivo: La funzione viene eseguita come programma client.

Default: inattivo

Se c´è una variabile collegata alla proprietà Attività, durante l´apertura del programma server essa viene settata su attiva (2).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ServerPgm


ID_SAP_FUNC_SERVERPRG_GRP

Interno ID: ID_SAP_FUNC_SERVERPRG_GRP

Programma server

Proprietà per la progettazione di funzioni SAP come programmi server.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_SapFuncServerPrg


ID_SAP_FUNC_WAIT

Interno ID: ID_SAP_FUNC_WAIT

Tempo di attesa

Definizione di un intervallo di tempo in millisecondi che deve trascorrere prima e dopo la chiamata della funzione collegata, in modo tale che sia certo che i valori variabili possano essere scritti e letti correttamente. Raccomandata soprattutto in caso di PLC a comunicazione lenta, e/o con cicli di lettura lunghi

  • Minimo: 0
  • Massimo: 4294967295
  • Default: 0

Raccomandazione:

  • Variabili del driver interno o del driver di sistema. Valori bassi, intorno a 0 ms.
  • Driver matematico. Valori tra 100 – 200 ms. (Questo driver, a seconda del carico del sistema, viene attualizzato circa ogni 100 ms.)
  • Altri driver e PLC: Valori che si trovano un po´ al di sopra dell´update time del driver. Più alto è il numero delle variabili, tanto maggiore dovrà essere tale valore.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Wait


ID_SAP_FUNCTION_GRP

Interno ID: ID_SAP_FUNCTION_GRP

Funzione SAP

Contiene le proprietà per la configurazione di base delle funzioni SAP.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapFunctions


ID_SAP_LOG_TO_CEL

Interno ID: ID_SAP_LOG_TO_CEL

Messaggi di Log nella CEL

Scrittura di messaggi Log nella CEL.

  • Attivo: I messaggi vengono scritti nella CEL.
  • Inattivo: I messaggi non vengono scritti nella CEL.

Default: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

LogToCEL


ID_SAP_LOGON_GRP

Interno ID: ID_SAP_LOGON_GRP

Login SAP

Impostante nelle seguenti Properties le informazioni concernenti il mandante e l'utente che devono essere utilizzate per la connessione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapLogon


ID_SAP_NOTIFICATION_GRP

Interno ID: ID_SAP_NOTIFICATION_GRP

Messaggio di segnalazione

Con le seguenti Properties stabilite quali informazioni ulteriori devono essere inviate in caso di segnalazione di errore.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapNotification


ID_SAP_PAR_TAB_INFO

Interno ID: ID_SAP_PAR_TAB_INFO

Informazioni

Testo corto selezionabile liberamente. Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Info


ID_SAP_PAR_TAB_NAME

Interno ID: ID_SAP_PAR_TAB_NAME

Nome nel sistema SAP

Nome del parametro, della tabella o del campo struttura nel sistema SAP.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_SAP_PAR_TAB_OPTIONAL

Interno ID: ID_SAP_PAR_TAB_OPTIONAL

Optional

Indica se il parametro o la tabella sono opzionali. Parametri e tabelle opzionali possono essere trascurati al momento della chiamata del blocco dati funzionale.

Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Optional


ID_SAP_PAR_TAB_TYPE

Interno ID: ID_SAP_PAR_TAB_TYPE

Tipo

Tipo del parametro. Dipendente dal tipo di funzione. Serve a informare e, se esistente, viene settato al momento della creazione di una funzione SAP mediante il Wizard in modo corrispondente alla descrizione interfaccia nel sistema SAP.

Import: il valore del parametro viene trasmesso al blocco funzione al momento della chiamata.

Esporta: il valore del parametro viene restituito dal blocco funzione.

Changing: sia parametro d´immissione che parametro di feedback.

Tabella: tipo funzione tabella. non può essere modificato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Type


ID_SAP_PAR_TAB_VARIABLE

Interno ID: ID_SAP_PAR_TAB_VARIABLE

Variabile

La variabile di zenon collegata con il parametro, la tabella o il campo di struttura. Nel caso di tabelle, di norma una variabile array.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable


ID_SAP_PARAMETER_GRP

Interno ID: ID_SAP_PARAMETER_GRP

Parametri

Contiene proprietà per la configurazione dei parametri di funzioni SAP.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapParameter


ID_SAP_PROGRAMID

Interno ID: ID_SAP_PROGRAMID

ID Programma

Inserimento dell´ID di programma della RFC-Destination tramite cui deve essere instaurato il collegamento a SAP e viene aperto il programma server.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapProgramId


ID_SAP_PROP_CLIENT

Interno ID: ID_SAP_PROP_CLIENT

Client

Numero o nome del mandante sul sistema SAP con cui viene creata una connessione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapClient


ID_SAP_PROP_END_TIME

Interno ID: ID_SAP_PROP_END_TIME

Fino

Momento entro il quale deve essere eseguito l'orario.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EndTime


ID_SAP_PROP_EQUIPMENT

Interno ID: ID_SAP_PROP_EQUIPMENT

Postazione Tecnica/Impianto

Indica se il sistema SAP tratta l'identificazione servizio della variabile trasmessa come numero di un posto tecnico o di un equipment.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapEquipment


ID_SAP_PROP_EVERY_DAY

Interno ID: ID_SAP_PROP_EVERY_DAY

Ogni giorno

Il piano viene eseguito ogni giorno. Se questa proprietà è attiva, quelle dei giorni singoli sono disattivate.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EveryDay


ID_SAP_PROP_FRIDAY

Interno ID: ID_SAP_PROP_FRIDAY

Venerdì

Il piano viene eseguito ogni venerdì. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Friday


ID_SAP_PROP_INTERVAL

Interno ID: ID_SAP_PROP_INTERVAL

Tutti

Intervallo in cui il piano deve essere eseguito. Se non è indicata alcuna ora finale, il piano viene eseguito entro la mezzanotte dei giorni selezionati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Interval


ID_SAP_PROP_LANGUAGE

Interno ID: ID_SAP_PROP_LANGUAGE

Lingua

Lingua utente. Il trattamento da parte del sistema SAP di dieresi, caratteri speciali ecc dipende dalla lingua impostata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapLanguage


ID_SAP_PROP_MESSBELEG

Interno ID: ID_SAP_PROP_MESSBELEG

Crea measurement document

Attivo: Create una prova di misurazione da inviare al sistema SAP.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapMeasDoc


ID_SAP_PROP_MONDAY

Interno ID: ID_SAP_PROP_MONDAY

Lunedì

Il piano viene eseguito ogni lunedì. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Monday


ID_SAP_PROP_NOTIFICATION_TYPE

Interno ID: ID_SAP_PROP_NOTIFICATION_TYPE

Tipo di segnalazione

Uno dei tipi di segnalazione predefiniti nel sistema SAP. La reazione del sistema SAP ad una segnalazione di errore si differenzia a seconda del tipo di segnalazione.

Se non si indica alcun tipo di segnalazione, il sistema SAP non può generare alcuna segnalazione di errore, ma fornisce un messaggio di errore.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapNotificationType


ID_SAP_PROP_PASSWORD

Interno ID: ID_SAP_PROP_PASSWORD

Password

password dell'utente del sistema SAP.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapPassword


ID_SAP_PROP_PLANT

Interno ID: ID_SAP_PROP_PLANT

Impianto

Impianto di manutenzione in segnalazioni di errore. Se non viene indicato alcun impianto di manutenzione, il sistema SAP usa di Default quello della parte di impianto (posto tecnico, Equipment) dalla quale proviene la segnalazione di errore.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapPlant


ID_SAP_PROP_REPORTER

Interno ID: ID_SAP_PROP_REPORTER

Segnalazione

Il segnalatore viene aggiunto in un sistema SAP alla segnalazione di errore.

Se non si indica alcun segnalatore, il sistema SAP inserisce di Default l'utente che ha effettuato il Login nel sistema.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapReporter


ID_SAP_PROP_ROUTER

Interno ID: ID_SAP_PROP_ROUTER

Stringa di router

Indirizzo IP o nome del Router SAP tramite il quale viene realizzata la connessione. Nel caso in cui la connessione funzioni tramite diversi router („Hops"), il router SAP più vicino al sistema di controllo deve essere indicato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapRouter


ID_SAP_PROP_SATURDAY

Interno ID: ID_SAP_PROP_SATURDAY

Sabato

Il piano viene eseguito ogni sabato. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Saturday


ID_SAP_PROP_SERVER

Interno ID: ID_SAP_PROP_SERVER

Server dell'applicazione

Indirizzo IP o nome del server SAP tramite il quale viene realizzata la connessione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapServer


ID_SAP_PROP_START_TIME

Interno ID: ID_SAP_PROP_START_TIME

Alle/Da

Tempo di inizio del piano. Se si indicano come intervallo e ora finale 00.00.00, il piano viene eseguito nei giorni selezionati solo una volta a quest'ora.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StartTime


ID_SAP_PROP_SUNDAY

Interno ID: ID_SAP_PROP_SUNDAY

Domenica

Il piano viene eseguito ogni domenica. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Sunday


ID_SAP_PROP_SYSTEM

Interno ID: ID_SAP_PROP_SYSTEM

System-ID

Numero di sistema del sistema SAP (definito anche numero istanza) servendosi del quale viene si instaura la comunicazione. Su un server d´applicazione possono essere attivi diversi sistemi SAP con differenti ID.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapSystemId


ID_SAP_PROP_TEST

Interno ID: ID_SAP_PROP_TEST

Test di connessione

Cerca di creare una connessione con il sistema SAP con le impostazioni indicate. Se ciò non è possibile, viene emessa una segnalazione di errore dettagliata nella forma di un Messagebox.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapTest


ID_SAP_PROP_THURSDAY

Interno ID: ID_SAP_PROP_THURSDAY

Giovedì

Il piano viene eseguito ogni giovedì. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Thursday


ID_SAP_PROP_TRACE

Interno ID: ID_SAP_PROP_TRACE

Abilita log

Gestisce l'azione di protocollaggio della comunicazione con il sistema SAP.

attivo: La comunicazione fra zenon e il sistema SAP viene messa a protocollo.

Default: inattivo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapTrace


ID_SAP_PROP_TUESDAY

Interno ID: ID_SAP_PROP_TUESDAY

Martedì

Il piano viene eseguito ogni martedì. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Tuesday


ID_SAP_PROP_USER

Interno ID: ID_SAP_PROP_USER

Utente

nome di registrazione dell'utente del sistema SAP.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapUser


ID_SAP_PROP_VAR_NAME

Interno ID: ID_SAP_PROP_VAR_NAME

Nome

Nome delle variabili selezionate per il piano prescelto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapVarName


ID_SAP_PROP_VAR_TAG

Interno ID: ID_SAP_PROP_VAR_TAG

Identificazione

Identificazione delle variabili selezionate per il piano prescelto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapVarTag


ID_SAP_PROP_VAR_TYPE

Interno ID: ID_SAP_PROP_VAR_TYPE

Tipo

Tipo delle variabili selezionate per il piano prescelto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapVarType


ID_SAP_PROP_VAR_UNIT

Interno ID: ID_SAP_PROP_VAR_UNIT

Unità di misura

Unità delle variabili selezionate per il piano prescelto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SapVarUnit


ID_SAP_PROP_WEDNESDAY

Interno ID: ID_SAP_PROP_WEDNESDAY

Mercoledì

Il piano viene eseguito ogni mercoledì. Attiva solo se "ogni giorno" è disattivata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Wednesday


ID_SAP_SCHEDULE_DATE_GRP

Interno ID: ID_SAP_SCHEDULE_DATE_GRP

Giorni settimanali

Con le seguenti Properties potete stabilire in quale giorno o in quali giorni della settimana deve essere eseguito il piano.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ScheduleDate


ID_SAP_SCHEDULE_MEAS_DOC_GRP

Interno ID: ID_SAP_SCHEDULE_MEAS_DOC_GRP

Measurement document

Con le seguenti Properties stabilite quale segnalatore devono essere indicato in caso di segnalazione di errore.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ScheduleMeasDoc


ID_SAP_SCHEDULE_TIME_GRP

Interno ID: ID_SAP_SCHEDULE_TIME_GRP

Ora

Con le seguenti Properties stabilite a che ora il piano deve essere eseguito.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ScheduleTime


ID_SAP_SERVERPRG_GRP

Interno ID: ID_SAP_SERVERPRG_GRP

Programma server

Impostazioni per la connessione all´applicazione SAP.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_SapServerPrg


ID_SAP_SYSTEM_GRP

Interno ID: ID_SAP_SYSTEM_GRP

Sistema SAP ERP

Indicate nelle seguenti proprietà il nome o il numero del server, del router e del sistema SAP che devono essere utilizzati per la instaurazione della comunicazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapSystem


ID_SAP_TAB_ROWCOUNT_VAR

Interno ID: ID_SAP_TAB_ROWCOUNT_VAR

Conteggio righe

Variabile numerica per il numero delle righe che devono essere riprese dalle variabili collegate con la tabella, o il numero delle righe lette al momento della chiamata della funzione SAP.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RowCountVar


ID_SAP_TABLE_GRP

Interno ID: ID_SAP_TABLE_GRP

Tabella

Contiene le proprietà per il tipo funzione tabella.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SapTable


ID_SATBEF_PROP1

Interno ID: ID_SATBEF_PROP1

Modalità

Selezione dello scopo d'uso.

impostazione: l'elemento di comando serve al comando.

Chiamata di funzione: l'elemento di comando serve all'esecuzione della funzione.
Questa opzione esiste solo per ragioni di compatibilità con versioni più vecchie e non dovrebbe essere più utilizzata.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Mode


ID_SATBEF_PROP2

Interno ID: ID_SATBEF_PROP2

Immagine

Selezione dell'immagine che deve essere aperta al momento dell'attivazione dell'elemento nel Runtime.

Vengono proposte solamente immagini del tipo "comando".

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PictSwitch_Dlg


ID_SATBEF_PROP3

Interno ID: ID_SATBEF_PROP3

Parametro

Apre il dialogo parametro dell'elemento di comando.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PictFilter_Dlg


ID_SATBEF_PROP4

Interno ID: ID_SATBEF_PROP4

Funzione

Selezione della funzione da eseguire nella modalità: Funzione .
Non viene più usata. Disponibile solo per motivi di compatibilità con versioni precedenti

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Function


ID_SATBEF_PROP5

Interno ID: ID_SATBEF_PROP5

Gruppo di attivazione

Selezione del gruppo di attivazione.

Necessario solo in connessione con la funzione di preselezione.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActivationGroup


ID_SATBEF_PROP6

Interno ID: ID_SATBEF_PROP6

Sempre selezionabile

Attiva: Scelta del comando direttamente con clic del mouse (tasto sinistro).

Non attiva: Selezione del comando possibile solo in seguito a precedente funzione di selezione. (Funzioni ->Uso ->attivazione comando)
Dopo l'attivazione del comando nel Runtime viene visualizzata una cornice di tutti gli elementi progettati in tal modo.

Creazione di una nuova azione "comando" cliccando con il tasto destro del mouse -> Nuova azione.

Attenzione: nella visione a dialogo possibile solo nella finestra sinistra.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlwaysSelectable


ID_SATBEF_PROP_GRP1

Interno ID: ID_SATBEF_PROP_GRP1

Azione

Proprietà per comandi

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Action


ID_SAVE_ALWAYS_BIN_AML

Interno ID: ID_SAVE_ALWAYS_BIN_AML

Salva buffer circolare in modo spontaneo

Disponibile solamente nel caso in cui la proprietà Lista di informazione allarmi attiva è attivata.

  • Attivo: ogni modifica dei dati della Lista informazioni allarmi ha come effetto anche il salvataggio dell´intero buffer circolare (alarm.bin).
  • Inattivo: i dati della lista di informazioni allarmi (alarm.bin) vengono salvati solamente al momento della chiusura del Runtime, oppure quando si esegue la funzione Salva buffer circolare AML e CEL. I dati storici (*.aml) possono essere salvati indipendentemente da questa impostazione ogni volta che un valore cambia.

Default: inattivo
Nota: Se si setta la proprietà su attiva, ciò potrà (soprattutto nel caso di flash disk) causare un considerevole carico del sistema. Se invece per la proprietà si seleziona l´opzione inattiva, in caso di una chiusura inattesa del Runtime, si potrà avere una perdita di dati. Scegliere l´opzione inattiva è consigliabile soprattutto in caso di basse prestazioni.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SaveAmlStack


ID_SAVE_ALWAYS_BIN_CEL

Interno ID: ID_SAVE_ALWAYS_BIN_CEL

Salva buffer circolare in modo spontaneo

Selezione del tipo di salvataggio dati.

  • Attivo: ogni modifica dei dati della Lista eventi cronologica (CEL) ha come effetto anche il salvataggio dei dati stessi (cel.bin).
  • Inattivo: i dati della CEL (cel.bin) vengono salvati solamente al momento della chiusura del Runtime, oppure quando si esegue la funzione Salva buffer circolare AML e CEL. Si consiglia soprattutto nel caso di basse performance del sistema. I dati storici (*.cel) possono essere salvati indipendentemente da questa impostazione ogni volta che un valore cambia.

Nota: Se si setta la proprietà su attiva, ciò potrà (soprattutto nel caso di flash disk) causare un considerevole carico del sistema. Se invece per la proprietà si seleziona l´opzione inattiva, in caso di una chiusura inattesa del Runtime, si potrà avere una perdita di dati. Scegliere l´opzione inattiva è consigliabile soprattutto in caso di basse prestazioni.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SaveCelStack


ID_SCREEN_GRP_API

Interno ID: ID_SCREEN_GRP_API

Programmazione

Gruppo per la configurazione degli accessi API.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

API


ID_SCREEN_GRP_MULTITOUCH_POINTER_MSG

Interno ID: ID_SCREEN_GRP_MULTITOUCH_POINTER_MSG

Eventi Multi-Touch

Proprietà per l´analisi di eventi Multi-Touch.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerMessages


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE

Cross Slide

Attivo: Riconoscimento per Cross Slide settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlide


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_EXACT

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_EXACT

Cross Slide Exact

Attivo: Riconoscimento per Cross Slide Exact settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlideExact


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_HORIZONTAL

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_HORIZONTAL

Cross Slide Horizontal

Attivo: Riconoscimento per Cross Slide Horizontal settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlideHorizontal


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_REARRANGE

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_REARRANGE

Cross Slide Rearrange

Attivo: Riconoscimento per Cross Slide Rearrange settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlideRearrange


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SELECT

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SELECT

Cross Slide Select

Attivo: Riconoscimento per Cross Slide Select settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlideSelect


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SPEED_BUMP

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SPEED_BUMP

Cross Slide Speed Bump

Attivo: Riconoscimento per Cross Slide Speed Bump settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_CrossSlideSpeedBump


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_DRAG

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_DRAG

Drag

Attivo: Riconoscimento per Drag settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Drag


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_HOLD

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_HOLD

Hold

Attivo: Riconoscimento per Hold settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Hold


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_HOLD_MOUSE

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_HOLD_MOUSE

Hold (Mouse)

Attivo: Riconoscimento per Hold (Mouse) settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_HoldMouse


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION

Manipulation

Attivo: Riconoscimento per Manipulation settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Manipulation


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_EXACT

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_EXACT

Exact

Attivo: Riconoscimento per Exact settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Exact


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_X

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_X

Rails X

Attivo: Riconoscimento per Rails X settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_RailsX


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_Y

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_Y

Rails Y

Attivo: Riconoscimento per Rails Y settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_RailsY


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION

Rotation

Attivo: Riconoscimento per Rotation settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Rotation


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION_INERTIA

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION_INERTIA

Rotation Inertia

Attivo: Riconoscimento per Rotation Inertia settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_RotationInertia


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING

Scaling

Attivo: Riconoscimento per Scaling settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Scaling


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING_INERTIA

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING_INERTIA

Scaling Inertia

Attivo: Riconoscimento per Scaling Inertia settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_ScalingInertia


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_INERTIA

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_INERTIA

Translation Inertia

Attivo: Riconoscimento per Translation Inertia settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_TranslationInertia


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_X

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_X

Translation X

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_TranslationX


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_Y

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_Y

Translation Y

Attivo: Riconoscimento per Translation X settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_TranslationY


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_SECONDARY_TAP

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_SECONDARY_TAP

Secondary Tap

Attivo: Riconoscimento per Secondary Tap settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_SecondaryTap


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_TAP

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_TAP

Tap

Attivo: Riconoscimento per Tap settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_Tap


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_TAP_DOUBLE

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_TAP_DOUBLE

Tap Double

Attivo: Riconoscimento per Tap Double settato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Gestures_TapDouble


ID_SCREEN_INTERACTION_CONFIGURATION_GRP

Interno ID: ID_SCREEN_INTERACTION_CONFIGURATION_GRP

Analisi gesture VSTA

Proprietà per il riconoscimento gesti per immagini tramite VSTA.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureRecognition


ID_SCREEN_PROP_INTERACTION_ACTIVE

Interno ID: ID_SCREEN_PROP_INTERACTION_ACTIVE

Riconoscimento gesture attivo

Analisi gesti attiva. I gesti vengono definiti mediante le ulteriori proprietà.

È disponibile solo se nel gruppo Interazione delle proprietà di progetto, per la proprietàAnalisi è stata inserita l´opzione Windows 8.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureRecognitionActive


ID_SCREEN_PROP_NCPOINTERDOWN_MSG

Interno ID: ID_SCREEN_PROP_NCPOINTERDOWN_MSG

NCPointerDown

Attivo: Il sistema analizza l´evento NCPointerDown.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCPointerDown


ID_SCREEN_PROP_NCPOINTERUP_MSG

Interno ID: ID_SCREEN_PROP_NCPOINTERUP_MSG

NCPointerUp

Attivo: Il sistema analizza l´evento NCPointerUp.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCPointerUp


ID_SCREEN_PROP_NCPOINTERUPDATE_MSG

Interno ID: ID_SCREEN_PROP_NCPOINTERUPDATE_MSG

NCPointerUpdate

Attivo: Il sistema analizza l´evento NCPointerUpdate.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NCPointerUpdate


ID_SCREEN_PROP_POINTERACTIVATE_MSG

Interno ID: ID_SCREEN_PROP_POINTERACTIVATE_MSG

PointerActivate

Attivo: Il sistema analizza l´evento PointerActivate.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerActivate


ID_SCREEN_PROP_POINTERCAPTURECHANGED_MSG

Interno ID: ID_SCREEN_PROP_POINTERCAPTURECHANGED_MSG

PointerCaptureChanged

Attivo: Il sistema analizza l´evento PointerCaptureChanged.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerCaptureChanged


ID_SCREEN_PROP_POINTERDEVICECHANGE_MSG

Interno ID: ID_SCREEN_PROP_POINTERDEVICECHANGE_MSG

PointerDeviceChange

Attivo: Il sistema analizza l´evento PointerDeviceChange.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerDeviceChange


ID_SCREEN_PROP_POINTERDEVICEINRANGE_MSG

Interno ID: ID_SCREEN_PROP_POINTERDEVICEINRANGE_MSG

PointerDeviceInRange

Attivo: Il sistema analizza l´evento PointerDeviceInRange.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerDeviceInRange


ID_SCREEN_PROP_POINTERDEVICEOUTOFRANGE_MSG

Interno ID: ID_SCREEN_PROP_POINTERDEVICEOUTOFRANGE_MSG

PointerDeviceOutOfRange

Attivo: Il sistema analizza l´evento PointerDeviceOutOfRange.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerDeviceOutOfRange


ID_SCREEN_PROP_POINTERDOWN_MSG

Interno ID: ID_SCREEN_PROP_POINTERDOWN_MSG

PointerDown

Attivo: Il sistema analizza l´evento PointerDown.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerDown


ID_SCREEN_PROP_POINTERENTER_MSG

Interno ID: ID_SCREEN_PROP_POINTERENTER_MSG

PointerEnter

Attivo: Il sistema analizza l´evento PointerEnter.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerEnter


ID_SCREEN_PROP_POINTERHWHEEL_MSG

Interno ID: ID_SCREEN_PROP_POINTERHWHEEL_MSG

PointerHWheel

Attivo: Il sistema analizza l´evento PointerHWheel.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerHWheel


ID_SCREEN_PROP_POINTERLEAVE_MSG

Interno ID: ID_SCREEN_PROP_POINTERLEAVE_MSG

PointerLeave

Attivo: Il sistema analizza l´evento PointerLeave.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerLeave


ID_SCREEN_PROP_POINTERMESSAGE_HANDLING

Interno ID: ID_SCREEN_PROP_POINTERMESSAGE_HANDLING

Rounting eventi Raw

È disponibile solamente se la proprietà Analisi nelle proprietà di progetto per Interazione, è stata impostata suWindows 8.

Si seleziona mediante la lista a cascata quali eventi devono essere analizzati.

  • Tutti gli eventi: vengono analizzati tutti gli eventi.
  • Disattivata: l´analisi è disattivata.
  • Solo eventi selezionati: vengono analizzati soli gli eventi attivati tramite le Checkbox.

Default: Disattiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RawEventRouting


ID_SCREEN_PROP_POINTERUP_MSG

Interno ID: ID_SCREEN_PROP_POINTERUP_MSG

PointerUp

Attivo: Il sistema analizza l´evento PointerUp.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerUp


ID_SCREEN_PROP_POINTERUPDATE_MSG

Interno ID: ID_SCREEN_PROP_POINTERUPDATE_MSG

PointerUpdate

Attivo: Il sistema analizza l´evento PointerUpdate.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerUpdate


ID_SCREEN_PROP_POINTERWHEEL_MSG

Interno ID: ID_SCREEN_PROP_POINTERWHEEL_MSG

PointerWheel

Attivo: Il sistema analizza l´evento PointerWheel.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PointerWheel


ID_SCRIPT_DEL

Interno ID: ID_SCRIPT_DEL

{Cancella Script}

Lo script verrà cancellato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DeleteScript


ID_SCRIPT_GRP0

Interno ID: ID_SCRIPT_GRP0

Generale

Impostazioni grafiche generali per lo script.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_SCRIPT_IMEX_NAME

Interno ID: ID_SCRIPT_IMEX_NAME

Nome

Nome univoco della ricetta.
Default: Recipe_x (x è un numero progressivo)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RecipeName


ID_SCRIPT_NAME

Interno ID: ID_SCRIPT_NAME

Nome

Nome univoco dello script.

Default: Script_x (x è un numero progressivo)

Si possono definire script individuali, e selezionare script predefiniti. Inserimento di un nome nel Combobox per script individuali oppure selezione fra le opzioni proposte dal menù a tendina:

  • AUTOSTART: Lo script viene eseguito automaticamente all’avvio del runtime (stazione singola oppure server) dopo l’apertura dell’immagine di partenza (sulla stazione singola o sul server), se il progetto è un progetto runtime di partenza.
  • AUTOEND: lo script viene eseguito automaticamente al termine del runtime (stazione singola oppure server) se il progetto è un progetto runtime di partenza.
    Attenzione: le macro VBA che devono essere eseguite in AUTOEND, devono essere attivate mediante Project.Inactive. Non si devono riportare archivi ciclici nello script AUTOEND.
  • AUTOSTART_CLIENT: lo script viene eseguito automaticamente all’avvio del runtime (client) prima dell’apertura dell’immagine di partenza, se il progetto è un progetto runtime di partenza.
  • AUTOEND_CLIENT: lo script viene eseguito automaticamente al termine del runtime (client) sul client se il progetto è un progetto runtime di partenza.
  • AUTOSTART_SRVPRJ: lo Script viene eseguito automaticamente sul computer che funge da server per il progetto, prima dell´apertura dell´immagine di partenza, se il progetto non è un progetto runtime di partenza.
  • AUTOEND_SRVPRJ: lo script viene eseguito automaticamente al termine del runtime sul computer che funge da server per il progetto se il progetto non è un progetto runtime di partenza.

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Indicazione per progetti multiuser: nel caso di cambiamento di nomi script, i parametri delle funzioni collegate vengono adattati automaticamente dopo un controllo automatico di Consenti modifiche. Dopo che la modifica è stata eseguita con successo, viene cambiato anche lo script.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_SCRIPT_NEW

Interno ID: ID_SCRIPT_NEW

{Nuovo script}

Viene creato un nuovo script con il nome di Default Script_x (x è un numero progressivo).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NewScript


ID_SCRIPT_SYNCWRITE

Interno ID: ID_SCRIPT_SYNCWRITE

Scrittura sincrona

Attivo: L'esecuzione della funzione con questa ricetta viene terminata solo dopo l'arrivo di una conferma dell'azione di scrittura, o dopo che è trascorso il timeout definito in modo fisso.
In tal modo si può fissare in script che la funzione successiva verrà eseguita solo quando la presente è stata effettivamente terminata.
La conferma può essere richiesta anche tramite il bit di stato "WR-SUC".
inattivo: Non si attende una conferma scrittura.
Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SyncWrite


ID_SCRIPT_SYNCWRITE_TIMEOUT

Interno ID: ID_SCRIPT_SYNCWRITE_TIMEOUT

Timeout [ms]

Se è stata attivata l´opzione "scrittura sincr.", si può inserire qui un timeout.
Se si inserisce qui il valore 0, lo SCADA calcola il tempo di attesa come segue:
3000+(100* Numero di punti dati)
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SyncWriteTimeout


ID_SEA_PROP_ABBRUCH

Interno ID: ID_SEA_PROP_ABBRUCH

Annulla

Stato della variabile di annullamento in corrispondenza del quale deve essere interrotta la successione di commutazione.

0 ... OFF

1 ... ON

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Cancel


ID_SEA_PROP_ABBRUCH_PV

Interno ID: ID_SEA_PROP_ABBRUCH_PV

Annulla variabile

La successione di commutazione corrente può essere interrotta mediante la variabile selezionata.

Variabile di processo e variabile merker (consigliata: driver interno BOOL).

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CancelVariable


ID_SEA_PROP_DIREKT

Interno ID: ID_SEA_PROP_DIREKT

Direttamente eseguibile

La successione di commutazione viene iniziata attraverso una funzione (Applicazione->Successione di commutazione funzionamento automatico).

Smette di funzionare automaticamente se non si verificano degli errori.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DirectExecute


ID_SEA_PROP_GRP0

Interno ID: ID_SEA_PROP_GRP0

Generale

Parametro della successione di commutazione.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_SEA_PROP_LERNEN

Interno ID: ID_SEA_PROP_LERNEN

Autorizza l'apprendimento

La successione di commutazione può registrare nel Runtime delle azioni di commutazione.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LearningEnabled


ID_SEA_PROP_NAME

Interno ID: ID_SEA_PROP_NAME

Nome

Nome univoco della successione di commutazione.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_SEA_PROP_VAR

Interno ID: ID_SEA_PROP_VAR

Variabile

Variabile (obbligatoria), sulla quale vengono rappresentati gli stati della successione di commutazione.
Variabile merker (consigliata: driver interno DWORD).

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable


ID_SGW_PROP1

Interno ID: ID_SGW_PROP1

Nome

Distinct name of the Gateway Parameter Set.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_SGW_PROP2

Interno ID: ID_SGW_PROP2

Variabile sorgente

Name of the variable linked as source.

  • In Mirroring mode, state and value of this variable are transferred to the output side.
  • In Setpoint mode, the setpoint event of this variable is passed to the output setpoint action.
  • In all other modes, the state of this variable is evaluated to trigger output actions.

Opens the variable selection dialog.

Usually used with wildcards.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SourceVariable


ID_SGW_PROP3

Interno ID: ID_SGW_PROP3

Variabile di riferimento

Name of the variable linked as target.

  • In "Mirroring" Mode, this is the output variable.
  • In all other modes, the variable defined in the targets Command Group as "Response variable" serves as Reference to the Command and Setpoint actions.

Opens the variable selection dialog.

Usually used with wildcards.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Add


ID_SGW_PROP5

Interno ID: ID_SGW_PROP5

Identificatore di risorsa filtro

Text based filter: Only apply this Gateway rule to input variables with matching Resource label (wildcards can be used).

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SourceFilter


ID_SGW_PROP6

Interno ID: ID_SGW_PROP6

Modalità

Mode of the Gateway

  • IEC
  • Mirroring
  • Non IEC
  • Source IEC emulation

Target IEC emulation

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Mode


ID_SGW_PROP7

Interno ID: ID_SGW_PROP7

Gruppo di comandi

Name of the Command group to be used.
Selection from drop down box.

Not available in "Mirroring" Mode.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CmdGrp


ID_SGW_PROP8

Interno ID: ID_SGW_PROP8

Interblocco

Link an existing interlocking to this element.

If a condition in one of the formulas of the interlocking is true, this element is locked so that no operation is possible.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Locking


ID_SGW_PROP9

Interno ID: ID_SGW_PROP9

Rilascio specchiato

This parameter defines what should be transferred when the interlocking condition goes.

Mirroring mode plus interlocking required.

  • Edge: Current value.
    Current source value will be transferred only.
  • Gage: Current value & Updates.
    Current source value and further changes will be transferred

Gage: Updates.
No transfer of the current source value but all further changes.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MirrorMode


ID_SGW_PROP10

Interno ID: ID_SGW_PROP10

Evento

Trigger event (Source).

Select an IEC event, Limit- or REMA Counter number from the drop down box.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CounterID


ID_SGW_PROP11

Interno ID: ID_SGW_PROP11

ID menù di azione

Action Mapping (Target).

Actions defined in the Reference variables Command group.

Select an existing action from drop down box.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActionID


ID_SGW_PROP12

Interno ID: ID_SGW_PROP12

Seleziona variabile di feedback

Mark response variable. To indicate Gateway activity the response variable can be marked with a user defined state bit. This allows a differentiation from HMI user actions.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MarkResponse


ID_SGW_PROP13

Interno ID: ID_SGW_PROP13

Registra azioni bloccate

Enables/disables CEL entry for blocking events.

When enabled all actions blocked by the Gateway Module will be logged in the Event list. Actions blocked at Command Group level will be logged according to the Command Groups logging settings.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WriteCEL


ID_SGW_PROP14

Interno ID: ID_SGW_PROP14

Anteprima

Opens the dialog for display of variables which would be linked according to the wildcard rules.
In this dialogue also a traffic light indication (red-yellow-green) will be displayed which informs about the validity of the rules.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Info


ID_SGW_PROP_GRP0

Interno ID: ID_SGW_PROP_GRP0

Generale

Displays properties for the Gateway.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_SGW_PROP_GRP1

Interno ID: ID_SGW_PROP_GRP1

Input

Displays general properties.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Input


ID_SGW_PROP_GRP2

Interno ID: ID_SGW_PROP_GRP2

Output

Displays input properties.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_OutPut


ID_SGW_PROP_GRP3

Interno ID: ID_SGW_PROP_GRP3

Trigger

Displays trigger properties.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TriggerNew1


ID_SGW_PROP_T_DEL

Interno ID: ID_SGW_PROP_T_DEL

{Cancella trigger}

By clicking the selected trigger will be deleted.
This can also be done in the left part of the window using the right mouse button.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CurveDel


ID_SGW_PROP_T_NEU

Interno ID: ID_SGW_PROP_T_NEU

{Nuovo trigger}

By clicking a new trigger will be created.
This can also be done in the left part of the window using the right mouse button.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TriggerNew


ID_SIZEINBYTE

Interno ID: ID_SIZEINBYTE

Dimensione in byte

Visualizzazione delle grandezza complessiva della variabile strutturata in byte.
Questa proprietà ha solo fini informativi e non può essere modificata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SizeInByte


ID_SPRECON870_COUNTER_NODE

Interno ID: ID_SPRECON870_COUNTER_NODE

Counters

Proprietà per Counter group.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_Counters


ID_SPRECON870_COUNTERACTIVE

Interno ID: ID_SPRECON870_COUNTERACTIVE

Counter value handling

Disponibile solamente se nella configurazione driver è stato impostato un gruppo.

Attivato: L’elaborazione conta viene utilizzata dal driver.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_CounterActive


ID_SPRECON870_COUNTERGROUP

Interno ID: ID_SPRECON870_COUNTERGROUP

Counter group

Disponibile solo se la proprietà Counter value handling è stata attivata.

Nome per l´identificazione del Counter group, secondo quanto configurato nel driver.

Tramite l´assegnazione della variabile ad un gruppo contatori, viene definito il comportamento della variabile stessa. Il gruppo di contatori rappresenta una sorta di matrice di reazione che gestisce il conteggio di elaborazioni (p.e. la conversione da valore assoluto a relativo).

Default: < No group >

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_CounterGroupID


ID_SPRECON870_INITVAL

Interno ID: ID_SPRECON870_INITVAL

Initial value

Il default viene usato solo se la proprietà Reverse direction only è stata attivata, oppure se l´indirizzo di rete della variabile rimanda ad una connessione che è stata evidenziata come Internal connection. Per variabili del tipo di dato String, non si può stabilire nessun default.
Se, quando si avvia il Runtime, non è stato assegnato alla variabile nessun valore dall´immagine ritentiva, il default e lo stato NT vengono scritti sulla variabile stessa.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_ReverseDirectionInitialValue


ID_SPRECON870_MAXCOUNTDIFF

Interno ID: ID_SPRECON870_MAXCOUNTDIFF

Maximum counter difference

Disponibile solo se la proprietà Counter value handling è stata attivata.

Definisce la massima differenza tra due valori trasferiti. La variazione massima si riferisce al valore normalizzato (calcolo del valore). Se viene superata la differenza massima di valore, viene eseguita l’impostazione della proprietà Max. counter diff. exceeded.

Minimo: 0 - disattivata, la differenza massima non viene monitorata

Massimo: 65535

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_MaxCounterDifference


ID_SPRECON870_ONMAXCOUNTDIFF

Interno ID: ID_SPRECON870_ONMAXCOUNTDIFF

Max. counter diff. exceeded

Disponibile solo se la proprietà Counter value handling è stata attivata.

Trattamento dei valori di conteggio (relativo/assoluto) per i quali il monitoring da Maximum counter difference deve reagire.

Selezione dalla lista a cascata:

- Disabled

- Set INVALID state: viene settato lo stato e, in tal modo, viene attivata la Replacement value handling (sempre che questa opzione sia stata configurata). Questo trattamento è anche vero per l'overflow del contatore di valori assoluti. Se si raggiunge uno stato di errore, viene settato lo stato INVALID e il valore di conteggio attuale non viene accettato. Il valore di conteggio ricevuto per ultimo viene segnato come non valido. I calcoli che necessitano un valore di conteggio precedente, possono essere eseguiti nuovamente solo dopo la ricezione di due altri valori di conteggio. Lo stato INVALID viene azzerato non appena viene ricevuto nuovo valore di conteggio con differenza minore a quella dell´impostazione per la proprietà Replacement value handling.

Default: Disabled

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_OnMaxCounterDifference


ID_SPRECON870_ONNOUPDATE

Interno ID: ID_SPRECON870_ONNOUPDATE

Not updated in time

Disponibile solo se la proprietà Counter value handling è stata attivata.

Definisce il comportamento per il conteggio di valori che non vengono aggiornati all'interno della finestra temporale, ovvero viene attivata la gestione valore alternativo. Selezione dalla lista a cascata:
- Disabled: Vengono usate le impostazioni dalla proprietà Replacement value handling.

- Set INVALID state: Viene settato lo stato INVALID.

Default: Disabled

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_OnNoUpdate


ID_SPRECON870_REMANENT

Interno ID: ID_SPRECON870_REMANENT

Remanent

Disponibile solo se la proprietà Reverse direction enable è stata attivata. Ultimo valore, time-stamp e stato della variabile vengono salvati nell´immagine ritentiva. Dopo un riavvio del sistema, valore, time-stamp e stato salvati nell´immagine ritentiva, vengono letti e assegnati alla variabile.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_ReverseDirectionRemanent


ID_SPRECON870_REVDIR_NODE

Interno ID: ID_SPRECON870_REVDIR_NODE

Reverse direction

Proprietà per Reverse direction.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

SPRECON870_ReverseDirection


ID_SPRECON870_REVDIRENABLED

Interno ID: ID_SPRECON870_REVDIRENABLED

Reverse direction enable

Attivazione di Reverse-direction.

Attivo: La variabile viene inviata, dopo una corrispondente general interrogation in Reverse-direction.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_ReverseDirectionEnable


ID_SPRECON870_REVDIRONLY

Interno ID: ID_SPRECON870_REVDIRONLY

Reverse direction only

Disponibile solamente se la proprietà Reverse direction enable è stata attivata.
Attiva: a questa variabile non viene mai assegnato uno dei valori ricevuti dal PLC, Dopo l´avvio del Runtime, viene assegnato alla variabile il default configurato, oppure un valore preso dall´immagine ritentiva. Poi la variabile può essere modificata solo tramite "Settare valore impostabile"-

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_ReverseDirectionOnly


ID_SPRECON870_STRUCT_COA1

Interno ID: ID_SPRECON870_STRUCT_COA1

COA1

Inserimento strutturato per COA.

Inserimento di Byte 1 per IEC870 COA.

Ulteriori informazioni nella guida in formato PDF.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_StructuredCOA1


ID_SPRECON870_STRUCT_COA2

Interno ID: ID_SPRECON870_STRUCT_COA2

COA2

Inserimento strutturato per COA.

Inserimento di Byte 2 per IEC870 COA.

Ulteriori informazioni nella guida in formato PDF.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_StructuredCOA2


ID_SPRECON870_STRUCT_IOA1

Interno ID: ID_SPRECON870_STRUCT_IOA1

IOA1

Inserimento strutturato per IOA.

Inserimento di Byte 2 per IEC870 IOA.

Ulteriori informazioni nella guida in formato PDF.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_StructuredIOA1


ID_SPRECON870_STRUCT_IOA2

Interno ID: ID_SPRECON870_STRUCT_IOA2

IOA2

Inserimento strutturato per IOA.

Inserimento di Byte 1 per IEC870 IOA.

Ulteriori informazioni nella guida in formato PDF.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_StructuredIOA2


ID_SPRECON870_STRUCT_IOA3

Interno ID: ID_SPRECON870_STRUCT_IOA3

IOA3

Inserimento strutturato per IOA.

Inserimento di Byte 0 per IEC870 IOA.

Ulteriori informazioni nella guida in formato PDF.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_StructuredIOA3


ID_SPRECON870_SUBSTITUTE_NODE

Interno ID: ID_SPRECON870_SUBSTITUTE_NODE

Replacement value handling

Proprietà per trattamento di valori di riserva. Le proprietà vengono usate se nel gruppo la proprietà è settata su . Il trattamento dei valori di riserva vale per tutte le variabili del driver.

Attenzione: se si è attivato il trattamento dei valori di riserva nel driver, non potrà essere progettata in zenon nessuna strategia di valore di riserva per questa variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_ReplacementHandling


ID_SPRECON870_SUBSTVALUETYPE

Interno ID: ID_SPRECON870_SUBSTVALUETYPE

Replacement value handling

Selezione di trattamento di valori di riserva se lo stato della variabile è INVALID oppure NT_870. Selezione dalla lista a cascata:

- Disabled: Nessun trattamento di valore di riserva.

- Last valid value: passa all´ultimo valore non disturbato. A questo scopo, di questo valore deve essere salvata un´immagine di processo. Se non c´è un ultimo valore non disturbato, viene usato quello disponibile (per es. 0 + INVALID).

- Use replacement value: la variabile viene scritta con il valore della proprietà Replacement value.

- Use replacement variable: La variabile viene scritta sia con il valore, che con lo stato della variabile dalla proprietà Replacement variable.
Eccezione: se la stessa variabile del valore di riserva non ha né lo stato INVALID, né quello NT_870, non si passa a questa variabile, ma si mantiene la propria variabile, compreso valore e stato.
Caso speciale Status GI: visto che durante una General Interrogation il valore di riserva non deve essere necessariamente disponibile, una variabile può passare per breve tempo a INVALID, finché non si riceve un valore di riserva.

Tutte le impostazioni, fatta eccezione Disabled, settano il bit di stato ALT_VAL. Non appena la causa del trattamento del valore di riserva ( INVALID o NT_870 ) non sussiste più, la variabile riprende il valore del processo e viene resettato il bit di stato ALT_VAL.

Default: Disabled

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_ReplacementType


ID_SPRECON870_SUBSTVALUEVAL

Interno ID: ID_SPRECON870_SUBSTVALUEVAL

Replacement value

Valore con il quale viene scritta la variabile se per la proprietà Replacement value handling è stata selezionata l´opzione Use replacement value.

Minimo: 4294967295

Massimo: 0

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_ReplacementValue


ID_SPRECON870_SUBSTVALUEVAR

Interno ID: ID_SPRECON870_SUBSTVALUEVAR

Replacement variable

Variabile il cui valore e stato vengono ripresi se per la proprietà Replacement value handling è stata selezionata l´opzione Use replacement variable. Ogni modifica di valore della variabile del valore di riserva viene visualizzata sulla variabile disturbata. Cliccando sul pulsante, si apre il dialogo che serve alla selezione delle variabili.

Attenzione: si può selezionare solamente una variabile dello stesso driver. Se si seleziona nel dialogo una variabile di un altro driver, il dialogo viene chiuso, ma l´impostazione non viene ripresa.

Default: Spazio

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SPRECON870_ReplacementVariable


ID_STARTATNEWOFFSET

Interno ID: ID_STARTATNEWOFFSET

Ogni tipo di dato parte con un nuovo offset

Disponibile solo se è attiva l´opzione indirizzamento automatico:
Attivo: Ogni tipo di dato della variabile strutturata parte con un nuovo offset.
Inattivo: I tipi di dato della variabile strutturata possono essere anche nello stesso offset.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsStartAtNewOffset


ID_STRATON_1

Interno ID: ID_STRATON_1

Nome progetto

Nome del progetto zenon Logic. Al massimo 15 caratteri.

Attenzione: Le modifiche del nome di progetto possono sciogliere delle connessioni con elementi dinamici.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_STRATON_2

Interno ID: ID_STRATON_2

Cartella di progetto

Percorso di lavoro del progetto zenon Logic.

ATTENZIONE: Questa proprietà non può essere modificata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WorkingFolder


ID_STRATON_3

Interno ID: ID_STRATON_3

Host di destinazione

L'Host Runtime (Indirizzo IP o nome del computer) del sistema destinatario di zenon Logic per il collegamento del Workbench, per esempio Online Debugging.
Default: localhost.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VMHost


ID_STRATON_4

Interno ID: ID_STRATON_4

Porta

Il Runtime Port del sistema destinatario di zenon Logic per il collegamento del Workbench. Questa informazione è per il workbench di zenon Logic, per collegarsi con il sistema di destinazione (Runtime zenon Logic) per, per esermpio, Online Debugging.
Minimo 0.
Massimo: 4294967295.
Default: 1200.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VMPort


ID_STRATON_5

Interno ID: ID_STRATON_5

Tipo di start

Il tipo di start definisce se e come deve essere avviato il Runtime di zenon Logic con il sistema Runtime del sistema di controllo.
Partenza automatica: Il Runtime di zenon Logic avvia il Runtime del sistema di controllo. Nel caso in cui il sistema Runtime del sistema di controllo viene chiuso, quello di zenon Logic continua a funzionare.
start/stop automatico: Il Runtime di zenon Logic avvia il Runtime del sistema di controllo. Nel caso in cui il Runtime del sistema di controllo viene chiuso, anche quello di zenon Logic termina di funzionare.
Start manuale: In riferimento al Runtime di zenon Logic non accade nulla se il Runtime del sistema di controllo viene avviato o chiuso. In questo caso il Runtime di zenon Logic viene avviato manualmente (per es. con il Runtime Manager di zenon Logic).
Default: autom. start e stop.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VMStartTyp


ID_STRATON_6

Interno ID: ID_STRATON_6

Posto di partenza

Questa proprietà è rilevante solo in connessione con lo Starttyp Runime “autom. start stop” e “autom. start”.
Tutti i computer: In questa modalità su tutti i computer (server, clienti e Standby Server), sui quali è stato caricato il progetto del sistema di controllo, viene avviato e chiuso il Runtime zenon Logic con quello del sistema di controllo.
Server: In questa modalità il Runtime di zenon Logic viene avviato o avviato e terminato solo su un server che gestisce il processo. Su client oppure su Standby Server, il Runtime di zenon Logic non viene avviato.
Server 1 e Server 2: In questa modalità il Runtime di zenon Logic viene avviato o avviato e terminato solo sul server che gestisce il processo e sullo Server-Standby Su client il Runtime di zenon Logic non viene avviato.
Default: tutti i computer.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VMStartArea


ID_Syskron_LDS_FKT_RD

Interno ID: ID_Syskron_LDS_FKT_RD

Syskron_LDS Function Read

Definite qui la funzione di accesso per la lettura. Un clic sul comando apre il dialogo che serve alla selezione della funzione di accesso. In alternativa potete inserire manualmente il nome della funzione di accesso nel campo di testo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Syskron_LDS_FKT_RD


ID_Syskron_LDS_FKT_WR

Interno ID: ID_Syskron_LDS_FKT_WR

Syskron_LDS Function Write

Definite qui la funzione di accesso per la scrittura. Un clic sul comando apre il dialogo che serve alla selezione della funzione di accesso. In alternativa potete inserire manualmente il nome della funzione di accesso nel campo di testo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Syskron_LDS_FKT_WR


ID_Syskron_LDS_PARAM_RD

Interno ID: ID_Syskron_LDS_PARAM_RD

Syskron_LDS Parameters Read

Definite in questa sede tutti i parametri di trasmissione delle variabili. Cliccando sulla superficie si apre il dialogo per l'inserimento di tutti i parametri per la trasmissione delle funzioni che vengono trasmessi nel Runtime per la lettura alla funzione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Syskron_LDS_PARAM_RD


ID_Syskron_LDS_PARAM_WR

Interno ID: ID_Syskron_LDS_PARAM_WR

Syskron_LDS Parameters Write

Definite in questa sede tutti i parametri di trasmissione delle variabili. Cliccando sulla superficie si apre il dialogo per l'inserimento di tutti i parametri per la trasmissione delle funzioni che vengono trasmessi nel Runtime per la scrittura alla funzione. L'ultimo parametro di trasmissione è sempre il valore impostabile inviato da zenon.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Syskron_LDS_PARAM_WR


ID_SYSVAR_INHALT

Interno ID: ID_SYSVAR_INHALT

Typ

Definizione del tipi della variabile di sistema. Selezione dal menù a tendina.
Il contenuto può essere modificato solamente se non c'è ancora nessuna variabile del nuovo tipo. Ad esempio: potete creare solamente una variabile Server attuale per progetto.

Attenzione: Se modificate il tipo, il nome della variabile ed eventualmente anche il tipo di date vengono modificati. Vi preghiamo di tenere presente che nell'uso delle variabili in elementi dinamici eventualmente può rendersi necessario adattare l'area di visualizzazione oppure il nome della variabile in VBA/VSTA.

Per le variabili del driver di sistema definite dall'utente la lista a cascata rimane vuota.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Inhalt


ID_SYSVAR_THEMA

Interno ID: ID_SYSVAR_THEMA

Thema

Gruppo logico delle variabili di sistema.

Per le variabili del driver di sistema definite dall'utente la lista a cascata rimane vuota.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Thema


ID_TEMPLATE_PROP1

Interno ID: ID_TEMPLATE_PROP1

Nome

Nome univoco del modello.

  • Massimo: 28 caratteri nel progetto, 27 caratteri nel progetto globale.

Default: Template_x (xè un numero progressivo) ).
Indicazione: Quando si modifica il nome, se necessario, esso dovrà essere reinserito nella proprietà Modelli primari. Altrimenti la variabile del driver di sistema Ultima immagine aperta non può più identificare le immagini basate su questo modello.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TemplateName


ID_TEMPLATE_PROP2

Interno ID: ID_TEMPLATE_PROP2

Su [Pixel]

Coordinate Y del punto d´angolo superiore sinistro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: 0.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosTop


ID_TEMPLATE_PROP3

Interno ID: ID_TEMPLATE_PROP3

Sinistra [Pixel]

Coordinate X del punto d´angolo superiore sinistro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: 0.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosLeft


ID_TEMPLATE_PROP4

Interno ID: ID_TEMPLATE_PROP4

Destra [Pixel]

Coordinate X del punto d´angolo inferiore destro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: massimo dell´attuale risoluzione dello schermo.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosRight


ID_TEMPLATE_PROP5

Interno ID: ID_TEMPLATE_PROP5

Giu [Pixel]

Coordinate Y del punto d´angolo inferiore destro del modello in pixel (a partire dalla risoluzione dello schermo impostata).
Minimo: -2147483648.
Massimo: 2147483647.
Default: massimo dell´attuale risoluzione dello schermo.

Attenzione: Vi consigliamo di creare dei modelli dalle dimensioni non maggiori a 32000*32000 pixel per evitare una visualizzazione non perfettamente nitida.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosBottom


ID_TEMPLATE_PROP7

Interno ID: ID_TEMPLATE_PROP7

Colore di sfondo

Colore di sfondo proposto per tutte le nuove immagini definite su questo modello

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackgroundColor


ID_TEMPLATE_PROP8

Interno ID: ID_TEMPLATE_PROP8

File grafico

Scelta della grafica di sfondo come modello per tutte le nuove immagini definite sulla base di questo modello.
Indicazione: una modifica del file grafico non si ripercuote sulle immagini già esistenti che si basano su questo modello.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackgroundPicture


ID_TEMPLATE_PROP9

Interno ID: ID_TEMPLATE_PROP9

Orientamento

Disponibile solamente dopo che è stato selezionato un File grafico:

Possibili modalità di rappresentazione:
affiancato: grandezza originale, affiancato.

Allungato: riempitivo del formato, allungato per la lunghezza dell´immagine.

normale: Grandezza originale, posizionato nell´angolo in alto a sinistra.
Centrato: Grandezza originale, centrato al centro dell´immagine.

Default: normale:

non è possibile uno spostamento a piacere.

Nota: una modifica dell´orientamento non si ripercuote sulle immagini già esistenti che si basano su questo modello.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackgroundPictureStyle


ID_TEMPLATE_PROP10

Interno ID: ID_TEMPLATE_PROP10

Sempre in primo piano

Attivo: Nessun’ altra immagine può coprire quest’ area nel funzionamento online Si possono però gestire le immagini di sfondo.
Inattivo: Le immagini di questo modello possono essere coperte da altre immagini.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowForeground


ID_TEMPLATE_PROP11

Interno ID: ID_TEMPLATE_PROP11

Titolo

Disponibile solamente se è selezionata una cornice per il modello.:
Attivo: Usare gli header Windows per le immagini di questo modello. Le immagini possono essere spostate durante il runtime.
Inattivo: non usare nessun Header.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowTitle


ID_TEMPLATE_PROP12

Interno ID: ID_TEMPLATE_PROP12

Menu di sistema

Disponibile solo se il titolo è attivo:
Attivo: Visualizza menu di sistema Windows nella barra del titolo.
Inattivo: non visualizzare nessun sistema di menù.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowSysMenu


ID_TEMPLATE_PROP13

Interno ID: ID_TEMPLATE_PROP13

Pulsanti Min./Max.

Disponibile solo se il titolo è attivo:
Attivo: visualizza campo di simbolo nella barra del titolo.
Inattivo: non visualizza nessun campo di simbolo.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowMinimize


ID_TEMPLATE_PROP14

Interno ID: ID_TEMPLATE_PROP14

Tipo di cornice

Determinazione del tipo di cornice. In tal modo si stabilisce anche se la grandezza del modello può essere modificata nel Runtime.

  • Permetti ridimensionamento: Si può modificare nel Runtime la grandezza del modello. Intorno al modello viene visualizzata una cornice spessa.
  • Dimensione fissa: La grandezza non può essere modificata. Intorno al modello viene visualizzata una cornice fine.
  • Nessuna cornice: La grandezza non può essere modificata. Non viene visualizzata nessuna cornice intorno al modello.

Default: Nessuna cornice

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BorderStyle


ID_TEMPLATE_PROP18

Interno ID: ID_TEMPLATE_PROP18

Visualizza nell'Editor dei modelli

Attivo: Il modello prescelto viene visualizzato nell'Editor dei modelli.
Inattivo: Il modello prescelto non viene visualizzato nell'Editor dei modelli.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VisibleInEditor


ID_TEMPLATE_PROP20

Interno ID: ID_TEMPLATE_PROP20

Utilizzare posizione standard

attivo: Posiziona il modello per la barra dello stato allarmi sul bordo superiore dello schermo.

Default: attivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StandardPosition


ID_TEMPLATE_PROP21

Interno ID: ID_TEMPLATE_PROP21

Posizionamento

Determina la posizione del modello e delle immagini basate su di esso durante il runtime.

usa posizione assoluta Posiziona il modello in corrispondenza delle coordinate definite in Posizione.

relativo all'elemento Posiziona il punto di riferimento relativamente a quell´elemento dal quale è stato inizializzato il cambio immagine. In questa sede potete stabilire sia il punto di riferimento del modello (in Punto di riferimento per il modello), che il punto di riferimento dell'elemento (in Punto di riferimento per l'elemento) incluse le distanze dall'elemento stesso. Nel runtime, poi, il punto di riferimento del modello viene posto sempre su quello calcolato dell´elemento. Se il modello non può venire aperto in questa posizione, visto che l´immagine si troverebbe poi al di fuori dello schermo, si usano dei punti di riferimento alternativi. Avete la possibilità di impostarli per il modello in Punto di riferimento per il modello e per l´elemento in Punto di rif. Alternativo dell'elemento.

relativo al puntatore l'immagine viene aperta in dipendenza del punto di riferimento del modello. Questo corrisponde sempre alla posizione attuale del puntatore. Stabilite il punto di riferimento in Punto di riferimento per il modello. Esso viene visualizzato nell´editor del modelli come punto rosso. Esempio: Se il punto di riferimento si trova in alto a sinistra, il modello viene aperto in basso a destra rispetto al punto di riferimento.
Nel caso in cui l'immagine non possa essere visualizzata completamente nella posizione progettata, la sua posizione viene spostata in modo tale che tutta l'immagine rimanga all'interno del settore rappresentabile dello schermo.

Default: utilizza posizione assoluta

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosType


ID_TEMPLATE_PROP22

Interno ID: ID_TEMPLATE_PROP22

Verticale

Attiva solo se avete selezionato presso Posizionamento relativo all'elemento oppure relativo al puntatore del mouse.

Selezionate nella lista dropdown il punto di riferimento desiderato per il modello. Scegliete fra sopra, sotto oppurecentrato.

Default: su

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RefVert


ID_TEMPLATE_PROP23

Interno ID: ID_TEMPLATE_PROP23

Orizzontale

Attiva solo se avete selezionato presso Posizionamento relativo all'elemento oppure relativo al puntatore del mouse.

Selezionate nella lista dropdown il punto di riferimento desiderato per il modello. Scegliete fra sinistra, destra oppurecentrato.

Default: sinistra

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RefHorz


ID_TEMPLATE_PROP24

Interno ID: ID_TEMPLATE_PROP24

Verticale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Selezionate nella lista dropdown il punto di riferimento desiderato sull'elemento. Al momento dell'apertura del modello si cerca anzitutto di partire da questo punto. Scegliete fra sopra o sotto.

Default: su

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosVert


ID_TEMPLATE_PROP25

Interno ID: ID_TEMPLATE_PROP25

Orizzontale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Selezionate nella lista dropdown il punto di riferimento desiderato sull'elemento. Al momento dell'apertura del modello si cerca anzitutto di partire da questo punto. Scegliete fra sinistra o destra.

Default: sinistra

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosHorz


ID_TEMPLATE_PROP26

Interno ID: ID_TEMPLATE_PROP26

Spostamento verticale [Pixel]

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Mediante l'inserimento di un valore numerico positivo o negativo, spostate il punto di riferimento preferito verticalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PixelVert


ID_TEMPLATE_PROP27

Interno ID: ID_TEMPLATE_PROP27

Spostamento orizzontale [Pixel]

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Mediante l'inserimento di un valore numerico positivo o negativo, spostate il punto di riferimento preferito orizzontalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PixelHorz


ID_TEMPLATE_PROP28

Interno ID: ID_TEMPLATE_PROP28

Alternativa verticale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Selezionate nella lista dropdown il punto di riferimento alternativo desiderato per il modello. Al momento dell'apertura del modello viene usato il punto di riferimento alternativo, se non è possibile aprire il modello in corrispondenza del punto di riferimento preferito. Scegliete fra sopra, sotto oppurecentrato.

Default: su

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AltRefVert


ID_TEMPLATE_PROP29

Interno ID: ID_TEMPLATE_PROP29

Alternativa orizzontale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Selezionate nella lista dropdown il punto di riferimento alternativo desiderato per il modello. Al momento dell'apertura del modello viene usato il punto di riferimento alternativo, se non è possibile aprire il modello in corrispondenza del punto di riferimento preferito. Scegliete fra sinistra, destra oppurecentrato.

Default: sinistra

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AltRefHorz


ID_TEMPLATE_PROP30

Interno ID: ID_TEMPLATE_PROP30

Verticale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Selezionate nella lista dropdown il punto di riferimento alternativo desiderato sull'elemento. Al momento dell'apertura del modello viene usato il punto di riferimento alternativo, se non è possibile aprire il modello in corrispondenza del punto di riferimento preferito. Scegliete fra sopra o sotto.

Default: su

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AltPosVert


ID_TEMPLATE_PROP31

Interno ID: ID_TEMPLATE_PROP31

Orizzontale

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Selezionate nella lista dropdown il punto di riferimento alternativo desiderato sull'elemento. Al momento dell'apertura del modello viene usato il punto di riferimento alternativo, se non è possibile aprire il modello in corrispondenza del punto di riferimento preferito. Scegliete fra sinistra o destra.

Default: sinistra

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AltPosHorz


ID_TEMPLATE_PROP32

Interno ID: ID_TEMPLATE_PROP32

Spostamento verticale [Pixel]

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Mediante l'inserimento di un valore numerico positivo o negativo, spostate il punto di riferimento alternativo verticalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AltPixelVert


ID_TEMPLATE_PROP33

Interno ID: ID_TEMPLATE_PROP33

Spostamento orizzontale [Pixel]

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Mediante l'inserimento di un valore numerico positivo o negativo, spostate il punto di riferimento alternativo orizzontalmente alla posizione desiderata.

Default: 2

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AltPixelHorz


ID_TEMPLATE_PROP34

Interno ID: ID_TEMPLATE_PROP34

Chiusura alla perdita del Focus

Gestisce il comportamento del modello nel caso di perdita di focus.

Attivo: Cliccando con il tasto sinistro del mouse fuori del modello, quest´ultimo si chiude automaticamente, ammesso che si clicchi su un settore di schermo che fa parte del runtime di zenon, ma non appartiene né al modello stesso né a un modello con la proprietà impostata Inibisci chiusura alla perdita del Focus.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CloseOnClickOutside


ID_TEMPLATE_PROP35

Interno ID: ID_TEMPLATE_PROP35

Modello a forma libera

Permette l´uso della forma modello libera per il modello selezionato. Perciò è possibile definire dei modelli, con, per esempio, angoli arrotondati, buchi, ecc.

  • Attivo: La forma modello libera viene usata per questo modello e per le immagini ad esso collegate.
  • Inattivo: modello a forma libera non è disponibile. Una forma modello già esistente non viene visualizzata nell´Editor dei modelli e delle immagini,

Default: inattivo

Avvertenza:

  • Non è disponibile per il modello Barra stato allarmi e per Windows CE.
  • Non può essere combinato con le proprietà del gruppo Cornice.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UseFreeForming


ID_TEMPLATE_PROP36

Interno ID: ID_TEMPLATE_PROP36

Definizione libera modelli

Non disponibile se Modello a forma libera è attiva.

Definite la forma per il modello selezionato. Cliccate con il tasto sinistro del mouse sul pulsante per aprire il modello corrispondente nell´editor della forma modello. In questa sede potete fissare la forma del modello con l´aiuto di cerchi, rettangoli e poligoni arrotondati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DefineFreeForm


ID_TEMPLATE_PROP37

Interno ID: ID_TEMPLATE_PROP37

Inibisci chiusura alla perdita del Focus

Gestisce il comportamento di altri modelli nel caso di perdita di focus. Si possono definire aree dello schermo in cui, cliccando all´interno di questo modello, si inibisce la chiusura automatica di modelli con la proprietà Chiusura alla perdita del Focus attiva.

  • Attivo: Quando questo modello riceve il focus, rimangono aperti tutti gli altri modelli con proprietà Chiusura alla perdita del Focus attivata, nonostante la perdita del focus.
  • Inattivo: Quando questo modello riceve il focus, vengono chiusi tutti gli altri modelli con proprietà Chiusura alla perdita del Focus attivata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IgnoreCloseOnClick


ID_TEMPLATE_PROP38

Interno ID: ID_TEMPLATE_PROP38

Mantieni posizione e dimensioni alla riapertura

Attivo: Un modello che è stato spostato manualmente durante il runtime, non viene riportato alla posizione progettata con l´apertura di una nuova immagine, se è aperto già sullo stesso client. La sua posizione e dimensione rimangono invariate.

Nota: Quest´opzione deve essere attiva perché la posizione del modello venga salvata prima dell´aggiornamento e il modello stesso venga aperto dopo l´aggiornamento in corrispondenza della posizione salvata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NoMoveOnReopen


ID_TEMPLATE_PROP39

Interno ID: ID_TEMPLATE_PROP39

Larghezza (massima) [Pixel]

Definisce la larghezza massima dei modelli in pixel, a partire dal punto di ancoraggio sinistro.

  • Massimo: 10000
    Non disponibile sotto CE.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosWidth


ID_TEMPLATE_PROP40

Interno ID: ID_TEMPLATE_PROP40

Altezza (massima) [Pixel]

Definisce l´altezza massima del modello in pixel, a partire dal punto di ancoraggio superiore.

  • Massimo: 10000
    Non disponibile sotto CE.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosHeight


ID_TEMPLATE_PROP41

Interno ID: ID_TEMPLATE_PROP41

Modello multi istanziabile

Attivo: Il modello può essere aperto più volte durante il runtime. Immagini che si basano su questo modello, vengono aperte al momento della chiamata con un nuovo modello invece che dello stesso. Se si tratta della stessa immagine, verrà aperta anche l´immagine una volta ancora.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OpenMultiple


ID_TEMPLATE_PROP_GRP0

Interno ID: ID_TEMPLATE_PROP_GRP0

Generale

Proprietà generali dei modelli.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_TEMPLATE_PROP_GRP1

Interno ID: ID_TEMPLATE_PROP_GRP1

Cornice

Proprietà per la cornice del modello.

Non sono a disposizione se è attiva la proprietà Modello a forma libera.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Frame


ID_TEMPLATE_PROP_GRP2

Interno ID: ID_TEMPLATE_PROP_GRP2

Posizione

Proprietà concernenti la posizione e la dimensione del modello.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Position


ID_TEMPLATE_PROP_GRP3

Interno ID: ID_TEMPLATE_PROP_GRP3

Immagine di sfondo

In ogni immagine può essere visualizzata una grafica sullo sfondo. Grafiche di sfondo per modelli vengono assegnate automaticamente a tutte le nuove immagini che si basano su questo modello. Per quello che concerne le immagini già esistenti, devono essere adattate manualmente in un secondo momento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_BackgroundPicture


ID_TEMPLATE_PROP_GRP4

Interno ID: ID_TEMPLATE_PROP_GRP4

Punto di riferimento per il modello

Qui definite il punto di riferimento del modello. In riferimento ad esso viene aperto il modello nel Runtime, se avete selezionato Posizionamento relativo al puntatore del mouse oppure relativo all'elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_TemplateReference


ID_TEMPLATE_PROP_GRP5

Interno ID: ID_TEMPLATE_PROP_GRP5

Punto di riferimento per l'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento all'elemento. In corrispondenza di esso viene aperto il modello. Nel caso in cui il punto di riferimento, ad esempio, sia centrato/ a sinistra con un margine di 0 pixel, il punto di riferimento del modello viene posizionato esattamente su questo punto di riferimento sul bordo sinistro al centro dell'elemento. Impostate il punto di riferimento del modello alla voce Punto di riferimento per il modello.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_PrimaryReference


ID_TEMPLATE_PROP_GRP6

Interno ID: ID_TEMPLATE_PROP_GRP6

Punto di rif. Alternativo dell'elemento

Attiva solo se avete selezionato pressoPosizionamento relativo all'elemento.

Qui definite il punto di riferimento alternativo sull'elemento. Ciò ha un effetto solamente nel caso in cui il modello non possa essere aperto nel settore rappresentabile dello schermo. Si consiglia di usare sempre le impostazioni contrarie al punto di riferimento regolare (impostato alla voce Punto di riferimento per l'elemento). Esempio: Nel caso in cui il punto di riferimento è centrato / a destra, il punto di riferimento alternativo dovrebbe essere centrato / a sinistra.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AlternativeReference


ID_TEMPLATE_PROP_GRP7

Interno ID: ID_TEMPLATE_PROP_GRP7

Modello a forma libera

Proprietà per la forma modello libera.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_FreeTemplateShape


ID_TEMPLOGIN

Interno ID: ID_TEMPLOGIN

Login temp. attivo

Attivazione del login temporaneo per quegli utenti che vogliono gestire un elemento, ma non sono registrati nel sistema.

  • Attivo: l´utente che ha bisogno di un´autorizzazione operativa, viene invitato a inserire la sua identificazione e la sua password. A tal scopo, vengono aperti (a seconda di quanto stabilito in fase di configurazione) o l´immagine del tipo Login, oppure un dialogo modale. Il sistema effettua il logout dell´utente subito dopo che questi ha eseguito l´azione.
  • Inattivo: l´utente che ha bisogno di un´autorizzazione operativa, riceve l´informazione che non ha diritto ad ottenerla.

Default: attiva

Avvertenza:

  • Posizione e grandezza della maschera di login del dialogo modale possono essere definiti nel zenon6.ini alla voce [Befehlsgabe]Position =.
  • Al posto del dialogo modale si può usare l´immagine del tipo Login. Essa viene definita con la proprietà Immagine per Login con firma.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TempLogin


ID_TEXTLIST_PROP01

Interno ID: ID_TEXTLIST_PROP01

Name

Description as text.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_TEXTLIST_PROP02

Interno ID: ID_TEXTLIST_PROP02

Beschreibung

Description as text.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Description


ID_TEXTLIST_PROPGRP1

Interno ID: ID_TEXTLIST_PROPGRP1

Text

Description as text.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_TIMEFILTER_MODIFYTIMEPERIOD

Interno ID: ID_TIMEFILTER_MODIFYTIMEPERIOD

ModifyTimePeriod

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ModifyTimePeriod


ID_TOPOLOGIE_PROP1

Interno ID: ID_TOPOLOGIE_PROP1

Tratteggio 1

Tratteggio 1

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BrokenLine1


ID_TOPOLOGIE_PROP2

Interno ID: ID_TOPOLOGIE_PROP2

Tratteggio 2

Tratteggio = 2

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BrokenLine2


ID_TOPOLOGIE_PROP3

Interno ID: ID_TOPOLOGIE_PROP3

Larghezza linea

Larghezza linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineWidth


ID_TOPOLOGIE_PROP4

Interno ID: ID_TOPOLOGIE_PROP4

Nome oggetto come link

Nome oggetto come link

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OBJNameLink


ID_TOPOLOGIE_PROP5

Interno ID: ID_TOPOLOGIE_PROP5

Modo di visualizzazione

Modalità di visualizzazione

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DisplayMode


ID_TOPOLOGIE_PROP6

Interno ID: ID_TOPOLOGIE_PROP6

Ampiezza linea fissata

Ampiezza linea protetta

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineWidthFGES


ID_TOPOLOGIE_PROP7

Interno ID: ID_TOPOLOGIE_PROP7

Larghezza bordo

Larghezza bordo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SaumWidth


ID_TOPOLOGIE_PROP8

Interno ID: ID_TOPOLOGIE_PROP8

Simbolo F1

Simbolo F1

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbolF1


ID_TOPOLOGIE_PROP9

Interno ID: ID_TOPOLOGIE_PROP9

Simbolo F2

Simbolo F2

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbolF2


ID_TOPOLOGIE_PROP10

Interno ID: ID_TOPOLOGIE_PROP10

Simbolo FGES

Simbolo FGES

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbolFGES


ID_TOPOLOGIE_PROP11

Interno ID: ID_TOPOLOGIE_PROP11

Simbolo bordo

Simbolo bordo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbolSaum


ID_TOPOLOGIE_PROP12

Interno ID: ID_TOPOLOGIE_PROP12

Simbolo F1 colori

Simbolo F1 colori

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbolF1_Mode


ID_TOPOLOGIE_PROP13

Interno ID: ID_TOPOLOGIE_PROP13

Simbolo F2 colori

Simbolo F2 colori

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbolF2_Mode


ID_TOPOLOGIE_PROP14

Interno ID: ID_TOPOLOGIE_PROP14

Simbolo FGES colori

Simbolo FGES colori

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbolFGES_Mode


ID_TOPOLOGIE_PROP15

Interno ID: ID_TOPOLOGIE_PROP15

Colori simbolo bordo

Colori simbolo bordo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbolSaum_Mode


ID_TOPOLOGIE_PROP16

Interno ID: ID_TOPOLOGIE_PROP16

Variabile SS_1_1

Variabile SS_1_1

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable_SS_1_1


ID_TOPOLOGIE_PROP17

Interno ID: ID_TOPOLOGIE_PROP17

Variabile SS_1_2

Variabile SS_1_2

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable_SS_1_2


ID_TOPOLOGIE_PROP18

Interno ID: ID_TOPOLOGIE_PROP18

Variabile SS_1_4

Variabile SS_1_4

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable_SS_1_3


ID_TOPOLOGIE_PROP19

Interno ID: ID_TOPOLOGIE_PROP19

Variabile SS_1_4

Variabile SS_1_4

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable_SS_1_4


ID_TOPOLOGIE_PROP20

Interno ID: ID_TOPOLOGIE_PROP20

Variabile start1

Variabile start1

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable_Start1


ID_TOPOLOGIE_PROP21

Interno ID: ID_TOPOLOGIE_PROP21

Punto separatore variabile

Punto separatore variabile

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VariableStandardIsolatingPoint


ID_TOPOLOGIE_PROP22

Interno ID: ID_TOPOLOGIE_PROP22

Variabile Start2

Variabile Inizio 2

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable_Start2


ID_TOPOLOGIE_PROP23

Interno ID: ID_TOPOLOGIE_PROP23

Variale SS_2_1

Variale SS_2_1

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable_SS_2_1


ID_TOPOLOGIE_PROP24

Interno ID: ID_TOPOLOGIE_PROP24

Variabile SS_2_2

Variabile SS_2_2

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable_SS_2_2


ID_TOPOLOGIE_PROP25

Interno ID: ID_TOPOLOGIE_PROP25

Variabile SS_2_3

Variabile SS_2_3

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable_SS_2_3


ID_TOPOLOGIE_PROP26

Interno ID: ID_TOPOLOGIE_PROP26

Variabile SS_2_4

Variabile SS_2_4

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable_SS_2_4


ID_TOPOLOGIE_PROP27

Interno ID: ID_TOPOLOGIE_PROP27

Carattere diviso in un'altra posizione

Carattere diviso in un'altra posizione

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DistributionLineCharacter


ID_TOPOLOGIE_PROP31

Interno ID: ID_TOPOLOGIE_PROP31

Reattanza

Reattanza in ohm per determinare la locazione guasti.
Solo in corrispondenza dell’ opzione Posizione guasto e Topologia.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Reactance


ID_TOPOLOGIE_PROP_GRP1

Interno ID: ID_TOPOLOGIE_PROP_GRP1

Topologia

Elemento\\Topologia

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Topology


ID_TOPOLOGIE_PROP_GRP2

Interno ID: ID_TOPOLOGIE_PROP_GRP2

Colorazione

Elemento\\Topologia\\Gestione simboli

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TopColors


ID_TOPOLOGIE_PROP_GRP3

Interno ID: ID_TOPOLOGIE_PROP_GRP3

Linea di distribuzione

Elemento\\Topologia\\Linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Strang


ID_TOPOLOGIE_PROP_GRP4

Interno ID: ID_TOPOLOGIE_PROP_GRP4

Valutazione rete

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetCalc


ID_TOPOLOGIE_PROP_GRP5

Interno ID: ID_TOPOLOGIE_PROP_GRP5

Cavo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetCalcCable


ID_TOPOLOGIE_PROPxx

Interno ID: ID_TOPOLOGIE_PROPxx

SymbolSaum

Description as text.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbolSaum


ID_TREIBER_CONFIG

Interno ID: ID_TREIBER_CONFIG

Configurazione

Apre il dialogo per la configurazione del driver.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Configuration


ID_TREIBER_FILE

Interno ID: ID_TREIBER_FILE

Nome file

Nome file del driver.
Il file si trova nel percorso di programma del sistema di controllo di processo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NameFile


ID_TREIBER_GRP0

Interno ID: ID_TREIBER_GRP0

Generale

Proprietà generali per il driver.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_TREIBER_NAME

Interno ID: ID_TREIBER_NAME

Nome

Identificazione univoca del driver.
zenon identifica il driver facendo riferimento a questo nome e non mediante il nome del file. Perciò è possibile caricare più volte lo stesso driver. Ciò è necessario, ad esempio, nel caso di driver seriali, se dovete accedere allo stesso tipo di PLC in diverse interfacce seriali.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_TREIBER_PROP6

Interno ID: ID_TREIBER_PROP6

Descrizione

Descrizione del driver

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Description


ID_TREIBER_PROP_GRP0

Interno ID: ID_TREIBER_PROP_GRP0

Indirizzamento

Proprietà generali per il driver.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Address


ID_TREIBER_PROP_GRP1

Interno ID: ID_TREIBER_PROP_GRP1

Connessione driver

Riassume la configurazione della connessione con il tipo di dato IEC, la priorità e lo standby.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Driver


ID_TREIBER_PROP_GRP2

Interno ID: ID_TREIBER_PROP_GRP2

Impostazioni array

Proprietà per la struttura di variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Structure


ID_TREIBER_PROP_GRP3

Interno ID: ID_TREIBER_PROP_GRP3

Opzioni di struttura

Opzioni per elementi di struttura.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_StructureOpts


ID_TREIBER_PROP_GRP4

Interno ID: ID_TREIBER_PROP_GRP4

Opzioni di indirizzamento

Opzioni per l´indirizzamento di variabili array.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AddressOpts


ID_TREND_DEL

Interno ID: ID_TREND_DEL

{Cancella Curva}

La curva viene cancellata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CurveDel


ID_TREND_NEU

Interno ID: ID_TREND_NEU

{Nuova curva}

Viene realizzata una nuova curva per l´elemento trend.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CurveNew


ID_TYPE_GW_NEW

Interno ID: ID_TYPE_GW_NEW

{Nuovo limite}

Viene creato un nuovo valore limite per il tipo di dato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NewLimit


ID_UEBER_HELLIGKEIT

Interno ID: ID_UEBER_HELLIGKEIT

Con valori di luminosità

Disponibile solamente se è stato selezionato come Tipo di riempimento Via effetto di riempimento.

Attivo: la luminosità dell´effetto di riempimento può essere definita liberamente.
Non attiva: La luminosità dell´effetto di riempimento viene assegnata automaticamente.

Nota: Se questa proprietà è attiva, non si potrà più modificare il tipo di riempimento Non sarà nemmeno possibile utilizzare degli angoli arrotondati. Se l´opzione viene attivata per un elemento che usa degli angoli smussati (arrotondati), l´elemento viene visualizzato con angoli non arrotondati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Brightness


ID_UNIT_PROP_DECSHIFT

Interno ID: ID_UNIT_PROP_DECSHIFT

Posizione della virgola decimale

Correzione delle cifre decimali. Il numero delle cifre decimali nell´unità convertita rispetto all´unità base viene spostato sulla base di questo valore.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DecShift


ID_UNIT_PROP_FACTOR

Interno ID: ID_UNIT_PROP_FACTOR

Fattore

Indicazione del fattore di conversione facendo uso del quale il valore dell´unità di base viene convertito nel valore dell´unità convertita. (k per y=kx+d oppure m per y=mx+b).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Factor


ID_UNIT_PROP_GRP0

Interno ID: ID_UNIT_PROP_GRP0

Generale

Proprietà per conversione unità.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_UNIT_PROP_NAME

Interno ID: ID_UNIT_PROP_NAME

Unità di misura

Indicazione dell´unità di base in corrispondenza della quale avviene la conversione, oppure dell´unità convertita nella quale avviene la conversione. Per esempio: C°, K, m, y, Celsius, Kelvin, metri, yard ecc.

L´inserimento non può superare i 50 caratteri.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_UNIT_PROP_OFFSET

Interno ID: ID_UNIT_PROP_OFFSET

Offset

da unità primaria (d per y=kx+d)

Indicazione dell´offeset di conversione facendo uso del quale il valore dell´unità di base viene convertito nel valore dell´unità convertita. (d per y=kx+d oppure b per y=mx+b).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Offset


ID_USER_ACTIVE

Interno ID: ID_USER_ACTIVE

Utente attivo

Attivo: L´utente viene accettato nel Runtime.
Inattivo: L´utente non viene accettato nel Runtime.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserActive


ID_USER_GROUPS

Interno ID: ID_USER_GROUPS

Gruppi utenti

Tutti i gruppi utenti che sono assegnati all´utente selezionato.

Cliccate sul pulsante per aggiungere o rimuovere dei gruppi utenti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserGroups


ID_USER_GRP

Interno ID: ID_USER_GRP

Utente

Proprietà per l´utente.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_USER_LOCKCODE

Interno ID: ID_USER_LOCKCODE

Codice di blocco

PIN-Code a 4 cifre.

Questo codice viene usato dall'utente per bloccare diverse aree oppure per renderle accessibili. Bloccando con questo codice, si evita che si renda involontariamente accessibile un'area e così si possano verificare problemi.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockCode


ID_USER_LOCKED

Interno ID: ID_USER_LOCKED

Bloccato

Attivo: L´utente è bloccato.
Inattivo: L´utente non è bloccato.
Default: inattivo.

Dopo un numero stabilito di inserimenti errati della password, un utente viene bloccato automaticamente. In questa sede si può rimuovere il blocco.
Nel Runtime, solo un Administrator può rimuovere il blocco di un utente, visto che solo un Administrator può gestire e modificare utenti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserLocked


ID_USER_MSGCTRL_EMAIL

Interno ID: ID_USER_MSGCTRL_EMAIL

E-Mail

Indirizzo E-Mail dell´utente.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgEmail


ID_USER_MSGCTRL_ERSATZUSER

Interno ID: ID_USER_MSGCTRL_ERSATZUSER

Sostituto

Persona che sostituisce l´utente nel caso in cui quest´ultimo non dovesse essere raggiungibile. Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di un utente. Il sistema consente di effettuare la scelta solamente fra quegli utenti che sono stati attivati come user del Message Control (vedi proprietà Utente Message Control).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgErsatzUser


ID_USER_MSGCTRL_GSM

Interno ID: ID_USER_MSGCTRL_GSM

GSM

Numero del telefono cellulare dell´utente. Viene usato per messaggi via GSM e SMS.

Inserimento in cifre; è consentito inserire all´inizio il segno + come abbreviazione per lo 00 dei prefissi internazionali.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgGSM


ID_USER_MSGCTRL_NACKCODE

Interno ID: ID_USER_MSGCTRL_NACKCODE

Codice-NA

Codice Not-Available con cui l´utente può rifiutare la ricezione del messaggio.

Nota: questo codice dovrebbe differenziarsi in modo chiaro da quello della proprietà Codice PIN.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgNACKCode


ID_USER_MSGCTRL_PHONE

Interno ID: ID_USER_MSGCTRL_PHONE

Telefono

Numero del telefono fisso dell´utente. Viene usato per messaggi Text-to-Speech.

Inserimento in cifre; è consentito inserire all´inizio il segno + come abbreviazione per lo 00 dei prefissi internazionali.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgPhone


ID_USER_MSGCTRL_PINCODE

Interno ID: ID_USER_MSGCTRL_PINCODE

Codice PIN

Codice PIN con cui l´utente conferma di aver ricevuto il messaggio.

Nota: questo codice dovrebbe differenziarsi in modo chiaro da quello della proprietà Codice-NA.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgPinCode


ID_USER_MSGCTRL_USER

Interno ID: ID_USER_MSGCTRL_USER

Utente Message Control

Attivo: L´utente viene usato dal Message Control.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsMsgCtrlUser


ID_USERGROUP_GRP

Interno ID: ID_USERGROUP_GRP

Gruppo utenti

Proprietà per il gruppo utenti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_USERGROUP_LEVEL

Interno ID: ID_USERGROUP_LEVEL

Livelli di autorizzazione

Tutti i livelli di autorizzazione che sono assegnati al gruppo utenti selezionato.

Cliccate sul pulsante per aggiungere o rimuovere dei livelli di autorizzazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserGroupLevel


ID_USERGROUP_NAME

Interno ID: ID_USERGROUP_NAME

Nome

Il nome del gruppo utenti selezionato.

Cliccate sul campo d´inserimento apposito per cambiare il nome.

Nota: @ non è un carattere valido per un nome di un gruppo utenti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserGroupName


ID_USERGRP_MSGCTRL_ISMSGCTRL

Interno ID: ID_USERGRP_MSGCTRL_ISMSGCTRL

Gruppo Message Control

Attivo: Il gruppo utenti viene usato dal Message Control.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsMsgCtrlGroup


ID_USERGRP_MSGCTRL_USERORDER

Interno ID: ID_USERGRP_MSGCTRL_USERORDER

Ordinamento utenti

Definisce la successione degli utenti all´interno del gruppo. Cliccando sul pulsante ....... si apre il dialogo che serve a configurare la successione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserGroupOrder


ID_USERKENNUNG

Interno ID: ID_USERKENNUNG

Autorizzazione utente

Identificazione univoca con la quale l´utente deve effettuare il loggin.
Nel caso di diverse azioni dell´utente, questa successione di segni può essere visualizzata nella Lista eventi cronologica (CEL). Nella CEL c´è una colonna apposita per la visualizzazione di questa informazione. Inoltre, questa informazione può essere visualizzata anche facendo ricorso ad una variabile del driver di sistema.
Massimo: 20 caratteri.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserIdentification


ID_USERNAME

Interno ID: ID_USERNAME

Nome completo

Nome dell´utente.
Per diverse azioni utente, questa successione di caratteri viene visualizzata nella Lista eventi cronologica (CEL). Dovrebbe essere il nome completo dell´utente. Nella CEL c´è una colonna apposita per la visualizzazione di questa informazione. Inoltre, questa informazione può essere visualizzata anche facendo ricorso ad una variabile del driver di sistema.
Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserName


ID_USERPASSWORD

Interno ID: ID_USERPASSWORD

Password

Apre la finestra di dialogo per modificare la password

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserPassword


ID_VAR_AKS_GRP1

Interno ID: ID_VAR_AKS_GRP1

AKS-General

Punti dato del driver AK vengono parametrizzati con il OPM.

Ulteriori informazioni sulla parametrizzazione le trovate nell'help di SICAM230 e in quello del TOOLBOX II.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AKS-General


ID_VAR_AKS_GRP1_ENG

Interno ID: ID_VAR_AKS_GRP1_ENG

AKS-General

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AKS-General


ID_VAR_AKS_GRP2

Interno ID: ID_VAR_AKS_GRP2

AKS-Extended

Punti dato del driver AK vengono parametrizzati con il OPM.

Ulteriori informazioni sulla parametrizzazione le trovate nell'help di SICAM230 e in quello del TOOLBOX II.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AKS-Extended


ID_VAR_AKS_GRP2_ENG

Interno ID: ID_VAR_AKS_GRP2_ENG

AKS-Extended

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AKS-Extended


ID_VAR_AKS_GRP3

Interno ID: ID_VAR_AKS_GRP3

Redundanz

Punti dato del driver AK vengono parametrizzati con il OPM.

Ulteriori informazioni sulla parametrizzazione le trovate nell'help di SICAM230 e in quello del TOOLBOX II.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Redundancy


ID_VAR_AKS_GRP3_ENG

Interno ID: ID_VAR_AKS_GRP3_ENG

Redundancy

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Redundancy


ID_VAR_AKS_GRP4

Interno ID: ID_VAR_AKS_GRP4

Befehle

Punti dato del driver AK vengono parametrizzati con il OPM.

Ulteriori informazioni sulla parametrizzazione le trovate nell'help di SICAM230 e in quello del TOOLBOX II.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Command


ID_VAR_AKS_GRP4_ENG

Interno ID: ID_VAR_AKS_GRP4_ENG

Command

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Command


ID_VAR_ALARMBEREICH

Interno ID: ID_VAR_ALARMBEREICH

Alarmbereiche

In questa sede si può collegare la variabile con un´area allarmi.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmDomain


ID_VAR_ALARMBEREICH1

Interno ID: ID_VAR_ALARMBEREICH1

Area allarme 1

Prima area allarmi che viene assegnata alle variabili. Selezione dal menù a tendina.

Nota: non attiva se Utilizza gestione allermi gerarchizi della progettazione impianto è attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmDomain


ID_VAR_ALARMBEREICH2

Interno ID: ID_VAR_ALARMBEREICH2

Area allarme 2

Seconda area allarmi che viene assegnata alle variabili. Selezione dal menù a tendina.

Nota: non attiva se Utilizza gestione allermi gerarchizi della progettazione impianto è attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmDomain2


ID_VAR_ALARMBEREICH3

Interno ID: ID_VAR_ALARMBEREICH3

Area allarme 3

Terza area allarmi che viene assegnata alle variabili. Selezione dal menù a tendina.

Nota: non attiva se Utilizza gestione allermi gerarchizi della progettazione impianto è attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmDomain3


ID_VAR_ALARMBEREICH4

Interno ID: ID_VAR_ALARMBEREICH4

Area allarme 4

Quarta area allarmi che viene assegnata alle variabili. Selezione dal menù a tendina.

Nota: non attiva se Utilizza gestione allermi gerarchizi della progettazione impianto è attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmDomain4


ID_VAR_ALARMKANAL0

Interno ID: ID_VAR_ALARMKANAL0

Variabile d'allarme 1

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmPV0


ID_VAR_ALARMKANAL1

Interno ID: ID_VAR_ALARMKANAL1

Variabile d'allarme 2

Disponibile solamente in SICAM 230.
Seconda variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmPV1


ID_VAR_ALARMKANAL2

Interno ID: ID_VAR_ALARMKANAL2

Variabile d'allarme 3

Disponibile solamente in SICAM 230.
Prima variabile per l'allarme ad immagine.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmPV2


ID_VAR_ALARMQUIT

Interno ID: ID_VAR_ALARMQUIT

Variabile di riconoscimento

quando si ripristina un allarme della variabile di gestione, viene settato il valore della variabile di ripristino sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmQuitPV


ID_VAR_ALARMQUIT_VALUE

Interno ID: ID_VAR_ALARMQUIT_VALUE

Ripristina valore

Quando si effettua il riconoscimento visualizzazione o il ripristino di un allarme di questa variabile, la variabile selezionata sotto Variabile di riconoscimento visualizzazione o Variabile di riconoscimento viene settata su questo valore.

Selezione 0 o 1.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmQuitPVValue


ID_VAR_ALARMVIEWQUIT

Interno ID: ID_VAR_ALARMVIEWQUIT

Variabile di riconoscimento visualizzazione

Quando si effettua il riconoscimento visualizzazione di un allarme della variabile di gestione, viene settato il valore della variabile di riconoscimento visualizzazione sul valore definito sotto Ripristina valore.

Cliccate sul pulsante... ... per aprire il dialogo che serve alla selezione di una variabile binaria.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmViewQuitPV


ID_VAR_ARCHHYSTNEG

Interno ID: ID_VAR_ARCHHYSTNEG

Negativa per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ArchHystNeg


ID_VAR_ARCHHYSTPOS

Interno ID: ID_VAR_ARCHHYSTPOS

Positiva per l'archivio

Isteresi per l´archiviazione nel caso di cambio di valore relativo all´area di misurazione.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono inseriti nell´archivio solamente se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ArchHystPos


ID_VAR_ARRAYSIZE

Interno ID: ID_VAR_ARRAYSIZE

Grandezza array

Definizione della dimensione Array. Il driver legge o scrive la dimensione impostata con una richiesta di lettura/scrittura. In tal modo si assicura che i dati siano consistenti. I dati sono editabili esclusivamente nel Manager di gruppi ricette e tramite l´interfaccia di programmazione.
Attenzione: è impostabile nel Driver Interno, ma senza funzione nel Runtime (valore sempre 0).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ArraySizeOld


ID_VAR_ARRDIM1

Interno ID: ID_VAR_ARRDIM1

Dim 1

Grandezza della prima dimensione dell´array.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Dim1


ID_VAR_ARRDIM2

Interno ID: ID_VAR_ARRDIM2

Dim 2

Grandezza della seconda dimensione dell´array.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Dim2


ID_VAR_ARRDIM3

Interno ID: ID_VAR_ARRDIM3

Dim 3

Grandezza della terza dimensione dell´array.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Dim3


ID_VAR_AUSRICHTUNG

Interno ID: ID_VAR_AUSRICHTUNG

Orientamento

A seconda della granularità del driver, la posizione della variabile nell´ambito dell´offset definito.

Per variabili Byte:
HiByte: Byte più significativo in Word-Offset.
LoByte: Byte meno significativo in Word-Offset.
HiWord-HiByte Byte più significativo nel word più significativo nel double word Offset.
HiWord-LoByte: Byte meno significativo nel word più significativo nel double word Offset.
LoWord-HiByte: Byte più significativo nel word meno significativo nel double word Offset.
LoWord-LoByte: Byte più significativo nel word meno significativo nel double word Offset.

Per variabili-Word:
HiWord: Word più significativo nel double word Offset.
LoWord: Word meno significativo nel double word Offset.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Alignment


ID_VAR_BASETYPE

Interno ID: ID_VAR_BASETYPE

Tipo di dato IEC

Tipo di dato che è alla base.

Attenzione: se si modifica in un secondo tempo il tipo di dato di base, tutte le altre proprietà del tipo di dato debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ID_DataTyp


ID_VAR_BEZEICHNUNG

Interno ID: ID_VAR_BEZEICHNUNG

Generale

Proprietà generali della variabile o del tipo di dato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Title


ID_VAR_BIT

Interno ID: ID_VAR_BIT

Numero bit

Numero dei bits all´interno dell´offset impostato.
Minimo: 0.
Massimo: 65535.
Default: 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BitAddr


ID_VAR_BMKENNUNG

Interno ID: ID_VAR_BMKENNUNG

Identificazione servizio

Stringa qualsiasi.
Non viene usata internamente da zenon, ma è resa disponibile quando si esportano valori, in modo tale da rendere possibile un´assegnazione degli stessi a beneficio di sistemi di management dei dati d´impresa come, ad es., i sistemi ERP.

Lunghezza massima: 255 caratteri

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Recourceslabel


ID_VAR_CANCEL_OPERATE

Interno ID: ID_VAR_CANCEL_OPERATE

Termina Operate

Se questa opzione viene attivata, in caso di comando, anche dopo un Operate si può inviare unCancel .

Nota: Questa proprietà è disponibile solamente nella Energy Edition.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CancelOperate


ID_VAR_CPLX_OFFSET

Interno ID: ID_VAR_CPLX_OFFSET

Offset di partenza

Startoffset per la variabile strutturata.
Si inizia a partire da questo offset con l´indirizzamento delle variabili contenute.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Offset


ID_VAR_DB

Interno ID: ID_VAR_DB

Blocco dati

Numero del blocco dati.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DataBlock


ID_VAR_DDEAKTIV

Interno ID: ID_VAR_DDEAKTIV

Lettura variabile continua

Impostazione per la lettura della variabile e per la sua disponibilità nel Runtime via DDE:

  • Attivo: La variabile è sempre registrata presso il driver. Perciò viene letta in continuazione dallo stesso driver, anche nei momenti in cui essa non è necessaria nell´ambito del processo. In tal modo, il driver dispone sempre dei valori attuali e dello stato attuale delle variabili e può mettere a disposizione del sistema questi dati se ce n´è bisogno. La variabile è a disposizione anche di altre applicazioni Windows (per esempio Excel, Visual-Basic ecc.). Le applicazioni Windows in possesso di una funzionalità client DDE possono così utilizzare i valori della variabile.
    Tempo di update:: 0,5 s
    L´attivazione di questa opzione ha il vantaggio che, per esempio, il toggle di valori variabili nella funzione Settare valore impostabile oppure nell´elemento d´immagine Interruttore avviene più rapidamente, perché la variabile non deve essere interrogata apposta prima del cambio. Uno svantaggio è invece rappresentato da un maggiore carico della comunicazione con il driver.
  • Inattivo: La variabile non viene interrogata dal driver permanentemente, ma solo quando il Runtime ne richiede i valori o lo stato. Perciò essa non è disponibile neanche per altre applicazioni Windows via DDE.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DDEActive


ID_VAR_DESC

Interno ID: ID_VAR_DESC

Descrizione

Denominazione del tipo di dato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Description


ID_VAR_EINHEIT

Interno ID: ID_VAR_EINHEIT

Unità di misura

Unità tecnica della variabile per la visualizzazione durante il runtime. Nel caso in cui siano già state create nel modulo Unità delle Unità base, esse sono a disposizione dell´utente in una lista a cascata.
Massimo: 50 caratteri,
Default: vuoto

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Unit


ID_VAR_ERSATZ

Interno ID: ID_VAR_ERSATZ

Archivfüllwert

Questo valore viene usato per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlternateValue


ID_VAR_EXTERN

Interno ID: ID_VAR_EXTERN

Impostazioni esterne

Proprietà esterna per zenon Logic. Riguarda solamente le variabili che non sono del driver di straton.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_External


ID_VAR_GW_AKTIV

Interno ID: ID_VAR_GW_AKTIV

Limite attivo

Attivo: Si tiene conto del valore limite nel Runtime.
Inattivo: Il valore limite viene ignorato nel Runtime.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Active


ID_VAR_GW_ALARM

Interno ID: ID_VAR_GW_ALARM

Come allarme

Attivo: Se si verifica una violazione di valore limite, viene generato un inserimento nella Lista allarmi.
Non attiva: non viene generato nessun inserimento nella Lista allarmi.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Alarm


ID_VAR_GW_ALARMVERW

Interno ID: ID_VAR_GW_ALARMVERW

Chiama da pulsante nella pagina Allarmi

Disponibile solo se il valore limite è un allarme.

  • Attivo: La funzione non si esegue spontaneamente nel funzionamento online ma soltanto all’attivazione del pulsante “funzione” nella lista allarme.
  • Inattivo: La funzione viene eseguita spontaneamente non appena si verifica l'allarme.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AML_Call


ID_VAR_GW_AMLCEL

Interno ID: ID_VAR_GW_AMLCEL

Allarmi/CEL

Proprietà per la lista allarmi e la lista eventi cronologica (CEL)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AML_CEL


ID_VAR_GW_BLINKEN

Interno ID: ID_VAR_GW_BLINKEN

Lampeggio

Attivo: Gli elementi dinamici che sono collegati a questa variabile, iniziano a lampeggiare non appena viene violato un valore limite.
Il lampeggio può essere ripristinato cliccando due volte con il tasto destro del mouse.
Inattivo: nessun lampeggio viene provocato da questo valore limite.
Default: inattivo.
Attenzione: In combinazione con la proprietà Tempo di ritardo [s], la proprietà di cui sopra ha i seguenti effetti nella rete:
valore limite con lampeggio e senza ritardo Gli elementi collegati lampeggiano sul server e sui client.
Valore limite con lampeggio e ritardo.: Gli elementi collegati lampeggiano solo sul server, ma non sui client.
Allarme con lampeggio e senza ritardo: Gli elementi collegati lampeggiano sul server e sui client.
Allarme con lampeggio e ritardo.: Gli elementi collegati lampeggiano sul server e sui client.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Blinking


ID_VAR_GW_CEL

Interno ID: ID_VAR_GW_CEL

Nella CEL

Attivo: Se si verifica una violazione di valore limite, viene generato un inserimento nella Lista eventi cronologica (CEL).
Inattivo: Non viene viene generato un inserimento nella Lista eventi cronologica.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Cel


ID_VAR_GW_DEL

Interno ID: ID_VAR_GW_DEL

{Cancella limite}

Il valore limite viene cancellato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DelLimit


ID_VAR_GW_DRUCKEN

Interno ID: ID_VAR_GW_DRUCKEN

Stampa

Attivo: l´allarme, oppure la violazione di valore limite vengono stampati online per questa variabile se stabilito nelle impostazioni della proprietà Stampa per nel gruppo AML e CEL delle impostazioni di progetto.
Non attiva: nessuna stampa online.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Print


ID_VAR_GW_FARBE

Interno ID: ID_VAR_GW_FARBE

Colore

Informazione di colore utilizzata per i simboli e gli stati se la variabile è utilizzata nell’elemento binario; i colori dei testi di allarme nella lista allarmi si stabiliscono nella definizione della classe allarmi/eventi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Color


ID_VAR_GW_FKT

Interno ID: ID_VAR_GW_FKT

Funzione

Proprietà per la funzione collegata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Function


ID_VAR_GW_FUNKTION

Interno ID: ID_VAR_GW_FUNKTION

Funzione

Funzione che deve essere eseguita automaticamente nel Runtime quando si verifica la violazione di un valore limite.
Se lo stato è definito come allarme, si può impedire l’esecuzione spontanea della funzione. A tal scopo selezionate l´opzione Chiama da pulsante nella pagina Allarmi.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Function


ID_VAR_GW_GRENZWERT

Interno ID: ID_VAR_GW_GRENZWERT

Valore limite

Disponibile solo se non è definito nessun valore limite dinamico:
Definisce il valore a partire dal quale il limite è da considerarsi violato.
Se dei valori superiori o inferiori provocano una violazione del limite, lo si definisce tramite la proprietà "Minimo/Massimo".

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LimitValue


ID_VAR_GW_GRP1

Interno ID: ID_VAR_GW_GRP1

Limiti

Proprietà per il calcolo del valore limite.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Ranges


ID_VAR_GW_GRUPPE

Interno ID: ID_VAR_GW_GRUPPE

Gruppo allarmi/eventi

Assegnazione di un gruppo allarmi/eventi (massimo 65535) per un valore limite in caso di uso come allarme.
L´ assegnazione ad un gruppo allarmi/eventi avviene selezionandolo nella lista.
Default: 0 - (non usato)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Group


ID_VAR_GW_HILFE

Interno ID: ID_VAR_GW_HILFE

File guida

Disponibile solo se il valore limite è un allarme.

File (*.chm) tramite il quale deve essere visualizzato un capitolo dell´help relativo a questo allarme nella lista allarmi.

Ulteriori informazioni concernenti il file help nella guida in linea.

Progettazione per EPLAN:
L´apertura di una pagina di EPLAN è possibile. A tal scopo si deve disporre anzitutto di una licenza per la connessione EPLAN e il percorso del programma EPLAN deve essere definito nello zenon6.ini.
Configurazione:

  • Inserimento della successione caratteri $PRG:xxxxxx
  • xxxxxx è un testo sostitutivo per il parametro che deve essere trasmesso.
  • La proprietà Capitolo guida viene ignorata, ma non può essere vuota.

Ulteriori informazioni su EPLAN le trovate nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HelpFile


ID_VAR_GW_HILFEKAP

Interno ID: ID_VAR_GW_HILFEKAP

Capitolo guida

Disponibile solamente se il valore limite è un allarme:
capitolo della guida in linea che deve essere visualizzato per questo allarme nella Lista di informazione allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HelpCapture


ID_VAR_GW_HLP

Interno ID: ID_VAR_GW_HLP

Guida

Proprietà per il capitolo dell´help collegato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Help


ID_VAR_GW_KLASSE

Interno ID: ID_VAR_GW_KLASSE

Classe allarmi/eventi

Assegnazione di una classe allarmi/eventi (massimo 65535) per un valore limite in caso di uso come allarme.
L´ assegnazione ad una classe allarmi/eventi avviene selezionandola nella lista.
Default: 0 (non usato)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Class


ID_VAR_GW_KOMMENTAR

Interno ID: ID_VAR_GW_KOMMENTAR

Commento richiesto

Disponibile solo se la proprietà Con ripristino è attiva.

Attivo: Prima di poter ripristinare un allarme, si deve inserire in commento. Per poter fare questo, l´utente deve disporre dell´autorizzazione funzioni Inserisci commento allarme.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmComment


ID_VAR_GW_LOESCHEN

Interno ID: ID_VAR_GW_LOESCHEN

Riconoscimento a due stadi

Disponibile solamente nel caso che la proprietà Con ripristino sia attiva.

  • Attivo: L´allarme viene rimosso dal buffer circolare solo nel caso in cui sia stato ripristinare , sia uscito, e quando la sua rimozione dal buffer circolare sia stata confermata.
  • Inattivo: L´allarme viene rimosso dal buffer circolare quando è stato ripristinato ed è uscito.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmDelete


ID_VAR_GW_MINMAX

Interno ID: ID_VAR_GW_MINMAX

Min/Max

Minimo: violazione del valore limite che si verifica quando si raggiunge o si va al di sotto del valore limite definito.
Massimo: violazione del valore limite che si verifica quando si raggiunge o si va al di sopra del valore limite definito.
Default: Minimo:

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsMax


ID_VAR_GW_NEW

Interno ID: ID_VAR_GW_NEW

{Nuovo limite}

Viene inserito un nuovo valore limite.
E' possibile un numero massimo di 65535 valori limite.
Le variabili bit hanno sempre due valori limite.
I valori limite per le variabili string non sono possibili. Al loro posto può essere utilizzata qui (come anche per altre variabili) una matrice di reazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NewLimit


ID_VAR_GW_PREVIEW

Interno ID: ID_VAR_GW_PREVIEW

Anteprima limiti

Visualizzazione dei valori limite o delle matrici di reazione definiti per la variabile o il tipo di dato semplice

Cliccate sul pulsante ... per aprire la finestra di dialogo che serve a visualizzare i valori limite definiti o la matrice di reazione configurata. Per visualizzare dei valori limite, la proprietà Matrice di reazione non deve contenere alcun collegamento.
Le proprietà configurate vengono solo visualizzate, ma non possono essere modificate. Se le si vuole modificare, bisogna farlo direttamente nelle proprietà per Valori limiti, oppure nella finestra di dialogo Matrice di reazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

LimitPreview


ID_VAR_GW_QUITTIEREN

Interno ID: ID_VAR_GW_QUITTIEREN

Con ripristino

Disponibile solo per gli allarmi.
Attiva: l´allarme deve essere ripristinato prima di essere rimosso dal Buffer circolare.
Non attiva: ripristino non obbligatorio.
Default nel caso di allarmi: attiva, altrimenti non attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmAcknowledge


ID_VAR_GW_SCHWELLWERT

Interno ID: ID_VAR_GW_SCHWELLWERT

Valore soglia

può essere dichiarata una soglia che determina l´uscita del valore limite. In tal modo possono essere vietate delle reazioni indesiderate causate da valori numerici instabili.
Esempio 1: Esempio: valore massimo 900, soglia=10 => 890
Il valore limite è violato sopra il valore 900 e lascia il livello critico, quando il valore risulta inferiore a 890.
Esempio 2: valore minimo = 900, valore soglia = 10, = 910
Il valore limite è violato sopra il valore 900 e lascia il livello critico, quando il valore risulta superiore a 910.
A differenza dell'isteresi, questa proprietà non influenza la rappresentazione del valore, ma solo il comportamento dell'allarme.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ThresholdValue


ID_VAR_GW_TEXT

Interno ID: ID_VAR_GW_TEXT

Testo valore limite

Questo testo viene emesso in caso di violazione di valori limite; esso viene emesso a seconda dell'impostazione assunta nella lista allarmi, nella lista eventi cronologica e/o nella riga di stato allarmi.

Testo valore limite dinamico permette di inserire nel testo del valore limite di una variabile e di matrici di reazioni valori attuali di altre variabili. E' possibile collegare anche un testo fisso mediante l'uso di un indice con le parole chiavi di una tabella lingua. Ciò porta a alcune limitazioni:
testo statico viene depositato nell'area di memoria per il valore limite, per il quale sono a disposizione al massimo 1024 segni. I valori delle variabili collegate vengono salvati nel settore di memoria per il testo commento:al massimo 80 caratteri.

Le limitazioni possono essere aggirate grazie all'estensione per testi di valore limite dinamici lunghi. Attivate a questo scopo Testi lunghi per valori limiti - CEL oppure Testi lunghi per valori limiti - AML. Valori di variabili per testi di valori limite dinamici possono essere esportati in un file proprio. Attenzione: Non può essere impostato con l'utilizzo di valori limiti dinamici nessun commento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text


ID_VAR_GW_UNSICHTBAR

Interno ID: ID_VAR_GW_UNSICHTBAR

Invisibile

Attivo: Lo stato non viene visualizzato nell´elemento dinamico "elemento di stato", oppure elementi non vengono visualizzati se la loro visibilità viene gestita mediante questa variabile.
Inattivo: La visibilità non viene influenzata dalla violazione di valore limite.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Invisible


ID_VAR_GW_VARIABEL

Interno ID: ID_VAR_GW_VARIABEL

Valore limite con variabile attivo

Determina se il valore limite è definito in modo fisso oppure viene definito in modo dinamico tramite una variabile.

  • Inattivo: Il valore limite viene definito tramite un'assegnazione fissa.
  • Attivo: Il valore limite viene definito tramite quello di un’altra variabile.
    AML/CEL: come dato data/ora per la violazione del valore limite nella AML e/o nella CEL viene usato il timestamp più recente delle due variabili.

Default: inattivo

Attenzione: Se il valore limite variabile cambia, cosicché il valore attuale della variabile (pur non cambiando) viene a trovarsi nell’area critica, viene scatenata una violazione del valore limite.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsVariable


ID_VAR_GW_VARIABLE

Interno ID: ID_VAR_GW_VARIABLE

Variabile

Disponibile solo se "valore limite dinamico" è attivo:
Variabile che deve essere utilizzata come valore limite dinamico.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable


ID_VAR_GW_VERZOEGEUNG

Interno ID: ID_VAR_GW_VERZOEGEUNG

Tempo di ritardo [s]

Periodo di tempo in secondi in cui la violazione del valore limite deve essere in attesa. Il valore deve essere in attesa ininterrottamente perlomeno per la durata del periodo indicato affinché vengano iniziate le azioni definite in caso di violazione del valore limite.
AML/CEL:

  • Come dato data/ora per la violazione del valore limite nella AML e/o nella CEL viene usato il punto temporale della prima violazione.
  • Come valore, il sistema inserisce il primo valore dopo il tempo di ritardo, quindi non il valore che ha provocato l´allarme.

Attenzione: In combinazione con Lampeggio, questa proprietà ha effetto in rete nel modo seguente:

  • Valore limite con lampeggio e senza ritardo: Gli elementi collegati lampeggiano sul server e sui client.
  • Valore limite con lampeggio e ritardo: Gli elementi collegati lampeggiano solo sul server e non sui client.
  • Allarme con lampeggio e senza ritardo: Gli elementi collegati lampeggiano sul server e sui client.
  • Allarme con lampeggio e ritardo: Gli elementi collegati lampeggiano sul server e sui client.

Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Delay


ID_VAR_GW_ZUSATZ_ATTRIB

Interno ID: ID_VAR_GW_ZUSATZ_ATTRIB

Attributi aggiuntivi

Ulteriori proprietà per il valore limite.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_AddAttrib


ID_VAR_HDAKTIV

Interno ID: ID_VAR_HDAKTIV

HD attivo

Attivo: i valori variabili vengono salvati sul disco fisso (buffer circolare) per l'analisi nell'elemento dinamico "Elemento trend" oppure nell'import/export dei valori.

Inattivo: non viene salvato nessun valore di variabili.

Default: inattivo.

i dati HD necessitano per ogni valore HD salvato un posto pari a 24 byte, indipendentemente dal tipo di variabile da salvare. Oltre al valore, vengono salvate anche le seguenti informazioni:
- tempo in relazione al quale è stato misurato il valore.
- millisecondi nella lettura del valore.
- stato del valore per adattare gli elementi in modo corrispondente.
- contatore per identificazione univoca del valore (driver spontaneo).

Nota: Il salvataggio dei dati viene attivato anche nel caso di Passaggio ad un´immagine del tipo Trend esteso, quando vengono analizzati dati online.
le variabili del tipo stringa non vengono supportate dal salvataggio dati harddisk

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HDActive


ID_VAR_HDRDA

Interno ID: ID_VAR_HDRDA

Tipo di registrazione

Disponibile solo se la proprietà HD attivo è attiva:
dati harddisk (ciclico): scrittura ciclica dei valori sul disco fisso.
Valori risorteggiati (RDA): i valori vengono scritti a blocchi dal driver sul disco fisso. (Modalità adatta per analisi "post-mortem" nel caso si siano verificati errori sul PLC).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsKDAActiv


ID_VAR_HDUPDATE

Interno ID: ID_VAR_HDUPDATE

Frequenza d'interrogazione [s]

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo [in secondi] per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per Dati online in Trend esteso oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HDUpdate


ID_VAR_HDWERTE

Interno ID: ID_VAR_HDWERTE

Quantità valori

Disponibile solamente se la proprietà HD attivo è attiva:
intervallo per il deposito di valori online sul disco fisso (buffer circolare) per l´analisi nell´elemento dinamico Trend, per per dati online nel Trend esteso, oppure l´Export/Import dei valori.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HDSize


ID_VAR_HYSTERESE

Interno ID: ID_VAR_HYSTERESE

Isteresi

Proprietà per l´isteresi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Hysteresis


ID_VAR_HYSTNEG

Interno ID: ID_VAR_HYSTNEG

Negativa per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di riduzione del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova sotto l´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HystNeg


ID_VAR_HYSTPOS

Interno ID: ID_VAR_HYSTPOS

Positiva per il segnale

Isteresi per valore limite riferito alla risoluzione segnale.

Area dell´isteresi per inserimento nel caso di aumento del valore. I valori vengono interpretati come violazione di valore limite solo se la modifica si trova al di sopra dell´area di isteresi impostata in questa sede.
Default: 0 (nessuna isteresi)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HystPos


ID_VAR_INTERN_INITIALWERT

Interno ID: ID_VAR_INTERN_INITIALWERT

Valore iniziale

Il valore definito in questa sede viene usato al momento dello start del Runtime come valore attuale della variabile, se la proprietà "Ritenzione" è settata su "Valore di inizializzazione".

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Initial_value


ID_VAR_INTERN_LOKAL

Interno ID: ID_VAR_INTERN_LOKAL

Funzionamento

Locale: nel caso di progetti di rete, la variabile interna viene valutata e/o gestita localmente, cioè sul client.
Il che significa che il valore della variabile può essere diverso su ogni client e anche i valori limite vengono analizzati localmente.
Rete: nel caso dei progetti di rete, la variabile interna viene analizzata e gestita sul server del progetto. Essa ha lo stesso valore sul server e su tutti client.
Default: locale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Local


ID_VAR_INTERN_REMANENZ

Interno ID: ID_VAR_INTERN_REMANENZ

Ritentività

Off: Al momento dell'avvio del runtime, viene utilizzato come valore di partenza il valore di riserva della variabile o, nel caso delle variabili stringa, una stringa vuota.
Valore iniziale: Il valore di partenza viene settato facendo riferimento al "valore iniziale" indicato nella proprietà.
Ritentivo: L'ultimo valore delle variabili è quello che viene utilizzato come valore di partenza al momento del riavvio del runtime.
Default: off.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Remanenz


ID_VAR_KANALTYP

Interno ID: ID_VAR_KANALTYP

Tipo di oggetto del driver

A seconda del tipo di driver utilizzato, nel creare la variabile si sceglie un tipo di oggetto, che può essere poi cambiato in questa sede.
Siemens: blocco dati, merker, entrata/uscita.
Modbus: Coil e Holding Register.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ID_DriverTyp


ID_VAR_KENNUNG

Interno ID: ID_VAR_KENNUNG

Identificazione

Stringa liberamente definibile per l´identificazione della variabile o del tipo di dato.
Nota: Visto che il nome variabile (proprietà Nome) non è soggetto al cambiamento di lingua, si può usare questa proprietà per il cambio lingua online.

Lunghezza massima: 128 caratteri

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Tagname


ID_VAR_LBOUND

Interno ID: ID_VAR_LBOUND

Indice di start Array

Selezionate l'indice di inizio dell'array fra quelli della lista a cascata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LBound


ID_VAR_LINANPASS

Interno ID: ID_VAR_LINANPASS

Adattamento valore lineare

Adattamento valore lineare con range di misurazione.
Impostazioni per la conversione lineare dei valori da PLC per la visualizzazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_LinAdjust


ID_VAR_LOCKING

Interno ID: ID_VAR_LOCKING

Interblocco

Collegamento di un gruppo comandi a questa variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Locking


ID_VAR_MAKROHARDWARE

Interno ID: ID_VAR_MAKROHARDWARE

AdjustHardwareValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Nel Runtime, viene attivata una macro ogni qualvolta viene modificato un valore grezzo nel PLC per aggiornare il valore in zenon. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AdjustHardware


ID_VAR_MAKROZENON

Interno ID: ID_VAR_MAKROZENON

AdjustScadaValue

Disponibile solo se la proprietà Adattamento di valori non lineari su macro è attivata.

Una macro viene attivata ogni qualvolta viene settato un valore proveniente da zenon; essa modifica in modo corrispondente il valore grezzo sul PLC. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di una macro.
Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AdjustZenon


ID_VAR_MAXGRADIENT

Interno ID: ID_VAR_MAXGRADIENT

Gradiente massimo

Disponibile solo in SICAM 230.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxGradient


ID_VAR_MESSMAX

Interno ID: ID_VAR_MESSMAX

Area di misurazione max.

Valore massimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RangeMax


ID_VAR_MESSMIN

Interno ID: ID_VAR_MESSMIN

Area di misurazione min.

Valore minimo delle variabili in zenon.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RangeMin


ID_VAR_NACHKOMMA

Interno ID: ID_VAR_NACHKOMMA

Cifre decimali

Numero delle cifre decimali del valore della variabile per la visualizzazione nel sistema di controllo.
Minimo: 0
Massimo: 10
Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Digits


ID_VAR_NAME

Interno ID: ID_VAR_NAME

Nome

Nome univoco della variabile. Per l´assegnazione del nome vale quanto segue:

  • Lunghezza massima: 128 caratteri
  • I caratteri # e @ non sono consentiti per i nomi variabili.

Nota: per quei driver che si basano su di una conessione zenon Logic, bisogna tener conto di un prefisso. I dettagli su questo tema li trovate nella sezione della guida dedicata a Crea di B e variabili B in zenon Logic.
Le modifiche effettuate al nome variabile devono essere riportate nell´ambiente di programmazione (VBA, VSTA, PCE).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_VAR_NETADDR

Interno ID: ID_VAR_NETADDR

Indirizzo di rete/bus

Indirizzo bus o indirizzo di rete della variabile.
Minimo: 0
Massimo: 4294967295
Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NetAddr


ID_VAR_NORMALZUSTAND

Interno ID: ID_VAR_NORMALZUSTAND

Valore normale

Selezionate nella lista a cascata se il valore normale per questa variabile o tipo di dato deve essere on o off. Disponibile per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Default: Off

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NormalState


ID_VAR_NORMALZUSTANDAKT

Interno ID: ID_VAR_NORMALZUSTANDAKT

Attivo

Permette la definizione di uno stato normale per le variabili e i tipi di dato del tipo BOOL, UINT e WORD per tutti i driver.

Attivo: Può essere definito uno stato normale.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NormalStateActive


ID_VAR_OFFSET

Interno ID: ID_VAR_OFFSET

Offset

Offset della variabile.
Nel caso di PLC ad indirizzamento lineare: il settore di memoria.
Nel caso di PLC a risoluzione di nome: l´indirizzo di assegnazione.
Minimo: 0.
Massimo: 4294967295.
Default: 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Offset


ID_VAR_OFS_SOURCE

Interno ID: ID_VAR_OFS_SOURCE

Calcolo offset

Selezionate il tipo di calcolo desiderato per l´offset. Sono disponibili le seguenti possibilità di selezione:

  • Indirizzamento segue l'offset del tipo di dato l'offset di partenza
  • Indirizzamento automatico
  • Indirizzamento manuale

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OfsSource


ID_VAR_PRIORITAET

Interno ID: ID_VAR_PRIORITAET

Priorità

Se il tempo globale di update non è utilizzato nella configurazione del driver, la frequenza dei update corrispondente ai differenti livelli di priorità può essere definita qui. In questa proprietà viene assegnato un livello di priorità ad una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UpdatePriority


ID_VAR_PROP_ANALYZER1

Interno ID: ID_VAR_PROP_ANALYZER1

Nome visualizzato

Inserimento di un nome visualizzazione per la variabile in zenon Analyzer. Esso deve essere unico nell´ambito del progetto; in zenon, però, non viene effettuato un controllo volto a stabilire se è veramente così. La verifica avviene al momento dell´import nello zenon Analyzer.

Questa proprietà fornisce delle informazioni che vengono usate per la configurazione report nello zenon Analyzer. L´export da zenon nello zenon Analyzer avviene tramite l´Analyzer Export Wizard.

Attenzione: Se questa proprietà viene modificata dopo il primo export in un zenon Analyzer, le modifiche non verranno riprese nel zenon Analyzer.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VisualName


ID_VAR_PROP_ANALYZER2

Interno ID: ID_VAR_PROP_ANALYZER2

Significato

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Inserimento del significato (Meaning) di una variabile in zenon Analyzer. Diversi significati vengono separati da virgole.
Sintassi: [Meaning1],[Meaning2],…,[MeaningN]

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Meaning


ID_VAR_PROP_ANALYZER3

Interno ID: ID_VAR_PROP_ANALYZER3

Parametro per diagramma a cascata

Questa proprietà fornisce informazioni che vengono usate per la configurazione report nello zenon Analyzer.
I dati possono essere inseriti manualmente, oppure settati tramite il Meaning and Waterfall Chart Wizard. L´export da zenon nello zenon Analyzer viene effettuato per mezzo dell´Analyzer Export Wizard.

Parametri di una variabile per un diagramma waterfall in zenon Analyzer. Gli inserimenti possono essere generati per analisi di produzione basate sulla linea, oppure per analisi di produzione basate sulle macchine. Al momento dell´export, il sistema decide sulla base della loro struttura, se si tratta di inserimenti destinati a diagrammi di produzione basati sulla linea e sulle macchine.

I singoli parametri sono separati da virgole. Diversi modelli waterfall vengono divisi da punti e virgola.
Sintassi a base macchine: [Nome modello],[Indice righe],[Indice colonne],[Codice colore];
Sintassi a base linea: [Nome modello],[Indice righe],[Indice colonne],[Codice colore],[Perdita macchinario secondario],[Addizionare perdita macchinario secondario],[Sottrarre perdita macchinario secondario];

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WaterfallParam


ID_VAR_PROP_GRP0

Interno ID: ID_VAR_PROP_GRP0

Indirizzamento

Proprietà per l´indirizzamento della variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Address


ID_VAR_PROP_GRP1

Interno ID: ID_VAR_PROP_GRP1

Calcolo valore

Definizione del limite della variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Value


ID_VAR_PROP_GRP2

Interno ID: ID_VAR_PROP_GRP2

Impostazioni aggiuntive

Proprietà estese per la variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Extended


ID_VAR_PROP_GRP3

Interno ID: ID_VAR_PROP_GRP3

Salvataggio dati su disco fisso

Proprietà per il salvataggio dei valori variabile sul disco fisso.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_HardDisk


ID_VAR_PROP_GRP4

Interno ID: ID_VAR_PROP_GRP4

Valori limiti

Proprietà concernenti il comportamento dei valori limite o degli allarmi della variabile.

Le proprietà di questo gruppo sono a disposizione solamente se Matrice di reazione attiva non è attiva.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Limits


ID_VAR_PROP_GRP7

Interno ID: ID_VAR_PROP_GRP7

Salvataggio in CEL

Proprietà per protocollare dati nella Lista eventi cronologica (CEL).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SetValueProtocol


ID_VAR_PROP_GRP8

Interno ID: ID_VAR_PROP_GRP8

Gestione allarmi

Proprietà per il ripristino e per le aree allarmi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Alarmhandling


ID_VAR_PROP_GRP9

Interno ID: ID_VAR_PROP_GRP9

Allarme ad immagine

Disponibile solo in SICAM 230:
Proprietà per gli allarmi ad immagine.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_PictureAlarm


ID_VAR_PROP_GRP10

Interno ID: ID_VAR_PROP_GRP10

Stato normale

Proprietà per lo stato normale di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_NormalState


ID_VAR_PROP_GRP11

Interno ID: ID_VAR_PROP_GRP11

Variabili Interne

Proprietà per le variabili interne.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_InternalVariable


ID_VAR_PROP_GRP12

Interno ID: ID_VAR_PROP_GRP12

Variabile del driver di sistema

Proprietà per le variabili del driver di sistema.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SystemVariable


ID_VAR_PROP_GRP13

Interno ID: ID_VAR_PROP_GRP13

Analyzer

Proprietà per l´uso in zenon Analyzer.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_Analyser


ID_VAR_PROP_GRP_GOOSE

Interno ID: ID_VAR_PROP_GRP_GOOSE

GOOSE

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE


ID_VAR_READWRITE

Interno ID: ID_VAR_READWRITE

Settaggio valori attivo

Attivo: Rilasciare questa variabile per azioni di "settaggio valori".
Non attiva: Questa variabile è protetta da scrittura.
Default: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InOut


ID_VAR_REMA

Interno ID: ID_VAR_REMA

Matrice di reazione

Scelta di una matrice di reazione per il collegamento alla variabile selezionata, o al tipo di dato selezionato. Cliccando sul comando ... , si apre il dialogo che serve alla selezione della matrice di reazione.
Si può usare questa finestra di dialogo anche per copiare e/o configurare delle matrici di reazione, o per crearne delle nuove. Non è però possibile cancellare delle matrici di reazione in questa sede. Se volete procedere alla rimozione del collegamento di una matrice di reazione, cliccate all´interno di questa finestra di dialogo sul pulsante Nessuna selezione.

Default: <Nessuna matrice di reazione collegata>

Nota: La proprietà Anteprima limiti mostra un´anteprima della matrice di reazione collegata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Rema


ID_VAR_REMA_KNOTEN

Interno ID: ID_VAR_REMA_KNOTEN

Matrice di reazione

Proprietà per l´uso di una matrice di reazione per la variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Rema


ID_VAR_REMAAKTIV

Interno ID: ID_VAR_REMAAKTIV

Matrice di reazione attiva

Attivo: si usa una matrice di reazione invece dei valori limite.
Non attiva: si possono definire dei valori limite per la variabile.
Default: non attiva.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsRemaActiv


ID_VAR_SBO

Interno ID: ID_VAR_SBO

Seleziona prima di operare

Attenzione: questa funzionalità viene supportata solamente dai driver IEC870 e IEC850 e solo se in Comando, per la proprietà è stato selezionato il tipo di azione comando doppio, e l´azione è stata eseguita in modalità a doppio livello. Non usate questa funzionalità con i driver DNP3_NG; in questo caso si può effettuare la configurazione di Auto-SBO direttamente nella variabile.

Attivo: prima che il valore della variabile venga scritto nell´hardware, zenon domanda già in corrispondenza del primo livello del comando doppio, se la variabile è già disponibile nell´hardware per l´azione = Select before Operate (SBO).
Attenzione: nel caso di comandi a impulso, non viene eseguito il reset automatico del valore della variabile dopo l´intervallo di tempo definito nella proprietà edge delay.

Se la proprietà SBO è stata attivata per la variabile di azione, un comando impulso si comporta come un comando doppio.

Inattivo: Il valore della variabile viene trasmesso al driver senza precedente richiesta di conferma.

Nota: in driver iec870 ciò significa Direct execute. Il driver iec850 può attivare poi automaticamente un Select before Operate - a causa di Control Model.
Default: non attiva
Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SBO


ID_VAR_SIGMAX

Interno ID: ID_VAR_SIGMAX

Risoluzione segnale max.

Valore massimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SignalMax


ID_VAR_SIGMIN

Interno ID: ID_VAR_SIGMIN

Risoluzione segnale min.

Valore minimo delle variabili nel PLC.
Se non definito in altro modo mediante Adattamento valore non lineare, il valore grezzo delle variabili (risoluzione di segnale) viene calcolato per l'uso nel sistema di controllo sempre in modo lineare nel settore di misurazione. Tutte le altre indicazioni di valore numeriche per la variabile nell'Editor e Runtime si riferiscono al settore di misurazione (per esempio, definizione di valori limite, limiti di valori impostabile, zona di rappresentazione, impostazione di valore impostabile,...).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SignalMin


ID_VAR_SIGNAL

Interno ID: ID_VAR_SIGNAL

Campo valori PLC

Limite delle variabili nel PLC.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SignalRange


ID_VAR_SOLLMAX

Interno ID: ID_VAR_SOLLMAX

Val.imp.Max

Il valore massimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueMax


ID_VAR_SOLLMIN

Interno ID: ID_VAR_SOLLMIN

Val.imp.Min

Il valore minimo definito in questa sede per azioni di "Setta valore impostabile" può essere ripreso nell´elemento dinamico, invece di dover essere impostato lì separatamente.
Questo metodo è raccomandato soprattutto se nell´area di misurazione delle variabili dovessero risultare delle ulteriori modificazioni. Così queste modificazioni possono essere inserite in modo centrale una volta per tutte e non separatamente per ciascuno degli elementi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueMin


ID_VAR_STANDBY

Interno ID: ID_VAR_STANDBY

Richiedere solo da Server standby

Attivo: Il valore della variabile viene visualizzato dal server.
Inattivo: Il valore della variabile viene visualizzato dal server.
(solo con driver-hardware).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Standby


ID_VAR_STRINGLAENGE

Interno ID: ID_VAR_STRINGLAENGE

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0 caratteri
Massimo: 65535 caratteri
Default: 5 caratteri

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StringLength


ID_VAR_STRINGLAENGE2

Interno ID: ID_VAR_STRINGLAENGE2

Lunghezza stringa

Disponibile solo per variabili stringa.
numero massimo di caratteri che può accettare la variabile.
Minimo: 0
Massimo: 65535
Default: 5

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxStringLen


ID_VAR_SWP_ACT

Interno ID: ID_VAR_SWP_ACT

Vecchio e nuovo valore

  • Attivo: quando si cambia il valore impostabile di questa variabile, il vecchio e il nuovo valore vengono protocollati nella Lista eventi cronologica (CEL).
  • Inattivo: viene protocollato solamente il nuovo valore.

Default: inattivo

Raccomandazione: attivate la proprietà Lettura variabile continua In tal modo, il valore è sempre disponibile e non deve essere interrogato apposta.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SV_Act


ID_VAR_SWP_ART

Interno ID: ID_VAR_SWP_ART

Abilita log

Stabilisce come deve essere protocollato il settaggio valori nella CEL:

  • Tutto: tutte le azioni di "settaggio valori" di questa variabile che avvengono tramite elementi dinamici e funzioni "Set value", vengono protocollate nella Lista eventi cronologica (CEL).
  • Niente: nessun´azione "Set value" viene protocollata nella CEL
  • Solo con elementi dinamici: Vengono protocollate nella CEL solo le azioni eseguite tramite un elemento dinamico.

Default: Solo con elementi dinamici

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValueProtocol


ID_VAR_SWP_VBA

Interno ID: ID_VAR_SWP_VBA

Settaggio dati tramite VBA

Attiva: Il settaggio del valore di questa variabile mediante una macro VBA viene protocollato nella Lista eventi cronologica (CEL).
Non attiva: Il settaggio di valore di questa variabile mediante una macro VBA non viene protocollato.
Default: attiva

Nota: per quelle variabili che sono configurate nell´IEC870 process gateway come variabili di comando, viene protocollato nella CEL ogni comando come Setta valore impostabile tramite l´interfaccia COM.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SV_VBA


ID_VAR_SYMBADDR

Interno ID: ID_VAR_SYMBADDR

Indirizzo simbolico

Successione caratteri per l´indirizzo simbolico della variabile.

Lunghezza massima: 1024 caratteri.

Nota: L´indirizzo simbolico non viene supportato da tutti i driver.
Quando si effettua l´import di variabili in quei driver che supportano l´indirizzamento simbolico, la proprietà viene inserita automaticamente.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SymbAddr


ID_VAR_TREIBER

Interno ID: ID_VAR_TREIBER

Driver

Driver per la variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.

Nota: i driver per i progetti zenon Logic non possono essere più modificati in seguito.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Driver


ID_VAR_TYPE

Interno ID: ID_VAR_TYPE

Tipo di dato

Tipo di dato della variabile. Esso viene selezionato al momento di impostare la variabile stessa e può essere modificato più tardi in questa sede.
Nota: Per le variabili strutturate, il tipo di dato non può essere più usato dopo la creazione delle variabili.
Attenzione: Se si modifica in un secondo tempo il tipo di dato, tutte le altre proprietà della variabile debbono essere controllate e/o adattate.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ID_DataTyp


ID_VAR_USEMAKRO

Interno ID: ID_VAR_USEMAKRO

Adattamento di valori non lineari su macro

L´adattamento non-lineare dei valori viene utilizzato per le variabili il cui valore di origine (PLC) non può essere scalato in maniera lineare in un valore di misurazione (scada).

  • Attiva: I valori raw vengono scalati su zenon non linearmente con macro VBA.
  • Inattiva: I valori raw vengono scalati linearmente su zenon.

Nota: Al momento dell´attivazione della proprietà, si deve sempre procedere anche a configurare le proprietà AdjustHardwareValue e AdjustScadaValue. Nel fare questo, la proprietà AdjustHardwareValue deve essere configurata in modo inverso a AdjustScadaValue, come funzione inversa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UseMacro


ID_VAR_WERTATTRIB

Interno ID: ID_VAR_WERTATTRIB

Attributi valore

Proprietà per gli attributi valore della variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ValueAttrib


ID_VAR_ZWREMANR

Interno ID: ID_VAR_ZWREMANR

Gruppo contatore

Disponibile solo in SICAM 230.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CounterGroup


ID_VARGROUP

Interno ID: ID_VARGROUP

Gruppo variabili esterne

Proprietà esterna per zenon Logic. Riguarda solamente quelle variabili che non sono del driver di straton32.
Gruppo variabili in zenon Logic ("Global" o "Retain" o vuoto).

La proprietà viene visualizzata solo a fini informativi. Modifica solo con zenon Logic.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Vargroup


ID_VARINASM

Interno ID: ID_VARINASM

Salva nel database IPA

Attivo: gli allarmi di questa variabile possono essere utilizzati per l´analisi nell´ambito dell´Industrial Performance Analyzer (IPA).
Non attiva: l´analisi effettuata tramite il modulo Industrial Performance Analyzer non tiene in considerazione gli allarmi di questa variabile.
Default: inattivo

Attenzione: L'Industrial Performance Analyzer è un modulo opzionale e, per poterlo usare, si deve disporre della relativa licenza.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VarInASM


ID_VERRIEG_CBTR_FORMULA

Interno ID: ID_VERRIEG_CBTR_FORMULA

Disabilita rilevamento

Inserimento della formula con la quale viene soppresso il riconoscimento di un segnalazione di Switch Un clic sul pulsante ... apre l´editor delle formule.

Per la formula possono essere usate tutte le variabili della lista del gruppo comando; è possibile la sostituzione di nomi tramite '*' come nel caso della definizione di Condizioni di blocco di un´azione.

Nota: le variabili che sono usate nella formula, non possono essere cancellate dalla lista del gruppo comando.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CBTR_Formula


ID_VERRIEG_CBTR_MONITORED

Interno ID: ID_VERRIEG_CBTR_MONITORED

Rilevamento di intervento sezionatore

E' a disposizione solo se è attiva la proprietà Imposta stato di avanzamento.

Attivo: controlla la variabile di responso per verificare cambio valore inaspettato da <> 0 a 0.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CBTR_Act


ID_VERRIEG_PROP1

Interno ID: ID_VERRIEG_PROP1

Nome

Nome univoco dell´interblocco o comando.
Default: Interblocco/comando x (x è un numero progressivo).
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori dettagli nella parte della guida in linea che concerne la creazione:

- Interblocco

- Commando

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_VERRIEG_PROP2

Interno ID: ID_VERRIEG_PROP2

Variabile

Nome delle variabili collegate con il gruppo comandi.
Apre il dialogo che serve alla selezione variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_VERRIEG_PROP3

Interno ID: ID_VERRIEG_PROP3

Nome variabile di feedback

Nome variabile oppure maschera per la sostituzione della variabile di riconoscimento.
Una stella che si triova nel nome (*) funge da carattere sostitutivo per il testo di sostituzione. Si può utilizzare solo un elemento di riempimento nell'ambito del nome. Al momento dell´inserimento della maschera bisogna tener conto di quanto segue: da questo nome risulta al momento della sostituzione anche un nome variabile esistente.
Se la variabile utilizzata in questa sede (sostituita o assoluta) non è esistente al momento della creazione dei file runtime, questo gruppo comandi non sarà a disposizione dell´utente durante il runtime. In questo caso, al momento della creazione dei file runtime il sistema emetterà una segnalazione che rimanda a questo errore.
Inserimento diretto o apertura del dialogo di selezione variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ReturnInformation


ID_VERRIEG_PROP4

Interno ID: ID_VERRIEG_PROP4

Imposta stato di avanzamento

Attivo: con le azioni Comando e Correzione manuale, viene settato il bit di stato In costruzione (PROGRESS) nella variabile di feedback se le azioni vengono avviate nel runtime.
Il bit serve a realizzare una rappresentazione grafica al fine di mostrare all´utente che un´azione viene eseguita in quel momento. Con l´aiuto dell´elemento combinato o della matrice di reazione, potete interrogare il bit di stato e realizzare una rappresentazione grafica.

Inattivo: Il bit di stato non viene settato.

Default: inattivo

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DesiredDirection


ID_VERRIEG_PROP5

Interno ID: ID_VERRIEG_PROP5

Watchdog timer

Determina il decorso del Watchdog timer.

Nota: Questo watchdog è attivo solamente per il tipo di azione Comando switche Comando impulso.

  • Nessuno: nessun Watchdog timer.
  • solo tramite variabile di feedback (RV): il valore della variabile di risposta viene usato per controllare se l'operazione ha avuto successo. Il monitoraggio viene attivato solo nel caso in cui il valore da scrivere non corrisponda a quello attuale della variabile di azione.
  • solo tramite Cause of transmision (COT): Si usa COT (Cause of Transmission) per controllare se il processo ha avuto successo.
    Per l´azione 'Comando' vengono analizzai i bit di stato della causa di trasmissione (COTx). Il monitoraggio finisce nel momento in cui viene raggiunto COT_actterm (10).
  • tramite COT e RV: attende e reagisce a COT e a modifiche valori della variabile di responso. Combina le proprietà di solo tramite variavariabile di responso (RV) e solo tramite Cause of transmision (COT).

In generale vale quanto segue: Se il watchdog non viene portato a termine con successo entro la proprietà Timeout progettata per quest'azione, viene settato lo stato bit TIMEOUT.

Default: nessuna.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WatchDogTimer


ID_VERRIEG_PROP6

Interno ID: ID_VERRIEG_PROP6

Tipo

Disponibile solamente con l´azione Stato comandi:
tipo del comando.
Comando doppio: Scrive il valore della proprietà Stato comandi.
Comando impulso: Scrive il valore della proprietà Stato comandi. Dopo Ritardo fronte viene scritto il valore 0. Essa non è soggetta al monitoraggio runtime.

Nota: Disponibile solamente con l´azione comando Comando impulso. Se si selezionano altre azioni nel comando, esse vengono inserite prima in Tipo e vengono visualizzate in grigio per escluderle dalla successiva modifica

Default: Comando doppio.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Type


ID_VERRIEG_PROP7

Interno ID: ID_VERRIEG_PROP7

Stato-Feedback/Direzione Switch

Definisce il valore atteso oppure lo stato della variabile di risposta dopo l'esecuzione dell'azione.

Gli inserimenti possibili si diversificano a seconda dell´azione.

  • OFF: Lo Stato-Feedback viene disattivato - il valore sarà 0
  • DIFF: Stato intermedio compreso fra 0 e 1.
  • ON: Lo Stato-Feedback viene attivato - il valore sarà 1
  • Nessuno: Lo Stato-Feedback viene ignorato - il valore non cambierà.
  • DIR: xx (disponibile solo per l´azione di comando Impostazione valore)
  • Valore impostabile: xx (disponibile solo per l´azione di comando Impostazione valore)
  • DIST: Errore.

Non disponibile con le azioni: Bloccare, Blocco e Rilascia.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Direction


ID_VERRIEG_PROP8

Interno ID: ID_VERRIEG_PROP8

Timout scaduto

Consente di interrompere il timeout nel watchdog timer.

Se il comando Execute- viene già eseguito (dopo che il sistema ha ricevuto COT_actcon), il pulsante Annulla interrompe il watchdog timer. In tal modo, per esempio, i pulsanti saranno di nuovo attivi e disponibili all´uso.
Ma: in caso d´interruzione durante l´esecuzione, il modulo non trasmette nessuna disattivazione (Cancel) al driver.
Se questa proprietà è attiva durante un watchdog timer, è attivo il Cancel-pulsante nell´immagine Comando. Per questo motivo, l´utente ha la possibilità di terminare il watchdog timer cliccando su questo pulsante.

Default: inattivo

Nota: è disponibile solo per azioni gruppo comando Funzionalitàe Impostazione valore. Non viene settato nessun bit Time-out!

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TimeoutAbortable


ID_VERRIEG_PROP9

Interno ID: ID_VERRIEG_PROP9

Sopprimi inserimento CEL

Attivo: al momento dell´esecuzione dell´azione, non viene generato nessun inserimento nella Lista Eventi Cronologica (CEL).
Disattivato: al momento dell´esecuzione dell´azione, viene generato un inserimento nella CEL.
Default: Inattiva.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELBlock


ID_VERRIEG_PROP10

Interno ID: ID_VERRIEG_PROP10

Timeout

Timeout per watchdog in secondi per i tipi di azione comando doppio e comando impulso.

Questa impostazione vale anche come timeout per Select di IO. È disponibile solamente per le seguenti azioni di comando: Comando, Comando automatico/remoto, Verifica feedback, Impostazione valore e Comando forzato.

  • Minimo: 0
  • Massimo: 4294967295
  • Default: 30

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Timeout


ID_VERRIEG_PROP11

Interno ID: ID_VERRIEG_PROP11

Collegamento logico

Apre il dialogo che serve a definire la formula per la condizione.
Le condizioni di interblocco vengono calcolate in rete sempre a livello locale. Tramite l´uso di variabili locali (per es. driver di sistema o variabili interne), su un client possono essere soddisfatte altre condizioni che sul server.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Formula


ID_VERRIEG_PROP12

Interno ID: ID_VERRIEG_PROP12

Sbloccabile

Disponibile solo in SICAM 230 oppure se si dispone di una licenza per la Energy Edition:
attivo: Un blocco può essere sbloccato manualmente nell´immagine del tipo Comando.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Delocking


ID_VERRIEG_PROP13

Interno ID: ID_VERRIEG_PROP13

Testo di interblocco

Descrizione della condizione di blocco.
Durante il runtime, questo testo può essere visualizzato nell´immagine del tipo Comando (se avete la licenza per la Energy Edition), oppure analizzato in una macro VBA.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Text


ID_VERRIEG_PROP14

Interno ID: ID_VERRIEG_PROP14

Stato comandi

Disponibile solamente con l´azione 'Comando':
definisce il valore che con l´azione 'Comando' viene scritto sulla variabile di comando.
Nota: non attiva con le azioni di comando Blocca, Sostituisci, Rilascia, Correzione manuale, Revisione, Imposta valore così comeModifica stati.

0: La variabile di comando viene settata sul valore 0.
1: La variabile di comando viene settata sul valore 1.
Default: 1.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CommandState


ID_VERRIEG_PROP15

Interno ID: ID_VERRIEG_PROP15

Stati modificabili

Disponibile solamente con l´azione 'Modifica stati':

Default: nessuna.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

State


ID_VERRIEG_PROP16

Interno ID: ID_VERRIEG_PROP16

Comparazione valore Attuale/Nominale

Attivo: si verifica se il valore della variabile di risposta corrisponde già alla direzione di commutazione. Se questo è vero, si visualizza un messaggio di blocco sbloccabile nel comando.
Non attiva: non viene effettuato nessun controllo della direzione di commutazione.
Nota: Disponibile solamente per il comando comando doppio(= azione => Nuovo comando).

Default: inattivo.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Actual


ID_VERRIEG_PROP17

Interno ID: ID_VERRIEG_PROP17

Immagine Modale

Attivo: indipendentemente dalla proprietà "Dialogo modale" dell´immagine, l´immagine comando viene aperta in forma modale. Il che significa che si potrà usufruire di nuovo delle altre immagini solo dopo che quest´immagine sarà stata chiusa.
Inattivo: L´immagine di comando viene aperta normalmente.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Modal


ID_VERRIEG_PROP18

Interno ID: ID_VERRIEG_PROP18

Titolo immagine da variabile feedback

Attivo: l´identificazione della variabile di respondo viene usata come titolo immagine.
Non attiva: ll nome dell´immagine viene usato come titolo immagine.
Default: non attiva.
Attenzione: per l´attivazione del titolo immagine deve essere inoltre attivata nel modello corrispondente la proprietà Titolo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RM-Titel


ID_VERRIEG_PROP19

Interno ID: ID_VERRIEG_PROP19

Immagine

Nome dell'immagine da aprire se non ne è definita una specifica per l'azione, e l'immagine non viene aperta mediante la funzione cambio immagine.

Nota: Se il comando vene inizializzato mediante il settaggio valori nell´elemento, bisogna qui collegare un´immagine.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PicGUID


ID_VERRIEG_PROP20

Interno ID: ID_VERRIEG_PROP20

Immagine

Immagine del tipo Comando che viene usata nell´esecuzione dell´azione mediante il menù contestuale dell´elemento. Se non è indicata alcuna immagine specifica, si usa quella che è stata specificata nella proprietà Immagine del gruppo comandi. Un´immagine creata, ma non disponibile, provoca la generazione di un messaggio di errore quando si creano i file Runtime. In questo caso, l´azione non verrà ripresa.
Default: nessuna.

Nota: se il comando vene inizializzato mediante il settaggio valori nell´elemento, la proprietà è ignorata e viene usata sempre l´immagine che è inserita nella proprietà Immagine nel gruppo di comandi.
Non attivo se il tipo di azione Comando automatico/remoto è attivo.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PicGUID


ID_VERRIEG_PROP21

Interno ID: ID_VERRIEG_PROP21

Pulsante di comando

Non disponibile con le azioni 'Blocco' e Comando automatico/remoto, oppure se non è attribuita nessuna immagine comando.
Attribuzione dell´azione ai pulsanti azionedefiniti in un´immagine del tipo Comando.
Se il gruppo comandi viene usato con un´altra immagine (per esempio mediante una funzione), l´attribuzione ai pulsanti di azione viene mantenuta.. Nel caso in cui manchi un tale pulsante, questa azione non è disponibile nell´immagine.
Nella lista di selezione vengono proposti alla scelta dell´utente solo i pulsanti non ancora attribuiti.
Default: nessuno

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CmdBtn


ID_VERRIEG_PROP22

Interno ID: ID_VERRIEG_PROP22

Chiusura automatica

Attivo: dopo l´esecuzione dell´azione, l´immagine comando viene chiusa automaticamente..
Non attiva: l´immagine comando non viene chiusa automaticamente.
Non attivo se il tipo di azione Comando automatico/remoto è attivo.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CloseMDIWnd


ID_VERRIEG_PROP23

Interno ID: ID_VERRIEG_PROP23

Comando a due mani

Disponibile solo per "Esecuzione in due livelli":

  • Attivo: L´elemento di controllo Esegui 2° livello è disponibile solo quando si pigia contemporaneamente il tasto CTRL.
    Attenzione Per l´elemento di controllo Esegui 2° livello, in caso di operazione a due mani, non può essere attiva la proprietà selezionabile tramite lazzo.
  • Inattivo: l’ elemento di controllo è sempre disponibile.

Default: inattivo
Non attivo se il tipo di azione Comando automatico/remoto è attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TwoHand


ID_VERRIEG_PROP24

Interno ID: ID_VERRIEG_PROP24

Ritardo fronte

Disponibile solamente nel caso in cui nella proprietà Tipo sia stato scelto Comando impulso.
Dopo la scadenza di questo tempo espresso in millisecondi, il valore della variabile di comando viene resettato (a seconda della direzione di switch) su 0 o 1. Il reset del valore non viene eseguito se la proprietà Seleziona prima di operare della variabile di azione è stato attivato.

Nota: Se si seleziona nel comando l´azione Comando automatico/remoto, oppure Comando forzato, esse vengono inserite in Tipo e vengono disattivate per ulteriori modifiche.

Nota:
Minimo: 0
Massimo: 4294967295
Default: 1000
Attenzione: Il sistema non attende il termine del watchdog timer.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EdgeDelay


ID_VERRIEG_PROP25

Interno ID: ID_VERRIEG_PROP25

Doppio-livello

Attivo: L'azione viene eseguita solo se è stato confermato il Control „Esegui 2“.

Inattivo: L'azione viene eseguita:

  • dopo lo sblocco dell'ultimo blocco
  • subito se non c'è alcun altro blocco attivo.

Non attivo se il tipo di azione Comando automatico/remoto è attivo.

Default: attivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TwoLevel


ID_VERRIEG_PROP29

Interno ID: ID_VERRIEG_PROP29

Imposta valore

Disponibile solamente se la proprietà Stato-Feedback/Direzione Switch è stata settata su DIR. Ciò è possibile solamente nel caso delle seguenti azioni di comando: Sostituisci, Aggiorna e Impostazione valore.

Definisce il valore impostabile da settare.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueDirectly


ID_VERRIEG_PROP30

Interno ID: ID_VERRIEG_PROP30

Variabile di feedback

Mostra il risultato della condizioni di blocco sulla variabile selezionata.

Un clic sul comando apre il dialogo che serve alla selezione della variabile. Avete anche la possibilità di indicare direttamente il nome della variabile nell´apposito campo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueVariable


ID_VERRIEG_PROP31

Interno ID: ID_VERRIEG_PROP31

Utilizza qualificatore di comando

Disponibile solo se si possiede una licenza della Energy Edition.

Potete aggiungere a comandi anche un'ulteriore informazione (Qualifier of Command) se il driver lo supporta. Driver possibili: IEC850, IEC870 e DNP3.

attivo: attiva l'indicazione sottoQualificatore di comando.

Nota: è disponibile solamente per le seguenti azioni di comando: Comando automatico/remoto, Comando impulsoe Comando forzato.

Default: inattivo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UseQOC


ID_VERRIEG_PROP32

Interno ID: ID_VERRIEG_PROP32

Qualificatore di comando

Indicate un valore numerico che viene inviato come parametro di comando al driver. A seconda del driver esso viene analizzato in modo diverso.

  • IEC850: Con i comandi, i valori compresi da 0 a 3 vengono inseriti nel campoCheck, gli altri vengono ignorati.
  • IEC870: Con i comandi, i valori da 0 a 31 vengono inseriti nel campoQU, gli altri vengono ignorati.
  • DNP3: Il valore 1 per il comando significa Pulse, altrimenti Latch.

Minimo: 0
Massimo: 127
Default: 0

Nota: questo inserimento è possibile solamente se l´opzione Utilizza qualifica di comando è attiva.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

QOC


ID_VERRIEG_PROP33

Interno ID: ID_VERRIEG_PROP33

Nome

Parte liberamente definibile della denominazione di un interblocco.

Se si assegna un nome, l´intera denominazione consiste di: Nome: Collegamento logico, ad esempio: Nome: X03 non ripristinato AND X02.

Se non si assegna nessun nome, la completa denominazione viene generata automaticamente da: Condizione <Indice>: Collegamento logico, ad esempio: Condizione 01: X03 non ripristinato AND X02.

Default: Condizione <Indice>

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_VERRIEG_PROP34

Interno ID: ID_VERRIEG_PROP34

ID menu

ID univoco dell´azione. Il menù ID viene usato nel runtime per la creazione di Menu contestuali. Se due azioni vengono dotate dello stesso ID, nella struttura ad albero delle azioni esse vengono evidenziate mediante un simbolo speciale. Nel corso della compilazione, il sistema verifica anche che lo stesso (valore)comando venga utilizzato solo una volta per variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CmdMenuID


ID_VERRIEG_PROP35

Interno ID: ID_VERRIEG_PROP35

Variabile di blocco

Variabile che può essere usata per le condizioni di blocco. Se si clicca sul pulsante ..., può essere scambiata la variabile senza che la formula debba essere modificata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_VERRIEG_PROP_DEL

Interno ID: ID_VERRIEG_PROP_DEL

{Cancella condizione}

La condizione viene eliminata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Delete


ID_VERRIEG_PROP_GRP0

Interno ID: ID_VERRIEG_PROP_GRP0

Generale

Proprietà generali per l´interblocco o il comando.

Ulteriori dettagli nella parte della guida in linea che concerne la creazione:

- Interblocco

- Commando

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_VERRIEG_PROP_GRP4

Interno ID: ID_VERRIEG_PROP_GRP4

Immagine di comando

Proprietà per l´immagine di comando.

Nota: se si attiva il tipo di azione Comando automatico/remoto , le proprietà del gruppo Immagine di comando non sono modificabili.

Immagine di comando

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Picture


ID_VERRIEG_PROP_GRP5

Interno ID: ID_VERRIEG_PROP_GRP5

Opzioni

Proprietà per le opzioni dei comandi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Options


ID_VERRIEG_PROP_GRP6

Interno ID: ID_VERRIEG_PROP_GRP6

Impostazioni azioni

Proprietà per le impostazioni azioni dei comandi.

Avvertenza:

  • Il tipo di azione Comando automatico/remoto non supporta nessuna autorizzazione. Il gruppo proprietà Diritto di accesso viene escluso dalla visualizzazione.
  • Il tipo di azione Blocco non supporta nessuna condizione di interblocco. Ne consegue che, se sono state progettate delle condizioni, esse non saranno valide nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_VERRIEG_PROP_GRP7

Interno ID: ID_VERRIEG_PROP_GRP7

Variabile

Proprietà per le variabili dell´interblocco.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_VERRIEG_PROP_GRP8

Interno ID: ID_VERRIEG_PROP_GRP8

Condizione

Proprietà per le condizioni dell´interblocco.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_VERRIEG_PROP_GRP9

Interno ID: ID_VERRIEG_PROP_GRP9

Diritto di accesso

Contiene le proprietà per la constatazione dei livelli di autorizzazioni per il blocco e lo sblocco.
Nota: se si attiva il tipo di azione Comando automatico/remoto , il gruppo delle proprietà Diritto di accesso viene escluso dalla visualizzazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Rights


ID_VERRIEG_PROP_GRP10

Interno ID: ID_VERRIEG_PROP_GRP10

Elaborazione stato

Impostazioni per modifica stato nel comando.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StatusHandling


ID_VERRIEG_PROP_GRP11

Interno ID: ID_VERRIEG_PROP_GRP11

Immagine di comando

Impostazioni per immagine di comando nel comando.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CommandScreen


ID_VERRIEG_PROP_GRP12

Interno ID: ID_VERRIEG_PROP_GRP12

Sequenze di comando

Proprietà per l´uso di azioni di comando nel modulo Sequenze di comando.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_Sequences


ID_VERRIEG_PROP_NEW

Interno ID: ID_VERRIEG_PROP_NEW

{Nuova condizione}

Viene impostata una nuova condizione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

New


ID_VORSCHAU

Interno ID: ID_VORSCHAU

Anteprima

Apre il dialogo che serve alla sostituzione dei collegamenti. Le modifiche nell´anteprima vengono riprese e invertite nelle proprietà Origine e Destinazione.
È disponibile per simboli e faceplate. Per i simboli attivo solamente se esiste già un collegamento con il simbolo; per contenitori faceplate attivo solamente se un´immagine è collegata con il contenitore.

Ulteriori dettagli li trovate nella parte della guida in linea concernente Simboli e Faceplates.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Preview


ID_WORKSPACE_PROP_MSGCTRL

Interno ID: ID_WORKSPACE_PROP_MSGCTRL

MessageControl

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MessageControl


ID_WORKSPACE_PROP_PATH

Interno ID: ID_WORKSPACE_PROP_PATH

File del Workspace

Nome e luogo di salvataggio del file di workspace. Solo visualizzazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Workspacepath


ID_WORKSPACE_PROPS_GRP

Interno ID: ID_WORKSPACE_PROPS_GRP

Workspace

Contiene le proprietà per il workspace.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Arbeitsbereich


ID_WPF_CONNECTION_DOUBLEVALUE

Interno ID: ID_WPF_CONNECTION_DOUBLEVALUE

Valore

Inserimento di un valore numerico per la variabile collegata. Disponibile solo se la proprietà Valore Stringa non è attiva.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Value


ID_WPF_CONNECTION_ISSTRING

Interno ID: ID_WPF_CONNECTION_ISSTRING

Valore Stringa

Si sceglie se il valore collegato è un valore numerico o un valore stringa.

  • Attivo: Valore Stringa

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

IsString


ID_WPF_CONNECTION_UNIT

Interno ID: ID_WPF_CONNECTION_UNIT

Unità di misura

Unità di misura utilizzata. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Unit


ID_WPF_CONNECTION_USEVALUEADJUST

Interno ID: ID_WPF_CONNECTION_USEVALUEADJUST

Conversione intervallo valore

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UseValueAdjust


ID_WPF_CONNECTION_VALUE

Interno ID: ID_WPF_CONNECTION_VALUE

Valore stringa

Inserimento per valore stringa. Disponibile solo se la proprietà Valore Stringa è stata attivata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StringValue


ID_WPF_CONNECTION_VALUEMAX

Interno ID: ID_WPF_CONNECTION_VALUEMAX

Massimo

Valore massimo della variabile configurata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Max


ID_WPF_CONNECTION_VALUEMIN

Interno ID: ID_WPF_CONNECTION_VALUEMIN

Minimo

Valore minimo della variabile configurata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Min


ID_WRONGPW

Interno ID: ID_WRONGPW

Num. max. tentativi Username

Numero consentito degli inserimenti di un nome utente non esistente.
Se si supera questo numero, il sistema verrà bloccato. A meno che non si tratti di amministratori, nessun utente può più effettuare il login. Se però un amministratore effettua il login, il sistema viene sbloccato automaticamente. In questo caso verrà generato nella Lista eventi cronologica (CEL) un inserimento corrispondente. Le modifiche di questo valore avranno validità nel Runtime solo dopo che il sistema sarà stato riavviato.

  • Minimo: 0
  • Massimo: 65535

Default: 3

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserTries


ID_WRONGUSER

Interno ID: ID_WRONGUSER

Num. max. tentativi password

Numero degli inserimenti sbagliati consentiti per la password.
Se si supera questo numero, l´utente corrispondente verrà bloccato. Il blocco può essere rimosso solamente da un amministratore. In questo caso, viene generato un inserimento corrispondente nella Lista Eventi Cronologica (CEL).

  • Minimo: 0
  • Massimo: 65535

Default: 3

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PasswordTries


ID_ZEITSTG_PROP1

Interno ID: ID_ZEITSTG_PROP1

Nome

Nome della funzione tempo.
Default: Time-Function x (x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_ZEITSTG_PROP2

Interno ID: ID_ZEITSTG_PROP2

Funzione

Funzione che deve essere eseguita sulla base di meccanismi a tempo.
Apre il dialogo di selezione funzioni.
Se più di una funzione deve essere eseguita, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Function


ID_ZEITSTG_PROP3

Interno ID: ID_ZEITSTG_PROP3

Attivo

Attivo: La funzione tempo viene eseguita nel Runtime.
Inattiva: La funzione tempo non viene eseguita nel Runtime.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Active


ID_ZEITSTG_PROP4

Interno ID: ID_ZEITSTG_PROP4

Tipo di esecuzione

A partire da questo giorno: La funzione viene eseguita a partire dal giorno impostato, ogni giorno all´ora stabilita.
Solo in questo giorno: La funzione viene eseguita il giorno impostato, allo scadere del tempo stabilito, una sola volta.
Ciclico a partire da questo giorno: La funzione viene eseguita a partire dal giorno impostato, nell´intervallo definito, ciclicamente.
Ciclico solo in questo giorno: La funzione viene eseguita solo il giorno della settimana stabilito, nell´intervallo definito, ciclicamente.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Type


ID_ZEITSTG_PROP5

Interno ID: ID_ZEITSTG_PROP5

Ora partenza

La data in corrispondenza della quale o a partire dalla quale deve essere eseguita la funzione tempo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExecuteDate


ID_ZEITSTG_PROP7

Interno ID: ID_ZEITSTG_PROP7

Intervallo

Intervallo di tempo nel quale la funzione deve essere eseguita.
Default: 00:15:00.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Interval


ID_ZEITSTG_PROP8

Interno ID: ID_ZEITSTG_PROP8

Intervallo di un mese

Disponibile solamente se per la proprietà Tipo di esecuzione è stato selezionato il valore ciclico.
Attiva: La funzione viene eseguita dopo un intervallo di un mese alla fine del mese.
Non attiva: vengono usate le altre impostazioni per l´esecuzione della funzione.
Default: inattivo

Nota: il cambio mese e anno si riferiscono alla data di esecuzione impostata e non al passaggio concreto che si verifica il 01°/ 01° alle ore 00:00. 01. ore 00:00. Se si vuole che il cambio avvenga esattamente in corrispondenza di questa data e questa ora, le si deve impostare in fase di progettazione, per es. 01. 01. 2012, ore 00:00:00.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Monthly


ID_ZEITSTG_PROP9

Interno ID: ID_ZEITSTG_PROP9

Intervallo di un anno

Disponibile solamente se per la proprietà Tipo di esecuzione è stato selezionato il valore ciclico.
Attiva: La funzione viene eseguita dopo un intervallo di un mese alla fine dell´anno.
Non attiva: vengono usate le altre impostazioni per l´esecuzione della funzione.
Default: inattivo

Nota: il cambio mese e anno si riferiscono alla data di esecuzione impostata e non al passaggio concreto che si verifica il 01°/ 01° alle ore 00:00. 01. ore 00:00. Se si vuole che il cambio avvenga esattamente in corrispondenza di questa data e questa ora, le si deve impostare in fase di progettazione, per es. 01. 01. 2012, ore 00:00:00.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Yearly


ID_ZEITSTG_PROP10

Interno ID: ID_ZEITSTG_PROP10

Lunedì

Attivo: La funzione viene eseguita (anche) di lunedì.
Inattiva: La funzione non viene eseguita di lunedì.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Monday


ID_ZEITSTG_PROP11

Interno ID: ID_ZEITSTG_PROP11

Martedì

Attivo: La funzione viene eseguita (anche) di martedì.
Inattiva: La funzione non viene eseguita di martedì.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Tuesday


ID_ZEITSTG_PROP12

Interno ID: ID_ZEITSTG_PROP12

Mercoledì

Attivo: La funzione viene eseguita (anche) di mercoledì.
Inattiva: La funzione non viene eseguita di mercoledì.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Wednesday


ID_ZEITSTG_PROP13

Interno ID: ID_ZEITSTG_PROP13

Giovedì

Attivo: La funzione viene eseguita (anche) di giovedì.
Inattiva: La funzione non viene eseguita di giovedì.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Thursday


ID_ZEITSTG_PROP14

Interno ID: ID_ZEITSTG_PROP14

Venerdì

Attivo: La funzione viene eseguita (anche) di venerdì.
Inattiva: La funzione non viene eseguita di venerdì.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Friday


ID_ZEITSTG_PROP15

Interno ID: ID_ZEITSTG_PROP15

Sabato

Attivo: La funzione viene eseguita (anche) di sabato.
Inattiva: La funzione non viene eseguita di sabato.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Saturday


ID_ZEITSTG_PROP16

Interno ID: ID_ZEITSTG_PROP16

Domenica

Attivo: La funzione viene eseguita (anche) di domenica.
Inattiva: La funzione non viene eseguita di domenica.
Default: attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Sunday


ID_ZEITSTG_PROP_GRP0

Interno ID: ID_ZEITSTG_PROP_GRP0

Generale

Proprietà generali per la funzione tempo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_TimeFct


ID_ZEITSTG_PROP_GRP1

Interno ID: ID_ZEITSTG_PROP_GRP1

Impostazioni tempo

Impostazioni tempo per la funzione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Timeadj


ID_ZEITSTG_PROP_GRP3

Interno ID: ID_ZEITSTG_PROP_GRP3

Triggerzeitpunkte

Solo con un tipo di esecuzione ciclica:
Selezione di cambio mese o anno.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:


ID_ZEITSTG_PROP_GRP4

Interno ID: ID_ZEITSTG_PROP_GRP4

Giorni di esecuzione

Selezione del/dei giorno/i in cui deve essere eseguita la funzione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ExecutionDays


ID_ZUWEIS_PROP1

Interno ID: ID_ZUWEIS_PROP1

Nome

Nome univoco dell´assegnazione.
Default: Assegnazione x (x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_ZUWEIS_PROP2

Interno ID: ID_ZUWEIS_PROP2

Variabile sorgente

Nome della variabile il cui valore deve essere assegnato alla variabile di destinazione.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SourceVariable


ID_ZUWEIS_PROP3

Interno ID: ID_ZUWEIS_PROP3

Variabile di destinazione

Nome della variabile a cui deve essere assegnato il valore della variabile sorgente.
Apre il dialogo che serve alla selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TargetVariable


ID_ZUWEIS_PROP4

Interno ID: ID_ZUWEIS_PROP4

Variabile trigger

La variabile bit connessa attiva l´assegnazione. Se non è collegata nessuna variabile, l´assegnazione avviene spontaneamente. Il che significa che, ogni volta che cambia il valore della variabile sorgente, esso viene automaticamente scritto su quella di destinazione.
Apre il dialogo che serve alla selezione delle variabili filtrato per variabili bit.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TriggerVariable


ID_ZUWEIS_PROP5

Interno ID: ID_ZUWEIS_PROP5

Tipo trigger

Fronte: L´attribuzione viene eseguita se il valore della variabile trigger collegata passa da 0 a 1.
Livello: L'attribuzione viene eseguita finché la variabile trigger collegata ha un valore pari a 1.
Default: Fronte.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TriggerType


ID_ZUWEIS_PROP_GRP0

Interno ID: ID_ZUWEIS_PROP_GRP0

Generale

Proprietà generali per l´attribuzione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_ZW_PROP_ABFRAGE

Interno ID: ID_ZW_PROP_ABFRAGE

Variabile Contatore di query

Variabile per interrogazione contatore.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

QueryPV


ID_ZW_PROP_AUSGANGABS

Interno ID: ID_ZW_PROP_AUSGANGABS

Tipo contatore di uscita: assoluto

Punto di partenza come valore assoluto

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OutputAbs


ID_ZW_PROP_AUSGANGREL

Interno ID: ID_ZW_PROP_AUSGANGREL

Tipo contatore uscita: relativo

Emissione come valore relativo.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OutputRel


ID_ZW_PROP_EINGANGABS

Interno ID: ID_ZW_PROP_EINGANGABS

Tipo contatore ingresso

Valore assoluto o valore relativo.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InputAbs


ID_ZW_PROP_GRP0

Interno ID: ID_ZW_PROP_GRP0

Generale

Con le seguenti proprietà stabilite le proprietà del rema valore numerico.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


ID_ZW_PROP_MAXWERT

Interno ID: ID_ZW_PROP_MAXWERT

Contatore mass.

Stato massimo del contatore

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxCount


ID_ZW_PROP_NAHANDLING

Interno ID: ID_ZW_PROP_NAHANDLING

Trattamento NA

Modalità per trattamento "non attualizzato" (valore numerico al di là della finestra tempo).

Commutazione a I-Bit: valore numerico viene settato su INVALID.

Commutare su valore di riserva: Il valore numerico viene settato sul valore sostituivo parametrizzato.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NAHandling


ID_ZW_PROP_NAME

Interno ID: ID_ZW_PROP_NAME

Nome

Nome del gruppo contatore.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


ID_ZW_PROP_NUMBER

Interno ID: ID_ZW_PROP_NUMBER

ID

Numero interno del gruppo contatore.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Number


ID_ZW_PROP_OFFSET

Interno ID: ID_ZW_PROP_OFFSET

Offset [s]

Tempo dopo un accensione per 1. aggiornamento in secondi

In tal modo si garantisce che la Connection con l'altra posizione sia OK.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Offset


ID_ZW_PROP_OVHANDLING

Interno ID: ID_ZW_PROP_OVHANDLING

Trattamento OV

Comportamento in caso di superamento di valore assoluto o di superamento del gradiente.

Commutazione a I-Bit: valore numerico viene settato su INVALID.

Commutare su valore di riserva: Il valore numerico viene settato sul valore sostituivo parametrizzato.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OVHandling


ID_ZW_PROP_TARIF

Interno ID: ID_ZW_PROP_TARIF

Variabile per riconoscimento tariffa

Variabile di gestione per denominazione tariffa.

Assegnazione a stati user 1....8

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TariffPV


ID_ZW_PROP_TIMEOUT

Interno ID: ID_ZW_PROP_TIMEOUT

Finestra tempo [s]

Timeout per controllo di completezza.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Timeout


ID_ZW_PROP_TRIGGER

Interno ID: ID_ZW_PROP_TRIGGER

Variabile trigger

Dal punto di interrogazione fino alla fine della finestra tempo: 1

Altrimenti: 0

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TriggerPV


ID_ZW_PROP_ZYKLUSZEIT

Interno ID: ID_ZW_PROP_ZYKLUSZEIT

Tempo Ciclo Gruppi [s]

Tempo del ciclo per interrogazioni contatore in secondi.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CycleTime


IDD_VARVERWALTUNG5

Interno ID: IDD_VARVERWALTUNG5

Nome

Nome del tipo di dato. La lunghezza è limitata a 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


IDP_3TFORM_EDITOR

Interno ID: IDP_3TFORM_EDITOR

Visualizzazione piatta

Stabilite quale effetto deve avere l´elemento creato sul modello.

Sono disponibili le seguenti impostazioni:

Copri: la superficie dell´elemento viene usata come settore immagine.

Taglia: la superficie dell´elemento viene cancellata dalle superfici che si trovano sotto.

Collegamento OR: a seconda se sotto l´elemento si trova una superficie coprente o no, viene tagliato o coperto.

Nota: l´uso delle superfici si riferisce sempre a quella che si trova sotto l´elemento.

Per gli elementi di nuova creazione viene usata sempre l´impostazione selezionata per ultima.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Combine


IDP_AMISTS_DEVICE

Interno ID: IDP_AMISTS_DEVICE

AMISTS device

È possibile inserire un dispositivo o un dispositivo di interruzione alimentazione. Questo deve esistere nel database del server transazione

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AMISTSDevice


IDP_AMISTS_LSDGROUP

Interno ID: IDP_AMISTS_LSDGROUP

AMISTS load switch group

Per i programmi di commutazione si specifica qui il gruppo di dispositivi di interruzione di alimentazione.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AMISTSLSGroup


IDP_AMISTS_REFERENCE

Interno ID: IDP_AMISTS_REFERENCE

AMISTS reference

Qui viene instaurata la connessione fra variabili e il corrispondente server transazione corrispondente come parametrizzato nella configurazione driver.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AMISTSReference


IDP_AMISTS_RELAYADDRESS

Interno ID: IDP_AMISTS_RELAYADDRESS

AMISTS relayAddress

In un interruttore di alimentazione va associato il relè corrispondente in un range di valori da 1 a 5. Per un dispositivo questa specificazione è irrilevante.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AMISTSRelayNumber


IDP_AMISTS_RELAYPROGRAM

Interno ID: IDP_AMISTS_RELAYPROGRAM

AMISTS relayProgram

Qui viene definito un programma di commutazione. Esso deve essere indicato nel blocco 17 della parametrizzazione del server transazione.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AMISTSLSDProgram


IDP_AML_BACKCOLOR_STATE

Interno ID: IDP_AML_BACKCOLOR_STATE

Colore di sfondo

Colore di sfondo per la barra stato allarmi. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: #FF0000

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorOfState


IDP_AML_BACKCOLOR_STATE1

Interno ID: IDP_AML_BACKCOLOR_STATE1

Segnalazione 1 colore di sfondo

Colore di sfondo per il messaggio 1. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: #0000FF

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorOfState1


IDP_AML_BACKCOLOR_STATE2

Interno ID: IDP_AML_BACKCOLOR_STATE2

Segnalazione 2 colore di sfondo

Colore di sfondo per il messaggio 2. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: #0000FF

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorOfState2


IDP_AML_BACKCOLOR_STATE3

Interno ID: IDP_AML_BACKCOLOR_STATE3

Segnalazione 3 colore di sfondo

Colore di sfondo per il messaggio 3. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: #0000FF

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorOfState3


IDP_AML_COMMENTS

Interno ID: IDP_AML_COMMENTS

Commenti d'allarme

Description as text.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmComments


IDP_AML_LONGLIMITS

Interno ID: IDP_AML_LONGLIMITS

Testi lunghi per valori limiti - AML

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili.

  • Inattivo: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.
  • Attivo: Sono consentiti commenti e testi di valore limite dinamici. Contenuti dinamici vengono depositati in un file che ha il nome convenzionale D*.AML. Questo file viene generato in aggiunta a quello A*.AML. Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 254 caratteri.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmLongDynLimits


IDP_AML_TEXTCOLOR_STATE

Interno ID: IDP_AML_TEXTCOLOR_STATE

Colore testo

Colore del testo per la barra stato allarmi. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: #000000

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorOfState


IDP_AML_TEXTCOLOR_STATE1

Interno ID: IDP_AML_TEXTCOLOR_STATE1

Segnalazione 1 colore testo

Colore del testo per il messaggio 1. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: #FFFFFF

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorOfState1


IDP_AML_TEXTCOLOR_STATE2

Interno ID: IDP_AML_TEXTCOLOR_STATE2

Segnalazione 2 colore testo

Colore del testo per il messaggio 2. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: #FFFFFF

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorOfState2


IDP_AML_TEXTCOLOR_STATE3

Interno ID: IDP_AML_TEXTCOLOR_STATE3

Segnalazione 3 colore testo

Colore del testo per il messaggio 3. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: #FFFFFF

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorOfState3


IDP_BATCH_ACTION_ALLOC_GRP

Interno ID: IDP_BATCH_ACTION_ALLOC_GRP

Assegna parametro

Contiene le proprietà per l´attribuzione di parametri.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActAllocGrp


IDP_BATCH_ACTION_CEL_CLASS

Interno ID: IDP_BATCH_ACTION_CEL_CLASS

Classe

Assegnazione di una Classe allarme/evento già esistente a segnalazioni CEL per l´evento selezionato. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CelClass


IDP_BATCH_ACTION_CEL_GROUP

Interno ID: IDP_BATCH_ACTION_CEL_GROUP

Gruppi

Assegnazione di un Gruppo allarme/evento già esistente a segnalazioni CEL per l´evento selezionato. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CelGroup


IDP_BATCH_ACTION_CELACTIVE

Interno ID: IDP_BATCH_ACTION_CELACTIVE

Crea inserimento CEL

Attivo: Il testo definito nella proprietà Messaggio di testo CEL viene inserito nella CEL.

L´inserimento avviene nella CEL sul server con l´utente registrato in quel momento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActCelEn


IDP_BATCH_ACTION_CELMSG

Interno ID: IDP_BATCH_ACTION_CELMSG

Messaggio di testo CEL

Disponibile solo se la proprietà Crea inserimento CEL è attiva.

Testo che viene inserito nella CEL. Può contenere parole chiave del cambio lingua.

Massimo: 512 caratteri

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActCelMsg


IDP_BATCH_ACTION_DESCR

Interno ID: IDP_BATCH_ACTION_DESCR

Descrizione

Inserimento di testo libero per descrivere l´evento selezionato.
La descrizione non è visibile durante il Runtime e vale solo per l´Editor.
Massimo: 512 caratteri

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActDescr


IDP_BATCH_ACTION_DESTTAG

Interno ID: IDP_BATCH_ACTION_DESTTAG

Parametro di destinazione

Disponibile solo se è stato selezionato un Parametro sorgente.

Parametro a cui è trasmesso il valore di quello selezionato nella proprietà Parametro sorgente. Un clic sul comando ... apre il dialogo che serve alla selezione dei parametri. Vengono proposti solamente parametri del tipo adatto. Se il parametro viene rinominato, la modifica viene ripresa automaticamente.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActDestTag


IDP_BATCH_ACTION_FUNC

Interno ID: IDP_BATCH_ACTION_FUNC

Funzione

Funzione che deve essere eseguita. Un clic sul comando ... apre il dialogo che serve alla selezione.

Sie può selezionare una funzione del progetto locale, oppure di un altro progetto. Il progetto è la funzione devono essere disponibili durante il Runtime. Se la funzione viene rinominata, la modifica viene ripresa automaticamente.

Nel Runtime, il sistema verifica durante il processo di validazione se la funzione esiste o meno.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActFunc


IDP_BATCH_ACTION_FUNCTION_GRP

Interno ID: IDP_BATCH_ACTION_FUNCTION_GRP

Funzione

Contiene la proprietà per la selezione funzioni.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActFuncGrp


IDP_BATCH_ACTION_GENERAL_GRP

Interno ID: IDP_BATCH_ACTION_GENERAL_GRP

Generale

Contiene le proprietà generali per gli eventi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActGeneral


IDP_BATCH_ACTION_LOG_GRP

Interno ID: IDP_BATCH_ACTION_LOG_GRP

Inserimenti nella CEL

Contiene proprietà per inserimenti nella CEL e nei file di LOG.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActLogGrp


IDP_BATCH_ACTION_LOGMSG

Interno ID: IDP_BATCH_ACTION_LOGMSG

Messaggio di testo di log

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActLogMsg


IDP_BATCH_ACTION_LOGMSG_EN

Interno ID: IDP_BATCH_ACTION_LOGMSG_EN

Crea inserimento log

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActLogEn


IDP_BATCH_ACTION_PRIO

Interno ID: IDP_BATCH_ACTION_PRIO

Ordine di esecuzione

Mostra la successione di esecuzione se sono state definite più reazioni allo stesso evento. La successione è definita sulla base della posizione nella lista e viene visualizzata in questa sede. La successione può essere modificata nella lista usando la barra dei simboli, oppure grazie al menù contestuale dell´evento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActPrio


IDP_BATCH_ACTION_REACTION_GRP

Interno ID: IDP_BATCH_ACTION_REACTION_GRP

Reazioni

Contiene proprietà per reazioni.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActSetTagGrp


IDP_BATCH_ACTION_RECIPE_GRP

Interno ID: IDP_BATCH_ACTION_RECIPE_GRP

Influenza sulla ricetta

Contiene le proprietà per la modalità di esecuzione e il comando.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActRecipeGrp


IDP_BATCH_ACTION_RESCMD

Interno ID: IDP_BATCH_ACTION_RESCMD

Comando

Comando ricetta o fase che viene eseguito nel Runtime in corrispondenza del verificarsi dell´evento. I comandi ricetta condizionano l´esecuzione dell´intera ricetta. I comandi fase hanno interessano solamente quella fase per la quale la reazione è stata configurata o per la quale si è verificato l´evento. Il comando ricetta o fase viene eseguito nel Runtime solamente se esso è consentito. Ad esempio: l´esecuzione di una ricetta non può essere continuata se la ricetta stessa viene bloccata. Una fase non può essere riavviata se essa si trova in pausa oppure in esecuzione nel Runtime.

Nota: il processo di validazione della ricetta nel Runtime non comporta una verifica della plausibilità di comandi fase e/o comandi ricetta.

Selezione del comando fra quelli del menù a tendina.

  • Termina fase
  • Ripristina fase
  • Riavvia fase
  • Fase in pausa
  • Ignora
  • Annulla ricetta
  • Mantieni ricetta
  • Ripristina ricetta
  • Riavvia ricetta
  • Ricetta in pausa
  • Interrompi ricetta

Default: Ignora

Nota: si può settare solamente un solo comando per evento. Per tutti gli altri eventi dello stesso tipo, la proprietà verra settata automaticamente su Ignora. Anche per "Termine Runtime" avviato, la proprietà viene settata automaticamente su Ignora. Se si modifica Evento, quest´impostazione viene eventualmente settata su Ignorato .

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActResCmd


IDP_BATCH_ACTION_RESCMDMODE

Interno ID: IDP_BATCH_ACTION_RESCMDMODE

Modalità

Attraverso questa reazione, si può stabilire che la modalità di esecuzione sia nel runtime la reazione all´evento.

Selezione della modalità di esecuzione fra quelle del menù a tendina:

  • Automatico
  • Semiautomatico
  • Ignora
  • Manuale

Default: Ignora

Nota: la modalità di esecuzione può essere settata solamente una volta per ogni singolo evento. Per tutti gli altri eventi dello stesso tipo, la modalità verra settata automaticamente su Ignora. Anche per "Termine Runtime" avviato, la modalità viene settata automaticamente su Ignora. Se Evento viene modificato in un evento per cui è stata già configurata una reazione esistente per la modalità di esecuzione, la reazione viene settata dall´evento modificato su Ignora. Se non c´è ancora nessuna reazione alla modalità di esecuzione per il nuovo evento, la reazione modalità di esecuzione viene mantenuta. Eccezione: "Termine Runtime" avviato

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActResCmdMode


IDP_BATCH_ACTION_SETTAG

Interno ID: IDP_BATCH_ACTION_SETTAG

Parametri

Parametro su cui deve essere scritto il valore impostabile definito come reazione all´evento. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un parametro. Per quello che concerne la selezione dei parametri, vale quanto segue:

  • possono essere selezionati solamente parametri della fase cui appartiene la reazione.
  • Possono essere selezionati sia parametri di feedback che parametri di comando.
  • Se un parametro viene rinominato, la modifica viene ripresa automaticamente.
  • Si può inserire il parametro "valore impostabile" in dipendenza dal parametro "tipo di dato".

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActSetTag


IDP_BATCH_ACTION_SETTAG_BO

Interno ID: IDP_BATCH_ACTION_SETTAG_BO

Valore booleano

È disponibile solo se nella proprietà Parametri è stato selezionato un parametro del tipo Binario.

Valore impostabile per un parametro binario. Selezione dalla lista a cascata:

  • Off (0)
  • On (1)
  • Toggeln: cambia lo stato.
    Al momento dell´avvio della fase, il sistema interroga il valore e lo scrive invertito nella reazione. Se il sistema non ottiene nessun valore valido, esso può reagire con la reazione „Variabile collegata disturbata".

Default: Off (0)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActSetTBool


IDP_BATCH_ACTION_SETTAG_DUR

Interno ID: IDP_BATCH_ACTION_SETTAG_DUR

Durata

È disponibile solo se nella proprietà Parametro è stato selezionato un Parametri del tipo Durata.

Valore impostabile in giorni, ore, minuti e secondi per parametro del tipo Durata. L´intervallo di tempo viene scritto in forma di valore in secondi sulla variabile collegata nel parametro.

  • Valore massimo: 0G 00:00:00
  • Valore minimo: 9999G 23:59:59
  • Default: 0G 00:00:00

Ad esempio: 30 minuti e 5 secondi= 1805

Nel Runtime, il sistema verifica durante il processo di validazione della ricetta se il valore in secondi rientra nell´ambito dei limiti massimo e minimo della variabile collegata nel parametro.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActSetTDuration


IDP_BATCH_ACTION_SETTAG_GRP

Interno ID: IDP_BATCH_ACTION_SETTAG_GRP

Impostazione parametri di valore

Contiene proprietà per Impostazione parametri di valore.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActReactGrp


IDP_BATCH_ACTION_SETTAG_MEUNIT

Interno ID: IDP_BATCH_ACTION_SETTAG_MEUNIT

Tag Einheit

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActSetTagMeUnit


IDP_BATCH_ACTION_SETTAG_NUM

Interno ID: IDP_BATCH_ACTION_SETTAG_NUM

Valore numerico

È disponibile solo se nella proprietà Parametri è stato selezionato un parametro del tipo Numerico.

Valore impostabile per parametro del tipo Numerico.
Si può definire un numero intero negativo o positivo, oppure un numero in virgola mobile che viene scritto come reazione sul parametro.

Nel Runtime, il sistema verifica durante il processo di validazione della ricetta se il valore rientra nell´ambito dei limiti massimo e minimo della variabile collegata nel parametro.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActSetTNum


IDP_BATCH_ACTION_SETTAG_STR

Interno ID: IDP_BATCH_ACTION_SETTAG_STR

Valore stringa

È disponibile solo se nella proprietà Parametri è stato selezionato un parametro del tipo String.

Valore impostabile per parametro del tipo String.

Nel Runtime, il sistema verifica durante il processo di validazione della ricetta se la lunghezza del valore stringa è minore al massimo Lunghezza stringa della variabile stringa collegata nel parametro.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActSetTStr


IDP_BATCH_ACTION_SRCTAG

Interno ID: IDP_BATCH_ACTION_SRCTAG

Parametro sorgente

Parametro il cui valore è trasmesso a quello selezionato nella proprietà Parametro di destinazione. Un clic sul comando ... apre il dialogo che serve alla selezione dei parametri.

Al momento dell´avvio della fase durante il runtime, il sistema interroga il valore della variabile collegato al parametro di sorgente. Se il sistema non ottiene nessun valore valido, esso può reagire con la reazione „Variabile collegata disturbata". Se il parametro viene rinominato, la modifica viene ripresa automaticamente.

Nel Runtime, il sistema verifica durante il processo di validazione se Parametro di destinazione esiste e se le variabili collegate nei parametri sono valide e del tipo giusto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActSrcTag


IDP_BATCH_ACTION_TYPE

Interno ID: IDP_BATCH_ACTION_TYPE

Evento

Selezione del tipo di evento in presenza del quale deve essere eseguita la reazione. La selezione avviene nella lista a cascata.
Per ogni evento possono essere definite più reazioni. La successione di esecuzione può essere definita nella visualizzazione dettagli.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchActType


IDP_BATCH_CEL_CLASS_CMD

Interno ID: IDP_BATCH_CEL_CLASS_CMD

Classe per comandi

Assegnazione di una Classe allarme/evento già esistente a segnalazioni CEL per comandi. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ClassCmd


IDP_BATCH_CEL_CLASS_JUMP_FORCE_STEP

Interno ID: IDP_BATCH_CEL_CLASS_JUMP_FORCE_STEP

Classe per Jump/Force/Step

Assegnazione di una Classe allarme/evento già esistente a segnalazioni CEL per salta, forzare e esegui a passi. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ClassStep


IDP_BATCH_CEL_CLASS_RECIPE

Interno ID: IDP_BATCH_CEL_CLASS_RECIPE

Classe per gestione ricetta

Assegnazione di una Classe allarme/evento già esistente a segnalazioni CEL per l´handling ricette. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ClassRecipe


IDP_BATCH_CEL_CLASS_VALUE

Interno ID: IDP_BATCH_CEL_CLASS_VALUE

Classe per modifica valore

Assegnazione di una Classe allarme/evento già esistente a segnalazioni CEL per modifiche valori. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ClassValue


IDP_BATCH_CEL_GROUP_CMD

Interno ID: IDP_BATCH_CEL_GROUP_CMD

Gruppo per comandi

Assegnazione di un Gruppo allarme/evento già esistente a segnalazioni CEL per comandi. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GroupCmd


IDP_BATCH_CEL_GROUP_JUMP_FORCE_STEP

Interno ID: IDP_BATCH_CEL_GROUP_JUMP_FORCE_STEP

Gruppo per Jump/Force/Step

Assegnazione di un Gruppo allarme/evento già esistente a segnalazioni CEL per salta, forzare e esegui a passi. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GroupStep


IDP_BATCH_CEL_GROUP_RECIPE

Interno ID: IDP_BATCH_CEL_GROUP_RECIPE

Gruppo per gestione ricetta

Assegnazione di un Gruppo allarme/evento già esistente a segnalazioni CEL per l´handling ricette. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GroupRecipe


IDP_BATCH_CEL_GROUP_VALUE

Interno ID: IDP_BATCH_CEL_GROUP_VALUE

Gruppo per modifica valori

Assegnazione di un Gruppo allarme/evento già esistente a segnalazioni CEL per modifiche valori. Selezione dal menù a tendina.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GroupValue


IDP_BATCH_CELGROUPCLASS_GRP

Interno ID: IDP_BATCH_CELGROUPCLASS_GRP

Gruppi/Classi eventi CEL

Contiene le proprietà per l´assegnazione di gruppi e classi per segnalazioni CEL a ricette, comandi, modifiche valore, salta, forzare e esegui in passi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELGroupClass


IDP_BATCH_COMMUNICATION_FAILURE

Interno ID: IDP_BATCH_COMMUNICATION_FAILURE

Azione con perdita di comunicazione

Configurazione della reazione a problemi della comunicazione. Selezione dalla lista a cascata:

  • Termina fase
  • Fase in pausa

Le condizioni per il riconoscimento di problemi di comunicazione vengono definite nel caso delle fasi mediante la proprietà Errore di comunicazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CommunicationFailureAction


IDP_BATCH_COMMUNICATION_FAILURE_GRP

Interno ID: IDP_BATCH_COMMUNICATION_FAILURE_GRP

Errore di comunicazione

Proprietà per la reazione a problemi di comunicazione. Le condizioni per il riconoscimento di problemi di comunicazione vengono definite nel caso delle fasi mediante la proprietà Errore di comunicazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CommunicationFailure


IDP_BATCH_CS_DESCRIPTION

Interno ID: IDP_BATCH_CS_DESCRIPTION

Descrizione

Testo a piacere per la descrizione del modo di operazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Description


IDP_BATCH_CS_GENERAL_GRP

Interno ID: IDP_BATCH_CS_GENERAL_GRP

Generale

Contiene le proprietà per la configurazione dei modi di operazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


IDP_BATCH_CS_IDENTIFIER

Interno ID: IDP_BATCH_CS_IDENTIFIER

Numero modalità di esecuzione

Numero univoco del modo di operazione per l´identificazione all´interno di questa fase.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Identifier


IDP_BATCH_CS_NAME

Interno ID: IDP_BATCH_CS_NAME

Nome

Nome del modo di operazione.

Il nome:

  • deve essere univoco nell´ambito della fase.
  • non deve essere vuoto.
  • non deve contenere nessun punto.
  • non deve consistere solamente di spazi.
  • può contenere un massimo di 256

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


IDP_BATCH_EVENT_EXECUTE_STARTUP

Interno ID: IDP_BATCH_EVENT_EXECUTE_STARTUP

Consenti esecuzione prima dello Start Event

Attivo: L´evento può essere eseguito prima dell´evento Fase avviata .

Inattivo: L´evento può essere eseguito solamente dopo che quello Fase avviata è stato eseguito.

Configurabile solamente per eventi che sono possibili sia prima che dopo Fase avviata. Per tutti gli altri eventi, il valore viene settato automaticamente in corrispondenza del tipo cui appartengono.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExecuteBeforeStartEvent


IDP_BATCH_EXECUTION_AFTER_RESTART_GRP

Interno ID: IDP_BATCH_EXECUTION_AFTER_RESTART_GRP

Azione al riavvio del Runtime

Proprietà per la definizione di azioni al momento del rilancio del Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExecutionAfterRestart


IDP_BATCH_GLOB_CYCLETIME

Interno ID: IDP_BATCH_GLOB_CYCLETIME

Frequenza d'interrogazione [s]

Tempo del ciclo espresso in secondi nel corso del quale viene creata una nuova immagine di processo

  • Minimo: 30 s
  • Massimo: 4294967295 s

Default: 30 s

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CycleTime


IDP_BATCH_GLOB_CYCLEWRITEACTIVE

Interno ID: IDP_BATCH_GLOB_CYCLEWRITEACTIVE

Attivazione scrittura ciclica

Attivo: viene scritto un dump di memoria in modo ciclico; quest´ultimo si svolge sulla base del tempo impostato nella proprietà Frequenza d'interrogazione [s].

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CyclicWriteActive


IDP_BATCH_GLOB_CYCLICIMAGE_GROUP

Interno ID: IDP_BATCH_GLOB_CYCLICIMAGE_GROUP

Immagine ricetta

Contiene le proprietà per la scrittura ciclica dell´immagine di processo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CyclicImage


IDP_BATCH_GLOB_EXPLANATION_NEEDED

Interno ID: IDP_BATCH_GLOB_EXPLANATION_NEEDED

Motivazione richiesta in caso di cambio valori

Attivo: Se effettua delle modifiche di valore durante il Runtime, l´utente dovrà indicare una ragione per il cambio effettuato. Prima che l´utente effettui una modifica, il sistema apre un dialogo in cui l´utente ne dovrà indicare la ragione. Questa impostazione vale per l´intero modulo Batch Control e non può essere modificata localmente per singole fasi o ricette.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExplanationNeeded


IDP_BATCH_GLOB_JOBVARIABLE

Interno ID: IDP_BATCH_GLOB_JOBVARIABLE

Job ID

Scelta delle variabili di ordinamento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

JobVariable


IDP_BATCH_GLOB_JOBVARIABLE_APPLYTYPE

Interno ID: IDP_BATCH_GLOB_JOBVARIABLE_APPLYTYPE

Acquisisci valore dalla variabile di ordinamento in fase di:

Fra le possibilità offerte dalla lista a cascata si sceglie quando il valore della variabile di ordinamento deve avere effetto:

  • Generazione della ricetta di controllo
  • Avvio della ricetta di controllo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

JobVariableApplyType


IDP_BATCH_GLOB_JOBVARIABLE_GRP

Interno ID: IDP_BATCH_GLOB_JOBVARIABLE_GRP

Job ID

Gruppo per le proprietà delle variabili di ordinamento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

JobVariableGrp


IDP_BATCH_GLOB_SETVALUE_GRP

Interno ID: IDP_BATCH_GLOB_SETVALUE_GRP

Modifica parametro

Proprietà per l´elaborazione dei parametri nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ParamChange


IDP_BATCH_GLOB_WRITE_TIMEOUT

Interno ID: IDP_BATCH_GLOB_WRITE_TIMEOUT

Timeout per la scrittura sicura

Timeout in secondi per la scrittura sicura.

Minimo: 10 s
Massimo: 3600 s
Default: 20 s

Il tempo di attesa vale per la somma di tutti i tempi di attesa per la scrittura sicura dei parametri di comando: attesa di valori per tutti i parametri che devono essere scritti, più attesa della conferma dei parametri scritti, più attesa della lettura delle variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WriteTimeout


IDP_BATCH_GLOB_WRITE_VARS

Interno ID: IDP_BATCH_GLOB_WRITE_VARS

Scrittura sicura

Gruppo per proprietà per la scrittura sicura.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WriteVars


IDP_BATCH_GLOB_WRITEIMAGE_ONPHASEACTIVATION

Interno ID: IDP_BATCH_GLOB_WRITEIMAGE_ONPHASEACTIVATION

Scrivi immagine di ricetta all'attivazione di una fase.

Attivo: ogni volta che si attiva una fase, viene scritto un dump di memoria

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WriteImageOnPhaseActivation


IDP_BATCH_JOBVARIABLE_LIST

Interno ID: IDP_BATCH_JOBVARIABLE_LIST

Variabile d'ordinamento individuale

Selezione di variabili di ordinamento individuali Esse possono essere assegnate in modo individuale facendo uso di una funzione. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una o più variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

JobVariableList


IDP_BATCH_KBD_BOOL

Interno ID: IDP_BATCH_KBD_BOOL

Parametro binario

Configurazione della tastiera per l´inserimento di parametri binari. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BoolKbd


IDP_BATCH_KBD_NUM

Interno ID: IDP_BATCH_KBD_NUM

Parametro numerico

Configurazione della tastiera per l´inserimento di parametri numerici. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NumKbd


IDP_BATCH_KBD_SPAN

Interno ID: IDP_BATCH_KBD_SPAN

Parametro durata

@Il valore della variabile per il numero d'ordine è vuota! Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SpanKbd


IDP_BATCH_KBD_STRING

Interno ID: IDP_BATCH_KBD_STRING

Parametro stringa

Configurazione della tastiera per l´inserimento di parametri stringa. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StringKbd


IDP_BATCH_MR_GENERAL_GRP

Interno ID: IDP_BATCH_MR_GENERAL_GRP

GRP_General

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


IDP_BATCH_OP_GENERAL_GRP

Interno ID: IDP_BATCH_OP_GENERAL_GRP

GRP_General

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


IDP_BATCH_PHASE_ABORTING_CND

Interno ID: IDP_BATCH_PHASE_ABORTING_CND

Interrotto

Condizione per passare da annulla a annullato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AbortingCnd


IDP_BATCH_PHASE_CHECK_TRANS_STARTUP

Interno ID: IDP_BATCH_PHASE_CHECK_TRANS_STARTUP

Prüfe Transientbedingungen vor Start Event

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CheckTransCndBeforeStartEvent


IDP_BATCH_PHASE_CONTROLSTRATEGIES_ACTIVE

Interno ID: IDP_BATCH_PHASE_CONTROLSTRATEGIES_ACTIVE

Strategia di controllo attiva

Attivo: modi di operazione sono consentiti per questa fase. Al di sotto della fase, viene visualizzato il nodo Modi di operazione per consentirne la configurazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ControlStrategiesActive


IDP_BATCH_PHASE_CONTROLSTRATEGIES_GRP

Interno ID: IDP_BATCH_PHASE_CONTROLSTRATEGIES_GRP

Strategia di controllo

Contiene le proprietà per l´attivazione di modi di operazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ControlStrategies


IDP_BATCH_PHASE_CONTROLSTRATEGIES_TAG

Interno ID: IDP_BATCH_PHASE_CONTROLSTRATEGIES_TAG

Parametro di strategia di controllo

Disponibile solo se la proprietà Strategia di controllo attiva è stata attivata.

Collegamento di un parametro di comando numerico. Esso definisce nel corso dell´esecuzione quale modo di operazione è attivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ControlStrategiesTag


IDP_BATCH_PHASE_DESCRIPTION

Interno ID: IDP_BATCH_PHASE_DESCRIPTION

Descrizione

Stringa liberamente definibile per una descrizione più precisa della fase. Il nome è traducibile.

Lunghezza massima: 512 caratteri

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Description


IDP_BATCH_PHASE_DONE

Interno ID: IDP_BATCH_PHASE_DONE

Condizione di termine fase

Definisce la condizione per il cambio fase. Cliccando sul pulsante ... oppure sull´inserimento, aprite l´Editor delle formule grazie al quale potete definire una condizione.
La condizione può essere visualizzata, ma non modificata nel Runtime. L´intervallo di tempo durante il quale si attende il soddisfacimento della condizione, viene definito mediante la proprietà Massima durata di esecuzione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Done


IDP_BATCH_PHASE_ERROR_PLC

Interno ID: IDP_BATCH_PHASE_ERROR_PLC

Errore PLC

Inserimento della formula per il riconoscimento di errori PLC. Cliccando sul pulsante ... si apre il dialogo che serve a configurare la formula.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PlcError


IDP_BATCH_PHASE_ESCAPING

Interno ID: IDP_BATCH_PHASE_ESCAPING

Condizione di uscita

Modalità per uscire da una fase.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Escaping


IDP_BATCH_PHASE_EXPLANATION_NEEDED

Interno ID: IDP_BATCH_PHASE_EXPLANATION_NEEDED

Motivazione richiesta per la modifica del tempo minimo di esecuzione

Attivo: Se effettua delle modifiche di valore concernenti questa fase durante il Runtime, l´utente dovrà indicare una ragione per il cambio effettuato. Prima che l´utente effettui una modifica, il sistema apre un dialogo in cui l´utente ne dovrà indicare la ragione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExplanationMinExecTimeNeeded


IDP_BATCH_PHASE_FAILURE

Interno ID: IDP_BATCH_PHASE_FAILURE

Errore di comunicazione

Inserimento della formula per il riconoscimento di errori di comunicazione. Cliccando sul pulsante ... si apre il dialogo che serve a configurare la formula.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Failure


IDP_BATCH_PHASE_FAILURE_GRP

Interno ID: IDP_BATCH_PHASE_FAILURE_GRP

Errore

Proprietà per il riconoscimento di errori di comunicazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GPR_Failure


IDP_BATCH_PHASE_GENERAL_GRP

Interno ID: IDP_BATCH_PHASE_GENERAL_GRP

Generale

Proprietà generali della fase.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


IDP_BATCH_PHASE_HOLDING_CND

Interno ID: IDP_BATCH_PHASE_HOLDING_CND

Fermato

Condizione per passare da in bloccaggio a bloccato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HoldingCnd


IDP_BATCH_PHASE_INTERLOCKING

Interno ID: IDP_BATCH_PHASE_INTERLOCKING

Interblocco di ingresso

Definisce la condizione per l´interblocco iniziale. Cliccando sul pulsante ... oppure sull´inserimento, aprite l´Editor delle formule grazie al quale potete definire una condizione.
Se si configura un interblocco di ingresso, la fase verrà eseguita nel Runtime solo quando il presupposto dell´interblocco di ingresso viene soddisfatto. La formula può consistere di uno o più parametri di comando e parametri di ritorno della fase. Valore e stato delle variabili possono essere usati. La formula restituisce TRUE o FALSE come risultato. La condizione può essere visualizzata, ma non modificata nel Runtime.
Il tempo di attesa per l´interblocco di ingresso viene configurato con la proprietà Tempo di attesa per interblocco di ingresso.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Interlocking


IDP_BATCH_PHASE_MINEXECTIME

Interno ID: IDP_BATCH_PHASE_MINEXECTIME

Minima durata di esecuzione

Tempo minimo di esecuzione della fase.

  • >0: Intervallo di tempo minimo durante il quale il sistema attende dopo la scrittura del parametro di comando, indipendentemente dal fatto se la condizione di fase completata è soddisfatta o no.
  • 0: Periodo di esecuzione non viene verificato.

Tempo minimo di esecuzione può superare Massima durata di esecuzione.

Il tempo di attesa continua a scorrere senza interruzione indipendentemente dallo stato della ricetta (cioè, per es.. anche in caso di Ricetta in pausa) e anche nel caso di chiusura o riavvio del Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinExecTime


IDP_BATCH_PHASE_NAME

Interno ID: IDP_BATCH_PHASE_NAME

Nome

Nome della fase. Deve essere inequivocabile per ogni aggregato. Il nome non può contenere nessun punto e non può essere vuoto. Il nome è traducibile.
Default: Fase x (x è un numero progressivo).

Lunghezza massima: 256 caratteri

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


IDP_BATCH_PHASE_PARENT_UNIT_DESCRIPTION

Interno ID: IDP_BATCH_PHASE_PARENT_UNIT_DESCRIPTION

Descrizione unit

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UnitDescription


IDP_BATCH_PHASE_PARENT_UNIT_NAME

Interno ID: IDP_BATCH_PHASE_PARENT_UNIT_NAME

Unità

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Unit


IDP_BATCH_PHASE_PAUSING_CND

Interno ID: IDP_BATCH_PHASE_PAUSING_CND

In pausa

Condizione per passare da in fase di andare in pausa a in pausa.
Per la condizione si può definire una formula. La formula può consistere di uno o più parametri di comando e parametri di ritorno della fase. Valore e stato delle variabili possono essere usati.
Opzione: Per la validità della fase possono essere collegate delle variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PausingCnd


IDP_BATCH_PHASE_RECOVER

Interno ID: IDP_BATCH_PHASE_RECOVER

Ripristino perdita di comunicazione

Inserimento della formula per riconoscere quando la comunicazione, dopo essere stata interrotta, viene ripristinata. Cliccando sul pulsante ... si apre il dialogo che serve a configurare la formula.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Recover


IDP_BATCH_PHASE_RESTARTING_CND

Interno ID: IDP_BATCH_PHASE_RESTARTING_CND

Riavviato

Condizione per passare da in avvio a in funzione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RestartingCnd


IDP_BATCH_PHASE_STOPPING_CND

Interno ID: IDP_BATCH_PHASE_STOPPING_CND

Stoppato

Condizione per passare da in fase di arresto a fermato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StoppingCnd


IDP_BATCH_PHASE_TOALLOCATION

Interno ID: IDP_BATCH_PHASE_TOALLOCATION

Tempo di attesa per allocazione unit

Tempo in giorni, ore, minuti e secondi durante il quale si attende l´allocazione aggregato. Il tempo di attesa può essere modificato nel Runtime finché la ricetta si trova nello stato editabile.

Quando il tempo definito è scaduto, viene inizializzato l´evento Superato tempo di attesa aggregato; l´elemento viene evidenziato nella visualizzazione. Ulteriori azioni devono essere definite dal progettista. Se non si verificano ulteriori azioni, l´attesa continua.

Massimo: 9999T 23:59:59
Default: 0T 00:00:00

Nota: Un aggregato può essere allocato sempre solo da un´unica ricetta con lo stato In esecuzione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ToAllocation


IDP_BATCH_PHASE_TODONE

Interno ID: IDP_BATCH_PHASE_TODONE

Massima durata di esecuzione

Intervallo in giorni, ore, minuti e secondi in cui la condizione definita nella proprietà Condizione di termine fase deve restituire il valore TRUE. Il tempo di attesa inizia a decorrere dalla scrittura del parametro di comando. Se la condizione non viene soddisfatta entro la scadenza del tempo di attesa, viene inizializzato l´evento Tempo massimo di esecuzione superato e l attesa continua. Se per l´evento non è stata definita una reazione che determina un altro comportamento del sistema, l´attesa continua finché la condizione non viene soddisfatta.

Nota: Il tempo continua a decorrere quando si mette in pausa la ricetta/fase.

Se viene impostato 0T 00:00:00 come tempo d´attesa, l´evento non viene inizializzato.

  • Valore minimo: 0T 00:00:00
  • Valore massimo: 9999T 23:59:59
  • Default: 0T 00:00:00

Il tempo di attesa continua a scorrere senza interruzione indipendentemente dallo stato della ricetta (cioè, per es.. anche in caso di Ricetta in pausa) e anche nel caso di chiusura o riavvio del Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ToDone


IDP_BATCH_PHASE_TOINTERLOCK

Interno ID: IDP_BATCH_PHASE_TOINTERLOCK

Tempo di attesa per interblocco di ingresso

Intervallo in giorni, ore, minuti e secondi entro il quale la condizione definita nella proprietà Interblocco di ingresso deve restituire il valore TRUE. Il tempo di attesa inizia a decorrere dall´inizio della verifica dell` interblocco di ingresso. Se la condizione non viene soddisfatta entro la scadenza del tempo di attesa, viene inizializzato l´evento Superato tempo di attesa per interblocco di ingresso e si continua ad attendere. Se per l´evento non è stata definita una reazione che determina un altro comportamento del sistema, l´attesa continua finché la condizione non viene soddisfatta.

Se viene impostato 0T 00:00:00 come tempo d´attesa, l´evento non viene inizializzato.

  • Valore minimo: 0T 00:00:00
  • Valore massimo: 9999T 23:59:59
  • Default: 0T 00:00:00

Il tempo di attesa continua a scorrere senza interruzione indipendentemente dallo stato della ricetta (cioè, per es.. anche in caso di Ricetta in pausa) e anche nel caso di chiusura o riavvio del Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ToInterlocking


IDP_BATCH_PHASE_TOPHASEEND

Interno ID: IDP_BATCH_PHASE_TOPHASEEND

Tempo di attesa per condizione successiva

Intervallo di tempo in giorni, ore, minuti e secondi durante il quale la fase deve essere disattivata. Il tempo di attesa inizia a decorrere dal raggiungimento della condizione di fase completata. Se la condizione non viene soddisfatta entro la scadenza del tempo di attesa, viene inizializzato l´evento Superato tempo di attesa per condizione successiva e si continua ad attendere. Se per l´evento non è stata definita una reazione che determina un altro comportamento del sistema, l´attesa continua finché la condizione non viene soddisfatta.

Se viene impostato 0T 00:00:00 come tempo d´attesa, l´evento non viene inizializzato.

  • Valore minimo: 0T 00:00:00
  • Valore massimo: 9999T 23:59:59
  • Default: 0T 00:00:00

Nota: Se esistono condizioni successive dipende dalla struttura della ricetta. Per questo motivo, è consigliabile che la configurazione di un tempo di attesa avvenga non nell´Editor, ma nel Runtime.

Il tempo di attesa continua a scorrere senza interruzione indipendentemente dallo stato della ricetta (cioè, per es.. anche in caso di Ricetta in pausa) e anche nel caso di chiusura o riavvio del Runtime.

Ulteriori informazioni nella guida in linea, nel capitolo Tempi.
Ulteriori informazioni nella guida in linea, nel capitolo Condizioni seguenti.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ToPhaseEnd


IDP_BATCH_PHASE_TRANS_CND_GRP

Interno ID: IDP_BATCH_PHASE_TRANS_CND_GRP

Condizione stato transizione

Gruppo con le proprietà per le condizioni di transizione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GPR_TransCnd


IDP_BATCH_PHASE_USER_GRP

Interno ID: IDP_BATCH_PHASE_USER_GRP

Fase-utente

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_User


IDP_BATCH_PHASE_USERFKT

Interno ID: IDP_BATCH_PHASE_USERFKT

Funzione

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserPFunc


IDP_BATCH_PHASE_USERMSG

Interno ID: IDP_BATCH_PHASE_USERMSG

Testo messaggio

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserPMsg


IDP_BATCH_PHASE_USERPHASE

Interno ID: IDP_BATCH_PHASE_USERPHASE

Fase-utente

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserPhase


IDP_BATCH_PHASE_USERTIMEOUT

Interno ID: IDP_BATCH_PHASE_USERTIMEOUT

Tempo di attesa per azione da eseguire

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UserPTimeout


IDP_BATCH_RECIPE_FRAME_GRP

Interno ID: IDP_BATCH_RECIPE_FRAME_GRP

Mostra controlli dell'editor

Proprietà per gli elementi di controllo dell´editor ricette.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Appearance


IDP_BATCH_RECIPE_FRAME_PN

Interno ID: IDP_BATCH_RECIPE_FRAME_PN

Finestre ancorabili

Attivo: Nell´editor ricette viene visualizzata la lista delle finestre ancorabili.

Inattivo: Nell´editor ricette viene nascosta la lista delle finestre ancorabili.

Default: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WithPanes


IDP_BATCH_RECIPE_FRAME_TB

Interno ID: IDP_BATCH_RECIPE_FRAME_TB

Toolbar

Attivo: Nell´Editor delle ricette vengono visualizzate delle barre degli strumenti.

Inattivo: Nell´Editor delle ricette vengono escluse dalla visualizzazione le barre degli strumenti. Consigliato se le azioni dei singoli simboli sono state poste su pulsanti propri.

Default: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WithTBs


IDP_BATCH_RESTART_AFTER_FAILURE

Interno ID: IDP_BATCH_RESTART_AFTER_FAILURE

Riavvio dopo errore di sistema

Definizione dell´azione in caso di restart, dopo che il Runtime era stato chiuso in modo non regolare a causa del mancato funzionamento del sistema.

Selezione dalla lista a cascata:

  • Mantieni ricetta: dopo il restart, viene bloccata l´intera ricetta.
  • Ricetta in pausa: dopo il restart, viene messa in pausa l´intera ricetta.
  • Stato ricetta mantenuto: dopo il restart, la ricetta viene settata nello stesso stato che aveva prima della chiusura del Runtime.

Default: Stato ricetta mantenuto

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RestartAfterFailure


IDP_BATCH_RESTART_AFTER_RTEND

Interno ID: IDP_BATCH_RESTART_AFTER_RTEND

Restart dopo termine regolare del RT

Definizione dell´azione in caso di restart, dopo che il Runtime era stato chiuso regolarmente.

Selezione dalla lista a cascata:

  • Mantieni ricetta: dopo il restart, viene bloccata l´intera ricetta.
  • Ricetta in pausa: dopo il restart, viene messa in pausa l´intera ricetta.
  • Stato ricetta mantenuto: dopo il restart, la ricetta viene settata nello stesso stato che aveva prima della chiusura del Runtime.

Default: Stato ricetta mantenuto

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RestartAfterRTEnd


IDP_BATCH_SINGLEVERSIONAPPROVED

Interno ID: IDP_BATCH_SINGLEVERSIONAPPROVED

Approva solo una versione

Attivo: nel Runtime, di ogni ricetta master può essere abilitata alle modifiche sempre solo una versione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SingleVersionApproved


IDP_BATCH_TAG_DATATYPE

Interno ID: IDP_BATCH_TAG_DATATYPE

Tipo di dato parametro

Selezione del tipo di dato fra quelli della lista a cascata per il parametro scelto nella proprietà Tipo. Si possono scegliere i seguenti tipi di dato:

  • Binari: dati binari.
  • Numerici: dati numerici.
  • Stringa: Successione di caratteri.
  • durata: Durata

La selezione del tipo di dato ha effetto sulle proprietà disponibili nel gruppo Settare valore impostabile.

Nota: il tipo di dato parametro parametro può essere ancora modificato anche dopo che una variabile è già stata collegata e un valore è già stato definito per il parametro comando. Ciò può causare degli errori al momento della validazione della ricetta nel Runtime.

Attenzione: Con modi di operazione solo visualizzazione. Delle modifiche sono possibili solamente nel caso della fase.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DataType


IDP_BATCH_TAG_DEFVALUE

Interno ID: IDP_BATCH_TAG_DEFVALUE

Valore parametro

Valore del parametro che viene settato dopo l´interblocco di ingresso durante l´esecuzione della fase.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DefValue


IDP_BATCH_TAG_DEFVALUE_BOOL

Interno ID: IDP_BATCH_TAG_DEFVALUE_BOOL

Valore binario

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata settata su comando, e la proprietà Tipo di dato parametro su binaria.

Valore del parametro di comando binario. Selezione dalla lista a cascata:
Off (0):
On (1):
Toggeln: cambia lo stato.

Default: Off (0)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DefValueBool


IDP_BATCH_TAG_DEFVALUE_MEUNIT

Interno ID: IDP_BATCH_TAG_DEFVALUE_MEUNIT

Einheit

Unità per valore.

Viene ripreso dalle variabili collegate nella proprietà Variabile (Generale/Collegamento variabile). Solo visualizzazione; non si possono effettuare delle modifiche in questa sede.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DefValueMeUnit


IDP_BATCH_TAG_DEFVALUE_NUM

Interno ID: IDP_BATCH_TAG_DEFVALUE_NUM

Valore numerico

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata settata su comando, e la proprietà Tipo di dato parametro su numerica.

Valore del parametro di comando numerico.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DefValueNum


IDP_BATCH_TAG_DEFVALUE_STR

Interno ID: IDP_BATCH_TAG_DEFVALUE_STR

Valore stringa

Successione di caratteri che viene utilizzata per il valore del parametro.
Disponibile solamente se nel gruppo Generale la proprietà Generale è stata settata su comando, e la proprietà Tipo di dato parametro su stringa.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DefValueStr


IDP_BATCH_TAG_DEFVALUE_TIME

Interno ID: IDP_BATCH_TAG_DEFVALUE_TIME

Durata periodo

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata settata su comando, e la proprietà Tipo di dato parametro su durata.

Indicazione della durata in giorni, ore, minuti e secondi per il parametro di comando Durata.

Valore massimo: 0G 00:00:00

Valore minimo: 9999G 23:59:59

Default: 0G 00:00:00

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DefValueTime


IDP_BATCH_TAG_DESCRIPTION

Interno ID: IDP_BATCH_TAG_DESCRIPTION

Descrizione

Testo liberamente impostabile che serve a descrivere in modo più preciso il parametro. Il testo è traducibile nel Runtime e viene visualizzato nel dialogo che serve alla modifica della fase e nel dialogo per la modifica dei parametri.

Massimo: 512 caratteri

Attenzione: Con modi di operazione solo visualizzazione. Delle modifiche sono possibili solamente nel caso della fase.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Description


IDP_BATCH_TAG_EXPLANATION_NEEDED

Interno ID: IDP_BATCH_TAG_EXPLANATION_NEEDED

Motivazione richiesta in caso di cambio valori

Attivo: Se effettua delle modifiche di valore concernenti questo parametro durante il Runtime, l´utente dovrà indicare una ragione per il cambio effettuato. Prima che l´utente effettui una modifica, il sistema apre un dialogo in cui l´utente ne dovrà indicare la ragione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExplanationNeeded


IDP_BATCH_TAG_GENERAL_GRP

Interno ID: IDP_BATCH_TAG_GENERAL_GRP

Generale

Proprietà generali per il parametro.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


IDP_BATCH_TAG_KBD

Interno ID: IDP_BATCH_TAG_KBD

Immagine tipo Keyboard

Disponibile solo se la proprietà Utilizza immagine tipo Keyboard è stata attivata.

Selezione dell´immagine del tipo Keyboard da chiudere. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine.

Attenzione: Con modi di operazione solo visualizzazione. Delle modifiche sono possibili solamente nel caso della fase.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Keyboard


IDP_BATCH_TAG_KBD_LAYOUT

Interno ID: IDP_BATCH_TAG_KBD_LAYOUT

Tastiere

Gruppo delle proprietà per l´uso di keyboard che servono a consentire l´effettuazione di modifiche dei parametri.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Keyboard


IDP_BATCH_TAG_KBD_USAGE

Interno ID: IDP_BATCH_TAG_KBD_USAGE

Utilizza immagine tipo Keyboard

Attivo: L´immagine keyboard viene utilizzata per questo parametro. L´immagine del tipo Keyboard da aprire viene definita mediante la proprietà Immagine tipo Keyboard.

Non disponibile se Modificabile in ricetta master è attiva.

Default: inattivo.

Attenzione: Con modi di operazione solo visualizzazione. Delle modifiche sono possibili solamente nel caso della fase.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UseKeyboard


IDP_BATCH_TAG_MATERIAL

Interno ID: IDP_BATCH_TAG_MATERIAL

Tracking del materiale

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Material


IDP_BATCH_TAG_MAX

Interno ID: IDP_BATCH_TAG_MAX

Parametro massimo

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata settata su comando, e la proprietà Tipo di dato parametro su numerica.

Valore massimo per il parametro.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Max


IDP_BATCH_TAG_MIN

Interno ID: IDP_BATCH_TAG_MIN

Parametro minimo

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata settata su comando, e la proprietà Tipo di dato parametro su numerica.

Valore minimo per il parametro.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Min


IDP_BATCH_TAG_NAME

Interno ID: IDP_BATCH_TAG_NAME

Nome

Nome del parametro. Esso deve essere univoco nell´ambito della fase. Il nome non può essere né vuoto, né contenere punti, né constare solamente di spazi vuoti. Si tiene in considerazione la scrittura minuscola/maiuscola! Il nome è traducibile nel Runtime e viene visualizzato nel dialogo che serve alla modifica della fase e nel dialogo per la modifica dei parametri.

Massimo: 256 caratteri

Default: Parametro x, dove x è un numero progressivo generato automaticamente ed è garanzia della univocità del nome.

Attenzione: Con modi di operazione solo visualizzazione. Delle modifiche sono possibili solamente nel caso della fase.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


IDP_BATCH_TAG_PARAMCHANGE_GRP

Interno ID: IDP_BATCH_TAG_PARAMCHANGE_GRP

Modifica parametro

Gruppo delle proprietà che servono ad editare i parametri.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_ParamEdit


IDP_BATCH_TAG_PARENT_PHASE

Interno ID: IDP_BATCH_TAG_PARENT_PHASE

fase

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Phase


IDP_BATCH_TAG_PARENT_UNIT

Interno ID: IDP_BATCH_TAG_PARENT_UNIT

Unità

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Unit


IDP_BATCH_TAG_RECIPEPARAM

Interno ID: IDP_BATCH_TAG_RECIPEPARAM

Modificabile in ricetta master

Disponibile solamente se nel gruppo Generale la proprietà Tipo è stata settata su comando.

Attivo: Chi ha impostato la ricetta può modificare i parametri durante il Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RecipeParam


IDP_BATCH_TAG_TAGTYPE

Interno ID: IDP_BATCH_TAG_TAGTYPE

Tipo

Selezione del tipo di parametro fra quelli della lista a cascata.

  • Initial: parametro di comando che viene settato prima dell´evento start.
    Valore: parametro di comando che viene settato dopo il blocco input. Al momento dell´esecuzione della fase, Il valore definito per il parametro di comando viene scritto sulla variabile ad esso collegata.
  • Feedback: parametro di feedback. Possono essere scritti nel Runtime mediante reazioni.

Nel Runtime, il sistema verifica durante il processo di validazione della ricetta se le seguenti condizioni concernenti il parametro di comando sono soddisfatte:

  • se la variabile collegata esiste ed è del tipo giusto.
  • se il valore del parametro di comando rientra nell´ambito dei limiti di valore impostabile delle variabili collegate.
  • se nella fase esiste solamente un parametro di comando per variabile (ciò impedisce che un parametro di comando scriva sulla variabile per es. 0 e un altro 1)

Attenzione: Con modi di operazione solo visualizzazione. Delle modifiche sono possibili solamente nel caso della fase.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TagType


IDP_BATCH_TAG_TIME_MAX

Interno ID: IDP_BATCH_TAG_TIME_MAX

Variabile di tempo max.

Massimo per Valore Durata di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxTime


IDP_BATCH_TAG_TIME_MIN

Interno ID: IDP_BATCH_TAG_TIME_MIN

Variabile di tempo min.

Minimo per Valore Durata di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinTime


IDP_BATCH_TAG_VALUE_MAX

Interno ID: IDP_BATCH_TAG_VALUE_MAX

Valore max.

Valore massimo che può essere assegnato al parametro.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueMax


IDP_BATCH_TAG_VALUE_MIN

Interno ID: IDP_BATCH_TAG_VALUE_MIN

Valore min.

Valore minimo che può essere assegnato al parametro.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueMin


IDP_BATCH_TAG_VALUES_GRP

Interno ID: IDP_BATCH_TAG_VALUES_GRP

Settare valore impostabile

Gruppo per proprietà che servono a settare i valori impostabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Values


IDP_BATCH_TAG_VAR_ACTVALUE

Interno ID: IDP_BATCH_TAG_VAR_ACTVALUE

Variabile valore effettivo

La variabile collegata rappresenta il valore attuale del parametro. Il valore della variabile viene visualizzato nel Runtime per una fase selezionata nelle liste parametri.

Attenzione: Con modi di operazione solo visualizzazione. Delle modifiche sono possibili solamente nel caso della fase.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActValueVar


IDP_BATCH_TAG_VAR_DATENART

Interno ID: IDP_BATCH_TAG_VAR_DATENART

Tipo di dato della variabile

Tipo di dato della variabile. Solo visualizzazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VarDataType


IDP_BATCH_TAG_VAR_MAX

Interno ID: IDP_BATCH_TAG_VAR_MAX

Variabile di valore max.

valore massimo della variabile. Solo visualizzazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VarMax


IDP_BATCH_TAG_VAR_MIN

Interno ID: IDP_BATCH_TAG_VAR_MIN

Variabile di valore min.

valore minimo della variabile. Solo visualizzazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VarMin


IDP_BATCH_TAG_VAR_STRLENGTH

Interno ID: IDP_BATCH_TAG_VAR_STRLENGTH

Lunghezza stringa

Lunghezza stringa, corrispondente a quella progettata nella variabile. Solo visualizzazione

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VarStrLength


IDP_BATCH_TAG_VAR_TREIBER

Interno ID: IDP_BATCH_TAG_VAR_TREIBER

Driver

Nome del file EXE del driver della variabile Solo visualizzazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VarDriver


IDP_BATCH_TAG_VAR_TREIBERBEZ

Interno ID: IDP_BATCH_TAG_VAR_TREIBERBEZ

Nome del driver

Nome del driver della variabile Solo visualizzazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VarDriverDesc


IDP_BATCH_TAG_VAR_UNIT

Interno ID: IDP_BATCH_TAG_VAR_UNIT

Unità di misura

Unità della variabile. Solo visualizzazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VarUnit


IDP_BATCH_TAG_VARIABLE

Interno ID: IDP_BATCH_TAG_VARIABLE

Variabile

Variabile che viene collegata al parametro. Cliccando sul pulsante ... Apre il dialogo per la selezione delle variabili.

Le variabili vengono visualizzate in modo filtrato in dipendenza dal Tipo di dato parametro selezionato. Si può selezionate una variabile del progetto locale o una di un altro progetto. Variabili e progetti devono essere disponibili anche nel Runtime. Se la variabile viene rinominata, la modifica viene ripresa automaticamente.

Attenzione: Con modi di operazione solo visualizzazione. Delle modifiche sono possibili solamente nel caso della fase.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable


IDP_BATCH_TAG_VARIABLE_GRP

Interno ID: IDP_BATCH_TAG_VARIABLE_GRP

Collegamento variabile

Proprietà per il collegamento di variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Variable


IDP_BATCH_TAG_VARIATIONMAX

Interno ID: IDP_BATCH_TAG_VARIATIONMAX

Abweichung positiv

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VariationMax


IDP_BATCH_TAG_VARIATIONMIN

Interno ID: IDP_BATCH_TAG_VARIATIONMIN

Abweichung negativ

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VariationMin


IDP_BATCH_UNIT_DESCRIPTION

Interno ID: IDP_BATCH_UNIT_DESCRIPTION

Descrizione

Stringa liberamente definibile per una descrizione più precisa dell´unità. Questa descrizione si trova nel Runtime nel dialogo di selezione della fase. La descrizione è traducibile.

Lunghezza massima: 512 caratteri

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Description


IDP_BATCH_UNIT_GENERAL_GRP

Interno ID: IDP_BATCH_UNIT_GENERAL_GRP

Generale

Proprietà generali dell´unità.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


IDP_BATCH_UNIT_NAME

Interno ID: IDP_BATCH_UNIT_NAME

Nome

Nome dell´aggregato. Il nome deve essere univoco nel progetto. Il nome non deve contenere nessun punto, non può consistere solo di spazi e non può essere vuoto. Il nome è traducibile.

Default: Unità x (x è un numero progressivo).

Lunghezza massima: 256 caratteri

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


IDP_BATCH_UNIT_RT_CR_DESCR

Interno ID: IDP_BATCH_UNIT_RT_CR_DESCR

Descrizione

Configurazione della variabile che consegna nel Runtime la Descrizione della ricetta di controllo. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarCrDescr


IDP_BATCH_UNIT_RT_CR_ID

Interno ID: IDP_BATCH_UNIT_RT_CR_ID

ID

Configurazione della variabile che consegna nel Runtime l´ID della ricetta di controllo Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarCrId


IDP_BATCH_UNIT_RT_CR_JOBID

Interno ID: IDP_BATCH_UNIT_RT_CR_JOBID

Job ID (Testo)

Configurazione della variabile che consegna nel Runtime il Numero d'ordine della ricetta di controllo come testo. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarCrJobId


IDP_BATCH_UNIT_RT_CR_NAME

Interno ID: IDP_BATCH_UNIT_RT_CR_NAME

Nome

Configurazione della variabile che consegna nel Runtime il Nome della ricetta di controllo. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarCrName


IDP_BATCH_UNIT_RT_ERR_NUM

Interno ID: IDP_BATCH_UNIT_RT_ERR_NUM

Fehler (numerisch)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarErrorNum


IDP_BATCH_UNIT_RT_ERR_TXT

Interno ID: IDP_BATCH_UNIT_RT_ERR_TXT

Fehler (Text)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarErrorTxt


IDP_BATCH_UNIT_RT_FAILURE_COUNT

Interno ID: IDP_BATCH_UNIT_RT_FAILURE_COUNT

Numero errori di comunicazione presenti

Configurazione della variabile che visualizza nel Runtime il numero dei problemi di comunicazione ripristinati. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una Variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarCommErrorCount


IDP_BATCH_UNIT_RT_FAILURE_FIXED_COUNT

Interno ID: IDP_BATCH_UNIT_RT_FAILURE_FIXED_COUNT

Quantita errori di comunicazione risolti

Configurazione della variabile che visualizza nel Runtime il numero dei problemi di comunicazione risolti. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una Variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarCommErrorGoneCount


IDP_BATCH_UNIT_RT_FAILURE_RECOVERED_COUNT

Interno ID: IDP_BATCH_UNIT_RT_FAILURE_RECOVERED_COUNT

Quantità errori di comunicazione riconosciuti

Configurazione della variabile che visualizza nel Runtime il numero dei problemi di comunicazione ripristinati. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una Variabile.
Nel Runtime, il numero dei problemi di comunicazione ripristinati viene visualizzato finché non è conclusa la ricetta nella quale si sono verificati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarCommErrorAcknCount


IDP_BATCH_UNIT_RT_GRP

Interno ID: IDP_BATCH_UNIT_RT_GRP

Informazioni Runtime

Proprietà per informazioni-Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RT_Info


IDP_BATCH_UNIT_RT_GRP_CR

Interno ID: IDP_BATCH_UNIT_RT_GRP_CR

Ricetta di controllo

Proprietà per la configurazione di informazioni Runtime per ricette di controllo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RT_CR_Info


IDP_BATCH_UNIT_RT_GRP_ERR

Interno ID: IDP_BATCH_UNIT_RT_GRP_ERR

Errore

Proprietà per la configurazione di informazioni Runtime per errori che si verificano.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RT_ERR_Info


IDP_BATCH_UNIT_RT_GRP_MATRIX

Interno ID: IDP_BATCH_UNIT_RT_GRP_MATRIX

Informazioni matrice

Gruppo di proprietà con informazioni concernenti ricette matrice in unità.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RT_Matrix_Step_Info


IDP_BATCH_UNIT_RT_GRP_MR

Interno ID: IDP_BATCH_UNIT_RT_GRP_MR

Ricetta master

Proprietà per la configurazione di informazioni Runtime per ricette master.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RT_MR_Info


IDP_BATCH_UNIT_RT_GRP_PH

Interno ID: IDP_BATCH_UNIT_RT_GRP_PH

Funzioni di base

Proprietà per la configurazione di informazioni Runtime per fasi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RT_PH_Info


IDP_BATCH_UNIT_RT_GRP_REE

Interno ID: IDP_BATCH_UNIT_RT_GRP_REE

Esecuzione:

Proprietà per la configurazione di informazioni Runtime per l´esecuzione (REE).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RT_REE_Info


IDP_BATCH_UNIT_RT_MATRIX_STEP_COUNT

Interno ID: IDP_BATCH_UNIT_RT_MATRIX_STEP_COUNT

Numero passi

Configurazione della variabile su cui viene scritto nel Runtime il numero dei passi nella ricetta matrice. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile. Si possono selezionare tutte le variabili numeriche il cui tipo di dato è >= 2 Byte.

Per le ricette PFC, il valore viene sempre settato su 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarMatrixStepCount


IDP_BATCH_UNIT_RT_MATRIX_STEP_NAME

Interno ID: IDP_BATCH_UNIT_RT_MATRIX_STEP_NAME

Identificatore passo corrente

Configurazione della variabile per la descrizione del passo matrice in cui si trovano gli oggetti che hanno occupato questa unità. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Per le ricette PFC, il valore rimane sempre vuoto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarMatrixCurrentStepName


IDP_BATCH_UNIT_RT_MATRIX_STEP_NUMBER

Interno ID: IDP_BATCH_UNIT_RT_MATRIX_STEP_NUMBER

Passo corrente

Configurazione della variabile per il numero del passo matrice in cui si trovano gli oggetti che hanno occupato questa unità. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile. Si possono selezionare tutte le variabili numeriche il cui tipo di dato è >= 2 Byte.

Per le ricette PFC rimane sempre il valore 0.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarMatrixCurrentStepNumber


IDP_BATCH_UNIT_RT_MR_DESCR

Interno ID: IDP_BATCH_UNIT_RT_MR_DESCR

Descrizione

Configurazione della variabile che consegna nel Runtime Descrizione della ricetta master. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarMrDescr


IDP_BATCH_UNIT_RT_MR_ID

Interno ID: IDP_BATCH_UNIT_RT_MR_ID

ID

Configurazione della variabile che consegna nel Runtime ID della ricetta master. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarMrId


IDP_BATCH_UNIT_RT_MR_NAME

Interno ID: IDP_BATCH_UNIT_RT_MR_NAME

Nome

Configurazione della variabile che consegna nel Runtime il Nome della ricetta master. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarMrName


IDP_BATCH_UNIT_RT_MR_SOURCE_VERSION

Interno ID: IDP_BATCH_UNIT_RT_MR_SOURCE_VERSION

Versione iniziale

Configurazione della variabile che consegna nel Runtime la versione della ricetta d'origine per questa versione. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarMrSourceVersion


IDP_BATCH_UNIT_RT_MR_VERSION

Interno ID: IDP_BATCH_UNIT_RT_MR_VERSION

Versione

Configurazione della variabile che consegna nel Runtime la versione della ricetta master. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarMrVersion


IDP_BATCH_UNIT_RT_PH_LIST

Interno ID: IDP_BATCH_UNIT_RT_PH_LIST

Fase attiva

Configurazione della variabile che visualizza nel Runtime i nomi delle fasi attive. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarPhList


IDP_BATCH_UNIT_RT_PLC_ERR_ACKN

Interno ID: IDP_BATCH_UNIT_RT_PLC_ERR_ACKN

Anzahl der quittierten Kommunikationsfehler

Configurazione della variabile che visualizza nel Runtime il numero dei problemi di comunicazione ripristinati. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarPlcErrorAckn


IDP_BATCH_UNIT_RT_PLC_ERR_COUNT

Interno ID: IDP_BATCH_UNIT_RT_PLC_ERR_COUNT

Anzahl der anstehenden Kommunikationsfehler

Configurazione della variabile che visualizza nel Runtime il numero dei problemi di comunicazione in attesa.. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarPlcErrorCnt


IDP_BATCH_UNIT_RT_PLC_ERR_GONE

Interno ID: IDP_BATCH_UNIT_RT_PLC_ERR_GONE

Anzahl der behobenen Kommunikationsfehler

Configurazione della variabile che visualizza nel Runtime il numero dei problemi di comunicazione risolti. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarPlcErrorGone


IDP_BATCH_UNIT_RT_PLCERROR_COUNT

Interno ID: IDP_BATCH_UNIT_RT_PLCERROR_COUNT

Numero di errori PLC in attesa

Configurazione della variabile che visualizza nel Runtime il numero degli errori PLC in attesa Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una Variabile.
Nel Runtime, il numero degli errori PLC in attesa viene visualizzato per la fase attiva (0 o 1).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarInternalPlcErrorCount


IDP_BATCH_UNIT_RT_PLCERROR_FIXED_COUNT

Interno ID: IDP_BATCH_UNIT_RT_PLCERROR_FIXED_COUNT

Numero di errori PLC risolti

Configurazione della variabile che visualizza nel Runtime il numero degli errori PLC risolti. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una Variabile.
Nel Runtime, il numero degli errori PLC risolti viene visualizzato finché non è conclusa la ricetta nella quale si sono verificati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarInternalPlcErrorFixedCount


IDP_BATCH_UNIT_RT_REE_CNT

Interno ID: IDP_BATCH_UNIT_RT_REE_CNT

Quantità ricette attive

Configurazione della variabile che visualizza nel Runtime il numero delle ricette attive. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarReeCnt


IDP_BATCH_UNIT_RT_REE_MODUS_NUM

Interno ID: IDP_BATCH_UNIT_RT_REE_MODUS_NUM

Modalità di esecuzione (numerico)

Configurazione della variabile che visualizza nel Runtime la modalità di esecuzione di una ricetta come valore numerico. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarReeModusNum


IDP_BATCH_UNIT_RT_REE_MODUS_TXT

Interno ID: IDP_BATCH_UNIT_RT_REE_MODUS_TXT

Modalità di esecuzione (Testo)

Configurazione della variabile che visualizza nel Runtime lo stato di esecuzione di una ricetta come testo. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarReeModusTxt


IDP_BATCH_UNIT_RT_REE_STATUS_NUM

Interno ID: IDP_BATCH_UNIT_RT_REE_STATUS_NUM

Stato di esecuzione (numerico)

Configurazione della variabile che visualizza nel Runtime lo stato di esecuzione di una ricetta come valore numerico. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarReeStatusNum


IDP_BATCH_UNIT_RT_REE_STATUS_TXT

Interno ID: IDP_BATCH_UNIT_RT_REE_STATUS_TXT

Stato di esecuzione (Testo)

Configurazione della variabile che visualizza nel Runtime lo stato di esecuzione di una ricetta come testo. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarReeStatusTxt


IDP_BATCH_UNIT_RT_RUN_ERR_COUNT

Interno ID: IDP_BATCH_UNIT_RT_RUN_ERR_COUNT

Quantità degli errori di esecuzione presenti

Configurazione della variabile che visualizza nel Runtime il numero degli errori di esecuzione in attesa. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarRunErrorCnt


IDP_BATCH_UNIT_RT_RUN_ERR_GONE

Interno ID: IDP_BATCH_UNIT_RT_RUN_ERR_GONE

Quantità degli errori di esecuzione precedenti

Configurazione della variabile che visualizza nel Runtime il numero degli errori di esecuzione storici. Cliccate nel campo proprietà o sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtInfoVarRunErrorGone


IDP_BATCH_VERSION_ACTIVE

Interno ID: IDP_BATCH_VERSION_ACTIVE

Attiva versionamento

Attivo: il versionamento di ricette è attivato e viene usato nel Runtime.

Inattivo: il versionamento è disattivato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VersionActive


IDP_BATCH_VERSION_GRP

Interno ID: IDP_BATCH_VERSION_GRP

Versionamento

Contiene le proprietà per il versionamento di ricette.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VersionGrp


IDP_BATCH_XML_EXPORT_FEEDBACK_NUMERICAL

Interno ID: IDP_BATCH_XML_EXPORT_FEEDBACK_NUMERICAL

Numerische Feedback Variable

Description as text.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

XMLExportVariableNumerical


IDP_BATCH_XML_EXPORT_FEEDBACK_STRING

Interno ID: IDP_BATCH_XML_EXPORT_FEEDBACK_STRING

String Feedback Variable

Description as text.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

XMLExportVariableString


IDP_BATCH_XML_EXPORT_GROUP

Interno ID: IDP_BATCH_XML_EXPORT_GROUP

XML Export

Description as text.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

XMLExport


IDP_BATCH_XML_GROUP

Interno ID: IDP_BATCH_XML_GROUP

XML Import/Export

Description as text.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

XMLImport/Export


IDP_BATCH_XML_IMPORT_FEEDBACK_NUMERICAL

Interno ID: IDP_BATCH_XML_IMPORT_FEEDBACK_NUMERICAL

Numerische Feedback Variable

Description as text.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

XMLImportVariableNumerical


IDP_BATCH_XML_IMPORT_FEEDBACK_STRING

Interno ID: IDP_BATCH_XML_IMPORT_FEEDBACK_STRING

String Feedback Variable

Description as text.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

XMLImportVariableString


IDP_BATCH_XML_IMPORT_GROUP

Interno ID: IDP_BATCH_XML_IMPORT_GROUP

XML Import

Description as text.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

XMLImport


IDP_BUTTONSAMPLE

Interno ID: IDP_BUTTONSAMPLE

Auswahl

Esempio per Sample driver.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SampleButton


IDP_CEL_ARVERRPERIOD

Interno ID: IDP_CEL_ARVERRPERIOD

Esportazione Archivi [h]

Tempo in ore per Trattamento errori.

Se il sistema rileva un errore al momento della dislocazione di archivi, genera un inserimento nella Lista eventi cronologica (CEL) dopo che è trascorso l´intervallo impostato.

Se non è possibile leggere un file ARX, esso viene rinominato in .ar_ e il sistema usa il prossimo file.
Default: 12

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ArciveOverPeriod


IDP_CEL_COMMENTS

Interno ID: IDP_CEL_COMMENTS

Commento CEL

Description as text.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELComments


IDP_CEL_LONGLIMITS

Interno ID: IDP_CEL_LONGLIMITS

Testi lunghi per valori limiti - CEL

Stabilisce se il campo destinato al commento è a disposizione per testi di valori limite dinamici. Il testo dinamico con valore limite permette di inserire nel testo del valore limite di una variabile valori attuali di altre variabili.

  • Attivo: Contenuti dinamici vengono salvati in un file che ha il nome convenzionale D*.CEL. Questo file viene generato in aggiunta a quello C*.CEL. Il campo riservato ai commenti può essere usato per scrivere dei commenti. I testi per valori limiti possono avere un massimo di 1024 caratteri.
  • Inattivo: il campo destinato ai commenti viene usato per i testi di valori limite dinamici e viene bloccato per i commenti. Lunghezza massima: 80 caratteri.

Default: inattivo

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELLongDynLimits


IDP_CEL_TEXTLEN

Interno ID: IDP_CEL_TEXTLEN

Lunghezza testo statico per valori limiti CEL

Lunghezza del testo di valore limite statico nella CEL in caratteri.

Stabilisce qual è il numero massimo di caratteri di cui può constare il testo statico di valore limite nella CEL. I valori minimo e massimo valgono anche per VBA/VSTA.

  • Minimo: 127
  • Massimo: 1023

Default: 127

Limitazione: In caso di dBase-Export, la lunghezza è limitata a 256 caratteri.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CELTextLen


IDP_CMD_GUI_NOT_ACTUAL

Interno ID: IDP_CMD_GUI_NOT_ACTUAL

_DynPropFullTemplate

Questa proprietà è disponibile solamente se la proprietà Comparazione valore Attuale/Nominale è attiva e solo per l´azione comando Comando(comando persistente o comando impulso).

Disattiva un pulsante di comando nell´immagine comando se il valore della variabile di responso corrisponde già al valore impostabile. In caso di cambiamento del valore della variabile di responso, il pulsante di comando corrispondente ritorna ad essere attivo.
La stessa cosa vale anche per le voci dei menù contestuali. In questo caso non viene visualizzata nel menù la corrispondente azione di comando.

Default: Non attivo

Nota: Con questa proprietà è possibile interrogare lo stato attuale già prima di aprire di un´immagine comando o di usare un menù contestuale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DisableOnActual


IDP_CMDINPUT_SUBSTI_ACTION

Interno ID: IDP_CMDINPUT_SUBSTI_ACTION

Sostituzione in immagine

Sostituzione di azione di comando: Regola di sostituzione per immagini del tipo Comando. In questa proprietà si progetta il fine della sostituzione. Si definisce il testo che deve essere sostituito.

Più regole di sostituzione sono separate mediante un punto e virgola (;). Le sostituzioni configurate vengono effettuate procedendo da sinistra a destra.

Se non c`è un * nella variabile di responso o nella variabile di azione, non avverrà alcuna sostituzione. Nella progettazione non si fa distinzione fra lettere maiuscole e minuscole.

Esempio:

  • Value of the response variable: abc_RV.
  • Configured response variable for command group: *_RV
  • Existing variables in the screen: xyz_lock, xy_Switch
  • Configured replacement in the screen: xyz;xy
  • Existing variables in the project: abc_lock and abc_Switch.
  • Result: Display of the variables in the screen: abc_lock and abc_Switch.

Nota: attiva solo se nella proprietà Immagine c`è un´immagine comando assegnata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SubstiAction


IDP_CMDINPUT_SUBSTI_GROUP

Interno ID: IDP_CMDINPUT_SUBSTI_GROUP

Sostituzione in immagine

Sostituzione di gruppi comando: Regola di sostituzione per immagini del tipo Comando. In questa proprietà si progetta il fine della sostituzione. Si definisce il testo che deve essere sostituito.

Più regole di sostituzione sono separate mediante un punto e virgola (;). Le sostituzioni configurate vengono effettuate procedendo da sinistra a destra.

Se non c`è un * nella variabile di responso o nella variabile di azione, non avverrà alcuna sostituzione. Nella progettazione non si fa distinzione fra lettere maiuscole e minuscole.

Esempio:

  • Value of the response variable: abc_RV.
  • Configured response variable for command group: *_RV
  • Existing variables in the screen: xyz_lock, xy_Switch
  • Configured replacement in the screen: xyz;xy
  • Existing variables in the project: abc_lock and abc_Switch.
  • Result: Display of the variables in the screen: abc_lock and abc_Switch.

Nota: attiva solo se nella proprietà Immagine c`è un´immagine comando assegnata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SubstiGroup


IDP_CMDPICTURE_CMDNAME

Interno ID: IDP_CMDPICTURE_CMDNAME

Nome comando

Nome attribuibile liberamente dell´azione comando.

Nel runtime, esso può essere visualizzato per il modulo Comando tramite l´immagine comando, il campo Nome azione nel gruppo Informazione.

Nel modulo Sequenze di comando, questo nome viene usato per il passaggio (step). A tal scopo, la proprietà Nome attività nella griglia sequenze di comando del gruppo di proprietà di progetto Sequenze di comando deve essere configurata su Nome azione.
Default: Nome azione DIR, Valore
Il nome azione standard viene ripristinato anche quando viene cancellato un nome azione definito dall´utente.

  • DIR: Direzione dell´azione, non disponibile per le azioni Blocco, Bloccare, Rilasciare.
  • Valore: Valore dell´azione. Disponibile solamente per le azioni Valore impostabile diretto, o Correzione manuale diretta

Nota: Se per due azioni risulta lo stesso nome, il sistema lo fa presente all´utente mediante un´icona di avvertimento che appare nell´albero del modulo comandi; ciò avviene anche se gli ID dei menù sono differenti. La macro $NAME$ può essere usata per la progettazione dei menù e fornisce il nome azione che è soggetto a cambio lingua anche nel runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CmdName


IDP_CMDSEQ_SKIP_ACTUAL

Interno ID: IDP_CMDSEQ_SKIP_ACTUAL

Ignora operazione per valori identici da impostare e attuali

Comportamento di un´azione in caso di valore già in attesa nel modulo Sequenze di comando:

Questa proprietà è disponibile solamente per l´azione comando Comando (comando persistente o comando impulso).

Se questa proprietà è attiva e se il valore attuale corrisponde già a quello impostabile, nel runtime il sistema ignora (salta) l´azione in una sequenza di comando.

Default: Non attivo

Nel runtime viene generato un corrispondente inserimento CEL quando la proprietà Sopprimi inserimento CEL non è attivata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BypassOnActual


IDP_CMDSQ_IGNORE2STAGE

Interno ID: IDP_CMDSQ_IGNORE2STAGE

Ignoriere zweistufig

Comportamento di un´azione two steps nel modulo Sequenze di comando.
Se la proprietà è attiva, le azioni two steps vengono eseguite subito nel modulo Sequenze di comando. Il sistema non tiene conto del fatto che è stata progettata un´esecuzione dell´azione a due livelli (two steps) per il modulo Comando. Nel modulo Sequenze di comando, l´azione viene eseguita subito come passo della sequenza di comando senza che venga aperta una finestra comandi.

Default: Non attivo

Non disponibile se:

  • la proprietà Doppio-livello è disattivata.
  • il tipo di azione è Comando automatico/remoto.
  • il tipo di azione è Blocco.

Nota: Se è stato progettato un interblocco, se ne terrà comunque conto nell´esecuzione nel modulo Sequenze di comando.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Ignore2Stage


IDP_DEL_PIC_BACK_PATH_AT_LOGOUT

Interno ID: IDP_DEL_PIC_BACK_PATH_AT_LOGOUT

DelPicBackPathAtLogout

Impostazione per la cancellazione automatica del percorso della funzione "Immagine indietro" in caso di cambio utente.

  • Attivo: In caso di un cambio utente, il percorso "Immagine indietro" viene cancellato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DelPicBackPathAtLogout


IDP_DYN_ELE_KBD

Interno ID: IDP_DYN_ELE_KBD

Utilizza immagine tipo Keyboard

Quando si seleziona l´elemento nel runtime, viene aperta la keyboard.
Quando si seleziona un campo di inserimento vuoto durante il runtime, viene aperta l´immagine keyboard DIALOGKBD (sempre che essa sia disponibile).
Default: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KbdUsage


IDP_DYN_ELE_KBD_NAME

Interno ID: IDP_DYN_ELE_KBD_NAME

Immagine tipo Keyboard

Disponibile solamente nel caso in cui la proprietà Immagine tipo Keyboard è attivata.

Nome dell´immagine keyboard collegata.
Se non si indica nessuna immagine keyboard, il sistema aprirà nel runtime la keyboard di volta in volta corrispondente:

  • Variabile stringa: SETSTRINGKBD
  • Variabile numerica: SETVALUEKBD
  • Variabile binaria: SETBOOLKBD

Nota: Per la modalità di inserimento Box di dialogo, non si apre nessuna keyboard nel caso in cui l´opzione Immagine tipo Keyboard sia attiva. Si deve collegare un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

KbdName


IDP_DYNELE_ALC_ALIAS

Interno ID: IDP_DYNELE_ALC_ALIAS

Utilizza alias

Disponibile solo se Colori da ALC è attiva.
Attiva: Viene usata Alias. L´elemento riprende durante il runtime il suo colore ALC da un altro elemento del modello topologico, senza essere a sua volta arte di questo modello.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCAlias


IDP_DYNELE_ALC_ALIAS_NAME

Interno ID: IDP_DYNELE_ALC_ALIAS_NAME

Alias

Disponibile solo se Colori da ALC è attivo.

Definisce l´elemento fonte per Utilizza alias. Cliccando sul pulsante .... si apre il dialogo per selezionare di un elemento esistente.
Nota: Alias non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCAliasName


IDP_DYNELE_ALC_ALTCOL

Interno ID: IDP_DYNELE_ALC_ALTCOL

Colore alternativo

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Colore alternativo.

Colore alternativo per la colorazione ALC nel caso di fornitura multipla.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCAlternativeColor


IDP_DYNELE_ALC_DASHLEN

Interno ID: IDP_DYNELE_ALC_DASHLEN

Lunghezza tratto alim. multipla

Disponibile solo se la proprietà Visualizza fornitura multipla ha il valore Due sorgenti ad alta priorità.

Definisce la lunghezza tratto espressa in pixel per la colorazione ALC tratteggiata nel caso di fornitura multipla.

Minimo: 0 (lunghezza tratto automatica)

Massimo: 32767

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCDashLen


IDP_DYNELE_ALC_EXCHANGEINOUT

Interno ID: IDP_DYNELE_ALC_EXCHANGEINOUT

Inverti Ingresso/Uscita

Disponibile solamente se è stato selezionato come Tipo funzione Trasformatore, Interruttore, valvola, valvola di ritegno oppure Separatore.

Attivo: sposta l´ingresso dell´elemento ALC a destra oppure sotto e l´uscita a sinistra o sopra.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCExchangeInOut


IDP_DYNELE_ALC_GROUNDFAULTTYPE

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTTYPE

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Imposta la direzione (senza durata o (avanti/indietro) e il tipo di elaborazione del messaggio( senza, durata o Wischer):

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

Wischer: segnalazioni che arrivano mentre una ricerca è in corso, vengono soppresse.

lagging: si attende per 2 secondi il primo fronte crescente di una direzione.

leading: viene utilizzato lo stato attuale della direzione.

Default: Nessuno

Ulteriori informazioni nella guida in linea .

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCGroundFaultType


IDP_DYNELE_ALC_GROUNDFAULTVARDISP

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARDISP

Visualizza

E' a disposizione solo se Tipo è stata selezionata.
Imposta la variabile di uscita di localizzazione d’errore, per visualizzare lo stato dello strumento di rilevazione di guasto a terra La variabile collegata in questa sede dovrebbe essere una variabile locale, in modo tale da prevenire dei problemi di funzionamento della rete. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCGroundFaultVarDisp


IDP_DYNELE_ALC_GROUNDFAULTVARFWD

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARFWD

Avanti

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento messa a terra avanti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCGroundFaultVarFwd


IDP_DYNELE_ALC_GROUNDFAULTVARREV

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARREV

Indietro

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento messa a terra indietro. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCGroundFaultVarRev


IDP_DYNELE_ALC_GROUNDFAULTVARTRG

Interno ID: IDP_DYNELE_ALC_GROUNDFAULTVARTRG

Attivazione

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile che visualizza il riconoscimento di messa a terra. Con rilevatori di messa a terra direzionati, si deve inoltre definire la direzione (Indietro oppure Avanti). Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCGroundFaultVarTrg


IDP_DYNELE_ALC_LINELENGTH

Interno ID: IDP_DYNELE_ALC_LINELENGTH

Lunghezza linea [km]

Linea ALC Lunghezza linea.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCLength


IDP_DYNELE_ALC_LINEREACT

Interno ID: IDP_DYNELE_ALC_LINEREACT

Reattanza linea [Ohm]

Valore massimo consentito di reattanza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCReact


IDP_DYNELE_ALC_LINERESIST

Interno ID: IDP_DYNELE_ALC_LINERESIST

Resistenza linea [Ohm]

Valore massimo consentito di resistenza della linea in Ohm.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCResist


IDP_DYNELE_ALC_LOADTYPE

Interno ID: IDP_DYNELE_ALC_LOADTYPE

Carico

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCLoadType


IDP_DYNELE_ALC_LOADVAL

Interno ID: IDP_DYNELE_ALC_LOADVAL

Corrente fissa [A]

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCLoadVal


IDP_DYNELE_ALC_MAXITYPE

Interno ID: IDP_DYNELE_ALC_MAXITYPE

Valore limite portata

Interruttore ALC Valore limite portata di corrente [selezione fissa/variabile].

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCMaxIType


IDP_DYNELE_ALC_MAXIVAL

Interno ID: IDP_DYNELE_ALC_MAXIVAL

Limite statico portata di corrente [A]

Interruttore ALC Limite fisso portata di corrente.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCMaxIVal


IDP_DYNELE_ALC_PROTID

Interno ID: IDP_DYNELE_ALC_PROTID

Schutzgerät-ID

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCProtID


IDP_DYNELE_ALC_REVSRC

Interno ID: IDP_DYNELE_ALC_REVSRC

Sorgente per alimentazione invertita

Disponibile solamente se in corrispondenza della proprietà Tipo funzione avete selezionato Trasformatore.

Selezione dei trasformatori collegati.

Se si seleziona una sorgente diversa da UNDEFINED [0], il trasformatore è capace di un´alimentazione a ritroso. Il che significa che il trasformatore si comporta nello stesso modo in entrambe le direzioni - dall´input all´output (in avanti) e dall´output all´input (indietro). L´unica differenza è che il numero di sorgente della proprietà Sorgente per alimentazione invertita e non della proprietà Sorgente viene usato per l´ulteriore distribuzione.

Nota: stati della rete difettosi e errori nella progettazione, come, per es., alimentazione contemporanea di input e output, oppure cortocircuito di input e output, non vengono colorati in modo speciale. Questo significa che il trasformatore ad alimentazione inversa si comporta come due trasformatori antiparalleli commutati, non inversamente alimentati.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCReverseSourceID


IDP_DYNELE_ALC_SHORTFAULTTYPE

Interno ID: IDP_DYNELE_ALC_SHORTFAULTTYPE

Tipo

Disponibile solamente se è stato selezionato come Tipo funzione Interruttore.

Stabilisce il modo di elaborazione della segnalazione (nessuna oppure segnalazione continuata) e la sua direzione (avanti/indietro).

nessuna: interruttore normale

segnalazione: La segnalazione viene trattata come causa di messa a terra.

lagging: si attende per 2 secondi il primo fronte crescente di una direzione.

leading: viene utilizzato lo stato attuale della direzione.

Default: nessuno

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCShortFaultType


IDP_DYNELE_ALC_SHORTFAULTVARDISP

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARDISP

Visualizza

E' a disposizione solo se Tipo è stata selezionata.

Imposta la variabile di uscita di localizzazione d’errore, per visualizzare lo stato dello strumento di rilevazione di corto circuito La variabile collegata in questa sede dovrebbe essere una variabile locale, in modo tale da prevenire dei problemi di funzionamento della rete. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCShortFaultVarDisp


IDP_DYNELE_ALC_SHORTFAULTVARFWD

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARFWD

Avanti

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il riconoscimento di corto circuito avanti. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCShortFaultVarFwd


IDP_DYNELE_ALC_SHORTFAULTVARREV

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARREV

Indietro

E' a disposizione solo se Tipo è stata selezionata.
Stabilisce la variabile per il Riconoscimento di corto circuito indietro. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCShortFaultVarRev


IDP_DYNELE_ALC_SHORTFAULTVARTRG

Interno ID: IDP_DYNELE_ALC_SHORTFAULTVARTRG

Attivazione

E' a disposizione solo se Tipo è stata selezionata.

Stabilisce la variabile per la segnalazione dell´apparecchio del riconoscimento corto circuito. Con rilevatori di corto circuito direzionati, si deve inoltre definire la direzione (Avanti oppure Indietro). Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCShortFaultVarTrg


IDP_DYNELE_ALC_VARCALCI

Interno ID: IDP_DYNELE_ALC_VARCALCI

Valore di misura di corrente calcolato

Linea ALC Valore di misura di corrente calcolato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCVarCalcI


IDP_DYNELE_ALC_VARCURI

Interno ID: IDP_DYNELE_ALC_VARCURI

Valore attuale corrente

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCVarCurI


IDP_DYNELE_ALC_VARCURP

Interno ID: IDP_DYNELE_ALC_VARCURP

Valore attuale potenza complessa

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCVarCurP


IDP_DYNELE_ALC_VARLOAD

Interno ID: IDP_DYNELE_ALC_VARLOAD

Carico variabile

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCVarLoad


IDP_DYNELE_ALC_VARMAXI

Interno ID: IDP_DYNELE_ALC_VARMAXI

Valore limite dinamico portata di corrente

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCVarMaxI


IDP_DYNELE_ALC_VARPROTREACT

Interno ID: IDP_DYNELE_ALC_VARPROTREACT

Reattanza dalla protezione

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ALCVarProtReact


IDP_DYNELE_LIMITCOLOR_ACTIVE

Interno ID: IDP_DYNELE_LIMITCOLOR_ACTIVE

Utilizza colore da valore limite

Stabilisce se viene visualizzato nel runtime il colore del valore limite per la variabile collegata all´elemento.
Il colore ha effetto sul testo visualizzato, o nel caso dello slider universale, sul suo indicatore.

  • Attivo: Nel runtime viene visualizzato il colore di valore limite definito.

Default: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LimitColor


IDP_DYNTEXT_PROPERTIES_GRP

Interno ID: IDP_DYNTEXT_PROPERTIES_GRP

Eigenschaften für Dynamischer Text

Description as text.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

DynTextProperties


IDP_ELE_POS_START_ANGLE

Interno ID: IDP_ELE_POS_START_ANGLE

Rotazione [°]

Angolo liberamente definibile in corrispondenza del quale viene ruotato l´elemento.
Dei valori positivi determinano una rotazione in senso antiorario, mentre dei valori negativi provocano una rotazione in senso orario. Dei valori superiori a 360° vengono rappresentati come risultato della differenza rispetto a 360° (400° corrisponde a 40°) Possono essere usati solamente dei numeri senza cifre decimali.

Nel caso di elementi ruotati non sono più possibili le seguenti azioni:

  • rifletti
  • Ruota di +/- 90°
  • Scalare con tasti freccia.

Default: 0

Nota: se si progetta per Windows CE, questa impostazione viene disattivata e azzerata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Angle


IDP_ELE_TEXT_HIDDEN_INPUT

Interno ID: IDP_ELE_TEXT_HIDDEN_INPUT

Input nascosto

Attivazione dell´inserimento di testo nascosto.

  • Attivo: Nel runtime il testo dell´elemento verrà mascherato e reso invisibile tramite l´uso caratteri.
    Il campo di inserimento verrà riempito usando per 8 volte il carattere selezionato nella proprietà Carattere per mascheratura.
    Carattere standard: *

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HiddenInput


IDP_ELE_TEXT_MASKING_LETTER

Interno ID: IDP_ELE_TEXT_MASKING_LETTER

Carattere per mascheratura

Selezione del carattere da utilizzare per mascherare il testo nel runtime.
Disponibile solo se la proprietà Input nascosto è stata attivata.

  • Si può inserire solo un carattere.
  • Il campo non può essere vuoto.
  • Se si inserisce uno spazio vuoto, il campo verrà visualizzato vuoto nel runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaskingLetter


IDP_ELE_VAR_LOCKING

Interno ID: IDP_ELE_VAR_LOCKING

Interblocco

Collegamento di un interblocco esistente a questo elemento.

Se una condizione in una delle formule dell´interblocco è verificata, questo elemento è bloccato; in questo caso la gestione non è più possibile. Nel caso in cui lo si sia previsto nelle proprietà di progetto, per la durata del blocco viene visualizzato sull´elemento il simbolo del lucchetto.

Nota: Interblocchi non possono essere usati per simboli nella libreria simboli generale, oppure nella libreria simboli del progetto globale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Locking


IDP_ELE_VISIBILITY_INTERLOCKINGS

Interno ID: IDP_ELE_VISIBILITY_INTERLOCKINGS

Interblocco

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da interblocco.

Nome dell'interblocco il cui valore gestisce la visibilità dell'elemento. Selezione dal menù a tendina. Esso contiene tutti gli interblocchi esistenti ed utilizzabili. Se non è collegato nessun interblocco, l´elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Interlocking


IDP_ELE_VISIBILITY_TYPE

Interno ID: IDP_ELE_VISIBILITY_TYPE

Visibilità

Selezione del criterio da cui dipende la visibilità di un elemento:

  • Da variabile
  • Da interblocco

Default: Da variabile

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VisibilityType


IDP_ELE_VISIBILITY_WHEN_INTERLOCKED

Interno ID: IDP_ELE_VISIBILITY_WHEN_INTERLOCKED

Visibile, se interbloccato

Gestisce la visibilità dell´elemento ad interblocco selezionato:

  • Attivo: L´elemento è visibile quando è bloccato.
  • Inattivo: L´elemento è visibile quando non è bloccato.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VisibleWhenInterlocked


IDP_ELEDYN_MT_RIGHTCLICKACTION

Interno ID: IDP_ELEDYN_MT_RIGHTCLICKACTION

RightClickMTAction

Description as text.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RightClickMTAction


IDP_EVERY_WHERE_ACCESS_LEVEL

Interno ID: IDP_EVERY_WHERE_ACCESS_LEVEL

Livello di autorizzazione:

Menù a tendina che serve alla selezione dei livelli di autorizzazione che devono avere accesso a Everywhere Server.

Default: 0 (= accesso illimitato)
Livelli di autorizzazione disponibili: 0 - 127

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EveryWhereAccessLevel


IDP_EVERY_WHERE_NODE

Interno ID: IDP_EVERY_WHERE_NODE

Everywhere Server

Proprietà per Everywhere Server by zenon.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

EveryWhereSettings


IDP_FILLINGSTYLE

Interno ID: IDP_FILLINGSTYLE

Stile riempimento

Visualizzazione e selezione dello stile di riempimento assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FillStyle


IDP_FRAME_AUFSCHALTGROESSE_TYP

Interno ID: IDP_FRAME_AUFSCHALTGROESSE_TYP

Dimensioni d'apertura

Definisce la dimensione con cui viene aperta nel Runtime un´immagine basata su questo modello.

  • Grandezza modello: Grandezza, come è stata definita in Larghezza (massima) [Pixel] e Altezza (massima) [Pixel].
    Se si seleziona un altro valore, nella finestra del modello la grandezza viene visualizzata nel Runtime con un linea tratteggiata.
  • Larghezza [px]: Larghezza, come è stata definita in Valore (grandezza di apertura). L´altezza viene adattata in maniera corrispondente.
  • Altezza [px]: Altezza, come è stata definita in Valore (grandezza di apertura). La larghezza viene adattata in maniera corrispondente.
  • Relativo [%]: La grandezza definita in Larghezza (massima) [Pixel] e Altezza (massima) [Pixel] viene modificata in base al valore precentuale definito in Valore (grandezza di apertura).

I valori corrispondenti vengono definiti facendo uso della proprietà Valore (grandezza di apertura).

Default: Grandezza modello

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

OpeningSizeType


IDP_FRAME_AUFSCHALTGROESSE_WERT

Interno ID: IDP_FRAME_AUFSCHALTGROESSE_WERT

Valore (grandezza di apertura)

Valore per il tipo di determinazione di grandezza scelto nella proprietà Dimensioni d'apertura in caso di apertura nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

OpeningSizeValue


IDP_FRAME_BEGRENZUNG_TYP

Interno ID: IDP_FRAME_BEGRENZUNG_TYP

Limite minimo

Tipo di limite del valore minimo:

  • Senza: Nessun limite.
    Se si seleziona un altro valore, nella finestra del modello il limite selezionato viene visualizzato nel Runtime con un linea tratteggiata.
  • Larghezza: Limite di larghezza.
  • Altezza: Limite di altezza.
  • Relativo: Limitata ad un valore percentuale della grandezza immagine configurata.

Ha effetto solamente su gesti Multi-Touch. I valori corrispondenti vengono definiti facendo uso della proprietà Valore (Minimo).

Default: Senza

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MinSizeType


IDP_FRAME_BEGRENZUNG_WERT

Interno ID: IDP_FRAME_BEGRENZUNG_WERT

Valore (Minimo)

Valore per l´impostazione scelta nella proprietà.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

MinSizeValue


IDP_FRAME_HEIGHTMAX

Interno ID: IDP_FRAME_HEIGHTMAX

Höhe(Maximum) [Pixel]

Altezza massima di un modello la cui grandezza può essere modificata nel Runtime. Non è disponibile per progetti CE.

Valori consentiti:

  • Minimo: Valore Off Altezza (massima) [Pixel]
  • Massimo: 4294967295 (DWORD)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosHeightMax


IDP_FRAME_HEIGHTMIN

Interno ID: IDP_FRAME_HEIGHTMIN

Höhe(Minimum) [Pixel]

Altezza minima di un modello la cui grandezza può essere modificata nel Runtime. Non è disponibile per progetti CE.

Valori consentiti:

  • Minimo: 0
  • Massimo: Valore per Dimensioni d'apertura.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosHeightMin


IDP_FRAME_WIDTHMAX

Interno ID: IDP_FRAME_WIDTHMAX

Breite(Maximum) [Pixel]

Larghezza massima di un modello la cui grandezza può essere modificata nel Runtime. Non è disponibile per progetti CE.

Valori consentiti:

  • Minimo: Valore off Larghezza (massima) [Pixel]
  • Massimo: 4294967295 (DWORD)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosWidthMax


IDP_FRAME_WIDTHMIN

Interno ID: IDP_FRAME_WIDTHMIN

Breite(Minimum) [Pixel]

Larghezza minima di un modello la cui grandezza può essere modificata nel Runtime. Non è disponibile per progetti CE.

Valori consentiti:

  • Minimo: 0
  • Massimo: Valore off Dimensioni d'apertura

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PosWidthMin


IDP_GESTUREDOUBLETAP_FUNCTION

Interno ID: IDP_GESTUREDOUBLETAP_FUNCTION

Funzione

Selezione di una funzione progettata in zenon come reazione al gesto Doppio tocco. Funzioni specifiche per il tipo di immagine non possono essere usate.
È a disposizione solo se per la proprietà Reazione è stata selezionata l´opzione Avvia funzione specifica.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureDoubleTapFunction


IDP_GESTUREDOUBLETAP_GROUP

Interno ID: IDP_GESTUREDOUBLETAP_GROUP

Doppio tocco

Proprietà concernenti il gesto Doppio tocco durante il Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureDoubleTapGroup


IDP_GESTUREDOUBLETAP_REACTION

Interno ID: IDP_GESTUREDOUBLETAP_REACTION

Reazione

Selezione della reazione al gesto Doppio tocco fra quelle proposte dalla lista a cascata.
Le reazioni a disposizione dipendono dal tipo di immagine o/e dall´elemento d'immagine.

Se si seleziona la reazione Avvia funzione specifica, questa funzione deve essere definita nella proprietà Funzione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureDoubleTapReaction


IDP_GESTUREMANIPULATION_GROUP

Interno ID: IDP_GESTUREMANIPULATION_GROUP

Manipulation

Proprietà per la manipolazione di immagini e elementi d'immagine nell´ambito della gestione touch.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureManipulationGroup


IDP_GESTUREMANIPULATION_X

Interno ID: IDP_GESTUREMANIPULATION_X

Sposta orizzontalmente

Definizione della reazione ad un gesto di spostamento orizzontale. La reazione dipende dall´immagine da configurare e/o dall´elemento d'immagine

Interazione: Le proprietà Muovi modello via mouse da una parte, e Sposta orizzontalmente e Sposta verticalmente dall´altra, non possono essere attivate contemporaneamente. Si può attivare o lo spostamento di un modello con il mouse, oppure lo spostamento orizzontale/verticale tramite gestione touch.

Attenzione al seguente caso eccezionale: nel seguente caso, entrambe le proprietà vengono settate e non sono poi configurabili.

  • La proprietà Sposta orizzontalmente, oppure Sposta verticalmente viene attivata.
  • La proprietà di progetto Analisi per Interazione viene settata su Windows 7, oppure disattivata.
  • La proprietà Muovi modello via mouse viene attivata.
  • Per la proprietà Analisi viene di nuovo selezionata l´opzione Windows 8.

Soluzione:

  • Selezionate per la proprietà Analisi di nuovo l´opzione Windows 7, oppure Disattivata.
  • .Disattivate la proprietà Muovi modello via mouse

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureManipulationX


IDP_GESTUREMANIPULATION_X_Y_IN_ONE

Interno ID: IDP_GESTUREMANIPULATION_X_Y_IN_ONE

Muovi

Definizione della reazione ad un gesto di spostamento. La reazione dipende dall´immagine da configurare e/o dall´elemento d'immagine

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureManipulationXY


IDP_GESTUREMANIPULATION_Y

Interno ID: IDP_GESTUREMANIPULATION_Y

Sposta verticalmente

Definizione della reazione ad un gesto di spostamento verticale. La reazione dipende dall´immagine da configurare e/o dall´elemento d'immagine

Interazione: Le proprietà Muovi modello via mouse da una parte, e Sposta orizzontalmente e Sposta verticalmente dall´altra, non possono essere attivate contemporaneamente. Si può attivare o lo spostamento di un modello con il mouse, oppure lo spostamento orizzontale/verticale tramite gestione touch.

Attenzione al seguente caso eccezionale: nel seguente caso, entrambe le proprietà vengono settate e non sono poi configurabili.

  • La proprietà Sposta orizzontalmente, oppure Sposta verticalmente viene attivata.
  • La proprietà di progetto Analisi per Interazione viene settata su Windows 7, oppure disattivata.
  • La proprietà Muovi modello via mouse viene attivata.
  • Per la proprietà Analisi viene di nuovo selezionata l´opzione Windows 8.

Soluzione:

  • Selezionate per la proprietà Analisi di nuovo l´opzione Windows 7, oppure Disattivata.
  • .Disattivate la proprietà Muovi modello via mouse

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureManipulationY


IDP_GESTUREMANIPULATION_ZOOM

Interno ID: IDP_GESTUREMANIPULATION_ZOOM

Zoom

Definizione della reazione ad un gesto zoom. La reazione dipende dall´immagine da configurare e/o dall´elemento d'immagine

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureManipulationZoom


IDP_GESTURETAP_FUNCTION

Interno ID: IDP_GESTURETAP_FUNCTION

Funzione

Selezione di una funzione progettata in zenon come reazione al gesto Tocco. Funzioni specifiche per il tipo di immagine non possono essere usate.
È a disposizione solo se per la proprietà Reazione è stata selezionata l´opzione Avvia funzione specifica.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureTapFunction


IDP_GESTURETAP_GROUP

Interno ID: IDP_GESTURETAP_GROUP

Toccare

Proprietà per il comportamento del gesto Tocco durante il Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureTapGroup


IDP_GESTURETAP_REACTION

Interno ID: IDP_GESTURETAP_REACTION

Reazione

Selezione della reazione al gesto Tocco fra quelle proposte dalla lista a cascata.
Le reazioni a disposizione dipendono dal tipo di immagine o/e dall´elemento d'immagine.

Se si seleziona la reazione Avvia funzione specifica, questa funzione deve essere definita nella proprietà Funzione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureTapReaction


IDP_GESTURETAPANDHOLD_FUNCTION

Interno ID: IDP_GESTURETAPANDHOLD_FUNCTION

Funzione

Selezione di una funzione progettata in zenon come reazione al gesto Tocca e tieni premuto. Funzioni specifiche per il tipo di immagine non possono essere usate.
È a disposizione solo se per la proprietà Reazione è stata selezionata l´opzione Avvia funzione specifica.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureTapAndHoldFunction


IDP_GESTURETAPANDHOLD_GROUP

Interno ID: IDP_GESTURETAPANDHOLD_GROUP

Clicca e mantieni

Proprietà per il comportamento del gesto Tocca e tieni premuto durante il Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureTapAndHoldGroup


IDP_GESTURETAPANDHOLD_REACTION

Interno ID: IDP_GESTURETAPANDHOLD_REACTION

Reazione

Selezione della reazione al gesto Tocca e tieni premuto fra quelle proposte dalla lista a cascata.
Le reazioni a disposizione dipendono dal tipo di immagine o/e dall´elemento d'immagine.

Se si seleziona la reazione Avvia funzione specifica, questa funzione deve essere definita nella proprietà Funzione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GestureTapAndHoldReaction


IDP_GFXRT_ROWHEIGHT

Interno ID: IDP_GFXRT_ROWHEIGHT

Zeilenhöhe [Pixel]

Consente l´impostazione dell´altezza riga in pixel indipendentemente dalla grandezza del carattere.

Valore massimo: 255 px
Valore minimo: 0 px - L´altezza riga viene adattata alla grandezza del carattere.

Default: 0

Attenzione: se si seleziona un´altezza delle righe:

  • troppo grande, è possibile che nel runtime il sistema non visualizzi nulla.
  • minore di quella del font, le visualizzazioni grafiche non saranno complete, ma tagliate.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RowHeight


IDP_GFXRT_SHOW_BOOL_AS_NUMBER

Interno ID: IDP_GFXRT_SHOW_BOOL_AS_NUMBER

Visualizzazione numerica

Attivo: Nel Runtime, i valori binari vengono sempre visualizzati in forma numerica. Se l´elemento lista lo consente, i valori binari possono anche essere inseriti in forma numerica.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowBoolAsNumber


IDP_GLOWEFFECTSTYLE

Interno ID: IDP_GLOWEFFECTSTYLE

Stile effetto Glow

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GlowEffectStyle


IDP_GRP_FCNMANAGER

Interno ID: IDP_GRP_FCNMANAGER

Funzioni

Proprietà per la gestione funzioni.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_FuncManager


IDP_GRP_HDDMANAGER

Interno ID: IDP_GRP_HDDMANAGER

Salvataggio dati su Harddisk

Proprietà per la gestione dati hardisk (HDD)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_HDD


IDP_GRP_RGMKEYBOARDS

Interno ID: IDP_GRP_RGMKEYBOARDS

Tastiere

Selezione di una keyboard con cui effettuare nel Runtime inserimenti nella tabella valori di ricetta. Possono essere collegate immagini del tipo Keyboard per:

  • inserimenti binari
  • inserimenti numerici
  • inserimenti stringa

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_RGM_KEYBOARDS


IDP_GRP_RGMSETTING

Interno ID: IDP_GRP_RGMSETTING

Manager Gruppi di Ricette

Opzioni per lo stato ricetta nel RGM.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_RGM


IDP_GRP_RT_BATCHPREF

Interno ID: IDP_GRP_RT_BATCHPREF

Modulo di licenza a Runtime

Proprietà per determinare il comportamento del Runtime in caso di più moduli con registrazione licenza valida.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_BatchPreferred


IDP_GRP_RTDIALOGES

Interno ID: IDP_GRP_RTDIALOGES

Messaggi Runtime per

Proprietà per i messaggi Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_RTMessageBoxes


IDP_HDD_ACTIVE

Interno ID: IDP_HDD_ACTIVE

Dati HDD attivi

  • Attivo: Vengono registrati i dati Harddisk (HDD).
  • Inattivo: I dati Harddisk (HDD) non vengono registrati

Default: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Active


IDP_HDD_FILLDATA

Interno ID: IDP_HDD_FILLDATA

Buffer di dati

  • Attivo: un numero di bytes impostato in modo fisso nell´ambito del sistema viene depositato in un buffer e poi salvato a blocchi.
  • Inattivo: Il valore entrante corrispondente viene salvato.

Default: attiva:

Calcolo: viene salvato ogni tempo di ciclokte. k è la parte più grande a numeri interi dei valori HD da salvare, che è minore o pari a 84.
Esempio: numero valori 300 -> Salvataggio ogni 75. Valore.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FillData


IDP_LINESTYLE

Interno ID: IDP_LINESTYLE

Stile linea

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineStyle


IDP_LIST_BACKCOLOR_SELECT_FOCUS

Interno ID: IDP_LIST_BACKCOLOR_SELECT_FOCUS

Colore di sfondo con focus

Colore di sfondo di un inserimento della lista se il focus si trova sull´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: Valore del sistema operativo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorSelectFocus


IDP_LIST_BACKCOLOR_SELECT_NOFOCUS

Interno ID: IDP_LIST_BACKCOLOR_SELECT_NOFOCUS

Colore di sfondo senza focus

Colore di sfondo di un inserimento della lista se il focus non si trova sull´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: Valore del sistema operativo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorSelectNoFocus


IDP_LIST_TEXTCOLOR_SELECT_FOCUS

Interno ID: IDP_LIST_TEXTCOLOR_SELECT_FOCUS

Colore testo con Focus

Colore per il testo di un inserimento della lista se il focus si trova sull´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: Valore del sistema operativo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorSelectFocus


IDP_LIST_TEXTCOLOR_SELECT_NOFOCUS

Interno ID: IDP_LIST_TEXTCOLOR_SELECT_NOFOCUS

Colore testo senza Focus

Colore per il testo di un inserimento della lista se il focus non si trova sull´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: Valore del sistema operativo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColorSelectNoFocus


IDP_LOCKED_BUTTONS

Interno ID: IDP_LOCKED_BUTTONS

Pulsanti bloccati

Definisce l´aspetto di pulsanti nel runtime che non sono utilizzabili a causa di un blocco. Viene combinato nel runtime con la proprietà Tasti bloccati (Gestione utenti ) per la gestione di tasti.

Possibili forme di visualizzazione:

  • Grigio
  • Normale
  • Invisibile

Default: Normale

Questa proprietà agisce indipendentemente dalla proprietà Identificazione grafica attiva. Un pulsante grigio può mostrare, ad esempio, anche un simbolo lucchetto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockedButtonStyle


IDP_MENU_SEP_COLOR

Interno ID: IDP_MENU_SEP_COLOR

Colore

Definite il colore di riempimento del separatore. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Default: Nero

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SeparatorColor


IDP_MENU_SEP_GROUP

Interno ID: IDP_MENU_SEP_GROUP

Separatore

Impostazioni generali per separatori in un menù.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Separator


IDP_MENU_SEP_WIDTH

Interno ID: IDP_MENU_SEP_WIDTH

Larghezza

Definite la larghezza del separatore in pixel.

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SeparatorWidth


IDP_MODUL_KBD_LAYOUT

Interno ID: IDP_MODUL_KBD_LAYOUT

Tastiere

Gruppo delle tastiere disponibili in Batch Control.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ModulKbdLayout


IDP_MSGCTRL_GENERALSETTINGS_GRP

Interno ID: IDP_MSGCTRL_GENERALSETTINGS_GRP

Impostazioni telefono

Proprietà per comandi

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PhoneSettings


IDP_MSGCTRL_GSM_SMS_BULK_DELETE

Interno ID: IDP_MSGCTRL_GSM_SMS_BULK_DELETE

Eliminazione SMS con la sintassi flag di stato dei comandi AT+CMGD

Definisce la procedura di cancellazione di messaggi. Ci sono due possibilità per la sintassi del comando +CMGD AT: Flag di registro di stato e Index.

  • Attivo: i messaggi vengono cancellati con il metodo Flag di registro di stato.
    Tutte le SMS lette vengono cancellate contemporaneamente.
    Nota: Questo metodo è più veloce e garante di prestazioni migliori, ma non viene supportato da ogni modem.
  • Inattivo: i messaggi vengono cancellati con il metodo Index. Le SMS lette vengono cancellate singolarmente..

Default: non attiva
Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BulkDelete


IDP_MSGCTRL_GSM_SMS_CHECK_MODEM

Interno ID: IDP_MSGCTRL_GSM_SMS_CHECK_MODEM

Verifica connessione

Se si clicca sul pulsante, il sistema testa la connessione con il modem. Il test riguarda:

  • apertura e preparazione della porta COM definita nella proprietà Porta modem (seriale).
  • Risposta del modem.
  • Autenticazione PIN, se necessario.
  • Configurazione del modem.
    La validità del numero SMSC del centro servizi, può essere verificata solamente tramite l´invio di una SMS. Per la verifica del numero SMSC configurato, viene usato il Numero centro messaggi. Se esso non dovesse essere valido, si usa il numero SMSC della scheda SIM.

Un messaggio avverte se il test ha avuto successo o è fallito. Le informazioni concernenti gli errori vengono scritte nel file LOG.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CheckModem


IDP_MSGCTRL_GSM_SMS_COM_PORT

Interno ID: IDP_MSGCTRL_GSM_SMS_COM_PORT

Porta modem (seriale)

Selezione della porta COM tramite la quale il modem è raggiungibile. Con un clic del mouse aprite la lista a cascata per la selezione. Qual è la porta corretta, lo si può vedere nel pannello di controllo, nel gruppo Telefono e Modem.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SerialPort


IDP_MSGCTRL_GSM_SMS_GRP

Interno ID: IDP_MSGCTRL_GSM_SMS_GRP

Messaggio SMS (Modem GSM)

Impostazioni per l´invio di SMS via GSM.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DispatchSettings


IDP_MSGCTRL_GSM_SMS_PIN

Interno ID: IDP_MSGCTRL_GSM_SMS_PIN

Codice PIN

Inserimento del PIN per il modem. Esso deve constare solamente di cifre. Se non è necessario inserire un codice PIN per usare il modem, il valore di questa proprietà viene ignorato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PersonalIdentificationNumber


IDP_MSGCTRL_GSM_SMS_SMSC_NUMBER

Interno ID: IDP_MSGCTRL_GSM_SMS_SMSC_NUMBER

Numero centro messaggi

Indicazione del numero di telefono del SMSC (short message service center) del provider GSM utilizzato. Inserimento deve essere un numero di telefono valido e deve constare solamemte di cifre. È consentito inserire il carattere + all´inizio del numero, che sta ad indicare un prefisso internazionale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SmscPhoneNumber


IDP_NET_CHECK

Interno ID: IDP_NET_CHECK

Verifica del risultato

Emissione del risultato del controllo della topologia di rete.

Non è consentito nessun inserimento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Check


IDP_NET_COMPUTER

Interno ID: IDP_NET_COMPUTER

Nome PC

Nome del calcolatore di destinazione nella rete. Cliccando sul comando ... si apre la lista a cascata con i computer registrati in rete.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Computer


IDP_NET_COMPUTER_GRP

Interno ID: IDP_NET_COMPUTER_GRP

Computer

Proprietà per il calcolatore nella topologia di rete.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Computer


IDP_NET_DIRECTORY

Interno ID: IDP_NET_DIRECTORY

Cartella runtime del progetto di partenza

Cartella runtime del progetto di partenza sul calcolatore di destinazione. I file del progetto di partenza vengono depositati in questa cartella; tutti gli altri progetti in relazione ad esso, in corrispondenza della struttura sul computer locale. Usate il nome del progetto come nome della cartella per generare automaticamente la stessa struttura del computer di engineering.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WorkingPath


IDP_NET_PROJECT

Interno ID: IDP_NET_PROJECT

Progetto di partenza

Progetto di partenza per il computer di destinazione. Cliccando sulla lista a cascata, si apre la lista contenente i progetti già esistenti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


IDP_PRJ_CHANGE_PWD_PIC

Interno ID: IDP_PRJ_CHANGE_PWD_PIC

Immagine per la modifica password

Selezione di un´immagine del tipo Modifica utente al fine di poter modificare la propria password. L´immagine viene aperta al posto del dialogo modale. Un clic sul comando ... apre il dialogo che serve alla selezione dell´immagine.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ChangePwdPicture


IDP_PRJ_DISMENUITEMS_DRAWING

Interno ID: IDP_PRJ_DISMENUITEMS_DRAWING

Voci di menù bloccate

Definisce come avviene la visualizzazione degli inserimenti di menù nel Runtime:

  • Normale: I menù vengono visualizzati nel Runtime. Quando mancano le autorizzazioni operative, appare un dialogo Info.
  • Grigio: I menù sono visualizzati in color grigio nel Runtime, e pertanto non è possibile utilizzarli.
  • Invisibile: Gli inserimenti di menù non vengono visualizzati nel Runtime.

Nota: La proprietà è disattivata se la proprietà Login temp. attivo è attiva.

Default: Normale

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DisMenuItemsDrawing


IDP_PRJ_EXTERNALLOGIN_SYSTEMLOCK

Interno ID: IDP_PRJ_EXTERNALLOGIN_SYSTEMLOCK

Blocco sistema causa autentificazione esterna non corretta

Blocca il sistema in caso di autenticazione esterna erronea.

Attivo: Il sistema viene bloccato in caso di autenticazione esterna erronea.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExternalLoginSystemLock


IDP_PRJ_EXTERNALLOGIN_USERLOCK

Interno ID: IDP_PRJ_EXTERNALLOGIN_USERLOCK

Blocco utente a causa di una errata autenticazione esterna

Blocco utente in caso di autenticazione esterna erronea.

Attivo: L´utente corrispondente viene bloccato in caso di autenticazione esterna erronea.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ExternalLoginUserLock


IDP_PRJ_LOGIN_PIC

Interno ID: IDP_PRJ_LOGIN_PIC

Immagine per Login

Selezione dell´immagine che vene usata per il Login, oppure per l´esecuzione della funzione Login con dialogo. Selezione cliccando sul pulsante .... È possibile selezionare solamente immagini del tipo Login. Se non c´è nessuna immagine collegata, per consentire l´effettuazione del Login il sistema apre una finestra di dialogo modale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LoginPicture


IDP_PRJ_LOGINSIGNATURE_PIC

Interno ID: IDP_PRJ_LOGINSIGNATURE_PIC

Immagine per Login con firma

Selezione dell´immagine che viene aperta per effettuare il Login con inserimento della firma. Selezione cliccando sul pulsante .... È possibile selezionare solamente immagini del tipo Login. Se non c´è nessuna immagine collegata, per consentire l´effettuazione del Login con inserimento della firma il sistema apre una finestra di dialogo modale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LoginSignaturePicture


IDP_PRJ_RECURSIVE_LOGIN

Interno ID: IDP_PRJ_RECURSIVE_LOGIN

Login/Logout automatico nei sottoprogetti

Consente un Login/Logout automatico in sottoprogetti.

Attivo: un utente esistente in un progetto globale viene registrato automaticamente anche in tutti i sottoprogetti quando effettua il Login in un progetto, oppure viene disattivato in tutti i progetti quando effettua il Logout.

Non disponibile per progetti globali e per progetti per quali la proprietà Progetto WindowsCE è attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RecursiveLogin


IDP_PRN_MAXJOBS

Interno ID: IDP_PRN_MAXJOBS

Numero massimo code di stampa

Numero massimo di comandi di stampa (print jobs) per il print manager di Windows Se si supera questo numero, viene generato un inserimento nella Lista Eventi Cronologica (CEL).

  • Minimo: 0
  • Massimo: 65535
  • Default: 90

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MaxPrintJobs


IDP_PROJEKT_LOCKVAR

Interno ID: IDP_PROJEKT_LOCKVAR

Blocco utente

Permette di definire un blocco utente in progetti senza rete facendo uso di una variabile binaria.
Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile binaria.

Valore di risposta:

  • >0: Non esiste nessuna autorizzazione comando.
  • 0: Livelli di autorizzazione disponibili

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockVar


IDP_PWL_EXECUTE

Interno ID: IDP_PWL_EXECUTE

Livelli di autorizzazione per l'esecuzione

Definisce i livelli di autorizzazione necessari per effettuare il blocco. Clicando sul livello, si apre la lista a cascata che serve alla selezione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PwlExecute


IDP_PWL_UNLOCK

Interno ID: IDP_PWL_UNLOCK

Livelli di autorizzazione per lo sblocco

Definisce i livelli di autorizzazione necessari per effettuare lo sblocco. Cliccando sul livello, si apre il menù a tendina che serve alla selezione.

Nota: non attivo nel caso del comando del tipo Comando forzato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PwlUnlock


IDP_RGM_BINARYPARAMETER

Interno ID: IDP_RGM_BINARYPARAMETER

Parametro binario

Selezione di una keyboard per inserimenti binari. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BoolKbd


IDP_RGM_DATASOURCE

Interno ID: IDP_RGM_DATASOURCE

DataSource

selezione del percorso desiderato per il manager gruppi ricette fra quelli della lista a cascata:

  • MS Access DB: Banca dati MS Access. Non adatto a Windows CE.
  • file binari (compatibile con CE): Per usare il RGM su PC e sotto Windows CE.

Default: Dati Binari (Compatibili con CE)

Nota: Se si attiva l´opzione Progetto WindowsCE, il sistema provvede a settare automaticamente per il salvataggio dati Dati binari. Una conversione successiva dei dati non è prevista.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DataSource


IDP_RGM_FILTER

Interno ID: IDP_RGM_FILTER

Testo filtro

Indicazione dei testi filtro per variabili.

Massimo: 65535 caratteri

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Filter


IDP_RGM_GROUP_ALLGEMEIN

Interno ID: IDP_RGM_GROUP_ALLGEMEIN

Generale

Impostazioni generali per gruppi ricette.

Nota: Si può aggiungere un numero massimo di 32.000 variabili a un gruppo di ricette.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Allgemein


IDP_RGM_GROUP_FEEDBACK

Interno ID: IDP_RGM_GROUP_FEEDBACK

Feedback

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback


IDP_RGM_GROUP_FEEDBACK_CHECK

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK

Feedback verifica dei valori di ricetta

Variabile di responso per Controlla valore di ricetta.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT1

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT1

Commento 1

Commento 1 della ricetta controllata per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Comment1


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT2

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT2

Commento 2

Commento 2 della ricetta controllata per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Comment2


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT3

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT3

Commento 3

Commento 3 della ricetta controllata per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Comment3


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT4

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT4

Commento 4

Commento 4 della ricetta controllata per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Comment4


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT5

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT5

Commento 5

Commento 5 della ricetta controllata per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Comment5


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT6

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT6

Commento 6

Commento 6 della ricetta controllata per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Comment6


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT7

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT7

Commento 7

Commento 7 della ricetta controllata per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Comment7


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT8

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_CMT8

Commento 8

Commento 8 della ricetta controllata per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Comment8


IDP_RGM_GROUP_FEEDBACK_CHECK_DIFFER

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_DIFFER

Controllo valori - differenze

Differenze nel risultato del controllo della ricetta come testo.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Different


IDP_RGM_GROUP_FEEDBACK_CHECK_NAME

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_NAME

Nome ricetta

Nome della ricetta controllata per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Name


IDP_RGM_GROUP_FEEDBACK_CHECK_NUMBER

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_NUMBER

Numero ricetta

Numero della ricetta controllata per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Number


IDP_RGM_GROUP_FEEDBACK_CHECK_RESULT

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_RESULT

Interrogazione valori ricetta - risultato

Risultato del controllo della ricetta come valore numerico.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Result


IDP_RGM_GROUP_FEEDBACK_CHECK_RIGHTS

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_RIGHTS

Livello di autorizzazione:

Livello di autorizzazione della ricetta controllata per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Rights


IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_NR

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_NR

Nr. stato ricetta

Stato della ricetta controllata per ultima come numero.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Status_Nr


IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_TXT

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_TXT

Testo stato ricetta

Stato della ricetta controllata per ultima. Il testo ha il formato: 1 - @Text
Questo testo viene scritto come testo grezzo nella variabile. Per visualizzare il testo in traduzione, deve essere attiva nell´elemento di visualizzazione (testo dinamico) la proprietà Tradurre testo .

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Status_Txt


IDP_RGM_GROUP_FEEDBACK_CHECK_TIMECHANGE

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_TIMECHANGE

Orario di modifica

Momento dell´ultima modifica apportata alla ricetta controllata per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Timechange


IDP_RGM_GROUP_FEEDBACK_CHECK_USERCHANGE

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_USERCHANGE

Utente per la modifica

Nome dell´utente registrato al momento dell´ultima modifica apportata alla ricetta controllata per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Userchange


IDP_RGM_GROUP_FEEDBACK_CHECK_VERSION

Interno ID: IDP_RGM_GROUP_FEEDBACK_CHECK_VERSION

Versione ricetta

Versione della ricetta controllata per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Check_Version


IDP_RGM_GROUP_FEEDBACK_READ

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ

Feedback lettura ricetta

Variabile di responso per Leggi ricetta.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read


IDP_RGM_GROUP_FEEDBACK_READ_CMT1

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT1

Commento 1

Commento 1 della ricetta letta per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Comment1


IDP_RGM_GROUP_FEEDBACK_READ_CMT2

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT2

Commento 2

Commento 2 della ricetta letta per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Comment2


IDP_RGM_GROUP_FEEDBACK_READ_CMT3

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT3

Commento 3

Commento 3 della ricetta letta per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Comment3


IDP_RGM_GROUP_FEEDBACK_READ_CMT4

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT4

Commento 4

Commento 4 della ricetta letta per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Comment4


IDP_RGM_GROUP_FEEDBACK_READ_CMT5

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT5

Commento 5

Commento 5 della ricetta letta per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Comment5


IDP_RGM_GROUP_FEEDBACK_READ_CMT6

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT6

Commento 6

Commento 6 della ricetta letta per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Comment6


IDP_RGM_GROUP_FEEDBACK_READ_CMT7

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT7

Commento 7

Commento 7 della ricetta letta per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Comment7


IDP_RGM_GROUP_FEEDBACK_READ_CMT8

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_CMT8

Commento 8

Commento 8 della ricetta letta per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Comment8


IDP_RGM_GROUP_FEEDBACK_READ_NAME

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_NAME

Nome ricetta

Nome della ricetta letta per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Name


IDP_RGM_GROUP_FEEDBACK_READ_NUMBER

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_NUMBER

Numero ricetta

Numero della ricetta letta per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Number


IDP_RGM_GROUP_FEEDBACK_READ_RESULT

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_RESULT

Lettura ricetta terminata

Risultato di leggi ricetta come valore numerico.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Result


IDP_RGM_GROUP_FEEDBACK_READ_RIGHTS

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_RIGHTS

Livello di autorizzazione:

Livello di autorizzazione della ricetta letta per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Rights


IDP_RGM_GROUP_FEEDBACK_READ_STATUS_NR

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_STATUS_NR

Nr. stato ricetta

Stato della ricetta letta per ultima come numero.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Status_Nr


IDP_RGM_GROUP_FEEDBACK_READ_STATUS_TXT

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_STATUS_TXT

Testo stato ricetta

Stato della ricetta letta per ultima. Il testo ha il formato: 1 - @Text
Questo testo viene scritto come testo grezzo nella variabile. Per visualizzare il testo in traduzione, deve essere attiva nell´elemento di visualizzazione (testo dinamico) la proprietà Tradurre testo .

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Status_Txt


IDP_RGM_GROUP_FEEDBACK_READ_TIMECHANGE

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_TIMECHANGE

Orario di modifica

Momento dell´ultima modifica apportata alla ricetta letta per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Timechange


IDP_RGM_GROUP_FEEDBACK_READ_USERCHANGE

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_USERCHANGE

Utente per la modifica

Nome dell´utente registrato al momento dell´ultima modifica apportata alla ricetta letta per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Userchange


IDP_RGM_GROUP_FEEDBACK_READ_VERSION

Interno ID: IDP_RGM_GROUP_FEEDBACK_READ_VERSION

Versione ricetta

Versione della ricetta letta per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Read_Version


IDP_RGM_GROUP_FEEDBACK_WRITE

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE

Feedback scrittura ricetta

Variabile di responso per Esegui ricetta.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT1

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT1

Commento 1

Commento 1 della ricetta eseguita per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Comment1


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT2

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT2

Commento 2

Commento 2 della ricetta eseguita per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Comment2


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT3

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT3

Commento 3

Commento 3 della ricetta eseguita per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Comment3


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT4

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT4

Commento 4

Commento 4 della ricetta eseguita per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Comment4


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT5

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT5

Commento 5

Commento 5 della ricetta eseguita per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Comment5


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT6

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT6

Commento 6

Commento 6 della ricetta eseguita per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Comment6


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT7

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT7

Commento 7

Commento 7 della ricetta eseguita per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Comment7


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT8

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_CMT8

Commento 8

Commento 8 della ricetta eseguita per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Comment8


IDP_RGM_GROUP_FEEDBACK_WRITE_NAME

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_NAME

Nome ricetta

Nome della ricetta eseguita per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Name


IDP_RGM_GROUP_FEEDBACK_WRITE_NUMBER

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_NUMBER

Numero ricetta

Numero della ricetta eseguita per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Number


IDP_RGM_GROUP_FEEDBACK_WRITE_RESULT

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_RESULT

Scrittura ricetta terminata

Risultato dell´esecuzione della ricetta come valore numerico.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Result


IDP_RGM_GROUP_FEEDBACK_WRITE_RIGHTS

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_RIGHTS

Livello di autorizzazione:

Livello di autorizzazione della ricetta eseguita per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Rights


IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_NR

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_NR

Nr. stato ricetta

Stato della ricetta eseguita per ultima come numero.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Status_Nr


IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_TXT

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_TXT

Testo stato ricetta

Stato della ricetta eseguita per ultima. Il testo ha il formato: 1 - @Text
Questo testo viene scritto come testo grezzo nella variabile. Per visualizzare il testo in traduzione, deve essere attiva nell´elemento di visualizzazione (testo dinamico) la proprietà Tradurre testo .

Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili.

Valori: vedi Variabili di sistema - Ricette standard e RGM.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Status_Txt


IDP_RGM_GROUP_FEEDBACK_WRITE_TIMECHANGE

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_TIMECHANGE

Orario di modifica

Momento dell´ultima modifica apportata alla ricetta eseguita per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Timechange


IDP_RGM_GROUP_FEEDBACK_WRITE_USERCHANGE

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_USERCHANGE

Utente per la modifica

Nome dell´utente registrato al momento dell´ultima modifica apportata alla ricetta eseguita per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Userchange


IDP_RGM_GROUP_FEEDBACK_WRITE_VERSION

Interno ID: IDP_RGM_GROUP_FEEDBACK_WRITE_VERSION

Versione ricetta

Versione della ricetta eseguita per ultima.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_Write_Version


IDP_RGM_GROUP_FEEDBACK_XMLIMPORT

Interno ID: IDP_RGM_GROUP_FEEDBACK_XMLIMPORT

Risultato di importazione XML

Variabile di responso per import XML.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_XMLImport


IDP_RGM_GROUP_FEEDBACK_XMLIMPORT_RESULT

Interno ID: IDP_RGM_GROUP_FEEDBACK_XMLIMPORT_RESULT

Risultato di importazione

Successo dell´import XML.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Feedback_XMLImport_Result


IDP_RGM_INTERLOCKING

Interno ID: IDP_RGM_INTERLOCKING

Interblocco

Assegnazione di un interblocco per variabili. selezione dalla lista a cascata

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Interlocking


IDP_RGM_KEYBOARD

Interno ID: IDP_RGM_KEYBOARD

Immagine tipo Keyboard

Collegamento di un´immagine del tipo keyboard che deve essere aperta durante il runtime cliccando con il tasto sinistro del mouse sulla variabile per inserire un valore. Cliccando sul pulsante, si apre il dialogo che serve alla selezione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Keyboard


IDP_RGM_NUMERICPARAMETER

Interno ID: IDP_RGM_NUMERICPARAMETER

Parametro numerico

Selezione di una keyboard per inserimenti numerici. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NumKbd


IDP_RGM_RCP_COMMENT3

Interno ID: IDP_RGM_RCP_COMMENT3

Commento 3

Riga di commento 3 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Comment3


IDP_RGM_RCP_COMMENT4

Interno ID: IDP_RGM_RCP_COMMENT4

Commento 4

Riga di commento 4 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Comment4


IDP_RGM_RCP_COMMENT5

Interno ID: IDP_RGM_RCP_COMMENT5

Commento 5

Riga di commento 5 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Comment5


IDP_RGM_RCP_COMMENT6

Interno ID: IDP_RGM_RCP_COMMENT6

Commento 6

Riga di commento 6 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Comment6


IDP_RGM_RCP_COMMENT7

Interno ID: IDP_RGM_RCP_COMMENT7

Commento 7

Riga di commento 7 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Comment7


IDP_RGM_RCP_COMMENT8

Interno ID: IDP_RGM_RCP_COMMENT8

Commento 8

Riga di commento 8 per la ricetta attuale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Comment8


IDP_RGM_RCP_COMMENTS_GRP

Interno ID: IDP_RGM_RCP_COMMENTS_GRP

Commento

Gruppo dei commenti ricette. Per ogni ricetta si possono inserire 8 commenti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Comments


IDP_RGM_RECIPE_ALLGEMEIN

Interno ID: IDP_RGM_RECIPE_ALLGEMEIN

Generale

Proprietà generali della ricetta.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Allgemein


IDP_RGM_RECIPE_STATUS

Interno ID: IDP_RGM_RECIPE_STATUS

Stato

Selezione dello stato ricetta fra quelli della lista a cascata. (Configurazione degli stati nella proprietà Manager Gruppi di Ricette /Identificatore stato ricetta.) Lo stato ricetta può essere impostato diversamente pro Versione ricetta. Questa proprietà può essere modificata nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Status


IDP_RGM_RECIPE_VERSION

Interno ID: IDP_RGM_RECIPE_VERSION

Versione ricetta

Mostra il numero di versione della ricetta selezionata. Solo visualizzazione, non è possibile nessuna modifica. Numero di versione viene settato automaticamente dal sistema. Può essere impostato un massimo di 89999 versioni ricetta.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RecipeVersion


IDP_RGM_REPORTFONT

Interno ID: IDP_RGM_REPORTFONT

Font tabelle modificabili

  • Attivo: Nel caso delle immagini del tipo Manager di gruppi ricette, è possibile impostare il carattere. Viene usato il carattere progettato nella proprietà Carattere.
  • Inattivo: Si usa il carattere standard.

Default: Inattivo

Se si usa una tabella definita dall´utente (generata con il Generatore di rapporti), vengono utilizzati i caratteri definiti nel report.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ReportFont


IDP_RGM_SHADOW_VARIABLE

Interno ID: IDP_RGM_SHADOW_VARIABLE

Variabile di ricetta grafica

Nel Runtime, le variabili ricetta grafiche consentono di modificare tramite un´immagine un valore ricetta RGM. Per ogni variabile esistente in un gruppo ricette, si può definire una variabile d´appoggio. Nel Runtime, la variabile RGM viene sostituita con una variabile d´appoggio mediante la funzione Manager gruppi di ricette e con l´azione Scrivi valori ricetta su variabili ricetta grafiche; essa viene riscritta nel RGM dopo una modifica mediante l´azione Scrivi variabili ricetta grafiche sui valori di ricetta.

Cliccando sul pulsante si apre il dialogo per selezionare la variabile grafica di ricetta. Una variabile ricetta grafica può essere usata una sola volta per ogni gruppo ricette.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShadowVariable


IDP_RGM_STATUS_LIST

Interno ID: IDP_RGM_STATUS_LIST

Identificatore stato ricetta

Configurazione della denominazione stato. Cliccando sulla proprietà, si apre il dialogo che serve alla configurazione. Lista degli stati viene usata per la selezione stati nella ricetta.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StatusList


IDP_RGM_STRINGPARAMETER

Interno ID: IDP_RGM_STRINGPARAMETER

Parametro stringa

Selezione di una keyboard per inserimenti stringa. Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di un´immagine del tipo Keyboard.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StringKbd


IDP_RGM_VARLNK_ALLGEMEIN

Interno ID: IDP_RGM_VARLNK_ALLGEMEIN

Generale

Proprietà generali per variabili nel gruppo ricette.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

General


IDP_RGM_VARLNK_BORDERS

Interno ID: IDP_RGM_VARLNK_BORDERS

Limiti

Impostazioni per Limiti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueBorders


IDP_RGM_VARLNK_GENERAL

Interno ID: IDP_RGM_VARLNK_GENERAL

Proprietà del valore

Proprietà per valori.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ValueGeneral


IDP_RGM_VARLNK_RANGEFROMVAR

Interno ID: IDP_RGM_VARLNK_RANGEFROMVAR

Riprendi limiti di valori impostabili da variabile

Attivo: I limiti di valori impostabili vengono ripresi in modo dinamico dalle variabili e non impostati in modo fisso nel gruppo ricette.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RangeFromVar


IDP_RGM_VARLNK_SHADOW

Interno ID: IDP_RGM_VARLNK_SHADOW

Variabile di ricetta grafica

Proprietà per le variabili ricetta grafiche.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShadowVarGrp


IDP_RGM_VISIBILITYVAR

Interno ID: IDP_RGM_VISIBILITYVAR

Variabile di visibilità

Selezione di una variabile per la gestione della visibilità. Un clic sul comando ... apre il dialogo che serve alla selezione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VisibilityVar


IDP_ROUNDINGSTYLE

Interno ID: IDP_ROUNDINGSTYLE

Stile arrotondamento

Visualizzazione e selezione dello stile degli arrotondamenti assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RoundingStyle


IDP_RT_BATCH_PREFMODULE

Interno ID: IDP_RT_BATCH_PREFMODULE

Modulo preferito

Selezione del modulo che viene usato nel Runtime quando vi sono più moduli che dispongono contemporaneamente di una registrazione licenza valida.

  • Batch Control
  • Sequenze di comando

Default: Batch Control

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BatchPrefered


IDP_RT_GRP_MSG_PICS

Interno ID: IDP_RT_GRP_MSG_PICS

Immagine Runtime Message Box

Proprietà per le immagini Message Box.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GRP_RTMessagePictures


IDP_RT_MSG_PIC_MultiYesNo

Interno ID: IDP_RT_MSG_PIC_MultiYesNo

Message Box [Si, No, Si Tutti, No Tutti]

Selezione di un´immagine del tipo Message Box per confermare [SÌ], oppure per ignorare [NO], [SÌ tutte], [NO tutte] i messaggi del sistema.
Cliccando …, si apre la finestra di dialogo che serve a selezionare un´immagine di zenon già progettata. È possibile selezionare solamente immagini del tipo Message Box.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgScreenMultiYesNo


IDP_RT_MSG_PIC_Ok

Interno ID: IDP_RT_MSG_PIC_Ok

Message Box [Ok]

Selezione di un´immagine del tipo Message Box per confermare [OK], oppure per annullare [Annulla] i messaggi del sistema.
Cliccando …, si apre la finestra di dialogo che serve a selezionare un´immagine di zenon già progettata. È possibile selezionare solamente immagini del tipo Message Box.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgScreenOk


IDP_RT_MSG_PIC_OkCancel

Interno ID: IDP_RT_MSG_PIC_OkCancel

Message Box [Ok, Annulla]

Selezione di un´immagine del tipo Message Box per confermare [OK], oppure cancellare [Cancel] i messaggi del sistema.
Cliccando …, si apre la finestra di dialogo che serve a selezionare un´immagine di zenon già progettata. È possibile selezionare solamente immagini del tipo Message Box.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgScreenOkCancel


IDP_RT_MSG_PIC_YesNo

Interno ID: IDP_RT_MSG_PIC_YesNo

Message Box [Si, No]

Selezione di un´immagine del tipo Message Box per confermare [SÌ], oppure per ignorare [NO] i messaggi del sistema.
Cliccando …, si apre la finestra di dialogo che serve a selezionare un´immagine di zenon già progettata. È possibile selezionare solamente immagini del tipo Message Box.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgScreenYesNo


IDP_RT_MSG_PIC_YesNoCancel

Interno ID: IDP_RT_MSG_PIC_YesNoCancel

Message Box [Si, No, Annulla]

Selezione di un´immagine del tipo Message Box per confermare [OK], ignorare [NO] i o cancellare [Cancel] i messaggi del sistema.
Cliccando …, si apre la finestra di dialogo che serve a selezionare un´immagine di zenon già progettata. È possibile selezionare solamente immagini del tipo Message Box.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MsgScreenYesNoCancel


IDP_RTD_ACTION_OK

Interno ID: IDP_RTD_ACTION_OK

Esportazione dati

  • Attivo: In caso di un export di dati coronato da successo, si apre una finestra di dialogo nel runtime.
    Essa viene visualizzata solamente per un export di dati effettuato con la funzione "Esporta dati". Trovate questa funzione nel gruppo Variabile.
    Il risultato di altri tipi di export di dati non viene visualizzato mediante questa finestra di dialogo.
  • Inattiva: viene soppressa la finestra di dialogo contenente il messaggio di operazione eseguita con successo.

Default: inattiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActionOK


IDP_RTD_DLGFONT

Interno ID: IDP_RTD_DLGFONT

Carattere di dialogo

Non disponibile se Carattere di dialogo configurabile è attiva.

Definite in questa sede il carattere che deve essere usato nel runtime per dialoghi e impostazioni multiple. Un clic sul comando apre il dialogo che serve alla selezione dei caratteri.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RtDlgFont


IDP_RTD_ENDLGFONT

Interno ID: IDP_RTD_ENDLGFONT

Carattere di dialogo configurabile

Permette di visualizzare dialoghi e impostazioni multiple nel runtime con un carattere che può essere impostato liberamente. Il carattere che deve essere utilizzato lo potete fissare facendo uso della proprietà Carattere di dialogo.

  • Attivo: Il carattere selezionato alla voce Carattere di dialogo viene usato nel runtime.
  • Inattivo: il carattere di sistema viene usato nel runtime per dialoghi e impostazioni multiple.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EnRtDlgFont


IDP_RTD_FILE_REPLACE

Interno ID: IDP_RTD_FILE_REPLACE

Sostituzione file

  • Attivo: Se un file viene sovrascritto durante l´effettuazione di un export di dati, viene visualizzata una segnalazione corrispondente nel Runtime.
  • Inattivo: La segnalazione viene soppressa.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FileReplace


IDP_RTD_INSUFFICIENT_LEVEL

Interno ID: IDP_RTD_INSUFFICIENT_LEVEL

Autorizzazione insufficiente

Disponibile solo se la proprietà Inserimenti errati è attiva.

  • Attivo: Se un utente esegue nel Runtime una funzione che richiede un livello di autorizzazione di cui egli non dispone, appare una finestra che contiene una segnalazione di errore.
  • Inattivo: Se il livello di autorizzazione non è corretto, viene visualizzata una segnalazione di errore. Nonostante ciò, viene settata la variabile del driver di sistema Funzione non autorizzata, che può essere valutata tramite valore limite o matrice di reazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InsufficientLevel


IDP_RTD_INVALID_INPUT

Interno ID: IDP_RTD_INVALID_INPUT

Inserimenti errati

  • Attivo: nel caso di inserimenti utente errati (Imposta valore, Login, ecc.), vengono visualizzati nel Runtime dei messaggi corrispondenti.
  • Inattivo: i messaggi vengono soppressi. Per questa evenienza sono a disposizione nel driver di sistema delle variabili bit con le quali si può reagire in modo individuale agli inserimenti errati collegando una funzione con un valore limite.

Default: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

InvalidInput


IDP_RTP_PICTBACKCOUNT

Interno ID: IDP_RTP_PICTBACKCOUNT

Anzahl f. Bild zurück Fkt.

Numero delle immagini che devono essere inserite nella lista per la funzione Anzahl f. Bild zurück Fkt..
Nota: vale ogni chiamata della funzione Cambio immagine, anche se non avviene direttamente, ma viene inserita come Funzione apertura nelle proprietà dell´immagine..

  • Minimo: 0
  • Massimo: 65535
  • Default: 10

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackPictCount


IDP_RTP_SYSKEYLOCK

Interno ID: IDP_RTP_SYSKEYLOCK

Pulsanti di sistema bloccati

  • Attivo: tasti di sistema come Alt+Esc, Ctrl+Esc, Alt+Tab, Alt-F4 ecc, vengono bloccati nel runtime.
  • Inattivo: tasti di sistema non vengono bloccati.

Default: inattivo

Nota: È anche possibile bloccare tutti i tasti di sistema per il Runtime. Per i dettagli, vedi Keyblock Runtime Start.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SysKeyLock


IDP_RTP_WATCHFILES

Interno ID: IDP_RTP_WATCHFILES

Indicizza file Runtime

  • Attivo: Per consentire un accesso veloce, il sistema attiva una cartella cache per i dati Runtime.
  • Inattivo: La cartella Cache non viene utilizzata.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FileWatcher


IDP_RUECKMELDE_VAR_GRP

Interno ID: IDP_RUECKMELDE_VAR_GRP

Variabile di feedback

Proprietà delle variabili di responso. Esse mostrano nel runtime azioni in liste configurabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

SelectionFeedback


IDP_SAMPLE

Interno ID: IDP_SAMPLE

Sample Additional

Esempio per Sample driver.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SampleTest


IDP_SCHALTFOLGEN_STEPNAME

Interno ID: IDP_SCHALTFOLGEN_STEPNAME

Nome attività nella griglia sequenze di comando

Configurazione della visualizzazione del testo nel runtime per il modulo Sequenze di comando.
L´utente può definire in questa sede quale denominazione dell´azione comando deve apparire nella griglia sequenza comandi.

  • Testo standard
    Visualizzazione del nome standard secondo quanto configurato nell´azione comando.
    Formato: Nome azione RV[DIR]
  • Nome azione
    Nome dell´azione comando così come progettato nella proprietà comandi Nome comando.

Default: Testo standard

Nota: Se due azioni hanno lo stesso nome passaggio (step), solamente la prima di esse sarà disponibile nel runtime. In questo caso appare durante la compilazione una segnalazione di errore nella finestra di emissione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StepName


IDP_SCHALTFOLGEN_VISIBLE

Interno ID: IDP_SCHALTFOLGEN_VISIBLE

Nome visualizzato nella griglia di sequenza comandi

Configurazione del testo da visualizzare nel Runtime per la Sequenze di comando Modulo.

L´utente può definire in questa sede quale testo viene visualizzato dalla variabile nella griglia sequenza comandi.

  • Nome variabile
    Usa il nome variabile come testo da visualizzare nella griglia sequenze di comando.
  • Identificazione variabile
    Usa l´identificazione della variabile come testo da visualizzare nella griglia sequenze di comando.
    Questa identificazione viene configurata presso la variabile nella proprietà Identificazione.
  • Indirizzo simbolico.
    Usa l´indirizzo simbolico della variabile come testo da visualizzare nella griglia sequenze di comando.
    Questa identificazione viene configurata presso la variabile nella proprietà Indirizzo simbolico.

Default: Nome variabile

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VisibleChartName


IDP_SEL_FEEDBACK_VARIABLE

Interno ID: IDP_SEL_FEEDBACK_VARIABLE

Scelta attiva

Collegamento di una variabile di responso per liste configurabili.
La variabile deve essere del tipo BOOL. Essa indica nel runtime se nella lista è stato selezionato qualcosa (1), oppure no (0).
Cliccando sul pulsante ... si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SelectionActive


IDP_SHADOWEFFECTSTYLE

Interno ID: IDP_SHADOWEFFECTSTYLE

Stile effetto bordi/ombre

Visualizzazione e selezione dello stile di cornice e ombra assegnato all´elemento

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShadowEffectStyle


IDP_SHIFT_BLOCK_DESCRIPTION

Interno ID: IDP_SHIFT_BLOCK_DESCRIPTION

Descrizione

Proprietà generali del blocco turno.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Description


IDP_SHIFT_BLOCK_GENERAL_GRP

Interno ID: IDP_SHIFT_BLOCK_GENERAL_GRP

Generale

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

General


IDP_SHIFT_BLOCK_NAME

Interno ID: IDP_SHIFT_BLOCK_NAME

Nome

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Name


IDP_SHIFT_MODEL_DESCRIPTION

Interno ID: IDP_SHIFT_MODEL_DESCRIPTION

Descrizione

Stringa liberamente definibile per una descrizione più precisa del modello turno. La descrizione è traducibile.

Lunghezza massima: 512 caratteri.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Description


IDP_SHIFT_MODEL_GENERAL_GRP

Interno ID: IDP_SHIFT_MODEL_GENERAL_GRP

Generale

Proprietà generali del modello turno.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

General


IDP_SHIFT_MODEL_GROUP_DESCRIPTION

Interno ID: IDP_SHIFT_MODEL_GROUP_DESCRIPTION

Descrizione

Stringa liberamente definibile per una descrizione più precisa del modello di turno La descrizione è traducibile.

Lunghezza massima: 512 caratteri.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Description


IDP_SHIFT_MODEL_GROUP_GENERAL_GRP

Interno ID: IDP_SHIFT_MODEL_GROUP_GENERAL_GRP

Generale

Proprietà generali del modello turno.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

General


IDP_SHIFT_MODEL_GROUP_NAME

Interno ID: IDP_SHIFT_MODEL_GROUP_NAME

Nome

Nome del gruppo modello di turno. Il nome deve essere univoco all´interno di ogni progetto, non può constare di spazi vuoti e non può essere vuoto. I seguenti caratteri sono proibiti: / \ : * ? < > ! | " ' # % @ .

Il nome è traducibile.

Default: Gruppo modelli turno x (x è un numero progressivo).

Lunghezza massima: 256 caratteri.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Name


IDP_SHIFT_MODEL_NAME

Interno ID: IDP_SHIFT_MODEL_NAME

Nome

Nome del modello di turno. Il nome deve essere univoco all´interno di ogni progetto, non può constare di spazi vuoti e non può essere vuoto. I seguenti caratteri sono proibiti: / \ : * ? < > ! | " ' # % @ .

Il nome è traducibile.

Default: Modello turno x (x è un numero progressivo).

Lunghezza massima: 256 caratteri.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Name


IDP_STRATON_CMD_BINDPORT

Interno ID: IDP_STRATON_CMD_BINDPORT

Porta (Binding)

Questa proprietà è rilevante solo in connessione con lo Starttyp Runtime “autom. start stop” e “autom. start”.

Numero della Port che apre il runtime di zenon Logic allo start. "Binding" rappresenta la Port per la trasmissione dati spontanea (basata su eventi).
Minimo: 0.
Massimo: 4294967295.
Default: 9000.

Attenzione: deve essere superiore di 7800 a Mainport.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CMDBindPort


IDP_STRATON_CMD_HOST

Interno ID: IDP_STRATON_CMD_HOST

Host

Questa proprietà è rilevante solo in connessione con lo Starttyp Runtime autom. start stop e autom. start.
Il runtime di zenon Logic si avvia solamente se questo parametro corrisponde al proprio indirizzo IP o al nome del computer!

Di norma, qui dovrebbe trovarsi l´indicazione "localhost" oppure 127.0.0.1 In pochi casi è necessario indicare un indirizzo IP deciso (oppure il nome computer). Ciò si rende necessario se, nel caso di più progetti standalone o di un solo progetto standalone, il runtime di zenon Logic deve essere avviato solo su un computer. Un´altra causa potrebbe essere che il runtime di zenon Logic deve essere avviato su un client di zenon, ma non sul server.

La modifica di questo parametro copia automaticamente l´indirizzo host e Main Port nella configurazione del corrispondente driver straton32. Se volete evitare ciò, questo parametro deve essere modificato manualmente nel driver straton32.

Default: localhost

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CMDHost


IDP_STRATON_CMD_LOG

Interno ID: IDP_STRATON_CMD_LOG

Protokolldatei führen

Questa proprietà è rilevante solo in connessione con lo Starttyp Runime “autom. start stop” e “autom. start”.
Attiva: Se vengono emesse delle segnalazione di errore dal Runtime di zenon Logic, esse vengono depositate in un file.
Inattivo: Se vengono emesse delle segnalazione di errore dal Runtime di zenon Logic, esse non vengono depositate in un file.
Default: inattivo.

Attenzione: Una scrittura di file di protocollo può influenzare il ciclo del PLC!

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CMDTrace


IDP_STRATON_CMD_MAINPORT

Interno ID: IDP_STRATON_CMD_MAINPORT

Porta (principale)

Questa proprietà è rilevante solo in connessione con lo Starttyp Runime autom. start stop e autom. start.
Numero di Mainport che è aperto dal Runtime di zenon Logic. "Main" rappresenta la Port per l´interrogazione ciclica (Pollen) dei valori di zenon Logic.

La modifica di questo parametro copia automaticamente l´indirizzo host e Main Port nella configurazione del corrispondente driver straton32. Se volete evitare ciò, questo parametro deve essere modificato manualmente nel driver straton32.

Minimo: 0
Massimo: 4294967295
Default: 1200

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CMDMainPort


IDP_STRATON_CMD_PRIO

Interno ID: IDP_STRATON_CMD_PRIO

Priorità Realtime

Questa proprietà è rilevante solo in connessione con lo Starttyp Runime “autom. start stop” e “autom. start”.
Attiva: Setta il processo Runtime di zenon Logic su priorità Windows "Tempo reale".
Inattiva: Setta il processo Runtime di zenon Logic su priorità Windows "Normale".
Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CMDPrio


IDP_STRATON_CMD_REDUNDANCY

Interno ID: IDP_STRATON_CMD_REDUNDANCY

Operazioni ridondate

Attivo: Il Runtime di zenon Logic viene avviato in modo ridondante.
Inattivo: Il Runtime di zenon Logic non viene avviato in modo ridondante.

Default: Non attiva

Attenzione: Deve essere avviato lo Standby Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CMDRedundancy


IDP_STRATON_CMD_RETAINBYNAME

Interno ID: IDP_STRATON_CMD_RETAINBYNAME

Salva con nome variabile ritentiva

Salva la variabile ritentiva con il suo nome, se avete selezionato il Tipo di start "start/stop automatico. Inoltre le variabili ritentive vengono collegate in modo indipendente automaticamente in zenon Logic.

Nota: per usare questa funzione anche nel caso di uno start manuale del Runtime, dovete attivare quest´opzione. In aggiunta bisogna attivare questa opzione tramite un parametro da linea di comando o con una impostazione nel file INI.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CMDRetainByName


IDP_STRATON_CMD_START

Interno ID: IDP_STRATON_CMD_START

Startup

Questa proprietà è rilevante solo in connessione con lo Starttyp Runime “autom. start stop” e “autom. start”.
Cold Start: avvio inizializzato. Anche le variabili Retain vengono inizializzate.
Cold Start (caricamento delle variabili RETAIN): avvio inizializzato con i valori attuali delle variabili Retain.
Warm start: riavvio con tutti i valori delle variabili come al momento della chiusura del sistema.
Default: Cold Start.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CMDStartup


IDP_STRATON_CMD_STEP

Interno ID: IDP_STRATON_CMD_STEP

Partenza in modalità step

Questa proprietà è rilevante solo in connessione con lo Starttyp Runime “autom. start stop” e “autom. start”.
Attiva: il Runtime di zenon Logic viene avviato, ma viene mantenuto subito dopo in modalità Debugging.
Inattivo: il Runtime di zenon Logic viene avviato normalmente.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CMDStep


IDP_STRATON_FKT_WDG_TO

Interno ID: IDP_STRATON_FKT_WDG_TO

Funzione per la mancata individuazione

Selezione della funzione che deve essere eseguita dopo la scadenza dell´intervallo di tempo definito nella proprietà Mancato riconoscimento dopo [s]. Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di una funzione.

Dopo la scadenza del timeout, il controllo watchdog ricomincia solo nel caso di una nuova apertura del runtime. Se si usa una funzione di un altro progetto, quest´ultimo deve essere già stato caricato se il progetto viene caricato con il progetto integrato zenon Logic.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VmFktWdgTo


IDP_STRATON_RUNTIME

Interno ID: IDP_STRATON_RUNTIME

Runtime

Proprietà per il Runtime di zenon Logic (Soft PLC).

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Runtime


IDP_STRATON_TIMEOUT

Interno ID: IDP_STRATON_TIMEOUT

Timeout di connessione [s]

Timeout (in secondi) per la connessione ai sistemi destinatari di zenon Logic.
Nel caso si disponga di piattaforme di destinazione dalle limitate prestazioni, questo timeout può essere aumentato.
Minimo: 0.
Massimo: 4294967295.
Default: 10.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Timeout


IDP_STRATON_WDG_TO

Interno ID: IDP_STRATON_WDG_TO

Mancato riconoscimento dopo [s]

Indicazione dell´intervallo di tempo in secondi nell´ambito del quale il watchdog del runtime di zenon Logic deve cambiare. Dopo il superamento di tale intervallo di tempo, viene eseguita la funzione progettata in Funzione per la mancata individuazione.

0: disattiva il watchdog

Default: per nuovi progetti 30 s, per progetti già esistenti 0 s.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VmWdgTo


IDP_STRATON_WORKBENCH

Interno ID: IDP_STRATON_WORKBENCH

Workbench

Proprietà per il Workbench di zenon Logic.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Workbench


IDP_STYLEGROUP

Interno ID: IDP_STYLEGROUP

Gruppo stile

Visualizzazione e selezione del gruppo di stile collegato a questo elemento.
Cliccate sul pulsante... ... e si apre il dialogo che serve alla selezione di un gruppo di stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso gruppo di stile.

Nota: Vengono riprese ed applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

StyleGroup


IDP_STYLES_ITEM_DESCRIPTION

Interno ID: IDP_STYLES_ITEM_DESCRIPTION

Beschreibung

Descrizione a piacere dello stile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

StyleItemDescription


IDP_STYLES_ITEM_NAME

Interno ID: IDP_STYLES_ITEM_NAME

Name

Nome dello stile liberamente assegnabile.
Nomi:

  • devono essere unici per gruppi di stili e per i singoli stili all´interno di un gruppo,
  • non devono essere vuoti
  • non devono consistere solamente di spazi,
  • non devono contenere nessuno dei seguenti caratteri: / \ . : * ? < > | " ' # % @

Default: [Tipo]+ numerazione progressiva.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

StyleItemName


IDP_STYLES_ITEM_TYPE

Interno ID: IDP_STYLES_ITEM_TYPE

Typ

Tipo dello stile.
Solo visualizzazione, non modificabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

StyleItemType


IDP_TEXTSTYLE

Interno ID: IDP_TEXTSTYLE

Stile testo

Visualizzazione e selezione dello stile testo assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Attenzione: Per gli stili si usano solamente i tipi di carattere contenuti nella lista del progetto globale. Lo stile collegato può essere sovrascritto mediante le impostazioni del progetto locale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextStyle


IDP_TRANSFORMATION_ORDER

Interno ID: IDP_TRANSFORMATION_ORDER

Ordine trasformazione

Definisce la successione di trasformazione per gli elementi grafici.

  • Rotazione -> Zoom -> Traslazione
  • Zoom -> Rotazione -> Traslazione

Default: Zoom -> Rotazione -> Traslazione

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TransformationOrder


IDP_TYPE_EXTERNAL_REFERENCE

Interno ID: IDP_TYPE_EXTERNAL_REFERENCE

Riferimento esterno

Identificazione univoca di progetti, variabili, driver, tipi di dato, funzioni, matrici di reazione e immagini di zenon. Riferimento esterno è disponibile in zenon per la sola lettura. La proprietà viene usata come identificazione per tool di progettazione esterni, e può essere scritta solamente con l`API di zenon.

Default: Spazio

Lunghezza massima: 64 caratteri

Attenzione:

  • Quando si imposta un tipo di dato semplice, oppure un tipo dato strutturato mediante Copy&Paste, questa proprietà è vuota.
  • Quando si imposta un nuovo tipo dato strutturato basato su di un tipo di dato già esistente, il valore della proprietà Riferimento esterno del tipo di dato originario non viene trasmesso.
  • Non viene trasmesso a elementi di struttura embedded.
  • Quando si cambia il tipo di dato con elementi di struttura embedded, il valore Riferimento esterno viene trasmesso dal vecchio al nuovo tipo di dato.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CPropExternalNames::szExternalReference


IDP_USER_LOGIN_RTP

Interno ID: IDP_USER_LOGIN_RTP

Profilo runtime

Selezione del profilo runtime che deve essere assegnato all´utente al momento del login. Possibili profili:

nessuno: non viene assegnato nessun profilo.

DEFAULT: viene assegnato il profilo DEFAULT

LAST: viene assegnato il profilo LAST

Default: nessuno

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LoginRTP


IDP_VALUE_LEADING_ZEROS

Interno ID: IDP_VALUE_LEADING_ZEROS

Visualizza zeri iniziali

E´disponibile solamente se in corrispondenza della proprietà Base numerica di visualizzazione, avete selezionato binaria, decimale, esadecimale, oppure ottale.

Stabilisce se devono essere visualizzati anche gli zero iniziali nella rappresentazione del valore numerico.

  • Inattivo: Gli zeri all´inizio vengono soppressi.
  • Attivo: I valori numerici vengono visualizzati in corrispondenza della loro base numerica con un numero diverso di cifre. Le cifre non necessarie per il numero vengono riempite di zero.

Default: inattivo

Per le diverse basi numeriche sono a disposizione le seguente posizioni:

  • Binario 32 cifre
  • Decimale: 10 cifre
  • Esadecimale: 8 cifre
  • Ottale: 11 cifre

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ShowLeadingZeros


IDP_VAR_ALARMEQUIP

Interno ID: IDP_VAR_ALARMEQUIP

Utilizza gestione allermi gerarchizi della progettazione impianto

Tipo dell´assegnazione della variabile ad un´area allarmi.

  • attivo:
    L´area allarmi per la variabile viene ripreso dal modello di impianto. L´allarme sulla variabile vale per le aree allarmi definite nel modello di impianto. Sono presi in considerazione il gruppo di impianti della variabile e i gruppi di impianti sovraordinati del modello di impianto.
  • Non attivo:
    L´allarme sulla variabile vale per le aree allarmi 1 -4 della gestione allarmi.

Nota: Se questa proprietà è attivata presso un tipo di dato, l´impostazione viene trasmessa in via ereditaria a tutte le variabili da esso derivanti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlarmViaEquipmentModel


IDP_VAR_EXTREF

Interno ID: IDP_VAR_EXTREF

Riferimento esterno

Identificazione univoca di progetti, variabili, driver, tipi di dato, funzioni, matrici di reazione e immagini di zenon. Riferimento esterno è disponibile in zenon per la sola lettura. La proprietà viene usata come identificazione per tool di progettazione esterni, e può essere scritta solamente con l`API di zenon.

Default: Spazio

Lunghezza massima: 64 caratteri

Nota: L´import ed export XML viene supportato.
Se si imposta una variabile via Copy&Paste, questa proprietà è vuota.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CPropExternalNames::szExternalReference


IDP_VOIP_ENCRYPTION

Interno ID: IDP_VOIP_ENCRYPTION

Verschlüsselung

Description as text.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceIP_Encryption


IDP_VOIP_RTP_PORT_END

Interno ID: IDP_VOIP_RTP_PORT_END

Porta RTCP

Numero della porta RTP.
Non può essere configurato. Viene sempre impostato automaticamente in modo tale che sia 1 maggiore di Porta RTP.

  • Minimo: 1
  • Massimo: 65535

Default: 4001

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceIP_SipRtpPortEnd


IDP_VOIP_RTP_PORT_START

Interno ID: IDP_VOIP_RTP_PORT_START

Porta RTP

Numero della porta RTP.

  • Minimo: 0
  • Massimo: 65534

Default: 4000

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceIP_SipRtpPortStart


IDP_VOIP_SIP_PORT

Interno ID: IDP_VOIP_SIP_PORT

Porta SIP

Numero della porta SIP.

  • Minimo: 0
  • Massimo: 65535

Default: 5060

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceIP_SipPort


IDP_VOIP_TLS_PORT

Interno ID: IDP_VOIP_TLS_PORT

SIP-TLS-Port

Description as text.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

VoiceIP_SipTlsPort


IDP_WSP_MON_FRAME_CX

Interno ID: IDP_WSP_MON_FRAME_CX

Larghezza finestra Runtime [Pixel]

Larghezza espressa in pixel della finestra principale nel Runtime.

Nota: Questa impostazione vale solamente per il computer locale.

Campo valori: 0 bis 65535
Default: 0 (automatico)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RTMainFrame_CX


IDP_WSP_MON_FRAME_CY

Interno ID: IDP_WSP_MON_FRAME_CY

Altezza delle finestre Runtime [Pixel]

Altezza espressa in pixel della finestra principale nel Runtime.

Nota: Questa impostazione vale solamente per il computer locale.

Campo valori: 0 bis 65535
Default: 0 (automatico)

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RTMainFrame_CY


IDP_WSP_MON_GRP

Interno ID: IDP_WSP_MON_GRP

Dimensione Runtime locale

Gruppo per l´impostazione multiprogetto della grandezza della finestra principale nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

CompMonSettings


IDS_A_GERAET

Interno ID: IDS_A_GERAET

A-Device

Numero dell'apparecchio A:

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DeviceA


IDS_ANIMATION

Interno ID: IDS_ANIMATION

Animazione GIF

Proprietà per l´animazione se si usa un file GIF.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Animation


IDS_B_GERAET

Interno ID: IDS_B_GERAET

B-Device

Numero dell'apparecchio B:

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DeviceB


IDS_BACNETNG_DATATYPE

Interno ID: IDS_BACNETNG_DATATYPE

BACnet data type

Definite come viene rappresentata una variabile numerica o una variabile stringa su una proprietà BACnet. Selezionate il tipo di dato desiderato fra quelli presenti nella lista a cascata. La descrizione dei possibili tipi di dato la trovate nella guida in linea.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BACnetDataType


IDS_BACNETNG_EVENTSTATE

Interno ID: IDS_BACNETNG_EVENTSTATE

BACnet event state

Visualizzare lo stato di event state come numero. In questo caso, il testo per event state può essere definito liberamente.

Valori:

-1: il testo viene usato.

0: Normale

1: Fault

2: Off-normal

3: High-limit

4: Low-limit

5: Life-safety-alarm

Default: -1

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BACnetEventState


IDS_BACNETNG_PROPERTYID

Interno ID: IDS_BACNETNG_PROPERTYID

BACnet property ID

Impostate la Property ID per proprietà specifiche per l´utente,oppure se non volete indicare la proprietà tramite nome oppure identificazione.

Nota: solo nel caso in cui impostate il valore -1 la proprietà viene individuata tramite nome e/o identificazione.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BACnetPropertyID


IDS_BACNETNG_STRINGLENGTH

Interno ID: IDS_BACNETNG_STRINGLENGTH

BACnet string length

Disponibile solamente se avete selezionato in corrispondenza della proprietà BACnet data type il tipo di dato BITSTRING.

Definite in questa sede la lunghezza della bitstring in bit.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BACnetStringLength


IDS_BACNETNG_WRITEPRIORITY

Interno ID: IDS_BACNETNG_WRITEPRIORITY

BACnet write priority

Indicate la priorità di scrittura sulla base della quale viene scritta la variabile. Se inserite il valore 0, la variabile verrà scritta senza indicazione della priorità di scrittura.

Possibili valori sono quelli compresi fra 0 - 16.

Il livello di priorità minore: 16

Il livello di priorità maggiore: 1

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BACnetWritePriority


IDS_BAZ_WERT

Interno ID: IDS_BAZ_WERT

Befehlsausgabezeit

Befehlsausgabezeit

TK160: Befehlsausgabezeit in ms

IEC Datentypen:

0… wie in AX parametriert

1… kurz

2… mittel

3… lang

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BAZ_WERT


IDS_BAZ_WERT_ENG

Interno ID: IDS_BAZ_WERT_ENG

Command output time

TI160: Command output time in ms

IEC Data types:

0… as parameterized in AX

1… short

2… medium

3… long

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BAZ_WERT


IDS_BITSIZE

Interno ID: IDS_BITSIZE

BitSize

Bit Size dal PLC.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NGBitsize


IDS_C_GERAET

Interno ID: IDS_C_GERAET

C-Device

Numero dell'apparecchio C:

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DeviceC


IDS_CTI_SECONDARYOBJECT

Interno ID: IDS_CTI_SECONDARYOBJECT

Secondary object

Indica il tipo di oggetto secondario per

- Tempo/Contatore

- Drum

- variabile Loop

- Variabile allarmi

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SecondaryObject


IDS_DATENPUNKT

Interno ID: IDS_DATENPUNKT

Datapoint

Numero del punto dato dal DDC.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Datapoint


IDS_DLL

Interno ID: IDS_DLL

Dll

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Dll


IDS_DP_GERAET

Interno ID: IDS_DP_GERAET

Datapoint to...

Apparecchio con cui si deve comunicare, per es. apparecchio B.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DeviceDp


IDS_DP_TYPE

Interno ID: IDS_DP_TYPE

Telegrammkennung

Telegrammtyp, Typkennung

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DP_TYPE


IDS_DP_TYPE_ENG

Interno ID: IDS_DP_TYPE_ENG

Telegram Identifier

Telegram type, Message type

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DP_TYPE


IDS_DYNAMICFARBE

Interno ID: IDS_DYNAMICFARBE

Colore(i) riempimento dinamico(i)

Definisce la proprietà Colore sfondo / riempimento e la proprietà Sfumatura colore dell´elemento mediante i colori di valore limite delle variabili selezionate.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Colors_Dynamic


IDS_DYNAMISCH

Interno ID: IDS_DYNAMISCH

Dimensione e rotazione dinamica

Proprietà per la dinamica dell´elemento.
La rappresentazione dell´elemento viene adattata dinamicamente durante il Runtime tramite gli stati di variabili. Non disponibile per progetti realizzati con Windows CE.

Nota: le impostazioni di questo gruppo non hanno conseguenze sulla visualizzazione di determinati elementi di controllo nelle immagini.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Dynamic


IDS_EIB_ADRESSE

Interno ID: IDS_EIB_ADRESSE

EIB-Address

Le seguenti proprietà Vi servono per realizzare l'indirizzamento del driver EibV2_32.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EIB-Address


IDS_EKANAL

Interno ID: IDS_EKANAL

Ersatz-PV

Ersatzvariable

Im Fehlerfall wird auf den Wert dieser Variablen umgeschaltet.

(siehe auch Parameter "Invalid-Behandlung")

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EW_EKANAL


IDS_EKANAL_ENG

Interno ID: IDS_EKANAL_ENG

Substitute variable

Substitute variable

In case of invalid state will be switched over to the value of this variable.

(see also parameter "Invalid treatment")

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EW_EKANAL


IDS_ELE_PROP_DREHEN

Interno ID: IDS_ELE_PROP_DREHEN

Rotazione

Rotazione dell´elemento in dipendenza del valore di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Twist


IDS_ELE_PROP_XRICHTUNG

Interno ID: IDS_ELE_PROP_XRICHTUNG

Posizione dinamica X

Spostamento orizzontale dell´elemento in dipendenza del valore della variabile selezionata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XPos


IDS_ELE_PROP_XZOOMEN

Interno ID: IDS_ELE_PROP_XZOOMEN

Modifica larghezza

Larghezza dell´elemento in dipendenza del valore della variabile selezionata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

XZoom


IDS_ELE_PROP_YRICHTUNG

Interno ID: IDS_ELE_PROP_YRICHTUNG

Posizione dinamica Y

Spostamento verticale dell´elemento in dipendenza del valore della variabile selezionata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YPos


IDS_ELE_PROP_YZOOMEN

Interno ID: IDS_ELE_PROP_YZOOMEN

Modifica altezza

Altezza dell´elemento in dipendenza del valore della variabile selezionata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

YZoom


IDS_ETS2_DATABASE

Interno ID: IDS_ETS2_DATABASE

ETS Database

Definite in questa sede la banca dati desiderata. Un clic sul comando apre il dialogo che serve alla selezione della banca dati. In alternativa potete inserire manualmente il nome della banca dati nel campo di testo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ETS2Database


IDS_EW

Interno ID: IDS_EW

Ersatzwert

Ersatzwert auf den umgeschaltet wird.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EW


IDS_EW_ENG

Interno ID: IDS_EW_ENG

Substitute value

Substitute value to be switched on

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EW


IDS_EWB

Interno ID: IDS_EWB

auf Ersatzwert schalten

Auf Ersatzwert schalten

Aktiv: Ersatzwert wird verwendet

Inaktiv: Ersatzwert wird nicht verwendet

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EWB


IDS_EWB_ENG

Interno ID: IDS_EWB_ENG

Toggle to substitute value

Switch to substitute value

Active: Substitute value will be used

Inactive: Substitute value will not be used

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EWB


IDS_EWB_INI

Interno ID: IDS_EWB_INI

Ersatzwert/Normalzustand initialisieren

Ersatzwert Initialisierung

Aktiv: Ersatzwert in der Runtime wird durch Normalzustand überschrieben

Inaktiv: Ersatzwert wird beibehalten

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EWB_INI


IDS_EWB_INI_ENG

Interno ID: IDS_EWB_INI_ENG

Inititialize substitute value/normal state

Initialization of substitute value

Active: Substitute value will be overwritten in runtime by normal state

Inactive: Substitute value will be kept

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EWB_INI


IDS_FOCUS_LINECOLOR

Interno ID: IDS_FOCUS_LINECOLOR

Colore linea di focus

Definisce il colore della cornice che identifica durante il runtime l´oggetto con il focus. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FocusLineColor


IDS_FOCUS_LINEWIDTH

Interno ID: IDS_FOCUS_LINEWIDTH

Dimensioni linea di focus

Definisce la larghezza della linea che identifica durante il runtime l´oggetto con il focus.

Default: 3 Pixel

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FocusLineWidth


IDS_GA

Interno ID: IDS_GA

GA-Antwort

Antwort auf Generalabfrage

Aktiv: Datenpunkt wird bei Generalabfrage gesendet

Inaktiv: Datenpunkt wird bei Generalabfrage nicht gesendet

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GA


IDS_GA_ENG

Interno ID: IDS_GA_ENG

GI-Reply

Datapoint answers to General request

Active: Datapoint will be sent at General request

Inactive: Datapoint will not be sent at General request

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GA


IDS_GLOW_BLINKVAR_PREVIEW

Interno ID: IDS_GLOW_BLINKVAR_PREVIEW

Visualizza anteprima lampeggio

Visualizzazione del valore limite in caso di glow definito per la variabile di lampeggio. Disponibile solamente se per la proprietà Variabile lampeggio è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GlowEffectBlinkVariablePreview


IDS_GLOW_COLORVAR_PREVIEW

Interno ID: IDS_GLOW_COLORVAR_PREVIEW

Visualizza anteprima colori

Visualizzazione del valore limite in caso di glow definito per la variabile colore. Disponibile solamente se per la proprietà Variabile colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GlowEffectGlowColorVariablePreview


IDS_GLOW_VISVAR_PREVIEW

Interno ID: IDS_GLOW_VISVAR_PREVIEW

Visualizza anteprima visibilità

Visualizzazione del valore limite in caso di glow definito per la variabile visibilità. Disponibile solamente se per la proprietà Variabile per visibilità è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

GlowEffectVisibilityVariablePreview


IDS_GT

Interno ID: IDS_GT

GT (Wdh.-rate in ms)

Befehlszykluszeit (Retriggerzeit) in ms

Regulierbefehle, Retriggerbefehle

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GT


IDS_GT_ENG

Interno ID: IDS_GT_ENG

GT [ms]

Command cycle (retriggered) time in ms

Regulating-, triggered commands

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GT


IDS_HAUPTGRUPPE

Interno ID: IDS_HAUPTGRUPPE

Main group

Indicate il numero del gruppo principale desiderato.

Minimo: 0

Massimo: 15

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MainGroup


IDS_HGFARBE_VARIABLE

Interno ID: IDS_HGFARBE_VARIABLE

Colore sfondo / riempimento

Nome della variabile i cui colori di valore limite devono influenzare il colore di sfondo/di riempimento dell´elemento.
Apre la finestra di dialogo per la selezione delle variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorVariable


IDS_HGFARBE_VARIABLE2

Interno ID: IDS_HGFARBE_VARIABLE2

Sfumatura colore

Nome della variabile il cui colore da valore limite deve influenzare il colore di sfumatura dell´elemento. Cliccate sul campo di inserimento per aprire il dialogo che serve alla selezione delle variabili.
Cliccate sul campo di inserimento per aprire il dialogo che serve alla scelta delle variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColorVariable2


IDS_HGFARBE_VARIABLE2_PREVIEW

Interno ID: IDS_HGFARBE_VARIABLE2_PREVIEW

Visualizza anteprima colori

Visualizzazione del valore limite definito per la variabile per la proprietà Sfumatura colore. Disponibile solamente se per la proprietà Sfumatura colore è stata configurata una variabile.

Nel campo viene visualizzata un´anteprima delle proprietà definite per il valore limite. Per le matrici di reazione non viene visualizzata nessuna anteprima.
Cliccate sul pulsante ... e si apre il dialogo che serve a visualizzare i dettagli . I valori limite vengono solo visualizzati; non è possibile modificarli. Se li si vuole modificare, bisogna farlo direttamente nelle proprietà della variabile per Valori limiti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

BackColorVariable2Preview


IDS_I_BIT

Interno ID: IDS_I_BIT

Invalid-Behandlung

keine: keine Behandlung.

letzter gültiger Wert: Umschaltung auf Ersatzwertabbild mit letzem ungestörtem Wert.

Umschaltung auf Ersatzwert: Umschaltung auf Ersatzwertabbild; Wert von parametriertem Ersatzwert.

Umschaltung auf Ersatz-PV: Umschaltung auf Ersatzwertabbild; Wert von der Ersatz-PV.

Ersatzwert nachführen: Umschaltung auf Ersatzwertabbild; Wert muss händisch nachgeführt werden.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

I_BIT


IDS_I_BIT_ENG

Interno ID: IDS_I_BIT_ENG

Invalid treatment

Invalid treatment

No: no treatment

Last valid value: switch to substitute image; using last valid value

Toggle to substitute value: switch to substitute image; using parameterized substitute value

Toggle to substitute PV: switch to substitute image; using value from substitute PV

Correct substitute value: switch to substitute image; value must be corrected manually

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

I_BIT


IDS_IEC61850_ADDR

Interno ID: IDS_IEC61850_ADDR

IEC61850-Address

IEC Indirizzo IEC61850

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

I61850_ADR


IDS_IEC61850_CDC

Interno ID: IDS_IEC61850_CDC

CDC

CDC

Selezione del CDC per l'estensione "Nodo logico".

Default: DEFAULT

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

I61850_CDC


IDS_IEC61850_EWB

Interno ID: IDS_IEC61850_EWB

Toggle to substitute value

Commutare a valore di sostituzione.

Attiva: Valore attuale = valore di sostituzione

Non attiva: Valore attuale = valore di processo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EWB


IDS_IEC61850_EWB_INI

Interno ID: IDS_IEC61850_EWB_INI

Inititialize substitute value

inzializzare valore di sostituzione / stato normale.

Attiva: Valore di sostituzione nel Runtime viene sovrascritto dallo stato di processo.

Non attiva: Si mantiene il valore di sostituzione.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

EW_INI


IDS_IEC61850_GOOSE_ATTR1

Interno ID: IDS_IEC61850_GOOSE_ATTR1

GOOSE Attr1

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_ATTR1


IDS_IEC61850_GOOSE_ATTR1_POS

Interno ID: IDS_IEC61850_GOOSE_ATTR1_POS

GOOSE Attr1 dataset position

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_ATTR1_POS


IDS_IEC61850_GOOSE_ATTR2

Interno ID: IDS_IEC61850_GOOSE_ATTR2

GOOSE Attr2

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_ATTR2


IDS_IEC61850_GOOSE_ATTR2_POS

Interno ID: IDS_IEC61850_GOOSE_ATTR2_POS

GOOSE Attr2 dataset position

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_ATTR2_POS


IDS_IEC61850_GOOSE_ATTR3

Interno ID: IDS_IEC61850_GOOSE_ATTR3

GOOSE Attr3

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_ATTR3


IDS_IEC61850_GOOSE_ATTR3_POS

Interno ID: IDS_IEC61850_GOOSE_ATTR3_POS

GOOSE Attr3 dataset position

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_ATTR3_POS


IDS_IEC61850_GOOSE_ATTR4

Interno ID: IDS_IEC61850_GOOSE_ATTR4

GOOSE Attr4

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_ATTR4


IDS_IEC61850_GOOSE_ATTR4_POS

Interno ID: IDS_IEC61850_GOOSE_ATTR4_POS

GOOSE Attr4 dataset position

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_ATTR4_POS


IDS_IEC61850_GOOSE_ATTR5

Interno ID: IDS_IEC61850_GOOSE_ATTR5

GOOSE Attr5

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_ATTR5


IDS_IEC61850_GOOSE_ATTR5_POS

Interno ID: IDS_IEC61850_GOOSE_ATTR5_POS

GOOSE Attr5 dataset position

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_ATTR5_POS


IDS_IEC61850_GOOSE_IDX

Interno ID: IDS_IEC61850_GOOSE_IDX

GOOSE Index

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GOOSE_INDEX


IDS_IEC61850_IBIT

Interno ID: IDS_IEC61850_IBIT

Invalid treatment

Trattamento invalido

nessuno: nessun trattamento.

ultimo valore valido: cambiamento ad un 'immagine di valore sostituivo con ultimo valore non disturbato.

Commutare su valore di riserva: commutazione a un 'immagine di valore sostituivo; valore di valore sostituivo parametrizzato.

Commutare su PV di riserva: commutazione ad un 'immagine di valore sostituivo; valore di valore sostituivo parametrizzato.

allineamento del valore sostitutivo: cambiamento ad un 'immagine di valore sostituivo; il valore deve essere allineato manualmente.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

I_BIT


IDS_IEC61850_LANNR

Interno ID: IDS_IEC61850_LANNR

IEC61850-Stationnumber

IEC61850-numero stazione

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

I61850_LAN


IDS_IEC61850_MERKER

Interno ID: IDS_IEC61850_MERKER

Marker

Merker

Attivo: variabile senza riferimento di processo (l'indirizzo non viene controllato; per uso interno)

Inattivo: la variabile viene attualizzata dal processo.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MERKER


IDS_IEC61850_ST_SAVE

Interno ID: IDS_IEC61850_ST_SAVE

Save state

Salva stato.

Attiva: Stato della variabile viene salvato sul disco fisso.

Viene effettuato un backup quando si riavvia il Runtime.

Non attiva: Lo stato non viene salvato

Default: Inattivo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ST_SAVE


IDS_IEC61850_VAL_SAVE

Interno ID: IDS_IEC61850_VAL_SAVE

Save value

Salva valore

Attiva: Valore della variabile viene salvato sul disco fisso.

Viene effettuato un backup quando si riavvia il Runtime.

Non attiva: Il valore non viene salvato

Default: Inattivo

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VAL_SAVE


IDS_IEC61850_WERT

Interno ID: IDS_IEC61850_WERT

IEC61850-Value

Valore IEC61850

Questo valore stabilisce in CDCs INS, INC, SGCB e ACD quale segnalazione singola / comando singolo devono essere valutati.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

I61850_VAL


IDS_IGROUP

Interno ID: IDS_IGROUP

iGroup

Gruppo indici dal PLC.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NGIGroup


IDS_ILON_DATAPOINT

Interno ID: IDS_ILON_DATAPOINT

iLON Datapoint

Cliccando sulla superficie apre una connessione con il router ILON per la selezione delle variabili.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

iiLonDataPoint


IDS_INOUT

Interno ID: IDS_INOUT

Prozessrichtung

Prozessrichtung

Empfangen: Datenpunkt wird nur empfangen (z.B. Meldungen, Messwerte)

Senden: Datenpunkt wird gesendet (z.B. Befehle, Sollwerte).

Damit ein Datenpunkt gesendet werden kann, muss auch SW setzen aktiv aktiviert sein (siehe "Sollwert setzen").

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Send


IDS_INOUT_ENG

Interno ID: IDS_INOUT_ENG

Prozess direction

Process direction

Receive: Datapoint will be received only (e.g. messages, measuring values)

Send: Datapoint will be sent (e.g. commands, setpoints).

To be able to be sent, the datapoint has to have also the Set value active property active (see "Set value").

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Send


IDS_KURVE_NEU

Interno ID: IDS_KURVE_NEU

Curve

Proprietà per le curve dell´elemento trend.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Curves


IDS_LINIENFARBE_VARIABLE

Interno ID: IDS_LINIENFARBE_VARIABLE

Colore linea

Nome della variabile i cui colori di valore limite devono determinare il colore delle linee e il colore testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LineColorVariable


IDS_LOGID

Interno ID: IDS_LOGID

Log ID

Indicate l'indirizzo del Log (Log ID) nel PLC.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Log ID


IDS_LON_DATABASE

Interno ID: IDS_LON_DATABASE

LON Database

Un clic sul comando apre la banca dati Lon per la selezone delle varibiali.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LonDatabase


IDS_MERKER

Interno ID: IDS_MERKER

Merker

Aktiv: Variable ohne Prozessbezug (Adresse wird nicht geprüft; für interne Verwendung)

siehe auch Interntreiber

Inaktiv: Variable wird vom Prozess aktualisiert

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MERKER


IDS_MERKER_ENG

Interno ID: IDS_MERKER_ENG

Marker

Active: Datapoint will not be updated by process value (can be used as internal variable, doesn't need a datapoint address)

Inactive: Datapoint will be updated by process value

see also Driver Intern

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MERKER


IDS_MITTELGRUPPE

Interno ID: IDS_MITTELGRUPPE

Middle group

Indicate il numero del gruppo medio desiderato.

Minimo: 0

Massimo: 7

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

MiddleGroup


IDS_NG_ADRESSE

Interno ID: IDS_NG_ADRESSE

Beckhoff specific

Impostazioni per Bitsize e Igroup.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NGAddress


IDS_NODE

Interno ID: IDS_NODE

Node

Indicate l'indirizzo del nodo del PLC.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Node


IDS_NWMAGENT

Interno ID: IDS_NWMAGENT

NWM-Agent kopieren

Mediante questa funzione, un agente già impostato può essere copiato su un nuovo agente.

Il nuovo agente deve essere prima impostato.

Vengono generate tutte le variabili corrispondenti.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NWM-Agent


IDS_NWMPARA

Interno ID: IDS_NWMPARA

NWM-Parameter

Apre il dialogo dei parametri.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NWM-Parameter


IDS_OKT1

Interno ID: IDS_OKT1

O1/Region

Regionsnummer bzw. Octet 1 (CASDU1)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

R_NR


IDS_OKT1_ENG

Interno ID: IDS_OKT1_ENG

O1/Region number

Region number or Octet 1 (CASDU1)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

R_NR


IDS_OKT2

Interno ID: IDS_OKT2

O2/Komponente

Komponentennummer bzw. Octet 2 (CASDU2)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

K_NR


IDS_OKT2_ENG

Interno ID: IDS_OKT2_ENG

O2/Component

Component number or Octet 2 (CASDU2)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

K_NR


IDS_OKT3

Interno ID: IDS_OKT3

O3/Baugruppe

Baugruppennummer bzw. Octet 3 (IOA1)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

B_NR


IDS_OKT3_ENG

Interno ID: IDS_OKT3_ENG

O3/Board

Board number or Octet 3 (IOA1)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

B_NR


IDS_OKT4

Interno ID: IDS_OKT4

O4/Wertnummer

Wertnummer bzw. Octet 4 (IOA2)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

W_NR


IDS_OKT4_ENG

Interno ID: IDS_OKT4_ENG

O4/Value number

Value number or Octet 4 (IOA2)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

W_NR


IDS_OKT5

Interno ID: IDS_OKT5

O5/Datenart

Datenart bzw. Octet 5 (IOA3)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DA


IDS_OKT5_ENG

Interno ID: IDS_OKT5_ENG

O5/Subaddress

Data type or Octet 5 (IOA3)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DA


IDS_OKT6

Interno ID: IDS_OKT6

Point

Pointnummer bzw. Octet 6

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PT


IDS_OKT6_ENG

Interno ID: IDS_OKT6_ENG

Point

Point number or Octet 6

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

PT


IDS_POS1

Interno ID: IDS_POS1

Position 1

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Position1


IDS_POS2

Interno ID: IDS_POS2

Position 2

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Position2


IDS_PROJEKT_ACTIVE_DIR

Interno ID: IDS_PROJEKT_ACTIVE_DIR

Accesso ad Active Directory

Selezionate se volete usare Active Directory, ADAM o nessuna delle due. Sono disponibili le seguenti opzioni:

- ADAM - Active Directory Application Mode: Usate ADAM o AD LDS. Assicuratevi di adottare l´impostazione corrispondente per le proprietà Connessione AD-LDS, Nome utente AD-LDS e Password AD-LDS.

- Sì: Usate Active Directory.

- No: Non ricorrete agli utenti di ADAM o AD LDS oppure AD Gli utenti di zenon sono completamente indipendenti dagli utenti Windows.

Default: No

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

UseActiveDirectory


IDS_PROJEKT_DIRS

Interno ID: IDS_PROJEKT_DIRS

Percorsi

Si aprirà il dialogo di configurazione per i percorsi di progetto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ProjectPaths


IDS_PROJEKT_INFO

Interno ID: IDS_PROJEKT_INFO

Descrizione progetto

Si aprirà il dialogo di configurazione per l´informazione di progetto.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ProjectInfo


IDS_PROJEKT_MODIFILES

Interno ID: IDS_PROJEKT_MODIFILES

RT dati modificabili

Viene aperto il dialogo di configurazione per " RT dati modificabili".
Ricette standard, Manager gruppi ricette, Schedulatore o Production & Facility Scheduler e Gestione utenti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ProjectModidata


IDS_PROJEKT_REMTRANS

Interno ID: IDS_PROJEKT_REMTRANS

Trasporto remoto

Si aprirà il dialogo di configurazione per il Trasporto Remoto.
Il Trasporto Remoto serve per trasmettere, ricaricare, avviare e terminare un progetto su un computer remoto e per richiedere lo stato attuale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ProjectTransport


IDS_PROPNAME_PLURAL_STYLEITEM

Interno ID: IDS_PROPNAME_PLURAL_STYLEITEM

Stili

Proprietà generali dello stile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

Styles


IDS_RED

Interno ID: IDS_RED

redundante Peripherieadresse

Redundante Adresse

Aktiv: Redundante Adresse verwenden

Inaktiv: Keine redundante Adresse

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RED


IDS_RED_ENG

Interno ID: IDS_RED_ENG

Redundancy Peripheral address

Redundant address

Active: Use redundant address

Inactive: No redundant address

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

RED


IDS_REG

Interno ID: IDS_REG

Regulierbefehl

Regulierbefehle, Retriggerbefehle

Aktiv: Befehl ist Regulierbefehl

Inaktiv: Standardbefehl

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

REG


IDS_REG_ENG

Interno ID: IDS_REG_ENG

Enable regulating commands

Regulating-, triggered commands

Active: Command is regulating-, triggered command

Inactive: Standard command

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

REG


IDS_RLINE

Interno ID: IDS_RLINE

REYDISP-Linie

REYDISP Liniennummer

Nur bei Störschrieb-Datenpunkt

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LINIE


IDS_RLINE_ENG

Interno ID: IDS_RLINE_ENG

REYDISP-Line

REYDISP line number

Only for disturbance data datapoints

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LINIE


IDS_ROKT1

Interno ID: IDS_ROKT1

Red. O1/Region

Redundante Peripherieadresse

Regionsnummer bzw. Octet 1 (CASDU1)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

R_2


IDS_ROKT1_ENG

Interno ID: IDS_ROKT1_ENG

Red. O1/Region number

Redundant datapoint address

Region number or Octet 1 (CASDU1)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

R_2


IDS_ROKT2

Interno ID: IDS_ROKT2

Red. O2/Komponente

Redundante Peripherieadresse

Komponentennummer bzw. Octet 2 (CASDU2)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

K_2


IDS_ROKT2_ENG

Interno ID: IDS_ROKT2_ENG

Red. O2/Component

Redundant datapoint address

Region number or Octet 2 (CASDU2)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

K_2


IDS_ROKT3

Interno ID: IDS_ROKT3

Red. O3/Baugruppe

Redundante Peripherieadresse

Baugruppennummer bzw. Octet 3 (IOA1)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

B_2


IDS_ROKT3_ENG

Interno ID: IDS_ROKT3_ENG

Red. O3/Board

Redundant datapoint address

Region number or Octet 3 (IOA1)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

B_2


IDS_ROKT4

Interno ID: IDS_ROKT4

Red. O4/Wertnummer

Redundante Peripherieadresse

Wertnummer bzw. Octet 4 (IOA2)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

W_2


IDS_ROKT4_ENG

Interno ID: IDS_ROKT4_ENG

Red. O4/Value number

Redundant datapoint address

Region number or Octet 4 (IOA2)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

W_2


IDS_ROKT5

Interno ID: IDS_ROKT5

Red. O5/Datenart

Redundante Peripherieadresse

Datenart bzw. Octet 5 (IOA3)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

D_2


IDS_ROKT5_ENG

Interno ID: IDS_ROKT5_ENG

Red. O5/Subaddress

Redundant datapoint address

Region number or Octet 5 (IOA3)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

D_2


IDS_SE_ADRESSE

Interno ID: IDS_SE_ADRESSE

Address

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SeAddress


IDS_SE_STANDARD

Interno ID: IDS_SE_STANDARD

Standard

attivo: Tutti gli apparecchi C su un apparecchio B vengono considerati come cosiddetti "binari C". Gli apparecchi C non vengono più selezionati direttamente, ma i punti di dato vengono trattati sugli apparecchi C come se si trovassero
sull'apparecchio B.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Standard


IDS_SICHTBARKEIT

Interno ID: IDS_SICHTBARKEIT

Visibilità/lampeggio

Proprietà per la visibilità e il lampeggio dell´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Visibility


IDS_SICHTBARKEIT_AUSGRENZWERT

Interno ID: IDS_SICHTBARKEIT_AUSGRENZWERT

Riprendi da valore limite

Disponibile solamente dopo che è stata selezionata una variabile:

  • Attivo: La visibilità dell´elemento viene influenzata dalle proprietà di valore limite della variabile.

    Attenzione: Almeno per un valore limite di questa variabile deve essere attiva la proprietà Invisibile.

  • Inattiva: la visibilità viene influenzata dalle proprietà dell´elemento.

Default: attivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VisibilityFromLimit


IDS_SICHTBARKEIT_BIS

Interno ID: IDS_SICHTBARKEIT_BIS

A

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore maggiore della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore più grande possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VisibilityTo


IDS_SICHTBARKEIT_VARIABLE

Interno ID: IDS_SICHTBARKEIT_VARIABLE

Variabile

Disponibile solamente se per la proprietà Visibilità è stato selezionato Da variabile.

Nome delle variabili il cui valore gestisce la visibilità dell'elemento. La visibilità viene ripresa o dalle proprietà del valore limite di questa variabile, oppure stabilita tramite il valore che è definito nelle proprietà Da e A.
Un clic sul comando ... apre il dialogo che serve alla selezione delle variabili. Il nome può essere anche inserito manualmente nel campo di testo apposito.
Se non è collegata alcuna variabile, l'elemento è sempre visibile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VisibilityVariable


IDS_SICHTBARKEIT_VON

Interno ID: IDS_SICHTBARKEIT_VON

Da

Disponibile solamente dopo che è stata selezionata una variabile e se la visibilità non viene ripresa dal valore limite:

Valore più piccolo della variabile in corrispondenza del quale l´elemento è visibile.

  • Minimo: valore più piccolo possibile della variabile collegata.
  • Massimo: valore più grande possibile della variabile collegata.

Default: valore minimo possibile della variabile collegata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VisibilityFrom


IDS_ST_SAVE

Interno ID: IDS_ST_SAVE

Status speichern

Aktiv: Status der Variablen wird auf Festplatte gespeichert.

Wird bei Neustart der Runtime rückgelesen.

Inaktiv: Status wird nicht gespeichert.

Default: Inaktiv

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ST_SAVE


IDS_ST_SAVE_ENG

Interno ID: IDS_ST_SAVE_ENG

Save state

Save status

Active: The status bits (e.g. Revision) of the datapoint will be saved (STATUS.BIN) and will be reread at start of runtime.

Inactive: The status bits of the datapoint will not be saved.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ST_SAVE


IDS_STRING78

Interno ID: IDS_STRING78

Visualizza range dinamico

Proprietà per l´area di visualizzazione dinamica.
Esse consentono di modificare in modo dinamico l´area di visualizzazione nel Runtime facendo uso di valori di variabili.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Displayrange_Dynamic


IDS_STRING79

Interno ID: IDS_STRING79

Minimo

Variabile che definisce la dimensione minima dell'area di visualizzazione nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DynMinVar


IDS_STRING80

Interno ID: IDS_STRING80

Massimo

Variabile che definisce la dimensione massima dell'area di visualizzazione nel Runtime.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

DynMaxVar


IDS_STRING81

Interno ID: IDS_STRING81

Limiti dinamici SV

Proprietà per i valori impostabili dinamici.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValueLimits_Dynamic


IDS_STRING82

Interno ID: IDS_STRING82

Minimo

Disponibile solo se Riprendi limiti di valori impostabili da variabile non è attiva.
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValueDynMin


IDS_STRING83

Interno ID: IDS_STRING83

Massimo

Disponibile solo se "Riprendi limite di valore minimo da variabile" non è attiva:
Variabile il cui valore attuale vale da limite di valore minimo per l´elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SetValueDynMax


IDS_STRING3146

Interno ID: IDS_STRING3146

Linienstil

Visualizzazione e selezione dello stile linea assegnato all´elemento.

Cliccate sul pulsante ... per aprire il dialogo che serve alla selezione di uno stile.
Se sono selezionati diversi elementi, può essere assegnato ad essi uno stesso stile.

Nota: Vengono applicate solamente quelle proprietà che sono supportate dal relativo elemento.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Style


IDS_SYMADRESSE

Interno ID: IDS_SYMADRESSE

3S Arti specific

Le seguenti proprietà Vi servono per realizzare l'indirizzamento del driver 3S_Arti_NG.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NGAddress


IDS_SYMNAME

Interno ID: IDS_SYMNAME

Symbol name

Nome simbolo delle variabili nel PLC

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

NGSymName


IDS_TEXTCOLOR_VARIABLE

Interno ID: IDS_TEXTCOLOR_VARIABLE

Colore testo

Nome della variabile il cui colore di valore limite deve influenzare quello del testo dell´elemento. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di una variabile.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) come segue:

LineColorVariable


IDS_TRANS

Interno ID: IDS_TRANS

Transparente Daten

Transparente Daten

Nur bei Störschrieb-Datenpunkt.

DISTO: Störschriebauswertung mit DISTO

REYDISP: Störschriebauswertung für REYROLL

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TRANS


IDS_TRANS_ENG

Interno ID: IDS_TRANS_ENG

Transparent Data

Transparent Data

Only for disturbance data datapoints.

DISTO: Storing of disturbance records by DISTO

REYDISP: Storing of disturbance records by REYROLL

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TRANS


IDS_UNTERGRUPPE

Interno ID: IDS_UNTERGRUPPE

Sub group

Indicate il numero del gruppo inferiore desiderato.

Minimo: 0

Massimo: 255

Default: 0

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SubGroup


IDS_VAL_SAVE

Interno ID: IDS_VAL_SAVE

Wert speichern

Aktiv: Wert der Variablen wird auf Festplatte gespeichert.

Wird bei Neustart der Runtime rückgelesen.

Inaktiv: Wert wird nicht gespeichert.

Default: Inaktiv.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VAL_SAVE


IDS_VAL_SAVE_ENG

Interno ID: IDS_VAL_SAVE_ENG

Save value

Save value

Active: The value of the datapoint will be saved (STATUS.BIN) and will be reread at start of runtime.

Inactive: The value will not be saved and is 0 at restart.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VAL_SAVE


IDS_VAR_ERSATZWERT_STRING

Interno ID: IDS_VAR_ERSATZWERT_STRING

Valore di riempimneto arch. per tipo String

Questo valore viene usato per variabili stringa per riempire archivi ciclici. Se lì ci sono delle aree tempo per le quali non esiste una connessione con l´hardware, viene usato questo valore, finché non viene trasmesso un valore dall´hardware. Altrimenti viene usato per il riempimento l´ultimo valore valido.

Lunghezza massima: 128 caratteri.
Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

AlternateValueString


IDS_VTA

Interno ID: IDS_VTA

Adressierungsart

Adresstyp

Muss mit Parametrierung in GW1703.ini und der Gegenstelle übereinstimmen.

STA: Systemtechnisch

VTA: Verfahrenstechnisch

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VTA


IDS_VTA_ENG

Interno ID: IDS_VTA_ENG

Typ of addressing

Address type

In accordance to parameterization of GW1703.ini and remote station.

STA: System technical

VTA: Process technical (PTA in GW1703.ini)

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VTA


IDS_WDH

Interno ID: IDS_WDH

WDH (Anz. Wdh.)

Max. Anzahl an Wiederholungen

Regulierbefehle, Retriggerbefehle

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WDH


IDS_WDH_ENG

Interno ID: IDS_WDH_ENG

Repeats

Max. count of repeats

Regulating-, triggered commands

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

WDH


IDS_Z_NR

Interno ID: IDS_Z_NR

Zielnummer

LAN-Stations- oder LAN-Gruppennummer

Bei serieller Ankopplung Linkadresse

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Z_NR


IDS_Z_NR_ENG

Interno ID: IDS_Z_NR_ENG

Destination number

LAN station or LAN group number

Link address if serial connection

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Z_NR


IDS_Z_TYP

Interno ID: IDS_Z_TYP

Zieltyp

Auswahl LAN-Station oder LAN-Gruppe

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Z_TYP


IDS_Z_TYP_ENG

Interno ID: IDS_Z_TYP_ENG

Destination typ

Selection of LAN station or LAN group

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Z_TYP


IDS_ZEIT

Interno ID: IDS_ZEIT

Time

Zeitbeigabe

Aktiv: Rechnerzeit wird beim Empfang beigegeben.

Inaktiv: Zeit aus Telegramm wird verwendet.

Invalide oder unplausible Zeit wird automatisch durch die Rechnerzeit ersetzt.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ZEIT


IDS_ZEIT_ENG

Interno ID: IDS_ZEIT_ENG

Time stamp by AKS

Time setting

Active: Computer time will be used when received

Inactive: Telegram time will be used

Invalid or implausible time stamp will be replaced automatically by computer time.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ZEIT


IDS_ZENMENU_PROP01

Interno ID: IDS_ZENMENU_PROP01

ID menù

Nome della voce di menù.

In Tipo di azione Comandi sono selezionabili in una lista a cascata le azioni già definite nel comandi.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


IDS_ZENMENU_PROP02

Interno ID: IDS_ZENMENU_PROP02

Testo

Didascalia della voce di menù. L´inserimento deve essere univoco. Se esistono più inserimenti con lo stesso testo, durante il runtime viene visualizzato solamente la prima di queste voci di menù.

Nota: se nel campo proprietà Tipo di azione facendo uso del menù a tendina isi seleziona il valore Comando, il sistema scrive come valore della proprietà Testo: $ALL$.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Caption


IDS_ZENMENU_PROP04

Interno ID: IDS_ZENMENU_PROP04

File

Disponibile solo per il tipo di azione "Help"::
File help una pagina del quale deve essere aperta e visualizzata.
Normalmente vengono visualizzate le pagine della guida in linea degli elementi collegati. Se un elemento collegato non ha nessuna pagina della guida in linea, verrà visualizzata quella definita in questa sede.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HelpFile


IDS_ZENMENU_PROP05

Interno ID: IDS_ZENMENU_PROP05

Capitolo

Disponibile solo per il tipo di azione "Help":
Capitolo della guida che deve essere visualizzato.

Attenzione: Questo inserimento tiene conto delle lettere maiuscole e minuscole.
Normalmente vengono visualizzate le pagine della guida in linea degli elementi collegati. Se un elemento collegato non ha nessuna pagina della guida in linea, verrà visualizzata quella definita in questa sede.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

HelpCapture


IDS_ZENMENU_PROP06

Interno ID: IDS_ZENMENU_PROP06

File grafico

File grafico che viene visualizzato nell´area all´estrema sinistra.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Picture


IDS_ZENMENU_PROP07

Interno ID: IDS_ZENMENU_PROP07

Checkmark

Davanti alla voce di menù viene visualizzata un segno di spunto. Ciò concerne solamente la rappresentazione grafica.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Checked


IDS_ZENMENU_PROP08

Interno ID: IDS_ZENMENU_PROP08

Attivo

Attivo: Normalmente il sistema visualizza la voce di menù e l´azione collegata viene eseguita quando si fa uso dell´inserimento stesso.
inattivo: Normalmente il sistema visualizza l´inserimento di menù "gegreyed" e l´azione collegata non viene eseguita..

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Enabled


IDS_ZENMENU_PROP09

Interno ID: IDS_ZENMENU_PROP09

Visibile

Stabilisce se la voce di menù viene visualizzata nel runtime.

Default: attiva

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Visible


IDS_ZENMENU_PROP10

Interno ID: IDS_ZENMENU_PROP10

Separatore attivo

Attivo: Al posto di una voce di menù, viene inserito un separatore orizzontale. Larghezza e colore della linea possono essere definiti.

Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Seperator


IDS_ZENMENU_PROP11

Interno ID: IDS_ZENMENU_PROP11

Sottomenù

La voce di menù non esegue nessuna azione, ma apre un sottomenù.

Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Popup-Menu


IDS_ZENMENU_PROP12

Interno ID: IDS_ZENMENU_PROP12

Tipo di azione

I seguenti tipi di azioni sono a disposizione nel menu principale e contestuale:

Funzione: viene eseguita un'azione.
Guida: viene visualizzato un inserimento della guida.
Nessuna azione: non viene eseguita nessuna azione.
Setta valore impostabile: un valore impostabile viene depositato in una variabile.

I seguenti tipi di azioni possono essere eseguiti solamente nel menu contestuale:

Ripristina allarmi: ripristina tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menù contestuale.
Ripristina lampeggio: Elimina il lampeggio di tutti gli allarmi relativi a quelle variabili che sono collegate all'elemento dinamico cui si riferisce il menù contestuale. Ma l'allarme non viene ripristinato.
Comando: esegue un comando.
Macro VBA: viene eseguita una macro VBA.

Ulteriori informazioni nella guida in linea

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Type


IDS_ZENMENU_PROP13

Interno ID: IDS_ZENMENU_PROP13

Livello di autorizzazione:

Livello della password necessario per eseguire questa voce di menù.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Password


IDS_ZENMENU_PROP14

Interno ID: IDS_ZENMENU_PROP14

Colore testo

Colore testo per il menù selezionato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

TextColor


IDS_ZENMENU_PROP15

Interno ID: IDS_ZENMENU_PROP15

Colore di sfondo

Colore di sfondo per il menù selezionato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackColor


IDS_ZENMENU_PROP16

Interno ID: IDS_ZENMENU_PROP16

Carattere

Tipo carattere del menù. Vale per tutti gli inserimenti di menù.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Font


IDS_ZENMENU_PROP17

Interno ID: IDS_ZENMENU_PROP17

Funzione

Disponibile solo per il tipo di azione"Funzione ":
Funzione che deve essere eseguita sulla base di meccanismi a tempo.
Se deve essere eseguita più di una funzione, è necessario realizzare uno script con le funzioni necessarie e collegare la funzione per l'esecuzione dello script.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Function


IDS_ZENMENU_PROP18

Interno ID: IDS_ZENMENU_PROP18

Macro VBA

Disponibile solamente per il tipo di azione "Macro VBA":
Macro VBA che deve essere eseguita tramite la voce di menù selezionata.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

VBA-Macro


IDS_ZENMENU_PROP19

Interno ID: IDS_ZENMENU_PROP19

Variabile

Disponibile solamente per il tipo di azione "Setta valore impostabile"::
Variabile sulla quale deve essere settato un valore impostabile tramite l´inserimento di menù selezionato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Variable


IDS_ZENMENU_PROP20

Interno ID: IDS_ZENMENU_PROP20

Valore impostabile/modifica di

Disponibile solamente per tipo di azione "setta valore impostabile":
Valore numerico che deve essere depositato come valore impostabile sulla variabile selezionata. Sono attesi e accettati solamente valori numerici. I valori vengono applicati se contengono fino a 6 cifre decimali.
Se la proprietà Proponi valore attuale è attiva, il valore attuale della variabile viene aumentato (valore positivo) o diminuito (valore negativo) in corrispondenza di questo valore.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Sollwert


IDS_ZENMENU_PROP21

Interno ID: IDS_ZENMENU_PROP21

Variabile da elemento

Disponibile solamente per il tipo di azione "Setta valore impostabile" e "Menù contestuale:
Attivo: La variabile per "Setta valore impostabile" viene ripresa dall´elemento dinamico.
inattivo: La variabile per "Setta valore impostabile" viene indicata nelle proprietà della voce di menù.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

FromElem


IDS_ZENMENU_PROP22

Interno ID: IDS_ZENMENU_PROP22

Dialogo

Disponibile solamente per il tipo di azione "Setta valore impostabile":
Attivo Quando si esegue l´azione, prima del settaggio del valore impostabile si apre un dialogo che dà all´utente l´opportunità di modificarlo.
Se esistono delle immagini Keyboard (per es. SETVALUEKBD, SETSTRINGKBD o SETBOOLKBD), verrano aperte queste automaticamente anziché il box di dialogo.
Inattivo: Il valore definito nelle proprietà della voce di menù viene inviato direttamente all´hardware.
Default: inattivo.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

SWDialog


IDS_ZENMENU_PROP23

Interno ID: IDS_ZENMENU_PROP23

Proponi valore attuale

Disponibile solamente per il tipo di azione "Setta valore impostabile":
Attivo Il valore attuale della variabile viene proposto come valore impostabile.
Inattivo Il valore impostabile viene indicato direttamente nelle proprietà della voce di menù.
Default: inattivo

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

ActValue


IDS_ZENMENU_PROP24

Interno ID: IDS_ZENMENU_PROP24

Nome

Nome univoco del menù.
Default: Nuovo menù principale x o nuovo menù contestuale x (x è un numero progressivo).

Attenzione: Questa proprietà non è a disposizione per il cambio lingua.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Name


IDS_ZENMENU_PROP34

Interno ID: IDS_ZENMENU_PROP34

Interblocco

Selezione di un interblocco per per la voce di menù.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Locking


IDS_ZENMENU_PROP36

Interno ID: IDS_ZENMENU_PROP36

File grafico

Grafica di sfondo per la voce di menù.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackgroundPicture


IDS_ZENMENU_PROP37

Interno ID: IDS_ZENMENU_PROP37

Orientamento

Grandezza della grafica di sfondo per l´inserimento di menù.
Grandezza originale: L´immagine viene rappresentata nella sua grandezza originale. L´inserimento di menu viene adattato alla grandezza dell´immagine.
Allungato: L´immagine viene allungata in corrispondenza della grandezza dell´inserimento di menù.
Default: Grandezza originaria.

Esempio: i menù dovrebbero essere usati in un progetto Touchscreen. Come impostazioni standard per la grandezza delle singole voci di menù, vengono usate le impostazioni del sistema operativo. Con una grafica di sfondo nella grandezza originale si può gestire in modo individuale la grandezza delle voci di menù.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

BackgroundPicRepres


IDS_ZENMENU_PROP_GRP2

Interno ID: IDS_ZENMENU_PROP_GRP2

Autorizzazione

Proprietà per l´autorizzazione della voce di menù.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Rights


IDS_ZENMENU_PROP_GRP3

Interno ID: IDS_ZENMENU_PROP_GRP3

Rappresentazione / Tipo

Proprietà per la visualizzazione della voce di menù.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Represantation


IDS_ZENMENU_PROP_GRP4

Interno ID: IDS_ZENMENU_PROP_GRP4

Funzione/macro

Funzione o macro VBA che devono essere eseguite tramite questa voce di menù.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Function


IDS_ZENMENU_PROP_GRP5

Interno ID: IDS_ZENMENU_PROP_GRP5

Setta valore impostabile

Proprietà per il valore da settare.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_SetValue


IDS_ZENMENU_PROP_GRP6

Interno ID: IDS_ZENMENU_PROP_GRP6

Guida

Proprietà per la pagina della guida in linea relativa alla voce di menù.
Questa funzionalità consente anche di visualizzare nel Runtime pagine dell´help a base HTML di un file CHM. Nei menù contestuali l´help può essere anche contestuale.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_Help


IDS_ZENMENU_PROP_GRP7

Interno ID: IDS_ZENMENU_PROP_GRP7

Immagine di sfondo

Proprietà per la grafica di sfondo della voce di menù.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_BackgroundPicture


IDS_ZENMENU_PROP_GRP8

Interno ID: IDS_ZENMENU_PROP_GRP8

Azione

Proprietà dell´azione che deve essere eseguita con la voce di menù.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

Action


IDS_ZENMENU_PROP_GRP9

Interno ID: IDS_ZENMENU_PROP_GRP9

Generale

Impostazioni generali del menù selezionato.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

GRP_General


IDS_ZYKLISCH_LESEN

Interno ID: IDS_ZYKLISCH_LESEN

Read cyclical

Stabilisce in quale modo il valore viene trasmesso dal PLC.

attivo: Il valore viene richiesto in modo ciclico dal PLC.

Default: inattivo

Nota: Questa opzione dovrebbe essere usata con grande prudenza visto che il carico dei bus cresce enormemente.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

CyclicReading


LOCK_BITMAP_LOCKING

Interno ID: LOCK_BITMAP_LOCKING

File grafico-Interblocco

Disponibile solo se Identificazione grafica attiva è attivo.

Selezione del file grafico che indica un elemento bloccato. Il file deve essere già stato impostato nel manager di progetto, e, più precisamente, nel nodo File/Bitmap.

Formato consentito: 16 x 16 Pixel, bitmaps più grandi verranno visualizzate ridimensionate.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockLockBitmap


LOCK_BITMAP_USER

Interno ID: LOCK_BITMAP_USER

File elemento bloccato

Disponibile solo se Identificazione grafica attiva è attivo.

Selezione del file grafico che indica un elemento bloccato.e non accessibile all´utente. Il file deve essere già stato impostato nel manager di progetto, e, più precisamente, nel nodo File/Bitmap.

Formato consentito: 16 x 16 Pixel, bitmaps più grandi verranno visualizzate ridimensionate.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockUserBitmap


LOCK_FILL_COLOR

Interno ID: LOCK_FILL_COLOR

Colore di riempimento

Disponibile solo se Identificazione grafica attiva è attivo.
Definisce il colore di riempimento del simbolo del lucchetto. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockFillColor


LOCK_LINE_COLOR

Interno ID: LOCK_LINE_COLOR

Colore di linea

Disponibile solo se Identificazione grafica attiva è attivo.

Definisce il colore di linea del simbolo del lucchetto. Cliccate sul pulsante ... e si apre il dialogo che serve alla selezione di un colore o di una tavolozza di colori. L´inserimento può essere effettuato direttamente nel campo anche in forma di valore esadecimale con un # davanti.

Ulteriori informazioni nella guida in linea.

Questa funzione si apre per lo zenon API (con nome della classe) e nell´ esportazione XML (senza nome di classe) come segue:

LockLineColor